/******/ (() => { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ 87351:
/***/ (function(__unused_webpack_module, exports, __nccwpck_require__) {

"use strict";

var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.issue = exports.issueCommand = void 0;
const os = __importStar(__nccwpck_require__(22037));
const utils_1 = __nccwpck_require__(5278);
/**
 * Commands
 *
 * Command Format:
 *   ::name key=value,key=value::message
 *
 * Examples:
 *   ::warning::This is the message
 *   ::set-env name=MY_VAR::some value
 */
function issueCommand(command, properties, message) {
    const cmd = new Command(command, properties, message);
    process.stdout.write(cmd.toString() + os.EOL);
}
exports.issueCommand = issueCommand;
function issue(name, message = '') {
    issueCommand(name, {}, message);
}
exports.issue = issue;
const CMD_STRING = '::';
class Command {
    constructor(command, properties, message) {
        if (!command) {
            command = 'missing.command';
        }
        this.command = command;
        this.properties = properties;
        this.message = message;
    }
    toString() {
        let cmdStr = CMD_STRING + this.command;
        if (this.properties && Object.keys(this.properties).length > 0) {
            cmdStr += ' ';
            let first = true;
            for (const key in this.properties) {
                if (this.properties.hasOwnProperty(key)) {
                    const val = this.properties[key];
                    if (val) {
                        if (first) {
                            first = false;
                        }
                        else {
                            cmdStr += ',';
                        }
                        cmdStr += `${key}=${escapeProperty(val)}`;
                    }
                }
            }
        }
        cmdStr += `${CMD_STRING}${escapeData(this.message)}`;
        return cmdStr;
    }
}
function escapeData(s) {
    return utils_1.toCommandValue(s)
        .replace(/%/g, '%25')
        .replace(/\r/g, '%0D')
        .replace(/\n/g, '%0A');
}
function escapeProperty(s) {
    return utils_1.toCommandValue(s)
        .replace(/%/g, '%25')
        .replace(/\r/g, '%0D')
        .replace(/\n/g, '%0A')
        .replace(/:/g, '%3A')
        .replace(/,/g, '%2C');
}
//# sourceMappingURL=command.js.map

/***/ }),

/***/ 42186:
/***/ (function(__unused_webpack_module, exports, __nccwpck_require__) {

"use strict";

var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.getIDToken = exports.getState = exports.saveState = exports.group = exports.endGroup = exports.startGroup = exports.info = exports.notice = exports.warning = exports.error = exports.debug = exports.isDebug = exports.setFailed = exports.setCommandEcho = exports.setOutput = exports.getBooleanInput = exports.getMultilineInput = exports.getInput = exports.addPath = exports.setSecret = exports.exportVariable = exports.ExitCode = void 0;
const command_1 = __nccwpck_require__(87351);
const file_command_1 = __nccwpck_require__(717);
const utils_1 = __nccwpck_require__(5278);
const os = __importStar(__nccwpck_require__(22037));
const path = __importStar(__nccwpck_require__(71017));
const oidc_utils_1 = __nccwpck_require__(98041);
/**
 * The code to exit an action
 */
var ExitCode;
(function (ExitCode) {
    /**
     * A code indicating that the action was successful
     */
    ExitCode[ExitCode["Success"] = 0] = "Success";
    /**
     * A code indicating that the action was a failure
     */
    ExitCode[ExitCode["Failure"] = 1] = "Failure";
})(ExitCode = exports.ExitCode || (exports.ExitCode = {}));
//-----------------------------------------------------------------------
// Variables
//-----------------------------------------------------------------------
/**
 * Sets env variable for this action and future actions in the job
 * @param name the name of the variable to set
 * @param val the value of the variable. Non-string values will be converted to a string via JSON.stringify
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function exportVariable(name, val) {
    const convertedVal = utils_1.toCommandValue(val);
    process.env[name] = convertedVal;
    const filePath = process.env['GITHUB_ENV'] || '';
    if (filePath) {
        const delimiter = '_GitHubActionsFileCommandDelimeter_';
        const commandValue = `${name}<<${delimiter}${os.EOL}${convertedVal}${os.EOL}${delimiter}`;
        file_command_1.issueCommand('ENV', commandValue);
    }
    else {
        command_1.issueCommand('set-env', { name }, convertedVal);
    }
}
exports.exportVariable = exportVariable;
/**
 * Registers a secret which will get masked from logs
 * @param secret value of the secret
 */
function setSecret(secret) {
    command_1.issueCommand('add-mask', {}, secret);
}
exports.setSecret = setSecret;
/**
 * Prepends inputPath to the PATH (for this action and future actions)
 * @param inputPath
 */
function addPath(inputPath) {
    const filePath = process.env['GITHUB_PATH'] || '';
    if (filePath) {
        file_command_1.issueCommand('PATH', inputPath);
    }
    else {
        command_1.issueCommand('add-path', {}, inputPath);
    }
    process.env['PATH'] = `${inputPath}${path.delimiter}${process.env['PATH']}`;
}
exports.addPath = addPath;
/**
 * Gets the value of an input.
 * Unless trimWhitespace is set to false in InputOptions, the value is also trimmed.
 * Returns an empty string if the value is not defined.
 *
 * @param     name     name of the input to get
 * @param     options  optional. See InputOptions.
 * @returns   string
 */
function getInput(name, options) {
    const val = process.env[`INPUT_${name.replace(/ /g, '_').toUpperCase()}`] || '';
    if (options && options.required && !val) {
        throw new Error(`Input required and not supplied: ${name}`);
    }
    if (options && options.trimWhitespace === false) {
        return val;
    }
    return val.trim();
}
exports.getInput = getInput;
/**
 * Gets the values of an multiline input.  Each value is also trimmed.
 *
 * @param     name     name of the input to get
 * @param     options  optional. See InputOptions.
 * @returns   string[]
 *
 */
function getMultilineInput(name, options) {
    const inputs = getInput(name, options)
        .split('\n')
        .filter(x => x !== '');
    return inputs;
}
exports.getMultilineInput = getMultilineInput;
/**
 * Gets the input value of the boolean type in the YAML 1.2 "core schema" specification.
 * Support boolean input list: `true | True | TRUE | false | False | FALSE` .
 * The return value is also in boolean type.
 * ref: https://yaml.org/spec/1.2/spec.html#id2804923
 *
 * @param     name     name of the input to get
 * @param     options  optional. See InputOptions.
 * @returns   boolean
 */
function getBooleanInput(name, options) {
    const trueValue = ['true', 'True', 'TRUE'];
    const falseValue = ['false', 'False', 'FALSE'];
    const val = getInput(name, options);
    if (trueValue.includes(val))
        return true;
    if (falseValue.includes(val))
        return false;
    throw new TypeError(`Input does not meet YAML 1.2 "Core Schema" specification: ${name}\n` +
        `Support boolean input list: \`true | True | TRUE | false | False | FALSE\``);
}
exports.getBooleanInput = getBooleanInput;
/**
 * Sets the value of an output.
 *
 * @param     name     name of the output to set
 * @param     value    value to store. Non-string values will be converted to a string via JSON.stringify
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function setOutput(name, value) {
    process.stdout.write(os.EOL);
    command_1.issueCommand('set-output', { name }, value);
}
exports.setOutput = setOutput;
/**
 * Enables or disables the echoing of commands into stdout for the rest of the step.
 * Echoing is disabled by default if ACTIONS_STEP_DEBUG is not set.
 *
 */
function setCommandEcho(enabled) {
    command_1.issue('echo', enabled ? 'on' : 'off');
}
exports.setCommandEcho = setCommandEcho;
//-----------------------------------------------------------------------
// Results
//-----------------------------------------------------------------------
/**
 * Sets the action status to failed.
 * When the action exits it will be with an exit code of 1
 * @param message add error issue message
 */
function setFailed(message) {
    process.exitCode = ExitCode.Failure;
    error(message);
}
exports.setFailed = setFailed;
//-----------------------------------------------------------------------
// Logging Commands
//-----------------------------------------------------------------------
/**
 * Gets whether Actions Step Debug is on or not
 */
function isDebug() {
    return process.env['RUNNER_DEBUG'] === '1';
}
exports.isDebug = isDebug;
/**
 * Writes debug message to user log
 * @param message debug message
 */
function debug(message) {
    command_1.issueCommand('debug', {}, message);
}
exports.debug = debug;
/**
 * Adds an error issue
 * @param message error issue message. Errors will be converted to string via toString()
 * @param properties optional properties to add to the annotation.
 */
function error(message, properties = {}) {
    command_1.issueCommand('error', utils_1.toCommandProperties(properties), message instanceof Error ? message.toString() : message);
}
exports.error = error;
/**
 * Adds a warning issue
 * @param message warning issue message. Errors will be converted to string via toString()
 * @param properties optional properties to add to the annotation.
 */
function warning(message, properties = {}) {
    command_1.issueCommand('warning', utils_1.toCommandProperties(properties), message instanceof Error ? message.toString() : message);
}
exports.warning = warning;
/**
 * Adds a notice issue
 * @param message notice issue message. Errors will be converted to string via toString()
 * @param properties optional properties to add to the annotation.
 */
function notice(message, properties = {}) {
    command_1.issueCommand('notice', utils_1.toCommandProperties(properties), message instanceof Error ? message.toString() : message);
}
exports.notice = notice;
/**
 * Writes info to log with console.log.
 * @param message info message
 */
function info(message) {
    process.stdout.write(message + os.EOL);
}
exports.info = info;
/**
 * Begin an output group.
 *
 * Output until the next `groupEnd` will be foldable in this group
 *
 * @param name The name of the output group
 */
function startGroup(name) {
    command_1.issue('group', name);
}
exports.startGroup = startGroup;
/**
 * End an output group.
 */
function endGroup() {
    command_1.issue('endgroup');
}
exports.endGroup = endGroup;
/**
 * Wrap an asynchronous function call in a group.
 *
 * Returns the same type as the function itself.
 *
 * @param name The name of the group
 * @param fn The function to wrap in the group
 */
function group(name, fn) {
    return __awaiter(this, void 0, void 0, function* () {
        startGroup(name);
        let result;
        try {
            result = yield fn();
        }
        finally {
            endGroup();
        }
        return result;
    });
}
exports.group = group;
//-----------------------------------------------------------------------
// Wrapper action state
//-----------------------------------------------------------------------
/**
 * Saves state for current action, the state can only be retrieved by this action's post job execution.
 *
 * @param     name     name of the state to store
 * @param     value    value to store. Non-string values will be converted to a string via JSON.stringify
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function saveState(name, value) {
    command_1.issueCommand('save-state', { name }, value);
}
exports.saveState = saveState;
/**
 * Gets the value of an state set by this action's main execution.
 *
 * @param     name     name of the state to get
 * @returns   string
 */
function getState(name) {
    return process.env[`STATE_${name}`] || '';
}
exports.getState = getState;
function getIDToken(aud) {
    return __awaiter(this, void 0, void 0, function* () {
        return yield oidc_utils_1.OidcClient.getIDToken(aud);
    });
}
exports.getIDToken = getIDToken;
//# sourceMappingURL=core.js.map

/***/ }),

/***/ 717:
/***/ (function(__unused_webpack_module, exports, __nccwpck_require__) {

"use strict";

// For internal use, subject to change.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.issueCommand = void 0;
// We use any as a valid input type
/* eslint-disable @typescript-eslint/no-explicit-any */
const fs = __importStar(__nccwpck_require__(57147));
const os = __importStar(__nccwpck_require__(22037));
const utils_1 = __nccwpck_require__(5278);
function issueCommand(command, message) {
    const filePath = process.env[`GITHUB_${command}`];
    if (!filePath) {
        throw new Error(`Unable to find environment variable for file command ${command}`);
    }
    if (!fs.existsSync(filePath)) {
        throw new Error(`Missing file at path: ${filePath}`);
    }
    fs.appendFileSync(filePath, `${utils_1.toCommandValue(message)}${os.EOL}`, {
        encoding: 'utf8'
    });
}
exports.issueCommand = issueCommand;
//# sourceMappingURL=file-command.js.map

/***/ }),

/***/ 98041:
/***/ (function(__unused_webpack_module, exports, __nccwpck_require__) {

"use strict";

var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.OidcClient = void 0;
const http_client_1 = __nccwpck_require__(39925);
const auth_1 = __nccwpck_require__(23702);
const core_1 = __nccwpck_require__(42186);
class OidcClient {
    static createHttpClient(allowRetry = true, maxRetry = 10) {
        const requestOptions = {
            allowRetries: allowRetry,
            maxRetries: maxRetry
        };
        return new http_client_1.HttpClient('actions/oidc-client', [new auth_1.BearerCredentialHandler(OidcClient.getRequestToken())], requestOptions);
    }
    static getRequestToken() {
        const token = process.env['ACTIONS_ID_TOKEN_REQUEST_TOKEN'];
        if (!token) {
            throw new Error('Unable to get ACTIONS_ID_TOKEN_REQUEST_TOKEN env variable');
        }
        return token;
    }
    static getIDTokenUrl() {
        const runtimeUrl = process.env['ACTIONS_ID_TOKEN_REQUEST_URL'];
        if (!runtimeUrl) {
            throw new Error('Unable to get ACTIONS_ID_TOKEN_REQUEST_URL env variable');
        }
        return runtimeUrl;
    }
    static getCall(id_token_url) {
        var _a;
        return __awaiter(this, void 0, void 0, function* () {
            const httpclient = OidcClient.createHttpClient();
            const res = yield httpclient
                .getJson(id_token_url)
                .catch(error => {
                throw new Error(`Failed to get ID Token. \n 
        Error Code : ${error.statusCode}\n 
        Error Message: ${error.result.message}`);
            });
            const id_token = (_a = res.result) === null || _a === void 0 ? void 0 : _a.value;
            if (!id_token) {
                throw new Error('Response json body do not have ID Token field');
            }
            return id_token;
        });
    }
    static getIDToken(audience) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                // New ID Token is requested from action service
                let id_token_url = OidcClient.getIDTokenUrl();
                if (audience) {
                    const encodedAudience = encodeURIComponent(audience);
                    id_token_url = `${id_token_url}&audience=${encodedAudience}`;
                }
                core_1.debug(`ID token url is ${id_token_url}`);
                const id_token = yield OidcClient.getCall(id_token_url);
                core_1.setSecret(id_token);
                return id_token;
            }
            catch (error) {
                throw new Error(`Error message: ${error.message}`);
            }
        });
    }
}
exports.OidcClient = OidcClient;
//# sourceMappingURL=oidc-utils.js.map

/***/ }),

/***/ 5278:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

// We use any as a valid input type
/* eslint-disable @typescript-eslint/no-explicit-any */
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.toCommandProperties = exports.toCommandValue = void 0;
/**
 * Sanitizes an input into a string so it can be passed into issueCommand safely
 * @param input input to sanitize into a string
 */
function toCommandValue(input) {
    if (input === null || input === undefined) {
        return '';
    }
    else if (typeof input === 'string' || input instanceof String) {
        return input;
    }
    return JSON.stringify(input);
}
exports.toCommandValue = toCommandValue;
/**
 *
 * @param annotationProperties
 * @returns The command properties to send with the actual annotation command
 * See IssueCommandProperties: https://github.com/actions/runner/blob/main/src/Runner.Worker/ActionCommandManager.cs#L646
 */
function toCommandProperties(annotationProperties) {
    if (!Object.keys(annotationProperties).length) {
        return {};
    }
    return {
        title: annotationProperties.title,
        file: annotationProperties.file,
        line: annotationProperties.startLine,
        endLine: annotationProperties.endLine,
        col: annotationProperties.startColumn,
        endColumn: annotationProperties.endColumn
    };
}
exports.toCommandProperties = toCommandProperties;
//# sourceMappingURL=utils.js.map

/***/ }),

/***/ 23702:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
class BasicCredentialHandler {
    constructor(username, password) {
        this.username = username;
        this.password = password;
    }
    prepareRequest(options) {
        options.headers['Authorization'] =
            'Basic ' +
                Buffer.from(this.username + ':' + this.password).toString('base64');
    }
    // This handler cannot handle 401
    canHandleAuthentication(response) {
        return false;
    }
    handleAuthentication(httpClient, requestInfo, objs) {
        return null;
    }
}
exports.BasicCredentialHandler = BasicCredentialHandler;
class BearerCredentialHandler {
    constructor(token) {
        this.token = token;
    }
    // currently implements pre-authorization
    // TODO: support preAuth = false where it hooks on 401
    prepareRequest(options) {
        options.headers['Authorization'] = 'Bearer ' + this.token;
    }
    // This handler cannot handle 401
    canHandleAuthentication(response) {
        return false;
    }
    handleAuthentication(httpClient, requestInfo, objs) {
        return null;
    }
}
exports.BearerCredentialHandler = BearerCredentialHandler;
class PersonalAccessTokenCredentialHandler {
    constructor(token) {
        this.token = token;
    }
    // currently implements pre-authorization
    // TODO: support preAuth = false where it hooks on 401
    prepareRequest(options) {
        options.headers['Authorization'] =
            'Basic ' + Buffer.from('PAT:' + this.token).toString('base64');
    }
    // This handler cannot handle 401
    canHandleAuthentication(response) {
        return false;
    }
    handleAuthentication(httpClient, requestInfo, objs) {
        return null;
    }
}
exports.PersonalAccessTokenCredentialHandler = PersonalAccessTokenCredentialHandler;


/***/ }),

/***/ 39925:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const http = __nccwpck_require__(13685);
const https = __nccwpck_require__(95687);
const pm = __nccwpck_require__(16443);
let tunnel;
var HttpCodes;
(function (HttpCodes) {
    HttpCodes[HttpCodes["OK"] = 200] = "OK";
    HttpCodes[HttpCodes["MultipleChoices"] = 300] = "MultipleChoices";
    HttpCodes[HttpCodes["MovedPermanently"] = 301] = "MovedPermanently";
    HttpCodes[HttpCodes["ResourceMoved"] = 302] = "ResourceMoved";
    HttpCodes[HttpCodes["SeeOther"] = 303] = "SeeOther";
    HttpCodes[HttpCodes["NotModified"] = 304] = "NotModified";
    HttpCodes[HttpCodes["UseProxy"] = 305] = "UseProxy";
    HttpCodes[HttpCodes["SwitchProxy"] = 306] = "SwitchProxy";
    HttpCodes[HttpCodes["TemporaryRedirect"] = 307] = "TemporaryRedirect";
    HttpCodes[HttpCodes["PermanentRedirect"] = 308] = "PermanentRedirect";
    HttpCodes[HttpCodes["BadRequest"] = 400] = "BadRequest";
    HttpCodes[HttpCodes["Unauthorized"] = 401] = "Unauthorized";
    HttpCodes[HttpCodes["PaymentRequired"] = 402] = "PaymentRequired";
    HttpCodes[HttpCodes["Forbidden"] = 403] = "Forbidden";
    HttpCodes[HttpCodes["NotFound"] = 404] = "NotFound";
    HttpCodes[HttpCodes["MethodNotAllowed"] = 405] = "MethodNotAllowed";
    HttpCodes[HttpCodes["NotAcceptable"] = 406] = "NotAcceptable";
    HttpCodes[HttpCodes["ProxyAuthenticationRequired"] = 407] = "ProxyAuthenticationRequired";
    HttpCodes[HttpCodes["RequestTimeout"] = 408] = "RequestTimeout";
    HttpCodes[HttpCodes["Conflict"] = 409] = "Conflict";
    HttpCodes[HttpCodes["Gone"] = 410] = "Gone";
    HttpCodes[HttpCodes["TooManyRequests"] = 429] = "TooManyRequests";
    HttpCodes[HttpCodes["InternalServerError"] = 500] = "InternalServerError";
    HttpCodes[HttpCodes["NotImplemented"] = 501] = "NotImplemented";
    HttpCodes[HttpCodes["BadGateway"] = 502] = "BadGateway";
    HttpCodes[HttpCodes["ServiceUnavailable"] = 503] = "ServiceUnavailable";
    HttpCodes[HttpCodes["GatewayTimeout"] = 504] = "GatewayTimeout";
})(HttpCodes = exports.HttpCodes || (exports.HttpCodes = {}));
var Headers;
(function (Headers) {
    Headers["Accept"] = "accept";
    Headers["ContentType"] = "content-type";
})(Headers = exports.Headers || (exports.Headers = {}));
var MediaTypes;
(function (MediaTypes) {
    MediaTypes["ApplicationJson"] = "application/json";
})(MediaTypes = exports.MediaTypes || (exports.MediaTypes = {}));
/**
 * Returns the proxy URL, depending upon the supplied url and proxy environment variables.
 * @param serverUrl  The server URL where the request will be sent. For example, https://api.github.com
 */
function getProxyUrl(serverUrl) {
    let proxyUrl = pm.getProxyUrl(new URL(serverUrl));
    return proxyUrl ? proxyUrl.href : '';
}
exports.getProxyUrl = getProxyUrl;
const HttpRedirectCodes = [
    HttpCodes.MovedPermanently,
    HttpCodes.ResourceMoved,
    HttpCodes.SeeOther,
    HttpCodes.TemporaryRedirect,
    HttpCodes.PermanentRedirect
];
const HttpResponseRetryCodes = [
    HttpCodes.BadGateway,
    HttpCodes.ServiceUnavailable,
    HttpCodes.GatewayTimeout
];
const RetryableHttpVerbs = ['OPTIONS', 'GET', 'DELETE', 'HEAD'];
const ExponentialBackoffCeiling = 10;
const ExponentialBackoffTimeSlice = 5;
class HttpClientError extends Error {
    constructor(message, statusCode) {
        super(message);
        this.name = 'HttpClientError';
        this.statusCode = statusCode;
        Object.setPrototypeOf(this, HttpClientError.prototype);
    }
}
exports.HttpClientError = HttpClientError;
class HttpClientResponse {
    constructor(message) {
        this.message = message;
    }
    readBody() {
        return new Promise(async (resolve, reject) => {
            let output = Buffer.alloc(0);
            this.message.on('data', (chunk) => {
                output = Buffer.concat([output, chunk]);
            });
            this.message.on('end', () => {
                resolve(output.toString());
            });
        });
    }
}
exports.HttpClientResponse = HttpClientResponse;
function isHttps(requestUrl) {
    let parsedUrl = new URL(requestUrl);
    return parsedUrl.protocol === 'https:';
}
exports.isHttps = isHttps;
class HttpClient {
    constructor(userAgent, handlers, requestOptions) {
        this._ignoreSslError = false;
        this._allowRedirects = true;
        this._allowRedirectDowngrade = false;
        this._maxRedirects = 50;
        this._allowRetries = false;
        this._maxRetries = 1;
        this._keepAlive = false;
        this._disposed = false;
        this.userAgent = userAgent;
        this.handlers = handlers || [];
        this.requestOptions = requestOptions;
        if (requestOptions) {
            if (requestOptions.ignoreSslError != null) {
                this._ignoreSslError = requestOptions.ignoreSslError;
            }
            this._socketTimeout = requestOptions.socketTimeout;
            if (requestOptions.allowRedirects != null) {
                this._allowRedirects = requestOptions.allowRedirects;
            }
            if (requestOptions.allowRedirectDowngrade != null) {
                this._allowRedirectDowngrade = requestOptions.allowRedirectDowngrade;
            }
            if (requestOptions.maxRedirects != null) {
                this._maxRedirects = Math.max(requestOptions.maxRedirects, 0);
            }
            if (requestOptions.keepAlive != null) {
                this._keepAlive = requestOptions.keepAlive;
            }
            if (requestOptions.allowRetries != null) {
                this._allowRetries = requestOptions.allowRetries;
            }
            if (requestOptions.maxRetries != null) {
                this._maxRetries = requestOptions.maxRetries;
            }
        }
    }
    options(requestUrl, additionalHeaders) {
        return this.request('OPTIONS', requestUrl, null, additionalHeaders || {});
    }
    get(requestUrl, additionalHeaders) {
        return this.request('GET', requestUrl, null, additionalHeaders || {});
    }
    del(requestUrl, additionalHeaders) {
        return this.request('DELETE', requestUrl, null, additionalHeaders || {});
    }
    post(requestUrl, data, additionalHeaders) {
        return this.request('POST', requestUrl, data, additionalHeaders || {});
    }
    patch(requestUrl, data, additionalHeaders) {
        return this.request('PATCH', requestUrl, data, additionalHeaders || {});
    }
    put(requestUrl, data, additionalHeaders) {
        return this.request('PUT', requestUrl, data, additionalHeaders || {});
    }
    head(requestUrl, additionalHeaders) {
        return this.request('HEAD', requestUrl, null, additionalHeaders || {});
    }
    sendStream(verb, requestUrl, stream, additionalHeaders) {
        return this.request(verb, requestUrl, stream, additionalHeaders);
    }
    /**
     * Gets a typed object from an endpoint
     * Be aware that not found returns a null.  Other errors (4xx, 5xx) reject the promise
     */
    async getJson(requestUrl, additionalHeaders = {}) {
        additionalHeaders[Headers.Accept] = this._getExistingOrDefaultHeader(additionalHeaders, Headers.Accept, MediaTypes.ApplicationJson);
        let res = await this.get(requestUrl, additionalHeaders);
        return this._processResponse(res, this.requestOptions);
    }
    async postJson(requestUrl, obj, additionalHeaders = {}) {
        let data = JSON.stringify(obj, null, 2);
        additionalHeaders[Headers.Accept] = this._getExistingOrDefaultHeader(additionalHeaders, Headers.Accept, MediaTypes.ApplicationJson);
        additionalHeaders[Headers.ContentType] = this._getExistingOrDefaultHeader(additionalHeaders, Headers.ContentType, MediaTypes.ApplicationJson);
        let res = await this.post(requestUrl, data, additionalHeaders);
        return this._processResponse(res, this.requestOptions);
    }
    async putJson(requestUrl, obj, additionalHeaders = {}) {
        let data = JSON.stringify(obj, null, 2);
        additionalHeaders[Headers.Accept] = this._getExistingOrDefaultHeader(additionalHeaders, Headers.Accept, MediaTypes.ApplicationJson);
        additionalHeaders[Headers.ContentType] = this._getExistingOrDefaultHeader(additionalHeaders, Headers.ContentType, MediaTypes.ApplicationJson);
        let res = await this.put(requestUrl, data, additionalHeaders);
        return this._processResponse(res, this.requestOptions);
    }
    async patchJson(requestUrl, obj, additionalHeaders = {}) {
        let data = JSON.stringify(obj, null, 2);
        additionalHeaders[Headers.Accept] = this._getExistingOrDefaultHeader(additionalHeaders, Headers.Accept, MediaTypes.ApplicationJson);
        additionalHeaders[Headers.ContentType] = this._getExistingOrDefaultHeader(additionalHeaders, Headers.ContentType, MediaTypes.ApplicationJson);
        let res = await this.patch(requestUrl, data, additionalHeaders);
        return this._processResponse(res, this.requestOptions);
    }
    /**
     * Makes a raw http request.
     * All other methods such as get, post, patch, and request ultimately call this.
     * Prefer get, del, post and patch
     */
    async request(verb, requestUrl, data, headers) {
        if (this._disposed) {
            throw new Error('Client has already been disposed.');
        }
        let parsedUrl = new URL(requestUrl);
        let info = this._prepareRequest(verb, parsedUrl, headers);
        // Only perform retries on reads since writes may not be idempotent.
        let maxTries = this._allowRetries && RetryableHttpVerbs.indexOf(verb) != -1
            ? this._maxRetries + 1
            : 1;
        let numTries = 0;
        let response;
        while (numTries < maxTries) {
            response = await this.requestRaw(info, data);
            // Check if it's an authentication challenge
            if (response &&
                response.message &&
                response.message.statusCode === HttpCodes.Unauthorized) {
                let authenticationHandler;
                for (let i = 0; i < this.handlers.length; i++) {
                    if (this.handlers[i].canHandleAuthentication(response)) {
                        authenticationHandler = this.handlers[i];
                        break;
                    }
                }
                if (authenticationHandler) {
                    return authenticationHandler.handleAuthentication(this, info, data);
                }
                else {
                    // We have received an unauthorized response but have no handlers to handle it.
                    // Let the response return to the caller.
                    return response;
                }
            }
            let redirectsRemaining = this._maxRedirects;
            while (HttpRedirectCodes.indexOf(response.message.statusCode) != -1 &&
                this._allowRedirects &&
                redirectsRemaining > 0) {
                const redirectUrl = response.message.headers['location'];
                if (!redirectUrl) {
                    // if there's no location to redirect to, we won't
                    break;
                }
                let parsedRedirectUrl = new URL(redirectUrl);
                if (parsedUrl.protocol == 'https:' &&
                    parsedUrl.protocol != parsedRedirectUrl.protocol &&
                    !this._allowRedirectDowngrade) {
                    throw new Error('Redirect from HTTPS to HTTP protocol. This downgrade is not allowed for security reasons. If you want to allow this behavior, set the allowRedirectDowngrade option to true.');
                }
                // we need to finish reading the response before reassigning response
                // which will leak the open socket.
                await response.readBody();
                // strip authorization header if redirected to a different hostname
                if (parsedRedirectUrl.hostname !== parsedUrl.hostname) {
                    for (let header in headers) {
                        // header names are case insensitive
                        if (header.toLowerCase() === 'authorization') {
                            delete headers[header];
                        }
                    }
                }
                // let's make the request with the new redirectUrl
                info = this._prepareRequest(verb, parsedRedirectUrl, headers);
                response = await this.requestRaw(info, data);
                redirectsRemaining--;
            }
            if (HttpResponseRetryCodes.indexOf(response.message.statusCode) == -1) {
                // If not a retry code, return immediately instead of retrying
                return response;
            }
            numTries += 1;
            if (numTries < maxTries) {
                await response.readBody();
                await this._performExponentialBackoff(numTries);
            }
        }
        return response;
    }
    /**
     * Needs to be called if keepAlive is set to true in request options.
     */
    dispose() {
        if (this._agent) {
            this._agent.destroy();
        }
        this._disposed = true;
    }
    /**
     * Raw request.
     * @param info
     * @param data
     */
    requestRaw(info, data) {
        return new Promise((resolve, reject) => {
            let callbackForResult = function (err, res) {
                if (err) {
                    reject(err);
                }
                resolve(res);
            };
            this.requestRawWithCallback(info, data, callbackForResult);
        });
    }
    /**
     * Raw request with callback.
     * @param info
     * @param data
     * @param onResult
     */
    requestRawWithCallback(info, data, onResult) {
        let socket;
        if (typeof data === 'string') {
            info.options.headers['Content-Length'] = Buffer.byteLength(data, 'utf8');
        }
        let callbackCalled = false;
        let handleResult = (err, res) => {
            if (!callbackCalled) {
                callbackCalled = true;
                onResult(err, res);
            }
        };
        let req = info.httpModule.request(info.options, (msg) => {
            let res = new HttpClientResponse(msg);
            handleResult(null, res);
        });
        req.on('socket', sock => {
            socket = sock;
        });
        // If we ever get disconnected, we want the socket to timeout eventually
        req.setTimeout(this._socketTimeout || 3 * 60000, () => {
            if (socket) {
                socket.end();
            }
            handleResult(new Error('Request timeout: ' + info.options.path), null);
        });
        req.on('error', function (err) {
            // err has statusCode property
            // res should have headers
            handleResult(err, null);
        });
        if (data && typeof data === 'string') {
            req.write(data, 'utf8');
        }
        if (data && typeof data !== 'string') {
            data.on('close', function () {
                req.end();
            });
            data.pipe(req);
        }
        else {
            req.end();
        }
    }
    /**
     * Gets an http agent. This function is useful when you need an http agent that handles
     * routing through a proxy server - depending upon the url and proxy environment variables.
     * @param serverUrl  The server URL where the request will be sent. For example, https://api.github.com
     */
    getAgent(serverUrl) {
        let parsedUrl = new URL(serverUrl);
        return this._getAgent(parsedUrl);
    }
    _prepareRequest(method, requestUrl, headers) {
        const info = {};
        info.parsedUrl = requestUrl;
        const usingSsl = info.parsedUrl.protocol === 'https:';
        info.httpModule = usingSsl ? https : http;
        const defaultPort = usingSsl ? 443 : 80;
        info.options = {};
        info.options.host = info.parsedUrl.hostname;
        info.options.port = info.parsedUrl.port
            ? parseInt(info.parsedUrl.port)
            : defaultPort;
        info.options.path =
            (info.parsedUrl.pathname || '') + (info.parsedUrl.search || '');
        info.options.method = method;
        info.options.headers = this._mergeHeaders(headers);
        if (this.userAgent != null) {
            info.options.headers['user-agent'] = this.userAgent;
        }
        info.options.agent = this._getAgent(info.parsedUrl);
        // gives handlers an opportunity to participate
        if (this.handlers) {
            this.handlers.forEach(handler => {
                handler.prepareRequest(info.options);
            });
        }
        return info;
    }
    _mergeHeaders(headers) {
        const lowercaseKeys = obj => Object.keys(obj).reduce((c, k) => ((c[k.toLowerCase()] = obj[k]), c), {});
        if (this.requestOptions && this.requestOptions.headers) {
            return Object.assign({}, lowercaseKeys(this.requestOptions.headers), lowercaseKeys(headers));
        }
        return lowercaseKeys(headers || {});
    }
    _getExistingOrDefaultHeader(additionalHeaders, header, _default) {
        const lowercaseKeys = obj => Object.keys(obj).reduce((c, k) => ((c[k.toLowerCase()] = obj[k]), c), {});
        let clientHeader;
        if (this.requestOptions && this.requestOptions.headers) {
            clientHeader = lowercaseKeys(this.requestOptions.headers)[header];
        }
        return additionalHeaders[header] || clientHeader || _default;
    }
    _getAgent(parsedUrl) {
        let agent;
        let proxyUrl = pm.getProxyUrl(parsedUrl);
        let useProxy = proxyUrl && proxyUrl.hostname;
        if (this._keepAlive && useProxy) {
            agent = this._proxyAgent;
        }
        if (this._keepAlive && !useProxy) {
            agent = this._agent;
        }
        // if agent is already assigned use that agent.
        if (!!agent) {
            return agent;
        }
        const usingSsl = parsedUrl.protocol === 'https:';
        let maxSockets = 100;
        if (!!this.requestOptions) {
            maxSockets = this.requestOptions.maxSockets || http.globalAgent.maxSockets;
        }
        if (useProxy) {
            // If using proxy, need tunnel
            if (!tunnel) {
                tunnel = __nccwpck_require__(74294);
            }
            const agentOptions = {
                maxSockets: maxSockets,
                keepAlive: this._keepAlive,
                proxy: {
                    ...((proxyUrl.username || proxyUrl.password) && {
                        proxyAuth: `${proxyUrl.username}:${proxyUrl.password}`
                    }),
                    host: proxyUrl.hostname,
                    port: proxyUrl.port
                }
            };
            let tunnelAgent;
            const overHttps = proxyUrl.protocol === 'https:';
            if (usingSsl) {
                tunnelAgent = overHttps ? tunnel.httpsOverHttps : tunnel.httpsOverHttp;
            }
            else {
                tunnelAgent = overHttps ? tunnel.httpOverHttps : tunnel.httpOverHttp;
            }
            agent = tunnelAgent(agentOptions);
            this._proxyAgent = agent;
        }
        // if reusing agent across request and tunneling agent isn't assigned create a new agent
        if (this._keepAlive && !agent) {
            const options = { keepAlive: this._keepAlive, maxSockets: maxSockets };
            agent = usingSsl ? new https.Agent(options) : new http.Agent(options);
            this._agent = agent;
        }
        // if not using private agent and tunnel agent isn't setup then use global agent
        if (!agent) {
            agent = usingSsl ? https.globalAgent : http.globalAgent;
        }
        if (usingSsl && this._ignoreSslError) {
            // we don't want to set NODE_TLS_REJECT_UNAUTHORIZED=0 since that will affect request for entire process
            // http.RequestOptions doesn't expose a way to modify RequestOptions.agent.options
            // we have to cast it to any and change it directly
            agent.options = Object.assign(agent.options || {}, {
                rejectUnauthorized: false
            });
        }
        return agent;
    }
    _performExponentialBackoff(retryNumber) {
        retryNumber = Math.min(ExponentialBackoffCeiling, retryNumber);
        const ms = ExponentialBackoffTimeSlice * Math.pow(2, retryNumber);
        return new Promise(resolve => setTimeout(() => resolve(), ms));
    }
    static dateTimeDeserializer(key, value) {
        if (typeof value === 'string') {
            let a = new Date(value);
            if (!isNaN(a.valueOf())) {
                return a;
            }
        }
        return value;
    }
    async _processResponse(res, options) {
        return new Promise(async (resolve, reject) => {
            const statusCode = res.message.statusCode;
            const response = {
                statusCode: statusCode,
                result: null,
                headers: {}
            };
            // not found leads to null obj returned
            if (statusCode == HttpCodes.NotFound) {
                resolve(response);
            }
            let obj;
            let contents;
            // get the result from the body
            try {
                contents = await res.readBody();
                if (contents && contents.length > 0) {
                    if (options && options.deserializeDates) {
                        obj = JSON.parse(contents, HttpClient.dateTimeDeserializer);
                    }
                    else {
                        obj = JSON.parse(contents);
                    }
                    response.result = obj;
                }
                response.headers = res.message.headers;
            }
            catch (err) {
                // Invalid resource (contents not json);  leaving result obj null
            }
            // note that 3xx redirects are handled by the http layer.
            if (statusCode > 299) {
                let msg;
                // if exception/error in body, attempt to get better error
                if (obj && obj.message) {
                    msg = obj.message;
                }
                else if (contents && contents.length > 0) {
                    // it may be the case that the exception is in the body message as string
                    msg = contents;
                }
                else {
                    msg = 'Failed request: (' + statusCode + ')';
                }
                let err = new HttpClientError(msg, statusCode);
                err.result = response.result;
                reject(err);
            }
            else {
                resolve(response);
            }
        });
    }
}
exports.HttpClient = HttpClient;


/***/ }),

/***/ 16443:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
function getProxyUrl(reqUrl) {
    let usingSsl = reqUrl.protocol === 'https:';
    let proxyUrl;
    if (checkBypass(reqUrl)) {
        return proxyUrl;
    }
    let proxyVar;
    if (usingSsl) {
        proxyVar = process.env['https_proxy'] || process.env['HTTPS_PROXY'];
    }
    else {
        proxyVar = process.env['http_proxy'] || process.env['HTTP_PROXY'];
    }
    if (proxyVar) {
        proxyUrl = new URL(proxyVar);
    }
    return proxyUrl;
}
exports.getProxyUrl = getProxyUrl;
function checkBypass(reqUrl) {
    if (!reqUrl.hostname) {
        return false;
    }
    let noProxy = process.env['no_proxy'] || process.env['NO_PROXY'] || '';
    if (!noProxy) {
        return false;
    }
    // Determine the request port
    let reqPort;
    if (reqUrl.port) {
        reqPort = Number(reqUrl.port);
    }
    else if (reqUrl.protocol === 'http:') {
        reqPort = 80;
    }
    else if (reqUrl.protocol === 'https:') {
        reqPort = 443;
    }
    // Format the request hostname and hostname with port
    let upperReqHosts = [reqUrl.hostname.toUpperCase()];
    if (typeof reqPort === 'number') {
        upperReqHosts.push(`${upperReqHosts[0]}:${reqPort}`);
    }
    // Compare request host against noproxy
    for (let upperNoProxyItem of noProxy
        .split(',')
        .map(x => x.trim().toUpperCase())
        .filter(x => x)) {
        if (upperReqHosts.some(x => x === upperNoProxyItem)) {
            return true;
        }
    }
    return false;
}
exports.checkBypass = checkBypass;


/***/ }),

/***/ 45211:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.codeFrameColumns = codeFrameColumns;
exports["default"] = _default;

var _highlight = __nccwpck_require__(36860);

let deprecationWarningShown = false;

function getDefs(chalk) {
  return {
    gutter: chalk.grey,
    marker: chalk.red.bold,
    message: chalk.red.bold
  };
}

const NEWLINE = /\r\n|[\n\r\u2028\u2029]/;

function getMarkerLines(loc, source, opts) {
  const startLoc = Object.assign({
    column: 0,
    line: -1
  }, loc.start);
  const endLoc = Object.assign({}, startLoc, loc.end);
  const {
    linesAbove = 2,
    linesBelow = 3
  } = opts || {};
  const startLine = startLoc.line;
  const startColumn = startLoc.column;
  const endLine = endLoc.line;
  const endColumn = endLoc.column;
  let start = Math.max(startLine - (linesAbove + 1), 0);
  let end = Math.min(source.length, endLine + linesBelow);

  if (startLine === -1) {
    start = 0;
  }

  if (endLine === -1) {
    end = source.length;
  }

  const lineDiff = endLine - startLine;
  const markerLines = {};

  if (lineDiff) {
    for (let i = 0; i <= lineDiff; i++) {
      const lineNumber = i + startLine;

      if (!startColumn) {
        markerLines[lineNumber] = true;
      } else if (i === 0) {
        const sourceLength = source[lineNumber - 1].length;
        markerLines[lineNumber] = [startColumn, sourceLength - startColumn + 1];
      } else if (i === lineDiff) {
        markerLines[lineNumber] = [0, endColumn];
      } else {
        const sourceLength = source[lineNumber - i].length;
        markerLines[lineNumber] = [0, sourceLength];
      }
    }
  } else {
    if (startColumn === endColumn) {
      if (startColumn) {
        markerLines[startLine] = [startColumn, 0];
      } else {
        markerLines[startLine] = true;
      }
    } else {
      markerLines[startLine] = [startColumn, endColumn - startColumn];
    }
  }

  return {
    start,
    end,
    markerLines
  };
}

function codeFrameColumns(rawLines, loc, opts = {}) {
  const highlighted = (opts.highlightCode || opts.forceColor) && (0, _highlight.shouldHighlight)(opts);
  const chalk = (0, _highlight.getChalk)(opts);
  const defs = getDefs(chalk);

  const maybeHighlight = (chalkFn, string) => {
    return highlighted ? chalkFn(string) : string;
  };

  const lines = rawLines.split(NEWLINE);
  const {
    start,
    end,
    markerLines
  } = getMarkerLines(loc, lines, opts);
  const hasColumns = loc.start && typeof loc.start.column === "number";
  const numberMaxWidth = String(end).length;
  const highlightedLines = highlighted ? (0, _highlight.default)(rawLines, opts) : rawLines;
  let frame = highlightedLines.split(NEWLINE, end).slice(start, end).map((line, index) => {
    const number = start + 1 + index;
    const paddedNumber = ` ${number}`.slice(-numberMaxWidth);
    const gutter = ` ${paddedNumber} |`;
    const hasMarker = markerLines[number];
    const lastMarkerLine = !markerLines[number + 1];

    if (hasMarker) {
      let markerLine = "";

      if (Array.isArray(hasMarker)) {
        const markerSpacing = line.slice(0, Math.max(hasMarker[0] - 1, 0)).replace(/[^\t]/g, " ");
        const numberOfMarkers = hasMarker[1] || 1;
        markerLine = ["\n ", maybeHighlight(defs.gutter, gutter.replace(/\d/g, " ")), " ", markerSpacing, maybeHighlight(defs.marker, "^").repeat(numberOfMarkers)].join("");

        if (lastMarkerLine && opts.message) {
          markerLine += " " + maybeHighlight(defs.message, opts.message);
        }
      }

      return [maybeHighlight(defs.marker, ">"), maybeHighlight(defs.gutter, gutter), line.length > 0 ? ` ${line}` : "", markerLine].join("");
    } else {
      return ` ${maybeHighlight(defs.gutter, gutter)}${line.length > 0 ? ` ${line}` : ""}`;
    }
  }).join("\n");

  if (opts.message && !hasColumns) {
    frame = `${" ".repeat(numberMaxWidth + 1)}${opts.message}\n${frame}`;
  }

  if (highlighted) {
    return chalk.reset(frame);
  } else {
    return frame;
  }
}

function _default(rawLines, lineNumber, colNumber, opts = {}) {
  if (!deprecationWarningShown) {
    deprecationWarningShown = true;
    const message = "Passing lineNumber and colNumber is deprecated to @babel/code-frame. Please use `codeFrameColumns`.";

    if (process.emitWarning) {
      process.emitWarning(message, "DeprecationWarning");
    } else {
      const deprecationError = new Error(message);
      deprecationError.name = "DeprecationWarning";
      console.warn(new Error(message));
    }
  }

  colNumber = Math.max(colNumber, 0);
  const location = {
    start: {
      column: colNumber,
      line: lineNumber
    }
  };
  return codeFrameColumns(rawLines, location, opts);
}

/***/ }),

/***/ 66396:
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.isIdentifierStart = isIdentifierStart;
exports.isIdentifierChar = isIdentifierChar;
exports.isIdentifierName = isIdentifierName;
let nonASCIIidentifierStartChars = "\xaa\xb5\xba\xc0-\xd6\xd8-\xf6\xf8-\u02c1\u02c6-\u02d1\u02e0-\u02e4\u02ec\u02ee\u0370-\u0374\u0376\u0377\u037a-\u037d\u037f\u0386\u0388-\u038a\u038c\u038e-\u03a1\u03a3-\u03f5\u03f7-\u0481\u048a-\u052f\u0531-\u0556\u0559\u0560-\u0588\u05d0-\u05ea\u05ef-\u05f2\u0620-\u064a\u066e\u066f\u0671-\u06d3\u06d5\u06e5\u06e6\u06ee\u06ef\u06fa-\u06fc\u06ff\u0710\u0712-\u072f\u074d-\u07a5\u07b1\u07ca-\u07ea\u07f4\u07f5\u07fa\u0800-\u0815\u081a\u0824\u0828\u0840-\u0858\u0860-\u086a\u0870-\u0887\u0889-\u088e\u08a0-\u08c9\u0904-\u0939\u093d\u0950\u0958-\u0961\u0971-\u0980\u0985-\u098c\u098f\u0990\u0993-\u09a8\u09aa-\u09b0\u09b2\u09b6-\u09b9\u09bd\u09ce\u09dc\u09dd\u09df-\u09e1\u09f0\u09f1\u09fc\u0a05-\u0a0a\u0a0f\u0a10\u0a13-\u0a28\u0a2a-\u0a30\u0a32\u0a33\u0a35\u0a36\u0a38\u0a39\u0a59-\u0a5c\u0a5e\u0a72-\u0a74\u0a85-\u0a8d\u0a8f-\u0a91\u0a93-\u0aa8\u0aaa-\u0ab0\u0ab2\u0ab3\u0ab5-\u0ab9\u0abd\u0ad0\u0ae0\u0ae1\u0af9\u0b05-\u0b0c\u0b0f\u0b10\u0b13-\u0b28\u0b2a-\u0b30\u0b32\u0b33\u0b35-\u0b39\u0b3d\u0b5c\u0b5d\u0b5f-\u0b61\u0b71\u0b83\u0b85-\u0b8a\u0b8e-\u0b90\u0b92-\u0b95\u0b99\u0b9a\u0b9c\u0b9e\u0b9f\u0ba3\u0ba4\u0ba8-\u0baa\u0bae-\u0bb9\u0bd0\u0c05-\u0c0c\u0c0e-\u0c10\u0c12-\u0c28\u0c2a-\u0c39\u0c3d\u0c58-\u0c5a\u0c5d\u0c60\u0c61\u0c80\u0c85-\u0c8c\u0c8e-\u0c90\u0c92-\u0ca8\u0caa-\u0cb3\u0cb5-\u0cb9\u0cbd\u0cdd\u0cde\u0ce0\u0ce1\u0cf1\u0cf2\u0d04-\u0d0c\u0d0e-\u0d10\u0d12-\u0d3a\u0d3d\u0d4e\u0d54-\u0d56\u0d5f-\u0d61\u0d7a-\u0d7f\u0d85-\u0d96\u0d9a-\u0db1\u0db3-\u0dbb\u0dbd\u0dc0-\u0dc6\u0e01-\u0e30\u0e32\u0e33\u0e40-\u0e46\u0e81\u0e82\u0e84\u0e86-\u0e8a\u0e8c-\u0ea3\u0ea5\u0ea7-\u0eb0\u0eb2\u0eb3\u0ebd\u0ec0-\u0ec4\u0ec6\u0edc-\u0edf\u0f00\u0f40-\u0f47\u0f49-\u0f6c\u0f88-\u0f8c\u1000-\u102a\u103f\u1050-\u1055\u105a-\u105d\u1061\u1065\u1066\u106e-\u1070\u1075-\u1081\u108e\u10a0-\u10c5\u10c7\u10cd\u10d0-\u10fa\u10fc-\u1248\u124a-\u124d\u1250-\u1256\u1258\u125a-\u125d\u1260-\u1288\u128a-\u128d\u1290-\u12b0\u12b2-\u12b5\u12b8-\u12be\u12c0\u12c2-\u12c5\u12c8-\u12d6\u12d8-\u1310\u1312-\u1315\u1318-\u135a\u1380-\u138f\u13a0-\u13f5\u13f8-\u13fd\u1401-\u166c\u166f-\u167f\u1681-\u169a\u16a0-\u16ea\u16ee-\u16f8\u1700-\u1711\u171f-\u1731\u1740-\u1751\u1760-\u176c\u176e-\u1770\u1780-\u17b3\u17d7\u17dc\u1820-\u1878\u1880-\u18a8\u18aa\u18b0-\u18f5\u1900-\u191e\u1950-\u196d\u1970-\u1974\u1980-\u19ab\u19b0-\u19c9\u1a00-\u1a16\u1a20-\u1a54\u1aa7\u1b05-\u1b33\u1b45-\u1b4c\u1b83-\u1ba0\u1bae\u1baf\u1bba-\u1be5\u1c00-\u1c23\u1c4d-\u1c4f\u1c5a-\u1c7d\u1c80-\u1c88\u1c90-\u1cba\u1cbd-\u1cbf\u1ce9-\u1cec\u1cee-\u1cf3\u1cf5\u1cf6\u1cfa\u1d00-\u1dbf\u1e00-\u1f15\u1f18-\u1f1d\u1f20-\u1f45\u1f48-\u1f4d\u1f50-\u1f57\u1f59\u1f5b\u1f5d\u1f5f-\u1f7d\u1f80-\u1fb4\u1fb6-\u1fbc\u1fbe\u1fc2-\u1fc4\u1fc6-\u1fcc\u1fd0-\u1fd3\u1fd6-\u1fdb\u1fe0-\u1fec\u1ff2-\u1ff4\u1ff6-\u1ffc\u2071\u207f\u2090-\u209c\u2102\u2107\u210a-\u2113\u2115\u2118-\u211d\u2124\u2126\u2128\u212a-\u2139\u213c-\u213f\u2145-\u2149\u214e\u2160-\u2188\u2c00-\u2ce4\u2ceb-\u2cee\u2cf2\u2cf3\u2d00-\u2d25\u2d27\u2d2d\u2d30-\u2d67\u2d6f\u2d80-\u2d96\u2da0-\u2da6\u2da8-\u2dae\u2db0-\u2db6\u2db8-\u2dbe\u2dc0-\u2dc6\u2dc8-\u2dce\u2dd0-\u2dd6\u2dd8-\u2dde\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303c\u3041-\u3096\u309b-\u309f\u30a1-\u30fa\u30fc-\u30ff\u3105-\u312f\u3131-\u318e\u31a0-\u31bf\u31f0-\u31ff\u3400-\u4dbf\u4e00-\ua48c\ua4d0-\ua4fd\ua500-\ua60c\ua610-\ua61f\ua62a\ua62b\ua640-\ua66e\ua67f-\ua69d\ua6a0-\ua6ef\ua717-\ua71f\ua722-\ua788\ua78b-\ua7ca\ua7d0\ua7d1\ua7d3\ua7d5-\ua7d9\ua7f2-\ua801\ua803-\ua805\ua807-\ua80a\ua80c-\ua822\ua840-\ua873\ua882-\ua8b3\ua8f2-\ua8f7\ua8fb\ua8fd\ua8fe\ua90a-\ua925\ua930-\ua946\ua960-\ua97c\ua984-\ua9b2\ua9cf\ua9e0-\ua9e4\ua9e6-\ua9ef\ua9fa-\ua9fe\uaa00-\uaa28\uaa40-\uaa42\uaa44-\uaa4b\uaa60-\uaa76\uaa7a\uaa7e-\uaaaf\uaab1\uaab5\uaab6\uaab9-\uaabd\uaac0\uaac2\uaadb-\uaadd\uaae0-\uaaea\uaaf2-\uaaf4\uab01-\uab06\uab09-\uab0e\uab11-\uab16\uab20-\uab26\uab28-\uab2e\uab30-\uab5a\uab5c-\uab69\uab70-\uabe2\uac00-\ud7a3\ud7b0-\ud7c6\ud7cb-\ud7fb\uf900-\ufa6d\ufa70-\ufad9\ufb00-\ufb06\ufb13-\ufb17\ufb1d\ufb1f-\ufb28\ufb2a-\ufb36\ufb38-\ufb3c\ufb3e\ufb40\ufb41\ufb43\ufb44\ufb46-\ufbb1\ufbd3-\ufd3d\ufd50-\ufd8f\ufd92-\ufdc7\ufdf0-\ufdfb\ufe70-\ufe74\ufe76-\ufefc\uff21-\uff3a\uff41-\uff5a\uff66-\uffbe\uffc2-\uffc7\uffca-\uffcf\uffd2-\uffd7\uffda-\uffdc";
let nonASCIIidentifierChars = "\u200c\u200d\xb7\u0300-\u036f\u0387\u0483-\u0487\u0591-\u05bd\u05bf\u05c1\u05c2\u05c4\u05c5\u05c7\u0610-\u061a\u064b-\u0669\u0670\u06d6-\u06dc\u06df-\u06e4\u06e7\u06e8\u06ea-\u06ed\u06f0-\u06f9\u0711\u0730-\u074a\u07a6-\u07b0\u07c0-\u07c9\u07eb-\u07f3\u07fd\u0816-\u0819\u081b-\u0823\u0825-\u0827\u0829-\u082d\u0859-\u085b\u0898-\u089f\u08ca-\u08e1\u08e3-\u0903\u093a-\u093c\u093e-\u094f\u0951-\u0957\u0962\u0963\u0966-\u096f\u0981-\u0983\u09bc\u09be-\u09c4\u09c7\u09c8\u09cb-\u09cd\u09d7\u09e2\u09e3\u09e6-\u09ef\u09fe\u0a01-\u0a03\u0a3c\u0a3e-\u0a42\u0a47\u0a48\u0a4b-\u0a4d\u0a51\u0a66-\u0a71\u0a75\u0a81-\u0a83\u0abc\u0abe-\u0ac5\u0ac7-\u0ac9\u0acb-\u0acd\u0ae2\u0ae3\u0ae6-\u0aef\u0afa-\u0aff\u0b01-\u0b03\u0b3c\u0b3e-\u0b44\u0b47\u0b48\u0b4b-\u0b4d\u0b55-\u0b57\u0b62\u0b63\u0b66-\u0b6f\u0b82\u0bbe-\u0bc2\u0bc6-\u0bc8\u0bca-\u0bcd\u0bd7\u0be6-\u0bef\u0c00-\u0c04\u0c3c\u0c3e-\u0c44\u0c46-\u0c48\u0c4a-\u0c4d\u0c55\u0c56\u0c62\u0c63\u0c66-\u0c6f\u0c81-\u0c83\u0cbc\u0cbe-\u0cc4\u0cc6-\u0cc8\u0cca-\u0ccd\u0cd5\u0cd6\u0ce2\u0ce3\u0ce6-\u0cef\u0d00-\u0d03\u0d3b\u0d3c\u0d3e-\u0d44\u0d46-\u0d48\u0d4a-\u0d4d\u0d57\u0d62\u0d63\u0d66-\u0d6f\u0d81-\u0d83\u0dca\u0dcf-\u0dd4\u0dd6\u0dd8-\u0ddf\u0de6-\u0def\u0df2\u0df3\u0e31\u0e34-\u0e3a\u0e47-\u0e4e\u0e50-\u0e59\u0eb1\u0eb4-\u0ebc\u0ec8-\u0ecd\u0ed0-\u0ed9\u0f18\u0f19\u0f20-\u0f29\u0f35\u0f37\u0f39\u0f3e\u0f3f\u0f71-\u0f84\u0f86\u0f87\u0f8d-\u0f97\u0f99-\u0fbc\u0fc6\u102b-\u103e\u1040-\u1049\u1056-\u1059\u105e-\u1060\u1062-\u1064\u1067-\u106d\u1071-\u1074\u1082-\u108d\u108f-\u109d\u135d-\u135f\u1369-\u1371\u1712-\u1715\u1732-\u1734\u1752\u1753\u1772\u1773\u17b4-\u17d3\u17dd\u17e0-\u17e9\u180b-\u180d\u180f-\u1819\u18a9\u1920-\u192b\u1930-\u193b\u1946-\u194f\u19d0-\u19da\u1a17-\u1a1b\u1a55-\u1a5e\u1a60-\u1a7c\u1a7f-\u1a89\u1a90-\u1a99\u1ab0-\u1abd\u1abf-\u1ace\u1b00-\u1b04\u1b34-\u1b44\u1b50-\u1b59\u1b6b-\u1b73\u1b80-\u1b82\u1ba1-\u1bad\u1bb0-\u1bb9\u1be6-\u1bf3\u1c24-\u1c37\u1c40-\u1c49\u1c50-\u1c59\u1cd0-\u1cd2\u1cd4-\u1ce8\u1ced\u1cf4\u1cf7-\u1cf9\u1dc0-\u1dff\u203f\u2040\u2054\u20d0-\u20dc\u20e1\u20e5-\u20f0\u2cef-\u2cf1\u2d7f\u2de0-\u2dff\u302a-\u302f\u3099\u309a\ua620-\ua629\ua66f\ua674-\ua67d\ua69e\ua69f\ua6f0\ua6f1\ua802\ua806\ua80b\ua823-\ua827\ua82c\ua880\ua881\ua8b4-\ua8c5\ua8d0-\ua8d9\ua8e0-\ua8f1\ua8ff-\ua909\ua926-\ua92d\ua947-\ua953\ua980-\ua983\ua9b3-\ua9c0\ua9d0-\ua9d9\ua9e5\ua9f0-\ua9f9\uaa29-\uaa36\uaa43\uaa4c\uaa4d\uaa50-\uaa59\uaa7b-\uaa7d\uaab0\uaab2-\uaab4\uaab7\uaab8\uaabe\uaabf\uaac1\uaaeb-\uaaef\uaaf5\uaaf6\uabe3-\uabea\uabec\uabed\uabf0-\uabf9\ufb1e\ufe00-\ufe0f\ufe20-\ufe2f\ufe33\ufe34\ufe4d-\ufe4f\uff10-\uff19\uff3f";
const nonASCIIidentifierStart = new RegExp("[" + nonASCIIidentifierStartChars + "]");
const nonASCIIidentifier = new RegExp("[" + nonASCIIidentifierStartChars + nonASCIIidentifierChars + "]");
nonASCIIidentifierStartChars = nonASCIIidentifierChars = null;
const astralIdentifierStartCodes = [0, 11, 2, 25, 2, 18, 2, 1, 2, 14, 3, 13, 35, 122, 70, 52, 268, 28, 4, 48, 48, 31, 14, 29, 6, 37, 11, 29, 3, 35, 5, 7, 2, 4, 43, 157, 19, 35, 5, 35, 5, 39, 9, 51, 13, 10, 2, 14, 2, 6, 2, 1, 2, 10, 2, 14, 2, 6, 2, 1, 68, 310, 10, 21, 11, 7, 25, 5, 2, 41, 2, 8, 70, 5, 3, 0, 2, 43, 2, 1, 4, 0, 3, 22, 11, 22, 10, 30, 66, 18, 2, 1, 11, 21, 11, 25, 71, 55, 7, 1, 65, 0, 16, 3, 2, 2, 2, 28, 43, 28, 4, 28, 36, 7, 2, 27, 28, 53, 11, 21, 11, 18, 14, 17, 111, 72, 56, 50, 14, 50, 14, 35, 349, 41, 7, 1, 79, 28, 11, 0, 9, 21, 43, 17, 47, 20, 28, 22, 13, 52, 58, 1, 3, 0, 14, 44, 33, 24, 27, 35, 30, 0, 3, 0, 9, 34, 4, 0, 13, 47, 15, 3, 22, 0, 2, 0, 36, 17, 2, 24, 85, 6, 2, 0, 2, 3, 2, 14, 2, 9, 8, 46, 39, 7, 3, 1, 3, 21, 2, 6, 2, 1, 2, 4, 4, 0, 19, 0, 13, 4, 159, 52, 19, 3, 21, 2, 31, 47, 21, 1, 2, 0, 185, 46, 42, 3, 37, 47, 21, 0, 60, 42, 14, 0, 72, 26, 38, 6, 186, 43, 117, 63, 32, 7, 3, 0, 3, 7, 2, 1, 2, 23, 16, 0, 2, 0, 95, 7, 3, 38, 17, 0, 2, 0, 29, 0, 11, 39, 8, 0, 22, 0, 12, 45, 20, 0, 19, 72, 264, 8, 2, 36, 18, 0, 50, 29, 113, 6, 2, 1, 2, 37, 22, 0, 26, 5, 2, 1, 2, 31, 15, 0, 328, 18, 190, 0, 80, 921, 103, 110, 18, 195, 2637, 96, 16, 1070, 4050, 582, 8634, 568, 8, 30, 18, 78, 18, 29, 19, 47, 17, 3, 32, 20, 6, 18, 689, 63, 129, 74, 6, 0, 67, 12, 65, 1, 2, 0, 29, 6135, 9, 1237, 43, 8, 8936, 3, 2, 6, 2, 1, 2, 290, 46, 2, 18, 3, 9, 395, 2309, 106, 6, 12, 4, 8, 8, 9, 5991, 84, 2, 70, 2, 1, 3, 0, 3, 1, 3, 3, 2, 11, 2, 0, 2, 6, 2, 64, 2, 3, 3, 7, 2, 6, 2, 27, 2, 3, 2, 4, 2, 0, 4, 6, 2, 339, 3, 24, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 7, 1845, 30, 482, 44, 11, 6, 17, 0, 322, 29, 19, 43, 1269, 6, 2, 3, 2, 1, 2, 14, 2, 196, 60, 67, 8, 0, 1205, 3, 2, 26, 2, 1, 2, 0, 3, 0, 2, 9, 2, 3, 2, 0, 2, 0, 7, 0, 5, 0, 2, 0, 2, 0, 2, 2, 2, 1, 2, 0, 3, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 1, 2, 0, 3, 3, 2, 6, 2, 3, 2, 3, 2, 0, 2, 9, 2, 16, 6, 2, 2, 4, 2, 16, 4421, 42719, 33, 4152, 8, 221, 3, 5761, 15, 7472, 3104, 541, 1507, 4938];
const astralIdentifierCodes = [509, 0, 227, 0, 150, 4, 294, 9, 1368, 2, 2, 1, 6, 3, 41, 2, 5, 0, 166, 1, 574, 3, 9, 9, 370, 1, 154, 10, 50, 3, 123, 2, 54, 14, 32, 10, 3, 1, 11, 3, 46, 10, 8, 0, 46, 9, 7, 2, 37, 13, 2, 9, 6, 1, 45, 0, 13, 2, 49, 13, 9, 3, 2, 11, 83, 11, 7, 0, 161, 11, 6, 9, 7, 3, 56, 1, 2, 6, 3, 1, 3, 2, 10, 0, 11, 1, 3, 6, 4, 4, 193, 17, 10, 9, 5, 0, 82, 19, 13, 9, 214, 6, 3, 8, 28, 1, 83, 16, 16, 9, 82, 12, 9, 9, 84, 14, 5, 9, 243, 14, 166, 9, 71, 5, 2, 1, 3, 3, 2, 0, 2, 1, 13, 9, 120, 6, 3, 6, 4, 0, 29, 9, 41, 6, 2, 3, 9, 0, 10, 10, 47, 15, 406, 7, 2, 7, 17, 9, 57, 21, 2, 13, 123, 5, 4, 0, 2, 1, 2, 6, 2, 0, 9, 9, 49, 4, 2, 1, 2, 4, 9, 9, 330, 3, 19306, 9, 87, 9, 39, 4, 60, 6, 26, 9, 1014, 0, 2, 54, 8, 3, 82, 0, 12, 1, 19628, 1, 4706, 45, 3, 22, 543, 4, 4, 5, 9, 7, 3, 6, 31, 3, 149, 2, 1418, 49, 513, 54, 5, 49, 9, 0, 15, 0, 23, 4, 2, 14, 1361, 6, 2, 16, 3, 6, 2, 1, 2, 4, 262, 6, 10, 9, 357, 0, 62, 13, 1495, 6, 110, 6, 6, 9, 4759, 9, 787719, 239];

function isInAstralSet(code, set) {
  let pos = 0x10000;

  for (let i = 0, length = set.length; i < length; i += 2) {
    pos += set[i];
    if (pos > code) return false;
    pos += set[i + 1];
    if (pos >= code) return true;
  }

  return false;
}

function isIdentifierStart(code) {
  if (code < 65) return code === 36;
  if (code <= 90) return true;
  if (code < 97) return code === 95;
  if (code <= 122) return true;

  if (code <= 0xffff) {
    return code >= 0xaa && nonASCIIidentifierStart.test(String.fromCharCode(code));
  }

  return isInAstralSet(code, astralIdentifierStartCodes);
}

function isIdentifierChar(code) {
  if (code < 48) return code === 36;
  if (code < 58) return true;
  if (code < 65) return false;
  if (code <= 90) return true;
  if (code < 97) return code === 95;
  if (code <= 122) return true;

  if (code <= 0xffff) {
    return code >= 0xaa && nonASCIIidentifier.test(String.fromCharCode(code));
  }

  return isInAstralSet(code, astralIdentifierStartCodes) || isInAstralSet(code, astralIdentifierCodes);
}

function isIdentifierName(name) {
  let isFirst = true;

  for (let i = 0; i < name.length; i++) {
    let cp = name.charCodeAt(i);

    if ((cp & 0xfc00) === 0xd800 && i + 1 < name.length) {
      const trail = name.charCodeAt(++i);

      if ((trail & 0xfc00) === 0xdc00) {
        cp = 0x10000 + ((cp & 0x3ff) << 10) + (trail & 0x3ff);
      }
    }

    if (isFirst) {
      isFirst = false;

      if (!isIdentifierStart(cp)) {
        return false;
      }
    } else if (!isIdentifierChar(cp)) {
      return false;
    }
  }

  return !isFirst;
}

/***/ }),

/***/ 86607:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
Object.defineProperty(exports, "isIdentifierName", ({
  enumerable: true,
  get: function () {
    return _identifier.isIdentifierName;
  }
}));
Object.defineProperty(exports, "isIdentifierChar", ({
  enumerable: true,
  get: function () {
    return _identifier.isIdentifierChar;
  }
}));
Object.defineProperty(exports, "isIdentifierStart", ({
  enumerable: true,
  get: function () {
    return _identifier.isIdentifierStart;
  }
}));
Object.defineProperty(exports, "isReservedWord", ({
  enumerable: true,
  get: function () {
    return _keyword.isReservedWord;
  }
}));
Object.defineProperty(exports, "isStrictBindOnlyReservedWord", ({
  enumerable: true,
  get: function () {
    return _keyword.isStrictBindOnlyReservedWord;
  }
}));
Object.defineProperty(exports, "isStrictBindReservedWord", ({
  enumerable: true,
  get: function () {
    return _keyword.isStrictBindReservedWord;
  }
}));
Object.defineProperty(exports, "isStrictReservedWord", ({
  enumerable: true,
  get: function () {
    return _keyword.isStrictReservedWord;
  }
}));
Object.defineProperty(exports, "isKeyword", ({
  enumerable: true,
  get: function () {
    return _keyword.isKeyword;
  }
}));

var _identifier = __nccwpck_require__(66396);

var _keyword = __nccwpck_require__(47249);

/***/ }),

/***/ 47249:
/***/ ((__unused_webpack_module, exports) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.isReservedWord = isReservedWord;
exports.isStrictReservedWord = isStrictReservedWord;
exports.isStrictBindOnlyReservedWord = isStrictBindOnlyReservedWord;
exports.isStrictBindReservedWord = isStrictBindReservedWord;
exports.isKeyword = isKeyword;
const reservedWords = {
  keyword: ["break", "case", "catch", "continue", "debugger", "default", "do", "else", "finally", "for", "function", "if", "return", "switch", "throw", "try", "var", "const", "while", "with", "new", "this", "super", "class", "extends", "export", "import", "null", "true", "false", "in", "instanceof", "typeof", "void", "delete"],
  strict: ["implements", "interface", "let", "package", "private", "protected", "public", "static", "yield"],
  strictBind: ["eval", "arguments"]
};
const keywords = new Set(reservedWords.keyword);
const reservedWordsStrictSet = new Set(reservedWords.strict);
const reservedWordsStrictBindSet = new Set(reservedWords.strictBind);

function isReservedWord(word, inModule) {
  return inModule && word === "await" || word === "enum";
}

function isStrictReservedWord(word, inModule) {
  return isReservedWord(word, inModule) || reservedWordsStrictSet.has(word);
}

function isStrictBindOnlyReservedWord(word) {
  return reservedWordsStrictBindSet.has(word);
}

function isStrictBindReservedWord(word, inModule) {
  return isStrictReservedWord(word, inModule) || isStrictBindOnlyReservedWord(word);
}

function isKeyword(word) {
  return keywords.has(word);
}

/***/ }),

/***/ 36860:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";


Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports["default"] = highlight;
exports.getChalk = getChalk;
exports.shouldHighlight = shouldHighlight;

var _jsTokens = __nccwpck_require__(51531);

var _helperValidatorIdentifier = __nccwpck_require__(86607);

var _chalk = __nccwpck_require__(77658);

const sometimesKeywords = new Set(["as", "async", "from", "get", "of", "set"]);

function getDefs(chalk) {
  return {
    keyword: chalk.cyan,
    capitalized: chalk.yellow,
    jsxIdentifier: chalk.yellow,
    punctuator: chalk.yellow,
    number: chalk.magenta,
    string: chalk.green,
    regex: chalk.magenta,
    comment: chalk.grey,
    invalid: chalk.white.bgRed.bold
  };
}

const NEWLINE = /\r\n|[\n\r\u2028\u2029]/;
const BRACKET = /^[()[\]{}]$/;
let tokenize;
{
  const JSX_TAG = /^[a-z][\w-]*$/i;

  const getTokenType = function (token, offset, text) {
    if (token.type === "name") {
      if ((0, _helperValidatorIdentifier.isKeyword)(token.value) || (0, _helperValidatorIdentifier.isStrictReservedWord)(token.value, true) || sometimesKeywords.has(token.value)) {
        return "keyword";
      }

      if (JSX_TAG.test(token.value) && (text[offset - 1] === "<" || text.substr(offset - 2, 2) == "</")) {
        return "jsxIdentifier";
      }

      if (token.value[0] !== token.value[0].toLowerCase()) {
        return "capitalized";
      }
    }

    if (token.type === "punctuator" && BRACKET.test(token.value)) {
      return "bracket";
    }

    if (token.type === "invalid" && (token.value === "@" || token.value === "#")) {
      return "punctuator";
    }

    return token.type;
  };

  tokenize = function* (text) {
    let match;

    while (match = _jsTokens.default.exec(text)) {
      const token = _jsTokens.matchToToken(match);

      yield {
        type: getTokenType(token, match.index, text),
        value: token.value
      };
    }
  };
}

function highlightTokens(defs, text) {
  let highlighted = "";

  for (const {
    type,
    value
  } of tokenize(text)) {
    const colorize = defs[type];

    if (colorize) {
      highlighted += value.split(NEWLINE).map(str => colorize(str)).join("\n");
    } else {
      highlighted += value;
    }
  }

  return highlighted;
}

function shouldHighlight(options) {
  return !!_chalk.supportsColor || options.forceColor;
}

function getChalk(options) {
  return options.forceColor ? new _chalk.constructor({
    enabled: true,
    level: 1
  }) : _chalk;
}

function highlight(code, options = {}) {
  if (shouldHighlight(options)) {
    const chalk = getChalk(options);
    const defs = getDefs(chalk);
    return highlightTokens(defs, code);
  } else {
    return code;
  }
}

/***/ }),

/***/ 96538:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";
/* module decorator */ module = __nccwpck_require__.nmd(module);

const colorConvert = __nccwpck_require__(5458);

const wrapAnsi16 = (fn, offset) => function () {
	const code = fn.apply(colorConvert, arguments);
	return `\u001B[${code + offset}m`;
};

const wrapAnsi256 = (fn, offset) => function () {
	const code = fn.apply(colorConvert, arguments);
	return `\u001B[${38 + offset};5;${code}m`;
};

const wrapAnsi16m = (fn, offset) => function () {
	const rgb = fn.apply(colorConvert, arguments);
	return `\u001B[${38 + offset};2;${rgb[0]};${rgb[1]};${rgb[2]}m`;
};

function assembleStyles() {
	const codes = new Map();
	const styles = {
		modifier: {
			reset: [0, 0],
			// 21 isn't widely supported and 22 does the same thing
			bold: [1, 22],
			dim: [2, 22],
			italic: [3, 23],
			underline: [4, 24],
			inverse: [7, 27],
			hidden: [8, 28],
			strikethrough: [9, 29]
		},
		color: {
			black: [30, 39],
			red: [31, 39],
			green: [32, 39],
			yellow: [33, 39],
			blue: [34, 39],
			magenta: [35, 39],
			cyan: [36, 39],
			white: [37, 39],
			gray: [90, 39],

			// Bright color
			redBright: [91, 39],
			greenBright: [92, 39],
			yellowBright: [93, 39],
			blueBright: [94, 39],
			magentaBright: [95, 39],
			cyanBright: [96, 39],
			whiteBright: [97, 39]
		},
		bgColor: {
			bgBlack: [40, 49],
			bgRed: [41, 49],
			bgGreen: [42, 49],
			bgYellow: [43, 49],
			bgBlue: [44, 49],
			bgMagenta: [45, 49],
			bgCyan: [46, 49],
			bgWhite: [47, 49],

			// Bright color
			bgBlackBright: [100, 49],
			bgRedBright: [101, 49],
			bgGreenBright: [102, 49],
			bgYellowBright: [103, 49],
			bgBlueBright: [104, 49],
			bgMagentaBright: [105, 49],
			bgCyanBright: [106, 49],
			bgWhiteBright: [107, 49]
		}
	};

	// Fix humans
	styles.color.grey = styles.color.gray;

	for (const groupName of Object.keys(styles)) {
		const group = styles[groupName];

		for (const styleName of Object.keys(group)) {
			const style = group[styleName];

			styles[styleName] = {
				open: `\u001B[${style[0]}m`,
				close: `\u001B[${style[1]}m`
			};

			group[styleName] = styles[styleName];

			codes.set(style[0], style[1]);
		}

		Object.defineProperty(styles, groupName, {
			value: group,
			enumerable: false
		});

		Object.defineProperty(styles, 'codes', {
			value: codes,
			enumerable: false
		});
	}

	const ansi2ansi = n => n;
	const rgb2rgb = (r, g, b) => [r, g, b];

	styles.color.close = '\u001B[39m';
	styles.bgColor.close = '\u001B[49m';

	styles.color.ansi = {
		ansi: wrapAnsi16(ansi2ansi, 0)
	};
	styles.color.ansi256 = {
		ansi256: wrapAnsi256(ansi2ansi, 0)
	};
	styles.color.ansi16m = {
		rgb: wrapAnsi16m(rgb2rgb, 0)
	};

	styles.bgColor.ansi = {
		ansi: wrapAnsi16(ansi2ansi, 10)
	};
	styles.bgColor.ansi256 = {
		ansi256: wrapAnsi256(ansi2ansi, 10)
	};
	styles.bgColor.ansi16m = {
		rgb: wrapAnsi16m(rgb2rgb, 10)
	};

	for (let key of Object.keys(colorConvert)) {
		if (typeof colorConvert[key] !== 'object') {
			continue;
		}

		const suite = colorConvert[key];

		if (key === 'ansi16') {
			key = 'ansi';
		}

		if ('ansi16' in suite) {
			styles.color.ansi[key] = wrapAnsi16(suite.ansi16, 0);
			styles.bgColor.ansi[key] = wrapAnsi16(suite.ansi16, 10);
		}

		if ('ansi256' in suite) {
			styles.color.ansi256[key] = wrapAnsi256(suite.ansi256, 0);
			styles.bgColor.ansi256[key] = wrapAnsi256(suite.ansi256, 10);
		}

		if ('rgb' in suite) {
			styles.color.ansi16m[key] = wrapAnsi16m(suite.rgb, 0);
			styles.bgColor.ansi16m[key] = wrapAnsi16m(suite.rgb, 10);
		}
	}

	return styles;
}

// Make the export immutable
Object.defineProperty(module, 'exports', {
	enumerable: true,
	get: assembleStyles
});


/***/ }),

/***/ 77658:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const escapeStringRegexp = __nccwpck_require__(98691);
const ansiStyles = __nccwpck_require__(96538);
const stdoutColor = (__nccwpck_require__(95317).stdout);

const template = __nccwpck_require__(72558);

const isSimpleWindowsTerm = process.platform === 'win32' && !(process.env.TERM || '').toLowerCase().startsWith('xterm');

// `supportsColor.level` → `ansiStyles.color[name]` mapping
const levelMapping = ['ansi', 'ansi', 'ansi256', 'ansi16m'];

// `color-convert` models to exclude from the Chalk API due to conflicts and such
const skipModels = new Set(['gray']);

const styles = Object.create(null);

function applyOptions(obj, options) {
	options = options || {};

	// Detect level if not set manually
	const scLevel = stdoutColor ? stdoutColor.level : 0;
	obj.level = options.level === undefined ? scLevel : options.level;
	obj.enabled = 'enabled' in options ? options.enabled : obj.level > 0;
}

function Chalk(options) {
	// We check for this.template here since calling `chalk.constructor()`
	// by itself will have a `this` of a previously constructed chalk object
	if (!this || !(this instanceof Chalk) || this.template) {
		const chalk = {};
		applyOptions(chalk, options);

		chalk.template = function () {
			const args = [].slice.call(arguments);
			return chalkTag.apply(null, [chalk.template].concat(args));
		};

		Object.setPrototypeOf(chalk, Chalk.prototype);
		Object.setPrototypeOf(chalk.template, chalk);

		chalk.template.constructor = Chalk;

		return chalk.template;
	}

	applyOptions(this, options);
}

// Use bright blue on Windows as the normal blue color is illegible
if (isSimpleWindowsTerm) {
	ansiStyles.blue.open = '\u001B[94m';
}

for (const key of Object.keys(ansiStyles)) {
	ansiStyles[key].closeRe = new RegExp(escapeStringRegexp(ansiStyles[key].close), 'g');

	styles[key] = {
		get() {
			const codes = ansiStyles[key];
			return build.call(this, this._styles ? this._styles.concat(codes) : [codes], this._empty, key);
		}
	};
}

styles.visible = {
	get() {
		return build.call(this, this._styles || [], true, 'visible');
	}
};

ansiStyles.color.closeRe = new RegExp(escapeStringRegexp(ansiStyles.color.close), 'g');
for (const model of Object.keys(ansiStyles.color.ansi)) {
	if (skipModels.has(model)) {
		continue;
	}

	styles[model] = {
		get() {
			const level = this.level;
			return function () {
				const open = ansiStyles.color[levelMapping[level]][model].apply(null, arguments);
				const codes = {
					open,
					close: ansiStyles.color.close,
					closeRe: ansiStyles.color.closeRe
				};
				return build.call(this, this._styles ? this._styles.concat(codes) : [codes], this._empty, model);
			};
		}
	};
}

ansiStyles.bgColor.closeRe = new RegExp(escapeStringRegexp(ansiStyles.bgColor.close), 'g');
for (const model of Object.keys(ansiStyles.bgColor.ansi)) {
	if (skipModels.has(model)) {
		continue;
	}

	const bgModel = 'bg' + model[0].toUpperCase() + model.slice(1);
	styles[bgModel] = {
		get() {
			const level = this.level;
			return function () {
				const open = ansiStyles.bgColor[levelMapping[level]][model].apply(null, arguments);
				const codes = {
					open,
					close: ansiStyles.bgColor.close,
					closeRe: ansiStyles.bgColor.closeRe
				};
				return build.call(this, this._styles ? this._styles.concat(codes) : [codes], this._empty, model);
			};
		}
	};
}

const proto = Object.defineProperties(() => {}, styles);

function build(_styles, _empty, key) {
	const builder = function () {
		return applyStyle.apply(builder, arguments);
	};

	builder._styles = _styles;
	builder._empty = _empty;

	const self = this;

	Object.defineProperty(builder, 'level', {
		enumerable: true,
		get() {
			return self.level;
		},
		set(level) {
			self.level = level;
		}
	});

	Object.defineProperty(builder, 'enabled', {
		enumerable: true,
		get() {
			return self.enabled;
		},
		set(enabled) {
			self.enabled = enabled;
		}
	});

	// See below for fix regarding invisible grey/dim combination on Windows
	builder.hasGrey = this.hasGrey || key === 'gray' || key === 'grey';

	// `__proto__` is used because we must return a function, but there is
	// no way to create a function with a different prototype
	builder.__proto__ = proto; // eslint-disable-line no-proto

	return builder;
}

function applyStyle() {
	// Support varags, but simply cast to string in case there's only one arg
	const args = arguments;
	const argsLen = args.length;
	let str = String(arguments[0]);

	if (argsLen === 0) {
		return '';
	}

	if (argsLen > 1) {
		// Don't slice `arguments`, it prevents V8 optimizations
		for (let a = 1; a < argsLen; a++) {
			str += ' ' + args[a];
		}
	}

	if (!this.enabled || this.level <= 0 || !str) {
		return this._empty ? '' : str;
	}

	// Turns out that on Windows dimmed gray text becomes invisible in cmd.exe,
	// see https://github.com/chalk/chalk/issues/58
	// If we're on Windows and we're dealing with a gray color, temporarily make 'dim' a noop.
	const originalDim = ansiStyles.dim.open;
	if (isSimpleWindowsTerm && this.hasGrey) {
		ansiStyles.dim.open = '';
	}

	for (const code of this._styles.slice().reverse()) {
		// Replace any instances already present with a re-opening code
		// otherwise only the part of the string until said closing code
		// will be colored, and the rest will simply be 'plain'.
		str = code.open + str.replace(code.closeRe, code.open) + code.close;

		// Close the styling before a linebreak and reopen
		// after next line to fix a bleed issue on macOS
		// https://github.com/chalk/chalk/pull/92
		str = str.replace(/\r?\n/g, `${code.close}$&${code.open}`);
	}

	// Reset the original `dim` if we changed it to work around the Windows dimmed gray issue
	ansiStyles.dim.open = originalDim;

	return str;
}

function chalkTag(chalk, strings) {
	if (!Array.isArray(strings)) {
		// If chalk() was called by itself or with a string,
		// return the string itself as a string.
		return [].slice.call(arguments, 1).join(' ');
	}

	const args = [].slice.call(arguments, 2);
	const parts = [strings.raw[0]];

	for (let i = 1; i < strings.length; i++) {
		parts.push(String(args[i - 1]).replace(/[{}\\]/g, '\\$&'));
		parts.push(String(strings.raw[i]));
	}

	return template(chalk, parts.join(''));
}

Object.defineProperties(Chalk.prototype, styles);

module.exports = Chalk(); // eslint-disable-line new-cap
module.exports.supportsColor = stdoutColor;
module.exports["default"] = module.exports; // For TypeScript


/***/ }),

/***/ 72558:
/***/ ((module) => {

"use strict";

const TEMPLATE_REGEX = /(?:\\(u[a-f\d]{4}|x[a-f\d]{2}|.))|(?:\{(~)?(\w+(?:\([^)]*\))?(?:\.\w+(?:\([^)]*\))?)*)(?:[ \t]|(?=\r?\n)))|(\})|((?:.|[\r\n\f])+?)/gi;
const STYLE_REGEX = /(?:^|\.)(\w+)(?:\(([^)]*)\))?/g;
const STRING_REGEX = /^(['"])((?:\\.|(?!\1)[^\\])*)\1$/;
const ESCAPE_REGEX = /\\(u[a-f\d]{4}|x[a-f\d]{2}|.)|([^\\])/gi;

const ESCAPES = new Map([
	['n', '\n'],
	['r', '\r'],
	['t', '\t'],
	['b', '\b'],
	['f', '\f'],
	['v', '\v'],
	['0', '\0'],
	['\\', '\\'],
	['e', '\u001B'],
	['a', '\u0007']
]);

function unescape(c) {
	if ((c[0] === 'u' && c.length === 5) || (c[0] === 'x' && c.length === 3)) {
		return String.fromCharCode(parseInt(c.slice(1), 16));
	}

	return ESCAPES.get(c) || c;
}

function parseArguments(name, args) {
	const results = [];
	const chunks = args.trim().split(/\s*,\s*/g);
	let matches;

	for (const chunk of chunks) {
		if (!isNaN(chunk)) {
			results.push(Number(chunk));
		} else if ((matches = chunk.match(STRING_REGEX))) {
			results.push(matches[2].replace(ESCAPE_REGEX, (m, escape, chr) => escape ? unescape(escape) : chr));
		} else {
			throw new Error(`Invalid Chalk template style argument: ${chunk} (in style '${name}')`);
		}
	}

	return results;
}

function parseStyle(style) {
	STYLE_REGEX.lastIndex = 0;

	const results = [];
	let matches;

	while ((matches = STYLE_REGEX.exec(style)) !== null) {
		const name = matches[1];

		if (matches[2]) {
			const args = parseArguments(name, matches[2]);
			results.push([name].concat(args));
		} else {
			results.push([name]);
		}
	}

	return results;
}

function buildStyle(chalk, styles) {
	const enabled = {};

	for (const layer of styles) {
		for (const style of layer.styles) {
			enabled[style[0]] = layer.inverse ? null : style.slice(1);
		}
	}

	let current = chalk;
	for (const styleName of Object.keys(enabled)) {
		if (Array.isArray(enabled[styleName])) {
			if (!(styleName in current)) {
				throw new Error(`Unknown Chalk style: ${styleName}`);
			}

			if (enabled[styleName].length > 0) {
				current = current[styleName].apply(current, enabled[styleName]);
			} else {
				current = current[styleName];
			}
		}
	}

	return current;
}

module.exports = (chalk, tmp) => {
	const styles = [];
	const chunks = [];
	let chunk = [];

	// eslint-disable-next-line max-params
	tmp.replace(TEMPLATE_REGEX, (m, escapeChar, inverse, style, close, chr) => {
		if (escapeChar) {
			chunk.push(unescape(escapeChar));
		} else if (style) {
			const str = chunk.join('');
			chunk = [];
			chunks.push(styles.length === 0 ? str : buildStyle(chalk, styles)(str));
			styles.push({inverse, styles: parseStyle(style)});
		} else if (close) {
			if (styles.length === 0) {
				throw new Error('Found extraneous } in Chalk template literal');
			}

			chunks.push(buildStyle(chalk, styles)(chunk.join('')));
			chunk = [];
			styles.pop();
		} else {
			chunk.push(chr);
		}
	});

	chunks.push(chunk.join(''));

	if (styles.length > 0) {
		const errMsg = `Chalk template literal is missing ${styles.length} closing bracket${styles.length === 1 ? '' : 's'} (\`}\`)`;
		throw new Error(errMsg);
	}

	return chunks.join('');
};


/***/ }),

/***/ 70591:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

/* MIT license */
var cssKeywords = __nccwpck_require__(92780);

// NOTE: conversions should only return primitive values (i.e. arrays, or
//       values that give correct `typeof` results).
//       do not use box values types (i.e. Number(), String(), etc.)

var reverseKeywords = {};
for (var key in cssKeywords) {
	if (cssKeywords.hasOwnProperty(key)) {
		reverseKeywords[cssKeywords[key]] = key;
	}
}

var convert = module.exports = {
	rgb: {channels: 3, labels: 'rgb'},
	hsl: {channels: 3, labels: 'hsl'},
	hsv: {channels: 3, labels: 'hsv'},
	hwb: {channels: 3, labels: 'hwb'},
	cmyk: {channels: 4, labels: 'cmyk'},
	xyz: {channels: 3, labels: 'xyz'},
	lab: {channels: 3, labels: 'lab'},
	lch: {channels: 3, labels: 'lch'},
	hex: {channels: 1, labels: ['hex']},
	keyword: {channels: 1, labels: ['keyword']},
	ansi16: {channels: 1, labels: ['ansi16']},
	ansi256: {channels: 1, labels: ['ansi256']},
	hcg: {channels: 3, labels: ['h', 'c', 'g']},
	apple: {channels: 3, labels: ['r16', 'g16', 'b16']},
	gray: {channels: 1, labels: ['gray']}
};

// hide .channels and .labels properties
for (var model in convert) {
	if (convert.hasOwnProperty(model)) {
		if (!('channels' in convert[model])) {
			throw new Error('missing channels property: ' + model);
		}

		if (!('labels' in convert[model])) {
			throw new Error('missing channel labels property: ' + model);
		}

		if (convert[model].labels.length !== convert[model].channels) {
			throw new Error('channel and label counts mismatch: ' + model);
		}

		var channels = convert[model].channels;
		var labels = convert[model].labels;
		delete convert[model].channels;
		delete convert[model].labels;
		Object.defineProperty(convert[model], 'channels', {value: channels});
		Object.defineProperty(convert[model], 'labels', {value: labels});
	}
}

convert.rgb.hsl = function (rgb) {
	var r = rgb[0] / 255;
	var g = rgb[1] / 255;
	var b = rgb[2] / 255;
	var min = Math.min(r, g, b);
	var max = Math.max(r, g, b);
	var delta = max - min;
	var h;
	var s;
	var l;

	if (max === min) {
		h = 0;
	} else if (r === max) {
		h = (g - b) / delta;
	} else if (g === max) {
		h = 2 + (b - r) / delta;
	} else if (b === max) {
		h = 4 + (r - g) / delta;
	}

	h = Math.min(h * 60, 360);

	if (h < 0) {
		h += 360;
	}

	l = (min + max) / 2;

	if (max === min) {
		s = 0;
	} else if (l <= 0.5) {
		s = delta / (max + min);
	} else {
		s = delta / (2 - max - min);
	}

	return [h, s * 100, l * 100];
};

convert.rgb.hsv = function (rgb) {
	var rdif;
	var gdif;
	var bdif;
	var h;
	var s;

	var r = rgb[0] / 255;
	var g = rgb[1] / 255;
	var b = rgb[2] / 255;
	var v = Math.max(r, g, b);
	var diff = v - Math.min(r, g, b);
	var diffc = function (c) {
		return (v - c) / 6 / diff + 1 / 2;
	};

	if (diff === 0) {
		h = s = 0;
	} else {
		s = diff / v;
		rdif = diffc(r);
		gdif = diffc(g);
		bdif = diffc(b);

		if (r === v) {
			h = bdif - gdif;
		} else if (g === v) {
			h = (1 / 3) + rdif - bdif;
		} else if (b === v) {
			h = (2 / 3) + gdif - rdif;
		}
		if (h < 0) {
			h += 1;
		} else if (h > 1) {
			h -= 1;
		}
	}

	return [
		h * 360,
		s * 100,
		v * 100
	];
};

convert.rgb.hwb = function (rgb) {
	var r = rgb[0];
	var g = rgb[1];
	var b = rgb[2];
	var h = convert.rgb.hsl(rgb)[0];
	var w = 1 / 255 * Math.min(r, Math.min(g, b));

	b = 1 - 1 / 255 * Math.max(r, Math.max(g, b));

	return [h, w * 100, b * 100];
};

convert.rgb.cmyk = function (rgb) {
	var r = rgb[0] / 255;
	var g = rgb[1] / 255;
	var b = rgb[2] / 255;
	var c;
	var m;
	var y;
	var k;

	k = Math.min(1 - r, 1 - g, 1 - b);
	c = (1 - r - k) / (1 - k) || 0;
	m = (1 - g - k) / (1 - k) || 0;
	y = (1 - b - k) / (1 - k) || 0;

	return [c * 100, m * 100, y * 100, k * 100];
};

/**
 * See https://en.m.wikipedia.org/wiki/Euclidean_distance#Squared_Euclidean_distance
 * */
function comparativeDistance(x, y) {
	return (
		Math.pow(x[0] - y[0], 2) +
		Math.pow(x[1] - y[1], 2) +
		Math.pow(x[2] - y[2], 2)
	);
}

convert.rgb.keyword = function (rgb) {
	var reversed = reverseKeywords[rgb];
	if (reversed) {
		return reversed;
	}

	var currentClosestDistance = Infinity;
	var currentClosestKeyword;

	for (var keyword in cssKeywords) {
		if (cssKeywords.hasOwnProperty(keyword)) {
			var value = cssKeywords[keyword];

			// Compute comparative distance
			var distance = comparativeDistance(rgb, value);

			// Check if its less, if so set as closest
			if (distance < currentClosestDistance) {
				currentClosestDistance = distance;
				currentClosestKeyword = keyword;
			}
		}
	}

	return currentClosestKeyword;
};

convert.keyword.rgb = function (keyword) {
	return cssKeywords[keyword];
};

convert.rgb.xyz = function (rgb) {
	var r = rgb[0] / 255;
	var g = rgb[1] / 255;
	var b = rgb[2] / 255;

	// assume sRGB
	r = r > 0.04045 ? Math.pow(((r + 0.055) / 1.055), 2.4) : (r / 12.92);
	g = g > 0.04045 ? Math.pow(((g + 0.055) / 1.055), 2.4) : (g / 12.92);
	b = b > 0.04045 ? Math.pow(((b + 0.055) / 1.055), 2.4) : (b / 12.92);

	var x = (r * 0.4124) + (g * 0.3576) + (b * 0.1805);
	var y = (r * 0.2126) + (g * 0.7152) + (b * 0.0722);
	var z = (r * 0.0193) + (g * 0.1192) + (b * 0.9505);

	return [x * 100, y * 100, z * 100];
};

convert.rgb.lab = function (rgb) {
	var xyz = convert.rgb.xyz(rgb);
	var x = xyz[0];
	var y = xyz[1];
	var z = xyz[2];
	var l;
	var a;
	var b;

	x /= 95.047;
	y /= 100;
	z /= 108.883;

	x = x > 0.008856 ? Math.pow(x, 1 / 3) : (7.787 * x) + (16 / 116);
	y = y > 0.008856 ? Math.pow(y, 1 / 3) : (7.787 * y) + (16 / 116);
	z = z > 0.008856 ? Math.pow(z, 1 / 3) : (7.787 * z) + (16 / 116);

	l = (116 * y) - 16;
	a = 500 * (x - y);
	b = 200 * (y - z);

	return [l, a, b];
};

convert.hsl.rgb = function (hsl) {
	var h = hsl[0] / 360;
	var s = hsl[1] / 100;
	var l = hsl[2] / 100;
	var t1;
	var t2;
	var t3;
	var rgb;
	var val;

	if (s === 0) {
		val = l * 255;
		return [val, val, val];
	}

	if (l < 0.5) {
		t2 = l * (1 + s);
	} else {
		t2 = l + s - l * s;
	}

	t1 = 2 * l - t2;

	rgb = [0, 0, 0];
	for (var i = 0; i < 3; i++) {
		t3 = h + 1 / 3 * -(i - 1);
		if (t3 < 0) {
			t3++;
		}
		if (t3 > 1) {
			t3--;
		}

		if (6 * t3 < 1) {
			val = t1 + (t2 - t1) * 6 * t3;
		} else if (2 * t3 < 1) {
			val = t2;
		} else if (3 * t3 < 2) {
			val = t1 + (t2 - t1) * (2 / 3 - t3) * 6;
		} else {
			val = t1;
		}

		rgb[i] = val * 255;
	}

	return rgb;
};

convert.hsl.hsv = function (hsl) {
	var h = hsl[0];
	var s = hsl[1] / 100;
	var l = hsl[2] / 100;
	var smin = s;
	var lmin = Math.max(l, 0.01);
	var sv;
	var v;

	l *= 2;
	s *= (l <= 1) ? l : 2 - l;
	smin *= lmin <= 1 ? lmin : 2 - lmin;
	v = (l + s) / 2;
	sv = l === 0 ? (2 * smin) / (lmin + smin) : (2 * s) / (l + s);

	return [h, sv * 100, v * 100];
};

convert.hsv.rgb = function (hsv) {
	var h = hsv[0] / 60;
	var s = hsv[1] / 100;
	var v = hsv[2] / 100;
	var hi = Math.floor(h) % 6;

	var f = h - Math.floor(h);
	var p = 255 * v * (1 - s);
	var q = 255 * v * (1 - (s * f));
	var t = 255 * v * (1 - (s * (1 - f)));
	v *= 255;

	switch (hi) {
		case 0:
			return [v, t, p];
		case 1:
			return [q, v, p];
		case 2:
			return [p, v, t];
		case 3:
			return [p, q, v];
		case 4:
			return [t, p, v];
		case 5:
			return [v, p, q];
	}
};

convert.hsv.hsl = function (hsv) {
	var h = hsv[0];
	var s = hsv[1] / 100;
	var v = hsv[2] / 100;
	var vmin = Math.max(v, 0.01);
	var lmin;
	var sl;
	var l;

	l = (2 - s) * v;
	lmin = (2 - s) * vmin;
	sl = s * vmin;
	sl /= (lmin <= 1) ? lmin : 2 - lmin;
	sl = sl || 0;
	l /= 2;

	return [h, sl * 100, l * 100];
};

// http://dev.w3.org/csswg/css-color/#hwb-to-rgb
convert.hwb.rgb = function (hwb) {
	var h = hwb[0] / 360;
	var wh = hwb[1] / 100;
	var bl = hwb[2] / 100;
	var ratio = wh + bl;
	var i;
	var v;
	var f;
	var n;

	// wh + bl cant be > 1
	if (ratio > 1) {
		wh /= ratio;
		bl /= ratio;
	}

	i = Math.floor(6 * h);
	v = 1 - bl;
	f = 6 * h - i;

	if ((i & 0x01) !== 0) {
		f = 1 - f;
	}

	n = wh + f * (v - wh); // linear interpolation

	var r;
	var g;
	var b;
	switch (i) {
		default:
		case 6:
		case 0: r = v; g = n; b = wh; break;
		case 1: r = n; g = v; b = wh; break;
		case 2: r = wh; g = v; b = n; break;
		case 3: r = wh; g = n; b = v; break;
		case 4: r = n; g = wh; b = v; break;
		case 5: r = v; g = wh; b = n; break;
	}

	return [r * 255, g * 255, b * 255];
};

convert.cmyk.rgb = function (cmyk) {
	var c = cmyk[0] / 100;
	var m = cmyk[1] / 100;
	var y = cmyk[2] / 100;
	var k = cmyk[3] / 100;
	var r;
	var g;
	var b;

	r = 1 - Math.min(1, c * (1 - k) + k);
	g = 1 - Math.min(1, m * (1 - k) + k);
	b = 1 - Math.min(1, y * (1 - k) + k);

	return [r * 255, g * 255, b * 255];
};

convert.xyz.rgb = function (xyz) {
	var x = xyz[0] / 100;
	var y = xyz[1] / 100;
	var z = xyz[2] / 100;
	var r;
	var g;
	var b;

	r = (x * 3.2406) + (y * -1.5372) + (z * -0.4986);
	g = (x * -0.9689) + (y * 1.8758) + (z * 0.0415);
	b = (x * 0.0557) + (y * -0.2040) + (z * 1.0570);

	// assume sRGB
	r = r > 0.0031308
		? ((1.055 * Math.pow(r, 1.0 / 2.4)) - 0.055)
		: r * 12.92;

	g = g > 0.0031308
		? ((1.055 * Math.pow(g, 1.0 / 2.4)) - 0.055)
		: g * 12.92;

	b = b > 0.0031308
		? ((1.055 * Math.pow(b, 1.0 / 2.4)) - 0.055)
		: b * 12.92;

	r = Math.min(Math.max(0, r), 1);
	g = Math.min(Math.max(0, g), 1);
	b = Math.min(Math.max(0, b), 1);

	return [r * 255, g * 255, b * 255];
};

convert.xyz.lab = function (xyz) {
	var x = xyz[0];
	var y = xyz[1];
	var z = xyz[2];
	var l;
	var a;
	var b;

	x /= 95.047;
	y /= 100;
	z /= 108.883;

	x = x > 0.008856 ? Math.pow(x, 1 / 3) : (7.787 * x) + (16 / 116);
	y = y > 0.008856 ? Math.pow(y, 1 / 3) : (7.787 * y) + (16 / 116);
	z = z > 0.008856 ? Math.pow(z, 1 / 3) : (7.787 * z) + (16 / 116);

	l = (116 * y) - 16;
	a = 500 * (x - y);
	b = 200 * (y - z);

	return [l, a, b];
};

convert.lab.xyz = function (lab) {
	var l = lab[0];
	var a = lab[1];
	var b = lab[2];
	var x;
	var y;
	var z;

	y = (l + 16) / 116;
	x = a / 500 + y;
	z = y - b / 200;

	var y2 = Math.pow(y, 3);
	var x2 = Math.pow(x, 3);
	var z2 = Math.pow(z, 3);
	y = y2 > 0.008856 ? y2 : (y - 16 / 116) / 7.787;
	x = x2 > 0.008856 ? x2 : (x - 16 / 116) / 7.787;
	z = z2 > 0.008856 ? z2 : (z - 16 / 116) / 7.787;

	x *= 95.047;
	y *= 100;
	z *= 108.883;

	return [x, y, z];
};

convert.lab.lch = function (lab) {
	var l = lab[0];
	var a = lab[1];
	var b = lab[2];
	var hr;
	var h;
	var c;

	hr = Math.atan2(b, a);
	h = hr * 360 / 2 / Math.PI;

	if (h < 0) {
		h += 360;
	}

	c = Math.sqrt(a * a + b * b);

	return [l, c, h];
};

convert.lch.lab = function (lch) {
	var l = lch[0];
	var c = lch[1];
	var h = lch[2];
	var a;
	var b;
	var hr;

	hr = h / 360 * 2 * Math.PI;
	a = c * Math.cos(hr);
	b = c * Math.sin(hr);

	return [l, a, b];
};

convert.rgb.ansi16 = function (args) {
	var r = args[0];
	var g = args[1];
	var b = args[2];
	var value = 1 in arguments ? arguments[1] : convert.rgb.hsv(args)[2]; // hsv -> ansi16 optimization

	value = Math.round(value / 50);

	if (value === 0) {
		return 30;
	}

	var ansi = 30
		+ ((Math.round(b / 255) << 2)
		| (Math.round(g / 255) << 1)
		| Math.round(r / 255));

	if (value === 2) {
		ansi += 60;
	}

	return ansi;
};

convert.hsv.ansi16 = function (args) {
	// optimization here; we already know the value and don't need to get
	// it converted for us.
	return convert.rgb.ansi16(convert.hsv.rgb(args), args[2]);
};

convert.rgb.ansi256 = function (args) {
	var r = args[0];
	var g = args[1];
	var b = args[2];

	// we use the extended greyscale palette here, with the exception of
	// black and white. normal palette only has 4 greyscale shades.
	if (r === g && g === b) {
		if (r < 8) {
			return 16;
		}

		if (r > 248) {
			return 231;
		}

		return Math.round(((r - 8) / 247) * 24) + 232;
	}

	var ansi = 16
		+ (36 * Math.round(r / 255 * 5))
		+ (6 * Math.round(g / 255 * 5))
		+ Math.round(b / 255 * 5);

	return ansi;
};

convert.ansi16.rgb = function (args) {
	var color = args % 10;

	// handle greyscale
	if (color === 0 || color === 7) {
		if (args > 50) {
			color += 3.5;
		}

		color = color / 10.5 * 255;

		return [color, color, color];
	}

	var mult = (~~(args > 50) + 1) * 0.5;
	var r = ((color & 1) * mult) * 255;
	var g = (((color >> 1) & 1) * mult) * 255;
	var b = (((color >> 2) & 1) * mult) * 255;

	return [r, g, b];
};

convert.ansi256.rgb = function (args) {
	// handle greyscale
	if (args >= 232) {
		var c = (args - 232) * 10 + 8;
		return [c, c, c];
	}

	args -= 16;

	var rem;
	var r = Math.floor(args / 36) / 5 * 255;
	var g = Math.floor((rem = args % 36) / 6) / 5 * 255;
	var b = (rem % 6) / 5 * 255;

	return [r, g, b];
};

convert.rgb.hex = function (args) {
	var integer = ((Math.round(args[0]) & 0xFF) << 16)
		+ ((Math.round(args[1]) & 0xFF) << 8)
		+ (Math.round(args[2]) & 0xFF);

	var string = integer.toString(16).toUpperCase();
	return '000000'.substring(string.length) + string;
};

convert.hex.rgb = function (args) {
	var match = args.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);
	if (!match) {
		return [0, 0, 0];
	}

	var colorString = match[0];

	if (match[0].length === 3) {
		colorString = colorString.split('').map(function (char) {
			return char + char;
		}).join('');
	}

	var integer = parseInt(colorString, 16);
	var r = (integer >> 16) & 0xFF;
	var g = (integer >> 8) & 0xFF;
	var b = integer & 0xFF;

	return [r, g, b];
};

convert.rgb.hcg = function (rgb) {
	var r = rgb[0] / 255;
	var g = rgb[1] / 255;
	var b = rgb[2] / 255;
	var max = Math.max(Math.max(r, g), b);
	var min = Math.min(Math.min(r, g), b);
	var chroma = (max - min);
	var grayscale;
	var hue;

	if (chroma < 1) {
		grayscale = min / (1 - chroma);
	} else {
		grayscale = 0;
	}

	if (chroma <= 0) {
		hue = 0;
	} else
	if (max === r) {
		hue = ((g - b) / chroma) % 6;
	} else
	if (max === g) {
		hue = 2 + (b - r) / chroma;
	} else {
		hue = 4 + (r - g) / chroma + 4;
	}

	hue /= 6;
	hue %= 1;

	return [hue * 360, chroma * 100, grayscale * 100];
};

convert.hsl.hcg = function (hsl) {
	var s = hsl[1] / 100;
	var l = hsl[2] / 100;
	var c = 1;
	var f = 0;

	if (l < 0.5) {
		c = 2.0 * s * l;
	} else {
		c = 2.0 * s * (1.0 - l);
	}

	if (c < 1.0) {
		f = (l - 0.5 * c) / (1.0 - c);
	}

	return [hsl[0], c * 100, f * 100];
};

convert.hsv.hcg = function (hsv) {
	var s = hsv[1] / 100;
	var v = hsv[2] / 100;

	var c = s * v;
	var f = 0;

	if (c < 1.0) {
		f = (v - c) / (1 - c);
	}

	return [hsv[0], c * 100, f * 100];
};

convert.hcg.rgb = function (hcg) {
	var h = hcg[0] / 360;
	var c = hcg[1] / 100;
	var g = hcg[2] / 100;

	if (c === 0.0) {
		return [g * 255, g * 255, g * 255];
	}

	var pure = [0, 0, 0];
	var hi = (h % 1) * 6;
	var v = hi % 1;
	var w = 1 - v;
	var mg = 0;

	switch (Math.floor(hi)) {
		case 0:
			pure[0] = 1; pure[1] = v; pure[2] = 0; break;
		case 1:
			pure[0] = w; pure[1] = 1; pure[2] = 0; break;
		case 2:
			pure[0] = 0; pure[1] = 1; pure[2] = v; break;
		case 3:
			pure[0] = 0; pure[1] = w; pure[2] = 1; break;
		case 4:
			pure[0] = v; pure[1] = 0; pure[2] = 1; break;
		default:
			pure[0] = 1; pure[1] = 0; pure[2] = w;
	}

	mg = (1.0 - c) * g;

	return [
		(c * pure[0] + mg) * 255,
		(c * pure[1] + mg) * 255,
		(c * pure[2] + mg) * 255
	];
};

convert.hcg.hsv = function (hcg) {
	var c = hcg[1] / 100;
	var g = hcg[2] / 100;

	var v = c + g * (1.0 - c);
	var f = 0;

	if (v > 0.0) {
		f = c / v;
	}

	return [hcg[0], f * 100, v * 100];
};

convert.hcg.hsl = function (hcg) {
	var c = hcg[1] / 100;
	var g = hcg[2] / 100;

	var l = g * (1.0 - c) + 0.5 * c;
	var s = 0;

	if (l > 0.0 && l < 0.5) {
		s = c / (2 * l);
	} else
	if (l >= 0.5 && l < 1.0) {
		s = c / (2 * (1 - l));
	}

	return [hcg[0], s * 100, l * 100];
};

convert.hcg.hwb = function (hcg) {
	var c = hcg[1] / 100;
	var g = hcg[2] / 100;
	var v = c + g * (1.0 - c);
	return [hcg[0], (v - c) * 100, (1 - v) * 100];
};

convert.hwb.hcg = function (hwb) {
	var w = hwb[1] / 100;
	var b = hwb[2] / 100;
	var v = 1 - b;
	var c = v - w;
	var g = 0;

	if (c < 1) {
		g = (v - c) / (1 - c);
	}

	return [hwb[0], c * 100, g * 100];
};

convert.apple.rgb = function (apple) {
	return [(apple[0] / 65535) * 255, (apple[1] / 65535) * 255, (apple[2] / 65535) * 255];
};

convert.rgb.apple = function (rgb) {
	return [(rgb[0] / 255) * 65535, (rgb[1] / 255) * 65535, (rgb[2] / 255) * 65535];
};

convert.gray.rgb = function (args) {
	return [args[0] / 100 * 255, args[0] / 100 * 255, args[0] / 100 * 255];
};

convert.gray.hsl = convert.gray.hsv = function (args) {
	return [0, 0, args[0]];
};

convert.gray.hwb = function (gray) {
	return [0, 100, gray[0]];
};

convert.gray.cmyk = function (gray) {
	return [0, 0, 0, gray[0]];
};

convert.gray.lab = function (gray) {
	return [gray[0], 0, 0];
};

convert.gray.hex = function (gray) {
	var val = Math.round(gray[0] / 100 * 255) & 0xFF;
	var integer = (val << 16) + (val << 8) + val;

	var string = integer.toString(16).toUpperCase();
	return '000000'.substring(string.length) + string;
};

convert.rgb.gray = function (rgb) {
	var val = (rgb[0] + rgb[1] + rgb[2]) / 3;
	return [val / 255 * 100];
};


/***/ }),

/***/ 5458:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var conversions = __nccwpck_require__(70591);
var route = __nccwpck_require__(69769);

var convert = {};

var models = Object.keys(conversions);

function wrapRaw(fn) {
	var wrappedFn = function (args) {
		if (args === undefined || args === null) {
			return args;
		}

		if (arguments.length > 1) {
			args = Array.prototype.slice.call(arguments);
		}

		return fn(args);
	};

	// preserve .conversion property if there is one
	if ('conversion' in fn) {
		wrappedFn.conversion = fn.conversion;
	}

	return wrappedFn;
}

function wrapRounded(fn) {
	var wrappedFn = function (args) {
		if (args === undefined || args === null) {
			return args;
		}

		if (arguments.length > 1) {
			args = Array.prototype.slice.call(arguments);
		}

		var result = fn(args);

		// we're assuming the result is an array here.
		// see notice in conversions.js; don't use box types
		// in conversion functions.
		if (typeof result === 'object') {
			for (var len = result.length, i = 0; i < len; i++) {
				result[i] = Math.round(result[i]);
			}
		}

		return result;
	};

	// preserve .conversion property if there is one
	if ('conversion' in fn) {
		wrappedFn.conversion = fn.conversion;
	}

	return wrappedFn;
}

models.forEach(function (fromModel) {
	convert[fromModel] = {};

	Object.defineProperty(convert[fromModel], 'channels', {value: conversions[fromModel].channels});
	Object.defineProperty(convert[fromModel], 'labels', {value: conversions[fromModel].labels});

	var routes = route(fromModel);
	var routeModels = Object.keys(routes);

	routeModels.forEach(function (toModel) {
		var fn = routes[toModel];

		convert[fromModel][toModel] = wrapRounded(fn);
		convert[fromModel][toModel].raw = wrapRaw(fn);
	});
});

module.exports = convert;


/***/ }),

/***/ 69769:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var conversions = __nccwpck_require__(70591);

/*
	this function routes a model to all other models.

	all functions that are routed have a property `.conversion` attached
	to the returned synthetic function. This property is an array
	of strings, each with the steps in between the 'from' and 'to'
	color models (inclusive).

	conversions that are not possible simply are not included.
*/

function buildGraph() {
	var graph = {};
	// https://jsperf.com/object-keys-vs-for-in-with-closure/3
	var models = Object.keys(conversions);

	for (var len = models.length, i = 0; i < len; i++) {
		graph[models[i]] = {
			// http://jsperf.com/1-vs-infinity
			// micro-opt, but this is simple.
			distance: -1,
			parent: null
		};
	}

	return graph;
}

// https://en.wikipedia.org/wiki/Breadth-first_search
function deriveBFS(fromModel) {
	var graph = buildGraph();
	var queue = [fromModel]; // unshift -> queue -> pop

	graph[fromModel].distance = 0;

	while (queue.length) {
		var current = queue.pop();
		var adjacents = Object.keys(conversions[current]);

		for (var len = adjacents.length, i = 0; i < len; i++) {
			var adjacent = adjacents[i];
			var node = graph[adjacent];

			if (node.distance === -1) {
				node.distance = graph[current].distance + 1;
				node.parent = current;
				queue.unshift(adjacent);
			}
		}
	}

	return graph;
}

function link(from, to) {
	return function (args) {
		return to(from(args));
	};
}

function wrapConversion(toModel, graph) {
	var path = [graph[toModel].parent, toModel];
	var fn = conversions[graph[toModel].parent][toModel];

	var cur = graph[toModel].parent;
	while (graph[cur].parent) {
		path.unshift(graph[cur].parent);
		fn = link(conversions[graph[cur].parent][cur], fn);
		cur = graph[cur].parent;
	}

	fn.conversion = path;
	return fn;
}

module.exports = function (fromModel) {
	var graph = deriveBFS(fromModel);
	var conversion = {};

	var models = Object.keys(graph);
	for (var len = models.length, i = 0; i < len; i++) {
		var toModel = models[i];
		var node = graph[toModel];

		if (node.parent === null) {
			// no possible conversion, or this node is the source model.
			continue;
		}

		conversion[toModel] = wrapConversion(toModel, graph);
	}

	return conversion;
};



/***/ }),

/***/ 92780:
/***/ ((module) => {

"use strict";


module.exports = {
	"aliceblue": [240, 248, 255],
	"antiquewhite": [250, 235, 215],
	"aqua": [0, 255, 255],
	"aquamarine": [127, 255, 212],
	"azure": [240, 255, 255],
	"beige": [245, 245, 220],
	"bisque": [255, 228, 196],
	"black": [0, 0, 0],
	"blanchedalmond": [255, 235, 205],
	"blue": [0, 0, 255],
	"blueviolet": [138, 43, 226],
	"brown": [165, 42, 42],
	"burlywood": [222, 184, 135],
	"cadetblue": [95, 158, 160],
	"chartreuse": [127, 255, 0],
	"chocolate": [210, 105, 30],
	"coral": [255, 127, 80],
	"cornflowerblue": [100, 149, 237],
	"cornsilk": [255, 248, 220],
	"crimson": [220, 20, 60],
	"cyan": [0, 255, 255],
	"darkblue": [0, 0, 139],
	"darkcyan": [0, 139, 139],
	"darkgoldenrod": [184, 134, 11],
	"darkgray": [169, 169, 169],
	"darkgreen": [0, 100, 0],
	"darkgrey": [169, 169, 169],
	"darkkhaki": [189, 183, 107],
	"darkmagenta": [139, 0, 139],
	"darkolivegreen": [85, 107, 47],
	"darkorange": [255, 140, 0],
	"darkorchid": [153, 50, 204],
	"darkred": [139, 0, 0],
	"darksalmon": [233, 150, 122],
	"darkseagreen": [143, 188, 143],
	"darkslateblue": [72, 61, 139],
	"darkslategray": [47, 79, 79],
	"darkslategrey": [47, 79, 79],
	"darkturquoise": [0, 206, 209],
	"darkviolet": [148, 0, 211],
	"deeppink": [255, 20, 147],
	"deepskyblue": [0, 191, 255],
	"dimgray": [105, 105, 105],
	"dimgrey": [105, 105, 105],
	"dodgerblue": [30, 144, 255],
	"firebrick": [178, 34, 34],
	"floralwhite": [255, 250, 240],
	"forestgreen": [34, 139, 34],
	"fuchsia": [255, 0, 255],
	"gainsboro": [220, 220, 220],
	"ghostwhite": [248, 248, 255],
	"gold": [255, 215, 0],
	"goldenrod": [218, 165, 32],
	"gray": [128, 128, 128],
	"green": [0, 128, 0],
	"greenyellow": [173, 255, 47],
	"grey": [128, 128, 128],
	"honeydew": [240, 255, 240],
	"hotpink": [255, 105, 180],
	"indianred": [205, 92, 92],
	"indigo": [75, 0, 130],
	"ivory": [255, 255, 240],
	"khaki": [240, 230, 140],
	"lavender": [230, 230, 250],
	"lavenderblush": [255, 240, 245],
	"lawngreen": [124, 252, 0],
	"lemonchiffon": [255, 250, 205],
	"lightblue": [173, 216, 230],
	"lightcoral": [240, 128, 128],
	"lightcyan": [224, 255, 255],
	"lightgoldenrodyellow": [250, 250, 210],
	"lightgray": [211, 211, 211],
	"lightgreen": [144, 238, 144],
	"lightgrey": [211, 211, 211],
	"lightpink": [255, 182, 193],
	"lightsalmon": [255, 160, 122],
	"lightseagreen": [32, 178, 170],
	"lightskyblue": [135, 206, 250],
	"lightslategray": [119, 136, 153],
	"lightslategrey": [119, 136, 153],
	"lightsteelblue": [176, 196, 222],
	"lightyellow": [255, 255, 224],
	"lime": [0, 255, 0],
	"limegreen": [50, 205, 50],
	"linen": [250, 240, 230],
	"magenta": [255, 0, 255],
	"maroon": [128, 0, 0],
	"mediumaquamarine": [102, 205, 170],
	"mediumblue": [0, 0, 205],
	"mediumorchid": [186, 85, 211],
	"mediumpurple": [147, 112, 219],
	"mediumseagreen": [60, 179, 113],
	"mediumslateblue": [123, 104, 238],
	"mediumspringgreen": [0, 250, 154],
	"mediumturquoise": [72, 209, 204],
	"mediumvioletred": [199, 21, 133],
	"midnightblue": [25, 25, 112],
	"mintcream": [245, 255, 250],
	"mistyrose": [255, 228, 225],
	"moccasin": [255, 228, 181],
	"navajowhite": [255, 222, 173],
	"navy": [0, 0, 128],
	"oldlace": [253, 245, 230],
	"olive": [128, 128, 0],
	"olivedrab": [107, 142, 35],
	"orange": [255, 165, 0],
	"orangered": [255, 69, 0],
	"orchid": [218, 112, 214],
	"palegoldenrod": [238, 232, 170],
	"palegreen": [152, 251, 152],
	"paleturquoise": [175, 238, 238],
	"palevioletred": [219, 112, 147],
	"papayawhip": [255, 239, 213],
	"peachpuff": [255, 218, 185],
	"peru": [205, 133, 63],
	"pink": [255, 192, 203],
	"plum": [221, 160, 221],
	"powderblue": [176, 224, 230],
	"purple": [128, 0, 128],
	"rebeccapurple": [102, 51, 153],
	"red": [255, 0, 0],
	"rosybrown": [188, 143, 143],
	"royalblue": [65, 105, 225],
	"saddlebrown": [139, 69, 19],
	"salmon": [250, 128, 114],
	"sandybrown": [244, 164, 96],
	"seagreen": [46, 139, 87],
	"seashell": [255, 245, 238],
	"sienna": [160, 82, 45],
	"silver": [192, 192, 192],
	"skyblue": [135, 206, 235],
	"slateblue": [106, 90, 205],
	"slategray": [112, 128, 144],
	"slategrey": [112, 128, 144],
	"snow": [255, 250, 250],
	"springgreen": [0, 255, 127],
	"steelblue": [70, 130, 180],
	"tan": [210, 180, 140],
	"teal": [0, 128, 128],
	"thistle": [216, 191, 216],
	"tomato": [255, 99, 71],
	"turquoise": [64, 224, 208],
	"violet": [238, 130, 238],
	"wheat": [245, 222, 179],
	"white": [255, 255, 255],
	"whitesmoke": [245, 245, 245],
	"yellow": [255, 255, 0],
	"yellowgreen": [154, 205, 50]
};


/***/ }),

/***/ 33226:
/***/ ((module) => {

"use strict";

module.exports = (flag, argv) => {
	argv = argv || process.argv;
	const prefix = flag.startsWith('-') ? '' : (flag.length === 1 ? '-' : '--');
	const pos = argv.indexOf(prefix + flag);
	const terminatorPos = argv.indexOf('--');
	return pos !== -1 && (terminatorPos === -1 ? true : pos < terminatorPos);
};


/***/ }),

/***/ 95317:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const os = __nccwpck_require__(22037);
const hasFlag = __nccwpck_require__(33226);

const env = process.env;

let forceColor;
if (hasFlag('no-color') ||
	hasFlag('no-colors') ||
	hasFlag('color=false')) {
	forceColor = false;
} else if (hasFlag('color') ||
	hasFlag('colors') ||
	hasFlag('color=true') ||
	hasFlag('color=always')) {
	forceColor = true;
}
if ('FORCE_COLOR' in env) {
	forceColor = env.FORCE_COLOR.length === 0 || parseInt(env.FORCE_COLOR, 10) !== 0;
}

function translateLevel(level) {
	if (level === 0) {
		return false;
	}

	return {
		level,
		hasBasic: true,
		has256: level >= 2,
		has16m: level >= 3
	};
}

function supportsColor(stream) {
	if (forceColor === false) {
		return 0;
	}

	if (hasFlag('color=16m') ||
		hasFlag('color=full') ||
		hasFlag('color=truecolor')) {
		return 3;
	}

	if (hasFlag('color=256')) {
		return 2;
	}

	if (stream && !stream.isTTY && forceColor !== true) {
		return 0;
	}

	const min = forceColor ? 1 : 0;

	if (process.platform === 'win32') {
		// Node.js 7.5.0 is the first version of Node.js to include a patch to
		// libuv that enables 256 color output on Windows. Anything earlier and it
		// won't work. However, here we target Node.js 8 at minimum as it is an LTS
		// release, and Node.js 7 is not. Windows 10 build 10586 is the first Windows
		// release that supports 256 colors. Windows 10 build 14931 is the first release
		// that supports 16m/TrueColor.
		const osRelease = os.release().split('.');
		if (
			Number(process.versions.node.split('.')[0]) >= 8 &&
			Number(osRelease[0]) >= 10 &&
			Number(osRelease[2]) >= 10586
		) {
			return Number(osRelease[2]) >= 14931 ? 3 : 2;
		}

		return 1;
	}

	if ('CI' in env) {
		if (['TRAVIS', 'CIRCLECI', 'APPVEYOR', 'GITLAB_CI'].some(sign => sign in env) || env.CI_NAME === 'codeship') {
			return 1;
		}

		return min;
	}

	if ('TEAMCITY_VERSION' in env) {
		return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env.TEAMCITY_VERSION) ? 1 : 0;
	}

	if (env.COLORTERM === 'truecolor') {
		return 3;
	}

	if ('TERM_PROGRAM' in env) {
		const version = parseInt((env.TERM_PROGRAM_VERSION || '').split('.')[0], 10);

		switch (env.TERM_PROGRAM) {
			case 'iTerm.app':
				return version >= 3 ? 3 : 2;
			case 'Apple_Terminal':
				return 2;
			// No default
		}
	}

	if (/-256(color)?$/i.test(env.TERM)) {
		return 2;
	}

	if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env.TERM)) {
		return 1;
	}

	if ('COLORTERM' in env) {
		return 1;
	}

	if (env.TERM === 'dumb') {
		return min;
	}

	return min;
}

function getSupportLevel(stream) {
	const level = supportsColor(stream);
	return translateLevel(level);
}

module.exports = {
	supportsColor: getSupportLevel,
	stdout: getSupportLevel(process.stdout),
	stderr: getSupportLevel(process.stderr)
};


/***/ }),

/***/ 19701:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


module.exports = {
  generate: __nccwpck_require__(72339),
  createCli: __nccwpck_require__(33835)
};


/***/ }),

/***/ 33835:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const meow = __nccwpck_require__(76607);
const path = __nccwpck_require__(71017);
const chalk = __nccwpck_require__(37356);
const _ = __nccwpck_require__(90250);
const generate = __nccwpck_require__(72339);
const errors = __nccwpck_require__(2582);

const rel = (x) => path.relative(process.cwd(), x);
const abs = (x) => {
  if (path.isAbsolute(x)) return x;
  return path.resolve(process.cwd(), x);
};

// Documented in README.
module.exports = (imageConfig, options) => {
  if (
    !imageConfig ||
    !options ||
    !options.inputDirectory ||
    !options.outputDirectory
  ) {
    throw new Error(
      'You must provide an image config and the inputDirectory and outputDirectory options'
    );
  }

  const description =
    'Generate resized and optimized variants from a directory of images.';
  const help = `
  Reads images from ${rel(options.inputDirectory)}.
  Writes resized, optimized images to ${rel(options.outputDirectory)}.

  ${chalk.bold.underline('Usage')}
    appropriate-images [<id> ...] [options]

    ids are keys from the config identifying images to be processed.

  ${chalk.bold.underline('Examples')}
    appropriate-images horse
    appropriate-images --all
    appropriate-images horse pigMan walrus --quiet
    appropriate-images --all -c 5

  ${chalk.bold.underline('Options')}
    -a, --all      Just process all the images, don't look back.
    -q, --quiet    Do not log output filenames.
    -c, --maxConcurrency Optimize images with limited maxConcurrency.
  `;

  const cli = meow(
    { description, help },
    {
      alias: {
        a: 'all',
        q: 'quiet',
        c: 'maxConcurrency'
      }
    }
  );

  const ids = cli.input;

  if (ids.length === 0 && !cli.flags.all) {
    console.log(
      `${chalk.red.bold(
        'Usage error:'
      )} You must specify image ids or use --all`
    );
    cli.showHelp();
  }

  const generateOptions = Object.assign({}, options, {
    inputDirectory: abs(options.inputDirectory),
    outputDirectory: abs(options.outputDirectory)
  });

  if (ids.length !== 0) {
    generateOptions.ids = ids;
  }

  if (cli.flags.c) {
    generateOptions.maxConcurrency = cli.flags.c;
  }

  const logUsageError = (error) => {
    console.log(`${chalk.red.bold('Usage error:')} ${error.message}`);
  };

  generate(imageConfig, generateOptions)
    .then((filenames) => {
      if (cli.flags.quiet) return;
      const printableFilenames = _.flatten(filenames)
        .sort()
        .map(
          (filename) =>
            chalk.grey('Saved ') +
            path.relative(options.outputDirectory, filename)
        );
      console.log(printableFilenames.join('\n'));
      console.log(
        chalk.bold(`Generated ${printableFilenames.length} optimized images`)
      );
    })
    .catch((error) => {
      if (
        Array.isArray(error) &&
        error.every((e) => e instanceof errors.UsageError)
      ) {
        return error.forEach(logUsageError);
      }
      if (error instanceof errors.UsageError) {
        return logUsageError(error);
      }
      throw error;
    });
};


/***/ }),

/***/ 2582:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const fasterror = __nccwpck_require__(50637);

module.exports = {
  UsageError: fasterror('UsageError')
};


/***/ }),

/***/ 72339:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const _ = __nccwpck_require__(90250);
const sharp = __nccwpck_require__(24185);
const UsageError = (__nccwpck_require__(2582).UsageError);
const tempy = __nccwpck_require__(22452);
const pify = __nccwpck_require__(65764);
const mkdirp = __nccwpck_require__(75296);
const del = __nccwpck_require__(23325);
const fs = __nccwpck_require__(57147);
const pFinally = __nccwpck_require__(31330);
const path = __nccwpck_require__(71017);
const pLimit = __nccwpck_require__(62709);
const optimize = __nccwpck_require__(11622);

// Suppress vips warnings from sharp
process.env.VIPS_WARNING = true;

/**
 * Put width and height together into a dimension-representing suffix.
 *
 * @param {number} [width]
 * @param {number} [height]
 * @return {string}
 */
function createSizeSuffix(width, height) {
  let result = String(width);
  if (height !== undefined) result += `x${String(height)}`;
  return result;
}

/**
 * Generate all the size variants of an image.
 *
 * @param {Object} entry - Entry in the image config.
 * @param {string} inputDirectory
 * @param {string} outputDirectory
 * @return {Promise<Array<string>>} - Resolves with an array of the output filenames.
 */
function generateSizes(entry, inputDirectory, outputDirectory) {
  const imageFileName = path.join(inputDirectory, entry.basename);
  return pify(fs.readFile)(imageFileName).then((imageBuffer) => {
    const sharpFile = sharp(imageBuffer);
    return Promise.all(
      entry.sizes.map((size) => {
        const sizeSuffix = createSizeSuffix(size.width, size.height);
        const ext = path.extname(entry.basename);
        const extlessBasename = path.basename(entry.basename, ext);
        const outputFilename = path.join(
          outputDirectory,
          `${extlessBasename}-${sizeSuffix}${ext}`
        );

        if (size.crop) {
          throw new UsageError(
            `"crop" is deprecated, use options: https://github.com/mapbox/appropriate-images#options`
          );
        }

        const transform =
          size.options && size.height
            ? sharpFile.resize(size.width, size.height, size.options)
            : sharpFile.resize(size.width, size.height);

        return transform.toFile(outputFilename).then(() => outputFilename);
      })
    );
  });
}

/**
 * Delete all prior generated versions of an image source file.
 *
 * @param {string} directory
 * @param {string} sourceImageBasename
 * @return {Promise<void>} - Resolves when the versions are deleted.
 */
function clearPriorOutput(directory, sourceImageBasename) {
  const ext = path.extname(sourceImageBasename);
  const extlessBasename = path.basename(sourceImageBasename, ext);
  return del(path.join(directory, `${extlessBasename}*.*`));
}

/**
 * Handle optimizing file(s)
 *
 * @param {string} options
 * @param {array} results
 * @return {array} - Resolves with an array of optimized filenames.
 */
function handleOptimize(options, results) {
  if (options.maxConcurrency) {
    const limit = pLimit(options.maxConcurrency);
    const optimizeQueue = [];
    for (const res in results) {
      optimizeQueue.push(
        limit(() => optimize(_.flatten(results[res]), options))
      );
    }
    return Promise.all(optimizeQueue);
  } else {
    return optimize(_.flatten(results), options);
  }
}

// Documented in README.
module.exports = (imageConfig, options) => {
  let usageErrors = [];
  if (imageConfig === undefined) {
    return Promise.reject(new UsageError('config is required'));
  }
  if (options.inputDirectory === undefined) {
    usageErrors.push(new UsageError('options.inputDirectory is required'));
  }
  if (options.outputDirectory === undefined) {
    usageErrors.push(new UsageError('options.outputDirectory is required'));
  }

  if (options.ids !== undefined) {
    options.ids.forEach((id) => {
      if (imageConfig[id] !== undefined) return;
      usageErrors.push(new UsageError(`"${id}" is not a valid image id`));
    });
  }

  if (usageErrors.length !== 0) {
    return Promise.reject(usageErrors);
  }

  const tailoredImageConfig =
    options.ids !== undefined ? _.pick(imageConfig, options.ids) : imageConfig;
  const imageIdsForProcessing = Object.keys(tailoredImageConfig);

  const temporaryDirectory = tempy.directory();
  const createTemporaryDirectory = () => mkdirp(temporaryDirectory);
  const destroyTemporaryDirectory = () =>
    del(temporaryDirectory, { force: true });

  return Promise.resolve().then(() => {
    const configErrors = [];
    const generateSizeVariants = imageIdsForProcessing.reduce(
      (sizePromises, id) => {
        const entry = imageConfig[id];
        if (entry.basename === undefined) {
          configErrors.push(new UsageError(`basename missing for "${id}"`));
        }
        if (entry.sizes === undefined) {
          configErrors.push(new UsageError(`sizes missing for "${id}"`));
        }
        if (configErrors.length !== 0) return sizePromises;

        const sizes = generateSizes(
          entry,
          options.inputDirectory,
          temporaryDirectory
        ).catch((error) => {
          if (error.code === 'ENOENT') {
            configErrors.push(new UsageError(`invalid basename for "${id}"`));
          } else {
            throw error;
          }
        });

        sizePromises.push(
          Promise.all([
            clearPriorOutput(options.outputDirectory, entry.basename),
            sizes
          ]).then((data) => data[1])
        );
        return sizePromises;
      },
      []
    );
    if (configErrors.length) return Promise.reject(configErrors);

    const makeItHappen = createTemporaryDirectory()
      .then(() => Promise.all(generateSizeVariants))
      .then((result) => {
        if (configErrors.length) return Promise.reject(configErrors);
        return result;
      })
      .then((result) => handleOptimize(options, result));

    return pFinally(makeItHappen, destroyTemporaryDirectory);
  });
};


/***/ }),

/***/ 11622:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const _ = __nccwpck_require__(90250);
const pify = __nccwpck_require__(65764);
const fs = __nccwpck_require__(57147);
const imagemin = __nccwpck_require__(35263);
const imageminPngquant = __nccwpck_require__(36619);
const imageminMozjpeg = __nccwpck_require__(9170);
const imageminWebp = __nccwpck_require__(2526);

/**
 * Given output from imagemin, write image files.
 *
 * @param {Array<{ destinationPath: string, data: Buffer }>} imageData - imagemin output.
 * @return {Promise<Array<string>>} - Resolves with an array of filenames for optimized images that
 *   have been written.
 */
function writeOptimizedImages(imageData) {
  return Promise.all(
    imageData.map((item) =>
      pify(fs.writeFile)(item.destinationPath, item.data).then(
        () => item.destinationPath
      )
    )
  );
}

/**
 * Create optimized versions of images.
 *
 * @param {Array<string>} imageFilenames
 * @param {Object} options
 * @param {string} options.outputDirectory
 * @param {Object} [options.pngquant]
 * @param {Object} [options.mozjpeg]
 * @param {Object} [options.webp]
 * @return {Promise<Array<string>>} - Resolves with an array of filenames for
 *   optimized images that have been written to the output directory.
 */
module.exports = (imageFilenames, options) => {
  // These are two separate processes because otherwise the webp plugin
  // overrides the others, somehow.

  const regularOptimizations = imagemin(imageFilenames, {
    destination: options.outputDirectory,
    plugins: [
      imageminPngquant(options.pngquant),
      imageminMozjpeg(options.mozjpeg)
    ]
  }).then(writeOptimizedImages);

  const webpOptimizations = imagemin(imageFilenames, {
    destination: options.outputDirectory,
    plugins: [imageminWebp(options.webp)]
  }).then(writeOptimizedImages);

  return Promise.all([
    regularOptimizations,
    webpOptimizations
  ]).then((filenameArrays) => _.flatten(filenameArrays));
};


/***/ }),

/***/ 93108:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";
/* module decorator */ module = __nccwpck_require__.nmd(module);


const wrapAnsi16 = (fn, offset) => (...args) => {
	const code = fn(...args);
	return `\u001B[${code + offset}m`;
};

const wrapAnsi256 = (fn, offset) => (...args) => {
	const code = fn(...args);
	return `\u001B[${38 + offset};5;${code}m`;
};

const wrapAnsi16m = (fn, offset) => (...args) => {
	const rgb = fn(...args);
	return `\u001B[${38 + offset};2;${rgb[0]};${rgb[1]};${rgb[2]}m`;
};

const ansi2ansi = n => n;
const rgb2rgb = (r, g, b) => [r, g, b];

const setLazyProperty = (object, property, get) => {
	Object.defineProperty(object, property, {
		get: () => {
			const value = get();

			Object.defineProperty(object, property, {
				value,
				enumerable: true,
				configurable: true
			});

			return value;
		},
		enumerable: true,
		configurable: true
	});
};

/** @type {typeof import('color-convert')} */
let colorConvert;
const makeDynamicStyles = (wrap, targetSpace, identity, isBackground) => {
	if (colorConvert === undefined) {
		colorConvert = __nccwpck_require__(86931);
	}

	const offset = isBackground ? 10 : 0;
	const styles = {};

	for (const [sourceSpace, suite] of Object.entries(colorConvert)) {
		const name = sourceSpace === 'ansi16' ? 'ansi' : sourceSpace;
		if (sourceSpace === targetSpace) {
			styles[name] = wrap(identity, offset);
		} else if (typeof suite === 'object') {
			styles[name] = wrap(suite[targetSpace], offset);
		}
	}

	return styles;
};

function assembleStyles() {
	const codes = new Map();
	const styles = {
		modifier: {
			reset: [0, 0],
			// 21 isn't widely supported and 22 does the same thing
			bold: [1, 22],
			dim: [2, 22],
			italic: [3, 23],
			underline: [4, 24],
			inverse: [7, 27],
			hidden: [8, 28],
			strikethrough: [9, 29]
		},
		color: {
			black: [30, 39],
			red: [31, 39],
			green: [32, 39],
			yellow: [33, 39],
			blue: [34, 39],
			magenta: [35, 39],
			cyan: [36, 39],
			white: [37, 39],

			// Bright color
			blackBright: [90, 39],
			redBright: [91, 39],
			greenBright: [92, 39],
			yellowBright: [93, 39],
			blueBright: [94, 39],
			magentaBright: [95, 39],
			cyanBright: [96, 39],
			whiteBright: [97, 39]
		},
		bgColor: {
			bgBlack: [40, 49],
			bgRed: [41, 49],
			bgGreen: [42, 49],
			bgYellow: [43, 49],
			bgBlue: [44, 49],
			bgMagenta: [45, 49],
			bgCyan: [46, 49],
			bgWhite: [47, 49],

			// Bright color
			bgBlackBright: [100, 49],
			bgRedBright: [101, 49],
			bgGreenBright: [102, 49],
			bgYellowBright: [103, 49],
			bgBlueBright: [104, 49],
			bgMagentaBright: [105, 49],
			bgCyanBright: [106, 49],
			bgWhiteBright: [107, 49]
		}
	};

	// Alias bright black as gray (and grey)
	styles.color.gray = styles.color.blackBright;
	styles.bgColor.bgGray = styles.bgColor.bgBlackBright;
	styles.color.grey = styles.color.blackBright;
	styles.bgColor.bgGrey = styles.bgColor.bgBlackBright;

	for (const [groupName, group] of Object.entries(styles)) {
		for (const [styleName, style] of Object.entries(group)) {
			styles[styleName] = {
				open: `\u001B[${style[0]}m`,
				close: `\u001B[${style[1]}m`
			};

			group[styleName] = styles[styleName];

			codes.set(style[0], style[1]);
		}

		Object.defineProperty(styles, groupName, {
			value: group,
			enumerable: false
		});
	}

	Object.defineProperty(styles, 'codes', {
		value: codes,
		enumerable: false
	});

	styles.color.close = '\u001B[39m';
	styles.bgColor.close = '\u001B[49m';

	setLazyProperty(styles.color, 'ansi', () => makeDynamicStyles(wrapAnsi16, 'ansi16', ansi2ansi, false));
	setLazyProperty(styles.color, 'ansi256', () => makeDynamicStyles(wrapAnsi256, 'ansi256', ansi2ansi, false));
	setLazyProperty(styles.color, 'ansi16m', () => makeDynamicStyles(wrapAnsi16m, 'rgb', rgb2rgb, false));
	setLazyProperty(styles.bgColor, 'ansi', () => makeDynamicStyles(wrapAnsi16, 'ansi16', ansi2ansi, true));
	setLazyProperty(styles.bgColor, 'ansi256', () => makeDynamicStyles(wrapAnsi256, 'ansi256', ansi2ansi, true));
	setLazyProperty(styles.bgColor, 'ansi16m', () => makeDynamicStyles(wrapAnsi16m, 'rgb', rgb2rgb, true));

	return styles;
}

// Make the export immutable
Object.defineProperty(module, 'exports', {
	enumerable: true,
	get: assembleStyles
});


/***/ }),

/***/ 62475:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const mapObj = __nccwpck_require__(59471);
const camelCase = __nccwpck_require__(79195);
const QuickLru = __nccwpck_require__(49273);

const has = (array, key) => array.some(x => {
	if (typeof x === 'string') {
		return x === key;
	}

	x.lastIndex = 0;
	return x.test(key);
});

const cache = new QuickLru({maxSize: 100000});

// Reproduces behavior from `map-obj`
const isObject = value =>
	typeof value === 'object' &&
	value !== null &&
	!(value instanceof RegExp) &&
	!(value instanceof Error) &&
	!(value instanceof Date);

const camelCaseConvert = (input, options) => {
	if (!isObject(input)) {
		return input;
	}

	options = {
		deep: false,
		pascalCase: false,
		...options
	};

	const {exclude, pascalCase, stopPaths, deep} = options;

	const stopPathsSet = new Set(stopPaths);

	const makeMapper = parentPath => (key, value) => {
		if (deep && isObject(value)) {
			const path = parentPath === undefined ? key : `${parentPath}.${key}`;

			if (!stopPathsSet.has(path)) {
				value = mapObj(value, makeMapper(path));
			}
		}

		if (!(exclude && has(exclude, key))) {
			const cacheKey = pascalCase ? `${key}_` : key;

			if (cache.has(cacheKey)) {
				key = cache.get(cacheKey);
			} else {
				const ret = camelCase(key, {pascalCase});

				if (key.length < 100) { // Prevent abuse
					cache.set(cacheKey, ret);
				}

				key = ret;
			}
		}

		return [key, value];
	};

	return mapObj(input, makeMapper(undefined));
};

module.exports = (input, options) => {
	if (Array.isArray(input)) {
		return Object.keys(input).map(key => camelCaseConvert(input[key], options));
	}

	return camelCaseConvert(input, options);
};


/***/ }),

/***/ 79195:
/***/ ((module) => {

"use strict";


const preserveCamelCase = string => {
	let isLastCharLower = false;
	let isLastCharUpper = false;
	let isLastLastCharUpper = false;

	for (let i = 0; i < string.length; i++) {
		const character = string[i];

		if (isLastCharLower && /[a-zA-Z]/.test(character) && character.toUpperCase() === character) {
			string = string.slice(0, i) + '-' + string.slice(i);
			isLastCharLower = false;
			isLastLastCharUpper = isLastCharUpper;
			isLastCharUpper = true;
			i++;
		} else if (isLastCharUpper && isLastLastCharUpper && /[a-zA-Z]/.test(character) && character.toLowerCase() === character) {
			string = string.slice(0, i - 1) + '-' + string.slice(i - 1);
			isLastLastCharUpper = isLastCharUpper;
			isLastCharUpper = false;
			isLastCharLower = true;
		} else {
			isLastCharLower = character.toLowerCase() === character && character.toUpperCase() !== character;
			isLastLastCharUpper = isLastCharUpper;
			isLastCharUpper = character.toUpperCase() === character && character.toLowerCase() !== character;
		}
	}

	return string;
};

const camelCase = (input, options) => {
	if (!(typeof input === 'string' || Array.isArray(input))) {
		throw new TypeError('Expected the input to be `string | string[]`');
	}

	options = Object.assign({
		pascalCase: false
	}, options);

	const postProcess = x => options.pascalCase ? x.charAt(0).toUpperCase() + x.slice(1) : x;

	if (Array.isArray(input)) {
		input = input.map(x => x.trim())
			.filter(x => x.length)
			.join('-');
	} else {
		input = input.trim();
	}

	if (input.length === 0) {
		return '';
	}

	if (input.length === 1) {
		return options.pascalCase ? input.toUpperCase() : input.toLowerCase();
	}

	const hasUpperCase = input !== input.toLowerCase();

	if (hasUpperCase) {
		input = preserveCamelCase(input);
	}

	input = input
		.replace(/^[_.\- ]+/, '')
		.toLowerCase()
		.replace(/[_.\- ]+(\w|$)/g, (_, p1) => p1.toUpperCase())
		.replace(/\d+(\w|$)/g, m => m.toUpperCase());

	return postProcess(input);
};

module.exports = camelCase;
// TODO: Remove this for the next major release
module.exports["default"] = camelCase;


/***/ }),

/***/ 37356:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const ansiStyles = __nccwpck_require__(93108);
const {stdout: stdoutColor, stderr: stderrColor} = __nccwpck_require__(79108);
const {
	stringReplaceAll,
	stringEncaseCRLFWithFirstIndex
} = __nccwpck_require__(58863);

const {isArray} = Array;

// `supportsColor.level` → `ansiStyles.color[name]` mapping
const levelMapping = [
	'ansi',
	'ansi',
	'ansi256',
	'ansi16m'
];

const styles = Object.create(null);

const applyOptions = (object, options = {}) => {
	if (options.level && !(Number.isInteger(options.level) && options.level >= 0 && options.level <= 3)) {
		throw new Error('The `level` option should be an integer from 0 to 3');
	}

	// Detect level if not set manually
	const colorLevel = stdoutColor ? stdoutColor.level : 0;
	object.level = options.level === undefined ? colorLevel : options.level;
};

class ChalkClass {
	constructor(options) {
		// eslint-disable-next-line no-constructor-return
		return chalkFactory(options);
	}
}

const chalkFactory = options => {
	const chalk = {};
	applyOptions(chalk, options);

	chalk.template = (...arguments_) => chalkTag(chalk.template, ...arguments_);

	Object.setPrototypeOf(chalk, Chalk.prototype);
	Object.setPrototypeOf(chalk.template, chalk);

	chalk.template.constructor = () => {
		throw new Error('`chalk.constructor()` is deprecated. Use `new chalk.Instance()` instead.');
	};

	chalk.template.Instance = ChalkClass;

	return chalk.template;
};

function Chalk(options) {
	return chalkFactory(options);
}

for (const [styleName, style] of Object.entries(ansiStyles)) {
	styles[styleName] = {
		get() {
			const builder = createBuilder(this, createStyler(style.open, style.close, this._styler), this._isEmpty);
			Object.defineProperty(this, styleName, {value: builder});
			return builder;
		}
	};
}

styles.visible = {
	get() {
		const builder = createBuilder(this, this._styler, true);
		Object.defineProperty(this, 'visible', {value: builder});
		return builder;
	}
};

const usedModels = ['rgb', 'hex', 'keyword', 'hsl', 'hsv', 'hwb', 'ansi', 'ansi256'];

for (const model of usedModels) {
	styles[model] = {
		get() {
			const {level} = this;
			return function (...arguments_) {
				const styler = createStyler(ansiStyles.color[levelMapping[level]][model](...arguments_), ansiStyles.color.close, this._styler);
				return createBuilder(this, styler, this._isEmpty);
			};
		}
	};
}

for (const model of usedModels) {
	const bgModel = 'bg' + model[0].toUpperCase() + model.slice(1);
	styles[bgModel] = {
		get() {
			const {level} = this;
			return function (...arguments_) {
				const styler = createStyler(ansiStyles.bgColor[levelMapping[level]][model](...arguments_), ansiStyles.bgColor.close, this._styler);
				return createBuilder(this, styler, this._isEmpty);
			};
		}
	};
}

const proto = Object.defineProperties(() => {}, {
	...styles,
	level: {
		enumerable: true,
		get() {
			return this._generator.level;
		},
		set(level) {
			this._generator.level = level;
		}
	}
});

const createStyler = (open, close, parent) => {
	let openAll;
	let closeAll;
	if (parent === undefined) {
		openAll = open;
		closeAll = close;
	} else {
		openAll = parent.openAll + open;
		closeAll = close + parent.closeAll;
	}

	return {
		open,
		close,
		openAll,
		closeAll,
		parent
	};
};

const createBuilder = (self, _styler, _isEmpty) => {
	const builder = (...arguments_) => {
		if (isArray(arguments_[0]) && isArray(arguments_[0].raw)) {
			// Called as a template literal, for example: chalk.red`2 + 3 = {bold ${2+3}}`
			return applyStyle(builder, chalkTag(builder, ...arguments_));
		}

		// Single argument is hot path, implicit coercion is faster than anything
		// eslint-disable-next-line no-implicit-coercion
		return applyStyle(builder, (arguments_.length === 1) ? ('' + arguments_[0]) : arguments_.join(' '));
	};

	// We alter the prototype because we must return a function, but there is
	// no way to create a function with a different prototype
	Object.setPrototypeOf(builder, proto);

	builder._generator = self;
	builder._styler = _styler;
	builder._isEmpty = _isEmpty;

	return builder;
};

const applyStyle = (self, string) => {
	if (self.level <= 0 || !string) {
		return self._isEmpty ? '' : string;
	}

	let styler = self._styler;

	if (styler === undefined) {
		return string;
	}

	const {openAll, closeAll} = styler;
	if (string.indexOf('\u001B') !== -1) {
		while (styler !== undefined) {
			// Replace any instances already present with a re-opening code
			// otherwise only the part of the string until said closing code
			// will be colored, and the rest will simply be 'plain'.
			string = stringReplaceAll(string, styler.close, styler.open);

			styler = styler.parent;
		}
	}

	// We can move both next actions out of loop, because remaining actions in loop won't have
	// any/visible effect on parts we add here. Close the styling before a linebreak and reopen
	// after next line to fix a bleed issue on macOS: https://github.com/chalk/chalk/pull/92
	const lfIndex = string.indexOf('\n');
	if (lfIndex !== -1) {
		string = stringEncaseCRLFWithFirstIndex(string, closeAll, openAll, lfIndex);
	}

	return openAll + string + closeAll;
};

let template;
const chalkTag = (chalk, ...strings) => {
	const [firstString] = strings;

	if (!isArray(firstString) || !isArray(firstString.raw)) {
		// If chalk() was called by itself or with a string,
		// return the string itself as a string.
		return strings.join(' ');
	}

	const arguments_ = strings.slice(1);
	const parts = [firstString.raw[0]];

	for (let i = 1; i < firstString.length; i++) {
		parts.push(
			String(arguments_[i - 1]).replace(/[{}\\]/g, '\\$&'),
			String(firstString.raw[i])
		);
	}

	if (template === undefined) {
		template = __nccwpck_require__(63476);
	}

	return template(chalk, parts.join(''));
};

Object.defineProperties(Chalk.prototype, styles);

const chalk = Chalk(); // eslint-disable-line new-cap
chalk.supportsColor = stdoutColor;
chalk.stderr = Chalk({level: stderrColor ? stderrColor.level : 0}); // eslint-disable-line new-cap
chalk.stderr.supportsColor = stderrColor;

module.exports = chalk;


/***/ }),

/***/ 63476:
/***/ ((module) => {

"use strict";

const TEMPLATE_REGEX = /(?:\\(u(?:[a-f\d]{4}|\{[a-f\d]{1,6}\})|x[a-f\d]{2}|.))|(?:\{(~)?(\w+(?:\([^)]*\))?(?:\.\w+(?:\([^)]*\))?)*)(?:[ \t]|(?=\r?\n)))|(\})|((?:.|[\r\n\f])+?)/gi;
const STYLE_REGEX = /(?:^|\.)(\w+)(?:\(([^)]*)\))?/g;
const STRING_REGEX = /^(['"])((?:\\.|(?!\1)[^\\])*)\1$/;
const ESCAPE_REGEX = /\\(u(?:[a-f\d]{4}|{[a-f\d]{1,6}})|x[a-f\d]{2}|.)|([^\\])/gi;

const ESCAPES = new Map([
	['n', '\n'],
	['r', '\r'],
	['t', '\t'],
	['b', '\b'],
	['f', '\f'],
	['v', '\v'],
	['0', '\0'],
	['\\', '\\'],
	['e', '\u001B'],
	['a', '\u0007']
]);

function unescape(c) {
	const u = c[0] === 'u';
	const bracket = c[1] === '{';

	if ((u && !bracket && c.length === 5) || (c[0] === 'x' && c.length === 3)) {
		return String.fromCharCode(parseInt(c.slice(1), 16));
	}

	if (u && bracket) {
		return String.fromCodePoint(parseInt(c.slice(2, -1), 16));
	}

	return ESCAPES.get(c) || c;
}

function parseArguments(name, arguments_) {
	const results = [];
	const chunks = arguments_.trim().split(/\s*,\s*/g);
	let matches;

	for (const chunk of chunks) {
		const number = Number(chunk);
		if (!Number.isNaN(number)) {
			results.push(number);
		} else if ((matches = chunk.match(STRING_REGEX))) {
			results.push(matches[2].replace(ESCAPE_REGEX, (m, escape, character) => escape ? unescape(escape) : character));
		} else {
			throw new Error(`Invalid Chalk template style argument: ${chunk} (in style '${name}')`);
		}
	}

	return results;
}

function parseStyle(style) {
	STYLE_REGEX.lastIndex = 0;

	const results = [];
	let matches;

	while ((matches = STYLE_REGEX.exec(style)) !== null) {
		const name = matches[1];

		if (matches[2]) {
			const args = parseArguments(name, matches[2]);
			results.push([name].concat(args));
		} else {
			results.push([name]);
		}
	}

	return results;
}

function buildStyle(chalk, styles) {
	const enabled = {};

	for (const layer of styles) {
		for (const style of layer.styles) {
			enabled[style[0]] = layer.inverse ? null : style.slice(1);
		}
	}

	let current = chalk;
	for (const [styleName, styles] of Object.entries(enabled)) {
		if (!Array.isArray(styles)) {
			continue;
		}

		if (!(styleName in current)) {
			throw new Error(`Unknown Chalk style: ${styleName}`);
		}

		current = styles.length > 0 ? current[styleName](...styles) : current[styleName];
	}

	return current;
}

module.exports = (chalk, temporary) => {
	const styles = [];
	const chunks = [];
	let chunk = [];

	// eslint-disable-next-line max-params
	temporary.replace(TEMPLATE_REGEX, (m, escapeCharacter, inverse, style, close, character) => {
		if (escapeCharacter) {
			chunk.push(unescape(escapeCharacter));
		} else if (style) {
			const string = chunk.join('');
			chunk = [];
			chunks.push(styles.length === 0 ? string : buildStyle(chalk, styles)(string));
			styles.push({inverse, styles: parseStyle(style)});
		} else if (close) {
			if (styles.length === 0) {
				throw new Error('Found extraneous } in Chalk template literal');
			}

			chunks.push(buildStyle(chalk, styles)(chunk.join('')));
			chunk = [];
			styles.pop();
		} else {
			chunk.push(character);
		}
	});

	chunks.push(chunk.join(''));

	if (styles.length > 0) {
		const errMessage = `Chalk template literal is missing ${styles.length} closing bracket${styles.length === 1 ? '' : 's'} (\`}\`)`;
		throw new Error(errMessage);
	}

	return chunks.join('');
};


/***/ }),

/***/ 58863:
/***/ ((module) => {

"use strict";


const stringReplaceAll = (string, substring, replacer) => {
	let index = string.indexOf(substring);
	if (index === -1) {
		return string;
	}

	const substringLength = substring.length;
	let endIndex = 0;
	let returnValue = '';
	do {
		returnValue += string.substr(endIndex, index - endIndex) + substring + replacer;
		endIndex = index + substringLength;
		index = string.indexOf(substring, endIndex);
	} while (index !== -1);

	returnValue += string.substr(endIndex);
	return returnValue;
};

const stringEncaseCRLFWithFirstIndex = (string, prefix, postfix, index) => {
	let endIndex = 0;
	let returnValue = '';
	do {
		const gotCR = string[index - 1] === '\r';
		returnValue += string.substr(endIndex, (gotCR ? index - 1 : index) - endIndex) + prefix + (gotCR ? '\r\n' : '\n') + postfix;
		endIndex = index + 1;
		index = string.indexOf('\n', endIndex);
	} while (index !== -1);

	returnValue += string.substr(endIndex);
	return returnValue;
};

module.exports = {
	stringReplaceAll,
	stringEncaseCRLFWithFirstIndex
};


/***/ }),

/***/ 80793:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const crypto = __nccwpck_require__(6113);

module.exports = length => {
	if (!Number.isFinite(length)) {
		throw new TypeError('Expected a finite number');
	}

	return crypto.randomBytes(Math.ceil(length / 2)).toString('hex').slice(0, length);
};


/***/ }),

/***/ 33587:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);
const locatePath = __nccwpck_require__(63447);
const pathExists = __nccwpck_require__(53078);

const stop = Symbol('findUp.stop');

module.exports = async (name, options = {}) => {
	let directory = path.resolve(options.cwd || '');
	const {root} = path.parse(directory);
	const paths = [].concat(name);

	const runMatcher = async locateOptions => {
		if (typeof name !== 'function') {
			return locatePath(paths, locateOptions);
		}

		const foundPath = await name(locateOptions.cwd);
		if (typeof foundPath === 'string') {
			return locatePath([foundPath], locateOptions);
		}

		return foundPath;
	};

	// eslint-disable-next-line no-constant-condition
	while (true) {
		// eslint-disable-next-line no-await-in-loop
		const foundPath = await runMatcher({...options, cwd: directory});

		if (foundPath === stop) {
			return;
		}

		if (foundPath) {
			return path.resolve(directory, foundPath);
		}

		if (directory === root) {
			return;
		}

		directory = path.dirname(directory);
	}
};

module.exports.sync = (name, options = {}) => {
	let directory = path.resolve(options.cwd || '');
	const {root} = path.parse(directory);
	const paths = [].concat(name);

	const runMatcher = locateOptions => {
		if (typeof name !== 'function') {
			return locatePath.sync(paths, locateOptions);
		}

		const foundPath = name(locateOptions.cwd);
		if (typeof foundPath === 'string') {
			return locatePath.sync([foundPath], locateOptions);
		}

		return foundPath;
	};

	// eslint-disable-next-line no-constant-condition
	while (true) {
		const foundPath = runMatcher({...options, cwd: directory});

		if (foundPath === stop) {
			return;
		}

		if (foundPath) {
			return path.resolve(directory, foundPath);
		}

		if (directory === root) {
			return;
		}

		directory = path.dirname(directory);
	}
};

module.exports.exists = pathExists;

module.exports.sync.exists = pathExists.sync;

module.exports.stop = stop;


/***/ }),

/***/ 53596:
/***/ ((module) => {

"use strict";

const maybeJoin = (...args) => args.every(arg => arg) ? args.join('') : ''
const maybeEncode = (arg) => arg ? encodeURIComponent(arg) : ''

const defaults = {
  sshtemplate: ({ domain, user, project, committish }) => `git@${domain}:${user}/${project}.git${maybeJoin('#', committish)}`,
  sshurltemplate: ({ domain, user, project, committish }) => `git+ssh://git@${domain}/${user}/${project}.git${maybeJoin('#', committish)}`,
  browsetemplate: ({ domain, user, project, committish, treepath }) => `https://${domain}/${user}/${project}${maybeJoin('/', treepath, '/', maybeEncode(committish))}`,
  browsefiletemplate: ({ domain, user, project, committish, treepath, path, fragment, hashformat }) => `https://${domain}/${user}/${project}/${treepath}/${maybeEncode(committish || 'master')}/${path}${maybeJoin('#', hashformat(fragment || ''))}`,
  docstemplate: ({ domain, user, project, treepath, committish }) => `https://${domain}/${user}/${project}${maybeJoin('/', treepath, '/', maybeEncode(committish))}#readme`,
  httpstemplate: ({ auth, domain, user, project, committish }) => `git+https://${maybeJoin(auth, '@')}${domain}/${user}/${project}.git${maybeJoin('#', committish)}`,
  filetemplate: ({ domain, user, project, committish, path }) => `https://${domain}/${user}/${project}/raw/${maybeEncode(committish) || 'master'}/${path}`,
  shortcuttemplate: ({ type, user, project, committish }) => `${type}:${user}/${project}${maybeJoin('#', committish)}`,
  pathtemplate: ({ user, project, committish }) => `${user}/${project}${maybeJoin('#', committish)}`,
  bugstemplate: ({ domain, user, project }) => `https://${domain}/${user}/${project}/issues`,
  hashformat: formatHashFragment
}

const gitHosts = {}
gitHosts.github = Object.assign({}, defaults, {
  // First two are insecure and generally shouldn't be used any more, but
  // they are still supported.
  protocols: ['git:', 'http:', 'git+ssh:', 'git+https:', 'ssh:', 'https:'],
  domain: 'github.com',
  treepath: 'tree',
  filetemplate: ({ auth, user, project, committish, path }) => `https://${maybeJoin(auth, '@')}raw.githubusercontent.com/${user}/${project}/${maybeEncode(committish) || 'master'}/${path}`,
  gittemplate: ({ auth, domain, user, project, committish }) => `git://${maybeJoin(auth, '@')}${domain}/${user}/${project}.git${maybeJoin('#', committish)}`,
  tarballtemplate: ({ domain, user, project, committish }) => `https://codeload.${domain}/${user}/${project}/tar.gz/${maybeEncode(committish) || 'master'}`,
  extract: (url) => {
    let [, user, project, type, committish] = url.pathname.split('/', 5)
    if (type && type !== 'tree') {
      return
    }

    if (!type) {
      committish = url.hash.slice(1)
    }

    if (project && project.endsWith('.git')) {
      project = project.slice(0, -4)
    }

    if (!user || !project) {
      return
    }

    return { user, project, committish }
  }
})

gitHosts.bitbucket = Object.assign({}, defaults, {
  protocols: ['git+ssh:', 'git+https:', 'ssh:', 'https:'],
  domain: 'bitbucket.org',
  treepath: 'src',
  tarballtemplate: ({ domain, user, project, committish }) => `https://${domain}/${user}/${project}/get/${maybeEncode(committish) || 'master'}.tar.gz`,
  extract: (url) => {
    let [, user, project, aux] = url.pathname.split('/', 4)
    if (['get'].includes(aux)) {
      return
    }

    if (project && project.endsWith('.git')) {
      project = project.slice(0, -4)
    }

    if (!user || !project) {
      return
    }

    return { user, project, committish: url.hash.slice(1) }
  }
})

gitHosts.gitlab = Object.assign({}, defaults, {
  protocols: ['git+ssh:', 'git+https:', 'ssh:', 'https:'],
  domain: 'gitlab.com',
  treepath: 'tree',
  httpstemplate: ({ auth, domain, user, project, committish }) => `git+https://${maybeJoin(auth, '@')}${domain}/${user}/${project}.git${maybeJoin('#', committish)}`,
  tarballtemplate: ({ domain, user, project, committish }) => `https://${domain}/${user}/${project}/repository/archive.tar.gz?ref=${maybeEncode(committish) || 'master'}`,
  extract: (url) => {
    const path = url.pathname.slice(1)
    if (path.includes('/-/') || path.includes('/archive.tar.gz')) {
      return
    }

    const segments = path.split('/')
    let project = segments.pop()
    if (project.endsWith('.git')) {
      project = project.slice(0, -4)
    }

    const user = segments.join('/')
    if (!user || !project) {
      return
    }

    return { user, project, committish: url.hash.slice(1) }
  }
})

gitHosts.gist = Object.assign({}, defaults, {
  protocols: ['git:', 'git+ssh:', 'git+https:', 'ssh:', 'https:'],
  domain: 'gist.github.com',
  sshtemplate: ({ domain, project, committish }) => `git@${domain}:${project}.git${maybeJoin('#', committish)}`,
  sshurltemplate: ({ domain, project, committish }) => `git+ssh://git@${domain}/${project}.git${maybeJoin('#', committish)}`,
  browsetemplate: ({ domain, project, committish }) => `https://${domain}/${project}${maybeJoin('/', maybeEncode(committish))}`,
  browsefiletemplate: ({ domain, project, committish, path, hashformat }) => `https://${domain}/${project}${maybeJoin('/', maybeEncode(committish))}${maybeJoin('#', hashformat(path))}`,
  docstemplate: ({ domain, project, committish }) => `https://${domain}/${project}${maybeJoin('/', maybeEncode(committish))}`,
  httpstemplate: ({ domain, project, committish }) => `git+https://${domain}/${project}.git${maybeJoin('#', committish)}`,
  filetemplate: ({ user, project, committish, path }) => `https://gist.githubusercontent.com/${user}/${project}/raw${maybeJoin('/', maybeEncode(committish))}/${path}`,
  shortcuttemplate: ({ type, project, committish }) => `${type}:${project}${maybeJoin('#', committish)}`,
  pathtemplate: ({ project, committish }) => `${project}${maybeJoin('#', committish)}`,
  bugstemplate: ({ domain, project }) => `https://${domain}/${project}`,
  gittemplate: ({ domain, project, committish }) => `git://${domain}/${project}.git${maybeJoin('#', committish)}`,
  tarballtemplate: ({ project, committish }) => `https://codeload.github.com/gist/${project}/tar.gz/${maybeEncode(committish) || 'master'}`,
  extract: (url) => {
    let [, user, project, aux] = url.pathname.split('/', 4)
    if (aux === 'raw') {
      return
    }

    if (!project) {
      if (!user) {
        return
      }

      project = user
      user = null
    }

    if (project.endsWith('.git')) {
      project = project.slice(0, -4)
    }

    return { user, project, committish: url.hash.slice(1) }
  },
  hashformat: function (fragment) {
    return fragment && 'file-' + formatHashFragment(fragment)
  }
})

const names = Object.keys(gitHosts)
gitHosts.byShortcut = {}
gitHosts.byDomain = {}
for (const name of names) {
  gitHosts.byShortcut[`${name}:`] = name
  gitHosts.byDomain[gitHosts[name].domain] = name
}

function formatHashFragment (fragment) {
  return fragment.toLowerCase().replace(/^\W+|\/|\W+$/g, '').replace(/\W+/g, '-')
}

module.exports = gitHosts


/***/ }),

/***/ 43394:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const gitHosts = __nccwpck_require__(53596)

class GitHost {
  constructor (type, user, auth, project, committish, defaultRepresentation, opts = {}) {
    Object.assign(this, gitHosts[type])
    this.type = type
    this.user = user
    this.auth = auth
    this.project = project
    this.committish = committish
    this.default = defaultRepresentation
    this.opts = opts
  }

  hash () {
    return this.committish ? `#${this.committish}` : ''
  }

  ssh (opts) {
    return this._fill(this.sshtemplate, opts)
  }

  _fill (template, opts) {
    if (typeof template === 'function') {
      const options = { ...this, ...this.opts, ...opts }

      // the path should always be set so we don't end up with 'undefined' in urls
      if (!options.path) {
        options.path = ''
      }

      // template functions will insert the leading slash themselves
      if (options.path.startsWith('/')) {
        options.path = options.path.slice(1)
      }

      if (options.noCommittish) {
        options.committish = null
      }

      const result = template(options)
      return options.noGitPlus && result.startsWith('git+') ? result.slice(4) : result
    }

    return null
  }

  sshurl (opts) {
    return this._fill(this.sshurltemplate, opts)
  }

  browse (path, fragment, opts) {
    // not a string, treat path as opts
    if (typeof path !== 'string') {
      return this._fill(this.browsetemplate, path)
    }

    if (typeof fragment !== 'string') {
      opts = fragment
      fragment = null
    }
    return this._fill(this.browsefiletemplate, { ...opts, fragment, path })
  }

  docs (opts) {
    return this._fill(this.docstemplate, opts)
  }

  bugs (opts) {
    return this._fill(this.bugstemplate, opts)
  }

  https (opts) {
    return this._fill(this.httpstemplate, opts)
  }

  git (opts) {
    return this._fill(this.gittemplate, opts)
  }

  shortcut (opts) {
    return this._fill(this.shortcuttemplate, opts)
  }

  path (opts) {
    return this._fill(this.pathtemplate, opts)
  }

  tarball (opts) {
    return this._fill(this.tarballtemplate, { ...opts, noCommittish: false })
  }

  file (path, opts) {
    return this._fill(this.filetemplate, { ...opts, path })
  }

  getDefaultRepresentation () {
    return this.default
  }

  toString (opts) {
    if (this.default && typeof this[this.default] === 'function') {
      return this[this.default](opts)
    }

    return this.sshurl(opts)
  }
}
module.exports = GitHost


/***/ }),

/***/ 75002:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const url = __nccwpck_require__(57310)
const gitHosts = __nccwpck_require__(53596)
const GitHost = module.exports = __nccwpck_require__(43394)
const LRU = __nccwpck_require__(92351)
const cache = new LRU({ max: 1000 })

const protocolToRepresentationMap = {
  'git+ssh:': 'sshurl',
  'git+https:': 'https',
  'ssh:': 'sshurl',
  'git:': 'git'
}

function protocolToRepresentation (protocol) {
  return protocolToRepresentationMap[protocol] || protocol.slice(0, -1)
}

const authProtocols = {
  'git:': true,
  'https:': true,
  'git+https:': true,
  'http:': true,
  'git+http:': true
}

const knownProtocols = Object.keys(gitHosts.byShortcut).concat(['http:', 'https:', 'git:', 'git+ssh:', 'git+https:', 'ssh:'])

module.exports.fromUrl = function (giturl, opts) {
  if (typeof giturl !== 'string') {
    return
  }

  const key = giturl + JSON.stringify(opts || {})

  if (!cache.has(key)) {
    cache.set(key, fromUrl(giturl, opts))
  }

  return cache.get(key)
}

function fromUrl (giturl, opts) {
  if (!giturl) {
    return
  }

  const url = isGitHubShorthand(giturl) ? 'github:' + giturl : correctProtocol(giturl)
  const parsed = parseGitUrl(url)
  if (!parsed) {
    return parsed
  }

  const gitHostShortcut = gitHosts.byShortcut[parsed.protocol]
  const gitHostDomain = gitHosts.byDomain[parsed.hostname.startsWith('www.') ? parsed.hostname.slice(4) : parsed.hostname]
  const gitHostName = gitHostShortcut || gitHostDomain
  if (!gitHostName) {
    return
  }

  const gitHostInfo = gitHosts[gitHostShortcut || gitHostDomain]
  let auth = null
  if (authProtocols[parsed.protocol] && (parsed.username || parsed.password)) {
    auth = `${parsed.username}${parsed.password ? ':' + parsed.password : ''}`
  }

  let committish = null
  let user = null
  let project = null
  let defaultRepresentation = null

  try {
    if (gitHostShortcut) {
      let pathname = parsed.pathname.startsWith('/') ? parsed.pathname.slice(1) : parsed.pathname
      const firstAt = pathname.indexOf('@')
      // we ignore auth for shortcuts, so just trim it out
      if (firstAt > -1) {
        pathname = pathname.slice(firstAt + 1)
      }

      const lastSlash = pathname.lastIndexOf('/')
      if (lastSlash > -1) {
        user = decodeURIComponent(pathname.slice(0, lastSlash))
        // we want nulls only, never empty strings
        if (!user) {
          user = null
        }
        project = decodeURIComponent(pathname.slice(lastSlash + 1))
      } else {
        project = decodeURIComponent(pathname)
      }

      if (project.endsWith('.git')) {
        project = project.slice(0, -4)
      }

      if (parsed.hash) {
        committish = decodeURIComponent(parsed.hash.slice(1))
      }

      defaultRepresentation = 'shortcut'
    } else {
      if (!gitHostInfo.protocols.includes(parsed.protocol)) {
        return
      }

      const segments = gitHostInfo.extract(parsed)
      if (!segments) {
        return
      }

      user = segments.user && decodeURIComponent(segments.user)
      project = decodeURIComponent(segments.project)
      committish = decodeURIComponent(segments.committish)
      defaultRepresentation = protocolToRepresentation(parsed.protocol)
    }
  } catch (err) {
    /* istanbul ignore else */
    if (err instanceof URIError) {
      return
    } else {
      throw err
    }
  }

  return new GitHost(gitHostName, user, auth, project, committish, defaultRepresentation, opts)
}

// accepts input like git:github.com:user/repo and inserts the // after the first :
const correctProtocol = (arg) => {
  const firstColon = arg.indexOf(':')
  const proto = arg.slice(0, firstColon + 1)
  if (knownProtocols.includes(proto)) {
    return arg
  }

  const firstAt = arg.indexOf('@')
  if (firstAt > -1) {
    if (firstAt > firstColon) {
      return `git+ssh://${arg}`
    } else {
      return arg
    }
  }

  const doubleSlash = arg.indexOf('//')
  if (doubleSlash === firstColon + 1) {
    return arg
  }

  return arg.slice(0, firstColon + 1) + '//' + arg.slice(firstColon + 1)
}

// look for github shorthand inputs, such as npm/cli
const isGitHubShorthand = (arg) => {
  // it cannot contain whitespace before the first #
  // it cannot start with a / because that's probably an absolute file path
  // but it must include a slash since repos are username/repository
  // it cannot start with a . because that's probably a relative file path
  // it cannot start with an @ because that's a scoped package if it passes the other tests
  // it cannot contain a : before a # because that tells us that there's a protocol
  // a second / may not exist before a #
  const firstHash = arg.indexOf('#')
  const firstSlash = arg.indexOf('/')
  const secondSlash = arg.indexOf('/', firstSlash + 1)
  const firstColon = arg.indexOf(':')
  const firstSpace = /\s/.exec(arg)
  const firstAt = arg.indexOf('@')

  const spaceOnlyAfterHash = !firstSpace || (firstHash > -1 && firstSpace.index > firstHash)
  const atOnlyAfterHash = firstAt === -1 || (firstHash > -1 && firstAt > firstHash)
  const colonOnlyAfterHash = firstColon === -1 || (firstHash > -1 && firstColon > firstHash)
  const secondSlashOnlyAfterHash = secondSlash === -1 || (firstHash > -1 && secondSlash > firstHash)
  const hasSlash = firstSlash > 0
  // if a # is found, what we really want to know is that the character immediately before # is not a /
  const doesNotEndWithSlash = firstHash > -1 ? arg[firstHash - 1] !== '/' : !arg.endsWith('/')
  const doesNotStartWithDot = !arg.startsWith('.')

  return spaceOnlyAfterHash && hasSlash && doesNotEndWithSlash && doesNotStartWithDot && atOnlyAfterHash && colonOnlyAfterHash && secondSlashOnlyAfterHash
}

// attempt to correct an scp style url so that it will parse with `new URL()`
const correctUrl = (giturl) => {
  const firstAt = giturl.indexOf('@')
  const lastHash = giturl.lastIndexOf('#')
  let firstColon = giturl.indexOf(':')
  let lastColon = giturl.lastIndexOf(':', lastHash > -1 ? lastHash : Infinity)

  let corrected
  if (lastColon > firstAt) {
    // the last : comes after the first @ (or there is no @)
    // like it would in:
    // proto://hostname.com:user/repo
    // username@hostname.com:user/repo
    // :password@hostname.com:user/repo
    // username:password@hostname.com:user/repo
    // proto://username@hostname.com:user/repo
    // proto://:password@hostname.com:user/repo
    // proto://username:password@hostname.com:user/repo
    // then we replace the last : with a / to create a valid path
    corrected = giturl.slice(0, lastColon) + '/' + giturl.slice(lastColon + 1)
    // // and we find our new : positions
    firstColon = corrected.indexOf(':')
    lastColon = corrected.lastIndexOf(':')
  }

  if (firstColon === -1 && giturl.indexOf('//') === -1) {
    // we have no : at all
    // as it would be in:
    // username@hostname.com/user/repo
    // then we prepend a protocol
    corrected = `git+ssh://${corrected}`
  }

  return corrected
}

// try to parse the url as its given to us, if that throws
// then we try to clean the url and parse that result instead
// THIS FUNCTION SHOULD NEVER THROW
const parseGitUrl = (giturl) => {
  let result
  try {
    result = new url.URL(giturl)
  } catch (err) {}

  if (result) {
    return result
  }

  const correctedUrl = correctUrl(giturl)
  try {
    result = new url.URL(correctedUrl)
  } catch (err) {}

  return result
}


/***/ }),

/***/ 92351:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


// A linked list to keep track of recently-used-ness
const Yallist = __nccwpck_require__(29097)

const MAX = Symbol('max')
const LENGTH = Symbol('length')
const LENGTH_CALCULATOR = Symbol('lengthCalculator')
const ALLOW_STALE = Symbol('allowStale')
const MAX_AGE = Symbol('maxAge')
const DISPOSE = Symbol('dispose')
const NO_DISPOSE_ON_SET = Symbol('noDisposeOnSet')
const LRU_LIST = Symbol('lruList')
const CACHE = Symbol('cache')
const UPDATE_AGE_ON_GET = Symbol('updateAgeOnGet')

const naiveLength = () => 1

// lruList is a yallist where the head is the youngest
// item, and the tail is the oldest.  the list contains the Hit
// objects as the entries.
// Each Hit object has a reference to its Yallist.Node.  This
// never changes.
//
// cache is a Map (or PseudoMap) that matches the keys to
// the Yallist.Node object.
class LRUCache {
  constructor (options) {
    if (typeof options === 'number')
      options = { max: options }

    if (!options)
      options = {}

    if (options.max && (typeof options.max !== 'number' || options.max < 0))
      throw new TypeError('max must be a non-negative number')
    // Kind of weird to have a default max of Infinity, but oh well.
    const max = this[MAX] = options.max || Infinity

    const lc = options.length || naiveLength
    this[LENGTH_CALCULATOR] = (typeof lc !== 'function') ? naiveLength : lc
    this[ALLOW_STALE] = options.stale || false
    if (options.maxAge && typeof options.maxAge !== 'number')
      throw new TypeError('maxAge must be a number')
    this[MAX_AGE] = options.maxAge || 0
    this[DISPOSE] = options.dispose
    this[NO_DISPOSE_ON_SET] = options.noDisposeOnSet || false
    this[UPDATE_AGE_ON_GET] = options.updateAgeOnGet || false
    this.reset()
  }

  // resize the cache when the max changes.
  set max (mL) {
    if (typeof mL !== 'number' || mL < 0)
      throw new TypeError('max must be a non-negative number')

    this[MAX] = mL || Infinity
    trim(this)
  }
  get max () {
    return this[MAX]
  }

  set allowStale (allowStale) {
    this[ALLOW_STALE] = !!allowStale
  }
  get allowStale () {
    return this[ALLOW_STALE]
  }

  set maxAge (mA) {
    if (typeof mA !== 'number')
      throw new TypeError('maxAge must be a non-negative number')

    this[MAX_AGE] = mA
    trim(this)
  }
  get maxAge () {
    return this[MAX_AGE]
  }

  // resize the cache when the lengthCalculator changes.
  set lengthCalculator (lC) {
    if (typeof lC !== 'function')
      lC = naiveLength

    if (lC !== this[LENGTH_CALCULATOR]) {
      this[LENGTH_CALCULATOR] = lC
      this[LENGTH] = 0
      this[LRU_LIST].forEach(hit => {
        hit.length = this[LENGTH_CALCULATOR](hit.value, hit.key)
        this[LENGTH] += hit.length
      })
    }
    trim(this)
  }
  get lengthCalculator () { return this[LENGTH_CALCULATOR] }

  get length () { return this[LENGTH] }
  get itemCount () { return this[LRU_LIST].length }

  rforEach (fn, thisp) {
    thisp = thisp || this
    for (let walker = this[LRU_LIST].tail; walker !== null;) {
      const prev = walker.prev
      forEachStep(this, fn, walker, thisp)
      walker = prev
    }
  }

  forEach (fn, thisp) {
    thisp = thisp || this
    for (let walker = this[LRU_LIST].head; walker !== null;) {
      const next = walker.next
      forEachStep(this, fn, walker, thisp)
      walker = next
    }
  }

  keys () {
    return this[LRU_LIST].toArray().map(k => k.key)
  }

  values () {
    return this[LRU_LIST].toArray().map(k => k.value)
  }

  reset () {
    if (this[DISPOSE] &&
        this[LRU_LIST] &&
        this[LRU_LIST].length) {
      this[LRU_LIST].forEach(hit => this[DISPOSE](hit.key, hit.value))
    }

    this[CACHE] = new Map() // hash of items by key
    this[LRU_LIST] = new Yallist() // list of items in order of use recency
    this[LENGTH] = 0 // length of items in the list
  }

  dump () {
    return this[LRU_LIST].map(hit =>
      isStale(this, hit) ? false : {
        k: hit.key,
        v: hit.value,
        e: hit.now + (hit.maxAge || 0)
      }).toArray().filter(h => h)
  }

  dumpLru () {
    return this[LRU_LIST]
  }

  set (key, value, maxAge) {
    maxAge = maxAge || this[MAX_AGE]

    if (maxAge && typeof maxAge !== 'number')
      throw new TypeError('maxAge must be a number')

    const now = maxAge ? Date.now() : 0
    const len = this[LENGTH_CALCULATOR](value, key)

    if (this[CACHE].has(key)) {
      if (len > this[MAX]) {
        del(this, this[CACHE].get(key))
        return false
      }

      const node = this[CACHE].get(key)
      const item = node.value

      // dispose of the old one before overwriting
      // split out into 2 ifs for better coverage tracking
      if (this[DISPOSE]) {
        if (!this[NO_DISPOSE_ON_SET])
          this[DISPOSE](key, item.value)
      }

      item.now = now
      item.maxAge = maxAge
      item.value = value
      this[LENGTH] += len - item.length
      item.length = len
      this.get(key)
      trim(this)
      return true
    }

    const hit = new Entry(key, value, len, now, maxAge)

    // oversized objects fall out of cache automatically.
    if (hit.length > this[MAX]) {
      if (this[DISPOSE])
        this[DISPOSE](key, value)

      return false
    }

    this[LENGTH] += hit.length
    this[LRU_LIST].unshift(hit)
    this[CACHE].set(key, this[LRU_LIST].head)
    trim(this)
    return true
  }

  has (key) {
    if (!this[CACHE].has(key)) return false
    const hit = this[CACHE].get(key).value
    return !isStale(this, hit)
  }

  get (key) {
    return get(this, key, true)
  }

  peek (key) {
    return get(this, key, false)
  }

  pop () {
    const node = this[LRU_LIST].tail
    if (!node)
      return null

    del(this, node)
    return node.value
  }

  del (key) {
    del(this, this[CACHE].get(key))
  }

  load (arr) {
    // reset the cache
    this.reset()

    const now = Date.now()
    // A previous serialized cache has the most recent items first
    for (let l = arr.length - 1; l >= 0; l--) {
      const hit = arr[l]
      const expiresAt = hit.e || 0
      if (expiresAt === 0)
        // the item was created without expiration in a non aged cache
        this.set(hit.k, hit.v)
      else {
        const maxAge = expiresAt - now
        // dont add already expired items
        if (maxAge > 0) {
          this.set(hit.k, hit.v, maxAge)
        }
      }
    }
  }

  prune () {
    this[CACHE].forEach((value, key) => get(this, key, false))
  }
}

const get = (self, key, doUse) => {
  const node = self[CACHE].get(key)
  if (node) {
    const hit = node.value
    if (isStale(self, hit)) {
      del(self, node)
      if (!self[ALLOW_STALE])
        return undefined
    } else {
      if (doUse) {
        if (self[UPDATE_AGE_ON_GET])
          node.value.now = Date.now()
        self[LRU_LIST].unshiftNode(node)
      }
    }
    return hit.value
  }
}

const isStale = (self, hit) => {
  if (!hit || (!hit.maxAge && !self[MAX_AGE]))
    return false

  const diff = Date.now() - hit.now
  return hit.maxAge ? diff > hit.maxAge
    : self[MAX_AGE] && (diff > self[MAX_AGE])
}

const trim = self => {
  if (self[LENGTH] > self[MAX]) {
    for (let walker = self[LRU_LIST].tail;
      self[LENGTH] > self[MAX] && walker !== null;) {
      // We know that we're about to delete this one, and also
      // what the next least recently used key will be, so just
      // go ahead and set it now.
      const prev = walker.prev
      del(self, walker)
      walker = prev
    }
  }
}

const del = (self, node) => {
  if (node) {
    const hit = node.value
    if (self[DISPOSE])
      self[DISPOSE](hit.key, hit.value)

    self[LENGTH] -= hit.length
    self[CACHE].delete(hit.key)
    self[LRU_LIST].removeNode(node)
  }
}

class Entry {
  constructor (key, value, length, now, maxAge) {
    this.key = key
    this.value = value
    this.length = length
    this.now = now
    this.maxAge = maxAge || 0
  }
}

const forEachStep = (self, fn, node, thisp) => {
  let hit = node.value
  if (isStale(self, hit)) {
    del(self, node)
    if (!self[ALLOW_STALE])
      hit = undefined
  }
  if (hit)
    fn.call(thisp, hit.value, hit.key, self)
}

module.exports = LRUCache


/***/ }),

/***/ 59471:
/***/ ((module) => {

"use strict";


const isObject = value => typeof value === 'object' && value !== null;
const mapObjectSkip = Symbol('skip');

// Customized for this use-case
const isObjectCustom = value =>
	isObject(value) &&
	!(value instanceof RegExp) &&
	!(value instanceof Error) &&
	!(value instanceof Date);

const mapObject = (object, mapper, options, isSeen = new WeakMap()) => {
	options = {
		deep: false,
		target: {},
		...options
	};

	if (isSeen.has(object)) {
		return isSeen.get(object);
	}

	isSeen.set(object, options.target);

	const {target} = options;
	delete options.target;

	const mapArray = array => array.map(element => isObjectCustom(element) ? mapObject(element, mapper, options, isSeen) : element);
	if (Array.isArray(object)) {
		return mapArray(object);
	}

	for (const [key, value] of Object.entries(object)) {
		const mapResult = mapper(key, value, object);

		if (mapResult === mapObjectSkip) {
			continue;
		}

		let [newKey, newValue, {shouldRecurse = true} = {}] = mapResult;

		// Drop `__proto__` keys.
		if (newKey === '__proto__') {
			continue;
		}

		if (options.deep && shouldRecurse && isObjectCustom(newValue)) {
			newValue = Array.isArray(newValue) ?
				mapArray(newValue) :
				mapObject(newValue, mapper, options, isSeen);
		}

		target[newKey] = newValue;
	}

	return target;
};

module.exports = (object, mapper, options) => {
	if (!isObject(object)) {
		throw new TypeError(`Expected an object, got \`${object}\` (${typeof object})`);
	}

	return mapObject(object, mapper, options);
};

module.exports.mapObjectSkip = mapObjectSkip;


/***/ }),

/***/ 76607:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";
/* module decorator */ module = __nccwpck_require__.nmd(module);

const path = __nccwpck_require__(71017);
const buildParserOptions = __nccwpck_require__(99658);
const parseArguments = __nccwpck_require__(31970);
const camelCaseKeys = __nccwpck_require__(62475);
const decamelize = __nccwpck_require__(70159);
const decamelizeKeys = __nccwpck_require__(24598);
const trimNewlines = __nccwpck_require__(49917);
const redent = __nccwpck_require__(80885);
const readPkgUp = __nccwpck_require__(24616);
const hardRejection = __nccwpck_require__(95597);
const normalizePackageData = __nccwpck_require__(55692);

// Prevent caching of this module so module.parent is always accurate
delete require.cache[__filename];
const parentDir = path.dirname(module.parent && module.parent.filename ? module.parent.filename : '.');

const isFlagMissing = (flagName, definedFlags, receivedFlags, input) => {
	const flag = definedFlags[flagName];
	let isFlagRequired = true;

	if (typeof flag.isRequired === 'function') {
		isFlagRequired = flag.isRequired(receivedFlags, input);
		if (typeof isFlagRequired !== 'boolean') {
			throw new TypeError(`Return value for isRequired callback should be of type boolean, but ${typeof isFlagRequired} was returned.`);
		}
	}

	if (typeof receivedFlags[flagName] === 'undefined') {
		return isFlagRequired;
	}

	return flag.isMultiple && receivedFlags[flagName].length === 0;
};

const getMissingRequiredFlags = (flags, receivedFlags, input) => {
	const missingRequiredFlags = [];
	if (typeof flags === 'undefined') {
		return [];
	}

	for (const flagName of Object.keys(flags)) {
		if (flags[flagName].isRequired && isFlagMissing(flagName, flags, receivedFlags, input)) {
			missingRequiredFlags.push({key: flagName, ...flags[flagName]});
		}
	}

	return missingRequiredFlags;
};

const reportMissingRequiredFlags = missingRequiredFlags => {
	console.error(`Missing required flag${missingRequiredFlags.length > 1 ? 's' : ''}`);
	for (const flag of missingRequiredFlags) {
		console.error(`\t--${decamelize(flag.key, '-')}${flag.alias ? `, -${flag.alias}` : ''}`);
	}
};

const validateOptions = ({flags}) => {
	const invalidFlags = Object.keys(flags).filter(flagKey => flagKey.includes('-') && flagKey !== '--');
	if (invalidFlags.length > 0) {
		throw new Error(`Flag keys may not contain '-': ${invalidFlags.join(', ')}`);
	}
};

const reportUnknownFlags = unknownFlags => {
	console.error([
		`Unknown flag${unknownFlags.length > 1 ? 's' : ''}`,
		...unknownFlags
	].join('\n'));
};

const buildParserFlags = ({flags, booleanDefault}) => {
	const parserFlags = {};

	for (const [flagKey, flagValue] of Object.entries(flags)) {
		const flag = {...flagValue};

		if (
			typeof booleanDefault !== 'undefined' &&
			flag.type === 'boolean' &&
			!Object.prototype.hasOwnProperty.call(flag, 'default')
		) {
			flag.default = flag.isMultiple ? [booleanDefault] : booleanDefault;
		}

		if (flag.isMultiple) {
			flag.type = flag.type ? `${flag.type}-array` : 'array';
			flag.default = flag.default || [];
			delete flag.isMultiple;
		}

		parserFlags[flagKey] = flag;
	}

	return parserFlags;
};

const validateFlags = (flags, options) => {
	for (const [flagKey, flagValue] of Object.entries(options.flags)) {
		if (flagKey !== '--' && !flagValue.isMultiple && Array.isArray(flags[flagKey])) {
			throw new Error(`The flag --${flagKey} can only be set once.`);
		}
	}
};

const meow = (helpText, options) => {
	if (typeof helpText !== 'string') {
		options = helpText;
		helpText = '';
	}

	const foundPkg = readPkgUp.sync({
		cwd: parentDir,
		normalize: false
	});

	options = {
		pkg: foundPkg ? foundPkg.packageJson : {},
		argv: process.argv.slice(2),
		flags: {},
		inferType: false,
		input: 'string',
		help: helpText,
		autoHelp: true,
		autoVersion: true,
		booleanDefault: false,
		hardRejection: true,
		allowUnknownFlags: true,
		...options
	};

	if (options.hardRejection) {
		hardRejection();
	}

	validateOptions(options);
	let parserOptions = {
		arguments: options.input,
		...buildParserFlags(options)
	};

	parserOptions = decamelizeKeys(parserOptions, '-', {exclude: ['stopEarly', '--']});

	if (options.inferType) {
		delete parserOptions.arguments;
	}

	parserOptions = buildParserOptions(parserOptions);

	parserOptions.configuration = {
		...parserOptions.configuration,
		'greedy-arrays': false
	};

	if (parserOptions['--']) {
		parserOptions.configuration['populate--'] = true;
	}

	if (!options.allowUnknownFlags) {
		// Collect unknown options in `argv._` to be checked later.
		parserOptions.configuration['unknown-options-as-args'] = true;
	}

	const {pkg} = options;
	const argv = parseArguments(options.argv, parserOptions);
	let help = redent(trimNewlines((options.help || '').replace(/\t+\n*$/, '')), 2);

	normalizePackageData(pkg);

	process.title = pkg.bin ? Object.keys(pkg.bin)[0] : pkg.name;

	let {description} = options;
	if (!description && description !== false) {
		({description} = pkg);
	}

	help = (description ? `\n  ${description}\n` : '') + (help ? `\n${help}\n` : '\n');

	const showHelp = code => {
		console.log(help);
		process.exit(typeof code === 'number' ? code : 2);
	};

	const showVersion = () => {
		console.log(typeof options.version === 'string' ? options.version : pkg.version);
		process.exit(0);
	};

	if (argv._.length === 0 && options.argv.length === 1) {
		if (argv.version === true && options.autoVersion) {
			showVersion();
		}

		if (argv.help === true && options.autoHelp) {
			showHelp(0);
		}
	}

	const input = argv._;
	delete argv._;

	if (!options.allowUnknownFlags) {
		const unknownFlags = input.filter(item => typeof item === 'string' && item.startsWith('-'));
		if (unknownFlags.length > 0) {
			reportUnknownFlags(unknownFlags);
			process.exit(2);
		}
	}

	const flags = camelCaseKeys(argv, {exclude: ['--', /^\w$/]});
	const unnormalizedFlags = {...flags};

	validateFlags(flags, options);

	for (const flagValue of Object.values(options.flags)) {
		delete flags[flagValue.alias];
	}

	const missingRequiredFlags = getMissingRequiredFlags(options.flags, flags, input);
	if (missingRequiredFlags.length > 0) {
		reportMissingRequiredFlags(missingRequiredFlags);
		process.exit(2);
	}

	return {
		input,
		flags,
		unnormalizedFlags,
		pkg,
		help,
		showHelp,
		showVersion
	};
};

module.exports = meow;


/***/ }),

/***/ 75296:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const optsArg = __nccwpck_require__(16127)
const pathArg = __nccwpck_require__(32239)

const {mkdirpNative, mkdirpNativeSync} = __nccwpck_require__(11389)
const {mkdirpManual, mkdirpManualSync} = __nccwpck_require__(40231)
const {useNative, useNativeSync} = __nccwpck_require__(6457)


const mkdirp = (path, opts) => {
  path = pathArg(path)
  opts = optsArg(opts)
  return useNative(opts)
    ? mkdirpNative(path, opts)
    : mkdirpManual(path, opts)
}

const mkdirpSync = (path, opts) => {
  path = pathArg(path)
  opts = optsArg(opts)
  return useNativeSync(opts)
    ? mkdirpNativeSync(path, opts)
    : mkdirpManualSync(path, opts)
}

mkdirp.sync = mkdirpSync
mkdirp.native = (path, opts) => mkdirpNative(pathArg(path), optsArg(opts))
mkdirp.manual = (path, opts) => mkdirpManual(pathArg(path), optsArg(opts))
mkdirp.nativeSync = (path, opts) => mkdirpNativeSync(pathArg(path), optsArg(opts))
mkdirp.manualSync = (path, opts) => mkdirpManualSync(pathArg(path), optsArg(opts))

module.exports = mkdirp


/***/ }),

/***/ 24387:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const {dirname} = __nccwpck_require__(71017)

const findMade = (opts, parent, path = undefined) => {
  // we never want the 'made' return value to be a root directory
  if (path === parent)
    return Promise.resolve()

  return opts.statAsync(parent).then(
    st => st.isDirectory() ? path : undefined, // will fail later
    er => er.code === 'ENOENT'
      ? findMade(opts, dirname(parent), parent)
      : undefined
  )
}

const findMadeSync = (opts, parent, path = undefined) => {
  if (path === parent)
    return undefined

  try {
    return opts.statSync(parent).isDirectory() ? path : undefined
  } catch (er) {
    return er.code === 'ENOENT'
      ? findMadeSync(opts, dirname(parent), parent)
      : undefined
  }
}

module.exports = {findMade, findMadeSync}


/***/ }),

/***/ 40231:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const {dirname} = __nccwpck_require__(71017)

const mkdirpManual = (path, opts, made) => {
  opts.recursive = false
  const parent = dirname(path)
  if (parent === path) {
    return opts.mkdirAsync(path, opts).catch(er => {
      // swallowed by recursive implementation on posix systems
      // any other error is a failure
      if (er.code !== 'EISDIR')
        throw er
    })
  }

  return opts.mkdirAsync(path, opts).then(() => made || path, er => {
    if (er.code === 'ENOENT')
      return mkdirpManual(parent, opts)
        .then(made => mkdirpManual(path, opts, made))
    if (er.code !== 'EEXIST' && er.code !== 'EROFS')
      throw er
    return opts.statAsync(path).then(st => {
      if (st.isDirectory())
        return made
      else
        throw er
    }, () => { throw er })
  })
}

const mkdirpManualSync = (path, opts, made) => {
  const parent = dirname(path)
  opts.recursive = false

  if (parent === path) {
    try {
      return opts.mkdirSync(path, opts)
    } catch (er) {
      // swallowed by recursive implementation on posix systems
      // any other error is a failure
      if (er.code !== 'EISDIR')
        throw er
      else
        return
    }
  }

  try {
    opts.mkdirSync(path, opts)
    return made || path
  } catch (er) {
    if (er.code === 'ENOENT')
      return mkdirpManualSync(path, opts, mkdirpManualSync(parent, opts, made))
    if (er.code !== 'EEXIST' && er.code !== 'EROFS')
      throw er
    try {
      if (!opts.statSync(path).isDirectory())
        throw er
    } catch (_) {
      throw er
    }
  }
}

module.exports = {mkdirpManual, mkdirpManualSync}


/***/ }),

/***/ 11389:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const {dirname} = __nccwpck_require__(71017)
const {findMade, findMadeSync} = __nccwpck_require__(24387)
const {mkdirpManual, mkdirpManualSync} = __nccwpck_require__(40231)

const mkdirpNative = (path, opts) => {
  opts.recursive = true
  const parent = dirname(path)
  if (parent === path)
    return opts.mkdirAsync(path, opts)

  return findMade(opts, path).then(made =>
    opts.mkdirAsync(path, opts).then(() => made)
    .catch(er => {
      if (er.code === 'ENOENT')
        return mkdirpManual(path, opts)
      else
        throw er
    }))
}

const mkdirpNativeSync = (path, opts) => {
  opts.recursive = true
  const parent = dirname(path)
  if (parent === path)
    return opts.mkdirSync(path, opts)

  const made = findMadeSync(opts, path)
  try {
    opts.mkdirSync(path, opts)
    return made
  } catch (er) {
    if (er.code === 'ENOENT')
      return mkdirpManualSync(path, opts)
    else
      throw er
  }
}

module.exports = {mkdirpNative, mkdirpNativeSync}


/***/ }),

/***/ 16127:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const { promisify } = __nccwpck_require__(73837)
const fs = __nccwpck_require__(57147)
const optsArg = opts => {
  if (!opts)
    opts = { mode: 0o777, fs }
  else if (typeof opts === 'object')
    opts = { mode: 0o777, fs, ...opts }
  else if (typeof opts === 'number')
    opts = { mode: opts, fs }
  else if (typeof opts === 'string')
    opts = { mode: parseInt(opts, 8), fs }
  else
    throw new TypeError('invalid options argument')

  opts.mkdir = opts.mkdir || opts.fs.mkdir || fs.mkdir
  opts.mkdirAsync = promisify(opts.mkdir)
  opts.stat = opts.stat || opts.fs.stat || fs.stat
  opts.statAsync = promisify(opts.stat)
  opts.statSync = opts.statSync || opts.fs.statSync || fs.statSync
  opts.mkdirSync = opts.mkdirSync || opts.fs.mkdirSync || fs.mkdirSync
  return opts
}
module.exports = optsArg


/***/ }),

/***/ 32239:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const platform = process.env.__TESTING_MKDIRP_PLATFORM__ || process.platform
const { resolve, parse } = __nccwpck_require__(71017)
const pathArg = path => {
  if (/\0/.test(path)) {
    // simulate same failure that node raises
    throw Object.assign(
      new TypeError('path must be a string without null bytes'),
      {
        path,
        code: 'ERR_INVALID_ARG_VALUE',
      }
    )
  }

  path = resolve(path)
  if (platform === 'win32') {
    const badWinChars = /[*|"<>?:]/
    const {root} = parse(path)
    if (badWinChars.test(path.substr(root.length))) {
      throw Object.assign(new Error('Illegal characters in path.'), {
        path,
        code: 'EINVAL',
      })
    }
  }

  return path
}
module.exports = pathArg


/***/ }),

/***/ 6457:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const fs = __nccwpck_require__(57147)

const version = process.env.__TESTING_MKDIRP_NODE_VERSION__ || process.version
const versArr = version.replace(/^v/, '').split('.')
const hasNative = +versArr[0] > 10 || +versArr[0] === 10 && +versArr[1] >= 12

const useNative = !hasNative ? () => false : opts => opts.mkdir === fs.mkdir
const useNativeSync = !hasNative ? () => false : opts => opts.mkdirSync === fs.mkdirSync

module.exports = {useNative, useNativeSync}


/***/ }),

/***/ 12857:
/***/ ((module) => {

module.exports = extractDescription

// Extracts description from contents of a readme file in markdown format
function extractDescription (d) {
  if (!d) {
    return
  }
  if (d === 'ERROR: No README data found!') {
    return
  }
  // the first block of text before the first heading
  // that isn't the first line heading
  d = d.trim().split('\n')
  for (var s = 0; d[s] && d[s].trim().match(/^(#|$)/); s++) {
    ;
  }
  var l = d.length
  for (var e = s + 1; e < l && d[e].trim(); e++) {
    ;
  }
  return d.slice(s, e).join(' ').trim()
}


/***/ }),

/***/ 69849:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var isValidSemver = __nccwpck_require__(3725)
var cleanSemver = __nccwpck_require__(43600)
var validateLicense = __nccwpck_require__(22524)
var hostedGitInfo = __nccwpck_require__(75002)
var isBuiltinModule = __nccwpck_require__(56873)
var depTypes = ['dependencies', 'devDependencies', 'optionalDependencies']
var extractDescription = __nccwpck_require__(12857)
var url = __nccwpck_require__(57310)
var typos = __nccwpck_require__(42131)

module.exports = {
  // default warning function
  warn: function () {},

  fixRepositoryField: function (data) {
    if (data.repositories) {
      this.warn('repositories')
      data.repository = data.repositories[0]
    }
    if (!data.repository) {
      return this.warn('missingRepository')
    }
    if (typeof data.repository === 'string') {
      data.repository = {
        type: 'git',
        url: data.repository,
      }
    }
    var r = data.repository.url || ''
    if (r) {
      var hosted = hostedGitInfo.fromUrl(r)
      if (hosted) {
        r = data.repository.url
          = hosted.getDefaultRepresentation() === 'shortcut' ? hosted.https() : hosted.toString()
      }
    }

    if (r.match(/github.com\/[^/]+\/[^/]+\.git\.git$/)) {
      this.warn('brokenGitUrl', r)
    }
  },

  fixTypos: function (data) {
    Object.keys(typos.topLevel).forEach(function (d) {
      if (Object.prototype.hasOwnProperty.call(data, d)) {
        this.warn('typo', d, typos.topLevel[d])
      }
    }, this)
  },

  fixScriptsField: function (data) {
    if (!data.scripts) {
      return
    }
    if (typeof data.scripts !== 'object') {
      this.warn('nonObjectScripts')
      delete data.scripts
      return
    }
    Object.keys(data.scripts).forEach(function (k) {
      if (typeof data.scripts[k] !== 'string') {
        this.warn('nonStringScript')
        delete data.scripts[k]
      } else if (typos.script[k] && !data.scripts[typos.script[k]]) {
        this.warn('typo', k, typos.script[k], 'scripts')
      }
    }, this)
  },

  fixFilesField: function (data) {
    var files = data.files
    if (files && !Array.isArray(files)) {
      this.warn('nonArrayFiles')
      delete data.files
    } else if (data.files) {
      data.files = data.files.filter(function (file) {
        if (!file || typeof file !== 'string') {
          this.warn('invalidFilename', file)
          return false
        } else {
          return true
        }
      }, this)
    }
  },

  fixBinField: function (data) {
    if (!data.bin) {
      return
    }
    if (typeof data.bin === 'string') {
      var b = {}
      var match
      if (match = data.name.match(/^@[^/]+[/](.*)$/)) {
        b[match[1]] = data.bin
      } else {
        b[data.name] = data.bin
      }
      data.bin = b
    }
  },

  fixManField: function (data) {
    if (!data.man) {
      return
    }
    if (typeof data.man === 'string') {
      data.man = [data.man]
    }
  },
  fixBundleDependenciesField: function (data) {
    var bdd = 'bundledDependencies'
    var bd = 'bundleDependencies'
    if (data[bdd] && !data[bd]) {
      data[bd] = data[bdd]
      delete data[bdd]
    }
    if (data[bd] && !Array.isArray(data[bd])) {
      this.warn('nonArrayBundleDependencies')
      delete data[bd]
    } else if (data[bd]) {
      data[bd] = data[bd].filter(function (bd) {
        if (!bd || typeof bd !== 'string') {
          this.warn('nonStringBundleDependency', bd)
          return false
        } else {
          if (!data.dependencies) {
            data.dependencies = {}
          }
          if (Object.prototype.hasOwnProperty.call(data.dependencies, bd)) {
            this.warn('nonDependencyBundleDependency', bd)
            data.dependencies[bd] = '*'
          }
          return true
        }
      }, this)
    }
  },

  fixDependencies: function (data, strict) {
    objectifyDeps(data, this.warn)
    addOptionalDepsToDeps(data, this.warn)
    this.fixBundleDependenciesField(data)

    ;['dependencies', 'devDependencies'].forEach(function (deps) {
      if (!(deps in data)) {
        return
      }
      if (!data[deps] || typeof data[deps] !== 'object') {
        this.warn('nonObjectDependencies', deps)
        delete data[deps]
        return
      }
      Object.keys(data[deps]).forEach(function (d) {
        var r = data[deps][d]
        if (typeof r !== 'string') {
          this.warn('nonStringDependency', d, JSON.stringify(r))
          delete data[deps][d]
        }
        var hosted = hostedGitInfo.fromUrl(data[deps][d])
        if (hosted) {
          data[deps][d] = hosted.toString()
        }
      }, this)
    }, this)
  },

  fixModulesField: function (data) {
    if (data.modules) {
      this.warn('deprecatedModules')
      delete data.modules
    }
  },

  fixKeywordsField: function (data) {
    if (typeof data.keywords === 'string') {
      data.keywords = data.keywords.split(/,\s+/)
    }
    if (data.keywords && !Array.isArray(data.keywords)) {
      delete data.keywords
      this.warn('nonArrayKeywords')
    } else if (data.keywords) {
      data.keywords = data.keywords.filter(function (kw) {
        if (typeof kw !== 'string' || !kw) {
          this.warn('nonStringKeyword')
          return false
        } else {
          return true
        }
      }, this)
    }
  },

  fixVersionField: function (data, strict) {
    // allow "loose" semver 1.0 versions in non-strict mode
    // enforce strict semver 2.0 compliance in strict mode
    var loose = !strict
    if (!data.version) {
      data.version = ''
      return true
    }
    if (!isValidSemver(data.version, loose)) {
      throw new Error('Invalid version: "' + data.version + '"')
    }
    data.version = cleanSemver(data.version, loose)
    return true
  },

  fixPeople: function (data) {
    modifyPeople(data, unParsePerson)
    modifyPeople(data, parsePerson)
  },

  fixNameField: function (data, options) {
    if (typeof options === 'boolean') {
      options = {strict: options}
    } else if (typeof options === 'undefined') {
      options = {}
    }
    var strict = options.strict
    if (!data.name && !strict) {
      data.name = ''
      return
    }
    if (typeof data.name !== 'string') {
      throw new Error('name field must be a string.')
    }
    if (!strict) {
      data.name = data.name.trim()
    }
    ensureValidName(data.name, strict, options.allowLegacyCase)
    if (isBuiltinModule(data.name)) {
      this.warn('conflictingName', data.name)
    }
  },

  fixDescriptionField: function (data) {
    if (data.description && typeof data.description !== 'string') {
      this.warn('nonStringDescription')
      delete data.description
    }
    if (data.readme && !data.description) {
      data.description = extractDescription(data.readme)
    }
    if (data.description === undefined) {
      delete data.description
    }
    if (!data.description) {
      this.warn('missingDescription')
    }
  },

  fixReadmeField: function (data) {
    if (!data.readme) {
      this.warn('missingReadme')
      data.readme = 'ERROR: No README data found!'
    }
  },

  fixBugsField: function (data) {
    if (!data.bugs && data.repository && data.repository.url) {
      var hosted = hostedGitInfo.fromUrl(data.repository.url)
      if (hosted && hosted.bugs()) {
        data.bugs = {url: hosted.bugs()}
      }
    } else if (data.bugs) {
      var emailRe = /^.+@.*\..+$/
      if (typeof data.bugs === 'string') {
        if (emailRe.test(data.bugs)) {
          data.bugs = {email: data.bugs}
        /* eslint-disable-next-line node/no-deprecated-api */
        } else if (url.parse(data.bugs).protocol) {
          data.bugs = {url: data.bugs}
        } else {
          this.warn('nonEmailUrlBugsString')
        }
      } else {
        bugsTypos(data.bugs, this.warn)
        var oldBugs = data.bugs
        data.bugs = {}
        if (oldBugs.url) {
          /* eslint-disable-next-line node/no-deprecated-api */
          if (typeof (oldBugs.url) === 'string' && url.parse(oldBugs.url).protocol) {
            data.bugs.url = oldBugs.url
          } else {
            this.warn('nonUrlBugsUrlField')
          }
        }
        if (oldBugs.email) {
          if (typeof (oldBugs.email) === 'string' && emailRe.test(oldBugs.email)) {
            data.bugs.email = oldBugs.email
          } else {
            this.warn('nonEmailBugsEmailField')
          }
        }
      }
      if (!data.bugs.email && !data.bugs.url) {
        delete data.bugs
        this.warn('emptyNormalizedBugs')
      }
    }
  },

  fixHomepageField: function (data) {
    if (!data.homepage && data.repository && data.repository.url) {
      var hosted = hostedGitInfo.fromUrl(data.repository.url)
      if (hosted && hosted.docs()) {
        data.homepage = hosted.docs()
      }
    }
    if (!data.homepage) {
      return
    }

    if (typeof data.homepage !== 'string') {
      this.warn('nonUrlHomepage')
      return delete data.homepage
    }
    /* eslint-disable-next-line node/no-deprecated-api */
    if (!url.parse(data.homepage).protocol) {
      data.homepage = 'http://' + data.homepage
    }
  },

  fixLicenseField: function (data) {
    const license = data.license || data.licence
    if (!license) {
      return this.warn('missingLicense')
    }
    if (
      typeof (license) !== 'string' ||
      license.length < 1 ||
      license.trim() === ''
    ) {
      return this.warn('invalidLicense')
    }
    if (!validateLicense(license).validForNewPackages) {
      return this.warn('invalidLicense')
    }
  },
}

function isValidScopedPackageName (spec) {
  if (spec.charAt(0) !== '@') {
    return false
  }

  var rest = spec.slice(1).split('/')
  if (rest.length !== 2) {
    return false
  }

  return rest[0] && rest[1] &&
    rest[0] === encodeURIComponent(rest[0]) &&
    rest[1] === encodeURIComponent(rest[1])
}

function isCorrectlyEncodedName (spec) {
  return !spec.match(/[/@\s+%:]/) &&
    spec === encodeURIComponent(spec)
}

function ensureValidName (name, strict, allowLegacyCase) {
  if (name.charAt(0) === '.' ||
      !(isValidScopedPackageName(name) || isCorrectlyEncodedName(name)) ||
      (strict && (!allowLegacyCase) && name !== name.toLowerCase()) ||
      name.toLowerCase() === 'node_modules' ||
      name.toLowerCase() === 'favicon.ico') {
    throw new Error('Invalid name: ' + JSON.stringify(name))
  }
}

function modifyPeople (data, fn) {
  if (data.author) {
    data.author = fn(data.author)
  }['maintainers', 'contributors'].forEach(function (set) {
    if (!Array.isArray(data[set])) {
      return
    }
    data[set] = data[set].map(fn)
  })
  return data
}

function unParsePerson (person) {
  if (typeof person === 'string') {
    return person
  }
  var name = person.name || ''
  var u = person.url || person.web
  var url = u ? (' (' + u + ')') : ''
  var e = person.email || person.mail
  var email = e ? (' <' + e + '>') : ''
  return name + email + url
}

function parsePerson (person) {
  if (typeof person !== 'string') {
    return person
  }
  var name = person.match(/^([^(<]+)/)
  var url = person.match(/\(([^)]+)\)/)
  var email = person.match(/<([^>]+)>/)
  var obj = {}
  if (name && name[0].trim()) {
    obj.name = name[0].trim()
  }
  if (email) {
    obj.email = email[1]
  }
  if (url) {
    obj.url = url[1]
  }
  return obj
}

function addOptionalDepsToDeps (data, warn) {
  var o = data.optionalDependencies
  if (!o) {
    return
  }
  var d = data.dependencies || {}
  Object.keys(o).forEach(function (k) {
    d[k] = o[k]
  })
  data.dependencies = d
}

function depObjectify (deps, type, warn) {
  if (!deps) {
    return {}
  }
  if (typeof deps === 'string') {
    deps = deps.trim().split(/[\n\r\s\t ,]+/)
  }
  if (!Array.isArray(deps)) {
    return deps
  }
  warn('deprecatedArrayDependencies', type)
  var o = {}
  deps.filter(function (d) {
    return typeof d === 'string'
  }).forEach(function (d) {
    d = d.trim().split(/(:?[@\s><=])/)
    var dn = d.shift()
    var dv = d.join('')
    dv = dv.trim()
    dv = dv.replace(/^@/, '')
    o[dn] = dv
  })
  return o
}

function objectifyDeps (data, warn) {
  depTypes.forEach(function (type) {
    if (!data[type]) {
      return
    }
    data[type] = depObjectify(data[type], type, warn)
  })
}

function bugsTypos (bugs, warn) {
  if (!bugs) {
    return
  }
  Object.keys(bugs).forEach(function (k) {
    if (typos.bugs[k]) {
      warn('typo', k, typos.bugs[k], 'bugs')
      bugs[typos.bugs[k]] = bugs[k]
      delete bugs[k]
    }
  })
}


/***/ }),

/***/ 21801:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(73837)
var messages = __nccwpck_require__(58766)

module.exports = function () {
  var args = Array.prototype.slice.call(arguments, 0)
  var warningName = args.shift()
  if (warningName === 'typo') {
    return makeTypoWarning.apply(null, args)
  } else {
    var msgTemplate = messages[warningName] ? messages[warningName] : warningName + ": '%s'"
    args.unshift(msgTemplate)
    return util.format.apply(null, args)
  }
}

function makeTypoWarning (providedName, probableName, field) {
  if (field) {
    providedName = field + "['" + providedName + "']"
    probableName = field + "['" + probableName + "']"
  }
  return util.format(messages.typo, providedName, probableName)
}


/***/ }),

/***/ 55692:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

module.exports = normalize

var fixer = __nccwpck_require__(69849)
normalize.fixer = fixer

var makeWarning = __nccwpck_require__(21801)

var fieldsToFix = ['name', 'version', 'description', 'repository', 'modules', 'scripts',
  'files', 'bin', 'man', 'bugs', 'keywords', 'readme', 'homepage', 'license']
var otherThingsToFix = ['dependencies', 'people', 'typos']

var thingsToFix = fieldsToFix.map(function (fieldName) {
  return ucFirst(fieldName) + 'Field'
})
// two ways to do this in CoffeeScript on only one line, sub-70 chars:
// thingsToFix = fieldsToFix.map (name) -> ucFirst(name) + "Field"
// thingsToFix = (ucFirst(name) + "Field" for name in fieldsToFix)
thingsToFix = thingsToFix.concat(otherThingsToFix)

function normalize (data, warn, strict) {
  if (warn === true) {
    warn = null
    strict = true
  }
  if (!strict) {
    strict = false
  }
  if (!warn || data.private) {
    warn = function (msg) { /* noop */ }
  }

  if (data.scripts &&
      data.scripts.install === 'node-gyp rebuild' &&
      !data.scripts.preinstall) {
    data.gypfile = true
  }
  fixer.warn = function () {
    warn(makeWarning.apply(null, arguments))
  }
  thingsToFix.forEach(function (thingName) {
    fixer['fix' + ucFirst(thingName)](data, strict)
  })
  data._id = data.name + '@' + data.version
}

function ucFirst (string) {
  return string.charAt(0).toUpperCase() + string.slice(1)
}


/***/ }),

/***/ 62709:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const Queue = __nccwpck_require__(15185);

const pLimit = concurrency => {
	if (!((Number.isInteger(concurrency) || concurrency === Infinity) && concurrency > 0)) {
		throw new TypeError('Expected `concurrency` to be a number from 1 and up');
	}

	const queue = new Queue();
	let activeCount = 0;

	const next = () => {
		activeCount--;

		if (queue.size > 0) {
			queue.dequeue()();
		}
	};

	const run = async (fn, resolve, ...args) => {
		activeCount++;

		const result = (async () => fn(...args))();

		resolve(result);

		try {
			await result;
		} catch {}

		next();
	};

	const enqueue = (fn, resolve, ...args) => {
		queue.enqueue(run.bind(null, fn, resolve, ...args));

		(async () => {
			// This function needs to wait until the next microtask before comparing
			// `activeCount` to `concurrency`, because `activeCount` is updated asynchronously
			// when the run function is dequeued and called. The comparison in the if-statement
			// needs to happen asynchronously as well to get an up-to-date value for `activeCount`.
			await Promise.resolve();

			if (activeCount < concurrency && queue.size > 0) {
				queue.dequeue()();
			}
		})();
	};

	const generator = (fn, ...args) => new Promise(resolve => {
		enqueue(fn, resolve, ...args);
	});

	Object.defineProperties(generator, {
		activeCount: {
			get: () => activeCount
		},
		pendingCount: {
			get: () => queue.size
		},
		clearQueue: {
			value: () => {
				queue.clear();
			}
		}
	});

	return generator;
};

module.exports = pLimit;


/***/ }),

/***/ 92143:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const errorEx = __nccwpck_require__(23505);
const fallback = __nccwpck_require__(89062);
const {default: LinesAndColumns} = __nccwpck_require__(3042);
const {codeFrameColumns} = __nccwpck_require__(45211);

const JSONError = errorEx('JSONError', {
	fileName: errorEx.append('in %s'),
	codeFrame: errorEx.append('\n\n%s\n')
});

const parseJson = (string, reviver, filename) => {
	if (typeof reviver === 'string') {
		filename = reviver;
		reviver = null;
	}

	try {
		try {
			return JSON.parse(string, reviver);
		} catch (error) {
			fallback(string, reviver);
			throw error;
		}
	} catch (error) {
		error.message = error.message.replace(/\n/g, '');
		const indexMatch = error.message.match(/in JSON at position (\d+) while parsing/);

		const jsonError = new JSONError(error);
		if (filename) {
			jsonError.fileName = filename;
		}

		if (indexMatch && indexMatch.length > 0) {
			const lines = new LinesAndColumns(string);
			const index = Number(indexMatch[1]);
			const location = lines.locationForIndex(index);

			const codeFrame = codeFrameColumns(
				string,
				{start: {line: location.line + 1, column: location.column + 1}},
				{highlightCode: true}
			);

			jsonError.codeFrame = codeFrame;
		}

		throw jsonError;
	}
};

parseJson.JSONError = JSONError;

module.exports = parseJson;


/***/ }),

/***/ 53078:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const fs = __nccwpck_require__(57147);
const {promisify} = __nccwpck_require__(73837);

const pAccess = promisify(fs.access);

module.exports = async path => {
	try {
		await pAccess(path);
		return true;
	} catch (_) {
		return false;
	}
};

module.exports.sync = path => {
	try {
		fs.accessSync(path);
		return true;
	} catch (_) {
		return false;
	}
};


/***/ }),

/***/ 65764:
/***/ ((module) => {

"use strict";


const processFn = (fn, options, proxy, unwrapped) => function (...arguments_) {
	const P = options.promiseModule;

	return new P((resolve, reject) => {
		if (options.multiArgs) {
			arguments_.push((...result) => {
				if (options.errorFirst) {
					if (result[0]) {
						reject(result);
					} else {
						result.shift();
						resolve(result);
					}
				} else {
					resolve(result);
				}
			});
		} else if (options.errorFirst) {
			arguments_.push((error, result) => {
				if (error) {
					reject(error);
				} else {
					resolve(result);
				}
			});
		} else {
			arguments_.push(resolve);
		}

		const self = this === proxy ? unwrapped : this;
		Reflect.apply(fn, self, arguments_);
	});
};

const filterCache = new WeakMap();

module.exports = (input, options) => {
	options = {
		exclude: [/.+(?:Sync|Stream)$/],
		errorFirst: true,
		promiseModule: Promise,
		...options
	};

	const objectType = typeof input;
	if (!(input !== null && (objectType === 'object' || objectType === 'function'))) {
		throw new TypeError(`Expected \`input\` to be a \`Function\` or \`Object\`, got \`${input === null ? 'null' : objectType}\``);
	}

	const filter = (target, key) => {
		let cached = filterCache.get(target);

		if (!cached) {
			cached = {};
			filterCache.set(target, cached);
		}

		if (key in cached) {
			return cached[key];
		}

		const match = pattern => (typeof pattern === 'string' || typeof key === 'symbol') ? key === pattern : pattern.test(key);
		const desc = Reflect.getOwnPropertyDescriptor(target, key);
		const writableOrConfigurableOwn = (desc === undefined || desc.writable || desc.configurable);
		const included = options.include ? options.include.some(match) : !options.exclude.some(match);
		const shouldFilter = included && writableOrConfigurableOwn;
		cached[key] = shouldFilter;
		return shouldFilter;
	};

	const cache = new WeakMap();

	const proxy = new Proxy(input, {
		apply(target, thisArg, args) {
			const cached = cache.get(target);

			if (cached) {
				return Reflect.apply(cached, thisArg, args);
			}

			const pified = options.excludeMain ? target : processFn(target, options, proxy, target);
			cache.set(target, pified);
			return Reflect.apply(pified, thisArg, args);
		},

		get(target, key) {
			const property = target[key];

			// eslint-disable-next-line no-use-extend-native/no-use-extend-native
			if (!filter(target, key) || property === Function.prototype[key]) {
				return property;
			}

			const cached = cache.get(property);

			if (cached) {
				return cached;
			}

			if (typeof property === 'function') {
				const pified = processFn(property, options, proxy, target);
				cache.set(property, pified);
				return pified;
			}

			return property;
		}
	});

	return proxy;
};


/***/ }),

/***/ 24616:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);
const findUp = __nccwpck_require__(33587);
const readPkg = __nccwpck_require__(59742);

module.exports = async options => {
	const filePath = await findUp('package.json', options);

	if (!filePath) {
		return;
	}

	return {
		packageJson: await readPkg({...options, cwd: path.dirname(filePath)}),
		path: filePath
	};
};

module.exports.sync = options => {
	const filePath = findUp.sync('package.json', options);

	if (!filePath) {
		return;
	}

	return {
		packageJson: readPkg.sync({...options, cwd: path.dirname(filePath)}),
		path: filePath
	};
};


/***/ }),

/***/ 59742:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const {promisify} = __nccwpck_require__(73837);
const fs = __nccwpck_require__(57147);
const path = __nccwpck_require__(71017);
const parseJson = __nccwpck_require__(92143);

const readFileAsync = promisify(fs.readFile);

module.exports = async options => {
	options = {
		cwd: process.cwd(),
		normalize: true,
		...options
	};

	const filePath = path.resolve(options.cwd, 'package.json');
	const json = parseJson(await readFileAsync(filePath, 'utf8'));

	if (options.normalize) {
		__nccwpck_require__(3033)(json);
	}

	return json;
};

module.exports.sync = options => {
	options = {
		cwd: process.cwd(),
		normalize: true,
		...options
	};

	const filePath = path.resolve(options.cwd, 'package.json');
	const json = parseJson(fs.readFileSync(filePath, 'utf8'));

	if (options.normalize) {
		__nccwpck_require__(3033)(json);
	}

	return json;
};


/***/ }),

/***/ 35943:
/***/ ((module) => {

"use strict";


var gitHosts = module.exports = {
  github: {
    // First two are insecure and generally shouldn't be used any more, but
    // they are still supported.
    'protocols': [ 'git', 'http', 'git+ssh', 'git+https', 'ssh', 'https' ],
    'domain': 'github.com',
    'treepath': 'tree',
    'filetemplate': 'https://{auth@}raw.githubusercontent.com/{user}/{project}/{committish}/{path}',
    'bugstemplate': 'https://{domain}/{user}/{project}/issues',
    'gittemplate': 'git://{auth@}{domain}/{user}/{project}.git{#committish}',
    'tarballtemplate': 'https://codeload.{domain}/{user}/{project}/tar.gz/{committish}'
  },
  bitbucket: {
    'protocols': [ 'git+ssh', 'git+https', 'ssh', 'https' ],
    'domain': 'bitbucket.org',
    'treepath': 'src',
    'tarballtemplate': 'https://{domain}/{user}/{project}/get/{committish}.tar.gz'
  },
  gitlab: {
    'protocols': [ 'git+ssh', 'git+https', 'ssh', 'https' ],
    'domain': 'gitlab.com',
    'treepath': 'tree',
    'bugstemplate': 'https://{domain}/{user}/{project}/issues',
    'httpstemplate': 'git+https://{auth@}{domain}/{user}/{projectPath}.git{#committish}',
    'tarballtemplate': 'https://{domain}/{user}/{project}/repository/archive.tar.gz?ref={committish}',
    'pathmatch': /^[/]([^/]+)[/]((?!.*(\/-\/|\/repository\/archive\.tar\.gz\?=.*|\/repository\/[^/]+\/archive.tar.gz$)).*?)(?:[.]git|[/])?$/
  },
  gist: {
    'protocols': [ 'git', 'git+ssh', 'git+https', 'ssh', 'https' ],
    'domain': 'gist.github.com',
    'pathmatch': /^[/](?:([^/]+)[/])?([a-z0-9]{32,})(?:[.]git)?$/,
    'filetemplate': 'https://gist.githubusercontent.com/{user}/{project}/raw{/committish}/{path}',
    'bugstemplate': 'https://{domain}/{project}',
    'gittemplate': 'git://{domain}/{project}.git{#committish}',
    'sshtemplate': 'git@{domain}:/{project}.git{#committish}',
    'sshurltemplate': 'git+ssh://git@{domain}/{project}.git{#committish}',
    'browsetemplate': 'https://{domain}/{project}{/committish}',
    'browsefiletemplate': 'https://{domain}/{project}{/committish}{#path}',
    'docstemplate': 'https://{domain}/{project}{/committish}',
    'httpstemplate': 'git+https://{domain}/{project}.git{#committish}',
    'shortcuttemplate': '{type}:{project}{#committish}',
    'pathtemplate': '{project}{#committish}',
    'tarballtemplate': 'https://codeload.github.com/gist/{project}/tar.gz/{committish}',
    'hashformat': function (fragment) {
      return 'file-' + formatHashFragment(fragment)
    }
  }
}

var gitHostDefaults = {
  'sshtemplate': 'git@{domain}:{user}/{project}.git{#committish}',
  'sshurltemplate': 'git+ssh://git@{domain}/{user}/{project}.git{#committish}',
  'browsetemplate': 'https://{domain}/{user}/{project}{/tree/committish}',
  'browsefiletemplate': 'https://{domain}/{user}/{project}/{treepath}/{committish}/{path}{#fragment}',
  'docstemplate': 'https://{domain}/{user}/{project}{/tree/committish}#readme',
  'httpstemplate': 'git+https://{auth@}{domain}/{user}/{project}.git{#committish}',
  'filetemplate': 'https://{domain}/{user}/{project}/raw/{committish}/{path}',
  'shortcuttemplate': '{type}:{user}/{project}{#committish}',
  'pathtemplate': '{user}/{project}{#committish}',
  'pathmatch': /^[/]([^/]+)[/]([^/]+?)(?:[.]git|[/])?$/,
  'hashformat': formatHashFragment
}

Object.keys(gitHosts).forEach(function (name) {
  Object.keys(gitHostDefaults).forEach(function (key) {
    if (gitHosts[name][key]) return
    gitHosts[name][key] = gitHostDefaults[key]
  })
  gitHosts[name].protocols_re = RegExp('^(' +
    gitHosts[name].protocols.map(function (protocol) {
      return protocol.replace(/([\\+*{}()[\]$^|])/g, '\\$1')
    }).join('|') + '):$')
})

function formatHashFragment (fragment) {
  return fragment.toLowerCase().replace(/^\W+|\/|\W+$/g, '').replace(/\W+/g, '-')
}


/***/ }),

/***/ 85103:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

var gitHosts = __nccwpck_require__(35943)
/* eslint-disable node/no-deprecated-api */

// copy-pasta util._extend from node's source, to avoid pulling
// the whole util module into peoples' webpack bundles.
/* istanbul ignore next */
var extend = Object.assign || function _extend (target, source) {
  // Don't do anything if source isn't an object
  if (source === null || typeof source !== 'object') return target

  var keys = Object.keys(source)
  var i = keys.length
  while (i--) {
    target[keys[i]] = source[keys[i]]
  }
  return target
}

module.exports = GitHost
function GitHost (type, user, auth, project, committish, defaultRepresentation, opts) {
  var gitHostInfo = this
  gitHostInfo.type = type
  Object.keys(gitHosts[type]).forEach(function (key) {
    gitHostInfo[key] = gitHosts[type][key]
  })
  gitHostInfo.user = user
  gitHostInfo.auth = auth
  gitHostInfo.project = project
  gitHostInfo.committish = committish
  gitHostInfo.default = defaultRepresentation
  gitHostInfo.opts = opts || {}
}

GitHost.prototype.hash = function () {
  return this.committish ? '#' + this.committish : ''
}

GitHost.prototype._fill = function (template, opts) {
  if (!template) return
  var vars = extend({}, opts)
  vars.path = vars.path ? vars.path.replace(/^[/]+/g, '') : ''
  opts = extend(extend({}, this.opts), opts)
  var self = this
  Object.keys(this).forEach(function (key) {
    if (self[key] != null && vars[key] == null) vars[key] = self[key]
  })
  var rawAuth = vars.auth
  var rawcommittish = vars.committish
  var rawFragment = vars.fragment
  var rawPath = vars.path
  var rawProject = vars.project
  Object.keys(vars).forEach(function (key) {
    var value = vars[key]
    if ((key === 'path' || key === 'project') && typeof value === 'string') {
      vars[key] = value.split('/').map(function (pathComponent) {
        return encodeURIComponent(pathComponent)
      }).join('/')
    } else {
      vars[key] = encodeURIComponent(value)
    }
  })
  vars['auth@'] = rawAuth ? rawAuth + '@' : ''
  vars['#fragment'] = rawFragment ? '#' + this.hashformat(rawFragment) : ''
  vars.fragment = vars.fragment ? vars.fragment : ''
  vars['#path'] = rawPath ? '#' + this.hashformat(rawPath) : ''
  vars['/path'] = vars.path ? '/' + vars.path : ''
  vars.projectPath = rawProject.split('/').map(encodeURIComponent).join('/')
  if (opts.noCommittish) {
    vars['#committish'] = ''
    vars['/tree/committish'] = ''
    vars['/committish'] = ''
    vars.committish = ''
  } else {
    vars['#committish'] = rawcommittish ? '#' + rawcommittish : ''
    vars['/tree/committish'] = vars.committish
      ? '/' + vars.treepath + '/' + vars.committish
      : ''
    vars['/committish'] = vars.committish ? '/' + vars.committish : ''
    vars.committish = vars.committish || 'master'
  }
  var res = template
  Object.keys(vars).forEach(function (key) {
    res = res.replace(new RegExp('[{]' + key + '[}]', 'g'), vars[key])
  })
  if (opts.noGitPlus) {
    return res.replace(/^git[+]/, '')
  } else {
    return res
  }
}

GitHost.prototype.ssh = function (opts) {
  return this._fill(this.sshtemplate, opts)
}

GitHost.prototype.sshurl = function (opts) {
  return this._fill(this.sshurltemplate, opts)
}

GitHost.prototype.browse = function (P, F, opts) {
  if (typeof P === 'string') {
    if (typeof F !== 'string') {
      opts = F
      F = null
    }
    return this._fill(this.browsefiletemplate, extend({
      fragment: F,
      path: P
    }, opts))
  } else {
    return this._fill(this.browsetemplate, P)
  }
}

GitHost.prototype.docs = function (opts) {
  return this._fill(this.docstemplate, opts)
}

GitHost.prototype.bugs = function (opts) {
  return this._fill(this.bugstemplate, opts)
}

GitHost.prototype.https = function (opts) {
  return this._fill(this.httpstemplate, opts)
}

GitHost.prototype.git = function (opts) {
  return this._fill(this.gittemplate, opts)
}

GitHost.prototype.shortcut = function (opts) {
  return this._fill(this.shortcuttemplate, opts)
}

GitHost.prototype.path = function (opts) {
  return this._fill(this.pathtemplate, opts)
}

GitHost.prototype.tarball = function (opts_) {
  var opts = extend({}, opts_, { noCommittish: false })
  return this._fill(this.tarballtemplate, opts)
}

GitHost.prototype.file = function (P, opts) {
  return this._fill(this.filetemplate, extend({ path: P }, opts))
}

GitHost.prototype.getDefaultRepresentation = function () {
  return this.default
}

GitHost.prototype.toString = function (opts) {
  if (this.default && typeof this[this.default] === 'function') return this[this.default](opts)
  return this.sshurl(opts)
}


/***/ }),

/***/ 58447:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

var url = __nccwpck_require__(57310)
var gitHosts = __nccwpck_require__(35943)
var GitHost = module.exports = __nccwpck_require__(85103)

var protocolToRepresentationMap = {
  'git+ssh:': 'sshurl',
  'git+https:': 'https',
  'ssh:': 'sshurl',
  'git:': 'git'
}

function protocolToRepresentation (protocol) {
  return protocolToRepresentationMap[protocol] || protocol.slice(0, -1)
}

var authProtocols = {
  'git:': true,
  'https:': true,
  'git+https:': true,
  'http:': true,
  'git+http:': true
}

var cache = {}

module.exports.fromUrl = function (giturl, opts) {
  if (typeof giturl !== 'string') return
  var key = giturl + JSON.stringify(opts || {})

  if (!(key in cache)) {
    cache[key] = fromUrl(giturl, opts)
  }

  return cache[key]
}

function fromUrl (giturl, opts) {
  if (giturl == null || giturl === '') return
  var url = fixupUnqualifiedGist(
    isGitHubShorthand(giturl) ? 'github:' + giturl : giturl
  )
  var parsed = parseGitUrl(url)
  var shortcutMatch = url.match(/^([^:]+):(?:[^@]+@)?(?:([^/]*)\/)?([^#]+)/)
  var matches = Object.keys(gitHosts).map(function (gitHostName) {
    try {
      var gitHostInfo = gitHosts[gitHostName]
      var auth = null
      if (parsed.auth && authProtocols[parsed.protocol]) {
        auth = parsed.auth
      }
      var committish = parsed.hash ? decodeURIComponent(parsed.hash.substr(1)) : null
      var user = null
      var project = null
      var defaultRepresentation = null
      if (shortcutMatch && shortcutMatch[1] === gitHostName) {
        user = shortcutMatch[2] && decodeURIComponent(shortcutMatch[2])
        project = decodeURIComponent(shortcutMatch[3].replace(/\.git$/, ''))
        defaultRepresentation = 'shortcut'
      } else {
        if (parsed.host && parsed.host !== gitHostInfo.domain && parsed.host.replace(/^www[.]/, '') !== gitHostInfo.domain) return
        if (!gitHostInfo.protocols_re.test(parsed.protocol)) return
        if (!parsed.path) return
        var pathmatch = gitHostInfo.pathmatch
        var matched = parsed.path.match(pathmatch)
        if (!matched) return
        /* istanbul ignore else */
        if (matched[1] !== null && matched[1] !== undefined) {
          user = decodeURIComponent(matched[1].replace(/^:/, ''))
        }
        project = decodeURIComponent(matched[2])
        defaultRepresentation = protocolToRepresentation(parsed.protocol)
      }
      return new GitHost(gitHostName, user, auth, project, committish, defaultRepresentation, opts)
    } catch (ex) {
      /* istanbul ignore else */
      if (ex instanceof URIError) {
      } else throw ex
    }
  }).filter(function (gitHostInfo) { return gitHostInfo })
  if (matches.length !== 1) return
  return matches[0]
}

function isGitHubShorthand (arg) {
  // Note: This does not fully test the git ref format.
  // See https://www.kernel.org/pub/software/scm/git/docs/git-check-ref-format.html
  //
  // The only way to do this properly would be to shell out to
  // git-check-ref-format, and as this is a fast sync function,
  // we don't want to do that.  Just let git fail if it turns
  // out that the commit-ish is invalid.
  // GH usernames cannot start with . or -
  return /^[^:@%/\s.-][^:@%/\s]*[/][^:@\s/%]+(?:#.*)?$/.test(arg)
}

function fixupUnqualifiedGist (giturl) {
  // necessary for round-tripping gists
  var parsed = url.parse(giturl)
  if (parsed.protocol === 'gist:' && parsed.host && !parsed.path) {
    return parsed.protocol + '/' + parsed.host
  } else {
    return giturl
  }
}

function parseGitUrl (giturl) {
  var matched = giturl.match(/^([^@]+)@([^:/]+):[/]?((?:[^/]+[/])?[^/]+?)(?:[.]git)?(#.*)?$/)
  if (!matched) {
    var legacy = url.parse(giturl)
    // If we don't have url.URL, then sorry, this is just not fixable.
    // This affects Node <= 6.12.
    if (legacy.auth && typeof url.URL === 'function') {
      // git urls can be in the form of scp-style/ssh-connect strings, like
      // git+ssh://user@host.com:some/path, which the legacy url parser
      // supports, but WhatWG url.URL class does not.  However, the legacy
      // parser de-urlencodes the username and password, so something like
      // https://user%3An%40me:p%40ss%3Aword@x.com/ becomes
      // https://user:n@me:p@ss:word@x.com/ which is all kinds of wrong.
      // Pull off just the auth and host, so we dont' get the confusing
      // scp-style URL, then pass that to the WhatWG parser to get the
      // auth properly escaped.
      var authmatch = giturl.match(/[^@]+@[^:/]+/)
      /* istanbul ignore else - this should be impossible */
      if (authmatch) {
        var whatwg = new url.URL(authmatch[0])
        legacy.auth = whatwg.username || ''
        if (whatwg.password) legacy.auth += ':' + whatwg.password
      }
    }
    return legacy
  }
  return {
    protocol: 'git+ssh:',
    slashes: true,
    auth: matched[1],
    host: matched[2],
    port: null,
    hostname: matched[2],
    hash: matched[4],
    search: null,
    query: null,
    pathname: '/' + matched[3],
    path: '/' + matched[3],
    href: 'git+ssh://' + matched[1] + '@' + matched[2] +
          '/' + matched[3] + (matched[4] || '')
  }
}


/***/ }),

/***/ 52940:
/***/ ((module) => {

module.exports = extractDescription

// Extracts description from contents of a readme file in markdown format
function extractDescription (d) {
  if (!d) return;
  if (d === "ERROR: No README data found!") return;
  // the first block of text before the first heading
  // that isn't the first line heading
  d = d.trim().split('\n')
  for (var s = 0; d[s] && d[s].trim().match(/^(#|$)/); s ++);
  var l = d.length
  for (var e = s + 1; e < l && d[e].trim(); e ++);
  return d.slice(s, e).join(' ').trim()
}


/***/ }),

/***/ 725:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var semver = __nccwpck_require__(15137)
var validateLicense = __nccwpck_require__(22524);
var hostedGitInfo = __nccwpck_require__(58447)
var isBuiltinModule = (__nccwpck_require__(39283).isCore)
var depTypes = ["dependencies","devDependencies","optionalDependencies"]
var extractDescription = __nccwpck_require__(52940)
var url = __nccwpck_require__(57310)
var typos = __nccwpck_require__(73883)

var fixer = module.exports = {
  // default warning function
  warn: function() {},

  fixRepositoryField: function(data) {
    if (data.repositories) {
      this.warn("repositories");
      data.repository = data.repositories[0]
    }
    if (!data.repository) return this.warn("missingRepository")
    if (typeof data.repository === "string") {
      data.repository = {
        type: "git",
        url: data.repository
      }
    }
    var r = data.repository.url || ""
    if (r) {
      var hosted = hostedGitInfo.fromUrl(r)
      if (hosted) {
        r = data.repository.url
          = hosted.getDefaultRepresentation() == "shortcut" ? hosted.https() : hosted.toString()
      }
    }

    if (r.match(/github.com\/[^\/]+\/[^\/]+\.git\.git$/)) {
      this.warn("brokenGitUrl", r)
    }
  }

, fixTypos: function(data) {
    Object.keys(typos.topLevel).forEach(function (d) {
      if (data.hasOwnProperty(d)) {
        this.warn("typo", d, typos.topLevel[d])
      }
    }, this)
  }

, fixScriptsField: function(data) {
    if (!data.scripts) return
    if (typeof data.scripts !== "object") {
      this.warn("nonObjectScripts")
      delete data.scripts
      return
    }
    Object.keys(data.scripts).forEach(function (k) {
      if (typeof data.scripts[k] !== "string") {
        this.warn("nonStringScript")
        delete data.scripts[k]
      } else if (typos.script[k] && !data.scripts[typos.script[k]]) {
        this.warn("typo", k, typos.script[k], "scripts")
      }
    }, this)
  }

, fixFilesField: function(data) {
    var files = data.files
    if (files && !Array.isArray(files)) {
      this.warn("nonArrayFiles")
      delete data.files
    } else if (data.files) {
      data.files = data.files.filter(function(file) {
        if (!file || typeof file !== "string") {
          this.warn("invalidFilename", file)
          return false
        } else {
          return true
        }
      }, this)
    }
  }

, fixBinField: function(data) {
    if (!data.bin) return;
    if (typeof data.bin === "string") {
      var b = {}
      var match
      if (match = data.name.match(/^@[^/]+[/](.*)$/)) {
        b[match[1]] = data.bin
      } else {
        b[data.name] = data.bin
      }
      data.bin = b
    }
  }

, fixManField: function(data) {
    if (!data.man) return;
    if (typeof data.man === "string") {
      data.man = [ data.man ]
    }
  }
, fixBundleDependenciesField: function(data) {
    var bdd = "bundledDependencies"
    var bd = "bundleDependencies"
    if (data[bdd] && !data[bd]) {
      data[bd] = data[bdd]
      delete data[bdd]
    }
    if (data[bd] && !Array.isArray(data[bd])) {
      this.warn("nonArrayBundleDependencies")
      delete data[bd]
    } else if (data[bd]) {
      data[bd] = data[bd].filter(function(bd) {
        if (!bd || typeof bd !== 'string') {
          this.warn("nonStringBundleDependency", bd)
          return false
        } else {
          if (!data.dependencies) {
            data.dependencies = {}
          }
          if (!data.dependencies.hasOwnProperty(bd)) {
            this.warn("nonDependencyBundleDependency", bd)
            data.dependencies[bd] = "*"
          }
          return true
        }
      }, this)
    }
  }

, fixDependencies: function(data, strict) {
    var loose = !strict
    objectifyDeps(data, this.warn)
    addOptionalDepsToDeps(data, this.warn)
    this.fixBundleDependenciesField(data)

    ;['dependencies','devDependencies'].forEach(function(deps) {
      if (!(deps in data)) return
      if (!data[deps] || typeof data[deps] !== "object") {
        this.warn("nonObjectDependencies", deps)
        delete data[deps]
        return
      }
      Object.keys(data[deps]).forEach(function (d) {
        var r = data[deps][d]
        if (typeof r !== 'string') {
          this.warn("nonStringDependency", d, JSON.stringify(r))
          delete data[deps][d]
        }
        var hosted = hostedGitInfo.fromUrl(data[deps][d])
        if (hosted) data[deps][d] = hosted.toString()
      }, this)
    }, this)
  }

, fixModulesField: function (data) {
    if (data.modules) {
      this.warn("deprecatedModules")
      delete data.modules
    }
  }

, fixKeywordsField: function (data) {
    if (typeof data.keywords === "string") {
      data.keywords = data.keywords.split(/,\s+/)
    }
    if (data.keywords && !Array.isArray(data.keywords)) {
      delete data.keywords
      this.warn("nonArrayKeywords")
    } else if (data.keywords) {
      data.keywords = data.keywords.filter(function(kw) {
        if (typeof kw !== "string" || !kw) {
          this.warn("nonStringKeyword");
          return false
        } else {
          return true
        }
      }, this)
    }
  }

, fixVersionField: function(data, strict) {
    // allow "loose" semver 1.0 versions in non-strict mode
    // enforce strict semver 2.0 compliance in strict mode
    var loose = !strict
    if (!data.version) {
      data.version = ""
      return true
    }
    if (!semver.valid(data.version, loose)) {
      throw new Error('Invalid version: "'+ data.version + '"')
    }
    data.version = semver.clean(data.version, loose)
    return true
  }

, fixPeople: function(data) {
    modifyPeople(data, unParsePerson)
    modifyPeople(data, parsePerson)
  }

, fixNameField: function(data, options) {
    if (typeof options === "boolean") options = {strict: options}
    else if (typeof options === "undefined") options = {}
    var strict = options.strict
    if (!data.name && !strict) {
      data.name = ""
      return
    }
    if (typeof data.name !== "string") {
      throw new Error("name field must be a string.")
    }
    if (!strict)
      data.name = data.name.trim()
    ensureValidName(data.name, strict, options.allowLegacyCase)
    if (isBuiltinModule(data.name))
      this.warn("conflictingName", data.name)
  }


, fixDescriptionField: function (data) {
    if (data.description && typeof data.description !== 'string') {
      this.warn("nonStringDescription")
      delete data.description
    }
    if (data.readme && !data.description)
      data.description = extractDescription(data.readme)
      if(data.description === undefined) delete data.description;
    if (!data.description) this.warn("missingDescription")
  }

, fixReadmeField: function (data) {
    if (!data.readme) {
      this.warn("missingReadme")
      data.readme = "ERROR: No README data found!"
    }
  }

, fixBugsField: function(data) {
    if (!data.bugs && data.repository && data.repository.url) {
      var hosted = hostedGitInfo.fromUrl(data.repository.url)
      if(hosted && hosted.bugs()) {
        data.bugs = {url: hosted.bugs()}
      }
    }
    else if(data.bugs) {
      var emailRe = /^.+@.*\..+$/
      if(typeof data.bugs == "string") {
        if(emailRe.test(data.bugs))
          data.bugs = {email:data.bugs}
        else if(url.parse(data.bugs).protocol)
          data.bugs = {url: data.bugs}
        else
          this.warn("nonEmailUrlBugsString")
      }
      else {
        bugsTypos(data.bugs, this.warn)
        var oldBugs = data.bugs
        data.bugs = {}
        if(oldBugs.url) {
          if(typeof(oldBugs.url) == "string" && url.parse(oldBugs.url).protocol)
            data.bugs.url = oldBugs.url
          else
            this.warn("nonUrlBugsUrlField")
        }
        if(oldBugs.email) {
          if(typeof(oldBugs.email) == "string" && emailRe.test(oldBugs.email))
            data.bugs.email = oldBugs.email
          else
            this.warn("nonEmailBugsEmailField")
        }
      }
      if(!data.bugs.email && !data.bugs.url) {
        delete data.bugs
        this.warn("emptyNormalizedBugs")
      }
    }
  }

, fixHomepageField: function(data) {
    if (!data.homepage && data.repository && data.repository.url) {
      var hosted = hostedGitInfo.fromUrl(data.repository.url)
      if (hosted && hosted.docs()) data.homepage = hosted.docs()
    }
    if (!data.homepage) return

    if(typeof data.homepage !== "string") {
      this.warn("nonUrlHomepage")
      return delete data.homepage
    }
    if(!url.parse(data.homepage).protocol) {
      data.homepage = "http://" + data.homepage
    }
  }

, fixLicenseField: function(data) {
    if (!data.license) {
      return this.warn("missingLicense")
    } else{
      if (
        typeof(data.license) !== 'string' ||
        data.license.length < 1 ||
        data.license.trim() === ''
      ) {
        this.warn("invalidLicense")
      } else {
        if (!validateLicense(data.license).validForNewPackages)
          this.warn("invalidLicense")
      }
    }
  }
}

function isValidScopedPackageName(spec) {
  if (spec.charAt(0) !== '@') return false

  var rest = spec.slice(1).split('/')
  if (rest.length !== 2) return false

  return rest[0] && rest[1] &&
    rest[0] === encodeURIComponent(rest[0]) &&
    rest[1] === encodeURIComponent(rest[1])
}

function isCorrectlyEncodedName(spec) {
  return !spec.match(/[\/@\s\+%:]/) &&
    spec === encodeURIComponent(spec)
}

function ensureValidName (name, strict, allowLegacyCase) {
  if (name.charAt(0) === "." ||
      !(isValidScopedPackageName(name) || isCorrectlyEncodedName(name)) ||
      (strict && (!allowLegacyCase) && name !== name.toLowerCase()) ||
      name.toLowerCase() === "node_modules" ||
      name.toLowerCase() === "favicon.ico") {
        throw new Error("Invalid name: " + JSON.stringify(name))
  }
}

function modifyPeople (data, fn) {
  if (data.author) data.author = fn(data.author)
  ;["maintainers", "contributors"].forEach(function (set) {
    if (!Array.isArray(data[set])) return;
    data[set] = data[set].map(fn)
  })
  return data
}

function unParsePerson (person) {
  if (typeof person === "string") return person
  var name = person.name || ""
  var u = person.url || person.web
  var url = u ? (" ("+u+")") : ""
  var e = person.email || person.mail
  var email = e ? (" <"+e+">") : ""
  return name+email+url
}

function parsePerson (person) {
  if (typeof person !== "string") return person
  var name = person.match(/^([^\(<]+)/)
  var url = person.match(/\(([^\)]+)\)/)
  var email = person.match(/<([^>]+)>/)
  var obj = {}
  if (name && name[0].trim()) obj.name = name[0].trim()
  if (email) obj.email = email[1];
  if (url) obj.url = url[1];
  return obj
}

function addOptionalDepsToDeps (data, warn) {
  var o = data.optionalDependencies
  if (!o) return;
  var d = data.dependencies || {}
  Object.keys(o).forEach(function (k) {
    d[k] = o[k]
  })
  data.dependencies = d
}

function depObjectify (deps, type, warn) {
  if (!deps) return {}
  if (typeof deps === "string") {
    deps = deps.trim().split(/[\n\r\s\t ,]+/)
  }
  if (!Array.isArray(deps)) return deps
  warn("deprecatedArrayDependencies", type)
  var o = {}
  deps.filter(function (d) {
    return typeof d === "string"
  }).forEach(function(d) {
    d = d.trim().split(/(:?[@\s><=])/)
    var dn = d.shift()
    var dv = d.join("")
    dv = dv.trim()
    dv = dv.replace(/^@/, "")
    o[dn] = dv
  })
  return o
}

function objectifyDeps (data, warn) {
  depTypes.forEach(function (type) {
    if (!data[type]) return;
    data[type] = depObjectify(data[type], type, warn)
  })
}

function bugsTypos(bugs, warn) {
  if (!bugs) return
  Object.keys(bugs).forEach(function (k) {
    if (typos.bugs[k]) {
      warn("typo", k, typos.bugs[k], "bugs")
      bugs[typos.bugs[k]] = bugs[k]
      delete bugs[k]
    }
  })
}


/***/ }),

/***/ 29794:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(73837)
var messages = __nccwpck_require__(6437)

module.exports = function() {
  var args = Array.prototype.slice.call(arguments, 0)
  var warningName = args.shift()
  if (warningName == "typo") {
    return makeTypoWarning.apply(null,args)
  }
  else {
    var msgTemplate = messages[warningName] ? messages[warningName] : warningName + ": '%s'"
    args.unshift(msgTemplate)
    return util.format.apply(null, args)
  }
}

function makeTypoWarning (providedName, probableName, field) {
  if (field) {
    providedName = field + "['" + providedName + "']"
    probableName = field + "['" + probableName + "']"
  }
  return util.format(messages.typo, providedName, probableName)
}


/***/ }),

/***/ 3033:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

module.exports = normalize

var fixer = __nccwpck_require__(725)
normalize.fixer = fixer

var makeWarning = __nccwpck_require__(29794)

var fieldsToFix = ['name','version','description','repository','modules','scripts'
                  ,'files','bin','man','bugs','keywords','readme','homepage','license']
var otherThingsToFix = ['dependencies','people', 'typos']

var thingsToFix = fieldsToFix.map(function(fieldName) {
  return ucFirst(fieldName) + "Field"
})
// two ways to do this in CoffeeScript on only one line, sub-70 chars:
// thingsToFix = fieldsToFix.map (name) -> ucFirst(name) + "Field"
// thingsToFix = (ucFirst(name) + "Field" for name in fieldsToFix)
thingsToFix = thingsToFix.concat(otherThingsToFix)

function normalize (data, warn, strict) {
  if(warn === true) warn = null, strict = true
  if(!strict) strict = false
  if(!warn || data.private) warn = function(msg) { /* noop */ }

  if (data.scripts &&
      data.scripts.install === "node-gyp rebuild" &&
      !data.scripts.preinstall) {
    data.gypfile = true
  }
  fixer.warn = function() { warn(makeWarning.apply(null, arguments)) }
  thingsToFix.forEach(function(thingName) {
    fixer["fix" + ucFirst(thingName)](data, strict)
  })
  data._id = data.name + "@" + data.version
}

function ucFirst (string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
}


/***/ }),

/***/ 15137:
/***/ ((module, exports) => {

exports = module.exports = SemVer

var debug
/* istanbul ignore next */
if (typeof process === 'object' &&
    process.env &&
    process.env.NODE_DEBUG &&
    /\bsemver\b/i.test(process.env.NODE_DEBUG)) {
  debug = function () {
    var args = Array.prototype.slice.call(arguments, 0)
    args.unshift('SEMVER')
    console.log.apply(console, args)
  }
} else {
  debug = function () {}
}

// Note: this is the semver.org version of the spec that it implements
// Not necessarily the package version of this code.
exports.SEMVER_SPEC_VERSION = '2.0.0'

var MAX_LENGTH = 256
var MAX_SAFE_INTEGER = Number.MAX_SAFE_INTEGER ||
  /* istanbul ignore next */ 9007199254740991

// Max safe segment length for coercion.
var MAX_SAFE_COMPONENT_LENGTH = 16

// The actual regexps go on exports.re
var re = exports.re = []
var src = exports.src = []
var R = 0

// The following Regular Expressions can be used for tokenizing,
// validating, and parsing SemVer version strings.

// ## Numeric Identifier
// A single `0`, or a non-zero digit followed by zero or more digits.

var NUMERICIDENTIFIER = R++
src[NUMERICIDENTIFIER] = '0|[1-9]\\d*'
var NUMERICIDENTIFIERLOOSE = R++
src[NUMERICIDENTIFIERLOOSE] = '[0-9]+'

// ## Non-numeric Identifier
// Zero or more digits, followed by a letter or hyphen, and then zero or
// more letters, digits, or hyphens.

var NONNUMERICIDENTIFIER = R++
src[NONNUMERICIDENTIFIER] = '\\d*[a-zA-Z-][a-zA-Z0-9-]*'

// ## Main Version
// Three dot-separated numeric identifiers.

var MAINVERSION = R++
src[MAINVERSION] = '(' + src[NUMERICIDENTIFIER] + ')\\.' +
                   '(' + src[NUMERICIDENTIFIER] + ')\\.' +
                   '(' + src[NUMERICIDENTIFIER] + ')'

var MAINVERSIONLOOSE = R++
src[MAINVERSIONLOOSE] = '(' + src[NUMERICIDENTIFIERLOOSE] + ')\\.' +
                        '(' + src[NUMERICIDENTIFIERLOOSE] + ')\\.' +
                        '(' + src[NUMERICIDENTIFIERLOOSE] + ')'

// ## Pre-release Version Identifier
// A numeric identifier, or a non-numeric identifier.

var PRERELEASEIDENTIFIER = R++
src[PRERELEASEIDENTIFIER] = '(?:' + src[NUMERICIDENTIFIER] +
                            '|' + src[NONNUMERICIDENTIFIER] + ')'

var PRERELEASEIDENTIFIERLOOSE = R++
src[PRERELEASEIDENTIFIERLOOSE] = '(?:' + src[NUMERICIDENTIFIERLOOSE] +
                                 '|' + src[NONNUMERICIDENTIFIER] + ')'

// ## Pre-release Version
// Hyphen, followed by one or more dot-separated pre-release version
// identifiers.

var PRERELEASE = R++
src[PRERELEASE] = '(?:-(' + src[PRERELEASEIDENTIFIER] +
                  '(?:\\.' + src[PRERELEASEIDENTIFIER] + ')*))'

var PRERELEASELOOSE = R++
src[PRERELEASELOOSE] = '(?:-?(' + src[PRERELEASEIDENTIFIERLOOSE] +
                       '(?:\\.' + src[PRERELEASEIDENTIFIERLOOSE] + ')*))'

// ## Build Metadata Identifier
// Any combination of digits, letters, or hyphens.

var BUILDIDENTIFIER = R++
src[BUILDIDENTIFIER] = '[0-9A-Za-z-]+'

// ## Build Metadata
// Plus sign, followed by one or more period-separated build metadata
// identifiers.

var BUILD = R++
src[BUILD] = '(?:\\+(' + src[BUILDIDENTIFIER] +
             '(?:\\.' + src[BUILDIDENTIFIER] + ')*))'

// ## Full Version String
// A main version, followed optionally by a pre-release version and
// build metadata.

// Note that the only major, minor, patch, and pre-release sections of
// the version string are capturing groups.  The build metadata is not a
// capturing group, because it should not ever be used in version
// comparison.

var FULL = R++
var FULLPLAIN = 'v?' + src[MAINVERSION] +
                src[PRERELEASE] + '?' +
                src[BUILD] + '?'

src[FULL] = '^' + FULLPLAIN + '$'

// like full, but allows v1.2.3 and =1.2.3, which people do sometimes.
// also, 1.0.0alpha1 (prerelease without the hyphen) which is pretty
// common in the npm registry.
var LOOSEPLAIN = '[v=\\s]*' + src[MAINVERSIONLOOSE] +
                 src[PRERELEASELOOSE] + '?' +
                 src[BUILD] + '?'

var LOOSE = R++
src[LOOSE] = '^' + LOOSEPLAIN + '$'

var GTLT = R++
src[GTLT] = '((?:<|>)?=?)'

// Something like "2.*" or "1.2.x".
// Note that "x.x" is a valid xRange identifer, meaning "any version"
// Only the first item is strictly required.
var XRANGEIDENTIFIERLOOSE = R++
src[XRANGEIDENTIFIERLOOSE] = src[NUMERICIDENTIFIERLOOSE] + '|x|X|\\*'
var XRANGEIDENTIFIER = R++
src[XRANGEIDENTIFIER] = src[NUMERICIDENTIFIER] + '|x|X|\\*'

var XRANGEPLAIN = R++
src[XRANGEPLAIN] = '[v=\\s]*(' + src[XRANGEIDENTIFIER] + ')' +
                   '(?:\\.(' + src[XRANGEIDENTIFIER] + ')' +
                   '(?:\\.(' + src[XRANGEIDENTIFIER] + ')' +
                   '(?:' + src[PRERELEASE] + ')?' +
                   src[BUILD] + '?' +
                   ')?)?'

var XRANGEPLAINLOOSE = R++
src[XRANGEPLAINLOOSE] = '[v=\\s]*(' + src[XRANGEIDENTIFIERLOOSE] + ')' +
                        '(?:\\.(' + src[XRANGEIDENTIFIERLOOSE] + ')' +
                        '(?:\\.(' + src[XRANGEIDENTIFIERLOOSE] + ')' +
                        '(?:' + src[PRERELEASELOOSE] + ')?' +
                        src[BUILD] + '?' +
                        ')?)?'

var XRANGE = R++
src[XRANGE] = '^' + src[GTLT] + '\\s*' + src[XRANGEPLAIN] + '$'
var XRANGELOOSE = R++
src[XRANGELOOSE] = '^' + src[GTLT] + '\\s*' + src[XRANGEPLAINLOOSE] + '$'

// Coercion.
// Extract anything that could conceivably be a part of a valid semver
var COERCE = R++
src[COERCE] = '(?:^|[^\\d])' +
              '(\\d{1,' + MAX_SAFE_COMPONENT_LENGTH + '})' +
              '(?:\\.(\\d{1,' + MAX_SAFE_COMPONENT_LENGTH + '}))?' +
              '(?:\\.(\\d{1,' + MAX_SAFE_COMPONENT_LENGTH + '}))?' +
              '(?:$|[^\\d])'

// Tilde ranges.
// Meaning is "reasonably at or greater than"
var LONETILDE = R++
src[LONETILDE] = '(?:~>?)'

var TILDETRIM = R++
src[TILDETRIM] = '(\\s*)' + src[LONETILDE] + '\\s+'
re[TILDETRIM] = new RegExp(src[TILDETRIM], 'g')
var tildeTrimReplace = '$1~'

var TILDE = R++
src[TILDE] = '^' + src[LONETILDE] + src[XRANGEPLAIN] + '$'
var TILDELOOSE = R++
src[TILDELOOSE] = '^' + src[LONETILDE] + src[XRANGEPLAINLOOSE] + '$'

// Caret ranges.
// Meaning is "at least and backwards compatible with"
var LONECARET = R++
src[LONECARET] = '(?:\\^)'

var CARETTRIM = R++
src[CARETTRIM] = '(\\s*)' + src[LONECARET] + '\\s+'
re[CARETTRIM] = new RegExp(src[CARETTRIM], 'g')
var caretTrimReplace = '$1^'

var CARET = R++
src[CARET] = '^' + src[LONECARET] + src[XRANGEPLAIN] + '$'
var CARETLOOSE = R++
src[CARETLOOSE] = '^' + src[LONECARET] + src[XRANGEPLAINLOOSE] + '$'

// A simple gt/lt/eq thing, or just "" to indicate "any version"
var COMPARATORLOOSE = R++
src[COMPARATORLOOSE] = '^' + src[GTLT] + '\\s*(' + LOOSEPLAIN + ')$|^$'
var COMPARATOR = R++
src[COMPARATOR] = '^' + src[GTLT] + '\\s*(' + FULLPLAIN + ')$|^$'

// An expression to strip any whitespace between the gtlt and the thing
// it modifies, so that `> 1.2.3` ==> `>1.2.3`
var COMPARATORTRIM = R++
src[COMPARATORTRIM] = '(\\s*)' + src[GTLT] +
                      '\\s*(' + LOOSEPLAIN + '|' + src[XRANGEPLAIN] + ')'

// this one has to use the /g flag
re[COMPARATORTRIM] = new RegExp(src[COMPARATORTRIM], 'g')
var comparatorTrimReplace = '$1$2$3'

// Something like `1.2.3 - 1.2.4`
// Note that these all use the loose form, because they'll be
// checked against either the strict or loose comparator form
// later.
var HYPHENRANGE = R++
src[HYPHENRANGE] = '^\\s*(' + src[XRANGEPLAIN] + ')' +
                   '\\s+-\\s+' +
                   '(' + src[XRANGEPLAIN] + ')' +
                   '\\s*$'

var HYPHENRANGELOOSE = R++
src[HYPHENRANGELOOSE] = '^\\s*(' + src[XRANGEPLAINLOOSE] + ')' +
                        '\\s+-\\s+' +
                        '(' + src[XRANGEPLAINLOOSE] + ')' +
                        '\\s*$'

// Star ranges basically just allow anything at all.
var STAR = R++
src[STAR] = '(<|>)?=?\\s*\\*'

// Compile to actual regexp objects.
// All are flag-free, unless they were created above with a flag.
for (var i = 0; i < R; i++) {
  debug(i, src[i])
  if (!re[i]) {
    re[i] = new RegExp(src[i])
  }
}

exports.parse = parse
function parse (version, options) {
  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    }
  }

  if (version instanceof SemVer) {
    return version
  }

  if (typeof version !== 'string') {
    return null
  }

  if (version.length > MAX_LENGTH) {
    return null
  }

  var r = options.loose ? re[LOOSE] : re[FULL]
  if (!r.test(version)) {
    return null
  }

  try {
    return new SemVer(version, options)
  } catch (er) {
    return null
  }
}

exports.valid = valid
function valid (version, options) {
  var v = parse(version, options)
  return v ? v.version : null
}

exports.clean = clean
function clean (version, options) {
  var s = parse(version.trim().replace(/^[=v]+/, ''), options)
  return s ? s.version : null
}

exports.SemVer = SemVer

function SemVer (version, options) {
  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    }
  }
  if (version instanceof SemVer) {
    if (version.loose === options.loose) {
      return version
    } else {
      version = version.version
    }
  } else if (typeof version !== 'string') {
    throw new TypeError('Invalid Version: ' + version)
  }

  if (version.length > MAX_LENGTH) {
    throw new TypeError('version is longer than ' + MAX_LENGTH + ' characters')
  }

  if (!(this instanceof SemVer)) {
    return new SemVer(version, options)
  }

  debug('SemVer', version, options)
  this.options = options
  this.loose = !!options.loose

  var m = version.trim().match(options.loose ? re[LOOSE] : re[FULL])

  if (!m) {
    throw new TypeError('Invalid Version: ' + version)
  }

  this.raw = version

  // these are actually numbers
  this.major = +m[1]
  this.minor = +m[2]
  this.patch = +m[3]

  if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
    throw new TypeError('Invalid major version')
  }

  if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
    throw new TypeError('Invalid minor version')
  }

  if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
    throw new TypeError('Invalid patch version')
  }

  // numberify any prerelease numeric ids
  if (!m[4]) {
    this.prerelease = []
  } else {
    this.prerelease = m[4].split('.').map(function (id) {
      if (/^[0-9]+$/.test(id)) {
        var num = +id
        if (num >= 0 && num < MAX_SAFE_INTEGER) {
          return num
        }
      }
      return id
    })
  }

  this.build = m[5] ? m[5].split('.') : []
  this.format()
}

SemVer.prototype.format = function () {
  this.version = this.major + '.' + this.minor + '.' + this.patch
  if (this.prerelease.length) {
    this.version += '-' + this.prerelease.join('.')
  }
  return this.version
}

SemVer.prototype.toString = function () {
  return this.version
}

SemVer.prototype.compare = function (other) {
  debug('SemVer.compare', this.version, this.options, other)
  if (!(other instanceof SemVer)) {
    other = new SemVer(other, this.options)
  }

  return this.compareMain(other) || this.comparePre(other)
}

SemVer.prototype.compareMain = function (other) {
  if (!(other instanceof SemVer)) {
    other = new SemVer(other, this.options)
  }

  return compareIdentifiers(this.major, other.major) ||
         compareIdentifiers(this.minor, other.minor) ||
         compareIdentifiers(this.patch, other.patch)
}

SemVer.prototype.comparePre = function (other) {
  if (!(other instanceof SemVer)) {
    other = new SemVer(other, this.options)
  }

  // NOT having a prerelease is > having one
  if (this.prerelease.length && !other.prerelease.length) {
    return -1
  } else if (!this.prerelease.length && other.prerelease.length) {
    return 1
  } else if (!this.prerelease.length && !other.prerelease.length) {
    return 0
  }

  var i = 0
  do {
    var a = this.prerelease[i]
    var b = other.prerelease[i]
    debug('prerelease compare', i, a, b)
    if (a === undefined && b === undefined) {
      return 0
    } else if (b === undefined) {
      return 1
    } else if (a === undefined) {
      return -1
    } else if (a === b) {
      continue
    } else {
      return compareIdentifiers(a, b)
    }
  } while (++i)
}

// preminor will bump the version up to the next minor release, and immediately
// down to pre-release. premajor and prepatch work the same way.
SemVer.prototype.inc = function (release, identifier) {
  switch (release) {
    case 'premajor':
      this.prerelease.length = 0
      this.patch = 0
      this.minor = 0
      this.major++
      this.inc('pre', identifier)
      break
    case 'preminor':
      this.prerelease.length = 0
      this.patch = 0
      this.minor++
      this.inc('pre', identifier)
      break
    case 'prepatch':
      // If this is already a prerelease, it will bump to the next version
      // drop any prereleases that might already exist, since they are not
      // relevant at this point.
      this.prerelease.length = 0
      this.inc('patch', identifier)
      this.inc('pre', identifier)
      break
    // If the input is a non-prerelease version, this acts the same as
    // prepatch.
    case 'prerelease':
      if (this.prerelease.length === 0) {
        this.inc('patch', identifier)
      }
      this.inc('pre', identifier)
      break

    case 'major':
      // If this is a pre-major version, bump up to the same major version.
      // Otherwise increment major.
      // 1.0.0-5 bumps to 1.0.0
      // 1.1.0 bumps to 2.0.0
      if (this.minor !== 0 ||
          this.patch !== 0 ||
          this.prerelease.length === 0) {
        this.major++
      }
      this.minor = 0
      this.patch = 0
      this.prerelease = []
      break
    case 'minor':
      // If this is a pre-minor version, bump up to the same minor version.
      // Otherwise increment minor.
      // 1.2.0-5 bumps to 1.2.0
      // 1.2.1 bumps to 1.3.0
      if (this.patch !== 0 || this.prerelease.length === 0) {
        this.minor++
      }
      this.patch = 0
      this.prerelease = []
      break
    case 'patch':
      // If this is not a pre-release version, it will increment the patch.
      // If it is a pre-release it will bump up to the same patch version.
      // 1.2.0-5 patches to 1.2.0
      // 1.2.0 patches to 1.2.1
      if (this.prerelease.length === 0) {
        this.patch++
      }
      this.prerelease = []
      break
    // This probably shouldn't be used publicly.
    // 1.0.0 "pre" would become 1.0.0-0 which is the wrong direction.
    case 'pre':
      if (this.prerelease.length === 0) {
        this.prerelease = [0]
      } else {
        var i = this.prerelease.length
        while (--i >= 0) {
          if (typeof this.prerelease[i] === 'number') {
            this.prerelease[i]++
            i = -2
          }
        }
        if (i === -1) {
          // didn't increment anything
          this.prerelease.push(0)
        }
      }
      if (identifier) {
        // 1.2.0-beta.1 bumps to 1.2.0-beta.2,
        // 1.2.0-beta.fooblz or 1.2.0-beta bumps to 1.2.0-beta.0
        if (this.prerelease[0] === identifier) {
          if (isNaN(this.prerelease[1])) {
            this.prerelease = [identifier, 0]
          }
        } else {
          this.prerelease = [identifier, 0]
        }
      }
      break

    default:
      throw new Error('invalid increment argument: ' + release)
  }
  this.format()
  this.raw = this.version
  return this
}

exports.inc = inc
function inc (version, release, loose, identifier) {
  if (typeof (loose) === 'string') {
    identifier = loose
    loose = undefined
  }

  try {
    return new SemVer(version, loose).inc(release, identifier).version
  } catch (er) {
    return null
  }
}

exports.diff = diff
function diff (version1, version2) {
  if (eq(version1, version2)) {
    return null
  } else {
    var v1 = parse(version1)
    var v2 = parse(version2)
    var prefix = ''
    if (v1.prerelease.length || v2.prerelease.length) {
      prefix = 'pre'
      var defaultResult = 'prerelease'
    }
    for (var key in v1) {
      if (key === 'major' || key === 'minor' || key === 'patch') {
        if (v1[key] !== v2[key]) {
          return prefix + key
        }
      }
    }
    return defaultResult // may be undefined
  }
}

exports.compareIdentifiers = compareIdentifiers

var numeric = /^[0-9]+$/
function compareIdentifiers (a, b) {
  var anum = numeric.test(a)
  var bnum = numeric.test(b)

  if (anum && bnum) {
    a = +a
    b = +b
  }

  return a === b ? 0
    : (anum && !bnum) ? -1
    : (bnum && !anum) ? 1
    : a < b ? -1
    : 1
}

exports.rcompareIdentifiers = rcompareIdentifiers
function rcompareIdentifiers (a, b) {
  return compareIdentifiers(b, a)
}

exports.major = major
function major (a, loose) {
  return new SemVer(a, loose).major
}

exports.minor = minor
function minor (a, loose) {
  return new SemVer(a, loose).minor
}

exports.patch = patch
function patch (a, loose) {
  return new SemVer(a, loose).patch
}

exports.compare = compare
function compare (a, b, loose) {
  return new SemVer(a, loose).compare(new SemVer(b, loose))
}

exports.compareLoose = compareLoose
function compareLoose (a, b) {
  return compare(a, b, true)
}

exports.rcompare = rcompare
function rcompare (a, b, loose) {
  return compare(b, a, loose)
}

exports.sort = sort
function sort (list, loose) {
  return list.sort(function (a, b) {
    return exports.compare(a, b, loose)
  })
}

exports.rsort = rsort
function rsort (list, loose) {
  return list.sort(function (a, b) {
    return exports.rcompare(a, b, loose)
  })
}

exports.gt = gt
function gt (a, b, loose) {
  return compare(a, b, loose) > 0
}

exports.lt = lt
function lt (a, b, loose) {
  return compare(a, b, loose) < 0
}

exports.eq = eq
function eq (a, b, loose) {
  return compare(a, b, loose) === 0
}

exports.neq = neq
function neq (a, b, loose) {
  return compare(a, b, loose) !== 0
}

exports.gte = gte
function gte (a, b, loose) {
  return compare(a, b, loose) >= 0
}

exports.lte = lte
function lte (a, b, loose) {
  return compare(a, b, loose) <= 0
}

exports.cmp = cmp
function cmp (a, op, b, loose) {
  switch (op) {
    case '===':
      if (typeof a === 'object')
        a = a.version
      if (typeof b === 'object')
        b = b.version
      return a === b

    case '!==':
      if (typeof a === 'object')
        a = a.version
      if (typeof b === 'object')
        b = b.version
      return a !== b

    case '':
    case '=':
    case '==':
      return eq(a, b, loose)

    case '!=':
      return neq(a, b, loose)

    case '>':
      return gt(a, b, loose)

    case '>=':
      return gte(a, b, loose)

    case '<':
      return lt(a, b, loose)

    case '<=':
      return lte(a, b, loose)

    default:
      throw new TypeError('Invalid operator: ' + op)
  }
}

exports.Comparator = Comparator
function Comparator (comp, options) {
  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    }
  }

  if (comp instanceof Comparator) {
    if (comp.loose === !!options.loose) {
      return comp
    } else {
      comp = comp.value
    }
  }

  if (!(this instanceof Comparator)) {
    return new Comparator(comp, options)
  }

  debug('comparator', comp, options)
  this.options = options
  this.loose = !!options.loose
  this.parse(comp)

  if (this.semver === ANY) {
    this.value = ''
  } else {
    this.value = this.operator + this.semver.version
  }

  debug('comp', this)
}

var ANY = {}
Comparator.prototype.parse = function (comp) {
  var r = this.options.loose ? re[COMPARATORLOOSE] : re[COMPARATOR]
  var m = comp.match(r)

  if (!m) {
    throw new TypeError('Invalid comparator: ' + comp)
  }

  this.operator = m[1]
  if (this.operator === '=') {
    this.operator = ''
  }

  // if it literally is just '>' or '' then allow anything.
  if (!m[2]) {
    this.semver = ANY
  } else {
    this.semver = new SemVer(m[2], this.options.loose)
  }
}

Comparator.prototype.toString = function () {
  return this.value
}

Comparator.prototype.test = function (version) {
  debug('Comparator.test', version, this.options.loose)

  if (this.semver === ANY) {
    return true
  }

  if (typeof version === 'string') {
    version = new SemVer(version, this.options)
  }

  return cmp(version, this.operator, this.semver, this.options)
}

Comparator.prototype.intersects = function (comp, options) {
  if (!(comp instanceof Comparator)) {
    throw new TypeError('a Comparator is required')
  }

  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    }
  }

  var rangeTmp

  if (this.operator === '') {
    rangeTmp = new Range(comp.value, options)
    return satisfies(this.value, rangeTmp, options)
  } else if (comp.operator === '') {
    rangeTmp = new Range(this.value, options)
    return satisfies(comp.semver, rangeTmp, options)
  }

  var sameDirectionIncreasing =
    (this.operator === '>=' || this.operator === '>') &&
    (comp.operator === '>=' || comp.operator === '>')
  var sameDirectionDecreasing =
    (this.operator === '<=' || this.operator === '<') &&
    (comp.operator === '<=' || comp.operator === '<')
  var sameSemVer = this.semver.version === comp.semver.version
  var differentDirectionsInclusive =
    (this.operator === '>=' || this.operator === '<=') &&
    (comp.operator === '>=' || comp.operator === '<=')
  var oppositeDirectionsLessThan =
    cmp(this.semver, '<', comp.semver, options) &&
    ((this.operator === '>=' || this.operator === '>') &&
    (comp.operator === '<=' || comp.operator === '<'))
  var oppositeDirectionsGreaterThan =
    cmp(this.semver, '>', comp.semver, options) &&
    ((this.operator === '<=' || this.operator === '<') &&
    (comp.operator === '>=' || comp.operator === '>'))

  return sameDirectionIncreasing || sameDirectionDecreasing ||
    (sameSemVer && differentDirectionsInclusive) ||
    oppositeDirectionsLessThan || oppositeDirectionsGreaterThan
}

exports.Range = Range
function Range (range, options) {
  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    }
  }

  if (range instanceof Range) {
    if (range.loose === !!options.loose &&
        range.includePrerelease === !!options.includePrerelease) {
      return range
    } else {
      return new Range(range.raw, options)
    }
  }

  if (range instanceof Comparator) {
    return new Range(range.value, options)
  }

  if (!(this instanceof Range)) {
    return new Range(range, options)
  }

  this.options = options
  this.loose = !!options.loose
  this.includePrerelease = !!options.includePrerelease

  // First, split based on boolean or ||
  this.raw = range
  this.set = range.split(/\s*\|\|\s*/).map(function (range) {
    return this.parseRange(range.trim())
  }, this).filter(function (c) {
    // throw out any that are not relevant for whatever reason
    return c.length
  })

  if (!this.set.length) {
    throw new TypeError('Invalid SemVer Range: ' + range)
  }

  this.format()
}

Range.prototype.format = function () {
  this.range = this.set.map(function (comps) {
    return comps.join(' ').trim()
  }).join('||').trim()
  return this.range
}

Range.prototype.toString = function () {
  return this.range
}

Range.prototype.parseRange = function (range) {
  var loose = this.options.loose
  range = range.trim()
  // `1.2.3 - 1.2.4` => `>=1.2.3 <=1.2.4`
  var hr = loose ? re[HYPHENRANGELOOSE] : re[HYPHENRANGE]
  range = range.replace(hr, hyphenReplace)
  debug('hyphen replace', range)
  // `> 1.2.3 < 1.2.5` => `>1.2.3 <1.2.5`
  range = range.replace(re[COMPARATORTRIM], comparatorTrimReplace)
  debug('comparator trim', range, re[COMPARATORTRIM])

  // `~ 1.2.3` => `~1.2.3`
  range = range.replace(re[TILDETRIM], tildeTrimReplace)

  // `^ 1.2.3` => `^1.2.3`
  range = range.replace(re[CARETTRIM], caretTrimReplace)

  // normalize spaces
  range = range.split(/\s+/).join(' ')

  // At this point, the range is completely trimmed and
  // ready to be split into comparators.

  var compRe = loose ? re[COMPARATORLOOSE] : re[COMPARATOR]
  var set = range.split(' ').map(function (comp) {
    return parseComparator(comp, this.options)
  }, this).join(' ').split(/\s+/)
  if (this.options.loose) {
    // in loose mode, throw out any that are not valid comparators
    set = set.filter(function (comp) {
      return !!comp.match(compRe)
    })
  }
  set = set.map(function (comp) {
    return new Comparator(comp, this.options)
  }, this)

  return set
}

Range.prototype.intersects = function (range, options) {
  if (!(range instanceof Range)) {
    throw new TypeError('a Range is required')
  }

  return this.set.some(function (thisComparators) {
    return thisComparators.every(function (thisComparator) {
      return range.set.some(function (rangeComparators) {
        return rangeComparators.every(function (rangeComparator) {
          return thisComparator.intersects(rangeComparator, options)
        })
      })
    })
  })
}

// Mostly just for testing and legacy API reasons
exports.toComparators = toComparators
function toComparators (range, options) {
  return new Range(range, options).set.map(function (comp) {
    return comp.map(function (c) {
      return c.value
    }).join(' ').trim().split(' ')
  })
}

// comprised of xranges, tildes, stars, and gtlt's at this point.
// already replaced the hyphen ranges
// turn into a set of JUST comparators.
function parseComparator (comp, options) {
  debug('comp', comp, options)
  comp = replaceCarets(comp, options)
  debug('caret', comp)
  comp = replaceTildes(comp, options)
  debug('tildes', comp)
  comp = replaceXRanges(comp, options)
  debug('xrange', comp)
  comp = replaceStars(comp, options)
  debug('stars', comp)
  return comp
}

function isX (id) {
  return !id || id.toLowerCase() === 'x' || id === '*'
}

// ~, ~> --> * (any, kinda silly)
// ~2, ~2.x, ~2.x.x, ~>2, ~>2.x ~>2.x.x --> >=2.0.0 <3.0.0
// ~2.0, ~2.0.x, ~>2.0, ~>2.0.x --> >=2.0.0 <2.1.0
// ~1.2, ~1.2.x, ~>1.2, ~>1.2.x --> >=1.2.0 <1.3.0
// ~1.2.3, ~>1.2.3 --> >=1.2.3 <1.3.0
// ~1.2.0, ~>1.2.0 --> >=1.2.0 <1.3.0
function replaceTildes (comp, options) {
  return comp.trim().split(/\s+/).map(function (comp) {
    return replaceTilde(comp, options)
  }).join(' ')
}

function replaceTilde (comp, options) {
  var r = options.loose ? re[TILDELOOSE] : re[TILDE]
  return comp.replace(r, function (_, M, m, p, pr) {
    debug('tilde', comp, _, M, m, p, pr)
    var ret

    if (isX(M)) {
      ret = ''
    } else if (isX(m)) {
      ret = '>=' + M + '.0.0 <' + (+M + 1) + '.0.0'
    } else if (isX(p)) {
      // ~1.2 == >=1.2.0 <1.3.0
      ret = '>=' + M + '.' + m + '.0 <' + M + '.' + (+m + 1) + '.0'
    } else if (pr) {
      debug('replaceTilde pr', pr)
      ret = '>=' + M + '.' + m + '.' + p + '-' + pr +
            ' <' + M + '.' + (+m + 1) + '.0'
    } else {
      // ~1.2.3 == >=1.2.3 <1.3.0
      ret = '>=' + M + '.' + m + '.' + p +
            ' <' + M + '.' + (+m + 1) + '.0'
    }

    debug('tilde return', ret)
    return ret
  })
}

// ^ --> * (any, kinda silly)
// ^2, ^2.x, ^2.x.x --> >=2.0.0 <3.0.0
// ^2.0, ^2.0.x --> >=2.0.0 <3.0.0
// ^1.2, ^1.2.x --> >=1.2.0 <2.0.0
// ^1.2.3 --> >=1.2.3 <2.0.0
// ^1.2.0 --> >=1.2.0 <2.0.0
function replaceCarets (comp, options) {
  return comp.trim().split(/\s+/).map(function (comp) {
    return replaceCaret(comp, options)
  }).join(' ')
}

function replaceCaret (comp, options) {
  debug('caret', comp, options)
  var r = options.loose ? re[CARETLOOSE] : re[CARET]
  return comp.replace(r, function (_, M, m, p, pr) {
    debug('caret', comp, _, M, m, p, pr)
    var ret

    if (isX(M)) {
      ret = ''
    } else if (isX(m)) {
      ret = '>=' + M + '.0.0 <' + (+M + 1) + '.0.0'
    } else if (isX(p)) {
      if (M === '0') {
        ret = '>=' + M + '.' + m + '.0 <' + M + '.' + (+m + 1) + '.0'
      } else {
        ret = '>=' + M + '.' + m + '.0 <' + (+M + 1) + '.0.0'
      }
    } else if (pr) {
      debug('replaceCaret pr', pr)
      if (M === '0') {
        if (m === '0') {
          ret = '>=' + M + '.' + m + '.' + p + '-' + pr +
                ' <' + M + '.' + m + '.' + (+p + 1)
        } else {
          ret = '>=' + M + '.' + m + '.' + p + '-' + pr +
                ' <' + M + '.' + (+m + 1) + '.0'
        }
      } else {
        ret = '>=' + M + '.' + m + '.' + p + '-' + pr +
              ' <' + (+M + 1) + '.0.0'
      }
    } else {
      debug('no pr')
      if (M === '0') {
        if (m === '0') {
          ret = '>=' + M + '.' + m + '.' + p +
                ' <' + M + '.' + m + '.' + (+p + 1)
        } else {
          ret = '>=' + M + '.' + m + '.' + p +
                ' <' + M + '.' + (+m + 1) + '.0'
        }
      } else {
        ret = '>=' + M + '.' + m + '.' + p +
              ' <' + (+M + 1) + '.0.0'
      }
    }

    debug('caret return', ret)
    return ret
  })
}

function replaceXRanges (comp, options) {
  debug('replaceXRanges', comp, options)
  return comp.split(/\s+/).map(function (comp) {
    return replaceXRange(comp, options)
  }).join(' ')
}

function replaceXRange (comp, options) {
  comp = comp.trim()
  var r = options.loose ? re[XRANGELOOSE] : re[XRANGE]
  return comp.replace(r, function (ret, gtlt, M, m, p, pr) {
    debug('xRange', comp, ret, gtlt, M, m, p, pr)
    var xM = isX(M)
    var xm = xM || isX(m)
    var xp = xm || isX(p)
    var anyX = xp

    if (gtlt === '=' && anyX) {
      gtlt = ''
    }

    if (xM) {
      if (gtlt === '>' || gtlt === '<') {
        // nothing is allowed
        ret = '<0.0.0'
      } else {
        // nothing is forbidden
        ret = '*'
      }
    } else if (gtlt && anyX) {
      // we know patch is an x, because we have any x at all.
      // replace X with 0
      if (xm) {
        m = 0
      }
      p = 0

      if (gtlt === '>') {
        // >1 => >=2.0.0
        // >1.2 => >=1.3.0
        // >1.2.3 => >= 1.2.4
        gtlt = '>='
        if (xm) {
          M = +M + 1
          m = 0
          p = 0
        } else {
          m = +m + 1
          p = 0
        }
      } else if (gtlt === '<=') {
        // <=0.7.x is actually <0.8.0, since any 0.7.x should
        // pass.  Similarly, <=7.x is actually <8.0.0, etc.
        gtlt = '<'
        if (xm) {
          M = +M + 1
        } else {
          m = +m + 1
        }
      }

      ret = gtlt + M + '.' + m + '.' + p
    } else if (xm) {
      ret = '>=' + M + '.0.0 <' + (+M + 1) + '.0.0'
    } else if (xp) {
      ret = '>=' + M + '.' + m + '.0 <' + M + '.' + (+m + 1) + '.0'
    }

    debug('xRange return', ret)

    return ret
  })
}

// Because * is AND-ed with everything else in the comparator,
// and '' means "any version", just remove the *s entirely.
function replaceStars (comp, options) {
  debug('replaceStars', comp, options)
  // Looseness is ignored here.  star is always as loose as it gets!
  return comp.trim().replace(re[STAR], '')
}

// This function is passed to string.replace(re[HYPHENRANGE])
// M, m, patch, prerelease, build
// 1.2 - 3.4.5 => >=1.2.0 <=3.4.5
// 1.2.3 - 3.4 => >=1.2.0 <3.5.0 Any 3.4.x will do
// 1.2 - 3.4 => >=1.2.0 <3.5.0
function hyphenReplace ($0,
  from, fM, fm, fp, fpr, fb,
  to, tM, tm, tp, tpr, tb) {
  if (isX(fM)) {
    from = ''
  } else if (isX(fm)) {
    from = '>=' + fM + '.0.0'
  } else if (isX(fp)) {
    from = '>=' + fM + '.' + fm + '.0'
  } else {
    from = '>=' + from
  }

  if (isX(tM)) {
    to = ''
  } else if (isX(tm)) {
    to = '<' + (+tM + 1) + '.0.0'
  } else if (isX(tp)) {
    to = '<' + tM + '.' + (+tm + 1) + '.0'
  } else if (tpr) {
    to = '<=' + tM + '.' + tm + '.' + tp + '-' + tpr
  } else {
    to = '<=' + to
  }

  return (from + ' ' + to).trim()
}

// if ANY of the sets match ALL of its comparators, then pass
Range.prototype.test = function (version) {
  if (!version) {
    return false
  }

  if (typeof version === 'string') {
    version = new SemVer(version, this.options)
  }

  for (var i = 0; i < this.set.length; i++) {
    if (testSet(this.set[i], version, this.options)) {
      return true
    }
  }
  return false
}

function testSet (set, version, options) {
  for (var i = 0; i < set.length; i++) {
    if (!set[i].test(version)) {
      return false
    }
  }

  if (version.prerelease.length && !options.includePrerelease) {
    // Find the set of versions that are allowed to have prereleases
    // For example, ^1.2.3-pr.1 desugars to >=1.2.3-pr.1 <2.0.0
    // That should allow `1.2.3-pr.2` to pass.
    // However, `1.2.4-alpha.notready` should NOT be allowed,
    // even though it's within the range set by the comparators.
    for (i = 0; i < set.length; i++) {
      debug(set[i].semver)
      if (set[i].semver === ANY) {
        continue
      }

      if (set[i].semver.prerelease.length > 0) {
        var allowed = set[i].semver
        if (allowed.major === version.major &&
            allowed.minor === version.minor &&
            allowed.patch === version.patch) {
          return true
        }
      }
    }

    // Version has a -pre, but it's not one of the ones we like.
    return false
  }

  return true
}

exports.satisfies = satisfies
function satisfies (version, range, options) {
  try {
    range = new Range(range, options)
  } catch (er) {
    return false
  }
  return range.test(version)
}

exports.maxSatisfying = maxSatisfying
function maxSatisfying (versions, range, options) {
  var max = null
  var maxSV = null
  try {
    var rangeObj = new Range(range, options)
  } catch (er) {
    return null
  }
  versions.forEach(function (v) {
    if (rangeObj.test(v)) {
      // satisfies(v, range, options)
      if (!max || maxSV.compare(v) === -1) {
        // compare(max, v, true)
        max = v
        maxSV = new SemVer(max, options)
      }
    }
  })
  return max
}

exports.minSatisfying = minSatisfying
function minSatisfying (versions, range, options) {
  var min = null
  var minSV = null
  try {
    var rangeObj = new Range(range, options)
  } catch (er) {
    return null
  }
  versions.forEach(function (v) {
    if (rangeObj.test(v)) {
      // satisfies(v, range, options)
      if (!min || minSV.compare(v) === 1) {
        // compare(min, v, true)
        min = v
        minSV = new SemVer(min, options)
      }
    }
  })
  return min
}

exports.minVersion = minVersion
function minVersion (range, loose) {
  range = new Range(range, loose)

  var minver = new SemVer('0.0.0')
  if (range.test(minver)) {
    return minver
  }

  minver = new SemVer('0.0.0-0')
  if (range.test(minver)) {
    return minver
  }

  minver = null
  for (var i = 0; i < range.set.length; ++i) {
    var comparators = range.set[i]

    comparators.forEach(function (comparator) {
      // Clone to avoid manipulating the comparator's semver object.
      var compver = new SemVer(comparator.semver.version)
      switch (comparator.operator) {
        case '>':
          if (compver.prerelease.length === 0) {
            compver.patch++
          } else {
            compver.prerelease.push(0)
          }
          compver.raw = compver.format()
          /* fallthrough */
        case '':
        case '>=':
          if (!minver || gt(minver, compver)) {
            minver = compver
          }
          break
        case '<':
        case '<=':
          /* Ignore maximum versions */
          break
        /* istanbul ignore next */
        default:
          throw new Error('Unexpected operation: ' + comparator.operator)
      }
    })
  }

  if (minver && range.test(minver)) {
    return minver
  }

  return null
}

exports.validRange = validRange
function validRange (range, options) {
  try {
    // Return '*' instead of '' so that truthiness works.
    // This will throw if it's invalid anyway
    return new Range(range, options).range || '*'
  } catch (er) {
    return null
  }
}

// Determine if version is less than all the versions possible in the range
exports.ltr = ltr
function ltr (version, range, options) {
  return outside(version, range, '<', options)
}

// Determine if version is greater than all the versions possible in the range.
exports.gtr = gtr
function gtr (version, range, options) {
  return outside(version, range, '>', options)
}

exports.outside = outside
function outside (version, range, hilo, options) {
  version = new SemVer(version, options)
  range = new Range(range, options)

  var gtfn, ltefn, ltfn, comp, ecomp
  switch (hilo) {
    case '>':
      gtfn = gt
      ltefn = lte
      ltfn = lt
      comp = '>'
      ecomp = '>='
      break
    case '<':
      gtfn = lt
      ltefn = gte
      ltfn = gt
      comp = '<'
      ecomp = '<='
      break
    default:
      throw new TypeError('Must provide a hilo val of "<" or ">"')
  }

  // If it satisifes the range it is not outside
  if (satisfies(version, range, options)) {
    return false
  }

  // From now on, variable terms are as if we're in "gtr" mode.
  // but note that everything is flipped for the "ltr" function.

  for (var i = 0; i < range.set.length; ++i) {
    var comparators = range.set[i]

    var high = null
    var low = null

    comparators.forEach(function (comparator) {
      if (comparator.semver === ANY) {
        comparator = new Comparator('>=0.0.0')
      }
      high = high || comparator
      low = low || comparator
      if (gtfn(comparator.semver, high.semver, options)) {
        high = comparator
      } else if (ltfn(comparator.semver, low.semver, options)) {
        low = comparator
      }
    })

    // If the edge version comparator has a operator then our version
    // isn't outside it
    if (high.operator === comp || high.operator === ecomp) {
      return false
    }

    // If the lowest version comparator has an operator and our version
    // is less than it then it isn't higher than the range
    if ((!low.operator || low.operator === comp) &&
        ltefn(version, low.semver)) {
      return false
    } else if (low.operator === ecomp && ltfn(version, low.semver)) {
      return false
    }
  }
  return true
}

exports.prerelease = prerelease
function prerelease (version, options) {
  var parsed = parse(version, options)
  return (parsed && parsed.prerelease.length) ? parsed.prerelease : null
}

exports.intersects = intersects
function intersects (r1, r2, options) {
  r1 = new Range(r1, options)
  r2 = new Range(r2, options)
  return r1.intersects(r2)
}

exports.coerce = coerce
function coerce (version) {
  if (version instanceof SemVer) {
    return version
  }

  if (typeof version !== 'string') {
    return null
  }

  var match = version.match(re[COERCE])

  if (match == null) {
    return null
  }

  return parse(match[1] +
    '.' + (match[2] || '0') +
    '.' + (match[3] || '0'))
}


/***/ }),

/***/ 80885:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const stripIndent = __nccwpck_require__(32728);
const indentString = __nccwpck_require__(98043);

module.exports = (string, count = 0, options) => indentString(stripIndent(string), count, options);


/***/ }),

/***/ 22398:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const debug = __nccwpck_require__(46526)
const { MAX_LENGTH, MAX_SAFE_INTEGER } = __nccwpck_require__(18764)
const { re, t } = __nccwpck_require__(8950)

const parseOptions = __nccwpck_require__(28559)
const { compareIdentifiers } = __nccwpck_require__(11206)
class SemVer {
  constructor (version, options) {
    options = parseOptions(options)

    if (version instanceof SemVer) {
      if (version.loose === !!options.loose &&
          version.includePrerelease === !!options.includePrerelease) {
        return version
      } else {
        version = version.version
      }
    } else if (typeof version !== 'string') {
      throw new TypeError(`Invalid Version: ${version}`)
    }

    if (version.length > MAX_LENGTH) {
      throw new TypeError(
        `version is longer than ${MAX_LENGTH} characters`
      )
    }

    debug('SemVer', version, options)
    this.options = options
    this.loose = !!options.loose
    // this isn't actually relevant for versions, but keep it so that we
    // don't run into trouble passing this.options around.
    this.includePrerelease = !!options.includePrerelease

    const m = version.trim().match(options.loose ? re[t.LOOSE] : re[t.FULL])

    if (!m) {
      throw new TypeError(`Invalid Version: ${version}`)
    }

    this.raw = version

    // these are actually numbers
    this.major = +m[1]
    this.minor = +m[2]
    this.patch = +m[3]

    if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
      throw new TypeError('Invalid major version')
    }

    if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
      throw new TypeError('Invalid minor version')
    }

    if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
      throw new TypeError('Invalid patch version')
    }

    // numberify any prerelease numeric ids
    if (!m[4]) {
      this.prerelease = []
    } else {
      this.prerelease = m[4].split('.').map((id) => {
        if (/^[0-9]+$/.test(id)) {
          const num = +id
          if (num >= 0 && num < MAX_SAFE_INTEGER) {
            return num
          }
        }
        return id
      })
    }

    this.build = m[5] ? m[5].split('.') : []
    this.format()
  }

  format () {
    this.version = `${this.major}.${this.minor}.${this.patch}`
    if (this.prerelease.length) {
      this.version += `-${this.prerelease.join('.')}`
    }
    return this.version
  }

  toString () {
    return this.version
  }

  compare (other) {
    debug('SemVer.compare', this.version, this.options, other)
    if (!(other instanceof SemVer)) {
      if (typeof other === 'string' && other === this.version) {
        return 0
      }
      other = new SemVer(other, this.options)
    }

    if (other.version === this.version) {
      return 0
    }

    return this.compareMain(other) || this.comparePre(other)
  }

  compareMain (other) {
    if (!(other instanceof SemVer)) {
      other = new SemVer(other, this.options)
    }

    return (
      compareIdentifiers(this.major, other.major) ||
      compareIdentifiers(this.minor, other.minor) ||
      compareIdentifiers(this.patch, other.patch)
    )
  }

  comparePre (other) {
    if (!(other instanceof SemVer)) {
      other = new SemVer(other, this.options)
    }

    // NOT having a prerelease is > having one
    if (this.prerelease.length && !other.prerelease.length) {
      return -1
    } else if (!this.prerelease.length && other.prerelease.length) {
      return 1
    } else if (!this.prerelease.length && !other.prerelease.length) {
      return 0
    }

    let i = 0
    do {
      const a = this.prerelease[i]
      const b = other.prerelease[i]
      debug('prerelease compare', i, a, b)
      if (a === undefined && b === undefined) {
        return 0
      } else if (b === undefined) {
        return 1
      } else if (a === undefined) {
        return -1
      } else if (a === b) {
        continue
      } else {
        return compareIdentifiers(a, b)
      }
    } while (++i)
  }

  compareBuild (other) {
    if (!(other instanceof SemVer)) {
      other = new SemVer(other, this.options)
    }

    let i = 0
    do {
      const a = this.build[i]
      const b = other.build[i]
      debug('prerelease compare', i, a, b)
      if (a === undefined && b === undefined) {
        return 0
      } else if (b === undefined) {
        return 1
      } else if (a === undefined) {
        return -1
      } else if (a === b) {
        continue
      } else {
        return compareIdentifiers(a, b)
      }
    } while (++i)
  }

  // preminor will bump the version up to the next minor release, and immediately
  // down to pre-release. premajor and prepatch work the same way.
  inc (release, identifier) {
    switch (release) {
      case 'premajor':
        this.prerelease.length = 0
        this.patch = 0
        this.minor = 0
        this.major++
        this.inc('pre', identifier)
        break
      case 'preminor':
        this.prerelease.length = 0
        this.patch = 0
        this.minor++
        this.inc('pre', identifier)
        break
      case 'prepatch':
        // If this is already a prerelease, it will bump to the next version
        // drop any prereleases that might already exist, since they are not
        // relevant at this point.
        this.prerelease.length = 0
        this.inc('patch', identifier)
        this.inc('pre', identifier)
        break
      // If the input is a non-prerelease version, this acts the same as
      // prepatch.
      case 'prerelease':
        if (this.prerelease.length === 0) {
          this.inc('patch', identifier)
        }
        this.inc('pre', identifier)
        break

      case 'major':
        // If this is a pre-major version, bump up to the same major version.
        // Otherwise increment major.
        // 1.0.0-5 bumps to 1.0.0
        // 1.1.0 bumps to 2.0.0
        if (
          this.minor !== 0 ||
          this.patch !== 0 ||
          this.prerelease.length === 0
        ) {
          this.major++
        }
        this.minor = 0
        this.patch = 0
        this.prerelease = []
        break
      case 'minor':
        // If this is a pre-minor version, bump up to the same minor version.
        // Otherwise increment minor.
        // 1.2.0-5 bumps to 1.2.0
        // 1.2.1 bumps to 1.3.0
        if (this.patch !== 0 || this.prerelease.length === 0) {
          this.minor++
        }
        this.patch = 0
        this.prerelease = []
        break
      case 'patch':
        // If this is not a pre-release version, it will increment the patch.
        // If it is a pre-release it will bump up to the same patch version.
        // 1.2.0-5 patches to 1.2.0
        // 1.2.0 patches to 1.2.1
        if (this.prerelease.length === 0) {
          this.patch++
        }
        this.prerelease = []
        break
      // This probably shouldn't be used publicly.
      // 1.0.0 'pre' would become 1.0.0-0 which is the wrong direction.
      case 'pre':
        if (this.prerelease.length === 0) {
          this.prerelease = [0]
        } else {
          let i = this.prerelease.length
          while (--i >= 0) {
            if (typeof this.prerelease[i] === 'number') {
              this.prerelease[i]++
              i = -2
            }
          }
          if (i === -1) {
            // didn't increment anything
            this.prerelease.push(0)
          }
        }
        if (identifier) {
          // 1.2.0-beta.1 bumps to 1.2.0-beta.2,
          // 1.2.0-beta.fooblz or 1.2.0-beta bumps to 1.2.0-beta.0
          if (this.prerelease[0] === identifier) {
            if (isNaN(this.prerelease[1])) {
              this.prerelease = [identifier, 0]
            }
          } else {
            this.prerelease = [identifier, 0]
          }
        }
        break

      default:
        throw new Error(`invalid increment argument: ${release}`)
    }
    this.format()
    this.raw = this.version
    return this
  }
}

module.exports = SemVer


/***/ }),

/***/ 43600:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const parse = __nccwpck_require__(42899)
const clean = (version, options) => {
  const s = parse(version.trim().replace(/^[=v]+/, ''), options)
  return s ? s.version : null
}
module.exports = clean


/***/ }),

/***/ 42899:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const {MAX_LENGTH} = __nccwpck_require__(18764)
const { re, t } = __nccwpck_require__(8950)
const SemVer = __nccwpck_require__(22398)

const parseOptions = __nccwpck_require__(28559)
const parse = (version, options) => {
  options = parseOptions(options)

  if (version instanceof SemVer) {
    return version
  }

  if (typeof version !== 'string') {
    return null
  }

  if (version.length > MAX_LENGTH) {
    return null
  }

  const r = options.loose ? re[t.LOOSE] : re[t.FULL]
  if (!r.test(version)) {
    return null
  }

  try {
    return new SemVer(version, options)
  } catch (er) {
    return null
  }
}

module.exports = parse


/***/ }),

/***/ 3725:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const parse = __nccwpck_require__(42899)
const valid = (version, options) => {
  const v = parse(version, options)
  return v ? v.version : null
}
module.exports = valid


/***/ }),

/***/ 18764:
/***/ ((module) => {

// Note: this is the semver.org version of the spec that it implements
// Not necessarily the package version of this code.
const SEMVER_SPEC_VERSION = '2.0.0'

const MAX_LENGTH = 256
const MAX_SAFE_INTEGER = Number.MAX_SAFE_INTEGER ||
  /* istanbul ignore next */ 9007199254740991

// Max safe segment length for coercion.
const MAX_SAFE_COMPONENT_LENGTH = 16

module.exports = {
  SEMVER_SPEC_VERSION,
  MAX_LENGTH,
  MAX_SAFE_INTEGER,
  MAX_SAFE_COMPONENT_LENGTH
}


/***/ }),

/***/ 46526:
/***/ ((module) => {

const debug = (
  typeof process === 'object' &&
  process.env &&
  process.env.NODE_DEBUG &&
  /\bsemver\b/i.test(process.env.NODE_DEBUG)
) ? (...args) => console.error('SEMVER', ...args)
  : () => {}

module.exports = debug


/***/ }),

/***/ 11206:
/***/ ((module) => {

const numeric = /^[0-9]+$/
const compareIdentifiers = (a, b) => {
  const anum = numeric.test(a)
  const bnum = numeric.test(b)

  if (anum && bnum) {
    a = +a
    b = +b
  }

  return a === b ? 0
    : (anum && !bnum) ? -1
    : (bnum && !anum) ? 1
    : a < b ? -1
    : 1
}

const rcompareIdentifiers = (a, b) => compareIdentifiers(b, a)

module.exports = {
  compareIdentifiers,
  rcompareIdentifiers
}


/***/ }),

/***/ 28559:
/***/ ((module) => {

// parse out just the options we care about so we always get a consistent
// obj with keys in a consistent order.
const opts = ['includePrerelease', 'loose', 'rtl']
const parseOptions = options =>
  !options ? {}
  : typeof options !== 'object' ? { loose: true }
  : opts.filter(k => options[k]).reduce((options, k) => {
    options[k] = true
    return options
  }, {})
module.exports = parseOptions


/***/ }),

/***/ 8950:
/***/ ((module, exports, __nccwpck_require__) => {

const { MAX_SAFE_COMPONENT_LENGTH } = __nccwpck_require__(18764)
const debug = __nccwpck_require__(46526)
exports = module.exports = {}

// The actual regexps go on exports.re
const re = exports.re = []
const src = exports.src = []
const t = exports.t = {}
let R = 0

const createToken = (name, value, isGlobal) => {
  const index = R++
  debug(index, value)
  t[name] = index
  src[index] = value
  re[index] = new RegExp(value, isGlobal ? 'g' : undefined)
}

// The following Regular Expressions can be used for tokenizing,
// validating, and parsing SemVer version strings.

// ## Numeric Identifier
// A single `0`, or a non-zero digit followed by zero or more digits.

createToken('NUMERICIDENTIFIER', '0|[1-9]\\d*')
createToken('NUMERICIDENTIFIERLOOSE', '[0-9]+')

// ## Non-numeric Identifier
// Zero or more digits, followed by a letter or hyphen, and then zero or
// more letters, digits, or hyphens.

createToken('NONNUMERICIDENTIFIER', '\\d*[a-zA-Z-][a-zA-Z0-9-]*')

// ## Main Version
// Three dot-separated numeric identifiers.

createToken('MAINVERSION', `(${src[t.NUMERICIDENTIFIER]})\\.` +
                   `(${src[t.NUMERICIDENTIFIER]})\\.` +
                   `(${src[t.NUMERICIDENTIFIER]})`)

createToken('MAINVERSIONLOOSE', `(${src[t.NUMERICIDENTIFIERLOOSE]})\\.` +
                        `(${src[t.NUMERICIDENTIFIERLOOSE]})\\.` +
                        `(${src[t.NUMERICIDENTIFIERLOOSE]})`)

// ## Pre-release Version Identifier
// A numeric identifier, or a non-numeric identifier.

createToken('PRERELEASEIDENTIFIER', `(?:${src[t.NUMERICIDENTIFIER]
}|${src[t.NONNUMERICIDENTIFIER]})`)

createToken('PRERELEASEIDENTIFIERLOOSE', `(?:${src[t.NUMERICIDENTIFIERLOOSE]
}|${src[t.NONNUMERICIDENTIFIER]})`)

// ## Pre-release Version
// Hyphen, followed by one or more dot-separated pre-release version
// identifiers.

createToken('PRERELEASE', `(?:-(${src[t.PRERELEASEIDENTIFIER]
}(?:\\.${src[t.PRERELEASEIDENTIFIER]})*))`)

createToken('PRERELEASELOOSE', `(?:-?(${src[t.PRERELEASEIDENTIFIERLOOSE]
}(?:\\.${src[t.PRERELEASEIDENTIFIERLOOSE]})*))`)

// ## Build Metadata Identifier
// Any combination of digits, letters, or hyphens.

createToken('BUILDIDENTIFIER', '[0-9A-Za-z-]+')

// ## Build Metadata
// Plus sign, followed by one or more period-separated build metadata
// identifiers.

createToken('BUILD', `(?:\\+(${src[t.BUILDIDENTIFIER]
}(?:\\.${src[t.BUILDIDENTIFIER]})*))`)

// ## Full Version String
// A main version, followed optionally by a pre-release version and
// build metadata.

// Note that the only major, minor, patch, and pre-release sections of
// the version string are capturing groups.  The build metadata is not a
// capturing group, because it should not ever be used in version
// comparison.

createToken('FULLPLAIN', `v?${src[t.MAINVERSION]
}${src[t.PRERELEASE]}?${
  src[t.BUILD]}?`)

createToken('FULL', `^${src[t.FULLPLAIN]}$`)

// like full, but allows v1.2.3 and =1.2.3, which people do sometimes.
// also, 1.0.0alpha1 (prerelease without the hyphen) which is pretty
// common in the npm registry.
createToken('LOOSEPLAIN', `[v=\\s]*${src[t.MAINVERSIONLOOSE]
}${src[t.PRERELEASELOOSE]}?${
  src[t.BUILD]}?`)

createToken('LOOSE', `^${src[t.LOOSEPLAIN]}$`)

createToken('GTLT', '((?:<|>)?=?)')

// Something like "2.*" or "1.2.x".
// Note that "x.x" is a valid xRange identifer, meaning "any version"
// Only the first item is strictly required.
createToken('XRANGEIDENTIFIERLOOSE', `${src[t.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`)
createToken('XRANGEIDENTIFIER', `${src[t.NUMERICIDENTIFIER]}|x|X|\\*`)

createToken('XRANGEPLAIN', `[v=\\s]*(${src[t.XRANGEIDENTIFIER]})` +
                   `(?:\\.(${src[t.XRANGEIDENTIFIER]})` +
                   `(?:\\.(${src[t.XRANGEIDENTIFIER]})` +
                   `(?:${src[t.PRERELEASE]})?${
                     src[t.BUILD]}?` +
                   `)?)?`)

createToken('XRANGEPLAINLOOSE', `[v=\\s]*(${src[t.XRANGEIDENTIFIERLOOSE]})` +
                        `(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})` +
                        `(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})` +
                        `(?:${src[t.PRERELEASELOOSE]})?${
                          src[t.BUILD]}?` +
                        `)?)?`)

createToken('XRANGE', `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAIN]}$`)
createToken('XRANGELOOSE', `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAINLOOSE]}$`)

// Coercion.
// Extract anything that could conceivably be a part of a valid semver
createToken('COERCE', `${'(^|[^\\d])' +
              '(\\d{1,'}${MAX_SAFE_COMPONENT_LENGTH}})` +
              `(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?` +
              `(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?` +
              `(?:$|[^\\d])`)
createToken('COERCERTL', src[t.COERCE], true)

// Tilde ranges.
// Meaning is "reasonably at or greater than"
createToken('LONETILDE', '(?:~>?)')

createToken('TILDETRIM', `(\\s*)${src[t.LONETILDE]}\\s+`, true)
exports.tildeTrimReplace = '$1~'

createToken('TILDE', `^${src[t.LONETILDE]}${src[t.XRANGEPLAIN]}$`)
createToken('TILDELOOSE', `^${src[t.LONETILDE]}${src[t.XRANGEPLAINLOOSE]}$`)

// Caret ranges.
// Meaning is "at least and backwards compatible with"
createToken('LONECARET', '(?:\\^)')

createToken('CARETTRIM', `(\\s*)${src[t.LONECARET]}\\s+`, true)
exports.caretTrimReplace = '$1^'

createToken('CARET', `^${src[t.LONECARET]}${src[t.XRANGEPLAIN]}$`)
createToken('CARETLOOSE', `^${src[t.LONECARET]}${src[t.XRANGEPLAINLOOSE]}$`)

// A simple gt/lt/eq thing, or just "" to indicate "any version"
createToken('COMPARATORLOOSE', `^${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]})$|^$`)
createToken('COMPARATOR', `^${src[t.GTLT]}\\s*(${src[t.FULLPLAIN]})$|^$`)

// An expression to strip any whitespace between the gtlt and the thing
// it modifies, so that `> 1.2.3` ==> `>1.2.3`
createToken('COMPARATORTRIM', `(\\s*)${src[t.GTLT]
}\\s*(${src[t.LOOSEPLAIN]}|${src[t.XRANGEPLAIN]})`, true)
exports.comparatorTrimReplace = '$1$2$3'

// Something like `1.2.3 - 1.2.4`
// Note that these all use the loose form, because they'll be
// checked against either the strict or loose comparator form
// later.
createToken('HYPHENRANGE', `^\\s*(${src[t.XRANGEPLAIN]})` +
                   `\\s+-\\s+` +
                   `(${src[t.XRANGEPLAIN]})` +
                   `\\s*$`)

createToken('HYPHENRANGELOOSE', `^\\s*(${src[t.XRANGEPLAINLOOSE]})` +
                        `\\s+-\\s+` +
                        `(${src[t.XRANGEPLAINLOOSE]})` +
                        `\\s*$`)

// Star ranges basically just allow anything at all.
createToken('STAR', '(<|>)?=?\\s*\\*')
// >=0.0.0 is like a star
createToken('GTE0', '^\\s*>=\\s*0\.0\.0\\s*$')
createToken('GTE0PRE', '^\\s*>=\\s*0\.0\.0-0\\s*$')


/***/ }),

/***/ 32728:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const minIndent = __nccwpck_require__(68236);

module.exports = string => {
	const indent = minIndent(string);

	if (indent === 0) {
		return string;
	}

	const regex = new RegExp(`^[ \\t]{${indent}}`, 'gm');

	return string.replace(regex, '');
};


/***/ }),

/***/ 79108:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const os = __nccwpck_require__(22037);
const tty = __nccwpck_require__(76224);
const hasFlag = __nccwpck_require__(31621);

const {env} = process;

let forceColor;
if (hasFlag('no-color') ||
	hasFlag('no-colors') ||
	hasFlag('color=false') ||
	hasFlag('color=never')) {
	forceColor = 0;
} else if (hasFlag('color') ||
	hasFlag('colors') ||
	hasFlag('color=true') ||
	hasFlag('color=always')) {
	forceColor = 1;
}

if ('FORCE_COLOR' in env) {
	if (env.FORCE_COLOR === 'true') {
		forceColor = 1;
	} else if (env.FORCE_COLOR === 'false') {
		forceColor = 0;
	} else {
		forceColor = env.FORCE_COLOR.length === 0 ? 1 : Math.min(parseInt(env.FORCE_COLOR, 10), 3);
	}
}

function translateLevel(level) {
	if (level === 0) {
		return false;
	}

	return {
		level,
		hasBasic: true,
		has256: level >= 2,
		has16m: level >= 3
	};
}

function supportsColor(haveStream, streamIsTTY) {
	if (forceColor === 0) {
		return 0;
	}

	if (hasFlag('color=16m') ||
		hasFlag('color=full') ||
		hasFlag('color=truecolor')) {
		return 3;
	}

	if (hasFlag('color=256')) {
		return 2;
	}

	if (haveStream && !streamIsTTY && forceColor === undefined) {
		return 0;
	}

	const min = forceColor || 0;

	if (env.TERM === 'dumb') {
		return min;
	}

	if (process.platform === 'win32') {
		// Windows 10 build 10586 is the first Windows release that supports 256 colors.
		// Windows 10 build 14931 is the first release that supports 16m/TrueColor.
		const osRelease = os.release().split('.');
		if (
			Number(osRelease[0]) >= 10 &&
			Number(osRelease[2]) >= 10586
		) {
			return Number(osRelease[2]) >= 14931 ? 3 : 2;
		}

		return 1;
	}

	if ('CI' in env) {
		if (['TRAVIS', 'CIRCLECI', 'APPVEYOR', 'GITLAB_CI', 'GITHUB_ACTIONS', 'BUILDKITE'].some(sign => sign in env) || env.CI_NAME === 'codeship') {
			return 1;
		}

		return min;
	}

	if ('TEAMCITY_VERSION' in env) {
		return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env.TEAMCITY_VERSION) ? 1 : 0;
	}

	if (env.COLORTERM === 'truecolor') {
		return 3;
	}

	if ('TERM_PROGRAM' in env) {
		const version = parseInt((env.TERM_PROGRAM_VERSION || '').split('.')[0], 10);

		switch (env.TERM_PROGRAM) {
			case 'iTerm.app':
				return version >= 3 ? 3 : 2;
			case 'Apple_Terminal':
				return 2;
			// No default
		}
	}

	if (/-256(color)?$/i.test(env.TERM)) {
		return 2;
	}

	if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env.TERM)) {
		return 1;
	}

	if ('COLORTERM' in env) {
		return 1;
	}

	return min;
}

function getSupportLevel(stream) {
	const level = supportsColor(stream, stream && stream.isTTY);
	return translateLevel(level);
}

module.exports = {
	supportsColor: getSupportLevel,
	stdout: translateLevel(supportsColor(true, tty.isatty(1))),
	stderr: translateLevel(supportsColor(true, tty.isatty(2)))
};


/***/ }),

/***/ 77700:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const fs = __nccwpck_require__(57147);
const os = __nccwpck_require__(22037);

const tempDirectorySymbol = Symbol.for('__RESOLVED_TEMP_DIRECTORY__');

if (!global[tempDirectorySymbol]) {
	Object.defineProperty(global, tempDirectorySymbol, {
		value: fs.realpathSync(os.tmpdir())
	});
}

module.exports = global[tempDirectorySymbol];


/***/ }),

/***/ 22452:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const fs = __nccwpck_require__(57147);
const path = __nccwpck_require__(71017);
const uniqueString = __nccwpck_require__(13236);
const tempDir = __nccwpck_require__(77700);
const isStream = __nccwpck_require__(41554);
const stream = __nccwpck_require__(12781);
const {promisify} = __nccwpck_require__(73837);

const pipeline = promisify(stream.pipeline);
const {writeFile} = fs.promises;

const getPath = () => path.join(tempDir, uniqueString());

const writeStream = async (filePath, data) => pipeline(data, fs.createWriteStream(filePath));

module.exports.file = options => {
	options = {
		...options
	};

	if (options.name) {
		if (options.extension !== undefined && options.extension !== null) {
			throw new Error('The `name` and `extension` options are mutually exclusive');
		}

		return path.join(module.exports.directory(), options.name);
	}

	return getPath() + (options.extension === undefined || options.extension === null ? '' : '.' + options.extension.replace(/^\./, ''));
};

module.exports.directory = () => {
	const directory = getPath();
	fs.mkdirSync(directory);
	return directory;
};

module.exports.write = async (data, options) => {
	const filename = module.exports.file(options);
	const write = isStream(data) ? writeStream : writeFile;
	await write(filename, data);
	return filename;
};

module.exports.writeSync = (data, options) => {
	const filename = module.exports.file(options);
	fs.writeFileSync(filename, data);
	return filename;
};

Object.defineProperty(module.exports, "root", ({
	get() {
		return tempDir;
	}
}));


/***/ }),

/***/ 49917:
/***/ ((module) => {

"use strict";

module.exports = string => string.replace(/^[\r\n]+/, '').replace(/[\r\n]+$/, '');
module.exports.start = string => string.replace(/^[\r\n]+/, '');

module.exports.end = string => {
	let end = string.length;

	while (end > 0 && (string[end - 1] === '\r' || string[end - 1] === '\n')) {
		end--;
	}

	return end < string.length ? string.slice(0, end) : string;
};


/***/ }),

/***/ 13236:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const cryptoRandomString = __nccwpck_require__(80793);

module.exports = () => cryptoRandomString(32);


/***/ }),

/***/ 7820:
/***/ ((module) => {

"use strict";

module.exports = function (Yallist) {
  Yallist.prototype[Symbol.iterator] = function* () {
    for (let walker = this.head; walker; walker = walker.next) {
      yield walker.value
    }
  }
}


/***/ }),

/***/ 29097:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

module.exports = Yallist

Yallist.Node = Node
Yallist.create = Yallist

function Yallist (list) {
  var self = this
  if (!(self instanceof Yallist)) {
    self = new Yallist()
  }

  self.tail = null
  self.head = null
  self.length = 0

  if (list && typeof list.forEach === 'function') {
    list.forEach(function (item) {
      self.push(item)
    })
  } else if (arguments.length > 0) {
    for (var i = 0, l = arguments.length; i < l; i++) {
      self.push(arguments[i])
    }
  }

  return self
}

Yallist.prototype.removeNode = function (node) {
  if (node.list !== this) {
    throw new Error('removing node which does not belong to this list')
  }

  var next = node.next
  var prev = node.prev

  if (next) {
    next.prev = prev
  }

  if (prev) {
    prev.next = next
  }

  if (node === this.head) {
    this.head = next
  }
  if (node === this.tail) {
    this.tail = prev
  }

  node.list.length--
  node.next = null
  node.prev = null
  node.list = null

  return next
}

Yallist.prototype.unshiftNode = function (node) {
  if (node === this.head) {
    return
  }

  if (node.list) {
    node.list.removeNode(node)
  }

  var head = this.head
  node.list = this
  node.next = head
  if (head) {
    head.prev = node
  }

  this.head = node
  if (!this.tail) {
    this.tail = node
  }
  this.length++
}

Yallist.prototype.pushNode = function (node) {
  if (node === this.tail) {
    return
  }

  if (node.list) {
    node.list.removeNode(node)
  }

  var tail = this.tail
  node.list = this
  node.prev = tail
  if (tail) {
    tail.next = node
  }

  this.tail = node
  if (!this.head) {
    this.head = node
  }
  this.length++
}

Yallist.prototype.push = function () {
  for (var i = 0, l = arguments.length; i < l; i++) {
    push(this, arguments[i])
  }
  return this.length
}

Yallist.prototype.unshift = function () {
  for (var i = 0, l = arguments.length; i < l; i++) {
    unshift(this, arguments[i])
  }
  return this.length
}

Yallist.prototype.pop = function () {
  if (!this.tail) {
    return undefined
  }

  var res = this.tail.value
  this.tail = this.tail.prev
  if (this.tail) {
    this.tail.next = null
  } else {
    this.head = null
  }
  this.length--
  return res
}

Yallist.prototype.shift = function () {
  if (!this.head) {
    return undefined
  }

  var res = this.head.value
  this.head = this.head.next
  if (this.head) {
    this.head.prev = null
  } else {
    this.tail = null
  }
  this.length--
  return res
}

Yallist.prototype.forEach = function (fn, thisp) {
  thisp = thisp || this
  for (var walker = this.head, i = 0; walker !== null; i++) {
    fn.call(thisp, walker.value, i, this)
    walker = walker.next
  }
}

Yallist.prototype.forEachReverse = function (fn, thisp) {
  thisp = thisp || this
  for (var walker = this.tail, i = this.length - 1; walker !== null; i--) {
    fn.call(thisp, walker.value, i, this)
    walker = walker.prev
  }
}

Yallist.prototype.get = function (n) {
  for (var i = 0, walker = this.head; walker !== null && i < n; i++) {
    // abort out of the list early if we hit a cycle
    walker = walker.next
  }
  if (i === n && walker !== null) {
    return walker.value
  }
}

Yallist.prototype.getReverse = function (n) {
  for (var i = 0, walker = this.tail; walker !== null && i < n; i++) {
    // abort out of the list early if we hit a cycle
    walker = walker.prev
  }
  if (i === n && walker !== null) {
    return walker.value
  }
}

Yallist.prototype.map = function (fn, thisp) {
  thisp = thisp || this
  var res = new Yallist()
  for (var walker = this.head; walker !== null;) {
    res.push(fn.call(thisp, walker.value, this))
    walker = walker.next
  }
  return res
}

Yallist.prototype.mapReverse = function (fn, thisp) {
  thisp = thisp || this
  var res = new Yallist()
  for (var walker = this.tail; walker !== null;) {
    res.push(fn.call(thisp, walker.value, this))
    walker = walker.prev
  }
  return res
}

Yallist.prototype.reduce = function (fn, initial) {
  var acc
  var walker = this.head
  if (arguments.length > 1) {
    acc = initial
  } else if (this.head) {
    walker = this.head.next
    acc = this.head.value
  } else {
    throw new TypeError('Reduce of empty list with no initial value')
  }

  for (var i = 0; walker !== null; i++) {
    acc = fn(acc, walker.value, i)
    walker = walker.next
  }

  return acc
}

Yallist.prototype.reduceReverse = function (fn, initial) {
  var acc
  var walker = this.tail
  if (arguments.length > 1) {
    acc = initial
  } else if (this.tail) {
    walker = this.tail.prev
    acc = this.tail.value
  } else {
    throw new TypeError('Reduce of empty list with no initial value')
  }

  for (var i = this.length - 1; walker !== null; i--) {
    acc = fn(acc, walker.value, i)
    walker = walker.prev
  }

  return acc
}

Yallist.prototype.toArray = function () {
  var arr = new Array(this.length)
  for (var i = 0, walker = this.head; walker !== null; i++) {
    arr[i] = walker.value
    walker = walker.next
  }
  return arr
}

Yallist.prototype.toArrayReverse = function () {
  var arr = new Array(this.length)
  for (var i = 0, walker = this.tail; walker !== null; i++) {
    arr[i] = walker.value
    walker = walker.prev
  }
  return arr
}

Yallist.prototype.slice = function (from, to) {
  to = to || this.length
  if (to < 0) {
    to += this.length
  }
  from = from || 0
  if (from < 0) {
    from += this.length
  }
  var ret = new Yallist()
  if (to < from || to < 0) {
    return ret
  }
  if (from < 0) {
    from = 0
  }
  if (to > this.length) {
    to = this.length
  }
  for (var i = 0, walker = this.head; walker !== null && i < from; i++) {
    walker = walker.next
  }
  for (; walker !== null && i < to; i++, walker = walker.next) {
    ret.push(walker.value)
  }
  return ret
}

Yallist.prototype.sliceReverse = function (from, to) {
  to = to || this.length
  if (to < 0) {
    to += this.length
  }
  from = from || 0
  if (from < 0) {
    from += this.length
  }
  var ret = new Yallist()
  if (to < from || to < 0) {
    return ret
  }
  if (from < 0) {
    from = 0
  }
  if (to > this.length) {
    to = this.length
  }
  for (var i = this.length, walker = this.tail; walker !== null && i > to; i--) {
    walker = walker.prev
  }
  for (; walker !== null && i > from; i--, walker = walker.prev) {
    ret.push(walker.value)
  }
  return ret
}

Yallist.prototype.splice = function (start, deleteCount, ...nodes) {
  if (start > this.length) {
    start = this.length - 1
  }
  if (start < 0) {
    start = this.length + start;
  }

  for (var i = 0, walker = this.head; walker !== null && i < start; i++) {
    walker = walker.next
  }

  var ret = []
  for (var i = 0; walker && i < deleteCount; i++) {
    ret.push(walker.value)
    walker = this.removeNode(walker)
  }
  if (walker === null) {
    walker = this.tail
  }

  if (walker !== this.head && walker !== this.tail) {
    walker = walker.prev
  }

  for (var i = 0; i < nodes.length; i++) {
    walker = insert(this, walker, nodes[i])
  }
  return ret;
}

Yallist.prototype.reverse = function () {
  var head = this.head
  var tail = this.tail
  for (var walker = head; walker !== null; walker = walker.prev) {
    var p = walker.prev
    walker.prev = walker.next
    walker.next = p
  }
  this.head = tail
  this.tail = head
  return this
}

function insert (self, node, value) {
  var inserted = node === self.head ?
    new Node(value, null, node, self) :
    new Node(value, node, node.next, self)

  if (inserted.next === null) {
    self.tail = inserted
  }
  if (inserted.prev === null) {
    self.head = inserted
  }

  self.length++

  return inserted
}

function push (self, item) {
  self.tail = new Node(item, self.tail, null, self)
  if (!self.head) {
    self.head = self.tail
  }
  self.length++
}

function unshift (self, item) {
  self.head = new Node(item, null, self.head, self)
  if (!self.tail) {
    self.tail = self.head
  }
  self.length++
}

function Node (value, prev, next, list) {
  if (!(this instanceof Node)) {
    return new Node(value, prev, next, list)
  }

  this.list = list
  this.value = value

  if (prev) {
    prev.next = this
    this.prev = prev
  } else {
    this.prev = null
  }

  if (next) {
    next.prev = this
    this.next = next
  } else {
    this.next = null
  }
}

try {
  // add if support for Symbol.iterator is present
  __nccwpck_require__(7820)(Yallist)
} catch (er) {}


/***/ }),

/***/ 63803:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const fs = __nccwpck_require__(57147);
exports.FILE_SYSTEM_ADAPTER = {
    lstat: fs.lstat,
    stat: fs.stat,
    lstatSync: fs.lstatSync,
    statSync: fs.statSync,
    readdir: fs.readdir,
    readdirSync: fs.readdirSync
};
function createFileSystemAdapter(fsMethods) {
    if (fsMethods === undefined) {
        return exports.FILE_SYSTEM_ADAPTER;
    }
    return Object.assign(Object.assign({}, exports.FILE_SYSTEM_ADAPTER), fsMethods);
}
exports.createFileSystemAdapter = createFileSystemAdapter;


/***/ }),

/***/ 18838:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const NODE_PROCESS_VERSION_PARTS = process.versions.node.split('.');
const MAJOR_VERSION = parseInt(NODE_PROCESS_VERSION_PARTS[0], 10);
const MINOR_VERSION = parseInt(NODE_PROCESS_VERSION_PARTS[1], 10);
const SUPPORTED_MAJOR_VERSION = 10;
const SUPPORTED_MINOR_VERSION = 10;
const IS_MATCHED_BY_MAJOR = MAJOR_VERSION > SUPPORTED_MAJOR_VERSION;
const IS_MATCHED_BY_MAJOR_AND_MINOR = MAJOR_VERSION === SUPPORTED_MAJOR_VERSION && MINOR_VERSION >= SUPPORTED_MINOR_VERSION;
/**
 * IS `true` for Node.js 10.10 and greater.
 */
exports.IS_SUPPORT_READDIR_WITH_FILE_TYPES = IS_MATCHED_BY_MAJOR || IS_MATCHED_BY_MAJOR_AND_MINOR;


/***/ }),

/***/ 75667:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const async = __nccwpck_require__(84507);
const sync = __nccwpck_require__(69560);
const settings_1 = __nccwpck_require__(88662);
exports.Settings = settings_1.default;
function scandir(path, optionsOrSettingsOrCallback, callback) {
    if (typeof optionsOrSettingsOrCallback === 'function') {
        return async.read(path, getSettings(), optionsOrSettingsOrCallback);
    }
    async.read(path, getSettings(optionsOrSettingsOrCallback), callback);
}
exports.scandir = scandir;
function scandirSync(path, optionsOrSettings) {
    const settings = getSettings(optionsOrSettings);
    return sync.read(path, settings);
}
exports.scandirSync = scandirSync;
function getSettings(settingsOrOptions = {}) {
    if (settingsOrOptions instanceof settings_1.default) {
        return settingsOrOptions;
    }
    return new settings_1.default(settingsOrOptions);
}


/***/ }),

/***/ 84507:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const fsStat = __nccwpck_require__(70109);
const rpl = __nccwpck_require__(75288);
const constants_1 = __nccwpck_require__(18838);
const utils = __nccwpck_require__(16297);
function read(directory, settings, callback) {
    if (!settings.stats && constants_1.IS_SUPPORT_READDIR_WITH_FILE_TYPES) {
        return readdirWithFileTypes(directory, settings, callback);
    }
    return readdir(directory, settings, callback);
}
exports.read = read;
function readdirWithFileTypes(directory, settings, callback) {
    settings.fs.readdir(directory, { withFileTypes: true }, (readdirError, dirents) => {
        if (readdirError !== null) {
            return callFailureCallback(callback, readdirError);
        }
        const entries = dirents.map((dirent) => ({
            dirent,
            name: dirent.name,
            path: `${directory}${settings.pathSegmentSeparator}${dirent.name}`
        }));
        if (!settings.followSymbolicLinks) {
            return callSuccessCallback(callback, entries);
        }
        const tasks = entries.map((entry) => makeRplTaskEntry(entry, settings));
        rpl(tasks, (rplError, rplEntries) => {
            if (rplError !== null) {
                return callFailureCallback(callback, rplError);
            }
            callSuccessCallback(callback, rplEntries);
        });
    });
}
exports.readdirWithFileTypes = readdirWithFileTypes;
function makeRplTaskEntry(entry, settings) {
    return (done) => {
        if (!entry.dirent.isSymbolicLink()) {
            return done(null, entry);
        }
        settings.fs.stat(entry.path, (statError, stats) => {
            if (statError !== null) {
                if (settings.throwErrorOnBrokenSymbolicLink) {
                    return done(statError);
                }
                return done(null, entry);
            }
            entry.dirent = utils.fs.createDirentFromStats(entry.name, stats);
            return done(null, entry);
        });
    };
}
function readdir(directory, settings, callback) {
    settings.fs.readdir(directory, (readdirError, names) => {
        if (readdirError !== null) {
            return callFailureCallback(callback, readdirError);
        }
        const filepaths = names.map((name) => `${directory}${settings.pathSegmentSeparator}${name}`);
        const tasks = filepaths.map((filepath) => {
            return (done) => fsStat.stat(filepath, settings.fsStatSettings, done);
        });
        rpl(tasks, (rplError, results) => {
            if (rplError !== null) {
                return callFailureCallback(callback, rplError);
            }
            const entries = [];
            names.forEach((name, index) => {
                const stats = results[index];
                const entry = {
                    name,
                    path: filepaths[index],
                    dirent: utils.fs.createDirentFromStats(name, stats)
                };
                if (settings.stats) {
                    entry.stats = stats;
                }
                entries.push(entry);
            });
            callSuccessCallback(callback, entries);
        });
    });
}
exports.readdir = readdir;
function callFailureCallback(callback, error) {
    callback(error);
}
function callSuccessCallback(callback, result) {
    callback(null, result);
}


/***/ }),

/***/ 69560:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const fsStat = __nccwpck_require__(70109);
const constants_1 = __nccwpck_require__(18838);
const utils = __nccwpck_require__(16297);
function read(directory, settings) {
    if (!settings.stats && constants_1.IS_SUPPORT_READDIR_WITH_FILE_TYPES) {
        return readdirWithFileTypes(directory, settings);
    }
    return readdir(directory, settings);
}
exports.read = read;
function readdirWithFileTypes(directory, settings) {
    const dirents = settings.fs.readdirSync(directory, { withFileTypes: true });
    return dirents.map((dirent) => {
        const entry = {
            dirent,
            name: dirent.name,
            path: `${directory}${settings.pathSegmentSeparator}${dirent.name}`
        };
        if (entry.dirent.isSymbolicLink() && settings.followSymbolicLinks) {
            try {
                const stats = settings.fs.statSync(entry.path);
                entry.dirent = utils.fs.createDirentFromStats(entry.name, stats);
            }
            catch (error) {
                if (settings.throwErrorOnBrokenSymbolicLink) {
                    throw error;
                }
            }
        }
        return entry;
    });
}
exports.readdirWithFileTypes = readdirWithFileTypes;
function readdir(directory, settings) {
    const names = settings.fs.readdirSync(directory);
    return names.map((name) => {
        const entryPath = `${directory}${settings.pathSegmentSeparator}${name}`;
        const stats = fsStat.statSync(entryPath, settings.fsStatSettings);
        const entry = {
            name,
            path: entryPath,
            dirent: utils.fs.createDirentFromStats(name, stats)
        };
        if (settings.stats) {
            entry.stats = stats;
        }
        return entry;
    });
}
exports.readdir = readdir;


/***/ }),

/***/ 88662:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const path = __nccwpck_require__(71017);
const fsStat = __nccwpck_require__(70109);
const fs = __nccwpck_require__(63803);
class Settings {
    constructor(_options = {}) {
        this._options = _options;
        this.followSymbolicLinks = this._getValue(this._options.followSymbolicLinks, false);
        this.fs = fs.createFileSystemAdapter(this._options.fs);
        this.pathSegmentSeparator = this._getValue(this._options.pathSegmentSeparator, path.sep);
        this.stats = this._getValue(this._options.stats, false);
        this.throwErrorOnBrokenSymbolicLink = this._getValue(this._options.throwErrorOnBrokenSymbolicLink, true);
        this.fsStatSettings = new fsStat.Settings({
            followSymbolicLink: this.followSymbolicLinks,
            fs: this.fs,
            throwErrorOnBrokenSymbolicLink: this.throwErrorOnBrokenSymbolicLink
        });
    }
    _getValue(option, value) {
        return option === undefined ? value : option;
    }
}
exports["default"] = Settings;


/***/ }),

/***/ 60883:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
class DirentFromStats {
    constructor(name, stats) {
        this.name = name;
        this.isBlockDevice = stats.isBlockDevice.bind(stats);
        this.isCharacterDevice = stats.isCharacterDevice.bind(stats);
        this.isDirectory = stats.isDirectory.bind(stats);
        this.isFIFO = stats.isFIFO.bind(stats);
        this.isFile = stats.isFile.bind(stats);
        this.isSocket = stats.isSocket.bind(stats);
        this.isSymbolicLink = stats.isSymbolicLink.bind(stats);
    }
}
function createDirentFromStats(name, stats) {
    return new DirentFromStats(name, stats);
}
exports.createDirentFromStats = createDirentFromStats;


/***/ }),

/***/ 16297:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const fs = __nccwpck_require__(60883);
exports.fs = fs;


/***/ }),

/***/ 32987:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const fs = __nccwpck_require__(57147);
exports.FILE_SYSTEM_ADAPTER = {
    lstat: fs.lstat,
    stat: fs.stat,
    lstatSync: fs.lstatSync,
    statSync: fs.statSync
};
function createFileSystemAdapter(fsMethods) {
    if (fsMethods === undefined) {
        return exports.FILE_SYSTEM_ADAPTER;
    }
    return Object.assign(Object.assign({}, exports.FILE_SYSTEM_ADAPTER), fsMethods);
}
exports.createFileSystemAdapter = createFileSystemAdapter;


/***/ }),

/***/ 70109:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const async = __nccwpck_require__(34147);
const sync = __nccwpck_require__(34527);
const settings_1 = __nccwpck_require__(12410);
exports.Settings = settings_1.default;
function stat(path, optionsOrSettingsOrCallback, callback) {
    if (typeof optionsOrSettingsOrCallback === 'function') {
        return async.read(path, getSettings(), optionsOrSettingsOrCallback);
    }
    async.read(path, getSettings(optionsOrSettingsOrCallback), callback);
}
exports.stat = stat;
function statSync(path, optionsOrSettings) {
    const settings = getSettings(optionsOrSettings);
    return sync.read(path, settings);
}
exports.statSync = statSync;
function getSettings(settingsOrOptions = {}) {
    if (settingsOrOptions instanceof settings_1.default) {
        return settingsOrOptions;
    }
    return new settings_1.default(settingsOrOptions);
}


/***/ }),

/***/ 34147:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
function read(path, settings, callback) {
    settings.fs.lstat(path, (lstatError, lstat) => {
        if (lstatError !== null) {
            return callFailureCallback(callback, lstatError);
        }
        if (!lstat.isSymbolicLink() || !settings.followSymbolicLink) {
            return callSuccessCallback(callback, lstat);
        }
        settings.fs.stat(path, (statError, stat) => {
            if (statError !== null) {
                if (settings.throwErrorOnBrokenSymbolicLink) {
                    return callFailureCallback(callback, statError);
                }
                return callSuccessCallback(callback, lstat);
            }
            if (settings.markSymbolicLink) {
                stat.isSymbolicLink = () => true;
            }
            callSuccessCallback(callback, stat);
        });
    });
}
exports.read = read;
function callFailureCallback(callback, error) {
    callback(error);
}
function callSuccessCallback(callback, result) {
    callback(null, result);
}


/***/ }),

/***/ 34527:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
function read(path, settings) {
    const lstat = settings.fs.lstatSync(path);
    if (!lstat.isSymbolicLink() || !settings.followSymbolicLink) {
        return lstat;
    }
    try {
        const stat = settings.fs.statSync(path);
        if (settings.markSymbolicLink) {
            stat.isSymbolicLink = () => true;
        }
        return stat;
    }
    catch (error) {
        if (!settings.throwErrorOnBrokenSymbolicLink) {
            return lstat;
        }
        throw error;
    }
}
exports.read = read;


/***/ }),

/***/ 12410:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const fs = __nccwpck_require__(32987);
class Settings {
    constructor(_options = {}) {
        this._options = _options;
        this.followSymbolicLink = this._getValue(this._options.followSymbolicLink, true);
        this.fs = fs.createFileSystemAdapter(this._options.fs);
        this.markSymbolicLink = this._getValue(this._options.markSymbolicLink, false);
        this.throwErrorOnBrokenSymbolicLink = this._getValue(this._options.throwErrorOnBrokenSymbolicLink, true);
    }
    _getValue(option, value) {
        return option === undefined ? value : option;
    }
}
exports["default"] = Settings;


/***/ }),

/***/ 26026:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const async_1 = __nccwpck_require__(77523);
const stream_1 = __nccwpck_require__(96737);
const sync_1 = __nccwpck_require__(13068);
const settings_1 = __nccwpck_require__(50141);
exports.Settings = settings_1.default;
function walk(directory, optionsOrSettingsOrCallback, callback) {
    if (typeof optionsOrSettingsOrCallback === 'function') {
        return new async_1.default(directory, getSettings()).read(optionsOrSettingsOrCallback);
    }
    new async_1.default(directory, getSettings(optionsOrSettingsOrCallback)).read(callback);
}
exports.walk = walk;
function walkSync(directory, optionsOrSettings) {
    const settings = getSettings(optionsOrSettings);
    const provider = new sync_1.default(directory, settings);
    return provider.read();
}
exports.walkSync = walkSync;
function walkStream(directory, optionsOrSettings) {
    const settings = getSettings(optionsOrSettings);
    const provider = new stream_1.default(directory, settings);
    return provider.read();
}
exports.walkStream = walkStream;
function getSettings(settingsOrOptions = {}) {
    if (settingsOrOptions instanceof settings_1.default) {
        return settingsOrOptions;
    }
    return new settings_1.default(settingsOrOptions);
}


/***/ }),

/***/ 77523:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const async_1 = __nccwpck_require__(55732);
class AsyncProvider {
    constructor(_root, _settings) {
        this._root = _root;
        this._settings = _settings;
        this._reader = new async_1.default(this._root, this._settings);
        this._storage = new Set();
    }
    read(callback) {
        this._reader.onError((error) => {
            callFailureCallback(callback, error);
        });
        this._reader.onEntry((entry) => {
            this._storage.add(entry);
        });
        this._reader.onEnd(() => {
            callSuccessCallback(callback, [...this._storage]);
        });
        this._reader.read();
    }
}
exports["default"] = AsyncProvider;
function callFailureCallback(callback, error) {
    callback(error);
}
function callSuccessCallback(callback, entries) {
    callback(null, entries);
}


/***/ }),

/***/ 96737:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const stream_1 = __nccwpck_require__(12781);
const async_1 = __nccwpck_require__(55732);
class StreamProvider {
    constructor(_root, _settings) {
        this._root = _root;
        this._settings = _settings;
        this._reader = new async_1.default(this._root, this._settings);
        this._stream = new stream_1.Readable({
            objectMode: true,
            read: () => { },
            destroy: this._reader.destroy.bind(this._reader)
        });
    }
    read() {
        this._reader.onError((error) => {
            this._stream.emit('error', error);
        });
        this._reader.onEntry((entry) => {
            this._stream.push(entry);
        });
        this._reader.onEnd(() => {
            this._stream.push(null);
        });
        this._reader.read();
        return this._stream;
    }
}
exports["default"] = StreamProvider;


/***/ }),

/***/ 13068:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const sync_1 = __nccwpck_require__(13595);
class SyncProvider {
    constructor(_root, _settings) {
        this._root = _root;
        this._settings = _settings;
        this._reader = new sync_1.default(this._root, this._settings);
    }
    read() {
        return this._reader.read();
    }
}
exports["default"] = SyncProvider;


/***/ }),

/***/ 55732:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const events_1 = __nccwpck_require__(82361);
const fsScandir = __nccwpck_require__(75667);
const fastq = __nccwpck_require__(7340);
const common = __nccwpck_require__(97988);
const reader_1 = __nccwpck_require__(88311);
class AsyncReader extends reader_1.default {
    constructor(_root, _settings) {
        super(_root, _settings);
        this._settings = _settings;
        this._scandir = fsScandir.scandir;
        this._emitter = new events_1.EventEmitter();
        this._queue = fastq(this._worker.bind(this), this._settings.concurrency);
        this._isFatalError = false;
        this._isDestroyed = false;
        this._queue.drain = () => {
            if (!this._isFatalError) {
                this._emitter.emit('end');
            }
        };
    }
    read() {
        this._isFatalError = false;
        this._isDestroyed = false;
        setImmediate(() => {
            this._pushToQueue(this._root, this._settings.basePath);
        });
        return this._emitter;
    }
    destroy() {
        if (this._isDestroyed) {
            throw new Error('The reader is already destroyed');
        }
        this._isDestroyed = true;
        this._queue.killAndDrain();
    }
    onEntry(callback) {
        this._emitter.on('entry', callback);
    }
    onError(callback) {
        this._emitter.once('error', callback);
    }
    onEnd(callback) {
        this._emitter.once('end', callback);
    }
    _pushToQueue(directory, base) {
        const queueItem = { directory, base };
        this._queue.push(queueItem, (error) => {
            if (error !== null) {
                this._handleError(error);
            }
        });
    }
    _worker(item, done) {
        this._scandir(item.directory, this._settings.fsScandirSettings, (error, entries) => {
            if (error !== null) {
                return done(error, undefined);
            }
            for (const entry of entries) {
                this._handleEntry(entry, item.base);
            }
            done(null, undefined);
        });
    }
    _handleError(error) {
        if (!common.isFatalError(this._settings, error)) {
            return;
        }
        this._isFatalError = true;
        this._isDestroyed = true;
        this._emitter.emit('error', error);
    }
    _handleEntry(entry, base) {
        if (this._isDestroyed || this._isFatalError) {
            return;
        }
        const fullpath = entry.path;
        if (base !== undefined) {
            entry.path = common.joinPathSegments(base, entry.name, this._settings.pathSegmentSeparator);
        }
        if (common.isAppliedFilter(this._settings.entryFilter, entry)) {
            this._emitEntry(entry);
        }
        if (entry.dirent.isDirectory() && common.isAppliedFilter(this._settings.deepFilter, entry)) {
            this._pushToQueue(fullpath, entry.path);
        }
    }
    _emitEntry(entry) {
        this._emitter.emit('entry', entry);
    }
}
exports["default"] = AsyncReader;


/***/ }),

/***/ 97988:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
function isFatalError(settings, error) {
    if (settings.errorFilter === null) {
        return true;
    }
    return !settings.errorFilter(error);
}
exports.isFatalError = isFatalError;
function isAppliedFilter(filter, value) {
    return filter === null || filter(value);
}
exports.isAppliedFilter = isAppliedFilter;
function replacePathSegmentSeparator(filepath, separator) {
    return filepath.split(/[\\/]/).join(separator);
}
exports.replacePathSegmentSeparator = replacePathSegmentSeparator;
function joinPathSegments(a, b, separator) {
    if (a === '') {
        return b;
    }
    return a + separator + b;
}
exports.joinPathSegments = joinPathSegments;


/***/ }),

/***/ 88311:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const common = __nccwpck_require__(97988);
class Reader {
    constructor(_root, _settings) {
        this._root = _root;
        this._settings = _settings;
        this._root = common.replacePathSegmentSeparator(_root, _settings.pathSegmentSeparator);
    }
}
exports["default"] = Reader;


/***/ }),

/***/ 13595:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const fsScandir = __nccwpck_require__(75667);
const common = __nccwpck_require__(97988);
const reader_1 = __nccwpck_require__(88311);
class SyncReader extends reader_1.default {
    constructor() {
        super(...arguments);
        this._scandir = fsScandir.scandirSync;
        this._storage = new Set();
        this._queue = new Set();
    }
    read() {
        this._pushToQueue(this._root, this._settings.basePath);
        this._handleQueue();
        return [...this._storage];
    }
    _pushToQueue(directory, base) {
        this._queue.add({ directory, base });
    }
    _handleQueue() {
        for (const item of this._queue.values()) {
            this._handleDirectory(item.directory, item.base);
        }
    }
    _handleDirectory(directory, base) {
        try {
            const entries = this._scandir(directory, this._settings.fsScandirSettings);
            for (const entry of entries) {
                this._handleEntry(entry, base);
            }
        }
        catch (error) {
            this._handleError(error);
        }
    }
    _handleError(error) {
        if (!common.isFatalError(this._settings, error)) {
            return;
        }
        throw error;
    }
    _handleEntry(entry, base) {
        const fullpath = entry.path;
        if (base !== undefined) {
            entry.path = common.joinPathSegments(base, entry.name, this._settings.pathSegmentSeparator);
        }
        if (common.isAppliedFilter(this._settings.entryFilter, entry)) {
            this._pushToStorage(entry);
        }
        if (entry.dirent.isDirectory() && common.isAppliedFilter(this._settings.deepFilter, entry)) {
            this._pushToQueue(fullpath, entry.path);
        }
    }
    _pushToStorage(entry) {
        this._storage.add(entry);
    }
}
exports["default"] = SyncReader;


/***/ }),

/***/ 50141:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const path = __nccwpck_require__(71017);
const fsScandir = __nccwpck_require__(75667);
class Settings {
    constructor(_options = {}) {
        this._options = _options;
        this.basePath = this._getValue(this._options.basePath, undefined);
        this.concurrency = this._getValue(this._options.concurrency, Infinity);
        this.deepFilter = this._getValue(this._options.deepFilter, null);
        this.entryFilter = this._getValue(this._options.entryFilter, null);
        this.errorFilter = this._getValue(this._options.errorFilter, null);
        this.pathSegmentSeparator = this._getValue(this._options.pathSegmentSeparator, path.sep);
        this.fsScandirSettings = new fsScandir.Settings({
            followSymbolicLinks: this._options.followSymbolicLinks,
            fs: this._options.fs,
            pathSegmentSeparator: this._options.pathSegmentSeparator,
            stats: this._options.stats,
            throwErrorOnBrokenSymbolicLink: this._options.throwErrorOnBrokenSymbolicLink
        });
    }
    _getValue(option, value) {
        return option === undefined ? value : option;
    }
}
exports["default"] = Settings;


/***/ }),

/***/ 61231:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const indentString = __nccwpck_require__(98043);
const cleanStack = __nccwpck_require__(27972);

const cleanInternalStack = stack => stack.replace(/\s+at .*aggregate-error\/index.js:\d+:\d+\)?/g, '');

class AggregateError extends Error {
	constructor(errors) {
		if (!Array.isArray(errors)) {
			throw new TypeError(`Expected input to be an Array, got ${typeof errors}`);
		}

		errors = [...errors].map(error => {
			if (error instanceof Error) {
				return error;
			}

			if (error !== null && typeof error === 'object') {
				// Handle plain error objects with message property and/or possibly other metadata
				return Object.assign(new Error(error.message), error);
			}

			return new Error(error);
		});

		let message = errors
			.map(error => {
				// The `stack` property is not standardized, so we can't assume it exists
				return typeof error.stack === 'string' ? cleanInternalStack(cleanStack(error.stack)) : String(error);
			})
			.join('\n');
		message = '\n' + indentString(message, 4);
		super(message);

		this.name = 'AggregateError';

		Object.defineProperty(this, '_errors', {value: errors});
	}

	* [Symbol.iterator]() {
		for (const error of this._errors) {
			yield error;
		}
	}
}

module.exports = AggregateError;


/***/ }),

/***/ 99600:
/***/ ((module) => {

"use strict";


module.exports = (...arguments_) => {
	return [...new Set([].concat(...arguments_))];
};


/***/ }),

/***/ 20940:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['accessanalyzer'] = {};
AWS.AccessAnalyzer = Service.defineService('accessanalyzer', ['2019-11-01']);
Object.defineProperty(apiLoader.services['accessanalyzer'], '2019-11-01', {
  get: function get() {
    var model = __nccwpck_require__(30590);
    model.paginators = (__nccwpck_require__(63080)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AccessAnalyzer;


/***/ }),

/***/ 32400:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['account'] = {};
AWS.Account = Service.defineService('account', ['2021-02-01']);
Object.defineProperty(apiLoader.services['account'], '2021-02-01', {
  get: function get() {
    var model = __nccwpck_require__(36713);
    model.paginators = (__nccwpck_require__(52324)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Account;


/***/ }),

/***/ 30838:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['acm'] = {};
AWS.ACM = Service.defineService('acm', ['2015-12-08']);
Object.defineProperty(apiLoader.services['acm'], '2015-12-08', {
  get: function get() {
    var model = __nccwpck_require__(34662);
    model.paginators = (__nccwpck_require__(42680)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(85678)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ACM;


/***/ }),

/***/ 18450:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['acmpca'] = {};
AWS.ACMPCA = Service.defineService('acmpca', ['2017-08-22']);
Object.defineProperty(apiLoader.services['acmpca'], '2017-08-22', {
  get: function get() {
    var model = __nccwpck_require__(33004);
    model.paginators = (__nccwpck_require__(21209)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(89217)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ACMPCA;


/***/ }),

/***/ 14578:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['alexaforbusiness'] = {};
AWS.AlexaForBusiness = Service.defineService('alexaforbusiness', ['2017-11-09']);
Object.defineProperty(apiLoader.services['alexaforbusiness'], '2017-11-09', {
  get: function get() {
    var model = __nccwpck_require__(69786);
    model.paginators = (__nccwpck_require__(21009)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AlexaForBusiness;


/***/ }),

/***/ 26296:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
module.exports = {
  ACM: __nccwpck_require__(30838),
  APIGateway: __nccwpck_require__(91759),
  ApplicationAutoScaling: __nccwpck_require__(25598),
  AppStream: __nccwpck_require__(21730),
  AutoScaling: __nccwpck_require__(31652),
  Batch: __nccwpck_require__(10000),
  Budgets: __nccwpck_require__(43923),
  CloudDirectory: __nccwpck_require__(56231),
  CloudFormation: __nccwpck_require__(74643),
  CloudFront: __nccwpck_require__(48058),
  CloudHSM: __nccwpck_require__(59976),
  CloudSearch: __nccwpck_require__(72321),
  CloudSearchDomain: __nccwpck_require__(64072),
  CloudTrail: __nccwpck_require__(65512),
  CloudWatch: __nccwpck_require__(6763),
  CloudWatchEvents: __nccwpck_require__(38124),
  CloudWatchLogs: __nccwpck_require__(96693),
  CodeBuild: __nccwpck_require__(60450),
  CodeCommit: __nccwpck_require__(71323),
  CodeDeploy: __nccwpck_require__(54599),
  CodePipeline: __nccwpck_require__(22938),
  CognitoIdentity: __nccwpck_require__(58291),
  CognitoIdentityServiceProvider: __nccwpck_require__(31379),
  CognitoSync: __nccwpck_require__(74770),
  ConfigService: __nccwpck_require__(34061),
  CUR: __nccwpck_require__(5026),
  DataPipeline: __nccwpck_require__(65688),
  DeviceFarm: __nccwpck_require__(26272),
  DirectConnect: __nccwpck_require__(73783),
  DirectoryService: __nccwpck_require__(83908),
  Discovery: __nccwpck_require__(81690),
  DMS: __nccwpck_require__(99599),
  DynamoDB: __nccwpck_require__(14347),
  DynamoDBStreams: __nccwpck_require__(88090),
  EC2: __nccwpck_require__(7778),
  ECR: __nccwpck_require__(15211),
  ECS: __nccwpck_require__(16615),
  EFS: __nccwpck_require__(34375),
  ElastiCache: __nccwpck_require__(81065),
  ElasticBeanstalk: __nccwpck_require__(14897),
  ELB: __nccwpck_require__(10907),
  ELBv2: __nccwpck_require__(44311),
  EMR: __nccwpck_require__(50470),
  ES: __nccwpck_require__(84462),
  ElasticTranscoder: __nccwpck_require__(40745),
  Firehose: __nccwpck_require__(92831),
  GameLift: __nccwpck_require__(8085),
  Glacier: __nccwpck_require__(63249),
  Health: __nccwpck_require__(21834),
  IAM: __nccwpck_require__(50058),
  ImportExport: __nccwpck_require__(6769),
  Inspector: __nccwpck_require__(89439),
  Iot: __nccwpck_require__(98392),
  IotData: __nccwpck_require__(6564),
  Kinesis: __nccwpck_require__(49876),
  KinesisAnalytics: __nccwpck_require__(90042),
  KMS: __nccwpck_require__(56782),
  Lambda: __nccwpck_require__(13321),
  LexRuntime: __nccwpck_require__(62716),
  Lightsail: __nccwpck_require__(22718),
  MachineLearning: __nccwpck_require__(82907),
  MarketplaceCommerceAnalytics: __nccwpck_require__(4540),
  MarketplaceMetering: __nccwpck_require__(39297),
  MTurk: __nccwpck_require__(79954),
  MobileAnalytics: __nccwpck_require__(66690),
  OpsWorks: __nccwpck_require__(75691),
  OpsWorksCM: __nccwpck_require__(80388),
  Organizations: __nccwpck_require__(44670),
  Pinpoint: __nccwpck_require__(18388),
  Polly: __nccwpck_require__(97332),
  RDS: __nccwpck_require__(71578),
  Redshift: __nccwpck_require__(84853),
  Rekognition: __nccwpck_require__(65470),
  ResourceGroupsTaggingAPI: __nccwpck_require__(7385),
  Route53: __nccwpck_require__(44968),
  Route53Domains: __nccwpck_require__(51994),
  S3: __nccwpck_require__(83256),
  S3Control: __nccwpck_require__(99817),
  ServiceCatalog: __nccwpck_require__(822),
  SES: __nccwpck_require__(46816),
  Shield: __nccwpck_require__(20271),
  SimpleDB: __nccwpck_require__(10120),
  SMS: __nccwpck_require__(57719),
  Snowball: __nccwpck_require__(510),
  SNS: __nccwpck_require__(28581),
  SQS: __nccwpck_require__(63172),
  SSM: __nccwpck_require__(83380),
  StorageGateway: __nccwpck_require__(89190),
  StepFunctions: __nccwpck_require__(8136),
  STS: __nccwpck_require__(57513),
  Support: __nccwpck_require__(1099),
  SWF: __nccwpck_require__(32327),
  XRay: __nccwpck_require__(41548),
  WAF: __nccwpck_require__(72742),
  WAFRegional: __nccwpck_require__(23153),
  WorkDocs: __nccwpck_require__(38835),
  WorkSpaces: __nccwpck_require__(25513),
  CodeStar: __nccwpck_require__(98336),
  LexModelBuildingService: __nccwpck_require__(37397),
  MarketplaceEntitlementService: __nccwpck_require__(53707),
  Athena: __nccwpck_require__(29434),
  Greengrass: __nccwpck_require__(20690),
  DAX: __nccwpck_require__(71398),
  MigrationHub: __nccwpck_require__(14688),
  CloudHSMV2: __nccwpck_require__(70889),
  Glue: __nccwpck_require__(31658),
  Mobile: __nccwpck_require__(39782),
  Pricing: __nccwpck_require__(92765),
  CostExplorer: __nccwpck_require__(79523),
  MediaConvert: __nccwpck_require__(57220),
  MediaLive: __nccwpck_require__(7509),
  MediaPackage: __nccwpck_require__(91620),
  MediaStore: __nccwpck_require__(83748),
  MediaStoreData: __nccwpck_require__(98703),
  AppSync: __nccwpck_require__(12402),
  GuardDuty: __nccwpck_require__(40755),
  MQ: __nccwpck_require__(23093),
  Comprehend: __nccwpck_require__(62878),
  IoTJobsDataPlane: __nccwpck_require__(42332),
  KinesisVideoArchivedMedia: __nccwpck_require__(5580),
  KinesisVideoMedia: __nccwpck_require__(81308),
  KinesisVideo: __nccwpck_require__(89927),
  SageMakerRuntime: __nccwpck_require__(85044),
  SageMaker: __nccwpck_require__(77657),
  Translate: __nccwpck_require__(72544),
  ResourceGroups: __nccwpck_require__(58756),
  AlexaForBusiness: __nccwpck_require__(14578),
  Cloud9: __nccwpck_require__(85473),
  ServerlessApplicationRepository: __nccwpck_require__(62402),
  ServiceDiscovery: __nccwpck_require__(91569),
  WorkMail: __nccwpck_require__(38374),
  AutoScalingPlans: __nccwpck_require__(2554),
  TranscribeService: __nccwpck_require__(75811),
  Connect: __nccwpck_require__(13879),
  ACMPCA: __nccwpck_require__(18450),
  FMS: __nccwpck_require__(11316),
  SecretsManager: __nccwpck_require__(85131),
  IoTAnalytics: __nccwpck_require__(67409),
  IoT1ClickDevicesService: __nccwpck_require__(39474),
  IoT1ClickProjects: __nccwpck_require__(4686),
  PI: __nccwpck_require__(15505),
  Neptune: __nccwpck_require__(30047),
  MediaTailor: __nccwpck_require__(30534),
  EKS: __nccwpck_require__(23337),
  Macie: __nccwpck_require__(86427),
  DLM: __nccwpck_require__(24958),
  Signer: __nccwpck_require__(71596),
  Chime: __nccwpck_require__(84646),
  PinpointEmail: __nccwpck_require__(83060),
  RAM: __nccwpck_require__(94394),
  Route53Resolver: __nccwpck_require__(25894),
  PinpointSMSVoice: __nccwpck_require__(46605),
  QuickSight: __nccwpck_require__(29898),
  RDSDataService: __nccwpck_require__(30147),
  Amplify: __nccwpck_require__(38090),
  DataSync: __nccwpck_require__(25308),
  RoboMaker: __nccwpck_require__(18068),
  Transfer: __nccwpck_require__(51585),
  GlobalAccelerator: __nccwpck_require__(19306),
  ComprehendMedical: __nccwpck_require__(32349),
  KinesisAnalyticsV2: __nccwpck_require__(74631),
  MediaConnect: __nccwpck_require__(67639),
  FSx: __nccwpck_require__(60642),
  SecurityHub: __nccwpck_require__(21550),
  AppMesh: __nccwpck_require__(69226),
  LicenseManager: __nccwpck_require__(34693),
  Kafka: __nccwpck_require__(56775),
  ApiGatewayManagementApi: __nccwpck_require__(31762),
  ApiGatewayV2: __nccwpck_require__(44987),
  DocDB: __nccwpck_require__(55129),
  Backup: __nccwpck_require__(82455),
  WorkLink: __nccwpck_require__(48579),
  Textract: __nccwpck_require__(58523),
  ManagedBlockchain: __nccwpck_require__(85143),
  MediaPackageVod: __nccwpck_require__(14962),
  GroundStation: __nccwpck_require__(80494),
  IoTThingsGraph: __nccwpck_require__(58905),
  IoTEvents: __nccwpck_require__(88065),
  IoTEventsData: __nccwpck_require__(56973),
  Personalize: __nccwpck_require__(33696),
  PersonalizeEvents: __nccwpck_require__(88170),
  PersonalizeRuntime: __nccwpck_require__(66184),
  ApplicationInsights: __nccwpck_require__(83972),
  ServiceQuotas: __nccwpck_require__(57800),
  EC2InstanceConnect: __nccwpck_require__(92209),
  EventBridge: __nccwpck_require__(898),
  LakeFormation: __nccwpck_require__(6726),
  ForecastService: __nccwpck_require__(12942),
  ForecastQueryService: __nccwpck_require__(36822),
  QLDB: __nccwpck_require__(71266),
  QLDBSession: __nccwpck_require__(55423),
  WorkMailMessageFlow: __nccwpck_require__(67025),
  CodeStarNotifications: __nccwpck_require__(15141),
  SavingsPlans: __nccwpck_require__(62825),
  SSO: __nccwpck_require__(71096),
  SSOOIDC: __nccwpck_require__(49870),
  MarketplaceCatalog: __nccwpck_require__(2609),
  DataExchange: __nccwpck_require__(11024),
  SESV2: __nccwpck_require__(20142),
  MigrationHubConfig: __nccwpck_require__(62658),
  ConnectParticipant: __nccwpck_require__(94198),
  AppConfig: __nccwpck_require__(78606),
  IoTSecureTunneling: __nccwpck_require__(98562),
  WAFV2: __nccwpck_require__(50353),
  ElasticInference: __nccwpck_require__(37708),
  Imagebuilder: __nccwpck_require__(57511),
  Schemas: __nccwpck_require__(55713),
  AccessAnalyzer: __nccwpck_require__(20940),
  CodeGuruReviewer: __nccwpck_require__(60070),
  CodeGuruProfiler: __nccwpck_require__(65704),
  ComputeOptimizer: __nccwpck_require__(64459),
  FraudDetector: __nccwpck_require__(99830),
  Kendra: __nccwpck_require__(66122),
  NetworkManager: __nccwpck_require__(37610),
  Outposts: __nccwpck_require__(27551),
  AugmentedAIRuntime: __nccwpck_require__(33960),
  EBS: __nccwpck_require__(62837),
  KinesisVideoSignalingChannels: __nccwpck_require__(12710),
  Detective: __nccwpck_require__(60674),
  CodeStarconnections: __nccwpck_require__(78270),
  Synthetics: __nccwpck_require__(25910),
  IoTSiteWise: __nccwpck_require__(89690),
  Macie2: __nccwpck_require__(57330),
  CodeArtifact: __nccwpck_require__(91983),
  Honeycode: __nccwpck_require__(38889),
  IVS: __nccwpck_require__(67701),
  Braket: __nccwpck_require__(35429),
  IdentityStore: __nccwpck_require__(60222),
  Appflow: __nccwpck_require__(60844),
  RedshiftData: __nccwpck_require__(203),
  SSOAdmin: __nccwpck_require__(66644),
  TimestreamQuery: __nccwpck_require__(24529),
  TimestreamWrite: __nccwpck_require__(1573),
  S3Outposts: __nccwpck_require__(90493),
  DataBrew: __nccwpck_require__(35846),
  ServiceCatalogAppRegistry: __nccwpck_require__(79068),
  NetworkFirewall: __nccwpck_require__(84626),
  MWAA: __nccwpck_require__(32712),
  AmplifyBackend: __nccwpck_require__(2806),
  AppIntegrations: __nccwpck_require__(85479),
  ConnectContactLens: __nccwpck_require__(41847),
  DevOpsGuru: __nccwpck_require__(90673),
  ECRPUBLIC: __nccwpck_require__(90244),
  LookoutVision: __nccwpck_require__(65046),
  SageMakerFeatureStoreRuntime: __nccwpck_require__(67644),
  CustomerProfiles: __nccwpck_require__(28379),
  AuditManager: __nccwpck_require__(20472),
  EMRcontainers: __nccwpck_require__(49984),
  HealthLake: __nccwpck_require__(64254),
  SagemakerEdge: __nccwpck_require__(38966),
  Amp: __nccwpck_require__(96881),
  GreengrassV2: __nccwpck_require__(45126),
  IotDeviceAdvisor: __nccwpck_require__(97569),
  IoTFleetHub: __nccwpck_require__(42513),
  IoTWireless: __nccwpck_require__(8226),
  Location: __nccwpck_require__(44594),
  WellArchitected: __nccwpck_require__(86263),
  LexModelsV2: __nccwpck_require__(27254),
  LexRuntimeV2: __nccwpck_require__(33855),
  Fis: __nccwpck_require__(73003),
  LookoutMetrics: __nccwpck_require__(78708),
  Mgn: __nccwpck_require__(41339),
  LookoutEquipment: __nccwpck_require__(21843),
  Nimble: __nccwpck_require__(89428),
  Finspace: __nccwpck_require__(3052),
  Finspacedata: __nccwpck_require__(96869),
  SSMContacts: __nccwpck_require__(12577),
  SSMIncidents: __nccwpck_require__(20590),
  ApplicationCostProfiler: __nccwpck_require__(20887),
  AppRunner: __nccwpck_require__(75589),
  Proton: __nccwpck_require__(9275),
  Route53RecoveryCluster: __nccwpck_require__(35738),
  Route53RecoveryControlConfig: __nccwpck_require__(16063),
  Route53RecoveryReadiness: __nccwpck_require__(79106),
  ChimeSDKIdentity: __nccwpck_require__(55975),
  ChimeSDKMessaging: __nccwpck_require__(25255),
  SnowDeviceManagement: __nccwpck_require__(64655),
  MemoryDB: __nccwpck_require__(50782),
  OpenSearch: __nccwpck_require__(60358),
  KafkaConnect: __nccwpck_require__(61879),
  VoiceID: __nccwpck_require__(28747),
  Wisdom: __nccwpck_require__(85266),
  Account: __nccwpck_require__(32400),
  CloudControl: __nccwpck_require__(25630),
  Grafana: __nccwpck_require__(51050),
  Panorama: __nccwpck_require__(20368),
  ChimeSDKMeetings: __nccwpck_require__(80788),
  Resiliencehub: __nccwpck_require__(21173),
  MigrationHubStrategy: __nccwpck_require__(96533),
  AppConfigData: __nccwpck_require__(45282),
  Drs: __nccwpck_require__(41116),
  MigrationHubRefactorSpaces: __nccwpck_require__(2925),
  Evidently: __nccwpck_require__(21440),
  Inspector2: __nccwpck_require__(98650),
  Rbin: __nccwpck_require__(70145),
  RUM: __nccwpck_require__(53237),
  BackupGateway: __nccwpck_require__(68277),
  IoTTwinMaker: __nccwpck_require__(65010),
  WorkSpacesWeb: __nccwpck_require__(94124),
  AmplifyUIBuilder: __nccwpck_require__(89937)
};

/***/ }),

/***/ 96881:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['amp'] = {};
AWS.Amp = Service.defineService('amp', ['2020-08-01']);
Object.defineProperty(apiLoader.services['amp'], '2020-08-01', {
  get: function get() {
    var model = __nccwpck_require__(78362);
    model.paginators = (__nccwpck_require__(75928)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(58239)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Amp;


/***/ }),

/***/ 38090:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['amplify'] = {};
AWS.Amplify = Service.defineService('amplify', ['2017-07-25']);
Object.defineProperty(apiLoader.services['amplify'], '2017-07-25', {
  get: function get() {
    var model = __nccwpck_require__(36813);
    model.paginators = (__nccwpck_require__(53733)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Amplify;


/***/ }),

/***/ 2806:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['amplifybackend'] = {};
AWS.AmplifyBackend = Service.defineService('amplifybackend', ['2020-08-11']);
Object.defineProperty(apiLoader.services['amplifybackend'], '2020-08-11', {
  get: function get() {
    var model = __nccwpck_require__(23939);
    model.paginators = (__nccwpck_require__(27232)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AmplifyBackend;


/***/ }),

/***/ 89937:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['amplifyuibuilder'] = {};
AWS.AmplifyUIBuilder = Service.defineService('amplifyuibuilder', ['2021-08-11']);
Object.defineProperty(apiLoader.services['amplifyuibuilder'], '2021-08-11', {
  get: function get() {
    var model = __nccwpck_require__(48987);
    model.paginators = (__nccwpck_require__(56072)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AmplifyUIBuilder;


/***/ }),

/***/ 91759:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['apigateway'] = {};
AWS.APIGateway = Service.defineService('apigateway', ['2015-07-09']);
__nccwpck_require__(4338);
Object.defineProperty(apiLoader.services['apigateway'], '2015-07-09', {
  get: function get() {
    var model = __nccwpck_require__(59463);
    model.paginators = (__nccwpck_require__(25878)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.APIGateway;


/***/ }),

/***/ 31762:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['apigatewaymanagementapi'] = {};
AWS.ApiGatewayManagementApi = Service.defineService('apigatewaymanagementapi', ['2018-11-29']);
Object.defineProperty(apiLoader.services['apigatewaymanagementapi'], '2018-11-29', {
  get: function get() {
    var model = __nccwpck_require__(57832);
    model.paginators = (__nccwpck_require__(2787)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ApiGatewayManagementApi;


/***/ }),

/***/ 44987:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['apigatewayv2'] = {};
AWS.ApiGatewayV2 = Service.defineService('apigatewayv2', ['2018-11-29']);
Object.defineProperty(apiLoader.services['apigatewayv2'], '2018-11-29', {
  get: function get() {
    var model = __nccwpck_require__(59326);
    model.paginators = (__nccwpck_require__(90171)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ApiGatewayV2;


/***/ }),

/***/ 78606:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['appconfig'] = {};
AWS.AppConfig = Service.defineService('appconfig', ['2019-10-09']);
Object.defineProperty(apiLoader.services['appconfig'], '2019-10-09', {
  get: function get() {
    var model = __nccwpck_require__(44701);
    model.paginators = (__nccwpck_require__(41789)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AppConfig;


/***/ }),

/***/ 45282:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['appconfigdata'] = {};
AWS.AppConfigData = Service.defineService('appconfigdata', ['2021-11-11']);
Object.defineProperty(apiLoader.services['appconfigdata'], '2021-11-11', {
  get: function get() {
    var model = __nccwpck_require__(86796);
    model.paginators = (__nccwpck_require__(48010)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AppConfigData;


/***/ }),

/***/ 60844:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['appflow'] = {};
AWS.Appflow = Service.defineService('appflow', ['2020-08-23']);
Object.defineProperty(apiLoader.services['appflow'], '2020-08-23', {
  get: function get() {
    var model = __nccwpck_require__(32840);
    model.paginators = (__nccwpck_require__(16916)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Appflow;


/***/ }),

/***/ 85479:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['appintegrations'] = {};
AWS.AppIntegrations = Service.defineService('appintegrations', ['2020-07-29']);
Object.defineProperty(apiLoader.services['appintegrations'], '2020-07-29', {
  get: function get() {
    var model = __nccwpck_require__(62033);
    model.paginators = (__nccwpck_require__(61866)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AppIntegrations;


/***/ }),

/***/ 25598:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['applicationautoscaling'] = {};
AWS.ApplicationAutoScaling = Service.defineService('applicationautoscaling', ['2016-02-06']);
Object.defineProperty(apiLoader.services['applicationautoscaling'], '2016-02-06', {
  get: function get() {
    var model = __nccwpck_require__(47320);
    model.paginators = (__nccwpck_require__(40322)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ApplicationAutoScaling;


/***/ }),

/***/ 20887:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['applicationcostprofiler'] = {};
AWS.ApplicationCostProfiler = Service.defineService('applicationcostprofiler', ['2020-09-10']);
Object.defineProperty(apiLoader.services['applicationcostprofiler'], '2020-09-10', {
  get: function get() {
    var model = __nccwpck_require__(96818);
    model.paginators = (__nccwpck_require__(41331)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ApplicationCostProfiler;


/***/ }),

/***/ 83972:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['applicationinsights'] = {};
AWS.ApplicationInsights = Service.defineService('applicationinsights', ['2018-11-25']);
Object.defineProperty(apiLoader.services['applicationinsights'], '2018-11-25', {
  get: function get() {
    var model = __nccwpck_require__(96143);
    model.paginators = (__nccwpck_require__(22242)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ApplicationInsights;


/***/ }),

/***/ 69226:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['appmesh'] = {};
AWS.AppMesh = Service.defineService('appmesh', ['2018-10-01', '2018-10-01*', '2019-01-25']);
Object.defineProperty(apiLoader.services['appmesh'], '2018-10-01', {
  get: function get() {
    var model = __nccwpck_require__(64780);
    model.paginators = (__nccwpck_require__(54936)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['appmesh'], '2019-01-25', {
  get: function get() {
    var model = __nccwpck_require__(78066);
    model.paginators = (__nccwpck_require__(37698)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AppMesh;


/***/ }),

/***/ 75589:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['apprunner'] = {};
AWS.AppRunner = Service.defineService('apprunner', ['2020-05-15']);
Object.defineProperty(apiLoader.services['apprunner'], '2020-05-15', {
  get: function get() {
    var model = __nccwpck_require__(30036);
    model.paginators = (__nccwpck_require__(50293)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AppRunner;


/***/ }),

/***/ 21730:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['appstream'] = {};
AWS.AppStream = Service.defineService('appstream', ['2016-12-01']);
Object.defineProperty(apiLoader.services['appstream'], '2016-12-01', {
  get: function get() {
    var model = __nccwpck_require__(85538);
    model.paginators = (__nccwpck_require__(32191)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(21134)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AppStream;


/***/ }),

/***/ 12402:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['appsync'] = {};
AWS.AppSync = Service.defineService('appsync', ['2017-07-25']);
Object.defineProperty(apiLoader.services['appsync'], '2017-07-25', {
  get: function get() {
    var model = __nccwpck_require__(94937);
    model.paginators = (__nccwpck_require__(50233)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AppSync;


/***/ }),

/***/ 29434:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['athena'] = {};
AWS.Athena = Service.defineService('athena', ['2017-05-18']);
Object.defineProperty(apiLoader.services['athena'], '2017-05-18', {
  get: function get() {
    var model = __nccwpck_require__(28680);
    model.paginators = (__nccwpck_require__(44417)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Athena;


/***/ }),

/***/ 20472:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['auditmanager'] = {};
AWS.AuditManager = Service.defineService('auditmanager', ['2017-07-25']);
Object.defineProperty(apiLoader.services['auditmanager'], '2017-07-25', {
  get: function get() {
    var model = __nccwpck_require__(41672);
    model.paginators = (__nccwpck_require__(41321)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AuditManager;


/***/ }),

/***/ 33960:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['augmentedairuntime'] = {};
AWS.AugmentedAIRuntime = Service.defineService('augmentedairuntime', ['2019-11-07']);
Object.defineProperty(apiLoader.services['augmentedairuntime'], '2019-11-07', {
  get: function get() {
    var model = __nccwpck_require__(57704);
    model.paginators = (__nccwpck_require__(13201)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AugmentedAIRuntime;


/***/ }),

/***/ 31652:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['autoscaling'] = {};
AWS.AutoScaling = Service.defineService('autoscaling', ['2011-01-01']);
Object.defineProperty(apiLoader.services['autoscaling'], '2011-01-01', {
  get: function get() {
    var model = __nccwpck_require__(55394);
    model.paginators = (__nccwpck_require__(81436)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AutoScaling;


/***/ }),

/***/ 2554:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['autoscalingplans'] = {};
AWS.AutoScalingPlans = Service.defineService('autoscalingplans', ['2018-01-06']);
Object.defineProperty(apiLoader.services['autoscalingplans'], '2018-01-06', {
  get: function get() {
    var model = __nccwpck_require__(53216);
    model.paginators = (__nccwpck_require__(64985)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.AutoScalingPlans;


/***/ }),

/***/ 82455:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['backup'] = {};
AWS.Backup = Service.defineService('backup', ['2018-11-15']);
Object.defineProperty(apiLoader.services['backup'], '2018-11-15', {
  get: function get() {
    var model = __nccwpck_require__(77990);
    model.paginators = (__nccwpck_require__(54869)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Backup;


/***/ }),

/***/ 68277:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['backupgateway'] = {};
AWS.BackupGateway = Service.defineService('backupgateway', ['2021-01-01']);
Object.defineProperty(apiLoader.services['backupgateway'], '2021-01-01', {
  get: function get() {
    var model = __nccwpck_require__(96863);
    model.paginators = (__nccwpck_require__(34946)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.BackupGateway;


/***/ }),

/***/ 10000:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['batch'] = {};
AWS.Batch = Service.defineService('batch', ['2016-08-10']);
Object.defineProperty(apiLoader.services['batch'], '2016-08-10', {
  get: function get() {
    var model = __nccwpck_require__(12617);
    model.paginators = (__nccwpck_require__(36988)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Batch;


/***/ }),

/***/ 35429:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['braket'] = {};
AWS.Braket = Service.defineService('braket', ['2019-09-01']);
Object.defineProperty(apiLoader.services['braket'], '2019-09-01', {
  get: function get() {
    var model = __nccwpck_require__(23332);
    model.paginators = (__nccwpck_require__(15732)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Braket;


/***/ }),

/***/ 43923:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['budgets'] = {};
AWS.Budgets = Service.defineService('budgets', ['2016-10-20']);
Object.defineProperty(apiLoader.services['budgets'], '2016-10-20', {
  get: function get() {
    var model = __nccwpck_require__(11978);
    model.paginators = (__nccwpck_require__(23694)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Budgets;


/***/ }),

/***/ 84646:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['chime'] = {};
AWS.Chime = Service.defineService('chime', ['2018-05-01']);
Object.defineProperty(apiLoader.services['chime'], '2018-05-01', {
  get: function get() {
    var model = __nccwpck_require__(44811);
    model.paginators = (__nccwpck_require__(31890)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Chime;


/***/ }),

/***/ 55975:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['chimesdkidentity'] = {};
AWS.ChimeSDKIdentity = Service.defineService('chimesdkidentity', ['2021-04-20']);
Object.defineProperty(apiLoader.services['chimesdkidentity'], '2021-04-20', {
  get: function get() {
    var model = __nccwpck_require__(97402);
    model.paginators = (__nccwpck_require__(133)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ChimeSDKIdentity;


/***/ }),

/***/ 80788:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['chimesdkmeetings'] = {};
AWS.ChimeSDKMeetings = Service.defineService('chimesdkmeetings', ['2021-07-15']);
Object.defineProperty(apiLoader.services['chimesdkmeetings'], '2021-07-15', {
  get: function get() {
    var model = __nccwpck_require__(17090);
    model.paginators = (__nccwpck_require__(70582)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ChimeSDKMeetings;


/***/ }),

/***/ 25255:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['chimesdkmessaging'] = {};
AWS.ChimeSDKMessaging = Service.defineService('chimesdkmessaging', ['2021-05-15']);
Object.defineProperty(apiLoader.services['chimesdkmessaging'], '2021-05-15', {
  get: function get() {
    var model = __nccwpck_require__(52239);
    model.paginators = (__nccwpck_require__(60807)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ChimeSDKMessaging;


/***/ }),

/***/ 85473:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cloud9'] = {};
AWS.Cloud9 = Service.defineService('cloud9', ['2017-09-23']);
Object.defineProperty(apiLoader.services['cloud9'], '2017-09-23', {
  get: function get() {
    var model = __nccwpck_require__(82981);
    model.paginators = (__nccwpck_require__(9313)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Cloud9;


/***/ }),

/***/ 25630:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cloudcontrol'] = {};
AWS.CloudControl = Service.defineService('cloudcontrol', ['2021-09-30']);
Object.defineProperty(apiLoader.services['cloudcontrol'], '2021-09-30', {
  get: function get() {
    var model = __nccwpck_require__(24689);
    model.paginators = (__nccwpck_require__(16041)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(31933)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CloudControl;


/***/ }),

/***/ 56231:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['clouddirectory'] = {};
AWS.CloudDirectory = Service.defineService('clouddirectory', ['2016-05-10', '2016-05-10*', '2017-01-11']);
Object.defineProperty(apiLoader.services['clouddirectory'], '2016-05-10', {
  get: function get() {
    var model = __nccwpck_require__(72862);
    model.paginators = (__nccwpck_require__(87597)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['clouddirectory'], '2017-01-11', {
  get: function get() {
    var model = __nccwpck_require__(88729);
    model.paginators = (__nccwpck_require__(10156)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CloudDirectory;


/***/ }),

/***/ 74643:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cloudformation'] = {};
AWS.CloudFormation = Service.defineService('cloudformation', ['2010-05-15']);
Object.defineProperty(apiLoader.services['cloudformation'], '2010-05-15', {
  get: function get() {
    var model = __nccwpck_require__(31930);
    model.paginators = (__nccwpck_require__(10611)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(53732)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CloudFormation;


/***/ }),

/***/ 48058:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cloudfront'] = {};
AWS.CloudFront = Service.defineService('cloudfront', ['2013-05-12*', '2013-11-11*', '2014-05-31*', '2014-10-21*', '2014-11-06*', '2015-04-17*', '2015-07-27*', '2015-09-17*', '2016-01-13*', '2016-01-28*', '2016-08-01*', '2016-08-20*', '2016-09-07*', '2016-09-29*', '2016-11-25', '2016-11-25*', '2017-03-25', '2017-03-25*', '2017-10-30', '2017-10-30*', '2018-06-18', '2018-06-18*', '2018-11-05', '2018-11-05*', '2019-03-26', '2019-03-26*', '2020-05-31']);
__nccwpck_require__(95483);
Object.defineProperty(apiLoader.services['cloudfront'], '2016-11-25', {
  get: function get() {
    var model = __nccwpck_require__(64908);
    model.paginators = (__nccwpck_require__(57305)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(71106)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['cloudfront'], '2017-03-25', {
  get: function get() {
    var model = __nccwpck_require__(76944);
    model.paginators = (__nccwpck_require__(83654)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(83406)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['cloudfront'], '2017-10-30', {
  get: function get() {
    var model = __nccwpck_require__(80198);
    model.paginators = (__nccwpck_require__(52915)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(13399)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['cloudfront'], '2018-06-18', {
  get: function get() {
    var model = __nccwpck_require__(29549);
    model.paginators = (__nccwpck_require__(7805)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(2353)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['cloudfront'], '2018-11-05', {
  get: function get() {
    var model = __nccwpck_require__(22253);
    model.paginators = (__nccwpck_require__(29533)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(36883)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['cloudfront'], '2019-03-26', {
  get: function get() {
    var model = __nccwpck_require__(29574);
    model.paginators = (__nccwpck_require__(35556)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(97142)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['cloudfront'], '2020-05-31', {
  get: function get() {
    var model = __nccwpck_require__(66310);
    model.paginators = (__nccwpck_require__(48335)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(83517)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CloudFront;


/***/ }),

/***/ 59976:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cloudhsm'] = {};
AWS.CloudHSM = Service.defineService('cloudhsm', ['2014-05-30']);
Object.defineProperty(apiLoader.services['cloudhsm'], '2014-05-30', {
  get: function get() {
    var model = __nccwpck_require__(18637);
    model.paginators = (__nccwpck_require__(18988)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CloudHSM;


/***/ }),

/***/ 70889:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cloudhsmv2'] = {};
AWS.CloudHSMV2 = Service.defineService('cloudhsmv2', ['2017-04-28']);
Object.defineProperty(apiLoader.services['cloudhsmv2'], '2017-04-28', {
  get: function get() {
    var model = __nccwpck_require__(90554);
    model.paginators = (__nccwpck_require__(77334)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CloudHSMV2;


/***/ }),

/***/ 72321:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cloudsearch'] = {};
AWS.CloudSearch = Service.defineService('cloudsearch', ['2011-02-01', '2013-01-01']);
Object.defineProperty(apiLoader.services['cloudsearch'], '2011-02-01', {
  get: function get() {
    var model = __nccwpck_require__(11732);
    model.paginators = (__nccwpck_require__(51357)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['cloudsearch'], '2013-01-01', {
  get: function get() {
    var model = __nccwpck_require__(56880);
    model.paginators = (__nccwpck_require__(81127)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CloudSearch;


/***/ }),

/***/ 64072:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cloudsearchdomain'] = {};
AWS.CloudSearchDomain = Service.defineService('cloudsearchdomain', ['2013-01-01']);
__nccwpck_require__(48571);
Object.defineProperty(apiLoader.services['cloudsearchdomain'], '2013-01-01', {
  get: function get() {
    var model = __nccwpck_require__(78255);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CloudSearchDomain;


/***/ }),

/***/ 65512:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cloudtrail'] = {};
AWS.CloudTrail = Service.defineService('cloudtrail', ['2013-11-01']);
Object.defineProperty(apiLoader.services['cloudtrail'], '2013-11-01', {
  get: function get() {
    var model = __nccwpck_require__(11506);
    model.paginators = (__nccwpck_require__(27523)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CloudTrail;


/***/ }),

/***/ 6763:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cloudwatch'] = {};
AWS.CloudWatch = Service.defineService('cloudwatch', ['2010-08-01']);
Object.defineProperty(apiLoader.services['cloudwatch'], '2010-08-01', {
  get: function get() {
    var model = __nccwpck_require__(16363);
    model.paginators = (__nccwpck_require__(46675)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(21466)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CloudWatch;


/***/ }),

/***/ 38124:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cloudwatchevents'] = {};
AWS.CloudWatchEvents = Service.defineService('cloudwatchevents', ['2014-02-03*', '2015-10-07']);
Object.defineProperty(apiLoader.services['cloudwatchevents'], '2015-10-07', {
  get: function get() {
    var model = __nccwpck_require__(40299);
    model.paginators = (__nccwpck_require__(54031)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CloudWatchEvents;


/***/ }),

/***/ 96693:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cloudwatchlogs'] = {};
AWS.CloudWatchLogs = Service.defineService('cloudwatchlogs', ['2014-03-28']);
Object.defineProperty(apiLoader.services['cloudwatchlogs'], '2014-03-28', {
  get: function get() {
    var model = __nccwpck_require__(73044);
    model.paginators = (__nccwpck_require__(15472)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CloudWatchLogs;


/***/ }),

/***/ 91983:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['codeartifact'] = {};
AWS.CodeArtifact = Service.defineService('codeartifact', ['2018-09-22']);
Object.defineProperty(apiLoader.services['codeartifact'], '2018-09-22', {
  get: function get() {
    var model = __nccwpck_require__(87923);
    model.paginators = (__nccwpck_require__(40983)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CodeArtifact;


/***/ }),

/***/ 60450:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['codebuild'] = {};
AWS.CodeBuild = Service.defineService('codebuild', ['2016-10-06']);
Object.defineProperty(apiLoader.services['codebuild'], '2016-10-06', {
  get: function get() {
    var model = __nccwpck_require__(40893);
    model.paginators = (__nccwpck_require__(23010)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CodeBuild;


/***/ }),

/***/ 71323:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['codecommit'] = {};
AWS.CodeCommit = Service.defineService('codecommit', ['2015-04-13']);
Object.defineProperty(apiLoader.services['codecommit'], '2015-04-13', {
  get: function get() {
    var model = __nccwpck_require__(57144);
    model.paginators = (__nccwpck_require__(62599)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CodeCommit;


/***/ }),

/***/ 54599:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['codedeploy'] = {};
AWS.CodeDeploy = Service.defineService('codedeploy', ['2014-10-06']);
Object.defineProperty(apiLoader.services['codedeploy'], '2014-10-06', {
  get: function get() {
    var model = __nccwpck_require__(10967);
    model.paginators = (__nccwpck_require__(1917)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(52416)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CodeDeploy;


/***/ }),

/***/ 65704:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['codeguruprofiler'] = {};
AWS.CodeGuruProfiler = Service.defineService('codeguruprofiler', ['2019-07-18']);
Object.defineProperty(apiLoader.services['codeguruprofiler'], '2019-07-18', {
  get: function get() {
    var model = __nccwpck_require__(34890);
    model.paginators = (__nccwpck_require__(25274)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CodeGuruProfiler;


/***/ }),

/***/ 60070:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['codegurureviewer'] = {};
AWS.CodeGuruReviewer = Service.defineService('codegurureviewer', ['2019-09-19']);
Object.defineProperty(apiLoader.services['codegurureviewer'], '2019-09-19', {
  get: function get() {
    var model = __nccwpck_require__(66739);
    model.paginators = (__nccwpck_require__(37775)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(69276)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CodeGuruReviewer;


/***/ }),

/***/ 22938:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['codepipeline'] = {};
AWS.CodePipeline = Service.defineService('codepipeline', ['2015-07-09']);
Object.defineProperty(apiLoader.services['codepipeline'], '2015-07-09', {
  get: function get() {
    var model = __nccwpck_require__(4039);
    model.paginators = (__nccwpck_require__(78953)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CodePipeline;


/***/ }),

/***/ 98336:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['codestar'] = {};
AWS.CodeStar = Service.defineService('codestar', ['2017-04-19']);
Object.defineProperty(apiLoader.services['codestar'], '2017-04-19', {
  get: function get() {
    var model = __nccwpck_require__(12425);
    model.paginators = (__nccwpck_require__(70046)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CodeStar;


/***/ }),

/***/ 78270:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['codestarconnections'] = {};
AWS.CodeStarconnections = Service.defineService('codestarconnections', ['2019-12-01']);
Object.defineProperty(apiLoader.services['codestarconnections'], '2019-12-01', {
  get: function get() {
    var model = __nccwpck_require__(88428);
    model.paginators = (__nccwpck_require__(31506)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CodeStarconnections;


/***/ }),

/***/ 15141:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['codestarnotifications'] = {};
AWS.CodeStarNotifications = Service.defineService('codestarnotifications', ['2019-10-15']);
Object.defineProperty(apiLoader.services['codestarnotifications'], '2019-10-15', {
  get: function get() {
    var model = __nccwpck_require__(33362);
    model.paginators = (__nccwpck_require__(44301)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CodeStarNotifications;


/***/ }),

/***/ 58291:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cognitoidentity'] = {};
AWS.CognitoIdentity = Service.defineService('cognitoidentity', ['2014-06-30']);
Object.defineProperty(apiLoader.services['cognitoidentity'], '2014-06-30', {
  get: function get() {
    var model = __nccwpck_require__(57377);
    model.paginators = (__nccwpck_require__(85010)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CognitoIdentity;


/***/ }),

/***/ 31379:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cognitoidentityserviceprovider'] = {};
AWS.CognitoIdentityServiceProvider = Service.defineService('cognitoidentityserviceprovider', ['2016-04-18']);
Object.defineProperty(apiLoader.services['cognitoidentityserviceprovider'], '2016-04-18', {
  get: function get() {
    var model = __nccwpck_require__(53166);
    model.paginators = (__nccwpck_require__(17149)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CognitoIdentityServiceProvider;


/***/ }),

/***/ 74770:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cognitosync'] = {};
AWS.CognitoSync = Service.defineService('cognitosync', ['2014-06-30']);
Object.defineProperty(apiLoader.services['cognitosync'], '2014-06-30', {
  get: function get() {
    var model = __nccwpck_require__(29128);
    model.paginators = (__nccwpck_require__(5865)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CognitoSync;


/***/ }),

/***/ 62878:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['comprehend'] = {};
AWS.Comprehend = Service.defineService('comprehend', ['2017-11-27']);
Object.defineProperty(apiLoader.services['comprehend'], '2017-11-27', {
  get: function get() {
    var model = __nccwpck_require__(24433);
    model.paginators = (__nccwpck_require__(82518)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Comprehend;


/***/ }),

/***/ 32349:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['comprehendmedical'] = {};
AWS.ComprehendMedical = Service.defineService('comprehendmedical', ['2018-10-30']);
Object.defineProperty(apiLoader.services['comprehendmedical'], '2018-10-30', {
  get: function get() {
    var model = __nccwpck_require__(96649);
    model.paginators = (__nccwpck_require__(43172)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ComprehendMedical;


/***/ }),

/***/ 64459:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['computeoptimizer'] = {};
AWS.ComputeOptimizer = Service.defineService('computeoptimizer', ['2019-11-01']);
Object.defineProperty(apiLoader.services['computeoptimizer'], '2019-11-01', {
  get: function get() {
    var model = __nccwpck_require__(85802);
    model.paginators = (__nccwpck_require__(6831)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ComputeOptimizer;


/***/ }),

/***/ 34061:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['configservice'] = {};
AWS.ConfigService = Service.defineService('configservice', ['2014-11-12']);
Object.defineProperty(apiLoader.services['configservice'], '2014-11-12', {
  get: function get() {
    var model = __nccwpck_require__(47124);
    model.paginators = (__nccwpck_require__(85980)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ConfigService;


/***/ }),

/***/ 13879:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['connect'] = {};
AWS.Connect = Service.defineService('connect', ['2017-08-08']);
Object.defineProperty(apiLoader.services['connect'], '2017-08-08', {
  get: function get() {
    var model = __nccwpck_require__(54511);
    model.paginators = (__nccwpck_require__(19742)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Connect;


/***/ }),

/***/ 41847:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['connectcontactlens'] = {};
AWS.ConnectContactLens = Service.defineService('connectcontactlens', ['2020-08-21']);
Object.defineProperty(apiLoader.services['connectcontactlens'], '2020-08-21', {
  get: function get() {
    var model = __nccwpck_require__(16527);
    model.paginators = (__nccwpck_require__(76658)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ConnectContactLens;


/***/ }),

/***/ 94198:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['connectparticipant'] = {};
AWS.ConnectParticipant = Service.defineService('connectparticipant', ['2018-09-07']);
Object.defineProperty(apiLoader.services['connectparticipant'], '2018-09-07', {
  get: function get() {
    var model = __nccwpck_require__(70132);
    model.paginators = (__nccwpck_require__(29947)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ConnectParticipant;


/***/ }),

/***/ 79523:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['costexplorer'] = {};
AWS.CostExplorer = Service.defineService('costexplorer', ['2017-10-25']);
Object.defineProperty(apiLoader.services['costexplorer'], '2017-10-25', {
  get: function get() {
    var model = __nccwpck_require__(4060);
    model.paginators = (__nccwpck_require__(75642)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CostExplorer;


/***/ }),

/***/ 5026:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['cur'] = {};
AWS.CUR = Service.defineService('cur', ['2017-01-06']);
Object.defineProperty(apiLoader.services['cur'], '2017-01-06', {
  get: function get() {
    var model = __nccwpck_require__(46858);
    model.paginators = (__nccwpck_require__(40528)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CUR;


/***/ }),

/***/ 28379:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['customerprofiles'] = {};
AWS.CustomerProfiles = Service.defineService('customerprofiles', ['2020-08-15']);
Object.defineProperty(apiLoader.services['customerprofiles'], '2020-08-15', {
  get: function get() {
    var model = __nccwpck_require__(56793);
    model.paginators = (__nccwpck_require__(53892)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.CustomerProfiles;


/***/ }),

/***/ 35846:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['databrew'] = {};
AWS.DataBrew = Service.defineService('databrew', ['2017-07-25']);
Object.defineProperty(apiLoader.services['databrew'], '2017-07-25', {
  get: function get() {
    var model = __nccwpck_require__(96089);
    model.paginators = (__nccwpck_require__(92224)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DataBrew;


/***/ }),

/***/ 11024:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['dataexchange'] = {};
AWS.DataExchange = Service.defineService('dataexchange', ['2017-07-25']);
Object.defineProperty(apiLoader.services['dataexchange'], '2017-07-25', {
  get: function get() {
    var model = __nccwpck_require__(42346);
    model.paginators = (__nccwpck_require__(55607)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DataExchange;


/***/ }),

/***/ 65688:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['datapipeline'] = {};
AWS.DataPipeline = Service.defineService('datapipeline', ['2012-10-29']);
Object.defineProperty(apiLoader.services['datapipeline'], '2012-10-29', {
  get: function get() {
    var model = __nccwpck_require__(79908);
    model.paginators = (__nccwpck_require__(89659)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DataPipeline;


/***/ }),

/***/ 25308:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['datasync'] = {};
AWS.DataSync = Service.defineService('datasync', ['2018-11-09']);
Object.defineProperty(apiLoader.services['datasync'], '2018-11-09', {
  get: function get() {
    var model = __nccwpck_require__(93640);
    model.paginators = (__nccwpck_require__(80063)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DataSync;


/***/ }),

/***/ 71398:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['dax'] = {};
AWS.DAX = Service.defineService('dax', ['2017-04-19']);
Object.defineProperty(apiLoader.services['dax'], '2017-04-19', {
  get: function get() {
    var model = __nccwpck_require__(24709);
    model.paginators = (__nccwpck_require__(87564)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DAX;


/***/ }),

/***/ 60674:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['detective'] = {};
AWS.Detective = Service.defineService('detective', ['2018-10-26']);
Object.defineProperty(apiLoader.services['detective'], '2018-10-26', {
  get: function get() {
    var model = __nccwpck_require__(25236);
    model.paginators = (__nccwpck_require__(46384)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Detective;


/***/ }),

/***/ 26272:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['devicefarm'] = {};
AWS.DeviceFarm = Service.defineService('devicefarm', ['2015-06-23']);
Object.defineProperty(apiLoader.services['devicefarm'], '2015-06-23', {
  get: function get() {
    var model = __nccwpck_require__(34023);
    model.paginators = (__nccwpck_require__(37161)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DeviceFarm;


/***/ }),

/***/ 90673:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['devopsguru'] = {};
AWS.DevOpsGuru = Service.defineService('devopsguru', ['2020-12-01']);
Object.defineProperty(apiLoader.services['devopsguru'], '2020-12-01', {
  get: function get() {
    var model = __nccwpck_require__(36592);
    model.paginators = (__nccwpck_require__(95551)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DevOpsGuru;


/***/ }),

/***/ 73783:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['directconnect'] = {};
AWS.DirectConnect = Service.defineService('directconnect', ['2012-10-25']);
Object.defineProperty(apiLoader.services['directconnect'], '2012-10-25', {
  get: function get() {
    var model = __nccwpck_require__(45125);
    model.paginators = (__nccwpck_require__(26404)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DirectConnect;


/***/ }),

/***/ 83908:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['directoryservice'] = {};
AWS.DirectoryService = Service.defineService('directoryservice', ['2015-04-16']);
Object.defineProperty(apiLoader.services['directoryservice'], '2015-04-16', {
  get: function get() {
    var model = __nccwpck_require__(47357);
    model.paginators = (__nccwpck_require__(93412)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DirectoryService;


/***/ }),

/***/ 81690:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['discovery'] = {};
AWS.Discovery = Service.defineService('discovery', ['2015-11-01']);
Object.defineProperty(apiLoader.services['discovery'], '2015-11-01', {
  get: function get() {
    var model = __nccwpck_require__(68951);
    model.paginators = (__nccwpck_require__(19822)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Discovery;


/***/ }),

/***/ 24958:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['dlm'] = {};
AWS.DLM = Service.defineService('dlm', ['2018-01-12']);
Object.defineProperty(apiLoader.services['dlm'], '2018-01-12', {
  get: function get() {
    var model = __nccwpck_require__(75485);
    model.paginators = (__nccwpck_require__(98881)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DLM;


/***/ }),

/***/ 99599:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['dms'] = {};
AWS.DMS = Service.defineService('dms', ['2016-01-01']);
Object.defineProperty(apiLoader.services['dms'], '2016-01-01', {
  get: function get() {
    var model = __nccwpck_require__(77953);
    model.paginators = (__nccwpck_require__(36772)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(3500)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DMS;


/***/ }),

/***/ 55129:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['docdb'] = {};
AWS.DocDB = Service.defineService('docdb', ['2014-10-31']);
__nccwpck_require__(59050);
Object.defineProperty(apiLoader.services['docdb'], '2014-10-31', {
  get: function get() {
    var model = __nccwpck_require__(4932);
    model.paginators = (__nccwpck_require__(41408)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(36607)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DocDB;


/***/ }),

/***/ 41116:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['drs'] = {};
AWS.Drs = Service.defineService('drs', ['2020-02-26']);
Object.defineProperty(apiLoader.services['drs'], '2020-02-26', {
  get: function get() {
    var model = __nccwpck_require__(42548);
    model.paginators = (__nccwpck_require__(44057)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Drs;


/***/ }),

/***/ 14347:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['dynamodb'] = {};
AWS.DynamoDB = Service.defineService('dynamodb', ['2011-12-05', '2012-08-10']);
__nccwpck_require__(17101);
Object.defineProperty(apiLoader.services['dynamodb'], '2011-12-05', {
  get: function get() {
    var model = __nccwpck_require__(46148);
    model.paginators = (__nccwpck_require__(86884)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(24864)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['dynamodb'], '2012-08-10', {
  get: function get() {
    var model = __nccwpck_require__(54047);
    model.paginators = (__nccwpck_require__(30482)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(48411)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DynamoDB;


/***/ }),

/***/ 88090:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['dynamodbstreams'] = {};
AWS.DynamoDBStreams = Service.defineService('dynamodbstreams', ['2012-08-10']);
Object.defineProperty(apiLoader.services['dynamodbstreams'], '2012-08-10', {
  get: function get() {
    var model = __nccwpck_require__(26098);
    model.paginators = (__nccwpck_require__(40549)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.DynamoDBStreams;


/***/ }),

/***/ 62837:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ebs'] = {};
AWS.EBS = Service.defineService('ebs', ['2019-11-02']);
Object.defineProperty(apiLoader.services['ebs'], '2019-11-02', {
  get: function get() {
    var model = __nccwpck_require__(72220);
    model.paginators = (__nccwpck_require__(85366)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.EBS;


/***/ }),

/***/ 7778:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ec2'] = {};
AWS.EC2 = Service.defineService('ec2', ['2013-06-15*', '2013-10-15*', '2014-02-01*', '2014-05-01*', '2014-06-15*', '2014-09-01*', '2014-10-01*', '2015-03-01*', '2015-04-15*', '2015-10-01*', '2016-04-01*', '2016-09-15*', '2016-11-15']);
__nccwpck_require__(92501);
Object.defineProperty(apiLoader.services['ec2'], '2016-11-15', {
  get: function get() {
    var model = __nccwpck_require__(2658);
    model.paginators = (__nccwpck_require__(82477)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(19153)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.EC2;


/***/ }),

/***/ 92209:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ec2instanceconnect'] = {};
AWS.EC2InstanceConnect = Service.defineService('ec2instanceconnect', ['2018-04-02']);
Object.defineProperty(apiLoader.services['ec2instanceconnect'], '2018-04-02', {
  get: function get() {
    var model = __nccwpck_require__(36007);
    model.paginators = (__nccwpck_require__(38333)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.EC2InstanceConnect;


/***/ }),

/***/ 15211:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ecr'] = {};
AWS.ECR = Service.defineService('ecr', ['2015-09-21']);
Object.defineProperty(apiLoader.services['ecr'], '2015-09-21', {
  get: function get() {
    var model = __nccwpck_require__(92405);
    model.paginators = (__nccwpck_require__(25504)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(78925)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ECR;


/***/ }),

/***/ 90244:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ecrpublic'] = {};
AWS.ECRPUBLIC = Service.defineService('ecrpublic', ['2020-10-30']);
Object.defineProperty(apiLoader.services['ecrpublic'], '2020-10-30', {
  get: function get() {
    var model = __nccwpck_require__(9668);
    model.paginators = (__nccwpck_require__(81193)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ECRPUBLIC;


/***/ }),

/***/ 16615:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ecs'] = {};
AWS.ECS = Service.defineService('ecs', ['2014-11-13']);
Object.defineProperty(apiLoader.services['ecs'], '2014-11-13', {
  get: function get() {
    var model = __nccwpck_require__(44208);
    model.paginators = (__nccwpck_require__(15738)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(1299)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ECS;


/***/ }),

/***/ 34375:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['efs'] = {};
AWS.EFS = Service.defineService('efs', ['2015-02-01']);
Object.defineProperty(apiLoader.services['efs'], '2015-02-01', {
  get: function get() {
    var model = __nccwpck_require__(54784);
    model.paginators = (__nccwpck_require__(40174)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.EFS;


/***/ }),

/***/ 23337:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['eks'] = {};
AWS.EKS = Service.defineService('eks', ['2017-11-01']);
Object.defineProperty(apiLoader.services['eks'], '2017-11-01', {
  get: function get() {
    var model = __nccwpck_require__(51370);
    model.paginators = (__nccwpck_require__(36490)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(88058)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.EKS;


/***/ }),

/***/ 81065:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['elasticache'] = {};
AWS.ElastiCache = Service.defineService('elasticache', ['2012-11-15*', '2014-03-24*', '2014-07-15*', '2014-09-30*', '2015-02-02']);
Object.defineProperty(apiLoader.services['elasticache'], '2015-02-02', {
  get: function get() {
    var model = __nccwpck_require__(58426);
    model.paginators = (__nccwpck_require__(79559)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(29787)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ElastiCache;


/***/ }),

/***/ 14897:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['elasticbeanstalk'] = {};
AWS.ElasticBeanstalk = Service.defineService('elasticbeanstalk', ['2010-12-01']);
Object.defineProperty(apiLoader.services['elasticbeanstalk'], '2010-12-01', {
  get: function get() {
    var model = __nccwpck_require__(72508);
    model.paginators = (__nccwpck_require__(72305)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(62534)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ElasticBeanstalk;


/***/ }),

/***/ 37708:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['elasticinference'] = {};
AWS.ElasticInference = Service.defineService('elasticinference', ['2017-07-25']);
Object.defineProperty(apiLoader.services['elasticinference'], '2017-07-25', {
  get: function get() {
    var model = __nccwpck_require__(83967);
    model.paginators = (__nccwpck_require__(64906)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ElasticInference;


/***/ }),

/***/ 40745:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['elastictranscoder'] = {};
AWS.ElasticTranscoder = Service.defineService('elastictranscoder', ['2012-09-25']);
Object.defineProperty(apiLoader.services['elastictranscoder'], '2012-09-25', {
  get: function get() {
    var model = __nccwpck_require__(23463);
    model.paginators = (__nccwpck_require__(36121)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(59345)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ElasticTranscoder;


/***/ }),

/***/ 10907:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['elb'] = {};
AWS.ELB = Service.defineService('elb', ['2012-06-01']);
Object.defineProperty(apiLoader.services['elb'], '2012-06-01', {
  get: function get() {
    var model = __nccwpck_require__(66258);
    model.paginators = (__nccwpck_require__(77372)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(56717)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ELB;


/***/ }),

/***/ 44311:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['elbv2'] = {};
AWS.ELBv2 = Service.defineService('elbv2', ['2015-12-01']);
Object.defineProperty(apiLoader.services['elbv2'], '2015-12-01', {
  get: function get() {
    var model = __nccwpck_require__(42628);
    model.paginators = (__nccwpck_require__(12274)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(56106)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ELBv2;


/***/ }),

/***/ 50470:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['emr'] = {};
AWS.EMR = Service.defineService('emr', ['2009-03-31']);
Object.defineProperty(apiLoader.services['emr'], '2009-03-31', {
  get: function get() {
    var model = __nccwpck_require__(91298);
    model.paginators = (__nccwpck_require__(62965)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(86792)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.EMR;


/***/ }),

/***/ 49984:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['emrcontainers'] = {};
AWS.EMRcontainers = Service.defineService('emrcontainers', ['2020-10-01']);
Object.defineProperty(apiLoader.services['emrcontainers'], '2020-10-01', {
  get: function get() {
    var model = __nccwpck_require__(33922);
    model.paginators = (__nccwpck_require__(87789)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.EMRcontainers;


/***/ }),

/***/ 84462:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['es'] = {};
AWS.ES = Service.defineService('es', ['2015-01-01']);
Object.defineProperty(apiLoader.services['es'], '2015-01-01', {
  get: function get() {
    var model = __nccwpck_require__(33943);
    model.paginators = (__nccwpck_require__(78836)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ES;


/***/ }),

/***/ 898:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['eventbridge'] = {};
AWS.EventBridge = Service.defineService('eventbridge', ['2015-10-07']);
Object.defineProperty(apiLoader.services['eventbridge'], '2015-10-07', {
  get: function get() {
    var model = __nccwpck_require__(9659);
    model.paginators = (__nccwpck_require__(10871)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.EventBridge;


/***/ }),

/***/ 21440:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['evidently'] = {};
AWS.Evidently = Service.defineService('evidently', ['2021-02-01']);
Object.defineProperty(apiLoader.services['evidently'], '2021-02-01', {
  get: function get() {
    var model = __nccwpck_require__(41971);
    model.paginators = (__nccwpck_require__(72960)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Evidently;


/***/ }),

/***/ 3052:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['finspace'] = {};
AWS.Finspace = Service.defineService('finspace', ['2021-03-12']);
Object.defineProperty(apiLoader.services['finspace'], '2021-03-12', {
  get: function get() {
    var model = __nccwpck_require__(37836);
    model.paginators = (__nccwpck_require__(7328)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Finspace;


/***/ }),

/***/ 96869:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['finspacedata'] = {};
AWS.Finspacedata = Service.defineService('finspacedata', ['2020-07-13']);
Object.defineProperty(apiLoader.services['finspacedata'], '2020-07-13', {
  get: function get() {
    var model = __nccwpck_require__(83394);
    model.paginators = (__nccwpck_require__(70371)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Finspacedata;


/***/ }),

/***/ 92831:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['firehose'] = {};
AWS.Firehose = Service.defineService('firehose', ['2015-08-04']);
Object.defineProperty(apiLoader.services['firehose'], '2015-08-04', {
  get: function get() {
    var model = __nccwpck_require__(48886);
    model.paginators = (__nccwpck_require__(47400)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Firehose;


/***/ }),

/***/ 73003:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['fis'] = {};
AWS.Fis = Service.defineService('fis', ['2020-12-01']);
Object.defineProperty(apiLoader.services['fis'], '2020-12-01', {
  get: function get() {
    var model = __nccwpck_require__(98356);
    model.paginators = (__nccwpck_require__(6544)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Fis;


/***/ }),

/***/ 11316:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['fms'] = {};
AWS.FMS = Service.defineService('fms', ['2018-01-01']);
Object.defineProperty(apiLoader.services['fms'], '2018-01-01', {
  get: function get() {
    var model = __nccwpck_require__(22212);
    model.paginators = (__nccwpck_require__(49570)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.FMS;


/***/ }),

/***/ 36822:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['forecastqueryservice'] = {};
AWS.ForecastQueryService = Service.defineService('forecastqueryservice', ['2018-06-26']);
Object.defineProperty(apiLoader.services['forecastqueryservice'], '2018-06-26', {
  get: function get() {
    var model = __nccwpck_require__(23865);
    model.paginators = (__nccwpck_require__(98135)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ForecastQueryService;


/***/ }),

/***/ 12942:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['forecastservice'] = {};
AWS.ForecastService = Service.defineService('forecastservice', ['2018-06-26']);
Object.defineProperty(apiLoader.services['forecastservice'], '2018-06-26', {
  get: function get() {
    var model = __nccwpck_require__(6468);
    model.paginators = (__nccwpck_require__(45338)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ForecastService;


/***/ }),

/***/ 99830:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['frauddetector'] = {};
AWS.FraudDetector = Service.defineService('frauddetector', ['2019-11-15']);
Object.defineProperty(apiLoader.services['frauddetector'], '2019-11-15', {
  get: function get() {
    var model = __nccwpck_require__(96105);
    model.paginators = (__nccwpck_require__(9177)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.FraudDetector;


/***/ }),

/***/ 60642:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['fsx'] = {};
AWS.FSx = Service.defineService('fsx', ['2018-03-01']);
Object.defineProperty(apiLoader.services['fsx'], '2018-03-01', {
  get: function get() {
    var model = __nccwpck_require__(58245);
    model.paginators = (__nccwpck_require__(19882)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.FSx;


/***/ }),

/***/ 8085:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['gamelift'] = {};
AWS.GameLift = Service.defineService('gamelift', ['2015-10-01']);
Object.defineProperty(apiLoader.services['gamelift'], '2015-10-01', {
  get: function get() {
    var model = __nccwpck_require__(69257);
    model.paginators = (__nccwpck_require__(88381)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.GameLift;


/***/ }),

/***/ 63249:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['glacier'] = {};
AWS.Glacier = Service.defineService('glacier', ['2012-06-01']);
__nccwpck_require__(14472);
Object.defineProperty(apiLoader.services['glacier'], '2012-06-01', {
  get: function get() {
    var model = __nccwpck_require__(11545);
    model.paginators = (__nccwpck_require__(54145)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(65182)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Glacier;


/***/ }),

/***/ 19306:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['globalaccelerator'] = {};
AWS.GlobalAccelerator = Service.defineService('globalaccelerator', ['2018-08-08']);
Object.defineProperty(apiLoader.services['globalaccelerator'], '2018-08-08', {
  get: function get() {
    var model = __nccwpck_require__(35365);
    model.paginators = (__nccwpck_require__(14796)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.GlobalAccelerator;


/***/ }),

/***/ 31658:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['glue'] = {};
AWS.Glue = Service.defineService('glue', ['2017-03-31']);
Object.defineProperty(apiLoader.services['glue'], '2017-03-31', {
  get: function get() {
    var model = __nccwpck_require__(72268);
    model.paginators = (__nccwpck_require__(26545)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Glue;


/***/ }),

/***/ 51050:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['grafana'] = {};
AWS.Grafana = Service.defineService('grafana', ['2020-08-18']);
Object.defineProperty(apiLoader.services['grafana'], '2020-08-18', {
  get: function get() {
    var model = __nccwpck_require__(29655);
    model.paginators = (__nccwpck_require__(83188)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Grafana;


/***/ }),

/***/ 20690:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['greengrass'] = {};
AWS.Greengrass = Service.defineService('greengrass', ['2017-06-07']);
Object.defineProperty(apiLoader.services['greengrass'], '2017-06-07', {
  get: function get() {
    var model = __nccwpck_require__(72575);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Greengrass;


/***/ }),

/***/ 45126:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['greengrassv2'] = {};
AWS.GreengrassV2 = Service.defineService('greengrassv2', ['2020-11-30']);
Object.defineProperty(apiLoader.services['greengrassv2'], '2020-11-30', {
  get: function get() {
    var model = __nccwpck_require__(57546);
    model.paginators = (__nccwpck_require__(47961)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.GreengrassV2;


/***/ }),

/***/ 80494:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['groundstation'] = {};
AWS.GroundStation = Service.defineService('groundstation', ['2019-05-23']);
Object.defineProperty(apiLoader.services['groundstation'], '2019-05-23', {
  get: function get() {
    var model = __nccwpck_require__(27733);
    model.paginators = (__nccwpck_require__(55974)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.GroundStation;


/***/ }),

/***/ 40755:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['guardduty'] = {};
AWS.GuardDuty = Service.defineService('guardduty', ['2017-11-28']);
Object.defineProperty(apiLoader.services['guardduty'], '2017-11-28', {
  get: function get() {
    var model = __nccwpck_require__(37793);
    model.paginators = (__nccwpck_require__(87510)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.GuardDuty;


/***/ }),

/***/ 21834:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['health'] = {};
AWS.Health = Service.defineService('health', ['2016-08-04']);
Object.defineProperty(apiLoader.services['health'], '2016-08-04', {
  get: function get() {
    var model = __nccwpck_require__(8618);
    model.paginators = (__nccwpck_require__(46725)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Health;


/***/ }),

/***/ 64254:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['healthlake'] = {};
AWS.HealthLake = Service.defineService('healthlake', ['2017-07-01']);
Object.defineProperty(apiLoader.services['healthlake'], '2017-07-01', {
  get: function get() {
    var model = __nccwpck_require__(13637);
    model.paginators = (__nccwpck_require__(92834)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.HealthLake;


/***/ }),

/***/ 38889:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['honeycode'] = {};
AWS.Honeycode = Service.defineService('honeycode', ['2020-03-01']);
Object.defineProperty(apiLoader.services['honeycode'], '2020-03-01', {
  get: function get() {
    var model = __nccwpck_require__(27577);
    model.paginators = (__nccwpck_require__(12243)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Honeycode;


/***/ }),

/***/ 50058:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iam'] = {};
AWS.IAM = Service.defineService('iam', ['2010-05-08']);
Object.defineProperty(apiLoader.services['iam'], '2010-05-08', {
  get: function get() {
    var model = __nccwpck_require__(27041);
    model.paginators = (__nccwpck_require__(97583)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(37757)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IAM;


/***/ }),

/***/ 60222:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['identitystore'] = {};
AWS.IdentityStore = Service.defineService('identitystore', ['2020-06-15']);
Object.defineProperty(apiLoader.services['identitystore'], '2020-06-15', {
  get: function get() {
    var model = __nccwpck_require__(75797);
    model.paginators = (__nccwpck_require__(44872)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IdentityStore;


/***/ }),

/***/ 57511:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['imagebuilder'] = {};
AWS.Imagebuilder = Service.defineService('imagebuilder', ['2019-12-02']);
Object.defineProperty(apiLoader.services['imagebuilder'], '2019-12-02', {
  get: function get() {
    var model = __nccwpck_require__(98139);
    model.paginators = (__nccwpck_require__(60410)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Imagebuilder;


/***/ }),

/***/ 6769:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['importexport'] = {};
AWS.ImportExport = Service.defineService('importexport', ['2010-06-01']);
Object.defineProperty(apiLoader.services['importexport'], '2010-06-01', {
  get: function get() {
    var model = __nccwpck_require__(80317);
    model.paginators = (__nccwpck_require__(58037)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ImportExport;


/***/ }),

/***/ 89439:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['inspector'] = {};
AWS.Inspector = Service.defineService('inspector', ['2015-08-18*', '2016-02-16']);
Object.defineProperty(apiLoader.services['inspector'], '2016-02-16', {
  get: function get() {
    var model = __nccwpck_require__(71649);
    model.paginators = (__nccwpck_require__(69242)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Inspector;


/***/ }),

/***/ 98650:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['inspector2'] = {};
AWS.Inspector2 = Service.defineService('inspector2', ['2020-06-08']);
Object.defineProperty(apiLoader.services['inspector2'], '2020-06-08', {
  get: function get() {
    var model = __nccwpck_require__(61291);
    model.paginators = (__nccwpck_require__(17472)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Inspector2;


/***/ }),

/***/ 98392:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iot'] = {};
AWS.Iot = Service.defineService('iot', ['2015-05-28']);
Object.defineProperty(apiLoader.services['iot'], '2015-05-28', {
  get: function get() {
    var model = __nccwpck_require__(40063);
    model.paginators = (__nccwpck_require__(43999)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Iot;


/***/ }),

/***/ 39474:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iot1clickdevicesservice'] = {};
AWS.IoT1ClickDevicesService = Service.defineService('iot1clickdevicesservice', ['2018-05-14']);
Object.defineProperty(apiLoader.services['iot1clickdevicesservice'], '2018-05-14', {
  get: function get() {
    var model = __nccwpck_require__(26663);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IoT1ClickDevicesService;


/***/ }),

/***/ 4686:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iot1clickprojects'] = {};
AWS.IoT1ClickProjects = Service.defineService('iot1clickprojects', ['2018-05-14']);
Object.defineProperty(apiLoader.services['iot1clickprojects'], '2018-05-14', {
  get: function get() {
    var model = __nccwpck_require__(17364);
    model.paginators = (__nccwpck_require__(54033)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IoT1ClickProjects;


/***/ }),

/***/ 67409:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iotanalytics'] = {};
AWS.IoTAnalytics = Service.defineService('iotanalytics', ['2017-11-27']);
Object.defineProperty(apiLoader.services['iotanalytics'], '2017-11-27', {
  get: function get() {
    var model = __nccwpck_require__(84609);
    model.paginators = (__nccwpck_require__(45498)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IoTAnalytics;


/***/ }),

/***/ 6564:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iotdata'] = {};
AWS.IotData = Service.defineService('iotdata', ['2015-05-28']);
__nccwpck_require__(27062);
Object.defineProperty(apiLoader.services['iotdata'], '2015-05-28', {
  get: function get() {
    var model = __nccwpck_require__(21717);
    model.paginators = (__nccwpck_require__(31896)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IotData;


/***/ }),

/***/ 97569:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iotdeviceadvisor'] = {};
AWS.IotDeviceAdvisor = Service.defineService('iotdeviceadvisor', ['2020-09-18']);
Object.defineProperty(apiLoader.services['iotdeviceadvisor'], '2020-09-18', {
  get: function get() {
    var model = __nccwpck_require__(71394);
    model.paginators = (__nccwpck_require__(49057)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IotDeviceAdvisor;


/***/ }),

/***/ 88065:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iotevents'] = {};
AWS.IoTEvents = Service.defineService('iotevents', ['2018-07-27']);
Object.defineProperty(apiLoader.services['iotevents'], '2018-07-27', {
  get: function get() {
    var model = __nccwpck_require__(4483);
    model.paginators = (__nccwpck_require__(39844)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IoTEvents;


/***/ }),

/***/ 56973:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ioteventsdata'] = {};
AWS.IoTEventsData = Service.defineService('ioteventsdata', ['2018-10-23']);
Object.defineProperty(apiLoader.services['ioteventsdata'], '2018-10-23', {
  get: function get() {
    var model = __nccwpck_require__(94282);
    model.paginators = (__nccwpck_require__(11632)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IoTEventsData;


/***/ }),

/***/ 42513:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iotfleethub'] = {};
AWS.IoTFleetHub = Service.defineService('iotfleethub', ['2020-11-03']);
Object.defineProperty(apiLoader.services['iotfleethub'], '2020-11-03', {
  get: function get() {
    var model = __nccwpck_require__(56534);
    model.paginators = (__nccwpck_require__(76120)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IoTFleetHub;


/***/ }),

/***/ 42332:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iotjobsdataplane'] = {};
AWS.IoTJobsDataPlane = Service.defineService('iotjobsdataplane', ['2017-09-29']);
Object.defineProperty(apiLoader.services['iotjobsdataplane'], '2017-09-29', {
  get: function get() {
    var model = __nccwpck_require__(12147);
    model.paginators = (__nccwpck_require__(58593)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IoTJobsDataPlane;


/***/ }),

/***/ 98562:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iotsecuretunneling'] = {};
AWS.IoTSecureTunneling = Service.defineService('iotsecuretunneling', ['2018-10-05']);
Object.defineProperty(apiLoader.services['iotsecuretunneling'], '2018-10-05', {
  get: function get() {
    var model = __nccwpck_require__(99946);
    model.paginators = (__nccwpck_require__(97884)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IoTSecureTunneling;


/***/ }),

/***/ 89690:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iotsitewise'] = {};
AWS.IoTSiteWise = Service.defineService('iotsitewise', ['2019-12-02']);
Object.defineProperty(apiLoader.services['iotsitewise'], '2019-12-02', {
  get: function get() {
    var model = __nccwpck_require__(44429);
    model.paginators = (__nccwpck_require__(27558)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(80458)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IoTSiteWise;


/***/ }),

/***/ 58905:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iotthingsgraph'] = {};
AWS.IoTThingsGraph = Service.defineService('iotthingsgraph', ['2018-09-06']);
Object.defineProperty(apiLoader.services['iotthingsgraph'], '2018-09-06', {
  get: function get() {
    var model = __nccwpck_require__(84893);
    model.paginators = (__nccwpck_require__(99418)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IoTThingsGraph;


/***/ }),

/***/ 65010:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iottwinmaker'] = {};
AWS.IoTTwinMaker = Service.defineService('iottwinmaker', ['2021-11-29']);
Object.defineProperty(apiLoader.services['iottwinmaker'], '2021-11-29', {
  get: function get() {
    var model = __nccwpck_require__(30382);
    model.paginators = (__nccwpck_require__(93389)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(41496)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IoTTwinMaker;


/***/ }),

/***/ 8226:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['iotwireless'] = {};
AWS.IoTWireless = Service.defineService('iotwireless', ['2020-11-22']);
Object.defineProperty(apiLoader.services['iotwireless'], '2020-11-22', {
  get: function get() {
    var model = __nccwpck_require__(78052);
    model.paginators = (__nccwpck_require__(13156)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IoTWireless;


/***/ }),

/***/ 67701:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ivs'] = {};
AWS.IVS = Service.defineService('ivs', ['2020-07-14']);
Object.defineProperty(apiLoader.services['ivs'], '2020-07-14', {
  get: function get() {
    var model = __nccwpck_require__(34175);
    model.paginators = (__nccwpck_require__(45289)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.IVS;


/***/ }),

/***/ 56775:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['kafka'] = {};
AWS.Kafka = Service.defineService('kafka', ['2018-11-14']);
Object.defineProperty(apiLoader.services['kafka'], '2018-11-14', {
  get: function get() {
    var model = __nccwpck_require__(38473);
    model.paginators = (__nccwpck_require__(79729)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Kafka;


/***/ }),

/***/ 61879:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['kafkaconnect'] = {};
AWS.KafkaConnect = Service.defineService('kafkaconnect', ['2021-09-14']);
Object.defineProperty(apiLoader.services['kafkaconnect'], '2021-09-14', {
  get: function get() {
    var model = __nccwpck_require__(80867);
    model.paginators = (__nccwpck_require__(32924)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.KafkaConnect;


/***/ }),

/***/ 66122:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['kendra'] = {};
AWS.Kendra = Service.defineService('kendra', ['2019-02-03']);
Object.defineProperty(apiLoader.services['kendra'], '2019-02-03', {
  get: function get() {
    var model = __nccwpck_require__(80100);
    model.paginators = (__nccwpck_require__(64519)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Kendra;


/***/ }),

/***/ 49876:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['kinesis'] = {};
AWS.Kinesis = Service.defineService('kinesis', ['2013-12-02']);
Object.defineProperty(apiLoader.services['kinesis'], '2013-12-02', {
  get: function get() {
    var model = __nccwpck_require__(648);
    model.paginators = (__nccwpck_require__(10424)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(54059)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Kinesis;


/***/ }),

/***/ 90042:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['kinesisanalytics'] = {};
AWS.KinesisAnalytics = Service.defineService('kinesisanalytics', ['2015-08-14']);
Object.defineProperty(apiLoader.services['kinesisanalytics'], '2015-08-14', {
  get: function get() {
    var model = __nccwpck_require__(72653);
    model.paginators = (__nccwpck_require__(73535)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.KinesisAnalytics;


/***/ }),

/***/ 74631:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['kinesisanalyticsv2'] = {};
AWS.KinesisAnalyticsV2 = Service.defineService('kinesisanalyticsv2', ['2018-05-23']);
Object.defineProperty(apiLoader.services['kinesisanalyticsv2'], '2018-05-23', {
  get: function get() {
    var model = __nccwpck_require__(56485);
    model.paginators = (__nccwpck_require__(52495)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.KinesisAnalyticsV2;


/***/ }),

/***/ 89927:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['kinesisvideo'] = {};
AWS.KinesisVideo = Service.defineService('kinesisvideo', ['2017-09-30']);
Object.defineProperty(apiLoader.services['kinesisvideo'], '2017-09-30', {
  get: function get() {
    var model = __nccwpck_require__(96305);
    model.paginators = (__nccwpck_require__(50061)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.KinesisVideo;


/***/ }),

/***/ 5580:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['kinesisvideoarchivedmedia'] = {};
AWS.KinesisVideoArchivedMedia = Service.defineService('kinesisvideoarchivedmedia', ['2017-09-30']);
Object.defineProperty(apiLoader.services['kinesisvideoarchivedmedia'], '2017-09-30', {
  get: function get() {
    var model = __nccwpck_require__(78868);
    model.paginators = (__nccwpck_require__(27352)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.KinesisVideoArchivedMedia;


/***/ }),

/***/ 81308:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['kinesisvideomedia'] = {};
AWS.KinesisVideoMedia = Service.defineService('kinesisvideomedia', ['2017-09-30']);
Object.defineProperty(apiLoader.services['kinesisvideomedia'], '2017-09-30', {
  get: function get() {
    var model = __nccwpck_require__(18898);
    model.paginators = (__nccwpck_require__(85061)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.KinesisVideoMedia;


/***/ }),

/***/ 12710:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['kinesisvideosignalingchannels'] = {};
AWS.KinesisVideoSignalingChannels = Service.defineService('kinesisvideosignalingchannels', ['2019-12-04']);
Object.defineProperty(apiLoader.services['kinesisvideosignalingchannels'], '2019-12-04', {
  get: function get() {
    var model = __nccwpck_require__(89769);
    model.paginators = (__nccwpck_require__(41939)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.KinesisVideoSignalingChannels;


/***/ }),

/***/ 56782:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['kms'] = {};
AWS.KMS = Service.defineService('kms', ['2014-11-01']);
Object.defineProperty(apiLoader.services['kms'], '2014-11-01', {
  get: function get() {
    var model = __nccwpck_require__(1219);
    model.paginators = (__nccwpck_require__(71402)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.KMS;


/***/ }),

/***/ 6726:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['lakeformation'] = {};
AWS.LakeFormation = Service.defineService('lakeformation', ['2017-03-31']);
Object.defineProperty(apiLoader.services['lakeformation'], '2017-03-31', {
  get: function get() {
    var model = __nccwpck_require__(82210);
    model.paginators = (__nccwpck_require__(61488)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.LakeFormation;


/***/ }),

/***/ 13321:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['lambda'] = {};
AWS.Lambda = Service.defineService('lambda', ['2014-11-11', '2015-03-31']);
__nccwpck_require__(8452);
Object.defineProperty(apiLoader.services['lambda'], '2014-11-11', {
  get: function get() {
    var model = __nccwpck_require__(91251);
    model.paginators = (__nccwpck_require__(79210)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['lambda'], '2015-03-31', {
  get: function get() {
    var model = __nccwpck_require__(29103);
    model.paginators = (__nccwpck_require__(32057)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(40626)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Lambda;


/***/ }),

/***/ 37397:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['lexmodelbuildingservice'] = {};
AWS.LexModelBuildingService = Service.defineService('lexmodelbuildingservice', ['2017-04-19']);
Object.defineProperty(apiLoader.services['lexmodelbuildingservice'], '2017-04-19', {
  get: function get() {
    var model = __nccwpck_require__(96327);
    model.paginators = (__nccwpck_require__(12348)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.LexModelBuildingService;


/***/ }),

/***/ 27254:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['lexmodelsv2'] = {};
AWS.LexModelsV2 = Service.defineService('lexmodelsv2', ['2020-08-07']);
Object.defineProperty(apiLoader.services['lexmodelsv2'], '2020-08-07', {
  get: function get() {
    var model = __nccwpck_require__(98781);
    model.paginators = (__nccwpck_require__(49461)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(55520)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.LexModelsV2;


/***/ }),

/***/ 62716:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['lexruntime'] = {};
AWS.LexRuntime = Service.defineService('lexruntime', ['2016-11-28']);
Object.defineProperty(apiLoader.services['lexruntime'], '2016-11-28', {
  get: function get() {
    var model = __nccwpck_require__(11059);
    model.paginators = (__nccwpck_require__(97715)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.LexRuntime;


/***/ }),

/***/ 33855:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['lexruntimev2'] = {};
AWS.LexRuntimeV2 = Service.defineService('lexruntimev2', ['2020-08-07']);
Object.defineProperty(apiLoader.services['lexruntimev2'], '2020-08-07', {
  get: function get() {
    var model = __nccwpck_require__(17908);
    model.paginators = (__nccwpck_require__(469)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.LexRuntimeV2;


/***/ }),

/***/ 34693:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['licensemanager'] = {};
AWS.LicenseManager = Service.defineService('licensemanager', ['2018-08-01']);
Object.defineProperty(apiLoader.services['licensemanager'], '2018-08-01', {
  get: function get() {
    var model = __nccwpck_require__(19160);
    model.paginators = (__nccwpck_require__(77552)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.LicenseManager;


/***/ }),

/***/ 22718:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['lightsail'] = {};
AWS.Lightsail = Service.defineService('lightsail', ['2016-11-28']);
Object.defineProperty(apiLoader.services['lightsail'], '2016-11-28', {
  get: function get() {
    var model = __nccwpck_require__(94784);
    model.paginators = (__nccwpck_require__(17528)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Lightsail;


/***/ }),

/***/ 44594:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['location'] = {};
AWS.Location = Service.defineService('location', ['2020-11-19']);
Object.defineProperty(apiLoader.services['location'], '2020-11-19', {
  get: function get() {
    var model = __nccwpck_require__(79257);
    model.paginators = (__nccwpck_require__(53350)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Location;


/***/ }),

/***/ 21843:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['lookoutequipment'] = {};
AWS.LookoutEquipment = Service.defineService('lookoutequipment', ['2020-12-15']);
Object.defineProperty(apiLoader.services['lookoutequipment'], '2020-12-15', {
  get: function get() {
    var model = __nccwpck_require__(50969);
    model.paginators = (__nccwpck_require__(92858)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.LookoutEquipment;


/***/ }),

/***/ 78708:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['lookoutmetrics'] = {};
AWS.LookoutMetrics = Service.defineService('lookoutmetrics', ['2017-07-25']);
Object.defineProperty(apiLoader.services['lookoutmetrics'], '2017-07-25', {
  get: function get() {
    var model = __nccwpck_require__(37749);
    model.paginators = (__nccwpck_require__(13366)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.LookoutMetrics;


/***/ }),

/***/ 65046:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['lookoutvision'] = {};
AWS.LookoutVision = Service.defineService('lookoutvision', ['2020-11-20']);
Object.defineProperty(apiLoader.services['lookoutvision'], '2020-11-20', {
  get: function get() {
    var model = __nccwpck_require__(15110);
    model.paginators = (__nccwpck_require__(45644)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.LookoutVision;


/***/ }),

/***/ 82907:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['machinelearning'] = {};
AWS.MachineLearning = Service.defineService('machinelearning', ['2014-12-12']);
__nccwpck_require__(19174);
Object.defineProperty(apiLoader.services['machinelearning'], '2014-12-12', {
  get: function get() {
    var model = __nccwpck_require__(4069);
    model.paginators = (__nccwpck_require__(95535)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(23194)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MachineLearning;


/***/ }),

/***/ 86427:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['macie'] = {};
AWS.Macie = Service.defineService('macie', ['2017-12-19']);
Object.defineProperty(apiLoader.services['macie'], '2017-12-19', {
  get: function get() {
    var model = __nccwpck_require__(99366);
    model.paginators = (__nccwpck_require__(34091)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Macie;


/***/ }),

/***/ 57330:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['macie2'] = {};
AWS.Macie2 = Service.defineService('macie2', ['2020-01-01']);
Object.defineProperty(apiLoader.services['macie2'], '2020-01-01', {
  get: function get() {
    var model = __nccwpck_require__(50847);
    model.paginators = (__nccwpck_require__(25947)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Macie2;


/***/ }),

/***/ 85143:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['managedblockchain'] = {};
AWS.ManagedBlockchain = Service.defineService('managedblockchain', ['2018-09-24']);
Object.defineProperty(apiLoader.services['managedblockchain'], '2018-09-24', {
  get: function get() {
    var model = __nccwpck_require__(31229);
    model.paginators = (__nccwpck_require__(57358)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ManagedBlockchain;


/***/ }),

/***/ 2609:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['marketplacecatalog'] = {};
AWS.MarketplaceCatalog = Service.defineService('marketplacecatalog', ['2018-09-17']);
Object.defineProperty(apiLoader.services['marketplacecatalog'], '2018-09-17', {
  get: function get() {
    var model = __nccwpck_require__(87122);
    model.paginators = (__nccwpck_require__(30187)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MarketplaceCatalog;


/***/ }),

/***/ 4540:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['marketplacecommerceanalytics'] = {};
AWS.MarketplaceCommerceAnalytics = Service.defineService('marketplacecommerceanalytics', ['2015-07-01']);
Object.defineProperty(apiLoader.services['marketplacecommerceanalytics'], '2015-07-01', {
  get: function get() {
    var model = __nccwpck_require__(96696);
    model.paginators = (__nccwpck_require__(43265)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MarketplaceCommerceAnalytics;


/***/ }),

/***/ 53707:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['marketplaceentitlementservice'] = {};
AWS.MarketplaceEntitlementService = Service.defineService('marketplaceentitlementservice', ['2017-01-11']);
Object.defineProperty(apiLoader.services['marketplaceentitlementservice'], '2017-01-11', {
  get: function get() {
    var model = __nccwpck_require__(64253);
    model.paginators = (__nccwpck_require__(67012)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MarketplaceEntitlementService;


/***/ }),

/***/ 39297:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['marketplacemetering'] = {};
AWS.MarketplaceMetering = Service.defineService('marketplacemetering', ['2016-01-14']);
Object.defineProperty(apiLoader.services['marketplacemetering'], '2016-01-14', {
  get: function get() {
    var model = __nccwpck_require__(43027);
    model.paginators = (__nccwpck_require__(4843)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MarketplaceMetering;


/***/ }),

/***/ 67639:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mediaconnect'] = {};
AWS.MediaConnect = Service.defineService('mediaconnect', ['2018-11-14']);
Object.defineProperty(apiLoader.services['mediaconnect'], '2018-11-14', {
  get: function get() {
    var model = __nccwpck_require__(85245);
    model.paginators = (__nccwpck_require__(68160)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(42876)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MediaConnect;


/***/ }),

/***/ 57220:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mediaconvert'] = {};
AWS.MediaConvert = Service.defineService('mediaconvert', ['2017-08-29']);
Object.defineProperty(apiLoader.services['mediaconvert'], '2017-08-29', {
  get: function get() {
    var model = __nccwpck_require__(41924);
    model.paginators = (__nccwpck_require__(14179)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MediaConvert;


/***/ }),

/***/ 7509:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['medialive'] = {};
AWS.MediaLive = Service.defineService('medialive', ['2017-10-14']);
Object.defineProperty(apiLoader.services['medialive'], '2017-10-14', {
  get: function get() {
    var model = __nccwpck_require__(32326);
    model.paginators = (__nccwpck_require__(84652)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(17259)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MediaLive;


/***/ }),

/***/ 91620:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mediapackage'] = {};
AWS.MediaPackage = Service.defineService('mediapackage', ['2017-10-12']);
Object.defineProperty(apiLoader.services['mediapackage'], '2017-10-12', {
  get: function get() {
    var model = __nccwpck_require__(51261);
    model.paginators = (__nccwpck_require__(48933)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MediaPackage;


/***/ }),

/***/ 14962:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mediapackagevod'] = {};
AWS.MediaPackageVod = Service.defineService('mediapackagevod', ['2018-11-07']);
Object.defineProperty(apiLoader.services['mediapackagevod'], '2018-11-07', {
  get: function get() {
    var model = __nccwpck_require__(98877);
    model.paginators = (__nccwpck_require__(48422)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MediaPackageVod;


/***/ }),

/***/ 83748:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mediastore'] = {};
AWS.MediaStore = Service.defineService('mediastore', ['2017-09-01']);
Object.defineProperty(apiLoader.services['mediastore'], '2017-09-01', {
  get: function get() {
    var model = __nccwpck_require__(68901);
    model.paginators = (__nccwpck_require__(5848)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MediaStore;


/***/ }),

/***/ 98703:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mediastoredata'] = {};
AWS.MediaStoreData = Service.defineService('mediastoredata', ['2017-09-01']);
Object.defineProperty(apiLoader.services['mediastoredata'], '2017-09-01', {
  get: function get() {
    var model = __nccwpck_require__(55081);
    model.paginators = (__nccwpck_require__(97948)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MediaStoreData;


/***/ }),

/***/ 30534:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mediatailor'] = {};
AWS.MediaTailor = Service.defineService('mediatailor', ['2018-04-23']);
Object.defineProperty(apiLoader.services['mediatailor'], '2018-04-23', {
  get: function get() {
    var model = __nccwpck_require__(77511);
    model.paginators = (__nccwpck_require__(68557)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MediaTailor;


/***/ }),

/***/ 50782:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['memorydb'] = {};
AWS.MemoryDB = Service.defineService('memorydb', ['2021-01-01']);
Object.defineProperty(apiLoader.services['memorydb'], '2021-01-01', {
  get: function get() {
    var model = __nccwpck_require__(51950);
    model.paginators = (__nccwpck_require__(93809)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MemoryDB;


/***/ }),

/***/ 41339:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mgn'] = {};
AWS.Mgn = Service.defineService('mgn', ['2020-02-26']);
Object.defineProperty(apiLoader.services['mgn'], '2020-02-26', {
  get: function get() {
    var model = __nccwpck_require__(65811);
    model.paginators = (__nccwpck_require__(52443)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Mgn;


/***/ }),

/***/ 14688:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['migrationhub'] = {};
AWS.MigrationHub = Service.defineService('migrationhub', ['2017-05-31']);
Object.defineProperty(apiLoader.services['migrationhub'], '2017-05-31', {
  get: function get() {
    var model = __nccwpck_require__(99161);
    model.paginators = (__nccwpck_require__(27903)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MigrationHub;


/***/ }),

/***/ 62658:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['migrationhubconfig'] = {};
AWS.MigrationHubConfig = Service.defineService('migrationhubconfig', ['2019-06-30']);
Object.defineProperty(apiLoader.services['migrationhubconfig'], '2019-06-30', {
  get: function get() {
    var model = __nccwpck_require__(59734);
    model.paginators = (__nccwpck_require__(51497)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MigrationHubConfig;


/***/ }),

/***/ 2925:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['migrationhubrefactorspaces'] = {};
AWS.MigrationHubRefactorSpaces = Service.defineService('migrationhubrefactorspaces', ['2021-10-26']);
Object.defineProperty(apiLoader.services['migrationhubrefactorspaces'], '2021-10-26', {
  get: function get() {
    var model = __nccwpck_require__(17110);
    model.paginators = (__nccwpck_require__(63789)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MigrationHubRefactorSpaces;


/***/ }),

/***/ 96533:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['migrationhubstrategy'] = {};
AWS.MigrationHubStrategy = Service.defineService('migrationhubstrategy', ['2020-02-19']);
Object.defineProperty(apiLoader.services['migrationhubstrategy'], '2020-02-19', {
  get: function get() {
    var model = __nccwpck_require__(64663);
    model.paginators = (__nccwpck_require__(30896)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MigrationHubStrategy;


/***/ }),

/***/ 39782:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mobile'] = {};
AWS.Mobile = Service.defineService('mobile', ['2017-07-01']);
Object.defineProperty(apiLoader.services['mobile'], '2017-07-01', {
  get: function get() {
    var model = __nccwpck_require__(51691);
    model.paginators = (__nccwpck_require__(43522)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Mobile;


/***/ }),

/***/ 66690:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mobileanalytics'] = {};
AWS.MobileAnalytics = Service.defineService('mobileanalytics', ['2014-06-05']);
Object.defineProperty(apiLoader.services['mobileanalytics'], '2014-06-05', {
  get: function get() {
    var model = __nccwpck_require__(90338);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MobileAnalytics;


/***/ }),

/***/ 23093:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mq'] = {};
AWS.MQ = Service.defineService('mq', ['2017-11-27']);
Object.defineProperty(apiLoader.services['mq'], '2017-11-27', {
  get: function get() {
    var model = __nccwpck_require__(35102);
    model.paginators = (__nccwpck_require__(46095)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MQ;


/***/ }),

/***/ 79954:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mturk'] = {};
AWS.MTurk = Service.defineService('mturk', ['2017-01-17']);
Object.defineProperty(apiLoader.services['mturk'], '2017-01-17', {
  get: function get() {
    var model = __nccwpck_require__(73064);
    model.paginators = (__nccwpck_require__(42409)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MTurk;


/***/ }),

/***/ 32712:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['mwaa'] = {};
AWS.MWAA = Service.defineService('mwaa', ['2020-07-01']);
Object.defineProperty(apiLoader.services['mwaa'], '2020-07-01', {
  get: function get() {
    var model = __nccwpck_require__(56612);
    model.paginators = (__nccwpck_require__(11793)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.MWAA;


/***/ }),

/***/ 30047:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['neptune'] = {};
AWS.Neptune = Service.defineService('neptune', ['2014-10-31']);
__nccwpck_require__(73090);
Object.defineProperty(apiLoader.services['neptune'], '2014-10-31', {
  get: function get() {
    var model = __nccwpck_require__(50018);
    model.paginators = (__nccwpck_require__(62952)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(8127)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Neptune;


/***/ }),

/***/ 84626:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['networkfirewall'] = {};
AWS.NetworkFirewall = Service.defineService('networkfirewall', ['2020-11-12']);
Object.defineProperty(apiLoader.services['networkfirewall'], '2020-11-12', {
  get: function get() {
    var model = __nccwpck_require__(63757);
    model.paginators = (__nccwpck_require__(74798)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.NetworkFirewall;


/***/ }),

/***/ 37610:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['networkmanager'] = {};
AWS.NetworkManager = Service.defineService('networkmanager', ['2019-07-05']);
Object.defineProperty(apiLoader.services['networkmanager'], '2019-07-05', {
  get: function get() {
    var model = __nccwpck_require__(10151);
    model.paginators = (__nccwpck_require__(68278)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.NetworkManager;


/***/ }),

/***/ 89428:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['nimble'] = {};
AWS.Nimble = Service.defineService('nimble', ['2020-08-01']);
Object.defineProperty(apiLoader.services['nimble'], '2020-08-01', {
  get: function get() {
    var model = __nccwpck_require__(50605);
    model.paginators = (__nccwpck_require__(65300)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(42486)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Nimble;


/***/ }),

/***/ 60358:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['opensearch'] = {};
AWS.OpenSearch = Service.defineService('opensearch', ['2021-01-01']);
Object.defineProperty(apiLoader.services['opensearch'], '2021-01-01', {
  get: function get() {
    var model = __nccwpck_require__(90583);
    model.paginators = (__nccwpck_require__(32668)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.OpenSearch;


/***/ }),

/***/ 75691:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['opsworks'] = {};
AWS.OpsWorks = Service.defineService('opsworks', ['2013-02-18']);
Object.defineProperty(apiLoader.services['opsworks'], '2013-02-18', {
  get: function get() {
    var model = __nccwpck_require__(22805);
    model.paginators = (__nccwpck_require__(24750)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(74961)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.OpsWorks;


/***/ }),

/***/ 80388:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['opsworkscm'] = {};
AWS.OpsWorksCM = Service.defineService('opsworkscm', ['2016-11-01']);
Object.defineProperty(apiLoader.services['opsworkscm'], '2016-11-01', {
  get: function get() {
    var model = __nccwpck_require__(56705);
    model.paginators = (__nccwpck_require__(49463)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(65003)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.OpsWorksCM;


/***/ }),

/***/ 44670:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['organizations'] = {};
AWS.Organizations = Service.defineService('organizations', ['2016-11-28']);
Object.defineProperty(apiLoader.services['organizations'], '2016-11-28', {
  get: function get() {
    var model = __nccwpck_require__(58874);
    model.paginators = (__nccwpck_require__(43261)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Organizations;


/***/ }),

/***/ 27551:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['outposts'] = {};
AWS.Outposts = Service.defineService('outposts', ['2019-12-03']);
Object.defineProperty(apiLoader.services['outposts'], '2019-12-03', {
  get: function get() {
    var model = __nccwpck_require__(4807);
    model.paginators = (__nccwpck_require__(3364)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Outposts;


/***/ }),

/***/ 20368:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['panorama'] = {};
AWS.Panorama = Service.defineService('panorama', ['2019-07-24']);
Object.defineProperty(apiLoader.services['panorama'], '2019-07-24', {
  get: function get() {
    var model = __nccwpck_require__(91489);
    model.paginators = (__nccwpck_require__(77238)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Panorama;


/***/ }),

/***/ 33696:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['personalize'] = {};
AWS.Personalize = Service.defineService('personalize', ['2018-05-22']);
Object.defineProperty(apiLoader.services['personalize'], '2018-05-22', {
  get: function get() {
    var model = __nccwpck_require__(70169);
    model.paginators = (__nccwpck_require__(64441)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Personalize;


/***/ }),

/***/ 88170:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['personalizeevents'] = {};
AWS.PersonalizeEvents = Service.defineService('personalizeevents', ['2018-03-22']);
Object.defineProperty(apiLoader.services['personalizeevents'], '2018-03-22', {
  get: function get() {
    var model = __nccwpck_require__(3606);
    model.paginators = (__nccwpck_require__(94507)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.PersonalizeEvents;


/***/ }),

/***/ 66184:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['personalizeruntime'] = {};
AWS.PersonalizeRuntime = Service.defineService('personalizeruntime', ['2018-05-22']);
Object.defineProperty(apiLoader.services['personalizeruntime'], '2018-05-22', {
  get: function get() {
    var model = __nccwpck_require__(18824);
    model.paginators = (__nccwpck_require__(8069)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.PersonalizeRuntime;


/***/ }),

/***/ 15505:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['pi'] = {};
AWS.PI = Service.defineService('pi', ['2018-02-27']);
Object.defineProperty(apiLoader.services['pi'], '2018-02-27', {
  get: function get() {
    var model = __nccwpck_require__(18761);
    model.paginators = (__nccwpck_require__(84882)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.PI;


/***/ }),

/***/ 18388:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['pinpoint'] = {};
AWS.Pinpoint = Service.defineService('pinpoint', ['2016-12-01']);
Object.defineProperty(apiLoader.services['pinpoint'], '2016-12-01', {
  get: function get() {
    var model = __nccwpck_require__(40605);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Pinpoint;


/***/ }),

/***/ 83060:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['pinpointemail'] = {};
AWS.PinpointEmail = Service.defineService('pinpointemail', ['2018-07-26']);
Object.defineProperty(apiLoader.services['pinpointemail'], '2018-07-26', {
  get: function get() {
    var model = __nccwpck_require__(55228);
    model.paginators = (__nccwpck_require__(45172)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.PinpointEmail;


/***/ }),

/***/ 46605:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['pinpointsmsvoice'] = {};
AWS.PinpointSMSVoice = Service.defineService('pinpointsmsvoice', ['2018-09-05']);
Object.defineProperty(apiLoader.services['pinpointsmsvoice'], '2018-09-05', {
  get: function get() {
    var model = __nccwpck_require__(98689);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.PinpointSMSVoice;


/***/ }),

/***/ 97332:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['polly'] = {};
AWS.Polly = Service.defineService('polly', ['2016-06-10']);
__nccwpck_require__(53199);
Object.defineProperty(apiLoader.services['polly'], '2016-06-10', {
  get: function get() {
    var model = __nccwpck_require__(55078);
    model.paginators = (__nccwpck_require__(77060)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Polly;


/***/ }),

/***/ 92765:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['pricing'] = {};
AWS.Pricing = Service.defineService('pricing', ['2017-10-15']);
Object.defineProperty(apiLoader.services['pricing'], '2017-10-15', {
  get: function get() {
    var model = __nccwpck_require__(22484);
    model.paginators = (__nccwpck_require__(60369)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Pricing;


/***/ }),

/***/ 9275:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['proton'] = {};
AWS.Proton = Service.defineService('proton', ['2020-07-20']);
Object.defineProperty(apiLoader.services['proton'], '2020-07-20', {
  get: function get() {
    var model = __nccwpck_require__(78577);
    model.paginators = (__nccwpck_require__(14299)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(99338)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Proton;


/***/ }),

/***/ 71266:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['qldb'] = {};
AWS.QLDB = Service.defineService('qldb', ['2019-01-02']);
Object.defineProperty(apiLoader.services['qldb'], '2019-01-02', {
  get: function get() {
    var model = __nccwpck_require__(71346);
    model.paginators = (__nccwpck_require__(34265)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.QLDB;


/***/ }),

/***/ 55423:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['qldbsession'] = {};
AWS.QLDBSession = Service.defineService('qldbsession', ['2019-07-11']);
Object.defineProperty(apiLoader.services['qldbsession'], '2019-07-11', {
  get: function get() {
    var model = __nccwpck_require__(60040);
    model.paginators = (__nccwpck_require__(61051)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.QLDBSession;


/***/ }),

/***/ 29898:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['quicksight'] = {};
AWS.QuickSight = Service.defineService('quicksight', ['2018-04-01']);
Object.defineProperty(apiLoader.services['quicksight'], '2018-04-01', {
  get: function get() {
    var model = __nccwpck_require__(8419);
    model.paginators = (__nccwpck_require__(43387)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.QuickSight;


/***/ }),

/***/ 94394:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ram'] = {};
AWS.RAM = Service.defineService('ram', ['2018-01-04']);
Object.defineProperty(apiLoader.services['ram'], '2018-01-04', {
  get: function get() {
    var model = __nccwpck_require__(61375);
    model.paginators = (__nccwpck_require__(85336)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.RAM;


/***/ }),

/***/ 70145:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['rbin'] = {};
AWS.Rbin = Service.defineService('rbin', ['2021-06-15']);
Object.defineProperty(apiLoader.services['rbin'], '2021-06-15', {
  get: function get() {
    var model = __nccwpck_require__(18897);
    model.paginators = (__nccwpck_require__(57601)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Rbin;


/***/ }),

/***/ 71578:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['rds'] = {};
AWS.RDS = Service.defineService('rds', ['2013-01-10', '2013-02-12', '2013-09-09', '2014-09-01', '2014-09-01*', '2014-10-31']);
__nccwpck_require__(71928);
Object.defineProperty(apiLoader.services['rds'], '2013-01-10', {
  get: function get() {
    var model = __nccwpck_require__(59989);
    model.paginators = (__nccwpck_require__(978)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['rds'], '2013-02-12', {
  get: function get() {
    var model = __nccwpck_require__(55061);
    model.paginators = (__nccwpck_require__(39581)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['rds'], '2013-09-09', {
  get: function get() {
    var model = __nccwpck_require__(36331);
    model.paginators = (__nccwpck_require__(14485)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(36851)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['rds'], '2014-09-01', {
  get: function get() {
    var model = __nccwpck_require__(19226);
    model.paginators = (__nccwpck_require__(49863)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});
Object.defineProperty(apiLoader.services['rds'], '2014-10-31', {
  get: function get() {
    var model = __nccwpck_require__(91916);
    model.paginators = (__nccwpck_require__(85082)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(20371)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.RDS;


/***/ }),

/***/ 30147:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['rdsdataservice'] = {};
AWS.RDSDataService = Service.defineService('rdsdataservice', ['2018-08-01']);
__nccwpck_require__(64070);
Object.defineProperty(apiLoader.services['rdsdataservice'], '2018-08-01', {
  get: function get() {
    var model = __nccwpck_require__(13559);
    model.paginators = (__nccwpck_require__(41160)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.RDSDataService;


/***/ }),

/***/ 84853:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['redshift'] = {};
AWS.Redshift = Service.defineService('redshift', ['2012-12-01']);
Object.defineProperty(apiLoader.services['redshift'], '2012-12-01', {
  get: function get() {
    var model = __nccwpck_require__(24827);
    model.paginators = (__nccwpck_require__(88012)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(79011)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Redshift;


/***/ }),

/***/ 203:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['redshiftdata'] = {};
AWS.RedshiftData = Service.defineService('redshiftdata', ['2019-12-20']);
Object.defineProperty(apiLoader.services['redshiftdata'], '2019-12-20', {
  get: function get() {
    var model = __nccwpck_require__(85203);
    model.paginators = (__nccwpck_require__(27797)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.RedshiftData;


/***/ }),

/***/ 65470:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['rekognition'] = {};
AWS.Rekognition = Service.defineService('rekognition', ['2016-06-27']);
Object.defineProperty(apiLoader.services['rekognition'], '2016-06-27', {
  get: function get() {
    var model = __nccwpck_require__(66442);
    model.paginators = (__nccwpck_require__(37753)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(78910)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Rekognition;


/***/ }),

/***/ 21173:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['resiliencehub'] = {};
AWS.Resiliencehub = Service.defineService('resiliencehub', ['2020-04-30']);
Object.defineProperty(apiLoader.services['resiliencehub'], '2020-04-30', {
  get: function get() {
    var model = __nccwpck_require__(3885);
    model.paginators = (__nccwpck_require__(77288)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Resiliencehub;


/***/ }),

/***/ 58756:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['resourcegroups'] = {};
AWS.ResourceGroups = Service.defineService('resourcegroups', ['2017-11-27']);
Object.defineProperty(apiLoader.services['resourcegroups'], '2017-11-27', {
  get: function get() {
    var model = __nccwpck_require__(73621);
    model.paginators = (__nccwpck_require__(24085)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ResourceGroups;


/***/ }),

/***/ 7385:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['resourcegroupstaggingapi'] = {};
AWS.ResourceGroupsTaggingAPI = Service.defineService('resourcegroupstaggingapi', ['2017-01-26']);
Object.defineProperty(apiLoader.services['resourcegroupstaggingapi'], '2017-01-26', {
  get: function get() {
    var model = __nccwpck_require__(71720);
    model.paginators = (__nccwpck_require__(36635)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ResourceGroupsTaggingAPI;


/***/ }),

/***/ 18068:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['robomaker'] = {};
AWS.RoboMaker = Service.defineService('robomaker', ['2018-06-29']);
Object.defineProperty(apiLoader.services['robomaker'], '2018-06-29', {
  get: function get() {
    var model = __nccwpck_require__(6904);
    model.paginators = (__nccwpck_require__(43495)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.RoboMaker;


/***/ }),

/***/ 44968:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['route53'] = {};
AWS.Route53 = Service.defineService('route53', ['2013-04-01']);
__nccwpck_require__(69627);
Object.defineProperty(apiLoader.services['route53'], '2013-04-01', {
  get: function get() {
    var model = __nccwpck_require__(20959);
    model.paginators = (__nccwpck_require__(46456)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(28347)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Route53;


/***/ }),

/***/ 51994:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['route53domains'] = {};
AWS.Route53Domains = Service.defineService('route53domains', ['2014-05-15']);
Object.defineProperty(apiLoader.services['route53domains'], '2014-05-15', {
  get: function get() {
    var model = __nccwpck_require__(57598);
    model.paginators = (__nccwpck_require__(52189)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Route53Domains;


/***/ }),

/***/ 35738:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['route53recoverycluster'] = {};
AWS.Route53RecoveryCluster = Service.defineService('route53recoverycluster', ['2019-12-02']);
Object.defineProperty(apiLoader.services['route53recoverycluster'], '2019-12-02', {
  get: function get() {
    var model = __nccwpck_require__(73989);
    model.paginators = (__nccwpck_require__(69118)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Route53RecoveryCluster;


/***/ }),

/***/ 16063:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['route53recoverycontrolconfig'] = {};
AWS.Route53RecoveryControlConfig = Service.defineService('route53recoverycontrolconfig', ['2020-11-02']);
Object.defineProperty(apiLoader.services['route53recoverycontrolconfig'], '2020-11-02', {
  get: function get() {
    var model = __nccwpck_require__(38334);
    model.paginators = (__nccwpck_require__(19728)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(57184)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Route53RecoveryControlConfig;


/***/ }),

/***/ 79106:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['route53recoveryreadiness'] = {};
AWS.Route53RecoveryReadiness = Service.defineService('route53recoveryreadiness', ['2019-12-02']);
Object.defineProperty(apiLoader.services['route53recoveryreadiness'], '2019-12-02', {
  get: function get() {
    var model = __nccwpck_require__(40156);
    model.paginators = (__nccwpck_require__(74839)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Route53RecoveryReadiness;


/***/ }),

/***/ 25894:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['route53resolver'] = {};
AWS.Route53Resolver = Service.defineService('route53resolver', ['2018-04-01']);
Object.defineProperty(apiLoader.services['route53resolver'], '2018-04-01', {
  get: function get() {
    var model = __nccwpck_require__(89229);
    model.paginators = (__nccwpck_require__(95050)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Route53Resolver;


/***/ }),

/***/ 53237:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['rum'] = {};
AWS.RUM = Service.defineService('rum', ['2018-05-10']);
Object.defineProperty(apiLoader.services['rum'], '2018-05-10', {
  get: function get() {
    var model = __nccwpck_require__(84126);
    model.paginators = (__nccwpck_require__(79432)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.RUM;


/***/ }),

/***/ 83256:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['s3'] = {};
AWS.S3 = Service.defineService('s3', ['2006-03-01']);
__nccwpck_require__(26543);
Object.defineProperty(apiLoader.services['s3'], '2006-03-01', {
  get: function get() {
    var model = __nccwpck_require__(1129);
    model.paginators = (__nccwpck_require__(7265)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(74048)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.S3;


/***/ }),

/***/ 99817:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['s3control'] = {};
AWS.S3Control = Service.defineService('s3control', ['2018-08-20']);
__nccwpck_require__(71207);
Object.defineProperty(apiLoader.services['s3control'], '2018-08-20', {
  get: function get() {
    var model = __nccwpck_require__(1201);
    model.paginators = (__nccwpck_require__(55527)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.S3Control;


/***/ }),

/***/ 90493:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['s3outposts'] = {};
AWS.S3Outposts = Service.defineService('s3outposts', ['2017-07-25']);
Object.defineProperty(apiLoader.services['s3outposts'], '2017-07-25', {
  get: function get() {
    var model = __nccwpck_require__(79971);
    model.paginators = (__nccwpck_require__(32505)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.S3Outposts;


/***/ }),

/***/ 77657:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['sagemaker'] = {};
AWS.SageMaker = Service.defineService('sagemaker', ['2017-07-24']);
Object.defineProperty(apiLoader.services['sagemaker'], '2017-07-24', {
  get: function get() {
    var model = __nccwpck_require__(71132);
    model.paginators = (__nccwpck_require__(69254)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(26063)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SageMaker;


/***/ }),

/***/ 38966:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['sagemakeredge'] = {};
AWS.SagemakerEdge = Service.defineService('sagemakeredge', ['2020-09-23']);
Object.defineProperty(apiLoader.services['sagemakeredge'], '2020-09-23', {
  get: function get() {
    var model = __nccwpck_require__(97093);
    model.paginators = (__nccwpck_require__(71636)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SagemakerEdge;


/***/ }),

/***/ 67644:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['sagemakerfeaturestoreruntime'] = {};
AWS.SageMakerFeatureStoreRuntime = Service.defineService('sagemakerfeaturestoreruntime', ['2020-07-01']);
Object.defineProperty(apiLoader.services['sagemakerfeaturestoreruntime'], '2020-07-01', {
  get: function get() {
    var model = __nccwpck_require__(75546);
    model.paginators = (__nccwpck_require__(12151)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SageMakerFeatureStoreRuntime;


/***/ }),

/***/ 85044:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['sagemakerruntime'] = {};
AWS.SageMakerRuntime = Service.defineService('sagemakerruntime', ['2017-05-13']);
Object.defineProperty(apiLoader.services['sagemakerruntime'], '2017-05-13', {
  get: function get() {
    var model = __nccwpck_require__(27032);
    model.paginators = (__nccwpck_require__(7570)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SageMakerRuntime;


/***/ }),

/***/ 62825:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['savingsplans'] = {};
AWS.SavingsPlans = Service.defineService('savingsplans', ['2019-06-28']);
Object.defineProperty(apiLoader.services['savingsplans'], '2019-06-28', {
  get: function get() {
    var model = __nccwpck_require__(46879);
    model.paginators = (__nccwpck_require__(78998)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SavingsPlans;


/***/ }),

/***/ 55713:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['schemas'] = {};
AWS.Schemas = Service.defineService('schemas', ['2019-12-02']);
Object.defineProperty(apiLoader.services['schemas'], '2019-12-02', {
  get: function get() {
    var model = __nccwpck_require__(76626);
    model.paginators = (__nccwpck_require__(34227)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(62213)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Schemas;


/***/ }),

/***/ 85131:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['secretsmanager'] = {};
AWS.SecretsManager = Service.defineService('secretsmanager', ['2017-10-17']);
Object.defineProperty(apiLoader.services['secretsmanager'], '2017-10-17', {
  get: function get() {
    var model = __nccwpck_require__(89470);
    model.paginators = (__nccwpck_require__(25613)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SecretsManager;


/***/ }),

/***/ 21550:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['securityhub'] = {};
AWS.SecurityHub = Service.defineService('securityhub', ['2018-10-26']);
Object.defineProperty(apiLoader.services['securityhub'], '2018-10-26', {
  get: function get() {
    var model = __nccwpck_require__(29208);
    model.paginators = (__nccwpck_require__(85595)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SecurityHub;


/***/ }),

/***/ 62402:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['serverlessapplicationrepository'] = {};
AWS.ServerlessApplicationRepository = Service.defineService('serverlessapplicationrepository', ['2017-09-08']);
Object.defineProperty(apiLoader.services['serverlessapplicationrepository'], '2017-09-08', {
  get: function get() {
    var model = __nccwpck_require__(68422);
    model.paginators = (__nccwpck_require__(34864)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ServerlessApplicationRepository;


/***/ }),

/***/ 822:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['servicecatalog'] = {};
AWS.ServiceCatalog = Service.defineService('servicecatalog', ['2015-12-10']);
Object.defineProperty(apiLoader.services['servicecatalog'], '2015-12-10', {
  get: function get() {
    var model = __nccwpck_require__(95500);
    model.paginators = (__nccwpck_require__(21687)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ServiceCatalog;


/***/ }),

/***/ 79068:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['servicecatalogappregistry'] = {};
AWS.ServiceCatalogAppRegistry = Service.defineService('servicecatalogappregistry', ['2020-06-24']);
Object.defineProperty(apiLoader.services['servicecatalogappregistry'], '2020-06-24', {
  get: function get() {
    var model = __nccwpck_require__(25697);
    model.paginators = (__nccwpck_require__(28893)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ServiceCatalogAppRegistry;


/***/ }),

/***/ 91569:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['servicediscovery'] = {};
AWS.ServiceDiscovery = Service.defineService('servicediscovery', ['2017-03-14']);
Object.defineProperty(apiLoader.services['servicediscovery'], '2017-03-14', {
  get: function get() {
    var model = __nccwpck_require__(22361);
    model.paginators = (__nccwpck_require__(37798)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ServiceDiscovery;


/***/ }),

/***/ 57800:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['servicequotas'] = {};
AWS.ServiceQuotas = Service.defineService('servicequotas', ['2019-06-24']);
Object.defineProperty(apiLoader.services['servicequotas'], '2019-06-24', {
  get: function get() {
    var model = __nccwpck_require__(68850);
    model.paginators = (__nccwpck_require__(63074)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.ServiceQuotas;


/***/ }),

/***/ 46816:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ses'] = {};
AWS.SES = Service.defineService('ses', ['2010-12-01']);
Object.defineProperty(apiLoader.services['ses'], '2010-12-01', {
  get: function get() {
    var model = __nccwpck_require__(56693);
    model.paginators = (__nccwpck_require__(9399)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(98229)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SES;


/***/ }),

/***/ 20142:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['sesv2'] = {};
AWS.SESV2 = Service.defineService('sesv2', ['2019-09-27']);
Object.defineProperty(apiLoader.services['sesv2'], '2019-09-27', {
  get: function get() {
    var model = __nccwpck_require__(69754);
    model.paginators = (__nccwpck_require__(72405)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SESV2;


/***/ }),

/***/ 20271:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['shield'] = {};
AWS.Shield = Service.defineService('shield', ['2016-06-02']);
Object.defineProperty(apiLoader.services['shield'], '2016-06-02', {
  get: function get() {
    var model = __nccwpck_require__(47061);
    model.paginators = (__nccwpck_require__(54893)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Shield;


/***/ }),

/***/ 71596:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['signer'] = {};
AWS.Signer = Service.defineService('signer', ['2017-08-25']);
Object.defineProperty(apiLoader.services['signer'], '2017-08-25', {
  get: function get() {
    var model = __nccwpck_require__(97116);
    model.paginators = (__nccwpck_require__(81027)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(48215)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Signer;


/***/ }),

/***/ 10120:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['simpledb'] = {};
AWS.SimpleDB = Service.defineService('simpledb', ['2009-04-15']);
Object.defineProperty(apiLoader.services['simpledb'], '2009-04-15', {
  get: function get() {
    var model = __nccwpck_require__(45164);
    model.paginators = (__nccwpck_require__(55255)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SimpleDB;


/***/ }),

/***/ 57719:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['sms'] = {};
AWS.SMS = Service.defineService('sms', ['2016-10-24']);
Object.defineProperty(apiLoader.services['sms'], '2016-10-24', {
  get: function get() {
    var model = __nccwpck_require__(26534);
    model.paginators = (__nccwpck_require__(98730)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SMS;


/***/ }),

/***/ 510:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['snowball'] = {};
AWS.Snowball = Service.defineService('snowball', ['2016-06-30']);
Object.defineProperty(apiLoader.services['snowball'], '2016-06-30', {
  get: function get() {
    var model = __nccwpck_require__(96822);
    model.paginators = (__nccwpck_require__(45219)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Snowball;


/***/ }),

/***/ 64655:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['snowdevicemanagement'] = {};
AWS.SnowDeviceManagement = Service.defineService('snowdevicemanagement', ['2021-08-04']);
Object.defineProperty(apiLoader.services['snowdevicemanagement'], '2021-08-04', {
  get: function get() {
    var model = __nccwpck_require__(97413);
    model.paginators = (__nccwpck_require__(70424)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SnowDeviceManagement;


/***/ }),

/***/ 28581:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['sns'] = {};
AWS.SNS = Service.defineService('sns', ['2010-03-31']);
Object.defineProperty(apiLoader.services['sns'], '2010-03-31', {
  get: function get() {
    var model = __nccwpck_require__(64387);
    model.paginators = (__nccwpck_require__(58054)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SNS;


/***/ }),

/***/ 63172:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['sqs'] = {};
AWS.SQS = Service.defineService('sqs', ['2012-11-05']);
__nccwpck_require__(94571);
Object.defineProperty(apiLoader.services['sqs'], '2012-11-05', {
  get: function get() {
    var model = __nccwpck_require__(53974);
    model.paginators = (__nccwpck_require__(17249)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SQS;


/***/ }),

/***/ 83380:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ssm'] = {};
AWS.SSM = Service.defineService('ssm', ['2014-11-06']);
Object.defineProperty(apiLoader.services['ssm'], '2014-11-06', {
  get: function get() {
    var model = __nccwpck_require__(44596);
    model.paginators = (__nccwpck_require__(5135)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(98523)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SSM;


/***/ }),

/***/ 12577:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ssmcontacts'] = {};
AWS.SSMContacts = Service.defineService('ssmcontacts', ['2021-05-03']);
Object.defineProperty(apiLoader.services['ssmcontacts'], '2021-05-03', {
  get: function get() {
    var model = __nccwpck_require__(74831);
    model.paginators = (__nccwpck_require__(63938)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SSMContacts;


/***/ }),

/***/ 20590:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ssmincidents'] = {};
AWS.SSMIncidents = Service.defineService('ssmincidents', ['2018-05-10']);
Object.defineProperty(apiLoader.services['ssmincidents'], '2018-05-10', {
  get: function get() {
    var model = __nccwpck_require__(18719);
    model.paginators = (__nccwpck_require__(4502)/* .pagination */ .o);
    model.waiters = (__nccwpck_require__(97755)/* .waiters */ .V);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SSMIncidents;


/***/ }),

/***/ 71096:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['sso'] = {};
AWS.SSO = Service.defineService('sso', ['2019-06-10']);
Object.defineProperty(apiLoader.services['sso'], '2019-06-10', {
  get: function get() {
    var model = __nccwpck_require__(8027);
    model.paginators = (__nccwpck_require__(36610)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SSO;


/***/ }),

/***/ 66644:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ssoadmin'] = {};
AWS.SSOAdmin = Service.defineService('ssoadmin', ['2020-07-20']);
Object.defineProperty(apiLoader.services['ssoadmin'], '2020-07-20', {
  get: function get() {
    var model = __nccwpck_require__(7239);
    model.paginators = (__nccwpck_require__(49402)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SSOAdmin;


/***/ }),

/***/ 49870:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['ssooidc'] = {};
AWS.SSOOIDC = Service.defineService('ssooidc', ['2019-06-10']);
Object.defineProperty(apiLoader.services['ssooidc'], '2019-06-10', {
  get: function get() {
    var model = __nccwpck_require__(62343);
    model.paginators = (__nccwpck_require__(50215)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SSOOIDC;


/***/ }),

/***/ 8136:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['stepfunctions'] = {};
AWS.StepFunctions = Service.defineService('stepfunctions', ['2016-11-23']);
Object.defineProperty(apiLoader.services['stepfunctions'], '2016-11-23', {
  get: function get() {
    var model = __nccwpck_require__(85693);
    model.paginators = (__nccwpck_require__(24818)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.StepFunctions;


/***/ }),

/***/ 89190:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['storagegateway'] = {};
AWS.StorageGateway = Service.defineService('storagegateway', ['2013-06-30']);
Object.defineProperty(apiLoader.services['storagegateway'], '2013-06-30', {
  get: function get() {
    var model = __nccwpck_require__(24770);
    model.paginators = (__nccwpck_require__(33999)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.StorageGateway;


/***/ }),

/***/ 57513:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['sts'] = {};
AWS.STS = Service.defineService('sts', ['2011-06-15']);
__nccwpck_require__(91055);
Object.defineProperty(apiLoader.services['sts'], '2011-06-15', {
  get: function get() {
    var model = __nccwpck_require__(80753);
    model.paginators = (__nccwpck_require__(93639)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.STS;


/***/ }),

/***/ 1099:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['support'] = {};
AWS.Support = Service.defineService('support', ['2013-04-15']);
Object.defineProperty(apiLoader.services['support'], '2013-04-15', {
  get: function get() {
    var model = __nccwpck_require__(20767);
    model.paginators = (__nccwpck_require__(62491)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Support;


/***/ }),

/***/ 32327:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['swf'] = {};
AWS.SWF = Service.defineService('swf', ['2012-01-25']);
__nccwpck_require__(31987);
Object.defineProperty(apiLoader.services['swf'], '2012-01-25', {
  get: function get() {
    var model = __nccwpck_require__(11144);
    model.paginators = (__nccwpck_require__(48039)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.SWF;


/***/ }),

/***/ 25910:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['synthetics'] = {};
AWS.Synthetics = Service.defineService('synthetics', ['2017-10-11']);
Object.defineProperty(apiLoader.services['synthetics'], '2017-10-11', {
  get: function get() {
    var model = __nccwpck_require__(78752);
    model.paginators = (__nccwpck_require__(61615)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Synthetics;


/***/ }),

/***/ 58523:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['textract'] = {};
AWS.Textract = Service.defineService('textract', ['2018-06-27']);
Object.defineProperty(apiLoader.services['textract'], '2018-06-27', {
  get: function get() {
    var model = __nccwpck_require__(49753);
    model.paginators = (__nccwpck_require__(16270)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Textract;


/***/ }),

/***/ 24529:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['timestreamquery'] = {};
AWS.TimestreamQuery = Service.defineService('timestreamquery', ['2018-11-01']);
Object.defineProperty(apiLoader.services['timestreamquery'], '2018-11-01', {
  get: function get() {
    var model = __nccwpck_require__(70457);
    model.paginators = (__nccwpck_require__(97217)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.TimestreamQuery;


/***/ }),

/***/ 1573:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['timestreamwrite'] = {};
AWS.TimestreamWrite = Service.defineService('timestreamwrite', ['2018-11-01']);
Object.defineProperty(apiLoader.services['timestreamwrite'], '2018-11-01', {
  get: function get() {
    var model = __nccwpck_require__(8368);
    model.paginators = (__nccwpck_require__(89653)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.TimestreamWrite;


/***/ }),

/***/ 75811:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['transcribeservice'] = {};
AWS.TranscribeService = Service.defineService('transcribeservice', ['2017-10-26']);
Object.defineProperty(apiLoader.services['transcribeservice'], '2017-10-26', {
  get: function get() {
    var model = __nccwpck_require__(47294);
    model.paginators = (__nccwpck_require__(25395)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.TranscribeService;


/***/ }),

/***/ 51585:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['transfer'] = {};
AWS.Transfer = Service.defineService('transfer', ['2018-11-05']);
Object.defineProperty(apiLoader.services['transfer'], '2018-11-05', {
  get: function get() {
    var model = __nccwpck_require__(93419);
    model.paginators = (__nccwpck_require__(65803)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Transfer;


/***/ }),

/***/ 72544:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['translate'] = {};
AWS.Translate = Service.defineService('translate', ['2017-07-01']);
Object.defineProperty(apiLoader.services['translate'], '2017-07-01', {
  get: function get() {
    var model = __nccwpck_require__(61084);
    model.paginators = (__nccwpck_require__(40304)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Translate;


/***/ }),

/***/ 28747:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['voiceid'] = {};
AWS.VoiceID = Service.defineService('voiceid', ['2021-09-27']);
Object.defineProperty(apiLoader.services['voiceid'], '2021-09-27', {
  get: function get() {
    var model = __nccwpck_require__(9375);
    model.paginators = (__nccwpck_require__(59512)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.VoiceID;


/***/ }),

/***/ 72742:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['waf'] = {};
AWS.WAF = Service.defineService('waf', ['2015-08-24']);
Object.defineProperty(apiLoader.services['waf'], '2015-08-24', {
  get: function get() {
    var model = __nccwpck_require__(37925);
    model.paginators = (__nccwpck_require__(65794)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.WAF;


/***/ }),

/***/ 23153:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['wafregional'] = {};
AWS.WAFRegional = Service.defineService('wafregional', ['2016-11-28']);
Object.defineProperty(apiLoader.services['wafregional'], '2016-11-28', {
  get: function get() {
    var model = __nccwpck_require__(20014);
    model.paginators = (__nccwpck_require__(66829)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.WAFRegional;


/***/ }),

/***/ 50353:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['wafv2'] = {};
AWS.WAFV2 = Service.defineService('wafv2', ['2019-07-29']);
Object.defineProperty(apiLoader.services['wafv2'], '2019-07-29', {
  get: function get() {
    var model = __nccwpck_require__(51872);
    model.paginators = (__nccwpck_require__(33900)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.WAFV2;


/***/ }),

/***/ 86263:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['wellarchitected'] = {};
AWS.WellArchitected = Service.defineService('wellarchitected', ['2020-03-31']);
Object.defineProperty(apiLoader.services['wellarchitected'], '2020-03-31', {
  get: function get() {
    var model = __nccwpck_require__(19249);
    model.paginators = (__nccwpck_require__(54693)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.WellArchitected;


/***/ }),

/***/ 85266:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['wisdom'] = {};
AWS.Wisdom = Service.defineService('wisdom', ['2020-10-19']);
Object.defineProperty(apiLoader.services['wisdom'], '2020-10-19', {
  get: function get() {
    var model = __nccwpck_require__(94385);
    model.paginators = (__nccwpck_require__(54852)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.Wisdom;


/***/ }),

/***/ 38835:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['workdocs'] = {};
AWS.WorkDocs = Service.defineService('workdocs', ['2016-05-01']);
Object.defineProperty(apiLoader.services['workdocs'], '2016-05-01', {
  get: function get() {
    var model = __nccwpck_require__(41052);
    model.paginators = (__nccwpck_require__(94768)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.WorkDocs;


/***/ }),

/***/ 48579:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['worklink'] = {};
AWS.WorkLink = Service.defineService('worklink', ['2018-09-25']);
Object.defineProperty(apiLoader.services['worklink'], '2018-09-25', {
  get: function get() {
    var model = __nccwpck_require__(37178);
    model.paginators = (__nccwpck_require__(74073)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.WorkLink;


/***/ }),

/***/ 38374:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['workmail'] = {};
AWS.WorkMail = Service.defineService('workmail', ['2017-10-01']);
Object.defineProperty(apiLoader.services['workmail'], '2017-10-01', {
  get: function get() {
    var model = __nccwpck_require__(93150);
    model.paginators = (__nccwpck_require__(5158)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.WorkMail;


/***/ }),

/***/ 67025:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['workmailmessageflow'] = {};
AWS.WorkMailMessageFlow = Service.defineService('workmailmessageflow', ['2019-05-01']);
Object.defineProperty(apiLoader.services['workmailmessageflow'], '2019-05-01', {
  get: function get() {
    var model = __nccwpck_require__(57733);
    model.paginators = (__nccwpck_require__(85646)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.WorkMailMessageFlow;


/***/ }),

/***/ 25513:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['workspaces'] = {};
AWS.WorkSpaces = Service.defineService('workspaces', ['2015-04-08']);
Object.defineProperty(apiLoader.services['workspaces'], '2015-04-08', {
  get: function get() {
    var model = __nccwpck_require__(97805);
    model.paginators = (__nccwpck_require__(27769)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.WorkSpaces;


/***/ }),

/***/ 94124:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['workspacesweb'] = {};
AWS.WorkSpacesWeb = Service.defineService('workspacesweb', ['2020-07-08']);
Object.defineProperty(apiLoader.services['workspacesweb'], '2020-07-08', {
  get: function get() {
    var model = __nccwpck_require__(47128);
    model.paginators = (__nccwpck_require__(43497)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.WorkSpacesWeb;


/***/ }),

/***/ 41548:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);
var AWS = __nccwpck_require__(28437);
var Service = AWS.Service;
var apiLoader = AWS.apiLoader;

apiLoader.services['xray'] = {};
AWS.XRay = Service.defineService('xray', ['2016-04-12']);
Object.defineProperty(apiLoader.services['xray'], '2016-04-12', {
  get: function get() {
    var model = __nccwpck_require__(97355);
    model.paginators = (__nccwpck_require__(97949)/* .pagination */ .o);
    return model;
  },
  enumerable: true,
  configurable: true
});

module.exports = AWS.XRay;


/***/ }),

/***/ 52793:
/***/ ((module) => {

function apiLoader(svc, version) {
  if (!apiLoader.services.hasOwnProperty(svc)) {
    throw new Error('InvalidService: Failed to load api for ' + svc);
  }
  return apiLoader.services[svc][version];
}

/**
 * @api private
 *
 * This member of AWS.apiLoader is private, but changing it will necessitate a
 * change to ../scripts/services-table-generator.ts
 */
apiLoader.services = {};

/**
 * @api private
 */
module.exports = apiLoader;


/***/ }),

/***/ 71786:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(73639);

var AWS = __nccwpck_require__(28437);

// Load all service classes
__nccwpck_require__(26296);

/**
 * @api private
 */
module.exports = AWS;


/***/ }),

/***/ 93260:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437),
    url = AWS.util.url,
    crypto = AWS.util.crypto.lib,
    base64Encode = AWS.util.base64.encode,
    inherit = AWS.util.inherit;

var queryEncode = function (string) {
    var replacements = {
        '+': '-',
        '=': '_',
        '/': '~'
    };
    return string.replace(/[\+=\/]/g, function (match) {
        return replacements[match];
    });
};

var signPolicy = function (policy, privateKey) {
    var sign = crypto.createSign('RSA-SHA1');
    sign.write(policy);
    return queryEncode(sign.sign(privateKey, 'base64'));
};

var signWithCannedPolicy = function (url, expires, keyPairId, privateKey) {
    var policy = JSON.stringify({
        Statement: [
            {
                Resource: url,
                Condition: { DateLessThan: { 'AWS:EpochTime': expires } }
            }
        ]
    });

    return {
        Expires: expires,
        'Key-Pair-Id': keyPairId,
        Signature: signPolicy(policy.toString(), privateKey)
    };
};

var signWithCustomPolicy = function (policy, keyPairId, privateKey) {
    policy = policy.replace(/\s/mg, '');

    return {
        Policy: queryEncode(base64Encode(policy)),
        'Key-Pair-Id': keyPairId,
        Signature: signPolicy(policy, privateKey)
    };
};

var determineScheme = function (url) {
    var parts = url.split('://');
    if (parts.length < 2) {
        throw new Error('Invalid URL.');
    }

    return parts[0].replace('*', '');
};

var getRtmpUrl = function (rtmpUrl) {
    var parsed = url.parse(rtmpUrl);
    return parsed.path.replace(/^\//, '') + (parsed.hash || '');
};

var getResource = function (url) {
    switch (determineScheme(url)) {
        case 'http':
        case 'https':
            return url;
        case 'rtmp':
            return getRtmpUrl(url);
        default:
            throw new Error('Invalid URI scheme. Scheme must be one of'
                + ' http, https, or rtmp');
    }
};

var handleError = function (err, callback) {
    if (!callback || typeof callback !== 'function') {
        throw err;
    }

    callback(err);
};

var handleSuccess = function (result, callback) {
    if (!callback || typeof callback !== 'function') {
        return result;
    }

    callback(null, result);
};

AWS.CloudFront.Signer = inherit({
    /**
     * A signer object can be used to generate signed URLs and cookies for granting
     * access to content on restricted CloudFront distributions.
     *
     * @see http://docs.aws.amazon.com/AmazonCloudFront/latest/DeveloperGuide/PrivateContent.html
     *
     * @param keyPairId [String]    (Required) The ID of the CloudFront key pair
     *                              being used.
     * @param privateKey [String]   (Required) A private key in RSA format.
     */
    constructor: function Signer(keyPairId, privateKey) {
        if (keyPairId === void 0 || privateKey === void 0) {
            throw new Error('A key pair ID and private key are required');
        }

        this.keyPairId = keyPairId;
        this.privateKey = privateKey;
    },

    /**
     * Create a signed Amazon CloudFront Cookie.
     *
     * @param options [Object]            The options to create a signed cookie.
     * @option options url [String]     The URL to which the signature will grant
     *                                  access. Required unless you pass in a full
     *                                  policy.
     * @option options expires [Number] A Unix UTC timestamp indicating when the
     *                                  signature should expire. Required unless you
     *                                  pass in a full policy.
     * @option options policy [String]  A CloudFront JSON policy. Required unless
     *                                  you pass in a url and an expiry time.
     *
     * @param cb [Function] if a callback is provided, this function will
     *   pass the hash as the second parameter (after the error parameter) to
     *   the callback function.
     *
     * @return [Object] if called synchronously (with no callback), returns the
     *   signed cookie parameters.
     * @return [null] nothing is returned if a callback is provided.
     */
    getSignedCookie: function (options, cb) {
        var signatureHash = 'policy' in options
            ? signWithCustomPolicy(options.policy, this.keyPairId, this.privateKey)
            : signWithCannedPolicy(options.url, options.expires, this.keyPairId, this.privateKey);

        var cookieHash = {};
        for (var key in signatureHash) {
            if (Object.prototype.hasOwnProperty.call(signatureHash, key)) {
                cookieHash['CloudFront-' + key] = signatureHash[key];
            }
        }

        return handleSuccess(cookieHash, cb);
    },

    /**
     * Create a signed Amazon CloudFront URL.
     *
     * Keep in mind that URLs meant for use in media/flash players may have
     * different requirements for URL formats (e.g. some require that the
     * extension be removed, some require the file name to be prefixed
     * - mp4:<path>, some require you to add "/cfx/st" into your URL).
     *
     * @param options [Object]          The options to create a signed URL.
     * @option options url [String]     The URL to which the signature will grant
     *                                  access. Any query params included with
     *                                  the URL should be encoded. Required.
     * @option options expires [Number] A Unix UTC timestamp indicating when the
     *                                  signature should expire. Required unless you
     *                                  pass in a full policy.
     * @option options policy [String]  A CloudFront JSON policy. Required unless
     *                                  you pass in a url and an expiry time.
     *
     * @param cb [Function] if a callback is provided, this function will
     *   pass the URL as the second parameter (after the error parameter) to
     *   the callback function.
     *
     * @return [String] if called synchronously (with no callback), returns the
     *   signed URL.
     * @return [null] nothing is returned if a callback is provided.
     */
    getSignedUrl: function (options, cb) {
        try {
            var resource = getResource(options.url);
        } catch (err) {
            return handleError(err, cb);
        }

        var parsedUrl = url.parse(options.url, true),
            signatureHash = Object.prototype.hasOwnProperty.call(options, 'policy')
                ? signWithCustomPolicy(options.policy, this.keyPairId, this.privateKey)
                : signWithCannedPolicy(resource, options.expires, this.keyPairId, this.privateKey);

        parsedUrl.search = null;
        for (var key in signatureHash) {
            if (Object.prototype.hasOwnProperty.call(signatureHash, key)) {
                parsedUrl.query[key] = signatureHash[key];
            }
        }

        try {
            var signedUrl = determineScheme(options.url) === 'rtmp'
                    ? getRtmpUrl(url.format(parsedUrl))
                    : url.format(parsedUrl);
        } catch (err) {
            return handleError(err, cb);
        }

        return handleSuccess(signedUrl, cb);
    }
});

/**
 * @api private
 */
module.exports = AWS.CloudFront.Signer;


/***/ }),

/***/ 38110:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
__nccwpck_require__(53819);
__nccwpck_require__(36965);
var PromisesDependency;

/**
 * The main configuration class used by all service objects to set
 * the region, credentials, and other options for requests.
 *
 * By default, credentials and region settings are left unconfigured.
 * This should be configured by the application before using any
 * AWS service APIs.
 *
 * In order to set global configuration options, properties should
 * be assigned to the global {AWS.config} object.
 *
 * @see AWS.config
 *
 * @!group General Configuration Options
 *
 * @!attribute credentials
 *   @return [AWS.Credentials] the AWS credentials to sign requests with.
 *
 * @!attribute region
 *   @example Set the global region setting to us-west-2
 *     AWS.config.update({region: 'us-west-2'});
 *   @return [AWS.Credentials] The region to send service requests to.
 *   @see http://docs.amazonwebservices.com/general/latest/gr/rande.html
 *     A list of available endpoints for each AWS service
 *
 * @!attribute maxRetries
 *   @return [Integer] the maximum amount of retries to perform for a
 *     service request. By default this value is calculated by the specific
 *     service object that the request is being made to.
 *
 * @!attribute maxRedirects
 *   @return [Integer] the maximum amount of redirects to follow for a
 *     service request. Defaults to 10.
 *
 * @!attribute paramValidation
 *   @return [Boolean|map] whether input parameters should be validated against
 *     the operation description before sending the request. Defaults to true.
 *     Pass a map to enable any of the following specific validation features:
 *
 *     * **min** [Boolean] &mdash; Validates that a value meets the min
 *       constraint. This is enabled by default when paramValidation is set
 *       to `true`.
 *     * **max** [Boolean] &mdash; Validates that a value meets the max
 *       constraint.
 *     * **pattern** [Boolean] &mdash; Validates that a string value matches a
 *       regular expression.
 *     * **enum** [Boolean] &mdash; Validates that a string value matches one
 *       of the allowable enum values.
 *
 * @!attribute computeChecksums
 *   @return [Boolean] whether to compute checksums for payload bodies when
 *     the service accepts it (currently supported in S3 and SQS only).
 *
 * @!attribute convertResponseTypes
 *   @return [Boolean] whether types are converted when parsing response data.
 *     Currently only supported for JSON based services. Turning this off may
 *     improve performance on large response payloads. Defaults to `true`.
 *
 * @!attribute correctClockSkew
 *   @return [Boolean] whether to apply a clock skew correction and retry
 *     requests that fail because of an skewed client clock. Defaults to
 *     `false`.
 *
 * @!attribute sslEnabled
 *   @return [Boolean] whether SSL is enabled for requests
 *
 * @!attribute s3ForcePathStyle
 *   @return [Boolean] whether to force path style URLs for S3 objects
 *
 * @!attribute s3BucketEndpoint
 *   @note Setting this configuration option requires an `endpoint` to be
 *     provided explicitly to the service constructor.
 *   @return [Boolean] whether the provided endpoint addresses an individual
 *     bucket (false if it addresses the root API endpoint).
 *
 * @!attribute s3DisableBodySigning
 *   @return [Boolean] whether to disable S3 body signing when using signature version `v4`.
 *     Body signing can only be disabled when using https. Defaults to `true`.
 *
 * @!attribute s3UsEast1RegionalEndpoint
 *   @return ['legacy'|'regional'] when region is set to 'us-east-1', whether to send s3
 *     request to global endpoints or 'us-east-1' regional endpoints. This config is only
 *     applicable to S3 client;
 *     Defaults to 'legacy'
 * @!attribute s3UseArnRegion
 *   @return [Boolean] whether to override the request region with the region inferred
 *     from requested resource's ARN. Only available for S3 buckets
 *     Defaults to `true`
 *
 * @!attribute useAccelerateEndpoint
 *   @note This configuration option is only compatible with S3 while accessing
 *     dns-compatible buckets.
 *   @return [Boolean] Whether to use the Accelerate endpoint with the S3 service.
 *     Defaults to `false`.
 *
 * @!attribute retryDelayOptions
 *   @example Set the base retry delay for all services to 300 ms
 *     AWS.config.update({retryDelayOptions: {base: 300}});
 *     // Delays with maxRetries = 3: 300, 600, 1200
 *   @example Set a custom backoff function to provide delay values on retries
 *     AWS.config.update({retryDelayOptions: {customBackoff: function(retryCount, err) {
 *       // returns delay in ms
 *     }}});
 *   @return [map] A set of options to configure the retry delay on retryable errors.
 *     Currently supported options are:
 *
 *     * **base** [Integer] &mdash; The base number of milliseconds to use in the
 *       exponential backoff for operation retries. Defaults to 100 ms for all services except
 *       DynamoDB, where it defaults to 50ms.
 *
 *     * **customBackoff ** [function] &mdash; A custom function that accepts a
 *       retry count and error and returns the amount of time to delay in
 *       milliseconds. If the result is a non-zero negative value, no further
 *       retry attempts will be made. The `base` option will be ignored if this
 *       option is supplied. The function is only called for retryable errors.
 *
 * @!attribute httpOptions
 *   @return [map] A set of options to pass to the low-level HTTP request.
 *     Currently supported options are:
 *
 *     * **proxy** [String] &mdash; the URL to proxy requests through
 *     * **agent** [http.Agent, https.Agent] &mdash; the Agent object to perform
 *       HTTP requests with. Used for connection pooling. Note that for
 *       SSL connections, a special Agent object is used in order to enable
 *       peer certificate verification. This feature is only supported in the
 *       Node.js environment.
 *     * **connectTimeout** [Integer] &mdash; Sets the socket to timeout after
 *       failing to establish a connection with the server after
 *       `connectTimeout` milliseconds. This timeout has no effect once a socket
 *       connection has been established.
 *     * **timeout** [Integer] &mdash; The number of milliseconds a request can
 *       take before automatically being terminated.
 *       Defaults to two minutes (120000).
 *     * **xhrAsync** [Boolean] &mdash; Whether the SDK will send asynchronous
 *       HTTP requests. Used in the browser environment only. Set to false to
 *       send requests synchronously. Defaults to true (async on).
 *     * **xhrWithCredentials** [Boolean] &mdash; Sets the "withCredentials"
 *       property of an XMLHttpRequest object. Used in the browser environment
 *       only. Defaults to false.
 * @!attribute logger
 *   @return [#write,#log] an object that responds to .write() (like a stream)
 *     or .log() (like the console object) in order to log information about
 *     requests
 *
 * @!attribute systemClockOffset
 *   @return [Number] an offset value in milliseconds to apply to all signing
 *     times. Use this to compensate for clock skew when your system may be
 *     out of sync with the service time. Note that this configuration option
 *     can only be applied to the global `AWS.config` object and cannot be
 *     overridden in service-specific configuration. Defaults to 0 milliseconds.
 *
 * @!attribute signatureVersion
 *   @return [String] the signature version to sign requests with (overriding
 *     the API configuration). Possible values are: 'v2', 'v3', 'v4'.
 *
 * @!attribute signatureCache
 *   @return [Boolean] whether the signature to sign requests with (overriding
 *     the API configuration) is cached. Only applies to the signature version 'v4'.
 *     Defaults to `true`.
 *
 * @!attribute endpointDiscoveryEnabled
 *   @return [Boolean|undefined] whether to call operations with endpoints
 *     given by service dynamically. Setting this config to `true` will enable
 *     endpoint discovery for all applicable operations. Setting it to `false`
 *     will explicitly disable endpoint discovery even though operations that
 *     require endpoint discovery will presumably fail. Leaving it to
 *     `undefined` means SDK only do endpoint discovery when it's required.
 *     Defaults to `undefined`
 *
 * @!attribute endpointCacheSize
 *   @return [Number] the size of the global cache storing endpoints from endpoint
 *     discovery operations. Once endpoint cache is created, updating this setting
 *     cannot change existing cache size.
 *     Defaults to 1000
 *
 * @!attribute hostPrefixEnabled
 *   @return [Boolean] whether to marshal request parameters to the prefix of
 *     hostname. Defaults to `true`.
 *
 * @!attribute stsRegionalEndpoints
 *   @return ['legacy'|'regional'] whether to send sts request to global endpoints or
 *     regional endpoints.
 *     Defaults to 'legacy'.
 *
 * @!attribute useFipsEndpoint
 *   @return [Boolean] Enables FIPS compatible endpoints. Defaults to `false`.
 *
 * @!attribute useDualstackEndpoint
 *   @return [Boolean] Enables IPv6 dualstack endpoint. Defaults to `false`.
 */
AWS.Config = AWS.util.inherit({
  /**
   * @!endgroup
   */

  /**
   * Creates a new configuration object. This is the object that passes
   * option data along to service requests, including credentials, security,
   * region information, and some service specific settings.
   *
   * @example Creating a new configuration object with credentials and region
   *   var config = new AWS.Config({
   *     accessKeyId: 'AKID', secretAccessKey: 'SECRET', region: 'us-west-2'
   *   });
   * @option options accessKeyId [String] your AWS access key ID.
   * @option options secretAccessKey [String] your AWS secret access key.
   * @option options sessionToken [AWS.Credentials] the optional AWS
   *   session token to sign requests with.
   * @option options credentials [AWS.Credentials] the AWS credentials
   *   to sign requests with. You can either specify this object, or
   *   specify the accessKeyId and secretAccessKey options directly.
   * @option options credentialProvider [AWS.CredentialProviderChain] the
   *   provider chain used to resolve credentials if no static `credentials`
   *   property is set.
   * @option options region [String] the region to send service requests to.
   *   See {region} for more information.
   * @option options maxRetries [Integer] the maximum amount of retries to
   *   attempt with a request. See {maxRetries} for more information.
   * @option options maxRedirects [Integer] the maximum amount of redirects to
   *   follow with a request. See {maxRedirects} for more information.
   * @option options sslEnabled [Boolean] whether to enable SSL for
   *   requests.
   * @option options paramValidation [Boolean|map] whether input parameters
   *   should be validated against the operation description before sending
   *   the request. Defaults to true. Pass a map to enable any of the
   *   following specific validation features:
   *
   *   * **min** [Boolean] &mdash; Validates that a value meets the min
   *     constraint. This is enabled by default when paramValidation is set
   *     to `true`.
   *   * **max** [Boolean] &mdash; Validates that a value meets the max
   *     constraint.
   *   * **pattern** [Boolean] &mdash; Validates that a string value matches a
   *     regular expression.
   *   * **enum** [Boolean] &mdash; Validates that a string value matches one
   *     of the allowable enum values.
   * @option options computeChecksums [Boolean] whether to compute checksums
   *   for payload bodies when the service accepts it (currently supported
   *   in S3 only)
   * @option options convertResponseTypes [Boolean] whether types are converted
   *     when parsing response data. Currently only supported for JSON based
   *     services. Turning this off may improve performance on large response
   *     payloads. Defaults to `true`.
   * @option options correctClockSkew [Boolean] whether to apply a clock skew
   *     correction and retry requests that fail because of an skewed client
   *     clock. Defaults to `false`.
   * @option options s3ForcePathStyle [Boolean] whether to force path
   *   style URLs for S3 objects.
   * @option options s3BucketEndpoint [Boolean] whether the provided endpoint
   *   addresses an individual bucket (false if it addresses the root API
   *   endpoint). Note that setting this configuration option requires an
   *   `endpoint` to be provided explicitly to the service constructor.
   * @option options s3DisableBodySigning [Boolean] whether S3 body signing
   *   should be disabled when using signature version `v4`. Body signing
   *   can only be disabled when using https. Defaults to `true`.
   * @option options s3UsEast1RegionalEndpoint ['legacy'|'regional'] when region
   *   is set to 'us-east-1', whether to send s3 request to global endpoints or
   *   'us-east-1' regional endpoints. This config is only applicable to S3 client.
   *   Defaults to `legacy`
   * @option options s3UseArnRegion [Boolean] whether to override the request region
   *   with the region inferred from requested resource's ARN. Only available for S3 buckets
   *   Defaults to `true`
   *
   * @option options retryDelayOptions [map] A set of options to configure
   *   the retry delay on retryable errors. Currently supported options are:
   *
   *   * **base** [Integer] &mdash; The base number of milliseconds to use in the
   *     exponential backoff for operation retries. Defaults to 100 ms for all
   *     services except DynamoDB, where it defaults to 50ms.
   *   * **customBackoff ** [function] &mdash; A custom function that accepts a
   *     retry count and error and returns the amount of time to delay in
   *     milliseconds. If the result is a non-zero negative value, no further
   *     retry attempts will be made. The `base` option will be ignored if this
   *     option is supplied. The function is only called for retryable errors.
   * @option options httpOptions [map] A set of options to pass to the low-level
   *   HTTP request. Currently supported options are:
   *
   *   * **proxy** [String] &mdash; the URL to proxy requests through
   *   * **agent** [http.Agent, https.Agent] &mdash; the Agent object to perform
   *     HTTP requests with. Used for connection pooling. Defaults to the global
   *     agent (`http.globalAgent`) for non-SSL connections. Note that for
   *     SSL connections, a special Agent object is used in order to enable
   *     peer certificate verification. This feature is only available in the
   *     Node.js environment.
   *   * **connectTimeout** [Integer] &mdash; Sets the socket to timeout after
   *     failing to establish a connection with the server after
   *     `connectTimeout` milliseconds. This timeout has no effect once a socket
   *     connection has been established.
   *   * **timeout** [Integer] &mdash; Sets the socket to timeout after timeout
   *     milliseconds of inactivity on the socket. Defaults to two minutes
   *     (120000).
   *   * **xhrAsync** [Boolean] &mdash; Whether the SDK will send asynchronous
   *     HTTP requests. Used in the browser environment only. Set to false to
   *     send requests synchronously. Defaults to true (async on).
   *   * **xhrWithCredentials** [Boolean] &mdash; Sets the "withCredentials"
   *     property of an XMLHttpRequest object. Used in the browser environment
   *     only. Defaults to false.
   * @option options apiVersion [String, Date] a String in YYYY-MM-DD format
   *   (or a date) that represents the latest possible API version that can be
   *   used in all services (unless overridden by `apiVersions`). Specify
   *   'latest' to use the latest possible version.
   * @option options apiVersions [map<String, String|Date>] a map of service
   *   identifiers (the lowercase service class name) with the API version to
   *   use when instantiating a service. Specify 'latest' for each individual
   *   that can use the latest available version.
   * @option options logger [#write,#log] an object that responds to .write()
   *   (like a stream) or .log() (like the console object) in order to log
   *   information about requests
   * @option options systemClockOffset [Number] an offset value in milliseconds
   *   to apply to all signing times. Use this to compensate for clock skew
   *   when your system may be out of sync with the service time. Note that
   *   this configuration option can only be applied to the global `AWS.config`
   *   object and cannot be overridden in service-specific configuration.
   *   Defaults to 0 milliseconds.
   * @option options signatureVersion [String] the signature version to sign
   *   requests with (overriding the API configuration). Possible values are:
   *   'v2', 'v3', 'v4'.
   * @option options signatureCache [Boolean] whether the signature to sign
   *   requests with (overriding the API configuration) is cached. Only applies
   *   to the signature version 'v4'. Defaults to `true`.
   * @option options dynamoDbCrc32 [Boolean] whether to validate the CRC32
   *   checksum of HTTP response bodies returned by DynamoDB. Default: `true`.
   * @option options useAccelerateEndpoint [Boolean] Whether to use the
   *   S3 Transfer Acceleration endpoint with the S3 service. Default: `false`.
   * @option options clientSideMonitoring [Boolean] whether to collect and
   *   publish this client's performance metrics of all its API requests.
   * @option options endpointDiscoveryEnabled [Boolean|undefined] whether to
   *   call operations with endpoints given by service dynamically. Setting this
   * config to `true` will enable endpoint discovery for all applicable operations.
   *   Setting it to `false` will explicitly disable endpoint discovery even though
   *   operations that require endpoint discovery will presumably fail. Leaving it
   *   to `undefined` means SDK will only do endpoint discovery when it's required.
   *   Defaults to `undefined`
   * @option options endpointCacheSize [Number] the size of the global cache storing
   *   endpoints from endpoint discovery operations. Once endpoint cache is created,
   *   updating this setting cannot change existing cache size.
   *   Defaults to 1000
   * @option options hostPrefixEnabled [Boolean] whether to marshal request
   *   parameters to the prefix of hostname.
   *   Defaults to `true`.
   * @option options stsRegionalEndpoints ['legacy'|'regional'] whether to send sts request
   *   to global endpoints or regional endpoints.
   *   Defaults to 'legacy'.
   * @option options useFipsEndpoint [Boolean] Enables FIPS compatible endpoints.
   *   Defaults to `false`.
   * @option options useDualstackEndpoint [Boolean] Enables IPv6 dualstack endpoint.
   *   Defaults to `false`.
   */
  constructor: function Config(options) {
    if (options === undefined) options = {};
    options = this.extractCredentials(options);

    AWS.util.each.call(this, this.keys, function (key, value) {
      this.set(key, options[key], value);
    });
  },

  /**
   * @!group Managing Credentials
   */

  /**
   * Loads credentials from the configuration object. This is used internally
   * by the SDK to ensure that refreshable {Credentials} objects are properly
   * refreshed and loaded when sending a request. If you want to ensure that
   * your credentials are loaded prior to a request, you can use this method
   * directly to provide accurate credential data stored in the object.
   *
   * @note If you configure the SDK with static or environment credentials,
   *   the credential data should already be present in {credentials} attribute.
   *   This method is primarily necessary to load credentials from asynchronous
   *   sources, or sources that can refresh credentials periodically.
   * @example Getting your access key
   *   AWS.config.getCredentials(function(err) {
   *     if (err) console.log(err.stack); // credentials not loaded
   *     else console.log("Access Key:", AWS.config.credentials.accessKeyId);
   *   })
   * @callback callback function(err)
   *   Called when the {credentials} have been properly set on the configuration
   *   object.
   *
   *   @param err [Error] if this is set, credentials were not successfully
   *     loaded and this error provides information why.
   * @see credentials
   * @see Credentials
   */
  getCredentials: function getCredentials(callback) {
    var self = this;

    function finish(err) {
      callback(err, err ? null : self.credentials);
    }

    function credError(msg, err) {
      return new AWS.util.error(err || new Error(), {
        code: 'CredentialsError',
        message: msg,
        name: 'CredentialsError'
      });
    }

    function getAsyncCredentials() {
      self.credentials.get(function(err) {
        if (err) {
          var msg = 'Could not load credentials from ' +
            self.credentials.constructor.name;
          err = credError(msg, err);
        }
        finish(err);
      });
    }

    function getStaticCredentials() {
      var err = null;
      if (!self.credentials.accessKeyId || !self.credentials.secretAccessKey) {
        err = credError('Missing credentials');
      }
      finish(err);
    }

    if (self.credentials) {
      if (typeof self.credentials.get === 'function') {
        getAsyncCredentials();
      } else { // static credentials
        getStaticCredentials();
      }
    } else if (self.credentialProvider) {
      self.credentialProvider.resolve(function(err, creds) {
        if (err) {
          err = credError('Could not load credentials from any providers', err);
        }
        self.credentials = creds;
        finish(err);
      });
    } else {
      finish(credError('No credentials to load'));
    }
  },

  /**
   * @!group Loading and Setting Configuration Options
   */

  /**
   * @overload update(options, allowUnknownKeys = false)
   *   Updates the current configuration object with new options.
   *
   *   @example Update maxRetries property of a configuration object
   *     config.update({maxRetries: 10});
   *   @param [Object] options a map of option keys and values.
   *   @param [Boolean] allowUnknownKeys whether unknown keys can be set on
   *     the configuration object. Defaults to `false`.
   *   @see constructor
   */
  update: function update(options, allowUnknownKeys) {
    allowUnknownKeys = allowUnknownKeys || false;
    options = this.extractCredentials(options);
    AWS.util.each.call(this, options, function (key, value) {
      if (allowUnknownKeys || Object.prototype.hasOwnProperty.call(this.keys, key) ||
          AWS.Service.hasService(key)) {
        this.set(key, value);
      }
    });
  },

  /**
   * Loads configuration data from a JSON file into this config object.
   * @note Loading configuration will reset all existing configuration
   *   on the object.
   * @!macro nobrowser
   * @param path [String] the path relative to your process's current
   *    working directory to load configuration from.
   * @return [AWS.Config] the same configuration object
   */
  loadFromPath: function loadFromPath(path) {
    this.clear();

    var options = JSON.parse(AWS.util.readFileSync(path));
    var fileSystemCreds = new AWS.FileSystemCredentials(path);
    var chain = new AWS.CredentialProviderChain();
    chain.providers.unshift(fileSystemCreds);
    chain.resolve(function (err, creds) {
      if (err) throw err;
      else options.credentials = creds;
    });

    this.constructor(options);

    return this;
  },

  /**
   * Clears configuration data on this object
   *
   * @api private
   */
  clear: function clear() {
    /*jshint forin:false */
    AWS.util.each.call(this, this.keys, function (key) {
      delete this[key];
    });

    // reset credential provider
    this.set('credentials', undefined);
    this.set('credentialProvider', undefined);
  },

  /**
   * Sets a property on the configuration object, allowing for a
   * default value
   * @api private
   */
  set: function set(property, value, defaultValue) {
    if (value === undefined) {
      if (defaultValue === undefined) {
        defaultValue = this.keys[property];
      }
      if (typeof defaultValue === 'function') {
        this[property] = defaultValue.call(this);
      } else {
        this[property] = defaultValue;
      }
    } else if (property === 'httpOptions' && this[property]) {
      // deep merge httpOptions
      this[property] = AWS.util.merge(this[property], value);
    } else {
      this[property] = value;
    }
  },

  /**
   * All of the keys with their default values.
   *
   * @constant
   * @api private
   */
  keys: {
    credentials: null,
    credentialProvider: null,
    region: null,
    logger: null,
    apiVersions: {},
    apiVersion: null,
    endpoint: undefined,
    httpOptions: {
      timeout: 120000
    },
    maxRetries: undefined,
    maxRedirects: 10,
    paramValidation: true,
    sslEnabled: true,
    s3ForcePathStyle: false,
    s3BucketEndpoint: false,
    s3DisableBodySigning: true,
    s3UsEast1RegionalEndpoint: 'legacy',
    s3UseArnRegion: undefined,
    computeChecksums: true,
    convertResponseTypes: true,
    correctClockSkew: false,
    customUserAgent: null,
    dynamoDbCrc32: true,
    systemClockOffset: 0,
    signatureVersion: null,
    signatureCache: true,
    retryDelayOptions: {},
    useAccelerateEndpoint: false,
    clientSideMonitoring: false,
    endpointDiscoveryEnabled: undefined,
    endpointCacheSize: 1000,
    hostPrefixEnabled: true,
    stsRegionalEndpoints: 'legacy',
    useFipsEndpoint: false,
    useDualstackEndpoint: false
  },

  /**
   * Extracts accessKeyId, secretAccessKey and sessionToken
   * from a configuration hash.
   *
   * @api private
   */
  extractCredentials: function extractCredentials(options) {
    if (options.accessKeyId && options.secretAccessKey) {
      options = AWS.util.copy(options);
      options.credentials = new AWS.Credentials(options);
    }
    return options;
  },

  /**
   * Sets the promise dependency the SDK will use wherever Promises are returned.
   * Passing `null` will force the SDK to use native Promises if they are available.
   * If native Promises are not available, passing `null` will have no effect.
   * @param [Constructor] dep A reference to a Promise constructor
   */
  setPromisesDependency: function setPromisesDependency(dep) {
    PromisesDependency = dep;
    // if null was passed in, we should try to use native promises
    if (dep === null && typeof Promise === 'function') {
      PromisesDependency = Promise;
    }
    var constructors = [AWS.Request, AWS.Credentials, AWS.CredentialProviderChain];
    if (AWS.S3) {
      constructors.push(AWS.S3);
      if (AWS.S3.ManagedUpload) {
        constructors.push(AWS.S3.ManagedUpload);
      }
    }
    AWS.util.addPromises(constructors, PromisesDependency);
  },

  /**
   * Gets the promise dependency set by `AWS.config.setPromisesDependency`.
   */
  getPromisesDependency: function getPromisesDependency() {
    return PromisesDependency;
  }
});

/**
 * @return [AWS.Config] The global configuration object singleton instance
 * @readonly
 * @see AWS.Config
 */
AWS.config = new AWS.Config();


/***/ }),

/***/ 85566:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
/**
 * @api private
 */
function validateRegionalEndpointsFlagValue(configValue, errorOptions) {
  if (typeof configValue !== 'string') return undefined;
  else if (['legacy', 'regional'].indexOf(configValue.toLowerCase()) >= 0) {
    return configValue.toLowerCase();
  } else {
    throw AWS.util.error(new Error(), errorOptions);
  }
}

/**
 * Resolve the configuration value for regional endpoint from difference sources: client
 * config, environmental variable, shared config file. Value can be case-insensitive
 * 'legacy' or 'reginal'.
 * @param originalConfig user-supplied config object to resolve
 * @param options a map of config property names from individual configuration source
 *  - env: name of environmental variable that refers to the config
 *  - sharedConfig: name of shared configuration file property that refers to the config
 *  - clientConfig: name of client configuration property that refers to the config
 *
 * @api private
 */
function resolveRegionalEndpointsFlag(originalConfig, options) {
  originalConfig = originalConfig || {};
  //validate config value
  var resolved;
  if (originalConfig[options.clientConfig]) {
    resolved = validateRegionalEndpointsFlagValue(originalConfig[options.clientConfig], {
      code: 'InvalidConfiguration',
      message: 'invalid "' + options.clientConfig + '" configuration. Expect "legacy" ' +
      ' or "regional". Got "' + originalConfig[options.clientConfig] + '".'
    });
    if (resolved) return resolved;
  }
  if (!AWS.util.isNode()) return resolved;
  //validate environmental variable
  if (Object.prototype.hasOwnProperty.call(process.env, options.env)) {
    var envFlag = process.env[options.env];
    resolved = validateRegionalEndpointsFlagValue(envFlag, {
      code: 'InvalidEnvironmentalVariable',
      message: 'invalid ' + options.env + ' environmental variable. Expect "legacy" ' +
      ' or "regional". Got "' + process.env[options.env] + '".'
    });
    if (resolved) return resolved;
  }
  //validate shared config file
  var profile = {};
  try {
    var profiles = AWS.util.getProfilesFromSharedConfig(AWS.util.iniLoader);
    profile = profiles[process.env.AWS_PROFILE || AWS.util.defaultProfile];
  } catch (e) {};
  if (profile && Object.prototype.hasOwnProperty.call(profile, options.sharedConfig)) {
    var fileFlag = profile[options.sharedConfig];
    resolved = validateRegionalEndpointsFlagValue(fileFlag, {
      code: 'InvalidConfiguration',
      message: 'invalid ' + options.sharedConfig + ' profile config. Expect "legacy" ' +
      ' or "regional". Got "' + profile[options.sharedConfig] + '".'
    });
    if (resolved) return resolved;
  }
  return resolved;
}

module.exports = resolveRegionalEndpointsFlag;


/***/ }),

/***/ 28437:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

/**
 * The main AWS namespace
 */
var AWS = { util: __nccwpck_require__(77985) };

/**
 * @api private
 * @!macro [new] nobrowser
 *   @note This feature is not supported in the browser environment of the SDK.
 */
var _hidden = {}; _hidden.toString(); // hack to parse macro

/**
 * @api private
 */
module.exports = AWS;

AWS.util.update(AWS, {

  /**
   * @constant
   */
  VERSION: '2.1046.0',

  /**
   * @api private
   */
  Signers: {},

  /**
   * @api private
   */
  Protocol: {
    Json: __nccwpck_require__(30083),
    Query: __nccwpck_require__(90761),
    Rest: __nccwpck_require__(98200),
    RestJson: __nccwpck_require__(5883),
    RestXml: __nccwpck_require__(15143)
  },

  /**
   * @api private
   */
  XML: {
    Builder: __nccwpck_require__(23546),
    Parser: null // conditionally set based on environment
  },

  /**
   * @api private
   */
  JSON: {
    Builder: __nccwpck_require__(47495),
    Parser: __nccwpck_require__(5474)
  },

  /**
   * @api private
   */
  Model: {
    Api: __nccwpck_require__(17657),
    Operation: __nccwpck_require__(28083),
    Shape: __nccwpck_require__(71349),
    Paginator: __nccwpck_require__(45938),
    ResourceWaiter: __nccwpck_require__(41368)
  },

  /**
   * @api private
   */
  apiLoader: __nccwpck_require__(52793),

  /**
   * @api private
   */
  EndpointCache: (__nccwpck_require__(96323)/* .EndpointCache */ .$)
});
__nccwpck_require__(55948);
__nccwpck_require__(68903);
__nccwpck_require__(38110);
__nccwpck_require__(1556);
__nccwpck_require__(54995);
__nccwpck_require__(78652);
__nccwpck_require__(58743);
__nccwpck_require__(7246);
__nccwpck_require__(9897);
__nccwpck_require__(99127);

/**
 * @readonly
 * @return [AWS.SequentialExecutor] a collection of global event listeners that
 *   are attached to every sent request.
 * @see AWS.Request AWS.Request for a list of events to listen for
 * @example Logging the time taken to send a request
 *   AWS.events.on('send', function startSend(resp) {
 *     resp.startTime = new Date().getTime();
 *   }).on('complete', function calculateTime(resp) {
 *     var time = (new Date().getTime() - resp.startTime) / 1000;
 *     console.log('Request took ' + time + ' seconds');
 *   });
 *
 *   new AWS.S3().listBuckets(); // prints 'Request took 0.285 seconds'
 */
AWS.events = new AWS.SequentialExecutor();

//create endpoint cache lazily
AWS.util.memoizedProperty(AWS, 'endpointCache', function() {
  return new AWS.EndpointCache(AWS.config.endpointCacheSize);
}, true);


/***/ }),

/***/ 53819:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

/**
 * Represents your AWS security credentials, specifically the
 * {accessKeyId}, {secretAccessKey}, and optional {sessionToken}.
 * Creating a `Credentials` object allows you to pass around your
 * security information to configuration and service objects.
 *
 * Note that this class typically does not need to be constructed manually,
 * as the {AWS.Config} and {AWS.Service} classes both accept simple
 * options hashes with the three keys. These structures will be converted
 * into Credentials objects automatically.
 *
 * ## Expiring and Refreshing Credentials
 *
 * Occasionally credentials can expire in the middle of a long-running
 * application. In this case, the SDK will automatically attempt to
 * refresh the credentials from the storage location if the Credentials
 * class implements the {refresh} method.
 *
 * If you are implementing a credential storage location, you
 * will want to create a subclass of the `Credentials` class and
 * override the {refresh} method. This method allows credentials to be
 * retrieved from the backing store, be it a file system, database, or
 * some network storage. The method should reset the credential attributes
 * on the object.
 *
 * @!attribute expired
 *   @return [Boolean] whether the credentials have been expired and
 *     require a refresh. Used in conjunction with {expireTime}.
 * @!attribute expireTime
 *   @return [Date] a time when credentials should be considered expired. Used
 *     in conjunction with {expired}.
 * @!attribute accessKeyId
 *   @return [String] the AWS access key ID
 * @!attribute secretAccessKey
 *   @return [String] the AWS secret access key
 * @!attribute sessionToken
 *   @return [String] an optional AWS session token
 */
AWS.Credentials = AWS.util.inherit({
  /**
   * A credentials object can be created using positional arguments or an options
   * hash.
   *
   * @overload AWS.Credentials(accessKeyId, secretAccessKey, sessionToken=null)
   *   Creates a Credentials object with a given set of credential information
   *   as positional arguments.
   *   @param accessKeyId [String] the AWS access key ID
   *   @param secretAccessKey [String] the AWS secret access key
   *   @param sessionToken [String] the optional AWS session token
   *   @example Create a credentials object with AWS credentials
   *     var creds = new AWS.Credentials('akid', 'secret', 'session');
   * @overload AWS.Credentials(options)
   *   Creates a Credentials object with a given set of credential information
   *   as an options hash.
   *   @option options accessKeyId [String] the AWS access key ID
   *   @option options secretAccessKey [String] the AWS secret access key
   *   @option options sessionToken [String] the optional AWS session token
   *   @example Create a credentials object with AWS credentials
   *     var creds = new AWS.Credentials({
   *       accessKeyId: 'akid', secretAccessKey: 'secret', sessionToken: 'session'
   *     });
   */
  constructor: function Credentials() {
    // hide secretAccessKey from being displayed with util.inspect
    AWS.util.hideProperties(this, ['secretAccessKey']);

    this.expired = false;
    this.expireTime = null;
    this.refreshCallbacks = [];
    if (arguments.length === 1 && typeof arguments[0] === 'object') {
      var creds = arguments[0].credentials || arguments[0];
      this.accessKeyId = creds.accessKeyId;
      this.secretAccessKey = creds.secretAccessKey;
      this.sessionToken = creds.sessionToken;
    } else {
      this.accessKeyId = arguments[0];
      this.secretAccessKey = arguments[1];
      this.sessionToken = arguments[2];
    }
  },

  /**
   * @return [Integer] the number of seconds before {expireTime} during which
   *   the credentials will be considered expired.
   */
  expiryWindow: 15,

  /**
   * @return [Boolean] whether the credentials object should call {refresh}
   * @note Subclasses should override this method to provide custom refresh
   *   logic.
   */
  needsRefresh: function needsRefresh() {
    var currentTime = AWS.util.date.getDate().getTime();
    var adjustedTime = new Date(currentTime + this.expiryWindow * 1000);

    if (this.expireTime && adjustedTime > this.expireTime) {
      return true;
    } else {
      return this.expired || !this.accessKeyId || !this.secretAccessKey;
    }
  },

  /**
   * Gets the existing credentials, refreshing them if they are not yet loaded
   * or have expired. Users should call this method before using {refresh},
   * as this will not attempt to reload credentials when they are already
   * loaded into the object.
   *
   * @callback callback function(err)
   *   When this callback is called with no error, it means either credentials
   *   do not need to be refreshed or refreshed credentials information has
   *   been loaded into the object (as the `accessKeyId`, `secretAccessKey`,
   *   and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   */
  get: function get(callback) {
    var self = this;
    if (this.needsRefresh()) {
      this.refresh(function(err) {
        if (!err) self.expired = false; // reset expired flag
        if (callback) callback(err);
      });
    } else if (callback) {
      callback();
    }
  },

  /**
   * @!method  getPromise()
   *   Returns a 'thenable' promise.
   *   Gets the existing credentials, refreshing them if they are not yet loaded
   *   or have expired. Users should call this method before using {refresh},
   *   as this will not attempt to reload credentials when they are already
   *   loaded into the object.
   *
   *   Two callbacks can be provided to the `then` method on the returned promise.
   *   The first callback will be called if the promise is fulfilled, and the second
   *   callback will be called if the promise is rejected.
   *   @callback fulfilledCallback function()
   *     Called if the promise is fulfilled. When this callback is called, it
   *     means either credentials do not need to be refreshed or refreshed
   *     credentials information has been loaded into the object (as the
   *     `accessKeyId`, `secretAccessKey`, and `sessionToken` properties).
   *   @callback rejectedCallback function(err)
   *     Called if the promise is rejected.
   *     @param err [Error] if an error occurred, this value will be filled
   *   @return [Promise] A promise that represents the state of the `get` call.
   *   @example Calling the `getPromise` method.
   *     var promise = credProvider.getPromise();
   *     promise.then(function() { ... }, function(err) { ... });
   */

  /**
   * @!method  refreshPromise()
   *   Returns a 'thenable' promise.
   *   Refreshes the credentials. Users should call {get} before attempting
   *   to forcibly refresh credentials.
   *
   *   Two callbacks can be provided to the `then` method on the returned promise.
   *   The first callback will be called if the promise is fulfilled, and the second
   *   callback will be called if the promise is rejected.
   *   @callback fulfilledCallback function()
   *     Called if the promise is fulfilled. When this callback is called, it
   *     means refreshed credentials information has been loaded into the object
   *     (as the `accessKeyId`, `secretAccessKey`, and `sessionToken` properties).
   *   @callback rejectedCallback function(err)
   *     Called if the promise is rejected.
   *     @param err [Error] if an error occurred, this value will be filled
   *   @return [Promise] A promise that represents the state of the `refresh` call.
   *   @example Calling the `refreshPromise` method.
   *     var promise = credProvider.refreshPromise();
   *     promise.then(function() { ... }, function(err) { ... });
   */

  /**
   * Refreshes the credentials. Users should call {get} before attempting
   * to forcibly refresh credentials.
   *
   * @callback callback function(err)
   *   When this callback is called with no error, it means refreshed
   *   credentials information has been loaded into the object (as the
   *   `accessKeyId`, `secretAccessKey`, and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @note Subclasses should override this class to reset the
   *   {accessKeyId}, {secretAccessKey} and optional {sessionToken}
   *   on the credentials object and then call the callback with
   *   any error information.
   * @see get
   */
  refresh: function refresh(callback) {
    this.expired = false;
    callback();
  },

  /**
   * @api private
   * @param callback
   */
  coalesceRefresh: function coalesceRefresh(callback, sync) {
    var self = this;
    if (self.refreshCallbacks.push(callback) === 1) {
      self.load(function onLoad(err) {
        AWS.util.arrayEach(self.refreshCallbacks, function(callback) {
          if (sync) {
            callback(err);
          } else {
            // callback could throw, so defer to ensure all callbacks are notified
            AWS.util.defer(function () {
              callback(err);
            });
          }
        });
        self.refreshCallbacks.length = 0;
      });
    }
  },

  /**
   * @api private
   * @param callback
   */
  load: function load(callback) {
    callback();
  }
});

/**
 * @api private
 */
AWS.Credentials.addPromisesToClass = function addPromisesToClass(PromiseDependency) {
  this.prototype.getPromise = AWS.util.promisifyMethod('get', PromiseDependency);
  this.prototype.refreshPromise = AWS.util.promisifyMethod('refresh', PromiseDependency);
};

/**
 * @api private
 */
AWS.Credentials.deletePromisesFromClass = function deletePromisesFromClass() {
  delete this.prototype.getPromise;
  delete this.prototype.refreshPromise;
};

AWS.util.addPromises(AWS.Credentials);


/***/ }),

/***/ 57083:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var STS = __nccwpck_require__(57513);

/**
 * Represents temporary credentials retrieved from {AWS.STS}. Without any
 * extra parameters, credentials will be fetched from the
 * {AWS.STS.getSessionToken} operation. If an IAM role is provided, the
 * {AWS.STS.assumeRole} operation will be used to fetch credentials for the
 * role instead.
 *
 * AWS.ChainableTemporaryCredentials differs from AWS.TemporaryCredentials in
 * the way masterCredentials and refreshes are handled.
 * AWS.ChainableTemporaryCredentials refreshes expired credentials using the
 * masterCredentials passed by the user to support chaining of STS credentials.
 * However, AWS.TemporaryCredentials recursively collapses the masterCredentials
 * during instantiation, precluding the ability to refresh credentials which
 * require intermediate, temporary credentials.
 *
 * For example, if the application should use RoleA, which must be assumed from
 * RoleB, and the environment provides credentials which can assume RoleB, then
 * AWS.ChainableTemporaryCredentials must be used to support refreshing the
 * temporary credentials for RoleA:
 *
 * ```javascript
 * var roleACreds = new AWS.ChainableTemporaryCredentials({
 *   params: {RoleArn: 'RoleA'},
 *   masterCredentials: new AWS.ChainableTemporaryCredentials({
 *     params: {RoleArn: 'RoleB'},
 *     masterCredentials: new AWS.EnvironmentCredentials('AWS')
 *   })
 * });
 * ```
 *
 * If AWS.TemporaryCredentials had been used in the previous example,
 * `roleACreds` would fail to refresh because `roleACreds` would
 * use the environment credentials for the AssumeRole request.
 *
 * Another difference is that AWS.ChainableTemporaryCredentials creates the STS
 * service instance during instantiation while AWS.TemporaryCredentials creates
 * the STS service instance during the first refresh. Creating the service
 * instance during instantiation effectively captures the master credentials
 * from the global config, so that subsequent changes to the global config do
 * not affect the master credentials used to refresh the temporary credentials.
 *
 * This allows an instance of AWS.ChainableTemporaryCredentials to be assigned
 * to AWS.config.credentials:
 *
 * ```javascript
 * var envCreds = new AWS.EnvironmentCredentials('AWS');
 * AWS.config.credentials = envCreds;
 * // masterCredentials will be envCreds
 * AWS.config.credentials = new AWS.ChainableTemporaryCredentials({
 *   params: {RoleArn: '...'}
 * });
 * ```
 *
 * Similarly, to use the CredentialProviderChain's default providers as the
 * master credentials, simply create a new instance of
 * AWS.ChainableTemporaryCredentials:
 *
 * ```javascript
 * AWS.config.credentials = new ChainableTemporaryCredentials({
 *   params: {RoleArn: '...'}
 * });
 * ```
 *
 * @!attribute service
 *   @return [AWS.STS] the STS service instance used to
 *     get and refresh temporary credentials from AWS STS.
 * @note (see constructor)
 */
AWS.ChainableTemporaryCredentials = AWS.util.inherit(AWS.Credentials, {
  /**
   * Creates a new temporary credentials object.
   *
   * @param options [map] a set of options
   * @option options params [map] ({}) a map of options that are passed to the
   *   {AWS.STS.assumeRole} or {AWS.STS.getSessionToken} operations.
   *   If a `RoleArn` parameter is passed in, credentials will be based on the
   *   IAM role. If a `SerialNumber` parameter is passed in, {tokenCodeFn} must
   *   also be passed in or an error will be thrown.
   * @option options masterCredentials [AWS.Credentials] the master credentials
   *   used to get and refresh temporary credentials from AWS STS. By default,
   *   AWS.config.credentials or AWS.config.credentialProvider will be used.
   * @option options tokenCodeFn [Function] (null) Function to provide
   *   `TokenCode`, if `SerialNumber` is provided for profile in {params}. Function
   *   is called with value of `SerialNumber` and `callback`, and should provide
   *   the `TokenCode` or an error to the callback in the format
   *   `callback(err, token)`.
   * @example Creating a new credentials object for generic temporary credentials
   *   AWS.config.credentials = new AWS.ChainableTemporaryCredentials();
   * @example Creating a new credentials object for an IAM role
   *   AWS.config.credentials = new AWS.ChainableTemporaryCredentials({
   *     params: {
   *       RoleArn: 'arn:aws:iam::1234567890:role/TemporaryCredentials'
   *     }
   *   });
   * @see AWS.STS.assumeRole
   * @see AWS.STS.getSessionToken
   */
  constructor: function ChainableTemporaryCredentials(options) {
    AWS.Credentials.call(this);
    options = options || {};
    this.errorCode = 'ChainableTemporaryCredentialsProviderFailure';
    this.expired = true;
    this.tokenCodeFn = null;

    var params = AWS.util.copy(options.params) || {};
    if (params.RoleArn) {
      params.RoleSessionName = params.RoleSessionName || 'temporary-credentials';
    }
    if (params.SerialNumber) {
      if (!options.tokenCodeFn || (typeof options.tokenCodeFn !== 'function')) {
        throw new AWS.util.error(
          new Error('tokenCodeFn must be a function when params.SerialNumber is given'),
          {code: this.errorCode}
        );
      } else {
        this.tokenCodeFn = options.tokenCodeFn;
      }
    }
    var config = AWS.util.merge(
      {
        params: params,
        credentials: options.masterCredentials || AWS.config.credentials
      },
      options.stsConfig || {}
    );
    this.service = new STS(config);
  },

  /**
   * Refreshes credentials using {AWS.STS.assumeRole} or
   * {AWS.STS.getSessionToken}, depending on whether an IAM role ARN was passed
   * to the credentials {constructor}.
   *
   * @callback callback function(err)
   *   Called when the STS service responds (or fails). When
   *   this callback is called with no error, it means that the credentials
   *   information has been loaded into the object (as the `accessKeyId`,
   *   `secretAccessKey`, and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @see AWS.Credentials.get
   */
  refresh: function refresh(callback) {
    this.coalesceRefresh(callback || AWS.util.fn.callback);
  },

  /**
   * @api private
   * @param callback
   */
  load: function load(callback) {
    var self = this;
    var operation = self.service.config.params.RoleArn ? 'assumeRole' : 'getSessionToken';
    this.getTokenCode(function (err, tokenCode) {
      var params = {};
      if (err) {
        callback(err);
        return;
      }
      if (tokenCode) {
        params.TokenCode = tokenCode;
      }
      self.service[operation](params, function (err, data) {
        if (!err) {
          self.service.credentialsFrom(data, self);
        }
        callback(err);
      });
    });
  },

  /**
   * @api private
   */
  getTokenCode: function getTokenCode(callback) {
    var self = this;
    if (this.tokenCodeFn) {
      this.tokenCodeFn(this.service.config.params.SerialNumber, function (err, token) {
        if (err) {
          var message = err;
          if (err instanceof Error) {
            message = err.message;
          }
          callback(
            AWS.util.error(
              new Error('Error fetching MFA token: ' + message),
              { code: self.errorCode}
            )
          );
          return;
        }
        callback(null, token);
      });
    } else {
      callback(null);
    }
  }
});


/***/ }),

/***/ 3498:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var CognitoIdentity = __nccwpck_require__(58291);
var STS = __nccwpck_require__(57513);

/**
 * Represents credentials retrieved from STS Web Identity Federation using
 * the Amazon Cognito Identity service.
 *
 * By default this provider gets credentials using the
 * {AWS.CognitoIdentity.getCredentialsForIdentity} service operation, which
 * requires either an `IdentityId` or an `IdentityPoolId` (Amazon Cognito
 * Identity Pool ID), which is used to call {AWS.CognitoIdentity.getId} to
 * obtain an `IdentityId`. If the identity or identity pool is not configured in
 * the Amazon Cognito Console to use IAM roles with the appropriate permissions,
 * then additionally a `RoleArn` is required containing the ARN of the IAM trust
 * policy for the Amazon Cognito role that the user will log into. If a `RoleArn`
 * is provided, then this provider gets credentials using the
 * {AWS.STS.assumeRoleWithWebIdentity} service operation, after first getting an
 * Open ID token from {AWS.CognitoIdentity.getOpenIdToken}.
 *
 * In addition, if this credential provider is used to provide authenticated
 * login, the `Logins` map may be set to the tokens provided by the respective
 * identity providers. See {constructor} for an example on creating a credentials
 * object with proper property values.
 *
 * ## Refreshing Credentials from Identity Service
 *
 * In addition to AWS credentials expiring after a given amount of time, the
 * login token from the identity provider will also expire. Once this token
 * expires, it will not be usable to refresh AWS credentials, and another
 * token will be needed. The SDK does not manage refreshing of the token value,
 * but this can be done through a "refresh token" supported by most identity
 * providers. Consult the documentation for the identity provider for refreshing
 * tokens. Once the refreshed token is acquired, you should make sure to update
 * this new token in the credentials object's {params} property. The following
 * code will update the WebIdentityToken, assuming you have retrieved an updated
 * token from the identity provider:
 *
 * ```javascript
 * AWS.config.credentials.params.Logins['graph.facebook.com'] = updatedToken;
 * ```
 *
 * Future calls to `credentials.refresh()` will now use the new token.
 *
 * @!attribute params
 *   @return [map] the map of params passed to
 *     {AWS.CognitoIdentity.getId},
 *     {AWS.CognitoIdentity.getOpenIdToken}, and
 *     {AWS.STS.assumeRoleWithWebIdentity}. To update the token, set the
 *     `params.WebIdentityToken` property.
 * @!attribute data
 *   @return [map] the raw data response from the call to
 *     {AWS.CognitoIdentity.getCredentialsForIdentity}, or
 *     {AWS.STS.assumeRoleWithWebIdentity}. Use this if you want to get
 *     access to other properties from the response.
 * @!attribute identityId
 *   @return [String] the Cognito ID returned by the last call to
 *     {AWS.CognitoIdentity.getOpenIdToken}. This ID represents the actual
 *     final resolved identity ID from Amazon Cognito.
 */
AWS.CognitoIdentityCredentials = AWS.util.inherit(AWS.Credentials, {
  /**
   * @api private
   */
  localStorageKey: {
    id: 'aws.cognito.identity-id.',
    providers: 'aws.cognito.identity-providers.'
  },

  /**
   * Creates a new credentials object.
   * @example Creating a new credentials object
   *   AWS.config.credentials = new AWS.CognitoIdentityCredentials({
   *
   *     // either IdentityPoolId or IdentityId is required
   *     // See the IdentityPoolId param for AWS.CognitoIdentity.getID (linked below)
   *     // See the IdentityId param for AWS.CognitoIdentity.getCredentialsForIdentity
   *     // or AWS.CognitoIdentity.getOpenIdToken (linked below)
   *     IdentityPoolId: 'us-east-1:1699ebc0-7900-4099-b910-2df94f52a030',
   *     IdentityId: 'us-east-1:128d0a74-c82f-4553-916d-90053e4a8b0f'
   *
   *     // optional, only necessary when the identity pool is not configured
   *     // to use IAM roles in the Amazon Cognito Console
   *     // See the RoleArn param for AWS.STS.assumeRoleWithWebIdentity (linked below)
   *     RoleArn: 'arn:aws:iam::1234567890:role/MYAPP-CognitoIdentity',
   *
   *     // optional tokens, used for authenticated login
   *     // See the Logins param for AWS.CognitoIdentity.getID (linked below)
   *     Logins: {
   *       'graph.facebook.com': 'FBTOKEN',
   *       'www.amazon.com': 'AMAZONTOKEN',
   *       'accounts.google.com': 'GOOGLETOKEN',
   *       'api.twitter.com': 'TWITTERTOKEN',
   *       'www.digits.com': 'DIGITSTOKEN'
   *     },
   *
   *     // optional name, defaults to web-identity
   *     // See the RoleSessionName param for AWS.STS.assumeRoleWithWebIdentity (linked below)
   *     RoleSessionName: 'web',
   *
   *     // optional, only necessary when application runs in a browser
   *     // and multiple users are signed in at once, used for caching
   *     LoginId: 'example@gmail.com'
   *
   *   }, {
   *      // optionally provide configuration to apply to the underlying service clients
   *      // if configuration is not provided, then configuration will be pulled from AWS.config
   *
   *      // region should match the region your identity pool is located in
   *      region: 'us-east-1',
   *
   *      // specify timeout options
   *      httpOptions: {
   *        timeout: 100
   *      }
   *   });
   * @see AWS.CognitoIdentity.getId
   * @see AWS.CognitoIdentity.getCredentialsForIdentity
   * @see AWS.STS.assumeRoleWithWebIdentity
   * @see AWS.CognitoIdentity.getOpenIdToken
   * @see AWS.Config
   * @note If a region is not provided in the global AWS.config, or
   *   specified in the `clientConfig` to the CognitoIdentityCredentials
   *   constructor, you may encounter a 'Missing credentials in config' error
   *   when calling making a service call.
   */
  constructor: function CognitoIdentityCredentials(params, clientConfig) {
    AWS.Credentials.call(this);
    this.expired = true;
    this.params = params;
    this.data = null;
    this._identityId = null;
    this._clientConfig = AWS.util.copy(clientConfig || {});
    this.loadCachedId();
    var self = this;
    Object.defineProperty(this, 'identityId', {
      get: function() {
        self.loadCachedId();
        return self._identityId || self.params.IdentityId;
      },
      set: function(identityId) {
        self._identityId = identityId;
      }
    });
  },

  /**
   * Refreshes credentials using {AWS.CognitoIdentity.getCredentialsForIdentity},
   * or {AWS.STS.assumeRoleWithWebIdentity}.
   *
   * @callback callback function(err)
   *   Called when the STS service responds (or fails). When
   *   this callback is called with no error, it means that the credentials
   *   information has been loaded into the object (as the `accessKeyId`,
   *   `secretAccessKey`, and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @see AWS.Credentials.get
   */
  refresh: function refresh(callback) {
    this.coalesceRefresh(callback || AWS.util.fn.callback);
  },

  /**
   * @api private
   * @param callback
   */
  load: function load(callback) {
    var self = this;
    self.createClients();
    self.data = null;
    self._identityId = null;
    self.getId(function(err) {
      if (!err) {
        if (!self.params.RoleArn) {
          self.getCredentialsForIdentity(callback);
        } else {
          self.getCredentialsFromSTS(callback);
        }
      } else {
        self.clearIdOnNotAuthorized(err);
        callback(err);
      }
    });
  },

  /**
   * Clears the cached Cognito ID associated with the currently configured
   * identity pool ID. Use this to manually invalidate your cache if
   * the identity pool ID was deleted.
   */
  clearCachedId: function clearCache() {
    this._identityId = null;
    delete this.params.IdentityId;

    var poolId = this.params.IdentityPoolId;
    var loginId = this.params.LoginId || '';
    delete this.storage[this.localStorageKey.id + poolId + loginId];
    delete this.storage[this.localStorageKey.providers + poolId + loginId];
  },

  /**
   * @api private
   */
  clearIdOnNotAuthorized: function clearIdOnNotAuthorized(err) {
    var self = this;
    if (err.code == 'NotAuthorizedException') {
      self.clearCachedId();
    }
  },

  /**
   * Retrieves a Cognito ID, loading from cache if it was already retrieved
   * on this device.
   *
   * @callback callback function(err, identityId)
   *   @param err [Error, null] an error object if the call failed or null if
   *     it succeeded.
   *   @param identityId [String, null] if successful, the callback will return
   *     the Cognito ID.
   * @note If not loaded explicitly, the Cognito ID is loaded and stored in
   *   localStorage in the browser environment of a device.
   * @api private
   */
  getId: function getId(callback) {
    var self = this;
    if (typeof self.params.IdentityId === 'string') {
      return callback(null, self.params.IdentityId);
    }

    self.cognito.getId(function(err, data) {
      if (!err && data.IdentityId) {
        self.params.IdentityId = data.IdentityId;
        callback(null, data.IdentityId);
      } else {
        callback(err);
      }
    });
  },


  /**
   * @api private
   */
  loadCredentials: function loadCredentials(data, credentials) {
    if (!data || !credentials) return;
    credentials.expired = false;
    credentials.accessKeyId = data.Credentials.AccessKeyId;
    credentials.secretAccessKey = data.Credentials.SecretKey;
    credentials.sessionToken = data.Credentials.SessionToken;
    credentials.expireTime = data.Credentials.Expiration;
  },

  /**
   * @api private
   */
  getCredentialsForIdentity: function getCredentialsForIdentity(callback) {
    var self = this;
    self.cognito.getCredentialsForIdentity(function(err, data) {
      if (!err) {
        self.cacheId(data);
        self.data = data;
        self.loadCredentials(self.data, self);
      } else {
        self.clearIdOnNotAuthorized(err);
      }
      callback(err);
    });
  },

  /**
   * @api private
   */
  getCredentialsFromSTS: function getCredentialsFromSTS(callback) {
    var self = this;
    self.cognito.getOpenIdToken(function(err, data) {
      if (!err) {
        self.cacheId(data);
        self.params.WebIdentityToken = data.Token;
        self.webIdentityCredentials.refresh(function(webErr) {
          if (!webErr) {
            self.data = self.webIdentityCredentials.data;
            self.sts.credentialsFrom(self.data, self);
          }
          callback(webErr);
        });
      } else {
        self.clearIdOnNotAuthorized(err);
        callback(err);
      }
    });
  },

  /**
   * @api private
   */
  loadCachedId: function loadCachedId() {
    var self = this;

    // in the browser we source default IdentityId from localStorage
    if (AWS.util.isBrowser() && !self.params.IdentityId) {
      var id = self.getStorage('id');
      if (id && self.params.Logins) {
        var actualProviders = Object.keys(self.params.Logins);
        var cachedProviders =
          (self.getStorage('providers') || '').split(',');

        // only load ID if at least one provider used this ID before
        var intersect = cachedProviders.filter(function(n) {
          return actualProviders.indexOf(n) !== -1;
        });
        if (intersect.length !== 0) {
          self.params.IdentityId = id;
        }
      } else if (id) {
        self.params.IdentityId = id;
      }
    }
  },

  /**
   * @api private
   */
  createClients: function() {
    var clientConfig = this._clientConfig;
    this.webIdentityCredentials = this.webIdentityCredentials ||
      new AWS.WebIdentityCredentials(this.params, clientConfig);
    if (!this.cognito) {
      var cognitoConfig = AWS.util.merge({}, clientConfig);
      cognitoConfig.params = this.params;
      this.cognito = new CognitoIdentity(cognitoConfig);
    }
    this.sts = this.sts || new STS(clientConfig);
  },

  /**
   * @api private
   */
  cacheId: function cacheId(data) {
    this._identityId = data.IdentityId;
    this.params.IdentityId = this._identityId;

    // cache this IdentityId in browser localStorage if possible
    if (AWS.util.isBrowser()) {
      this.setStorage('id', data.IdentityId);

      if (this.params.Logins) {
        this.setStorage('providers', Object.keys(this.params.Logins).join(','));
      }
    }
  },

  /**
   * @api private
   */
  getStorage: function getStorage(key) {
    return this.storage[this.localStorageKey[key] + this.params.IdentityPoolId + (this.params.LoginId || '')];
  },

  /**
   * @api private
   */
  setStorage: function setStorage(key, val) {
    try {
      this.storage[this.localStorageKey[key] + this.params.IdentityPoolId + (this.params.LoginId || '')] = val;
    } catch (_) {}
  },

  /**
   * @api private
   */
  storage: (function() {
    try {
      var storage = AWS.util.isBrowser() && window.localStorage !== null && typeof window.localStorage === 'object' ?
          window.localStorage : {};

      // Test set/remove which would throw an error in Safari's private browsing
      storage['aws.test-storage'] = 'foobar';
      delete storage['aws.test-storage'];

      return storage;
    } catch (_) {
      return {};
    }
  })()
});


/***/ }),

/***/ 36965:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

/**
 * Creates a credential provider chain that searches for AWS credentials
 * in a list of credential providers specified by the {providers} property.
 *
 * By default, the chain will use the {defaultProviders} to resolve credentials.
 * These providers will look in the environment using the
 * {AWS.EnvironmentCredentials} class with the 'AWS' and 'AMAZON' prefixes.
 *
 * ## Setting Providers
 *
 * Each provider in the {providers} list should be a function that returns
 * a {AWS.Credentials} object, or a hardcoded credentials object. The function
 * form allows for delayed execution of the credential construction.
 *
 * ## Resolving Credentials from a Chain
 *
 * Call {resolve} to return the first valid credential object that can be
 * loaded by the provider chain.
 *
 * For example, to resolve a chain with a custom provider that checks a file
 * on disk after the set of {defaultProviders}:
 *
 * ```javascript
 * var diskProvider = new AWS.FileSystemCredentials('./creds.json');
 * var chain = new AWS.CredentialProviderChain();
 * chain.providers.push(diskProvider);
 * chain.resolve();
 * ```
 *
 * The above code will return the `diskProvider` object if the
 * file contains credentials and the `defaultProviders` do not contain
 * any credential settings.
 *
 * @!attribute providers
 *   @return [Array<AWS.Credentials, Function>]
 *     a list of credentials objects or functions that return credentials
 *     objects. If the provider is a function, the function will be
 *     executed lazily when the provider needs to be checked for valid
 *     credentials. By default, this object will be set to the
 *     {defaultProviders}.
 *   @see defaultProviders
 */
AWS.CredentialProviderChain = AWS.util.inherit(AWS.Credentials, {

  /**
   * Creates a new CredentialProviderChain with a default set of providers
   * specified by {defaultProviders}.
   */
  constructor: function CredentialProviderChain(providers) {
    if (providers) {
      this.providers = providers;
    } else {
      this.providers = AWS.CredentialProviderChain.defaultProviders.slice(0);
    }
    this.resolveCallbacks = [];
  },

  /**
   * @!method  resolvePromise()
   *   Returns a 'thenable' promise.
   *   Resolves the provider chain by searching for the first set of
   *   credentials in {providers}.
   *
   *   Two callbacks can be provided to the `then` method on the returned promise.
   *   The first callback will be called if the promise is fulfilled, and the second
   *   callback will be called if the promise is rejected.
   *   @callback fulfilledCallback function(credentials)
   *     Called if the promise is fulfilled and the provider resolves the chain
   *     to a credentials object
   *     @param credentials [AWS.Credentials] the credentials object resolved
   *       by the provider chain.
   *   @callback rejectedCallback function(error)
   *     Called if the promise is rejected.
   *     @param err [Error] the error object returned if no credentials are found.
   *   @return [Promise] A promise that represents the state of the `resolve` method call.
   *   @example Calling the `resolvePromise` method.
   *     var promise = chain.resolvePromise();
   *     promise.then(function(credentials) { ... }, function(err) { ... });
   */

  /**
   * Resolves the provider chain by searching for the first set of
   * credentials in {providers}.
   *
   * @callback callback function(err, credentials)
   *   Called when the provider resolves the chain to a credentials object
   *   or null if no credentials can be found.
   *
   *   @param err [Error] the error object returned if no credentials are
   *     found.
   *   @param credentials [AWS.Credentials] the credentials object resolved
   *     by the provider chain.
   * @return [AWS.CredentialProviderChain] the provider, for chaining.
   */
  resolve: function resolve(callback) {
    var self = this;
    if (self.providers.length === 0) {
      callback(new Error('No providers'));
      return self;
    }

    if (self.resolveCallbacks.push(callback) === 1) {
      var index = 0;
      var providers = self.providers.slice(0);

      function resolveNext(err, creds) {
        if ((!err && creds) || index === providers.length) {
          AWS.util.arrayEach(self.resolveCallbacks, function (callback) {
            callback(err, creds);
          });
          self.resolveCallbacks.length = 0;
          return;
        }

        var provider = providers[index++];
        if (typeof provider === 'function') {
          creds = provider.call();
        } else {
          creds = provider;
        }

        if (creds.get) {
          creds.get(function (getErr) {
            resolveNext(getErr, getErr ? null : creds);
          });
        } else {
          resolveNext(null, creds);
        }
      }

      resolveNext();
    }

    return self;
  }
});

/**
 * The default set of providers used by a vanilla CredentialProviderChain.
 *
 * In the browser:
 *
 * ```javascript
 * AWS.CredentialProviderChain.defaultProviders = []
 * ```
 *
 * In Node.js:
 *
 * ```javascript
 * AWS.CredentialProviderChain.defaultProviders = [
 *   function () { return new AWS.EnvironmentCredentials('AWS'); },
 *   function () { return new AWS.EnvironmentCredentials('AMAZON'); },
 *   function () { return new AWS.SharedIniFileCredentials(); },
 *   function () { return new AWS.ECSCredentials(); },
 *   function () { return new AWS.ProcessCredentials(); },
 *   function () { return new AWS.TokenFileWebIdentityCredentials(); },
 *   function () { return new AWS.EC2MetadataCredentials() }
 * ]
 * ```
 */
AWS.CredentialProviderChain.defaultProviders = [];

/**
 * @api private
 */
AWS.CredentialProviderChain.addPromisesToClass = function addPromisesToClass(PromiseDependency) {
  this.prototype.resolvePromise = AWS.util.promisifyMethod('resolve', PromiseDependency);
};

/**
 * @api private
 */
AWS.CredentialProviderChain.deletePromisesFromClass = function deletePromisesFromClass() {
  delete this.prototype.resolvePromise;
};

AWS.util.addPromises(AWS.CredentialProviderChain);


/***/ }),

/***/ 73379:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
__nccwpck_require__(25768);

/**
 * Represents credentials received from the metadata service on an EC2 instance.
 *
 * By default, this class will connect to the metadata service using
 * {AWS.MetadataService} and attempt to load any available credentials. If it
 * can connect, and credentials are available, these will be used with zero
 * configuration.
 *
 * This credentials class will by default timeout after 1 second of inactivity
 * and retry 3 times.
 * If your requests to the EC2 metadata service are timing out, you can increase
 * these values by configuring them directly:
 *
 * ```javascript
 * AWS.config.credentials = new AWS.EC2MetadataCredentials({
 *   httpOptions: { timeout: 5000 }, // 5 second timeout
 *   maxRetries: 10, // retry 10 times
 *   retryDelayOptions: { base: 200 } // see AWS.Config for information
 * });
 *
 * If your requests are timing out in connecting to the metadata service, such
 * as when testing on a development machine, you can use the connectTimeout
 * option, specified in milliseconds, which also defaults to 1 second.
 * ```
 *
 * @see AWS.Config.retryDelayOptions
 *
 * @!macro nobrowser
 */
AWS.EC2MetadataCredentials = AWS.util.inherit(AWS.Credentials, {
  constructor: function EC2MetadataCredentials(options) {
    AWS.Credentials.call(this);

    options = options ? AWS.util.copy(options) : {};
    options = AWS.util.merge(
      {maxRetries: this.defaultMaxRetries}, options);
    if (!options.httpOptions) options.httpOptions = {};
    options.httpOptions = AWS.util.merge(
      {timeout: this.defaultTimeout,
        connectTimeout: this.defaultConnectTimeout},
       options.httpOptions);

    this.metadataService = new AWS.MetadataService(options);
    this.metadata = {};
  },

  /**
   * @api private
   */
  defaultTimeout: 1000,

   /**
   * @api private
   */
  defaultConnectTimeout: 1000,

  /**
   * @api private
   */
  defaultMaxRetries: 3,

  /**
   * Loads the credentials from the instance metadata service
   *
   * @callback callback function(err)
   *   Called when the instance metadata service responds (or fails). When
   *   this callback is called with no error, it means that the credentials
   *   information has been loaded into the object (as the `accessKeyId`,
   *   `secretAccessKey`, and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @see get
   */
  refresh: function refresh(callback) {
    this.coalesceRefresh(callback || AWS.util.fn.callback);
  },

  /**
   * @api private
   * @param callback
   */
  load: function load(callback) {
    var self = this;
    self.metadataService.loadCredentials(function(err, creds) {
      if (!err) {
        var currentTime = AWS.util.date.getDate();
        var expireTime = new Date(creds.Expiration);
        if (expireTime < currentTime) {
          err = AWS.util.error(
            new Error('EC2 Instance Metadata Serivce provided expired credentials'),
            { code: 'EC2MetadataCredentialsProviderFailure' }
          );
        } else {
          self.expired = false;
          self.metadata = creds;
          self.accessKeyId = creds.AccessKeyId;
          self.secretAccessKey = creds.SecretAccessKey;
          self.sessionToken = creds.Token;
          self.expireTime = expireTime;
        }
      }
      callback(err);
    });
  }
});


/***/ }),

/***/ 10645:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

/**
 * Represents credentials received from relative URI specified in the ECS container.
 *
 * This class will request refreshable credentials from the relative URI
 * specified by the AWS_CONTAINER_CREDENTIALS_RELATIVE_URI or the
 * AWS_CONTAINER_CREDENTIALS_FULL_URI environment variable. If valid credentials
 * are returned in the response, these will be used with zero configuration.
 *
 * This credentials class will by default timeout after 1 second of inactivity
 * and retry 3 times.
 * If your requests to the relative URI are timing out, you can increase
 * the value by configuring them directly:
 *
 * ```javascript
 * AWS.config.credentials = new AWS.ECSCredentials({
 *   httpOptions: { timeout: 5000 }, // 5 second timeout
 *   maxRetries: 10, // retry 10 times
 *   retryDelayOptions: { base: 200 } // see AWS.Config for information
 * });
 * ```
 *
 * @see AWS.Config.retryDelayOptions
 *
 * @!macro nobrowser
 */
AWS.ECSCredentials = AWS.RemoteCredentials;


/***/ }),

/***/ 57714:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

/**
 * Represents credentials from the environment.
 *
 * By default, this class will look for the matching environment variables
 * prefixed by a given {envPrefix}. The un-prefixed environment variable names
 * for each credential value is listed below:
 *
 * ```javascript
 * accessKeyId: ACCESS_KEY_ID
 * secretAccessKey: SECRET_ACCESS_KEY
 * sessionToken: SESSION_TOKEN
 * ```
 *
 * With the default prefix of 'AWS', the environment variables would be:
 *
 *     AWS_ACCESS_KEY_ID, AWS_SECRET_ACCESS_KEY, AWS_SESSION_TOKEN
 *
 * @!attribute envPrefix
 *   @readonly
 *   @return [String] the prefix for the environment variable names excluding
 *     the separating underscore ('_').
 */
AWS.EnvironmentCredentials = AWS.util.inherit(AWS.Credentials, {

  /**
   * Creates a new EnvironmentCredentials class with a given variable
   * prefix {envPrefix}. For example, to load credentials using the 'AWS'
   * prefix:
   *
   * ```javascript
   * var creds = new AWS.EnvironmentCredentials('AWS');
   * creds.accessKeyId == 'AKID' // from AWS_ACCESS_KEY_ID env var
   * ```
   *
   * @param envPrefix [String] the prefix to use (e.g., 'AWS') for environment
   *   variables. Do not include the separating underscore.
   */
  constructor: function EnvironmentCredentials(envPrefix) {
    AWS.Credentials.call(this);
    this.envPrefix = envPrefix;
    this.get(function() {});
  },

  /**
   * Loads credentials from the environment using the prefixed
   * environment variables.
   *
   * @callback callback function(err)
   *   Called after the (prefixed) ACCESS_KEY_ID, SECRET_ACCESS_KEY, and
   *   SESSION_TOKEN environment variables are read. When this callback is
   *   called with no error, it means that the credentials information has
   *   been loaded into the object (as the `accessKeyId`, `secretAccessKey`,
   *   and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @see get
   */
  refresh: function refresh(callback) {
    if (!callback) callback = AWS.util.fn.callback;

    if (!process || !process.env) {
      callback(AWS.util.error(
        new Error('No process info or environment variables available'),
        { code: 'EnvironmentCredentialsProviderFailure' }
      ));
      return;
    }

    var keys = ['ACCESS_KEY_ID', 'SECRET_ACCESS_KEY', 'SESSION_TOKEN'];
    var values = [];

    for (var i = 0; i < keys.length; i++) {
      var prefix = '';
      if (this.envPrefix) prefix = this.envPrefix + '_';
      values[i] = process.env[prefix + keys[i]];
      if (!values[i] && keys[i] !== 'SESSION_TOKEN') {
        callback(AWS.util.error(
          new Error('Variable ' + prefix + keys[i] + ' not set.'),
        { code: 'EnvironmentCredentialsProviderFailure' }
        ));
        return;
      }
    }

    this.expired = false;
    AWS.Credentials.apply(this, values);
    callback();
  }

});


/***/ }),

/***/ 27454:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

/**
 * Represents credentials from a JSON file on disk.
 * If the credentials expire, the SDK can {refresh} the credentials
 * from the file.
 *
 * The format of the file should be similar to the options passed to
 * {AWS.Config}:
 *
 * ```javascript
 * {accessKeyId: 'akid', secretAccessKey: 'secret', sessionToken: 'optional'}
 * ```
 *
 * @example Loading credentials from disk
 *   var creds = new AWS.FileSystemCredentials('./configuration.json');
 *   creds.accessKeyId == 'AKID'
 *
 * @!attribute filename
 *   @readonly
 *   @return [String] the path to the JSON file on disk containing the
 *     credentials.
 * @!macro nobrowser
 */
AWS.FileSystemCredentials = AWS.util.inherit(AWS.Credentials, {

  /**
   * @overload AWS.FileSystemCredentials(filename)
   *   Creates a new FileSystemCredentials object from a filename
   *
   *   @param filename [String] the path on disk to the JSON file to load.
   */
  constructor: function FileSystemCredentials(filename) {
    AWS.Credentials.call(this);
    this.filename = filename;
    this.get(function() {});
  },

  /**
   * Loads the credentials from the {filename} on disk.
   *
   * @callback callback function(err)
   *   Called after the JSON file on disk is read and parsed. When this callback
   *   is called with no error, it means that the credentials information
   *   has been loaded into the object (as the `accessKeyId`, `secretAccessKey`,
   *   and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @see get
   */
  refresh: function refresh(callback) {
    if (!callback) callback = AWS.util.fn.callback;
    try {
      var creds = JSON.parse(AWS.util.readFileSync(this.filename));
      AWS.Credentials.call(this, creds);
      if (!this.accessKeyId || !this.secretAccessKey) {
        throw AWS.util.error(
          new Error('Credentials not set in ' + this.filename),
        { code: 'FileSystemCredentialsProviderFailure' }
        );
      }
      this.expired = false;
      callback();
    } catch (err) {
      callback(err);
    }
  }

});


/***/ }),

/***/ 80371:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var proc = __nccwpck_require__(32081);
var iniLoader = AWS.util.iniLoader;

/**
 * Represents credentials loaded from shared credentials file
 * (defaulting to ~/.aws/credentials or defined by the
 * `AWS_SHARED_CREDENTIALS_FILE` environment variable).
 *
 * ## Using process credentials
 *
 * The credentials file can specify a credential provider that executes
 * a given process and attempts to read its stdout to recieve a JSON payload
 * containing the credentials:
 *
 *     [default]
 *     credential_process = /usr/bin/credential_proc
 *
 * Automatically handles refreshing credentials if an Expiration time is
 * provided in the credentials payload. Credentials supplied in the same profile
 * will take precedence over the credential_process.
 *
 * Sourcing credentials from an external process can potentially be dangerous,
 * so proceed with caution. Other credential providers should be preferred if
 * at all possible. If using this option, you should make sure that the shared
 * credentials file is as locked down as possible using security best practices
 * for your operating system.
 *
 * ## Using custom profiles
 *
 * The SDK supports loading credentials for separate profiles. This can be done
 * in two ways:
 *
 * 1. Set the `AWS_PROFILE` environment variable in your process prior to
 *    loading the SDK.
 * 2. Directly load the AWS.ProcessCredentials provider:
 *
 * ```javascript
 * var creds = new AWS.ProcessCredentials({profile: 'myprofile'});
 * AWS.config.credentials = creds;
 * ```
 *
 * @!macro nobrowser
 */
AWS.ProcessCredentials = AWS.util.inherit(AWS.Credentials, {
  /**
   * Creates a new ProcessCredentials object.
   *
   * @param options [map] a set of options
   * @option options profile [String] (AWS_PROFILE env var or 'default')
   *   the name of the profile to load.
   * @option options filename [String] ('~/.aws/credentials' or defined by
   *   AWS_SHARED_CREDENTIALS_FILE process env var)
   *   the filename to use when loading credentials.
   * @option options callback [Function] (err) Credentials are eagerly loaded
   *   by the constructor. When the callback is called with no error, the
   *   credentials have been loaded successfully.
   */
  constructor: function ProcessCredentials(options) {
    AWS.Credentials.call(this);

    options = options || {};

    this.filename = options.filename;
    this.profile = options.profile || process.env.AWS_PROFILE || AWS.util.defaultProfile;
    this.get(options.callback || AWS.util.fn.noop);
  },

  /**
   * @api private
   */
  load: function load(callback) {
    var self = this;
    try {
      var profiles = AWS.util.getProfilesFromSharedConfig(iniLoader, this.filename);
      var profile = profiles[this.profile] || {};

      if (Object.keys(profile).length === 0) {
        throw AWS.util.error(
          new Error('Profile ' + this.profile + ' not found'),
          { code: 'ProcessCredentialsProviderFailure' }
        );
      }

      if (profile['credential_process']) {
        this.loadViaCredentialProcess(profile, function(err, data) {
          if (err) {
            callback(err, null);
          } else {
            self.expired = false;
            self.accessKeyId = data.AccessKeyId;
            self.secretAccessKey = data.SecretAccessKey;
            self.sessionToken = data.SessionToken;
            if (data.Expiration) {
              self.expireTime = new Date(data.Expiration);
            }
            callback(null);
          }
        });
      } else {
        throw AWS.util.error(
          new Error('Profile ' + this.profile + ' did not include credential process'),
          { code: 'ProcessCredentialsProviderFailure' }
        );
      }
    } catch (err) {
      callback(err);
    }
  },

  /**
  * Executes the credential_process and retrieves
  * credentials from the output
  * @api private
  * @param profile [map] credentials profile
  * @throws ProcessCredentialsProviderFailure
  */
  loadViaCredentialProcess: function loadViaCredentialProcess(profile, callback) {
    proc.exec(profile['credential_process'], { env: process.env }, function(err, stdOut, stdErr) {
      if (err) {
        callback(AWS.util.error(
          new Error('credential_process returned error'),
          { code: 'ProcessCredentialsProviderFailure'}
        ), null);
      } else {
        try {
          var credData = JSON.parse(stdOut);
          if (credData.Expiration) {
            var currentTime = AWS.util.date.getDate();
            var expireTime = new Date(credData.Expiration);
            if (expireTime < currentTime) {
              throw Error('credential_process returned expired credentials');
            }
          }

          if (credData.Version !== 1) {
            throw Error('credential_process does not return Version == 1');
          }
          callback(null, credData);
        } catch (err) {
          callback(AWS.util.error(
            new Error(err.message),
            { code: 'ProcessCredentialsProviderFailure'}
          ), null);
        }
      }
    });
  },

  /**
   * Loads the credentials from the credential process
   *
   * @callback callback function(err)
   *   Called after the credential process has been executed. When this
   *   callback is called with no error, it means that the credentials
   *   information has been loaded into the object (as the `accessKeyId`,
   *   `secretAccessKey`, and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @see get
   */
  refresh: function refresh(callback) {
    iniLoader.clearCachedFiles();
    this.coalesceRefresh(callback || AWS.util.fn.callback);
  }
});


/***/ }),

/***/ 88764:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437),
  ENV_RELATIVE_URI = 'AWS_CONTAINER_CREDENTIALS_RELATIVE_URI',
  ENV_FULL_URI = 'AWS_CONTAINER_CREDENTIALS_FULL_URI',
  ENV_AUTH_TOKEN = 'AWS_CONTAINER_AUTHORIZATION_TOKEN',
  FULL_URI_UNRESTRICTED_PROTOCOLS = ['https:'],
  FULL_URI_ALLOWED_PROTOCOLS = ['http:', 'https:'],
  FULL_URI_ALLOWED_HOSTNAMES = ['localhost', '127.0.0.1'],
  RELATIVE_URI_HOST = '169.254.170.2';

/**
 * Represents credentials received from specified URI.
 *
 * This class will request refreshable credentials from the relative URI
 * specified by the AWS_CONTAINER_CREDENTIALS_RELATIVE_URI or the
 * AWS_CONTAINER_CREDENTIALS_FULL_URI environment variable. If valid credentials
 * are returned in the response, these will be used with zero configuration.
 *
 * This credentials class will by default timeout after 1 second of inactivity
 * and retry 3 times.
 * If your requests to the relative URI are timing out, you can increase
 * the value by configuring them directly:
 *
 * ```javascript
 * AWS.config.credentials = new AWS.RemoteCredentials({
 *   httpOptions: { timeout: 5000 }, // 5 second timeout
 *   maxRetries: 10, // retry 10 times
 *   retryDelayOptions: { base: 200 } // see AWS.Config for information
 * });
 * ```
 *
 * @see AWS.Config.retryDelayOptions
 *
 * @!macro nobrowser
 */
AWS.RemoteCredentials = AWS.util.inherit(AWS.Credentials, {
  constructor: function RemoteCredentials(options) {
    AWS.Credentials.call(this);
    options = options ? AWS.util.copy(options) : {};
    if (!options.httpOptions) options.httpOptions = {};
    options.httpOptions = AWS.util.merge(
      this.httpOptions, options.httpOptions);
    AWS.util.update(this, options);
  },

  /**
   * @api private
   */
  httpOptions: { timeout: 1000 },

  /**
   * @api private
   */
  maxRetries: 3,

  /**
   * @api private
   */
  isConfiguredForEcsCredentials: function isConfiguredForEcsCredentials() {
    return Boolean(
        process &&
        process.env &&
        (process.env[ENV_RELATIVE_URI] || process.env[ENV_FULL_URI])
    );
  },

  /**
   * @api private
   */
  getECSFullUri: function getECSFullUri() {
    if (process && process.env) {
      var relative = process.env[ENV_RELATIVE_URI],
          full = process.env[ENV_FULL_URI];
      if (relative) {
        return 'http://' + RELATIVE_URI_HOST + relative;
      } else if (full) {
        var parsed = AWS.util.urlParse(full);
        if (FULL_URI_ALLOWED_PROTOCOLS.indexOf(parsed.protocol) < 0) {
          throw AWS.util.error(
            new Error('Unsupported protocol:  AWS.RemoteCredentials supports '
              + FULL_URI_ALLOWED_PROTOCOLS.join(',') + ' only; '
              + parsed.protocol + ' requested.'),
            { code: 'ECSCredentialsProviderFailure' }
          );
        }

        if (FULL_URI_UNRESTRICTED_PROTOCOLS.indexOf(parsed.protocol) < 0 &&
            FULL_URI_ALLOWED_HOSTNAMES.indexOf(parsed.hostname) < 0) {
          throw AWS.util.error(
            new Error('Unsupported hostname: AWS.RemoteCredentials only supports '
              + FULL_URI_ALLOWED_HOSTNAMES.join(',') + ' for ' + parsed.protocol + '; '
              + parsed.protocol + '//' + parsed.hostname + ' requested.'),
            { code: 'ECSCredentialsProviderFailure' }
          );
        }

        return full;
      } else {
        throw AWS.util.error(
          new Error('Variable ' + ENV_RELATIVE_URI + ' or ' + ENV_FULL_URI +
            ' must be set to use AWS.RemoteCredentials.'),
          { code: 'ECSCredentialsProviderFailure' }
        );
      }
    } else {
      throw AWS.util.error(
        new Error('No process info available'),
        { code: 'ECSCredentialsProviderFailure' }
      );
    }
  },

  /**
   * @api private
   */
  getECSAuthToken: function getECSAuthToken() {
    if (process && process.env && process.env[ENV_FULL_URI]) {
      return process.env[ENV_AUTH_TOKEN];
    }
  },

  /**
   * @api private
   */
  credsFormatIsValid: function credsFormatIsValid(credData) {
    return (!!credData.accessKeyId && !!credData.secretAccessKey &&
      !!credData.sessionToken && !!credData.expireTime);
  },

  /**
   * @api private
   */
  formatCreds: function formatCreds(credData) {
    if (!!credData.credentials) {
      credData = credData.credentials;
    }

    return {
      expired: false,
      accessKeyId: credData.accessKeyId || credData.AccessKeyId,
      secretAccessKey: credData.secretAccessKey || credData.SecretAccessKey,
      sessionToken: credData.sessionToken || credData.Token,
      expireTime: new Date(credData.expiration || credData.Expiration)
    };
  },

  /**
   * @api private
   */
  request: function request(url, callback) {
    var httpRequest = new AWS.HttpRequest(url);
    httpRequest.method = 'GET';
    httpRequest.headers.Accept = 'application/json';
    var token = this.getECSAuthToken();
    if (token) {
      httpRequest.headers.Authorization = token;
    }
    AWS.util.handleRequestWithRetries(httpRequest, this, callback);
  },

  /**
   * Loads the credentials from the relative URI specified by container
   *
   * @callback callback function(err)
   *   Called when the request to the relative URI responds (or fails). When
   *   this callback is called with no error, it means that the credentials
   *   information has been loaded into the object (as the `accessKeyId`,
   *   `secretAccessKey`, `sessionToken`, and `expireTime` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @see get
   */
  refresh: function refresh(callback) {
    this.coalesceRefresh(callback || AWS.util.fn.callback);
  },

  /**
   * @api private
   */
  load: function load(callback) {
    var self = this;
    var fullUri;

    try {
      fullUri = this.getECSFullUri();
    } catch (err) {
      callback(err);
      return;
    }

    this.request(fullUri, function(err, data) {
      if (!err) {
        try {
          data = JSON.parse(data);
          var creds = self.formatCreds(data);
          if (!self.credsFormatIsValid(creds)) {
            throw AWS.util.error(
              new Error('Response data is not in valid format'),
              { code: 'ECSCredentialsProviderFailure' }
            );
          }
          AWS.util.update(self, creds);
        } catch (dataError) {
          err = dataError;
        }
      }
      callback(err, creds);
    });
  }
});


/***/ }),

/***/ 15037:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var STS = __nccwpck_require__(57513);

/**
 * Represents credentials retrieved from STS SAML support.
 *
 * By default this provider gets credentials using the
 * {AWS.STS.assumeRoleWithSAML} service operation. This operation
 * requires a `RoleArn` containing the ARN of the IAM trust policy for the
 * application for which credentials will be given, as well as a `PrincipalArn`
 * representing the ARN for the SAML identity provider. In addition, the
 * `SAMLAssertion` must be set to the token provided by the identity
 * provider. See {constructor} for an example on creating a credentials
 * object with proper `RoleArn`, `PrincipalArn`, and `SAMLAssertion` values.
 *
 * ## Refreshing Credentials from Identity Service
 *
 * In addition to AWS credentials expiring after a given amount of time, the
 * login token from the identity provider will also expire. Once this token
 * expires, it will not be usable to refresh AWS credentials, and another
 * token will be needed. The SDK does not manage refreshing of the token value,
 * but this can be done through a "refresh token" supported by most identity
 * providers. Consult the documentation for the identity provider for refreshing
 * tokens. Once the refreshed token is acquired, you should make sure to update
 * this new token in the credentials object's {params} property. The following
 * code will update the SAMLAssertion, assuming you have retrieved an updated
 * token from the identity provider:
 *
 * ```javascript
 * AWS.config.credentials.params.SAMLAssertion = updatedToken;
 * ```
 *
 * Future calls to `credentials.refresh()` will now use the new token.
 *
 * @!attribute params
 *   @return [map] the map of params passed to
 *     {AWS.STS.assumeRoleWithSAML}. To update the token, set the
 *     `params.SAMLAssertion` property.
 */
AWS.SAMLCredentials = AWS.util.inherit(AWS.Credentials, {
  /**
   * Creates a new credentials object.
   * @param (see AWS.STS.assumeRoleWithSAML)
   * @example Creating a new credentials object
   *   AWS.config.credentials = new AWS.SAMLCredentials({
   *     RoleArn: 'arn:aws:iam::1234567890:role/SAMLRole',
   *     PrincipalArn: 'arn:aws:iam::1234567890:role/SAMLPrincipal',
   *     SAMLAssertion: 'base64-token', // base64-encoded token from IdP
   *   });
   * @see AWS.STS.assumeRoleWithSAML
   */
  constructor: function SAMLCredentials(params) {
    AWS.Credentials.call(this);
    this.expired = true;
    this.params = params;
  },

  /**
   * Refreshes credentials using {AWS.STS.assumeRoleWithSAML}
   *
   * @callback callback function(err)
   *   Called when the STS service responds (or fails). When
   *   this callback is called with no error, it means that the credentials
   *   information has been loaded into the object (as the `accessKeyId`,
   *   `secretAccessKey`, and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @see get
   */
  refresh: function refresh(callback) {
    this.coalesceRefresh(callback || AWS.util.fn.callback);
  },

  /**
   * @api private
   */
  load: function load(callback) {
    var self = this;
    self.createClients();
    self.service.assumeRoleWithSAML(function (err, data) {
      if (!err) {
        self.service.credentialsFrom(data, self);
      }
      callback(err);
    });
  },

  /**
   * @api private
   */
  createClients: function() {
    this.service = this.service || new STS({params: this.params});
  }

});


/***/ }),

/***/ 13754:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var STS = __nccwpck_require__(57513);
var iniLoader = AWS.util.iniLoader;

var ASSUME_ROLE_DEFAULT_REGION = 'us-east-1';

/**
 * Represents credentials loaded from shared credentials file
 * (defaulting to ~/.aws/credentials or defined by the
 * `AWS_SHARED_CREDENTIALS_FILE` environment variable).
 *
 * ## Using the shared credentials file
 *
 * This provider is checked by default in the Node.js environment. To use the
 * credentials file provider, simply add your access and secret keys to the
 * ~/.aws/credentials file in the following format:
 *
 *     [default]
 *     aws_access_key_id = AKID...
 *     aws_secret_access_key = YOUR_SECRET_KEY
 *
 * ## Using custom profiles
 *
 * The SDK supports loading credentials for separate profiles. This can be done
 * in two ways:
 *
 * 1. Set the `AWS_PROFILE` environment variable in your process prior to
 *    loading the SDK.
 * 2. Directly load the AWS.SharedIniFileCredentials provider:
 *
 * ```javascript
 * var creds = new AWS.SharedIniFileCredentials({profile: 'myprofile'});
 * AWS.config.credentials = creds;
 * ```
 *
 * @!macro nobrowser
 */
AWS.SharedIniFileCredentials = AWS.util.inherit(AWS.Credentials, {
  /**
   * Creates a new SharedIniFileCredentials object.
   *
   * @param options [map] a set of options
   * @option options profile [String] (AWS_PROFILE env var or 'default')
   *   the name of the profile to load.
   * @option options filename [String] ('~/.aws/credentials' or defined by
   *   AWS_SHARED_CREDENTIALS_FILE process env var)
   *   the filename to use when loading credentials.
   * @option options disableAssumeRole [Boolean] (false) True to disable
   *   support for profiles that assume an IAM role. If true, and an assume
   *   role profile is selected, an error is raised.
   * @option options preferStaticCredentials [Boolean] (false) True to
   *   prefer static credentials to role_arn if both are present.
   * @option options tokenCodeFn [Function] (null) Function to provide
   *   STS Assume Role TokenCode, if mfa_serial is provided for profile in ini
   *   file. Function is called with value of mfa_serial and callback, and
   *   should provide the TokenCode or an error to the callback in the format
   *   callback(err, token)
   * @option options callback [Function] (err) Credentials are eagerly loaded
   *   by the constructor. When the callback is called with no error, the
   *   credentials have been loaded successfully.
   * @option options httpOptions [map] A set of options to pass to the low-level
   *   HTTP request. Currently supported options are:
   *   * **proxy** [String] &mdash; the URL to proxy requests through
   *   * **agent** [http.Agent, https.Agent] &mdash; the Agent object to perform
   *     HTTP requests with. Used for connection pooling. Defaults to the global
   *     agent (`http.globalAgent`) for non-SSL connections. Note that for
   *     SSL connections, a special Agent object is used in order to enable
   *     peer certificate verification. This feature is only available in the
   *     Node.js environment.
   *   * **connectTimeout** [Integer] &mdash; Sets the socket to timeout after
   *     failing to establish a connection with the server after
   *     `connectTimeout` milliseconds. This timeout has no effect once a socket
   *     connection has been established.
   *   * **timeout** [Integer] &mdash; The number of milliseconds a request can
   *     take before automatically being terminated.
   *     Defaults to two minutes (120000).
   */
  constructor: function SharedIniFileCredentials(options) {
    AWS.Credentials.call(this);

    options = options || {};

    this.filename = options.filename;
    this.profile = options.profile || process.env.AWS_PROFILE || AWS.util.defaultProfile;
    this.disableAssumeRole = Boolean(options.disableAssumeRole);
    this.preferStaticCredentials = Boolean(options.preferStaticCredentials);
    this.tokenCodeFn = options.tokenCodeFn || null;
    this.httpOptions = options.httpOptions || null;
    this.get(options.callback || AWS.util.fn.noop);
  },

  /**
   * @api private
   */
  load: function load(callback) {
    var self = this;
    try {
      var profiles = AWS.util.getProfilesFromSharedConfig(iniLoader, this.filename);
      var profile = profiles[this.profile] || {};

      if (Object.keys(profile).length === 0) {
        throw AWS.util.error(
          new Error('Profile ' + this.profile + ' not found'),
          { code: 'SharedIniFileCredentialsProviderFailure' }
        );
      }

      /*
      In the CLI, the presence of both a role_arn and static credentials have
      different meanings depending on how many profiles have been visited. For
      the first profile processed, role_arn takes precedence over any static
      credentials, but for all subsequent profiles, static credentials are
      used if present, and only in their absence will the profile's
      source_profile and role_arn keys be used to load another set of
      credentials. This var is intended to yield compatible behaviour in this
      sdk.
      */
      var preferStaticCredentialsToRoleArn = Boolean(
        this.preferStaticCredentials
        && profile['aws_access_key_id']
        && profile['aws_secret_access_key']
      );

      if (profile['role_arn'] && !preferStaticCredentialsToRoleArn) {
        this.loadRoleProfile(profiles, profile, function(err, data) {
          if (err) {
            callback(err);
          } else {
            self.expired = false;
            self.accessKeyId = data.Credentials.AccessKeyId;
            self.secretAccessKey = data.Credentials.SecretAccessKey;
            self.sessionToken = data.Credentials.SessionToken;
            self.expireTime = data.Credentials.Expiration;
            callback(null);
          }
        });
        return;
      }

      this.accessKeyId = profile['aws_access_key_id'];
      this.secretAccessKey = profile['aws_secret_access_key'];
      this.sessionToken = profile['aws_session_token'];

      if (!this.accessKeyId || !this.secretAccessKey) {
        throw AWS.util.error(
          new Error('Credentials not set for profile ' + this.profile),
          { code: 'SharedIniFileCredentialsProviderFailure' }
        );
      }
      this.expired = false;
      callback(null);
    } catch (err) {
      callback(err);
    }
  },

  /**
   * Loads the credentials from the shared credentials file
   *
   * @callback callback function(err)
   *   Called after the shared INI file on disk is read and parsed. When this
   *   callback is called with no error, it means that the credentials
   *   information has been loaded into the object (as the `accessKeyId`,
   *   `secretAccessKey`, and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @see get
   */
  refresh: function refresh(callback) {
    iniLoader.clearCachedFiles();
    this.coalesceRefresh(
      callback || AWS.util.fn.callback,
      this.disableAssumeRole
    );
  },

  /**
   * @api private
   */
  loadRoleProfile: function loadRoleProfile(creds, roleProfile, callback) {
    if (this.disableAssumeRole) {
      throw AWS.util.error(
        new Error('Role assumption profiles are disabled. ' +
                  'Failed to load profile ' + this.profile +
                  ' from ' + creds.filename),
        { code: 'SharedIniFileCredentialsProviderFailure' }
      );
    }

    var self = this;
    var roleArn = roleProfile['role_arn'];
    var roleSessionName = roleProfile['role_session_name'];
    var externalId = roleProfile['external_id'];
    var mfaSerial = roleProfile['mfa_serial'];
    var sourceProfileName = roleProfile['source_profile'];

    // From experimentation, the following behavior mimics the AWS CLI:
    //
    // 1. Use region from the profile if present.
    // 2. Otherwise fall back to N. Virginia (global endpoint).
    //
    // It is necessary to do the fallback explicitly, because if
    // 'AWS_STS_REGIONAL_ENDPOINTS=regional', the underlying STS client will
    // otherwise throw an error if region is left 'undefined'.
    //
    // Experimentation shows that the AWS CLI (tested at version 1.18.136)
    // ignores the following potential sources of a region for the purposes of
    // this AssumeRole call:
    //
    // - The [default] profile
    // - The AWS_REGION environment variable
    //
    // Ignoring the [default] profile for the purposes of AssumeRole is arguably
    // a bug in the CLI since it does use the [default] region for service
    // calls... but right now we're matching behavior of the other tool.
    var profileRegion = roleProfile['region'] || ASSUME_ROLE_DEFAULT_REGION;

    if (!sourceProfileName) {
      throw AWS.util.error(
        new Error('source_profile is not set using profile ' + this.profile),
        { code: 'SharedIniFileCredentialsProviderFailure' }
      );
    }

    var sourceProfileExistanceTest = creds[sourceProfileName];

    if (typeof sourceProfileExistanceTest !== 'object') {
      throw AWS.util.error(
        new Error('source_profile ' + sourceProfileName + ' using profile '
          + this.profile + ' does not exist'),
        { code: 'SharedIniFileCredentialsProviderFailure' }
      );
    }

    var sourceCredentials = new AWS.SharedIniFileCredentials(
      AWS.util.merge(this.options || {}, {
        profile: sourceProfileName,
        preferStaticCredentials: true
      })
    );

    this.roleArn = roleArn;
    var sts = new STS({
      credentials: sourceCredentials,
      region: profileRegion,
      httpOptions: this.httpOptions
    });

    var roleParams = {
      RoleArn: roleArn,
      RoleSessionName: roleSessionName || 'aws-sdk-js-' + Date.now()
    };

    if (externalId) {
      roleParams.ExternalId = externalId;
    }

    if (mfaSerial && self.tokenCodeFn) {
      roleParams.SerialNumber = mfaSerial;
      self.tokenCodeFn(mfaSerial, function(err, token) {
        if (err) {
          var message;
          if (err instanceof Error) {
            message = err.message;
          } else {
            message = err;
          }
          callback(
            AWS.util.error(
              new Error('Error fetching MFA token: ' + message),
              { code: 'SharedIniFileCredentialsProviderFailure' }
            ));
          return;
        }

        roleParams.TokenCode = token;
        sts.assumeRole(roleParams, callback);
      });
      return;
    }
    sts.assumeRole(roleParams, callback);
  }
});


/***/ }),

/***/ 77360:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var STS = __nccwpck_require__(57513);

/**
 * Represents temporary credentials retrieved from {AWS.STS}. Without any
 * extra parameters, credentials will be fetched from the
 * {AWS.STS.getSessionToken} operation. If an IAM role is provided, the
 * {AWS.STS.assumeRole} operation will be used to fetch credentials for the
 * role instead.
 *
 * @note AWS.TemporaryCredentials is deprecated, but remains available for
 *   backwards compatibility. {AWS.ChainableTemporaryCredentials} is the
 *   preferred class for temporary credentials.
 *
 * To setup temporary credentials, configure a set of master credentials
 * using the standard credentials providers (environment, EC2 instance metadata,
 * or from the filesystem), then set the global credentials to a new
 * temporary credentials object:
 *
 * ```javascript
 * // Note that environment credentials are loaded by default,
 * // the following line is shown for clarity:
 * AWS.config.credentials = new AWS.EnvironmentCredentials('AWS');
 *
 * // Now set temporary credentials seeded from the master credentials
 * AWS.config.credentials = new AWS.TemporaryCredentials();
 *
 * // subsequent requests will now use temporary credentials from AWS STS.
 * new AWS.S3().listBucket(function(err, data) { ... });
 * ```
 *
 * @!attribute masterCredentials
 *   @return [AWS.Credentials] the master (non-temporary) credentials used to
 *     get and refresh temporary credentials from AWS STS.
 * @note (see constructor)
 */
AWS.TemporaryCredentials = AWS.util.inherit(AWS.Credentials, {
  /**
   * Creates a new temporary credentials object.
   *
   * @note In order to create temporary credentials, you first need to have
   *   "master" credentials configured in {AWS.Config.credentials}. These
   *   master credentials are necessary to retrieve the temporary credentials,
   *   as well as refresh the credentials when they expire.
   * @param params [map] a map of options that are passed to the
   *   {AWS.STS.assumeRole} or {AWS.STS.getSessionToken} operations.
   *   If a `RoleArn` parameter is passed in, credentials will be based on the
   *   IAM role.
   * @param masterCredentials [AWS.Credentials] the master (non-temporary) credentials
   *  used to get and refresh temporary credentials from AWS STS.
   * @example Creating a new credentials object for generic temporary credentials
   *   AWS.config.credentials = new AWS.TemporaryCredentials();
   * @example Creating a new credentials object for an IAM role
   *   AWS.config.credentials = new AWS.TemporaryCredentials({
   *     RoleArn: 'arn:aws:iam::1234567890:role/TemporaryCredentials',
   *   });
   * @see AWS.STS.assumeRole
   * @see AWS.STS.getSessionToken
   */
  constructor: function TemporaryCredentials(params, masterCredentials) {
    AWS.Credentials.call(this);
    this.loadMasterCredentials(masterCredentials);
    this.expired = true;

    this.params = params || {};
    if (this.params.RoleArn) {
      this.params.RoleSessionName =
        this.params.RoleSessionName || 'temporary-credentials';
    }
  },

  /**
   * Refreshes credentials using {AWS.STS.assumeRole} or
   * {AWS.STS.getSessionToken}, depending on whether an IAM role ARN was passed
   * to the credentials {constructor}.
   *
   * @callback callback function(err)
   *   Called when the STS service responds (or fails). When
   *   this callback is called with no error, it means that the credentials
   *   information has been loaded into the object (as the `accessKeyId`,
   *   `secretAccessKey`, and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @see get
   */
  refresh: function refresh (callback) {
    this.coalesceRefresh(callback || AWS.util.fn.callback);
  },

  /**
   * @api private
   */
  load: function load (callback) {
    var self = this;
    self.createClients();
    self.masterCredentials.get(function () {
      self.service.config.credentials = self.masterCredentials;
      var operation = self.params.RoleArn ?
        self.service.assumeRole : self.service.getSessionToken;
      operation.call(self.service, function (err, data) {
        if (!err) {
          self.service.credentialsFrom(data, self);
        }
        callback(err);
      });
    });
  },

  /**
   * @api private
   */
  loadMasterCredentials: function loadMasterCredentials (masterCredentials) {
    this.masterCredentials = masterCredentials || AWS.config.credentials;
    while (this.masterCredentials.masterCredentials) {
      this.masterCredentials = this.masterCredentials.masterCredentials;
    }

    if (typeof this.masterCredentials.get !== 'function') {
      this.masterCredentials = new AWS.Credentials(this.masterCredentials);
    }
  },

  /**
   * @api private
   */
  createClients: function () {
    this.service = this.service || new STS({params: this.params});
  }

});


/***/ }),

/***/ 11017:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var fs = __nccwpck_require__(57147);
var STS = __nccwpck_require__(57513);
var iniLoader = AWS.util.iniLoader;

/**
 * Represents OIDC credentials from a file on disk
 * If the credentials expire, the SDK can {refresh} the credentials
 * from the file.
 *
 * ## Using the web identity token file
 *
 * This provider is checked by default in the Node.js environment. To use
 * the provider simply add your OIDC token to a file (ASCII encoding) and
 * share the filename in either AWS_WEB_IDENTITY_TOKEN_FILE environment
 * variable or web_identity_token_file shared config variable
 *
 * The file contains encoded OIDC token and the characters are
 * ASCII encoded. OIDC tokens are JSON Web Tokens (JWT).
 * JWT's are 3 base64 encoded strings joined by the '.' character.
 *
 * This class will read filename from AWS_WEB_IDENTITY_TOKEN_FILE
 * environment variable or web_identity_token_file shared config variable,
 * and get the OIDC token from filename.
 * It will also read IAM role to be assumed from AWS_ROLE_ARN
 * environment variable or role_arn shared config variable.
 * This provider gets credetials using the {AWS.STS.assumeRoleWithWebIdentity}
 * service operation
 *
 * @!macro nobrowser
 */
AWS.TokenFileWebIdentityCredentials = AWS.util.inherit(AWS.Credentials, {

  /**
   * @example Creating a new credentials object
   *  AWS.config.credentials = new AWS.TokenFileWebIdentityCredentials(
   *   // optionally provide configuration to apply to the underlying AWS.STS service client
   *   // if configuration is not provided, then configuration will be pulled from AWS.config
   *   {
   *     // specify timeout options
   *     httpOptions: {
   *       timeout: 100
   *     }
   *   });
   * @see AWS.Config
   */
  constructor: function TokenFileWebIdentityCredentials(clientConfig) {
    AWS.Credentials.call(this);
    this.data = null;
    this.clientConfig = AWS.util.copy(clientConfig || {});
  },

  /**
   * Returns params from environment variables
   *
   * @api private
   */
  getParamsFromEnv: function getParamsFromEnv() {
    var ENV_TOKEN_FILE = 'AWS_WEB_IDENTITY_TOKEN_FILE',
        ENV_ROLE_ARN = 'AWS_ROLE_ARN';
    if (process.env[ENV_TOKEN_FILE] && process.env[ENV_ROLE_ARN]) {
      return [{
        envTokenFile: process.env[ENV_TOKEN_FILE],
        roleArn: process.env[ENV_ROLE_ARN],
        roleSessionName: process.env['AWS_ROLE_SESSION_NAME']
      }];
    }
  },

  /**
   * Returns params from shared config variables
   *
   * @api private
   */
  getParamsFromSharedConfig: function getParamsFromSharedConfig() {
    var profiles = AWS.util.getProfilesFromSharedConfig(iniLoader);
    var profileName = process.env.AWS_PROFILE || AWS.util.defaultProfile;
    var profile = profiles[profileName] || {};

    if (Object.keys(profile).length === 0) {
      throw AWS.util.error(
        new Error('Profile ' + profileName + ' not found'),
        { code: 'TokenFileWebIdentityCredentialsProviderFailure' }
      );
    }

    var paramsArray = [];

    while (!profile['web_identity_token_file'] && profile['source_profile']) {
      paramsArray.unshift({
        roleArn: profile['role_arn'],
        roleSessionName: profile['role_session_name']
      });
      var sourceProfile = profile['source_profile'];
      profile = profiles[sourceProfile];
    }

    paramsArray.unshift({
      envTokenFile: profile['web_identity_token_file'],
      roleArn: profile['role_arn'],
      roleSessionName: profile['role_session_name']
    });

    return paramsArray;
  },

  /**
   * Refreshes credentials using {AWS.STS.assumeRoleWithWebIdentity}
   *
   * @callback callback function(err)
   *   Called when the STS service responds (or fails). When
   *   this callback is called with no error, it means that the credentials
   *   information has been loaded into the object (as the `accessKeyId`,
   *   `secretAccessKey`, and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @see AWS.Credentials.get
   */
  refresh: function refresh(callback) {
    this.coalesceRefresh(callback || AWS.util.fn.callback);
  },

  /**
   * @api private
  */
  assumeRoleChaining: function assumeRoleChaining(paramsArray, callback) {
    var self = this;
    if (paramsArray.length === 0) {
      self.service.credentialsFrom(self.data, self);
      callback();
    } else {
      var params = paramsArray.shift();
      self.service.config.credentials = self.service.credentialsFrom(self.data, self);
      self.service.assumeRole(
        {
          RoleArn: params.roleArn,
          RoleSessionName: params.roleSessionName || 'token-file-web-identity'
        },
        function (err, data) {
          self.data = null;
          if (err) {
            callback(err);
          } else {
            self.data = data;
            self.assumeRoleChaining(paramsArray, callback);
          }
        }
      );
    }
  },

  /**
   * @api private
   */
  load: function load(callback) {
    var self = this;
    try {
      var paramsArray = self.getParamsFromEnv();
      if (!paramsArray) {
        paramsArray = self.getParamsFromSharedConfig();
      }
      if (paramsArray) {
        var params = paramsArray.shift();
        var oidcToken = fs.readFileSync(params.envTokenFile, {encoding: 'ascii'});
        if (!self.service) {
          self.createClients();
        }
        self.service.assumeRoleWithWebIdentity(
          {
            WebIdentityToken: oidcToken,
            RoleArn: params.roleArn,
            RoleSessionName: params.roleSessionName || 'token-file-web-identity'
          },
          function (err, data) {
            self.data = null;
            if (err) {
              callback(err);
            } else {
              self.data = data;
              self.assumeRoleChaining(paramsArray, callback);
            }
          }
        );
      }
    } catch (err) {
      callback(err);
    }
  },

  /**
   * @api private
   */
  createClients: function() {
    if (!this.service) {
      var stsConfig = AWS.util.merge({}, this.clientConfig);
      this.service = new STS(stsConfig);

      // Retry in case of IDPCommunicationErrorException or InvalidIdentityToken
      this.service.retryableError = function(error) {
        if (error.code === 'IDPCommunicationErrorException' || error.code === 'InvalidIdentityToken') {
          return true;
        } else {
          return AWS.Service.prototype.retryableError.call(this, error);
        }
      };
    }
  }
});


/***/ }),

/***/ 74998:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var STS = __nccwpck_require__(57513);

/**
 * Represents credentials retrieved from STS Web Identity Federation support.
 *
 * By default this provider gets credentials using the
 * {AWS.STS.assumeRoleWithWebIdentity} service operation. This operation
 * requires a `RoleArn` containing the ARN of the IAM trust policy for the
 * application for which credentials will be given. In addition, the
 * `WebIdentityToken` must be set to the token provided by the identity
 * provider. See {constructor} for an example on creating a credentials
 * object with proper `RoleArn` and `WebIdentityToken` values.
 *
 * ## Refreshing Credentials from Identity Service
 *
 * In addition to AWS credentials expiring after a given amount of time, the
 * login token from the identity provider will also expire. Once this token
 * expires, it will not be usable to refresh AWS credentials, and another
 * token will be needed. The SDK does not manage refreshing of the token value,
 * but this can be done through a "refresh token" supported by most identity
 * providers. Consult the documentation for the identity provider for refreshing
 * tokens. Once the refreshed token is acquired, you should make sure to update
 * this new token in the credentials object's {params} property. The following
 * code will update the WebIdentityToken, assuming you have retrieved an updated
 * token from the identity provider:
 *
 * ```javascript
 * AWS.config.credentials.params.WebIdentityToken = updatedToken;
 * ```
 *
 * Future calls to `credentials.refresh()` will now use the new token.
 *
 * @!attribute params
 *   @return [map] the map of params passed to
 *     {AWS.STS.assumeRoleWithWebIdentity}. To update the token, set the
 *     `params.WebIdentityToken` property.
 * @!attribute data
 *   @return [map] the raw data response from the call to
 *     {AWS.STS.assumeRoleWithWebIdentity}. Use this if you want to get
 *     access to other properties from the response.
 */
AWS.WebIdentityCredentials = AWS.util.inherit(AWS.Credentials, {
  /**
   * Creates a new credentials object.
   * @param (see AWS.STS.assumeRoleWithWebIdentity)
   * @example Creating a new credentials object
   *   AWS.config.credentials = new AWS.WebIdentityCredentials({
   *     RoleArn: 'arn:aws:iam::1234567890:role/WebIdentity',
   *     WebIdentityToken: 'ABCDEFGHIJKLMNOP', // token from identity service
   *     RoleSessionName: 'web' // optional name, defaults to web-identity
   *   }, {
   *     // optionally provide configuration to apply to the underlying AWS.STS service client
   *     // if configuration is not provided, then configuration will be pulled from AWS.config
   *
   *     // specify timeout options
   *     httpOptions: {
   *       timeout: 100
   *     }
   *   });
   * @see AWS.STS.assumeRoleWithWebIdentity
   * @see AWS.Config
   */
  constructor: function WebIdentityCredentials(params, clientConfig) {
    AWS.Credentials.call(this);
    this.expired = true;
    this.params = params;
    this.params.RoleSessionName = this.params.RoleSessionName || 'web-identity';
    this.data = null;
    this._clientConfig = AWS.util.copy(clientConfig || {});
  },

  /**
   * Refreshes credentials using {AWS.STS.assumeRoleWithWebIdentity}
   *
   * @callback callback function(err)
   *   Called when the STS service responds (or fails). When
   *   this callback is called with no error, it means that the credentials
   *   information has been loaded into the object (as the `accessKeyId`,
   *   `secretAccessKey`, and `sessionToken` properties).
   *   @param err [Error] if an error occurred, this value will be filled
   * @see get
   */
  refresh: function refresh(callback) {
    this.coalesceRefresh(callback || AWS.util.fn.callback);
  },

  /**
   * @api private
   */
  load: function load(callback) {
    var self = this;
    self.createClients();
    self.service.assumeRoleWithWebIdentity(function (err, data) {
      self.data = null;
      if (!err) {
        self.data = data;
        self.service.credentialsFrom(data, self);
      }
      callback(err);
    });
  },

  /**
   * @api private
   */
  createClients: function() {
    if (!this.service) {
      var stsConfig = AWS.util.merge({}, this._clientConfig);
      stsConfig.params = this.params;
      this.service = new STS(stsConfig);
    }
  }

});


/***/ }),

/***/ 45313:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var util = __nccwpck_require__(77985);
var endpointDiscoveryEnabledEnvs = ['AWS_ENABLE_ENDPOINT_DISCOVERY', 'AWS_ENDPOINT_DISCOVERY_ENABLED'];

/**
 * Generate key (except resources and operation part) to index the endpoints in the cache
 * If input shape has endpointdiscoveryid trait then use
 *   accessKey + operation + resources + region + service as cache key
 * If input shape doesn't have endpointdiscoveryid trait then use
 *   accessKey + region + service as cache key
 * @return [map<String,String>] object with keys to index endpoints.
 * @api private
 */
function getCacheKey(request) {
  var service = request.service;
  var api = service.api || {};
  var operations = api.operations;
  var identifiers = {};
  if (service.config.region) {
    identifiers.region = service.config.region;
  }
  if (api.serviceId) {
    identifiers.serviceId = api.serviceId;
  }
  if (service.config.credentials.accessKeyId) {
    identifiers.accessKeyId = service.config.credentials.accessKeyId;
  }
  return identifiers;
}

/**
 * Recursive helper for marshallCustomIdentifiers().
 * Looks for required string input members that have 'endpointdiscoveryid' trait.
 * @api private
 */
function marshallCustomIdentifiersHelper(result, params, shape) {
  if (!shape || params === undefined || params === null) return;
  if (shape.type === 'structure' && shape.required && shape.required.length > 0) {
    util.arrayEach(shape.required, function(name) {
      var memberShape = shape.members[name];
      if (memberShape.endpointDiscoveryId === true) {
        var locationName = memberShape.isLocationName ? memberShape.name : name;
        result[locationName] = String(params[name]);
      } else {
        marshallCustomIdentifiersHelper(result, params[name], memberShape);
      }
    });
  }
}

/**
 * Get custom identifiers for cache key.
 * Identifies custom identifiers by checking each shape's `endpointDiscoveryId` trait.
 * @param [object] request object
 * @param [object] input shape of the given operation's api
 * @api private
 */
function marshallCustomIdentifiers(request, shape) {
  var identifiers = {};
  marshallCustomIdentifiersHelper(identifiers, request.params, shape);
  return identifiers;
}

/**
 * Call endpoint discovery operation when it's optional.
 * When endpoint is available in cache then use the cached endpoints. If endpoints
 * are unavailable then use regional endpoints and call endpoint discovery operation
 * asynchronously. This is turned off by default.
 * @param [object] request object
 * @api private
 */
function optionalDiscoverEndpoint(request) {
  var service = request.service;
  var api = service.api;
  var operationModel = api.operations ? api.operations[request.operation] : undefined;
  var inputShape = operationModel ? operationModel.input : undefined;

  var identifiers = marshallCustomIdentifiers(request, inputShape);
  var cacheKey = getCacheKey(request);
  if (Object.keys(identifiers).length > 0) {
    cacheKey = util.update(cacheKey, identifiers);
    if (operationModel) cacheKey.operation = operationModel.name;
  }
  var endpoints = AWS.endpointCache.get(cacheKey);
  if (endpoints && endpoints.length === 1 && endpoints[0].Address === '') {
    //endpoint operation is being made but response not yet received
    //or endpoint operation just failed in 1 minute
    return;
  } else if (endpoints && endpoints.length > 0) {
    //found endpoint record from cache
    request.httpRequest.updateEndpoint(endpoints[0].Address);
  } else {
    //endpoint record not in cache or outdated. make discovery operation
    var endpointRequest = service.makeRequest(api.endpointOperation, {
      Operation: operationModel.name,
      Identifiers: identifiers,
    });
    addApiVersionHeader(endpointRequest);
    endpointRequest.removeListener('validate', AWS.EventListeners.Core.VALIDATE_PARAMETERS);
    endpointRequest.removeListener('retry', AWS.EventListeners.Core.RETRY_CHECK);
    //put in a placeholder for endpoints already requested, prevent
    //too much in-flight calls
    AWS.endpointCache.put(cacheKey, [{
      Address: '',
      CachePeriodInMinutes: 1
    }]);
    endpointRequest.send(function(err, data) {
      if (data && data.Endpoints) {
        AWS.endpointCache.put(cacheKey, data.Endpoints);
      } else if (err) {
        AWS.endpointCache.put(cacheKey, [{
          Address: '',
          CachePeriodInMinutes: 1 //not to make more endpoint operation in next 1 minute
        }]);
      }
    });
  }
}

var requestQueue = {};

/**
 * Call endpoint discovery operation when it's required.
 * When endpoint is available in cache then use cached ones. If endpoints are
 * unavailable then SDK should call endpoint operation then use returned new
 * endpoint for the api call. SDK will automatically attempt to do endpoint
 * discovery. This is turned off by default
 * @param [object] request object
 * @api private
 */
function requiredDiscoverEndpoint(request, done) {
  var service = request.service;
  var api = service.api;
  var operationModel = api.operations ? api.operations[request.operation] : undefined;
  var inputShape = operationModel ? operationModel.input : undefined;

  var identifiers = marshallCustomIdentifiers(request, inputShape);
  var cacheKey = getCacheKey(request);
  if (Object.keys(identifiers).length > 0) {
    cacheKey = util.update(cacheKey, identifiers);
    if (operationModel) cacheKey.operation = operationModel.name;
  }
  var cacheKeyStr = AWS.EndpointCache.getKeyString(cacheKey);
  var endpoints = AWS.endpointCache.get(cacheKeyStr); //endpoint cache also accepts string keys
  if (endpoints && endpoints.length === 1 && endpoints[0].Address === '') {
    //endpoint operation is being made but response not yet received
    //push request object to a pending queue
    if (!requestQueue[cacheKeyStr]) requestQueue[cacheKeyStr] = [];
    requestQueue[cacheKeyStr].push({request: request, callback: done});
    return;
  } else if (endpoints && endpoints.length > 0) {
    request.httpRequest.updateEndpoint(endpoints[0].Address);
    done();
  } else {
    var endpointRequest = service.makeRequest(api.endpointOperation, {
      Operation: operationModel.name,
      Identifiers: identifiers,
    });
    endpointRequest.removeListener('validate', AWS.EventListeners.Core.VALIDATE_PARAMETERS);
    addApiVersionHeader(endpointRequest);

    //put in a placeholder for endpoints already requested, prevent
    //too much in-flight calls
    AWS.endpointCache.put(cacheKeyStr, [{
      Address: '',
      CachePeriodInMinutes: 60 //long-live cache
    }]);
    endpointRequest.send(function(err, data) {
      if (err) {
        request.response.error = util.error(err, { retryable: false });
        AWS.endpointCache.remove(cacheKey);

        //fail all the pending requests in batch
        if (requestQueue[cacheKeyStr]) {
          var pendingRequests = requestQueue[cacheKeyStr];
          util.arrayEach(pendingRequests, function(requestContext) {
            requestContext.request.response.error = util.error(err, { retryable: false });
            requestContext.callback();
          });
          delete requestQueue[cacheKeyStr];
        }
      } else if (data) {
        AWS.endpointCache.put(cacheKeyStr, data.Endpoints);
        request.httpRequest.updateEndpoint(data.Endpoints[0].Address);

        //update the endpoint for all the pending requests in batch
        if (requestQueue[cacheKeyStr]) {
          var pendingRequests = requestQueue[cacheKeyStr];
          util.arrayEach(pendingRequests, function(requestContext) {
            requestContext.request.httpRequest.updateEndpoint(data.Endpoints[0].Address);
            requestContext.callback();
          });
          delete requestQueue[cacheKeyStr];
        }
      }
      done();
    });
  }
}

/**
 * add api version header to endpoint operation
 * @api private
 */
function addApiVersionHeader(endpointRequest) {
  var api = endpointRequest.service.api;
  var apiVersion = api.apiVersion;
  if (apiVersion && !endpointRequest.httpRequest.headers['x-amz-api-version']) {
    endpointRequest.httpRequest.headers['x-amz-api-version'] = apiVersion;
  }
}

/**
 * If api call gets invalid endpoint exception, SDK should attempt to remove the invalid
 * endpoint from cache.
 * @api private
 */
function invalidateCachedEndpoints(response) {
  var error = response.error;
  var httpResponse = response.httpResponse;
  if (error &&
    (error.code === 'InvalidEndpointException' || httpResponse.statusCode === 421)
  ) {
    var request = response.request;
    var operations = request.service.api.operations || {};
    var inputShape = operations[request.operation] ? operations[request.operation].input : undefined;
    var identifiers = marshallCustomIdentifiers(request, inputShape);
    var cacheKey = getCacheKey(request);
    if (Object.keys(identifiers).length > 0) {
      cacheKey = util.update(cacheKey, identifiers);
      if (operations[request.operation]) cacheKey.operation = operations[request.operation].name;
    }
    AWS.endpointCache.remove(cacheKey);
  }
}

/**
 * If endpoint is explicitly configured, SDK should not do endpoint discovery in anytime.
 * @param [object] client Service client object.
 * @api private
 */
function hasCustomEndpoint(client) {
  //if set endpoint is set for specific client, enable endpoint discovery will raise an error.
  if (client._originalConfig && client._originalConfig.endpoint && client._originalConfig.endpointDiscoveryEnabled === true) {
    throw util.error(new Error(), {
      code: 'ConfigurationException',
      message: 'Custom endpoint is supplied; endpointDiscoveryEnabled must not be true.'
    });
  };
  var svcConfig = AWS.config[client.serviceIdentifier] || {};
  return Boolean(AWS.config.endpoint || svcConfig.endpoint || (client._originalConfig && client._originalConfig.endpoint));
}

/**
 * @api private
 */
function isFalsy(value) {
  return ['false', '0'].indexOf(value) >= 0;
}

/**
 * If endpoint discovery should perform for this request when no operation requires endpoint
 * discovery for the given service.
 * SDK performs config resolution in order like below:
 * 1. If set in client configuration.
 * 2. If set in env AWS_ENABLE_ENDPOINT_DISCOVERY.
 * 3. If set in shared ini config file with key 'endpoint_discovery_enabled'.
 * @param [object] request request object.
 * @returns [boolean|undefined] if endpoint discovery config is not set in any source, this
 *  function returns undefined
 * @api private
 */
function resolveEndpointDiscoveryConfig(request) {
  var service = request.service || {};
  if (service.config.endpointDiscoveryEnabled !== undefined) {
    return service.config.endpointDiscoveryEnabled;
  }

  //shared ini file is only available in Node
  //not to check env in browser
  if (util.isBrowser()) return undefined;

  // If any of recognized endpoint discovery config env is set
  for (var i = 0; i < endpointDiscoveryEnabledEnvs.length; i++) {
    var env = endpointDiscoveryEnabledEnvs[i];
    if (Object.prototype.hasOwnProperty.call(process.env, env)) {
      if (process.env[env] === '' || process.env[env] === undefined) {
        throw util.error(new Error(), {
          code: 'ConfigurationException',
          message: 'environmental variable ' + env + ' cannot be set to nothing'
        });
      }
      return !isFalsy(process.env[env]);
    }
  }

  var configFile = {};
  try {
    configFile = AWS.util.iniLoader ? AWS.util.iniLoader.loadFrom({
      isConfig: true,
      filename: process.env[AWS.util.sharedConfigFileEnv]
    }) : {};
  } catch (e) {}
  var sharedFileConfig = configFile[
    process.env.AWS_PROFILE || AWS.util.defaultProfile
  ] || {};
  if (Object.prototype.hasOwnProperty.call(sharedFileConfig, 'endpoint_discovery_enabled')) {
    if (sharedFileConfig.endpoint_discovery_enabled === undefined) {
      throw util.error(new Error(), {
        code: 'ConfigurationException',
        message: 'config file entry \'endpoint_discovery_enabled\' cannot be set to nothing'
      });
    }
    return !isFalsy(sharedFileConfig.endpoint_discovery_enabled);
  }
  return undefined;
}

/**
 * attach endpoint discovery logic to request object
 * @param [object] request
 * @api private
 */
function discoverEndpoint(request, done) {
  var service = request.service || {};
  if (hasCustomEndpoint(service) || request.isPresigned()) return done();

  var operations = service.api.operations || {};
  var operationModel = operations[request.operation];
  var isEndpointDiscoveryRequired = operationModel ? operationModel.endpointDiscoveryRequired : 'NULL';
  var isEnabled = resolveEndpointDiscoveryConfig(request);
  var hasRequiredEndpointDiscovery = service.api.hasRequiredEndpointDiscovery;
  if (isEnabled || hasRequiredEndpointDiscovery) {
    // Once a customer enables endpoint discovery, the SDK should start appending
    // the string endpoint-discovery to the user-agent on all requests.
    request.httpRequest.appendToUserAgent('endpoint-discovery');
  }
  switch (isEndpointDiscoveryRequired) {
    case 'OPTIONAL':
      if (isEnabled || hasRequiredEndpointDiscovery) {
        // For a given service; if at least one operation requires endpoint discovery then the SDK must enable endpoint discovery
        // by default for all operations of that service, including operations where endpoint discovery is optional.
        optionalDiscoverEndpoint(request);
        request.addNamedListener('INVALIDATE_CACHED_ENDPOINTS', 'extractError', invalidateCachedEndpoints);
      }
      done();
      break;
    case 'REQUIRED':
      if (isEnabled === false) {
        // For a given operation; if endpoint discovery is required and it has been disabled on the SDK client,
        // then the SDK must return a clear and actionable exception.
        request.response.error = util.error(new Error(), {
          code: 'ConfigurationException',
          message: 'Endpoint Discovery is disabled but ' + service.api.className + '.' + request.operation +
                    '() requires it. Please check your configurations.'
        });
        done();
        break;
      }
      request.addNamedListener('INVALIDATE_CACHED_ENDPOINTS', 'extractError', invalidateCachedEndpoints);
      requiredDiscoverEndpoint(request, done);
      break;
    case 'NULL':
    default:
      done();
      break;
  }
}

module.exports = {
  discoverEndpoint: discoverEndpoint,
  requiredDiscoverEndpoint: requiredDiscoverEndpoint,
  optionalDiscoverEndpoint: optionalDiscoverEndpoint,
  marshallCustomIdentifiers: marshallCustomIdentifiers,
  getCacheKey: getCacheKey,
  invalidateCachedEndpoint: invalidateCachedEndpoints,
};


/***/ }),

/***/ 76663:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var util = AWS.util;
var typeOf = (__nccwpck_require__(48084).typeOf);
var DynamoDBSet = __nccwpck_require__(20304);
var NumberValue = __nccwpck_require__(91593);

AWS.DynamoDB.Converter = {
  /**
   * Convert a JavaScript value to its equivalent DynamoDB AttributeValue type
   *
   * @param data [any] The data to convert to a DynamoDB AttributeValue
   * @param options [map]
   * @option options convertEmptyValues [Boolean] Whether to automatically
   *                                              convert empty strings, blobs,
   *                                              and sets to `null`
   * @option options wrapNumbers [Boolean]  Whether to return numbers as a
   *                                        NumberValue object instead of
   *                                        converting them to native JavaScript
   *                                        numbers. This allows for the safe
   *                                        round-trip transport of numbers of
   *                                        arbitrary size.
   * @return [map] An object in the Amazon DynamoDB AttributeValue format
   *
   * @see AWS.DynamoDB.Converter.marshall AWS.DynamoDB.Converter.marshall to
   *    convert entire records (rather than individual attributes)
   */
  input: function convertInput(data, options) {
    options = options || {};
    var type = typeOf(data);
    if (type === 'Object') {
      return formatMap(data, options);
    } else if (type === 'Array') {
      return formatList(data, options);
    } else if (type === 'Set') {
      return formatSet(data, options);
    } else if (type === 'String') {
      if (data.length === 0 && options.convertEmptyValues) {
        return convertInput(null);
      }
      return { S: data };
    } else if (type === 'Number' || type === 'NumberValue') {
      return { N: data.toString() };
    } else if (type === 'Binary') {
      if (data.length === 0 && options.convertEmptyValues) {
        return convertInput(null);
      }
      return { B: data };
    } else if (type === 'Boolean') {
      return { BOOL: data };
    } else if (type === 'null') {
      return { NULL: true };
    } else if (type !== 'undefined' && type !== 'Function') {
      // this value has a custom constructor
      return formatMap(data, options);
    }
  },

  /**
   * Convert a JavaScript object into a DynamoDB record.
   *
   * @param data [any] The data to convert to a DynamoDB record
   * @param options [map]
   * @option options convertEmptyValues [Boolean] Whether to automatically
   *                                              convert empty strings, blobs,
   *                                              and sets to `null`
   * @option options wrapNumbers [Boolean]  Whether to return numbers as a
   *                                        NumberValue object instead of
   *                                        converting them to native JavaScript
   *                                        numbers. This allows for the safe
   *                                        round-trip transport of numbers of
   *                                        arbitrary size.
   *
   * @return [map] An object in the DynamoDB record format.
   *
   * @example Convert a JavaScript object into a DynamoDB record
   *  var marshalled = AWS.DynamoDB.Converter.marshall({
   *    string: 'foo',
   *    list: ['fizz', 'buzz', 'pop'],
   *    map: {
   *      nestedMap: {
   *        key: 'value',
   *      }
   *    },
   *    number: 123,
   *    nullValue: null,
   *    boolValue: true,
   *    stringSet: new DynamoDBSet(['foo', 'bar', 'baz'])
   *  });
   */
  marshall: function marshallItem(data, options) {
    return AWS.DynamoDB.Converter.input(data, options).M;
  },

  /**
   * Convert a DynamoDB AttributeValue object to its equivalent JavaScript type.
   *
   * @param data [map] An object in the Amazon DynamoDB AttributeValue format
   * @param options [map]
   * @option options convertEmptyValues [Boolean] Whether to automatically
   *                                              convert empty strings, blobs,
   *                                              and sets to `null`
   * @option options wrapNumbers [Boolean]  Whether to return numbers as a
   *                                        NumberValue object instead of
   *                                        converting them to native JavaScript
   *                                        numbers. This allows for the safe
   *                                        round-trip transport of numbers of
   *                                        arbitrary size.
   *
   * @return [Object|Array|String|Number|Boolean|null]
   *
   * @see AWS.DynamoDB.Converter.unmarshall AWS.DynamoDB.Converter.unmarshall to
   *    convert entire records (rather than individual attributes)
   */
  output: function convertOutput(data, options) {
    options = options || {};
    var list, map, i;
    for (var type in data) {
      var values = data[type];
      if (type === 'M') {
        map = {};
        for (var key in values) {
          map[key] = convertOutput(values[key], options);
        }
        return map;
      } else if (type === 'L') {
        list = [];
        for (i = 0; i < values.length; i++) {
          list.push(convertOutput(values[i], options));
        }
        return list;
      } else if (type === 'SS') {
        list = [];
        for (i = 0; i < values.length; i++) {
          list.push(values[i] + '');
        }
        return new DynamoDBSet(list);
      } else if (type === 'NS') {
        list = [];
        for (i = 0; i < values.length; i++) {
          list.push(convertNumber(values[i], options.wrapNumbers));
        }
        return new DynamoDBSet(list);
      } else if (type === 'BS') {
        list = [];
        for (i = 0; i < values.length; i++) {
          list.push(AWS.util.buffer.toBuffer(values[i]));
        }
        return new DynamoDBSet(list);
      } else if (type === 'S') {
        return values + '';
      } else if (type === 'N') {
        return convertNumber(values, options.wrapNumbers);
      } else if (type === 'B') {
        return util.buffer.toBuffer(values);
      } else if (type === 'BOOL') {
        return (values === 'true' || values === 'TRUE' || values === true);
      } else if (type === 'NULL') {
        return null;
      }
    }
  },

  /**
   * Convert a DynamoDB record into a JavaScript object.
   *
   * @param data [any] The DynamoDB record
   * @param options [map]
   * @option options convertEmptyValues [Boolean] Whether to automatically
   *                                              convert empty strings, blobs,
   *                                              and sets to `null`
   * @option options wrapNumbers [Boolean]  Whether to return numbers as a
   *                                        NumberValue object instead of
   *                                        converting them to native JavaScript
   *                                        numbers. This allows for the safe
   *                                        round-trip transport of numbers of
   *                                        arbitrary size.
   *
   * @return [map] An object whose properties have been converted from
   *    DynamoDB's AttributeValue format into their corresponding native
   *    JavaScript types.
   *
   * @example Convert a record received from a DynamoDB stream
   *  var unmarshalled = AWS.DynamoDB.Converter.unmarshall({
   *    string: {S: 'foo'},
   *    list: {L: [{S: 'fizz'}, {S: 'buzz'}, {S: 'pop'}]},
   *    map: {
   *      M: {
   *        nestedMap: {
   *          M: {
   *            key: {S: 'value'}
   *          }
   *        }
   *      }
   *    },
   *    number: {N: '123'},
   *    nullValue: {NULL: true},
   *    boolValue: {BOOL: true}
   *  });
   */
  unmarshall: function unmarshall(data, options) {
    return AWS.DynamoDB.Converter.output({M: data}, options);
  }
};

/**
 * @api private
 * @param data [Array]
 * @param options [map]
 */
function formatList(data, options) {
  var list = {L: []};
  for (var i = 0; i < data.length; i++) {
    list['L'].push(AWS.DynamoDB.Converter.input(data[i], options));
  }
  return list;
}

/**
 * @api private
 * @param value [String]
 * @param wrapNumbers [Boolean]
 */
function convertNumber(value, wrapNumbers) {
  return wrapNumbers ? new NumberValue(value) : Number(value);
}

/**
 * @api private
 * @param data [map]
 * @param options [map]
 */
function formatMap(data, options) {
  var map = {M: {}};
  for (var key in data) {
    var formatted = AWS.DynamoDB.Converter.input(data[key], options);
    if (formatted !== void 0) {
      map['M'][key] = formatted;
    }
  }
  return map;
}

/**
 * @api private
 */
function formatSet(data, options) {
  options = options || {};
  var values = data.values;
  if (options.convertEmptyValues) {
    values = filterEmptySetValues(data);
    if (values.length === 0) {
      return AWS.DynamoDB.Converter.input(null);
    }
  }

  var map = {};
  switch (data.type) {
    case 'String': map['SS'] = values; break;
    case 'Binary': map['BS'] = values; break;
    case 'Number': map['NS'] = values.map(function (value) {
      return value.toString();
    });
  }
  return map;
}

/**
 * @api private
 */
function filterEmptySetValues(set) {
    var nonEmptyValues = [];
    var potentiallyEmptyTypes = {
        String: true,
        Binary: true,
        Number: false
    };
    if (potentiallyEmptyTypes[set.type]) {
        for (var i = 0; i < set.values.length; i++) {
            if (set.values[i].length === 0) {
                continue;
            }
            nonEmptyValues.push(set.values[i]);
        }

        return nonEmptyValues;
    }

    return set.values;
}

/**
 * @api private
 */
module.exports = AWS.DynamoDB.Converter;


/***/ }),

/***/ 90030:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var Translator = __nccwpck_require__(34222);
var DynamoDBSet = __nccwpck_require__(20304);

/**
 * The document client simplifies working with items in Amazon DynamoDB
 * by abstracting away the notion of attribute values. This abstraction
 * annotates native JavaScript types supplied as input parameters, as well
 * as converts annotated response data to native JavaScript types.
 *
 * ## Marshalling Input and Unmarshalling Response Data
 *
 * The document client affords developers the use of native JavaScript types
 * instead of `AttributeValue`s to simplify the JavaScript development
 * experience with Amazon DynamoDB. JavaScript objects passed in as parameters
 * are marshalled into `AttributeValue` shapes required by Amazon DynamoDB.
 * Responses from DynamoDB are unmarshalled into plain JavaScript objects
 * by the `DocumentClient`. The `DocumentClient`, does not accept
 * `AttributeValue`s in favor of native JavaScript types.
 *
 * |                             JavaScript Type                            | DynamoDB AttributeValue |
 * |:----------------------------------------------------------------------:|-------------------------|
 * | String                                                                 | S                       |
 * | Number                                                                 | N                       |
 * | Boolean                                                                | BOOL                    |
 * | null                                                                   | NULL                    |
 * | Array                                                                  | L                       |
 * | Object                                                                 | M                       |
 * | Buffer, File, Blob, ArrayBuffer, DataView, and JavaScript typed arrays | B                       |
 *
 * ## Support for Sets
 *
 * The `DocumentClient` offers a convenient way to create sets from
 * JavaScript Arrays. The type of set is inferred from the first element
 * in the array. DynamoDB supports string, number, and binary sets. To
 * learn more about supported types see the
 * [Amazon DynamoDB Data Model Documentation](http://docs.aws.amazon.com/amazondynamodb/latest/developerguide/DataModel.html)
 * For more information see {AWS.DynamoDB.DocumentClient.createSet}
 *
 */
AWS.DynamoDB.DocumentClient = AWS.util.inherit({

  /**
   * Creates a DynamoDB document client with a set of configuration options.
   *
   * @option options params [map] An optional map of parameters to bind to every
   *   request sent by this service object.
   * @option options service [AWS.DynamoDB] An optional pre-configured instance
   *  of the AWS.DynamoDB service object to use for requests. The object may
   *  bound parameters used by the document client.
   * @option options convertEmptyValues [Boolean] set to true if you would like
   *  the document client to convert empty values (0-length strings, binary
   *  buffers, and sets) to be converted to NULL types when persisting to
   *  DynamoDB.
   * @option options wrapNumbers [Boolean] Set to true to return numbers as a
   *  NumberValue object instead of converting them to native JavaScript numbers.
   *  This allows for the safe round-trip transport of numbers of arbitrary size.
   * @see AWS.DynamoDB.constructor
   *
   */
  constructor: function DocumentClient(options) {
    var self = this;
    self.options = options || {};
    self.configure(self.options);
  },

  /**
   * @api private
   */
  configure: function configure(options) {
    var self = this;
    self.service = options.service;
    self.bindServiceObject(options);
    self.attrValue = options.attrValue =
      self.service.api.operations.putItem.input.members.Item.value.shape;
  },

  /**
   * @api private
   */
  bindServiceObject: function bindServiceObject(options) {
    var self = this;
    options = options || {};

    if (!self.service) {
      self.service = new AWS.DynamoDB(options);
    } else {
      var config = AWS.util.copy(self.service.config);
      self.service = new self.service.constructor.__super__(config);
      self.service.config.params =
        AWS.util.merge(self.service.config.params || {}, options.params);
    }
  },

  /**
   * @api private
   */
  makeServiceRequest: function(operation, params, callback) {
    var self = this;
    var request = self.service[operation](params);
    self.setupRequest(request);
    self.setupResponse(request);
    if (typeof callback === 'function') {
      request.send(callback);
    }
    return request;
  },

  /**
   * @api private
   */
  serviceClientOperationsMap: {
    batchGet: 'batchGetItem',
    batchWrite: 'batchWriteItem',
    delete: 'deleteItem',
    get: 'getItem',
    put: 'putItem',
    query: 'query',
    scan: 'scan',
    update: 'updateItem',
    transactGet: 'transactGetItems',
    transactWrite: 'transactWriteItems'
  },

  /**
   * Returns the attributes of one or more items from one or more tables
   * by delegating to `AWS.DynamoDB.batchGetItem()`.
   *
   * Supply the same parameters as {AWS.DynamoDB.batchGetItem} with
   * `AttributeValue`s substituted by native JavaScript types.
   *
   * @see AWS.DynamoDB.batchGetItem
   * @example Get items from multiple tables
   *  var params = {
   *    RequestItems: {
   *      'Table-1': {
   *        Keys: [
   *          {
   *             HashKey: 'haskey',
   *             NumberRangeKey: 1
   *          }
   *        ]
   *      },
   *      'Table-2': {
   *        Keys: [
   *          { foo: 'bar' },
   *        ]
   *      }
   *    }
   *  };
   *
   *  var documentClient = new AWS.DynamoDB.DocumentClient();
   *
   *  documentClient.batchGet(params, function(err, data) {
   *    if (err) console.log(err);
   *    else console.log(data);
   *  });
   *
   */
  batchGet: function(params, callback) {
    var operation = this.serviceClientOperationsMap['batchGet'];
    return this.makeServiceRequest(operation, params, callback);
  },

  /**
   * Puts or deletes multiple items in one or more tables by delegating
   * to `AWS.DynamoDB.batchWriteItem()`.
   *
   * Supply the same parameters as {AWS.DynamoDB.batchWriteItem} with
   * `AttributeValue`s substituted by native JavaScript types.
   *
   * @see AWS.DynamoDB.batchWriteItem
   * @example Write to and delete from a table
   *  var params = {
   *    RequestItems: {
   *      'Table-1': [
   *        {
   *          DeleteRequest: {
   *            Key: { HashKey: 'someKey' }
   *          }
   *        },
   *        {
   *          PutRequest: {
   *            Item: {
   *              HashKey: 'anotherKey',
   *              NumAttribute: 1,
   *              BoolAttribute: true,
   *              ListAttribute: [1, 'two', false],
   *              MapAttribute: { foo: 'bar' }
   *            }
   *          }
   *        }
   *      ]
   *    }
   *  };
   *
   *  var documentClient = new AWS.DynamoDB.DocumentClient();
   *
   *  documentClient.batchWrite(params, function(err, data) {
   *    if (err) console.log(err);
   *    else console.log(data);
   *  });
   *
   */
  batchWrite: function(params, callback) {
    var operation = this.serviceClientOperationsMap['batchWrite'];
    return this.makeServiceRequest(operation, params, callback);
  },

  /**
   * Deletes a single item in a table by primary key by delegating to
   * `AWS.DynamoDB.deleteItem()`
   *
   * Supply the same parameters as {AWS.DynamoDB.deleteItem} with
   * `AttributeValue`s substituted by native JavaScript types.
   *
   * @see AWS.DynamoDB.deleteItem
   * @example Delete an item from a table
   *  var params = {
   *    TableName : 'Table',
   *    Key: {
   *      HashKey: 'hashkey',
   *      NumberRangeKey: 1
   *    }
   *  };
   *
   *  var documentClient = new AWS.DynamoDB.DocumentClient();
   *
   *  documentClient.delete(params, function(err, data) {
   *    if (err) console.log(err);
   *    else console.log(data);
   *  });
   *
   */
  delete: function(params, callback) {
    var operation = this.serviceClientOperationsMap['delete'];
    return this.makeServiceRequest(operation, params, callback);
  },

  /**
   * Returns a set of attributes for the item with the given primary key
   * by delegating to `AWS.DynamoDB.getItem()`.
   *
   * Supply the same parameters as {AWS.DynamoDB.getItem} with
   * `AttributeValue`s substituted by native JavaScript types.
   *
   * @see AWS.DynamoDB.getItem
   * @example Get an item from a table
   *  var params = {
   *    TableName : 'Table',
   *    Key: {
   *      HashKey: 'hashkey'
   *    }
   *  };
   *
   *  var documentClient = new AWS.DynamoDB.DocumentClient();
   *
   *  documentClient.get(params, function(err, data) {
   *    if (err) console.log(err);
   *    else console.log(data);
   *  });
   *
   */
  get: function(params, callback) {
    var operation = this.serviceClientOperationsMap['get'];
    return this.makeServiceRequest(operation, params, callback);
  },

  /**
   * Creates a new item, or replaces an old item with a new item by
   * delegating to `AWS.DynamoDB.putItem()`.
   *
   * Supply the same parameters as {AWS.DynamoDB.putItem} with
   * `AttributeValue`s substituted by native JavaScript types.
   *
   * @see AWS.DynamoDB.putItem
   * @example Create a new item in a table
   *  var params = {
   *    TableName : 'Table',
   *    Item: {
   *       HashKey: 'haskey',
   *       NumAttribute: 1,
   *       BoolAttribute: true,
   *       ListAttribute: [1, 'two', false],
   *       MapAttribute: { foo: 'bar'},
   *       NullAttribute: null
   *    }
   *  };
   *
   *  var documentClient = new AWS.DynamoDB.DocumentClient();
   *
   *  documentClient.put(params, function(err, data) {
   *    if (err) console.log(err);
   *    else console.log(data);
   *  });
   *
   */
  put: function(params, callback) {
    var operation = this.serviceClientOperationsMap['put'];
    return this.makeServiceRequest(operation, params, callback);
  },

  /**
   * Edits an existing item's attributes, or adds a new item to the table if
   * it does not already exist by delegating to `AWS.DynamoDB.updateItem()`.
   *
   * Supply the same parameters as {AWS.DynamoDB.updateItem} with
   * `AttributeValue`s substituted by native JavaScript types.
   *
   * @see AWS.DynamoDB.updateItem
   * @example Update an item with expressions
   *  var params = {
   *    TableName: 'Table',
   *    Key: { HashKey : 'hashkey' },
   *    UpdateExpression: 'set #a = :x + :y',
   *    ConditionExpression: '#a < :MAX',
   *    ExpressionAttributeNames: {'#a' : 'Sum'},
   *    ExpressionAttributeValues: {
   *      ':x' : 20,
   *      ':y' : 45,
   *      ':MAX' : 100,
   *    }
   *  };
   *
   *  var documentClient = new AWS.DynamoDB.DocumentClient();
   *
   *  documentClient.update(params, function(err, data) {
   *     if (err) console.log(err);
   *     else console.log(data);
   *  });
   *
   */
  update: function(params, callback) {
    var operation = this.serviceClientOperationsMap['update'];
    return this.makeServiceRequest(operation, params, callback);
  },

  /**
   * Returns one or more items and item attributes by accessing every item
   * in a table or a secondary index.
   *
   * Supply the same parameters as {AWS.DynamoDB.scan} with
   * `AttributeValue`s substituted by native JavaScript types.
   *
   * @see AWS.DynamoDB.scan
   * @example Scan the table with a filter expression
   *  var params = {
   *    TableName : 'Table',
   *    FilterExpression : 'Year = :this_year',
   *    ExpressionAttributeValues : {':this_year' : 2015}
   *  };
   *
   *  var documentClient = new AWS.DynamoDB.DocumentClient();
   *
   *  documentClient.scan(params, function(err, data) {
   *     if (err) console.log(err);
   *     else console.log(data);
   *  });
   *
   */
  scan: function(params, callback) {
    var operation = this.serviceClientOperationsMap['scan'];
    return this.makeServiceRequest(operation, params, callback);
  },

   /**
    * Directly access items from a table by primary key or a secondary index.
    *
    * Supply the same parameters as {AWS.DynamoDB.query} with
    * `AttributeValue`s substituted by native JavaScript types.
    *
    * @see AWS.DynamoDB.query
    * @example Query an index
    *  var params = {
    *    TableName: 'Table',
    *    IndexName: 'Index',
    *    KeyConditionExpression: 'HashKey = :hkey and RangeKey > :rkey',
    *    ExpressionAttributeValues: {
    *      ':hkey': 'key',
    *      ':rkey': 2015
    *    }
    *  };
    *
    *  var documentClient = new AWS.DynamoDB.DocumentClient();
    *
    *  documentClient.query(params, function(err, data) {
    *     if (err) console.log(err);
    *     else console.log(data);
    *  });
    *
    */
  query: function(params, callback) {
    var operation = this.serviceClientOperationsMap['query'];
    return this.makeServiceRequest(operation, params, callback);
  },

  /**
   * Synchronous write operation that groups up to 25 action requests.
   *
   * Supply the same parameters as {AWS.DynamoDB.transactWriteItems} with
   * `AttributeValue`s substituted by native JavaScript types.
   *
   * @see AWS.DynamoDB.transactWriteItems
   * @example Get items from multiple tables
   *  var params = {
   *    TransactItems: [{
   *      Put: {
   *        TableName : 'Table0',
   *        Item: {
   *          HashKey: 'haskey',
   *          NumAttribute: 1,
   *          BoolAttribute: true,
   *          ListAttribute: [1, 'two', false],
   *          MapAttribute: { foo: 'bar'},
   *          NullAttribute: null
   *        }
   *      }
   *    }, {
   *      Update: {
   *        TableName: 'Table1',
   *        Key: { HashKey : 'hashkey' },
   *        UpdateExpression: 'set #a = :x + :y',
   *        ConditionExpression: '#a < :MAX',
   *        ExpressionAttributeNames: {'#a' : 'Sum'},
   *        ExpressionAttributeValues: {
   *          ':x' : 20,
   *          ':y' : 45,
   *          ':MAX' : 100,
   *        }
   *      }
   *    }]
   *  };
   *
   *  documentClient.transactWrite(params, function(err, data) {
   *    if (err) console.log(err);
   *    else console.log(data);
   *  });
   */
  transactWrite: function(params, callback) {
    var operation = this.serviceClientOperationsMap['transactWrite'];
    return this.makeServiceRequest(operation, params, callback);
  },

  /**
   * Atomically retrieves multiple items from one or more tables (but not from indexes)
   * in a single account and region.
   *
   * Supply the same parameters as {AWS.DynamoDB.transactGetItems} with
   * `AttributeValue`s substituted by native JavaScript types.
   *
   * @see AWS.DynamoDB.transactGetItems
   * @example Get items from multiple tables
   *  var params = {
   *    TransactItems: [{
   *      Get: {
   *        TableName : 'Table0',
   *        Key: {
   *          HashKey: 'hashkey0'
   *        }
   *      }
   *    }, {
   *      Get: {
   *        TableName : 'Table1',
   *        Key: {
   *          HashKey: 'hashkey1'
   *        }
   *      }
   *    }]
   *  };
   *
   *  documentClient.transactGet(params, function(err, data) {
   *    if (err) console.log(err);
   *    else console.log(data);
   *  });
   */
  transactGet: function(params, callback) {
    var operation = this.serviceClientOperationsMap['transactGet'];
    return this.makeServiceRequest(operation, params, callback);
  },

  /**
   * Creates a set of elements inferring the type of set from
   * the type of the first element. Amazon DynamoDB currently supports
   * the number sets, string sets, and binary sets. For more information
   * about DynamoDB data types see the documentation on the
   * [Amazon DynamoDB Data Model](http://docs.aws.amazon.com/amazondynamodb/latest/developerguide/DataModel.html#DataModel.DataTypes).
   *
   * @param list [Array] Collection to represent your DynamoDB Set
   * @param options [map]
   *  * **validate** [Boolean] set to true if you want to validate the type
   *    of each element in the set. Defaults to `false`.
   * @example Creating a number set
   *  var documentClient = new AWS.DynamoDB.DocumentClient();
   *
   *  var params = {
   *    Item: {
   *      hashkey: 'hashkey'
   *      numbers: documentClient.createSet([1, 2, 3]);
   *    }
   *  };
   *
   *  documentClient.put(params, function(err, data) {
   *    if (err) console.log(err);
   *    else console.log(data);
   *  });
   *
   */
  createSet: function(list, options) {
    options = options || {};
    return new DynamoDBSet(list, options);
  },

  /**
   * @api private
   */
  getTranslator: function() {
    return new Translator(this.options);
  },

  /**
   * @api private
   */
  setupRequest: function setupRequest(request) {
    var self = this;
    var translator = self.getTranslator();
    var operation = request.operation;
    var inputShape = request.service.api.operations[operation].input;
    request._events.validate.unshift(function(req) {
      req.rawParams = AWS.util.copy(req.params);
      req.params = translator.translateInput(req.rawParams, inputShape);
    });
  },

  /**
   * @api private
   */
  setupResponse: function setupResponse(request) {
    var self = this;
    var translator = self.getTranslator();
    var outputShape = self.service.api.operations[request.operation].output;
    request.on('extractData', function(response) {
      response.data = translator.translateOutput(response.data, outputShape);
    });

    var response = request.response;
    response.nextPage = function(cb) {
      var resp = this;
      var req = resp.request;
      var config;
      var service = req.service;
      var operation = req.operation;
      try {
        config = service.paginationConfig(operation, true);
      } catch (e) { resp.error = e; }

      if (!resp.hasNextPage()) {
        if (cb) cb(resp.error, null);
        else if (resp.error) throw resp.error;
        return null;
      }

      var params = AWS.util.copy(req.rawParams);
      if (!resp.nextPageTokens) {
        return cb ? cb(null, null) : null;
      } else {
        var inputTokens = config.inputToken;
        if (typeof inputTokens === 'string') inputTokens = [inputTokens];
        for (var i = 0; i < inputTokens.length; i++) {
          params[inputTokens[i]] = resp.nextPageTokens[i];
        }
        return self[operation](params, cb);
      }
    };
  }

});

/**
 * @api private
 */
module.exports = AWS.DynamoDB.DocumentClient;


/***/ }),

/***/ 91593:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = (__nccwpck_require__(28437).util);

/**
 * An object recognizable as a numeric value that stores the underlying number
 * as a string.
 *
 * Intended to be a deserialization target for the DynamoDB Document Client when
 * the `wrapNumbers` flag is set. This allows for numeric values that lose
 * precision when converted to JavaScript's `number` type.
 */
var DynamoDBNumberValue = util.inherit({
  constructor: function NumberValue(value) {
    this.wrapperName = 'NumberValue';
    this.value = value.toString();
  },

  /**
   * Render the underlying value as a number when converting to JSON.
   */
  toJSON: function () {
    return this.toNumber();
  },

  /**
   * Convert the underlying value to a JavaScript number.
   */
  toNumber: function () {
    return Number(this.value);
  },

  /**
   * Return a string representing the unaltered value provided to the
   * constructor.
   */
  toString: function () {
    return this.value;
  }
});

/**
 * @api private
 */
module.exports = DynamoDBNumberValue;


/***/ }),

/***/ 20304:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = (__nccwpck_require__(28437).util);
var typeOf = (__nccwpck_require__(48084).typeOf);

/**
 * @api private
 */
var memberTypeToSetType = {
  'String': 'String',
  'Number': 'Number',
  'NumberValue': 'Number',
  'Binary': 'Binary'
};

/**
 * @api private
 */
var DynamoDBSet = util.inherit({

  constructor: function Set(list, options) {
    options = options || {};
    this.wrapperName = 'Set';
    this.initialize(list, options.validate);
  },

  initialize: function(list, validate) {
    var self = this;
    self.values = [].concat(list);
    self.detectType();
    if (validate) {
      self.validate();
    }
  },

  detectType: function() {
    this.type = memberTypeToSetType[typeOf(this.values[0])];
    if (!this.type) {
      throw util.error(new Error(), {
        code: 'InvalidSetType',
        message: 'Sets can contain string, number, or binary values'
      });
    }
  },

  validate: function() {
    var self = this;
    var length = self.values.length;
    var values = self.values;
    for (var i = 0; i < length; i++) {
      if (memberTypeToSetType[typeOf(values[i])] !== self.type) {
        throw util.error(new Error(), {
          code: 'InvalidType',
          message: self.type + ' Set contains ' + typeOf(values[i]) + ' value'
        });
      }
    }
  },

  /**
   * Render the underlying values only when converting to JSON.
   */
  toJSON: function() {
    var self = this;
    return self.values;
  }

});

/**
 * @api private
 */
module.exports = DynamoDBSet;


/***/ }),

/***/ 34222:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = (__nccwpck_require__(28437).util);
var convert = __nccwpck_require__(76663);

var Translator = function(options) {
  options = options || {};
  this.attrValue = options.attrValue;
  this.convertEmptyValues = Boolean(options.convertEmptyValues);
  this.wrapNumbers = Boolean(options.wrapNumbers);
};

Translator.prototype.translateInput = function(value, shape) {
  this.mode = 'input';
  return this.translate(value, shape);
};

Translator.prototype.translateOutput = function(value, shape) {
  this.mode = 'output';
  return this.translate(value, shape);
};

Translator.prototype.translate = function(value, shape) {
  var self = this;
  if (!shape || value === undefined) return undefined;

  if (shape.shape === self.attrValue) {
    return convert[self.mode](value, {
      convertEmptyValues: self.convertEmptyValues,
      wrapNumbers: self.wrapNumbers,
    });
  }
  switch (shape.type) {
    case 'structure': return self.translateStructure(value, shape);
    case 'map': return self.translateMap(value, shape);
    case 'list': return self.translateList(value, shape);
    default: return self.translateScalar(value, shape);
  }
};

Translator.prototype.translateStructure = function(structure, shape) {
  var self = this;
  if (structure == null) return undefined;

  var struct = {};
  util.each(structure, function(name, value) {
    var memberShape = shape.members[name];
    if (memberShape) {
      var result = self.translate(value, memberShape);
      if (result !== undefined) struct[name] = result;
    }
  });
  return struct;
};

Translator.prototype.translateList = function(list, shape) {
  var self = this;
  if (list == null) return undefined;

  var out = [];
  util.arrayEach(list, function(value) {
    var result = self.translate(value, shape.member);
    if (result === undefined) out.push(null);
    else out.push(result);
  });
  return out;
};

Translator.prototype.translateMap = function(map, shape) {
  var self = this;
  if (map == null) return undefined;

  var out = {};
  util.each(map, function(key, value) {
    var result = self.translate(value, shape.value);
    if (result === undefined) out[key] = null;
    else out[key] = result;
  });
  return out;
};

Translator.prototype.translateScalar = function(value, shape) {
  return shape.toType(value);
};

/**
 * @api private
 */
module.exports = Translator;


/***/ }),

/***/ 48084:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = (__nccwpck_require__(28437).util);

function typeOf(data) {
  if (data === null && typeof data === 'object') {
    return 'null';
  } else if (data !== undefined && isBinary(data)) {
    return 'Binary';
  } else if (data !== undefined && data.constructor) {
    return data.wrapperName || util.typeName(data.constructor);
  } else if (data !== undefined && typeof data === 'object') {
    // this object is the result of Object.create(null), hence the absence of a
    // defined constructor
    return 'Object';
  } else {
    return 'undefined';
  }
}

function isBinary(data) {
  var types = [
    'Buffer', 'File', 'Blob', 'ArrayBuffer', 'DataView',
    'Int8Array', 'Uint8Array', 'Uint8ClampedArray',
    'Int16Array', 'Uint16Array', 'Int32Array', 'Uint32Array',
    'Float32Array', 'Float64Array'
  ];
  if (util.isNode()) {
    var Stream = util.stream.Stream;
    if (util.Buffer.isBuffer(data) || data instanceof Stream) {
      return true;
    }
  }

  for (var i = 0; i < types.length; i++) {
    if (data !== undefined && data.constructor) {
      if (util.isType(data, types[i])) return true;
      if (util.typeName(data.constructor) === types[i]) return true;
    }
  }

  return false;
}

/**
 * @api private
 */
module.exports = {
  typeOf: typeOf,
  isBinary: isBinary
};


/***/ }),

/***/ 63727:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var eventMessageChunker = (__nccwpck_require__(73630).eventMessageChunker);
var parseEvent = (__nccwpck_require__(52123).parseEvent);

function createEventStream(body, parser, model) {
    var eventMessages = eventMessageChunker(body);

    var events = [];

    for (var i = 0; i < eventMessages.length; i++) {
        events.push(parseEvent(parser, eventMessages[i], model));
    }

    return events;
}

/**
 * @api private
 */
module.exports = {
    createEventStream: createEventStream
};


/***/ }),

/***/ 18518:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = (__nccwpck_require__(28437).util);
var Transform = (__nccwpck_require__(12781).Transform);
var allocBuffer = util.buffer.alloc;

/** @type {Transform} */
function EventMessageChunkerStream(options) {
    Transform.call(this, options);

    this.currentMessageTotalLength = 0;
    this.currentMessagePendingLength = 0;
    /** @type {Buffer} */
    this.currentMessage = null;

    /** @type {Buffer} */
    this.messageLengthBuffer = null;
}

EventMessageChunkerStream.prototype = Object.create(Transform.prototype);

/**
 *
 * @param {Buffer} chunk
 * @param {string} encoding
 * @param {*} callback
 */
EventMessageChunkerStream.prototype._transform = function(chunk, encoding, callback) {
    var chunkLength = chunk.length;
    var currentOffset = 0;

    while (currentOffset < chunkLength) {
        // create new message if necessary
        if (!this.currentMessage) {
            // working on a new message, determine total length
            var bytesRemaining = chunkLength - currentOffset;
            // prevent edge case where total length spans 2 chunks
            if (!this.messageLengthBuffer) {
                this.messageLengthBuffer = allocBuffer(4);
            }
            var numBytesForTotal = Math.min(
                4 - this.currentMessagePendingLength, // remaining bytes to fill the messageLengthBuffer
                bytesRemaining // bytes left in chunk
            );

            chunk.copy(
                this.messageLengthBuffer,
                this.currentMessagePendingLength,
                currentOffset,
                currentOffset + numBytesForTotal
            );

            this.currentMessagePendingLength += numBytesForTotal;
            currentOffset += numBytesForTotal;

            if (this.currentMessagePendingLength < 4) {
                // not enough information to create the current message
                break;
            }
            this.allocateMessage(this.messageLengthBuffer.readUInt32BE(0));
            this.messageLengthBuffer = null;
        }

        // write data into current message
        var numBytesToWrite = Math.min(
            this.currentMessageTotalLength - this.currentMessagePendingLength, // number of bytes left to complete message
            chunkLength - currentOffset // number of bytes left in the original chunk
        );
        chunk.copy(
            this.currentMessage, // target buffer
            this.currentMessagePendingLength, // target offset
            currentOffset, // chunk offset
            currentOffset + numBytesToWrite // chunk end to write
        );
        this.currentMessagePendingLength += numBytesToWrite;
        currentOffset += numBytesToWrite;

        // check if a message is ready to be pushed
        if (this.currentMessageTotalLength && this.currentMessageTotalLength === this.currentMessagePendingLength) {
            // push out the message
            this.push(this.currentMessage);
            // cleanup
            this.currentMessage = null;
            this.currentMessageTotalLength = 0;
            this.currentMessagePendingLength = 0;
        }
    }

    callback();
};

EventMessageChunkerStream.prototype._flush = function(callback) {
    if (this.currentMessageTotalLength) {
        if (this.currentMessageTotalLength === this.currentMessagePendingLength) {
            callback(null, this.currentMessage);
        } else {
            callback(new Error('Truncated event message received.'));
        }
    } else {
        callback();
    }
};

/**
 * @param {number} size Size of the message to be allocated.
 * @api private
 */
EventMessageChunkerStream.prototype.allocateMessage = function(size) {
    if (typeof size !== 'number') {
        throw new Error('Attempted to allocate an event message where size was not a number: ' + size);
    }
    this.currentMessageTotalLength = size;
    this.currentMessagePendingLength = 4;
    this.currentMessage = allocBuffer(size);
    this.currentMessage.writeUInt32BE(size, 0);
};

/**
 * @api private
 */
module.exports = {
    EventMessageChunkerStream: EventMessageChunkerStream
};


/***/ }),

/***/ 73630:
/***/ ((module) => {

/**
 * Takes in a buffer of event messages and splits them into individual messages.
 * @param {Buffer} buffer
 * @api private
 */
function eventMessageChunker(buffer) {
    /** @type Buffer[] */
    var messages = [];
    var offset = 0;

    while (offset < buffer.length) {
        var totalLength = buffer.readInt32BE(offset);

        // create new buffer for individual message (shares memory with original)
        var message = buffer.slice(offset, totalLength + offset);
        // increment offset to it starts at the next message
        offset += totalLength;

        messages.push(message);
    }

    return messages;
}

/**
 * @api private
 */
module.exports = {
    eventMessageChunker: eventMessageChunker
};


/***/ }),

/***/ 93773:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var Transform = (__nccwpck_require__(12781).Transform);
var parseEvent = (__nccwpck_require__(52123).parseEvent);

/** @type {Transform} */
function EventUnmarshallerStream(options) {
    options = options || {};
    // set output to object mode
    options.readableObjectMode = true;
    Transform.call(this, options);
    this._readableState.objectMode = true;

    this.parser = options.parser;
    this.eventStreamModel = options.eventStreamModel;
}

EventUnmarshallerStream.prototype = Object.create(Transform.prototype);

/**
 *
 * @param {Buffer} chunk
 * @param {string} encoding
 * @param {*} callback
 */
EventUnmarshallerStream.prototype._transform = function(chunk, encoding, callback) {
    try {
        var event = parseEvent(this.parser, chunk, this.eventStreamModel);
        this.push(event);
        return callback();
    } catch (err) {
        callback(err);
    }
};

/**
 * @api private
 */
module.exports = {
    EventUnmarshallerStream: EventUnmarshallerStream
};


/***/ }),

/***/ 48583:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = (__nccwpck_require__(28437).util);
var toBuffer = util.buffer.toBuffer;

/**
 * A lossless representation of a signed, 64-bit integer. Instances of this
 * class may be used in arithmetic expressions as if they were numeric
 * primitives, but the binary representation will be preserved unchanged as the
 * `bytes` property of the object. The bytes should be encoded as big-endian,
 * two's complement integers.
 * @param {Buffer} bytes
 *
 * @api private
 */
function Int64(bytes) {
    if (bytes.length !== 8) {
        throw new Error('Int64 buffers must be exactly 8 bytes');
    }
    if (!util.Buffer.isBuffer(bytes)) bytes = toBuffer(bytes);

    this.bytes = bytes;
}

/**
 * @param {number} number
 * @returns {Int64}
 *
 * @api private
 */
Int64.fromNumber = function(number) {
    if (number > 9223372036854775807 || number < -9223372036854775808) {
        throw new Error(
            number + ' is too large (or, if negative, too small) to represent as an Int64'
        );
    }

    var bytes = new Uint8Array(8);
    for (
        var i = 7, remaining = Math.abs(Math.round(number));
        i > -1 && remaining > 0;
        i--, remaining /= 256
    ) {
        bytes[i] = remaining;
    }

    if (number < 0) {
        negate(bytes);
    }

    return new Int64(bytes);
};

/**
 * @returns {number}
 *
 * @api private
 */
Int64.prototype.valueOf = function() {
    var bytes = this.bytes.slice(0);
    var negative = bytes[0] & 128;
    if (negative) {
        negate(bytes);
    }

    return parseInt(bytes.toString('hex'), 16) * (negative ? -1 : 1);
};

Int64.prototype.toString = function() {
    return String(this.valueOf());
};

/**
 * @param {Buffer} bytes
 *
 * @api private
 */
function negate(bytes) {
    for (var i = 0; i < 8; i++) {
        bytes[i] ^= 0xFF;
    }
    for (var i = 7; i > -1; i--) {
        bytes[i]++;
        if (bytes[i] !== 0) {
            break;
        }
    }
}

/**
 * @api private
 */
module.exports = {
    Int64: Int64
};


/***/ }),

/***/ 52123:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var parseMessage = (__nccwpck_require__(30866).parseMessage);

/**
 *
 * @param {*} parser
 * @param {Buffer} message
 * @param {*} shape
 * @api private
 */
function parseEvent(parser, message, shape) {
    var parsedMessage = parseMessage(message);

    // check if message is an event or error
    var messageType = parsedMessage.headers[':message-type'];
    if (messageType) {
        if (messageType.value === 'error') {
            throw parseError(parsedMessage);
        } else if (messageType.value !== 'event') {
            // not sure how to parse non-events/non-errors, ignore for now
            return;
        }
    }

    // determine event type
    var eventType = parsedMessage.headers[':event-type'];
    // check that the event type is modeled
    var eventModel = shape.members[eventType.value];
    if (!eventModel) {
        return;
    }

    var result = {};
    // check if an event payload exists
    var eventPayloadMemberName = eventModel.eventPayloadMemberName;
    if (eventPayloadMemberName) {
        var payloadShape = eventModel.members[eventPayloadMemberName];
        // if the shape is binary, return the byte array
        if (payloadShape.type === 'binary') {
            result[eventPayloadMemberName] = parsedMessage.body;
        } else {
            result[eventPayloadMemberName] = parser.parse(parsedMessage.body.toString(), payloadShape);
        }
    }

    // read event headers
    var eventHeaderNames = eventModel.eventHeaderMemberNames;
    for (var i = 0; i < eventHeaderNames.length; i++) {
        var name = eventHeaderNames[i];
        if (parsedMessage.headers[name]) {
            // parse the header!
            result[name] = eventModel.members[name].toType(parsedMessage.headers[name].value);
        }
    }

    var output = {};
    output[eventType.value] = result;
    return output;
}

function parseError(message) {
    var errorCode = message.headers[':error-code'];
    var errorMessage = message.headers[':error-message'];
    var error = new Error(errorMessage.value || errorMessage);
    error.code = error.name = errorCode.value || errorCode;
    return error;
}

/**
 * @api private
 */
module.exports = {
    parseEvent: parseEvent
};


/***/ }),

/***/ 30866:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var Int64 = (__nccwpck_require__(48583).Int64);

var splitMessage = (__nccwpck_require__(71765).splitMessage);

var BOOLEAN_TAG = 'boolean';
var BYTE_TAG = 'byte';
var SHORT_TAG = 'short';
var INT_TAG = 'integer';
var LONG_TAG = 'long';
var BINARY_TAG = 'binary';
var STRING_TAG = 'string';
var TIMESTAMP_TAG = 'timestamp';
var UUID_TAG = 'uuid';

/**
 * @api private
 *
 * @param {Buffer} headers
 */
function parseHeaders(headers) {
    var out = {};
    var position = 0;
    while (position < headers.length) {
        var nameLength = headers.readUInt8(position++);
        var name = headers.slice(position, position + nameLength).toString();
        position += nameLength;
        switch (headers.readUInt8(position++)) {
            case 0 /* boolTrue */:
                out[name] = {
                    type: BOOLEAN_TAG,
                    value: true
                };
                break;
            case 1 /* boolFalse */:
                out[name] = {
                    type: BOOLEAN_TAG,
                    value: false
                };
                break;
            case 2 /* byte */:
                out[name] = {
                    type: BYTE_TAG,
                    value: headers.readInt8(position++)
                };
                break;
            case 3 /* short */:
                out[name] = {
                    type: SHORT_TAG,
                    value: headers.readInt16BE(position)
                };
                position += 2;
                break;
            case 4 /* integer */:
                out[name] = {
                    type: INT_TAG,
                    value: headers.readInt32BE(position)
                };
                position += 4;
                break;
            case 5 /* long */:
                out[name] = {
                    type: LONG_TAG,
                    value: new Int64(headers.slice(position, position + 8))
                };
                position += 8;
                break;
            case 6 /* byteArray */:
                var binaryLength = headers.readUInt16BE(position);
                position += 2;
                out[name] = {
                    type: BINARY_TAG,
                    value: headers.slice(position, position + binaryLength)
                };
                position += binaryLength;
                break;
            case 7 /* string */:
                var stringLength = headers.readUInt16BE(position);
                position += 2;
                out[name] = {
                    type: STRING_TAG,
                    value: headers.slice(
                        position,
                        position + stringLength
                    ).toString()
                };
                position += stringLength;
                break;
            case 8 /* timestamp */:
                out[name] = {
                    type: TIMESTAMP_TAG,
                    value: new Date(
                        new Int64(headers.slice(position, position + 8))
                            .valueOf()
                    )
                };
                position += 8;
                break;
            case 9 /* uuid */:
                var uuidChars = headers.slice(position, position + 16)
                    .toString('hex');
                position += 16;
                out[name] = {
                    type: UUID_TAG,
                    value: uuidChars.substr(0, 8) + '-' +
                        uuidChars.substr(8, 4) + '-' +
                        uuidChars.substr(12, 4) + '-' +
                        uuidChars.substr(16, 4) + '-' +
                        uuidChars.substr(20)
                };
                break;
            default:
                throw new Error('Unrecognized header type tag');
        }
    }
    return out;
}

function parseMessage(message) {
    var parsed = splitMessage(message);
    return { headers: parseHeaders(parsed.headers), body: parsed.body };
}

/**
 * @api private
 */
module.exports = {
    parseMessage: parseMessage
};


/***/ }),

/***/ 71765:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = (__nccwpck_require__(28437).util);
var toBuffer = util.buffer.toBuffer;

// All prelude components are unsigned, 32-bit integers
var PRELUDE_MEMBER_LENGTH = 4;
// The prelude consists of two components
var PRELUDE_LENGTH = PRELUDE_MEMBER_LENGTH * 2;
// Checksums are always CRC32 hashes.
var CHECKSUM_LENGTH = 4;
// Messages must include a full prelude, a prelude checksum, and a message checksum
var MINIMUM_MESSAGE_LENGTH = PRELUDE_LENGTH + CHECKSUM_LENGTH * 2;

/**
 * @api private
 *
 * @param {Buffer} message
 */
function splitMessage(message) {
    if (!util.Buffer.isBuffer(message)) message = toBuffer(message);

    if (message.length < MINIMUM_MESSAGE_LENGTH) {
        throw new Error('Provided message too short to accommodate event stream message overhead');
    }

    if (message.length !== message.readUInt32BE(0)) {
        throw new Error('Reported message length does not match received message length');
    }

    var expectedPreludeChecksum = message.readUInt32BE(PRELUDE_LENGTH);

    if (
        expectedPreludeChecksum !== util.crypto.crc32(
            message.slice(0, PRELUDE_LENGTH)
        )
    ) {
        throw new Error(
            'The prelude checksum specified in the message (' +
            expectedPreludeChecksum +
            ') does not match the calculated CRC32 checksum.'
        );
    }

    var expectedMessageChecksum = message.readUInt32BE(message.length - CHECKSUM_LENGTH);

    if (
        expectedMessageChecksum !== util.crypto.crc32(
            message.slice(0, message.length - CHECKSUM_LENGTH)
        )
    ) {
        throw new Error(
            'The message checksum did not match the expected value of ' +
                expectedMessageChecksum
        );
    }

    var headersStart = PRELUDE_LENGTH + CHECKSUM_LENGTH;
    var headersEnd = headersStart + message.readUInt32BE(PRELUDE_MEMBER_LENGTH);

    return {
        headers: message.slice(headersStart, headersEnd),
        body: message.slice(headersEnd, message.length - CHECKSUM_LENGTH),
    };
}

/**
 * @api private
 */
module.exports = {
    splitMessage: splitMessage
};


/***/ }),

/***/ 69643:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

/**
 * What is necessary to create an event stream in node?
 *  - http response stream
 *  - parser
 *  - event stream model
 */

var EventMessageChunkerStream = (__nccwpck_require__(18518).EventMessageChunkerStream);
var EventUnmarshallerStream = (__nccwpck_require__(93773).EventUnmarshallerStream);

function createEventStream(stream, parser, model) {
    var eventStream = new EventUnmarshallerStream({
        parser: parser,
        eventStreamModel: model
    });

    var eventMessageChunker = new EventMessageChunkerStream();

    stream.pipe(
        eventMessageChunker
    ).pipe(eventStream);

    stream.on('error', function(err) {
        eventMessageChunker.emit('error', err);
    });

    eventMessageChunker.on('error', function(err) {
        eventStream.emit('error', err);
    });

    return eventStream;
}

/**
 * @api private
 */
module.exports = {
    createEventStream: createEventStream
};


/***/ }),

/***/ 54995:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var SequentialExecutor = __nccwpck_require__(55948);
var DISCOVER_ENDPOINT = (__nccwpck_require__(45313).discoverEndpoint);
/**
 * The namespace used to register global event listeners for request building
 * and sending.
 */
AWS.EventListeners = {
  /**
   * @!attribute VALIDATE_CREDENTIALS
   *   A request listener that validates whether the request is being
   *   sent with credentials.
   *   Handles the {AWS.Request~validate 'validate' Request event}
   *   @example Sending a request without validating credentials
   *     var listener = AWS.EventListeners.Core.VALIDATE_CREDENTIALS;
   *     request.removeListener('validate', listener);
   *   @readonly
   *   @return [Function]
   * @!attribute VALIDATE_REGION
   *   A request listener that validates whether the region is set
   *   for a request.
   *   Handles the {AWS.Request~validate 'validate' Request event}
   *   @example Sending a request without validating region configuration
   *     var listener = AWS.EventListeners.Core.VALIDATE_REGION;
   *     request.removeListener('validate', listener);
   *   @readonly
   *   @return [Function]
   * @!attribute VALIDATE_PARAMETERS
   *   A request listener that validates input parameters in a request.
   *   Handles the {AWS.Request~validate 'validate' Request event}
   *   @example Sending a request without validating parameters
   *     var listener = AWS.EventListeners.Core.VALIDATE_PARAMETERS;
   *     request.removeListener('validate', listener);
   *   @example Disable parameter validation globally
   *     AWS.EventListeners.Core.removeListener('validate',
   *       AWS.EventListeners.Core.VALIDATE_REGION);
   *   @readonly
   *   @return [Function]
   * @!attribute SEND
   *   A request listener that initiates the HTTP connection for a
   *   request being sent. Handles the {AWS.Request~send 'send' Request event}
   *   @example Replacing the HTTP handler
   *     var listener = AWS.EventListeners.Core.SEND;
   *     request.removeListener('send', listener);
   *     request.on('send', function(response) {
   *       customHandler.send(response);
   *     });
   *   @return [Function]
   *   @readonly
   * @!attribute HTTP_DATA
   *   A request listener that reads data from the HTTP connection in order
   *   to build the response data.
   *   Handles the {AWS.Request~httpData 'httpData' Request event}.
   *   Remove this handler if you are overriding the 'httpData' event and
   *   do not want extra data processing and buffering overhead.
   *   @example Disabling default data processing
   *     var listener = AWS.EventListeners.Core.HTTP_DATA;
   *     request.removeListener('httpData', listener);
   *   @return [Function]
   *   @readonly
   */
  Core: {} /* doc hack */
};

/**
 * @api private
 */
function getOperationAuthtype(req) {
  if (!req.service.api.operations) {
    return '';
  }
  var operation = req.service.api.operations[req.operation];
  return operation ? operation.authtype : '';
}

AWS.EventListeners = {
  Core: new SequentialExecutor().addNamedListeners(function(add, addAsync) {
    addAsync('VALIDATE_CREDENTIALS', 'validate',
        function VALIDATE_CREDENTIALS(req, done) {
      if (!req.service.api.signatureVersion && !req.service.config.signatureVersion) return done(); // none
      req.service.config.getCredentials(function(err) {
        if (err) {
          req.response.error = AWS.util.error(err,
            {code: 'CredentialsError', message: 'Missing credentials in config, if using AWS_CONFIG_FILE, set AWS_SDK_LOAD_CONFIG=1'});
        }
        done();
      });
    });

    add('VALIDATE_REGION', 'validate', function VALIDATE_REGION(req) {
      if (!req.service.isGlobalEndpoint) {
        var dnsHostRegex = new RegExp(/^([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]{0,61}[a-zA-Z0-9])$/);
        if (!req.service.config.region) {
          req.response.error = AWS.util.error(new Error(),
            {code: 'ConfigError', message: 'Missing region in config'});
        } else if (!dnsHostRegex.test(req.service.config.region)) {
          req.response.error = AWS.util.error(new Error(),
            {code: 'ConfigError', message: 'Invalid region in config'});
        }
      }
    });

    add('BUILD_IDEMPOTENCY_TOKENS', 'validate', function BUILD_IDEMPOTENCY_TOKENS(req) {
      if (!req.service.api.operations) {
        return;
      }
      var operation = req.service.api.operations[req.operation];
      if (!operation) {
        return;
      }
      var idempotentMembers = operation.idempotentMembers;
      if (!idempotentMembers.length) {
        return;
      }
      // creates a copy of params so user's param object isn't mutated
      var params = AWS.util.copy(req.params);
      for (var i = 0, iLen = idempotentMembers.length; i < iLen; i++) {
        if (!params[idempotentMembers[i]]) {
          // add the member
          params[idempotentMembers[i]] = AWS.util.uuid.v4();
        }
      }
      req.params = params;
    });

    add('VALIDATE_PARAMETERS', 'validate', function VALIDATE_PARAMETERS(req) {
      if (!req.service.api.operations) {
        return;
      }
      var rules = req.service.api.operations[req.operation].input;
      var validation = req.service.config.paramValidation;
      new AWS.ParamValidator(validation).validate(rules, req.params);
    });

    add('COMPUTE_CHECKSUM', 'afterBuild', function COMPUTE_CHECKSUM(req) {
      if (!req.service.api.operations) {
        return;
      }
      var operation = req.service.api.operations[req.operation];
      if (!operation) {
        return;
      }
      var body = req.httpRequest.body;
      var isNonStreamingPayload = body && (AWS.util.Buffer.isBuffer(body) || typeof body === 'string');
      var headers = req.httpRequest.headers;
      if (
        operation.httpChecksumRequired &&
        req.service.config.computeChecksums &&
        isNonStreamingPayload &&
        !headers['Content-MD5']
      ) {
        var md5 = AWS.util.crypto.md5(body, 'base64');
        headers['Content-MD5'] = md5;
      }
    });

    addAsync('COMPUTE_SHA256', 'afterBuild', function COMPUTE_SHA256(req, done) {
      req.haltHandlersOnError();
      if (!req.service.api.operations) {
        return;
      }
      var operation = req.service.api.operations[req.operation];
      var authtype = operation ? operation.authtype : '';
      if (!req.service.api.signatureVersion && !authtype && !req.service.config.signatureVersion) return done(); // none
      if (req.service.getSignerClass(req) === AWS.Signers.V4) {
        var body = req.httpRequest.body || '';
        if (authtype.indexOf('unsigned-body') >= 0) {
          req.httpRequest.headers['X-Amz-Content-Sha256'] = 'UNSIGNED-PAYLOAD';
          return done();
        }
        AWS.util.computeSha256(body, function(err, sha) {
          if (err) {
            done(err);
          }
          else {
            req.httpRequest.headers['X-Amz-Content-Sha256'] = sha;
            done();
          }
        });
      } else {
        done();
      }
    });

    add('SET_CONTENT_LENGTH', 'afterBuild', function SET_CONTENT_LENGTH(req) {
      var authtype = getOperationAuthtype(req);
      var payloadMember = AWS.util.getRequestPayloadShape(req);
      if (req.httpRequest.headers['Content-Length'] === undefined) {
        try {
          var length = AWS.util.string.byteLength(req.httpRequest.body);
          req.httpRequest.headers['Content-Length'] = length;
        } catch (err) {
          if (payloadMember && payloadMember.isStreaming) {
            if (payloadMember.requiresLength) {
              //streaming payload requires length(s3, glacier)
              throw err;
            } else if (authtype.indexOf('unsigned-body') >= 0) {
              //unbounded streaming payload(lex, mediastore)
              req.httpRequest.headers['Transfer-Encoding'] = 'chunked';
              return;
            } else {
              throw err;
            }
          }
          throw err;
        }
      }
    });

    add('SET_HTTP_HOST', 'afterBuild', function SET_HTTP_HOST(req) {
      req.httpRequest.headers['Host'] = req.httpRequest.endpoint.host;
    });

    add('RESTART', 'restart', function RESTART() {
      var err = this.response.error;
      if (!err || !err.retryable) return;

      this.httpRequest = new AWS.HttpRequest(
        this.service.endpoint,
        this.service.region
      );

      if (this.response.retryCount < this.service.config.maxRetries) {
        this.response.retryCount++;
      } else {
        this.response.error = null;
      }
    });

    var addToHead = true;
    addAsync('DISCOVER_ENDPOINT', 'sign', DISCOVER_ENDPOINT, addToHead);

    addAsync('SIGN', 'sign', function SIGN(req, done) {
      var service = req.service;
      var operations = req.service.api.operations || {};
      var operation = operations[req.operation];
      var authtype = operation ? operation.authtype : '';
      if (!service.api.signatureVersion && !authtype && !service.config.signatureVersion) return done(); // none

      service.config.getCredentials(function (err, credentials) {
        if (err) {
          req.response.error = err;
          return done();
        }

        try {
          var date = service.getSkewCorrectedDate();
          var SignerClass = service.getSignerClass(req);
          var signer = new SignerClass(req.httpRequest,
            service.getSigningName(req),
            {
              signatureCache: service.config.signatureCache,
              operation: operation,
              signatureVersion: service.api.signatureVersion
            });
          signer.setServiceClientId(service._clientId);

          // clear old authorization headers
          delete req.httpRequest.headers['Authorization'];
          delete req.httpRequest.headers['Date'];
          delete req.httpRequest.headers['X-Amz-Date'];

          // add new authorization
          signer.addAuthorization(credentials, date);
          req.signedAt = date;
        } catch (e) {
          req.response.error = e;
        }
        done();
      });
    });

    add('VALIDATE_RESPONSE', 'validateResponse', function VALIDATE_RESPONSE(resp) {
      if (this.service.successfulResponse(resp, this)) {
        resp.data = {};
        resp.error = null;
      } else {
        resp.data = null;
        resp.error = AWS.util.error(new Error(),
          {code: 'UnknownError', message: 'An unknown error occurred.'});
      }
    });

    addAsync('SEND', 'send', function SEND(resp, done) {
      resp.httpResponse._abortCallback = done;
      resp.error = null;
      resp.data = null;

      function callback(httpResp) {
        resp.httpResponse.stream = httpResp;
        var stream = resp.request.httpRequest.stream;
        var service = resp.request.service;
        var api = service.api;
        var operationName = resp.request.operation;
        var operation = api.operations[operationName] || {};

        httpResp.on('headers', function onHeaders(statusCode, headers, statusMessage) {
          resp.request.emit(
            'httpHeaders',
            [statusCode, headers, resp, statusMessage]
          );

          if (!resp.httpResponse.streaming) {
            if (AWS.HttpClient.streamsApiVersion === 2) { // streams2 API check
              // if we detect event streams, we're going to have to
              // return the stream immediately
              if (operation.hasEventOutput && service.successfulResponse(resp)) {
                // skip reading the IncomingStream
                resp.request.emit('httpDone');
                done();
                return;
              }

              httpResp.on('readable', function onReadable() {
                var data = httpResp.read();
                if (data !== null) {
                  resp.request.emit('httpData', [data, resp]);
                }
              });
            } else { // legacy streams API
              httpResp.on('data', function onData(data) {
                resp.request.emit('httpData', [data, resp]);
              });
            }
          }
        });

        httpResp.on('end', function onEnd() {
          if (!stream || !stream.didCallback) {
            if (AWS.HttpClient.streamsApiVersion === 2 && (operation.hasEventOutput && service.successfulResponse(resp))) {
              // don't concatenate response chunks when streaming event stream data when response is successful
              return;
            }
            resp.request.emit('httpDone');
            done();
          }
        });
      }

      function progress(httpResp) {
        httpResp.on('sendProgress', function onSendProgress(value) {
          resp.request.emit('httpUploadProgress', [value, resp]);
        });

        httpResp.on('receiveProgress', function onReceiveProgress(value) {
          resp.request.emit('httpDownloadProgress', [value, resp]);
        });
      }

      function error(err) {
        if (err.code !== 'RequestAbortedError') {
          var errCode = err.code === 'TimeoutError' ? err.code : 'NetworkingError';
          err = AWS.util.error(err, {
            code: errCode,
            region: resp.request.httpRequest.region,
            hostname: resp.request.httpRequest.endpoint.hostname,
            retryable: true
          });
        }
        resp.error = err;
        resp.request.emit('httpError', [resp.error, resp], function() {
          done();
        });
      }

      function executeSend() {
        var http = AWS.HttpClient.getInstance();
        var httpOptions = resp.request.service.config.httpOptions || {};
        try {
          var stream = http.handleRequest(resp.request.httpRequest, httpOptions,
                                          callback, error);
          progress(stream);
        } catch (err) {
          error(err);
        }
      }
      var timeDiff = (resp.request.service.getSkewCorrectedDate() - this.signedAt) / 1000;
      if (timeDiff >= 60 * 10) { // if we signed 10min ago, re-sign
        this.emit('sign', [this], function(err) {
          if (err) done(err);
          else executeSend();
        });
      } else {
        executeSend();
      }
    });

    add('HTTP_HEADERS', 'httpHeaders',
        function HTTP_HEADERS(statusCode, headers, resp, statusMessage) {
      resp.httpResponse.statusCode = statusCode;
      resp.httpResponse.statusMessage = statusMessage;
      resp.httpResponse.headers = headers;
      resp.httpResponse.body = AWS.util.buffer.toBuffer('');
      resp.httpResponse.buffers = [];
      resp.httpResponse.numBytes = 0;
      var dateHeader = headers.date || headers.Date;
      var service = resp.request.service;
      if (dateHeader) {
        var serverTime = Date.parse(dateHeader);
        if (service.config.correctClockSkew
            && service.isClockSkewed(serverTime)) {
          service.applyClockOffset(serverTime);
        }
      }
    });

    add('HTTP_DATA', 'httpData', function HTTP_DATA(chunk, resp) {
      if (chunk) {
        if (AWS.util.isNode()) {
          resp.httpResponse.numBytes += chunk.length;

          var total = resp.httpResponse.headers['content-length'];
          var progress = { loaded: resp.httpResponse.numBytes, total: total };
          resp.request.emit('httpDownloadProgress', [progress, resp]);
        }

        resp.httpResponse.buffers.push(AWS.util.buffer.toBuffer(chunk));
      }
    });

    add('HTTP_DONE', 'httpDone', function HTTP_DONE(resp) {
      // convert buffers array into single buffer
      if (resp.httpResponse.buffers && resp.httpResponse.buffers.length > 0) {
        var body = AWS.util.buffer.concat(resp.httpResponse.buffers);
        resp.httpResponse.body = body;
      }
      delete resp.httpResponse.numBytes;
      delete resp.httpResponse.buffers;
    });

    add('FINALIZE_ERROR', 'retry', function FINALIZE_ERROR(resp) {
      if (resp.httpResponse.statusCode) {
        resp.error.statusCode = resp.httpResponse.statusCode;
        if (resp.error.retryable === undefined) {
          resp.error.retryable = this.service.retryableError(resp.error, this);
        }
      }
    });

    add('INVALIDATE_CREDENTIALS', 'retry', function INVALIDATE_CREDENTIALS(resp) {
      if (!resp.error) return;
      switch (resp.error.code) {
        case 'RequestExpired': // EC2 only
        case 'ExpiredTokenException':
        case 'ExpiredToken':
          resp.error.retryable = true;
          resp.request.service.config.credentials.expired = true;
      }
    });

    add('EXPIRED_SIGNATURE', 'retry', function EXPIRED_SIGNATURE(resp) {
      var err = resp.error;
      if (!err) return;
      if (typeof err.code === 'string' && typeof err.message === 'string') {
        if (err.code.match(/Signature/) && err.message.match(/expired/)) {
          resp.error.retryable = true;
        }
      }
    });

    add('CLOCK_SKEWED', 'retry', function CLOCK_SKEWED(resp) {
      if (!resp.error) return;
      if (this.service.clockSkewError(resp.error)
          && this.service.config.correctClockSkew) {
        resp.error.retryable = true;
      }
    });

    add('REDIRECT', 'retry', function REDIRECT(resp) {
      if (resp.error && resp.error.statusCode >= 300 &&
          resp.error.statusCode < 400 && resp.httpResponse.headers['location']) {
        this.httpRequest.endpoint =
          new AWS.Endpoint(resp.httpResponse.headers['location']);
        this.httpRequest.headers['Host'] = this.httpRequest.endpoint.host;
        resp.error.redirect = true;
        resp.error.retryable = true;
      }
    });

    add('RETRY_CHECK', 'retry', function RETRY_CHECK(resp) {
      if (resp.error) {
        if (resp.error.redirect && resp.redirectCount < resp.maxRedirects) {
          resp.error.retryDelay = 0;
        } else if (resp.retryCount < resp.maxRetries) {
          resp.error.retryDelay = this.service.retryDelays(resp.retryCount, resp.error) || 0;
        }
      }
    });

    addAsync('RESET_RETRY_STATE', 'afterRetry', function RESET_RETRY_STATE(resp, done) {
      var delay, willRetry = false;

      if (resp.error) {
        delay = resp.error.retryDelay || 0;
        if (resp.error.retryable && resp.retryCount < resp.maxRetries) {
          resp.retryCount++;
          willRetry = true;
        } else if (resp.error.redirect && resp.redirectCount < resp.maxRedirects) {
          resp.redirectCount++;
          willRetry = true;
        }
      }

      // delay < 0 is a signal from customBackoff to skip retries
      if (willRetry && delay >= 0) {
        resp.error = null;
        setTimeout(done, delay);
      } else {
        done();
      }
    });
  }),

  CorePost: new SequentialExecutor().addNamedListeners(function(add) {
    add('EXTRACT_REQUEST_ID', 'extractData', AWS.util.extractRequestId);
    add('EXTRACT_REQUEST_ID', 'extractError', AWS.util.extractRequestId);

    add('ENOTFOUND_ERROR', 'httpError', function ENOTFOUND_ERROR(err) {
      function isDNSError(err) {
        return err.errno === 'ENOTFOUND' ||
          typeof err.errno === 'number' &&
          typeof AWS.util.getSystemErrorName === 'function' &&
          ['EAI_NONAME', 'EAI_NODATA'].indexOf(AWS.util.getSystemErrorName(err.errno) >= 0);
      }
      if (err.code === 'NetworkingError' && isDNSError(err)) {
        var message = 'Inaccessible host: `' + err.hostname + '\' at port `' + err.port +
          '\'. This service may not be available in the `' + err.region +
          '\' region.';
        this.response.error = AWS.util.error(new Error(message), {
          code: 'UnknownEndpoint',
          region: err.region,
          hostname: err.hostname,
          retryable: true,
          originalError: err
        });
      }
    });
  }),

  Logger: new SequentialExecutor().addNamedListeners(function(add) {
    add('LOG_REQUEST', 'complete', function LOG_REQUEST(resp) {
      var req = resp.request;
      var logger = req.service.config.logger;
      if (!logger) return;
      function filterSensitiveLog(inputShape, shape) {
        if (!shape) {
          return shape;
        }
        if (inputShape.isSensitive) {
          return '***SensitiveInformation***';
        }
        switch (inputShape.type) {
          case 'structure':
            var struct = {};
            AWS.util.each(shape, function(subShapeName, subShape) {
              if (Object.prototype.hasOwnProperty.call(inputShape.members, subShapeName)) {
                struct[subShapeName] = filterSensitiveLog(inputShape.members[subShapeName], subShape);
              } else {
                struct[subShapeName] = subShape;
              }
            });
            return struct;
          case 'list':
            var list = [];
            AWS.util.arrayEach(shape, function(subShape, index) {
              list.push(filterSensitiveLog(inputShape.member, subShape));
            });
            return list;
          case 'map':
            var map = {};
            AWS.util.each(shape, function(key, value) {
              map[key] = filterSensitiveLog(inputShape.value, value);
            });
            return map;
          default:
            return shape;
        }
      }

      function buildMessage() {
        var time = resp.request.service.getSkewCorrectedDate().getTime();
        var delta = (time - req.startTime.getTime()) / 1000;
        var ansi = logger.isTTY ? true : false;
        var status = resp.httpResponse.statusCode;
        var censoredParams = req.params;
        if (
          req.service.api.operations &&
              req.service.api.operations[req.operation] &&
              req.service.api.operations[req.operation].input
        ) {
          var inputShape = req.service.api.operations[req.operation].input;
          censoredParams = filterSensitiveLog(inputShape, req.params);
        }
        var params = (__nccwpck_require__(73837).inspect)(censoredParams, true, null);
        var message = '';
        if (ansi) message += '\x1B[33m';
        message += '[AWS ' + req.service.serviceIdentifier + ' ' + status;
        message += ' ' + delta.toString() + 's ' + resp.retryCount + ' retries]';
        if (ansi) message += '\x1B[0;1m';
        message += ' ' + AWS.util.string.lowerFirst(req.operation);
        message += '(' + params + ')';
        if (ansi) message += '\x1B[0m';
        return message;
      }

      var line = buildMessage();
      if (typeof logger.log === 'function') {
        logger.log(line);
      } else if (typeof logger.write === 'function') {
        logger.write(line + '\n');
      }
    });
  }),

  Json: new SequentialExecutor().addNamedListeners(function(add) {
    var svc = __nccwpck_require__(30083);
    add('BUILD', 'build', svc.buildRequest);
    add('EXTRACT_DATA', 'extractData', svc.extractData);
    add('EXTRACT_ERROR', 'extractError', svc.extractError);
  }),

  Rest: new SequentialExecutor().addNamedListeners(function(add) {
    var svc = __nccwpck_require__(98200);
    add('BUILD', 'build', svc.buildRequest);
    add('EXTRACT_DATA', 'extractData', svc.extractData);
    add('EXTRACT_ERROR', 'extractError', svc.extractError);
  }),

  RestJson: new SequentialExecutor().addNamedListeners(function(add) {
    var svc = __nccwpck_require__(5883);
    add('BUILD', 'build', svc.buildRequest);
    add('EXTRACT_DATA', 'extractData', svc.extractData);
    add('EXTRACT_ERROR', 'extractError', svc.extractError);
  }),

  RestXml: new SequentialExecutor().addNamedListeners(function(add) {
    var svc = __nccwpck_require__(15143);
    add('BUILD', 'build', svc.buildRequest);
    add('EXTRACT_DATA', 'extractData', svc.extractData);
    add('EXTRACT_ERROR', 'extractError', svc.extractError);
  }),

  Query: new SequentialExecutor().addNamedListeners(function(add) {
    var svc = __nccwpck_require__(90761);
    add('BUILD', 'build', svc.buildRequest);
    add('EXTRACT_DATA', 'extractData', svc.extractData);
    add('EXTRACT_ERROR', 'extractError', svc.extractError);
  })
};


/***/ }),

/***/ 1556:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var inherit = AWS.util.inherit;

/**
 * The endpoint that a service will talk to, for example,
 * `'https://ec2.ap-southeast-1.amazonaws.com'`. If
 * you need to override an endpoint for a service, you can
 * set the endpoint on a service by passing the endpoint
 * object with the `endpoint` option key:
 *
 * ```javascript
 * var ep = new AWS.Endpoint('awsproxy.example.com');
 * var s3 = new AWS.S3({endpoint: ep});
 * s3.service.endpoint.hostname == 'awsproxy.example.com'
 * ```
 *
 * Note that if you do not specify a protocol, the protocol will
 * be selected based on your current {AWS.config} configuration.
 *
 * @!attribute protocol
 *   @return [String] the protocol (http or https) of the endpoint
 *     URL
 * @!attribute hostname
 *   @return [String] the host portion of the endpoint, e.g.,
 *     example.com
 * @!attribute host
 *   @return [String] the host portion of the endpoint including
 *     the port, e.g., example.com:80
 * @!attribute port
 *   @return [Integer] the port of the endpoint
 * @!attribute href
 *   @return [String] the full URL of the endpoint
 */
AWS.Endpoint = inherit({

  /**
   * @overload Endpoint(endpoint)
   *   Constructs a new endpoint given an endpoint URL. If the
   *   URL omits a protocol (http or https), the default protocol
   *   set in the global {AWS.config} will be used.
   *   @param endpoint [String] the URL to construct an endpoint from
   */
  constructor: function Endpoint(endpoint, config) {
    AWS.util.hideProperties(this, ['slashes', 'auth', 'hash', 'search', 'query']);

    if (typeof endpoint === 'undefined' || endpoint === null) {
      throw new Error('Invalid endpoint: ' + endpoint);
    } else if (typeof endpoint !== 'string') {
      return AWS.util.copy(endpoint);
    }

    if (!endpoint.match(/^http/)) {
      var useSSL = config && config.sslEnabled !== undefined ?
        config.sslEnabled : AWS.config.sslEnabled;
      endpoint = (useSSL ? 'https' : 'http') + '://' + endpoint;
    }

    AWS.util.update(this, AWS.util.urlParse(endpoint));

    // Ensure the port property is set as an integer
    if (this.port) {
      this.port = parseInt(this.port, 10);
    } else {
      this.port = this.protocol === 'https:' ? 443 : 80;
    }
  }

});

/**
 * The low level HTTP request object, encapsulating all HTTP header
 * and body data sent by a service request.
 *
 * @!attribute method
 *   @return [String] the HTTP method of the request
 * @!attribute path
 *   @return [String] the path portion of the URI, e.g.,
 *     "/list/?start=5&num=10"
 * @!attribute headers
 *   @return [map<String,String>]
 *     a map of header keys and their respective values
 * @!attribute body
 *   @return [String] the request body payload
 * @!attribute endpoint
 *   @return [AWS.Endpoint] the endpoint for the request
 * @!attribute region
 *   @api private
 *   @return [String] the region, for signing purposes only.
 */
AWS.HttpRequest = inherit({

  /**
   * @api private
   */
  constructor: function HttpRequest(endpoint, region) {
    endpoint = new AWS.Endpoint(endpoint);
    this.method = 'POST';
    this.path = endpoint.path || '/';
    this.headers = {};
    this.body = '';
    this.endpoint = endpoint;
    this.region = region;
    this._userAgent = '';
    this.setUserAgent();
  },

  /**
   * @api private
   */
  setUserAgent: function setUserAgent() {
    this._userAgent = this.headers[this.getUserAgentHeaderName()] = AWS.util.userAgent();
  },

  getUserAgentHeaderName: function getUserAgentHeaderName() {
    var prefix = AWS.util.isBrowser() ? 'X-Amz-' : '';
    return prefix + 'User-Agent';
  },

  /**
   * @api private
   */
  appendToUserAgent: function appendToUserAgent(agentPartial) {
    if (typeof agentPartial === 'string' && agentPartial) {
      this._userAgent += ' ' + agentPartial;
    }
    this.headers[this.getUserAgentHeaderName()] = this._userAgent;
  },

  /**
   * @api private
   */
  getUserAgent: function getUserAgent() {
    return this._userAgent;
  },

  /**
   * @return [String] the part of the {path} excluding the
   *   query string
   */
  pathname: function pathname() {
    return this.path.split('?', 1)[0];
  },

  /**
   * @return [String] the query string portion of the {path}
   */
  search: function search() {
    var query = this.path.split('?', 2)[1];
    if (query) {
      query = AWS.util.queryStringParse(query);
      return AWS.util.queryParamsToString(query);
    }
    return '';
  },

  /**
   * @api private
   * update httpRequest endpoint with endpoint string
   */
  updateEndpoint: function updateEndpoint(endpointStr) {
    var newEndpoint = new AWS.Endpoint(endpointStr);
    this.endpoint = newEndpoint;
    this.path = newEndpoint.path || '/';
    if (this.headers['Host']) {
      this.headers['Host'] = newEndpoint.host;
    }
  }
});

/**
 * The low level HTTP response object, encapsulating all HTTP header
 * and body data returned from the request.
 *
 * @!attribute statusCode
 *   @return [Integer] the HTTP status code of the response (e.g., 200, 404)
 * @!attribute headers
 *   @return [map<String,String>]
 *      a map of response header keys and their respective values
 * @!attribute body
 *   @return [String] the response body payload
 * @!attribute [r] streaming
 *   @return [Boolean] whether this response is being streamed at a low-level.
 *     Defaults to `false` (buffered reads). Do not modify this manually, use
 *     {createUnbufferedStream} to convert the stream to unbuffered mode
 *     instead.
 */
AWS.HttpResponse = inherit({

  /**
   * @api private
   */
  constructor: function HttpResponse() {
    this.statusCode = undefined;
    this.headers = {};
    this.body = undefined;
    this.streaming = false;
    this.stream = null;
  },

  /**
   * Disables buffering on the HTTP response and returns the stream for reading.
   * @return [Stream, XMLHttpRequest, null] the underlying stream object.
   *   Use this object to directly read data off of the stream.
   * @note This object is only available after the {AWS.Request~httpHeaders}
   *   event has fired. This method must be called prior to
   *   {AWS.Request~httpData}.
   * @example Taking control of a stream
   *   request.on('httpHeaders', function(statusCode, headers) {
   *     if (statusCode < 300) {
   *       if (headers.etag === 'xyz') {
   *         // pipe the stream, disabling buffering
   *         var stream = this.response.httpResponse.createUnbufferedStream();
   *         stream.pipe(process.stdout);
   *       } else { // abort this request and set a better error message
   *         this.abort();
   *         this.response.error = new Error('Invalid ETag');
   *       }
   *     }
   *   }).send(console.log);
   */
  createUnbufferedStream: function createUnbufferedStream() {
    this.streaming = true;
    return this.stream;
  }
});


AWS.HttpClient = inherit({});

/**
 * @api private
 */
AWS.HttpClient.getInstance = function getInstance() {
  if (this.singleton === undefined) {
    this.singleton = new this();
  }
  return this.singleton;
};


/***/ }),

/***/ 2310:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var Stream = AWS.util.stream.Stream;
var TransformStream = AWS.util.stream.Transform;
var ReadableStream = AWS.util.stream.Readable;
__nccwpck_require__(1556);
var CONNECTION_REUSE_ENV_NAME = 'AWS_NODEJS_CONNECTION_REUSE_ENABLED';

/**
 * @api private
 */
AWS.NodeHttpClient = AWS.util.inherit({
  handleRequest: function handleRequest(httpRequest, httpOptions, callback, errCallback) {
    var self = this;
    var endpoint = httpRequest.endpoint;
    var pathPrefix = '';
    if (!httpOptions) httpOptions = {};
    if (httpOptions.proxy) {
      pathPrefix = endpoint.protocol + '//' + endpoint.hostname;
      if (endpoint.port !== 80 && endpoint.port !== 443) {
        pathPrefix += ':' + endpoint.port;
      }
      endpoint = new AWS.Endpoint(httpOptions.proxy);
    }

    var useSSL = endpoint.protocol === 'https:';
    var http = useSSL ? __nccwpck_require__(95687) : __nccwpck_require__(13685);
    var options = {
      host: endpoint.hostname,
      port: endpoint.port,
      method: httpRequest.method,
      headers: httpRequest.headers,
      path: pathPrefix + httpRequest.path
    };

    if (!httpOptions.agent) {
      options.agent = this.getAgent(useSSL, {
        keepAlive: process.env[CONNECTION_REUSE_ENV_NAME] === '1' ? true : false
      });
    }

    AWS.util.update(options, httpOptions);
    delete options.proxy; // proxy isn't an HTTP option
    delete options.timeout; // timeout isn't an HTTP option

    var stream = http.request(options, function (httpResp) {
      if (stream.didCallback) return;

      callback(httpResp);
      httpResp.emit(
        'headers',
        httpResp.statusCode,
        httpResp.headers,
        httpResp.statusMessage
      );
    });
    httpRequest.stream = stream; // attach stream to httpRequest
    stream.didCallback = false;

    // connection timeout support
    if (httpOptions.connectTimeout) {
      var connectTimeoutId;
      stream.on('socket', function(socket) {
        if (socket.connecting) {
          connectTimeoutId = setTimeout(function connectTimeout() {
            if (stream.didCallback) return; stream.didCallback = true;

            stream.abort();
            errCallback(AWS.util.error(
              new Error('Socket timed out without establishing a connection'),
              {code: 'TimeoutError'}
            ));
          }, httpOptions.connectTimeout);
          socket.on('connect', function() {
            clearTimeout(connectTimeoutId);
            connectTimeoutId = null;
          });
        }
      });
    }

    // timeout support
    stream.setTimeout(httpOptions.timeout || 0, function() {
      if (stream.didCallback) return; stream.didCallback = true;

      var msg = 'Connection timed out after ' + httpOptions.timeout + 'ms';
      errCallback(AWS.util.error(new Error(msg), {code: 'TimeoutError'}));
      stream.abort();
    });

    stream.on('error', function(err) {
      if (connectTimeoutId) {
        clearTimeout(connectTimeoutId);
        connectTimeoutId = null;
      }
      if (stream.didCallback) return; stream.didCallback = true;
      if ('ECONNRESET' === err.code || 'EPIPE' === err.code || 'ETIMEDOUT' === err.code) {
        errCallback(AWS.util.error(err, {code: 'TimeoutError'}));
      } else {
        errCallback(err);
      }
    });

    var expect = httpRequest.headers.Expect || httpRequest.headers.expect;
    if (expect === '100-continue') {
      stream.once('continue', function() {
        self.writeBody(stream, httpRequest);
      });
    } else {
      this.writeBody(stream, httpRequest);
    }

    return stream;
  },

  writeBody: function writeBody(stream, httpRequest) {
    var body = httpRequest.body;
    var totalBytes = parseInt(httpRequest.headers['Content-Length'], 10);

    if (body instanceof Stream) {
      // For progress support of streaming content -
      // pipe the data through a transform stream to emit 'sendProgress' events
      var progressStream = this.progressStream(stream, totalBytes);
      if (progressStream) {
        body.pipe(progressStream).pipe(stream);
      } else {
        body.pipe(stream);
      }
    } else if (body) {
      // The provided body is a buffer/string and is already fully available in memory -
      // For performance it's best to send it as a whole by calling stream.end(body),
      // Callers expect a 'sendProgress' event which is best emitted once
      // the http request stream has been fully written and all data flushed.
      // The use of totalBytes is important over body.length for strings where
      // length is char length and not byte length.
      stream.once('finish', function() {
        stream.emit('sendProgress', {
          loaded: totalBytes,
          total: totalBytes
        });
      });
      stream.end(body);
    } else {
      // no request body
      stream.end();
    }
  },

  /**
   * Create the https.Agent or http.Agent according to the request schema.
   */
  getAgent: function getAgent(useSSL, agentOptions) {
    var http = useSSL ? __nccwpck_require__(95687) : __nccwpck_require__(13685);
    if (useSSL) {
      if (!AWS.NodeHttpClient.sslAgent) {
        AWS.NodeHttpClient.sslAgent = new http.Agent(AWS.util.merge({
          rejectUnauthorized: process.env.NODE_TLS_REJECT_UNAUTHORIZED === '0' ? false : true
        }, agentOptions || {}));
        AWS.NodeHttpClient.sslAgent.setMaxListeners(0);

        // delegate maxSockets to globalAgent, set a default limit of 50 if current value is Infinity.
        // Users can bypass this default by supplying their own Agent as part of SDK configuration.
        Object.defineProperty(AWS.NodeHttpClient.sslAgent, 'maxSockets', {
          enumerable: true,
          get: function() {
            var defaultMaxSockets = 50;
            var globalAgent = http.globalAgent;
            if (globalAgent && globalAgent.maxSockets !== Infinity && typeof globalAgent.maxSockets === 'number') {
              return globalAgent.maxSockets;
            }
            return defaultMaxSockets;
          }
        });
      }
      return AWS.NodeHttpClient.sslAgent;
    } else {
      if (!AWS.NodeHttpClient.agent) {
        AWS.NodeHttpClient.agent = new http.Agent(agentOptions);
      }
      return AWS.NodeHttpClient.agent;
    }
  },

  progressStream: function progressStream(stream, totalBytes) {
    if (typeof TransformStream === 'undefined') {
      // for node 0.8 there is no streaming progress
      return;
    }
    var loadedBytes = 0;
    var reporter = new TransformStream();
    reporter._transform = function(chunk, encoding, callback) {
      if (chunk) {
        loadedBytes += chunk.length;
        stream.emit('sendProgress', {
          loaded: loadedBytes,
          total: totalBytes
        });
      }
      callback(null, chunk);
    };
    return reporter;
  },

  emitter: null
});

/**
 * @!ignore
 */

/**
 * @api private
 */
AWS.HttpClient.prototype = AWS.NodeHttpClient.prototype;

/**
 * @api private
 */
AWS.HttpClient.streamsApiVersion = ReadableStream ? 2 : 1;


/***/ }),

/***/ 47495:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(77985);

function JsonBuilder() { }

JsonBuilder.prototype.build = function(value, shape) {
  return JSON.stringify(translate(value, shape));
};

function translate(value, shape) {
  if (!shape || value === undefined || value === null) return undefined;

  switch (shape.type) {
    case 'structure': return translateStructure(value, shape);
    case 'map': return translateMap(value, shape);
    case 'list': return translateList(value, shape);
    default: return translateScalar(value, shape);
  }
}

function translateStructure(structure, shape) {
  if (shape.isDocument) {
    return structure;
  }
  var struct = {};
  util.each(structure, function(name, value) {
    var memberShape = shape.members[name];
    if (memberShape) {
      if (memberShape.location !== 'body') return;
      var locationName = memberShape.isLocationName ? memberShape.name : name;
      var result = translate(value, memberShape);
      if (result !== undefined) struct[locationName] = result;
    }
  });
  return struct;
}

function translateList(list, shape) {
  var out = [];
  util.arrayEach(list, function(value) {
    var result = translate(value, shape.member);
    if (result !== undefined) out.push(result);
  });
  return out;
}

function translateMap(map, shape) {
  var out = {};
  util.each(map, function(key, value) {
    var result = translate(value, shape.value);
    if (result !== undefined) out[key] = result;
  });
  return out;
}

function translateScalar(value, shape) {
  return shape.toWireFormat(value);
}

/**
 * @api private
 */
module.exports = JsonBuilder;


/***/ }),

/***/ 5474:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(77985);

function JsonParser() { }

JsonParser.prototype.parse = function(value, shape) {
  return translate(JSON.parse(value), shape);
};

function translate(value, shape) {
  if (!shape || value === undefined) return undefined;

  switch (shape.type) {
    case 'structure': return translateStructure(value, shape);
    case 'map': return translateMap(value, shape);
    case 'list': return translateList(value, shape);
    default: return translateScalar(value, shape);
  }
}

function translateStructure(structure, shape) {
  if (structure == null) return undefined;
  if (shape.isDocument) return structure;

  var struct = {};
  var shapeMembers = shape.members;
  util.each(shapeMembers, function(name, memberShape) {
    var locationName = memberShape.isLocationName ? memberShape.name : name;
    if (Object.prototype.hasOwnProperty.call(structure, locationName)) {
      var value = structure[locationName];
      var result = translate(value, memberShape);
      if (result !== undefined) struct[name] = result;
    }
  });
  return struct;
}

function translateList(list, shape) {
  if (list == null) return undefined;

  var out = [];
  util.arrayEach(list, function(value) {
    var result = translate(value, shape.member);
    if (result === undefined) out.push(null);
    else out.push(result);
  });
  return out;
}

function translateMap(map, shape) {
  if (map == null) return undefined;

  var out = {};
  util.each(map, function(key, value) {
    var result = translate(value, shape.value);
    if (result === undefined) out[key] = null;
    else out[key] = result;
  });
  return out;
}

function translateScalar(value, shape) {
  return shape.toType(value);
}

/**
 * @api private
 */
module.exports = JsonParser;


/***/ }),

/***/ 25768:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
__nccwpck_require__(1556);
var inherit = AWS.util.inherit;
var getMetadataServiceEndpoint = __nccwpck_require__(608);
var URL = (__nccwpck_require__(57310).URL);

/**
 * Represents a metadata service available on EC2 instances. Using the
 * {request} method, you can receieve metadata about any available resource
 * on the metadata service.
 *
 * You can disable the use of the IMDS by setting the AWS_EC2_METADATA_DISABLED
 * environment variable to a truthy value.
 *
 * @!attribute [r] httpOptions
 *   @return [map] a map of options to pass to the underlying HTTP request:
 *
 *     * **timeout** (Number) &mdash; a timeout value in milliseconds to wait
 *       before aborting the connection. Set to 0 for no timeout.
 *
 * @!macro nobrowser
 */
AWS.MetadataService = inherit({
  /**
   * @return [String] the endpoint of the instance metadata service
   */
  endpoint: getMetadataServiceEndpoint(),

  /**
   * @!ignore
   */

  /**
   * Default HTTP options. By default, the metadata service is set to not
   * timeout on long requests. This means that on non-EC2 machines, this
   * request will never return. If you are calling this operation from an
   * environment that may not always run on EC2, set a `timeout` value so
   * the SDK will abort the request after a given number of milliseconds.
   */
  httpOptions: { timeout: 0 },

  /**
   * when enabled, metadata service will not fetch token
   */
  disableFetchToken: false,

  /**
   * Creates a new MetadataService object with a given set of options.
   *
   * @option options host [String] the hostname of the instance metadata
   *   service
   * @option options httpOptions [map] a map of options to pass to the
   *   underlying HTTP request:
   *
   *   * **timeout** (Number) &mdash; a timeout value in milliseconds to wait
   *     before aborting the connection. Set to 0 for no timeout.
   * @option options maxRetries [Integer] the maximum number of retries to
   *   perform for timeout errors
   * @option options retryDelayOptions [map] A set of options to configure the
   *   retry delay on retryable errors. See AWS.Config for details.
   */
  constructor: function MetadataService(options) {
    if (options && options.host) {
      options.endpoint = 'http://' + options.host;
      delete options.host;
    }
    AWS.util.update(this, options);
  },

  /**
   * Sends a request to the instance metadata service for a given resource.
   *
   * @param path [String] the path of the resource to get
   *
   * @param options [map] an optional map used to make request
   *
   *   * **method** (String) &mdash; HTTP request method
   *
   *   * **headers** (map<String,String>) &mdash; a map of response header keys and their respective values
   *
   * @callback callback function(err, data)
   *   Called when a response is available from the service.
   *   @param err [Error, null] if an error occurred, this value will be set
   *   @param data [String, null] if the request was successful, the body of
   *     the response
   */
  request: function request(path, options, callback) {
    if (arguments.length === 2) {
      callback = options;
      options = {};
    }

    if (process.env[AWS.util.imdsDisabledEnv]) {
      callback(new Error('EC2 Instance Metadata Service access disabled'));
      return;
    }

    path = path || '/';

    // Verify that host is a valid URL
    if (URL) { new URL(this.endpoint); }

    var httpRequest = new AWS.HttpRequest(this.endpoint + path);
    httpRequest.method = options.method || 'GET';
    if (options.headers) {
      httpRequest.headers = options.headers;
    }
    AWS.util.handleRequestWithRetries(httpRequest, this, callback);
  },

  /**
  * @api private
  */
  loadCredentialsCallbacks: [],

  /**
   * Fetches metadata token used for getting credentials
   *
   * @api private
   * @callback callback function(err, token)
   *   Called when token is loaded from the resource
   */
  fetchMetadataToken: function fetchMetadataToken(callback) {
    var self = this;
    var tokenFetchPath = '/latest/api/token';
    self.request(
      tokenFetchPath,
      {
        'method': 'PUT',
        'headers': {
          'x-aws-ec2-metadata-token-ttl-seconds': '21600'
        }
      },
      callback
    );
  },

  /**
   * Fetches credentials
   *
   * @api private
   * @callback cb function(err, creds)
   *   Called when credentials are loaded from the resource
   */
  fetchCredentials: function fetchCredentials(options, cb) {
    var self = this;
    var basePath = '/latest/meta-data/iam/security-credentials/';

    self.request(basePath, options, function (err, roleName) {
      if (err) {
        self.disableFetchToken = !(err.statusCode === 401);
        cb(AWS.util.error(
          err,
          {
            message: 'EC2 Metadata roleName request returned error'
          }
        ));
        return;
      }
      roleName = roleName.split('\n')[0]; // grab first (and only) role
      self.request(basePath + roleName, options, function (credErr, credData) {
        if (credErr) {
          self.disableFetchToken = !(credErr.statusCode === 401);
          cb(AWS.util.error(
            credErr,
            {
              message: 'EC2 Metadata creds request returned error'
            }
          ));
          return;
        }
        try {
          var credentials = JSON.parse(credData);
          cb(null, credentials);
        } catch (parseError) {
          cb(parseError);
        }
      });
    });
  },

  /**
   * Loads a set of credentials stored in the instance metadata service
   *
   * @api private
   * @callback callback function(err, credentials)
   *   Called when credentials are loaded from the resource
   *   @param err [Error] if an error occurred, this value will be set
   *   @param credentials [Object] the raw JSON object containing all
   *     metadata from the credentials resource
   */
  loadCredentials: function loadCredentials(callback) {
    var self = this;
    self.loadCredentialsCallbacks.push(callback);
    if (self.loadCredentialsCallbacks.length > 1) { return; }

    function callbacks(err, creds) {
      var cb;
      while ((cb = self.loadCredentialsCallbacks.shift()) !== undefined) {
        cb(err, creds);
      }
    }

    if (self.disableFetchToken) {
      self.fetchCredentials({}, callbacks);
    } else {
      self.fetchMetadataToken(function(tokenError, token) {
        if (tokenError) {
          if (tokenError.code === 'TimeoutError') {
            self.disableFetchToken = true;
          } else if (tokenError.retryable === true) {
            callbacks(AWS.util.error(
              tokenError,
              {
                message: 'EC2 Metadata token request returned error'
              }
            ));
            return;
          } else if (tokenError.statusCode === 400) {
            callbacks(AWS.util.error(
              tokenError,
              {
                message: 'EC2 Metadata token request returned 400'
              }
            ));
            return;
          }
        }
        var options = {};
        if (token) {
          options.headers = {
            'x-aws-ec2-metadata-token': token
          };
        }
        self.fetchCredentials(options, callbacks);
      });

    }
  }
});

/**
 * @api private
 */
module.exports = AWS.MetadataService;


/***/ }),

/***/ 83205:
/***/ ((module) => {

var getEndpoint = function() {
  return {
    IPv4: 'http://169.254.169.254',
    IPv6: 'http://[fd00:ec2::254]',
  };
};

module.exports = getEndpoint;


/***/ }),

/***/ 95578:
/***/ ((module) => {

var ENV_ENDPOINT_NAME = 'AWS_EC2_METADATA_SERVICE_ENDPOINT';
var CONFIG_ENDPOINT_NAME = 'ec2_metadata_service_endpoint';

var getEndpointConfigOptions = function() {
  return {
    environmentVariableSelector: function(env) { return env[ENV_ENDPOINT_NAME]; },
    configFileSelector: function(profile) { return profile[CONFIG_ENDPOINT_NAME]; },
    default: undefined,
  };
};

module.exports = getEndpointConfigOptions;


/***/ }),

/***/ 37997:
/***/ ((module) => {

var getEndpointMode = function() {
  return {
    IPv4: 'IPv4',
    IPv6: 'IPv6',
  };
};

module.exports = getEndpointMode;


/***/ }),

/***/ 45509:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var EndpointMode = __nccwpck_require__(37997)();

var ENV_ENDPOINT_MODE_NAME = 'AWS_EC2_METADATA_SERVICE_ENDPOINT_MODE';
var CONFIG_ENDPOINT_MODE_NAME = 'ec2_metadata_service_endpoint_mode';

var getEndpointModeConfigOptions = function() {
  return {
    environmentVariableSelector: function(env) { return env[ENV_ENDPOINT_MODE_NAME]; },
    configFileSelector: function(profile) { return profile[CONFIG_ENDPOINT_MODE_NAME]; },
    default: EndpointMode.IPv4,
  };
};

module.exports = getEndpointModeConfigOptions;


/***/ }),

/***/ 608:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

var Endpoint = __nccwpck_require__(83205)();
var EndpointMode = __nccwpck_require__(37997)();

var ENDPOINT_CONFIG_OPTIONS = __nccwpck_require__(95578)();
var ENDPOINT_MODE_CONFIG_OPTIONS = __nccwpck_require__(45509)();

var getMetadataServiceEndpoint = function() {
  var endpoint = AWS.util.loadConfig(ENDPOINT_CONFIG_OPTIONS);
  if (endpoint !== undefined) return endpoint;

  var endpointMode = AWS.util.loadConfig(ENDPOINT_MODE_CONFIG_OPTIONS);
  switch (endpointMode) {
    case EndpointMode.IPv4:
      return Endpoint.IPv4;
    case EndpointMode.IPv6:
      return Endpoint.IPv6;
    default:
      throw new Error('Unsupported endpoint mode: ' + endpointMode);
  }
};

module.exports = getMetadataServiceEndpoint;


/***/ }),

/***/ 17657:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var Collection = __nccwpck_require__(71965);
var Operation = __nccwpck_require__(28083);
var Shape = __nccwpck_require__(71349);
var Paginator = __nccwpck_require__(45938);
var ResourceWaiter = __nccwpck_require__(41368);
var metadata = __nccwpck_require__(17752);

var util = __nccwpck_require__(77985);
var property = util.property;
var memoizedProperty = util.memoizedProperty;

function Api(api, options) {
  var self = this;
  api = api || {};
  options = options || {};
  options.api = this;

  api.metadata = api.metadata || {};

  var serviceIdentifier = options.serviceIdentifier;
  delete options.serviceIdentifier;

  property(this, 'isApi', true, false);
  property(this, 'apiVersion', api.metadata.apiVersion);
  property(this, 'endpointPrefix', api.metadata.endpointPrefix);
  property(this, 'signingName', api.metadata.signingName);
  property(this, 'globalEndpoint', api.metadata.globalEndpoint);
  property(this, 'signatureVersion', api.metadata.signatureVersion);
  property(this, 'jsonVersion', api.metadata.jsonVersion);
  property(this, 'targetPrefix', api.metadata.targetPrefix);
  property(this, 'protocol', api.metadata.protocol);
  property(this, 'timestampFormat', api.metadata.timestampFormat);
  property(this, 'xmlNamespaceUri', api.metadata.xmlNamespace);
  property(this, 'abbreviation', api.metadata.serviceAbbreviation);
  property(this, 'fullName', api.metadata.serviceFullName);
  property(this, 'serviceId', api.metadata.serviceId);
  if (serviceIdentifier && metadata[serviceIdentifier]) {
      property(this, 'xmlNoDefaultLists', metadata[serviceIdentifier].xmlNoDefaultLists, false);
  }

  memoizedProperty(this, 'className', function() {
    var name = api.metadata.serviceAbbreviation || api.metadata.serviceFullName;
    if (!name) return null;

    name = name.replace(/^Amazon|AWS\s*|\(.*|\s+|\W+/g, '');
    if (name === 'ElasticLoadBalancing') name = 'ELB';
    return name;
  });

  function addEndpointOperation(name, operation) {
    if (operation.endpointoperation === true) {
      property(self, 'endpointOperation', util.string.lowerFirst(name));
    }
    if (operation.endpointdiscovery && !self.hasRequiredEndpointDiscovery) {
      property(
        self,
        'hasRequiredEndpointDiscovery',
        operation.endpointdiscovery.required === true
      );
    }
  }

  property(this, 'operations', new Collection(api.operations, options, function(name, operation) {
    return new Operation(name, operation, options);
  }, util.string.lowerFirst, addEndpointOperation));

  property(this, 'shapes', new Collection(api.shapes, options, function(name, shape) {
    return Shape.create(shape, options);
  }));

  property(this, 'paginators', new Collection(api.paginators, options, function(name, paginator) {
    return new Paginator(name, paginator, options);
  }));

  property(this, 'waiters', new Collection(api.waiters, options, function(name, waiter) {
    return new ResourceWaiter(name, waiter, options);
  }, util.string.lowerFirst));

  if (options.documentation) {
    property(this, 'documentation', api.documentation);
    property(this, 'documentationUrl', api.documentationUrl);
  }
}

/**
 * @api private
 */
module.exports = Api;


/***/ }),

/***/ 71965:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var memoizedProperty = (__nccwpck_require__(77985).memoizedProperty);

function memoize(name, value, factory, nameTr) {
  memoizedProperty(this, nameTr(name), function() {
    return factory(name, value);
  });
}

function Collection(iterable, options, factory, nameTr, callback) {
  nameTr = nameTr || String;
  var self = this;

  for (var id in iterable) {
    if (Object.prototype.hasOwnProperty.call(iterable, id)) {
      memoize.call(self, id, iterable[id], factory, nameTr);
      if (callback) callback(id, iterable[id]);
    }
  }
}

/**
 * @api private
 */
module.exports = Collection;


/***/ }),

/***/ 28083:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var Shape = __nccwpck_require__(71349);

var util = __nccwpck_require__(77985);
var property = util.property;
var memoizedProperty = util.memoizedProperty;

function Operation(name, operation, options) {
  var self = this;
  options = options || {};

  property(this, 'name', operation.name || name);
  property(this, 'api', options.api, false);

  operation.http = operation.http || {};
  property(this, 'endpoint', operation.endpoint);
  property(this, 'httpMethod', operation.http.method || 'POST');
  property(this, 'httpPath', operation.http.requestUri || '/');
  property(this, 'authtype', operation.authtype || '');
  property(
    this,
    'endpointDiscoveryRequired',
    operation.endpointdiscovery ?
      (operation.endpointdiscovery.required ? 'REQUIRED' : 'OPTIONAL') :
    'NULL'
  );
  property(this, 'httpChecksumRequired', operation.httpChecksumRequired, false);

  memoizedProperty(this, 'input', function() {
    if (!operation.input) {
      return new Shape.create({type: 'structure'}, options);
    }
    return Shape.create(operation.input, options);
  });

  memoizedProperty(this, 'output', function() {
    if (!operation.output) {
      return new Shape.create({type: 'structure'}, options);
    }
    return Shape.create(operation.output, options);
  });

  memoizedProperty(this, 'errors', function() {
    var list = [];
    if (!operation.errors) return null;

    for (var i = 0; i < operation.errors.length; i++) {
      list.push(Shape.create(operation.errors[i], options));
    }

    return list;
  });

  memoizedProperty(this, 'paginator', function() {
    return options.api.paginators[name];
  });

  if (options.documentation) {
    property(this, 'documentation', operation.documentation);
    property(this, 'documentationUrl', operation.documentationUrl);
  }

  // idempotentMembers only tracks top-level input shapes
  memoizedProperty(this, 'idempotentMembers', function() {
    var idempotentMembers = [];
    var input = self.input;
    var members = input.members;
    if (!input.members) {
      return idempotentMembers;
    }
    for (var name in members) {
      if (!members.hasOwnProperty(name)) {
        continue;
      }
      if (members[name].isIdempotent === true) {
        idempotentMembers.push(name);
      }
    }
    return idempotentMembers;
  });

  memoizedProperty(this, 'hasEventOutput', function() {
    var output = self.output;
    return hasEventStream(output);
  });
}

function hasEventStream(topLevelShape) {
  var members = topLevelShape.members;
  var payload = topLevelShape.payload;

  if (!topLevelShape.members) {
    return false;
  }

  if (payload) {
    var payloadMember = members[payload];
    return payloadMember.isEventStream;
  }

  // check if any member is an event stream
  for (var name in members) {
    if (!members.hasOwnProperty(name)) {
      if (members[name].isEventStream === true) {
        return true;
      }
    }
  }
  return false;
}

/**
 * @api private
 */
module.exports = Operation;


/***/ }),

/***/ 45938:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var property = (__nccwpck_require__(77985).property);

function Paginator(name, paginator) {
  property(this, 'inputToken', paginator.input_token);
  property(this, 'limitKey', paginator.limit_key);
  property(this, 'moreResults', paginator.more_results);
  property(this, 'outputToken', paginator.output_token);
  property(this, 'resultKey', paginator.result_key);
}

/**
 * @api private
 */
module.exports = Paginator;


/***/ }),

/***/ 41368:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(77985);
var property = util.property;

function ResourceWaiter(name, waiter, options) {
  options = options || {};
  property(this, 'name', name);
  property(this, 'api', options.api, false);

  if (waiter.operation) {
    property(this, 'operation', util.string.lowerFirst(waiter.operation));
  }

  var self = this;
  var keys = [
    'type',
    'description',
    'delay',
    'maxAttempts',
    'acceptors'
  ];

  keys.forEach(function(key) {
    var value = waiter[key];
    if (value) {
      property(self, key, value);
    }
  });
}

/**
 * @api private
 */
module.exports = ResourceWaiter;


/***/ }),

/***/ 71349:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var Collection = __nccwpck_require__(71965);

var util = __nccwpck_require__(77985);

function property(obj, name, value) {
  if (value !== null && value !== undefined) {
    util.property.apply(this, arguments);
  }
}

function memoizedProperty(obj, name) {
  if (!obj.constructor.prototype[name]) {
    util.memoizedProperty.apply(this, arguments);
  }
}

function Shape(shape, options, memberName) {
  options = options || {};

  property(this, 'shape', shape.shape);
  property(this, 'api', options.api, false);
  property(this, 'type', shape.type);
  property(this, 'enum', shape.enum);
  property(this, 'min', shape.min);
  property(this, 'max', shape.max);
  property(this, 'pattern', shape.pattern);
  property(this, 'location', shape.location || this.location || 'body');
  property(this, 'name', this.name || shape.xmlName || shape.queryName ||
    shape.locationName || memberName);
  property(this, 'isStreaming', shape.streaming || this.isStreaming || false);
  property(this, 'requiresLength', shape.requiresLength, false);
  property(this, 'isComposite', shape.isComposite || false);
  property(this, 'isShape', true, false);
  property(this, 'isQueryName', Boolean(shape.queryName), false);
  property(this, 'isLocationName', Boolean(shape.locationName), false);
  property(this, 'isIdempotent', shape.idempotencyToken === true);
  property(this, 'isJsonValue', shape.jsonvalue === true);
  property(this, 'isSensitive', shape.sensitive === true || shape.prototype && shape.prototype.sensitive === true);
  property(this, 'isEventStream', Boolean(shape.eventstream), false);
  property(this, 'isEvent', Boolean(shape.event), false);
  property(this, 'isEventPayload', Boolean(shape.eventpayload), false);
  property(this, 'isEventHeader', Boolean(shape.eventheader), false);
  property(this, 'isTimestampFormatSet', Boolean(shape.timestampFormat) || shape.prototype && shape.prototype.isTimestampFormatSet === true, false);
  property(this, 'endpointDiscoveryId', Boolean(shape.endpointdiscoveryid), false);
  property(this, 'hostLabel', Boolean(shape.hostLabel), false);

  if (options.documentation) {
    property(this, 'documentation', shape.documentation);
    property(this, 'documentationUrl', shape.documentationUrl);
  }

  if (shape.xmlAttribute) {
    property(this, 'isXmlAttribute', shape.xmlAttribute || false);
  }

  // type conversion and parsing
  property(this, 'defaultValue', null);
  this.toWireFormat = function(value) {
    if (value === null || value === undefined) return '';
    return value;
  };
  this.toType = function(value) { return value; };
}

/**
 * @api private
 */
Shape.normalizedTypes = {
  character: 'string',
  double: 'float',
  long: 'integer',
  short: 'integer',
  biginteger: 'integer',
  bigdecimal: 'float',
  blob: 'binary'
};

/**
 * @api private
 */
Shape.types = {
  'structure': StructureShape,
  'list': ListShape,
  'map': MapShape,
  'boolean': BooleanShape,
  'timestamp': TimestampShape,
  'float': FloatShape,
  'integer': IntegerShape,
  'string': StringShape,
  'base64': Base64Shape,
  'binary': BinaryShape
};

Shape.resolve = function resolve(shape, options) {
  if (shape.shape) {
    var refShape = options.api.shapes[shape.shape];
    if (!refShape) {
      throw new Error('Cannot find shape reference: ' + shape.shape);
    }

    return refShape;
  } else {
    return null;
  }
};

Shape.create = function create(shape, options, memberName) {
  if (shape.isShape) return shape;

  var refShape = Shape.resolve(shape, options);
  if (refShape) {
    var filteredKeys = Object.keys(shape);
    if (!options.documentation) {
      filteredKeys = filteredKeys.filter(function(name) {
        return !name.match(/documentation/);
      });
    }

    // create an inline shape with extra members
    var InlineShape = function() {
      refShape.constructor.call(this, shape, options, memberName);
    };
    InlineShape.prototype = refShape;
    return new InlineShape();
  } else {
    // set type if not set
    if (!shape.type) {
      if (shape.members) shape.type = 'structure';
      else if (shape.member) shape.type = 'list';
      else if (shape.key) shape.type = 'map';
      else shape.type = 'string';
    }

    // normalize types
    var origType = shape.type;
    if (Shape.normalizedTypes[shape.type]) {
      shape.type = Shape.normalizedTypes[shape.type];
    }

    if (Shape.types[shape.type]) {
      return new Shape.types[shape.type](shape, options, memberName);
    } else {
      throw new Error('Unrecognized shape type: ' + origType);
    }
  }
};

function CompositeShape(shape) {
  Shape.apply(this, arguments);
  property(this, 'isComposite', true);

  if (shape.flattened) {
    property(this, 'flattened', shape.flattened || false);
  }
}

function StructureShape(shape, options) {
  var self = this;
  var requiredMap = null, firstInit = !this.isShape;

  CompositeShape.apply(this, arguments);

  if (firstInit) {
    property(this, 'defaultValue', function() { return {}; });
    property(this, 'members', {});
    property(this, 'memberNames', []);
    property(this, 'required', []);
    property(this, 'isRequired', function() { return false; });
    property(this, 'isDocument', Boolean(shape.document));
  }

  if (shape.members) {
    property(this, 'members', new Collection(shape.members, options, function(name, member) {
      return Shape.create(member, options, name);
    }));
    memoizedProperty(this, 'memberNames', function() {
      return shape.xmlOrder || Object.keys(shape.members);
    });

    if (shape.event) {
      memoizedProperty(this, 'eventPayloadMemberName', function() {
        var members = self.members;
        var memberNames = self.memberNames;
        // iterate over members to find ones that are event payloads
        for (var i = 0, iLen = memberNames.length; i < iLen; i++) {
          if (members[memberNames[i]].isEventPayload) {
            return memberNames[i];
          }
        }
      });

      memoizedProperty(this, 'eventHeaderMemberNames', function() {
        var members = self.members;
        var memberNames = self.memberNames;
        var eventHeaderMemberNames = [];
        // iterate over members to find ones that are event headers
        for (var i = 0, iLen = memberNames.length; i < iLen; i++) {
          if (members[memberNames[i]].isEventHeader) {
            eventHeaderMemberNames.push(memberNames[i]);
          }
        }
        return eventHeaderMemberNames;
      });
    }
  }

  if (shape.required) {
    property(this, 'required', shape.required);
    property(this, 'isRequired', function(name) {
      if (!requiredMap) {
        requiredMap = {};
        for (var i = 0; i < shape.required.length; i++) {
          requiredMap[shape.required[i]] = true;
        }
      }

      return requiredMap[name];
    }, false, true);
  }

  property(this, 'resultWrapper', shape.resultWrapper || null);

  if (shape.payload) {
    property(this, 'payload', shape.payload);
  }

  if (typeof shape.xmlNamespace === 'string') {
    property(this, 'xmlNamespaceUri', shape.xmlNamespace);
  } else if (typeof shape.xmlNamespace === 'object') {
    property(this, 'xmlNamespacePrefix', shape.xmlNamespace.prefix);
    property(this, 'xmlNamespaceUri', shape.xmlNamespace.uri);
  }
}

function ListShape(shape, options) {
  var self = this, firstInit = !this.isShape;
  CompositeShape.apply(this, arguments);

  if (firstInit) {
    property(this, 'defaultValue', function() { return []; });
  }

  if (shape.member) {
    memoizedProperty(this, 'member', function() {
      return Shape.create(shape.member, options);
    });
  }

  if (this.flattened) {
    var oldName = this.name;
    memoizedProperty(this, 'name', function() {
      return self.member.name || oldName;
    });
  }
}

function MapShape(shape, options) {
  var firstInit = !this.isShape;
  CompositeShape.apply(this, arguments);

  if (firstInit) {
    property(this, 'defaultValue', function() { return {}; });
    property(this, 'key', Shape.create({type: 'string'}, options));
    property(this, 'value', Shape.create({type: 'string'}, options));
  }

  if (shape.key) {
    memoizedProperty(this, 'key', function() {
      return Shape.create(shape.key, options);
    });
  }
  if (shape.value) {
    memoizedProperty(this, 'value', function() {
      return Shape.create(shape.value, options);
    });
  }
}

function TimestampShape(shape) {
  var self = this;
  Shape.apply(this, arguments);

  if (shape.timestampFormat) {
    property(this, 'timestampFormat', shape.timestampFormat);
  } else if (self.isTimestampFormatSet && this.timestampFormat) {
    property(this, 'timestampFormat', this.timestampFormat);
  } else if (this.location === 'header') {
    property(this, 'timestampFormat', 'rfc822');
  } else if (this.location === 'querystring') {
    property(this, 'timestampFormat', 'iso8601');
  } else if (this.api) {
    switch (this.api.protocol) {
      case 'json':
      case 'rest-json':
        property(this, 'timestampFormat', 'unixTimestamp');
        break;
      case 'rest-xml':
      case 'query':
      case 'ec2':
        property(this, 'timestampFormat', 'iso8601');
        break;
    }
  }

  this.toType = function(value) {
    if (value === null || value === undefined) return null;
    if (typeof value.toUTCString === 'function') return value;
    return typeof value === 'string' || typeof value === 'number' ?
           util.date.parseTimestamp(value) : null;
  };

  this.toWireFormat = function(value) {
    return util.date.format(value, self.timestampFormat);
  };
}

function StringShape() {
  Shape.apply(this, arguments);

  var nullLessProtocols = ['rest-xml', 'query', 'ec2'];
  this.toType = function(value) {
    value = this.api && nullLessProtocols.indexOf(this.api.protocol) > -1 ?
      value || '' : value;
    if (this.isJsonValue) {
      return JSON.parse(value);
    }

    return value && typeof value.toString === 'function' ?
      value.toString() : value;
  };

  this.toWireFormat = function(value) {
    return this.isJsonValue ? JSON.stringify(value) : value;
  };
}

function FloatShape() {
  Shape.apply(this, arguments);

  this.toType = function(value) {
    if (value === null || value === undefined) return null;
    return parseFloat(value);
  };
  this.toWireFormat = this.toType;
}

function IntegerShape() {
  Shape.apply(this, arguments);

  this.toType = function(value) {
    if (value === null || value === undefined) return null;
    return parseInt(value, 10);
  };
  this.toWireFormat = this.toType;
}

function BinaryShape() {
  Shape.apply(this, arguments);
  this.toType = function(value) {
    var buf = util.base64.decode(value);
    if (this.isSensitive && util.isNode() && typeof util.Buffer.alloc === 'function') {
  /* Node.js can create a Buffer that is not isolated.
   * i.e. buf.byteLength !== buf.buffer.byteLength
   * This means that the sensitive data is accessible to anyone with access to buf.buffer.
   * If this is the node shared Buffer, then other code within this process _could_ find this secret.
   * Copy sensitive data to an isolated Buffer and zero the sensitive data.
   * While this is safe to do here, copying this code somewhere else may produce unexpected results.
   */
      var secureBuf = util.Buffer.alloc(buf.length, buf);
      buf.fill(0);
      buf = secureBuf;
    }
    return buf;
  };
  this.toWireFormat = util.base64.encode;
}

function Base64Shape() {
  BinaryShape.apply(this, arguments);
}

function BooleanShape() {
  Shape.apply(this, arguments);

  this.toType = function(value) {
    if (typeof value === 'boolean') return value;
    if (value === null || value === undefined) return null;
    return value === 'true';
  };
}

/**
 * @api private
 */
Shape.shapes = {
  StructureShape: StructureShape,
  ListShape: ListShape,
  MapShape: MapShape,
  StringShape: StringShape,
  BooleanShape: BooleanShape,
  Base64Shape: Base64Shape
};

/**
 * @api private
 */
module.exports = Shape;


/***/ }),

/***/ 73639:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(77985);

var region_utils = __nccwpck_require__(99517);
var isFipsRegion = region_utils.isFipsRegion;
var getRealRegion = region_utils.getRealRegion;

util.isBrowser = function() { return false; };
util.isNode = function() { return true; };

// node.js specific modules
util.crypto.lib = __nccwpck_require__(6113);
util.Buffer = (__nccwpck_require__(14300).Buffer);
util.domain = __nccwpck_require__(13639);
util.stream = __nccwpck_require__(12781);
util.url = __nccwpck_require__(57310);
util.querystring = __nccwpck_require__(63477);
util.environment = 'nodejs';
util.createEventStream = util.stream.Readable ?
  (__nccwpck_require__(69643).createEventStream) : (__nccwpck_require__(63727).createEventStream);
util.realClock = __nccwpck_require__(81370);
util.clientSideMonitoring = {
  Publisher: (__nccwpck_require__(66807).Publisher),
  configProvider: __nccwpck_require__(91822),
};
util.iniLoader = (__nccwpck_require__(29697)/* .iniLoader */ .b);
util.getSystemErrorName = (__nccwpck_require__(73837).getSystemErrorName);

util.loadConfig = function(options) {
  var envValue = options.environmentVariableSelector(process.env);
  if (envValue !== undefined) {
    return envValue;
  }

  var configFile = {};
  try {
    configFile = util.iniLoader ? util.iniLoader.loadFrom({
      isConfig: true,
      filename: process.env[util.sharedConfigFileEnv]
    }) : {};
  } catch (e) {}
  var sharedFileConfig = configFile[
    process.env.AWS_PROFILE || util.defaultProfile
  ] || {};
  var configValue = options.configFileSelector(sharedFileConfig);
  if (configValue !== undefined) {
    return configValue;
  }

  if (typeof options.default === 'function') {
    return options.default();
  }
  return options.default;
};

var AWS;

/**
 * @api private
 */
module.exports = AWS = __nccwpck_require__(28437);

__nccwpck_require__(53819);
__nccwpck_require__(36965);
__nccwpck_require__(77360);
__nccwpck_require__(57083);
__nccwpck_require__(74998);
__nccwpck_require__(3498);
__nccwpck_require__(15037);
__nccwpck_require__(80371);

// Load the xml2js XML parser
AWS.XML.Parser = __nccwpck_require__(96752);

// Load Node HTTP client
__nccwpck_require__(2310);

__nccwpck_require__(95417);

// Load custom credential providers
__nccwpck_require__(11017);
__nccwpck_require__(73379);
__nccwpck_require__(88764);
__nccwpck_require__(10645);
__nccwpck_require__(57714);
__nccwpck_require__(27454);
__nccwpck_require__(13754);
__nccwpck_require__(80371);

// Setup default chain providers
// If this changes, please update documentation for
// AWS.CredentialProviderChain.defaultProviders in
// credentials/credential_provider_chain.js
AWS.CredentialProviderChain.defaultProviders = [
  function () { return new AWS.EnvironmentCredentials('AWS'); },
  function () { return new AWS.EnvironmentCredentials('AMAZON'); },
  function () { return new AWS.SharedIniFileCredentials(); },
  function () { return new AWS.ECSCredentials(); },
  function () { return new AWS.ProcessCredentials(); },
  function () { return new AWS.TokenFileWebIdentityCredentials(); },
  function () { return new AWS.EC2MetadataCredentials(); }
];

var getRegion = function() {
  var env = process.env;
  var region = env.AWS_REGION || env.AMAZON_REGION;
  if (env[AWS.util.configOptInEnv]) {
    var toCheck = [
      {filename: env[AWS.util.sharedCredentialsFileEnv]},
      {isConfig: true, filename: env[AWS.util.sharedConfigFileEnv]}
    ];
    var iniLoader = AWS.util.iniLoader;
    while (!region && toCheck.length) {
      var configFile = {};
      var fileInfo = toCheck.shift();
      try {
        configFile = iniLoader.loadFrom(fileInfo);
      } catch (err) {
        if (fileInfo.isConfig) throw err;
      }
      var profile = configFile[env.AWS_PROFILE || AWS.util.defaultProfile];
      region = profile && profile.region;
    }
  }
  return region;
};

var getBooleanValue = function(value) {
  return value === 'true' ? true: value === 'false' ? false: undefined;
};

var USE_FIPS_ENDPOINT_CONFIG_OPTIONS = {
  environmentVariableSelector: function(env) {
    return getBooleanValue(env['AWS_USE_FIPS_ENDPOINT']);
  },
  configFileSelector: function(profile) {
    return getBooleanValue(profile['use_fips_endpoint']);
  },
  default: false,
};

var USE_DUALSTACK_ENDPOINT_CONFIG_OPTIONS = {
  environmentVariableSelector: function(env) {
    return getBooleanValue(env['AWS_USE_DUALSTACK_ENDPOINT']);
  },
  configFileSelector: function(profile) {
    return getBooleanValue(profile['use_dualstack_endpoint']);
  },
  default: false,
};

// Update configuration keys
AWS.util.update(AWS.Config.prototype.keys, {
  credentials: function () {
    var credentials = null;
    new AWS.CredentialProviderChain([
      function () { return new AWS.EnvironmentCredentials('AWS'); },
      function () { return new AWS.EnvironmentCredentials('AMAZON'); },
      function () { return new AWS.SharedIniFileCredentials({ disableAssumeRole: true }); }
    ]).resolve(function(err, creds) {
      if (!err) credentials = creds;
    });
    return credentials;
  },
  credentialProvider: function() {
    return new AWS.CredentialProviderChain();
  },
  logger: function () {
    return process.env.AWSJS_DEBUG ? console : null;
  },
  region: function() {
    var region = getRegion();
    return region ? getRealRegion(region): undefined;
  },
  useFipsEndpoint: function() {
    var region = getRegion();
    return isFipsRegion(region)
      ? true
      : util.loadConfig(USE_FIPS_ENDPOINT_CONFIG_OPTIONS);
  },
  useDualstackEndpoint: function() {
    return util.loadConfig(USE_DUALSTACK_ENDPOINT_CONFIG_OPTIONS);
  }
});

// Reset configuration
AWS.config = new AWS.Config();


/***/ }),

/***/ 99127:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

/**
 * @api private
 */
AWS.ParamValidator = AWS.util.inherit({
  /**
   * Create a new validator object.
   *
   * @param validation [Boolean|map] whether input parameters should be
   *     validated against the operation description before sending the
   *     request. Pass a map to enable any of the following specific
   *     validation features:
   *
   *     * **min** [Boolean] &mdash; Validates that a value meets the min
   *       constraint. This is enabled by default when paramValidation is set
   *       to `true`.
   *     * **max** [Boolean] &mdash; Validates that a value meets the max
   *       constraint.
   *     * **pattern** [Boolean] &mdash; Validates that a string value matches a
   *       regular expression.
   *     * **enum** [Boolean] &mdash; Validates that a string value matches one
   *       of the allowable enum values.
   */
  constructor: function ParamValidator(validation) {
    if (validation === true || validation === undefined) {
      validation = {'min': true};
    }
    this.validation = validation;
  },

  validate: function validate(shape, params, context) {
    this.errors = [];
    this.validateMember(shape, params || {}, context || 'params');

    if (this.errors.length > 1) {
      var msg = this.errors.join('\n* ');
      msg = 'There were ' + this.errors.length +
        ' validation errors:\n* ' + msg;
      throw AWS.util.error(new Error(msg),
        {code: 'MultipleValidationErrors', errors: this.errors});
    } else if (this.errors.length === 1) {
      throw this.errors[0];
    } else {
      return true;
    }
  },

  fail: function fail(code, message) {
    this.errors.push(AWS.util.error(new Error(message), {code: code}));
  },

  validateStructure: function validateStructure(shape, params, context) {
    this.validateType(params, context, ['object'], 'structure');

    var paramName;
    for (var i = 0; shape.required && i < shape.required.length; i++) {
      paramName = shape.required[i];
      var value = params[paramName];
      if (value === undefined || value === null) {
        this.fail('MissingRequiredParameter',
          'Missing required key \'' + paramName + '\' in ' + context);
      }
    }

    // validate hash members
    for (paramName in params) {
      if (!Object.prototype.hasOwnProperty.call(params, paramName)) continue;

      var paramValue = params[paramName],
          memberShape = shape.members[paramName];

      if (memberShape !== undefined) {
        var memberContext = [context, paramName].join('.');
        this.validateMember(memberShape, paramValue, memberContext);
      } else if (paramValue !== undefined && paramValue !== null) {
        this.fail('UnexpectedParameter',
          'Unexpected key \'' + paramName + '\' found in ' + context);
      }
    }

    return true;
  },

  validateMember: function validateMember(shape, param, context) {
    switch (shape.type) {
      case 'structure':
        return this.validateStructure(shape, param, context);
      case 'list':
        return this.validateList(shape, param, context);
      case 'map':
        return this.validateMap(shape, param, context);
      default:
        return this.validateScalar(shape, param, context);
    }
  },

  validateList: function validateList(shape, params, context) {
    if (this.validateType(params, context, [Array])) {
      this.validateRange(shape, params.length, context, 'list member count');
      // validate array members
      for (var i = 0; i < params.length; i++) {
        this.validateMember(shape.member, params[i], context + '[' + i + ']');
      }
    }
  },

  validateMap: function validateMap(shape, params, context) {
    if (this.validateType(params, context, ['object'], 'map')) {
      // Build up a count of map members to validate range traits.
      var mapCount = 0;
      for (var param in params) {
        if (!Object.prototype.hasOwnProperty.call(params, param)) continue;
        // Validate any map key trait constraints
        this.validateMember(shape.key, param,
                            context + '[key=\'' + param + '\']');
        this.validateMember(shape.value, params[param],
                            context + '[\'' + param + '\']');
        mapCount++;
      }
      this.validateRange(shape, mapCount, context, 'map member count');
    }
  },

  validateScalar: function validateScalar(shape, value, context) {
    switch (shape.type) {
      case null:
      case undefined:
      case 'string':
        return this.validateString(shape, value, context);
      case 'base64':
      case 'binary':
        return this.validatePayload(value, context);
      case 'integer':
      case 'float':
        return this.validateNumber(shape, value, context);
      case 'boolean':
        return this.validateType(value, context, ['boolean']);
      case 'timestamp':
        return this.validateType(value, context, [Date,
          /^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d+)?Z$/, 'number'],
          'Date object, ISO-8601 string, or a UNIX timestamp');
      default:
        return this.fail('UnkownType', 'Unhandled type ' +
                         shape.type + ' for ' + context);
    }
  },

  validateString: function validateString(shape, value, context) {
    var validTypes = ['string'];
    if (shape.isJsonValue) {
      validTypes = validTypes.concat(['number', 'object', 'boolean']);
    }
    if (value !== null && this.validateType(value, context, validTypes)) {
      this.validateEnum(shape, value, context);
      this.validateRange(shape, value.length, context, 'string length');
      this.validatePattern(shape, value, context);
      this.validateUri(shape, value, context);
    }
  },

  validateUri: function validateUri(shape, value, context) {
    if (shape['location'] === 'uri') {
      if (value.length === 0) {
        this.fail('UriParameterError', 'Expected uri parameter to have length >= 1,'
          + ' but found "' + value +'" for ' + context);
      }
    }
  },

  validatePattern: function validatePattern(shape, value, context) {
    if (this.validation['pattern'] && shape['pattern'] !== undefined) {
      if (!(new RegExp(shape['pattern'])).test(value)) {
        this.fail('PatternMatchError', 'Provided value "' + value + '" '
          + 'does not match regex pattern /' + shape['pattern'] + '/ for '
          + context);
      }
    }
  },

  validateRange: function validateRange(shape, value, context, descriptor) {
    if (this.validation['min']) {
      if (shape['min'] !== undefined && value < shape['min']) {
        this.fail('MinRangeError', 'Expected ' + descriptor + ' >= '
          + shape['min'] + ', but found ' + value + ' for ' + context);
      }
    }
    if (this.validation['max']) {
      if (shape['max'] !== undefined && value > shape['max']) {
        this.fail('MaxRangeError', 'Expected ' + descriptor + ' <= '
          + shape['max'] + ', but found ' + value + ' for ' + context);
      }
    }
  },

  validateEnum: function validateRange(shape, value, context) {
    if (this.validation['enum'] && shape['enum'] !== undefined) {
      // Fail if the string value is not present in the enum list
      if (shape['enum'].indexOf(value) === -1) {
        this.fail('EnumError', 'Found string value of ' + value + ', but '
          + 'expected ' + shape['enum'].join('|') + ' for ' + context);
      }
    }
  },

  validateType: function validateType(value, context, acceptedTypes, type) {
    // We will not log an error for null or undefined, but we will return
    // false so that callers know that the expected type was not strictly met.
    if (value === null || value === undefined) return false;

    var foundInvalidType = false;
    for (var i = 0; i < acceptedTypes.length; i++) {
      if (typeof acceptedTypes[i] === 'string') {
        if (typeof value === acceptedTypes[i]) return true;
      } else if (acceptedTypes[i] instanceof RegExp) {
        if ((value || '').toString().match(acceptedTypes[i])) return true;
      } else {
        if (value instanceof acceptedTypes[i]) return true;
        if (AWS.util.isType(value, acceptedTypes[i])) return true;
        if (!type && !foundInvalidType) acceptedTypes = acceptedTypes.slice();
        acceptedTypes[i] = AWS.util.typeName(acceptedTypes[i]);
      }
      foundInvalidType = true;
    }

    var acceptedType = type;
    if (!acceptedType) {
      acceptedType = acceptedTypes.join(', ').replace(/,([^,]+)$/, ', or$1');
    }

    var vowel = acceptedType.match(/^[aeiou]/i) ? 'n' : '';
    this.fail('InvalidParameterType', 'Expected ' + context + ' to be a' +
              vowel + ' ' + acceptedType);
    return false;
  },

  validateNumber: function validateNumber(shape, value, context) {
    if (value === null || value === undefined) return;
    if (typeof value === 'string') {
      var castedValue = parseFloat(value);
      if (castedValue.toString() === value) value = castedValue;
    }
    if (this.validateType(value, context, ['number'])) {
      this.validateRange(shape, value, context, 'numeric value');
    }
  },

  validatePayload: function validatePayload(value, context) {
    if (value === null || value === undefined) return;
    if (typeof value === 'string') return;
    if (value && typeof value.byteLength === 'number') return; // typed arrays
    if (AWS.util.isNode()) { // special check for buffer/stream in Node.js
      var Stream = AWS.util.stream.Stream;
      if (AWS.util.Buffer.isBuffer(value) || value instanceof Stream) return;
    } else {
      if (typeof Blob !== void 0 && value instanceof Blob) return;
    }

    var types = ['Buffer', 'Stream', 'File', 'Blob', 'ArrayBuffer', 'DataView'];
    if (value) {
      for (var i = 0; i < types.length; i++) {
        if (AWS.util.isType(value, types[i])) return;
        if (AWS.util.typeName(value.constructor) === types[i]) return;
      }
    }

    this.fail('InvalidParameterType', 'Expected ' + context + ' to be a ' +
      'string, Buffer, Stream, Blob, or typed array object');
  }
});


/***/ }),

/***/ 44086:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var rest = AWS.Protocol.Rest;

/**
 * A presigner object can be used to generate presigned urls for the Polly service.
 */
AWS.Polly.Presigner = AWS.util.inherit({
    /**
     * Creates a presigner object with a set of configuration options.
     *
     * @option options params [map] An optional map of parameters to bind to every
     *   request sent by this service object.
     * @option options service [AWS.Polly] An optional pre-configured instance
     *  of the AWS.Polly service object to use for requests. The object may
     *  bound parameters used by the presigner.
     * @see AWS.Polly.constructor
     */
    constructor: function Signer(options) {
        options = options || {};
        this.options = options;
        this.service = options.service;
        this.bindServiceObject(options);
        this._operations = {};
    },

    /**
     * @api private
     */
    bindServiceObject: function bindServiceObject(options) {
        options = options || {};
        if (!this.service) {
            this.service = new AWS.Polly(options);
        } else {
            var config = AWS.util.copy(this.service.config);
            this.service = new this.service.constructor.__super__(config);
            this.service.config.params = AWS.util.merge(this.service.config.params || {}, options.params);
        }
    },

    /**
     * @api private
     */
    modifyInputMembers: function modifyInputMembers(input) {
        // make copies of the input so we don't overwrite the api
        // need to be careful to copy anything we access/modify
        var modifiedInput = AWS.util.copy(input);
        modifiedInput.members = AWS.util.copy(input.members);
        AWS.util.each(input.members, function(name, member) {
            modifiedInput.members[name] = AWS.util.copy(member);
            // update location and locationName
            if (!member.location || member.location === 'body') {
                modifiedInput.members[name].location = 'querystring';
                modifiedInput.members[name].locationName = name;
            }
        });
        return modifiedInput;
    },

    /**
     * @api private
     */
    convertPostToGet: function convertPostToGet(req) {
        // convert method
        req.httpRequest.method = 'GET';

        var operation = req.service.api.operations[req.operation];
        // get cached operation input first
        var input = this._operations[req.operation];
        if (!input) {
            // modify the original input
            this._operations[req.operation] = input = this.modifyInputMembers(operation.input);
        }

        var uri = rest.generateURI(req.httpRequest.endpoint.path, operation.httpPath, input, req.params);

        req.httpRequest.path = uri;
        req.httpRequest.body = '';

        // don't need these headers on a GET request
        delete req.httpRequest.headers['Content-Length'];
        delete req.httpRequest.headers['Content-Type'];
    },

    /**
     * @overload getSynthesizeSpeechUrl(params = {}, [expires = 3600], [callback])
     *   Generate a presigned url for {AWS.Polly.synthesizeSpeech}.
     *   @note You must ensure that you have static or previously resolved
     *     credentials if you call this method synchronously (with no callback),
     *     otherwise it may not properly sign the request. If you cannot guarantee
     *     this (you are using an asynchronous credential provider, i.e., EC2
     *     IAM roles), you should always call this method with an asynchronous
     *     callback.
     *   @param params [map] parameters to pass to the operation. See the {AWS.Polly.synthesizeSpeech}
     *     operation for the expected operation parameters.
     *   @param expires [Integer] (3600) the number of seconds to expire the pre-signed URL operation in.
     *     Defaults to 1 hour.
     *   @return [string] if called synchronously (with no callback), returns the signed URL.
     *   @return [null] nothing is returned if a callback is provided.
     *   @callback callback function (err, url)
     *     If a callback is supplied, it is called when a signed URL has been generated.
     *     @param err [Error] the error object returned from the presigner.
     *     @param url [String] the signed URL.
     *   @see AWS.Polly.synthesizeSpeech
     */
    getSynthesizeSpeechUrl: function getSynthesizeSpeechUrl(params, expires, callback) {
        var self = this;
        var request = this.service.makeRequest('synthesizeSpeech', params);
        // remove existing build listeners
        request.removeAllListeners('build');
        request.on('build', function(req) {
            self.convertPostToGet(req);
        });
        return request.presign(expires, callback);
    }
});


/***/ }),

/***/ 97969:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util =  __nccwpck_require__(77985);
var AWS = __nccwpck_require__(28437);

/**
 * Prepend prefix defined by API model to endpoint that's already
 * constructed. This feature does not apply to operations using
 * endpoint discovery and can be disabled.
 * @api private
 */
function populateHostPrefix(request)  {
  var enabled = request.service.config.hostPrefixEnabled;
  if (!enabled) return request;
  var operationModel = request.service.api.operations[request.operation];
  //don't marshal host prefix when operation has endpoint discovery traits
  if (hasEndpointDiscover(request)) return request;
  if (operationModel.endpoint && operationModel.endpoint.hostPrefix) {
    var hostPrefixNotation = operationModel.endpoint.hostPrefix;
    var hostPrefix = expandHostPrefix(hostPrefixNotation, request.params, operationModel.input);
    prependEndpointPrefix(request.httpRequest.endpoint, hostPrefix);
    validateHostname(request.httpRequest.endpoint.hostname);
  }
  return request;
}

/**
 * @api private
 */
function hasEndpointDiscover(request) {
  var api = request.service.api;
  var operationModel = api.operations[request.operation];
  var isEndpointOperation = api.endpointOperation && (api.endpointOperation === util.string.lowerFirst(operationModel.name));
  return (operationModel.endpointDiscoveryRequired !== 'NULL' || isEndpointOperation === true);
}

/**
 * @api private
 */
function expandHostPrefix(hostPrefixNotation, params, shape) {
  util.each(shape.members, function(name, member) {
    if (member.hostLabel === true) {
      if (typeof params[name] !== 'string' || params[name] === '') {
        throw util.error(new Error(), {
          message: 'Parameter ' + name + ' should be a non-empty string.',
          code: 'InvalidParameter'
        });
      }
      var regex = new RegExp('\\{' + name + '\\}', 'g');
      hostPrefixNotation = hostPrefixNotation.replace(regex, params[name]);
    }
  });
  return hostPrefixNotation;
}

/**
 * @api private
 */
function prependEndpointPrefix(endpoint, prefix) {
  if (endpoint.host) {
    endpoint.host = prefix + endpoint.host;
  }
  if (endpoint.hostname) {
    endpoint.hostname = prefix + endpoint.hostname;
  }
}

/**
 * @api private
 */
function validateHostname(hostname) {
  var labels = hostname.split('.');
  //Reference: https://tools.ietf.org/html/rfc1123#section-2
  var hostPattern = /^[a-zA-Z0-9]{1}$|^[a-zA-Z0-9][a-zA-Z0-9\-]*[a-zA-Z0-9]$/;
  util.arrayEach(labels, function(label) {
    if (!label.length || label.length < 1 || label.length > 63) {
      throw util.error(new Error(), {
        code: 'ValidationError',
        message: 'Hostname label length should be between 1 to 63 characters, inclusive.'
      });
    }
    if (!hostPattern.test(label)) {
      throw AWS.util.error(new Error(),
        {code: 'ValidationError', message: label + ' is not hostname compatible.'});
    }
  });
}

module.exports = {
  populateHostPrefix: populateHostPrefix
};


/***/ }),

/***/ 30083:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(77985);
var JsonBuilder = __nccwpck_require__(47495);
var JsonParser = __nccwpck_require__(5474);
var populateHostPrefix = (__nccwpck_require__(97969).populateHostPrefix);

function buildRequest(req) {
  var httpRequest = req.httpRequest;
  var api = req.service.api;
  var target = api.targetPrefix + '.' + api.operations[req.operation].name;
  var version = api.jsonVersion || '1.0';
  var input = api.operations[req.operation].input;
  var builder = new JsonBuilder();

  if (version === 1) version = '1.0';
  httpRequest.body = builder.build(req.params || {}, input);
  httpRequest.headers['Content-Type'] = 'application/x-amz-json-' + version;
  httpRequest.headers['X-Amz-Target'] = target;

  populateHostPrefix(req);
}

function extractError(resp) {
  var error = {};
  var httpResponse = resp.httpResponse;

  error.code = httpResponse.headers['x-amzn-errortype'] || 'UnknownError';
  if (typeof error.code === 'string') {
    error.code = error.code.split(':')[0];
  }

  if (httpResponse.body.length > 0) {
    try {
      var e = JSON.parse(httpResponse.body.toString());
      var code = e.__type || e.code || e.Code;
      if (code) {
        error.code = code.split('#').pop();
      }
      if (error.code === 'RequestEntityTooLarge') {
        error.message = 'Request body must be less than 1 MB';
      } else {
        error.message = (e.message || e.Message || null);
      }
    } catch (e) {
      error.statusCode = httpResponse.statusCode;
      error.message = httpResponse.statusMessage;
    }
  } else {
    error.statusCode = httpResponse.statusCode;
    error.message = httpResponse.statusCode.toString();
  }

  resp.error = util.error(new Error(), error);
}

function extractData(resp) {
  var body = resp.httpResponse.body.toString() || '{}';
  if (resp.request.service.config.convertResponseTypes === false) {
    resp.data = JSON.parse(body);
  } else {
    var operation = resp.request.service.api.operations[resp.request.operation];
    var shape = operation.output || {};
    var parser = new JsonParser();
    resp.data = parser.parse(body, shape);
  }
}

/**
 * @api private
 */
module.exports = {
  buildRequest: buildRequest,
  extractError: extractError,
  extractData: extractData
};


/***/ }),

/***/ 90761:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var util = __nccwpck_require__(77985);
var QueryParamSerializer = __nccwpck_require__(45175);
var Shape = __nccwpck_require__(71349);
var populateHostPrefix = (__nccwpck_require__(97969).populateHostPrefix);

function buildRequest(req) {
  var operation = req.service.api.operations[req.operation];
  var httpRequest = req.httpRequest;
  httpRequest.headers['Content-Type'] =
    'application/x-www-form-urlencoded; charset=utf-8';
  httpRequest.params = {
    Version: req.service.api.apiVersion,
    Action: operation.name
  };

  // convert the request parameters into a list of query params,
  // e.g. Deeply.NestedParam.0.Name=value
  var builder = new QueryParamSerializer();
  builder.serialize(req.params, operation.input, function(name, value) {
    httpRequest.params[name] = value;
  });
  httpRequest.body = util.queryParamsToString(httpRequest.params);

  populateHostPrefix(req);
}

function extractError(resp) {
  var data, body = resp.httpResponse.body.toString();
  if (body.match('<UnknownOperationException')) {
    data = {
      Code: 'UnknownOperation',
      Message: 'Unknown operation ' + resp.request.operation
    };
  } else {
    try {
      data = new AWS.XML.Parser().parse(body);
    } catch (e) {
      data = {
        Code: resp.httpResponse.statusCode,
        Message: resp.httpResponse.statusMessage
      };
    }
  }

  if (data.requestId && !resp.requestId) resp.requestId = data.requestId;
  if (data.Errors) data = data.Errors;
  if (data.Error) data = data.Error;
  if (data.Code) {
    resp.error = util.error(new Error(), {
      code: data.Code,
      message: data.Message
    });
  } else {
    resp.error = util.error(new Error(), {
      code: resp.httpResponse.statusCode,
      message: null
    });
  }
}

function extractData(resp) {
  var req = resp.request;
  var operation = req.service.api.operations[req.operation];
  var shape = operation.output || {};
  var origRules = shape;

  if (origRules.resultWrapper) {
    var tmp = Shape.create({type: 'structure'});
    tmp.members[origRules.resultWrapper] = shape;
    tmp.memberNames = [origRules.resultWrapper];
    util.property(shape, 'name', shape.resultWrapper);
    shape = tmp;
  }

  var parser = new AWS.XML.Parser();

  // TODO: Refactor XML Parser to parse RequestId from response.
  if (shape && shape.members && !shape.members._XAMZRequestId) {
    var requestIdShape = Shape.create(
      { type: 'string' },
      { api: { protocol: 'query' } },
      'requestId'
    );
    shape.members._XAMZRequestId = requestIdShape;
  }

  var data = parser.parse(resp.httpResponse.body.toString(), shape);
  resp.requestId = data._XAMZRequestId || data.requestId;

  if (data._XAMZRequestId) delete data._XAMZRequestId;

  if (origRules.resultWrapper) {
    if (data[origRules.resultWrapper]) {
      util.update(data, data[origRules.resultWrapper]);
      delete data[origRules.resultWrapper];
    }
  }

  resp.data = data;
}

/**
 * @api private
 */
module.exports = {
  buildRequest: buildRequest,
  extractError: extractError,
  extractData: extractData
};


/***/ }),

/***/ 98200:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(77985);
var populateHostPrefix = (__nccwpck_require__(97969).populateHostPrefix);

function populateMethod(req) {
  req.httpRequest.method = req.service.api.operations[req.operation].httpMethod;
}

function generateURI(endpointPath, operationPath, input, params) {
  var uri = [endpointPath, operationPath].join('/');
  uri = uri.replace(/\/+/g, '/');

  var queryString = {}, queryStringSet = false;
  util.each(input.members, function (name, member) {
    var paramValue = params[name];
    if (paramValue === null || paramValue === undefined) return;
    if (member.location === 'uri') {
      var regex = new RegExp('\\{' + member.name + '(\\+)?\\}');
      uri = uri.replace(regex, function(_, plus) {
        var fn = plus ? util.uriEscapePath : util.uriEscape;
        return fn(String(paramValue));
      });
    } else if (member.location === 'querystring') {
      queryStringSet = true;

      if (member.type === 'list') {
        queryString[member.name] = paramValue.map(function(val) {
          return util.uriEscape(member.member.toWireFormat(val).toString());
        });
      } else if (member.type === 'map') {
        util.each(paramValue, function(key, value) {
          if (Array.isArray(value)) {
            queryString[key] = value.map(function(val) {
              return util.uriEscape(String(val));
            });
          } else {
            queryString[key] = util.uriEscape(String(value));
          }
        });
      } else {
        queryString[member.name] = util.uriEscape(member.toWireFormat(paramValue).toString());
      }
    }
  });

  if (queryStringSet) {
    uri += (uri.indexOf('?') >= 0 ? '&' : '?');
    var parts = [];
    util.arrayEach(Object.keys(queryString).sort(), function(key) {
      if (!Array.isArray(queryString[key])) {
        queryString[key] = [queryString[key]];
      }
      for (var i = 0; i < queryString[key].length; i++) {
        parts.push(util.uriEscape(String(key)) + '=' + queryString[key][i]);
      }
    });
    uri += parts.join('&');
  }

  return uri;
}

function populateURI(req) {
  var operation = req.service.api.operations[req.operation];
  var input = operation.input;

  var uri = generateURI(req.httpRequest.endpoint.path, operation.httpPath, input, req.params);
  req.httpRequest.path = uri;
}

function populateHeaders(req) {
  var operation = req.service.api.operations[req.operation];
  util.each(operation.input.members, function (name, member) {
    var value = req.params[name];
    if (value === null || value === undefined) return;

    if (member.location === 'headers' && member.type === 'map') {
      util.each(value, function(key, memberValue) {
        req.httpRequest.headers[member.name + key] = memberValue;
      });
    } else if (member.location === 'header') {
      value = member.toWireFormat(value).toString();
      if (member.isJsonValue) {
        value = util.base64.encode(value);
      }
      req.httpRequest.headers[member.name] = value;
    }
  });
}

function buildRequest(req) {
  populateMethod(req);
  populateURI(req);
  populateHeaders(req);
  populateHostPrefix(req);
}

function extractError() {
}

function extractData(resp) {
  var req = resp.request;
  var data = {};
  var r = resp.httpResponse;
  var operation = req.service.api.operations[req.operation];
  var output = operation.output;

  // normalize headers names to lower-cased keys for matching
  var headers = {};
  util.each(r.headers, function (k, v) {
    headers[k.toLowerCase()] = v;
  });

  util.each(output.members, function(name, member) {
    var header = (member.name || name).toLowerCase();
    if (member.location === 'headers' && member.type === 'map') {
      data[name] = {};
      var location = member.isLocationName ? member.name : '';
      var pattern = new RegExp('^' + location + '(.+)', 'i');
      util.each(r.headers, function (k, v) {
        var result = k.match(pattern);
        if (result !== null) {
          data[name][result[1]] = v;
        }
      });
    } else if (member.location === 'header') {
      if (headers[header] !== undefined) {
        var value = member.isJsonValue ?
          util.base64.decode(headers[header]) :
          headers[header];
        data[name] = member.toType(value);
      }
    } else if (member.location === 'statusCode') {
      data[name] = parseInt(r.statusCode, 10);
    }
  });

  resp.data = data;
}

/**
 * @api private
 */
module.exports = {
  buildRequest: buildRequest,
  extractError: extractError,
  extractData: extractData,
  generateURI: generateURI
};


/***/ }),

/***/ 5883:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(77985);
var Rest = __nccwpck_require__(98200);
var Json = __nccwpck_require__(30083);
var JsonBuilder = __nccwpck_require__(47495);
var JsonParser = __nccwpck_require__(5474);

function populateBody(req) {
  var builder = new JsonBuilder();
  var input = req.service.api.operations[req.operation].input;

  if (input.payload) {
    var params = {};
    var payloadShape = input.members[input.payload];
    params = req.params[input.payload];

    if (payloadShape.type === 'structure') {
      req.httpRequest.body = builder.build(params || {}, payloadShape);
      applyContentTypeHeader(req);
    } else if (params !== undefined) {
      // non-JSON payload
      req.httpRequest.body = params;
      if (payloadShape.type === 'binary' || payloadShape.isStreaming) {
        applyContentTypeHeader(req, true);
      }
    }
  } else {
    req.httpRequest.body = builder.build(req.params, input);
    applyContentTypeHeader(req);
  }
}

function applyContentTypeHeader(req, isBinary) {
  if (!req.httpRequest.headers['Content-Type']) {
    var type = isBinary ? 'binary/octet-stream' : 'application/json';
    req.httpRequest.headers['Content-Type'] = type;
  }
}

function buildRequest(req) {
  Rest.buildRequest(req);

  // never send body payload on GET/HEAD/DELETE
  if (['GET', 'HEAD', 'DELETE'].indexOf(req.httpRequest.method) < 0) {
    populateBody(req);
  }
}

function extractError(resp) {
  Json.extractError(resp);
}

function extractData(resp) {
  Rest.extractData(resp);

  var req = resp.request;
  var operation = req.service.api.operations[req.operation];
  var rules = req.service.api.operations[req.operation].output || {};
  var parser;
  var hasEventOutput = operation.hasEventOutput;

  if (rules.payload) {
    var payloadMember = rules.members[rules.payload];
    var body = resp.httpResponse.body;
    if (payloadMember.isEventStream) {
      parser = new JsonParser();
      resp.data[payload] = util.createEventStream(
        AWS.HttpClient.streamsApiVersion === 2 ? resp.httpResponse.stream : body,
        parser,
        payloadMember
      );
    } else if (payloadMember.type === 'structure' || payloadMember.type === 'list') {
      var parser = new JsonParser();
      resp.data[rules.payload] = parser.parse(body, payloadMember);
    } else if (payloadMember.type === 'binary' || payloadMember.isStreaming) {
      resp.data[rules.payload] = body;
    } else {
      resp.data[rules.payload] = payloadMember.toType(body);
    }
  } else {
    var data = resp.data;
    Json.extractData(resp);
    resp.data = util.merge(data, resp.data);
  }
}

/**
 * @api private
 */
module.exports = {
  buildRequest: buildRequest,
  extractError: extractError,
  extractData: extractData
};


/***/ }),

/***/ 15143:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var util = __nccwpck_require__(77985);
var Rest = __nccwpck_require__(98200);

function populateBody(req) {
  var input = req.service.api.operations[req.operation].input;
  var builder = new AWS.XML.Builder();
  var params = req.params;

  var payload = input.payload;
  if (payload) {
    var payloadMember = input.members[payload];
    params = params[payload];
    if (params === undefined) return;

    if (payloadMember.type === 'structure') {
      var rootElement = payloadMember.name;
      req.httpRequest.body = builder.toXML(params, payloadMember, rootElement, true);
    } else { // non-xml payload
      req.httpRequest.body = params;
    }
  } else {
    req.httpRequest.body = builder.toXML(params, input, input.name ||
      input.shape || util.string.upperFirst(req.operation) + 'Request');
  }
}

function buildRequest(req) {
  Rest.buildRequest(req);

  // never send body payload on GET/HEAD
  if (['GET', 'HEAD'].indexOf(req.httpRequest.method) < 0) {
    populateBody(req);
  }
}

function extractError(resp) {
  Rest.extractError(resp);

  var data;
  try {
    data = new AWS.XML.Parser().parse(resp.httpResponse.body.toString());
  } catch (e) {
    data = {
      Code: resp.httpResponse.statusCode,
      Message: resp.httpResponse.statusMessage
    };
  }

  if (data.Errors) data = data.Errors;
  if (data.Error) data = data.Error;
  if (data.Code) {
    resp.error = util.error(new Error(), {
      code: data.Code,
      message: data.Message
    });
  } else {
    resp.error = util.error(new Error(), {
      code: resp.httpResponse.statusCode,
      message: null
    });
  }
}

function extractData(resp) {
  Rest.extractData(resp);

  var parser;
  var req = resp.request;
  var body = resp.httpResponse.body;
  var operation = req.service.api.operations[req.operation];
  var output = operation.output;

  var hasEventOutput = operation.hasEventOutput;

  var payload = output.payload;
  if (payload) {
    var payloadMember = output.members[payload];
    if (payloadMember.isEventStream) {
      parser = new AWS.XML.Parser();
      resp.data[payload] = util.createEventStream(
        AWS.HttpClient.streamsApiVersion === 2 ? resp.httpResponse.stream : resp.httpResponse.body,
        parser,
        payloadMember
      );
    } else if (payloadMember.type === 'structure') {
      parser = new AWS.XML.Parser();
      resp.data[payload] = parser.parse(body.toString(), payloadMember);
    } else if (payloadMember.type === 'binary' || payloadMember.isStreaming) {
      resp.data[payload] = body;
    } else {
      resp.data[payload] = payloadMember.toType(body);
    }
  } else if (body.length > 0) {
    parser = new AWS.XML.Parser();
    var data = parser.parse(body.toString(), output);
    util.update(resp.data, data);
  }
}

/**
 * @api private
 */
module.exports = {
  buildRequest: buildRequest,
  extractError: extractError,
  extractData: extractData
};


/***/ }),

/***/ 91822:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

/**
 * Resolve client-side monitoring configuration from either environmental variables
 * or shared config file. Configurations from environmental variables have higher priority
 * than those from shared config file. The resolver will try to read the shared config file
 * no matter whether the AWS_SDK_LOAD_CONFIG variable is set.
 * @api private
 */
function resolveMonitoringConfig() {
  var config = {
    port: undefined,
    clientId: undefined,
    enabled: undefined,
    host: undefined
  };
  if (fromEnvironment(config) || fromConfigFile(config)) return toJSType(config);
  return toJSType(config);
}

/**
 * Resolve configurations from environmental variables.
 * @param {object} client side monitoring config object needs to be resolved
 * @returns {boolean} whether resolving configurations is done
 * @api private
 */
function fromEnvironment(config) {
  config.port = config.port || process.env.AWS_CSM_PORT;
  config.enabled = config.enabled || process.env.AWS_CSM_ENABLED;
  config.clientId = config.clientId || process.env.AWS_CSM_CLIENT_ID;
  config.host = config.host || process.env.AWS_CSM_HOST;
  return config.port && config.enabled && config.clientId && config.host ||
    ['false', '0'].indexOf(config.enabled) >= 0; //no need to read shared config file if explicitely disabled
}

/**
 * Resolve cofigurations from shared config file with specified role name
 * @param {object} client side monitoring config object needs to be resolved
 * @returns {boolean} whether resolving configurations is done
 * @api private
 */
function fromConfigFile(config) {
  var sharedFileConfig;
  try {
    var configFile = AWS.util.iniLoader.loadFrom({
      isConfig: true,
      filename: process.env[AWS.util.sharedConfigFileEnv]
    });
    var sharedFileConfig = configFile[
      process.env.AWS_PROFILE || AWS.util.defaultProfile
    ];
  } catch (err) {
    return false;
  }
  if (!sharedFileConfig) return config;
  config.port = config.port || sharedFileConfig.csm_port;
  config.enabled = config.enabled || sharedFileConfig.csm_enabled;
  config.clientId = config.clientId || sharedFileConfig.csm_client_id;
  config.host = config.host || sharedFileConfig.csm_host;
  return config.port && config.enabled && config.clientId && config.host;
}

/**
 * Transfer the resolved configuration value to proper types: port as number, enabled
 * as boolean and clientId as string. The 'enabled' flag is valued to false when set
 * to 'false' or '0'.
 * @param {object} resolved client side monitoring config
 * @api private
 */
function toJSType(config) {
    //config.XXX is either undefined or string
  var falsyNotations = ['false', '0', undefined];
  if (!config.enabled || falsyNotations.indexOf(config.enabled.toLowerCase()) >= 0) {
    config.enabled = false;
  } else {
    config.enabled = true;
  }
  config.port = config.port ? parseInt(config.port, 10) : undefined;
  return config;
}

module.exports = resolveMonitoringConfig;


/***/ }),

/***/ 66807:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = (__nccwpck_require__(28437).util);
var dgram = __nccwpck_require__(71891);
var stringToBuffer = util.buffer.toBuffer;

var MAX_MESSAGE_SIZE = 1024 * 8; // 8 KB

/**
 * Publishes metrics via udp.
 * @param {object} options Paramters for Publisher constructor
 * @param {number} [options.port = 31000] Port number
 * @param {string} [options.clientId = ''] Client Identifier
 * @param {boolean} [options.enabled = false] enable sending metrics datagram
 * @api private
 */
function Publisher(options) {
    // handle configuration
    options = options || {};
    this.enabled = options.enabled || false;
    this.port = options.port || 31000;
    this.clientId = options.clientId || '';
    this.address = options.host || '127.0.0.1';
    if (this.clientId.length > 255) {
        // ClientId has a max length of 255
        this.clientId = this.clientId.substr(0, 255);
    }
    this.messagesInFlight = 0;
}

Publisher.prototype.fieldsToTrim = {
    UserAgent: 256,
    SdkException: 128,
    SdkExceptionMessage: 512,
    AwsException: 128,
    AwsExceptionMessage: 512,
    FinalSdkException: 128,
    FinalSdkExceptionMessage: 512,
    FinalAwsException: 128,
    FinalAwsExceptionMessage: 512

};

/**
 * Trims fields that have a specified max length.
 * @param {object} event ApiCall or ApiCallAttempt event.
 * @returns {object}
 * @api private
 */
Publisher.prototype.trimFields = function(event) {
    var trimmableFields = Object.keys(this.fieldsToTrim);
    for (var i = 0, iLen = trimmableFields.length; i < iLen; i++) {
        var field = trimmableFields[i];
        if (event.hasOwnProperty(field)) {
            var maxLength = this.fieldsToTrim[field];
            var value = event[field];
            if (value && value.length > maxLength) {
                event[field] = value.substr(0, maxLength);
            }
        }
    }
    return event;
};

/**
 * Handles ApiCall and ApiCallAttempt events.
 * @param {Object} event apiCall or apiCallAttempt event.
 * @api private
 */
Publisher.prototype.eventHandler = function(event) {
    // set the clientId
    event.ClientId = this.clientId;

    this.trimFields(event);

    var message = stringToBuffer(JSON.stringify(event));
    if (!this.enabled || message.length > MAX_MESSAGE_SIZE) {
        // drop the message if publisher not enabled or it is too large
        return;
    }

    this.publishDatagram(message);
};

/**
 * Publishes message to an agent.
 * @param {Buffer} message JSON message to send to agent.
 * @api private
 */
Publisher.prototype.publishDatagram = function(message) {
    var self = this;
    var client = this.getClient();

    this.messagesInFlight++;
    this.client.send(message, 0, message.length, this.port, this.address, function(err, bytes) {
        if (--self.messagesInFlight <= 0) {
            // destroy existing client so the event loop isn't kept open
            self.destroyClient();
        }
    });
};

/**
 * Returns an existing udp socket, or creates one if it doesn't already exist.
 * @api private
 */
Publisher.prototype.getClient = function() {
    if (!this.client) {
        this.client = dgram.createSocket('udp4');
    }
    return this.client;
};

/**
 * Destroys the udp socket.
 * @api private
 */
Publisher.prototype.destroyClient = function() {
    if (this.client) {
        this.client.close();
        this.client = void 0;
    }
};

module.exports = {
    Publisher: Publisher
};


/***/ }),

/***/ 45175:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(77985);

function QueryParamSerializer() {
}

QueryParamSerializer.prototype.serialize = function(params, shape, fn) {
  serializeStructure('', params, shape, fn);
};

function ucfirst(shape) {
  if (shape.isQueryName || shape.api.protocol !== 'ec2') {
    return shape.name;
  } else {
    return shape.name[0].toUpperCase() + shape.name.substr(1);
  }
}

function serializeStructure(prefix, struct, rules, fn) {
  util.each(rules.members, function(name, member) {
    var value = struct[name];
    if (value === null || value === undefined) return;

    var memberName = ucfirst(member);
    memberName = prefix ? prefix + '.' + memberName : memberName;
    serializeMember(memberName, value, member, fn);
  });
}

function serializeMap(name, map, rules, fn) {
  var i = 1;
  util.each(map, function (key, value) {
    var prefix = rules.flattened ? '.' : '.entry.';
    var position = prefix + (i++) + '.';
    var keyName = position + (rules.key.name || 'key');
    var valueName = position + (rules.value.name || 'value');
    serializeMember(name + keyName, key, rules.key, fn);
    serializeMember(name + valueName, value, rules.value, fn);
  });
}

function serializeList(name, list, rules, fn) {
  var memberRules = rules.member || {};

  if (list.length === 0) {
    fn.call(this, name, null);
    return;
  }

  util.arrayEach(list, function (v, n) {
    var suffix = '.' + (n + 1);
    if (rules.api.protocol === 'ec2') {
      // Do nothing for EC2
      suffix = suffix + ''; // make linter happy
    } else if (rules.flattened) {
      if (memberRules.name) {
        var parts = name.split('.');
        parts.pop();
        parts.push(ucfirst(memberRules));
        name = parts.join('.');
      }
    } else {
      suffix = '.' + (memberRules.name ? memberRules.name : 'member') + suffix;
    }
    serializeMember(name + suffix, v, memberRules, fn);
  });
}

function serializeMember(name, value, rules, fn) {
  if (value === null || value === undefined) return;
  if (rules.type === 'structure') {
    serializeStructure(name, value, rules, fn);
  } else if (rules.type === 'list') {
    serializeList(name, value, rules, fn);
  } else if (rules.type === 'map') {
    serializeMap(name, value, rules, fn);
  } else {
    fn(name, rules.toWireFormat(value).toString());
  }
}

/**
 * @api private
 */
module.exports = QueryParamSerializer;


/***/ }),

/***/ 16612:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

/**
 * @api private
 */
var service = null;

/**
 * @api private
 */
var api = {
    signatureVersion: 'v4',
    signingName: 'rds-db',
    operations: {}
};

/**
 * @api private
 */
var requiredAuthTokenOptions = {
    region: 'string',
    hostname: 'string',
    port: 'number',
    username: 'string'
};

/**
 * A signer object can be used to generate an auth token to a database.
 */
AWS.RDS.Signer = AWS.util.inherit({
    /**
     * Creates a signer object can be used to generate an auth token.
     *
     * @option options credentials [AWS.Credentials] the AWS credentials
     *   to sign requests with. Uses the default credential provider chain
     *   if not specified.
     * @option options hostname [String] the hostname of the database to connect to.
     * @option options port [Number] the port number the database is listening on.
     * @option options region [String] the region the database is located in.
     * @option options username [String] the username to login as.
     * @example Passing in options to constructor
     *   var signer = new AWS.RDS.Signer({
     *     credentials: new AWS.SharedIniFileCredentials({profile: 'default'}),
     *     region: 'us-east-1',
     *     hostname: 'db.us-east-1.rds.amazonaws.com',
     *     port: 8000,
     *     username: 'name'
     *   });
     */
    constructor: function Signer(options) {
        this.options = options || {};
    },

    /**
     * @api private
     * Strips the protocol from a url.
     */
    convertUrlToAuthToken: function convertUrlToAuthToken(url) {
        // we are always using https as the protocol
        var protocol = 'https://';
        if (url.indexOf(protocol) === 0) {
            return url.substring(protocol.length);
        }
    },

    /**
     * @overload getAuthToken(options = {}, [callback])
     *   Generate an auth token to a database.
     *   @note You must ensure that you have static or previously resolved
     *     credentials if you call this method synchronously (with no callback),
     *     otherwise it may not properly sign the request. If you cannot guarantee
     *     this (you are using an asynchronous credential provider, i.e., EC2
     *     IAM roles), you should always call this method with an asynchronous
     *     callback.
     *
     *   @param options [map] The fields to use when generating an auth token.
     *     Any options specified here will be merged on top of any options passed
     *     to AWS.RDS.Signer:
     *
     *     * **credentials** (AWS.Credentials) &mdash; the AWS credentials
     *         to sign requests with. Uses the default credential provider chain
     *         if not specified.
     *     * **hostname** (String) &mdash; the hostname of the database to connect to.
     *     * **port** (Number) &mdash; the port number the database is listening on.
     *     * **region** (String) &mdash; the region the database is located in.
     *     * **username** (String) &mdash; the username to login as.
     *   @return [String] if called synchronously (with no callback), returns the
     *     auth token.
     *   @return [null] nothing is returned if a callback is provided.
     *   @callback callback function (err, token)
     *     If a callback is supplied, it is called when an auth token has been generated.
     *     @param err [Error] the error object returned from the signer.
     *     @param token [String] the auth token.
     *
     *   @example Generating an auth token synchronously
     *     var signer = new AWS.RDS.Signer({
     *       // configure options
     *       region: 'us-east-1',
     *       username: 'default',
     *       hostname: 'db.us-east-1.amazonaws.com',
     *       port: 8000
     *     });
     *     var token = signer.getAuthToken({
     *       // these options are merged with those defined when creating the signer, overriding in the case of a duplicate option
     *       // credentials are not specified here or when creating the signer, so default credential provider will be used
     *       username: 'test' // overriding username
     *     });
     *   @example Generating an auth token asynchronously
     *     var signer = new AWS.RDS.Signer({
     *       // configure options
     *       region: 'us-east-1',
     *       username: 'default',
     *       hostname: 'db.us-east-1.amazonaws.com',
     *       port: 8000
     *     });
     *     signer.getAuthToken({
     *       // these options are merged with those defined when creating the signer, overriding in the case of a duplicate option
     *       // credentials are not specified here or when creating the signer, so default credential provider will be used
     *       username: 'test' // overriding username
     *     }, function(err, token) {
     *       if (err) {
     *         // handle error
     *       } else {
     *         // use token
     *       }
     *     });
     *
     */
    getAuthToken: function getAuthToken(options, callback) {
        if (typeof options === 'function' && callback === undefined) {
            callback = options;
            options = {};
        }
        var self = this;
        var hasCallback = typeof callback === 'function';
        // merge options with existing options
        options = AWS.util.merge(this.options, options);
        // validate options
        var optionsValidation = this.validateAuthTokenOptions(options);
        if (optionsValidation !== true) {
            if (hasCallback) {
                return callback(optionsValidation, null);
            }
            throw optionsValidation;
        }

        // 15 minutes
        var expires = 900;
        // create service to generate a request from
        var serviceOptions = {
            region: options.region,
            endpoint: new AWS.Endpoint(options.hostname + ':' + options.port),
            paramValidation: false,
            signatureVersion: 'v4'
        };
        if (options.credentials) {
            serviceOptions.credentials = options.credentials;
        }
        service = new AWS.Service(serviceOptions);
        // ensure the SDK is using sigv4 signing (config is not enough)
        service.api = api;

        var request = service.makeRequest();
        // add listeners to request to properly build auth token
        this.modifyRequestForAuthToken(request, options);

        if (hasCallback) {
            request.presign(expires, function(err, url) {
                if (url) {
                    url = self.convertUrlToAuthToken(url);
                }
                callback(err, url);
            });
        } else {
            var url = request.presign(expires);
            return this.convertUrlToAuthToken(url);
        }
    },

    /**
     * @api private
     * Modifies a request to allow the presigner to generate an auth token.
     */
    modifyRequestForAuthToken: function modifyRequestForAuthToken(request, options) {
        request.on('build', request.buildAsGet);
        var httpRequest = request.httpRequest;
        httpRequest.body = AWS.util.queryParamsToString({
            Action: 'connect',
            DBUser: options.username
        });
    },

    /**
     * @api private
     * Validates that the options passed in contain all the keys with values of the correct type that
     *   are needed to generate an auth token.
     */
    validateAuthTokenOptions: function validateAuthTokenOptions(options) {
        // iterate over all keys in options
        var message = '';
        options = options || {};
        for (var key in requiredAuthTokenOptions) {
            if (!Object.prototype.hasOwnProperty.call(requiredAuthTokenOptions, key)) {
                continue;
            }
            if (typeof options[key] !== requiredAuthTokenOptions[key]) {
                message += 'option \'' + key + '\' should have been type \'' + requiredAuthTokenOptions[key] + '\', was \'' + typeof options[key] + '\'.\n';
            }
        }
        if (message.length) {
            return AWS.util.error(new Error(), {
                code: 'InvalidParameter',
                message: message
            });
        }
        return true;
    }
});


/***/ }),

/***/ 81370:
/***/ ((module) => {

module.exports = {
  //provide realtime clock for performance measurement
  now: function now() {
    var second = process.hrtime();
    return second[0] * 1000 + (second[1] / 1000000);
  }
};


/***/ }),

/***/ 99517:
/***/ ((module) => {

function isFipsRegion(region) {
  return typeof region === 'string' && (region.startsWith('fips-') || region.endsWith('-fips'));
}

function isGlobalRegion(region) {
  return typeof region === 'string' && ['aws-global', 'aws-us-gov-global'].includes(region);
}

function getRealRegion(region) {
  return ['fips-aws-global', 'aws-fips', 'aws-global'].includes(region)
      ? 'us-east-1'
      : ['fips-aws-us-gov-global', 'aws-us-gov-global'].includes(region)
      ? 'us-gov-west-1'
      : region.replace(/fips-(dkr-|prod-)?|-fips/, '');
}

module.exports = {
  isFipsRegion: isFipsRegion,
  isGlobalRegion: isGlobalRegion,
  getRealRegion: getRealRegion
};


/***/ }),

/***/ 18262:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(77985);
var regionConfig = __nccwpck_require__(80738);

function generateRegionPrefix(region) {
  if (!region) return null;
  var parts = region.split('-');
  if (parts.length < 3) return null;
  return parts.slice(0, parts.length - 2).join('-') + '-*';
}

function derivedKeys(service) {
  var region = service.config.region;
  var regionPrefix = generateRegionPrefix(region);
  var endpointPrefix = service.api.endpointPrefix;

  return [
    [region, endpointPrefix],
    [regionPrefix, endpointPrefix],
    [region, '*'],
    [regionPrefix, '*'],
    ['*', endpointPrefix],
    ['*', '*']
  ].map(function(item) {
    return item[0] && item[1] ? item.join('/') : null;
  });
}

function applyConfig(service, config) {
  util.each(config, function(key, value) {
    if (key === 'globalEndpoint') return;
    if (service.config[key] === undefined || service.config[key] === null) {
      service.config[key] = value;
    }
  });
}

function configureEndpoint(service) {
  var keys = derivedKeys(service);
  var useFipsEndpoint = service.config.useFipsEndpoint;
  var useDualstackEndpoint = service.config.useDualstackEndpoint;
  for (var i = 0; i < keys.length; i++) {
    var key = keys[i];
    if (!key) continue;

    var rules = useFipsEndpoint
      ? useDualstackEndpoint
        ? regionConfig.dualstackFipsRules
        : regionConfig.fipsRules
      : useDualstackEndpoint
      ? regionConfig.dualstackRules
      : regionConfig.rules;

    if (Object.prototype.hasOwnProperty.call(rules, key)) {
      var config = rules[key];
      if (typeof config === 'string') {
        config = regionConfig.patterns[config];
      }

      // set global endpoint
      service.isGlobalEndpoint = !!config.globalEndpoint;
      if (config.signingRegion) {
        service.signingRegion = config.signingRegion;
      }

      // signature version
      if (!config.signatureVersion) config.signatureVersion = 'v4';

      // merge config
      applyConfig(service, config);
      return;
    }
  }
}

function getEndpointSuffix(region) {
  var regionRegexes = {
    '^(us|eu|ap|sa|ca|me)\\-\\w+\\-\\d+$': 'amazonaws.com',
    '^cn\\-\\w+\\-\\d+$': 'amazonaws.com.cn',
    '^us\\-gov\\-\\w+\\-\\d+$': 'amazonaws.com',
    '^us\\-iso\\-\\w+\\-\\d+$': 'c2s.ic.gov',
    '^us\\-isob\\-\\w+\\-\\d+$': 'sc2s.sgov.gov'
  };
  var defaultSuffix = 'amazonaws.com';
  var regexes = Object.keys(regionRegexes);
  for (var i = 0; i < regexes.length; i++) {
    var regionPattern = RegExp(regexes[i]);
    var dnsSuffix = regionRegexes[regexes[i]];
    if (regionPattern.test(region)) return dnsSuffix;
  }
  return defaultSuffix;
}

/**
 * @api private
 */
module.exports = {
  configureEndpoint: configureEndpoint,
  getEndpointSuffix: getEndpointSuffix,
};


/***/ }),

/***/ 78652:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var AcceptorStateMachine = __nccwpck_require__(68118);
var inherit = AWS.util.inherit;
var domain = AWS.util.domain;
var jmespath = __nccwpck_require__(87783);

/**
 * @api private
 */
var hardErrorStates = {success: 1, error: 1, complete: 1};

function isTerminalState(machine) {
  return Object.prototype.hasOwnProperty.call(hardErrorStates, machine._asm.currentState);
}

var fsm = new AcceptorStateMachine();
fsm.setupStates = function() {
  var transition = function(_, done) {
    var self = this;
    self._haltHandlersOnError = false;

    self.emit(self._asm.currentState, function(err) {
      if (err) {
        if (isTerminalState(self)) {
          if (domain && self.domain instanceof domain.Domain) {
            err.domainEmitter = self;
            err.domain = self.domain;
            err.domainThrown = false;
            self.domain.emit('error', err);
          } else {
            throw err;
          }
        } else {
          self.response.error = err;
          done(err);
        }
      } else {
        done(self.response.error);
      }
    });

  };

  this.addState('validate', 'build', 'error', transition);
  this.addState('build', 'afterBuild', 'restart', transition);
  this.addState('afterBuild', 'sign', 'restart', transition);
  this.addState('sign', 'send', 'retry', transition);
  this.addState('retry', 'afterRetry', 'afterRetry', transition);
  this.addState('afterRetry', 'sign', 'error', transition);
  this.addState('send', 'validateResponse', 'retry', transition);
  this.addState('validateResponse', 'extractData', 'extractError', transition);
  this.addState('extractError', 'extractData', 'retry', transition);
  this.addState('extractData', 'success', 'retry', transition);
  this.addState('restart', 'build', 'error', transition);
  this.addState('success', 'complete', 'complete', transition);
  this.addState('error', 'complete', 'complete', transition);
  this.addState('complete', null, null, transition);
};
fsm.setupStates();

/**
 * ## Asynchronous Requests
 *
 * All requests made through the SDK are asynchronous and use a
 * callback interface. Each service method that kicks off a request
 * returns an `AWS.Request` object that you can use to register
 * callbacks.
 *
 * For example, the following service method returns the request
 * object as "request", which can be used to register callbacks:
 *
 * ```javascript
 * // request is an AWS.Request object
 * var request = ec2.describeInstances();
 *
 * // register callbacks on request to retrieve response data
 * request.on('success', function(response) {
 *   console.log(response.data);
 * });
 * ```
 *
 * When a request is ready to be sent, the {send} method should
 * be called:
 *
 * ```javascript
 * request.send();
 * ```
 *
 * Since registered callbacks may or may not be idempotent, requests should only
 * be sent once. To perform the same operation multiple times, you will need to
 * create multiple request objects, each with its own registered callbacks.
 *
 * ## Removing Default Listeners for Events
 *
 * Request objects are built with default listeners for the various events,
 * depending on the service type. In some cases, you may want to remove
 * some built-in listeners to customize behaviour. Doing this requires
 * access to the built-in listener functions, which are exposed through
 * the {AWS.EventListeners.Core} namespace. For instance, you may
 * want to customize the HTTP handler used when sending a request. In this
 * case, you can remove the built-in listener associated with the 'send'
 * event, the {AWS.EventListeners.Core.SEND} listener and add your own.
 *
 * ## Multiple Callbacks and Chaining
 *
 * You can register multiple callbacks on any request object. The
 * callbacks can be registered for different events, or all for the
 * same event. In addition, you can chain callback registration, for
 * example:
 *
 * ```javascript
 * request.
 *   on('success', function(response) {
 *     console.log("Success!");
 *   }).
 *   on('error', function(error, response) {
 *     console.log("Error!");
 *   }).
 *   on('complete', function(response) {
 *     console.log("Always!");
 *   }).
 *   send();
 * ```
 *
 * The above example will print either "Success! Always!", or "Error! Always!",
 * depending on whether the request succeeded or not.
 *
 * @!attribute httpRequest
 *   @readonly
 *   @!group HTTP Properties
 *   @return [AWS.HttpRequest] the raw HTTP request object
 *     containing request headers and body information
 *     sent by the service.
 *
 * @!attribute startTime
 *   @readonly
 *   @!group Operation Properties
 *   @return [Date] the time that the request started
 *
 * @!group Request Building Events
 *
 * @!event validate(request)
 *   Triggered when a request is being validated. Listeners
 *   should throw an error if the request should not be sent.
 *   @param request [Request] the request object being sent
 *   @see AWS.EventListeners.Core.VALIDATE_CREDENTIALS
 *   @see AWS.EventListeners.Core.VALIDATE_REGION
 *   @example Ensuring that a certain parameter is set before sending a request
 *     var req = s3.putObject(params);
 *     req.on('validate', function() {
 *       if (!req.params.Body.match(/^Hello\s/)) {
 *         throw new Error('Body must start with "Hello "');
 *       }
 *     });
 *     req.send(function(err, data) { ... });
 *
 * @!event build(request)
 *   Triggered when the request payload is being built. Listeners
 *   should fill the necessary information to send the request
 *   over HTTP.
 *   @param (see AWS.Request~validate)
 *   @example Add a custom HTTP header to a request
 *     var req = s3.putObject(params);
 *     req.on('build', function() {
 *       req.httpRequest.headers['Custom-Header'] = 'value';
 *     });
 *     req.send(function(err, data) { ... });
 *
 * @!event sign(request)
 *   Triggered when the request is being signed. Listeners should
 *   add the correct authentication headers and/or adjust the body,
 *   depending on the authentication mechanism being used.
 *   @param (see AWS.Request~validate)
 *
 * @!group Request Sending Events
 *
 * @!event send(response)
 *   Triggered when the request is ready to be sent. Listeners
 *   should call the underlying transport layer to initiate
 *   the sending of the request.
 *   @param response [Response] the response object
 *   @context [Request] the request object that was sent
 *   @see AWS.EventListeners.Core.SEND
 *
 * @!event retry(response)
 *   Triggered when a request failed and might need to be retried or redirected.
 *   If the response is retryable, the listener should set the
 *   `response.error.retryable` property to `true`, and optionally set
 *   `response.error.retryDelay` to the millisecond delay for the next attempt.
 *   In the case of a redirect, `response.error.redirect` should be set to
 *   `true` with `retryDelay` set to an optional delay on the next request.
 *
 *   If a listener decides that a request should not be retried,
 *   it should set both `retryable` and `redirect` to false.
 *
 *   Note that a retryable error will be retried at most
 *   {AWS.Config.maxRetries} times (based on the service object's config).
 *   Similarly, a request that is redirected will only redirect at most
 *   {AWS.Config.maxRedirects} times.
 *
 *   @param (see AWS.Request~send)
 *   @context (see AWS.Request~send)
 *   @example Adding a custom retry for a 404 response
 *     request.on('retry', function(response) {
 *       // this resource is not yet available, wait 10 seconds to get it again
 *       if (response.httpResponse.statusCode === 404 && response.error) {
 *         response.error.retryable = true;   // retry this error
 *         response.error.retryDelay = 10000; // wait 10 seconds
 *       }
 *     });
 *
 * @!group Data Parsing Events
 *
 * @!event extractError(response)
 *   Triggered on all non-2xx requests so that listeners can extract
 *   error details from the response body. Listeners to this event
 *   should set the `response.error` property.
 *   @param (see AWS.Request~send)
 *   @context (see AWS.Request~send)
 *
 * @!event extractData(response)
 *   Triggered in successful requests to allow listeners to
 *   de-serialize the response body into `response.data`.
 *   @param (see AWS.Request~send)
 *   @context (see AWS.Request~send)
 *
 * @!group Completion Events
 *
 * @!event success(response)
 *   Triggered when the request completed successfully.
 *   `response.data` will contain the response data and
 *   `response.error` will be null.
 *   @param (see AWS.Request~send)
 *   @context (see AWS.Request~send)
 *
 * @!event error(error, response)
 *   Triggered when an error occurs at any point during the
 *   request. `response.error` will contain details about the error
 *   that occurred. `response.data` will be null.
 *   @param error [Error] the error object containing details about
 *     the error that occurred.
 *   @param (see AWS.Request~send)
 *   @context (see AWS.Request~send)
 *
 * @!event complete(response)
 *   Triggered whenever a request cycle completes. `response.error`
 *   should be checked, since the request may have failed.
 *   @param (see AWS.Request~send)
 *   @context (see AWS.Request~send)
 *
 * @!group HTTP Events
 *
 * @!event httpHeaders(statusCode, headers, response, statusMessage)
 *   Triggered when headers are sent by the remote server
 *   @param statusCode [Integer] the HTTP response code
 *   @param headers [map<String,String>] the response headers
 *   @param (see AWS.Request~send)
 *   @param statusMessage [String] A status message corresponding to the HTTP
 *                                 response code
 *   @context (see AWS.Request~send)
 *
 * @!event httpData(chunk, response)
 *   Triggered when data is sent by the remote server
 *   @param chunk [Buffer] the buffer data containing the next data chunk
 *     from the server
 *   @param (see AWS.Request~send)
 *   @context (see AWS.Request~send)
 *   @see AWS.EventListeners.Core.HTTP_DATA
 *
 * @!event httpUploadProgress(progress, response)
 *   Triggered when the HTTP request has uploaded more data
 *   @param progress [map] An object containing the `loaded` and `total` bytes
 *     of the request.
 *   @param (see AWS.Request~send)
 *   @context (see AWS.Request~send)
 *   @note This event will not be emitted in Node.js 0.8.x.
 *
 * @!event httpDownloadProgress(progress, response)
 *   Triggered when the HTTP request has downloaded more data
 *   @param progress [map] An object containing the `loaded` and `total` bytes
 *     of the request.
 *   @param (see AWS.Request~send)
 *   @context (see AWS.Request~send)
 *   @note This event will not be emitted in Node.js 0.8.x.
 *
 * @!event httpError(error, response)
 *   Triggered when the HTTP request failed
 *   @param error [Error] the error object that was thrown
 *   @param (see AWS.Request~send)
 *   @context (see AWS.Request~send)
 *
 * @!event httpDone(response)
 *   Triggered when the server is finished sending data
 *   @param (see AWS.Request~send)
 *   @context (see AWS.Request~send)
 *
 * @see AWS.Response
 */
AWS.Request = inherit({

  /**
   * Creates a request for an operation on a given service with
   * a set of input parameters.
   *
   * @param service [AWS.Service] the service to perform the operation on
   * @param operation [String] the operation to perform on the service
   * @param params [Object] parameters to send to the operation.
   *   See the operation's documentation for the format of the
   *   parameters.
   */
  constructor: function Request(service, operation, params) {
    var endpoint = service.endpoint;
    var region = service.config.region;
    var customUserAgent = service.config.customUserAgent;

    if (service.signingRegion) {
      region = service.signingRegion;
    } else if (service.isGlobalEndpoint) {
      region = 'us-east-1';
    }

    this.domain = domain && domain.active;
    this.service = service;
    this.operation = operation;
    this.params = params || {};
    this.httpRequest = new AWS.HttpRequest(endpoint, region);
    this.httpRequest.appendToUserAgent(customUserAgent);
    this.startTime = service.getSkewCorrectedDate();

    this.response = new AWS.Response(this);
    this._asm = new AcceptorStateMachine(fsm.states, 'validate');
    this._haltHandlersOnError = false;

    AWS.SequentialExecutor.call(this);
    this.emit = this.emitEvent;
  },

  /**
   * @!group Sending a Request
   */

  /**
   * @overload send(callback = null)
   *   Sends the request object.
   *
   *   @callback callback function(err, data)
   *     If a callback is supplied, it is called when a response is returned
   *     from the service.
   *     @context [AWS.Request] the request object being sent.
   *     @param err [Error] the error object returned from the request.
   *       Set to `null` if the request is successful.
   *     @param data [Object] the de-serialized data returned from
   *       the request. Set to `null` if a request error occurs.
   *   @example Sending a request with a callback
   *     request = s3.putObject({Bucket: 'bucket', Key: 'key'});
   *     request.send(function(err, data) { console.log(err, data); });
   *   @example Sending a request with no callback (using event handlers)
   *     request = s3.putObject({Bucket: 'bucket', Key: 'key'});
   *     request.on('complete', function(response) { ... }); // register a callback
   *     request.send();
   */
  send: function send(callback) {
    if (callback) {
      // append to user agent
      this.httpRequest.appendToUserAgent('callback');
      this.on('complete', function (resp) {
        callback.call(resp, resp.error, resp.data);
      });
    }
    this.runTo();

    return this.response;
  },

  /**
   * @!method  promise()
   *   Sends the request and returns a 'thenable' promise.
   *
   *   Two callbacks can be provided to the `then` method on the returned promise.
   *   The first callback will be called if the promise is fulfilled, and the second
   *   callback will be called if the promise is rejected.
   *   @callback fulfilledCallback function(data)
   *     Called if the promise is fulfilled.
   *     @param data [Object] the de-serialized data returned from the request.
   *   @callback rejectedCallback function(error)
   *     Called if the promise is rejected.
   *     @param error [Error] the error object returned from the request.
   *   @return [Promise] A promise that represents the state of the request.
   *   @example Sending a request using promises.
   *     var request = s3.putObject({Bucket: 'bucket', Key: 'key'});
   *     var result = request.promise();
   *     result.then(function(data) { ... }, function(error) { ... });
   */

  /**
   * @api private
   */
  build: function build(callback) {
    return this.runTo('send', callback);
  },

  /**
   * @api private
   */
  runTo: function runTo(state, done) {
    this._asm.runTo(state, done, this);
    return this;
  },

  /**
   * Aborts a request, emitting the error and complete events.
   *
   * @!macro nobrowser
   * @example Aborting a request after sending
   *   var params = {
   *     Bucket: 'bucket', Key: 'key',
   *     Body: Buffer.alloc(1024 * 1024 * 5) // 5MB payload
   *   };
   *   var request = s3.putObject(params);
   *   request.send(function (err, data) {
   *     if (err) console.log("Error:", err.code, err.message);
   *     else console.log(data);
   *   });
   *
   *   // abort request in 1 second
   *   setTimeout(request.abort.bind(request), 1000);
   *
   *   // prints "Error: RequestAbortedError Request aborted by user"
   * @return [AWS.Request] the same request object, for chaining.
   * @since v1.4.0
   */
  abort: function abort() {
    this.removeAllListeners('validateResponse');
    this.removeAllListeners('extractError');
    this.on('validateResponse', function addAbortedError(resp) {
      resp.error = AWS.util.error(new Error('Request aborted by user'), {
         code: 'RequestAbortedError', retryable: false
      });
    });

    if (this.httpRequest.stream && !this.httpRequest.stream.didCallback) { // abort HTTP stream
      this.httpRequest.stream.abort();
      if (this.httpRequest._abortCallback) {
         this.httpRequest._abortCallback();
      } else {
        this.removeAllListeners('send'); // haven't sent yet, so let's not
      }
    }

    return this;
  },

  /**
   * Iterates over each page of results given a pageable request, calling
   * the provided callback with each page of data. After all pages have been
   * retrieved, the callback is called with `null` data.
   *
   * @note This operation can generate multiple requests to a service.
   * @example Iterating over multiple pages of objects in an S3 bucket
   *   var pages = 1;
   *   s3.listObjects().eachPage(function(err, data) {
   *     if (err) return;
   *     console.log("Page", pages++);
   *     console.log(data);
   *   });
   * @example Iterating over multiple pages with an asynchronous callback
   *   s3.listObjects(params).eachPage(function(err, data, done) {
   *     doSomethingAsyncAndOrExpensive(function() {
   *       // The next page of results isn't fetched until done is called
   *       done();
   *     });
   *   });
   * @callback callback function(err, data, [doneCallback])
   *   Called with each page of resulting data from the request. If the
   *   optional `doneCallback` is provided in the function, it must be called
   *   when the callback is complete.
   *
   *   @param err [Error] an error object, if an error occurred.
   *   @param data [Object] a single page of response data. If there is no
   *     more data, this object will be `null`.
   *   @param doneCallback [Function] an optional done callback. If this
   *     argument is defined in the function declaration, it should be called
   *     when the next page is ready to be retrieved. This is useful for
   *     controlling serial pagination across asynchronous operations.
   *   @return [Boolean] if the callback returns `false`, pagination will
   *     stop.
   *
   * @see AWS.Request.eachItem
   * @see AWS.Response.nextPage
   * @since v1.4.0
   */
  eachPage: function eachPage(callback) {
    // Make all callbacks async-ish
    callback = AWS.util.fn.makeAsync(callback, 3);

    function wrappedCallback(response) {
      callback.call(response, response.error, response.data, function (result) {
        if (result === false) return;

        if (response.hasNextPage()) {
          response.nextPage().on('complete', wrappedCallback).send();
        } else {
          callback.call(response, null, null, AWS.util.fn.noop);
        }
      });
    }

    this.on('complete', wrappedCallback).send();
  },

  /**
   * Enumerates over individual items of a request, paging the responses if
   * necessary.
   *
   * @api experimental
   * @since v1.4.0
   */
  eachItem: function eachItem(callback) {
    var self = this;
    function wrappedCallback(err, data) {
      if (err) return callback(err, null);
      if (data === null) return callback(null, null);

      var config = self.service.paginationConfig(self.operation);
      var resultKey = config.resultKey;
      if (Array.isArray(resultKey)) resultKey = resultKey[0];
      var items = jmespath.search(data, resultKey);
      var continueIteration = true;
      AWS.util.arrayEach(items, function(item) {
        continueIteration = callback(null, item);
        if (continueIteration === false) {
          return AWS.util.abort;
        }
      });
      return continueIteration;
    }

    this.eachPage(wrappedCallback);
  },

  /**
   * @return [Boolean] whether the operation can return multiple pages of
   *   response data.
   * @see AWS.Response.eachPage
   * @since v1.4.0
   */
  isPageable: function isPageable() {
    return this.service.paginationConfig(this.operation) ? true : false;
  },

  /**
   * Sends the request and converts the request object into a readable stream
   * that can be read from or piped into a writable stream.
   *
   * @note The data read from a readable stream contains only
   *   the raw HTTP body contents.
   * @example Manually reading from a stream
   *   request.createReadStream().on('data', function(data) {
   *     console.log("Got data:", data.toString());
   *   });
   * @example Piping a request body into a file
   *   var out = fs.createWriteStream('/path/to/outfile.jpg');
   *   s3.service.getObject(params).createReadStream().pipe(out);
   * @return [Stream] the readable stream object that can be piped
   *   or read from (by registering 'data' event listeners).
   * @!macro nobrowser
   */
  createReadStream: function createReadStream() {
    var streams = AWS.util.stream;
    var req = this;
    var stream = null;

    if (AWS.HttpClient.streamsApiVersion === 2) {
      stream = new streams.PassThrough();
      process.nextTick(function() { req.send(); });
    } else {
      stream = new streams.Stream();
      stream.readable = true;

      stream.sent = false;
      stream.on('newListener', function(event) {
        if (!stream.sent && event === 'data') {
          stream.sent = true;
          process.nextTick(function() { req.send(); });
        }
      });
    }

    this.on('error', function(err) {
      stream.emit('error', err);
    });

    this.on('httpHeaders', function streamHeaders(statusCode, headers, resp) {
      if (statusCode < 300) {
        req.removeListener('httpData', AWS.EventListeners.Core.HTTP_DATA);
        req.removeListener('httpError', AWS.EventListeners.Core.HTTP_ERROR);
        req.on('httpError', function streamHttpError(error) {
          resp.error = error;
          resp.error.retryable = false;
        });

        var shouldCheckContentLength = false;
        var expectedLen;
        if (req.httpRequest.method !== 'HEAD') {
          expectedLen = parseInt(headers['content-length'], 10);
        }
        if (expectedLen !== undefined && !isNaN(expectedLen) && expectedLen >= 0) {
          shouldCheckContentLength = true;
          var receivedLen = 0;
        }

        var checkContentLengthAndEmit = function checkContentLengthAndEmit() {
          if (shouldCheckContentLength && receivedLen !== expectedLen) {
            stream.emit('error', AWS.util.error(
              new Error('Stream content length mismatch. Received ' +
                receivedLen + ' of ' + expectedLen + ' bytes.'),
              { code: 'StreamContentLengthMismatch' }
            ));
          } else if (AWS.HttpClient.streamsApiVersion === 2) {
            stream.end();
          } else {
            stream.emit('end');
          }
        };

        var httpStream = resp.httpResponse.createUnbufferedStream();

        if (AWS.HttpClient.streamsApiVersion === 2) {
          if (shouldCheckContentLength) {
            var lengthAccumulator = new streams.PassThrough();
            lengthAccumulator._write = function(chunk) {
              if (chunk && chunk.length) {
                receivedLen += chunk.length;
              }
              return streams.PassThrough.prototype._write.apply(this, arguments);
            };

            lengthAccumulator.on('end', checkContentLengthAndEmit);
            stream.on('error', function(err) {
              shouldCheckContentLength = false;
              httpStream.unpipe(lengthAccumulator);
              lengthAccumulator.emit('end');
              lengthAccumulator.end();
            });
            httpStream.pipe(lengthAccumulator).pipe(stream, { end: false });
          } else {
            httpStream.pipe(stream);
          }
        } else {

          if (shouldCheckContentLength) {
            httpStream.on('data', function(arg) {
              if (arg && arg.length) {
                receivedLen += arg.length;
              }
            });
          }

          httpStream.on('data', function(arg) {
            stream.emit('data', arg);
          });
          httpStream.on('end', checkContentLengthAndEmit);
        }

        httpStream.on('error', function(err) {
          shouldCheckContentLength = false;
          stream.emit('error', err);
        });
      }
    });

    return stream;
  },

  /**
   * @param [Array,Response] args This should be the response object,
   *   or an array of args to send to the event.
   * @api private
   */
  emitEvent: function emit(eventName, args, done) {
    if (typeof args === 'function') { done = args; args = null; }
    if (!done) done = function() { };
    if (!args) args = this.eventParameters(eventName, this.response);

    var origEmit = AWS.SequentialExecutor.prototype.emit;
    origEmit.call(this, eventName, args, function (err) {
      if (err) this.response.error = err;
      done.call(this, err);
    });
  },

  /**
   * @api private
   */
  eventParameters: function eventParameters(eventName) {
    switch (eventName) {
      case 'restart':
      case 'validate':
      case 'sign':
      case 'build':
      case 'afterValidate':
      case 'afterBuild':
        return [this];
      case 'error':
        return [this.response.error, this.response];
      default:
        return [this.response];
    }
  },

  /**
   * @api private
   */
  presign: function presign(expires, callback) {
    if (!callback && typeof expires === 'function') {
      callback = expires;
      expires = null;
    }
    return new AWS.Signers.Presign().sign(this.toGet(), expires, callback);
  },

  /**
   * @api private
   */
  isPresigned: function isPresigned() {
    return Object.prototype.hasOwnProperty.call(this.httpRequest.headers, 'presigned-expires');
  },

  /**
   * @api private
   */
  toUnauthenticated: function toUnauthenticated() {
    this._unAuthenticated = true;
    this.removeListener('validate', AWS.EventListeners.Core.VALIDATE_CREDENTIALS);
    this.removeListener('sign', AWS.EventListeners.Core.SIGN);
    return this;
  },

  /**
   * @api private
   */
  toGet: function toGet() {
    if (this.service.api.protocol === 'query' ||
        this.service.api.protocol === 'ec2') {
      this.removeListener('build', this.buildAsGet);
      this.addListener('build', this.buildAsGet);
    }
    return this;
  },

  /**
   * @api private
   */
  buildAsGet: function buildAsGet(request) {
    request.httpRequest.method = 'GET';
    request.httpRequest.path = request.service.endpoint.path +
                               '?' + request.httpRequest.body;
    request.httpRequest.body = '';

    // don't need these headers on a GET request
    delete request.httpRequest.headers['Content-Length'];
    delete request.httpRequest.headers['Content-Type'];
  },

  /**
   * @api private
   */
  haltHandlersOnError: function haltHandlersOnError() {
    this._haltHandlersOnError = true;
  }
});

/**
 * @api private
 */
AWS.Request.addPromisesToClass = function addPromisesToClass(PromiseDependency) {
  this.prototype.promise = function promise() {
    var self = this;
    // append to user agent
    this.httpRequest.appendToUserAgent('promise');
    return new PromiseDependency(function(resolve, reject) {
      self.on('complete', function(resp) {
        if (resp.error) {
          reject(resp.error);
        } else {
          // define $response property so that it is not enumerable
          // this prevents circular reference errors when stringifying the JSON object
          resolve(Object.defineProperty(
            resp.data || {},
            '$response',
            {value: resp}
          ));
        }
      });
      self.runTo();
    });
  };
};

/**
 * @api private
 */
AWS.Request.deletePromisesFromClass = function deletePromisesFromClass() {
  delete this.prototype.promise;
};

AWS.util.addPromises(AWS.Request);

AWS.util.mixin(AWS.Request, AWS.SequentialExecutor);


/***/ }),

/***/ 7246:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

/**
 * Copyright 2012-2013 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"). You
 * may not use this file except in compliance with the License. A copy of
 * the License is located at
 *
 *     http://aws.amazon.com/apache2.0/
 *
 * or in the "license" file accompanying this file. This file is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
 * ANY KIND, either express or implied. See the License for the specific
 * language governing permissions and limitations under the License.
 */

var AWS = __nccwpck_require__(28437);
var inherit = AWS.util.inherit;
var jmespath = __nccwpck_require__(87783);

/**
 * @api private
 */
function CHECK_ACCEPTORS(resp) {
  var waiter = resp.request._waiter;
  var acceptors = waiter.config.acceptors;
  var acceptorMatched = false;
  var state = 'retry';

  acceptors.forEach(function(acceptor) {
    if (!acceptorMatched) {
      var matcher = waiter.matchers[acceptor.matcher];
      if (matcher && matcher(resp, acceptor.expected, acceptor.argument)) {
        acceptorMatched = true;
        state = acceptor.state;
      }
    }
  });

  if (!acceptorMatched && resp.error) state = 'failure';

  if (state === 'success') {
    waiter.setSuccess(resp);
  } else {
    waiter.setError(resp, state === 'retry');
  }
}

/**
 * @api private
 */
AWS.ResourceWaiter = inherit({
  /**
   * Waits for a given state on a service object
   * @param service [Service] the service object to wait on
   * @param state [String] the state (defined in waiter configuration) to wait
   *   for.
   * @example Create a waiter for running EC2 instances
   *   var ec2 = new AWS.EC2;
   *   var waiter = new AWS.ResourceWaiter(ec2, 'instanceRunning');
   */
  constructor: function constructor(service, state) {
    this.service = service;
    this.state = state;
    this.loadWaiterConfig(this.state);
  },

  service: null,

  state: null,

  config: null,

  matchers: {
    path: function(resp, expected, argument) {
      try {
        var result = jmespath.search(resp.data, argument);
      } catch (err) {
        return false;
      }

      return jmespath.strictDeepEqual(result,expected);
    },

    pathAll: function(resp, expected, argument) {
      try {
        var results = jmespath.search(resp.data, argument);
      } catch (err) {
        return false;
      }

      if (!Array.isArray(results)) results = [results];
      var numResults = results.length;
      if (!numResults) return false;
      for (var ind = 0 ; ind < numResults; ind++) {
        if (!jmespath.strictDeepEqual(results[ind], expected)) {
          return false;
        }
      }
      return true;
    },

    pathAny: function(resp, expected, argument) {
      try {
        var results = jmespath.search(resp.data, argument);
      } catch (err) {
        return false;
      }

      if (!Array.isArray(results)) results = [results];
      var numResults = results.length;
      for (var ind = 0 ; ind < numResults; ind++) {
        if (jmespath.strictDeepEqual(results[ind], expected)) {
          return true;
        }
      }
      return false;
    },

    status: function(resp, expected) {
      var statusCode = resp.httpResponse.statusCode;
      return (typeof statusCode === 'number') && (statusCode === expected);
    },

    error: function(resp, expected) {
      if (typeof expected === 'string' && resp.error) {
        return expected === resp.error.code;
      }
      // if expected is not string, can be boolean indicating presence of error
      return expected === !!resp.error;
    }
  },

  listeners: new AWS.SequentialExecutor().addNamedListeners(function(add) {
    add('RETRY_CHECK', 'retry', function(resp) {
      var waiter = resp.request._waiter;
      if (resp.error && resp.error.code === 'ResourceNotReady') {
        resp.error.retryDelay = (waiter.config.delay || 0) * 1000;
      }
    });

    add('CHECK_OUTPUT', 'extractData', CHECK_ACCEPTORS);

    add('CHECK_ERROR', 'extractError', CHECK_ACCEPTORS);
  }),

  /**
   * @return [AWS.Request]
   */
  wait: function wait(params, callback) {
    if (typeof params === 'function') {
      callback = params; params = undefined;
    }

    if (params && params.$waiter) {
      params = AWS.util.copy(params);
      if (typeof params.$waiter.delay === 'number') {
        this.config.delay = params.$waiter.delay;
      }
      if (typeof params.$waiter.maxAttempts === 'number') {
        this.config.maxAttempts = params.$waiter.maxAttempts;
      }
      delete params.$waiter;
    }

    var request = this.service.makeRequest(this.config.operation, params);
    request._waiter = this;
    request.response.maxRetries = this.config.maxAttempts;
    request.addListeners(this.listeners);

    if (callback) request.send(callback);
    return request;
  },

  setSuccess: function setSuccess(resp) {
    resp.error = null;
    resp.data = resp.data || {};
    resp.request.removeAllListeners('extractData');
  },

  setError: function setError(resp, retryable) {
    resp.data = null;
    resp.error = AWS.util.error(resp.error || new Error(), {
      code: 'ResourceNotReady',
      message: 'Resource is not in the state ' + this.state,
      retryable: retryable
    });
  },

  /**
   * Loads waiter configuration from API configuration
   *
   * @api private
   */
  loadWaiterConfig: function loadWaiterConfig(state) {
    if (!this.service.api.waiters[state]) {
      throw new AWS.util.error(new Error(), {
        code: 'StateNotFoundError',
        message: 'State ' + state + ' not found.'
      });
    }

    this.config = AWS.util.copy(this.service.api.waiters[state]);
  }
});


/***/ }),

/***/ 58743:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var inherit = AWS.util.inherit;
var jmespath = __nccwpck_require__(87783);

/**
 * This class encapsulates the response information
 * from a service request operation sent through {AWS.Request}.
 * The response object has two main properties for getting information
 * back from a request:
 *
 * ## The `data` property
 *
 * The `response.data` property contains the serialized object data
 * retrieved from the service request. For instance, for an
 * Amazon DynamoDB `listTables` method call, the response data might
 * look like:
 *
 * ```
 * > resp.data
 * { TableNames:
 *    [ 'table1', 'table2', ... ] }
 * ```
 *
 * The `data` property can be null if an error occurs (see below).
 *
 * ## The `error` property
 *
 * In the event of a service error (or transfer error), the
 * `response.error` property will be filled with the given
 * error data in the form:
 *
 * ```
 * { code: 'SHORT_UNIQUE_ERROR_CODE',
 *   message: 'Some human readable error message' }
 * ```
 *
 * In the case of an error, the `data` property will be `null`.
 * Note that if you handle events that can be in a failure state,
 * you should always check whether `response.error` is set
 * before attempting to access the `response.data` property.
 *
 * @!attribute data
 *   @readonly
 *   @!group Data Properties
 *   @note Inside of a {AWS.Request~httpData} event, this
 *     property contains a single raw packet instead of the
 *     full de-serialized service response.
 *   @return [Object] the de-serialized response data
 *     from the service.
 *
 * @!attribute error
 *   An structure containing information about a service
 *   or networking error.
 *   @readonly
 *   @!group Data Properties
 *   @note This attribute is only filled if a service or
 *     networking error occurs.
 *   @return [Error]
 *     * code [String] a unique short code representing the
 *       error that was emitted.
 *     * message [String] a longer human readable error message
 *     * retryable [Boolean] whether the error message is
 *       retryable.
 *     * statusCode [Numeric] in the case of a request that reached the service,
 *       this value contains the response status code.
 *     * time [Date] the date time object when the error occurred.
 *     * hostname [String] set when a networking error occurs to easily
 *       identify the endpoint of the request.
 *     * region [String] set when a networking error occurs to easily
 *       identify the region of the request.
 *
 * @!attribute requestId
 *   @readonly
 *   @!group Data Properties
 *   @return [String] the unique request ID associated with the response.
 *     Log this value when debugging requests for AWS support.
 *
 * @!attribute retryCount
 *   @readonly
 *   @!group Operation Properties
 *   @return [Integer] the number of retries that were
 *     attempted before the request was completed.
 *
 * @!attribute redirectCount
 *   @readonly
 *   @!group Operation Properties
 *   @return [Integer] the number of redirects that were
 *     followed before the request was completed.
 *
 * @!attribute httpResponse
 *   @readonly
 *   @!group HTTP Properties
 *   @return [AWS.HttpResponse] the raw HTTP response object
 *     containing the response headers and body information
 *     from the server.
 *
 * @see AWS.Request
 */
AWS.Response = inherit({

  /**
   * @api private
   */
  constructor: function Response(request) {
    this.request = request;
    this.data = null;
    this.error = null;
    this.retryCount = 0;
    this.redirectCount = 0;
    this.httpResponse = new AWS.HttpResponse();
    if (request) {
      this.maxRetries = request.service.numRetries();
      this.maxRedirects = request.service.config.maxRedirects;
    }
  },

  /**
   * Creates a new request for the next page of response data, calling the
   * callback with the page data if a callback is provided.
   *
   * @callback callback function(err, data)
   *   Called when a page of data is returned from the next request.
   *
   *   @param err [Error] an error object, if an error occurred in the request
   *   @param data [Object] the next page of data, or null, if there are no
   *     more pages left.
   * @return [AWS.Request] the request object for the next page of data
   * @return [null] if no callback is provided and there are no pages left
   *   to retrieve.
   * @since v1.4.0
   */
  nextPage: function nextPage(callback) {
    var config;
    var service = this.request.service;
    var operation = this.request.operation;
    try {
      config = service.paginationConfig(operation, true);
    } catch (e) { this.error = e; }

    if (!this.hasNextPage()) {
      if (callback) callback(this.error, null);
      else if (this.error) throw this.error;
      return null;
    }

    var params = AWS.util.copy(this.request.params);
    if (!this.nextPageTokens) {
      return callback ? callback(null, null) : null;
    } else {
      var inputTokens = config.inputToken;
      if (typeof inputTokens === 'string') inputTokens = [inputTokens];
      for (var i = 0; i < inputTokens.length; i++) {
        params[inputTokens[i]] = this.nextPageTokens[i];
      }
      return service.makeRequest(this.request.operation, params, callback);
    }
  },

  /**
   * @return [Boolean] whether more pages of data can be returned by further
   *   requests
   * @since v1.4.0
   */
  hasNextPage: function hasNextPage() {
    this.cacheNextPageTokens();
    if (this.nextPageTokens) return true;
    if (this.nextPageTokens === undefined) return undefined;
    else return false;
  },

  /**
   * @api private
   */
  cacheNextPageTokens: function cacheNextPageTokens() {
    if (Object.prototype.hasOwnProperty.call(this, 'nextPageTokens')) return this.nextPageTokens;
    this.nextPageTokens = undefined;

    var config = this.request.service.paginationConfig(this.request.operation);
    if (!config) return this.nextPageTokens;

    this.nextPageTokens = null;
    if (config.moreResults) {
      if (!jmespath.search(this.data, config.moreResults)) {
        return this.nextPageTokens;
      }
    }

    var exprs = config.outputToken;
    if (typeof exprs === 'string') exprs = [exprs];
    AWS.util.arrayEach.call(this, exprs, function (expr) {
      var output = jmespath.search(this.data, expr);
      if (output) {
        this.nextPageTokens = this.nextPageTokens || [];
        this.nextPageTokens.push(output);
      }
    });

    return this.nextPageTokens;
  }

});


/***/ }),

/***/ 81600:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var byteLength = AWS.util.string.byteLength;
var Buffer = AWS.util.Buffer;

/**
 * The managed uploader allows for easy and efficient uploading of buffers,
 * blobs, or streams, using a configurable amount of concurrency to perform
 * multipart uploads where possible. This abstraction also enables uploading
 * streams of unknown size due to the use of multipart uploads.
 *
 * To construct a managed upload object, see the {constructor} function.
 *
 * ## Tracking upload progress
 *
 * The managed upload object can also track progress by attaching an
 * 'httpUploadProgress' listener to the upload manager. This event is similar
 * to {AWS.Request~httpUploadProgress} but groups all concurrent upload progress
 * into a single event. See {AWS.S3.ManagedUpload~httpUploadProgress} for more
 * information.
 *
 * ## Handling Multipart Cleanup
 *
 * By default, this class will automatically clean up any multipart uploads
 * when an individual part upload fails. This behavior can be disabled in order
 * to manually handle failures by setting the `leavePartsOnError` configuration
 * option to `true` when initializing the upload object.
 *
 * @!event httpUploadProgress(progress)
 *   Triggered when the uploader has uploaded more data.
 *   @note The `total` property may not be set if the stream being uploaded has
 *     not yet finished chunking. In this case the `total` will be undefined
 *     until the total stream size is known.
 *   @note This event will not be emitted in Node.js 0.8.x.
 *   @param progress [map] An object containing the `loaded` and `total` bytes
 *     of the request and the `key` of the S3 object. Note that `total` may be undefined until the payload
 *     size is known.
 *   @context (see AWS.Request~send)
 */
AWS.S3.ManagedUpload = AWS.util.inherit({
  /**
   * Creates a managed upload object with a set of configuration options.
   *
   * @note A "Body" parameter is required to be set prior to calling {send}.
   * @note In Node.js, sending "Body" as {https://nodejs.org/dist/latest/docs/api/stream.html#stream_object_mode object-mode stream}
   *   may result in upload hangs. Using buffer stream is preferable.
   * @option options params [map] a map of parameters to pass to the upload
   *   requests. The "Body" parameter is required to be specified either on
   *   the service or in the params option.
   * @note ContentMD5 should not be provided when using the managed upload object.
   *   Instead, setting "computeChecksums" to true will enable automatic ContentMD5 generation
   *   by the managed upload object.
   * @option options queueSize [Number] (4) the size of the concurrent queue
   *   manager to upload parts in parallel. Set to 1 for synchronous uploading
   *   of parts. Note that the uploader will buffer at most queueSize * partSize
   *   bytes into memory at any given time.
   * @option options partSize [Number] (5mb) the size in bytes for each
   *   individual part to be uploaded. Adjust the part size to ensure the number
   *   of parts does not exceed {maxTotalParts}. See {minPartSize} for the
   *   minimum allowed part size.
   * @option options leavePartsOnError [Boolean] (false) whether to abort the
   *   multipart upload if an error occurs. Set to true if you want to handle
   *   failures manually.
   * @option options service [AWS.S3] an optional S3 service object to use for
   *   requests. This object might have bound parameters used by the uploader.
   * @option options tags [Array<map>] The tags to apply to the uploaded object.
   *   Each tag should have a `Key` and `Value` keys.
   * @example Creating a default uploader for a stream object
   *   var upload = new AWS.S3.ManagedUpload({
   *     params: {Bucket: 'bucket', Key: 'key', Body: stream}
   *   });
   * @example Creating an uploader with concurrency of 1 and partSize of 10mb
   *   var upload = new AWS.S3.ManagedUpload({
   *     partSize: 10 * 1024 * 1024, queueSize: 1,
   *     params: {Bucket: 'bucket', Key: 'key', Body: stream}
   *   });
   * @example Creating an uploader with tags
   *   var upload = new AWS.S3.ManagedUpload({
   *     params: {Bucket: 'bucket', Key: 'key', Body: stream},
   *     tags: [{Key: 'tag1', Value: 'value1'}, {Key: 'tag2', Value: 'value2'}]
   *   });
   * @see send
   */
  constructor: function ManagedUpload(options) {
    var self = this;
    AWS.SequentialExecutor.call(self);
    self.body = null;
    self.sliceFn = null;
    self.callback = null;
    self.parts = {};
    self.completeInfo = [];
    self.fillQueue = function() {
      self.callback(new Error('Unsupported body payload ' + typeof self.body));
    };

    self.configure(options);
  },

  /**
   * @api private
   */
  configure: function configure(options) {
    options = options || {};
    this.partSize = this.minPartSize;

    if (options.queueSize) this.queueSize = options.queueSize;
    if (options.partSize) this.partSize = options.partSize;
    if (options.leavePartsOnError) this.leavePartsOnError = true;
    if (options.tags) {
      if (!Array.isArray(options.tags)) {
        throw new Error('Tags must be specified as an array; ' +
          typeof options.tags + ' provided.');
      }
      this.tags = options.tags;
    }

    if (this.partSize < this.minPartSize) {
      throw new Error('partSize must be greater than ' +
                      this.minPartSize);
    }

    this.service = options.service;
    this.bindServiceObject(options.params);
    this.validateBody();
    this.adjustTotalBytes();
  },

  /**
   * @api private
   */
  leavePartsOnError: false,

  /**
   * @api private
   */
  queueSize: 4,

  /**
   * @api private
   */
  partSize: null,

  /**
   * @readonly
   * @return [Number] the minimum number of bytes for an individual part
   *   upload.
   */
  minPartSize: 1024 * 1024 * 5,

  /**
   * @readonly
   * @return [Number] the maximum allowed number of parts in a multipart upload.
   */
  maxTotalParts: 10000,

  /**
   * Initiates the managed upload for the payload.
   *
   * @callback callback function(err, data)
   *   @param err [Error] an error or null if no error occurred.
   *   @param data [map] The response data from the successful upload:
   *     * `Location` (String) the URL of the uploaded object
   *     * `ETag` (String) the ETag of the uploaded object
   *     * `Bucket` (String) the bucket to which the object was uploaded
   *     * `Key` (String) the key to which the object was uploaded
   * @example Sending a managed upload object
   *   var params = {Bucket: 'bucket', Key: 'key', Body: stream};
   *   var upload = new AWS.S3.ManagedUpload({params: params});
   *   upload.send(function(err, data) {
   *     console.log(err, data);
   *   });
   */
  send: function(callback) {
    var self = this;
    self.failed = false;
    self.callback = callback || function(err) { if (err) throw err; };

    var runFill = true;
    if (self.sliceFn) {
      self.fillQueue = self.fillBuffer;
    } else if (AWS.util.isNode()) {
      var Stream = AWS.util.stream.Stream;
      if (self.body instanceof Stream) {
        runFill = false;
        self.fillQueue = self.fillStream;
        self.partBuffers = [];
        self.body.
          on('error', function(err) { self.cleanup(err); }).
          on('readable', function() { self.fillQueue(); }).
          on('end', function() {
            self.isDoneChunking = true;
            self.numParts = self.totalPartNumbers;
            self.fillQueue.call(self);

            if (self.isDoneChunking && self.totalPartNumbers >= 1 && self.doneParts === self.numParts) {
              self.finishMultiPart();
            }
          });
      }
    }

    if (runFill) self.fillQueue.call(self);
  },

  /**
   * @!method  promise()
   *   Returns a 'thenable' promise.
   *
   *   Two callbacks can be provided to the `then` method on the returned promise.
   *   The first callback will be called if the promise is fulfilled, and the second
   *   callback will be called if the promise is rejected.
   *   @callback fulfilledCallback function(data)
   *     Called if the promise is fulfilled.
   *     @param data [map] The response data from the successful upload:
   *       `Location` (String) the URL of the uploaded object
   *       `ETag` (String) the ETag of the uploaded object
   *       `Bucket` (String) the bucket to which the object was uploaded
   *       `Key` (String) the key to which the object was uploaded
   *   @callback rejectedCallback function(err)
   *     Called if the promise is rejected.
   *     @param err [Error] an error or null if no error occurred.
   *   @return [Promise] A promise that represents the state of the upload request.
   *   @example Sending an upload request using promises.
   *     var upload = s3.upload({Bucket: 'bucket', Key: 'key', Body: stream});
   *     var promise = upload.promise();
   *     promise.then(function(data) { ... }, function(err) { ... });
   */

  /**
   * Aborts a managed upload, including all concurrent upload requests.
   * @note By default, calling this function will cleanup a multipart upload
   *   if one was created. To leave the multipart upload around after aborting
   *   a request, configure `leavePartsOnError` to `true` in the {constructor}.
   * @note Calling {abort} in the browser environment will not abort any requests
   *   that are already in flight. If a multipart upload was created, any parts
   *   not yet uploaded will not be sent, and the multipart upload will be cleaned up.
   * @example Aborting an upload
   *   var params = {
   *     Bucket: 'bucket', Key: 'key',
   *     Body: Buffer.alloc(1024 * 1024 * 25) // 25MB payload
   *   };
   *   var upload = s3.upload(params);
   *   upload.send(function (err, data) {
   *     if (err) console.log("Error:", err.code, err.message);
   *     else console.log(data);
   *   });
   *
   *   // abort request in 1 second
   *   setTimeout(upload.abort.bind(upload), 1000);
   */
  abort: function() {
    var self = this;
    //abort putObject request
    if (self.isDoneChunking === true && self.totalPartNumbers === 1 && self.singlePart) {
      self.singlePart.abort();
    } else {
      self.cleanup(AWS.util.error(new Error('Request aborted by user'), {
        code: 'RequestAbortedError', retryable: false
      }));
    }
  },

  /**
   * @api private
   */
  validateBody: function validateBody() {
    var self = this;
    self.body = self.service.config.params.Body;
    if (typeof self.body === 'string') {
      self.body = AWS.util.buffer.toBuffer(self.body);
    } else if (!self.body) {
      throw new Error('params.Body is required');
    }
    self.sliceFn = AWS.util.arraySliceFn(self.body);
  },

  /**
   * @api private
   */
  bindServiceObject: function bindServiceObject(params) {
    params = params || {};
    var self = this;
    // bind parameters to new service object
    if (!self.service) {
      self.service = new AWS.S3({params: params});
    } else {
      // Create a new S3 client from the supplied client's constructor.
      var service = self.service;
      var config = AWS.util.copy(service.config);
      config.signatureVersion = service.getSignatureVersion();
      self.service = new service.constructor.__super__(config);
      self.service.config.params =
        AWS.util.merge(self.service.config.params || {}, params);
      Object.defineProperty(self.service, '_originalConfig', {
        get: function() { return service._originalConfig; },
        enumerable: false,
        configurable: true
      });
    }
  },

  /**
   * @api private
   */
  adjustTotalBytes: function adjustTotalBytes() {
    var self = this;
    try { // try to get totalBytes
      self.totalBytes = byteLength(self.body);
    } catch (e) { }

    // try to adjust partSize if we know payload length
    if (self.totalBytes) {
      var newPartSize = Math.ceil(self.totalBytes / self.maxTotalParts);
      if (newPartSize > self.partSize) self.partSize = newPartSize;
    } else {
      self.totalBytes = undefined;
    }
  },

  /**
   * @api private
   */
  isDoneChunking: false,

  /**
   * @api private
   */
  partPos: 0,

  /**
   * @api private
   */
  totalChunkedBytes: 0,

  /**
   * @api private
   */
  totalUploadedBytes: 0,

  /**
   * @api private
   */
  totalBytes: undefined,

  /**
   * @api private
   */
  numParts: 0,

  /**
   * @api private
   */
  totalPartNumbers: 0,

  /**
   * @api private
   */
  activeParts: 0,

  /**
   * @api private
   */
  doneParts: 0,

  /**
   * @api private
   */
  parts: null,

  /**
   * @api private
   */
  completeInfo: null,

  /**
   * @api private
   */
  failed: false,

  /**
   * @api private
   */
  multipartReq: null,

  /**
   * @api private
   */
  partBuffers: null,

  /**
   * @api private
   */
  partBufferLength: 0,

  /**
   * @api private
   */
  fillBuffer: function fillBuffer() {
    var self = this;
    var bodyLen = byteLength(self.body);

    if (bodyLen === 0) {
      self.isDoneChunking = true;
      self.numParts = 1;
      self.nextChunk(self.body);
      return;
    }

    while (self.activeParts < self.queueSize && self.partPos < bodyLen) {
      var endPos = Math.min(self.partPos + self.partSize, bodyLen);
      var buf = self.sliceFn.call(self.body, self.partPos, endPos);
      self.partPos += self.partSize;

      if (byteLength(buf) < self.partSize || self.partPos === bodyLen) {
        self.isDoneChunking = true;
        self.numParts = self.totalPartNumbers + 1;
      }
      self.nextChunk(buf);
    }
  },

  /**
   * @api private
   */
  fillStream: function fillStream() {
    var self = this;
    if (self.activeParts >= self.queueSize) return;

    var buf = self.body.read(self.partSize - self.partBufferLength) ||
              self.body.read();
    if (buf) {
      self.partBuffers.push(buf);
      self.partBufferLength += buf.length;
      self.totalChunkedBytes += buf.length;
    }

    if (self.partBufferLength >= self.partSize) {
      // if we have single buffer we avoid copyfull concat
      var pbuf = self.partBuffers.length === 1 ?
        self.partBuffers[0] : Buffer.concat(self.partBuffers);
      self.partBuffers = [];
      self.partBufferLength = 0;

      // if we have more than partSize, push the rest back on the queue
      if (pbuf.length > self.partSize) {
        var rest = pbuf.slice(self.partSize);
        self.partBuffers.push(rest);
        self.partBufferLength += rest.length;
        pbuf = pbuf.slice(0, self.partSize);
      }

      self.nextChunk(pbuf);
    }

    if (self.isDoneChunking && !self.isDoneSending) {
      // if we have single buffer we avoid copyfull concat
      pbuf = self.partBuffers.length === 1 ?
          self.partBuffers[0] : Buffer.concat(self.partBuffers);
      self.partBuffers = [];
      self.partBufferLength = 0;
      self.totalBytes = self.totalChunkedBytes;
      self.isDoneSending = true;

      if (self.numParts === 0 || pbuf.length > 0) {
        self.numParts++;
        self.nextChunk(pbuf);
      }
    }

    self.body.read(0);
  },

  /**
   * @api private
   */
  nextChunk: function nextChunk(chunk) {
    var self = this;
    if (self.failed) return null;

    var partNumber = ++self.totalPartNumbers;
    if (self.isDoneChunking && partNumber === 1) {
      var params = {Body: chunk};
      if (this.tags) {
        params.Tagging = this.getTaggingHeader();
      }
      var req = self.service.putObject(params);
      req._managedUpload = self;
      req.on('httpUploadProgress', self.progress).send(self.finishSinglePart);
      self.singlePart = req; //save the single part request
      return null;
    } else if (self.service.config.params.ContentMD5) {
      var err = AWS.util.error(new Error('The Content-MD5 you specified is invalid for multi-part uploads.'), {
        code: 'InvalidDigest', retryable: false
      });

      self.cleanup(err);
      return null;
    }

    if (self.completeInfo[partNumber] && self.completeInfo[partNumber].ETag !== null) {
      return null; // Already uploaded this part.
    }

    self.activeParts++;
    if (!self.service.config.params.UploadId) {

      if (!self.multipartReq) { // create multipart
        self.multipartReq = self.service.createMultipartUpload();
        self.multipartReq.on('success', function(resp) {
          self.service.config.params.UploadId = resp.data.UploadId;
          self.multipartReq = null;
        });
        self.queueChunks(chunk, partNumber);
        self.multipartReq.on('error', function(err) {
          self.cleanup(err);
        });
        self.multipartReq.send();
      } else {
        self.queueChunks(chunk, partNumber);
      }
    } else { // multipart is created, just send
      self.uploadPart(chunk, partNumber);
    }
  },

  /**
   * @api private
   */
  getTaggingHeader: function getTaggingHeader() {
    var kvPairStrings = [];
    for (var i = 0; i < this.tags.length; i++) {
      kvPairStrings.push(AWS.util.uriEscape(this.tags[i].Key) + '=' +
        AWS.util.uriEscape(this.tags[i].Value));
    }

    return kvPairStrings.join('&');
  },

  /**
   * @api private
   */
  uploadPart: function uploadPart(chunk, partNumber) {
    var self = this;

    var partParams = {
      Body: chunk,
      ContentLength: AWS.util.string.byteLength(chunk),
      PartNumber: partNumber
    };

    var partInfo = {ETag: null, PartNumber: partNumber};
    self.completeInfo[partNumber] = partInfo;

    var req = self.service.uploadPart(partParams);
    self.parts[partNumber] = req;
    req._lastUploadedBytes = 0;
    req._managedUpload = self;
    req.on('httpUploadProgress', self.progress);
    req.send(function(err, data) {
      delete self.parts[partParams.PartNumber];
      self.activeParts--;

      if (!err && (!data || !data.ETag)) {
        var message = 'No access to ETag property on response.';
        if (AWS.util.isBrowser()) {
          message += ' Check CORS configuration to expose ETag header.';
        }

        err = AWS.util.error(new Error(message), {
          code: 'ETagMissing', retryable: false
        });
      }
      if (err) return self.cleanup(err);
      //prevent sending part being returned twice (https://github.com/aws/aws-sdk-js/issues/2304)
      if (self.completeInfo[partNumber] && self.completeInfo[partNumber].ETag !== null) return null;
      partInfo.ETag = data.ETag;
      self.doneParts++;
      if (self.isDoneChunking && self.doneParts === self.numParts) {
        self.finishMultiPart();
      } else {
        self.fillQueue.call(self);
      }
    });
  },

  /**
   * @api private
   */
  queueChunks: function queueChunks(chunk, partNumber) {
    var self = this;
    self.multipartReq.on('success', function() {
      self.uploadPart(chunk, partNumber);
    });
  },

  /**
   * @api private
   */
  cleanup: function cleanup(err) {
    var self = this;
    if (self.failed) return;

    // clean up stream
    if (typeof self.body.removeAllListeners === 'function' &&
        typeof self.body.resume === 'function') {
      self.body.removeAllListeners('readable');
      self.body.removeAllListeners('end');
      self.body.resume();
    }

    // cleanup multipartReq listeners
    if (self.multipartReq) {
      self.multipartReq.removeAllListeners('success');
      self.multipartReq.removeAllListeners('error');
      self.multipartReq.removeAllListeners('complete');
      delete self.multipartReq;
    }

    if (self.service.config.params.UploadId && !self.leavePartsOnError) {
      self.service.abortMultipartUpload().send();
    } else if (self.leavePartsOnError) {
      self.isDoneChunking = false;
    }

    AWS.util.each(self.parts, function(partNumber, part) {
      part.removeAllListeners('complete');
      part.abort();
    });

    self.activeParts = 0;
    self.partPos = 0;
    self.numParts = 0;
    self.totalPartNumbers = 0;
    self.parts = {};
    self.failed = true;
    self.callback(err);
  },

  /**
   * @api private
   */
  finishMultiPart: function finishMultiPart() {
    var self = this;
    var completeParams = { MultipartUpload: { Parts: self.completeInfo.slice(1) } };
    self.service.completeMultipartUpload(completeParams, function(err, data) {
      if (err) {
        return self.cleanup(err);
      }

      if (data && typeof data.Location === 'string') {
        data.Location = data.Location.replace(/%2F/g, '/');
      }

      if (Array.isArray(self.tags)) {
        for (var i = 0; i < self.tags.length; i++) {
          self.tags[i].Value = String(self.tags[i].Value);
        }
        self.service.putObjectTagging(
          {Tagging: {TagSet: self.tags}},
          function(e, d) {
            if (e) {
              self.callback(e);
            } else {
              self.callback(e, data);
            }
          }
        );
      } else {
        self.callback(err, data);
      }
    });
  },

  /**
   * @api private
   */
  finishSinglePart: function finishSinglePart(err, data) {
    var upload = this.request._managedUpload;
    var httpReq = this.request.httpRequest;
    var endpoint = httpReq.endpoint;
    if (err) return upload.callback(err);
    data.Location =
      [endpoint.protocol, '//', endpoint.host, httpReq.path].join('');
    data.key = this.request.params.Key; // will stay undocumented
    data.Key = this.request.params.Key;
    data.Bucket = this.request.params.Bucket;
    upload.callback(err, data);
  },

  /**
   * @api private
   */
  progress: function progress(info) {
    var upload = this._managedUpload;
    if (this.operation === 'putObject') {
      info.part = 1;
      info.key = this.params.Key;
    } else {
      upload.totalUploadedBytes += info.loaded - this._lastUploadedBytes;
      this._lastUploadedBytes = info.loaded;
      info = {
        loaded: upload.totalUploadedBytes,
        total: upload.totalBytes,
        part: this.params.PartNumber,
        key: this.params.Key
      };
    }
    upload.emit('httpUploadProgress', [info]);
  }
});

AWS.util.mixin(AWS.S3.ManagedUpload, AWS.SequentialExecutor);

/**
 * @api private
 */
AWS.S3.ManagedUpload.addPromisesToClass = function addPromisesToClass(PromiseDependency) {
  this.prototype.promise = AWS.util.promisifyMethod('send', PromiseDependency);
};

/**
 * @api private
 */
AWS.S3.ManagedUpload.deletePromisesFromClass = function deletePromisesFromClass() {
  delete this.prototype.promise;
};

AWS.util.addPromises(AWS.S3.ManagedUpload);

/**
 * @api private
 */
module.exports = AWS.S3.ManagedUpload;


/***/ }),

/***/ 55948:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

/**
 * @api private
 * @!method on(eventName, callback)
 *   Registers an event listener callback for the event given by `eventName`.
 *   Parameters passed to the callback function depend on the individual event
 *   being triggered. See the event documentation for those parameters.
 *
 *   @param eventName [String] the event name to register the listener for
 *   @param callback [Function] the listener callback function
 *   @param toHead [Boolean] attach the listener callback to the head of callback array if set to true.
 *     Default to be false.
 *   @return [AWS.SequentialExecutor] the same object for chaining
 */
AWS.SequentialExecutor = AWS.util.inherit({

  constructor: function SequentialExecutor() {
    this._events = {};
  },

  /**
   * @api private
   */
  listeners: function listeners(eventName) {
    return this._events[eventName] ? this._events[eventName].slice(0) : [];
  },

  on: function on(eventName, listener, toHead) {
    if (this._events[eventName]) {
      toHead ?
        this._events[eventName].unshift(listener) :
        this._events[eventName].push(listener);
    } else {
      this._events[eventName] = [listener];
    }
    return this;
  },

  onAsync: function onAsync(eventName, listener, toHead) {
    listener._isAsync = true;
    return this.on(eventName, listener, toHead);
  },

  removeListener: function removeListener(eventName, listener) {
    var listeners = this._events[eventName];
    if (listeners) {
      var length = listeners.length;
      var position = -1;
      for (var i = 0; i < length; ++i) {
        if (listeners[i] === listener) {
          position = i;
        }
      }
      if (position > -1) {
        listeners.splice(position, 1);
      }
    }
    return this;
  },

  removeAllListeners: function removeAllListeners(eventName) {
    if (eventName) {
      delete this._events[eventName];
    } else {
      this._events = {};
    }
    return this;
  },

  /**
   * @api private
   */
  emit: function emit(eventName, eventArgs, doneCallback) {
    if (!doneCallback) doneCallback = function() { };
    var listeners = this.listeners(eventName);
    var count = listeners.length;
    this.callListeners(listeners, eventArgs, doneCallback);
    return count > 0;
  },

  /**
   * @api private
   */
  callListeners: function callListeners(listeners, args, doneCallback, prevError) {
    var self = this;
    var error = prevError || null;

    function callNextListener(err) {
      if (err) {
        error = AWS.util.error(error || new Error(), err);
        if (self._haltHandlersOnError) {
          return doneCallback.call(self, error);
        }
      }
      self.callListeners(listeners, args, doneCallback, error);
    }

    while (listeners.length > 0) {
      var listener = listeners.shift();
      if (listener._isAsync) { // asynchronous listener
        listener.apply(self, args.concat([callNextListener]));
        return; // stop here, callNextListener will continue
      } else { // synchronous listener
        try {
          listener.apply(self, args);
        } catch (err) {
          error = AWS.util.error(error || new Error(), err);
        }
        if (error && self._haltHandlersOnError) {
          doneCallback.call(self, error);
          return;
        }
      }
    }
    doneCallback.call(self, error);
  },

  /**
   * Adds or copies a set of listeners from another list of
   * listeners or SequentialExecutor object.
   *
   * @param listeners [map<String,Array<Function>>, AWS.SequentialExecutor]
   *   a list of events and callbacks, or an event emitter object
   *   containing listeners to add to this emitter object.
   * @return [AWS.SequentialExecutor] the emitter object, for chaining.
   * @example Adding listeners from a map of listeners
   *   emitter.addListeners({
   *     event1: [function() { ... }, function() { ... }],
   *     event2: [function() { ... }]
   *   });
   *   emitter.emit('event1'); // emitter has event1
   *   emitter.emit('event2'); // emitter has event2
   * @example Adding listeners from another emitter object
   *   var emitter1 = new AWS.SequentialExecutor();
   *   emitter1.on('event1', function() { ... });
   *   emitter1.on('event2', function() { ... });
   *   var emitter2 = new AWS.SequentialExecutor();
   *   emitter2.addListeners(emitter1);
   *   emitter2.emit('event1'); // emitter2 has event1
   *   emitter2.emit('event2'); // emitter2 has event2
   */
  addListeners: function addListeners(listeners) {
    var self = this;

    // extract listeners if parameter is an SequentialExecutor object
    if (listeners._events) listeners = listeners._events;

    AWS.util.each(listeners, function(event, callbacks) {
      if (typeof callbacks === 'function') callbacks = [callbacks];
      AWS.util.arrayEach(callbacks, function(callback) {
        self.on(event, callback);
      });
    });

    return self;
  },

  /**
   * Registers an event with {on} and saves the callback handle function
   * as a property on the emitter object using a given `name`.
   *
   * @param name [String] the property name to set on this object containing
   *   the callback function handle so that the listener can be removed in
   *   the future.
   * @param (see on)
   * @return (see on)
   * @example Adding a named listener DATA_CALLBACK
   *   var listener = function() { doSomething(); };
   *   emitter.addNamedListener('DATA_CALLBACK', 'data', listener);
   *
   *   // the following prints: true
   *   console.log(emitter.DATA_CALLBACK == listener);
   */
  addNamedListener: function addNamedListener(name, eventName, callback, toHead) {
    this[name] = callback;
    this.addListener(eventName, callback, toHead);
    return this;
  },

  /**
   * @api private
   */
  addNamedAsyncListener: function addNamedAsyncListener(name, eventName, callback, toHead) {
    callback._isAsync = true;
    return this.addNamedListener(name, eventName, callback, toHead);
  },

  /**
   * Helper method to add a set of named listeners using
   * {addNamedListener}. The callback contains a parameter
   * with a handle to the `addNamedListener` method.
   *
   * @callback callback function(add)
   *   The callback function is called immediately in order to provide
   *   the `add` function to the block. This simplifies the addition of
   *   a large group of named listeners.
   *   @param add [Function] the {addNamedListener} function to call
   *     when registering listeners.
   * @example Adding a set of named listeners
   *   emitter.addNamedListeners(function(add) {
   *     add('DATA_CALLBACK', 'data', function() { ... });
   *     add('OTHER', 'otherEvent', function() { ... });
   *     add('LAST', 'lastEvent', function() { ... });
   *   });
   *
   *   // these properties are now set:
   *   emitter.DATA_CALLBACK;
   *   emitter.OTHER;
   *   emitter.LAST;
   */
  addNamedListeners: function addNamedListeners(callback) {
    var self = this;
    callback(
      function() {
        self.addNamedListener.apply(self, arguments);
      },
      function() {
        self.addNamedAsyncListener.apply(self, arguments);
      }
    );
    return this;
  }
});

/**
 * {on} is the prefered method.
 * @api private
 */
AWS.SequentialExecutor.prototype.addListener = AWS.SequentialExecutor.prototype.on;

/**
 * @api private
 */
module.exports = AWS.SequentialExecutor;


/***/ }),

/***/ 68903:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var Api = __nccwpck_require__(17657);
var regionConfig = __nccwpck_require__(18262);

var inherit = AWS.util.inherit;
var clientCount = 0;
var region_utils = __nccwpck_require__(99517);

/**
 * The service class representing an AWS service.
 *
 * @class_abstract This class is an abstract class.
 *
 * @!attribute apiVersions
 *   @return [Array<String>] the list of API versions supported by this service.
 *   @readonly
 */
AWS.Service = inherit({
  /**
   * Create a new service object with a configuration object
   *
   * @param config [map] a map of configuration options
   */
  constructor: function Service(config) {
    if (!this.loadServiceClass) {
      throw AWS.util.error(new Error(),
        'Service must be constructed with `new\' operator');
    }

    if (config) {
      if (config.region) {
        var region = config.region;
        if (region_utils.isFipsRegion(region)) {
          config.region = region_utils.getRealRegion(region);
          config.useFipsEndpoint = true;
        }
        if (region_utils.isGlobalRegion(region)) {
          config.region = region_utils.getRealRegion(region);
        }
      }
      if (typeof config.useDualstack === 'boolean'
        && typeof config.useDualstackEndpoint !== 'boolean') {
        config.useDualstackEndpoint = config.useDualstack;
      }
    }

    var ServiceClass = this.loadServiceClass(config || {});
    if (ServiceClass) {
      var originalConfig = AWS.util.copy(config);
      var svc = new ServiceClass(config);
      Object.defineProperty(svc, '_originalConfig', {
        get: function() { return originalConfig; },
        enumerable: false,
        configurable: true
      });
      svc._clientId = ++clientCount;
      return svc;
    }
    this.initialize(config);
  },

  /**
   * @api private
   */
  initialize: function initialize(config) {
    var svcConfig = AWS.config[this.serviceIdentifier];
    this.config = new AWS.Config(AWS.config);
    if (svcConfig) this.config.update(svcConfig, true);
    if (config) this.config.update(config, true);

    this.validateService();
    if (!this.config.endpoint) regionConfig.configureEndpoint(this);

    this.config.endpoint = this.endpointFromTemplate(this.config.endpoint);
    this.setEndpoint(this.config.endpoint);
    //enable attaching listeners to service client
    AWS.SequentialExecutor.call(this);
    AWS.Service.addDefaultMonitoringListeners(this);
    if ((this.config.clientSideMonitoring || AWS.Service._clientSideMonitoring) && this.publisher) {
      var publisher = this.publisher;
      this.addNamedListener('PUBLISH_API_CALL', 'apiCall', function PUBLISH_API_CALL(event) {
        process.nextTick(function() {publisher.eventHandler(event);});
      });
      this.addNamedListener('PUBLISH_API_ATTEMPT', 'apiCallAttempt', function PUBLISH_API_ATTEMPT(event) {
        process.nextTick(function() {publisher.eventHandler(event);});
      });
    }
  },

  /**
   * @api private
   */
  validateService: function validateService() {
  },

  /**
   * @api private
   */
  loadServiceClass: function loadServiceClass(serviceConfig) {
    var config = serviceConfig;
    if (!AWS.util.isEmpty(this.api)) {
      return null;
    } else if (config.apiConfig) {
      return AWS.Service.defineServiceApi(this.constructor, config.apiConfig);
    } else if (!this.constructor.services) {
      return null;
    } else {
      config = new AWS.Config(AWS.config);
      config.update(serviceConfig, true);
      var version = config.apiVersions[this.constructor.serviceIdentifier];
      version = version || config.apiVersion;
      return this.getLatestServiceClass(version);
    }
  },

  /**
   * @api private
   */
  getLatestServiceClass: function getLatestServiceClass(version) {
    version = this.getLatestServiceVersion(version);
    if (this.constructor.services[version] === null) {
      AWS.Service.defineServiceApi(this.constructor, version);
    }

    return this.constructor.services[version];
  },

  /**
   * @api private
   */
  getLatestServiceVersion: function getLatestServiceVersion(version) {
    if (!this.constructor.services || this.constructor.services.length === 0) {
      throw new Error('No services defined on ' +
                      this.constructor.serviceIdentifier);
    }

    if (!version) {
      version = 'latest';
    } else if (AWS.util.isType(version, Date)) {
      version = AWS.util.date.iso8601(version).split('T')[0];
    }

    if (Object.hasOwnProperty(this.constructor.services, version)) {
      return version;
    }

    var keys = Object.keys(this.constructor.services).sort();
    var selectedVersion = null;
    for (var i = keys.length - 1; i >= 0; i--) {
      // versions that end in "*" are not available on disk and can be
      // skipped, so do not choose these as selectedVersions
      if (keys[i][keys[i].length - 1] !== '*') {
        selectedVersion = keys[i];
      }
      if (keys[i].substr(0, 10) <= version) {
        return selectedVersion;
      }
    }

    throw new Error('Could not find ' + this.constructor.serviceIdentifier +
                    ' API to satisfy version constraint `' + version + '\'');
  },

  /**
   * @api private
   */
  api: {},

  /**
   * @api private
   */
  defaultRetryCount: 3,

  /**
   * @api private
   */
  customizeRequests: function customizeRequests(callback) {
    if (!callback) {
      this.customRequestHandler = null;
    } else if (typeof callback === 'function') {
      this.customRequestHandler = callback;
    } else {
      throw new Error('Invalid callback type \'' + typeof callback + '\' provided in customizeRequests');
    }
  },

  /**
   * Calls an operation on a service with the given input parameters.
   *
   * @param operation [String] the name of the operation to call on the service.
   * @param params [map] a map of input options for the operation
   * @callback callback function(err, data)
   *   If a callback is supplied, it is called when a response is returned
   *   from the service.
   *   @param err [Error] the error object returned from the request.
   *     Set to `null` if the request is successful.
   *   @param data [Object] the de-serialized data returned from
   *     the request. Set to `null` if a request error occurs.
   */
  makeRequest: function makeRequest(operation, params, callback) {
    if (typeof params === 'function') {
      callback = params;
      params = null;
    }

    params = params || {};
    if (this.config.params) { // copy only toplevel bound params
      var rules = this.api.operations[operation];
      if (rules) {
        params = AWS.util.copy(params);
        AWS.util.each(this.config.params, function(key, value) {
          if (rules.input.members[key]) {
            if (params[key] === undefined || params[key] === null) {
              params[key] = value;
            }
          }
        });
      }
    }

    var request = new AWS.Request(this, operation, params);
    this.addAllRequestListeners(request);
    this.attachMonitoringEmitter(request);
    if (callback) request.send(callback);
    return request;
  },

  /**
   * Calls an operation on a service with the given input parameters, without
   * any authentication data. This method is useful for "public" API operations.
   *
   * @param operation [String] the name of the operation to call on the service.
   * @param params [map] a map of input options for the operation
   * @callback callback function(err, data)
   *   If a callback is supplied, it is called when a response is returned
   *   from the service.
   *   @param err [Error] the error object returned from the request.
   *     Set to `null` if the request is successful.
   *   @param data [Object] the de-serialized data returned from
   *     the request. Set to `null` if a request error occurs.
   */
  makeUnauthenticatedRequest: function makeUnauthenticatedRequest(operation, params, callback) {
    if (typeof params === 'function') {
      callback = params;
      params = {};
    }

    var request = this.makeRequest(operation, params).toUnauthenticated();
    return callback ? request.send(callback) : request;
  },

  /**
   * Waits for a given state
   *
   * @param state [String] the state on the service to wait for
   * @param params [map] a map of parameters to pass with each request
   * @option params $waiter [map] a map of configuration options for the waiter
   * @option params $waiter.delay [Number] The number of seconds to wait between
   *                                       requests
   * @option params $waiter.maxAttempts [Number] The maximum number of requests
   *                                             to send while waiting
   * @callback callback function(err, data)
   *   If a callback is supplied, it is called when a response is returned
   *   from the service.
   *   @param err [Error] the error object returned from the request.
   *     Set to `null` if the request is successful.
   *   @param data [Object] the de-serialized data returned from
   *     the request. Set to `null` if a request error occurs.
   */
  waitFor: function waitFor(state, params, callback) {
    var waiter = new AWS.ResourceWaiter(this, state);
    return waiter.wait(params, callback);
  },

  /**
   * @api private
   */
  addAllRequestListeners: function addAllRequestListeners(request) {
    var list = [AWS.events, AWS.EventListeners.Core, this.serviceInterface(),
                AWS.EventListeners.CorePost];
    for (var i = 0; i < list.length; i++) {
      if (list[i]) request.addListeners(list[i]);
    }

    // disable parameter validation
    if (!this.config.paramValidation) {
      request.removeListener('validate',
        AWS.EventListeners.Core.VALIDATE_PARAMETERS);
    }

    if (this.config.logger) { // add logging events
      request.addListeners(AWS.EventListeners.Logger);
    }

    this.setupRequestListeners(request);
    // call prototype's customRequestHandler
    if (typeof this.constructor.prototype.customRequestHandler === 'function') {
      this.constructor.prototype.customRequestHandler(request);
    }
    // call instance's customRequestHandler
    if (Object.prototype.hasOwnProperty.call(this, 'customRequestHandler') && typeof this.customRequestHandler === 'function') {
      this.customRequestHandler(request);
    }
  },

  /**
   * Event recording metrics for a whole API call.
   * @returns {object} a subset of api call metrics
   * @api private
   */
  apiCallEvent: function apiCallEvent(request) {
    var api = request.service.api.operations[request.operation];
    var monitoringEvent = {
      Type: 'ApiCall',
      Api: api ? api.name : request.operation,
      Version: 1,
      Service: request.service.api.serviceId || request.service.api.endpointPrefix,
      Region: request.httpRequest.region,
      MaxRetriesExceeded: 0,
      UserAgent: request.httpRequest.getUserAgent(),
    };
    var response = request.response;
    if (response.httpResponse.statusCode) {
      monitoringEvent.FinalHttpStatusCode = response.httpResponse.statusCode;
    }
    if (response.error) {
      var error = response.error;
      var statusCode = response.httpResponse.statusCode;
      if (statusCode > 299) {
        if (error.code) monitoringEvent.FinalAwsException = error.code;
        if (error.message) monitoringEvent.FinalAwsExceptionMessage = error.message;
      } else {
        if (error.code || error.name) monitoringEvent.FinalSdkException = error.code || error.name;
        if (error.message) monitoringEvent.FinalSdkExceptionMessage = error.message;
      }
    }
    return monitoringEvent;
  },

  /**
   * Event recording metrics for an API call attempt.
   * @returns {object} a subset of api call attempt metrics
   * @api private
   */
  apiAttemptEvent: function apiAttemptEvent(request) {
    var api = request.service.api.operations[request.operation];
    var monitoringEvent = {
      Type: 'ApiCallAttempt',
      Api: api ? api.name : request.operation,
      Version: 1,
      Service: request.service.api.serviceId || request.service.api.endpointPrefix,
      Fqdn: request.httpRequest.endpoint.hostname,
      UserAgent: request.httpRequest.getUserAgent(),
    };
    var response = request.response;
    if (response.httpResponse.statusCode) {
      monitoringEvent.HttpStatusCode = response.httpResponse.statusCode;
    }
    if (
      !request._unAuthenticated &&
      request.service.config.credentials &&
      request.service.config.credentials.accessKeyId
    ) {
      monitoringEvent.AccessKey = request.service.config.credentials.accessKeyId;
    }
    if (!response.httpResponse.headers) return monitoringEvent;
    if (request.httpRequest.headers['x-amz-security-token']) {
      monitoringEvent.SessionToken = request.httpRequest.headers['x-amz-security-token'];
    }
    if (response.httpResponse.headers['x-amzn-requestid']) {
      monitoringEvent.XAmznRequestId = response.httpResponse.headers['x-amzn-requestid'];
    }
    if (response.httpResponse.headers['x-amz-request-id']) {
      monitoringEvent.XAmzRequestId = response.httpResponse.headers['x-amz-request-id'];
    }
    if (response.httpResponse.headers['x-amz-id-2']) {
      monitoringEvent.XAmzId2 = response.httpResponse.headers['x-amz-id-2'];
    }
    return monitoringEvent;
  },

  /**
   * Add metrics of failed request.
   * @api private
   */
  attemptFailEvent: function attemptFailEvent(request) {
    var monitoringEvent = this.apiAttemptEvent(request);
    var response = request.response;
    var error = response.error;
    if (response.httpResponse.statusCode > 299 ) {
      if (error.code) monitoringEvent.AwsException = error.code;
      if (error.message) monitoringEvent.AwsExceptionMessage = error.message;
    } else {
      if (error.code || error.name) monitoringEvent.SdkException = error.code || error.name;
      if (error.message) monitoringEvent.SdkExceptionMessage = error.message;
    }
    return monitoringEvent;
  },

  /**
   * Attach listeners to request object to fetch metrics of each request
   * and emit data object through \'ApiCall\' and \'ApiCallAttempt\' events.
   * @api private
   */
  attachMonitoringEmitter: function attachMonitoringEmitter(request) {
    var attemptTimestamp; //timestamp marking the beginning of a request attempt
    var attemptStartRealTime; //Start time of request attempt. Used to calculating attemptLatency
    var attemptLatency; //latency from request sent out to http response reaching SDK
    var callStartRealTime; //Start time of API call. Used to calculating API call latency
    var attemptCount = 0; //request.retryCount is not reliable here
    var region; //region cache region for each attempt since it can be updated in plase (e.g. s3)
    var callTimestamp; //timestamp when the request is created
    var self = this;
    var addToHead = true;

    request.on('validate', function () {
      callStartRealTime = AWS.util.realClock.now();
      callTimestamp = Date.now();
    }, addToHead);
    request.on('sign', function () {
      attemptStartRealTime = AWS.util.realClock.now();
      attemptTimestamp = Date.now();
      region = request.httpRequest.region;
      attemptCount++;
    }, addToHead);
    request.on('validateResponse', function() {
      attemptLatency = Math.round(AWS.util.realClock.now() - attemptStartRealTime);
    });
    request.addNamedListener('API_CALL_ATTEMPT', 'success', function API_CALL_ATTEMPT() {
      var apiAttemptEvent = self.apiAttemptEvent(request);
      apiAttemptEvent.Timestamp = attemptTimestamp;
      apiAttemptEvent.AttemptLatency = attemptLatency >= 0 ? attemptLatency : 0;
      apiAttemptEvent.Region = region;
      self.emit('apiCallAttempt', [apiAttemptEvent]);
    });
    request.addNamedListener('API_CALL_ATTEMPT_RETRY', 'retry', function API_CALL_ATTEMPT_RETRY() {
      var apiAttemptEvent = self.attemptFailEvent(request);
      apiAttemptEvent.Timestamp = attemptTimestamp;
      //attemptLatency may not be available if fail before response
      attemptLatency = attemptLatency ||
        Math.round(AWS.util.realClock.now() - attemptStartRealTime);
      apiAttemptEvent.AttemptLatency = attemptLatency >= 0 ? attemptLatency : 0;
      apiAttemptEvent.Region = region;
      self.emit('apiCallAttempt', [apiAttemptEvent]);
    });
    request.addNamedListener('API_CALL', 'complete', function API_CALL() {
      var apiCallEvent = self.apiCallEvent(request);
      apiCallEvent.AttemptCount = attemptCount;
      if (apiCallEvent.AttemptCount <= 0) return;
      apiCallEvent.Timestamp = callTimestamp;
      var latency = Math.round(AWS.util.realClock.now() - callStartRealTime);
      apiCallEvent.Latency = latency >= 0 ? latency : 0;
      var response = request.response;
      if (
        response.error &&
        response.error.retryable &&
        typeof response.retryCount === 'number' &&
        typeof response.maxRetries === 'number' &&
        (response.retryCount >= response.maxRetries)
      ) {
        apiCallEvent.MaxRetriesExceeded = 1;
      }
      self.emit('apiCall', [apiCallEvent]);
    });
  },

  /**
   * Override this method to setup any custom request listeners for each
   * new request to the service.
   *
   * @method_abstract This is an abstract method.
   */
  setupRequestListeners: function setupRequestListeners(request) {
  },

  /**
   * Gets the signing name for a given request
   * @api private
   */
  getSigningName: function getSigningName() {
    return this.api.signingName || this.api.endpointPrefix;
  },

  /**
   * Gets the signer class for a given request
   * @api private
   */
  getSignerClass: function getSignerClass(request) {
    var version;
    // get operation authtype if present
    var operation = null;
    var authtype = '';
    if (request) {
      var operations = request.service.api.operations || {};
      operation = operations[request.operation] || null;
      authtype = operation ? operation.authtype : '';
    }
    if (this.config.signatureVersion) {
      version = this.config.signatureVersion;
    } else if (authtype === 'v4' || authtype === 'v4-unsigned-body') {
      version = 'v4';
    } else {
      version = this.api.signatureVersion;
    }
    return AWS.Signers.RequestSigner.getVersion(version);
  },

  /**
   * @api private
   */
  serviceInterface: function serviceInterface() {
    switch (this.api.protocol) {
      case 'ec2': return AWS.EventListeners.Query;
      case 'query': return AWS.EventListeners.Query;
      case 'json': return AWS.EventListeners.Json;
      case 'rest-json': return AWS.EventListeners.RestJson;
      case 'rest-xml': return AWS.EventListeners.RestXml;
    }
    if (this.api.protocol) {
      throw new Error('Invalid service `protocol\' ' +
        this.api.protocol + ' in API config');
    }
  },

  /**
   * @api private
   */
  successfulResponse: function successfulResponse(resp) {
    return resp.httpResponse.statusCode < 300;
  },

  /**
   * How many times a failed request should be retried before giving up.
   * the defaultRetryCount can be overriden by service classes.
   *
   * @api private
   */
  numRetries: function numRetries() {
    if (this.config.maxRetries !== undefined) {
      return this.config.maxRetries;
    } else {
      return this.defaultRetryCount;
    }
  },

  /**
   * @api private
   */
  retryDelays: function retryDelays(retryCount, err) {
    return AWS.util.calculateRetryDelay(retryCount, this.config.retryDelayOptions, err);
  },

  /**
   * @api private
   */
  retryableError: function retryableError(error) {
    if (this.timeoutError(error)) return true;
    if (this.networkingError(error)) return true;
    if (this.expiredCredentialsError(error)) return true;
    if (this.throttledError(error)) return true;
    if (error.statusCode >= 500) return true;
    return false;
  },

  /**
   * @api private
   */
  networkingError: function networkingError(error) {
    return error.code === 'NetworkingError';
  },

  /**
   * @api private
   */
  timeoutError: function timeoutError(error) {
    return error.code === 'TimeoutError';
  },

  /**
   * @api private
   */
  expiredCredentialsError: function expiredCredentialsError(error) {
    // TODO : this only handles *one* of the expired credential codes
    return (error.code === 'ExpiredTokenException');
  },

  /**
   * @api private
   */
  clockSkewError: function clockSkewError(error) {
    switch (error.code) {
      case 'RequestTimeTooSkewed':
      case 'RequestExpired':
      case 'InvalidSignatureException':
      case 'SignatureDoesNotMatch':
      case 'AuthFailure':
      case 'RequestInTheFuture':
        return true;
      default: return false;
    }
  },

  /**
   * @api private
   */
  getSkewCorrectedDate: function getSkewCorrectedDate() {
    return new Date(Date.now() + this.config.systemClockOffset);
  },

  /**
   * @api private
   */
  applyClockOffset: function applyClockOffset(newServerTime) {
    if (newServerTime) {
      this.config.systemClockOffset = newServerTime - Date.now();
    }
  },

  /**
   * @api private
   */
  isClockSkewed: function isClockSkewed(newServerTime) {
    if (newServerTime) {
      return Math.abs(this.getSkewCorrectedDate().getTime() - newServerTime) >= 300000;
    }
  },

  /**
   * @api private
   */
  throttledError: function throttledError(error) {
    // this logic varies between services
    if (error.statusCode === 429) return true;
    switch (error.code) {
      case 'ProvisionedThroughputExceededException':
      case 'Throttling':
      case 'ThrottlingException':
      case 'RequestLimitExceeded':
      case 'RequestThrottled':
      case 'RequestThrottledException':
      case 'TooManyRequestsException':
      case 'TransactionInProgressException': //dynamodb
      case 'EC2ThrottledException':
        return true;
      default:
        return false;
    }
  },

  /**
   * @api private
   */
  endpointFromTemplate: function endpointFromTemplate(endpoint) {
    if (typeof endpoint !== 'string') return endpoint;

    var e = endpoint;
    e = e.replace(/\{service\}/g, this.api.endpointPrefix);
    e = e.replace(/\{region\}/g, this.config.region);
    e = e.replace(/\{scheme\}/g, this.config.sslEnabled ? 'https' : 'http');
    return e;
  },

  /**
   * @api private
   */
  setEndpoint: function setEndpoint(endpoint) {
    this.endpoint = new AWS.Endpoint(endpoint, this.config);
  },

  /**
   * @api private
   */
  paginationConfig: function paginationConfig(operation, throwException) {
    var paginator = this.api.operations[operation].paginator;
    if (!paginator) {
      if (throwException) {
        var e = new Error();
        throw AWS.util.error(e, 'No pagination configuration for ' + operation);
      }
      return null;
    }

    return paginator;
  }
});

AWS.util.update(AWS.Service, {

  /**
   * Adds one method for each operation described in the api configuration
   *
   * @api private
   */
  defineMethods: function defineMethods(svc) {
    AWS.util.each(svc.prototype.api.operations, function iterator(method) {
      if (svc.prototype[method]) return;
      var operation = svc.prototype.api.operations[method];
      if (operation.authtype === 'none') {
        svc.prototype[method] = function (params, callback) {
          return this.makeUnauthenticatedRequest(method, params, callback);
        };
      } else {
        svc.prototype[method] = function (params, callback) {
          return this.makeRequest(method, params, callback);
        };
      }
    });
  },

  /**
   * Defines a new Service class using a service identifier and list of versions
   * including an optional set of features (functions) to apply to the class
   * prototype.
   *
   * @param serviceIdentifier [String] the identifier for the service
   * @param versions [Array<String>] a list of versions that work with this
   *   service
   * @param features [Object] an object to attach to the prototype
   * @return [Class<Service>] the service class defined by this function.
   */
  defineService: function defineService(serviceIdentifier, versions, features) {
    AWS.Service._serviceMap[serviceIdentifier] = true;
    if (!Array.isArray(versions)) {
      features = versions;
      versions = [];
    }

    var svc = inherit(AWS.Service, features || {});

    if (typeof serviceIdentifier === 'string') {
      AWS.Service.addVersions(svc, versions);

      var identifier = svc.serviceIdentifier || serviceIdentifier;
      svc.serviceIdentifier = identifier;
    } else { // defineService called with an API
      svc.prototype.api = serviceIdentifier;
      AWS.Service.defineMethods(svc);
    }
    AWS.SequentialExecutor.call(this.prototype);
    //util.clientSideMonitoring is only available in node
    if (!this.prototype.publisher && AWS.util.clientSideMonitoring) {
      var Publisher = AWS.util.clientSideMonitoring.Publisher;
      var configProvider = AWS.util.clientSideMonitoring.configProvider;
      var publisherConfig = configProvider();
      this.prototype.publisher = new Publisher(publisherConfig);
      if (publisherConfig.enabled) {
        //if csm is enabled in environment, SDK should send all metrics
        AWS.Service._clientSideMonitoring = true;
      }
    }
    AWS.SequentialExecutor.call(svc.prototype);
    AWS.Service.addDefaultMonitoringListeners(svc.prototype);
    return svc;
  },

  /**
   * @api private
   */
  addVersions: function addVersions(svc, versions) {
    if (!Array.isArray(versions)) versions = [versions];

    svc.services = svc.services || {};
    for (var i = 0; i < versions.length; i++) {
      if (svc.services[versions[i]] === undefined) {
        svc.services[versions[i]] = null;
      }
    }

    svc.apiVersions = Object.keys(svc.services).sort();
  },

  /**
   * @api private
   */
  defineServiceApi: function defineServiceApi(superclass, version, apiConfig) {
    var svc = inherit(superclass, {
      serviceIdentifier: superclass.serviceIdentifier
    });

    function setApi(api) {
      if (api.isApi) {
        svc.prototype.api = api;
      } else {
        svc.prototype.api = new Api(api, {
          serviceIdentifier: superclass.serviceIdentifier
        });
      }
    }

    if (typeof version === 'string') {
      if (apiConfig) {
        setApi(apiConfig);
      } else {
        try {
          setApi(AWS.apiLoader(superclass.serviceIdentifier, version));
        } catch (err) {
          throw AWS.util.error(err, {
            message: 'Could not find API configuration ' +
              superclass.serviceIdentifier + '-' + version
          });
        }
      }
      if (!Object.prototype.hasOwnProperty.call(superclass.services, version)) {
        superclass.apiVersions = superclass.apiVersions.concat(version).sort();
      }
      superclass.services[version] = svc;
    } else {
      setApi(version);
    }

    AWS.Service.defineMethods(svc);
    return svc;
  },

  /**
   * @api private
   */
  hasService: function(identifier) {
    return Object.prototype.hasOwnProperty.call(AWS.Service._serviceMap, identifier);
  },

  /**
   * @param attachOn attach default monitoring listeners to object
   *
   * Each monitoring event should be emitted from service client to service constructor prototype and then
   * to global service prototype like bubbling up. These default monitoring events listener will transfer
   * the monitoring events to the upper layer.
   * @api private
   */
  addDefaultMonitoringListeners: function addDefaultMonitoringListeners(attachOn) {
    attachOn.addNamedListener('MONITOR_EVENTS_BUBBLE', 'apiCallAttempt', function EVENTS_BUBBLE(event) {
      var baseClass = Object.getPrototypeOf(attachOn);
      if (baseClass._events) baseClass.emit('apiCallAttempt', [event]);
    });
    attachOn.addNamedListener('CALL_EVENTS_BUBBLE', 'apiCall', function CALL_EVENTS_BUBBLE(event) {
      var baseClass = Object.getPrototypeOf(attachOn);
      if (baseClass._events) baseClass.emit('apiCall', [event]);
    });
  },

  /**
   * @api private
   */
  _serviceMap: {}
});

AWS.util.mixin(AWS.Service, AWS.SequentialExecutor);

/**
 * @api private
 */
module.exports = AWS.Service;


/***/ }),

/***/ 4338:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

AWS.util.update(AWS.APIGateway.prototype, {
/**
 * Sets the Accept header to application/json.
 *
 * @api private
 */
  setAcceptHeader: function setAcceptHeader(req) {
    var httpRequest = req.httpRequest;
    if (!httpRequest.headers.Accept) {
      httpRequest.headers['Accept'] = 'application/json';
    }
  },

  /**
   * @api private
   */
  setupRequestListeners: function setupRequestListeners(request) {
    request.addListener('build', this.setAcceptHeader);
    if (request.operation === 'getExport') {
      var params = request.params || {};
      if (params.exportType === 'swagger') {
        request.addListener('extractData', AWS.util.convertPayloadToString);
      }
    }
  }
});



/***/ }),

/***/ 95483:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

// pull in CloudFront signer
__nccwpck_require__(93260);

AWS.util.update(AWS.CloudFront.prototype, {

  setupRequestListeners: function setupRequestListeners(request) {
    request.addListener('extractData', AWS.util.hoistPayloadMember);
  }

});


/***/ }),

/***/ 48571:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

/**
 * Constructs a service interface object. Each API operation is exposed as a
 * function on service.
 *
 * ### Sending a Request Using CloudSearchDomain
 *
 * ```javascript
 * var csd = new AWS.CloudSearchDomain({endpoint: 'my.host.tld'});
 * csd.search(params, function (err, data) {
 *   if (err) console.log(err, err.stack); // an error occurred
 *   else     console.log(data);           // successful response
 * });
 * ```
 *
 * ### Locking the API Version
 *
 * In order to ensure that the CloudSearchDomain object uses this specific API,
 * you can construct the object by passing the `apiVersion` option to the
 * constructor:
 *
 * ```javascript
 * var csd = new AWS.CloudSearchDomain({
 *   endpoint: 'my.host.tld',
 *   apiVersion: '2013-01-01'
 * });
 * ```
 *
 * You can also set the API version globally in `AWS.config.apiVersions` using
 * the **cloudsearchdomain** service identifier:
 *
 * ```javascript
 * AWS.config.apiVersions = {
 *   cloudsearchdomain: '2013-01-01',
 *   // other service API versions
 * };
 *
 * var csd = new AWS.CloudSearchDomain({endpoint: 'my.host.tld'});
 * ```
 *
 * @note You *must* provide an `endpoint` configuration parameter when
 *   constructing this service. See {constructor} for more information.
 *
 * @!method constructor(options = {})
 *   Constructs a service object. This object has one method for each
 *   API operation.
 *
 *   @example Constructing a CloudSearchDomain object
 *     var csd = new AWS.CloudSearchDomain({endpoint: 'my.host.tld'});
 *   @note You *must* provide an `endpoint` when constructing this service.
 *   @option (see AWS.Config.constructor)
 *
 * @service cloudsearchdomain
 * @version 2013-01-01
 */
AWS.util.update(AWS.CloudSearchDomain.prototype, {
  /**
   * @api private
   */
  validateService: function validateService() {
    if (!this.config.endpoint || this.config.endpoint.indexOf('{') >= 0) {
      var msg = 'AWS.CloudSearchDomain requires an explicit ' +
                '`endpoint\' configuration option.';
      throw AWS.util.error(new Error(),
        {name: 'InvalidEndpoint', message: msg});
    }
  },

  /**
   * @api private
   */
  setupRequestListeners: function setupRequestListeners(request) {
    request.removeListener('validate',
      AWS.EventListeners.Core.VALIDATE_CREDENTIALS
    );
    request.onAsync('validate', this.validateCredentials);
    request.addListener('validate', this.updateRegion);
    if (request.operation === 'search') {
      request.addListener('build', this.convertGetToPost);
    }
  },

  /**
   * @api private
   */
  validateCredentials: function(req, done) {
    if (!req.service.api.signatureVersion) return done(); // none
    req.service.config.getCredentials(function(err) {
      if (err) {
        req.removeListener('sign', AWS.EventListeners.Core.SIGN);
      }
      done();
    });
  },

  /**
   * @api private
   */
  convertGetToPost: function(request) {
    var httpRequest = request.httpRequest;
    // convert queries to POST to avoid length restrictions
    var path = httpRequest.path.split('?');
    httpRequest.method = 'POST';
    httpRequest.path = path[0];
    httpRequest.body = path[1];
    httpRequest.headers['Content-Length'] = httpRequest.body.length;
    httpRequest.headers['Content-Type'] = 'application/x-www-form-urlencoded';
  },

  /**
   * @api private
   */
  updateRegion: function updateRegion(request) {
    var endpoint = request.httpRequest.endpoint.hostname;
    var zones = endpoint.split('.');
    request.httpRequest.region = zones[1] || request.httpRequest.region;
  }

});


/***/ }),

/***/ 59050:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var rdsutil = __nccwpck_require__(30650);

/**
* @api private
*/
var crossRegionOperations = ['createDBCluster', 'copyDBClusterSnapshot'];

AWS.util.update(AWS.DocDB.prototype, {
  /**
  * @api private
  */
  setupRequestListeners: function setupRequestListeners(request) {
    if (
      crossRegionOperations.indexOf(request.operation) !== -1 &&
      this.config.params &&
      this.config.params.SourceRegion &&
      request.params &&
      !request.params.SourceRegion
    ) {
      request.params.SourceRegion = this.config.params.SourceRegion;
    }
    rdsutil.setupRequestListeners(this, request, crossRegionOperations);
  },
});


/***/ }),

/***/ 17101:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
__nccwpck_require__(90030);

AWS.util.update(AWS.DynamoDB.prototype, {
  /**
   * @api private
   */
  setupRequestListeners: function setupRequestListeners(request) {
    if (request.service.config.dynamoDbCrc32) {
      request.removeListener('extractData', AWS.EventListeners.Json.EXTRACT_DATA);
      request.addListener('extractData', this.checkCrc32);
      request.addListener('extractData', AWS.EventListeners.Json.EXTRACT_DATA);
    }
  },

  /**
   * @api private
   */
  checkCrc32: function checkCrc32(resp) {
    if (!resp.httpResponse.streaming && !resp.request.service.crc32IsValid(resp)) {
      resp.data = null;
      resp.error = AWS.util.error(new Error(), {
        code: 'CRC32CheckFailed',
        message: 'CRC32 integrity check failed',
        retryable: true
      });
      resp.request.haltHandlersOnError();
      throw (resp.error);
    }
  },

  /**
   * @api private
   */
  crc32IsValid: function crc32IsValid(resp) {
    var crc = resp.httpResponse.headers['x-amz-crc32'];
    if (!crc) return true; // no (valid) CRC32 header
    return parseInt(crc, 10) === AWS.util.crypto.crc32(resp.httpResponse.body);
  },

  /**
   * @api private
   */
  defaultRetryCount: 10,

  /**
   * @api private
   */
  retryDelays: function retryDelays(retryCount, err) {
    var retryDelayOptions = AWS.util.copy(this.config.retryDelayOptions);

    if (typeof retryDelayOptions.base !== 'number') {
        retryDelayOptions.base = 50; // default for dynamodb
    }
    var delay = AWS.util.calculateRetryDelay(retryCount, retryDelayOptions, err);
    return delay;
  }
});


/***/ }),

/***/ 92501:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

AWS.util.update(AWS.EC2.prototype, {
  /**
   * @api private
   */
  setupRequestListeners: function setupRequestListeners(request) {
    request.removeListener('extractError', AWS.EventListeners.Query.EXTRACT_ERROR);
    request.addListener('extractError', this.extractError);

    if (request.operation === 'copySnapshot') {
      request.onAsync('validate', this.buildCopySnapshotPresignedUrl);
    }
  },

  /**
   * @api private
   */
  buildCopySnapshotPresignedUrl: function buildCopySnapshotPresignedUrl(req, done) {
    if (req.params.PresignedUrl || req._subRequest) {
      return done();
    }

    req.params = AWS.util.copy(req.params);
    req.params.DestinationRegion = req.service.config.region;

    var config = AWS.util.copy(req.service.config);
    delete config.endpoint;
    config.region = req.params.SourceRegion;
    var svc = new req.service.constructor(config);
    var newReq = svc[req.operation](req.params);
    newReq._subRequest = true;
    newReq.presign(function(err, url) {
      if (err) done(err);
      else {
        req.params.PresignedUrl = url;
        done();
      }
    });
  },

  /**
   * @api private
   */
  extractError: function extractError(resp) {
    // EC2 nests the error code and message deeper than other AWS Query services.
    var httpResponse = resp.httpResponse;
    var data = new AWS.XML.Parser().parse(httpResponse.body.toString() || '');
    if (data.Errors) {
      resp.error = AWS.util.error(new Error(), {
        code: data.Errors.Error.Code,
        message: data.Errors.Error.Message
      });
    } else {
      resp.error = AWS.util.error(new Error(), {
        code: httpResponse.statusCode,
        message: null
      });
    }
    resp.error.requestId = data.RequestID || null;
  }
});


/***/ }),

/***/ 14472:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

AWS.util.update(AWS.Glacier.prototype, {
  /**
   * @api private
   */
  setupRequestListeners: function setupRequestListeners(request) {
    if (Array.isArray(request._events.validate)) {
      request._events.validate.unshift(this.validateAccountId);
    } else {
      request.on('validate', this.validateAccountId);
    }
    request.removeListener('afterBuild',
      AWS.EventListeners.Core.COMPUTE_SHA256);
    request.on('build', this.addGlacierApiVersion);
    request.on('build', this.addTreeHashHeaders);
  },

  /**
   * @api private
   */
  validateAccountId: function validateAccountId(request) {
    if (request.params.accountId !== undefined) return;
    request.params = AWS.util.copy(request.params);
    request.params.accountId = '-';
  },

  /**
   * @api private
   */
  addGlacierApiVersion: function addGlacierApiVersion(request) {
    var version = request.service.api.apiVersion;
    request.httpRequest.headers['x-amz-glacier-version'] = version;
  },

  /**
   * @api private
   */
  addTreeHashHeaders: function addTreeHashHeaders(request) {
    if (request.params.body === undefined) return;

    var hashes = request.service.computeChecksums(request.params.body);
    request.httpRequest.headers['X-Amz-Content-Sha256'] = hashes.linearHash;

    if (!request.httpRequest.headers['x-amz-sha256-tree-hash']) {
      request.httpRequest.headers['x-amz-sha256-tree-hash'] = hashes.treeHash;
    }
  },

  /**
   * @!group Computing Checksums
   */

  /**
   * Computes the SHA-256 linear and tree hash checksums for a given
   * block of Buffer data. Pass the tree hash of the computed checksums
   * as the checksum input to the {completeMultipartUpload} when performing
   * a multi-part upload.
   *
   * @example Calculate checksum of 5.5MB data chunk
   *   var glacier = new AWS.Glacier();
   *   var data = Buffer.alloc(5.5 * 1024 * 1024);
   *   data.fill('0'); // fill with zeros
   *   var results = glacier.computeChecksums(data);
   *   // Result: { linearHash: '68aff0c5a9...', treeHash: '154e26c78f...' }
   * @param data [Buffer, String] data to calculate the checksum for
   * @return [map<linearHash:String,treeHash:String>] a map containing
   *   the linearHash and treeHash properties representing hex based digests
   *   of the respective checksums.
   * @see completeMultipartUpload
   */
  computeChecksums: function computeChecksums(data) {
    if (!AWS.util.Buffer.isBuffer(data)) data = AWS.util.buffer.toBuffer(data);

    var mb = 1024 * 1024;
    var hashes = [];
    var hash = AWS.util.crypto.createHash('sha256');

    // build leaf nodes in 1mb chunks
    for (var i = 0; i < data.length; i += mb) {
      var chunk = data.slice(i, Math.min(i + mb, data.length));
      hash.update(chunk);
      hashes.push(AWS.util.crypto.sha256(chunk));
    }

    return {
      linearHash: hash.digest('hex'),
      treeHash: this.buildHashTree(hashes)
    };
  },

  /**
   * @api private
   */
  buildHashTree: function buildHashTree(hashes) {
    // merge leaf nodes
    while (hashes.length > 1) {
      var tmpHashes = [];
      for (var i = 0; i < hashes.length; i += 2) {
        if (hashes[i + 1]) {
          var tmpHash = AWS.util.buffer.alloc(64);
          tmpHash.write(hashes[i], 0, 32, 'binary');
          tmpHash.write(hashes[i + 1], 32, 32, 'binary');
          tmpHashes.push(AWS.util.crypto.sha256(tmpHash));
        } else {
          tmpHashes.push(hashes[i]);
        }
      }
      hashes = tmpHashes;
    }

    return AWS.util.crypto.toHex(hashes[0]);
  }
});


/***/ }),

/***/ 27062:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

/**
 * @api private
 */
var blobPayloadOutputOps = [
  'deleteThingShadow',
  'getThingShadow',
  'updateThingShadow'
];

/**
 * Constructs a service interface object. Each API operation is exposed as a
 * function on service.
 *
 * ### Sending a Request Using IotData
 *
 * ```javascript
 * var iotdata = new AWS.IotData({endpoint: 'my.host.tld'});
 * iotdata.getThingShadow(params, function (err, data) {
 *   if (err) console.log(err, err.stack); // an error occurred
 *   else     console.log(data);           // successful response
 * });
 * ```
 *
 * ### Locking the API Version
 *
 * In order to ensure that the IotData object uses this specific API,
 * you can construct the object by passing the `apiVersion` option to the
 * constructor:
 *
 * ```javascript
 * var iotdata = new AWS.IotData({
 *   endpoint: 'my.host.tld',
 *   apiVersion: '2015-05-28'
 * });
 * ```
 *
 * You can also set the API version globally in `AWS.config.apiVersions` using
 * the **iotdata** service identifier:
 *
 * ```javascript
 * AWS.config.apiVersions = {
 *   iotdata: '2015-05-28',
 *   // other service API versions
 * };
 *
 * var iotdata = new AWS.IotData({endpoint: 'my.host.tld'});
 * ```
 *
 * @note You *must* provide an `endpoint` configuration parameter when
 *   constructing this service. See {constructor} for more information.
 *
 * @!method constructor(options = {})
 *   Constructs a service object. This object has one method for each
 *   API operation.
 *
 *   @example Constructing a IotData object
 *     var iotdata = new AWS.IotData({endpoint: 'my.host.tld'});
 *   @note You *must* provide an `endpoint` when constructing this service.
 *   @option (see AWS.Config.constructor)
 *
 * @service iotdata
 * @version 2015-05-28
 */
AWS.util.update(AWS.IotData.prototype, {
    /**
     * @api private
     */
    validateService: function validateService() {
        if (!this.config.endpoint || this.config.endpoint.indexOf('{') >= 0) {
            var msg = 'AWS.IotData requires an explicit ' +
                '`endpoint\' configuration option.';
            throw AWS.util.error(new Error(),
                {name: 'InvalidEndpoint', message: msg});
        }
    },

    /**
     * @api private
     */
    setupRequestListeners: function setupRequestListeners(request) {
        request.addListener('validateResponse', this.validateResponseBody);
        if (blobPayloadOutputOps.indexOf(request.operation) > -1) {
            request.addListener('extractData', AWS.util.convertPayloadToString);
        }
    },

    /**
     * @api private
     */
    validateResponseBody: function validateResponseBody(resp) {
        var body = resp.httpResponse.body.toString() || '{}';
        var bodyCheck = body.trim();
        if (!bodyCheck || bodyCheck.charAt(0) !== '{') {
            resp.httpResponse.body = '';
        }
    }

});


/***/ }),

/***/ 8452:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

AWS.util.update(AWS.Lambda.prototype, {
  /**
   * @api private
   */
  setupRequestListeners: function setupRequestListeners(request) {
    if (request.operation === 'invoke') {
      request.addListener('extractData', AWS.util.convertPayloadToString);
    }
  }
});



/***/ }),

/***/ 19174:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

AWS.util.update(AWS.MachineLearning.prototype, {
  /**
   * @api private
   */
  setupRequestListeners: function setupRequestListeners(request) {
    if (request.operation === 'predict') {
      request.addListener('build', this.buildEndpoint);
    }
  },

  /**
   * Updates request endpoint from PredictEndpoint
   * @api private
   */
  buildEndpoint: function buildEndpoint(request) {
    var url = request.params.PredictEndpoint;
    if (url) {
      request.httpRequest.endpoint = new AWS.Endpoint(url);
    }
  }

});


/***/ }),

/***/ 73090:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var rdsutil = __nccwpck_require__(30650);

/**
* @api private
*/
var crossRegionOperations = ['createDBCluster', 'copyDBClusterSnapshot'];

AWS.util.update(AWS.Neptune.prototype, {
  /**
  * @api private
  */
  setupRequestListeners: function setupRequestListeners(request) {
    if (
      crossRegionOperations.indexOf(request.operation) !== -1 &&
      this.config.params &&
      this.config.params.SourceRegion &&
      request.params &&
      !request.params.SourceRegion
    ) {
      request.params.SourceRegion = this.config.params.SourceRegion;
    }
    rdsutil.setupRequestListeners(this, request, crossRegionOperations);
  },
});


/***/ }),

/***/ 53199:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

__nccwpck_require__(44086);


/***/ }),

/***/ 71928:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var rdsutil = __nccwpck_require__(30650);
__nccwpck_require__(16612);
 /**
  * @api private
  */
 var crossRegionOperations = ['copyDBSnapshot', 'createDBInstanceReadReplica', 'createDBCluster', 'copyDBClusterSnapshot', 'startDBInstanceAutomatedBackupsReplication'];

 AWS.util.update(AWS.RDS.prototype, {
   /**
    * @api private
    */
   setupRequestListeners: function setupRequestListeners(request) {
    rdsutil.setupRequestListeners(this, request, crossRegionOperations);
   },
 });


/***/ }),

/***/ 64070:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

AWS.util.update(AWS.RDSDataService.prototype, {
  /**
   * @return [Boolean] whether the error can be retried
   * @api private
   */
  retryableError: function retryableError(error) {
    if (error.code === 'BadRequestException' &&
      error.message &&
      error.message.match(/^Communications link failure/) &&
      error.statusCode === 400) {
      return true;
    } else {
      var _super = AWS.Service.prototype.retryableError;
      return _super.call(this, error);
    }
  }
});


/***/ }),

/***/ 30650:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

var rdsutil = {
  /**
    * @api private
    */
   setupRequestListeners: function setupRequestListeners(service, request, crossRegionOperations) {
    if (crossRegionOperations.indexOf(request.operation) !== -1 &&
        request.params.SourceRegion) {
      request.params = AWS.util.copy(request.params);
      if (request.params.PreSignedUrl ||
          request.params.SourceRegion === service.config.region) {
        delete request.params.SourceRegion;
      } else {
        var doesParamValidation = !!service.config.paramValidation;
        // remove the validate parameters listener so we can re-add it after we build the URL
        if (doesParamValidation) {
          request.removeListener('validate', AWS.EventListeners.Core.VALIDATE_PARAMETERS);
        }
        request.onAsync('validate', rdsutil.buildCrossRegionPresignedUrl);
        if (doesParamValidation) {
          request.addListener('validate', AWS.EventListeners.Core.VALIDATE_PARAMETERS);
        }
      }
    }
  },

  /**
   * @api private
   */
  buildCrossRegionPresignedUrl: function buildCrossRegionPresignedUrl(req, done) {
    var config = AWS.util.copy(req.service.config);
    config.region = req.params.SourceRegion;
    delete req.params.SourceRegion;
    delete config.endpoint;
    // relevant params for the operation will already be in req.params
    delete config.params;
    config.signatureVersion = 'v4';
    var destinationRegion = req.service.config.region;

    var svc = new req.service.constructor(config);
    var newReq = svc[req.operation](AWS.util.copy(req.params));
    newReq.on('build', function addDestinationRegionParam(request) {
      var httpRequest = request.httpRequest;
      httpRequest.params.DestinationRegion = destinationRegion;
      httpRequest.body = AWS.util.queryParamsToString(httpRequest.params);
    });
    newReq.presign(function(err, url) {
      if (err) done(err);
      else {
        req.params.PreSignedUrl = url;
        done();
      }
    });
  }
};

/**
 * @api private
 */
module.exports = rdsutil;


/***/ }),

/***/ 69627:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

AWS.util.update(AWS.Route53.prototype, {
  /**
   * @api private
   */
  setupRequestListeners: function setupRequestListeners(request) {
    request.on('build', this.sanitizeUrl);
  },

  /**
   * @api private
   */
  sanitizeUrl: function sanitizeUrl(request) {
    var path = request.httpRequest.path;
    request.httpRequest.path = path.replace(/\/%2F\w+%2F/, '/');
  },

  /**
   * @return [Boolean] whether the error can be retried
   * @api private
   */
  retryableError: function retryableError(error) {
    if (error.code === 'PriorRequestNotComplete' &&
        error.statusCode === 400) {
      return true;
    } else {
      var _super = AWS.Service.prototype.retryableError;
      return _super.call(this, error);
    }
  }
});


/***/ }),

/***/ 26543:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var v4Credentials = __nccwpck_require__(62660);
var resolveRegionalEndpointsFlag = __nccwpck_require__(85566);
var s3util = __nccwpck_require__(35895);
var regionUtil = __nccwpck_require__(18262);

// Pull in managed upload extension
__nccwpck_require__(81600);

/**
 * @api private
 */
var operationsWith200StatusCodeError = {
  'completeMultipartUpload': true,
  'copyObject': true,
  'uploadPartCopy': true
};

/**
 * @api private
 */
 var regionRedirectErrorCodes = [
  'AuthorizationHeaderMalformed', // non-head operations on virtual-hosted global bucket endpoints
  'BadRequest', // head operations on virtual-hosted global bucket endpoints
  'PermanentRedirect', // non-head operations on path-style or regional endpoints
  301 // head operations on path-style or regional endpoints
 ];

var OBJECT_LAMBDA_SERVICE = 's3-object-lambda';

AWS.util.update(AWS.S3.prototype, {
  /**
   * @api private
   */
  getSignatureVersion: function getSignatureVersion(request) {
    var defaultApiVersion = this.api.signatureVersion;
    var userDefinedVersion = this._originalConfig ? this._originalConfig.signatureVersion : null;
    var regionDefinedVersion = this.config.signatureVersion;
    var isPresigned = request ? request.isPresigned() : false;
    /*
      1) User defined version specified:
        a) always return user defined version
      2) No user defined version specified:
        a) If not using presigned urls, default to V4
        b) If using presigned urls, default to lowest version the region supports
    */
    if (userDefinedVersion) {
      userDefinedVersion = userDefinedVersion === 'v2' ? 's3' : userDefinedVersion;
      return userDefinedVersion;
    }
    if (isPresigned !== true) {
      defaultApiVersion = 'v4';
    } else if (regionDefinedVersion) {
      defaultApiVersion = regionDefinedVersion;
    }
    return defaultApiVersion;
  },

  /**
   * @api private
   */
  getSigningName: function getSigningName(req) {
    if (req && req.operation === 'writeGetObjectResponse') {
      return OBJECT_LAMBDA_SERVICE;
    }

    var _super = AWS.Service.prototype.getSigningName;
    return (req && req._parsedArn && req._parsedArn.service)
      ? req._parsedArn.service
      : _super.call(this);
  },

  /**
   * @api private
   */
  getSignerClass: function getSignerClass(request) {
    var signatureVersion = this.getSignatureVersion(request);
    return AWS.Signers.RequestSigner.getVersion(signatureVersion);
  },

  /**
   * @api private
   */
  validateService: function validateService() {
    var msg;
    var messages = [];

    // default to us-east-1 when no region is provided
    if (!this.config.region) this.config.region = 'us-east-1';

    if (!this.config.endpoint && this.config.s3BucketEndpoint) {
      messages.push('An endpoint must be provided when configuring ' +
                    '`s3BucketEndpoint` to true.');
    }
    if (messages.length === 1) {
      msg = messages[0];
    } else if (messages.length > 1) {
      msg = 'Multiple configuration errors:\n' + messages.join('\n');
    }
    if (msg) {
      throw AWS.util.error(new Error(),
        {name: 'InvalidEndpoint', message: msg});
    }
  },

  /**
   * @api private
   */
  shouldDisableBodySigning: function shouldDisableBodySigning(request) {
    var signerClass = this.getSignerClass();
    if (this.config.s3DisableBodySigning === true && signerClass === AWS.Signers.V4
        && request.httpRequest.endpoint.protocol === 'https:') {
      return true;
    }
    return false;
  },

  /**
   * @api private
   */
  setupRequestListeners: function setupRequestListeners(request) {
    var prependListener = true;
    request.addListener('validate', this.validateScheme);
    request.addListener('validate', this.validateBucketName, prependListener);
    request.addListener('validate', this.optInUsEast1RegionalEndpoint, prependListener);

    request.removeListener('validate',
      AWS.EventListeners.Core.VALIDATE_REGION);
    request.addListener('build', this.addContentType);
    request.addListener('build', this.computeContentMd5);
    request.addListener('build', this.computeSseCustomerKeyMd5);
    request.addListener('build', this.populateURI);
    request.addListener('afterBuild', this.addExpect100Continue);
    request.addListener('extractError', this.extractError);
    request.addListener('extractData', AWS.util.hoistPayloadMember);
    request.addListener('extractData', this.extractData);
    request.addListener('extractData', this.extractErrorFrom200Response);
    request.addListener('beforePresign', this.prepareSignedUrl);
    if (this.shouldDisableBodySigning(request))  {
      request.removeListener('afterBuild', AWS.EventListeners.Core.COMPUTE_SHA256);
      request.addListener('afterBuild', this.disableBodySigning);
    }
    //deal with ARNs supplied to Bucket
    if (request.operation !== 'createBucket' && s3util.isArnInParam(request, 'Bucket')) {
      // avoid duplicate parsing in the future
      request._parsedArn = AWS.util.ARN.parse(request.params.Bucket);

      request.removeListener('validate', this.validateBucketName);
      request.removeListener('build', this.populateURI);
      if (request._parsedArn.service === 's3') {
        request.addListener('validate', s3util.validateS3AccessPointArn);
        request.addListener('validate', this.validateArnResourceType);
        request.addListener('validate', this.validateArnRegion);
      } else if (request._parsedArn.service === 's3-outposts') {
        request.addListener('validate', s3util.validateOutpostsAccessPointArn);
        request.addListener('validate', s3util.validateOutpostsArn);
        request.addListener('validate', s3util.validateArnRegion);
      }
      request.addListener('validate', s3util.validateArnAccount);
      request.addListener('validate', s3util.validateArnService);
      request.addListener('build', this.populateUriFromAccessPointArn);
      request.addListener('build', s3util.validatePopulateUriFromArn);
      return;
    }
    //listeners regarding region inference
    request.addListener('validate', this.validateBucketEndpoint);
    request.addListener('validate', this.correctBucketRegionFromCache);
    request.onAsync('extractError', this.requestBucketRegion);
    if (AWS.util.isBrowser()) {
      request.onAsync('retry', this.reqRegionForNetworkingError);
    }
  },

  /**
   * @api private
   */
  validateScheme: function(req) {
    var params = req.params,
        scheme = req.httpRequest.endpoint.protocol,
        sensitive = params.SSECustomerKey || params.CopySourceSSECustomerKey;
    if (sensitive && scheme !== 'https:') {
      var msg = 'Cannot send SSE keys over HTTP. Set \'sslEnabled\'' +
        'to \'true\' in your configuration';
      throw AWS.util.error(new Error(),
        { code: 'ConfigError', message: msg });
    }
  },

  /**
   * @api private
   */
  validateBucketEndpoint: function(req) {
    if (!req.params.Bucket && req.service.config.s3BucketEndpoint) {
      var msg = 'Cannot send requests to root API with `s3BucketEndpoint` set.';
      throw AWS.util.error(new Error(),
        { code: 'ConfigError', message: msg });
    }
  },

  /**
   * @api private
   */
   validateArnRegion: function validateArnRegion(req) {
    s3util.validateArnRegion(req, { allowFipsEndpoint: true });
  },

  /**
   * Validate resource-type supplied in S3 ARN
   */
  validateArnResourceType: function validateArnResourceType(req) {
    var resource = req._parsedArn.resource;

    if (
      resource.indexOf('accesspoint:') !== 0 &&
      resource.indexOf('accesspoint/') !== 0
    ) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidARN',
        message: 'ARN resource should begin with \'accesspoint/\''
      });
    }
  },

  /**
   * @api private
   */
  validateBucketName: function validateBucketName(req) {
    var service = req.service;
    var signatureVersion = service.getSignatureVersion(req);
    var bucket = req.params && req.params.Bucket;
    var key = req.params && req.params.Key;
    var slashIndex = bucket && bucket.indexOf('/');
    if (bucket && slashIndex >= 0) {
      if (typeof key === 'string' && slashIndex > 0) {
        req.params = AWS.util.copy(req.params);
        // Need to include trailing slash to match sigv2 behavior
        var prefix = bucket.substr(slashIndex + 1) || '';
        req.params.Key = prefix + '/' + key;
        req.params.Bucket = bucket.substr(0, slashIndex);
      } else if (signatureVersion === 'v4') {
        var msg = 'Bucket names cannot contain forward slashes. Bucket: ' + bucket;
        throw AWS.util.error(new Error(),
          { code: 'InvalidBucket', message: msg });
      }
    }
  },

  /**
   * @api private
   */
  isValidAccelerateOperation: function isValidAccelerateOperation(operation) {
    var invalidOperations = [
      'createBucket',
      'deleteBucket',
      'listBuckets'
    ];
    return invalidOperations.indexOf(operation) === -1;
  },

  /**
   * When us-east-1 region endpoint configuration is set, in stead of sending request to
   * global endpoint(e.g. 's3.amazonaws.com'), we will send request to
   * 's3.us-east-1.amazonaws.com'.
   * @api private
   */
  optInUsEast1RegionalEndpoint: function optInUsEast1RegionalEndpoint(req) {
    var service = req.service;
    var config = service.config;
    config.s3UsEast1RegionalEndpoint = resolveRegionalEndpointsFlag(service._originalConfig, {
      env: 'AWS_S3_US_EAST_1_REGIONAL_ENDPOINT',
      sharedConfig: 's3_us_east_1_regional_endpoint',
      clientConfig: 's3UsEast1RegionalEndpoint'
    });
    if (
      !(service._originalConfig || {}).endpoint &&
      req.httpRequest.region === 'us-east-1' &&
      config.s3UsEast1RegionalEndpoint === 'regional' &&
      req.httpRequest.endpoint.hostname.indexOf('s3.amazonaws.com') >= 0
    ) {
      var insertPoint = config.endpoint.indexOf('.amazonaws.com');
      regionalEndpoint = config.endpoint.substring(0, insertPoint) +
        '.us-east-1' + config.endpoint.substring(insertPoint);
      req.httpRequest.updateEndpoint(regionalEndpoint);
    }
  },

  /**
   * S3 prefers dns-compatible bucket names to be moved from the uri path
   * to the hostname as a sub-domain.  This is not possible, even for dns-compat
   * buckets when using SSL and the bucket name contains a dot ('.').  The
   * ssl wildcard certificate is only 1-level deep.
   *
   * @api private
   */
  populateURI: function populateURI(req) {
    var httpRequest = req.httpRequest;
    var b = req.params.Bucket;
    var service = req.service;
    var endpoint = httpRequest.endpoint;
    if (b) {
      if (!service.pathStyleBucketName(b)) {
        if (service.config.useAccelerateEndpoint && service.isValidAccelerateOperation(req.operation)) {
          if (service.config.useDualstackEndpoint) {
            endpoint.hostname = b + '.s3-accelerate.dualstack.amazonaws.com';
          } else {
            endpoint.hostname = b + '.s3-accelerate.amazonaws.com';
          }
        } else if (!service.config.s3BucketEndpoint) {
          endpoint.hostname =
            b + '.' + endpoint.hostname;
        }

        var port = endpoint.port;
        if (port !== 80 && port !== 443) {
          endpoint.host = endpoint.hostname + ':' +
            endpoint.port;
        } else {
          endpoint.host = endpoint.hostname;
        }

        httpRequest.virtualHostedBucket = b; // needed for signing the request
        service.removeVirtualHostedBucketFromPath(req);
      }
    }
  },

  /**
   * Takes the bucket name out of the path if bucket is virtual-hosted
   *
   * @api private
   */
  removeVirtualHostedBucketFromPath: function removeVirtualHostedBucketFromPath(req) {
    var httpRequest = req.httpRequest;
    var bucket = httpRequest.virtualHostedBucket;
    if (bucket && httpRequest.path) {
      if (req.params && req.params.Key) {
        var encodedS3Key = '/' + AWS.util.uriEscapePath(req.params.Key);
        if (httpRequest.path.indexOf(encodedS3Key) === 0 && (httpRequest.path.length === encodedS3Key.length || httpRequest.path[encodedS3Key.length] === '?')) {
          //path only contains key or path contains only key and querystring
          return;
        }
      }
      httpRequest.path = httpRequest.path.replace(new RegExp('/' + bucket), '');
      if (httpRequest.path[0] !== '/') {
        httpRequest.path = '/' + httpRequest.path;
      }
    }
  },

  /**
   * When user supply an access point ARN in the Bucket parameter, we need to
   * populate the URI according to the ARN.
   */
  populateUriFromAccessPointArn: function populateUriFromAccessPointArn(req) {
    var accessPointArn = req._parsedArn;

    var isOutpostArn = accessPointArn.service === 's3-outposts';
    var isObjectLambdaArn = accessPointArn.service === 's3-object-lambda';

    var outpostsSuffix = isOutpostArn ? '.' + accessPointArn.outpostId: '';
    var serviceName = isOutpostArn ? 's3-outposts': 's3-accesspoint';
    var fipsSuffix = !isOutpostArn && req.service.config.useFipsEndpoint ? '-fips': '';
    var dualStackSuffix = !isOutpostArn &&
      req.service.config.useDualstackEndpoint ? '.dualstack' : '';

    var endpoint = req.httpRequest.endpoint;
    var dnsSuffix = regionUtil.getEndpointSuffix(accessPointArn.region);
    var useArnRegion = req.service.config.s3UseArnRegion;

    endpoint.hostname = [
      accessPointArn.accessPoint + '-' + accessPointArn.accountId + outpostsSuffix,
      serviceName + fipsSuffix + dualStackSuffix,
      useArnRegion ? accessPointArn.region : req.service.config.region,
      dnsSuffix
    ].join('.');

    if (isObjectLambdaArn) {
      // should be in the format: "accesspoint/${accesspointName}"
      var serviceName = 's3-object-lambda';
      var accesspointName = accessPointArn.resource.split('/')[1];
      var fipsSuffix = req.service.config.useFipsEndpoint ? '-fips': '';
      endpoint.hostname = [
        accesspointName + '-' + accessPointArn.accountId,
        serviceName + fipsSuffix,
        useArnRegion ? accessPointArn.region : req.service.config.region,
        dnsSuffix
      ].join('.');
    }
    endpoint.host = endpoint.hostname;
    var encodedArn = AWS.util.uriEscape(req.params.Bucket);
    var path = req.httpRequest.path;
    //remove the Bucket value from path
    req.httpRequest.path = path.replace(new RegExp('/' + encodedArn), '');
    if (req.httpRequest.path[0] !== '/') {
      req.httpRequest.path = '/' + req.httpRequest.path;
    }
    req.httpRequest.region = accessPointArn.region; //region used to sign
  },

  /**
   * Adds Expect: 100-continue header if payload is greater-or-equal 1MB
   * @api private
   */
  addExpect100Continue: function addExpect100Continue(req) {
    var len = req.httpRequest.headers['Content-Length'];
    if (AWS.util.isNode() && (len >= 1024 * 1024 || req.params.Body instanceof AWS.util.stream.Stream)) {
      req.httpRequest.headers['Expect'] = '100-continue';
    }
  },

  /**
   * Adds a default content type if none is supplied.
   *
   * @api private
   */
  addContentType: function addContentType(req) {
    var httpRequest = req.httpRequest;
    if (httpRequest.method === 'GET' || httpRequest.method === 'HEAD') {
      // Content-Type is not set in GET/HEAD requests
      delete httpRequest.headers['Content-Type'];
      return;
    }

    if (!httpRequest.headers['Content-Type']) { // always have a Content-Type
      httpRequest.headers['Content-Type'] = 'application/octet-stream';
    }

    var contentType = httpRequest.headers['Content-Type'];
    if (AWS.util.isBrowser()) {
      if (typeof httpRequest.body === 'string' && !contentType.match(/;\s*charset=/)) {
        var charset = '; charset=UTF-8';
        httpRequest.headers['Content-Type'] += charset;
      } else {
        var replaceFn = function(_, prefix, charsetName) {
          return prefix + charsetName.toUpperCase();
        };

        httpRequest.headers['Content-Type'] =
          contentType.replace(/(;\s*charset=)(.+)$/, replaceFn);
      }
    }
  },

  /**
   * Checks whether checksums should be computed for the request if it's not
   * already set by {AWS.EventListeners.Core.COMPUTE_CHECKSUM}. It depends on
   * whether {AWS.Config.computeChecksums} is set.
   *
   * @param req [AWS.Request] the request to check against
   * @return [Boolean] whether to compute checksums for a request.
   * @api private
   */
  willComputeChecksums: function willComputeChecksums(req) {
    var rules = req.service.api.operations[req.operation].input.members;
    var body = req.httpRequest.body;
    var needsContentMD5 = rules.ContentMD5 &&
      !req.params.ContentMD5 &&
      body &&
      (AWS.util.Buffer.isBuffer(req.httpRequest.body) || typeof req.httpRequest.body === 'string');

    // Sha256 signing disabled, and not a presigned url
    if (needsContentMD5 && req.service.shouldDisableBodySigning(req) && !req.isPresigned()) {
      return true;
    }

    // SigV2 and presign, for backwards compatibility purpose.
    if (needsContentMD5 && this.getSignatureVersion(req) === 's3' && req.isPresigned()) {
      return true;
    }

    return false;
  },

  /**
   * A listener that computes the Content-MD5 and sets it in the header.
   * This listener is to support S3-specific features like
   * s3DisableBodySigning and SigV2 presign. Content MD5 logic for SigV4 is
   * handled in AWS.EventListeners.Core.COMPUTE_CHECKSUM
   *
   * @api private
   */
  computeContentMd5: function computeContentMd5(req) {
    if (req.service.willComputeChecksums(req)) {
      var md5 = AWS.util.crypto.md5(req.httpRequest.body, 'base64');
      req.httpRequest.headers['Content-MD5'] = md5;
    }
  },

  /**
   * @api private
   */
  computeSseCustomerKeyMd5: function computeSseCustomerKeyMd5(req) {
    var keys = {
      SSECustomerKey: 'x-amz-server-side-encryption-customer-key-MD5',
      CopySourceSSECustomerKey: 'x-amz-copy-source-server-side-encryption-customer-key-MD5'
    };
    AWS.util.each(keys, function(key, header) {
      if (req.params[key]) {
        var value = AWS.util.crypto.md5(req.params[key], 'base64');
        req.httpRequest.headers[header] = value;
      }
    });
  },

  /**
   * Returns true if the bucket name should be left in the URI path for
   * a request to S3.  This function takes into account the current
   * endpoint protocol (e.g. http or https).
   *
   * @api private
   */
  pathStyleBucketName: function pathStyleBucketName(bucketName) {
    // user can force path style requests via the configuration
    if (this.config.s3ForcePathStyle) return true;
    if (this.config.s3BucketEndpoint) return false;

    if (s3util.dnsCompatibleBucketName(bucketName)) {
      return (this.config.sslEnabled && bucketName.match(/\./)) ? true : false;
    } else {
      return true; // not dns compatible names must always use path style
    }
  },

  /**
   * For COPY operations, some can be error even with status code 200.
   * SDK treats the response as exception when response body indicates
   * an exception or body is empty.
   *
   * @api private
   */
  extractErrorFrom200Response: function extractErrorFrom200Response(resp) {
    if (!operationsWith200StatusCodeError[resp.request.operation]) return;
    var httpResponse = resp.httpResponse;
    if (httpResponse.body && httpResponse.body.toString().match('<Error>')) {
      // Response body with '<Error>...</Error>' indicates an exception.
      // Get S3 client object. In ManagedUpload, this.service refers to
      // S3 client object.
      resp.data = null;
      var service = this.service ? this.service : this;
      service.extractError(resp);
      throw resp.error;
    } else if (!httpResponse.body || !httpResponse.body.toString().match(/<[\w_]/)) {
      // When body is empty or incomplete, S3 might stop the request on detecting client
      // side aborting the request.
      resp.data = null;
      throw AWS.util.error(new Error(), {
        code: 'InternalError',
        message: 'S3 aborted request'
      });
    }
  },

  /**
   * @return [Boolean] whether the error can be retried
   * @api private
   */
  retryableError: function retryableError(error, request) {
    if (operationsWith200StatusCodeError[request.operation] &&
        error.statusCode === 200) {
      return true;
    } else if (request._requestRegionForBucket &&
        request.service.bucketRegionCache[request._requestRegionForBucket]) {
      return false;
    } else if (error && error.code === 'RequestTimeout') {
      return true;
    } else if (error &&
        regionRedirectErrorCodes.indexOf(error.code) != -1 &&
        error.region && error.region != request.httpRequest.region) {
      request.httpRequest.region = error.region;
      if (error.statusCode === 301) {
        request.service.updateReqBucketRegion(request);
      }
      return true;
    } else {
      var _super = AWS.Service.prototype.retryableError;
      return _super.call(this, error, request);
    }
  },

  /**
   * Updates httpRequest with region. If region is not provided, then
   * the httpRequest will be updated based on httpRequest.region
   *
   * @api private
   */
  updateReqBucketRegion: function updateReqBucketRegion(request, region) {
    var httpRequest = request.httpRequest;
    if (typeof region === 'string' && region.length) {
      httpRequest.region = region;
    }
    if (!httpRequest.endpoint.host.match(/s3(?!-accelerate).*\.amazonaws\.com$/)) {
      return;
    }
    var service = request.service;
    var s3Config = service.config;
    var s3BucketEndpoint = s3Config.s3BucketEndpoint;
    if (s3BucketEndpoint) {
      delete s3Config.s3BucketEndpoint;
    }
    var newConfig = AWS.util.copy(s3Config);
    delete newConfig.endpoint;
    newConfig.region = httpRequest.region;

    httpRequest.endpoint = (new AWS.S3(newConfig)).endpoint;
    service.populateURI(request);
    s3Config.s3BucketEndpoint = s3BucketEndpoint;
    httpRequest.headers.Host = httpRequest.endpoint.host;

    if (request._asm.currentState === 'validate') {
      request.removeListener('build', service.populateURI);
      request.addListener('build', service.removeVirtualHostedBucketFromPath);
    }
  },

  /**
   * Provides a specialized parser for getBucketLocation -- all other
   * operations are parsed by the super class.
   *
   * @api private
   */
  extractData: function extractData(resp) {
    var req = resp.request;
    if (req.operation === 'getBucketLocation') {
      var match = resp.httpResponse.body.toString().match(/>(.+)<\/Location/);
      delete resp.data['_'];
      if (match) {
        resp.data.LocationConstraint = match[1];
      } else {
        resp.data.LocationConstraint = '';
      }
    }
    var bucket = req.params.Bucket || null;
    if (req.operation === 'deleteBucket' && typeof bucket === 'string' && !resp.error) {
      req.service.clearBucketRegionCache(bucket);
    } else {
      var headers = resp.httpResponse.headers || {};
      var region = headers['x-amz-bucket-region'] || null;
      if (!region && req.operation === 'createBucket' && !resp.error) {
        var createBucketConfiguration = req.params.CreateBucketConfiguration;
        if (!createBucketConfiguration) {
          region = 'us-east-1';
        } else if (createBucketConfiguration.LocationConstraint === 'EU') {
          region = 'eu-west-1';
        } else {
          region = createBucketConfiguration.LocationConstraint;
        }
      }
      if (region) {
          if (bucket && region !== req.service.bucketRegionCache[bucket]) {
            req.service.bucketRegionCache[bucket] = region;
          }
      }
    }
    req.service.extractRequestIds(resp);
  },

  /**
   * Extracts an error object from the http response.
   *
   * @api private
   */
  extractError: function extractError(resp) {
    var codes = {
      304: 'NotModified',
      403: 'Forbidden',
      400: 'BadRequest',
      404: 'NotFound'
    };

    var req = resp.request;
    var code = resp.httpResponse.statusCode;
    var body = resp.httpResponse.body || '';

    var headers = resp.httpResponse.headers || {};
    var region = headers['x-amz-bucket-region'] || null;
    var bucket = req.params.Bucket || null;
    var bucketRegionCache = req.service.bucketRegionCache;
    if (region && bucket && region !== bucketRegionCache[bucket]) {
      bucketRegionCache[bucket] = region;
    }

    var cachedRegion;
    if (codes[code] && body.length === 0) {
      if (bucket && !region) {
        cachedRegion = bucketRegionCache[bucket] || null;
        if (cachedRegion !== req.httpRequest.region) {
          region = cachedRegion;
        }
      }
      resp.error = AWS.util.error(new Error(), {
        code: codes[code],
        message: null,
        region: region
      });
    } else {
      var data = new AWS.XML.Parser().parse(body.toString());

      if (data.Region && !region) {
        region = data.Region;
        if (bucket && region !== bucketRegionCache[bucket]) {
          bucketRegionCache[bucket] = region;
        }
      } else if (bucket && !region && !data.Region) {
        cachedRegion = bucketRegionCache[bucket] || null;
        if (cachedRegion !== req.httpRequest.region) {
          region = cachedRegion;
        }
      }

      resp.error = AWS.util.error(new Error(), {
        code: data.Code || code,
        message: data.Message || null,
        region: region
      });
    }
    req.service.extractRequestIds(resp);
  },

  /**
   * If region was not obtained synchronously, then send async request
   * to get bucket region for errors resulting from wrong region.
   *
   * @api private
   */
  requestBucketRegion: function requestBucketRegion(resp, done) {
    var error = resp.error;
    var req = resp.request;
    var bucket = req.params.Bucket || null;

    if (!error || !bucket || error.region || req.operation === 'listObjects' ||
        (AWS.util.isNode() && req.operation === 'headBucket') ||
        (error.statusCode === 400 && req.operation !== 'headObject') ||
        regionRedirectErrorCodes.indexOf(error.code) === -1) {
      return done();
    }
    var reqOperation = AWS.util.isNode() ? 'headBucket' : 'listObjects';
    var reqParams = {Bucket: bucket};
    if (reqOperation === 'listObjects') reqParams.MaxKeys = 0;
    var regionReq = req.service[reqOperation](reqParams);
    regionReq._requestRegionForBucket = bucket;
    regionReq.send(function() {
      var region = req.service.bucketRegionCache[bucket] || null;
      error.region = region;
      done();
    });
  },

   /**
   * For browser only. If NetworkingError received, will attempt to obtain
   * the bucket region.
   *
   * @api private
   */
   reqRegionForNetworkingError: function reqRegionForNetworkingError(resp, done) {
    if (!AWS.util.isBrowser()) {
      return done();
    }
    var error = resp.error;
    var request = resp.request;
    var bucket = request.params.Bucket;
    if (!error || error.code !== 'NetworkingError' || !bucket ||
        request.httpRequest.region === 'us-east-1') {
      return done();
    }
    var service = request.service;
    var bucketRegionCache = service.bucketRegionCache;
    var cachedRegion = bucketRegionCache[bucket] || null;

    if (cachedRegion && cachedRegion !== request.httpRequest.region) {
      service.updateReqBucketRegion(request, cachedRegion);
      done();
    } else if (!s3util.dnsCompatibleBucketName(bucket)) {
      service.updateReqBucketRegion(request, 'us-east-1');
      if (bucketRegionCache[bucket] !== 'us-east-1') {
        bucketRegionCache[bucket] = 'us-east-1';
      }
      done();
    } else if (request.httpRequest.virtualHostedBucket) {
      var getRegionReq = service.listObjects({Bucket: bucket, MaxKeys: 0});
      service.updateReqBucketRegion(getRegionReq, 'us-east-1');
      getRegionReq._requestRegionForBucket = bucket;

      getRegionReq.send(function() {
        var region = service.bucketRegionCache[bucket] || null;
        if (region && region !== request.httpRequest.region) {
          service.updateReqBucketRegion(request, region);
        }
        done();
      });
    } else {
      // DNS-compatible path-style
      // (s3ForcePathStyle or bucket name with dot over https)
      // Cannot obtain region information for this case
      done();
    }
   },

  /**
   * Cache for bucket region.
   *
   * @api private
   */
   bucketRegionCache: {},

  /**
   * Clears bucket region cache.
   *
   * @api private
   */
   clearBucketRegionCache: function(buckets) {
    var bucketRegionCache = this.bucketRegionCache;
    if (!buckets) {
      buckets = Object.keys(bucketRegionCache);
    } else if (typeof buckets === 'string') {
      buckets = [buckets];
    }
    for (var i = 0; i < buckets.length; i++) {
      delete bucketRegionCache[buckets[i]];
    }
    return bucketRegionCache;
   },

   /**
    * Corrects request region if bucket's cached region is different
    *
    * @api private
    */
  correctBucketRegionFromCache: function correctBucketRegionFromCache(req) {
    var bucket = req.params.Bucket || null;
    if (bucket) {
      var service = req.service;
      var requestRegion = req.httpRequest.region;
      var cachedRegion = service.bucketRegionCache[bucket];
      if (cachedRegion && cachedRegion !== requestRegion) {
        service.updateReqBucketRegion(req, cachedRegion);
      }
    }
  },

  /**
   * Extracts S3 specific request ids from the http response.
   *
   * @api private
   */
  extractRequestIds: function extractRequestIds(resp) {
    var extendedRequestId = resp.httpResponse.headers ? resp.httpResponse.headers['x-amz-id-2'] : null;
    var cfId = resp.httpResponse.headers ? resp.httpResponse.headers['x-amz-cf-id'] : null;
    resp.extendedRequestId = extendedRequestId;
    resp.cfId = cfId;

    if (resp.error) {
      resp.error.requestId = resp.requestId || null;
      resp.error.extendedRequestId = extendedRequestId;
      resp.error.cfId = cfId;
    }
  },

  /**
   * Get a pre-signed URL for a given operation name.
   *
   * @note You must ensure that you have static or previously resolved
   *   credentials if you call this method synchronously (with no callback),
   *   otherwise it may not properly sign the request. If you cannot guarantee
   *   this (you are using an asynchronous credential provider, i.e., EC2
   *   IAM roles), you should always call this method with an asynchronous
   *   callback.
   * @note Not all operation parameters are supported when using pre-signed
   *   URLs. Certain parameters, such as `SSECustomerKey`, `ACL`, `Expires`,
   *   `ContentLength`, or `Tagging` must be provided as headers when sending a
   *   request. If you are using pre-signed URLs to upload from a browser and
   *   need to use these fields, see {createPresignedPost}.
   * @note The default signer allows altering the request by adding corresponding
   *   headers to set some parameters (e.g. Range) and these added parameters
   *   won't be signed. You must use signatureVersion v4 to to include these
   *   parameters in the signed portion of the URL and enforce exact matching
   *   between headers and signed params in the URL.
   * @note This operation cannot be used with a promise. See note above regarding
   *   asynchronous credentials and use with a callback.
   * @param operation [String] the name of the operation to call
   * @param params [map] parameters to pass to the operation. See the given
   *   operation for the expected operation parameters. In addition, you can
   *   also pass the "Expires" parameter to inform S3 how long the URL should
   *   work for.
   * @option params Expires [Integer] (900) the number of seconds to expire
   *   the pre-signed URL operation in. Defaults to 15 minutes.
   * @param callback [Function] if a callback is provided, this function will
   *   pass the URL as the second parameter (after the error parameter) to
   *   the callback function.
   * @return [String] if called synchronously (with no callback), returns the
   *   signed URL.
   * @return [null] nothing is returned if a callback is provided.
   * @example Pre-signing a getObject operation (synchronously)
   *   var params = {Bucket: 'bucket', Key: 'key'};
   *   var url = s3.getSignedUrl('getObject', params);
   *   console.log('The URL is', url);
   * @example Pre-signing a putObject (asynchronously)
   *   var params = {Bucket: 'bucket', Key: 'key'};
   *   s3.getSignedUrl('putObject', params, function (err, url) {
   *     console.log('The URL is', url);
   *   });
   * @example Pre-signing a putObject operation with a specific payload
   *   var params = {Bucket: 'bucket', Key: 'key', Body: 'body'};
   *   var url = s3.getSignedUrl('putObject', params);
   *   console.log('The URL is', url);
   * @example Passing in a 1-minute expiry time for a pre-signed URL
   *   var params = {Bucket: 'bucket', Key: 'key', Expires: 60};
   *   var url = s3.getSignedUrl('getObject', params);
   *   console.log('The URL is', url); // expires in 60 seconds
   */
  getSignedUrl: function getSignedUrl(operation, params, callback) {
    params = AWS.util.copy(params || {});
    var expires = params.Expires || 900;

    if (typeof expires !== 'number') {
      throw AWS.util.error(new Error(),
        { code: 'InvalidParameterException', message: 'The expiration must be a number, received ' + typeof expires });
    }

    delete params.Expires; // we can't validate this
    var request = this.makeRequest(operation, params);

    if (callback) {
      AWS.util.defer(function() {
        request.presign(expires, callback);
      });
    } else {
      return request.presign(expires, callback);
    }
  },

  /**
   * @!method  getSignedUrlPromise()
   *   Returns a 'thenable' promise that will be resolved with a pre-signed URL
   *   for a given operation name.
   *
   *   Two callbacks can be provided to the `then` method on the returned promise.
   *   The first callback will be called if the promise is fulfilled, and the second
   *   callback will be called if the promise is rejected.
   *   @note Not all operation parameters are supported when using pre-signed
   *      URLs. Certain parameters, such as `SSECustomerKey`, `ACL`, `Expires`,
   *      `ContentLength`, or `Tagging` must be provided as headers when sending a
   *      request. If you are using pre-signed URLs to upload from a browser and
   *      need to use these fields, see {createPresignedPost}.
   *   @param operation [String] the name of the operation to call
   *   @param params [map] parameters to pass to the operation. See the given
   *      operation for the expected operation parameters. In addition, you can
   *      also pass the "Expires" parameter to inform S3 how long the URL should
   *      work for.
   *   @option params Expires [Integer] (900) the number of seconds to expire
   *      the pre-signed URL operation in. Defaults to 15 minutes.
   *   @callback fulfilledCallback function(url)
   *     Called if the promise is fulfilled.
   *     @param url [String] the signed url
   *   @callback rejectedCallback function(err)
   *     Called if the promise is rejected.
   *     @param err [Error] if an error occurred, this value will be filled
   *   @return [Promise] A promise that represents the state of the `refresh` call.
   *   @example Pre-signing a getObject operation
   *      var params = {Bucket: 'bucket', Key: 'key'};
   *      var promise = s3.getSignedUrlPromise('getObject', params);
   *      promise.then(function(url) {
   *        console.log('The URL is', url);
   *      }, function(err) { ... });
   *   @example Pre-signing a putObject operation with a specific payload
   *      var params = {Bucket: 'bucket', Key: 'key', Body: 'body'};
   *      var promise = s3.getSignedUrlPromise('putObject', params);
   *      promise.then(function(url) {
   *        console.log('The URL is', url);
   *      }, function(err) { ... });
   *   @example Passing in a 1-minute expiry time for a pre-signed URL
   *      var params = {Bucket: 'bucket', Key: 'key', Expires: 60};
   *      var promise = s3.getSignedUrlPromise('getObject', params);
   *      promise.then(function(url) {
   *        console.log('The URL is', url);
   *      }, function(err) { ... });
   */

  /**
   * Get a pre-signed POST policy to support uploading to S3 directly from an
   * HTML form.
   *
   * @param params [map]
   * @option params Bucket [String]     The bucket to which the post should be
   *                                    uploaded
   * @option params Expires [Integer]   (3600) The number of seconds for which
   *                                    the presigned policy should be valid.
   * @option params Conditions [Array]  An array of conditions that must be met
   *                                    for the presigned policy to allow the
   *                                    upload. This can include required tags,
   *                                    the accepted range for content lengths,
   *                                    etc.
   * @see http://docs.aws.amazon.com/AmazonS3/latest/API/sigv4-HTTPPOSTConstructPolicy.html
   * @option params Fields [map]        Fields to include in the form. All
   *                                    values passed in as fields will be
   *                                    signed as exact match conditions.
   * @param callback [Function]
   *
   * @note All fields passed in when creating presigned post data will be signed
   *   as exact match conditions. Any fields that will be interpolated by S3
   *   must be added to the fields hash after signing, and an appropriate
   *   condition for such fields must be explicitly added to the Conditions
   *   array passed to this function before signing.
   *
   * @example Presiging post data with a known key
   *   var params = {
   *     Bucket: 'bucket',
   *     Fields: {
   *       key: 'key'
   *     }
   *   };
   *   s3.createPresignedPost(params, function(err, data) {
   *     if (err) {
   *       console.error('Presigning post data encountered an error', err);
   *     } else {
   *       console.log('The post data is', data);
   *     }
   *   });
   *
   * @example Presigning post data with an interpolated key
   *   var params = {
   *     Bucket: 'bucket',
   *     Conditions: [
   *       ['starts-with', '$key', 'path/to/uploads/']
   *     ]
   *   };
   *   s3.createPresignedPost(params, function(err, data) {
   *     if (err) {
   *       console.error('Presigning post data encountered an error', err);
   *     } else {
   *       data.Fields.key = 'path/to/uploads/${filename}';
   *       console.log('The post data is', data);
   *     }
   *   });
   *
   * @note You must ensure that you have static or previously resolved
   *   credentials if you call this method synchronously (with no callback),
   *   otherwise it may not properly sign the request. If you cannot guarantee
   *   this (you are using an asynchronous credential provider, i.e., EC2
   *   IAM roles), you should always call this method with an asynchronous
   *   callback.
   *
   * @return [map]  If called synchronously (with no callback), returns a hash
   *                with the url to set as the form action and a hash of fields
   *                to include in the form.
   * @return [null] Nothing is returned if a callback is provided.
   *
   * @callback callback function (err, data)
   *  @param err [Error] the error object returned from the policy signer
   *  @param data [map] The data necessary to construct an HTML form
   *  @param data.url [String] The URL to use as the action of the form
   *  @param data.fields [map] A hash of fields that must be included in the
   *                           form for the upload to succeed. This hash will
   *                           include the signed POST policy, your access key
   *                           ID and security token (if present), etc. These
   *                           may be safely included as input elements of type
   *                           'hidden.'
   */
  createPresignedPost: function createPresignedPost(params, callback) {
    if (typeof params === 'function' && callback === undefined) {
      callback = params;
      params = null;
    }

    params = AWS.util.copy(params || {});
    var boundParams = this.config.params || {};
    var bucket = params.Bucket || boundParams.Bucket,
      self = this,
      config = this.config,
      endpoint = AWS.util.copy(this.endpoint);
    if (!config.s3BucketEndpoint) {
      endpoint.pathname = '/' + bucket;
    }

    function finalizePost() {
      return {
        url: AWS.util.urlFormat(endpoint),
        fields: self.preparePostFields(
          config.credentials,
          config.region,
          bucket,
          params.Fields,
          params.Conditions,
          params.Expires
        )
      };
    }

    if (callback) {
      config.getCredentials(function (err) {
        if (err) {
          callback(err);
        } else {
          try {
            callback(null, finalizePost());
          } catch (err) {
            callback(err);
          }
        }
      });
    } else {
      return finalizePost();
    }
  },

  /**
   * @api private
   */
  preparePostFields: function preparePostFields(
    credentials,
    region,
    bucket,
    fields,
    conditions,
    expiresInSeconds
  ) {
    var now = this.getSkewCorrectedDate();
    if (!credentials || !region || !bucket) {
      throw new Error('Unable to create a POST object policy without a bucket,'
        + ' region, and credentials');
    }
    fields = AWS.util.copy(fields || {});
    conditions = (conditions || []).slice(0);
    expiresInSeconds = expiresInSeconds || 3600;

    var signingDate = AWS.util.date.iso8601(now).replace(/[:\-]|\.\d{3}/g, '');
    var shortDate = signingDate.substr(0, 8);
    var scope = v4Credentials.createScope(shortDate, region, 's3');
    var credential = credentials.accessKeyId + '/' + scope;

    fields['bucket'] = bucket;
    fields['X-Amz-Algorithm'] = 'AWS4-HMAC-SHA256';
    fields['X-Amz-Credential'] = credential;
    fields['X-Amz-Date'] = signingDate;
    if (credentials.sessionToken) {
      fields['X-Amz-Security-Token'] = credentials.sessionToken;
    }
    for (var field in fields) {
      if (fields.hasOwnProperty(field)) {
        var condition = {};
        condition[field] = fields[field];
        conditions.push(condition);
      }
    }

    fields.Policy = this.preparePostPolicy(
      new Date(now.valueOf() + expiresInSeconds * 1000),
      conditions
    );
    fields['X-Amz-Signature'] = AWS.util.crypto.hmac(
      v4Credentials.getSigningKey(credentials, shortDate, region, 's3', true),
      fields.Policy,
      'hex'
    );

    return fields;
  },

  /**
   * @api private
   */
  preparePostPolicy: function preparePostPolicy(expiration, conditions) {
    return AWS.util.base64.encode(JSON.stringify({
      expiration: AWS.util.date.iso8601(expiration),
      conditions: conditions
    }));
  },

  /**
   * @api private
   */
  prepareSignedUrl: function prepareSignedUrl(request) {
    request.addListener('validate', request.service.noPresignedContentLength);
    request.removeListener('build', request.service.addContentType);
    if (!request.params.Body) {
      // no Content-MD5/SHA-256 if body is not provided
      request.removeListener('build', request.service.computeContentMd5);
    } else {
      request.addListener('afterBuild', AWS.EventListeners.Core.COMPUTE_SHA256);
    }
  },

  /**
   * @api private
   * @param request
   */
  disableBodySigning: function disableBodySigning(request) {
    var headers = request.httpRequest.headers;
    // Add the header to anything that isn't a presigned url, unless that presigned url had a body defined
    if (!Object.prototype.hasOwnProperty.call(headers, 'presigned-expires')) {
      headers['X-Amz-Content-Sha256'] = 'UNSIGNED-PAYLOAD';
    }
  },

  /**
   * @api private
   */
  noPresignedContentLength: function noPresignedContentLength(request) {
    if (request.params.ContentLength !== undefined) {
      throw AWS.util.error(new Error(), {code: 'UnexpectedParameter',
        message: 'ContentLength is not supported in pre-signed URLs.'});
    }
  },

  createBucket: function createBucket(params, callback) {
    // When creating a bucket *outside* the classic region, the location
    // constraint must be set for the bucket and it must match the endpoint.
    // This chunk of code will set the location constraint param based
    // on the region (when possible), but it will not override a passed-in
    // location constraint.
    if (typeof params === 'function' || !params) {
      callback = callback || params;
      params = {};
    }
    var hostname = this.endpoint.hostname;
    // copy params so that appending keys does not unintentioinallly
    // mutate params object argument passed in by user
    var copiedParams = AWS.util.copy(params);

    if (hostname !== this.api.globalEndpoint && !params.CreateBucketConfiguration) {
      copiedParams.CreateBucketConfiguration = { LocationConstraint: this.config.region };
    }
    return this.makeRequest('createBucket', copiedParams, callback);
  },

  writeGetObjectResponse: function writeGetObjectResponse(params, callback) {

    var request = this.makeRequest('writeGetObjectResponse', AWS.util.copy(params), callback);
    var hostname = this.endpoint.hostname;
    if (hostname.indexOf(this.config.region) !== -1) {
      // hostname specifies a region already
      hostname = hostname.replace('s3.', OBJECT_LAMBDA_SERVICE + '.');
    } else {
      // Hostname doesn't have a region.
      // Object Lambda requires an explicit region.
      hostname = hostname.replace('s3.', OBJECT_LAMBDA_SERVICE + '.' + this.config.region + '.');
    }

    request.httpRequest.endpoint = new AWS.Endpoint(hostname, this.config);
    return request;
  },

  /**
   * @see AWS.S3.ManagedUpload
   * @overload upload(params = {}, [options], [callback])
   *   Uploads an arbitrarily sized buffer, blob, or stream, using intelligent
   *   concurrent handling of parts if the payload is large enough. You can
   *   configure the concurrent queue size by setting `options`. Note that this
   *   is the only operation for which the SDK can retry requests with stream
   *   bodies.
   *
   *   @param (see AWS.S3.putObject)
   *   @option (see AWS.S3.ManagedUpload.constructor)
   *   @return [AWS.S3.ManagedUpload] the managed upload object that can call
   *     `send()` or track progress.
   *   @example Uploading a stream object
   *     var params = {Bucket: 'bucket', Key: 'key', Body: stream};
   *     s3.upload(params, function(err, data) {
   *       console.log(err, data);
   *     });
   *   @example Uploading a stream with concurrency of 1 and partSize of 10mb
   *     var params = {Bucket: 'bucket', Key: 'key', Body: stream};
   *     var options = {partSize: 10 * 1024 * 1024, queueSize: 1};
   *     s3.upload(params, options, function(err, data) {
   *       console.log(err, data);
   *     });
   * @callback callback function(err, data)
   *   @param err [Error] an error or null if no error occurred.
   *   @param data [map] The response data from the successful upload:
   *   @param data.Location [String] the URL of the uploaded object
   *   @param data.ETag [String] the ETag of the uploaded object
   *   @param data.Bucket [String]  the bucket to which the object was uploaded
   *   @param data.Key [String] the key to which the object was uploaded
   */
  upload: function upload(params, options, callback) {
    if (typeof options === 'function' && callback === undefined) {
      callback = options;
      options = null;
    }

    options = options || {};
    options = AWS.util.merge(options || {}, {service: this, params: params});

    var uploader = new AWS.S3.ManagedUpload(options);
    if (typeof callback === 'function') uploader.send(callback);
    return uploader;
  }
});

/**
 * @api private
 */
AWS.S3.addPromisesToClass = function addPromisesToClass(PromiseDependency) {
  this.prototype.getSignedUrlPromise = AWS.util.promisifyMethod('getSignedUrl', PromiseDependency);
};

/**
 * @api private
 */
AWS.S3.deletePromisesFromClass = function deletePromisesFromClass() {
  delete this.prototype.getSignedUrlPromise;
};

AWS.util.addPromises(AWS.S3);


/***/ }),

/***/ 71207:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var s3util = __nccwpck_require__(35895);
var regionUtil = __nccwpck_require__(18262);

AWS.util.update(AWS.S3Control.prototype, {
  /**
   * @api private
   */
  setupRequestListeners: function setupRequestListeners(request) {
    request.addListener('extractError', this.extractHostId);
    request.addListener('extractData', this.extractHostId);
    request.addListener('validate', this.validateAccountId);

    var isArnInBucket = s3util.isArnInParam(request, 'Bucket');
    var isArnInName = s3util.isArnInParam(request, 'Name');

    if (isArnInBucket) {
      request._parsedArn = AWS.util.ARN.parse(request.params['Bucket']);
      request.addListener('validate', this.validateOutpostsBucketArn);
      request.addListener('validate', s3util.validateOutpostsArn);
      request.addListener('afterBuild', this.addOutpostIdHeader);
    } else if (isArnInName) {
      request._parsedArn = AWS.util.ARN.parse(request.params['Name']);
      request.addListener('validate', s3util.validateOutpostsAccessPointArn);
      request.addListener('validate', s3util.validateOutpostsArn);
      request.addListener('afterBuild', this.addOutpostIdHeader);
    }

    if (isArnInBucket || isArnInName) {
      request.addListener('validate', this.validateArnRegion);
      request.addListener('validate', this.validateArnAccountWithParams, true);
      request.addListener('validate', s3util.validateArnAccount);
      request.addListener('validate', s3util.validateArnService);
      request.addListener('build', this.populateParamFromArn, true);
      request.addListener('build', this.populateUriFromArn);
      request.addListener('build', s3util.validatePopulateUriFromArn);
    }

    if (request.params.OutpostId &&
        (request.operation === 'createBucket' ||
          request.operation === 'listRegionalBuckets')) {
      request.addListener('build', this.populateEndpointForOutpostId);
    }
  },

  /**
   * Adds outpostId header
   */
  addOutpostIdHeader: function addOutpostIdHeader(req) {
    req.httpRequest.headers['x-amz-outpost-id'] = req._parsedArn.outpostId;
  },

  /**
   * Validate Outposts ARN supplied in Bucket parameter is a valid bucket name
   */
  validateOutpostsBucketArn: function validateOutpostsBucketArn(req) {
    var parsedArn = req._parsedArn;

    //can be ':' or '/'
    var delimiter = parsedArn.resource['outpost'.length];

    if (parsedArn.resource.split(delimiter).length !== 4) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidARN',
        message: 'Bucket ARN should have two resources outpost/{outpostId}/bucket/{accesspointName}'
      });
    }

    var bucket = parsedArn.resource.split(delimiter)[3];
    if (!s3util.dnsCompatibleBucketName(bucket) || bucket.match(/\./)) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidARN',
        message: 'Bucket ARN is not DNS compatible. Got ' + bucket
      });
    }

    //set parsed valid bucket
    req._parsedArn.bucket = bucket;
  },

  /**
   * @api private
   */
  populateParamFromArn: function populateParamFromArn(req) {
    var parsedArn = req._parsedArn;
    if (s3util.isArnInParam(req, 'Bucket')) {
      req.params.Bucket = parsedArn.bucket;
    } else if (s3util.isArnInParam(req, 'Name')) {
      req.params.Name = parsedArn.accessPoint;
    }
  },

  /**
   * Populate URI according to the ARN
   */
  populateUriFromArn: function populateUriFromArn(req) {
    var parsedArn = req._parsedArn;

    var endpoint = req.httpRequest.endpoint;
    var useArnRegion = req.service.config.s3UseArnRegion;
    var useFipsEndpoint = req.service.config.useFipsEndpoint;

    endpoint.hostname = [
      's3-outposts' + (useFipsEndpoint ? '-fips': ''),
      useArnRegion ? parsedArn.region : req.service.config.region,
      'amazonaws.com'
    ].join('.');
    endpoint.host = endpoint.hostname;
  },

  /**
   * @api private
   */
  populateEndpointForOutpostId: function populateEndpointForOutpostId(req) {
    var endpoint = req.httpRequest.endpoint;
    var useFipsEndpoint = req.service.config.useFipsEndpoint;
    endpoint.hostname = [
      's3-outposts' + (useFipsEndpoint ? '-fips': ''),
      req.service.config.region,
      'amazonaws.com'
    ].join('.');
    endpoint.host = endpoint.hostname;
  },

  /**
   * @api private
   */
  extractHostId: function(response) {
    var hostId = response.httpResponse.headers ? response.httpResponse.headers['x-amz-id-2'] : null;
    response.extendedRequestId = hostId;
    if (response.error) {
      response.error.extendedRequestId = hostId;
    }
  },

  /**
   * @api private
   */
  validateArnRegion: function validateArnRegion(req) {
    s3util.validateArnRegion(req, { allowFipsEndpoint: true });
  },

  /**
   * @api private
   */
  validateArnAccountWithParams: function validateArnAccountWithParams(req) {
    var params = req.params;
    var inputModel = req.service.api.operations[req.operation].input;
    if (inputModel.members.AccountId) {
      var parsedArn = req._parsedArn;
      if (parsedArn.accountId) {
        if (params.AccountId) {
          if (params.AccountId !== parsedArn.accountId) {
            throw AWS.util.error(
              new Error(),
              {code: 'ValidationError', message: 'AccountId in ARN and request params should be same.'}
            );
          }
        } else {
          // Store accountId from ARN in params
          params.AccountId = parsedArn.accountId;
        }
      }
    }
  },

  /**
   * @api private
   */
  validateAccountId: function(request) {
    var params = request.params;
    if (!Object.prototype.hasOwnProperty.call(params, 'AccountId')) return;
    var accountId = params.AccountId;
    //validate type
    if (typeof accountId !== 'string') {
      throw AWS.util.error(
        new Error(),
        {code: 'ValidationError', message: 'AccountId must be a string.'}
      );
    }
    //validate length
    if (accountId.length < 1 || accountId.length > 63) {
      throw AWS.util.error(
        new Error(),
        {code: 'ValidationError', message: 'AccountId length should be between 1 to 63 characters, inclusive.'}
      );
    }
    //validate pattern
    var hostPattern = /^[a-zA-Z0-9]{1}$|^[a-zA-Z0-9][a-zA-Z0-9\-]*[a-zA-Z0-9]$/;
    if (!hostPattern.test(accountId)) {
      throw AWS.util.error(new Error(),
        {code: 'ValidationError', message: 'AccountId should be hostname compatible. AccountId: ' + accountId});
    }
  },

  /**
   * @api private
   */
  getSigningName: function getSigningName(req) {
    var _super = AWS.Service.prototype.getSigningName;
    if (req && req._parsedArn && req._parsedArn.service) {
      return req._parsedArn.service;
    } else if (req.params.OutpostId &&
      (req.operation === 'createBucket' ||
        req.operation === 'listRegionalBuckets')) {
      return 's3-outposts';
    } else {
      return _super.call(this, req);
    }
  },
});


/***/ }),

/***/ 35895:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var regionUtil = __nccwpck_require__(18262);

var s3util = {
  /**
   * @api private
   */
  isArnInParam: function isArnInParam(req, paramName) {
    var inputShape = (req.service.api.operations[req.operation] || {}).input || {};
    var inputMembers = inputShape.members || {};
    if (!req.params[paramName] || !inputMembers[paramName]) return false;
    return AWS.util.ARN.validate(req.params[paramName]);
  },

  /**
   * Validate service component from ARN supplied in Bucket parameter
   */
  validateArnService: function validateArnService(req) {
    var parsedArn = req._parsedArn;

    if (parsedArn.service !== 's3'
      && parsedArn.service !== 's3-outposts'
      && parsedArn.service !== 's3-object-lambda') {
      throw AWS.util.error(new Error(), {
        code: 'InvalidARN',
        message: 'expect \'s3\' or \'s3-outposts\' or \'s3-object-lambda\' in ARN service component'
      });
    }
  },

  /**
   * Validate account ID from ARN supplied in Bucket parameter is a valid account
   */
  validateArnAccount: function validateArnAccount(req) {
    var parsedArn = req._parsedArn;

    if (!/[0-9]{12}/.exec(parsedArn.accountId)) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidARN',
        message: 'ARN accountID does not match regex "[0-9]{12}"'
      });
    }
  },

  /**
   * Validate ARN supplied in Bucket parameter is a valid access point ARN
   */
  validateS3AccessPointArn: function validateS3AccessPointArn(req) {
    var parsedArn = req._parsedArn;

    //can be ':' or '/'
    var delimiter = parsedArn.resource['accesspoint'.length];

    if (parsedArn.resource.split(delimiter).length !== 2) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidARN',
        message: 'Access Point ARN should have one resource accesspoint/{accesspointName}'
      });
    }

    var accessPoint = parsedArn.resource.split(delimiter)[1];
    var accessPointPrefix = accessPoint + '-' + parsedArn.accountId;
    if (!s3util.dnsCompatibleBucketName(accessPointPrefix) || accessPointPrefix.match(/\./)) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidARN',
        message: 'Access point resource in ARN is not DNS compatible. Got ' + accessPoint
      });
    }

    //set parsed valid access point
    req._parsedArn.accessPoint = accessPoint;
  },

  /**
   * Validate Outposts ARN supplied in Bucket parameter is a valid outposts ARN
   */
  validateOutpostsArn: function validateOutpostsArn(req) {
    var parsedArn = req._parsedArn;

    if (
      parsedArn.resource.indexOf('outpost:') !== 0 &&
      parsedArn.resource.indexOf('outpost/') !== 0
    ) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidARN',
        message: 'ARN resource should begin with \'outpost/\''
      });
    }

    //can be ':' or '/'
    var delimiter = parsedArn.resource['outpost'.length];
    var outpostId = parsedArn.resource.split(delimiter)[1];
    var dnsHostRegex = new RegExp(/^([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]{0,61}[a-zA-Z0-9])$/);
    if (!dnsHostRegex.test(outpostId)) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidARN',
        message: 'Outpost resource in ARN is not DNS compatible. Got ' + outpostId
      });
    }
    req._parsedArn.outpostId = outpostId;
  },

  /**
   * Validate Outposts ARN supplied in Bucket parameter is a valid outposts ARN
   */
  validateOutpostsAccessPointArn: function validateOutpostsAccessPointArn(req) {
    var parsedArn = req._parsedArn;

    //can be ':' or '/'
    var delimiter = parsedArn.resource['outpost'.length];

    if (parsedArn.resource.split(delimiter).length !== 4) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidARN',
        message: 'Outposts ARN should have two resources outpost/{outpostId}/accesspoint/{accesspointName}'
      });
    }

    var accessPoint = parsedArn.resource.split(delimiter)[3];
    var accessPointPrefix = accessPoint + '-' + parsedArn.accountId;
    if (!s3util.dnsCompatibleBucketName(accessPointPrefix) || accessPointPrefix.match(/\./)) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidARN',
        message: 'Access point resource in ARN is not DNS compatible. Got ' + accessPoint
      });
    }

    //set parsed valid access point
    req._parsedArn.accessPoint = accessPoint;
  },

  /**
   * Validate region field in ARN supplied in Bucket parameter is a valid region
   */
  validateArnRegion: function validateArnRegion(req, options) {
    if (options === undefined) {
      options = {};
    }

    var useArnRegion = s3util.loadUseArnRegionConfig(req);
    var regionFromArn = req._parsedArn.region;
    var clientRegion = req.service.config.region;
    var useFipsEndpoint = req.service.config.useFipsEndpoint;
    var allowFipsEndpoint = options.allowFipsEndpoint || false;

    if (!regionFromArn) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidARN',
        message: 'ARN region is empty'
      });
    }

    if (useFipsEndpoint && !allowFipsEndpoint) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidConfiguration',
        message: 'ARN endpoint is not compatible with FIPS region'
      });
    }

    if (regionFromArn.indexOf('fips') >= 0) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidConfiguration',
        message: 'FIPS region not allowed in ARN'
      });
    }

    if (!useArnRegion && regionFromArn !== clientRegion) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidConfiguration',
        message: 'Configured region conflicts with access point region'
      });
    } else if (
      useArnRegion &&
      regionUtil.getEndpointSuffix(regionFromArn) !== regionUtil.getEndpointSuffix(clientRegion)
    ) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidConfiguration',
        message: 'Configured region and access point region not in same partition'
      });
    }

    if (req.service.config.useAccelerateEndpoint) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidConfiguration',
        message: 'useAccelerateEndpoint config is not supported with access point ARN'
      });
    }

    if (req._parsedArn.service === 's3-outposts' && req.service.config.useDualstackEndpoint) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidConfiguration',
        message: 'Dualstack is not supported with outposts access point ARN'
      });
    }
  },

  loadUseArnRegionConfig: function loadUseArnRegionConfig(req) {
    var envName = 'AWS_S3_USE_ARN_REGION';
    var configName = 's3_use_arn_region';
    var useArnRegion = true;
    var originalConfig = req.service._originalConfig || {};
    if (req.service.config.s3UseArnRegion !== undefined) {
      return req.service.config.s3UseArnRegion;
    } else if (originalConfig.s3UseArnRegion !== undefined) {
      useArnRegion = originalConfig.s3UseArnRegion === true;
    } else if (AWS.util.isNode()) {
      //load from environmental variable AWS_USE_ARN_REGION
      if (process.env[envName]) {
        var value = process.env[envName].trim().toLowerCase();
        if (['false', 'true'].indexOf(value) < 0) {
          throw AWS.util.error(new Error(), {
            code: 'InvalidConfiguration',
            message: envName + ' only accepts true or false. Got ' + process.env[envName],
            retryable: false
          });
        }
        useArnRegion = value === 'true';
      } else {  //load from shared config property use_arn_region
        var profiles = {};
        var profile = {};
        try {
          profiles = AWS.util.getProfilesFromSharedConfig(AWS.util.iniLoader);
          profile = profiles[process.env.AWS_PROFILE || AWS.util.defaultProfile];
        } catch (e) {}
        if (profile[configName]) {
          if (['false', 'true'].indexOf(profile[configName].trim().toLowerCase()) < 0) {
            throw AWS.util.error(new Error(), {
              code: 'InvalidConfiguration',
              message: configName + ' only accepts true or false. Got ' + profile[configName],
              retryable: false
            });
          }
          useArnRegion = profile[configName].trim().toLowerCase() === 'true';
        }
      }
    }
    req.service.config.s3UseArnRegion = useArnRegion;
    return useArnRegion;
  },

  /**
   * Validations before URI can be populated
   */
  validatePopulateUriFromArn: function validatePopulateUriFromArn(req) {
    if (req.service._originalConfig && req.service._originalConfig.endpoint) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidConfiguration',
        message: 'Custom endpoint is not compatible with access point ARN'
      });
    }

    if (req.service.config.s3ForcePathStyle) {
      throw AWS.util.error(new Error(), {
        code: 'InvalidConfiguration',
        message: 'Cannot construct path-style endpoint with access point'
      });
    }
  },

  /**
   * Returns true if the bucket name is DNS compatible.  Buckets created
   * outside of the classic region MUST be DNS compatible.
   *
   * @api private
   */
  dnsCompatibleBucketName: function dnsCompatibleBucketName(bucketName) {
    var b = bucketName;
    var domain = new RegExp(/^[a-z0-9][a-z0-9\.\-]{1,61}[a-z0-9]$/);
    var ipAddress = new RegExp(/(\d+\.){3}\d+/);
    var dots = new RegExp(/\.\./);
    return (b.match(domain) && !b.match(ipAddress) && !b.match(dots)) ? true : false;
  },
};

/**
 * @api private
 */
module.exports = s3util;


/***/ }),

/***/ 94571:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

AWS.util.update(AWS.SQS.prototype, {
  /**
   * @api private
   */
  setupRequestListeners: function setupRequestListeners(request) {
    request.addListener('build', this.buildEndpoint);

    if (request.service.config.computeChecksums) {
      if (request.operation === 'sendMessage') {
        request.addListener('extractData', this.verifySendMessageChecksum);
      } else if (request.operation === 'sendMessageBatch') {
        request.addListener('extractData', this.verifySendMessageBatchChecksum);
      } else if (request.operation === 'receiveMessage') {
        request.addListener('extractData', this.verifyReceiveMessageChecksum);
      }
    }
  },

  /**
   * @api private
   */
  verifySendMessageChecksum: function verifySendMessageChecksum(response) {
    if (!response.data) return;

    var md5 = response.data.MD5OfMessageBody;
    var body = this.params.MessageBody;
    var calculatedMd5 = this.service.calculateChecksum(body);
    if (calculatedMd5 !== md5) {
      var msg = 'Got "' + response.data.MD5OfMessageBody +
        '", expecting "' + calculatedMd5 + '".';
      this.service.throwInvalidChecksumError(response,
        [response.data.MessageId], msg);
    }
  },

  /**
   * @api private
   */
  verifySendMessageBatchChecksum: function verifySendMessageBatchChecksum(response) {
    if (!response.data) return;

    var service = this.service;
    var entries = {};
    var errors = [];
    var messageIds = [];
    AWS.util.arrayEach(response.data.Successful, function (entry) {
      entries[entry.Id] = entry;
    });
    AWS.util.arrayEach(this.params.Entries, function (entry) {
      if (entries[entry.Id]) {
        var md5 = entries[entry.Id].MD5OfMessageBody;
        var body = entry.MessageBody;
        if (!service.isChecksumValid(md5, body)) {
          errors.push(entry.Id);
          messageIds.push(entries[entry.Id].MessageId);
        }
      }
    });

    if (errors.length > 0) {
      service.throwInvalidChecksumError(response, messageIds,
        'Invalid messages: ' + errors.join(', '));
    }
  },

  /**
   * @api private
   */
  verifyReceiveMessageChecksum: function verifyReceiveMessageChecksum(response) {
    if (!response.data) return;

    var service = this.service;
    var messageIds = [];
    AWS.util.arrayEach(response.data.Messages, function(message) {
      var md5 = message.MD5OfBody;
      var body = message.Body;
      if (!service.isChecksumValid(md5, body)) {
        messageIds.push(message.MessageId);
      }
    });

    if (messageIds.length > 0) {
      service.throwInvalidChecksumError(response, messageIds,
        'Invalid messages: ' + messageIds.join(', '));
    }
  },

  /**
   * @api private
   */
  throwInvalidChecksumError: function throwInvalidChecksumError(response, ids, message) {
    response.error = AWS.util.error(new Error(), {
      retryable: true,
      code: 'InvalidChecksum',
      messageIds: ids,
      message: response.request.operation +
               ' returned an invalid MD5 response. ' + message
    });
  },

  /**
   * @api private
   */
  isChecksumValid: function isChecksumValid(checksum, data) {
    return this.calculateChecksum(data) === checksum;
  },

  /**
   * @api private
   */
  calculateChecksum: function calculateChecksum(data) {
    return AWS.util.crypto.md5(data, 'hex');
  },

  /**
   * @api private
   */
  buildEndpoint: function buildEndpoint(request) {
    var url = request.httpRequest.params.QueueUrl;
    if (url) {
      request.httpRequest.endpoint = new AWS.Endpoint(url);

      // signature version 4 requires the region name to be set,
      // sqs queue urls contain the region name
      var matches = request.httpRequest.endpoint.host.match(/^sqs\.(.+?)\./);
      if (matches) request.httpRequest.region = matches[1];
    }
  }
});


/***/ }),

/***/ 91055:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var resolveRegionalEndpointsFlag = __nccwpck_require__(85566);
var ENV_REGIONAL_ENDPOINT_ENABLED = 'AWS_STS_REGIONAL_ENDPOINTS';
var CONFIG_REGIONAL_ENDPOINT_ENABLED = 'sts_regional_endpoints';

AWS.util.update(AWS.STS.prototype, {
  /**
   * @overload credentialsFrom(data, credentials = null)
   *   Creates a credentials object from STS response data containing
   *   credentials information. Useful for quickly setting AWS credentials.
   *
   *   @note This is a low-level utility function. If you want to load temporary
   *     credentials into your process for subsequent requests to AWS resources,
   *     you should use {AWS.TemporaryCredentials} instead.
   *   @param data [map] data retrieved from a call to {getFederatedToken},
   *     {getSessionToken}, {assumeRole}, or {assumeRoleWithWebIdentity}.
   *   @param credentials [AWS.Credentials] an optional credentials object to
   *     fill instead of creating a new object. Useful when modifying an
   *     existing credentials object from a refresh call.
   *   @return [AWS.TemporaryCredentials] the set of temporary credentials
   *     loaded from a raw STS operation response.
   *   @example Using credentialsFrom to load global AWS credentials
   *     var sts = new AWS.STS();
   *     sts.getSessionToken(function (err, data) {
   *       if (err) console.log("Error getting credentials");
   *       else {
   *         AWS.config.credentials = sts.credentialsFrom(data);
   *       }
   *     });
   *   @see AWS.TemporaryCredentials
   */
  credentialsFrom: function credentialsFrom(data, credentials) {
    if (!data) return null;
    if (!credentials) credentials = new AWS.TemporaryCredentials();
    credentials.expired = false;
    credentials.accessKeyId = data.Credentials.AccessKeyId;
    credentials.secretAccessKey = data.Credentials.SecretAccessKey;
    credentials.sessionToken = data.Credentials.SessionToken;
    credentials.expireTime = data.Credentials.Expiration;
    return credentials;
  },

  assumeRoleWithWebIdentity: function assumeRoleWithWebIdentity(params, callback) {
    return this.makeUnauthenticatedRequest('assumeRoleWithWebIdentity', params, callback);
  },

  assumeRoleWithSAML: function assumeRoleWithSAML(params, callback) {
    return this.makeUnauthenticatedRequest('assumeRoleWithSAML', params, callback);
  },

  /**
   * @api private
   */
  setupRequestListeners: function setupRequestListeners(request) {
    request.addListener('validate', this.optInRegionalEndpoint, true);
  },

  /**
   * @api private
   */
  optInRegionalEndpoint: function optInRegionalEndpoint(req) {
    var service = req.service;
    var config = service.config;
    config.stsRegionalEndpoints = resolveRegionalEndpointsFlag(service._originalConfig, {
      env: ENV_REGIONAL_ENDPOINT_ENABLED,
      sharedConfig: CONFIG_REGIONAL_ENDPOINT_ENABLED,
      clientConfig: 'stsRegionalEndpoints'
    });
    if (
      config.stsRegionalEndpoints === 'regional' &&
      service.isGlobalEndpoint
    ) {
      //client will throw if region is not supplied; request will be signed with specified region
      if (!config.region) {
        throw AWS.util.error(new Error(),
          {code: 'ConfigError', message: 'Missing region in config'});
      }
      var insertPoint = config.endpoint.indexOf('.amazonaws.com');
      var regionalEndpoint = config.endpoint.substring(0, insertPoint) +
        '.' + config.region + config.endpoint.substring(insertPoint);
      req.httpRequest.updateEndpoint(regionalEndpoint);
      req.httpRequest.region = config.region;
    }
  }

});


/***/ }),

/***/ 31987:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

AWS.util.hideProperties(AWS, ['SimpleWorkflow']);

/**
 * @constant
 * @readonly
 * Backwards compatibility for access to the {AWS.SWF} service class.
 */
AWS.SimpleWorkflow = AWS.SWF;


/***/ }),

/***/ 29697:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var IniLoader = (__nccwpck_require__(95417).IniLoader);
/**
 * Singleton object to load specified config/credentials files.
 * It will cache all the files ever loaded;
 */
module.exports.b = new IniLoader();


/***/ }),

/***/ 95417:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var os = __nccwpck_require__(22037);
var path = __nccwpck_require__(71017);

function parseFile(filename, isConfig) {
    var content = AWS.util.ini.parse(AWS.util.readFileSync(filename));
    var tmpContent = {};
    Object.keys(content).forEach(function(profileName) {
      var profileContent = content[profileName];
      profileName = isConfig ? profileName.replace(/^profile\s/, '') : profileName;
      Object.defineProperty(tmpContent, profileName, {
        value: profileContent,
        enumerable: true
      });
    });
    return tmpContent;
}

/**
 * Ini file loader class the same as that used in the SDK. It loads and
 * parses config and credentials files in .ini format and cache the content
 * to assure files are only read once.
 * Note that calling operations on the instance instantiated from this class
 * won't affect the behavior of SDK since SDK uses an internal singleton of
 * this class.
 * @!macro nobrowser
 */
AWS.IniLoader = AWS.util.inherit({
  constructor: function IniLoader() {
    this.resolvedProfiles = {};
  },

  /** Remove all cached files. Used after config files are updated. */
  clearCachedFiles: function clearCachedFiles() {
    this.resolvedProfiles = {};
  },

/**
 * Load configurations from config/credentials files and cache them
 * for later use. If no file is specified it will try to load default
 * files.
 * @param options [map] information describing the file
 * @option options filename [String] ('~/.aws/credentials' or defined by
 *   AWS_SHARED_CREDENTIALS_FILE process env var or '~/.aws/config' if
 *   isConfig is set to true)
 *   path to the file to be read.
 * @option options isConfig [Boolean] (false) True to read config file.
 * @return [map<String,String>] object containing contents from file in key-value
 *   pairs.
 */
  loadFrom: function loadFrom(options) {
    options = options || {};
    var isConfig = options.isConfig === true;
    var filename = options.filename || this.getDefaultFilePath(isConfig);
    if (!this.resolvedProfiles[filename]) {
      var fileContent = this.parseFile(filename, isConfig);
      Object.defineProperty(this.resolvedProfiles, filename, { value: fileContent });
    }
    return this.resolvedProfiles[filename];
  },

  /**
   * @api private
   */
  parseFile: parseFile,

  /**
   * @api private
   */
  getDefaultFilePath: function getDefaultFilePath(isConfig) {
    return path.join(
      this.getHomeDir(),
      '.aws',
      isConfig ? 'config' : 'credentials'
    );
  },

  /**
   * @api private
   */
  getHomeDir: function getHomeDir() {
    var env = process.env;
    var home = env.HOME ||
      env.USERPROFILE ||
      (env.HOMEPATH ? ((env.HOMEDRIVE || 'C:/') + env.HOMEPATH) : null);

    if (home) {
      return home;
    }

    if (typeof os.homedir === 'function') {
      return os.homedir();
    }

    throw AWS.util.error(
      new Error('Cannot load credentials, HOME path not set')
    );
  }
});

var IniLoader = AWS.IniLoader;

module.exports = {
  IniLoader: IniLoader,
  parseFile: parseFile,
};


/***/ }),

/***/ 60328:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var inherit = AWS.util.inherit;

/**
 * @api private
 */
var expiresHeader = 'presigned-expires';

/**
 * @api private
 */
function signedUrlBuilder(request) {
  var expires = request.httpRequest.headers[expiresHeader];
  var signerClass = request.service.getSignerClass(request);

  delete request.httpRequest.headers['User-Agent'];
  delete request.httpRequest.headers['X-Amz-User-Agent'];

  if (signerClass === AWS.Signers.V4) {
    if (expires > 604800) { // one week expiry is invalid
      var message = 'Presigning does not support expiry time greater ' +
                    'than a week with SigV4 signing.';
      throw AWS.util.error(new Error(), {
        code: 'InvalidExpiryTime', message: message, retryable: false
      });
    }
    request.httpRequest.headers[expiresHeader] = expires;
  } else if (signerClass === AWS.Signers.S3) {
    var now = request.service ? request.service.getSkewCorrectedDate() : AWS.util.date.getDate();
    request.httpRequest.headers[expiresHeader] = parseInt(
      AWS.util.date.unixTimestamp(now) + expires, 10).toString();
  } else {
    throw AWS.util.error(new Error(), {
      message: 'Presigning only supports S3 or SigV4 signing.',
      code: 'UnsupportedSigner', retryable: false
    });
  }
}

/**
 * @api private
 */
function signedUrlSigner(request) {
  var endpoint = request.httpRequest.endpoint;
  var parsedUrl = AWS.util.urlParse(request.httpRequest.path);
  var queryParams = {};

  if (parsedUrl.search) {
    queryParams = AWS.util.queryStringParse(parsedUrl.search.substr(1));
  }

  var auth = request.httpRequest.headers['Authorization'].split(' ');
  if (auth[0] === 'AWS') {
    auth = auth[1].split(':');
    queryParams['Signature'] = auth.pop();
    queryParams['AWSAccessKeyId'] = auth.join(':');

    AWS.util.each(request.httpRequest.headers, function (key, value) {
      if (key === expiresHeader) key = 'Expires';
      if (key.indexOf('x-amz-meta-') === 0) {
        // Delete existing, potentially not normalized key
        delete queryParams[key];
        key = key.toLowerCase();
      }
      queryParams[key] = value;
    });
    delete request.httpRequest.headers[expiresHeader];
    delete queryParams['Authorization'];
    delete queryParams['Host'];
  } else if (auth[0] === 'AWS4-HMAC-SHA256') { // SigV4 signing
    auth.shift();
    var rest = auth.join(' ');
    var signature = rest.match(/Signature=(.*?)(?:,|\s|\r?\n|$)/)[1];
    queryParams['X-Amz-Signature'] = signature;
    delete queryParams['Expires'];
  }

  // build URL
  endpoint.pathname = parsedUrl.pathname;
  endpoint.search = AWS.util.queryParamsToString(queryParams);
}

/**
 * @api private
 */
AWS.Signers.Presign = inherit({
  /**
   * @api private
   */
  sign: function sign(request, expireTime, callback) {
    request.httpRequest.headers[expiresHeader] = expireTime || 3600;
    request.on('build', signedUrlBuilder);
    request.on('sign', signedUrlSigner);
    request.removeListener('afterBuild',
      AWS.EventListeners.Core.SET_CONTENT_LENGTH);
    request.removeListener('afterBuild',
      AWS.EventListeners.Core.COMPUTE_SHA256);

    request.emit('beforePresign', [request]);

    if (callback) {
      request.build(function() {
        if (this.response.error) callback(this.response.error);
        else {
          callback(null, AWS.util.urlFormat(request.httpRequest.endpoint));
        }
      });
    } else {
      request.build();
      if (request.response.error) throw request.response.error;
      return AWS.util.urlFormat(request.httpRequest.endpoint);
    }
  }
});

/**
 * @api private
 */
module.exports = AWS.Signers.Presign;


/***/ }),

/***/ 9897:
/***/ ((__unused_webpack_module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

var inherit = AWS.util.inherit;

/**
 * @api private
 */
AWS.Signers.RequestSigner = inherit({
  constructor: function RequestSigner(request) {
    this.request = request;
  },

  setServiceClientId: function setServiceClientId(id) {
    this.serviceClientId = id;
  },

  getServiceClientId: function getServiceClientId() {
    return this.serviceClientId;
  }
});

AWS.Signers.RequestSigner.getVersion = function getVersion(version) {
  switch (version) {
    case 'v2': return AWS.Signers.V2;
    case 'v3': return AWS.Signers.V3;
    case 's3v4': return AWS.Signers.V4;
    case 'v4': return AWS.Signers.V4;
    case 's3': return AWS.Signers.S3;
    case 'v3https': return AWS.Signers.V3Https;
  }
  throw new Error('Unknown signing version ' + version);
};

__nccwpck_require__(28489);
__nccwpck_require__(66458);
__nccwpck_require__(24473);
__nccwpck_require__(26529);
__nccwpck_require__(58616);
__nccwpck_require__(60328);


/***/ }),

/***/ 58616:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var inherit = AWS.util.inherit;

/**
 * @api private
 */
AWS.Signers.S3 = inherit(AWS.Signers.RequestSigner, {
  /**
   * When building the stringToSign, these sub resource params should be
   * part of the canonical resource string with their NON-decoded values
   */
  subResources: {
    'acl': 1,
    'accelerate': 1,
    'analytics': 1,
    'cors': 1,
    'lifecycle': 1,
    'delete': 1,
    'inventory': 1,
    'location': 1,
    'logging': 1,
    'metrics': 1,
    'notification': 1,
    'partNumber': 1,
    'policy': 1,
    'requestPayment': 1,
    'replication': 1,
    'restore': 1,
    'tagging': 1,
    'torrent': 1,
    'uploadId': 1,
    'uploads': 1,
    'versionId': 1,
    'versioning': 1,
    'versions': 1,
    'website': 1
  },

  // when building the stringToSign, these querystring params should be
  // part of the canonical resource string with their NON-encoded values
  responseHeaders: {
    'response-content-type': 1,
    'response-content-language': 1,
    'response-expires': 1,
    'response-cache-control': 1,
    'response-content-disposition': 1,
    'response-content-encoding': 1
  },

  addAuthorization: function addAuthorization(credentials, date) {
    if (!this.request.headers['presigned-expires']) {
      this.request.headers['X-Amz-Date'] = AWS.util.date.rfc822(date);
    }

    if (credentials.sessionToken) {
      // presigned URLs require this header to be lowercased
      this.request.headers['x-amz-security-token'] = credentials.sessionToken;
    }

    var signature = this.sign(credentials.secretAccessKey, this.stringToSign());
    var auth = 'AWS ' + credentials.accessKeyId + ':' + signature;

    this.request.headers['Authorization'] = auth;
  },

  stringToSign: function stringToSign() {
    var r = this.request;

    var parts = [];
    parts.push(r.method);
    parts.push(r.headers['Content-MD5'] || '');
    parts.push(r.headers['Content-Type'] || '');

    // This is the "Date" header, but we use X-Amz-Date.
    // The S3 signing mechanism requires us to pass an empty
    // string for this Date header regardless.
    parts.push(r.headers['presigned-expires'] || '');

    var headers = this.canonicalizedAmzHeaders();
    if (headers) parts.push(headers);
    parts.push(this.canonicalizedResource());

    return parts.join('\n');

  },

  canonicalizedAmzHeaders: function canonicalizedAmzHeaders() {

    var amzHeaders = [];

    AWS.util.each(this.request.headers, function (name) {
      if (name.match(/^x-amz-/i))
        amzHeaders.push(name);
    });

    amzHeaders.sort(function (a, b) {
      return a.toLowerCase() < b.toLowerCase() ? -1 : 1;
    });

    var parts = [];
    AWS.util.arrayEach.call(this, amzHeaders, function (name) {
      parts.push(name.toLowerCase() + ':' + String(this.request.headers[name]));
    });

    return parts.join('\n');

  },

  canonicalizedResource: function canonicalizedResource() {

    var r = this.request;

    var parts = r.path.split('?');
    var path = parts[0];
    var querystring = parts[1];

    var resource = '';

    if (r.virtualHostedBucket)
      resource += '/' + r.virtualHostedBucket;

    resource += path;

    if (querystring) {

      // collect a list of sub resources and query params that need to be signed
      var resources = [];

      AWS.util.arrayEach.call(this, querystring.split('&'), function (param) {
        var name = param.split('=')[0];
        var value = param.split('=')[1];
        if (this.subResources[name] || this.responseHeaders[name]) {
          var subresource = { name: name };
          if (value !== undefined) {
            if (this.subResources[name]) {
              subresource.value = value;
            } else {
              subresource.value = decodeURIComponent(value);
            }
          }
          resources.push(subresource);
        }
      });

      resources.sort(function (a, b) { return a.name < b.name ? -1 : 1; });

      if (resources.length) {

        querystring = [];
        AWS.util.arrayEach(resources, function (res) {
          if (res.value === undefined) {
            querystring.push(res.name);
          } else {
            querystring.push(res.name + '=' + res.value);
          }
        });

        resource += '?' + querystring.join('&');
      }

    }

    return resource;

  },

  sign: function sign(secret, string) {
    return AWS.util.crypto.hmac(secret, string, 'base64', 'sha1');
  }
});

/**
 * @api private
 */
module.exports = AWS.Signers.S3;


/***/ }),

/***/ 28489:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var inherit = AWS.util.inherit;

/**
 * @api private
 */
AWS.Signers.V2 = inherit(AWS.Signers.RequestSigner, {
  addAuthorization: function addAuthorization(credentials, date) {

    if (!date) date = AWS.util.date.getDate();

    var r = this.request;

    r.params.Timestamp = AWS.util.date.iso8601(date);
    r.params.SignatureVersion = '2';
    r.params.SignatureMethod = 'HmacSHA256';
    r.params.AWSAccessKeyId = credentials.accessKeyId;

    if (credentials.sessionToken) {
      r.params.SecurityToken = credentials.sessionToken;
    }

    delete r.params.Signature; // delete old Signature for re-signing
    r.params.Signature = this.signature(credentials);

    r.body = AWS.util.queryParamsToString(r.params);
    r.headers['Content-Length'] = r.body.length;
  },

  signature: function signature(credentials) {
    return AWS.util.crypto.hmac(credentials.secretAccessKey, this.stringToSign(), 'base64');
  },

  stringToSign: function stringToSign() {
    var parts = [];
    parts.push(this.request.method);
    parts.push(this.request.endpoint.host.toLowerCase());
    parts.push(this.request.pathname());
    parts.push(AWS.util.queryParamsToString(this.request.params));
    return parts.join('\n');
  }

});

/**
 * @api private
 */
module.exports = AWS.Signers.V2;


/***/ }),

/***/ 66458:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var inherit = AWS.util.inherit;

/**
 * @api private
 */
AWS.Signers.V3 = inherit(AWS.Signers.RequestSigner, {
  addAuthorization: function addAuthorization(credentials, date) {

    var datetime = AWS.util.date.rfc822(date);

    this.request.headers['X-Amz-Date'] = datetime;

    if (credentials.sessionToken) {
      this.request.headers['x-amz-security-token'] = credentials.sessionToken;
    }

    this.request.headers['X-Amzn-Authorization'] =
      this.authorization(credentials, datetime);

  },

  authorization: function authorization(credentials) {
    return 'AWS3 ' +
      'AWSAccessKeyId=' + credentials.accessKeyId + ',' +
      'Algorithm=HmacSHA256,' +
      'SignedHeaders=' + this.signedHeaders() + ',' +
      'Signature=' + this.signature(credentials);
  },

  signedHeaders: function signedHeaders() {
    var headers = [];
    AWS.util.arrayEach(this.headersToSign(), function iterator(h) {
      headers.push(h.toLowerCase());
    });
    return headers.sort().join(';');
  },

  canonicalHeaders: function canonicalHeaders() {
    var headers = this.request.headers;
    var parts = [];
    AWS.util.arrayEach(this.headersToSign(), function iterator(h) {
      parts.push(h.toLowerCase().trim() + ':' + String(headers[h]).trim());
    });
    return parts.sort().join('\n') + '\n';
  },

  headersToSign: function headersToSign() {
    var headers = [];
    AWS.util.each(this.request.headers, function iterator(k) {
      if (k === 'Host' || k === 'Content-Encoding' || k.match(/^X-Amz/i)) {
        headers.push(k);
      }
    });
    return headers;
  },

  signature: function signature(credentials) {
    return AWS.util.crypto.hmac(credentials.secretAccessKey, this.stringToSign(), 'base64');
  },

  stringToSign: function stringToSign() {
    var parts = [];
    parts.push(this.request.method);
    parts.push('/');
    parts.push('');
    parts.push(this.canonicalHeaders());
    parts.push(this.request.body);
    return AWS.util.crypto.sha256(parts.join('\n'));
  }

});

/**
 * @api private
 */
module.exports = AWS.Signers.V3;


/***/ }),

/***/ 24473:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var inherit = AWS.util.inherit;

__nccwpck_require__(66458);

/**
 * @api private
 */
AWS.Signers.V3Https = inherit(AWS.Signers.V3, {
  authorization: function authorization(credentials) {
    return 'AWS3-HTTPS ' +
      'AWSAccessKeyId=' + credentials.accessKeyId + ',' +
      'Algorithm=HmacSHA256,' +
      'Signature=' + this.signature(credentials);
  },

  stringToSign: function stringToSign() {
    return this.request.headers['X-Amz-Date'];
  }
});

/**
 * @api private
 */
module.exports = AWS.Signers.V3Https;


/***/ }),

/***/ 26529:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var v4Credentials = __nccwpck_require__(62660);
var inherit = AWS.util.inherit;

/**
 * @api private
 */
var expiresHeader = 'presigned-expires';

/**
 * @api private
 */
AWS.Signers.V4 = inherit(AWS.Signers.RequestSigner, {
  constructor: function V4(request, serviceName, options) {
    AWS.Signers.RequestSigner.call(this, request);
    this.serviceName = serviceName;
    options = options || {};
    this.signatureCache = typeof options.signatureCache === 'boolean' ? options.signatureCache : true;
    this.operation = options.operation;
    this.signatureVersion = options.signatureVersion;
  },

  algorithm: 'AWS4-HMAC-SHA256',

  addAuthorization: function addAuthorization(credentials, date) {
    var datetime = AWS.util.date.iso8601(date).replace(/[:\-]|\.\d{3}/g, '');

    if (this.isPresigned()) {
      this.updateForPresigned(credentials, datetime);
    } else {
      this.addHeaders(credentials, datetime);
    }

    this.request.headers['Authorization'] =
      this.authorization(credentials, datetime);
  },

  addHeaders: function addHeaders(credentials, datetime) {
    this.request.headers['X-Amz-Date'] = datetime;
    if (credentials.sessionToken) {
      this.request.headers['x-amz-security-token'] = credentials.sessionToken;
    }
  },

  updateForPresigned: function updateForPresigned(credentials, datetime) {
    var credString = this.credentialString(datetime);
    var qs = {
      'X-Amz-Date': datetime,
      'X-Amz-Algorithm': this.algorithm,
      'X-Amz-Credential': credentials.accessKeyId + '/' + credString,
      'X-Amz-Expires': this.request.headers[expiresHeader],
      'X-Amz-SignedHeaders': this.signedHeaders()
    };

    if (credentials.sessionToken) {
      qs['X-Amz-Security-Token'] = credentials.sessionToken;
    }

    if (this.request.headers['Content-Type']) {
      qs['Content-Type'] = this.request.headers['Content-Type'];
    }
    if (this.request.headers['Content-MD5']) {
      qs['Content-MD5'] = this.request.headers['Content-MD5'];
    }
    if (this.request.headers['Cache-Control']) {
      qs['Cache-Control'] = this.request.headers['Cache-Control'];
    }

    // need to pull in any other X-Amz-* headers
    AWS.util.each.call(this, this.request.headers, function(key, value) {
      if (key === expiresHeader) return;
      if (this.isSignableHeader(key)) {
        var lowerKey = key.toLowerCase();
        // Metadata should be normalized
        if (lowerKey.indexOf('x-amz-meta-') === 0) {
          qs[lowerKey] = value;
        } else if (lowerKey.indexOf('x-amz-') === 0) {
          qs[key] = value;
        }
      }
    });

    var sep = this.request.path.indexOf('?') >= 0 ? '&' : '?';
    this.request.path += sep + AWS.util.queryParamsToString(qs);
  },

  authorization: function authorization(credentials, datetime) {
    var parts = [];
    var credString = this.credentialString(datetime);
    parts.push(this.algorithm + ' Credential=' +
      credentials.accessKeyId + '/' + credString);
    parts.push('SignedHeaders=' + this.signedHeaders());
    parts.push('Signature=' + this.signature(credentials, datetime));
    return parts.join(', ');
  },

  signature: function signature(credentials, datetime) {
    var signingKey = v4Credentials.getSigningKey(
      credentials,
      datetime.substr(0, 8),
      this.request.region,
      this.serviceName,
      this.signatureCache
    );
    return AWS.util.crypto.hmac(signingKey, this.stringToSign(datetime), 'hex');
  },

  stringToSign: function stringToSign(datetime) {
    var parts = [];
    parts.push('AWS4-HMAC-SHA256');
    parts.push(datetime);
    parts.push(this.credentialString(datetime));
    parts.push(this.hexEncodedHash(this.canonicalString()));
    return parts.join('\n');
  },

  canonicalString: function canonicalString() {
    var parts = [], pathname = this.request.pathname();
    if (this.serviceName !== 's3' && this.signatureVersion !== 's3v4') pathname = AWS.util.uriEscapePath(pathname);

    parts.push(this.request.method);
    parts.push(pathname);
    parts.push(this.request.search());
    parts.push(this.canonicalHeaders() + '\n');
    parts.push(this.signedHeaders());
    parts.push(this.hexEncodedBodyHash());
    return parts.join('\n');
  },

  canonicalHeaders: function canonicalHeaders() {
    var headers = [];
    AWS.util.each.call(this, this.request.headers, function (key, item) {
      headers.push([key, item]);
    });
    headers.sort(function (a, b) {
      return a[0].toLowerCase() < b[0].toLowerCase() ? -1 : 1;
    });
    var parts = [];
    AWS.util.arrayEach.call(this, headers, function (item) {
      var key = item[0].toLowerCase();
      if (this.isSignableHeader(key)) {
        var value = item[1];
        if (typeof value === 'undefined' || value === null || typeof value.toString !== 'function') {
          throw AWS.util.error(new Error('Header ' + key + ' contains invalid value'), {
            code: 'InvalidHeader'
          });
        }
        parts.push(key + ':' +
          this.canonicalHeaderValues(value.toString()));
      }
    });
    return parts.join('\n');
  },

  canonicalHeaderValues: function canonicalHeaderValues(values) {
    return values.replace(/\s+/g, ' ').replace(/^\s+|\s+$/g, '');
  },

  signedHeaders: function signedHeaders() {
    var keys = [];
    AWS.util.each.call(this, this.request.headers, function (key) {
      key = key.toLowerCase();
      if (this.isSignableHeader(key)) keys.push(key);
    });
    return keys.sort().join(';');
  },

  credentialString: function credentialString(datetime) {
    return v4Credentials.createScope(
      datetime.substr(0, 8),
      this.request.region,
      this.serviceName
    );
  },

  hexEncodedHash: function hash(string) {
    return AWS.util.crypto.sha256(string, 'hex');
  },

  hexEncodedBodyHash: function hexEncodedBodyHash() {
    var request = this.request;
    if (this.isPresigned() && (['s3', 's3-object-lambda'].indexOf(this.serviceName) > -1) && !request.body) {
      return 'UNSIGNED-PAYLOAD';
    } else if (request.headers['X-Amz-Content-Sha256']) {
      return request.headers['X-Amz-Content-Sha256'];
    } else {
      return this.hexEncodedHash(this.request.body || '');
    }
  },

  unsignableHeaders: [
    'authorization',
    'content-type',
    'content-length',
    'user-agent',
    expiresHeader,
    'expect',
    'x-amzn-trace-id'
  ],

  isSignableHeader: function isSignableHeader(key) {
    if (key.toLowerCase().indexOf('x-amz-') === 0) return true;
    return this.unsignableHeaders.indexOf(key) < 0;
  },

  isPresigned: function isPresigned() {
    return this.request.headers[expiresHeader] ? true : false;
  }

});

/**
 * @api private
 */
module.exports = AWS.Signers.V4;


/***/ }),

/***/ 62660:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);

/**
 * @api private
 */
var cachedSecret = {};

/**
 * @api private
 */
var cacheQueue = [];

/**
 * @api private
 */
var maxCacheEntries = 50;

/**
 * @api private
 */
var v4Identifier = 'aws4_request';

/**
 * @api private
 */
module.exports = {
  /**
   * @api private
   *
   * @param date [String]
   * @param region [String]
   * @param serviceName [String]
   * @return [String]
   */
  createScope: function createScope(date, region, serviceName) {
    return [
      date.substr(0, 8),
      region,
      serviceName,
      v4Identifier
    ].join('/');
  },

  /**
   * @api private
   *
   * @param credentials [Credentials]
   * @param date [String]
   * @param region [String]
   * @param service [String]
   * @param shouldCache [Boolean]
   * @return [String]
   */
  getSigningKey: function getSigningKey(
    credentials,
    date,
    region,
    service,
    shouldCache
  ) {
    var credsIdentifier = AWS.util.crypto
      .hmac(credentials.secretAccessKey, credentials.accessKeyId, 'base64');
    var cacheKey = [credsIdentifier, date, region, service].join('_');
    shouldCache = shouldCache !== false;
    if (shouldCache && (cacheKey in cachedSecret)) {
      return cachedSecret[cacheKey];
    }

    var kDate = AWS.util.crypto.hmac(
      'AWS4' + credentials.secretAccessKey,
      date,
      'buffer'
    );
    var kRegion = AWS.util.crypto.hmac(kDate, region, 'buffer');
    var kService = AWS.util.crypto.hmac(kRegion, service, 'buffer');

    var signingKey = AWS.util.crypto.hmac(kService, v4Identifier, 'buffer');
    if (shouldCache) {
      cachedSecret[cacheKey] = signingKey;
      cacheQueue.push(cacheKey);
      if (cacheQueue.length > maxCacheEntries) {
        // remove the oldest entry (not the least recently used)
        delete cachedSecret[cacheQueue.shift()];
      }
    }

    return signingKey;
  },

  /**
   * @api private
   *
   * Empties the derived signing key cache. Made available for testing purposes
   * only.
   */
  emptyCache: function emptyCache() {
    cachedSecret = {};
    cacheQueue = [];
  }
};


/***/ }),

/***/ 68118:
/***/ ((module) => {

function AcceptorStateMachine(states, state) {
  this.currentState = state || null;
  this.states = states || {};
}

AcceptorStateMachine.prototype.runTo = function runTo(finalState, done, bindObject, inputError) {
  if (typeof finalState === 'function') {
    inputError = bindObject; bindObject = done;
    done = finalState; finalState = null;
  }

  var self = this;
  var state = self.states[self.currentState];
  state.fn.call(bindObject || self, inputError, function(err) {
    if (err) {
      if (state.fail) self.currentState = state.fail;
      else return done ? done.call(bindObject, err) : null;
    } else {
      if (state.accept) self.currentState = state.accept;
      else return done ? done.call(bindObject) : null;
    }
    if (self.currentState === finalState) {
      return done ? done.call(bindObject, err) : null;
    }

    self.runTo(finalState, done, bindObject, err);
  });
};

AcceptorStateMachine.prototype.addState = function addState(name, acceptState, failState, fn) {
  if (typeof acceptState === 'function') {
    fn = acceptState; acceptState = null; failState = null;
  } else if (typeof failState === 'function') {
    fn = failState; failState = null;
  }

  if (!this.currentState) this.currentState = name;
  this.states[name] = { accept: acceptState, fail: failState, fn: fn };
  return this;
};

/**
 * @api private
 */
module.exports = AcceptorStateMachine;


/***/ }),

/***/ 77985:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

/* eslint guard-for-in:0 */
var AWS;

/**
 * A set of utility methods for use with the AWS SDK.
 *
 * @!attribute abort
 *   Return this value from an iterator function {each} or {arrayEach}
 *   to break out of the iteration.
 *   @example Breaking out of an iterator function
 *     AWS.util.each({a: 1, b: 2, c: 3}, function(key, value) {
 *       if (key == 'b') return AWS.util.abort;
 *     });
 *   @see each
 *   @see arrayEach
 * @api private
 */
var util = {
  environment: 'nodejs',
  engine: function engine() {
    if (util.isBrowser() && typeof navigator !== 'undefined') {
      return navigator.userAgent;
    } else {
      var engine = process.platform + '/' + process.version;
      if (process.env.AWS_EXECUTION_ENV) {
        engine += ' exec-env/' + process.env.AWS_EXECUTION_ENV;
      }
      return engine;
    }
  },

  userAgent: function userAgent() {
    var name = util.environment;
    var agent = 'aws-sdk-' + name + '/' + (__nccwpck_require__(28437).VERSION);
    if (name === 'nodejs') agent += ' ' + util.engine();
    return agent;
  },

  uriEscape: function uriEscape(string) {
    var output = encodeURIComponent(string);
    output = output.replace(/[^A-Za-z0-9_.~\-%]+/g, escape);

    // AWS percent-encodes some extra non-standard characters in a URI
    output = output.replace(/[*]/g, function(ch) {
      return '%' + ch.charCodeAt(0).toString(16).toUpperCase();
    });

    return output;
  },

  uriEscapePath: function uriEscapePath(string) {
    var parts = [];
    util.arrayEach(string.split('/'), function (part) {
      parts.push(util.uriEscape(part));
    });
    return parts.join('/');
  },

  urlParse: function urlParse(url) {
    return util.url.parse(url);
  },

  urlFormat: function urlFormat(url) {
    return util.url.format(url);
  },

  queryStringParse: function queryStringParse(qs) {
    return util.querystring.parse(qs);
  },

  queryParamsToString: function queryParamsToString(params) {
    var items = [];
    var escape = util.uriEscape;
    var sortedKeys = Object.keys(params).sort();

    util.arrayEach(sortedKeys, function(name) {
      var value = params[name];
      var ename = escape(name);
      var result = ename + '=';
      if (Array.isArray(value)) {
        var vals = [];
        util.arrayEach(value, function(item) { vals.push(escape(item)); });
        result = ename + '=' + vals.sort().join('&' + ename + '=');
      } else if (value !== undefined && value !== null) {
        result = ename + '=' + escape(value);
      }
      items.push(result);
    });

    return items.join('&');
  },

  readFileSync: function readFileSync(path) {
    if (util.isBrowser()) return null;
    return (__nccwpck_require__(57147).readFileSync)(path, 'utf-8');
  },

  base64: {
    encode: function encode64(string) {
      if (typeof string === 'number') {
        throw util.error(new Error('Cannot base64 encode number ' + string));
      }
      if (string === null || typeof string === 'undefined') {
        return string;
      }
      var buf = util.buffer.toBuffer(string);
      return buf.toString('base64');
    },

    decode: function decode64(string) {
      if (typeof string === 'number') {
        throw util.error(new Error('Cannot base64 decode number ' + string));
      }
      if (string === null || typeof string === 'undefined') {
        return string;
      }
      return util.buffer.toBuffer(string, 'base64');
    }

  },

  buffer: {
    /**
     * Buffer constructor for Node buffer and buffer pollyfill
     */
    toBuffer: function(data, encoding) {
      return (typeof util.Buffer.from === 'function' && util.Buffer.from !== Uint8Array.from) ?
        util.Buffer.from(data, encoding) : new util.Buffer(data, encoding);
    },

    alloc: function(size, fill, encoding) {
      if (typeof size !== 'number') {
        throw new Error('size passed to alloc must be a number.');
      }
      if (typeof util.Buffer.alloc === 'function') {
        return util.Buffer.alloc(size, fill, encoding);
      } else {
        var buf = new util.Buffer(size);
        if (fill !== undefined && typeof buf.fill === 'function') {
          buf.fill(fill, undefined, undefined, encoding);
        }
        return buf;
      }
    },

    toStream: function toStream(buffer) {
      if (!util.Buffer.isBuffer(buffer)) buffer =  util.buffer.toBuffer(buffer);

      var readable = new (util.stream.Readable)();
      var pos = 0;
      readable._read = function(size) {
        if (pos >= buffer.length) return readable.push(null);

        var end = pos + size;
        if (end > buffer.length) end = buffer.length;
        readable.push(buffer.slice(pos, end));
        pos = end;
      };

      return readable;
    },

    /**
     * Concatenates a list of Buffer objects.
     */
    concat: function(buffers) {
      var length = 0,
          offset = 0,
          buffer = null, i;

      for (i = 0; i < buffers.length; i++) {
        length += buffers[i].length;
      }

      buffer = util.buffer.alloc(length);

      for (i = 0; i < buffers.length; i++) {
        buffers[i].copy(buffer, offset);
        offset += buffers[i].length;
      }

      return buffer;
    }
  },

  string: {
    byteLength: function byteLength(string) {
      if (string === null || string === undefined) return 0;
      if (typeof string === 'string') string = util.buffer.toBuffer(string);

      if (typeof string.byteLength === 'number') {
        return string.byteLength;
      } else if (typeof string.length === 'number') {
        return string.length;
      } else if (typeof string.size === 'number') {
        return string.size;
      } else if (typeof string.path === 'string') {
        return (__nccwpck_require__(57147).lstatSync)(string.path).size;
      } else {
        throw util.error(new Error('Cannot determine length of ' + string),
          { object: string });
      }
    },

    upperFirst: function upperFirst(string) {
      return string[0].toUpperCase() + string.substr(1);
    },

    lowerFirst: function lowerFirst(string) {
      return string[0].toLowerCase() + string.substr(1);
    }
  },

  ini: {
    parse: function string(ini) {
      var currentSection, map = {};
      util.arrayEach(ini.split(/\r?\n/), function(line) {
        line = line.split(/(^|\s)[;#]/)[0]; // remove comments
        var section = line.match(/^\s*\[([^\[\]]+)\]\s*$/);
        if (section) {
          currentSection = section[1];
          if (currentSection === '__proto__' || currentSection.split(/\s/)[1] === '__proto__') {
            throw util.error(
              new Error('Cannot load profile name \'' + currentSection + '\' from shared ini file.')
            );
          }
        } else if (currentSection) {
          var item = line.match(/^\s*(.+?)\s*=\s*(.+?)\s*$/);
          if (item) {
            map[currentSection] = map[currentSection] || {};
            map[currentSection][item[1]] = item[2];
          }
        }
      });

      return map;
    }
  },

  fn: {
    noop: function() {},
    callback: function (err) { if (err) throw err; },

    /**
     * Turn a synchronous function into as "async" function by making it call
     * a callback. The underlying function is called with all but the last argument,
     * which is treated as the callback. The callback is passed passed a first argument
     * of null on success to mimick standard node callbacks.
     */
    makeAsync: function makeAsync(fn, expectedArgs) {
      if (expectedArgs && expectedArgs <= fn.length) {
        return fn;
      }

      return function() {
        var args = Array.prototype.slice.call(arguments, 0);
        var callback = args.pop();
        var result = fn.apply(null, args);
        callback(result);
      };
    }
  },

  /**
   * Date and time utility functions.
   */
  date: {

    /**
     * @return [Date] the current JavaScript date object. Since all
     *   AWS services rely on this date object, you can override
     *   this function to provide a special time value to AWS service
     *   requests.
     */
    getDate: function getDate() {
      if (!AWS) AWS = __nccwpck_require__(28437);
      if (AWS.config.systemClockOffset) { // use offset when non-zero
        return new Date(new Date().getTime() + AWS.config.systemClockOffset);
      } else {
        return new Date();
      }
    },

    /**
     * @return [String] the date in ISO-8601 format
     */
    iso8601: function iso8601(date) {
      if (date === undefined) { date = util.date.getDate(); }
      return date.toISOString().replace(/\.\d{3}Z$/, 'Z');
    },

    /**
     * @return [String] the date in RFC 822 format
     */
    rfc822: function rfc822(date) {
      if (date === undefined) { date = util.date.getDate(); }
      return date.toUTCString();
    },

    /**
     * @return [Integer] the UNIX timestamp value for the current time
     */
    unixTimestamp: function unixTimestamp(date) {
      if (date === undefined) { date = util.date.getDate(); }
      return date.getTime() / 1000;
    },

    /**
     * @param [String,number,Date] date
     * @return [Date]
     */
    from: function format(date) {
      if (typeof date === 'number') {
        return new Date(date * 1000); // unix timestamp
      } else {
        return new Date(date);
      }
    },

    /**
     * Given a Date or date-like value, this function formats the
     * date into a string of the requested value.
     * @param [String,number,Date] date
     * @param [String] formatter Valid formats are:
     #   * 'iso8601'
     #   * 'rfc822'
     #   * 'unixTimestamp'
     * @return [String]
     */
    format: function format(date, formatter) {
      if (!formatter) formatter = 'iso8601';
      return util.date[formatter](util.date.from(date));
    },

    parseTimestamp: function parseTimestamp(value) {
      if (typeof value === 'number') { // unix timestamp (number)
        return new Date(value * 1000);
      } else if (value.match(/^\d+$/)) { // unix timestamp
        return new Date(value * 1000);
      } else if (value.match(/^\d{4}/)) { // iso8601
        return new Date(value);
      } else if (value.match(/^\w{3},/)) { // rfc822
        return new Date(value);
      } else {
        throw util.error(
          new Error('unhandled timestamp format: ' + value),
          {code: 'TimestampParserError'});
      }
    }

  },

  crypto: {
    crc32Table: [
     0x00000000, 0x77073096, 0xEE0E612C, 0x990951BA, 0x076DC419,
     0x706AF48F, 0xE963A535, 0x9E6495A3, 0x0EDB8832, 0x79DCB8A4,
     0xE0D5E91E, 0x97D2D988, 0x09B64C2B, 0x7EB17CBD, 0xE7B82D07,
     0x90BF1D91, 0x1DB71064, 0x6AB020F2, 0xF3B97148, 0x84BE41DE,
     0x1ADAD47D, 0x6DDDE4EB, 0xF4D4B551, 0x83D385C7, 0x136C9856,
     0x646BA8C0, 0xFD62F97A, 0x8A65C9EC, 0x14015C4F, 0x63066CD9,
     0xFA0F3D63, 0x8D080DF5, 0x3B6E20C8, 0x4C69105E, 0xD56041E4,
     0xA2677172, 0x3C03E4D1, 0x4B04D447, 0xD20D85FD, 0xA50AB56B,
     0x35B5A8FA, 0x42B2986C, 0xDBBBC9D6, 0xACBCF940, 0x32D86CE3,
     0x45DF5C75, 0xDCD60DCF, 0xABD13D59, 0x26D930AC, 0x51DE003A,
     0xC8D75180, 0xBFD06116, 0x21B4F4B5, 0x56B3C423, 0xCFBA9599,
     0xB8BDA50F, 0x2802B89E, 0x5F058808, 0xC60CD9B2, 0xB10BE924,
     0x2F6F7C87, 0x58684C11, 0xC1611DAB, 0xB6662D3D, 0x76DC4190,
     0x01DB7106, 0x98D220BC, 0xEFD5102A, 0x71B18589, 0x06B6B51F,
     0x9FBFE4A5, 0xE8B8D433, 0x7807C9A2, 0x0F00F934, 0x9609A88E,
     0xE10E9818, 0x7F6A0DBB, 0x086D3D2D, 0x91646C97, 0xE6635C01,
     0x6B6B51F4, 0x1C6C6162, 0x856530D8, 0xF262004E, 0x6C0695ED,
     0x1B01A57B, 0x8208F4C1, 0xF50FC457, 0x65B0D9C6, 0x12B7E950,
     0x8BBEB8EA, 0xFCB9887C, 0x62DD1DDF, 0x15DA2D49, 0x8CD37CF3,
     0xFBD44C65, 0x4DB26158, 0x3AB551CE, 0xA3BC0074, 0xD4BB30E2,
     0x4ADFA541, 0x3DD895D7, 0xA4D1C46D, 0xD3D6F4FB, 0x4369E96A,
     0x346ED9FC, 0xAD678846, 0xDA60B8D0, 0x44042D73, 0x33031DE5,
     0xAA0A4C5F, 0xDD0D7CC9, 0x5005713C, 0x270241AA, 0xBE0B1010,
     0xC90C2086, 0x5768B525, 0x206F85B3, 0xB966D409, 0xCE61E49F,
     0x5EDEF90E, 0x29D9C998, 0xB0D09822, 0xC7D7A8B4, 0x59B33D17,
     0x2EB40D81, 0xB7BD5C3B, 0xC0BA6CAD, 0xEDB88320, 0x9ABFB3B6,
     0x03B6E20C, 0x74B1D29A, 0xEAD54739, 0x9DD277AF, 0x04DB2615,
     0x73DC1683, 0xE3630B12, 0x94643B84, 0x0D6D6A3E, 0x7A6A5AA8,
     0xE40ECF0B, 0x9309FF9D, 0x0A00AE27, 0x7D079EB1, 0xF00F9344,
     0x8708A3D2, 0x1E01F268, 0x6906C2FE, 0xF762575D, 0x806567CB,
     0x196C3671, 0x6E6B06E7, 0xFED41B76, 0x89D32BE0, 0x10DA7A5A,
     0x67DD4ACC, 0xF9B9DF6F, 0x8EBEEFF9, 0x17B7BE43, 0x60B08ED5,
     0xD6D6A3E8, 0xA1D1937E, 0x38D8C2C4, 0x4FDFF252, 0xD1BB67F1,
     0xA6BC5767, 0x3FB506DD, 0x48B2364B, 0xD80D2BDA, 0xAF0A1B4C,
     0x36034AF6, 0x41047A60, 0xDF60EFC3, 0xA867DF55, 0x316E8EEF,
     0x4669BE79, 0xCB61B38C, 0xBC66831A, 0x256FD2A0, 0x5268E236,
     0xCC0C7795, 0xBB0B4703, 0x220216B9, 0x5505262F, 0xC5BA3BBE,
     0xB2BD0B28, 0x2BB45A92, 0x5CB36A04, 0xC2D7FFA7, 0xB5D0CF31,
     0x2CD99E8B, 0x5BDEAE1D, 0x9B64C2B0, 0xEC63F226, 0x756AA39C,
     0x026D930A, 0x9C0906A9, 0xEB0E363F, 0x72076785, 0x05005713,
     0x95BF4A82, 0xE2B87A14, 0x7BB12BAE, 0x0CB61B38, 0x92D28E9B,
     0xE5D5BE0D, 0x7CDCEFB7, 0x0BDBDF21, 0x86D3D2D4, 0xF1D4E242,
     0x68DDB3F8, 0x1FDA836E, 0x81BE16CD, 0xF6B9265B, 0x6FB077E1,
     0x18B74777, 0x88085AE6, 0xFF0F6A70, 0x66063BCA, 0x11010B5C,
     0x8F659EFF, 0xF862AE69, 0x616BFFD3, 0x166CCF45, 0xA00AE278,
     0xD70DD2EE, 0x4E048354, 0x3903B3C2, 0xA7672661, 0xD06016F7,
     0x4969474D, 0x3E6E77DB, 0xAED16A4A, 0xD9D65ADC, 0x40DF0B66,
     0x37D83BF0, 0xA9BCAE53, 0xDEBB9EC5, 0x47B2CF7F, 0x30B5FFE9,
     0xBDBDF21C, 0xCABAC28A, 0x53B39330, 0x24B4A3A6, 0xBAD03605,
     0xCDD70693, 0x54DE5729, 0x23D967BF, 0xB3667A2E, 0xC4614AB8,
     0x5D681B02, 0x2A6F2B94, 0xB40BBE37, 0xC30C8EA1, 0x5A05DF1B,
     0x2D02EF8D],

    crc32: function crc32(data) {
      var tbl = util.crypto.crc32Table;
      var crc = 0 ^ -1;

      if (typeof data === 'string') {
        data = util.buffer.toBuffer(data);
      }

      for (var i = 0; i < data.length; i++) {
        var code = data.readUInt8(i);
        crc = (crc >>> 8) ^ tbl[(crc ^ code) & 0xFF];
      }
      return (crc ^ -1) >>> 0;
    },

    hmac: function hmac(key, string, digest, fn) {
      if (!digest) digest = 'binary';
      if (digest === 'buffer') { digest = undefined; }
      if (!fn) fn = 'sha256';
      if (typeof string === 'string') string = util.buffer.toBuffer(string);
      return util.crypto.lib.createHmac(fn, key).update(string).digest(digest);
    },

    md5: function md5(data, digest, callback) {
      return util.crypto.hash('md5', data, digest, callback);
    },

    sha256: function sha256(data, digest, callback) {
      return util.crypto.hash('sha256', data, digest, callback);
    },

    hash: function(algorithm, data, digest, callback) {
      var hash = util.crypto.createHash(algorithm);
      if (!digest) { digest = 'binary'; }
      if (digest === 'buffer') { digest = undefined; }
      if (typeof data === 'string') data = util.buffer.toBuffer(data);
      var sliceFn = util.arraySliceFn(data);
      var isBuffer = util.Buffer.isBuffer(data);
      //Identifying objects with an ArrayBuffer as buffers
      if (util.isBrowser() && typeof ArrayBuffer !== 'undefined' && data && data.buffer instanceof ArrayBuffer) isBuffer = true;

      if (callback && typeof data === 'object' &&
          typeof data.on === 'function' && !isBuffer) {
        data.on('data', function(chunk) { hash.update(chunk); });
        data.on('error', function(err) { callback(err); });
        data.on('end', function() { callback(null, hash.digest(digest)); });
      } else if (callback && sliceFn && !isBuffer &&
                 typeof FileReader !== 'undefined') {
        // this might be a File/Blob
        var index = 0, size = 1024 * 512;
        var reader = new FileReader();
        reader.onerror = function() {
          callback(new Error('Failed to read data.'));
        };
        reader.onload = function() {
          var buf = new util.Buffer(new Uint8Array(reader.result));
          hash.update(buf);
          index += buf.length;
          reader._continueReading();
        };
        reader._continueReading = function() {
          if (index >= data.size) {
            callback(null, hash.digest(digest));
            return;
          }

          var back = index + size;
          if (back > data.size) back = data.size;
          reader.readAsArrayBuffer(sliceFn.call(data, index, back));
        };

        reader._continueReading();
      } else {
        if (util.isBrowser() && typeof data === 'object' && !isBuffer) {
          data = new util.Buffer(new Uint8Array(data));
        }
        var out = hash.update(data).digest(digest);
        if (callback) callback(null, out);
        return out;
      }
    },

    toHex: function toHex(data) {
      var out = [];
      for (var i = 0; i < data.length; i++) {
        out.push(('0' + data.charCodeAt(i).toString(16)).substr(-2, 2));
      }
      return out.join('');
    },

    createHash: function createHash(algorithm) {
      return util.crypto.lib.createHash(algorithm);
    }

  },

  /** @!ignore */

  /* Abort constant */
  abort: {},

  each: function each(object, iterFunction) {
    for (var key in object) {
      if (Object.prototype.hasOwnProperty.call(object, key)) {
        var ret = iterFunction.call(this, key, object[key]);
        if (ret === util.abort) break;
      }
    }
  },

  arrayEach: function arrayEach(array, iterFunction) {
    for (var idx in array) {
      if (Object.prototype.hasOwnProperty.call(array, idx)) {
        var ret = iterFunction.call(this, array[idx], parseInt(idx, 10));
        if (ret === util.abort) break;
      }
    }
  },

  update: function update(obj1, obj2) {
    util.each(obj2, function iterator(key, item) {
      obj1[key] = item;
    });
    return obj1;
  },

  merge: function merge(obj1, obj2) {
    return util.update(util.copy(obj1), obj2);
  },

  copy: function copy(object) {
    if (object === null || object === undefined) return object;
    var dupe = {};
    // jshint forin:false
    for (var key in object) {
      dupe[key] = object[key];
    }
    return dupe;
  },

  isEmpty: function isEmpty(obj) {
    for (var prop in obj) {
      if (Object.prototype.hasOwnProperty.call(obj, prop)) {
        return false;
      }
    }
    return true;
  },

  arraySliceFn: function arraySliceFn(obj) {
    var fn = obj.slice || obj.webkitSlice || obj.mozSlice;
    return typeof fn === 'function' ? fn : null;
  },

  isType: function isType(obj, type) {
    // handle cross-"frame" objects
    if (typeof type === 'function') type = util.typeName(type);
    return Object.prototype.toString.call(obj) === '[object ' + type + ']';
  },

  typeName: function typeName(type) {
    if (Object.prototype.hasOwnProperty.call(type, 'name')) return type.name;
    var str = type.toString();
    var match = str.match(/^\s*function (.+)\(/);
    return match ? match[1] : str;
  },

  error: function error(err, options) {
    var originalError = null;
    if (typeof err.message === 'string' && err.message !== '') {
      if (typeof options === 'string' || (options && options.message)) {
        originalError = util.copy(err);
        originalError.message = err.message;
      }
    }
    err.message = err.message || null;

    if (typeof options === 'string') {
      err.message = options;
    } else if (typeof options === 'object' && options !== null) {
      util.update(err, options);
      if (options.message)
        err.message = options.message;
      if (options.code || options.name)
        err.code = options.code || options.name;
      if (options.stack)
        err.stack = options.stack;
    }

    if (typeof Object.defineProperty === 'function') {
      Object.defineProperty(err, 'name', {writable: true, enumerable: false});
      Object.defineProperty(err, 'message', {enumerable: true});
    }

    err.name = String(options && options.name || err.name || err.code || 'Error');
    err.time = new Date();

    if (originalError) err.originalError = originalError;

    return err;
  },

  /**
   * @api private
   */
  inherit: function inherit(klass, features) {
    var newObject = null;
    if (features === undefined) {
      features = klass;
      klass = Object;
      newObject = {};
    } else {
      var ctor = function ConstructorWrapper() {};
      ctor.prototype = klass.prototype;
      newObject = new ctor();
    }

    // constructor not supplied, create pass-through ctor
    if (features.constructor === Object) {
      features.constructor = function() {
        if (klass !== Object) {
          return klass.apply(this, arguments);
        }
      };
    }

    features.constructor.prototype = newObject;
    util.update(features.constructor.prototype, features);
    features.constructor.__super__ = klass;
    return features.constructor;
  },

  /**
   * @api private
   */
  mixin: function mixin() {
    var klass = arguments[0];
    for (var i = 1; i < arguments.length; i++) {
      // jshint forin:false
      for (var prop in arguments[i].prototype) {
        var fn = arguments[i].prototype[prop];
        if (prop !== 'constructor') {
          klass.prototype[prop] = fn;
        }
      }
    }
    return klass;
  },

  /**
   * @api private
   */
  hideProperties: function hideProperties(obj, props) {
    if (typeof Object.defineProperty !== 'function') return;

    util.arrayEach(props, function (key) {
      Object.defineProperty(obj, key, {
        enumerable: false, writable: true, configurable: true });
    });
  },

  /**
   * @api private
   */
  property: function property(obj, name, value, enumerable, isValue) {
    var opts = {
      configurable: true,
      enumerable: enumerable !== undefined ? enumerable : true
    };
    if (typeof value === 'function' && !isValue) {
      opts.get = value;
    }
    else {
      opts.value = value; opts.writable = true;
    }

    Object.defineProperty(obj, name, opts);
  },

  /**
   * @api private
   */
  memoizedProperty: function memoizedProperty(obj, name, get, enumerable) {
    var cachedValue = null;

    // build enumerable attribute for each value with lazy accessor.
    util.property(obj, name, function() {
      if (cachedValue === null) {
        cachedValue = get();
      }
      return cachedValue;
    }, enumerable);
  },

  /**
   * TODO Remove in major version revision
   * This backfill populates response data without the
   * top-level payload name.
   *
   * @api private
   */
  hoistPayloadMember: function hoistPayloadMember(resp) {
    var req = resp.request;
    var operationName = req.operation;
    var operation = req.service.api.operations[operationName];
    var output = operation.output;
    if (output.payload && !operation.hasEventOutput) {
      var payloadMember = output.members[output.payload];
      var responsePayload = resp.data[output.payload];
      if (payloadMember.type === 'structure') {
        util.each(responsePayload, function(key, value) {
          util.property(resp.data, key, value, false);
        });
      }
    }
  },

  /**
   * Compute SHA-256 checksums of streams
   *
   * @api private
   */
  computeSha256: function computeSha256(body, done) {
    if (util.isNode()) {
      var Stream = util.stream.Stream;
      var fs = __nccwpck_require__(57147);
      if (typeof Stream === 'function' && body instanceof Stream) {
        if (typeof body.path === 'string') { // assume file object
          var settings = {};
          if (typeof body.start === 'number') {
            settings.start = body.start;
          }
          if (typeof body.end === 'number') {
            settings.end = body.end;
          }
          body = fs.createReadStream(body.path, settings);
        } else { // TODO support other stream types
          return done(new Error('Non-file stream objects are ' +
                                'not supported with SigV4'));
        }
      }
    }

    util.crypto.sha256(body, 'hex', function(err, sha) {
      if (err) done(err);
      else done(null, sha);
    });
  },

  /**
   * @api private
   */
  isClockSkewed: function isClockSkewed(serverTime) {
    if (serverTime) {
      util.property(AWS.config, 'isClockSkewed',
        Math.abs(new Date().getTime() - serverTime) >= 300000, false);
      return AWS.config.isClockSkewed;
    }
  },

  applyClockOffset: function applyClockOffset(serverTime) {
    if (serverTime)
      AWS.config.systemClockOffset = serverTime - new Date().getTime();
  },

  /**
   * @api private
   */
  extractRequestId: function extractRequestId(resp) {
    var requestId = resp.httpResponse.headers['x-amz-request-id'] ||
                     resp.httpResponse.headers['x-amzn-requestid'];

    if (!requestId && resp.data && resp.data.ResponseMetadata) {
      requestId = resp.data.ResponseMetadata.RequestId;
    }

    if (requestId) {
      resp.requestId = requestId;
    }

    if (resp.error) {
      resp.error.requestId = requestId;
    }
  },

  /**
   * @api private
   */
  addPromises: function addPromises(constructors, PromiseDependency) {
    var deletePromises = false;
    if (PromiseDependency === undefined && AWS && AWS.config) {
      PromiseDependency = AWS.config.getPromisesDependency();
    }
    if (PromiseDependency === undefined && typeof Promise !== 'undefined') {
      PromiseDependency = Promise;
    }
    if (typeof PromiseDependency !== 'function') deletePromises = true;
    if (!Array.isArray(constructors)) constructors = [constructors];

    for (var ind = 0; ind < constructors.length; ind++) {
      var constructor = constructors[ind];
      if (deletePromises) {
        if (constructor.deletePromisesFromClass) {
          constructor.deletePromisesFromClass();
        }
      } else if (constructor.addPromisesToClass) {
        constructor.addPromisesToClass(PromiseDependency);
      }
    }
  },

  /**
   * @api private
   * Return a function that will return a promise whose fate is decided by the
   * callback behavior of the given method with `methodName`. The method to be
   * promisified should conform to node.js convention of accepting a callback as
   * last argument and calling that callback with error as the first argument
   * and success value on the second argument.
   */
  promisifyMethod: function promisifyMethod(methodName, PromiseDependency) {
    return function promise() {
      var self = this;
      var args = Array.prototype.slice.call(arguments);
      return new PromiseDependency(function(resolve, reject) {
        args.push(function(err, data) {
          if (err) {
            reject(err);
          } else {
            resolve(data);
          }
        });
        self[methodName].apply(self, args);
      });
    };
  },

  /**
   * @api private
   */
  isDualstackAvailable: function isDualstackAvailable(service) {
    if (!service) return false;
    var metadata = __nccwpck_require__(17752);
    if (typeof service !== 'string') service = service.serviceIdentifier;
    if (typeof service !== 'string' || !metadata.hasOwnProperty(service)) return false;
    return !!metadata[service].dualstackAvailable;
  },

  /**
   * @api private
   */
  calculateRetryDelay: function calculateRetryDelay(retryCount, retryDelayOptions, err) {
    if (!retryDelayOptions) retryDelayOptions = {};
    var customBackoff = retryDelayOptions.customBackoff || null;
    if (typeof customBackoff === 'function') {
      return customBackoff(retryCount, err);
    }
    var base = typeof retryDelayOptions.base === 'number' ? retryDelayOptions.base : 100;
    var delay = Math.random() * (Math.pow(2, retryCount) * base);
    return delay;
  },

  /**
   * @api private
   */
  handleRequestWithRetries: function handleRequestWithRetries(httpRequest, options, cb) {
    if (!options) options = {};
    var http = AWS.HttpClient.getInstance();
    var httpOptions = options.httpOptions || {};
    var retryCount = 0;

    var errCallback = function(err) {
      var maxRetries = options.maxRetries || 0;
      if (err && err.code === 'TimeoutError') err.retryable = true;

      // Call `calculateRetryDelay()` only when relevant, see #3401
      if (err && err.retryable && retryCount < maxRetries) {
        var delay = util.calculateRetryDelay(retryCount, options.retryDelayOptions, err);
        if (delay >= 0) {
          retryCount++;
          setTimeout(sendRequest, delay + (err.retryAfter || 0));
          return;
        }
      }
      cb(err);
    };

    var sendRequest = function() {
      var data = '';
      http.handleRequest(httpRequest, httpOptions, function(httpResponse) {
        httpResponse.on('data', function(chunk) { data += chunk.toString(); });
        httpResponse.on('end', function() {
          var statusCode = httpResponse.statusCode;
          if (statusCode < 300) {
            cb(null, data);
          } else {
            var retryAfter = parseInt(httpResponse.headers['retry-after'], 10) * 1000 || 0;
            var err = util.error(new Error(),
              {
                statusCode: statusCode,
                retryable: statusCode >= 500 || statusCode === 429
              }
            );
            if (retryAfter && err.retryable) err.retryAfter = retryAfter;
            errCallback(err);
          }
        });
      }, errCallback);
    };

    AWS.util.defer(sendRequest);
  },

  /**
   * @api private
   */
  uuid: {
    v4: function uuidV4() {
      return (__nccwpck_require__(2155).v4)();
    }
  },

  /**
   * @api private
   */
  convertPayloadToString: function convertPayloadToString(resp) {
    var req = resp.request;
    var operation = req.operation;
    var rules = req.service.api.operations[operation].output || {};
    if (rules.payload && resp.data[rules.payload]) {
      resp.data[rules.payload] = resp.data[rules.payload].toString();
    }
  },

  /**
   * @api private
   */
  defer: function defer(callback) {
    if (typeof process === 'object' && typeof process.nextTick === 'function') {
      process.nextTick(callback);
    } else if (typeof setImmediate === 'function') {
      setImmediate(callback);
    } else {
      setTimeout(callback, 0);
    }
  },

  /**
   * @api private
   */
  getRequestPayloadShape: function getRequestPayloadShape(req) {
    var operations = req.service.api.operations;
    if (!operations) return undefined;
    var operation = (operations || {})[req.operation];
    if (!operation || !operation.input || !operation.input.payload) return undefined;
    return operation.input.members[operation.input.payload];
  },

  getProfilesFromSharedConfig: function getProfilesFromSharedConfig(iniLoader, filename) {
    var profiles = {};
    var profilesFromConfig = {};
    if (process.env[util.configOptInEnv]) {
      var profilesFromConfig = iniLoader.loadFrom({
        isConfig: true,
        filename: process.env[util.sharedConfigFileEnv]
      });
    }
    var profilesFromCreds= {};
    try {
      var profilesFromCreds = iniLoader.loadFrom({
        filename: filename ||
          (process.env[util.configOptInEnv] && process.env[util.sharedCredentialsFileEnv])
      });
    } catch (error) {
      // if using config, assume it is fully descriptive without a credentials file:
      if (!process.env[util.configOptInEnv]) throw error;
    }
    for (var i = 0, profileNames = Object.keys(profilesFromConfig); i < profileNames.length; i++) {
      profiles[profileNames[i]] = objectAssign(profiles[profileNames[i]] || {}, profilesFromConfig[profileNames[i]]);
    }
    for (var i = 0, profileNames = Object.keys(profilesFromCreds); i < profileNames.length; i++) {
      profiles[profileNames[i]] = objectAssign(profiles[profileNames[i]] || {}, profilesFromCreds[profileNames[i]]);
    }
    return profiles;

    /**
     * Roughly the semantics of `Object.assign(target, source)`
     */
    function objectAssign(target, source) {
      for (var i = 0, keys = Object.keys(source); i < keys.length; i++) {
        target[keys[i]] = source[keys[i]];
      }
      return target;
    }
  },

  /**
   * @api private
   */
  ARN: {
    validate: function validateARN(str) {
      return str && str.indexOf('arn:') === 0 && str.split(':').length >= 6;
    },
    parse: function parseARN(arn) {
      var matched = arn.split(':');
      return {
        partition: matched[1],
        service: matched[2],
        region: matched[3],
        accountId: matched[4],
        resource: matched.slice(5).join(':')
      };
    },
    build: function buildARN(arnObject) {
      if (
        arnObject.service === undefined ||
        arnObject.region === undefined ||
        arnObject.accountId === undefined ||
        arnObject.resource === undefined
      ) throw util.error(new Error('Input ARN object is invalid'));
      return 'arn:'+ (arnObject.partition || 'aws') + ':' + arnObject.service +
        ':' + arnObject.region + ':' + arnObject.accountId + ':' + arnObject.resource;
    }
  },

  /**
   * @api private
   */
  defaultProfile: 'default',

  /**
   * @api private
   */
  configOptInEnv: 'AWS_SDK_LOAD_CONFIG',

  /**
   * @api private
   */
  sharedCredentialsFileEnv: 'AWS_SHARED_CREDENTIALS_FILE',

  /**
   * @api private
   */
  sharedConfigFileEnv: 'AWS_CONFIG_FILE',

  /**
   * @api private
   */
  imdsDisabledEnv: 'AWS_EC2_METADATA_DISABLED'
};

/**
 * @api private
 */
module.exports = util;


/***/ }),

/***/ 23546:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(77985);
var XmlNode = (__nccwpck_require__(20397).XmlNode);
var XmlText = (__nccwpck_require__(90971).XmlText);

function XmlBuilder() { }

XmlBuilder.prototype.toXML = function(params, shape, rootElement, noEmpty) {
  var xml = new XmlNode(rootElement);
  applyNamespaces(xml, shape, true);
  serialize(xml, params, shape);
  return xml.children.length > 0 || noEmpty ? xml.toString() : '';
};

function serialize(xml, value, shape) {
  switch (shape.type) {
    case 'structure': return serializeStructure(xml, value, shape);
    case 'map': return serializeMap(xml, value, shape);
    case 'list': return serializeList(xml, value, shape);
    default: return serializeScalar(xml, value, shape);
  }
}

function serializeStructure(xml, params, shape) {
  util.arrayEach(shape.memberNames, function(memberName) {
    var memberShape = shape.members[memberName];
    if (memberShape.location !== 'body') return;

    var value = params[memberName];
    var name = memberShape.name;
    if (value !== undefined && value !== null) {
      if (memberShape.isXmlAttribute) {
        xml.addAttribute(name, value);
      } else if (memberShape.flattened) {
        serialize(xml, value, memberShape);
      } else {
        var element = new XmlNode(name);
        xml.addChildNode(element);
        applyNamespaces(element, memberShape);
        serialize(element, value, memberShape);
      }
    }
  });
}

function serializeMap(xml, map, shape) {
  var xmlKey = shape.key.name || 'key';
  var xmlValue = shape.value.name || 'value';

  util.each(map, function(key, value) {
    var entry = new XmlNode(shape.flattened ? shape.name : 'entry');
    xml.addChildNode(entry);

    var entryKey = new XmlNode(xmlKey);
    var entryValue = new XmlNode(xmlValue);
    entry.addChildNode(entryKey);
    entry.addChildNode(entryValue);

    serialize(entryKey, key, shape.key);
    serialize(entryValue, value, shape.value);
  });
}

function serializeList(xml, list, shape) {
  if (shape.flattened) {
    util.arrayEach(list, function(value) {
      var name = shape.member.name || shape.name;
      var element = new XmlNode(name);
      xml.addChildNode(element);
      serialize(element, value, shape.member);
    });
  } else {
    util.arrayEach(list, function(value) {
      var name = shape.member.name || 'member';
      var element = new XmlNode(name);
      xml.addChildNode(element);
      serialize(element, value, shape.member);
    });
  }
}

function serializeScalar(xml, value, shape) {
  xml.addChildNode(
    new XmlText(shape.toWireFormat(value))
  );
}

function applyNamespaces(xml, shape, isRoot) {
  var uri, prefix = 'xmlns';
  if (shape.xmlNamespaceUri) {
    uri = shape.xmlNamespaceUri;
    if (shape.xmlNamespacePrefix) prefix += ':' + shape.xmlNamespacePrefix;
  } else if (isRoot && shape.api.xmlNamespaceUri) {
    uri = shape.api.xmlNamespaceUri;
  }

  if (uri) xml.addAttribute(prefix, uri);
}

/**
 * @api private
 */
module.exports = XmlBuilder;


/***/ }),

/***/ 98241:
/***/ ((module) => {

/**
 * Escapes characters that can not be in an XML attribute.
 */
function escapeAttribute(value) {
    return value.replace(/&/g, '&amp;').replace(/'/g, '&apos;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;');
}

/**
 * @api private
 */
module.exports = {
    escapeAttribute: escapeAttribute
};


/***/ }),

/***/ 98464:
/***/ ((module) => {

/**
 * Escapes characters that can not be in an XML element.
 */
function escapeElement(value) {
    return value.replace(/&/g, '&amp;')
                .replace(/</g, '&lt;')
                .replace(/>/g, '&gt;')
                .replace(/\r/g, '&#x0D;')
                .replace(/\n/g, '&#x0A;')
                .replace(/\u0085/g, '&#x85;')
                .replace(/\u2028/, '&#x2028;');
}

/**
 * @api private
 */
module.exports = {
    escapeElement: escapeElement
};


/***/ }),

/***/ 96752:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var AWS = __nccwpck_require__(28437);
var util = AWS.util;
var Shape = AWS.Model.Shape;

var xml2js = __nccwpck_require__(66189);

/**
 * @api private
 */
var options = {  // options passed to xml2js parser
  explicitCharkey: false, // undocumented
  trim: false,            // trim the leading/trailing whitespace from text nodes
  normalize: false,       // trim interior whitespace inside text nodes
  explicitRoot: false,    // return the root node in the resulting object?
  emptyTag: null,         // the default value for empty nodes
  explicitArray: true,    // always put child nodes in an array
  ignoreAttrs: false,     // ignore attributes, only create text nodes
  mergeAttrs: false,      // merge attributes and child elements
  validator: null         // a callable validator
};

function NodeXmlParser() { }

NodeXmlParser.prototype.parse = function(xml, shape) {
  shape = shape || {};

  var result = null;
  var error = null;

  var parser = new xml2js.Parser(options);
  parser.parseString(xml, function (e, r) {
    error = e;
    result = r;
  });

  if (result) {
    var data = parseXml(result, shape);
    if (result.ResponseMetadata) {
      data.ResponseMetadata = parseXml(result.ResponseMetadata[0], {});
    }
    return data;
  } else if (error) {
    throw util.error(error, {code: 'XMLParserError', retryable: true});
  } else { // empty xml document
    return parseXml({}, shape);
  }
};

function parseXml(xml, shape) {
  switch (shape.type) {
    case 'structure': return parseStructure(xml, shape);
    case 'map': return parseMap(xml, shape);
    case 'list': return parseList(xml, shape);
    case undefined: case null: return parseUnknown(xml);
    default: return parseScalar(xml, shape);
  }
}

function parseStructure(xml, shape) {
  var data = {};
  if (xml === null) return data;

  util.each(shape.members, function(memberName, memberShape) {
    var xmlName = memberShape.name;
    if (Object.prototype.hasOwnProperty.call(xml, xmlName) && Array.isArray(xml[xmlName])) {
      var xmlChild = xml[xmlName];
      if (!memberShape.flattened) xmlChild = xmlChild[0];

      data[memberName] = parseXml(xmlChild, memberShape);
    } else if (memberShape.isXmlAttribute &&
               xml.$ && Object.prototype.hasOwnProperty.call(xml.$, xmlName)) {
      data[memberName] = parseScalar(xml.$[xmlName], memberShape);
    } else if (memberShape.type === 'list' && !shape.api.xmlNoDefaultLists) {
      data[memberName] = memberShape.defaultValue;
    }
  });

  return data;
}

function parseMap(xml, shape) {
  var data = {};
  if (xml === null) return data;

  var xmlKey = shape.key.name || 'key';
  var xmlValue = shape.value.name || 'value';
  var iterable = shape.flattened ? xml : xml.entry;

  if (Array.isArray(iterable)) {
    util.arrayEach(iterable, function(child) {
      data[child[xmlKey][0]] = parseXml(child[xmlValue][0], shape.value);
    });
  }

  return data;
}

function parseList(xml, shape) {
  var data = [];
  var name = shape.member.name || 'member';
  if (shape.flattened) {
    util.arrayEach(xml, function(xmlChild) {
      data.push(parseXml(xmlChild, shape.member));
    });
  } else if (xml && Array.isArray(xml[name])) {
    util.arrayEach(xml[name], function(child) {
      data.push(parseXml(child, shape.member));
    });
  }

  return data;
}

function parseScalar(text, shape) {
  if (text && text.$ && text.$.encoding === 'base64') {
    shape = new Shape.create({type: text.$.encoding});
  }
  if (text && text._) text = text._;

  if (typeof shape.toType === 'function') {
    return shape.toType(text);
  } else {
    return text;
  }
}

function parseUnknown(xml) {
  if (xml === undefined || xml === null) return '';
  if (typeof xml === 'string') return xml;

  // parse a list
  if (Array.isArray(xml)) {
    var arr = [];
    for (i = 0; i < xml.length; i++) {
      arr.push(parseXml(xml[i], {}));
    }
    return arr;
  }

  // empty object
  var keys = Object.keys(xml), i;
  if (keys.length === 0 || (keys.length === 1 && keys[0] === '$')) {
    return {};
  }

  // object, parse as structure
  var data = {};
  for (i = 0; i < keys.length; i++) {
    var key = keys[i], value = xml[key];
    if (key === '$') continue;
    if (value.length > 1) { // this member is a list
      data[key] = parseList(value, {member: {}});
    } else { // this member is a single item
      data[key] = parseXml(value[0], {});
    }
  }
  return data;
}

/**
 * @api private
 */
module.exports = NodeXmlParser;


/***/ }),

/***/ 20397:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var escapeAttribute = (__nccwpck_require__(98241).escapeAttribute);

/**
 * Represents an XML node.
 * @api private
 */
function XmlNode(name, children) {
    if (children === void 0) { children = []; }
    this.name = name;
    this.children = children;
    this.attributes = {};
}
XmlNode.prototype.addAttribute = function (name, value) {
    this.attributes[name] = value;
    return this;
};
XmlNode.prototype.addChildNode = function (child) {
    this.children.push(child);
    return this;
};
XmlNode.prototype.removeAttribute = function (name) {
    delete this.attributes[name];
    return this;
};
XmlNode.prototype.toString = function () {
    var hasChildren = Boolean(this.children.length);
    var xmlText = '<' + this.name;
    // add attributes
    var attributes = this.attributes;
    for (var i = 0, attributeNames = Object.keys(attributes); i < attributeNames.length; i++) {
        var attributeName = attributeNames[i];
        var attribute = attributes[attributeName];
        if (typeof attribute !== 'undefined' && attribute !== null) {
            xmlText += ' ' + attributeName + '=\"' + escapeAttribute('' + attribute) + '\"';
        }
    }
    return xmlText += !hasChildren ? '/>' : '>' + this.children.map(function (c) { return c.toString(); }).join('') + '</' + this.name + '>';
};

/**
 * @api private
 */
module.exports = {
    XmlNode: XmlNode
};


/***/ }),

/***/ 90971:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var escapeElement = (__nccwpck_require__(98464).escapeElement);

/**
 * Represents an XML text value.
 * @api private
 */
function XmlText(value) {
    this.value = value;
}

XmlText.prototype.toString = function () {
    return escapeElement('' + this.value);
};

/**
 * @api private
 */
module.exports = {
    XmlText: XmlText
};


/***/ }),

/***/ 96323:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";
var __webpack_unused_export__;

__webpack_unused_export__ = ({ value: true });
var LRU_1 = __nccwpck_require__(77710);
var CACHE_SIZE = 1000;
/**
 * Inspired node-lru-cache[https://github.com/isaacs/node-lru-cache]
 */
var EndpointCache = /** @class */ (function () {
    function EndpointCache(maxSize) {
        if (maxSize === void 0) { maxSize = CACHE_SIZE; }
        this.maxSize = maxSize;
        this.cache = new LRU_1.LRUCache(maxSize);
    }
    ;
    Object.defineProperty(EndpointCache.prototype, "size", {
        get: function () {
            return this.cache.length;
        },
        enumerable: true,
        configurable: true
    });
    EndpointCache.prototype.put = function (key, value) {
      var keyString = typeof key !== 'string' ? EndpointCache.getKeyString(key) : key;
        var endpointRecord = this.populateValue(value);
        this.cache.put(keyString, endpointRecord);
    };
    EndpointCache.prototype.get = function (key) {
      var keyString = typeof key !== 'string' ? EndpointCache.getKeyString(key) : key;
        var now = Date.now();
        var records = this.cache.get(keyString);
        if (records) {
            for (var i = records.length-1; i >= 0; i--) {
                var record = records[i];
                if (record.Expire < now) {
                    records.splice(i, 1);
                }
            }
            if (records.length === 0) {
                this.cache.remove(keyString);
                return undefined;
            }
        }
        return records;
    };
    EndpointCache.getKeyString = function (key) {
        var identifiers = [];
        var identifierNames = Object.keys(key).sort();
        for (var i = 0; i < identifierNames.length; i++) {
            var identifierName = identifierNames[i];
            if (key[identifierName] === undefined)
                continue;
            identifiers.push(key[identifierName]);
        }
        return identifiers.join(' ');
    };
    EndpointCache.prototype.populateValue = function (endpoints) {
        var now = Date.now();
        return endpoints.map(function (endpoint) { return ({
            Address: endpoint.Address || '',
            Expire: now + (endpoint.CachePeriodInMinutes || 1) * 60 * 1000
        }); });
    };
    EndpointCache.prototype.empty = function () {
        this.cache.empty();
    };
    EndpointCache.prototype.remove = function (key) {
      var keyString = typeof key !== 'string' ? EndpointCache.getKeyString(key) : key;
        this.cache.remove(keyString);
    };
    return EndpointCache;
}());
exports.$ = EndpointCache;

/***/ }),

/***/ 77710:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
var LinkedListNode = /** @class */ (function () {
    function LinkedListNode(key, value) {
        this.key = key;
        this.value = value;
    }
    return LinkedListNode;
}());
var LRUCache = /** @class */ (function () {
    function LRUCache(size) {
        this.nodeMap = {};
        this.size = 0;
        if (typeof size !== 'number' || size < 1) {
            throw new Error('Cache size can only be positive number');
        }
        this.sizeLimit = size;
    }
    Object.defineProperty(LRUCache.prototype, "length", {
        get: function () {
            return this.size;
        },
        enumerable: true,
        configurable: true
    });
    LRUCache.prototype.prependToList = function (node) {
        if (!this.headerNode) {
            this.tailNode = node;
        }
        else {
            this.headerNode.prev = node;
            node.next = this.headerNode;
        }
        this.headerNode = node;
        this.size++;
    };
    LRUCache.prototype.removeFromTail = function () {
        if (!this.tailNode) {
            return undefined;
        }
        var node = this.tailNode;
        var prevNode = node.prev;
        if (prevNode) {
            prevNode.next = undefined;
        }
        node.prev = undefined;
        this.tailNode = prevNode;
        this.size--;
        return node;
    };
    LRUCache.prototype.detachFromList = function (node) {
        if (this.headerNode === node) {
            this.headerNode = node.next;
        }
        if (this.tailNode === node) {
            this.tailNode = node.prev;
        }
        if (node.prev) {
            node.prev.next = node.next;
        }
        if (node.next) {
            node.next.prev = node.prev;
        }
        node.next = undefined;
        node.prev = undefined;
        this.size--;
    };
    LRUCache.prototype.get = function (key) {
        if (this.nodeMap[key]) {
            var node = this.nodeMap[key];
            this.detachFromList(node);
            this.prependToList(node);
            return node.value;
        }
    };
    LRUCache.prototype.remove = function (key) {
        if (this.nodeMap[key]) {
            var node = this.nodeMap[key];
            this.detachFromList(node);
            delete this.nodeMap[key];
        }
    };
    LRUCache.prototype.put = function (key, value) {
        if (this.nodeMap[key]) {
            this.remove(key);
        }
        else if (this.size === this.sizeLimit) {
            var tailNode = this.removeFromTail();
            var key_1 = tailNode.key;
            delete this.nodeMap[key_1];
        }
        var newNode = new LinkedListNode(key, value);
        this.nodeMap[key] = newNode;
        this.prependToList(newNode);
    };
    LRUCache.prototype.empty = function () {
        var keys = Object.keys(this.nodeMap);
        for (var i = 0; i < keys.length; i++) {
            var key = keys[i];
            var node = this.nodeMap[key];
            this.detachFromList(node);
            delete this.nodeMap[key];
        }
    };
    return LRUCache;
}());
exports.LRUCache = LRUCache;

/***/ }),

/***/ 9417:
/***/ ((module) => {

"use strict";

module.exports = balanced;
function balanced(a, b, str) {
  if (a instanceof RegExp) a = maybeMatch(a, str);
  if (b instanceof RegExp) b = maybeMatch(b, str);

  var r = range(a, b, str);

  return r && {
    start: r[0],
    end: r[1],
    pre: str.slice(0, r[0]),
    body: str.slice(r[0] + a.length, r[1]),
    post: str.slice(r[1] + b.length)
  };
}

function maybeMatch(reg, str) {
  var m = str.match(reg);
  return m ? m[0] : null;
}

balanced.range = range;
function range(a, b, str) {
  var begs, beg, left, right, result;
  var ai = str.indexOf(a);
  var bi = str.indexOf(b, ai + 1);
  var i = ai;

  if (ai >= 0 && bi > 0) {
    begs = [];
    left = str.length;

    while (i >= 0 && !result) {
      if (i == ai) {
        begs.push(i);
        ai = str.indexOf(a, i + 1);
      } else if (begs.length == 1) {
        result = [ begs.pop(), bi ];
      } else {
        beg = begs.pop();
        if (beg < left) {
          left = beg;
          right = bi;
        }

        bi = str.indexOf(b, i + 1);
      }

      i = ai < bi && ai >= 0 ? ai : bi;
    }

    if (begs.length) {
      result = [ left, right ];
    }
  }

  return result;
}


/***/ }),

/***/ 42504:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const fs = __nccwpck_require__(57147);
const path = __nccwpck_require__(71017);
const url = __nccwpck_require__(57310);
const pify = __nccwpck_require__(64810);
const importLazy = __nccwpck_require__(41239)(require);

const binCheck = importLazy('bin-check');
const binVersionCheck = importLazy('bin-version-check');
const download = importLazy('download');
const osFilterObj = importLazy('os-filter-obj');

const statAsync = pify(fs.stat);
const chmodAsync = pify(fs.chmod);

/**
 * Initialize a new `BinWrapper`
 *
 * @param {Object} options
 * @api public
 */
module.exports = class BinWrapper {
	constructor(options = {}) {
		this.options = options;

		if (this.options.strip <= 0) {
			this.options.strip = 0;
		} else if (!this.options.strip) {
			this.options.strip = 1;
		}
	}

	/**
	 * Get or set files to download
	 *
	 * @param {String} src
	 * @param {String} os
	 * @param {String} arch
	 * @api public
	 */
	src(src, os, arch) {
		if (arguments.length === 0) {
			return this._src;
		}

		this._src = this._src || [];
		this._src.push({
			url: src,
			os,
			arch
		});

		return this;
	}

	/**
	 * Get or set the destination
	 *
	 * @param {String} dest
	 * @api public
	 */
	dest(dest) {
		if (arguments.length === 0) {
			return this._dest;
		}

		this._dest = dest;
		return this;
	}

	/**
	 * Get or set the binary
	 *
	 * @param {String} bin
	 * @api public
	 */
	use(bin) {
		if (arguments.length === 0) {
			return this._use;
		}

		this._use = bin;
		return this;
	}

	/**
	 * Get or set a semver range to test the binary against
	 *
	 * @param {String} range
	 * @api public
	 */
	version(range) {
		if (arguments.length === 0) {
			return this._version;
		}

		this._version = range;
		return this;
	}

	/**
	 * Get path to the binary
	 *
	 * @api public
	 */
	path() {
		return path.join(this.dest(), this.use());
	}

	/**
	 * Run
	 *
	 * @param {Array} cmd
	 * @api public
	 */
	run(cmd = ['--version']) {
		return this.findExisting().then(() => {
			if (this.options.skipCheck) {
				return;
			}

			return this.runCheck(cmd);
		});
	}

	/**
	 * Run binary check
	 *
	 * @param {Array} cmd
	 * @api private
	 */
	runCheck(cmd) {
		return binCheck(this.path(), cmd).then(works => {
			if (!works) {
				throw new Error(`The \`${this.path()}\` binary doesn't seem to work correctly`);
			}

			if (this.version()) {
				return binVersionCheck(this.path(), this.version());
			}

			return Promise.resolve();
		});
	}

	/**
	 * Find existing files
	 *
	 * @api private
	 */
	findExisting() {
		return statAsync(this.path()).catch(error => {
			if (error && error.code === 'ENOENT') {
				return this.download();
			}

			return Promise.reject(error);
		});
	}

	/**
	 * Download files
	 *
	 * @api private
	 */
	download() {
		const files = osFilterObj(this.src() || []);
		const urls = [];

		if (files.length === 0) {
			return Promise.reject(new Error('No binary found matching your system. It\'s probably not supported.'));
		}

		files.forEach(file => urls.push(file.url));

		return Promise.all(urls.map(url => download(url, this.dest(), {
			extract: true,
			strip: this.options.strip
		}))).then(result => {
			const resultingFiles = flatten(result.map((item, index) => {
				if (Array.isArray(item)) {
					return item.map(file => file.path);
				}

				const parsedUrl = url.parse(files[index].url);
				const parsedPath = path.parse(parsedUrl.pathname);

				return parsedPath.base;
			}));

			return Promise.all(resultingFiles.map(fileName => {
				return chmodAsync(path.join(this.dest(), fileName), 0o755);
			}));
		});
	}
};

function flatten(arr) {
	return arr.reduce((acc, elem) => {
		if (Array.isArray(elem)) {
			acc.push(...elem);
		} else {
			acc.push(elem);
		}

		return acc;
	}, []);
}


/***/ }),

/***/ 33717:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var concatMap = __nccwpck_require__(86891);
var balanced = __nccwpck_require__(9417);

module.exports = expandTop;

var escSlash = '\0SLASH'+Math.random()+'\0';
var escOpen = '\0OPEN'+Math.random()+'\0';
var escClose = '\0CLOSE'+Math.random()+'\0';
var escComma = '\0COMMA'+Math.random()+'\0';
var escPeriod = '\0PERIOD'+Math.random()+'\0';

function numeric(str) {
  return parseInt(str, 10) == str
    ? parseInt(str, 10)
    : str.charCodeAt(0);
}

function escapeBraces(str) {
  return str.split('\\\\').join(escSlash)
            .split('\\{').join(escOpen)
            .split('\\}').join(escClose)
            .split('\\,').join(escComma)
            .split('\\.').join(escPeriod);
}

function unescapeBraces(str) {
  return str.split(escSlash).join('\\')
            .split(escOpen).join('{')
            .split(escClose).join('}')
            .split(escComma).join(',')
            .split(escPeriod).join('.');
}


// Basically just str.split(","), but handling cases
// where we have nested braced sections, which should be
// treated as individual members, like {a,{b,c},d}
function parseCommaParts(str) {
  if (!str)
    return [''];

  var parts = [];
  var m = balanced('{', '}', str);

  if (!m)
    return str.split(',');

  var pre = m.pre;
  var body = m.body;
  var post = m.post;
  var p = pre.split(',');

  p[p.length-1] += '{' + body + '}';
  var postParts = parseCommaParts(post);
  if (post.length) {
    p[p.length-1] += postParts.shift();
    p.push.apply(p, postParts);
  }

  parts.push.apply(parts, p);

  return parts;
}

function expandTop(str) {
  if (!str)
    return [];

  // I don't know why Bash 4.3 does this, but it does.
  // Anything starting with {} will have the first two bytes preserved
  // but *only* at the top level, so {},a}b will not expand to anything,
  // but a{},b}c will be expanded to [a}c,abc].
  // One could argue that this is a bug in Bash, but since the goal of
  // this module is to match Bash's rules, we escape a leading {}
  if (str.substr(0, 2) === '{}') {
    str = '\\{\\}' + str.substr(2);
  }

  return expand(escapeBraces(str), true).map(unescapeBraces);
}

function identity(e) {
  return e;
}

function embrace(str) {
  return '{' + str + '}';
}
function isPadded(el) {
  return /^-?0\d/.test(el);
}

function lte(i, y) {
  return i <= y;
}
function gte(i, y) {
  return i >= y;
}

function expand(str, isTop) {
  var expansions = [];

  var m = balanced('{', '}', str);
  if (!m || /\$$/.test(m.pre)) return [str];

  var isNumericSequence = /^-?\d+\.\.-?\d+(?:\.\.-?\d+)?$/.test(m.body);
  var isAlphaSequence = /^[a-zA-Z]\.\.[a-zA-Z](?:\.\.-?\d+)?$/.test(m.body);
  var isSequence = isNumericSequence || isAlphaSequence;
  var isOptions = m.body.indexOf(',') >= 0;
  if (!isSequence && !isOptions) {
    // {a},b}
    if (m.post.match(/,.*\}/)) {
      str = m.pre + '{' + m.body + escClose + m.post;
      return expand(str);
    }
    return [str];
  }

  var n;
  if (isSequence) {
    n = m.body.split(/\.\./);
  } else {
    n = parseCommaParts(m.body);
    if (n.length === 1) {
      // x{{a,b}}y ==> x{a}y x{b}y
      n = expand(n[0], false).map(embrace);
      if (n.length === 1) {
        var post = m.post.length
          ? expand(m.post, false)
          : [''];
        return post.map(function(p) {
          return m.pre + n[0] + p;
        });
      }
    }
  }

  // at this point, n is the parts, and we know it's not a comma set
  // with a single entry.

  // no need to expand pre, since it is guaranteed to be free of brace-sets
  var pre = m.pre;
  var post = m.post.length
    ? expand(m.post, false)
    : [''];

  var N;

  if (isSequence) {
    var x = numeric(n[0]);
    var y = numeric(n[1]);
    var width = Math.max(n[0].length, n[1].length)
    var incr = n.length == 3
      ? Math.abs(numeric(n[2]))
      : 1;
    var test = lte;
    var reverse = y < x;
    if (reverse) {
      incr *= -1;
      test = gte;
    }
    var pad = n.some(isPadded);

    N = [];

    for (var i = x; test(i, y); i += incr) {
      var c;
      if (isAlphaSequence) {
        c = String.fromCharCode(i);
        if (c === '\\')
          c = '';
      } else {
        c = String(i);
        if (pad) {
          var need = width - c.length;
          if (need > 0) {
            var z = new Array(need + 1).join('0');
            if (i < 0)
              c = '-' + z + c.slice(1);
            else
              c = z + c;
          }
        }
      }
      N.push(c);
    }
  } else {
    N = concatMap(n, function(el) { return expand(el, false) });
  }

  for (var j = 0; j < N.length; j++) {
    for (var k = 0; k < post.length; k++) {
      var expansion = pre + N[j] + post[k];
      if (!isTop || isSequence || expansion)
        expansions.push(expansion);
    }
  }

  return expansions;
}



/***/ }),

/***/ 50610:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const stringify = __nccwpck_require__(38750);
const compile = __nccwpck_require__(79434);
const expand = __nccwpck_require__(35873);
const parse = __nccwpck_require__(96477);

/**
 * Expand the given pattern or create a regex-compatible string.
 *
 * ```js
 * const braces = require('braces');
 * console.log(braces('{a,b,c}', { compile: true })); //=> ['(a|b|c)']
 * console.log(braces('{a,b,c}')); //=> ['a', 'b', 'c']
 * ```
 * @param {String} `str`
 * @param {Object} `options`
 * @return {String}
 * @api public
 */

const braces = (input, options = {}) => {
  let output = [];

  if (Array.isArray(input)) {
    for (let pattern of input) {
      let result = braces.create(pattern, options);
      if (Array.isArray(result)) {
        output.push(...result);
      } else {
        output.push(result);
      }
    }
  } else {
    output = [].concat(braces.create(input, options));
  }

  if (options && options.expand === true && options.nodupes === true) {
    output = [...new Set(output)];
  }
  return output;
};

/**
 * Parse the given `str` with the given `options`.
 *
 * ```js
 * // braces.parse(pattern, [, options]);
 * const ast = braces.parse('a/{b,c}/d');
 * console.log(ast);
 * ```
 * @param {String} pattern Brace pattern to parse
 * @param {Object} options
 * @return {Object} Returns an AST
 * @api public
 */

braces.parse = (input, options = {}) => parse(input, options);

/**
 * Creates a braces string from an AST, or an AST node.
 *
 * ```js
 * const braces = require('braces');
 * let ast = braces.parse('foo/{a,b}/bar');
 * console.log(stringify(ast.nodes[2])); //=> '{a,b}'
 * ```
 * @param {String} `input` Brace pattern or AST.
 * @param {Object} `options`
 * @return {Array} Returns an array of expanded values.
 * @api public
 */

braces.stringify = (input, options = {}) => {
  if (typeof input === 'string') {
    return stringify(braces.parse(input, options), options);
  }
  return stringify(input, options);
};

/**
 * Compiles a brace pattern into a regex-compatible, optimized string.
 * This method is called by the main [braces](#braces) function by default.
 *
 * ```js
 * const braces = require('braces');
 * console.log(braces.compile('a/{b,c}/d'));
 * //=> ['a/(b|c)/d']
 * ```
 * @param {String} `input` Brace pattern or AST.
 * @param {Object} `options`
 * @return {Array} Returns an array of expanded values.
 * @api public
 */

braces.compile = (input, options = {}) => {
  if (typeof input === 'string') {
    input = braces.parse(input, options);
  }
  return compile(input, options);
};

/**
 * Expands a brace pattern into an array. This method is called by the
 * main [braces](#braces) function when `options.expand` is true. Before
 * using this method it's recommended that you read the [performance notes](#performance))
 * and advantages of using [.compile](#compile) instead.
 *
 * ```js
 * const braces = require('braces');
 * console.log(braces.expand('a/{b,c}/d'));
 * //=> ['a/b/d', 'a/c/d'];
 * ```
 * @param {String} `pattern` Brace pattern
 * @param {Object} `options`
 * @return {Array} Returns an array of expanded values.
 * @api public
 */

braces.expand = (input, options = {}) => {
  if (typeof input === 'string') {
    input = braces.parse(input, options);
  }

  let result = expand(input, options);

  // filter out empty strings if specified
  if (options.noempty === true) {
    result = result.filter(Boolean);
  }

  // filter out duplicates if specified
  if (options.nodupes === true) {
    result = [...new Set(result)];
  }

  return result;
};

/**
 * Processes a brace pattern and returns either an expanded array
 * (if `options.expand` is true), a highly optimized regex-compatible string.
 * This method is called by the main [braces](#braces) function.
 *
 * ```js
 * const braces = require('braces');
 * console.log(braces.create('user-{200..300}/project-{a,b,c}-{1..10}'))
 * //=> 'user-(20[0-9]|2[1-9][0-9]|300)/project-(a|b|c)-([1-9]|10)'
 * ```
 * @param {String} `pattern` Brace pattern
 * @param {Object} `options`
 * @return {Array} Returns an array of expanded values.
 * @api public
 */

braces.create = (input, options = {}) => {
  if (input === '' || input.length < 3) {
    return [input];
  }

 return options.expand !== true
    ? braces.compile(input, options)
    : braces.expand(input, options);
};

/**
 * Expose "braces"
 */

module.exports = braces;


/***/ }),

/***/ 79434:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const fill = __nccwpck_require__(6330);
const utils = __nccwpck_require__(45207);

const compile = (ast, options = {}) => {
  let walk = (node, parent = {}) => {
    let invalidBlock = utils.isInvalidBrace(parent);
    let invalidNode = node.invalid === true && options.escapeInvalid === true;
    let invalid = invalidBlock === true || invalidNode === true;
    let prefix = options.escapeInvalid === true ? '\\' : '';
    let output = '';

    if (node.isOpen === true) {
      return prefix + node.value;
    }
    if (node.isClose === true) {
      return prefix + node.value;
    }

    if (node.type === 'open') {
      return invalid ? (prefix + node.value) : '(';
    }

    if (node.type === 'close') {
      return invalid ? (prefix + node.value) : ')';
    }

    if (node.type === 'comma') {
      return node.prev.type === 'comma' ? '' : (invalid ? node.value : '|');
    }

    if (node.value) {
      return node.value;
    }

    if (node.nodes && node.ranges > 0) {
      let args = utils.reduce(node.nodes);
      let range = fill(...args, { ...options, wrap: false, toRegex: true });

      if (range.length !== 0) {
        return args.length > 1 && range.length > 1 ? `(${range})` : range;
      }
    }

    if (node.nodes) {
      for (let child of node.nodes) {
        output += walk(child, node);
      }
    }
    return output;
  };

  return walk(ast);
};

module.exports = compile;


/***/ }),

/***/ 18774:
/***/ ((module) => {

"use strict";


module.exports = {
  MAX_LENGTH: 1024 * 64,

  // Digits
  CHAR_0: '0', /* 0 */
  CHAR_9: '9', /* 9 */

  // Alphabet chars.
  CHAR_UPPERCASE_A: 'A', /* A */
  CHAR_LOWERCASE_A: 'a', /* a */
  CHAR_UPPERCASE_Z: 'Z', /* Z */
  CHAR_LOWERCASE_Z: 'z', /* z */

  CHAR_LEFT_PARENTHESES: '(', /* ( */
  CHAR_RIGHT_PARENTHESES: ')', /* ) */

  CHAR_ASTERISK: '*', /* * */

  // Non-alphabetic chars.
  CHAR_AMPERSAND: '&', /* & */
  CHAR_AT: '@', /* @ */
  CHAR_BACKSLASH: '\\', /* \ */
  CHAR_BACKTICK: '`', /* ` */
  CHAR_CARRIAGE_RETURN: '\r', /* \r */
  CHAR_CIRCUMFLEX_ACCENT: '^', /* ^ */
  CHAR_COLON: ':', /* : */
  CHAR_COMMA: ',', /* , */
  CHAR_DOLLAR: '$', /* . */
  CHAR_DOT: '.', /* . */
  CHAR_DOUBLE_QUOTE: '"', /* " */
  CHAR_EQUAL: '=', /* = */
  CHAR_EXCLAMATION_MARK: '!', /* ! */
  CHAR_FORM_FEED: '\f', /* \f */
  CHAR_FORWARD_SLASH: '/', /* / */
  CHAR_HASH: '#', /* # */
  CHAR_HYPHEN_MINUS: '-', /* - */
  CHAR_LEFT_ANGLE_BRACKET: '<', /* < */
  CHAR_LEFT_CURLY_BRACE: '{', /* { */
  CHAR_LEFT_SQUARE_BRACKET: '[', /* [ */
  CHAR_LINE_FEED: '\n', /* \n */
  CHAR_NO_BREAK_SPACE: '\u00A0', /* \u00A0 */
  CHAR_PERCENT: '%', /* % */
  CHAR_PLUS: '+', /* + */
  CHAR_QUESTION_MARK: '?', /* ? */
  CHAR_RIGHT_ANGLE_BRACKET: '>', /* > */
  CHAR_RIGHT_CURLY_BRACE: '}', /* } */
  CHAR_RIGHT_SQUARE_BRACKET: ']', /* ] */
  CHAR_SEMICOLON: ';', /* ; */
  CHAR_SINGLE_QUOTE: '\'', /* ' */
  CHAR_SPACE: ' ', /*   */
  CHAR_TAB: '\t', /* \t */
  CHAR_UNDERSCORE: '_', /* _ */
  CHAR_VERTICAL_LINE: '|', /* | */
  CHAR_ZERO_WIDTH_NOBREAK_SPACE: '\uFEFF' /* \uFEFF */
};


/***/ }),

/***/ 35873:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const fill = __nccwpck_require__(6330);
const stringify = __nccwpck_require__(38750);
const utils = __nccwpck_require__(45207);

const append = (queue = '', stash = '', enclose = false) => {
  let result = [];

  queue = [].concat(queue);
  stash = [].concat(stash);

  if (!stash.length) return queue;
  if (!queue.length) {
    return enclose ? utils.flatten(stash).map(ele => `{${ele}}`) : stash;
  }

  for (let item of queue) {
    if (Array.isArray(item)) {
      for (let value of item) {
        result.push(append(value, stash, enclose));
      }
    } else {
      for (let ele of stash) {
        if (enclose === true && typeof ele === 'string') ele = `{${ele}}`;
        result.push(Array.isArray(ele) ? append(item, ele, enclose) : (item + ele));
      }
    }
  }
  return utils.flatten(result);
};

const expand = (ast, options = {}) => {
  let rangeLimit = options.rangeLimit === void 0 ? 1000 : options.rangeLimit;

  let walk = (node, parent = {}) => {
    node.queue = [];

    let p = parent;
    let q = parent.queue;

    while (p.type !== 'brace' && p.type !== 'root' && p.parent) {
      p = p.parent;
      q = p.queue;
    }

    if (node.invalid || node.dollar) {
      q.push(append(q.pop(), stringify(node, options)));
      return;
    }

    if (node.type === 'brace' && node.invalid !== true && node.nodes.length === 2) {
      q.push(append(q.pop(), ['{}']));
      return;
    }

    if (node.nodes && node.ranges > 0) {
      let args = utils.reduce(node.nodes);

      if (utils.exceedsLimit(...args, options.step, rangeLimit)) {
        throw new RangeError('expanded array length exceeds range limit. Use options.rangeLimit to increase or disable the limit.');
      }

      let range = fill(...args, options);
      if (range.length === 0) {
        range = stringify(node, options);
      }

      q.push(append(q.pop(), range));
      node.nodes = [];
      return;
    }

    let enclose = utils.encloseBrace(node);
    let queue = node.queue;
    let block = node;

    while (block.type !== 'brace' && block.type !== 'root' && block.parent) {
      block = block.parent;
      queue = block.queue;
    }

    for (let i = 0; i < node.nodes.length; i++) {
      let child = node.nodes[i];

      if (child.type === 'comma' && node.type === 'brace') {
        if (i === 1) queue.push('');
        queue.push('');
        continue;
      }

      if (child.type === 'close') {
        q.push(append(q.pop(), queue, enclose));
        continue;
      }

      if (child.value && child.type !== 'open') {
        queue.push(append(queue.pop(), child.value));
        continue;
      }

      if (child.nodes) {
        walk(child, node);
      }
    }

    return queue;
  };

  return utils.flatten(walk(ast));
};

module.exports = expand;


/***/ }),

/***/ 96477:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const stringify = __nccwpck_require__(38750);

/**
 * Constants
 */

const {
  MAX_LENGTH,
  CHAR_BACKSLASH, /* \ */
  CHAR_BACKTICK, /* ` */
  CHAR_COMMA, /* , */
  CHAR_DOT, /* . */
  CHAR_LEFT_PARENTHESES, /* ( */
  CHAR_RIGHT_PARENTHESES, /* ) */
  CHAR_LEFT_CURLY_BRACE, /* { */
  CHAR_RIGHT_CURLY_BRACE, /* } */
  CHAR_LEFT_SQUARE_BRACKET, /* [ */
  CHAR_RIGHT_SQUARE_BRACKET, /* ] */
  CHAR_DOUBLE_QUOTE, /* " */
  CHAR_SINGLE_QUOTE, /* ' */
  CHAR_NO_BREAK_SPACE,
  CHAR_ZERO_WIDTH_NOBREAK_SPACE
} = __nccwpck_require__(18774);

/**
 * parse
 */

const parse = (input, options = {}) => {
  if (typeof input !== 'string') {
    throw new TypeError('Expected a string');
  }

  let opts = options || {};
  let max = typeof opts.maxLength === 'number' ? Math.min(MAX_LENGTH, opts.maxLength) : MAX_LENGTH;
  if (input.length > max) {
    throw new SyntaxError(`Input length (${input.length}), exceeds max characters (${max})`);
  }

  let ast = { type: 'root', input, nodes: [] };
  let stack = [ast];
  let block = ast;
  let prev = ast;
  let brackets = 0;
  let length = input.length;
  let index = 0;
  let depth = 0;
  let value;
  let memo = {};

  /**
   * Helpers
   */

  const advance = () => input[index++];
  const push = node => {
    if (node.type === 'text' && prev.type === 'dot') {
      prev.type = 'text';
    }

    if (prev && prev.type === 'text' && node.type === 'text') {
      prev.value += node.value;
      return;
    }

    block.nodes.push(node);
    node.parent = block;
    node.prev = prev;
    prev = node;
    return node;
  };

  push({ type: 'bos' });

  while (index < length) {
    block = stack[stack.length - 1];
    value = advance();

    /**
     * Invalid chars
     */

    if (value === CHAR_ZERO_WIDTH_NOBREAK_SPACE || value === CHAR_NO_BREAK_SPACE) {
      continue;
    }

    /**
     * Escaped chars
     */

    if (value === CHAR_BACKSLASH) {
      push({ type: 'text', value: (options.keepEscaping ? value : '') + advance() });
      continue;
    }

    /**
     * Right square bracket (literal): ']'
     */

    if (value === CHAR_RIGHT_SQUARE_BRACKET) {
      push({ type: 'text', value: '\\' + value });
      continue;
    }

    /**
     * Left square bracket: '['
     */

    if (value === CHAR_LEFT_SQUARE_BRACKET) {
      brackets++;

      let closed = true;
      let next;

      while (index < length && (next = advance())) {
        value += next;

        if (next === CHAR_LEFT_SQUARE_BRACKET) {
          brackets++;
          continue;
        }

        if (next === CHAR_BACKSLASH) {
          value += advance();
          continue;
        }

        if (next === CHAR_RIGHT_SQUARE_BRACKET) {
          brackets--;

          if (brackets === 0) {
            break;
          }
        }
      }

      push({ type: 'text', value });
      continue;
    }

    /**
     * Parentheses
     */

    if (value === CHAR_LEFT_PARENTHESES) {
      block = push({ type: 'paren', nodes: [] });
      stack.push(block);
      push({ type: 'text', value });
      continue;
    }

    if (value === CHAR_RIGHT_PARENTHESES) {
      if (block.type !== 'paren') {
        push({ type: 'text', value });
        continue;
      }
      block = stack.pop();
      push({ type: 'text', value });
      block = stack[stack.length - 1];
      continue;
    }

    /**
     * Quotes: '|"|`
     */

    if (value === CHAR_DOUBLE_QUOTE || value === CHAR_SINGLE_QUOTE || value === CHAR_BACKTICK) {
      let open = value;
      let next;

      if (options.keepQuotes !== true) {
        value = '';
      }

      while (index < length && (next = advance())) {
        if (next === CHAR_BACKSLASH) {
          value += next + advance();
          continue;
        }

        if (next === open) {
          if (options.keepQuotes === true) value += next;
          break;
        }

        value += next;
      }

      push({ type: 'text', value });
      continue;
    }

    /**
     * Left curly brace: '{'
     */

    if (value === CHAR_LEFT_CURLY_BRACE) {
      depth++;

      let dollar = prev.value && prev.value.slice(-1) === '$' || block.dollar === true;
      let brace = {
        type: 'brace',
        open: true,
        close: false,
        dollar,
        depth,
        commas: 0,
        ranges: 0,
        nodes: []
      };

      block = push(brace);
      stack.push(block);
      push({ type: 'open', value });
      continue;
    }

    /**
     * Right curly brace: '}'
     */

    if (value === CHAR_RIGHT_CURLY_BRACE) {
      if (block.type !== 'brace') {
        push({ type: 'text', value });
        continue;
      }

      let type = 'close';
      block = stack.pop();
      block.close = true;

      push({ type, value });
      depth--;

      block = stack[stack.length - 1];
      continue;
    }

    /**
     * Comma: ','
     */

    if (value === CHAR_COMMA && depth > 0) {
      if (block.ranges > 0) {
        block.ranges = 0;
        let open = block.nodes.shift();
        block.nodes = [open, { type: 'text', value: stringify(block) }];
      }

      push({ type: 'comma', value });
      block.commas++;
      continue;
    }

    /**
     * Dot: '.'
     */

    if (value === CHAR_DOT && depth > 0 && block.commas === 0) {
      let siblings = block.nodes;

      if (depth === 0 || siblings.length === 0) {
        push({ type: 'text', value });
        continue;
      }

      if (prev.type === 'dot') {
        block.range = [];
        prev.value += value;
        prev.type = 'range';

        if (block.nodes.length !== 3 && block.nodes.length !== 5) {
          block.invalid = true;
          block.ranges = 0;
          prev.type = 'text';
          continue;
        }

        block.ranges++;
        block.args = [];
        continue;
      }

      if (prev.type === 'range') {
        siblings.pop();

        let before = siblings[siblings.length - 1];
        before.value += prev.value + value;
        prev = before;
        block.ranges--;
        continue;
      }

      push({ type: 'dot', value });
      continue;
    }

    /**
     * Text
     */

    push({ type: 'text', value });
  }

  // Mark imbalanced braces and brackets as invalid
  do {
    block = stack.pop();

    if (block.type !== 'root') {
      block.nodes.forEach(node => {
        if (!node.nodes) {
          if (node.type === 'open') node.isOpen = true;
          if (node.type === 'close') node.isClose = true;
          if (!node.nodes) node.type = 'text';
          node.invalid = true;
        }
      });

      // get the location of the block on parent.nodes (block's siblings)
      let parent = stack[stack.length - 1];
      let index = parent.nodes.indexOf(block);
      // replace the (invalid) block with it's nodes
      parent.nodes.splice(index, 1, ...block.nodes);
    }
  } while (stack.length > 0);

  push({ type: 'eos' });
  return ast;
};

module.exports = parse;


/***/ }),

/***/ 38750:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const utils = __nccwpck_require__(45207);

module.exports = (ast, options = {}) => {
  let stringify = (node, parent = {}) => {
    let invalidBlock = options.escapeInvalid && utils.isInvalidBrace(parent);
    let invalidNode = node.invalid === true && options.escapeInvalid === true;
    let output = '';

    if (node.value) {
      if ((invalidBlock || invalidNode) && utils.isOpenOrClose(node)) {
        return '\\' + node.value;
      }
      return node.value;
    }

    if (node.value) {
      return node.value;
    }

    if (node.nodes) {
      for (let child of node.nodes) {
        output += stringify(child);
      }
    }
    return output;
  };

  return stringify(ast);
};



/***/ }),

/***/ 45207:
/***/ ((__unused_webpack_module, exports) => {

"use strict";


exports.isInteger = num => {
  if (typeof num === 'number') {
    return Number.isInteger(num);
  }
  if (typeof num === 'string' && num.trim() !== '') {
    return Number.isInteger(Number(num));
  }
  return false;
};

/**
 * Find a node of the given type
 */

exports.find = (node, type) => node.nodes.find(node => node.type === type);

/**
 * Find a node of the given type
 */

exports.exceedsLimit = (min, max, step = 1, limit) => {
  if (limit === false) return false;
  if (!exports.isInteger(min) || !exports.isInteger(max)) return false;
  return ((Number(max) - Number(min)) / Number(step)) >= limit;
};

/**
 * Escape the given node with '\\' before node.value
 */

exports.escapeNode = (block, n = 0, type) => {
  let node = block.nodes[n];
  if (!node) return;

  if ((type && node.type === type) || node.type === 'open' || node.type === 'close') {
    if (node.escaped !== true) {
      node.value = '\\' + node.value;
      node.escaped = true;
    }
  }
};

/**
 * Returns true if the given brace node should be enclosed in literal braces
 */

exports.encloseBrace = node => {
  if (node.type !== 'brace') return false;
  if ((node.commas >> 0 + node.ranges >> 0) === 0) {
    node.invalid = true;
    return true;
  }
  return false;
};

/**
 * Returns true if a brace node is invalid.
 */

exports.isInvalidBrace = block => {
  if (block.type !== 'brace') return false;
  if (block.invalid === true || block.dollar) return true;
  if ((block.commas >> 0 + block.ranges >> 0) === 0) {
    block.invalid = true;
    return true;
  }
  if (block.open !== true || block.close !== true) {
    block.invalid = true;
    return true;
  }
  return false;
};

/**
 * Returns true if a node is an open or close node
 */

exports.isOpenOrClose = node => {
  if (node.type === 'open' || node.type === 'close') {
    return true;
  }
  return node.open === true || node.close === true;
};

/**
 * Reduce an array of text nodes.
 */

exports.reduce = nodes => nodes.reduce((acc, node) => {
  if (node.type === 'text') acc.push(node.value);
  if (node.type === 'range') node.type = 'text';
  return acc;
}, []);

/**
 * Flatten an array
 */

exports.flatten = (...args) => {
  const result = [];
  const flat = arr => {
    for (let i = 0; i < arr.length; i++) {
      let ele = arr[i];
      Array.isArray(ele) ? flat(ele, result) : ele !== void 0 && result.push(ele);
    }
    return result;
  };
  flat(args);
  return result;
};


/***/ }),

/***/ 27972:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const os = __nccwpck_require__(22037);

const extractPathRegex = /\s+at.*(?:\(|\s)(.*)\)?/;
const pathRegex = /^(?:(?:(?:node|(?:internal\/[\w/]*|.*node_modules\/(?:babel-polyfill|pirates)\/.*)?\w+)\.js:\d+:\d+)|native)/;
const homeDir = typeof os.homedir === 'undefined' ? '' : os.homedir();

module.exports = (stack, options) => {
	options = Object.assign({pretty: false}, options);

	return stack.replace(/\\/g, '/')
		.split('\n')
		.filter(line => {
			const pathMatches = line.match(extractPathRegex);
			if (pathMatches === null || !pathMatches[1]) {
				return true;
			}

			const match = pathMatches[1];

			// Electron
			if (
				match.includes('.app/Contents/Resources/electron.asar') ||
				match.includes('.app/Contents/Resources/default_app.asar')
			) {
				return false;
			}

			return !pathRegex.test(match);
		})
		.filter(line => line.trim() !== '')
		.map(line => {
			if (options.pretty) {
				return line.replace(extractPathRegex, (m, p1) => m.replace(p1, p1.replace(homeDir, '~')));
			}

			return line;
		})
		.join('\n');
};


/***/ }),

/***/ 97391:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

/* MIT license */
/* eslint-disable no-mixed-operators */
const cssKeywords = __nccwpck_require__(78510);

// NOTE: conversions should only return primitive values (i.e. arrays, or
//       values that give correct `typeof` results).
//       do not use box values types (i.e. Number(), String(), etc.)

const reverseKeywords = {};
for (const key of Object.keys(cssKeywords)) {
	reverseKeywords[cssKeywords[key]] = key;
}

const convert = {
	rgb: {channels: 3, labels: 'rgb'},
	hsl: {channels: 3, labels: 'hsl'},
	hsv: {channels: 3, labels: 'hsv'},
	hwb: {channels: 3, labels: 'hwb'},
	cmyk: {channels: 4, labels: 'cmyk'},
	xyz: {channels: 3, labels: 'xyz'},
	lab: {channels: 3, labels: 'lab'},
	lch: {channels: 3, labels: 'lch'},
	hex: {channels: 1, labels: ['hex']},
	keyword: {channels: 1, labels: ['keyword']},
	ansi16: {channels: 1, labels: ['ansi16']},
	ansi256: {channels: 1, labels: ['ansi256']},
	hcg: {channels: 3, labels: ['h', 'c', 'g']},
	apple: {channels: 3, labels: ['r16', 'g16', 'b16']},
	gray: {channels: 1, labels: ['gray']}
};

module.exports = convert;

// Hide .channels and .labels properties
for (const model of Object.keys(convert)) {
	if (!('channels' in convert[model])) {
		throw new Error('missing channels property: ' + model);
	}

	if (!('labels' in convert[model])) {
		throw new Error('missing channel labels property: ' + model);
	}

	if (convert[model].labels.length !== convert[model].channels) {
		throw new Error('channel and label counts mismatch: ' + model);
	}

	const {channels, labels} = convert[model];
	delete convert[model].channels;
	delete convert[model].labels;
	Object.defineProperty(convert[model], 'channels', {value: channels});
	Object.defineProperty(convert[model], 'labels', {value: labels});
}

convert.rgb.hsl = function (rgb) {
	const r = rgb[0] / 255;
	const g = rgb[1] / 255;
	const b = rgb[2] / 255;
	const min = Math.min(r, g, b);
	const max = Math.max(r, g, b);
	const delta = max - min;
	let h;
	let s;

	if (max === min) {
		h = 0;
	} else if (r === max) {
		h = (g - b) / delta;
	} else if (g === max) {
		h = 2 + (b - r) / delta;
	} else if (b === max) {
		h = 4 + (r - g) / delta;
	}

	h = Math.min(h * 60, 360);

	if (h < 0) {
		h += 360;
	}

	const l = (min + max) / 2;

	if (max === min) {
		s = 0;
	} else if (l <= 0.5) {
		s = delta / (max + min);
	} else {
		s = delta / (2 - max - min);
	}

	return [h, s * 100, l * 100];
};

convert.rgb.hsv = function (rgb) {
	let rdif;
	let gdif;
	let bdif;
	let h;
	let s;

	const r = rgb[0] / 255;
	const g = rgb[1] / 255;
	const b = rgb[2] / 255;
	const v = Math.max(r, g, b);
	const diff = v - Math.min(r, g, b);
	const diffc = function (c) {
		return (v - c) / 6 / diff + 1 / 2;
	};

	if (diff === 0) {
		h = 0;
		s = 0;
	} else {
		s = diff / v;
		rdif = diffc(r);
		gdif = diffc(g);
		bdif = diffc(b);

		if (r === v) {
			h = bdif - gdif;
		} else if (g === v) {
			h = (1 / 3) + rdif - bdif;
		} else if (b === v) {
			h = (2 / 3) + gdif - rdif;
		}

		if (h < 0) {
			h += 1;
		} else if (h > 1) {
			h -= 1;
		}
	}

	return [
		h * 360,
		s * 100,
		v * 100
	];
};

convert.rgb.hwb = function (rgb) {
	const r = rgb[0];
	const g = rgb[1];
	let b = rgb[2];
	const h = convert.rgb.hsl(rgb)[0];
	const w = 1 / 255 * Math.min(r, Math.min(g, b));

	b = 1 - 1 / 255 * Math.max(r, Math.max(g, b));

	return [h, w * 100, b * 100];
};

convert.rgb.cmyk = function (rgb) {
	const r = rgb[0] / 255;
	const g = rgb[1] / 255;
	const b = rgb[2] / 255;

	const k = Math.min(1 - r, 1 - g, 1 - b);
	const c = (1 - r - k) / (1 - k) || 0;
	const m = (1 - g - k) / (1 - k) || 0;
	const y = (1 - b - k) / (1 - k) || 0;

	return [c * 100, m * 100, y * 100, k * 100];
};

function comparativeDistance(x, y) {
	/*
		See https://en.m.wikipedia.org/wiki/Euclidean_distance#Squared_Euclidean_distance
	*/
	return (
		((x[0] - y[0]) ** 2) +
		((x[1] - y[1]) ** 2) +
		((x[2] - y[2]) ** 2)
	);
}

convert.rgb.keyword = function (rgb) {
	const reversed = reverseKeywords[rgb];
	if (reversed) {
		return reversed;
	}

	let currentClosestDistance = Infinity;
	let currentClosestKeyword;

	for (const keyword of Object.keys(cssKeywords)) {
		const value = cssKeywords[keyword];

		// Compute comparative distance
		const distance = comparativeDistance(rgb, value);

		// Check if its less, if so set as closest
		if (distance < currentClosestDistance) {
			currentClosestDistance = distance;
			currentClosestKeyword = keyword;
		}
	}

	return currentClosestKeyword;
};

convert.keyword.rgb = function (keyword) {
	return cssKeywords[keyword];
};

convert.rgb.xyz = function (rgb) {
	let r = rgb[0] / 255;
	let g = rgb[1] / 255;
	let b = rgb[2] / 255;

	// Assume sRGB
	r = r > 0.04045 ? (((r + 0.055) / 1.055) ** 2.4) : (r / 12.92);
	g = g > 0.04045 ? (((g + 0.055) / 1.055) ** 2.4) : (g / 12.92);
	b = b > 0.04045 ? (((b + 0.055) / 1.055) ** 2.4) : (b / 12.92);

	const x = (r * 0.4124) + (g * 0.3576) + (b * 0.1805);
	const y = (r * 0.2126) + (g * 0.7152) + (b * 0.0722);
	const z = (r * 0.0193) + (g * 0.1192) + (b * 0.9505);

	return [x * 100, y * 100, z * 100];
};

convert.rgb.lab = function (rgb) {
	const xyz = convert.rgb.xyz(rgb);
	let x = xyz[0];
	let y = xyz[1];
	let z = xyz[2];

	x /= 95.047;
	y /= 100;
	z /= 108.883;

	x = x > 0.008856 ? (x ** (1 / 3)) : (7.787 * x) + (16 / 116);
	y = y > 0.008856 ? (y ** (1 / 3)) : (7.787 * y) + (16 / 116);
	z = z > 0.008856 ? (z ** (1 / 3)) : (7.787 * z) + (16 / 116);

	const l = (116 * y) - 16;
	const a = 500 * (x - y);
	const b = 200 * (y - z);

	return [l, a, b];
};

convert.hsl.rgb = function (hsl) {
	const h = hsl[0] / 360;
	const s = hsl[1] / 100;
	const l = hsl[2] / 100;
	let t2;
	let t3;
	let val;

	if (s === 0) {
		val = l * 255;
		return [val, val, val];
	}

	if (l < 0.5) {
		t2 = l * (1 + s);
	} else {
		t2 = l + s - l * s;
	}

	const t1 = 2 * l - t2;

	const rgb = [0, 0, 0];
	for (let i = 0; i < 3; i++) {
		t3 = h + 1 / 3 * -(i - 1);
		if (t3 < 0) {
			t3++;
		}

		if (t3 > 1) {
			t3--;
		}

		if (6 * t3 < 1) {
			val = t1 + (t2 - t1) * 6 * t3;
		} else if (2 * t3 < 1) {
			val = t2;
		} else if (3 * t3 < 2) {
			val = t1 + (t2 - t1) * (2 / 3 - t3) * 6;
		} else {
			val = t1;
		}

		rgb[i] = val * 255;
	}

	return rgb;
};

convert.hsl.hsv = function (hsl) {
	const h = hsl[0];
	let s = hsl[1] / 100;
	let l = hsl[2] / 100;
	let smin = s;
	const lmin = Math.max(l, 0.01);

	l *= 2;
	s *= (l <= 1) ? l : 2 - l;
	smin *= lmin <= 1 ? lmin : 2 - lmin;
	const v = (l + s) / 2;
	const sv = l === 0 ? (2 * smin) / (lmin + smin) : (2 * s) / (l + s);

	return [h, sv * 100, v * 100];
};

convert.hsv.rgb = function (hsv) {
	const h = hsv[0] / 60;
	const s = hsv[1] / 100;
	let v = hsv[2] / 100;
	const hi = Math.floor(h) % 6;

	const f = h - Math.floor(h);
	const p = 255 * v * (1 - s);
	const q = 255 * v * (1 - (s * f));
	const t = 255 * v * (1 - (s * (1 - f)));
	v *= 255;

	switch (hi) {
		case 0:
			return [v, t, p];
		case 1:
			return [q, v, p];
		case 2:
			return [p, v, t];
		case 3:
			return [p, q, v];
		case 4:
			return [t, p, v];
		case 5:
			return [v, p, q];
	}
};

convert.hsv.hsl = function (hsv) {
	const h = hsv[0];
	const s = hsv[1] / 100;
	const v = hsv[2] / 100;
	const vmin = Math.max(v, 0.01);
	let sl;
	let l;

	l = (2 - s) * v;
	const lmin = (2 - s) * vmin;
	sl = s * vmin;
	sl /= (lmin <= 1) ? lmin : 2 - lmin;
	sl = sl || 0;
	l /= 2;

	return [h, sl * 100, l * 100];
};

// http://dev.w3.org/csswg/css-color/#hwb-to-rgb
convert.hwb.rgb = function (hwb) {
	const h = hwb[0] / 360;
	let wh = hwb[1] / 100;
	let bl = hwb[2] / 100;
	const ratio = wh + bl;
	let f;

	// Wh + bl cant be > 1
	if (ratio > 1) {
		wh /= ratio;
		bl /= ratio;
	}

	const i = Math.floor(6 * h);
	const v = 1 - bl;
	f = 6 * h - i;

	if ((i & 0x01) !== 0) {
		f = 1 - f;
	}

	const n = wh + f * (v - wh); // Linear interpolation

	let r;
	let g;
	let b;
	/* eslint-disable max-statements-per-line,no-multi-spaces */
	switch (i) {
		default:
		case 6:
		case 0: r = v;  g = n;  b = wh; break;
		case 1: r = n;  g = v;  b = wh; break;
		case 2: r = wh; g = v;  b = n; break;
		case 3: r = wh; g = n;  b = v; break;
		case 4: r = n;  g = wh; b = v; break;
		case 5: r = v;  g = wh; b = n; break;
	}
	/* eslint-enable max-statements-per-line,no-multi-spaces */

	return [r * 255, g * 255, b * 255];
};

convert.cmyk.rgb = function (cmyk) {
	const c = cmyk[0] / 100;
	const m = cmyk[1] / 100;
	const y = cmyk[2] / 100;
	const k = cmyk[3] / 100;

	const r = 1 - Math.min(1, c * (1 - k) + k);
	const g = 1 - Math.min(1, m * (1 - k) + k);
	const b = 1 - Math.min(1, y * (1 - k) + k);

	return [r * 255, g * 255, b * 255];
};

convert.xyz.rgb = function (xyz) {
	const x = xyz[0] / 100;
	const y = xyz[1] / 100;
	const z = xyz[2] / 100;
	let r;
	let g;
	let b;

	r = (x * 3.2406) + (y * -1.5372) + (z * -0.4986);
	g = (x * -0.9689) + (y * 1.8758) + (z * 0.0415);
	b = (x * 0.0557) + (y * -0.2040) + (z * 1.0570);

	// Assume sRGB
	r = r > 0.0031308
		? ((1.055 * (r ** (1.0 / 2.4))) - 0.055)
		: r * 12.92;

	g = g > 0.0031308
		? ((1.055 * (g ** (1.0 / 2.4))) - 0.055)
		: g * 12.92;

	b = b > 0.0031308
		? ((1.055 * (b ** (1.0 / 2.4))) - 0.055)
		: b * 12.92;

	r = Math.min(Math.max(0, r), 1);
	g = Math.min(Math.max(0, g), 1);
	b = Math.min(Math.max(0, b), 1);

	return [r * 255, g * 255, b * 255];
};

convert.xyz.lab = function (xyz) {
	let x = xyz[0];
	let y = xyz[1];
	let z = xyz[2];

	x /= 95.047;
	y /= 100;
	z /= 108.883;

	x = x > 0.008856 ? (x ** (1 / 3)) : (7.787 * x) + (16 / 116);
	y = y > 0.008856 ? (y ** (1 / 3)) : (7.787 * y) + (16 / 116);
	z = z > 0.008856 ? (z ** (1 / 3)) : (7.787 * z) + (16 / 116);

	const l = (116 * y) - 16;
	const a = 500 * (x - y);
	const b = 200 * (y - z);

	return [l, a, b];
};

convert.lab.xyz = function (lab) {
	const l = lab[0];
	const a = lab[1];
	const b = lab[2];
	let x;
	let y;
	let z;

	y = (l + 16) / 116;
	x = a / 500 + y;
	z = y - b / 200;

	const y2 = y ** 3;
	const x2 = x ** 3;
	const z2 = z ** 3;
	y = y2 > 0.008856 ? y2 : (y - 16 / 116) / 7.787;
	x = x2 > 0.008856 ? x2 : (x - 16 / 116) / 7.787;
	z = z2 > 0.008856 ? z2 : (z - 16 / 116) / 7.787;

	x *= 95.047;
	y *= 100;
	z *= 108.883;

	return [x, y, z];
};

convert.lab.lch = function (lab) {
	const l = lab[0];
	const a = lab[1];
	const b = lab[2];
	let h;

	const hr = Math.atan2(b, a);
	h = hr * 360 / 2 / Math.PI;

	if (h < 0) {
		h += 360;
	}

	const c = Math.sqrt(a * a + b * b);

	return [l, c, h];
};

convert.lch.lab = function (lch) {
	const l = lch[0];
	const c = lch[1];
	const h = lch[2];

	const hr = h / 360 * 2 * Math.PI;
	const a = c * Math.cos(hr);
	const b = c * Math.sin(hr);

	return [l, a, b];
};

convert.rgb.ansi16 = function (args, saturation = null) {
	const [r, g, b] = args;
	let value = saturation === null ? convert.rgb.hsv(args)[2] : saturation; // Hsv -> ansi16 optimization

	value = Math.round(value / 50);

	if (value === 0) {
		return 30;
	}

	let ansi = 30
		+ ((Math.round(b / 255) << 2)
		| (Math.round(g / 255) << 1)
		| Math.round(r / 255));

	if (value === 2) {
		ansi += 60;
	}

	return ansi;
};

convert.hsv.ansi16 = function (args) {
	// Optimization here; we already know the value and don't need to get
	// it converted for us.
	return convert.rgb.ansi16(convert.hsv.rgb(args), args[2]);
};

convert.rgb.ansi256 = function (args) {
	const r = args[0];
	const g = args[1];
	const b = args[2];

	// We use the extended greyscale palette here, with the exception of
	// black and white. normal palette only has 4 greyscale shades.
	if (r === g && g === b) {
		if (r < 8) {
			return 16;
		}

		if (r > 248) {
			return 231;
		}

		return Math.round(((r - 8) / 247) * 24) + 232;
	}

	const ansi = 16
		+ (36 * Math.round(r / 255 * 5))
		+ (6 * Math.round(g / 255 * 5))
		+ Math.round(b / 255 * 5);

	return ansi;
};

convert.ansi16.rgb = function (args) {
	let color = args % 10;

	// Handle greyscale
	if (color === 0 || color === 7) {
		if (args > 50) {
			color += 3.5;
		}

		color = color / 10.5 * 255;

		return [color, color, color];
	}

	const mult = (~~(args > 50) + 1) * 0.5;
	const r = ((color & 1) * mult) * 255;
	const g = (((color >> 1) & 1) * mult) * 255;
	const b = (((color >> 2) & 1) * mult) * 255;

	return [r, g, b];
};

convert.ansi256.rgb = function (args) {
	// Handle greyscale
	if (args >= 232) {
		const c = (args - 232) * 10 + 8;
		return [c, c, c];
	}

	args -= 16;

	let rem;
	const r = Math.floor(args / 36) / 5 * 255;
	const g = Math.floor((rem = args % 36) / 6) / 5 * 255;
	const b = (rem % 6) / 5 * 255;

	return [r, g, b];
};

convert.rgb.hex = function (args) {
	const integer = ((Math.round(args[0]) & 0xFF) << 16)
		+ ((Math.round(args[1]) & 0xFF) << 8)
		+ (Math.round(args[2]) & 0xFF);

	const string = integer.toString(16).toUpperCase();
	return '000000'.substring(string.length) + string;
};

convert.hex.rgb = function (args) {
	const match = args.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);
	if (!match) {
		return [0, 0, 0];
	}

	let colorString = match[0];

	if (match[0].length === 3) {
		colorString = colorString.split('').map(char => {
			return char + char;
		}).join('');
	}

	const integer = parseInt(colorString, 16);
	const r = (integer >> 16) & 0xFF;
	const g = (integer >> 8) & 0xFF;
	const b = integer & 0xFF;

	return [r, g, b];
};

convert.rgb.hcg = function (rgb) {
	const r = rgb[0] / 255;
	const g = rgb[1] / 255;
	const b = rgb[2] / 255;
	const max = Math.max(Math.max(r, g), b);
	const min = Math.min(Math.min(r, g), b);
	const chroma = (max - min);
	let grayscale;
	let hue;

	if (chroma < 1) {
		grayscale = min / (1 - chroma);
	} else {
		grayscale = 0;
	}

	if (chroma <= 0) {
		hue = 0;
	} else
	if (max === r) {
		hue = ((g - b) / chroma) % 6;
	} else
	if (max === g) {
		hue = 2 + (b - r) / chroma;
	} else {
		hue = 4 + (r - g) / chroma;
	}

	hue /= 6;
	hue %= 1;

	return [hue * 360, chroma * 100, grayscale * 100];
};

convert.hsl.hcg = function (hsl) {
	const s = hsl[1] / 100;
	const l = hsl[2] / 100;

	const c = l < 0.5 ? (2.0 * s * l) : (2.0 * s * (1.0 - l));

	let f = 0;
	if (c < 1.0) {
		f = (l - 0.5 * c) / (1.0 - c);
	}

	return [hsl[0], c * 100, f * 100];
};

convert.hsv.hcg = function (hsv) {
	const s = hsv[1] / 100;
	const v = hsv[2] / 100;

	const c = s * v;
	let f = 0;

	if (c < 1.0) {
		f = (v - c) / (1 - c);
	}

	return [hsv[0], c * 100, f * 100];
};

convert.hcg.rgb = function (hcg) {
	const h = hcg[0] / 360;
	const c = hcg[1] / 100;
	const g = hcg[2] / 100;

	if (c === 0.0) {
		return [g * 255, g * 255, g * 255];
	}

	const pure = [0, 0, 0];
	const hi = (h % 1) * 6;
	const v = hi % 1;
	const w = 1 - v;
	let mg = 0;

	/* eslint-disable max-statements-per-line */
	switch (Math.floor(hi)) {
		case 0:
			pure[0] = 1; pure[1] = v; pure[2] = 0; break;
		case 1:
			pure[0] = w; pure[1] = 1; pure[2] = 0; break;
		case 2:
			pure[0] = 0; pure[1] = 1; pure[2] = v; break;
		case 3:
			pure[0] = 0; pure[1] = w; pure[2] = 1; break;
		case 4:
			pure[0] = v; pure[1] = 0; pure[2] = 1; break;
		default:
			pure[0] = 1; pure[1] = 0; pure[2] = w;
	}
	/* eslint-enable max-statements-per-line */

	mg = (1.0 - c) * g;

	return [
		(c * pure[0] + mg) * 255,
		(c * pure[1] + mg) * 255,
		(c * pure[2] + mg) * 255
	];
};

convert.hcg.hsv = function (hcg) {
	const c = hcg[1] / 100;
	const g = hcg[2] / 100;

	const v = c + g * (1.0 - c);
	let f = 0;

	if (v > 0.0) {
		f = c / v;
	}

	return [hcg[0], f * 100, v * 100];
};

convert.hcg.hsl = function (hcg) {
	const c = hcg[1] / 100;
	const g = hcg[2] / 100;

	const l = g * (1.0 - c) + 0.5 * c;
	let s = 0;

	if (l > 0.0 && l < 0.5) {
		s = c / (2 * l);
	} else
	if (l >= 0.5 && l < 1.0) {
		s = c / (2 * (1 - l));
	}

	return [hcg[0], s * 100, l * 100];
};

convert.hcg.hwb = function (hcg) {
	const c = hcg[1] / 100;
	const g = hcg[2] / 100;
	const v = c + g * (1.0 - c);
	return [hcg[0], (v - c) * 100, (1 - v) * 100];
};

convert.hwb.hcg = function (hwb) {
	const w = hwb[1] / 100;
	const b = hwb[2] / 100;
	const v = 1 - b;
	const c = v - w;
	let g = 0;

	if (c < 1) {
		g = (v - c) / (1 - c);
	}

	return [hwb[0], c * 100, g * 100];
};

convert.apple.rgb = function (apple) {
	return [(apple[0] / 65535) * 255, (apple[1] / 65535) * 255, (apple[2] / 65535) * 255];
};

convert.rgb.apple = function (rgb) {
	return [(rgb[0] / 255) * 65535, (rgb[1] / 255) * 65535, (rgb[2] / 255) * 65535];
};

convert.gray.rgb = function (args) {
	return [args[0] / 100 * 255, args[0] / 100 * 255, args[0] / 100 * 255];
};

convert.gray.hsl = function (args) {
	return [0, 0, args[0]];
};

convert.gray.hsv = convert.gray.hsl;

convert.gray.hwb = function (gray) {
	return [0, 100, gray[0]];
};

convert.gray.cmyk = function (gray) {
	return [0, 0, 0, gray[0]];
};

convert.gray.lab = function (gray) {
	return [gray[0], 0, 0];
};

convert.gray.hex = function (gray) {
	const val = Math.round(gray[0] / 100 * 255) & 0xFF;
	const integer = (val << 16) + (val << 8) + val;

	const string = integer.toString(16).toUpperCase();
	return '000000'.substring(string.length) + string;
};

convert.rgb.gray = function (rgb) {
	const val = (rgb[0] + rgb[1] + rgb[2]) / 3;
	return [val / 255 * 100];
};


/***/ }),

/***/ 86931:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const conversions = __nccwpck_require__(97391);
const route = __nccwpck_require__(30880);

const convert = {};

const models = Object.keys(conversions);

function wrapRaw(fn) {
	const wrappedFn = function (...args) {
		const arg0 = args[0];
		if (arg0 === undefined || arg0 === null) {
			return arg0;
		}

		if (arg0.length > 1) {
			args = arg0;
		}

		return fn(args);
	};

	// Preserve .conversion property if there is one
	if ('conversion' in fn) {
		wrappedFn.conversion = fn.conversion;
	}

	return wrappedFn;
}

function wrapRounded(fn) {
	const wrappedFn = function (...args) {
		const arg0 = args[0];

		if (arg0 === undefined || arg0 === null) {
			return arg0;
		}

		if (arg0.length > 1) {
			args = arg0;
		}

		const result = fn(args);

		// We're assuming the result is an array here.
		// see notice in conversions.js; don't use box types
		// in conversion functions.
		if (typeof result === 'object') {
			for (let len = result.length, i = 0; i < len; i++) {
				result[i] = Math.round(result[i]);
			}
		}

		return result;
	};

	// Preserve .conversion property if there is one
	if ('conversion' in fn) {
		wrappedFn.conversion = fn.conversion;
	}

	return wrappedFn;
}

models.forEach(fromModel => {
	convert[fromModel] = {};

	Object.defineProperty(convert[fromModel], 'channels', {value: conversions[fromModel].channels});
	Object.defineProperty(convert[fromModel], 'labels', {value: conversions[fromModel].labels});

	const routes = route(fromModel);
	const routeModels = Object.keys(routes);

	routeModels.forEach(toModel => {
		const fn = routes[toModel];

		convert[fromModel][toModel] = wrapRounded(fn);
		convert[fromModel][toModel].raw = wrapRaw(fn);
	});
});

module.exports = convert;


/***/ }),

/***/ 30880:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const conversions = __nccwpck_require__(97391);

/*
	This function routes a model to all other models.

	all functions that are routed have a property `.conversion` attached
	to the returned synthetic function. This property is an array
	of strings, each with the steps in between the 'from' and 'to'
	color models (inclusive).

	conversions that are not possible simply are not included.
*/

function buildGraph() {
	const graph = {};
	// https://jsperf.com/object-keys-vs-for-in-with-closure/3
	const models = Object.keys(conversions);

	for (let len = models.length, i = 0; i < len; i++) {
		graph[models[i]] = {
			// http://jsperf.com/1-vs-infinity
			// micro-opt, but this is simple.
			distance: -1,
			parent: null
		};
	}

	return graph;
}

// https://en.wikipedia.org/wiki/Breadth-first_search
function deriveBFS(fromModel) {
	const graph = buildGraph();
	const queue = [fromModel]; // Unshift -> queue -> pop

	graph[fromModel].distance = 0;

	while (queue.length) {
		const current = queue.pop();
		const adjacents = Object.keys(conversions[current]);

		for (let len = adjacents.length, i = 0; i < len; i++) {
			const adjacent = adjacents[i];
			const node = graph[adjacent];

			if (node.distance === -1) {
				node.distance = graph[current].distance + 1;
				node.parent = current;
				queue.unshift(adjacent);
			}
		}
	}

	return graph;
}

function link(from, to) {
	return function (args) {
		return to(from(args));
	};
}

function wrapConversion(toModel, graph) {
	const path = [graph[toModel].parent, toModel];
	let fn = conversions[graph[toModel].parent][toModel];

	let cur = graph[toModel].parent;
	while (graph[cur].parent) {
		path.unshift(graph[cur].parent);
		fn = link(conversions[graph[cur].parent][cur], fn);
		cur = graph[cur].parent;
	}

	fn.conversion = path;
	return fn;
}

module.exports = function (fromModel) {
	const graph = deriveBFS(fromModel);
	const conversion = {};

	const models = Object.keys(graph);
	for (let len = models.length, i = 0; i < len; i++) {
		const toModel = models[i];
		const node = graph[toModel];

		if (node.parent === null) {
			// No possible conversion, or this node is the source model.
			continue;
		}

		conversion[toModel] = wrapConversion(toModel, graph);
	}

	return conversion;
};



/***/ }),

/***/ 78510:
/***/ ((module) => {

"use strict";


module.exports = {
	"aliceblue": [240, 248, 255],
	"antiquewhite": [250, 235, 215],
	"aqua": [0, 255, 255],
	"aquamarine": [127, 255, 212],
	"azure": [240, 255, 255],
	"beige": [245, 245, 220],
	"bisque": [255, 228, 196],
	"black": [0, 0, 0],
	"blanchedalmond": [255, 235, 205],
	"blue": [0, 0, 255],
	"blueviolet": [138, 43, 226],
	"brown": [165, 42, 42],
	"burlywood": [222, 184, 135],
	"cadetblue": [95, 158, 160],
	"chartreuse": [127, 255, 0],
	"chocolate": [210, 105, 30],
	"coral": [255, 127, 80],
	"cornflowerblue": [100, 149, 237],
	"cornsilk": [255, 248, 220],
	"crimson": [220, 20, 60],
	"cyan": [0, 255, 255],
	"darkblue": [0, 0, 139],
	"darkcyan": [0, 139, 139],
	"darkgoldenrod": [184, 134, 11],
	"darkgray": [169, 169, 169],
	"darkgreen": [0, 100, 0],
	"darkgrey": [169, 169, 169],
	"darkkhaki": [189, 183, 107],
	"darkmagenta": [139, 0, 139],
	"darkolivegreen": [85, 107, 47],
	"darkorange": [255, 140, 0],
	"darkorchid": [153, 50, 204],
	"darkred": [139, 0, 0],
	"darksalmon": [233, 150, 122],
	"darkseagreen": [143, 188, 143],
	"darkslateblue": [72, 61, 139],
	"darkslategray": [47, 79, 79],
	"darkslategrey": [47, 79, 79],
	"darkturquoise": [0, 206, 209],
	"darkviolet": [148, 0, 211],
	"deeppink": [255, 20, 147],
	"deepskyblue": [0, 191, 255],
	"dimgray": [105, 105, 105],
	"dimgrey": [105, 105, 105],
	"dodgerblue": [30, 144, 255],
	"firebrick": [178, 34, 34],
	"floralwhite": [255, 250, 240],
	"forestgreen": [34, 139, 34],
	"fuchsia": [255, 0, 255],
	"gainsboro": [220, 220, 220],
	"ghostwhite": [248, 248, 255],
	"gold": [255, 215, 0],
	"goldenrod": [218, 165, 32],
	"gray": [128, 128, 128],
	"green": [0, 128, 0],
	"greenyellow": [173, 255, 47],
	"grey": [128, 128, 128],
	"honeydew": [240, 255, 240],
	"hotpink": [255, 105, 180],
	"indianred": [205, 92, 92],
	"indigo": [75, 0, 130],
	"ivory": [255, 255, 240],
	"khaki": [240, 230, 140],
	"lavender": [230, 230, 250],
	"lavenderblush": [255, 240, 245],
	"lawngreen": [124, 252, 0],
	"lemonchiffon": [255, 250, 205],
	"lightblue": [173, 216, 230],
	"lightcoral": [240, 128, 128],
	"lightcyan": [224, 255, 255],
	"lightgoldenrodyellow": [250, 250, 210],
	"lightgray": [211, 211, 211],
	"lightgreen": [144, 238, 144],
	"lightgrey": [211, 211, 211],
	"lightpink": [255, 182, 193],
	"lightsalmon": [255, 160, 122],
	"lightseagreen": [32, 178, 170],
	"lightskyblue": [135, 206, 250],
	"lightslategray": [119, 136, 153],
	"lightslategrey": [119, 136, 153],
	"lightsteelblue": [176, 196, 222],
	"lightyellow": [255, 255, 224],
	"lime": [0, 255, 0],
	"limegreen": [50, 205, 50],
	"linen": [250, 240, 230],
	"magenta": [255, 0, 255],
	"maroon": [128, 0, 0],
	"mediumaquamarine": [102, 205, 170],
	"mediumblue": [0, 0, 205],
	"mediumorchid": [186, 85, 211],
	"mediumpurple": [147, 112, 219],
	"mediumseagreen": [60, 179, 113],
	"mediumslateblue": [123, 104, 238],
	"mediumspringgreen": [0, 250, 154],
	"mediumturquoise": [72, 209, 204],
	"mediumvioletred": [199, 21, 133],
	"midnightblue": [25, 25, 112],
	"mintcream": [245, 255, 250],
	"mistyrose": [255, 228, 225],
	"moccasin": [255, 228, 181],
	"navajowhite": [255, 222, 173],
	"navy": [0, 0, 128],
	"oldlace": [253, 245, 230],
	"olive": [128, 128, 0],
	"olivedrab": [107, 142, 35],
	"orange": [255, 165, 0],
	"orangered": [255, 69, 0],
	"orchid": [218, 112, 214],
	"palegoldenrod": [238, 232, 170],
	"palegreen": [152, 251, 152],
	"paleturquoise": [175, 238, 238],
	"palevioletred": [219, 112, 147],
	"papayawhip": [255, 239, 213],
	"peachpuff": [255, 218, 185],
	"peru": [205, 133, 63],
	"pink": [255, 192, 203],
	"plum": [221, 160, 221],
	"powderblue": [176, 224, 230],
	"purple": [128, 0, 128],
	"rebeccapurple": [102, 51, 153],
	"red": [255, 0, 0],
	"rosybrown": [188, 143, 143],
	"royalblue": [65, 105, 225],
	"saddlebrown": [139, 69, 19],
	"salmon": [250, 128, 114],
	"sandybrown": [244, 164, 96],
	"seagreen": [46, 139, 87],
	"seashell": [255, 245, 238],
	"sienna": [160, 82, 45],
	"silver": [192, 192, 192],
	"skyblue": [135, 206, 235],
	"slateblue": [106, 90, 205],
	"slategray": [112, 128, 144],
	"slategrey": [112, 128, 144],
	"snow": [255, 250, 250],
	"springgreen": [0, 255, 127],
	"steelblue": [70, 130, 180],
	"tan": [210, 180, 140],
	"teal": [0, 128, 128],
	"thistle": [216, 191, 216],
	"tomato": [255, 99, 71],
	"turquoise": [64, 224, 208],
	"violet": [238, 130, 238],
	"wheat": [245, 222, 179],
	"white": [255, 255, 255],
	"whitesmoke": [245, 245, 245],
	"yellow": [255, 255, 0],
	"yellowgreen": [154, 205, 50]
};


/***/ }),

/***/ 11069:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

/* MIT license */
var colorNames = __nccwpck_require__(78510);
var swizzle = __nccwpck_require__(78679);
var hasOwnProperty = Object.hasOwnProperty;

var reverseNames = {};

// create a list of reverse color names
for (var name in colorNames) {
	if (hasOwnProperty.call(colorNames, name)) {
		reverseNames[colorNames[name]] = name;
	}
}

var cs = module.exports = {
	to: {},
	get: {}
};

cs.get = function (string) {
	var prefix = string.substring(0, 3).toLowerCase();
	var val;
	var model;
	switch (prefix) {
		case 'hsl':
			val = cs.get.hsl(string);
			model = 'hsl';
			break;
		case 'hwb':
			val = cs.get.hwb(string);
			model = 'hwb';
			break;
		default:
			val = cs.get.rgb(string);
			model = 'rgb';
			break;
	}

	if (!val) {
		return null;
	}

	return {model: model, value: val};
};

cs.get.rgb = function (string) {
	if (!string) {
		return null;
	}

	var abbr = /^#([a-f0-9]{3,4})$/i;
	var hex = /^#([a-f0-9]{6})([a-f0-9]{2})?$/i;
	var rgba = /^rgba?\(\s*([+-]?\d+)(?=[\s,])\s*(?:,\s*)?([+-]?\d+)(?=[\s,])\s*(?:,\s*)?([+-]?\d+)\s*(?:[,|\/]\s*([+-]?[\d\.]+)(%?)\s*)?\)$/;
	var per = /^rgba?\(\s*([+-]?[\d\.]+)\%\s*,?\s*([+-]?[\d\.]+)\%\s*,?\s*([+-]?[\d\.]+)\%\s*(?:[,|\/]\s*([+-]?[\d\.]+)(%?)\s*)?\)$/;
	var keyword = /^(\w+)$/;

	var rgb = [0, 0, 0, 1];
	var match;
	var i;
	var hexAlpha;

	if (match = string.match(hex)) {
		hexAlpha = match[2];
		match = match[1];

		for (i = 0; i < 3; i++) {
			// https://jsperf.com/slice-vs-substr-vs-substring-methods-long-string/19
			var i2 = i * 2;
			rgb[i] = parseInt(match.slice(i2, i2 + 2), 16);
		}

		if (hexAlpha) {
			rgb[3] = parseInt(hexAlpha, 16) / 255;
		}
	} else if (match = string.match(abbr)) {
		match = match[1];
		hexAlpha = match[3];

		for (i = 0; i < 3; i++) {
			rgb[i] = parseInt(match[i] + match[i], 16);
		}

		if (hexAlpha) {
			rgb[3] = parseInt(hexAlpha + hexAlpha, 16) / 255;
		}
	} else if (match = string.match(rgba)) {
		for (i = 0; i < 3; i++) {
			rgb[i] = parseInt(match[i + 1], 0);
		}

		if (match[4]) {
			if (match[5]) {
				rgb[3] = parseFloat(match[4]) * 0.01;
			} else {
				rgb[3] = parseFloat(match[4]);
			}
		}
	} else if (match = string.match(per)) {
		for (i = 0; i < 3; i++) {
			rgb[i] = Math.round(parseFloat(match[i + 1]) * 2.55);
		}

		if (match[4]) {
			if (match[5]) {
				rgb[3] = parseFloat(match[4]) * 0.01;
			} else {
				rgb[3] = parseFloat(match[4]);
			}
		}
	} else if (match = string.match(keyword)) {
		if (match[1] === 'transparent') {
			return [0, 0, 0, 0];
		}

		if (!hasOwnProperty.call(colorNames, match[1])) {
			return null;
		}

		rgb = colorNames[match[1]];
		rgb[3] = 1;

		return rgb;
	} else {
		return null;
	}

	for (i = 0; i < 3; i++) {
		rgb[i] = clamp(rgb[i], 0, 255);
	}
	rgb[3] = clamp(rgb[3], 0, 1);

	return rgb;
};

cs.get.hsl = function (string) {
	if (!string) {
		return null;
	}

	var hsl = /^hsla?\(\s*([+-]?(?:\d{0,3}\.)?\d+)(?:deg)?\s*,?\s*([+-]?[\d\.]+)%\s*,?\s*([+-]?[\d\.]+)%\s*(?:[,|\/]\s*([+-]?(?=\.\d|\d)(?:0|[1-9]\d*)?(?:\.\d*)?(?:[eE][+-]?\d+)?)\s*)?\)$/;
	var match = string.match(hsl);

	if (match) {
		var alpha = parseFloat(match[4]);
		var h = ((parseFloat(match[1]) % 360) + 360) % 360;
		var s = clamp(parseFloat(match[2]), 0, 100);
		var l = clamp(parseFloat(match[3]), 0, 100);
		var a = clamp(isNaN(alpha) ? 1 : alpha, 0, 1);

		return [h, s, l, a];
	}

	return null;
};

cs.get.hwb = function (string) {
	if (!string) {
		return null;
	}

	var hwb = /^hwb\(\s*([+-]?\d{0,3}(?:\.\d+)?)(?:deg)?\s*,\s*([+-]?[\d\.]+)%\s*,\s*([+-]?[\d\.]+)%\s*(?:,\s*([+-]?(?=\.\d|\d)(?:0|[1-9]\d*)?(?:\.\d*)?(?:[eE][+-]?\d+)?)\s*)?\)$/;
	var match = string.match(hwb);

	if (match) {
		var alpha = parseFloat(match[4]);
		var h = ((parseFloat(match[1]) % 360) + 360) % 360;
		var w = clamp(parseFloat(match[2]), 0, 100);
		var b = clamp(parseFloat(match[3]), 0, 100);
		var a = clamp(isNaN(alpha) ? 1 : alpha, 0, 1);
		return [h, w, b, a];
	}

	return null;
};

cs.to.hex = function () {
	var rgba = swizzle(arguments);

	return (
		'#' +
		hexDouble(rgba[0]) +
		hexDouble(rgba[1]) +
		hexDouble(rgba[2]) +
		(rgba[3] < 1
			? (hexDouble(Math.round(rgba[3] * 255)))
			: '')
	);
};

cs.to.rgb = function () {
	var rgba = swizzle(arguments);

	return rgba.length < 4 || rgba[3] === 1
		? 'rgb(' + Math.round(rgba[0]) + ', ' + Math.round(rgba[1]) + ', ' + Math.round(rgba[2]) + ')'
		: 'rgba(' + Math.round(rgba[0]) + ', ' + Math.round(rgba[1]) + ', ' + Math.round(rgba[2]) + ', ' + rgba[3] + ')';
};

cs.to.rgb.percent = function () {
	var rgba = swizzle(arguments);

	var r = Math.round(rgba[0] / 255 * 100);
	var g = Math.round(rgba[1] / 255 * 100);
	var b = Math.round(rgba[2] / 255 * 100);

	return rgba.length < 4 || rgba[3] === 1
		? 'rgb(' + r + '%, ' + g + '%, ' + b + '%)'
		: 'rgba(' + r + '%, ' + g + '%, ' + b + '%, ' + rgba[3] + ')';
};

cs.to.hsl = function () {
	var hsla = swizzle(arguments);
	return hsla.length < 4 || hsla[3] === 1
		? 'hsl(' + hsla[0] + ', ' + hsla[1] + '%, ' + hsla[2] + '%)'
		: 'hsla(' + hsla[0] + ', ' + hsla[1] + '%, ' + hsla[2] + '%, ' + hsla[3] + ')';
};

// hwb is a bit different than rgb(a) & hsl(a) since there is no alpha specific syntax
// (hwb have alpha optional & 1 is default value)
cs.to.hwb = function () {
	var hwba = swizzle(arguments);

	var a = '';
	if (hwba.length >= 4 && hwba[3] !== 1) {
		a = ', ' + hwba[3];
	}

	return 'hwb(' + hwba[0] + ', ' + hwba[1] + '%, ' + hwba[2] + '%' + a + ')';
};

cs.to.keyword = function (rgb) {
	return reverseNames[rgb.slice(0, 3)];
};

// helpers
function clamp(num, min, max) {
	return Math.min(Math.max(min, num), max);
}

function hexDouble(num) {
	var str = Math.round(num).toString(16).toUpperCase();
	return (str.length < 2) ? '0' + str : str;
}


/***/ }),

/***/ 87177:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const colorString = __nccwpck_require__(11069);
const convert = __nccwpck_require__(86931);

const _slice = [].slice;

const skippedModels = [
	// To be honest, I don't really feel like keyword belongs in color convert, but eh.
	'keyword',

	// Gray conflicts with some method names, and has its own method defined.
	'gray',

	// Shouldn't really be in color-convert either...
	'hex',
];

const hashedModelKeys = {};
for (const model of Object.keys(convert)) {
	hashedModelKeys[_slice.call(convert[model].labels).sort().join('')] = model;
}

const limiters = {};

function Color(object, model) {
	if (!(this instanceof Color)) {
		return new Color(object, model);
	}

	if (model && model in skippedModels) {
		model = null;
	}

	if (model && !(model in convert)) {
		throw new Error('Unknown model: ' + model);
	}

	let i;
	let channels;

	if (object == null) { // eslint-disable-line no-eq-null,eqeqeq
		this.model = 'rgb';
		this.color = [0, 0, 0];
		this.valpha = 1;
	} else if (object instanceof Color) {
		this.model = object.model;
		this.color = object.color.slice();
		this.valpha = object.valpha;
	} else if (typeof object === 'string') {
		const result = colorString.get(object);
		if (result === null) {
			throw new Error('Unable to parse color from string: ' + object);
		}

		this.model = result.model;
		channels = convert[this.model].channels;
		this.color = result.value.slice(0, channels);
		this.valpha = typeof result.value[channels] === 'number' ? result.value[channels] : 1;
	} else if (object.length > 0) {
		this.model = model || 'rgb';
		channels = convert[this.model].channels;
		const newArray = _slice.call(object, 0, channels);
		this.color = zeroArray(newArray, channels);
		this.valpha = typeof object[channels] === 'number' ? object[channels] : 1;
	} else if (typeof object === 'number') {
		// This is always RGB - can be converted later on.
		this.model = 'rgb';
		this.color = [
			(object >> 16) & 0xFF,
			(object >> 8) & 0xFF,
			object & 0xFF,
		];
		this.valpha = 1;
	} else {
		this.valpha = 1;

		const keys = Object.keys(object);
		if ('alpha' in object) {
			keys.splice(keys.indexOf('alpha'), 1);
			this.valpha = typeof object.alpha === 'number' ? object.alpha : 0;
		}

		const hashedKeys = keys.sort().join('');
		if (!(hashedKeys in hashedModelKeys)) {
			throw new Error('Unable to parse color from object: ' + JSON.stringify(object));
		}

		this.model = hashedModelKeys[hashedKeys];

		const labels = convert[this.model].labels;
		const color = [];
		for (i = 0; i < labels.length; i++) {
			color.push(object[labels[i]]);
		}

		this.color = zeroArray(color);
	}

	// Perform limitations (clamping, etc.)
	if (limiters[this.model]) {
		channels = convert[this.model].channels;
		for (i = 0; i < channels; i++) {
			const limit = limiters[this.model][i];
			if (limit) {
				this.color[i] = limit(this.color[i]);
			}
		}
	}

	this.valpha = Math.max(0, Math.min(1, this.valpha));

	if (Object.freeze) {
		Object.freeze(this);
	}
}

Color.prototype = {
	toString() {
		return this.string();
	},

	toJSON() {
		return this[this.model]();
	},

	string(places) {
		let self = this.model in colorString.to ? this : this.rgb();
		self = self.round(typeof places === 'number' ? places : 1);
		const args = self.valpha === 1 ? self.color : self.color.concat(this.valpha);
		return colorString.to[self.model](args);
	},

	percentString(places) {
		const self = this.rgb().round(typeof places === 'number' ? places : 1);
		const args = self.valpha === 1 ? self.color : self.color.concat(this.valpha);
		return colorString.to.rgb.percent(args);
	},

	array() {
		return this.valpha === 1 ? this.color.slice() : this.color.concat(this.valpha);
	},

	object() {
		const result = {};
		const channels = convert[this.model].channels;
		const labels = convert[this.model].labels;

		for (let i = 0; i < channels; i++) {
			result[labels[i]] = this.color[i];
		}

		if (this.valpha !== 1) {
			result.alpha = this.valpha;
		}

		return result;
	},

	unitArray() {
		const rgb = this.rgb().color;
		rgb[0] /= 255;
		rgb[1] /= 255;
		rgb[2] /= 255;

		if (this.valpha !== 1) {
			rgb.push(this.valpha);
		}

		return rgb;
	},

	unitObject() {
		const rgb = this.rgb().object();
		rgb.r /= 255;
		rgb.g /= 255;
		rgb.b /= 255;

		if (this.valpha !== 1) {
			rgb.alpha = this.valpha;
		}

		return rgb;
	},

	round(places) {
		places = Math.max(places || 0, 0);
		return new Color(this.color.map(roundToPlace(places)).concat(this.valpha), this.model);
	},

	alpha(value) {
		if (arguments.length > 0) {
			return new Color(this.color.concat(Math.max(0, Math.min(1, value))), this.model);
		}

		return this.valpha;
	},

	// Rgb
	red: getset('rgb', 0, maxfn(255)),
	green: getset('rgb', 1, maxfn(255)),
	blue: getset('rgb', 2, maxfn(255)),

	hue: getset(['hsl', 'hsv', 'hsl', 'hwb', 'hcg'], 0, value => ((value % 360) + 360) % 360),

	saturationl: getset('hsl', 1, maxfn(100)),
	lightness: getset('hsl', 2, maxfn(100)),

	saturationv: getset('hsv', 1, maxfn(100)),
	value: getset('hsv', 2, maxfn(100)),

	chroma: getset('hcg', 1, maxfn(100)),
	gray: getset('hcg', 2, maxfn(100)),

	white: getset('hwb', 1, maxfn(100)),
	wblack: getset('hwb', 2, maxfn(100)),

	cyan: getset('cmyk', 0, maxfn(100)),
	magenta: getset('cmyk', 1, maxfn(100)),
	yellow: getset('cmyk', 2, maxfn(100)),
	black: getset('cmyk', 3, maxfn(100)),

	x: getset('xyz', 0, maxfn(100)),
	y: getset('xyz', 1, maxfn(100)),
	z: getset('xyz', 2, maxfn(100)),

	l: getset('lab', 0, maxfn(100)),
	a: getset('lab', 1),
	b: getset('lab', 2),

	keyword(value) {
		if (arguments.length > 0) {
			return new Color(value);
		}

		return convert[this.model].keyword(this.color);
	},

	hex(value) {
		if (arguments.length > 0) {
			return new Color(value);
		}

		return colorString.to.hex(this.rgb().round().color);
	},

	rgbNumber() {
		const rgb = this.rgb().color;
		return ((rgb[0] & 0xFF) << 16) | ((rgb[1] & 0xFF) << 8) | (rgb[2] & 0xFF);
	},

	luminosity() {
		// http://www.w3.org/TR/WCAG20/#relativeluminancedef
		const rgb = this.rgb().color;

		const lum = [];
		for (const [i, element] of rgb.entries()) {
			const chan = element / 255;
			lum[i] = (chan <= 0.039_28) ? chan / 12.92 : ((chan + 0.055) / 1.055) ** 2.4;
		}

		return 0.2126 * lum[0] + 0.7152 * lum[1] + 0.0722 * lum[2];
	},

	contrast(color2) {
		// http://www.w3.org/TR/WCAG20/#contrast-ratiodef
		const lum1 = this.luminosity();
		const lum2 = color2.luminosity();

		if (lum1 > lum2) {
			return (lum1 + 0.05) / (lum2 + 0.05);
		}

		return (lum2 + 0.05) / (lum1 + 0.05);
	},

	level(color2) {
		const contrastRatio = this.contrast(color2);
		if (contrastRatio >= 7.1) {
			return 'AAA';
		}

		return (contrastRatio >= 4.5) ? 'AA' : '';
	},

	isDark() {
		// YIQ equation from http://24ways.org/2010/calculating-color-contrast
		const rgb = this.rgb().color;
		const yiq = (rgb[0] * 299 + rgb[1] * 587 + rgb[2] * 114) / 1000;
		return yiq < 128;
	},

	isLight() {
		return !this.isDark();
	},

	negate() {
		const rgb = this.rgb();
		for (let i = 0; i < 3; i++) {
			rgb.color[i] = 255 - rgb.color[i];
		}

		return rgb;
	},

	lighten(ratio) {
		const hsl = this.hsl();
		hsl.color[2] += hsl.color[2] * ratio;
		return hsl;
	},

	darken(ratio) {
		const hsl = this.hsl();
		hsl.color[2] -= hsl.color[2] * ratio;
		return hsl;
	},

	saturate(ratio) {
		const hsl = this.hsl();
		hsl.color[1] += hsl.color[1] * ratio;
		return hsl;
	},

	desaturate(ratio) {
		const hsl = this.hsl();
		hsl.color[1] -= hsl.color[1] * ratio;
		return hsl;
	},

	whiten(ratio) {
		const hwb = this.hwb();
		hwb.color[1] += hwb.color[1] * ratio;
		return hwb;
	},

	blacken(ratio) {
		const hwb = this.hwb();
		hwb.color[2] += hwb.color[2] * ratio;
		return hwb;
	},

	grayscale() {
		// http://en.wikipedia.org/wiki/Grayscale#Converting_color_to_grayscale
		const rgb = this.rgb().color;
		const value = rgb[0] * 0.3 + rgb[1] * 0.59 + rgb[2] * 0.11;
		return Color.rgb(value, value, value);
	},

	fade(ratio) {
		return this.alpha(this.valpha - (this.valpha * ratio));
	},

	opaquer(ratio) {
		return this.alpha(this.valpha + (this.valpha * ratio));
	},

	rotate(degrees) {
		const hsl = this.hsl();
		let hue = hsl.color[0];
		hue = (hue + degrees) % 360;
		hue = hue < 0 ? 360 + hue : hue;
		hsl.color[0] = hue;
		return hsl;
	},

	mix(mixinColor, weight) {
		// Ported from sass implementation in C
		// https://github.com/sass/libsass/blob/0e6b4a2850092356aa3ece07c6b249f0221caced/functions.cpp#L209
		if (!mixinColor || !mixinColor.rgb) {
			throw new Error('Argument to "mix" was not a Color instance, but rather an instance of ' + typeof mixinColor);
		}

		const color1 = mixinColor.rgb();
		const color2 = this.rgb();
		const p = weight === undefined ? 0.5 : weight;

		const w = 2 * p - 1;
		const a = color1.alpha() - color2.alpha();

		const w1 = (((w * a === -1) ? w : (w + a) / (1 + w * a)) + 1) / 2;
		const w2 = 1 - w1;

		return Color.rgb(
			w1 * color1.red() + w2 * color2.red(),
			w1 * color1.green() + w2 * color2.green(),
			w1 * color1.blue() + w2 * color2.blue(),
			color1.alpha() * p + color2.alpha() * (1 - p));
	},
};

// Model conversion methods and static constructors
for (const model of Object.keys(convert)) {
	if (skippedModels.includes(model)) {
		continue;
	}

	const channels = convert[model].channels;

	// Conversion methods
	Color.prototype[model] = function () {
		if (this.model === model) {
			return new Color(this);
		}

		if (arguments.length > 0) {
			return new Color(arguments, model);
		}

		const newAlpha = typeof arguments[channels] === 'number' ? channels : this.valpha;
		return new Color(assertArray(convert[this.model][model].raw(this.color)).concat(newAlpha), model);
	};

	// 'static' construction methods
	Color[model] = function (color) {
		if (typeof color === 'number') {
			color = zeroArray(_slice.call(arguments), channels);
		}

		return new Color(color, model);
	};
}

function roundTo(number, places) {
	return Number(number.toFixed(places));
}

function roundToPlace(places) {
	return function (number) {
		return roundTo(number, places);
	};
}

function getset(model, channel, modifier) {
	model = Array.isArray(model) ? model : [model];

	for (const m of model) {
		(limiters[m] || (limiters[m] = []))[channel] = modifier;
	}

	model = model[0];

	return function (value) {
		let result;

		if (arguments.length > 0) {
			if (modifier) {
				value = modifier(value);
			}

			result = this[model]();
			result.color[channel] = value;
			return result;
		}

		result = this[model]().color[channel];
		if (modifier) {
			result = modifier(result);
		}

		return result;
	};
}

function maxfn(max) {
	return function (v) {
		return Math.max(0, Math.min(max, v));
	};
}

function assertArray(value) {
	return Array.isArray(value) ? value : [value];
}

function zeroArray(array, length) {
	for (let i = 0; i < length; i++) {
		if (typeof array[i] !== 'number') {
			array[i] = 0;
		}
	}

	return array;
}

module.exports = Color;


/***/ }),

/***/ 86891:
/***/ ((module) => {

module.exports = function (xs, fn) {
    var res = [];
    for (var i = 0; i < xs.length; i++) {
        var x = fn(xs[i], i);
        if (isArray(x)) res.push.apply(res, x);
        else res.push(x);
    }
    return res;
};

var isArray = Array.isArray || function (xs) {
    return Object.prototype.toString.call(xs) === '[object Array]';
};


/***/ }),

/***/ 72746:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const cp = __nccwpck_require__(32081);
const parse = __nccwpck_require__(66855);
const enoent = __nccwpck_require__(44101);

function spawn(command, args, options) {
    // Parse the arguments
    const parsed = parse(command, args, options);

    // Spawn the child process
    const spawned = cp.spawn(parsed.command, parsed.args, parsed.options);

    // Hook into child process "exit" event to emit an error if the command
    // does not exists, see: https://github.com/IndigoUnited/node-cross-spawn/issues/16
    enoent.hookChildProcess(spawned, parsed);

    return spawned;
}

function spawnSync(command, args, options) {
    // Parse the arguments
    const parsed = parse(command, args, options);

    // Spawn the child process
    const result = cp.spawnSync(parsed.command, parsed.args, parsed.options);

    // Analyze if the command does not exist, see: https://github.com/IndigoUnited/node-cross-spawn/issues/16
    result.error = result.error || enoent.verifyENOENTSync(result.status, parsed);

    return result;
}

module.exports = spawn;
module.exports.spawn = spawn;
module.exports.sync = spawnSync;

module.exports._parse = parse;
module.exports._enoent = enoent;


/***/ }),

/***/ 44101:
/***/ ((module) => {

"use strict";


const isWin = process.platform === 'win32';

function notFoundError(original, syscall) {
    return Object.assign(new Error(`${syscall} ${original.command} ENOENT`), {
        code: 'ENOENT',
        errno: 'ENOENT',
        syscall: `${syscall} ${original.command}`,
        path: original.command,
        spawnargs: original.args,
    });
}

function hookChildProcess(cp, parsed) {
    if (!isWin) {
        return;
    }

    const originalEmit = cp.emit;

    cp.emit = function (name, arg1) {
        // If emitting "exit" event and exit code is 1, we need to check if
        // the command exists and emit an "error" instead
        // See https://github.com/IndigoUnited/node-cross-spawn/issues/16
        if (name === 'exit') {
            const err = verifyENOENT(arg1, parsed, 'spawn');

            if (err) {
                return originalEmit.call(cp, 'error', err);
            }
        }

        return originalEmit.apply(cp, arguments); // eslint-disable-line prefer-rest-params
    };
}

function verifyENOENT(status, parsed) {
    if (isWin && status === 1 && !parsed.file) {
        return notFoundError(parsed.original, 'spawn');
    }

    return null;
}

function verifyENOENTSync(status, parsed) {
    if (isWin && status === 1 && !parsed.file) {
        return notFoundError(parsed.original, 'spawnSync');
    }

    return null;
}

module.exports = {
    hookChildProcess,
    verifyENOENT,
    verifyENOENTSync,
    notFoundError,
};


/***/ }),

/***/ 66855:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const path = __nccwpck_require__(71017);
const resolveCommand = __nccwpck_require__(87274);
const escape = __nccwpck_require__(34274);
const readShebang = __nccwpck_require__(41252);

const isWin = process.platform === 'win32';
const isExecutableRegExp = /\.(?:com|exe)$/i;
const isCmdShimRegExp = /node_modules[\\/].bin[\\/][^\\/]+\.cmd$/i;

function detectShebang(parsed) {
    parsed.file = resolveCommand(parsed);

    const shebang = parsed.file && readShebang(parsed.file);

    if (shebang) {
        parsed.args.unshift(parsed.file);
        parsed.command = shebang;

        return resolveCommand(parsed);
    }

    return parsed.file;
}

function parseNonShell(parsed) {
    if (!isWin) {
        return parsed;
    }

    // Detect & add support for shebangs
    const commandFile = detectShebang(parsed);

    // We don't need a shell if the command filename is an executable
    const needsShell = !isExecutableRegExp.test(commandFile);

    // If a shell is required, use cmd.exe and take care of escaping everything correctly
    // Note that `forceShell` is an hidden option used only in tests
    if (parsed.options.forceShell || needsShell) {
        // Need to double escape meta chars if the command is a cmd-shim located in `node_modules/.bin/`
        // The cmd-shim simply calls execute the package bin file with NodeJS, proxying any argument
        // Because the escape of metachars with ^ gets interpreted when the cmd.exe is first called,
        // we need to double escape them
        const needsDoubleEscapeMetaChars = isCmdShimRegExp.test(commandFile);

        // Normalize posix paths into OS compatible paths (e.g.: foo/bar -> foo\bar)
        // This is necessary otherwise it will always fail with ENOENT in those cases
        parsed.command = path.normalize(parsed.command);

        // Escape command & arguments
        parsed.command = escape.command(parsed.command);
        parsed.args = parsed.args.map((arg) => escape.argument(arg, needsDoubleEscapeMetaChars));

        const shellCommand = [parsed.command].concat(parsed.args).join(' ');

        parsed.args = ['/d', '/s', '/c', `"${shellCommand}"`];
        parsed.command = process.env.comspec || 'cmd.exe';
        parsed.options.windowsVerbatimArguments = true; // Tell node's spawn that the arguments are already escaped
    }

    return parsed;
}

function parse(command, args, options) {
    // Normalize arguments, similar to nodejs
    if (args && !Array.isArray(args)) {
        options = args;
        args = null;
    }

    args = args ? args.slice(0) : []; // Clone array to avoid changing the original
    options = Object.assign({}, options); // Clone object to avoid changing the original

    // Build our parsed object
    const parsed = {
        command,
        args,
        options,
        file: undefined,
        original: {
            command,
            args,
        },
    };

    // Delegate further parsing to shell or non-shell
    return options.shell ? parsed : parseNonShell(parsed);
}

module.exports = parse;


/***/ }),

/***/ 34274:
/***/ ((module) => {

"use strict";


// See http://www.robvanderwoude.com/escapechars.php
const metaCharsRegExp = /([()\][%!^"`<>&|;, *?])/g;

function escapeCommand(arg) {
    // Escape meta chars
    arg = arg.replace(metaCharsRegExp, '^$1');

    return arg;
}

function escapeArgument(arg, doubleEscapeMetaChars) {
    // Convert to string
    arg = `${arg}`;

    // Algorithm below is based on https://qntm.org/cmd

    // Sequence of backslashes followed by a double quote:
    // double up all the backslashes and escape the double quote
    arg = arg.replace(/(\\*)"/g, '$1$1\\"');

    // Sequence of backslashes followed by the end of the string
    // (which will become a double quote later):
    // double up all the backslashes
    arg = arg.replace(/(\\*)$/, '$1$1');

    // All other backslashes occur literally

    // Quote the whole thing:
    arg = `"${arg}"`;

    // Escape meta chars
    arg = arg.replace(metaCharsRegExp, '^$1');

    // Double escape meta chars if necessary
    if (doubleEscapeMetaChars) {
        arg = arg.replace(metaCharsRegExp, '^$1');
    }

    return arg;
}

module.exports.command = escapeCommand;
module.exports.argument = escapeArgument;


/***/ }),

/***/ 41252:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const fs = __nccwpck_require__(57147);
const shebangCommand = __nccwpck_require__(67032);

function readShebang(command) {
    // Read the first 150 bytes from the file
    const size = 150;
    const buffer = Buffer.alloc(size);

    let fd;

    try {
        fd = fs.openSync(command, 'r');
        fs.readSync(fd, buffer, 0, size, 0);
        fs.closeSync(fd);
    } catch (e) { /* Empty */ }

    // Attempt to extract shebang (null is returned if not a shebang)
    return shebangCommand(buffer.toString());
}

module.exports = readShebang;


/***/ }),

/***/ 87274:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const path = __nccwpck_require__(71017);
const which = __nccwpck_require__(34207);
const getPathKey = __nccwpck_require__(20539);

function resolveCommandAttempt(parsed, withoutPathExt) {
    const env = parsed.options.env || process.env;
    const cwd = process.cwd();
    const hasCustomCwd = parsed.options.cwd != null;
    // Worker threads do not have process.chdir()
    const shouldSwitchCwd = hasCustomCwd && process.chdir !== undefined && !process.chdir.disabled;

    // If a custom `cwd` was specified, we need to change the process cwd
    // because `which` will do stat calls but does not support a custom cwd
    if (shouldSwitchCwd) {
        try {
            process.chdir(parsed.options.cwd);
        } catch (err) {
            /* Empty */
        }
    }

    let resolved;

    try {
        resolved = which.sync(parsed.command, {
            path: env[getPathKey({ env })],
            pathExt: withoutPathExt ? path.delimiter : undefined,
        });
    } catch (e) {
        /* Empty */
    } finally {
        if (shouldSwitchCwd) {
            process.chdir(cwd);
        }
    }

    // If we successfully resolved, ensure that an absolute path is returned
    // Note that when a custom `cwd` was used, we need to resolve to an absolute path based on it
    if (resolved) {
        resolved = path.resolve(hasCustomCwd ? parsed.options.cwd : '', resolved);
    }

    return resolved;
}

function resolveCommand(parsed) {
    return resolveCommandAttempt(parsed) || resolveCommandAttempt(parsed, true);
}

module.exports = resolveCommand;


/***/ }),

/***/ 85684:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

module.exports = (__nccwpck_require__(83317).path)();


/***/ }),

/***/ 83317:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);
const BinWrapper = __nccwpck_require__(42504);
const pkg = __nccwpck_require__(14449);

const url = `https://raw.githubusercontent.com/imagemin/cwebp-bin/v${pkg.version}/vendor/`;

module.exports = new BinWrapper()
	.src(`${url}osx/cwebp`, 'darwin')
	.src(`${url}linux/x86/cwebp`, 'linux', 'x86')
	.src(`${url}linux/x64/cwebp`, 'linux', 'x64')
	.src(`${url}win/x86/cwebp.exe`, 'win32', 'x86')
	.src(`${url}win/x64/cwebp.exe`, 'win32', 'x64')
	.dest(__nccwpck_require__.ab + "vendor1")
	.use(process.platform === 'win32' ? 'cwebp.exe' : 'cwebp');


/***/ }),

/***/ 24598:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

var mapObj = __nccwpck_require__(65490);
var decamelize = __nccwpck_require__(70159);

module.exports = function (input, separator, options) {
	if (typeof separator !== 'string') {
		options = separator;
		separator = null;
	}

	options = options || {};
	separator = separator || options.separator;
	var exclude = options.exclude || [];

	return mapObj(input, function (key, val) {
		key = exclude.indexOf(key) === -1 ? decamelize(key, separator) : key;
		return [key, val];
	});
};


/***/ }),

/***/ 70159:
/***/ ((module) => {

"use strict";

module.exports = function (str, sep) {
	if (typeof str !== 'string') {
		throw new TypeError('Expected a string');
	}

	sep = typeof sep === 'undefined' ? '_' : sep;

	return str
		.replace(/([a-z\d])([A-Z])/g, '$1' + sep + '$2')
		.replace(/([A-Z]+)([A-Z][a-z\d]+)/g, '$1' + sep + '$2')
		.toLowerCase();
};


/***/ }),

/***/ 23325:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const {promisify} = __nccwpck_require__(73837);
const path = __nccwpck_require__(71017);
const globby = __nccwpck_require__(43398);
const isGlob = __nccwpck_require__(34466);
const slash = __nccwpck_require__(97543);
const gracefulFs = __nccwpck_require__(77758);
const isPathCwd = __nccwpck_require__(58885);
const isPathInside = __nccwpck_require__(80628);
const rimraf = __nccwpck_require__(14959);
const pMap = __nccwpck_require__(91855);

const rimrafP = promisify(rimraf);

const rimrafOptions = {
	glob: false,
	unlink: gracefulFs.unlink,
	unlinkSync: gracefulFs.unlinkSync,
	chmod: gracefulFs.chmod,
	chmodSync: gracefulFs.chmodSync,
	stat: gracefulFs.stat,
	statSync: gracefulFs.statSync,
	lstat: gracefulFs.lstat,
	lstatSync: gracefulFs.lstatSync,
	rmdir: gracefulFs.rmdir,
	rmdirSync: gracefulFs.rmdirSync,
	readdir: gracefulFs.readdir,
	readdirSync: gracefulFs.readdirSync
};

function safeCheck(file, cwd) {
	if (isPathCwd(file)) {
		throw new Error('Cannot delete the current working directory. Can be overridden with the `force` option.');
	}

	if (!isPathInside(file, cwd)) {
		throw new Error('Cannot delete files/directories outside the current working directory. Can be overridden with the `force` option.');
	}
}

function normalizePatterns(patterns) {
	patterns = Array.isArray(patterns) ? patterns : [patterns];

	patterns = patterns.map(pattern => {
		if (process.platform === 'win32' && isGlob(pattern) === false) {
			return slash(pattern);
		}

		return pattern;
	});

	return patterns;
}

module.exports = async (patterns, {force, dryRun, cwd = process.cwd(), ...options} = {}) => {
	options = {
		expandDirectories: false,
		onlyFiles: false,
		followSymbolicLinks: false,
		cwd,
		...options
	};

	patterns = normalizePatterns(patterns);

	const files = (await globby(patterns, options))
		.sort((a, b) => b.localeCompare(a));

	const mapper = async file => {
		file = path.resolve(cwd, file);

		if (!force) {
			safeCheck(file, cwd);
		}

		if (!dryRun) {
			await rimrafP(file, rimrafOptions);
		}

		return file;
	};

	const removedFiles = await pMap(files, mapper, options);

	removedFiles.sort((a, b) => a.localeCompare(b));

	return removedFiles;
};

module.exports.sync = (patterns, {force, dryRun, cwd = process.cwd(), ...options} = {}) => {
	options = {
		expandDirectories: false,
		onlyFiles: false,
		followSymbolicLinks: false,
		cwd,
		...options
	};

	patterns = normalizePatterns(patterns);

	const files = globby.sync(patterns, options)
		.sort((a, b) => b.localeCompare(a));

	const removedFiles = files.map(file => {
		file = path.resolve(cwd, file);

		if (!force) {
			safeCheck(file, cwd);
		}

		if (!dryRun) {
			rimraf.sync(file, rimrafOptions);
		}

		return file;
	});

	removedFiles.sort((a, b) => a.localeCompare(b));

	return removedFiles;
};


/***/ }),

/***/ 34889:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var platform = (__nccwpck_require__(22037).platform)();
var spawnSync = (__nccwpck_require__(32081).spawnSync);
var readdirSync = (__nccwpck_require__(57147).readdirSync);

var GLIBC = 'glibc';
var MUSL = 'musl';

var spawnOptions = {
  encoding: 'utf8',
  env: process.env
};

if (!spawnSync) {
  spawnSync = function () {
    return { status: 126, stdout: '', stderr: '' };
  };
}

function contains (needle) {
  return function (haystack) {
    return haystack.indexOf(needle) !== -1;
  };
}

function versionFromMuslLdd (out) {
  return out.split(/[\r\n]+/)[1].trim().split(/\s/)[1];
}

function safeReaddirSync (path) {
  try {
    return readdirSync(path);
  } catch (e) {}
  return [];
}

var family = '';
var version = '';
var method = '';

if (platform === 'linux') {
  // Try getconf
  var glibc = spawnSync('getconf', ['GNU_LIBC_VERSION'], spawnOptions);
  if (glibc.status === 0) {
    family = GLIBC;
    version = glibc.stdout.trim().split(' ')[1];
    method = 'getconf';
  } else {
    // Try ldd
    var ldd = spawnSync('ldd', ['--version'], spawnOptions);
    if (ldd.status === 0 && ldd.stdout.indexOf(MUSL) !== -1) {
      family = MUSL;
      version = versionFromMuslLdd(ldd.stdout);
      method = 'ldd';
    } else if (ldd.status === 1 && ldd.stderr.indexOf(MUSL) !== -1) {
      family = MUSL;
      version = versionFromMuslLdd(ldd.stderr);
      method = 'ldd';
    } else {
      // Try filesystem (family only)
      var lib = safeReaddirSync('/lib');
      if (lib.some(contains('-linux-gnu'))) {
        family = GLIBC;
        method = 'filesystem';
      } else if (lib.some(contains('libc.musl-'))) {
        family = MUSL;
        method = 'filesystem';
      } else if (lib.some(contains('ld-musl-'))) {
        family = MUSL;
        method = 'filesystem';
      } else {
        var usrSbin = safeReaddirSync('/usr/sbin');
        if (usrSbin.some(contains('glibc'))) {
          family = GLIBC;
          method = 'filesystem';
        }
      }
    }
  }
}

var isNonGlibcLinux = (family !== '' && family !== GLIBC);

module.exports = {
  GLIBC: GLIBC,
  MUSL: MUSL,
  family: family,
  version: version,
  method: method,
  isNonGlibcLinux: isNonGlibcLinux
};


/***/ }),

/***/ 12738:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);
const pathType = __nccwpck_require__(63433);

const getExtensions = extensions => extensions.length > 1 ? `{${extensions.join(',')}}` : extensions[0];

const getPath = (filepath, cwd) => {
	const pth = filepath[0] === '!' ? filepath.slice(1) : filepath;
	return path.isAbsolute(pth) ? pth : path.join(cwd, pth);
};

const addExtensions = (file, extensions) => {
	if (path.extname(file)) {
		return `**/${file}`;
	}

	return `**/${file}.${getExtensions(extensions)}`;
};

const getGlob = (directory, options) => {
	if (options.files && !Array.isArray(options.files)) {
		throw new TypeError(`Expected \`files\` to be of type \`Array\` but received type \`${typeof options.files}\``);
	}

	if (options.extensions && !Array.isArray(options.extensions)) {
		throw new TypeError(`Expected \`extensions\` to be of type \`Array\` but received type \`${typeof options.extensions}\``);
	}

	if (options.files && options.extensions) {
		return options.files.map(x => path.posix.join(directory, addExtensions(x, options.extensions)));
	}

	if (options.files) {
		return options.files.map(x => path.posix.join(directory, `**/${x}`));
	}

	if (options.extensions) {
		return [path.posix.join(directory, `**/*.${getExtensions(options.extensions)}`)];
	}

	return [path.posix.join(directory, '**')];
};

module.exports = async (input, options) => {
	options = {
		cwd: process.cwd(),
		...options
	};

	if (typeof options.cwd !== 'string') {
		throw new TypeError(`Expected \`cwd\` to be of type \`string\` but received type \`${typeof options.cwd}\``);
	}

	const globs = await Promise.all([].concat(input).map(async x => {
		const isDirectory = await pathType.isDirectory(getPath(x, options.cwd));
		return isDirectory ? getGlob(x, options) : x;
	}));

	return [].concat.apply([], globs); // eslint-disable-line prefer-spread
};

module.exports.sync = (input, options) => {
	options = {
		cwd: process.cwd(),
		...options
	};

	if (typeof options.cwd !== 'string') {
		throw new TypeError(`Expected \`cwd\` to be of type \`string\` but received type \`${typeof options.cwd}\``);
	}

	const globs = [].concat(input).map(x => pathType.isDirectorySync(getPath(x, options.cwd)) ? getGlob(x, options) : x);

	return [].concat.apply([], globs); // eslint-disable-line prefer-spread
};


/***/ }),

/***/ 81205:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var once = __nccwpck_require__(1223);

var noop = function() {};

var isRequest = function(stream) {
	return stream.setHeader && typeof stream.abort === 'function';
};

var isChildProcess = function(stream) {
	return stream.stdio && Array.isArray(stream.stdio) && stream.stdio.length === 3
};

var eos = function(stream, opts, callback) {
	if (typeof opts === 'function') return eos(stream, null, opts);
	if (!opts) opts = {};

	callback = once(callback || noop);

	var ws = stream._writableState;
	var rs = stream._readableState;
	var readable = opts.readable || (opts.readable !== false && stream.readable);
	var writable = opts.writable || (opts.writable !== false && stream.writable);
	var cancelled = false;

	var onlegacyfinish = function() {
		if (!stream.writable) onfinish();
	};

	var onfinish = function() {
		writable = false;
		if (!readable) callback.call(stream);
	};

	var onend = function() {
		readable = false;
		if (!writable) callback.call(stream);
	};

	var onexit = function(exitCode) {
		callback.call(stream, exitCode ? new Error('exited with error code: ' + exitCode) : null);
	};

	var onerror = function(err) {
		callback.call(stream, err);
	};

	var onclose = function() {
		process.nextTick(onclosenexttick);
	};

	var onclosenexttick = function() {
		if (cancelled) return;
		if (readable && !(rs && (rs.ended && !rs.destroyed))) return callback.call(stream, new Error('premature close'));
		if (writable && !(ws && (ws.ended && !ws.destroyed))) return callback.call(stream, new Error('premature close'));
	};

	var onrequest = function() {
		stream.req.on('finish', onfinish);
	};

	if (isRequest(stream)) {
		stream.on('complete', onfinish);
		stream.on('abort', onclose);
		if (stream.req) onrequest();
		else stream.on('request', onrequest);
	} else if (writable && !ws) { // legacy streams
		stream.on('end', onlegacyfinish);
		stream.on('close', onlegacyfinish);
	}

	if (isChildProcess(stream)) stream.on('exit', onexit);

	stream.on('end', onend);
	stream.on('finish', onfinish);
	if (opts.error !== false) stream.on('error', onerror);
	stream.on('close', onclose);

	return function() {
		cancelled = true;
		stream.removeListener('complete', onfinish);
		stream.removeListener('abort', onclose);
		stream.removeListener('request', onrequest);
		if (stream.req) stream.req.removeListener('finish', onfinish);
		stream.removeListener('end', onlegacyfinish);
		stream.removeListener('close', onlegacyfinish);
		stream.removeListener('finish', onfinish);
		stream.removeListener('exit', onexit);
		stream.removeListener('end', onend);
		stream.removeListener('error', onerror);
		stream.removeListener('close', onclose);
	};
};

module.exports = eos;


/***/ }),

/***/ 23505:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var util = __nccwpck_require__(73837);
var isArrayish = __nccwpck_require__(7604);

var errorEx = function errorEx(name, properties) {
	if (!name || name.constructor !== String) {
		properties = name || {};
		name = Error.name;
	}

	var errorExError = function ErrorEXError(message) {
		if (!this) {
			return new ErrorEXError(message);
		}

		message = message instanceof Error
			? message.message
			: (message || this.message);

		Error.call(this, message);
		Error.captureStackTrace(this, errorExError);

		this.name = name;

		Object.defineProperty(this, 'message', {
			configurable: true,
			enumerable: false,
			get: function () {
				var newMessage = message.split(/\r?\n/g);

				for (var key in properties) {
					if (!properties.hasOwnProperty(key)) {
						continue;
					}

					var modifier = properties[key];

					if ('message' in modifier) {
						newMessage = modifier.message(this[key], newMessage) || newMessage;
						if (!isArrayish(newMessage)) {
							newMessage = [newMessage];
						}
					}
				}

				return newMessage.join('\n');
			},
			set: function (v) {
				message = v;
			}
		});

		var overwrittenStack = null;

		var stackDescriptor = Object.getOwnPropertyDescriptor(this, 'stack');
		var stackGetter = stackDescriptor.get;
		var stackValue = stackDescriptor.value;
		delete stackDescriptor.value;
		delete stackDescriptor.writable;

		stackDescriptor.set = function (newstack) {
			overwrittenStack = newstack;
		};

		stackDescriptor.get = function () {
			var stack = (overwrittenStack || ((stackGetter)
				? stackGetter.call(this)
				: stackValue)).split(/\r?\n+/g);

			// starting in Node 7, the stack builder caches the message.
			// just replace it.
			if (!overwrittenStack) {
				stack[0] = this.name + ': ' + this.message;
			}

			var lineCount = 1;
			for (var key in properties) {
				if (!properties.hasOwnProperty(key)) {
					continue;
				}

				var modifier = properties[key];

				if ('line' in modifier) {
					var line = modifier.line(this[key]);
					if (line) {
						stack.splice(lineCount++, 0, '    ' + line);
					}
				}

				if ('stack' in modifier) {
					modifier.stack(this[key], stack);
				}
			}

			return stack.join('\n');
		};

		Object.defineProperty(this, 'stack', stackDescriptor);
	};

	if (Object.setPrototypeOf) {
		Object.setPrototypeOf(errorExError.prototype, Error.prototype);
		Object.setPrototypeOf(errorExError, Error);
	} else {
		util.inherits(errorExError, Error);
	}

	return errorExError;
};

errorEx.append = function (str, def) {
	return {
		message: function (v, message) {
			v = v || def;

			if (v) {
				message[0] += ' ' + str.replace('%s', v.toString());
			}

			return message;
		}
	};
};

errorEx.line = function (str, def) {
	return {
		line: function (v) {
			v = v || def;

			if (v) {
				return str.replace('%s', v.toString());
			}

			return null;
		}
	};
};

module.exports = errorEx;


/***/ }),

/***/ 98691:
/***/ ((module) => {

"use strict";


var matchOperatorsRe = /[|\\{}()[\]^$+*?.]/g;

module.exports = function (str) {
	if (typeof str !== 'string') {
		throw new TypeError('Expected a string');
	}

	return str.replace(matchOperatorsRe, '\\$&');
};


/***/ }),

/***/ 51598:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const fs = __nccwpck_require__(57147);
const execa = __nccwpck_require__(91621);
const pFinally = __nccwpck_require__(73254);
const pify = __nccwpck_require__(55104);
const rimraf = __nccwpck_require__(75229);
const tempfile = __nccwpck_require__(93580);

const fsP = pify(fs);
const rmP = pify(rimraf);
const input = Symbol('inputPath');
const output = Symbol('outputPath');

module.exports = opts => {
	opts = Object.assign({}, opts);

	if (!Buffer.isBuffer(opts.input)) {
		return Promise.reject(new Error('Input is required'));
	}

	if (typeof opts.bin !== 'string') {
		return Promise.reject(new Error('Binary is required'));
	}

	if (!Array.isArray(opts.args)) {
		return Promise.reject(new Error('Arguments are required'));
	}

	const inputPath = opts.inputPath || tempfile();
	const outputPath = opts.outputPath || tempfile();

	opts.args = opts.args.map(x => x === input ? inputPath : x === output ? outputPath : x);

	const promise = fsP.writeFile(inputPath, opts.input)
		.then(() => execa(opts.bin, opts.args))
		.then(() => fsP.readFile(outputPath));

	return pFinally(promise, () => Promise.all([
		rmP(inputPath),
		rmP(outputPath)
	]));
};

module.exports.input = input;
module.exports.output = output;


/***/ }),

/***/ 98162:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var cp = __nccwpck_require__(32081);
var parse = __nccwpck_require__(25764);
var enoent = __nccwpck_require__(99516);

var cpSpawnSync = cp.spawnSync;

function spawn(command, args, options) {
    var parsed;
    var spawned;

    // Parse the arguments
    parsed = parse(command, args, options);

    // Spawn the child process
    spawned = cp.spawn(parsed.command, parsed.args, parsed.options);

    // Hook into child process "exit" event to emit an error if the command
    // does not exists, see: https://github.com/IndigoUnited/node-cross-spawn/issues/16
    enoent.hookChildProcess(spawned, parsed);

    return spawned;
}

function spawnSync(command, args, options) {
    var parsed;
    var result;

    if (!cpSpawnSync) {
        try {
            cpSpawnSync = __nccwpck_require__(5500);  // eslint-disable-line global-require
        } catch (ex) {
            throw new Error(
                'In order to use spawnSync on node 0.10 or older, you must ' +
                'install spawn-sync:\n\n' +
                '  npm install spawn-sync --save'
            );
        }
    }

    // Parse the arguments
    parsed = parse(command, args, options);

    // Spawn the child process
    result = cpSpawnSync(parsed.command, parsed.args, parsed.options);

    // Analyze if the command does not exists, see: https://github.com/IndigoUnited/node-cross-spawn/issues/16
    result.error = result.error || enoent.verifyENOENTSync(result.status, parsed);

    return result;
}

module.exports = spawn;
module.exports.spawn = spawn;
module.exports.sync = spawnSync;

module.exports._parse = parse;
module.exports._enoent = enoent;


/***/ }),

/***/ 99516:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var isWin = process.platform === 'win32';
var resolveCommand = __nccwpck_require__(21236);

var isNode10 = process.version.indexOf('v0.10.') === 0;

function notFoundError(command, syscall) {
    var err;

    err = new Error(syscall + ' ' + command + ' ENOENT');
    err.code = err.errno = 'ENOENT';
    err.syscall = syscall + ' ' + command;

    return err;
}

function hookChildProcess(cp, parsed) {
    var originalEmit;

    if (!isWin) {
        return;
    }

    originalEmit = cp.emit;
    cp.emit = function (name, arg1) {
        var err;

        // If emitting "exit" event and exit code is 1, we need to check if
        // the command exists and emit an "error" instead
        // See: https://github.com/IndigoUnited/node-cross-spawn/issues/16
        if (name === 'exit') {
            err = verifyENOENT(arg1, parsed, 'spawn');

            if (err) {
                return originalEmit.call(cp, 'error', err);
            }
        }

        return originalEmit.apply(cp, arguments);
    };
}

function verifyENOENT(status, parsed) {
    if (isWin && status === 1 && !parsed.file) {
        return notFoundError(parsed.original, 'spawn');
    }

    return null;
}

function verifyENOENTSync(status, parsed) {
    if (isWin && status === 1 && !parsed.file) {
        return notFoundError(parsed.original, 'spawnSync');
    }

    // If we are in node 10, then we are using spawn-sync; if it exited
    // with -1 it probably means that the command does not exist
    if (isNode10 && status === -1) {
        parsed.file = isWin ? parsed.file : resolveCommand(parsed.original);

        if (!parsed.file) {
            return notFoundError(parsed.original, 'spawnSync');
        }
    }

    return null;
}

module.exports.hookChildProcess = hookChildProcess;
module.exports.verifyENOENT = verifyENOENT;
module.exports.verifyENOENTSync = verifyENOENTSync;
module.exports.notFoundError = notFoundError;


/***/ }),

/***/ 25764:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var resolveCommand = __nccwpck_require__(21236);
var hasEmptyArgumentBug = __nccwpck_require__(51544);
var escapeArgument = __nccwpck_require__(8151);
var escapeCommand = __nccwpck_require__(35508);
var readShebang = __nccwpck_require__(54801);

var isWin = process.platform === 'win32';
var skipShellRegExp = /\.(?:com|exe)$/i;

// Supported in Node >= 6 and >= 4.8
var supportsShellOption = parseInt(process.version.substr(1).split('.')[0], 10) >= 6 ||
 parseInt(process.version.substr(1).split('.')[0], 10) === 4 && parseInt(process.version.substr(1).split('.')[1], 10) >= 8;

function parseNonShell(parsed) {
    var shebang;
    var needsShell;
    var applyQuotes;

    if (!isWin) {
        return parsed;
    }

    // Detect & add support for shebangs
    parsed.file = resolveCommand(parsed.command);
    parsed.file = parsed.file || resolveCommand(parsed.command, true);
    shebang = parsed.file && readShebang(parsed.file);

    if (shebang) {
        parsed.args.unshift(parsed.file);
        parsed.command = shebang;
        needsShell = hasEmptyArgumentBug || !skipShellRegExp.test(resolveCommand(shebang) || resolveCommand(shebang, true));
    } else {
        needsShell = hasEmptyArgumentBug || !skipShellRegExp.test(parsed.file);
    }

    // If a shell is required, use cmd.exe and take care of escaping everything correctly
    if (needsShell) {
        // Escape command & arguments
        applyQuotes = (parsed.command !== 'echo');  // Do not quote arguments for the special "echo" command
        parsed.command = escapeCommand(parsed.command);
        parsed.args = parsed.args.map(function (arg) {
            return escapeArgument(arg, applyQuotes);
        });

        // Make use of cmd.exe
        parsed.args = ['/d', '/s', '/c', '"' + parsed.command + (parsed.args.length ? ' ' + parsed.args.join(' ') : '') + '"'];
        parsed.command = process.env.comspec || 'cmd.exe';
        parsed.options.windowsVerbatimArguments = true;  // Tell node's spawn that the arguments are already escaped
    }

    return parsed;
}

function parseShell(parsed) {
    var shellCommand;

    // If node supports the shell option, there's no need to mimic its behavior
    if (supportsShellOption) {
        return parsed;
    }

    // Mimic node shell option, see: https://github.com/nodejs/node/blob/b9f6a2dc059a1062776133f3d4fd848c4da7d150/lib/child_process.js#L335
    shellCommand = [parsed.command].concat(parsed.args).join(' ');

    if (isWin) {
        parsed.command = typeof parsed.options.shell === 'string' ? parsed.options.shell : process.env.comspec || 'cmd.exe';
        parsed.args = ['/d', '/s', '/c', '"' + shellCommand + '"'];
        parsed.options.windowsVerbatimArguments = true;  // Tell node's spawn that the arguments are already escaped
    } else {
        if (typeof parsed.options.shell === 'string') {
            parsed.command = parsed.options.shell;
        } else if (process.platform === 'android') {
            parsed.command = '/system/bin/sh';
        } else {
            parsed.command = '/bin/sh';
        }

        parsed.args = ['-c', shellCommand];
    }

    return parsed;
}

// ------------------------------------------------

function parse(command, args, options) {
    var parsed;

    // Normalize arguments, similar to nodejs
    if (args && !Array.isArray(args)) {
        options = args;
        args = null;
    }

    args = args ? args.slice(0) : [];  // Clone array to avoid changing the original
    options = options || {};

    // Build our parsed object
    parsed = {
        command: command,
        args: args,
        options: options,
        file: undefined,
        original: command,
    };

    // Delegate further parsing to shell or non-shell
    return options.shell ? parseShell(parsed) : parseNonShell(parsed);
}

module.exports = parse;


/***/ }),

/***/ 8151:
/***/ ((module) => {

"use strict";


function escapeArgument(arg, quote) {
    // Convert to string
    arg = '' + arg;

    // If we are not going to quote the argument,
    // escape shell metacharacters, including double and single quotes:
    if (!quote) {
        arg = arg.replace(/([()%!^<>&|;,"'\s])/g, '^$1');
    } else {
        // Sequence of backslashes followed by a double quote:
        // double up all the backslashes and escape the double quote
        arg = arg.replace(/(\\*)"/g, '$1$1\\"');

        // Sequence of backslashes followed by the end of the string
        // (which will become a double quote later):
        // double up all the backslashes
        arg = arg.replace(/(\\*)$/, '$1$1');

        // All other backslashes occur literally

        // Quote the whole thing:
        arg = '"' + arg + '"';
    }

    return arg;
}

module.exports = escapeArgument;


/***/ }),

/***/ 35508:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var escapeArgument = __nccwpck_require__(8151);

function escapeCommand(command) {
    // Do not escape if this command is not dangerous..
    // We do this so that commands like "echo" or "ifconfig" work
    // Quoting them, will make them unaccessible
    return /^[a-z0-9_-]+$/i.test(command) ? command : escapeArgument(command, true);
}

module.exports = escapeCommand;


/***/ }),

/***/ 51544:
/***/ ((module) => {

"use strict";


// See: https://github.com/IndigoUnited/node-cross-spawn/pull/34#issuecomment-221623455
function hasEmptyArgumentBug() {
    var nodeVer;

    if (process.platform !== 'win32') {
        return false;
    }

    nodeVer = process.version.substr(1).split('.').map(function (num) {
        return parseInt(num, 10);
    });

    return (nodeVer[0] === 0 && nodeVer[1] < 12);
}

module.exports = hasEmptyArgumentBug();


/***/ }),

/***/ 54801:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var fs = __nccwpck_require__(57147);
var LRU = __nccwpck_require__(7129);
var shebangCommand = __nccwpck_require__(72958);

var shebangCache = new LRU({ max: 50, maxAge: 30 * 1000 });  // Cache just for 30sec

function readShebang(command) {
    var buffer;
    var fd;
    var shebang;

    // Check if it is in the cache first
    if (shebangCache.has(command)) {
        return shebangCache.get(command);
    }

    // Read the first 150 bytes from the file
    buffer = new Buffer(150);

    try {
        fd = fs.openSync(command, 'r');
        fs.readSync(fd, buffer, 0, 150, 0);
        fs.closeSync(fd);
    } catch (e) { /* empty */ }

    // Attempt to extract shebang (null is returned if not a shebang)
    shebang = shebangCommand(buffer.toString());

    // Store the shebang in the cache
    shebangCache.set(command, shebang);

    return shebang;
}

module.exports = readShebang;


/***/ }),

/***/ 21236:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var path = __nccwpck_require__(71017);
var which = __nccwpck_require__(8858);
var LRU = __nccwpck_require__(7129);

var commandCache = new LRU({ max: 50, maxAge: 30 * 1000 });  // Cache just for 30sec

function resolveCommand(command, noExtension) {
    var resolved;

    noExtension = !!noExtension;
    resolved = commandCache.get(command + '!' + noExtension);

    // Check if its resolved in the cache
    if (commandCache.has(command)) {
        return commandCache.get(command);
    }

    try {
        resolved = !noExtension ?
            which.sync(command) :
            which.sync(command, { pathExt: path.delimiter + (process.env.PATHEXT || '') });
    } catch (e) { /* empty */ }

    commandCache.set(command + '!' + noExtension, resolved);

    return resolved;
}

module.exports = resolveCommand;


/***/ }),

/***/ 91621:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const childProcess = __nccwpck_require__(32081);
const util = __nccwpck_require__(73837);
const crossSpawn = __nccwpck_require__(98162);
const stripEof = __nccwpck_require__(85515);
const npmRunPath = __nccwpck_require__(94996);
const isStream = __nccwpck_require__(76507);
const _getStream = __nccwpck_require__(30480);
const pFinally = __nccwpck_require__(73254);
const onExit = __nccwpck_require__(24931);
const errname = __nccwpck_require__(5573);
const stdio = __nccwpck_require__(17832);

const TEN_MEGABYTES = 1000 * 1000 * 10;

function handleArgs(cmd, args, opts) {
	let parsed;

	if (opts && opts.env && opts.extendEnv !== false) {
		opts.env = Object.assign({}, process.env, opts.env);
	}

	if (opts && opts.__winShell === true) {
		delete opts.__winShell;
		parsed = {
			command: cmd,
			args,
			options: opts,
			file: cmd,
			original: cmd
		};
	} else {
		parsed = crossSpawn._parse(cmd, args, opts);
	}

	opts = Object.assign({
		maxBuffer: TEN_MEGABYTES,
		stripEof: true,
		preferLocal: true,
		localDir: parsed.options.cwd || process.cwd(),
		encoding: 'utf8',
		reject: true,
		cleanup: true
	}, parsed.options);

	opts.stdio = stdio(opts);

	if (opts.preferLocal) {
		opts.env = npmRunPath.env(Object.assign({}, opts, {cwd: opts.localDir}));
	}

	return {
		cmd: parsed.command,
		args: parsed.args,
		opts,
		parsed
	};
}

function handleInput(spawned, opts) {
	const input = opts.input;

	if (input === null || input === undefined) {
		return;
	}

	if (isStream(input)) {
		input.pipe(spawned.stdin);
	} else {
		spawned.stdin.end(input);
	}
}

function handleOutput(opts, val) {
	if (val && opts.stripEof) {
		val = stripEof(val);
	}

	return val;
}

function handleShell(fn, cmd, opts) {
	let file = '/bin/sh';
	let args = ['-c', cmd];

	opts = Object.assign({}, opts);

	if (process.platform === 'win32') {
		opts.__winShell = true;
		file = process.env.comspec || 'cmd.exe';
		args = ['/s', '/c', `"${cmd}"`];
		opts.windowsVerbatimArguments = true;
	}

	if (opts.shell) {
		file = opts.shell;
		delete opts.shell;
	}

	return fn(file, args, opts);
}

function getStream(process, stream, encoding, maxBuffer) {
	if (!process[stream]) {
		return null;
	}

	let ret;

	if (encoding) {
		ret = _getStream(process[stream], {
			encoding,
			maxBuffer
		});
	} else {
		ret = _getStream.buffer(process[stream], {maxBuffer});
	}

	return ret.catch(err => {
		err.stream = stream;
		err.message = `${stream} ${err.message}`;
		throw err;
	});
}

module.exports = (cmd, args, opts) => {
	let joinedCmd = cmd;

	if (Array.isArray(args) && args.length > 0) {
		joinedCmd += ' ' + args.join(' ');
	}

	const parsed = handleArgs(cmd, args, opts);
	const encoding = parsed.opts.encoding;
	const maxBuffer = parsed.opts.maxBuffer;

	let spawned;
	try {
		spawned = childProcess.spawn(parsed.cmd, parsed.args, parsed.opts);
	} catch (err) {
		return Promise.reject(err);
	}

	let removeExitHandler;
	if (parsed.opts.cleanup) {
		removeExitHandler = onExit(() => {
			spawned.kill();
		});
	}

	let timeoutId = null;
	let timedOut = false;

	const cleanupTimeout = () => {
		if (timeoutId) {
			clearTimeout(timeoutId);
			timeoutId = null;
		}
	};

	if (parsed.opts.timeout > 0) {
		timeoutId = setTimeout(() => {
			timeoutId = null;
			timedOut = true;
			spawned.kill(parsed.opts.killSignal);
		}, parsed.opts.timeout);
	}

	const processDone = new Promise(resolve => {
		spawned.on('exit', (code, signal) => {
			cleanupTimeout();
			resolve({code, signal});
		});

		spawned.on('error', err => {
			cleanupTimeout();
			resolve({err});
		});

		if (spawned.stdin) {
			spawned.stdin.on('error', err => {
				cleanupTimeout();
				resolve({err});
			});
		}
	});

	function destroy() {
		if (spawned.stdout) {
			spawned.stdout.destroy();
		}

		if (spawned.stderr) {
			spawned.stderr.destroy();
		}
	}

	const promise = pFinally(Promise.all([
		processDone,
		getStream(spawned, 'stdout', encoding, maxBuffer),
		getStream(spawned, 'stderr', encoding, maxBuffer)
	]).then(arr => {
		const result = arr[0];
		const stdout = arr[1];
		const stderr = arr[2];

		let err = result.err;
		const code = result.code;
		const signal = result.signal;

		if (removeExitHandler) {
			removeExitHandler();
		}

		if (err || code !== 0 || signal !== null) {
			if (!err) {
				let output = '';

				if (Array.isArray(parsed.opts.stdio)) {
					if (parsed.opts.stdio[2] !== 'inherit') {
						output += output.length > 0 ? stderr : `\n${stderr}`;
					}

					if (parsed.opts.stdio[1] !== 'inherit') {
						output += `\n${stdout}`;
					}
				} else if (parsed.opts.stdio !== 'inherit') {
					output = `\n${stderr}${stdout}`;
				}

				err = new Error(`Command failed: ${joinedCmd}${output}`);
				err.code = code < 0 ? errname(code) : code;
			}

			// TODO: missing some timeout logic for killed
			// https://github.com/nodejs/node/blob/master/lib/child_process.js#L203
			// err.killed = spawned.killed || killed;
			err.killed = err.killed || spawned.killed;

			err.stdout = stdout;
			err.stderr = stderr;
			err.failed = true;
			err.signal = signal || null;
			err.cmd = joinedCmd;
			err.timedOut = timedOut;

			if (!parsed.opts.reject) {
				return err;
			}

			throw err;
		}

		return {
			stdout: handleOutput(parsed.opts, stdout),
			stderr: handleOutput(parsed.opts, stderr),
			code: 0,
			failed: false,
			killed: false,
			signal: null,
			cmd: joinedCmd,
			timedOut: false
		};
	}), destroy);

	crossSpawn._enoent.hookChildProcess(spawned, parsed.parsed);

	handleInput(spawned, parsed.opts);

	spawned.then = promise.then.bind(promise);
	spawned.catch = promise.catch.bind(promise);

	return spawned;
};

module.exports.stdout = function () {
	// TODO: set `stderr: 'ignore'` when that option is implemented
	return module.exports.apply(null, arguments).then(x => x.stdout);
};

module.exports.stderr = function () {
	// TODO: set `stdout: 'ignore'` when that option is implemented
	return module.exports.apply(null, arguments).then(x => x.stderr);
};

module.exports.shell = (cmd, opts) => handleShell(module.exports, cmd, opts);

module.exports.sync = (cmd, args, opts) => {
	const parsed = handleArgs(cmd, args, opts);

	if (isStream(parsed.opts.input)) {
		throw new TypeError('The `input` option cannot be a stream in sync mode');
	}

	const result = childProcess.spawnSync(parsed.cmd, parsed.args, parsed.opts);

	if (result.error || result.status !== 0) {
		throw (result.error || new Error(result.stderr === '' ? result.stdout : result.stderr));
	}

	result.stdout = handleOutput(parsed.opts, result.stdout);
	result.stderr = handleOutput(parsed.opts, result.stderr);

	return result;
};

module.exports.shellSync = (cmd, opts) => handleShell(module.exports.sync, cmd, opts);

module.exports.spawn = util.deprecate(module.exports, 'execa.spawn() is deprecated. Use execa() instead.');


/***/ }),

/***/ 5573:
/***/ ((module) => {

"use strict";

// The Node team wants to deprecate `process.bind(...)`.
//   https://github.com/nodejs/node/pull/2768
//
// However, we need the 'uv' binding for errname support.
// This is a defensive wrapper around it so `execa` will not fail entirely if it stops working someday.
//
// If this ever stops working. See: https://github.com/sindresorhus/execa/issues/31#issuecomment-215939939 for another possible solution.
let uv;

try {
	uv = process.binding('uv');

	if (typeof uv.errname !== 'function') {
		throw new TypeError('uv.errname is not a function');
	}
} catch (err) {
	console.error('execa/lib/errname: unable to establish process.binding(\'uv\')', err);
	uv = null;
}

function errname(uv, code) {
	if (uv) {
		return uv.errname(code);
	}

	if (!(code < 0)) {
		throw new Error('err >= 0');
	}

	return `Unknown system error ${code}`;
}

module.exports = code => errname(uv, code);

// Used for testing the fallback behavior
module.exports.__test__ = errname;


/***/ }),

/***/ 17832:
/***/ ((module) => {

"use strict";

const alias = ['stdin', 'stdout', 'stderr'];

const hasAlias = opts => alias.some(x => Boolean(opts[x]));

module.exports = opts => {
	if (!opts) {
		return null;
	}

	if (opts.stdio && hasAlias(opts)) {
		throw new Error(`It's not possible to provide \`stdio\` in combination with one of ${alias.map(x => `\`${x}\``).join(', ')}`);
	}

	if (typeof opts.stdio === 'string') {
		return opts.stdio;
	}

	const stdio = opts.stdio || [];

	if (!Array.isArray(stdio)) {
		throw new TypeError(`Expected \`stdio\` to be of type \`string\` or \`Array\`, got \`${typeof stdio}\``);
	}

	const result = [];
	const len = Math.max(stdio.length, alias.length);

	for (let i = 0; i < len; i++) {
		let value = null;

		if (stdio[i] !== undefined) {
			value = stdio[i];
		} else if (opts[alias[i]] !== undefined) {
			value = opts[alias[i]];
		}

		result[i] = value;
	}

	return result;
};


/***/ }),

/***/ 4549:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const PassThrough = (__nccwpck_require__(12781).PassThrough);

module.exports = opts => {
	opts = Object.assign({}, opts);

	const array = opts.array;
	let encoding = opts.encoding;
	const buffer = encoding === 'buffer';
	let objectMode = false;

	if (array) {
		objectMode = !(encoding || buffer);
	} else {
		encoding = encoding || 'utf8';
	}

	if (buffer) {
		encoding = null;
	}

	let len = 0;
	const ret = [];
	const stream = new PassThrough({objectMode});

	if (encoding) {
		stream.setEncoding(encoding);
	}

	stream.on('data', chunk => {
		ret.push(chunk);

		if (objectMode) {
			len = ret.length;
		} else {
			len += chunk.length;
		}
	});

	stream.getBufferedValue = () => {
		if (array) {
			return ret;
		}

		return buffer ? Buffer.concat(ret, len) : ret.join('');
	};

	stream.getBufferedLength = () => len;

	return stream;
};


/***/ }),

/***/ 30480:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const bufferStream = __nccwpck_require__(4549);

function getStream(inputStream, opts) {
	if (!inputStream) {
		return Promise.reject(new Error('Expected a stream'));
	}

	opts = Object.assign({maxBuffer: Infinity}, opts);

	const maxBuffer = opts.maxBuffer;
	let stream;
	let clean;

	const p = new Promise((resolve, reject) => {
		const error = err => {
			if (err) { // null check
				err.bufferedData = stream.getBufferedValue();
			}

			reject(err);
		};

		stream = bufferStream(opts);
		inputStream.once('error', error);
		inputStream.pipe(stream);

		stream.on('data', () => {
			if (stream.getBufferedLength() > maxBuffer) {
				reject(new Error('maxBuffer exceeded'));
			}
		});
		stream.once('error', error);
		stream.on('end', resolve);

		clean = () => {
			// some streams doesn't implement the `stream.Readable` interface correctly
			if (inputStream.unpipe) {
				inputStream.unpipe(stream);
			}
		};
	});

	p.then(clean, clean);

	return p.then(() => stream.getBufferedValue());
}

module.exports = getStream;
module.exports.buffer = (stream, opts) => getStream(stream, Object.assign({}, opts, {encoding: 'buffer'}));
module.exports.array = (stream, opts) => getStream(stream, Object.assign({}, opts, {array: true}));


/***/ }),

/***/ 76507:
/***/ ((module) => {

"use strict";


var isStream = module.exports = function (stream) {
	return stream !== null && typeof stream === 'object' && typeof stream.pipe === 'function';
};

isStream.writable = function (stream) {
	return isStream(stream) && stream.writable !== false && typeof stream._write === 'function' && typeof stream._writableState === 'object';
};

isStream.readable = function (stream) {
	return isStream(stream) && stream.readable !== false && typeof stream._read === 'function' && typeof stream._readableState === 'object';
};

isStream.duplex = function (stream) {
	return isStream.writable(stream) && isStream.readable(stream);
};

isStream.transform = function (stream) {
	return isStream.duplex(stream) && typeof stream._transform === 'function' && typeof stream._transformState === 'object';
};


/***/ }),

/***/ 94996:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);
const pathKey = __nccwpck_require__(6520);

module.exports = opts => {
	opts = Object.assign({
		cwd: process.cwd(),
		path: process.env[pathKey()]
	}, opts);

	let prev;
	let pth = path.resolve(opts.cwd);
	const ret = [];

	while (prev !== pth) {
		ret.push(path.join(pth, 'node_modules/.bin'));
		prev = pth;
		pth = path.resolve(pth, '..');
	}

	// ensure the running `node` binary is used
	ret.push(path.dirname(process.execPath));

	return ret.concat(opts.path).join(path.delimiter);
};

module.exports.env = opts => {
	opts = Object.assign({
		env: process.env
	}, opts);

	const env = Object.assign({}, opts.env);
	const path = pathKey({env});

	opts.path = env[path];
	env[path] = module.exports(opts);

	return env;
};


/***/ }),

/***/ 73254:
/***/ ((module) => {

"use strict";

module.exports = (promise, onFinally) => {
	onFinally = onFinally || (() => {});

	return promise.then(
		val => new Promise(resolve => {
			resolve(onFinally());
		}).then(() => val),
		err => new Promise(resolve => {
			resolve(onFinally());
		}).then(() => {
			throw err;
		})
	);
};


/***/ }),

/***/ 6520:
/***/ ((module) => {

"use strict";

module.exports = opts => {
	opts = opts || {};

	const env = opts.env || process.env;
	const platform = opts.platform || process.platform;

	if (platform !== 'win32') {
		return 'PATH';
	}

	return Object.keys(env).find(x => x.toUpperCase() === 'PATH') || 'Path';
};


/***/ }),

/***/ 55104:
/***/ ((module) => {

"use strict";


const processFn = (fn, opts) => function () {
	const P = opts.promiseModule;
	const args = new Array(arguments.length);

	for (let i = 0; i < arguments.length; i++) {
		args[i] = arguments[i];
	}

	return new P((resolve, reject) => {
		if (opts.errorFirst) {
			args.push(function (err, result) {
				if (opts.multiArgs) {
					const results = new Array(arguments.length - 1);

					for (let i = 1; i < arguments.length; i++) {
						results[i - 1] = arguments[i];
					}

					if (err) {
						results.unshift(err);
						reject(results);
					} else {
						resolve(results);
					}
				} else if (err) {
					reject(err);
				} else {
					resolve(result);
				}
			});
		} else {
			args.push(function (result) {
				if (opts.multiArgs) {
					const results = new Array(arguments.length - 1);

					for (let i = 0; i < arguments.length; i++) {
						results[i] = arguments[i];
					}

					resolve(results);
				} else {
					resolve(result);
				}
			});
		}

		fn.apply(this, args);
	});
};

module.exports = (obj, opts) => {
	opts = Object.assign({
		exclude: [/.+(Sync|Stream)$/],
		errorFirst: true,
		promiseModule: Promise
	}, opts);

	const filter = key => {
		const match = pattern => typeof pattern === 'string' ? key === pattern : pattern.test(key);
		return opts.include ? opts.include.some(match) : !opts.exclude.some(match);
	};

	let ret;
	if (typeof obj === 'function') {
		ret = function () {
			if (opts.excludeMain) {
				return obj.apply(this, arguments);
			}

			return processFn(obj, opts).apply(this, arguments);
		};
	} else {
		ret = Object.create(Object.getPrototypeOf(obj));
	}

	for (const key in obj) { // eslint-disable-line guard-for-in
		const x = obj[key];
		ret[key] = typeof x === 'function' && filter(key) ? processFn(x, opts) : x;
	}

	return ret;
};


/***/ }),

/***/ 75229:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

module.exports = rimraf
rimraf.sync = rimrafSync

var assert = __nccwpck_require__(39491)
var path = __nccwpck_require__(71017)
var fs = __nccwpck_require__(57147)
var glob = undefined
try {
  glob = __nccwpck_require__(91957)
} catch (_err) {
  // treat glob as optional.
}
var _0666 = parseInt('666', 8)

var defaultGlobOpts = {
  nosort: true,
  silent: true
}

// for EMFILE handling
var timeout = 0

var isWindows = (process.platform === "win32")

function defaults (options) {
  var methods = [
    'unlink',
    'chmod',
    'stat',
    'lstat',
    'rmdir',
    'readdir'
  ]
  methods.forEach(function(m) {
    options[m] = options[m] || fs[m]
    m = m + 'Sync'
    options[m] = options[m] || fs[m]
  })

  options.maxBusyTries = options.maxBusyTries || 3
  options.emfileWait = options.emfileWait || 1000
  if (options.glob === false) {
    options.disableGlob = true
  }
  if (options.disableGlob !== true && glob === undefined) {
    throw Error('glob dependency not found, set `options.disableGlob = true` if intentional')
  }
  options.disableGlob = options.disableGlob || false
  options.glob = options.glob || defaultGlobOpts
}

function rimraf (p, options, cb) {
  if (typeof options === 'function') {
    cb = options
    options = {}
  }

  assert(p, 'rimraf: missing path')
  assert.equal(typeof p, 'string', 'rimraf: path should be a string')
  assert.equal(typeof cb, 'function', 'rimraf: callback function required')
  assert(options, 'rimraf: invalid options argument provided')
  assert.equal(typeof options, 'object', 'rimraf: options should be object')

  defaults(options)

  var busyTries = 0
  var errState = null
  var n = 0

  if (options.disableGlob || !glob.hasMagic(p))
    return afterGlob(null, [p])

  options.lstat(p, function (er, stat) {
    if (!er)
      return afterGlob(null, [p])

    glob(p, options.glob, afterGlob)
  })

  function next (er) {
    errState = errState || er
    if (--n === 0)
      cb(errState)
  }

  function afterGlob (er, results) {
    if (er)
      return cb(er)

    n = results.length
    if (n === 0)
      return cb()

    results.forEach(function (p) {
      rimraf_(p, options, function CB (er) {
        if (er) {
          if ((er.code === "EBUSY" || er.code === "ENOTEMPTY" || er.code === "EPERM") &&
              busyTries < options.maxBusyTries) {
            busyTries ++
            var time = busyTries * 100
            // try again, with the same exact callback as this one.
            return setTimeout(function () {
              rimraf_(p, options, CB)
            }, time)
          }

          // this one won't happen if graceful-fs is used.
          if (er.code === "EMFILE" && timeout < options.emfileWait) {
            return setTimeout(function () {
              rimraf_(p, options, CB)
            }, timeout ++)
          }

          // already gone
          if (er.code === "ENOENT") er = null
        }

        timeout = 0
        next(er)
      })
    })
  }
}

// Two possible strategies.
// 1. Assume it's a file.  unlink it, then do the dir stuff on EPERM or EISDIR
// 2. Assume it's a directory.  readdir, then do the file stuff on ENOTDIR
//
// Both result in an extra syscall when you guess wrong.  However, there
// are likely far more normal files in the world than directories.  This
// is based on the assumption that a the average number of files per
// directory is >= 1.
//
// If anyone ever complains about this, then I guess the strategy could
// be made configurable somehow.  But until then, YAGNI.
function rimraf_ (p, options, cb) {
  assert(p)
  assert(options)
  assert(typeof cb === 'function')

  // sunos lets the root user unlink directories, which is... weird.
  // so we have to lstat here and make sure it's not a dir.
  options.lstat(p, function (er, st) {
    if (er && er.code === "ENOENT")
      return cb(null)

    // Windows can EPERM on stat.  Life is suffering.
    if (er && er.code === "EPERM" && isWindows)
      fixWinEPERM(p, options, er, cb)

    if (st && st.isDirectory())
      return rmdir(p, options, er, cb)

    options.unlink(p, function (er) {
      if (er) {
        if (er.code === "ENOENT")
          return cb(null)
        if (er.code === "EPERM")
          return (isWindows)
            ? fixWinEPERM(p, options, er, cb)
            : rmdir(p, options, er, cb)
        if (er.code === "EISDIR")
          return rmdir(p, options, er, cb)
      }
      return cb(er)
    })
  })
}

function fixWinEPERM (p, options, er, cb) {
  assert(p)
  assert(options)
  assert(typeof cb === 'function')
  if (er)
    assert(er instanceof Error)

  options.chmod(p, _0666, function (er2) {
    if (er2)
      cb(er2.code === "ENOENT" ? null : er)
    else
      options.stat(p, function(er3, stats) {
        if (er3)
          cb(er3.code === "ENOENT" ? null : er)
        else if (stats.isDirectory())
          rmdir(p, options, er, cb)
        else
          options.unlink(p, cb)
      })
  })
}

function fixWinEPERMSync (p, options, er) {
  assert(p)
  assert(options)
  if (er)
    assert(er instanceof Error)

  try {
    options.chmodSync(p, _0666)
  } catch (er2) {
    if (er2.code === "ENOENT")
      return
    else
      throw er
  }

  try {
    var stats = options.statSync(p)
  } catch (er3) {
    if (er3.code === "ENOENT")
      return
    else
      throw er
  }

  if (stats.isDirectory())
    rmdirSync(p, options, er)
  else
    options.unlinkSync(p)
}

function rmdir (p, options, originalEr, cb) {
  assert(p)
  assert(options)
  if (originalEr)
    assert(originalEr instanceof Error)
  assert(typeof cb === 'function')

  // try to rmdir first, and only readdir on ENOTEMPTY or EEXIST (SunOS)
  // if we guessed wrong, and it's not a directory, then
  // raise the original error.
  options.rmdir(p, function (er) {
    if (er && (er.code === "ENOTEMPTY" || er.code === "EEXIST" || er.code === "EPERM"))
      rmkids(p, options, cb)
    else if (er && er.code === "ENOTDIR")
      cb(originalEr)
    else
      cb(er)
  })
}

function rmkids(p, options, cb) {
  assert(p)
  assert(options)
  assert(typeof cb === 'function')

  options.readdir(p, function (er, files) {
    if (er)
      return cb(er)
    var n = files.length
    if (n === 0)
      return options.rmdir(p, cb)
    var errState
    files.forEach(function (f) {
      rimraf(path.join(p, f), options, function (er) {
        if (errState)
          return
        if (er)
          return cb(errState = er)
        if (--n === 0)
          options.rmdir(p, cb)
      })
    })
  })
}

// this looks simpler, and is strictly *faster*, but will
// tie up the JavaScript thread and fail on excessively
// deep directory trees.
function rimrafSync (p, options) {
  options = options || {}
  defaults(options)

  assert(p, 'rimraf: missing path')
  assert.equal(typeof p, 'string', 'rimraf: path should be a string')
  assert(options, 'rimraf: missing options')
  assert.equal(typeof options, 'object', 'rimraf: options should be object')

  var results

  if (options.disableGlob || !glob.hasMagic(p)) {
    results = [p]
  } else {
    try {
      options.lstatSync(p)
      results = [p]
    } catch (er) {
      results = glob.sync(p, options.glob)
    }
  }

  if (!results.length)
    return

  for (var i = 0; i < results.length; i++) {
    var p = results[i]

    try {
      var st = options.lstatSync(p)
    } catch (er) {
      if (er.code === "ENOENT")
        return

      // Windows can EPERM on stat.  Life is suffering.
      if (er.code === "EPERM" && isWindows)
        fixWinEPERMSync(p, options, er)
    }

    try {
      // sunos lets the root user unlink directories, which is... weird.
      if (st && st.isDirectory())
        rmdirSync(p, options, null)
      else
        options.unlinkSync(p)
    } catch (er) {
      if (er.code === "ENOENT")
        return
      if (er.code === "EPERM")
        return isWindows ? fixWinEPERMSync(p, options, er) : rmdirSync(p, options, er)
      if (er.code !== "EISDIR")
        throw er

      rmdirSync(p, options, er)
    }
  }
}

function rmdirSync (p, options, originalEr) {
  assert(p)
  assert(options)
  if (originalEr)
    assert(originalEr instanceof Error)

  try {
    options.rmdirSync(p)
  } catch (er) {
    if (er.code === "ENOENT")
      return
    if (er.code === "ENOTDIR")
      throw originalEr
    if (er.code === "ENOTEMPTY" || er.code === "EEXIST" || er.code === "EPERM")
      rmkidsSync(p, options)
  }
}

function rmkidsSync (p, options) {
  assert(p)
  assert(options)
  options.readdirSync(p).forEach(function (f) {
    rimrafSync(path.join(p, f), options)
  })

  // We only end up here once we got ENOTEMPTY at least once, and
  // at this point, we are guaranteed to have removed all the kids.
  // So, we know that it won't be ENOENT or ENOTDIR or anything else.
  // try really hard to delete stuff on windows, because it has a
  // PROFOUNDLY annoying habit of not closing handles promptly when
  // files are deleted, resulting in spurious ENOTEMPTY errors.
  var retries = isWindows ? 100 : 1
  var i = 0
  do {
    var threw = true
    try {
      var ret = options.rmdirSync(p, options)
      threw = false
      return ret
    } finally {
      if (++i < retries && threw)
        continue
    }
  } while (true)
}


/***/ }),

/***/ 72958:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

var shebangRegex = __nccwpck_require__(55804);

module.exports = function (str) {
	var match = str.match(shebangRegex);

	if (!match) {
		return null;
	}

	var arr = match[0].replace(/#! ?/, '').split(' ');
	var bin = arr[0].split('/').pop();
	var arg = arr[1];

	return (bin === 'env' ?
		arg :
		bin + (arg ? ' ' + arg : '')
	);
};


/***/ }),

/***/ 55804:
/***/ ((module) => {

"use strict";

module.exports = /^#!.*/;


/***/ }),

/***/ 8858:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

module.exports = which
which.sync = whichSync

var isWindows = process.platform === 'win32' ||
    process.env.OSTYPE === 'cygwin' ||
    process.env.OSTYPE === 'msys'

var path = __nccwpck_require__(71017)
var COLON = isWindows ? ';' : ':'
var isexe = __nccwpck_require__(97126)

function getNotFoundError (cmd) {
  var er = new Error('not found: ' + cmd)
  er.code = 'ENOENT'

  return er
}

function getPathInfo (cmd, opt) {
  var colon = opt.colon || COLON
  var pathEnv = opt.path || process.env.PATH || ''
  var pathExt = ['']

  pathEnv = pathEnv.split(colon)

  var pathExtExe = ''
  if (isWindows) {
    pathEnv.unshift(process.cwd())
    pathExtExe = (opt.pathExt || process.env.PATHEXT || '.EXE;.CMD;.BAT;.COM')
    pathExt = pathExtExe.split(colon)


    // Always test the cmd itself first.  isexe will check to make sure
    // it's found in the pathExt set.
    if (cmd.indexOf('.') !== -1 && pathExt[0] !== '')
      pathExt.unshift('')
  }

  // If it has a slash, then we don't bother searching the pathenv.
  // just check the file itself, and that's it.
  if (cmd.match(/\//) || isWindows && cmd.match(/\\/))
    pathEnv = ['']

  return {
    env: pathEnv,
    ext: pathExt,
    extExe: pathExtExe
  }
}

function which (cmd, opt, cb) {
  if (typeof opt === 'function') {
    cb = opt
    opt = {}
  }

  var info = getPathInfo(cmd, opt)
  var pathEnv = info.env
  var pathExt = info.ext
  var pathExtExe = info.extExe
  var found = []

  ;(function F (i, l) {
    if (i === l) {
      if (opt.all && found.length)
        return cb(null, found)
      else
        return cb(getNotFoundError(cmd))
    }

    var pathPart = pathEnv[i]
    if (pathPart.charAt(0) === '"' && pathPart.slice(-1) === '"')
      pathPart = pathPart.slice(1, -1)

    var p = path.join(pathPart, cmd)
    if (!pathPart && (/^\.[\\\/]/).test(cmd)) {
      p = cmd.slice(0, 2) + p
    }
    ;(function E (ii, ll) {
      if (ii === ll) return F(i + 1, l)
      var ext = pathExt[ii]
      isexe(p + ext, { pathExt: pathExtExe }, function (er, is) {
        if (!er && is) {
          if (opt.all)
            found.push(p + ext)
          else
            return cb(null, p + ext)
        }
        return E(ii + 1, ll)
      })
    })(0, pathExt.length)
  })(0, pathEnv.length)
}

function whichSync (cmd, opt) {
  opt = opt || {}

  var info = getPathInfo(cmd, opt)
  var pathEnv = info.env
  var pathExt = info.ext
  var pathExtExe = info.extExe
  var found = []

  for (var i = 0, l = pathEnv.length; i < l; i ++) {
    var pathPart = pathEnv[i]
    if (pathPart.charAt(0) === '"' && pathPart.slice(-1) === '"')
      pathPart = pathPart.slice(1, -1)

    var p = path.join(pathPart, cmd)
    if (!pathPart && /^\.[\\\/]/.test(cmd)) {
      p = cmd.slice(0, 2) + p
    }
    for (var j = 0, ll = pathExt.length; j < ll; j ++) {
      var cur = p + pathExt[j]
      var is
      try {
        is = isexe.sync(cur, { pathExt: pathExtExe })
        if (is) {
          if (opt.all)
            found.push(cur)
          else
            return cur
        }
      } catch (ex) {}
    }
  }

  if (opt.all && found.length)
    return found

  if (opt.nothrow)
    return null

  throw getNotFoundError(cmd)
}


/***/ }),

/***/ 55447:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);
const childProcess = __nccwpck_require__(32081);
const crossSpawn = __nccwpck_require__(72746);
const stripFinalNewline = __nccwpck_require__(88174);
const npmRunPath = __nccwpck_require__(20502);
const onetime = __nccwpck_require__(89082);
const makeError = __nccwpck_require__(62187);
const normalizeStdio = __nccwpck_require__(10166);
const {spawnedKill, spawnedCancel, setupTimeout, setExitHandler} = __nccwpck_require__(39819);
const {handleInput, getSpawnedResult, makeAllStream, validateInputSync} = __nccwpck_require__(32592);
const {mergePromise, getSpawnedPromise} = __nccwpck_require__(97814);
const {joinCommand, parseCommand} = __nccwpck_require__(88286);

const DEFAULT_MAX_BUFFER = 1000 * 1000 * 100;

const getEnv = ({env: envOption, extendEnv, preferLocal, localDir, execPath}) => {
	const env = extendEnv ? {...process.env, ...envOption} : envOption;

	if (preferLocal) {
		return npmRunPath.env({env, cwd: localDir, execPath});
	}

	return env;
};

const handleArguments = (file, args, options = {}) => {
	const parsed = crossSpawn._parse(file, args, options);
	file = parsed.command;
	args = parsed.args;
	options = parsed.options;

	options = {
		maxBuffer: DEFAULT_MAX_BUFFER,
		buffer: true,
		stripFinalNewline: true,
		extendEnv: true,
		preferLocal: false,
		localDir: options.cwd || process.cwd(),
		execPath: process.execPath,
		encoding: 'utf8',
		reject: true,
		cleanup: true,
		all: false,
		windowsHide: true,
		...options
	};

	options.env = getEnv(options);

	options.stdio = normalizeStdio(options);

	if (process.platform === 'win32' && path.basename(file, '.exe') === 'cmd') {
		// #116
		args.unshift('/q');
	}

	return {file, args, options, parsed};
};

const handleOutput = (options, value, error) => {
	if (typeof value !== 'string' && !Buffer.isBuffer(value)) {
		// When `execa.sync()` errors, we normalize it to '' to mimic `execa()`
		return error === undefined ? undefined : '';
	}

	if (options.stripFinalNewline) {
		return stripFinalNewline(value);
	}

	return value;
};

const execa = (file, args, options) => {
	const parsed = handleArguments(file, args, options);
	const command = joinCommand(file, args);

	let spawned;
	try {
		spawned = childProcess.spawn(parsed.file, parsed.args, parsed.options);
	} catch (error) {
		// Ensure the returned error is always both a promise and a child process
		const dummySpawned = new childProcess.ChildProcess();
		const errorPromise = Promise.reject(makeError({
			error,
			stdout: '',
			stderr: '',
			all: '',
			command,
			parsed,
			timedOut: false,
			isCanceled: false,
			killed: false
		}));
		return mergePromise(dummySpawned, errorPromise);
	}

	const spawnedPromise = getSpawnedPromise(spawned);
	const timedPromise = setupTimeout(spawned, parsed.options, spawnedPromise);
	const processDone = setExitHandler(spawned, parsed.options, timedPromise);

	const context = {isCanceled: false};

	spawned.kill = spawnedKill.bind(null, spawned.kill.bind(spawned));
	spawned.cancel = spawnedCancel.bind(null, spawned, context);

	const handlePromise = async () => {
		const [{error, exitCode, signal, timedOut}, stdoutResult, stderrResult, allResult] = await getSpawnedResult(spawned, parsed.options, processDone);
		const stdout = handleOutput(parsed.options, stdoutResult);
		const stderr = handleOutput(parsed.options, stderrResult);
		const all = handleOutput(parsed.options, allResult);

		if (error || exitCode !== 0 || signal !== null) {
			const returnedError = makeError({
				error,
				exitCode,
				signal,
				stdout,
				stderr,
				all,
				command,
				parsed,
				timedOut,
				isCanceled: context.isCanceled,
				killed: spawned.killed
			});

			if (!parsed.options.reject) {
				return returnedError;
			}

			throw returnedError;
		}

		return {
			command,
			exitCode: 0,
			stdout,
			stderr,
			all,
			failed: false,
			timedOut: false,
			isCanceled: false,
			killed: false
		};
	};

	const handlePromiseOnce = onetime(handlePromise);

	crossSpawn._enoent.hookChildProcess(spawned, parsed.parsed);

	handleInput(spawned, parsed.options.input);

	spawned.all = makeAllStream(spawned, parsed.options);

	return mergePromise(spawned, handlePromiseOnce);
};

module.exports = execa;

module.exports.sync = (file, args, options) => {
	const parsed = handleArguments(file, args, options);
	const command = joinCommand(file, args);

	validateInputSync(parsed.options);

	let result;
	try {
		result = childProcess.spawnSync(parsed.file, parsed.args, parsed.options);
	} catch (error) {
		throw makeError({
			error,
			stdout: '',
			stderr: '',
			all: '',
			command,
			parsed,
			timedOut: false,
			isCanceled: false,
			killed: false
		});
	}

	const stdout = handleOutput(parsed.options, result.stdout, result.error);
	const stderr = handleOutput(parsed.options, result.stderr, result.error);

	if (result.error || result.status !== 0 || result.signal !== null) {
		const error = makeError({
			stdout,
			stderr,
			error: result.error,
			signal: result.signal,
			exitCode: result.status,
			command,
			parsed,
			timedOut: result.error && result.error.code === 'ETIMEDOUT',
			isCanceled: false,
			killed: result.signal !== null
		});

		if (!parsed.options.reject) {
			return error;
		}

		throw error;
	}

	return {
		command,
		exitCode: 0,
		stdout,
		stderr,
		failed: false,
		timedOut: false,
		isCanceled: false,
		killed: false
	};
};

module.exports.command = (command, options) => {
	const [file, ...args] = parseCommand(command);
	return execa(file, args, options);
};

module.exports.commandSync = (command, options) => {
	const [file, ...args] = parseCommand(command);
	return execa.sync(file, args, options);
};

module.exports.node = (scriptPath, args, options = {}) => {
	if (args && !Array.isArray(args) && typeof args === 'object') {
		options = args;
		args = [];
	}

	const stdio = normalizeStdio.node(options);
	const defaultExecArgv = process.execArgv.filter(arg => !arg.startsWith('--inspect'));

	const {
		nodePath = process.execPath,
		nodeOptions = defaultExecArgv
	} = options;

	return execa(
		nodePath,
		[
			...nodeOptions,
			scriptPath,
			...(Array.isArray(args) ? args : [])
		],
		{
			...options,
			stdin: undefined,
			stdout: undefined,
			stderr: undefined,
			stdio,
			shell: false
		}
	);
};


/***/ }),

/***/ 88286:
/***/ ((module) => {

"use strict";

const SPACES_REGEXP = / +/g;

const joinCommand = (file, args = []) => {
	if (!Array.isArray(args)) {
		return file;
	}

	return [file, ...args].join(' ');
};

// Handle `execa.command()`
const parseCommand = command => {
	const tokens = [];
	for (const token of command.trim().split(SPACES_REGEXP)) {
		// Allow spaces to be escaped by a backslash if not meant as a delimiter
		const previousToken = tokens[tokens.length - 1];
		if (previousToken && previousToken.endsWith('\\')) {
			// Merge previous token with current one
			tokens[tokens.length - 1] = `${previousToken.slice(0, -1)} ${token}`;
		} else {
			tokens.push(token);
		}
	}

	return tokens;
};

module.exports = {
	joinCommand,
	parseCommand
};


/***/ }),

/***/ 62187:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const {signalsByName} = __nccwpck_require__(2779);

const getErrorPrefix = ({timedOut, timeout, errorCode, signal, signalDescription, exitCode, isCanceled}) => {
	if (timedOut) {
		return `timed out after ${timeout} milliseconds`;
	}

	if (isCanceled) {
		return 'was canceled';
	}

	if (errorCode !== undefined) {
		return `failed with ${errorCode}`;
	}

	if (signal !== undefined) {
		return `was killed with ${signal} (${signalDescription})`;
	}

	if (exitCode !== undefined) {
		return `failed with exit code ${exitCode}`;
	}

	return 'failed';
};

const makeError = ({
	stdout,
	stderr,
	all,
	error,
	signal,
	exitCode,
	command,
	timedOut,
	isCanceled,
	killed,
	parsed: {options: {timeout}}
}) => {
	// `signal` and `exitCode` emitted on `spawned.on('exit')` event can be `null`.
	// We normalize them to `undefined`
	exitCode = exitCode === null ? undefined : exitCode;
	signal = signal === null ? undefined : signal;
	const signalDescription = signal === undefined ? undefined : signalsByName[signal].description;

	const errorCode = error && error.code;

	const prefix = getErrorPrefix({timedOut, timeout, errorCode, signal, signalDescription, exitCode, isCanceled});
	const execaMessage = `Command ${prefix}: ${command}`;
	const isError = Object.prototype.toString.call(error) === '[object Error]';
	const shortMessage = isError ? `${execaMessage}\n${error.message}` : execaMessage;
	const message = [shortMessage, stderr, stdout].filter(Boolean).join('\n');

	if (isError) {
		error.originalMessage = error.message;
		error.message = message;
	} else {
		error = new Error(message);
	}

	error.shortMessage = shortMessage;
	error.command = command;
	error.exitCode = exitCode;
	error.signal = signal;
	error.signalDescription = signalDescription;
	error.stdout = stdout;
	error.stderr = stderr;

	if (all !== undefined) {
		error.all = all;
	}

	if ('bufferedData' in error) {
		delete error.bufferedData;
	}

	error.failed = true;
	error.timedOut = Boolean(timedOut);
	error.isCanceled = isCanceled;
	error.killed = killed && !timedOut;

	return error;
};

module.exports = makeError;


/***/ }),

/***/ 39819:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const os = __nccwpck_require__(22037);
const onExit = __nccwpck_require__(24931);

const DEFAULT_FORCE_KILL_TIMEOUT = 1000 * 5;

// Monkey-patches `childProcess.kill()` to add `forceKillAfterTimeout` behavior
const spawnedKill = (kill, signal = 'SIGTERM', options = {}) => {
	const killResult = kill(signal);
	setKillTimeout(kill, signal, options, killResult);
	return killResult;
};

const setKillTimeout = (kill, signal, options, killResult) => {
	if (!shouldForceKill(signal, options, killResult)) {
		return;
	}

	const timeout = getForceKillAfterTimeout(options);
	const t = setTimeout(() => {
		kill('SIGKILL');
	}, timeout);

	// Guarded because there's no `.unref()` when `execa` is used in the renderer
	// process in Electron. This cannot be tested since we don't run tests in
	// Electron.
	// istanbul ignore else
	if (t.unref) {
		t.unref();
	}
};

const shouldForceKill = (signal, {forceKillAfterTimeout}, killResult) => {
	return isSigterm(signal) && forceKillAfterTimeout !== false && killResult;
};

const isSigterm = signal => {
	return signal === os.constants.signals.SIGTERM ||
		(typeof signal === 'string' && signal.toUpperCase() === 'SIGTERM');
};

const getForceKillAfterTimeout = ({forceKillAfterTimeout = true}) => {
	if (forceKillAfterTimeout === true) {
		return DEFAULT_FORCE_KILL_TIMEOUT;
	}

	if (!Number.isFinite(forceKillAfterTimeout) || forceKillAfterTimeout < 0) {
		throw new TypeError(`Expected the \`forceKillAfterTimeout\` option to be a non-negative integer, got \`${forceKillAfterTimeout}\` (${typeof forceKillAfterTimeout})`);
	}

	return forceKillAfterTimeout;
};

// `childProcess.cancel()`
const spawnedCancel = (spawned, context) => {
	const killResult = spawned.kill();

	if (killResult) {
		context.isCanceled = true;
	}
};

const timeoutKill = (spawned, signal, reject) => {
	spawned.kill(signal);
	reject(Object.assign(new Error('Timed out'), {timedOut: true, signal}));
};

// `timeout` option handling
const setupTimeout = (spawned, {timeout, killSignal = 'SIGTERM'}, spawnedPromise) => {
	if (timeout === 0 || timeout === undefined) {
		return spawnedPromise;
	}

	if (!Number.isFinite(timeout) || timeout < 0) {
		throw new TypeError(`Expected the \`timeout\` option to be a non-negative integer, got \`${timeout}\` (${typeof timeout})`);
	}

	let timeoutId;
	const timeoutPromise = new Promise((resolve, reject) => {
		timeoutId = setTimeout(() => {
			timeoutKill(spawned, killSignal, reject);
		}, timeout);
	});

	const safeSpawnedPromise = spawnedPromise.finally(() => {
		clearTimeout(timeoutId);
	});

	return Promise.race([timeoutPromise, safeSpawnedPromise]);
};

// `cleanup` option handling
const setExitHandler = async (spawned, {cleanup, detached}, timedPromise) => {
	if (!cleanup || detached) {
		return timedPromise;
	}

	const removeExitHandler = onExit(() => {
		spawned.kill();
	});

	return timedPromise.finally(() => {
		removeExitHandler();
	});
};

module.exports = {
	spawnedKill,
	spawnedCancel,
	setupTimeout,
	setExitHandler
};


/***/ }),

/***/ 97814:
/***/ ((module) => {

"use strict";


const nativePromisePrototype = (async () => {})().constructor.prototype;
const descriptors = ['then', 'catch', 'finally'].map(property => [
	property,
	Reflect.getOwnPropertyDescriptor(nativePromisePrototype, property)
]);

// The return value is a mixin of `childProcess` and `Promise`
const mergePromise = (spawned, promise) => {
	for (const [property, descriptor] of descriptors) {
		// Starting the main `promise` is deferred to avoid consuming streams
		const value = typeof promise === 'function' ?
			(...args) => Reflect.apply(descriptor.value, promise(), args) :
			descriptor.value.bind(promise);

		Reflect.defineProperty(spawned, property, {...descriptor, value});
	}

	return spawned;
};

// Use promises instead of `child_process` events
const getSpawnedPromise = spawned => {
	return new Promise((resolve, reject) => {
		spawned.on('exit', (exitCode, signal) => {
			resolve({exitCode, signal});
		});

		spawned.on('error', error => {
			reject(error);
		});

		if (spawned.stdin) {
			spawned.stdin.on('error', error => {
				reject(error);
			});
		}
	});
};

module.exports = {
	mergePromise,
	getSpawnedPromise
};



/***/ }),

/***/ 10166:
/***/ ((module) => {

"use strict";

const aliases = ['stdin', 'stdout', 'stderr'];

const hasAlias = opts => aliases.some(alias => opts[alias] !== undefined);

const normalizeStdio = opts => {
	if (!opts) {
		return;
	}

	const {stdio} = opts;

	if (stdio === undefined) {
		return aliases.map(alias => opts[alias]);
	}

	if (hasAlias(opts)) {
		throw new Error(`It's not possible to provide \`stdio\` in combination with one of ${aliases.map(alias => `\`${alias}\``).join(', ')}`);
	}

	if (typeof stdio === 'string') {
		return stdio;
	}

	if (!Array.isArray(stdio)) {
		throw new TypeError(`Expected \`stdio\` to be of type \`string\` or \`Array\`, got \`${typeof stdio}\``);
	}

	const length = Math.max(stdio.length, aliases.length);
	return Array.from({length}, (value, index) => stdio[index]);
};

module.exports = normalizeStdio;

// `ipc` is pushed unless it is already present
module.exports.node = opts => {
	const stdio = normalizeStdio(opts);

	if (stdio === 'ipc') {
		return 'ipc';
	}

	if (stdio === undefined || typeof stdio === 'string') {
		return [stdio, stdio, stdio, 'ipc'];
	}

	if (stdio.includes('ipc')) {
		return stdio;
	}

	return [...stdio, 'ipc'];
};


/***/ }),

/***/ 32592:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const isStream = __nccwpck_require__(41554);
const getStream = __nccwpck_require__(21766);
const mergeStream = __nccwpck_require__(2621);

// `input` option
const handleInput = (spawned, input) => {
	// Checking for stdin is workaround for https://github.com/nodejs/node/issues/26852
	// TODO: Remove `|| spawned.stdin === undefined` once we drop support for Node.js <=12.2.0
	if (input === undefined || spawned.stdin === undefined) {
		return;
	}

	if (isStream(input)) {
		input.pipe(spawned.stdin);
	} else {
		spawned.stdin.end(input);
	}
};

// `all` interleaves `stdout` and `stderr`
const makeAllStream = (spawned, {all}) => {
	if (!all || (!spawned.stdout && !spawned.stderr)) {
		return;
	}

	const mixed = mergeStream();

	if (spawned.stdout) {
		mixed.add(spawned.stdout);
	}

	if (spawned.stderr) {
		mixed.add(spawned.stderr);
	}

	return mixed;
};

// On failure, `result.stdout|stderr|all` should contain the currently buffered stream
const getBufferedData = async (stream, streamPromise) => {
	if (!stream) {
		return;
	}

	stream.destroy();

	try {
		return await streamPromise;
	} catch (error) {
		return error.bufferedData;
	}
};

const getStreamPromise = (stream, {encoding, buffer, maxBuffer}) => {
	if (!stream || !buffer) {
		return;
	}

	if (encoding) {
		return getStream(stream, {encoding, maxBuffer});
	}

	return getStream.buffer(stream, {maxBuffer});
};

// Retrieve result of child process: exit code, signal, error, streams (stdout/stderr/all)
const getSpawnedResult = async ({stdout, stderr, all}, {encoding, buffer, maxBuffer}, processDone) => {
	const stdoutPromise = getStreamPromise(stdout, {encoding, buffer, maxBuffer});
	const stderrPromise = getStreamPromise(stderr, {encoding, buffer, maxBuffer});
	const allPromise = getStreamPromise(all, {encoding, buffer, maxBuffer: maxBuffer * 2});

	try {
		return await Promise.all([processDone, stdoutPromise, stderrPromise, allPromise]);
	} catch (error) {
		return Promise.all([
			{error, signal: error.signal, timedOut: error.timedOut},
			getBufferedData(stdout, stdoutPromise),
			getBufferedData(stderr, stderrPromise),
			getBufferedData(all, allPromise)
		]);
	}
};

const validateInputSync = ({input}) => {
	if (isStream(input)) {
		throw new TypeError('The `input` option cannot be a stream in sync mode');
	}
};

module.exports = {
	handleInput,
	makeAllStream,
	getSpawnedResult,
	validateInputSync
};



/***/ }),

/***/ 43664:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const taskManager = __nccwpck_require__(42708);
const async_1 = __nccwpck_require__(95679);
const stream_1 = __nccwpck_require__(94630);
const sync_1 = __nccwpck_require__(42405);
const settings_1 = __nccwpck_require__(10952);
const utils = __nccwpck_require__(45444);
async function FastGlob(source, options) {
    assertPatternsInput(source);
    const works = getWorks(source, async_1.default, options);
    const result = await Promise.all(works);
    return utils.array.flatten(result);
}
// https://github.com/typescript-eslint/typescript-eslint/issues/60
// eslint-disable-next-line no-redeclare
(function (FastGlob) {
    function sync(source, options) {
        assertPatternsInput(source);
        const works = getWorks(source, sync_1.default, options);
        return utils.array.flatten(works);
    }
    FastGlob.sync = sync;
    function stream(source, options) {
        assertPatternsInput(source);
        const works = getWorks(source, stream_1.default, options);
        /**
         * The stream returned by the provider cannot work with an asynchronous iterator.
         * To support asynchronous iterators, regardless of the number of tasks, we always multiplex streams.
         * This affects performance (+25%). I don't see best solution right now.
         */
        return utils.stream.merge(works);
    }
    FastGlob.stream = stream;
    function generateTasks(source, options) {
        assertPatternsInput(source);
        const patterns = [].concat(source);
        const settings = new settings_1.default(options);
        return taskManager.generate(patterns, settings);
    }
    FastGlob.generateTasks = generateTasks;
    function isDynamicPattern(source, options) {
        assertPatternsInput(source);
        const settings = new settings_1.default(options);
        return utils.pattern.isDynamicPattern(source, settings);
    }
    FastGlob.isDynamicPattern = isDynamicPattern;
    function escapePath(source) {
        assertPatternsInput(source);
        return utils.path.escape(source);
    }
    FastGlob.escapePath = escapePath;
})(FastGlob || (FastGlob = {}));
function getWorks(source, _Provider, options) {
    const patterns = [].concat(source);
    const settings = new settings_1.default(options);
    const tasks = taskManager.generate(patterns, settings);
    const provider = new _Provider(settings);
    return tasks.map(provider.read, provider);
}
function assertPatternsInput(input) {
    const source = [].concat(input);
    const isValidSource = source.every((item) => utils.string.isString(item) && !utils.string.isEmpty(item));
    if (!isValidSource) {
        throw new TypeError('Patterns must be a string (non empty) or an array of strings');
    }
}
module.exports = FastGlob;


/***/ }),

/***/ 42708:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.convertPatternGroupToTask = exports.convertPatternGroupsToTasks = exports.groupPatternsByBaseDirectory = exports.getNegativePatternsAsPositive = exports.getPositivePatterns = exports.convertPatternsToTasks = exports.generate = void 0;
const utils = __nccwpck_require__(45444);
function generate(patterns, settings) {
    const positivePatterns = getPositivePatterns(patterns);
    const negativePatterns = getNegativePatternsAsPositive(patterns, settings.ignore);
    const staticPatterns = positivePatterns.filter((pattern) => utils.pattern.isStaticPattern(pattern, settings));
    const dynamicPatterns = positivePatterns.filter((pattern) => utils.pattern.isDynamicPattern(pattern, settings));
    const staticTasks = convertPatternsToTasks(staticPatterns, negativePatterns, /* dynamic */ false);
    const dynamicTasks = convertPatternsToTasks(dynamicPatterns, negativePatterns, /* dynamic */ true);
    return staticTasks.concat(dynamicTasks);
}
exports.generate = generate;
function convertPatternsToTasks(positive, negative, dynamic) {
    const positivePatternsGroup = groupPatternsByBaseDirectory(positive);
    // When we have a global group – there is no reason to divide the patterns into independent tasks.
    // In this case, the global task covers the rest.
    if ('.' in positivePatternsGroup) {
        const task = convertPatternGroupToTask('.', positive, negative, dynamic);
        return [task];
    }
    return convertPatternGroupsToTasks(positivePatternsGroup, negative, dynamic);
}
exports.convertPatternsToTasks = convertPatternsToTasks;
function getPositivePatterns(patterns) {
    return utils.pattern.getPositivePatterns(patterns);
}
exports.getPositivePatterns = getPositivePatterns;
function getNegativePatternsAsPositive(patterns, ignore) {
    const negative = utils.pattern.getNegativePatterns(patterns).concat(ignore);
    const positive = negative.map(utils.pattern.convertToPositivePattern);
    return positive;
}
exports.getNegativePatternsAsPositive = getNegativePatternsAsPositive;
function groupPatternsByBaseDirectory(patterns) {
    const group = {};
    return patterns.reduce((collection, pattern) => {
        const base = utils.pattern.getBaseDirectory(pattern);
        if (base in collection) {
            collection[base].push(pattern);
        }
        else {
            collection[base] = [pattern];
        }
        return collection;
    }, group);
}
exports.groupPatternsByBaseDirectory = groupPatternsByBaseDirectory;
function convertPatternGroupsToTasks(positive, negative, dynamic) {
    return Object.keys(positive).map((base) => {
        return convertPatternGroupToTask(base, positive[base], negative, dynamic);
    });
}
exports.convertPatternGroupsToTasks = convertPatternGroupsToTasks;
function convertPatternGroupToTask(base, positive, negative, dynamic) {
    return {
        dynamic,
        positive,
        negative,
        base,
        patterns: [].concat(positive, negative.map(utils.pattern.convertToNegativePattern))
    };
}
exports.convertPatternGroupToTask = convertPatternGroupToTask;


/***/ }),

/***/ 95679:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const stream_1 = __nccwpck_require__(12083);
const provider_1 = __nccwpck_require__(60257);
class ProviderAsync extends provider_1.default {
    constructor() {
        super(...arguments);
        this._reader = new stream_1.default(this._settings);
    }
    read(task) {
        const root = this._getRootDirectory(task);
        const options = this._getReaderOptions(task);
        const entries = [];
        return new Promise((resolve, reject) => {
            const stream = this.api(root, task, options);
            stream.once('error', reject);
            stream.on('data', (entry) => entries.push(options.transform(entry)));
            stream.once('end', () => resolve(entries));
        });
    }
    api(root, task, options) {
        if (task.dynamic) {
            return this._reader.dynamic(root, options);
        }
        return this._reader.static(task.patterns, options);
    }
}
exports["default"] = ProviderAsync;


/***/ }),

/***/ 36983:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const utils = __nccwpck_require__(45444);
const partial_1 = __nccwpck_require__(35295);
class DeepFilter {
    constructor(_settings, _micromatchOptions) {
        this._settings = _settings;
        this._micromatchOptions = _micromatchOptions;
    }
    getFilter(basePath, positive, negative) {
        const matcher = this._getMatcher(positive);
        const negativeRe = this._getNegativePatternsRe(negative);
        return (entry) => this._filter(basePath, entry, matcher, negativeRe);
    }
    _getMatcher(patterns) {
        return new partial_1.default(patterns, this._settings, this._micromatchOptions);
    }
    _getNegativePatternsRe(patterns) {
        const affectDepthOfReadingPatterns = patterns.filter(utils.pattern.isAffectDepthOfReadingPattern);
        return utils.pattern.convertPatternsToRe(affectDepthOfReadingPatterns, this._micromatchOptions);
    }
    _filter(basePath, entry, matcher, negativeRe) {
        if (this._isSkippedByDeep(basePath, entry.path)) {
            return false;
        }
        if (this._isSkippedSymbolicLink(entry)) {
            return false;
        }
        const filepath = utils.path.removeLeadingDotSegment(entry.path);
        if (this._isSkippedByPositivePatterns(filepath, matcher)) {
            return false;
        }
        return this._isSkippedByNegativePatterns(filepath, negativeRe);
    }
    _isSkippedByDeep(basePath, entryPath) {
        /**
         * Avoid unnecessary depth calculations when it doesn't matter.
         */
        if (this._settings.deep === Infinity) {
            return false;
        }
        return this._getEntryLevel(basePath, entryPath) >= this._settings.deep;
    }
    _getEntryLevel(basePath, entryPath) {
        const entryPathDepth = entryPath.split('/').length;
        if (basePath === '') {
            return entryPathDepth;
        }
        const basePathDepth = basePath.split('/').length;
        return entryPathDepth - basePathDepth;
    }
    _isSkippedSymbolicLink(entry) {
        return !this._settings.followSymbolicLinks && entry.dirent.isSymbolicLink();
    }
    _isSkippedByPositivePatterns(entryPath, matcher) {
        return !this._settings.baseNameMatch && !matcher.match(entryPath);
    }
    _isSkippedByNegativePatterns(entryPath, patternsRe) {
        return !utils.pattern.matchAny(entryPath, patternsRe);
    }
}
exports["default"] = DeepFilter;


/***/ }),

/***/ 71343:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const utils = __nccwpck_require__(45444);
class EntryFilter {
    constructor(_settings, _micromatchOptions) {
        this._settings = _settings;
        this._micromatchOptions = _micromatchOptions;
        this.index = new Map();
    }
    getFilter(positive, negative) {
        const positiveRe = utils.pattern.convertPatternsToRe(positive, this._micromatchOptions);
        const negativeRe = utils.pattern.convertPatternsToRe(negative, this._micromatchOptions);
        return (entry) => this._filter(entry, positiveRe, negativeRe);
    }
    _filter(entry, positiveRe, negativeRe) {
        if (this._settings.unique && this._isDuplicateEntry(entry)) {
            return false;
        }
        if (this._onlyFileFilter(entry) || this._onlyDirectoryFilter(entry)) {
            return false;
        }
        if (this._isSkippedByAbsoluteNegativePatterns(entry.path, negativeRe)) {
            return false;
        }
        const filepath = this._settings.baseNameMatch ? entry.name : entry.path;
        const isMatched = this._isMatchToPatterns(filepath, positiveRe) && !this._isMatchToPatterns(entry.path, negativeRe);
        if (this._settings.unique && isMatched) {
            this._createIndexRecord(entry);
        }
        return isMatched;
    }
    _isDuplicateEntry(entry) {
        return this.index.has(entry.path);
    }
    _createIndexRecord(entry) {
        this.index.set(entry.path, undefined);
    }
    _onlyFileFilter(entry) {
        return this._settings.onlyFiles && !entry.dirent.isFile();
    }
    _onlyDirectoryFilter(entry) {
        return this._settings.onlyDirectories && !entry.dirent.isDirectory();
    }
    _isSkippedByAbsoluteNegativePatterns(entryPath, patternsRe) {
        if (!this._settings.absolute) {
            return false;
        }
        const fullpath = utils.path.makeAbsolute(this._settings.cwd, entryPath);
        return utils.pattern.matchAny(fullpath, patternsRe);
    }
    _isMatchToPatterns(entryPath, patternsRe) {
        const filepath = utils.path.removeLeadingDotSegment(entryPath);
        return utils.pattern.matchAny(filepath, patternsRe);
    }
}
exports["default"] = EntryFilter;


/***/ }),

/***/ 36654:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const utils = __nccwpck_require__(45444);
class ErrorFilter {
    constructor(_settings) {
        this._settings = _settings;
    }
    getFilter() {
        return (error) => this._isNonFatalError(error);
    }
    _isNonFatalError(error) {
        return utils.errno.isEnoentCodeError(error) || this._settings.suppressErrors;
    }
}
exports["default"] = ErrorFilter;


/***/ }),

/***/ 32576:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const utils = __nccwpck_require__(45444);
class Matcher {
    constructor(_patterns, _settings, _micromatchOptions) {
        this._patterns = _patterns;
        this._settings = _settings;
        this._micromatchOptions = _micromatchOptions;
        this._storage = [];
        this._fillStorage();
    }
    _fillStorage() {
        /**
         * The original pattern may include `{,*,**,a/*}`, which will lead to problems with matching (unresolved level).
         * So, before expand patterns with brace expansion into separated patterns.
         */
        const patterns = utils.pattern.expandPatternsWithBraceExpansion(this._patterns);
        for (const pattern of patterns) {
            const segments = this._getPatternSegments(pattern);
            const sections = this._splitSegmentsIntoSections(segments);
            this._storage.push({
                complete: sections.length <= 1,
                pattern,
                segments,
                sections
            });
        }
    }
    _getPatternSegments(pattern) {
        const parts = utils.pattern.getPatternParts(pattern, this._micromatchOptions);
        return parts.map((part) => {
            const dynamic = utils.pattern.isDynamicPattern(part, this._settings);
            if (!dynamic) {
                return {
                    dynamic: false,
                    pattern: part
                };
            }
            return {
                dynamic: true,
                pattern: part,
                patternRe: utils.pattern.makeRe(part, this._micromatchOptions)
            };
        });
    }
    _splitSegmentsIntoSections(segments) {
        return utils.array.splitWhen(segments, (segment) => segment.dynamic && utils.pattern.hasGlobStar(segment.pattern));
    }
}
exports["default"] = Matcher;


/***/ }),

/***/ 35295:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const matcher_1 = __nccwpck_require__(32576);
class PartialMatcher extends matcher_1.default {
    match(filepath) {
        const parts = filepath.split('/');
        const levels = parts.length;
        const patterns = this._storage.filter((info) => !info.complete || info.segments.length > levels);
        for (const pattern of patterns) {
            const section = pattern.sections[0];
            /**
             * In this case, the pattern has a globstar and we must read all directories unconditionally,
             * but only if the level has reached the end of the first group.
             *
             * fixtures/{a,b}/**
             *  ^ true/false  ^ always true
            */
            if (!pattern.complete && levels > section.length) {
                return true;
            }
            const match = parts.every((part, index) => {
                const segment = pattern.segments[index];
                if (segment.dynamic && segment.patternRe.test(part)) {
                    return true;
                }
                if (!segment.dynamic && segment.pattern === part) {
                    return true;
                }
                return false;
            });
            if (match) {
                return true;
            }
        }
        return false;
    }
}
exports["default"] = PartialMatcher;


/***/ }),

/***/ 60257:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const path = __nccwpck_require__(71017);
const deep_1 = __nccwpck_require__(36983);
const entry_1 = __nccwpck_require__(71343);
const error_1 = __nccwpck_require__(36654);
const entry_2 = __nccwpck_require__(94029);
class Provider {
    constructor(_settings) {
        this._settings = _settings;
        this.errorFilter = new error_1.default(this._settings);
        this.entryFilter = new entry_1.default(this._settings, this._getMicromatchOptions());
        this.deepFilter = new deep_1.default(this._settings, this._getMicromatchOptions());
        this.entryTransformer = new entry_2.default(this._settings);
    }
    _getRootDirectory(task) {
        return path.resolve(this._settings.cwd, task.base);
    }
    _getReaderOptions(task) {
        const basePath = task.base === '.' ? '' : task.base;
        return {
            basePath,
            pathSegmentSeparator: '/',
            concurrency: this._settings.concurrency,
            deepFilter: this.deepFilter.getFilter(basePath, task.positive, task.negative),
            entryFilter: this.entryFilter.getFilter(task.positive, task.negative),
            errorFilter: this.errorFilter.getFilter(),
            followSymbolicLinks: this._settings.followSymbolicLinks,
            fs: this._settings.fs,
            stats: this._settings.stats,
            throwErrorOnBrokenSymbolicLink: this._settings.throwErrorOnBrokenSymbolicLink,
            transform: this.entryTransformer.getTransformer()
        };
    }
    _getMicromatchOptions() {
        return {
            dot: this._settings.dot,
            matchBase: this._settings.baseNameMatch,
            nobrace: !this._settings.braceExpansion,
            nocase: !this._settings.caseSensitiveMatch,
            noext: !this._settings.extglob,
            noglobstar: !this._settings.globstar,
            posix: true,
            strictSlashes: false
        };
    }
}
exports["default"] = Provider;


/***/ }),

/***/ 94630:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const stream_1 = __nccwpck_require__(12781);
const stream_2 = __nccwpck_require__(12083);
const provider_1 = __nccwpck_require__(60257);
class ProviderStream extends provider_1.default {
    constructor() {
        super(...arguments);
        this._reader = new stream_2.default(this._settings);
    }
    read(task) {
        const root = this._getRootDirectory(task);
        const options = this._getReaderOptions(task);
        const source = this.api(root, task, options);
        const destination = new stream_1.Readable({ objectMode: true, read: () => { } });
        source
            .once('error', (error) => destination.emit('error', error))
            .on('data', (entry) => destination.emit('data', options.transform(entry)))
            .once('end', () => destination.emit('end'));
        destination
            .once('close', () => source.destroy());
        return destination;
    }
    api(root, task, options) {
        if (task.dynamic) {
            return this._reader.dynamic(root, options);
        }
        return this._reader.static(task.patterns, options);
    }
}
exports["default"] = ProviderStream;


/***/ }),

/***/ 42405:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const sync_1 = __nccwpck_require__(76234);
const provider_1 = __nccwpck_require__(60257);
class ProviderSync extends provider_1.default {
    constructor() {
        super(...arguments);
        this._reader = new sync_1.default(this._settings);
    }
    read(task) {
        const root = this._getRootDirectory(task);
        const options = this._getReaderOptions(task);
        const entries = this.api(root, task, options);
        return entries.map(options.transform);
    }
    api(root, task, options) {
        if (task.dynamic) {
            return this._reader.dynamic(root, options);
        }
        return this._reader.static(task.patterns, options);
    }
}
exports["default"] = ProviderSync;


/***/ }),

/***/ 94029:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const utils = __nccwpck_require__(45444);
class EntryTransformer {
    constructor(_settings) {
        this._settings = _settings;
    }
    getTransformer() {
        return (entry) => this._transform(entry);
    }
    _transform(entry) {
        let filepath = entry.path;
        if (this._settings.absolute) {
            filepath = utils.path.makeAbsolute(this._settings.cwd, filepath);
            filepath = utils.path.unixify(filepath);
        }
        if (this._settings.markDirectories && entry.dirent.isDirectory()) {
            filepath += '/';
        }
        if (!this._settings.objectMode) {
            return filepath;
        }
        return Object.assign(Object.assign({}, entry), { path: filepath });
    }
}
exports["default"] = EntryTransformer;


/***/ }),

/***/ 65582:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const path = __nccwpck_require__(71017);
const fsStat = __nccwpck_require__(70109);
const utils = __nccwpck_require__(45444);
class Reader {
    constructor(_settings) {
        this._settings = _settings;
        this._fsStatSettings = new fsStat.Settings({
            followSymbolicLink: this._settings.followSymbolicLinks,
            fs: this._settings.fs,
            throwErrorOnBrokenSymbolicLink: this._settings.followSymbolicLinks
        });
    }
    _getFullEntryPath(filepath) {
        return path.resolve(this._settings.cwd, filepath);
    }
    _makeEntry(stats, pattern) {
        const entry = {
            name: pattern,
            path: pattern,
            dirent: utils.fs.createDirentFromStats(pattern, stats)
        };
        if (this._settings.stats) {
            entry.stats = stats;
        }
        return entry;
    }
    _isFatalError(error) {
        return !utils.errno.isEnoentCodeError(error) && !this._settings.suppressErrors;
    }
}
exports["default"] = Reader;


/***/ }),

/***/ 12083:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const stream_1 = __nccwpck_require__(12781);
const fsStat = __nccwpck_require__(70109);
const fsWalk = __nccwpck_require__(26026);
const reader_1 = __nccwpck_require__(65582);
class ReaderStream extends reader_1.default {
    constructor() {
        super(...arguments);
        this._walkStream = fsWalk.walkStream;
        this._stat = fsStat.stat;
    }
    dynamic(root, options) {
        return this._walkStream(root, options);
    }
    static(patterns, options) {
        const filepaths = patterns.map(this._getFullEntryPath, this);
        const stream = new stream_1.PassThrough({ objectMode: true });
        stream._write = (index, _enc, done) => {
            return this._getEntry(filepaths[index], patterns[index], options)
                .then((entry) => {
                if (entry !== null && options.entryFilter(entry)) {
                    stream.push(entry);
                }
                if (index === filepaths.length - 1) {
                    stream.end();
                }
                done();
            })
                .catch(done);
        };
        for (let i = 0; i < filepaths.length; i++) {
            stream.write(i);
        }
        return stream;
    }
    _getEntry(filepath, pattern, options) {
        return this._getStat(filepath)
            .then((stats) => this._makeEntry(stats, pattern))
            .catch((error) => {
            if (options.errorFilter(error)) {
                return null;
            }
            throw error;
        });
    }
    _getStat(filepath) {
        return new Promise((resolve, reject) => {
            this._stat(filepath, this._fsStatSettings, (error, stats) => {
                return error === null ? resolve(stats) : reject(error);
            });
        });
    }
}
exports["default"] = ReaderStream;


/***/ }),

/***/ 76234:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
const fsStat = __nccwpck_require__(70109);
const fsWalk = __nccwpck_require__(26026);
const reader_1 = __nccwpck_require__(65582);
class ReaderSync extends reader_1.default {
    constructor() {
        super(...arguments);
        this._walkSync = fsWalk.walkSync;
        this._statSync = fsStat.statSync;
    }
    dynamic(root, options) {
        return this._walkSync(root, options);
    }
    static(patterns, options) {
        const entries = [];
        for (const pattern of patterns) {
            const filepath = this._getFullEntryPath(pattern);
            const entry = this._getEntry(filepath, pattern, options);
            if (entry === null || !options.entryFilter(entry)) {
                continue;
            }
            entries.push(entry);
        }
        return entries;
    }
    _getEntry(filepath, pattern, options) {
        try {
            const stats = this._getStat(filepath);
            return this._makeEntry(stats, pattern);
        }
        catch (error) {
            if (options.errorFilter(error)) {
                return null;
            }
            throw error;
        }
    }
    _getStat(filepath) {
        return this._statSync(filepath, this._fsStatSettings);
    }
}
exports["default"] = ReaderSync;


/***/ }),

/***/ 10952:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.DEFAULT_FILE_SYSTEM_ADAPTER = void 0;
const fs = __nccwpck_require__(57147);
const os = __nccwpck_require__(22037);
const CPU_COUNT = os.cpus().length;
exports.DEFAULT_FILE_SYSTEM_ADAPTER = {
    lstat: fs.lstat,
    lstatSync: fs.lstatSync,
    stat: fs.stat,
    statSync: fs.statSync,
    readdir: fs.readdir,
    readdirSync: fs.readdirSync
};
class Settings {
    constructor(_options = {}) {
        this._options = _options;
        this.absolute = this._getValue(this._options.absolute, false);
        this.baseNameMatch = this._getValue(this._options.baseNameMatch, false);
        this.braceExpansion = this._getValue(this._options.braceExpansion, true);
        this.caseSensitiveMatch = this._getValue(this._options.caseSensitiveMatch, true);
        this.concurrency = this._getValue(this._options.concurrency, CPU_COUNT);
        this.cwd = this._getValue(this._options.cwd, process.cwd());
        this.deep = this._getValue(this._options.deep, Infinity);
        this.dot = this._getValue(this._options.dot, false);
        this.extglob = this._getValue(this._options.extglob, true);
        this.followSymbolicLinks = this._getValue(this._options.followSymbolicLinks, true);
        this.fs = this._getFileSystemMethods(this._options.fs);
        this.globstar = this._getValue(this._options.globstar, true);
        this.ignore = this._getValue(this._options.ignore, []);
        this.markDirectories = this._getValue(this._options.markDirectories, false);
        this.objectMode = this._getValue(this._options.objectMode, false);
        this.onlyDirectories = this._getValue(this._options.onlyDirectories, false);
        this.onlyFiles = this._getValue(this._options.onlyFiles, true);
        this.stats = this._getValue(this._options.stats, false);
        this.suppressErrors = this._getValue(this._options.suppressErrors, false);
        this.throwErrorOnBrokenSymbolicLink = this._getValue(this._options.throwErrorOnBrokenSymbolicLink, false);
        this.unique = this._getValue(this._options.unique, true);
        if (this.onlyDirectories) {
            this.onlyFiles = false;
        }
        if (this.stats) {
            this.objectMode = true;
        }
    }
    _getValue(option, value) {
        return option === undefined ? value : option;
    }
    _getFileSystemMethods(methods = {}) {
        return Object.assign(Object.assign({}, exports.DEFAULT_FILE_SYSTEM_ADAPTER), methods);
    }
}
exports["default"] = Settings;


/***/ }),

/***/ 85325:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.splitWhen = exports.flatten = void 0;
function flatten(items) {
    return items.reduce((collection, item) => [].concat(collection, item), []);
}
exports.flatten = flatten;
function splitWhen(items, predicate) {
    const result = [[]];
    let groupIndex = 0;
    for (const item of items) {
        if (predicate(item)) {
            groupIndex++;
            result[groupIndex] = [];
        }
        else {
            result[groupIndex].push(item);
        }
    }
    return result;
}
exports.splitWhen = splitWhen;


/***/ }),

/***/ 41230:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.isEnoentCodeError = void 0;
function isEnoentCodeError(error) {
    return error.code === 'ENOENT';
}
exports.isEnoentCodeError = isEnoentCodeError;


/***/ }),

/***/ 17543:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createDirentFromStats = void 0;
class DirentFromStats {
    constructor(name, stats) {
        this.name = name;
        this.isBlockDevice = stats.isBlockDevice.bind(stats);
        this.isCharacterDevice = stats.isCharacterDevice.bind(stats);
        this.isDirectory = stats.isDirectory.bind(stats);
        this.isFIFO = stats.isFIFO.bind(stats);
        this.isFile = stats.isFile.bind(stats);
        this.isSocket = stats.isSocket.bind(stats);
        this.isSymbolicLink = stats.isSymbolicLink.bind(stats);
    }
}
function createDirentFromStats(name, stats) {
    return new DirentFromStats(name, stats);
}
exports.createDirentFromStats = createDirentFromStats;


/***/ }),

/***/ 45444:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.string = exports.stream = exports.pattern = exports.path = exports.fs = exports.errno = exports.array = void 0;
const array = __nccwpck_require__(85325);
exports.array = array;
const errno = __nccwpck_require__(41230);
exports.errno = errno;
const fs = __nccwpck_require__(17543);
exports.fs = fs;
const path = __nccwpck_require__(63873);
exports.path = path;
const pattern = __nccwpck_require__(81221);
exports.pattern = pattern;
const stream = __nccwpck_require__(18382);
exports.stream = stream;
const string = __nccwpck_require__(52203);
exports.string = string;


/***/ }),

/***/ 63873:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.removeLeadingDotSegment = exports.escape = exports.makeAbsolute = exports.unixify = void 0;
const path = __nccwpck_require__(71017);
const LEADING_DOT_SEGMENT_CHARACTERS_COUNT = 2; // ./ or .\\
const UNESCAPED_GLOB_SYMBOLS_RE = /(\\?)([()*?[\]{|}]|^!|[!+@](?=\())/g;
/**
 * Designed to work only with simple paths: `dir\\file`.
 */
function unixify(filepath) {
    return filepath.replace(/\\/g, '/');
}
exports.unixify = unixify;
function makeAbsolute(cwd, filepath) {
    return path.resolve(cwd, filepath);
}
exports.makeAbsolute = makeAbsolute;
function escape(pattern) {
    return pattern.replace(UNESCAPED_GLOB_SYMBOLS_RE, '\\$2');
}
exports.escape = escape;
function removeLeadingDotSegment(entry) {
    // We do not use `startsWith` because this is 10x slower than current implementation for some cases.
    // eslint-disable-next-line @typescript-eslint/prefer-string-starts-ends-with
    if (entry.charAt(0) === '.') {
        const secondCharactery = entry.charAt(1);
        if (secondCharactery === '/' || secondCharactery === '\\') {
            return entry.slice(LEADING_DOT_SEGMENT_CHARACTERS_COUNT);
        }
    }
    return entry;
}
exports.removeLeadingDotSegment = removeLeadingDotSegment;


/***/ }),

/***/ 81221:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.matchAny = exports.convertPatternsToRe = exports.makeRe = exports.getPatternParts = exports.expandBraceExpansion = exports.expandPatternsWithBraceExpansion = exports.isAffectDepthOfReadingPattern = exports.endsWithSlashGlobStar = exports.hasGlobStar = exports.getBaseDirectory = exports.getPositivePatterns = exports.getNegativePatterns = exports.isPositivePattern = exports.isNegativePattern = exports.convertToNegativePattern = exports.convertToPositivePattern = exports.isDynamicPattern = exports.isStaticPattern = void 0;
const path = __nccwpck_require__(71017);
const globParent = __nccwpck_require__(54655);
const micromatch = __nccwpck_require__(76228);
const picomatch = __nccwpck_require__(78569);
const GLOBSTAR = '**';
const ESCAPE_SYMBOL = '\\';
const COMMON_GLOB_SYMBOLS_RE = /[*?]|^!/;
const REGEX_CHARACTER_CLASS_SYMBOLS_RE = /\[.*]/;
const REGEX_GROUP_SYMBOLS_RE = /(?:^|[^!*+?@])\(.*\|.*\)/;
const GLOB_EXTENSION_SYMBOLS_RE = /[!*+?@]\(.*\)/;
const BRACE_EXPANSIONS_SYMBOLS_RE = /{.*(?:,|\.\.).*}/;
function isStaticPattern(pattern, options = {}) {
    return !isDynamicPattern(pattern, options);
}
exports.isStaticPattern = isStaticPattern;
function isDynamicPattern(pattern, options = {}) {
    /**
     * A special case with an empty string is necessary for matching patterns that start with a forward slash.
     * An empty string cannot be a dynamic pattern.
     * For example, the pattern `/lib/*` will be spread into parts: '', 'lib', '*'.
     */
    if (pattern === '') {
        return false;
    }
    /**
     * When the `caseSensitiveMatch` option is disabled, all patterns must be marked as dynamic, because we cannot check
     * filepath directly (without read directory).
     */
    if (options.caseSensitiveMatch === false || pattern.includes(ESCAPE_SYMBOL)) {
        return true;
    }
    if (COMMON_GLOB_SYMBOLS_RE.test(pattern) || REGEX_CHARACTER_CLASS_SYMBOLS_RE.test(pattern) || REGEX_GROUP_SYMBOLS_RE.test(pattern)) {
        return true;
    }
    if (options.extglob !== false && GLOB_EXTENSION_SYMBOLS_RE.test(pattern)) {
        return true;
    }
    if (options.braceExpansion !== false && BRACE_EXPANSIONS_SYMBOLS_RE.test(pattern)) {
        return true;
    }
    return false;
}
exports.isDynamicPattern = isDynamicPattern;
function convertToPositivePattern(pattern) {
    return isNegativePattern(pattern) ? pattern.slice(1) : pattern;
}
exports.convertToPositivePattern = convertToPositivePattern;
function convertToNegativePattern(pattern) {
    return '!' + pattern;
}
exports.convertToNegativePattern = convertToNegativePattern;
function isNegativePattern(pattern) {
    return pattern.startsWith('!') && pattern[1] !== '(';
}
exports.isNegativePattern = isNegativePattern;
function isPositivePattern(pattern) {
    return !isNegativePattern(pattern);
}
exports.isPositivePattern = isPositivePattern;
function getNegativePatterns(patterns) {
    return patterns.filter(isNegativePattern);
}
exports.getNegativePatterns = getNegativePatterns;
function getPositivePatterns(patterns) {
    return patterns.filter(isPositivePattern);
}
exports.getPositivePatterns = getPositivePatterns;
function getBaseDirectory(pattern) {
    return globParent(pattern, { flipBackslashes: false });
}
exports.getBaseDirectory = getBaseDirectory;
function hasGlobStar(pattern) {
    return pattern.includes(GLOBSTAR);
}
exports.hasGlobStar = hasGlobStar;
function endsWithSlashGlobStar(pattern) {
    return pattern.endsWith('/' + GLOBSTAR);
}
exports.endsWithSlashGlobStar = endsWithSlashGlobStar;
function isAffectDepthOfReadingPattern(pattern) {
    const basename = path.basename(pattern);
    return endsWithSlashGlobStar(pattern) || isStaticPattern(basename);
}
exports.isAffectDepthOfReadingPattern = isAffectDepthOfReadingPattern;
function expandPatternsWithBraceExpansion(patterns) {
    return patterns.reduce((collection, pattern) => {
        return collection.concat(expandBraceExpansion(pattern));
    }, []);
}
exports.expandPatternsWithBraceExpansion = expandPatternsWithBraceExpansion;
function expandBraceExpansion(pattern) {
    return micromatch.braces(pattern, {
        expand: true,
        nodupes: true
    });
}
exports.expandBraceExpansion = expandBraceExpansion;
function getPatternParts(pattern, options) {
    let { parts } = picomatch.scan(pattern, Object.assign(Object.assign({}, options), { parts: true }));
    /**
     * The scan method returns an empty array in some cases.
     * See micromatch/picomatch#58 for more details.
     */
    if (parts.length === 0) {
        parts = [pattern];
    }
    /**
     * The scan method does not return an empty part for the pattern with a forward slash.
     * This is another part of micromatch/picomatch#58.
     */
    if (parts[0].startsWith('/')) {
        parts[0] = parts[0].slice(1);
        parts.unshift('');
    }
    return parts;
}
exports.getPatternParts = getPatternParts;
function makeRe(pattern, options) {
    return micromatch.makeRe(pattern, options);
}
exports.makeRe = makeRe;
function convertPatternsToRe(patterns, options) {
    return patterns.map((pattern) => makeRe(pattern, options));
}
exports.convertPatternsToRe = convertPatternsToRe;
function matchAny(entry, patternsRe) {
    return patternsRe.some((patternRe) => patternRe.test(entry));
}
exports.matchAny = matchAny;


/***/ }),

/***/ 18382:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.merge = void 0;
const merge2 = __nccwpck_require__(82578);
function merge(streams) {
    const mergedStream = merge2(streams);
    streams.forEach((stream) => {
        stream.once('error', (error) => mergedStream.emit('error', error));
    });
    mergedStream.once('close', () => propagateCloseEventToSources(streams));
    mergedStream.once('end', () => propagateCloseEventToSources(streams));
    return mergedStream;
}
exports.merge = merge;
function propagateCloseEventToSources(streams) {
    streams.forEach((stream) => stream.emit('close'));
}


/***/ }),

/***/ 52203:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.isEmpty = exports.isString = void 0;
function isString(input) {
    return typeof input === 'string';
}
exports.isString = isString;
function isEmpty(input) {
    return input === '';
}
exports.isEmpty = isEmpty;


/***/ }),

/***/ 50637:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var util = __nccwpck_require__(73837);

module.exports = fastErrorFactory;

function fastErrorFactory(name, defaults) {
  function FastError() {
    this.name = name;

    if (arguments[0] && arguments[0] instanceof Error) {
      this.message = arguments[0].message;
      this.stack = arguments[0].stack.replace(arguments[0].name, name);
    } else {
      this.message = util.format.apply(null, arguments);
      Error.captureStackTrace(this, arguments.callee);
    }
  }

  FastError.prototype = Object.create(Error.prototype, {
    constructor: { value: FastError }
  });

  if (typeof defaults === 'string' || typeof defaults === 'number') {
    FastError.prototype.code = defaults
  } else if (typeof defaults === 'object') {
    for (var key in defaults) {
      FastError.prototype[key] = defaults[key];
    }
  }

  return FastError;
}


/***/ }),

/***/ 7340:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var reusify = __nccwpck_require__(32113)

function fastqueue (context, worker, concurrency) {
  if (typeof context === 'function') {
    concurrency = worker
    worker = context
    context = null
  }

  var cache = reusify(Task)
  var queueHead = null
  var queueTail = null
  var _running = 0
  var errorHandler = null

  var self = {
    push: push,
    drain: noop,
    saturated: noop,
    pause: pause,
    paused: false,
    concurrency: concurrency,
    running: running,
    resume: resume,
    idle: idle,
    length: length,
    getQueue: getQueue,
    unshift: unshift,
    empty: noop,
    kill: kill,
    killAndDrain: killAndDrain,
    error: error
  }

  return self

  function running () {
    return _running
  }

  function pause () {
    self.paused = true
  }

  function length () {
    var current = queueHead
    var counter = 0

    while (current) {
      current = current.next
      counter++
    }

    return counter
  }

  function getQueue () {
    var current = queueHead
    var tasks = []

    while (current) {
      tasks.push(current.value)
      current = current.next
    }

    return tasks
  }

  function resume () {
    if (!self.paused) return
    self.paused = false
    for (var i = 0; i < self.concurrency; i++) {
      _running++
      release()
    }
  }

  function idle () {
    return _running === 0 && self.length() === 0
  }

  function push (value, done) {
    var current = cache.get()

    current.context = context
    current.release = release
    current.value = value
    current.callback = done || noop
    current.errorHandler = errorHandler

    if (_running === self.concurrency || self.paused) {
      if (queueTail) {
        queueTail.next = current
        queueTail = current
      } else {
        queueHead = current
        queueTail = current
        self.saturated()
      }
    } else {
      _running++
      worker.call(context, current.value, current.worked)
    }
  }

  function unshift (value, done) {
    var current = cache.get()

    current.context = context
    current.release = release
    current.value = value
    current.callback = done || noop

    if (_running === self.concurrency || self.paused) {
      if (queueHead) {
        current.next = queueHead
        queueHead = current
      } else {
        queueHead = current
        queueTail = current
        self.saturated()
      }
    } else {
      _running++
      worker.call(context, current.value, current.worked)
    }
  }

  function release (holder) {
    if (holder) {
      cache.release(holder)
    }
    var next = queueHead
    if (next) {
      if (!self.paused) {
        if (queueTail === queueHead) {
          queueTail = null
        }
        queueHead = next.next
        next.next = null
        worker.call(context, next.value, next.worked)
        if (queueTail === null) {
          self.empty()
        }
      } else {
        _running--
      }
    } else if (--_running === 0) {
      self.drain()
    }
  }

  function kill () {
    queueHead = null
    queueTail = null
    self.drain = noop
  }

  function killAndDrain () {
    queueHead = null
    queueTail = null
    self.drain()
    self.drain = noop
  }

  function error (handler) {
    errorHandler = handler
  }
}

function noop () {}

function Task () {
  this.value = null
  this.callback = noop
  this.next = null
  this.release = noop
  this.context = null
  this.errorHandler = null

  var self = this

  this.worked = function worked (err, result) {
    var callback = self.callback
    var errorHandler = self.errorHandler
    var val = self.value
    self.value = null
    self.callback = noop
    if (self.errorHandler) {
      errorHandler(err, val)
    }
    callback.call(self.context, err, result)
    self.release(self)
  }
}

module.exports = fastqueue


/***/ }),

/***/ 84930:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const {
	multiByteIndexOf,
	stringToBytes,
	readUInt64LE,
	tarHeaderChecksumMatches,
	uint8ArrayUtf8ByteString
} = __nccwpck_require__(64875);
const supported = __nccwpck_require__(17860);

const xpiZipFilename = stringToBytes('META-INF/mozilla.rsa');
const oxmlContentTypes = stringToBytes('[Content_Types].xml');
const oxmlRels = stringToBytes('_rels/.rels');

const fileType = input => {
	if (!(input instanceof Uint8Array || input instanceof ArrayBuffer || Buffer.isBuffer(input))) {
		throw new TypeError(`Expected the \`input\` argument to be of type \`Uint8Array\` or \`Buffer\` or \`ArrayBuffer\`, got \`${typeof input}\``);
	}

	const buffer = input instanceof Uint8Array ? input : new Uint8Array(input);

	if (!(buffer && buffer.length > 1)) {
		return;
	}

	const check = (header, options) => {
		options = {
			offset: 0,
			...options
		};

		for (let i = 0; i < header.length; i++) {
			// If a bitmask is set
			if (options.mask) {
				// If header doesn't equal `buf` with bits masked off
				if (header[i] !== (options.mask[i] & buffer[i + options.offset])) {
					return false;
				}
			} else if (header[i] !== buffer[i + options.offset]) {
				return false;
			}
		}

		return true;
	};

	const checkString = (header, options) => check(stringToBytes(header), options);

	if (check([0xFF, 0xD8, 0xFF])) {
		return {
			ext: 'jpg',
			mime: 'image/jpeg'
		};
	}

	if (check([0x89, 0x50, 0x4E, 0x47, 0x0D, 0x0A, 0x1A, 0x0A])) {
		// APNG format (https://wiki.mozilla.org/APNG_Specification)
		// 1. Find the first IDAT (image data) chunk (49 44 41 54)
		// 2. Check if there is an "acTL" chunk before the IDAT one (61 63 54 4C)

		// Offset calculated as follows:
		// - 8 bytes: PNG signature
		// - 4 (length) + 4 (chunk type) + 13 (chunk data) + 4 (CRC): IHDR chunk
		const startIndex = 33;
		const firstImageDataChunkIndex = buffer.findIndex((el, i) => i >= startIndex && buffer[i] === 0x49 && buffer[i + 1] === 0x44 && buffer[i + 2] === 0x41 && buffer[i + 3] === 0x54);
		const sliced = buffer.subarray(startIndex, firstImageDataChunkIndex);

		if (sliced.findIndex((el, i) => sliced[i] === 0x61 && sliced[i + 1] === 0x63 && sliced[i + 2] === 0x54 && sliced[i + 3] === 0x4C) >= 0) {
			return {
				ext: 'apng',
				mime: 'image/apng'
			};
		}

		return {
			ext: 'png',
			mime: 'image/png'
		};
	}

	if (check([0x47, 0x49, 0x46])) {
		return {
			ext: 'gif',
			mime: 'image/gif'
		};
	}

	if (check([0x57, 0x45, 0x42, 0x50], {offset: 8})) {
		return {
			ext: 'webp',
			mime: 'image/webp'
		};
	}

	if (check([0x46, 0x4C, 0x49, 0x46])) {
		return {
			ext: 'flif',
			mime: 'image/flif'
		};
	}

	// `cr2`, `orf`, and `arw` need to be before `tif` check
	if (
		(check([0x49, 0x49, 0x2A, 0x0]) || check([0x4D, 0x4D, 0x0, 0x2A])) &&
		check([0x43, 0x52], {offset: 8})
	) {
		return {
			ext: 'cr2',
			mime: 'image/x-canon-cr2'
		};
	}

	if (check([0x49, 0x49, 0x52, 0x4F, 0x08, 0x00, 0x00, 0x00, 0x18])) {
		return {
			ext: 'orf',
			mime: 'image/x-olympus-orf'
		};
	}

	if (
		check([0x49, 0x49, 0x2A, 0x00]) &&
		(check([0x10, 0xFB, 0x86, 0x01], {offset: 4}) || check([0x08, 0x00, 0x00, 0x00], {offset: 4})) &&
		// This pattern differentiates ARW from other TIFF-ish file types:
		check([0x00, 0xFE, 0x00, 0x04, 0x00, 0x01, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x03, 0x01], {offset: 9})
	) {
		return {
			ext: 'arw',
			mime: 'image/x-sony-arw'
		};
	}

	if (
		check([0x49, 0x49, 0x2A, 0x00, 0x08, 0x00, 0x00, 0x00]) &&
		(check([0x2D, 0x00, 0xFE, 0x00], {offset: 8}) ||
		check([0x27, 0x00, 0xFE, 0x00], {offset: 8}))
	) {
		return {
			ext: 'dng',
			mime: 'image/x-adobe-dng'
		};
	}

	if (
		check([0x49, 0x49, 0x2A, 0x00]) &&
		check([0x1C, 0x00, 0xFE, 0x00], {offset: 8})
	) {
		return {
			ext: 'nef',
			mime: 'image/x-nikon-nef'
		};
	}

	if (check([0x49, 0x49, 0x55, 0x00, 0x18, 0x00, 0x00, 0x00, 0x88, 0xE7, 0x74, 0xD8])) {
		return {
			ext: 'rw2',
			mime: 'image/x-panasonic-rw2'
		};
	}

	// `raf` is here just to keep all the raw image detectors together.
	if (checkString('FUJIFILMCCD-RAW')) {
		return {
			ext: 'raf',
			mime: 'image/x-fujifilm-raf'
		};
	}

	if (
		check([0x49, 0x49, 0x2A, 0x0]) ||
		check([0x4D, 0x4D, 0x0, 0x2A])
	) {
		return {
			ext: 'tif',
			mime: 'image/tiff'
		};
	}

	if (check([0x42, 0x4D])) {
		return {
			ext: 'bmp',
			mime: 'image/bmp'
		};
	}

	if (check([0x49, 0x49, 0xBC])) {
		return {
			ext: 'jxr',
			mime: 'image/vnd.ms-photo'
		};
	}

	if (check([0x38, 0x42, 0x50, 0x53])) {
		return {
			ext: 'psd',
			mime: 'image/vnd.adobe.photoshop'
		};
	}

	// Zip-based file formats
	// Need to be before the `zip` check
	const zipHeader = [0x50, 0x4B, 0x3, 0x4];
	if (check(zipHeader)) {
		if (
			check([0x6D, 0x69, 0x6D, 0x65, 0x74, 0x79, 0x70, 0x65, 0x61, 0x70, 0x70, 0x6C, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6F, 0x6E, 0x2F, 0x65, 0x70, 0x75, 0x62, 0x2B, 0x7A, 0x69, 0x70], {offset: 30})
		) {
			return {
				ext: 'epub',
				mime: 'application/epub+zip'
			};
		}

		// Assumes signed `.xpi` from addons.mozilla.org
		if (check(xpiZipFilename, {offset: 30})) {
			return {
				ext: 'xpi',
				mime: 'application/x-xpinstall'
			};
		}

		if (checkString('mimetypeapplication/vnd.oasis.opendocument.text', {offset: 30})) {
			return {
				ext: 'odt',
				mime: 'application/vnd.oasis.opendocument.text'
			};
		}

		if (checkString('mimetypeapplication/vnd.oasis.opendocument.spreadsheet', {offset: 30})) {
			return {
				ext: 'ods',
				mime: 'application/vnd.oasis.opendocument.spreadsheet'
			};
		}

		if (checkString('mimetypeapplication/vnd.oasis.opendocument.presentation', {offset: 30})) {
			return {
				ext: 'odp',
				mime: 'application/vnd.oasis.opendocument.presentation'
			};
		}

		// The docx, xlsx and pptx file types extend the Office Open XML file format:
		// https://en.wikipedia.org/wiki/Office_Open_XML_file_formats
		// We look for:
		// - one entry named '[Content_Types].xml' or '_rels/.rels',
		// - one entry indicating specific type of file.
		// MS Office, OpenOffice and LibreOffice may put the parts in different order, so the check should not rely on it.
		let zipHeaderIndex = 0; // The first zip header was already found at index 0
		let oxmlFound = false;
		let type;

		do {
			const offset = zipHeaderIndex + 30;

			if (!oxmlFound) {
				oxmlFound = (check(oxmlContentTypes, {offset}) || check(oxmlRels, {offset}));
			}

			if (!type) {
				if (checkString('word/', {offset})) {
					type = {
						ext: 'docx',
						mime: 'application/vnd.openxmlformats-officedocument.wordprocessingml.document'
					};
				} else if (checkString('ppt/', {offset})) {
					type = {
						ext: 'pptx',
						mime: 'application/vnd.openxmlformats-officedocument.presentationml.presentation'
					};
				} else if (checkString('xl/', {offset})) {
					type = {
						ext: 'xlsx',
						mime: 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'
					};
				}
			}

			if (oxmlFound && type) {
				return type;
			}

			zipHeaderIndex = multiByteIndexOf(buffer, zipHeader, offset);
		} while (zipHeaderIndex >= 0);

		// No more zip parts available in the buffer, but maybe we are almost certain about the type?
		if (type) {
			return type;
		}
	}

	if (
		check([0x50, 0x4B]) &&
		(buffer[2] === 0x3 || buffer[2] === 0x5 || buffer[2] === 0x7) &&
		(buffer[3] === 0x4 || buffer[3] === 0x6 || buffer[3] === 0x8)
	) {
		return {
			ext: 'zip',
			mime: 'application/zip'
		};
	}

	if (
		check([0x30, 0x30, 0x30, 0x30, 0x30, 0x30], {offset: 148, mask: [0xF8, 0xF8, 0xF8, 0xF8, 0xF8, 0xF8]}) && // Valid tar checksum
		tarHeaderChecksumMatches(buffer)
	) {
		return {
			ext: 'tar',
			mime: 'application/x-tar'
		};
	}

	if (
		check([0x52, 0x61, 0x72, 0x21, 0x1A, 0x7]) &&
		(buffer[6] === 0x0 || buffer[6] === 0x1)
	) {
		return {
			ext: 'rar',
			mime: 'application/x-rar-compressed'
		};
	}

	if (check([0x1F, 0x8B, 0x8])) {
		return {
			ext: 'gz',
			mime: 'application/gzip'
		};
	}

	if (check([0x42, 0x5A, 0x68])) {
		return {
			ext: 'bz2',
			mime: 'application/x-bzip2'
		};
	}

	if (check([0x37, 0x7A, 0xBC, 0xAF, 0x27, 0x1C])) {
		return {
			ext: '7z',
			mime: 'application/x-7z-compressed'
		};
	}

	if (check([0x78, 0x01])) {
		return {
			ext: 'dmg',
			mime: 'application/x-apple-diskimage'
		};
	}

	// `mov` format variants
	if (
		check([0x66, 0x72, 0x65, 0x65], {offset: 4}) || // `free`
		check([0x6D, 0x64, 0x61, 0x74], {offset: 4}) || // `mdat` MJPEG
		check([0x6D, 0x6F, 0x6F, 0x76], {offset: 4}) || // `moov`
		check([0x77, 0x69, 0x64, 0x65], {offset: 4}) // `wide`
	) {
		return {
			ext: 'mov',
			mime: 'video/quicktime'
		};
	}

	// File Type Box (https://en.wikipedia.org/wiki/ISO_base_media_file_format)
	// It's not required to be first, but it's recommended to be. Almost all ISO base media files start with `ftyp` box.
	// `ftyp` box must contain a brand major identifier, which must consist of ISO 8859-1 printable characters.
	// Here we check for 8859-1 printable characters (for simplicity, it's a mask which also catches one non-printable character).
	if (
		checkString('ftyp', {offset: 4}) &&
		(buffer[8] & 0x60) !== 0x00 // Brand major, first character ASCII?
	) {
		// They all can have MIME `video/mp4` except `application/mp4` special-case which is hard to detect.
		// For some cases, we're specific, everything else falls to `video/mp4` with `mp4` extension.
		const brandMajor = uint8ArrayUtf8ByteString(buffer, 8, 12).replace('\0', ' ').trim();
		switch (brandMajor) {
			case 'mif1':
				return {ext: 'heic', mime: 'image/heif'};
			case 'msf1':
				return {ext: 'heic', mime: 'image/heif-sequence'};
			case 'heic': case 'heix':
				return {ext: 'heic', mime: 'image/heic'};
			case 'hevc': case 'hevx':
				return {ext: 'heic', mime: 'image/heic-sequence'};
			case 'qt':
				return {ext: 'mov', mime: 'video/quicktime'};
			case 'M4V': case 'M4VH': case 'M4VP':
				return {ext: 'm4v', mime: 'video/x-m4v'};
			case 'M4P':
				return {ext: 'm4p', mime: 'video/mp4'};
			case 'M4B':
				return {ext: 'm4b', mime: 'audio/mp4'};
			case 'M4A':
				return {ext: 'm4a', mime: 'audio/x-m4a'};
			case 'F4V':
				return {ext: 'f4v', mime: 'video/mp4'};
			case 'F4P':
				return {ext: 'f4p', mime: 'video/mp4'};
			case 'F4A':
				return {ext: 'f4a', mime: 'audio/mp4'};
			case 'F4B':
				return {ext: 'f4b', mime: 'audio/mp4'};
			default:
				if (brandMajor.startsWith('3g')) {
					if (brandMajor.startsWith('3g2')) {
						return {ext: '3g2', mime: 'video/3gpp2'};
					}

					return {ext: '3gp', mime: 'video/3gpp'};
				}

				return {ext: 'mp4', mime: 'video/mp4'};
		}
	}

	if (check([0x4D, 0x54, 0x68, 0x64])) {
		return {
			ext: 'mid',
			mime: 'audio/midi'
		};
	}

	// https://github.com/threatstack/libmagic/blob/master/magic/Magdir/matroska
	if (check([0x1A, 0x45, 0xDF, 0xA3])) {
		const sliced = buffer.subarray(4, 4 + 4096);
		const idPos = sliced.findIndex((el, i, arr) => arr[i] === 0x42 && arr[i + 1] === 0x82);

		if (idPos !== -1) {
			const docTypePos = idPos + 3;
			const findDocType = type => [...type].every((c, i) => sliced[docTypePos + i] === c.charCodeAt(0));

			if (findDocType('matroska')) {
				return {
					ext: 'mkv',
					mime: 'video/x-matroska'
				};
			}

			if (findDocType('webm')) {
				return {
					ext: 'webm',
					mime: 'video/webm'
				};
			}
		}
	}

	// RIFF file format which might be AVI, WAV, QCP, etc
	if (check([0x52, 0x49, 0x46, 0x46])) {
		if (check([0x41, 0x56, 0x49], {offset: 8})) {
			return {
				ext: 'avi',
				mime: 'video/vnd.avi'
			};
		}

		if (check([0x57, 0x41, 0x56, 0x45], {offset: 8})) {
			return {
				ext: 'wav',
				mime: 'audio/vnd.wave'
			};
		}

		// QLCM, QCP file
		if (check([0x51, 0x4C, 0x43, 0x4D], {offset: 8})) {
			return {
				ext: 'qcp',
				mime: 'audio/qcelp'
			};
		}
	}

	// ASF_Header_Object first 80 bytes
	if (check([0x30, 0x26, 0xB2, 0x75, 0x8E, 0x66, 0xCF, 0x11, 0xA6, 0xD9])) {
		// Search for header should be in first 1KB of file.

		let offset = 30;
		do {
			const objectSize = readUInt64LE(buffer, offset + 16);
			if (check([0x91, 0x07, 0xDC, 0xB7, 0xB7, 0xA9, 0xCF, 0x11, 0x8E, 0xE6, 0x00, 0xC0, 0x0C, 0x20, 0x53, 0x65], {offset})) {
				// Sync on Stream-Properties-Object (B7DC0791-A9B7-11CF-8EE6-00C00C205365)
				if (check([0x40, 0x9E, 0x69, 0xF8, 0x4D, 0x5B, 0xCF, 0x11, 0xA8, 0xFD, 0x00, 0x80, 0x5F, 0x5C, 0x44, 0x2B], {offset: offset + 24})) {
					// Found audio:
					return {
						ext: 'wma',
						mime: 'audio/x-ms-wma'
					};
				}

				if (check([0xC0, 0xEF, 0x19, 0xBC, 0x4D, 0x5B, 0xCF, 0x11, 0xA8, 0xFD, 0x00, 0x80, 0x5F, 0x5C, 0x44, 0x2B], {offset: offset + 24})) {
					// Found video:
					return {
						ext: 'wmv',
						mime: 'video/x-ms-asf'
					};
				}

				break;
			}

			offset += objectSize;
		} while (offset + 24 <= buffer.length);

		// Default to ASF generic extension
		return {
			ext: 'asf',
			mime: 'application/vnd.ms-asf'
		};
	}

	if (
		check([0x0, 0x0, 0x1, 0xBA]) ||
		check([0x0, 0x0, 0x1, 0xB3])
	) {
		return {
			ext: 'mpg',
			mime: 'video/mpeg'
		};
	}

	// Check for MPEG header at different starting offsets
	for (let start = 0; start < 2 && start < (buffer.length - 16); start++) {
		if (
			check([0x49, 0x44, 0x33], {offset: start}) || // ID3 header
			check([0xFF, 0xE2], {offset: start, mask: [0xFF, 0xE6]}) // MPEG 1 or 2 Layer 3 header
		) {
			return {
				ext: 'mp3',
				mime: 'audio/mpeg'
			};
		}

		if (
			check([0xFF, 0xE4], {offset: start, mask: [0xFF, 0xE6]}) // MPEG 1 or 2 Layer 2 header
		) {
			return {
				ext: 'mp2',
				mime: 'audio/mpeg'
			};
		}

		if (
			check([0xFF, 0xF8], {offset: start, mask: [0xFF, 0xFC]}) // MPEG 2 layer 0 using ADTS
		) {
			return {
				ext: 'mp2',
				mime: 'audio/mpeg'
			};
		}

		if (
			check([0xFF, 0xF0], {offset: start, mask: [0xFF, 0xFC]}) // MPEG 4 layer 0 using ADTS
		) {
			return {
				ext: 'mp4',
				mime: 'audio/mpeg'
			};
		}
	}

	// Needs to be before `ogg` check
	if (check([0x4F, 0x70, 0x75, 0x73, 0x48, 0x65, 0x61, 0x64], {offset: 28})) {
		return {
			ext: 'opus',
			mime: 'audio/opus'
		};
	}

	// If 'OggS' in first  bytes, then OGG container
	if (check([0x4F, 0x67, 0x67, 0x53])) {
		// This is a OGG container

		// If ' theora' in header.
		if (check([0x80, 0x74, 0x68, 0x65, 0x6F, 0x72, 0x61], {offset: 28})) {
			return {
				ext: 'ogv',
				mime: 'video/ogg'
			};
		}

		// If '\x01video' in header.
		if (check([0x01, 0x76, 0x69, 0x64, 0x65, 0x6F, 0x00], {offset: 28})) {
			return {
				ext: 'ogm',
				mime: 'video/ogg'
			};
		}

		// If ' FLAC' in header  https://xiph.org/flac/faq.html
		if (check([0x7F, 0x46, 0x4C, 0x41, 0x43], {offset: 28})) {
			return {
				ext: 'oga',
				mime: 'audio/ogg'
			};
		}

		// 'Speex  ' in header https://en.wikipedia.org/wiki/Speex
		if (check([0x53, 0x70, 0x65, 0x65, 0x78, 0x20, 0x20], {offset: 28})) {
			return {
				ext: 'spx',
				mime: 'audio/ogg'
			};
		}

		// If '\x01vorbis' in header
		if (check([0x01, 0x76, 0x6F, 0x72, 0x62, 0x69, 0x73], {offset: 28})) {
			return {
				ext: 'ogg',
				mime: 'audio/ogg'
			};
		}

		// Default OGG container https://www.iana.org/assignments/media-types/application/ogg
		return {
			ext: 'ogx',
			mime: 'application/ogg'
		};
	}

	if (check([0x66, 0x4C, 0x61, 0x43])) {
		return {
			ext: 'flac',
			mime: 'audio/x-flac'
		};
	}

	if (check([0x4D, 0x41, 0x43, 0x20])) { // 'MAC '
		return {
			ext: 'ape',
			mime: 'audio/ape'
		};
	}

	if (check([0x77, 0x76, 0x70, 0x6B])) { // 'wvpk'
		return {
			ext: 'wv',
			mime: 'audio/wavpack'
		};
	}

	if (check([0x23, 0x21, 0x41, 0x4D, 0x52, 0x0A])) {
		return {
			ext: 'amr',
			mime: 'audio/amr'
		};
	}

	if (check([0x25, 0x50, 0x44, 0x46])) {
		return {
			ext: 'pdf',
			mime: 'application/pdf'
		};
	}

	if (check([0x4D, 0x5A])) {
		return {
			ext: 'exe',
			mime: 'application/x-msdownload'
		};
	}

	if (
		(buffer[0] === 0x43 || buffer[0] === 0x46) &&
		check([0x57, 0x53], {offset: 1})
	) {
		return {
			ext: 'swf',
			mime: 'application/x-shockwave-flash'
		};
	}

	if (check([0x7B, 0x5C, 0x72, 0x74, 0x66])) {
		return {
			ext: 'rtf',
			mime: 'application/rtf'
		};
	}

	if (check([0x00, 0x61, 0x73, 0x6D])) {
		return {
			ext: 'wasm',
			mime: 'application/wasm'
		};
	}

	if (
		check([0x77, 0x4F, 0x46, 0x46]) &&
		(
			check([0x00, 0x01, 0x00, 0x00], {offset: 4}) ||
			check([0x4F, 0x54, 0x54, 0x4F], {offset: 4})
		)
	) {
		return {
			ext: 'woff',
			mime: 'font/woff'
		};
	}

	if (
		check([0x77, 0x4F, 0x46, 0x32]) &&
		(
			check([0x00, 0x01, 0x00, 0x00], {offset: 4}) ||
			check([0x4F, 0x54, 0x54, 0x4F], {offset: 4})
		)
	) {
		return {
			ext: 'woff2',
			mime: 'font/woff2'
		};
	}

	if (
		check([0x4C, 0x50], {offset: 34}) &&
		(
			check([0x00, 0x00, 0x01], {offset: 8}) ||
			check([0x01, 0x00, 0x02], {offset: 8}) ||
			check([0x02, 0x00, 0x02], {offset: 8})
		)
	) {
		return {
			ext: 'eot',
			mime: 'application/vnd.ms-fontobject'
		};
	}

	if (check([0x00, 0x01, 0x00, 0x00, 0x00])) {
		return {
			ext: 'ttf',
			mime: 'font/ttf'
		};
	}

	if (check([0x4F, 0x54, 0x54, 0x4F, 0x00])) {
		return {
			ext: 'otf',
			mime: 'font/otf'
		};
	}

	if (check([0x00, 0x00, 0x01, 0x00])) {
		return {
			ext: 'ico',
			mime: 'image/x-icon'
		};
	}

	if (check([0x00, 0x00, 0x02, 0x00])) {
		return {
			ext: 'cur',
			mime: 'image/x-icon'
		};
	}

	if (check([0x46, 0x4C, 0x56, 0x01])) {
		return {
			ext: 'flv',
			mime: 'video/x-flv'
		};
	}

	if (check([0x25, 0x21])) {
		return {
			ext: 'ps',
			mime: 'application/postscript'
		};
	}

	if (check([0xFD, 0x37, 0x7A, 0x58, 0x5A, 0x00])) {
		return {
			ext: 'xz',
			mime: 'application/x-xz'
		};
	}

	if (check([0x53, 0x51, 0x4C, 0x69])) {
		return {
			ext: 'sqlite',
			mime: 'application/x-sqlite3'
		};
	}

	if (check([0x4E, 0x45, 0x53, 0x1A])) {
		return {
			ext: 'nes',
			mime: 'application/x-nintendo-nes-rom'
		};
	}

	if (check([0x43, 0x72, 0x32, 0x34])) {
		return {
			ext: 'crx',
			mime: 'application/x-google-chrome-extension'
		};
	}

	if (
		check([0x4D, 0x53, 0x43, 0x46]) ||
		check([0x49, 0x53, 0x63, 0x28])
	) {
		return {
			ext: 'cab',
			mime: 'application/vnd.ms-cab-compressed'
		};
	}

	// Needs to be before `ar` check
	if (check([0x21, 0x3C, 0x61, 0x72, 0x63, 0x68, 0x3E, 0x0A, 0x64, 0x65, 0x62, 0x69, 0x61, 0x6E, 0x2D, 0x62, 0x69, 0x6E, 0x61, 0x72, 0x79])) {
		return {
			ext: 'deb',
			mime: 'application/x-deb'
		};
	}

	if (check([0x21, 0x3C, 0x61, 0x72, 0x63, 0x68, 0x3E])) {
		return {
			ext: 'ar',
			mime: 'application/x-unix-archive'
		};
	}

	if (check([0xED, 0xAB, 0xEE, 0xDB])) {
		return {
			ext: 'rpm',
			mime: 'application/x-rpm'
		};
	}

	if (
		check([0x1F, 0xA0]) ||
		check([0x1F, 0x9D])
	) {
		return {
			ext: 'Z',
			mime: 'application/x-compress'
		};
	}

	if (check([0x4C, 0x5A, 0x49, 0x50])) {
		return {
			ext: 'lz',
			mime: 'application/x-lzip'
		};
	}

	if (check([0xD0, 0xCF, 0x11, 0xE0, 0xA1, 0xB1, 0x1A, 0xE1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3E])) {
		return {
			ext: 'msi',
			mime: 'application/x-msi'
		};
	}

	if (check([0x06, 0x0E, 0x2B, 0x34, 0x02, 0x05, 0x01, 0x01, 0x0D, 0x01, 0x02, 0x01, 0x01, 0x02])) {
		return {
			ext: 'mxf',
			mime: 'application/mxf'
		};
	}

	if (check([0x47], {offset: 4}) && (check([0x47], {offset: 192}) || check([0x47], {offset: 196}))) {
		return {
			ext: 'mts',
			mime: 'video/mp2t'
		};
	}

	if (check([0x42, 0x4C, 0x45, 0x4E, 0x44, 0x45, 0x52])) {
		return {
			ext: 'blend',
			mime: 'application/x-blender'
		};
	}

	if (check([0x42, 0x50, 0x47, 0xFB])) {
		return {
			ext: 'bpg',
			mime: 'image/bpg'
		};
	}

	if (check([0x00, 0x00, 0x00, 0x0C, 0x6A, 0x50, 0x20, 0x20, 0x0D, 0x0A, 0x87, 0x0A])) {
		// JPEG-2000 family

		if (check([0x6A, 0x70, 0x32, 0x20], {offset: 20})) {
			return {
				ext: 'jp2',
				mime: 'image/jp2'
			};
		}

		if (check([0x6A, 0x70, 0x78, 0x20], {offset: 20})) {
			return {
				ext: 'jpx',
				mime: 'image/jpx'
			};
		}

		if (check([0x6A, 0x70, 0x6D, 0x20], {offset: 20})) {
			return {
				ext: 'jpm',
				mime: 'image/jpm'
			};
		}

		if (check([0x6D, 0x6A, 0x70, 0x32], {offset: 20})) {
			return {
				ext: 'mj2',
				mime: 'image/mj2'
			};
		}
	}

	if (check([0x46, 0x4F, 0x52, 0x4D])) {
		return {
			ext: 'aif',
			mime: 'audio/aiff'
		};
	}

	if (checkString('<?xml ')) {
		return {
			ext: 'xml',
			mime: 'application/xml'
		};
	}

	if (check([0x42, 0x4F, 0x4F, 0x4B, 0x4D, 0x4F, 0x42, 0x49], {offset: 60})) {
		return {
			ext: 'mobi',
			mime: 'application/x-mobipocket-ebook'
		};
	}

	if (check([0xAB, 0x4B, 0x54, 0x58, 0x20, 0x31, 0x31, 0xBB, 0x0D, 0x0A, 0x1A, 0x0A])) {
		return {
			ext: 'ktx',
			mime: 'image/ktx'
		};
	}

	if (check([0x44, 0x49, 0x43, 0x4D], {offset: 128})) {
		return {
			ext: 'dcm',
			mime: 'application/dicom'
		};
	}

	// Musepack, SV7
	if (check([0x4D, 0x50, 0x2B])) {
		return {
			ext: 'mpc',
			mime: 'audio/x-musepack'
		};
	}

	// Musepack, SV8
	if (check([0x4D, 0x50, 0x43, 0x4B])) {
		return {
			ext: 'mpc',
			mime: 'audio/x-musepack'
		};
	}

	if (check([0x42, 0x45, 0x47, 0x49, 0x4E, 0x3A])) {
		return {
			ext: 'ics',
			mime: 'text/calendar'
		};
	}

	if (check([0x67, 0x6C, 0x54, 0x46, 0x02, 0x00, 0x00, 0x00])) {
		return {
			ext: 'glb',
			mime: 'model/gltf-binary'
		};
	}

	if (check([0xD4, 0xC3, 0xB2, 0xA1]) || check([0xA1, 0xB2, 0xC3, 0xD4])) {
		return {
			ext: 'pcap',
			mime: 'application/vnd.tcpdump.pcap'
		};
	}

	// Sony DSD Stream File (DSF)
	if (check([0x44, 0x53, 0x44, 0x20])) {
		return {
			ext: 'dsf',
			mime: 'audio/x-dsf' // Non-standard
		};
	}

	if (check([0x4C, 0x00, 0x00, 0x00, 0x01, 0x14, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x46])) {
		return {
			ext: 'lnk',
			mime: 'application/x.ms.shortcut' // Invented by us
		};
	}

	if (check([0x62, 0x6F, 0x6F, 0x6B, 0x00, 0x00, 0x00, 0x00, 0x6D, 0x61, 0x72, 0x6B, 0x00, 0x00, 0x00, 0x00])) {
		return {
			ext: 'alias',
			mime: 'application/x.apple.alias' // Invented by us
		};
	}

	if (checkString('Creative Voice File')) {
		return {
			ext: 'voc',
			mime: 'audio/x-voc'
		};
	}

	if (check([0x0B, 0x77])) {
		return {
			ext: 'ac3',
			mime: 'audio/vnd.dolby.dd-raw'
		};
	}

	if ((check([0x7E, 0x10, 0x04]) || check([0x7E, 0x18, 0x04])) && check([0x30, 0x4D, 0x49, 0x45], {offset: 4})) {
		return {
			ext: 'mie',
			mime: 'application/x-mie'
		};
	}

	if (check([0x41, 0x52, 0x52, 0x4F, 0x57, 0x31, 0x00, 0x00])) {
		return {
			ext: 'arrow',
			mime: 'application/x-apache-arrow'
		};
	}

	if (check([0x27, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00], {offset: 2})) {
		return {
			ext: 'shp',
			mime: 'application/x-esri-shape'
		};
	}
};

module.exports = fileType;

Object.defineProperty(fileType, 'minimumBytes', {value: 4100});

fileType.stream = readableStream => new Promise((resolve, reject) => {
	// Using `eval` to work around issues when bundling with Webpack
	const stream = eval('require')('stream'); // eslint-disable-line no-eval

	readableStream.on('error', reject);
	readableStream.once('readable', () => {
		const pass = new stream.PassThrough();
		const chunk = readableStream.read(module.exports.minimumBytes) || readableStream.read();
		try {
			pass.fileType = fileType(chunk);
		} catch (error) {
			reject(error);
		}

		readableStream.unshift(chunk);

		if (stream.pipeline) {
			resolve(stream.pipeline(readableStream, pass, () => {}));
		} else {
			resolve(readableStream.pipe(pass));
		}
	});
});

Object.defineProperty(fileType, 'extensions', {
	get() {
		return new Set(supported.extensions);
	}
});

Object.defineProperty(fileType, 'mimeTypes', {
	get() {
		return new Set(supported.mimeTypes);
	}
});


/***/ }),

/***/ 17860:
/***/ ((module) => {

"use strict";


module.exports = {
	extensions: [
		'jpg',
		'png',
		'apng',
		'gif',
		'webp',
		'flif',
		'cr2',
		'orf',
		'arw',
		'dng',
		'nef',
		'rw2',
		'raf',
		'tif',
		'bmp',
		'jxr',
		'psd',
		'zip',
		'tar',
		'rar',
		'gz',
		'bz2',
		'7z',
		'dmg',
		'mp4',
		'mid',
		'mkv',
		'webm',
		'mov',
		'avi',
		'mpg',
		'mp2',
		'mp3',
		'm4a',
		'oga',
		'ogg',
		'ogv',
		'opus',
		'flac',
		'wav',
		'spx',
		'amr',
		'pdf',
		'epub',
		'exe',
		'swf',
		'rtf',
		'wasm',
		'woff',
		'woff2',
		'eot',
		'ttf',
		'otf',
		'ico',
		'flv',
		'ps',
		'xz',
		'sqlite',
		'nes',
		'crx',
		'xpi',
		'cab',
		'deb',
		'ar',
		'rpm',
		'Z',
		'lz',
		'msi',
		'mxf',
		'mts',
		'blend',
		'bpg',
		'docx',
		'pptx',
		'xlsx',
		'3gp',
		'3g2',
		'jp2',
		'jpm',
		'jpx',
		'mj2',
		'aif',
		'qcp',
		'odt',
		'ods',
		'odp',
		'xml',
		'mobi',
		'heic',
		'cur',
		'ktx',
		'ape',
		'wv',
		'wmv',
		'wma',
		'dcm',
		'ics',
		'glb',
		'pcap',
		'dsf',
		'lnk',
		'alias',
		'voc',
		'ac3',
		'm4v',
		'm4p',
		'm4b',
		'f4v',
		'f4p',
		'f4b',
		'f4a',
		'mie',
		'asf',
		'ogm',
		'ogx',
		'mpc',
		'arrow',
		'shp'
	],
	mimeTypes: [
		'image/jpeg',
		'image/png',
		'image/gif',
		'image/webp',
		'image/flif',
		'image/x-canon-cr2',
		'image/tiff',
		'image/bmp',
		'image/vnd.ms-photo',
		'image/vnd.adobe.photoshop',
		'application/epub+zip',
		'application/x-xpinstall',
		'application/vnd.oasis.opendocument.text',
		'application/vnd.oasis.opendocument.spreadsheet',
		'application/vnd.oasis.opendocument.presentation',
		'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
		'application/vnd.openxmlformats-officedocument.presentationml.presentation',
		'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
		'application/zip',
		'application/x-tar',
		'application/x-rar-compressed',
		'application/gzip',
		'application/x-bzip2',
		'application/x-7z-compressed',
		'application/x-apple-diskimage',
		'application/x-apache-arrow',
		'video/mp4',
		'audio/midi',
		'video/x-matroska',
		'video/webm',
		'video/quicktime',
		'video/vnd.avi',
		'audio/vnd.wave',
		'audio/qcelp',
		'audio/x-ms-wma',
		'video/x-ms-asf',
		'application/vnd.ms-asf',
		'video/mpeg',
		'video/3gpp',
		'audio/mpeg',
		'audio/mp4', // RFC 4337
		'audio/opus',
		'video/ogg',
		'audio/ogg',
		'application/ogg',
		'audio/x-flac',
		'audio/ape',
		'audio/wavpack',
		'audio/amr',
		'application/pdf',
		'application/x-msdownload',
		'application/x-shockwave-flash',
		'application/rtf',
		'application/wasm',
		'font/woff',
		'font/woff2',
		'application/vnd.ms-fontobject',
		'font/ttf',
		'font/otf',
		'image/x-icon',
		'video/x-flv',
		'application/postscript',
		'application/x-xz',
		'application/x-sqlite3',
		'application/x-nintendo-nes-rom',
		'application/x-google-chrome-extension',
		'application/vnd.ms-cab-compressed',
		'application/x-deb',
		'application/x-unix-archive',
		'application/x-rpm',
		'application/x-compress',
		'application/x-lzip',
		'application/x-msi',
		'application/x-mie',
		'application/mxf',
		'video/mp2t',
		'application/x-blender',
		'image/bpg',
		'image/jp2',
		'image/jpx',
		'image/jpm',
		'image/mj2',
		'audio/aiff',
		'application/xml',
		'application/x-mobipocket-ebook',
		'image/heif',
		'image/heif-sequence',
		'image/heic',
		'image/heic-sequence',
		'image/ktx',
		'application/dicom',
		'audio/x-musepack',
		'text/calendar',
		'model/gltf-binary',
		'application/vnd.tcpdump.pcap',
		'audio/x-dsf', // Non-standard
		'application/x.ms.shortcut', // Invented by us
		'application/x.apple.alias', // Invented by us
		'audio/x-voc',
		'audio/vnd.dolby.dd-raw',
		'audio/x-m4a',
		'image/apng',
		'image/x-olympus-orf',
		'image/x-sony-arw',
		'image/x-adobe-dng',
		'image/x-nikon-nef',
		'image/x-panasonic-rw2',
		'image/x-fujifilm-raf',
		'video/x-m4v',
		'video/3gpp2',
		'application/x-esri-shape'
	]
};


/***/ }),

/***/ 64875:
/***/ ((__unused_webpack_module, exports) => {

"use strict";


exports.stringToBytes = string => [...string].map(character => character.charCodeAt(0));

const uint8ArrayUtf8ByteString = (array, start, end) => {
	return String.fromCharCode(...array.slice(start, end));
};

exports.readUInt64LE = (buffer, offset = 0) => {
	let n = buffer[offset];
	let mul = 1;
	let i = 0;

	while (++i < 8) {
		mul *= 0x100;
		n += buffer[offset + i] * mul;
	}

	return n;
};

exports.tarHeaderChecksumMatches = buffer => { // Does not check if checksum field characters are valid
	if (buffer.length < 512) { // `tar` header size, cannot compute checksum without it
		return false;
	}

	const MASK_8TH_BIT = 0x80;

	let sum = 256; // Intitalize sum, with 256 as sum of 8 spaces in checksum field
	let signedBitSum = 0; // Initialize signed bit sum

	for (let i = 0; i < 148; i++) {
		const byte = buffer[i];
		sum += byte;
		signedBitSum += byte & MASK_8TH_BIT; // Add signed bit to signed bit sum
	}

	// Skip checksum field

	for (let i = 156; i < 512; i++) {
		const byte = buffer[i];
		sum += byte;
		signedBitSum += byte & MASK_8TH_BIT; // Add signed bit to signed bit sum
	}

	const readSum = parseInt(uint8ArrayUtf8ByteString(buffer, 148, 154), 8); // Read sum in header

	// Some implementations compute checksum incorrectly using signed bytes
	return (
		// Checksum in header equals the sum we calculated
		readSum === sum ||

		// Checksum in header equals sum we calculated plus signed-to-unsigned delta
		readSum === (sum - (signedBitSum << 1))
	);
};

exports.multiByteIndexOf = (buffer, bytesToSearch, startAt = 0) => {
	// `Buffer#indexOf()` can search for multiple bytes
	if (Buffer && Buffer.isBuffer(buffer)) {
		return buffer.indexOf(Buffer.from(bytesToSearch), startAt);
	}

	const nextBytesMatch = (buffer, bytes, startIndex) => {
		for (let i = 1; i < bytes.length; i++) {
			if (bytes[i] !== buffer[startIndex + i]) {
				return false;
			}
		}

		return true;
	};

	// `Uint8Array#indexOf()` can search for only a single byte
	let index = buffer.indexOf(bytesToSearch[0], startAt);
	while (index >= 0) {
		if (nextBytesMatch(buffer, bytesToSearch, index)) {
			return index;
		}

		index = buffer.indexOf(bytesToSearch[0], index + 1);
	}

	return -1;
};

exports.uint8ArrayUtf8ByteString = uint8ArrayUtf8ByteString;


/***/ }),

/***/ 6330:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";
/*!
 * fill-range <https://github.com/jonschlinkert/fill-range>
 *
 * Copyright (c) 2014-present, Jon Schlinkert.
 * Licensed under the MIT License.
 */



const util = __nccwpck_require__(73837);
const toRegexRange = __nccwpck_require__(1861);

const isObject = val => val !== null && typeof val === 'object' && !Array.isArray(val);

const transform = toNumber => {
  return value => toNumber === true ? Number(value) : String(value);
};

const isValidValue = value => {
  return typeof value === 'number' || (typeof value === 'string' && value !== '');
};

const isNumber = num => Number.isInteger(+num);

const zeros = input => {
  let value = `${input}`;
  let index = -1;
  if (value[0] === '-') value = value.slice(1);
  if (value === '0') return false;
  while (value[++index] === '0');
  return index > 0;
};

const stringify = (start, end, options) => {
  if (typeof start === 'string' || typeof end === 'string') {
    return true;
  }
  return options.stringify === true;
};

const pad = (input, maxLength, toNumber) => {
  if (maxLength > 0) {
    let dash = input[0] === '-' ? '-' : '';
    if (dash) input = input.slice(1);
    input = (dash + input.padStart(dash ? maxLength - 1 : maxLength, '0'));
  }
  if (toNumber === false) {
    return String(input);
  }
  return input;
};

const toMaxLen = (input, maxLength) => {
  let negative = input[0] === '-' ? '-' : '';
  if (negative) {
    input = input.slice(1);
    maxLength--;
  }
  while (input.length < maxLength) input = '0' + input;
  return negative ? ('-' + input) : input;
};

const toSequence = (parts, options) => {
  parts.negatives.sort((a, b) => a < b ? -1 : a > b ? 1 : 0);
  parts.positives.sort((a, b) => a < b ? -1 : a > b ? 1 : 0);

  let prefix = options.capture ? '' : '?:';
  let positives = '';
  let negatives = '';
  let result;

  if (parts.positives.length) {
    positives = parts.positives.join('|');
  }

  if (parts.negatives.length) {
    negatives = `-(${prefix}${parts.negatives.join('|')})`;
  }

  if (positives && negatives) {
    result = `${positives}|${negatives}`;
  } else {
    result = positives || negatives;
  }

  if (options.wrap) {
    return `(${prefix}${result})`;
  }

  return result;
};

const toRange = (a, b, isNumbers, options) => {
  if (isNumbers) {
    return toRegexRange(a, b, { wrap: false, ...options });
  }

  let start = String.fromCharCode(a);
  if (a === b) return start;

  let stop = String.fromCharCode(b);
  return `[${start}-${stop}]`;
};

const toRegex = (start, end, options) => {
  if (Array.isArray(start)) {
    let wrap = options.wrap === true;
    let prefix = options.capture ? '' : '?:';
    return wrap ? `(${prefix}${start.join('|')})` : start.join('|');
  }
  return toRegexRange(start, end, options);
};

const rangeError = (...args) => {
  return new RangeError('Invalid range arguments: ' + util.inspect(...args));
};

const invalidRange = (start, end, options) => {
  if (options.strictRanges === true) throw rangeError([start, end]);
  return [];
};

const invalidStep = (step, options) => {
  if (options.strictRanges === true) {
    throw new TypeError(`Expected step "${step}" to be a number`);
  }
  return [];
};

const fillNumbers = (start, end, step = 1, options = {}) => {
  let a = Number(start);
  let b = Number(end);

  if (!Number.isInteger(a) || !Number.isInteger(b)) {
    if (options.strictRanges === true) throw rangeError([start, end]);
    return [];
  }

  // fix negative zero
  if (a === 0) a = 0;
  if (b === 0) b = 0;

  let descending = a > b;
  let startString = String(start);
  let endString = String(end);
  let stepString = String(step);
  step = Math.max(Math.abs(step), 1);

  let padded = zeros(startString) || zeros(endString) || zeros(stepString);
  let maxLen = padded ? Math.max(startString.length, endString.length, stepString.length) : 0;
  let toNumber = padded === false && stringify(start, end, options) === false;
  let format = options.transform || transform(toNumber);

  if (options.toRegex && step === 1) {
    return toRange(toMaxLen(start, maxLen), toMaxLen(end, maxLen), true, options);
  }

  let parts = { negatives: [], positives: [] };
  let push = num => parts[num < 0 ? 'negatives' : 'positives'].push(Math.abs(num));
  let range = [];
  let index = 0;

  while (descending ? a >= b : a <= b) {
    if (options.toRegex === true && step > 1) {
      push(a);
    } else {
      range.push(pad(format(a, index), maxLen, toNumber));
    }
    a = descending ? a - step : a + step;
    index++;
  }

  if (options.toRegex === true) {
    return step > 1
      ? toSequence(parts, options)
      : toRegex(range, null, { wrap: false, ...options });
  }

  return range;
};

const fillLetters = (start, end, step = 1, options = {}) => {
  if ((!isNumber(start) && start.length > 1) || (!isNumber(end) && end.length > 1)) {
    return invalidRange(start, end, options);
  }


  let format = options.transform || (val => String.fromCharCode(val));
  let a = `${start}`.charCodeAt(0);
  let b = `${end}`.charCodeAt(0);

  let descending = a > b;
  let min = Math.min(a, b);
  let max = Math.max(a, b);

  if (options.toRegex && step === 1) {
    return toRange(min, max, false, options);
  }

  let range = [];
  let index = 0;

  while (descending ? a >= b : a <= b) {
    range.push(format(a, index));
    a = descending ? a - step : a + step;
    index++;
  }

  if (options.toRegex === true) {
    return toRegex(range, null, { wrap: false, options });
  }

  return range;
};

const fill = (start, end, step, options = {}) => {
  if (end == null && isValidValue(start)) {
    return [start];
  }

  if (!isValidValue(start) || !isValidValue(end)) {
    return invalidRange(start, end, options);
  }

  if (typeof step === 'function') {
    return fill(start, end, 1, { transform: step });
  }

  if (isObject(step)) {
    return fill(start, end, 0, step);
  }

  let opts = { ...options };
  if (opts.capture === true) opts.wrap = true;
  step = step || opts.step || 1;

  if (!isNumber(step)) {
    if (step != null && !isObject(step)) return invalidStep(step, opts);
    return fill(start, end, 1, step);
  }

  if (isNumber(start) && isNumber(end)) {
    return fillNumbers(start, end, step, opts);
  }

  return fillLetters(start, end, Math.max(Math.abs(step), 1), opts);
};

module.exports = fill;


/***/ }),

/***/ 46863:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

module.exports = realpath
realpath.realpath = realpath
realpath.sync = realpathSync
realpath.realpathSync = realpathSync
realpath.monkeypatch = monkeypatch
realpath.unmonkeypatch = unmonkeypatch

var fs = __nccwpck_require__(57147)
var origRealpath = fs.realpath
var origRealpathSync = fs.realpathSync

var version = process.version
var ok = /^v[0-5]\./.test(version)
var old = __nccwpck_require__(71734)

function newError (er) {
  return er && er.syscall === 'realpath' && (
    er.code === 'ELOOP' ||
    er.code === 'ENOMEM' ||
    er.code === 'ENAMETOOLONG'
  )
}

function realpath (p, cache, cb) {
  if (ok) {
    return origRealpath(p, cache, cb)
  }

  if (typeof cache === 'function') {
    cb = cache
    cache = null
  }
  origRealpath(p, cache, function (er, result) {
    if (newError(er)) {
      old.realpath(p, cache, cb)
    } else {
      cb(er, result)
    }
  })
}

function realpathSync (p, cache) {
  if (ok) {
    return origRealpathSync(p, cache)
  }

  try {
    return origRealpathSync(p, cache)
  } catch (er) {
    if (newError(er)) {
      return old.realpathSync(p, cache)
    } else {
      throw er
    }
  }
}

function monkeypatch () {
  fs.realpath = realpath
  fs.realpathSync = realpathSync
}

function unmonkeypatch () {
  fs.realpath = origRealpath
  fs.realpathSync = origRealpathSync
}


/***/ }),

/***/ 71734:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

// Copyright Joyent, Inc. and other Node contributors.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to permit
// persons to whom the Software is furnished to do so, subject to the
// following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
// NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THE SOFTWARE.

var pathModule = __nccwpck_require__(71017);
var isWindows = process.platform === 'win32';
var fs = __nccwpck_require__(57147);

// JavaScript implementation of realpath, ported from node pre-v6

var DEBUG = process.env.NODE_DEBUG && /fs/.test(process.env.NODE_DEBUG);

function rethrow() {
  // Only enable in debug mode. A backtrace uses ~1000 bytes of heap space and
  // is fairly slow to generate.
  var callback;
  if (DEBUG) {
    var backtrace = new Error;
    callback = debugCallback;
  } else
    callback = missingCallback;

  return callback;

  function debugCallback(err) {
    if (err) {
      backtrace.message = err.message;
      err = backtrace;
      missingCallback(err);
    }
  }

  function missingCallback(err) {
    if (err) {
      if (process.throwDeprecation)
        throw err;  // Forgot a callback but don't know where? Use NODE_DEBUG=fs
      else if (!process.noDeprecation) {
        var msg = 'fs: missing callback ' + (err.stack || err.message);
        if (process.traceDeprecation)
          console.trace(msg);
        else
          console.error(msg);
      }
    }
  }
}

function maybeCallback(cb) {
  return typeof cb === 'function' ? cb : rethrow();
}

var normalize = pathModule.normalize;

// Regexp that finds the next partion of a (partial) path
// result is [base_with_slash, base], e.g. ['somedir/', 'somedir']
if (isWindows) {
  var nextPartRe = /(.*?)(?:[\/\\]+|$)/g;
} else {
  var nextPartRe = /(.*?)(?:[\/]+|$)/g;
}

// Regex to find the device root, including trailing slash. E.g. 'c:\\'.
if (isWindows) {
  var splitRootRe = /^(?:[a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/][^\\\/]+)?[\\\/]*/;
} else {
  var splitRootRe = /^[\/]*/;
}

exports.realpathSync = function realpathSync(p, cache) {
  // make p is absolute
  p = pathModule.resolve(p);

  if (cache && Object.prototype.hasOwnProperty.call(cache, p)) {
    return cache[p];
  }

  var original = p,
      seenLinks = {},
      knownHard = {};

  // current character position in p
  var pos;
  // the partial path so far, including a trailing slash if any
  var current;
  // the partial path without a trailing slash (except when pointing at a root)
  var base;
  // the partial path scanned in the previous round, with slash
  var previous;

  start();

  function start() {
    // Skip over roots
    var m = splitRootRe.exec(p);
    pos = m[0].length;
    current = m[0];
    base = m[0];
    previous = '';

    // On windows, check that the root exists. On unix there is no need.
    if (isWindows && !knownHard[base]) {
      fs.lstatSync(base);
      knownHard[base] = true;
    }
  }

  // walk down the path, swapping out linked pathparts for their real
  // values
  // NB: p.length changes.
  while (pos < p.length) {
    // find the next part
    nextPartRe.lastIndex = pos;
    var result = nextPartRe.exec(p);
    previous = current;
    current += result[0];
    base = previous + result[1];
    pos = nextPartRe.lastIndex;

    // continue if not a symlink
    if (knownHard[base] || (cache && cache[base] === base)) {
      continue;
    }

    var resolvedLink;
    if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
      // some known symbolic link.  no need to stat again.
      resolvedLink = cache[base];
    } else {
      var stat = fs.lstatSync(base);
      if (!stat.isSymbolicLink()) {
        knownHard[base] = true;
        if (cache) cache[base] = base;
        continue;
      }

      // read the link if it wasn't read before
      // dev/ino always return 0 on windows, so skip the check.
      var linkTarget = null;
      if (!isWindows) {
        var id = stat.dev.toString(32) + ':' + stat.ino.toString(32);
        if (seenLinks.hasOwnProperty(id)) {
          linkTarget = seenLinks[id];
        }
      }
      if (linkTarget === null) {
        fs.statSync(base);
        linkTarget = fs.readlinkSync(base);
      }
      resolvedLink = pathModule.resolve(previous, linkTarget);
      // track this, if given a cache.
      if (cache) cache[base] = resolvedLink;
      if (!isWindows) seenLinks[id] = linkTarget;
    }

    // resolve the link, then start over
    p = pathModule.resolve(resolvedLink, p.slice(pos));
    start();
  }

  if (cache) cache[original] = p;

  return p;
};


exports.realpath = function realpath(p, cache, cb) {
  if (typeof cb !== 'function') {
    cb = maybeCallback(cache);
    cache = null;
  }

  // make p is absolute
  p = pathModule.resolve(p);

  if (cache && Object.prototype.hasOwnProperty.call(cache, p)) {
    return process.nextTick(cb.bind(null, null, cache[p]));
  }

  var original = p,
      seenLinks = {},
      knownHard = {};

  // current character position in p
  var pos;
  // the partial path so far, including a trailing slash if any
  var current;
  // the partial path without a trailing slash (except when pointing at a root)
  var base;
  // the partial path scanned in the previous round, with slash
  var previous;

  start();

  function start() {
    // Skip over roots
    var m = splitRootRe.exec(p);
    pos = m[0].length;
    current = m[0];
    base = m[0];
    previous = '';

    // On windows, check that the root exists. On unix there is no need.
    if (isWindows && !knownHard[base]) {
      fs.lstat(base, function(err) {
        if (err) return cb(err);
        knownHard[base] = true;
        LOOP();
      });
    } else {
      process.nextTick(LOOP);
    }
  }

  // walk down the path, swapping out linked pathparts for their real
  // values
  function LOOP() {
    // stop if scanned past end of path
    if (pos >= p.length) {
      if (cache) cache[original] = p;
      return cb(null, p);
    }

    // find the next part
    nextPartRe.lastIndex = pos;
    var result = nextPartRe.exec(p);
    previous = current;
    current += result[0];
    base = previous + result[1];
    pos = nextPartRe.lastIndex;

    // continue if not a symlink
    if (knownHard[base] || (cache && cache[base] === base)) {
      return process.nextTick(LOOP);
    }

    if (cache && Object.prototype.hasOwnProperty.call(cache, base)) {
      // known symbolic link.  no need to stat again.
      return gotResolvedLink(cache[base]);
    }

    return fs.lstat(base, gotStat);
  }

  function gotStat(err, stat) {
    if (err) return cb(err);

    // if not a symlink, skip to the next path part
    if (!stat.isSymbolicLink()) {
      knownHard[base] = true;
      if (cache) cache[base] = base;
      return process.nextTick(LOOP);
    }

    // stat & read the link if not read before
    // call gotTarget as soon as the link target is known
    // dev/ino always return 0 on windows, so skip the check.
    if (!isWindows) {
      var id = stat.dev.toString(32) + ':' + stat.ino.toString(32);
      if (seenLinks.hasOwnProperty(id)) {
        return gotTarget(null, seenLinks[id], base);
      }
    }
    fs.stat(base, function(err) {
      if (err) return cb(err);

      fs.readlink(base, function(err, target) {
        if (!isWindows) seenLinks[id] = target;
        gotTarget(err, target);
      });
    });
  }

  function gotTarget(err, target, base) {
    if (err) return cb(err);

    var resolvedLink = pathModule.resolve(previous, target);
    if (cache) cache[base] = resolvedLink;
    gotResolvedLink(resolvedLink);
  }

  function gotResolvedLink(resolvedLink) {
    // resolve the link, then start over
    p = pathModule.resolve(resolvedLink, p.slice(pos));
    start();
  }
};


/***/ }),

/***/ 19320:
/***/ ((module) => {

"use strict";


/* eslint no-invalid-this: 1 */

var ERROR_MESSAGE = 'Function.prototype.bind called on incompatible ';
var slice = Array.prototype.slice;
var toStr = Object.prototype.toString;
var funcType = '[object Function]';

module.exports = function bind(that) {
    var target = this;
    if (typeof target !== 'function' || toStr.call(target) !== funcType) {
        throw new TypeError(ERROR_MESSAGE + target);
    }
    var args = slice.call(arguments, 1);

    var bound;
    var binder = function () {
        if (this instanceof bound) {
            var result = target.apply(
                this,
                args.concat(slice.call(arguments))
            );
            if (Object(result) === result) {
                return result;
            }
            return this;
        } else {
            return target.apply(
                that,
                args.concat(slice.call(arguments))
            );
        }
    };

    var boundLength = Math.max(0, target.length - args.length);
    var boundArgs = [];
    for (var i = 0; i < boundLength; i++) {
        boundArgs.push('$' + i);
    }

    bound = Function('binder', 'return function (' + boundArgs.join(',') + '){ return binder.apply(this,arguments); }')(binder);

    if (target.prototype) {
        var Empty = function Empty() {};
        Empty.prototype = target.prototype;
        bound.prototype = new Empty();
        Empty.prototype = null;
    }

    return bound;
};


/***/ }),

/***/ 88334:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var implementation = __nccwpck_require__(19320);

module.exports = Function.prototype.bind || implementation;


/***/ }),

/***/ 91585:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const {PassThrough: PassThroughStream} = __nccwpck_require__(12781);

module.exports = options => {
	options = {...options};

	const {array} = options;
	let {encoding} = options;
	const isBuffer = encoding === 'buffer';
	let objectMode = false;

	if (array) {
		objectMode = !(encoding || isBuffer);
	} else {
		encoding = encoding || 'utf8';
	}

	if (isBuffer) {
		encoding = null;
	}

	const stream = new PassThroughStream({objectMode});

	if (encoding) {
		stream.setEncoding(encoding);
	}

	let length = 0;
	const chunks = [];

	stream.on('data', chunk => {
		chunks.push(chunk);

		if (objectMode) {
			length = chunks.length;
		} else {
			length += chunk.length;
		}
	});

	stream.getBufferedValue = () => {
		if (array) {
			return chunks;
		}

		return isBuffer ? Buffer.concat(chunks, length) : chunks.join('');
	};

	stream.getBufferedLength = () => length;

	return stream;
};


/***/ }),

/***/ 21766:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const {constants: BufferConstants} = __nccwpck_require__(14300);
const pump = __nccwpck_require__(18341);
const bufferStream = __nccwpck_require__(91585);

class MaxBufferError extends Error {
	constructor() {
		super('maxBuffer exceeded');
		this.name = 'MaxBufferError';
	}
}

async function getStream(inputStream, options) {
	if (!inputStream) {
		return Promise.reject(new Error('Expected a stream'));
	}

	options = {
		maxBuffer: Infinity,
		...options
	};

	const {maxBuffer} = options;

	let stream;
	await new Promise((resolve, reject) => {
		const rejectPromise = error => {
			// Don't retrieve an oversized buffer.
			if (error && stream.getBufferedLength() <= BufferConstants.MAX_LENGTH) {
				error.bufferedData = stream.getBufferedValue();
			}

			reject(error);
		};

		stream = pump(inputStream, bufferStream(options), error => {
			if (error) {
				rejectPromise(error);
				return;
			}

			resolve();
		});

		stream.on('data', () => {
			if (stream.getBufferedLength() > maxBuffer) {
				rejectPromise(new MaxBufferError());
			}
		});
	});

	return stream.getBufferedValue();
}

module.exports = getStream;
// TODO: Remove this for the next major release
module.exports["default"] = getStream;
module.exports.buffer = (stream, options) => getStream(stream, {...options, encoding: 'buffer'});
module.exports.array = (stream, options) => getStream(stream, {...options, array: true});
module.exports.MaxBufferError = MaxBufferError;


/***/ }),

/***/ 54655:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var isGlob = __nccwpck_require__(34466);
var pathPosixDirname = (__nccwpck_require__(71017).posix.dirname);
var isWin32 = (__nccwpck_require__(22037).platform)() === 'win32';

var slash = '/';
var backslash = /\\/g;
var enclosure = /[\{\[].*[\}\]]$/;
var globby = /(^|[^\\])([\{\[]|\([^\)]+$)/;
var escaped = /\\([\!\*\?\|\[\]\(\)\{\}])/g;

/**
 * @param {string} str
 * @param {Object} opts
 * @param {boolean} [opts.flipBackslashes=true]
 * @returns {string}
 */
module.exports = function globParent(str, opts) {
  var options = Object.assign({ flipBackslashes: true }, opts);

  // flip windows path separators
  if (options.flipBackslashes && isWin32 && str.indexOf(slash) < 0) {
    str = str.replace(backslash, slash);
  }

  // special case for strings ending in enclosure containing path separator
  if (enclosure.test(str)) {
    str += slash;
  }

  // preserves full path in case of trailing path separator
  str += 'a';

  // remove path parts that are globby
  do {
    str = pathPosixDirname(str);
  } while (isGlob(str) || globby.test(str));

  // remove escape chars and return result
  return str.replace(escaped, '$1');
};


/***/ }),

/***/ 47625:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

exports.alphasort = alphasort
exports.alphasorti = alphasorti
exports.setopts = setopts
exports.ownProp = ownProp
exports.makeAbs = makeAbs
exports.finish = finish
exports.mark = mark
exports.isIgnored = isIgnored
exports.childrenIgnored = childrenIgnored

function ownProp (obj, field) {
  return Object.prototype.hasOwnProperty.call(obj, field)
}

var path = __nccwpck_require__(71017)
var minimatch = __nccwpck_require__(83973)
var isAbsolute = __nccwpck_require__(38714)
var Minimatch = minimatch.Minimatch

function alphasorti (a, b) {
  return a.toLowerCase().localeCompare(b.toLowerCase())
}

function alphasort (a, b) {
  return a.localeCompare(b)
}

function setupIgnores (self, options) {
  self.ignore = options.ignore || []

  if (!Array.isArray(self.ignore))
    self.ignore = [self.ignore]

  if (self.ignore.length) {
    self.ignore = self.ignore.map(ignoreMap)
  }
}

// ignore patterns are always in dot:true mode.
function ignoreMap (pattern) {
  var gmatcher = null
  if (pattern.slice(-3) === '/**') {
    var gpattern = pattern.replace(/(\/\*\*)+$/, '')
    gmatcher = new Minimatch(gpattern, { dot: true })
  }

  return {
    matcher: new Minimatch(pattern, { dot: true }),
    gmatcher: gmatcher
  }
}

function setopts (self, pattern, options) {
  if (!options)
    options = {}

  // base-matching: just use globstar for that.
  if (options.matchBase && -1 === pattern.indexOf("/")) {
    if (options.noglobstar) {
      throw new Error("base matching requires globstar")
    }
    pattern = "**/" + pattern
  }

  self.silent = !!options.silent
  self.pattern = pattern
  self.strict = options.strict !== false
  self.realpath = !!options.realpath
  self.realpathCache = options.realpathCache || Object.create(null)
  self.follow = !!options.follow
  self.dot = !!options.dot
  self.mark = !!options.mark
  self.nodir = !!options.nodir
  if (self.nodir)
    self.mark = true
  self.sync = !!options.sync
  self.nounique = !!options.nounique
  self.nonull = !!options.nonull
  self.nosort = !!options.nosort
  self.nocase = !!options.nocase
  self.stat = !!options.stat
  self.noprocess = !!options.noprocess
  self.absolute = !!options.absolute

  self.maxLength = options.maxLength || Infinity
  self.cache = options.cache || Object.create(null)
  self.statCache = options.statCache || Object.create(null)
  self.symlinks = options.symlinks || Object.create(null)

  setupIgnores(self, options)

  self.changedCwd = false
  var cwd = process.cwd()
  if (!ownProp(options, "cwd"))
    self.cwd = cwd
  else {
    self.cwd = path.resolve(options.cwd)
    self.changedCwd = self.cwd !== cwd
  }

  self.root = options.root || path.resolve(self.cwd, "/")
  self.root = path.resolve(self.root)
  if (process.platform === "win32")
    self.root = self.root.replace(/\\/g, "/")

  // TODO: is an absolute `cwd` supposed to be resolved against `root`?
  // e.g. { cwd: '/test', root: __dirname } === path.join(__dirname, '/test')
  self.cwdAbs = isAbsolute(self.cwd) ? self.cwd : makeAbs(self, self.cwd)
  if (process.platform === "win32")
    self.cwdAbs = self.cwdAbs.replace(/\\/g, "/")
  self.nomount = !!options.nomount

  // disable comments and negation in Minimatch.
  // Note that they are not supported in Glob itself anyway.
  options.nonegate = true
  options.nocomment = true

  self.minimatch = new Minimatch(pattern, options)
  self.options = self.minimatch.options
}

function finish (self) {
  var nou = self.nounique
  var all = nou ? [] : Object.create(null)

  for (var i = 0, l = self.matches.length; i < l; i ++) {
    var matches = self.matches[i]
    if (!matches || Object.keys(matches).length === 0) {
      if (self.nonull) {
        // do like the shell, and spit out the literal glob
        var literal = self.minimatch.globSet[i]
        if (nou)
          all.push(literal)
        else
          all[literal] = true
      }
    } else {
      // had matches
      var m = Object.keys(matches)
      if (nou)
        all.push.apply(all, m)
      else
        m.forEach(function (m) {
          all[m] = true
        })
    }
  }

  if (!nou)
    all = Object.keys(all)

  if (!self.nosort)
    all = all.sort(self.nocase ? alphasorti : alphasort)

  // at *some* point we statted all of these
  if (self.mark) {
    for (var i = 0; i < all.length; i++) {
      all[i] = self._mark(all[i])
    }
    if (self.nodir) {
      all = all.filter(function (e) {
        var notDir = !(/\/$/.test(e))
        var c = self.cache[e] || self.cache[makeAbs(self, e)]
        if (notDir && c)
          notDir = c !== 'DIR' && !Array.isArray(c)
        return notDir
      })
    }
  }

  if (self.ignore.length)
    all = all.filter(function(m) {
      return !isIgnored(self, m)
    })

  self.found = all
}

function mark (self, p) {
  var abs = makeAbs(self, p)
  var c = self.cache[abs]
  var m = p
  if (c) {
    var isDir = c === 'DIR' || Array.isArray(c)
    var slash = p.slice(-1) === '/'

    if (isDir && !slash)
      m += '/'
    else if (!isDir && slash)
      m = m.slice(0, -1)

    if (m !== p) {
      var mabs = makeAbs(self, m)
      self.statCache[mabs] = self.statCache[abs]
      self.cache[mabs] = self.cache[abs]
    }
  }

  return m
}

// lotta situps...
function makeAbs (self, f) {
  var abs = f
  if (f.charAt(0) === '/') {
    abs = path.join(self.root, f)
  } else if (isAbsolute(f) || f === '') {
    abs = f
  } else if (self.changedCwd) {
    abs = path.resolve(self.cwd, f)
  } else {
    abs = path.resolve(f)
  }

  if (process.platform === 'win32')
    abs = abs.replace(/\\/g, '/')

  return abs
}


// Return true, if pattern ends with globstar '**', for the accompanying parent directory.
// Ex:- If node_modules/** is the pattern, add 'node_modules' to ignore list along with it's contents
function isIgnored (self, path) {
  if (!self.ignore.length)
    return false

  return self.ignore.some(function(item) {
    return item.matcher.match(path) || !!(item.gmatcher && item.gmatcher.match(path))
  })
}

function childrenIgnored (self, path) {
  if (!self.ignore.length)
    return false

  return self.ignore.some(function(item) {
    return !!(item.gmatcher && item.gmatcher.match(path))
  })
}


/***/ }),

/***/ 91957:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

// Approach:
//
// 1. Get the minimatch set
// 2. For each pattern in the set, PROCESS(pattern, false)
// 3. Store matches per-set, then uniq them
//
// PROCESS(pattern, inGlobStar)
// Get the first [n] items from pattern that are all strings
// Join these together.  This is PREFIX.
//   If there is no more remaining, then stat(PREFIX) and
//   add to matches if it succeeds.  END.
//
// If inGlobStar and PREFIX is symlink and points to dir
//   set ENTRIES = []
// else readdir(PREFIX) as ENTRIES
//   If fail, END
//
// with ENTRIES
//   If pattern[n] is GLOBSTAR
//     // handle the case where the globstar match is empty
//     // by pruning it out, and testing the resulting pattern
//     PROCESS(pattern[0..n] + pattern[n+1 .. $], false)
//     // handle other cases.
//     for ENTRY in ENTRIES (not dotfiles)
//       // attach globstar + tail onto the entry
//       // Mark that this entry is a globstar match
//       PROCESS(pattern[0..n] + ENTRY + pattern[n .. $], true)
//
//   else // not globstar
//     for ENTRY in ENTRIES (not dotfiles, unless pattern[n] is dot)
//       Test ENTRY against pattern[n]
//       If fails, continue
//       If passes, PROCESS(pattern[0..n] + item + pattern[n+1 .. $])
//
// Caveat:
//   Cache all stats and readdirs results to minimize syscall.  Since all
//   we ever care about is existence and directory-ness, we can just keep
//   `true` for files, and [children,...] for directories, or `false` for
//   things that don't exist.

module.exports = glob

var fs = __nccwpck_require__(57147)
var rp = __nccwpck_require__(46863)
var minimatch = __nccwpck_require__(83973)
var Minimatch = minimatch.Minimatch
var inherits = __nccwpck_require__(44124)
var EE = (__nccwpck_require__(82361).EventEmitter)
var path = __nccwpck_require__(71017)
var assert = __nccwpck_require__(39491)
var isAbsolute = __nccwpck_require__(38714)
var globSync = __nccwpck_require__(29010)
var common = __nccwpck_require__(47625)
var alphasort = common.alphasort
var alphasorti = common.alphasorti
var setopts = common.setopts
var ownProp = common.ownProp
var inflight = __nccwpck_require__(52492)
var util = __nccwpck_require__(73837)
var childrenIgnored = common.childrenIgnored
var isIgnored = common.isIgnored

var once = __nccwpck_require__(1223)

function glob (pattern, options, cb) {
  if (typeof options === 'function') cb = options, options = {}
  if (!options) options = {}

  if (options.sync) {
    if (cb)
      throw new TypeError('callback provided to sync glob')
    return globSync(pattern, options)
  }

  return new Glob(pattern, options, cb)
}

glob.sync = globSync
var GlobSync = glob.GlobSync = globSync.GlobSync

// old api surface
glob.glob = glob

function extend (origin, add) {
  if (add === null || typeof add !== 'object') {
    return origin
  }

  var keys = Object.keys(add)
  var i = keys.length
  while (i--) {
    origin[keys[i]] = add[keys[i]]
  }
  return origin
}

glob.hasMagic = function (pattern, options_) {
  var options = extend({}, options_)
  options.noprocess = true

  var g = new Glob(pattern, options)
  var set = g.minimatch.set

  if (!pattern)
    return false

  if (set.length > 1)
    return true

  for (var j = 0; j < set[0].length; j++) {
    if (typeof set[0][j] !== 'string')
      return true
  }

  return false
}

glob.Glob = Glob
inherits(Glob, EE)
function Glob (pattern, options, cb) {
  if (typeof options === 'function') {
    cb = options
    options = null
  }

  if (options && options.sync) {
    if (cb)
      throw new TypeError('callback provided to sync glob')
    return new GlobSync(pattern, options)
  }

  if (!(this instanceof Glob))
    return new Glob(pattern, options, cb)

  setopts(this, pattern, options)
  this._didRealPath = false

  // process each pattern in the minimatch set
  var n = this.minimatch.set.length

  // The matches are stored as {<filename>: true,...} so that
  // duplicates are automagically pruned.
  // Later, we do an Object.keys() on these.
  // Keep them as a list so we can fill in when nonull is set.
  this.matches = new Array(n)

  if (typeof cb === 'function') {
    cb = once(cb)
    this.on('error', cb)
    this.on('end', function (matches) {
      cb(null, matches)
    })
  }

  var self = this
  this._processing = 0

  this._emitQueue = []
  this._processQueue = []
  this.paused = false

  if (this.noprocess)
    return this

  if (n === 0)
    return done()

  var sync = true
  for (var i = 0; i < n; i ++) {
    this._process(this.minimatch.set[i], i, false, done)
  }
  sync = false

  function done () {
    --self._processing
    if (self._processing <= 0) {
      if (sync) {
        process.nextTick(function () {
          self._finish()
        })
      } else {
        self._finish()
      }
    }
  }
}

Glob.prototype._finish = function () {
  assert(this instanceof Glob)
  if (this.aborted)
    return

  if (this.realpath && !this._didRealpath)
    return this._realpath()

  common.finish(this)
  this.emit('end', this.found)
}

Glob.prototype._realpath = function () {
  if (this._didRealpath)
    return

  this._didRealpath = true

  var n = this.matches.length
  if (n === 0)
    return this._finish()

  var self = this
  for (var i = 0; i < this.matches.length; i++)
    this._realpathSet(i, next)

  function next () {
    if (--n === 0)
      self._finish()
  }
}

Glob.prototype._realpathSet = function (index, cb) {
  var matchset = this.matches[index]
  if (!matchset)
    return cb()

  var found = Object.keys(matchset)
  var self = this
  var n = found.length

  if (n === 0)
    return cb()

  var set = this.matches[index] = Object.create(null)
  found.forEach(function (p, i) {
    // If there's a problem with the stat, then it means that
    // one or more of the links in the realpath couldn't be
    // resolved.  just return the abs value in that case.
    p = self._makeAbs(p)
    rp.realpath(p, self.realpathCache, function (er, real) {
      if (!er)
        set[real] = true
      else if (er.syscall === 'stat')
        set[p] = true
      else
        self.emit('error', er) // srsly wtf right here

      if (--n === 0) {
        self.matches[index] = set
        cb()
      }
    })
  })
}

Glob.prototype._mark = function (p) {
  return common.mark(this, p)
}

Glob.prototype._makeAbs = function (f) {
  return common.makeAbs(this, f)
}

Glob.prototype.abort = function () {
  this.aborted = true
  this.emit('abort')
}

Glob.prototype.pause = function () {
  if (!this.paused) {
    this.paused = true
    this.emit('pause')
  }
}

Glob.prototype.resume = function () {
  if (this.paused) {
    this.emit('resume')
    this.paused = false
    if (this._emitQueue.length) {
      var eq = this._emitQueue.slice(0)
      this._emitQueue.length = 0
      for (var i = 0; i < eq.length; i ++) {
        var e = eq[i]
        this._emitMatch(e[0], e[1])
      }
    }
    if (this._processQueue.length) {
      var pq = this._processQueue.slice(0)
      this._processQueue.length = 0
      for (var i = 0; i < pq.length; i ++) {
        var p = pq[i]
        this._processing--
        this._process(p[0], p[1], p[2], p[3])
      }
    }
  }
}

Glob.prototype._process = function (pattern, index, inGlobStar, cb) {
  assert(this instanceof Glob)
  assert(typeof cb === 'function')

  if (this.aborted)
    return

  this._processing++
  if (this.paused) {
    this._processQueue.push([pattern, index, inGlobStar, cb])
    return
  }

  //console.error('PROCESS %d', this._processing, pattern)

  // Get the first [n] parts of pattern that are all strings.
  var n = 0
  while (typeof pattern[n] === 'string') {
    n ++
  }
  // now n is the index of the first one that is *not* a string.

  // see if there's anything else
  var prefix
  switch (n) {
    // if not, then this is rather simple
    case pattern.length:
      this._processSimple(pattern.join('/'), index, cb)
      return

    case 0:
      // pattern *starts* with some non-trivial item.
      // going to readdir(cwd), but not include the prefix in matches.
      prefix = null
      break

    default:
      // pattern has some string bits in the front.
      // whatever it starts with, whether that's 'absolute' like /foo/bar,
      // or 'relative' like '../baz'
      prefix = pattern.slice(0, n).join('/')
      break
  }

  var remain = pattern.slice(n)

  // get the list of entries.
  var read
  if (prefix === null)
    read = '.'
  else if (isAbsolute(prefix) || isAbsolute(pattern.join('/'))) {
    if (!prefix || !isAbsolute(prefix))
      prefix = '/' + prefix
    read = prefix
  } else
    read = prefix

  var abs = this._makeAbs(read)

  //if ignored, skip _processing
  if (childrenIgnored(this, read))
    return cb()

  var isGlobStar = remain[0] === minimatch.GLOBSTAR
  if (isGlobStar)
    this._processGlobStar(prefix, read, abs, remain, index, inGlobStar, cb)
  else
    this._processReaddir(prefix, read, abs, remain, index, inGlobStar, cb)
}

Glob.prototype._processReaddir = function (prefix, read, abs, remain, index, inGlobStar, cb) {
  var self = this
  this._readdir(abs, inGlobStar, function (er, entries) {
    return self._processReaddir2(prefix, read, abs, remain, index, inGlobStar, entries, cb)
  })
}

Glob.prototype._processReaddir2 = function (prefix, read, abs, remain, index, inGlobStar, entries, cb) {

  // if the abs isn't a dir, then nothing can match!
  if (!entries)
    return cb()

  // It will only match dot entries if it starts with a dot, or if
  // dot is set.  Stuff like @(.foo|.bar) isn't allowed.
  var pn = remain[0]
  var negate = !!this.minimatch.negate
  var rawGlob = pn._glob
  var dotOk = this.dot || rawGlob.charAt(0) === '.'

  var matchedEntries = []
  for (var i = 0; i < entries.length; i++) {
    var e = entries[i]
    if (e.charAt(0) !== '.' || dotOk) {
      var m
      if (negate && !prefix) {
        m = !e.match(pn)
      } else {
        m = e.match(pn)
      }
      if (m)
        matchedEntries.push(e)
    }
  }

  //console.error('prd2', prefix, entries, remain[0]._glob, matchedEntries)

  var len = matchedEntries.length
  // If there are no matched entries, then nothing matches.
  if (len === 0)
    return cb()

  // if this is the last remaining pattern bit, then no need for
  // an additional stat *unless* the user has specified mark or
  // stat explicitly.  We know they exist, since readdir returned
  // them.

  if (remain.length === 1 && !this.mark && !this.stat) {
    if (!this.matches[index])
      this.matches[index] = Object.create(null)

    for (var i = 0; i < len; i ++) {
      var e = matchedEntries[i]
      if (prefix) {
        if (prefix !== '/')
          e = prefix + '/' + e
        else
          e = prefix + e
      }

      if (e.charAt(0) === '/' && !this.nomount) {
        e = path.join(this.root, e)
      }
      this._emitMatch(index, e)
    }
    // This was the last one, and no stats were needed
    return cb()
  }

  // now test all matched entries as stand-ins for that part
  // of the pattern.
  remain.shift()
  for (var i = 0; i < len; i ++) {
    var e = matchedEntries[i]
    var newPattern
    if (prefix) {
      if (prefix !== '/')
        e = prefix + '/' + e
      else
        e = prefix + e
    }
    this._process([e].concat(remain), index, inGlobStar, cb)
  }
  cb()
}

Glob.prototype._emitMatch = function (index, e) {
  if (this.aborted)
    return

  if (isIgnored(this, e))
    return

  if (this.paused) {
    this._emitQueue.push([index, e])
    return
  }

  var abs = isAbsolute(e) ? e : this._makeAbs(e)

  if (this.mark)
    e = this._mark(e)

  if (this.absolute)
    e = abs

  if (this.matches[index][e])
    return

  if (this.nodir) {
    var c = this.cache[abs]
    if (c === 'DIR' || Array.isArray(c))
      return
  }

  this.matches[index][e] = true

  var st = this.statCache[abs]
  if (st)
    this.emit('stat', e, st)

  this.emit('match', e)
}

Glob.prototype._readdirInGlobStar = function (abs, cb) {
  if (this.aborted)
    return

  // follow all symlinked directories forever
  // just proceed as if this is a non-globstar situation
  if (this.follow)
    return this._readdir(abs, false, cb)

  var lstatkey = 'lstat\0' + abs
  var self = this
  var lstatcb = inflight(lstatkey, lstatcb_)

  if (lstatcb)
    fs.lstat(abs, lstatcb)

  function lstatcb_ (er, lstat) {
    if (er && er.code === 'ENOENT')
      return cb()

    var isSym = lstat && lstat.isSymbolicLink()
    self.symlinks[abs] = isSym

    // If it's not a symlink or a dir, then it's definitely a regular file.
    // don't bother doing a readdir in that case.
    if (!isSym && lstat && !lstat.isDirectory()) {
      self.cache[abs] = 'FILE'
      cb()
    } else
      self._readdir(abs, false, cb)
  }
}

Glob.prototype._readdir = function (abs, inGlobStar, cb) {
  if (this.aborted)
    return

  cb = inflight('readdir\0'+abs+'\0'+inGlobStar, cb)
  if (!cb)
    return

  //console.error('RD %j %j', +inGlobStar, abs)
  if (inGlobStar && !ownProp(this.symlinks, abs))
    return this._readdirInGlobStar(abs, cb)

  if (ownProp(this.cache, abs)) {
    var c = this.cache[abs]
    if (!c || c === 'FILE')
      return cb()

    if (Array.isArray(c))
      return cb(null, c)
  }

  var self = this
  fs.readdir(abs, readdirCb(this, abs, cb))
}

function readdirCb (self, abs, cb) {
  return function (er, entries) {
    if (er)
      self._readdirError(abs, er, cb)
    else
      self._readdirEntries(abs, entries, cb)
  }
}

Glob.prototype._readdirEntries = function (abs, entries, cb) {
  if (this.aborted)
    return

  // if we haven't asked to stat everything, then just
  // assume that everything in there exists, so we can avoid
  // having to stat it a second time.
  if (!this.mark && !this.stat) {
    for (var i = 0; i < entries.length; i ++) {
      var e = entries[i]
      if (abs === '/')
        e = abs + e
      else
        e = abs + '/' + e
      this.cache[e] = true
    }
  }

  this.cache[abs] = entries
  return cb(null, entries)
}

Glob.prototype._readdirError = function (f, er, cb) {
  if (this.aborted)
    return

  // handle errors, and cache the information
  switch (er.code) {
    case 'ENOTSUP': // https://github.com/isaacs/node-glob/issues/205
    case 'ENOTDIR': // totally normal. means it *does* exist.
      var abs = this._makeAbs(f)
      this.cache[abs] = 'FILE'
      if (abs === this.cwdAbs) {
        var error = new Error(er.code + ' invalid cwd ' + this.cwd)
        error.path = this.cwd
        error.code = er.code
        this.emit('error', error)
        this.abort()
      }
      break

    case 'ENOENT': // not terribly unusual
    case 'ELOOP':
    case 'ENAMETOOLONG':
    case 'UNKNOWN':
      this.cache[this._makeAbs(f)] = false
      break

    default: // some unusual error.  Treat as failure.
      this.cache[this._makeAbs(f)] = false
      if (this.strict) {
        this.emit('error', er)
        // If the error is handled, then we abort
        // if not, we threw out of here
        this.abort()
      }
      if (!this.silent)
        console.error('glob error', er)
      break
  }

  return cb()
}

Glob.prototype._processGlobStar = function (prefix, read, abs, remain, index, inGlobStar, cb) {
  var self = this
  this._readdir(abs, inGlobStar, function (er, entries) {
    self._processGlobStar2(prefix, read, abs, remain, index, inGlobStar, entries, cb)
  })
}


Glob.prototype._processGlobStar2 = function (prefix, read, abs, remain, index, inGlobStar, entries, cb) {
  //console.error('pgs2', prefix, remain[0], entries)

  // no entries means not a dir, so it can never have matches
  // foo.txt/** doesn't match foo.txt
  if (!entries)
    return cb()

  // test without the globstar, and with every child both below
  // and replacing the globstar.
  var remainWithoutGlobStar = remain.slice(1)
  var gspref = prefix ? [ prefix ] : []
  var noGlobStar = gspref.concat(remainWithoutGlobStar)

  // the noGlobStar pattern exits the inGlobStar state
  this._process(noGlobStar, index, false, cb)

  var isSym = this.symlinks[abs]
  var len = entries.length

  // If it's a symlink, and we're in a globstar, then stop
  if (isSym && inGlobStar)
    return cb()

  for (var i = 0; i < len; i++) {
    var e = entries[i]
    if (e.charAt(0) === '.' && !this.dot)
      continue

    // these two cases enter the inGlobStar state
    var instead = gspref.concat(entries[i], remainWithoutGlobStar)
    this._process(instead, index, true, cb)

    var below = gspref.concat(entries[i], remain)
    this._process(below, index, true, cb)
  }

  cb()
}

Glob.prototype._processSimple = function (prefix, index, cb) {
  // XXX review this.  Shouldn't it be doing the mounting etc
  // before doing stat?  kinda weird?
  var self = this
  this._stat(prefix, function (er, exists) {
    self._processSimple2(prefix, index, er, exists, cb)
  })
}
Glob.prototype._processSimple2 = function (prefix, index, er, exists, cb) {

  //console.error('ps2', prefix, exists)

  if (!this.matches[index])
    this.matches[index] = Object.create(null)

  // If it doesn't exist, then just mark the lack of results
  if (!exists)
    return cb()

  if (prefix && isAbsolute(prefix) && !this.nomount) {
    var trail = /[\/\\]$/.test(prefix)
    if (prefix.charAt(0) === '/') {
      prefix = path.join(this.root, prefix)
    } else {
      prefix = path.resolve(this.root, prefix)
      if (trail)
        prefix += '/'
    }
  }

  if (process.platform === 'win32')
    prefix = prefix.replace(/\\/g, '/')

  // Mark this as a match
  this._emitMatch(index, prefix)
  cb()
}

// Returns either 'DIR', 'FILE', or false
Glob.prototype._stat = function (f, cb) {
  var abs = this._makeAbs(f)
  var needDir = f.slice(-1) === '/'

  if (f.length > this.maxLength)
    return cb()

  if (!this.stat && ownProp(this.cache, abs)) {
    var c = this.cache[abs]

    if (Array.isArray(c))
      c = 'DIR'

    // It exists, but maybe not how we need it
    if (!needDir || c === 'DIR')
      return cb(null, c)

    if (needDir && c === 'FILE')
      return cb()

    // otherwise we have to stat, because maybe c=true
    // if we know it exists, but not what it is.
  }

  var exists
  var stat = this.statCache[abs]
  if (stat !== undefined) {
    if (stat === false)
      return cb(null, stat)
    else {
      var type = stat.isDirectory() ? 'DIR' : 'FILE'
      if (needDir && type === 'FILE')
        return cb()
      else
        return cb(null, type, stat)
    }
  }

  var self = this
  var statcb = inflight('stat\0' + abs, lstatcb_)
  if (statcb)
    fs.lstat(abs, statcb)

  function lstatcb_ (er, lstat) {
    if (lstat && lstat.isSymbolicLink()) {
      // If it's a symlink, then treat it as the target, unless
      // the target does not exist, then treat it as a file.
      return fs.stat(abs, function (er, stat) {
        if (er)
          self._stat2(f, abs, null, lstat, cb)
        else
          self._stat2(f, abs, er, stat, cb)
      })
    } else {
      self._stat2(f, abs, er, lstat, cb)
    }
  }
}

Glob.prototype._stat2 = function (f, abs, er, stat, cb) {
  if (er && (er.code === 'ENOENT' || er.code === 'ENOTDIR')) {
    this.statCache[abs] = false
    return cb()
  }

  var needDir = f.slice(-1) === '/'
  this.statCache[abs] = stat

  if (abs.slice(-1) === '/' && stat && !stat.isDirectory())
    return cb(null, false, stat)

  var c = true
  if (stat)
    c = stat.isDirectory() ? 'DIR' : 'FILE'
  this.cache[abs] = this.cache[abs] || c

  if (needDir && c === 'FILE')
    return cb()

  return cb(null, c, stat)
}


/***/ }),

/***/ 29010:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

module.exports = globSync
globSync.GlobSync = GlobSync

var fs = __nccwpck_require__(57147)
var rp = __nccwpck_require__(46863)
var minimatch = __nccwpck_require__(83973)
var Minimatch = minimatch.Minimatch
var Glob = (__nccwpck_require__(91957).Glob)
var util = __nccwpck_require__(73837)
var path = __nccwpck_require__(71017)
var assert = __nccwpck_require__(39491)
var isAbsolute = __nccwpck_require__(38714)
var common = __nccwpck_require__(47625)
var alphasort = common.alphasort
var alphasorti = common.alphasorti
var setopts = common.setopts
var ownProp = common.ownProp
var childrenIgnored = common.childrenIgnored
var isIgnored = common.isIgnored

function globSync (pattern, options) {
  if (typeof options === 'function' || arguments.length === 3)
    throw new TypeError('callback provided to sync glob\n'+
                        'See: https://github.com/isaacs/node-glob/issues/167')

  return new GlobSync(pattern, options).found
}

function GlobSync (pattern, options) {
  if (!pattern)
    throw new Error('must provide pattern')

  if (typeof options === 'function' || arguments.length === 3)
    throw new TypeError('callback provided to sync glob\n'+
                        'See: https://github.com/isaacs/node-glob/issues/167')

  if (!(this instanceof GlobSync))
    return new GlobSync(pattern, options)

  setopts(this, pattern, options)

  if (this.noprocess)
    return this

  var n = this.minimatch.set.length
  this.matches = new Array(n)
  for (var i = 0; i < n; i ++) {
    this._process(this.minimatch.set[i], i, false)
  }
  this._finish()
}

GlobSync.prototype._finish = function () {
  assert(this instanceof GlobSync)
  if (this.realpath) {
    var self = this
    this.matches.forEach(function (matchset, index) {
      var set = self.matches[index] = Object.create(null)
      for (var p in matchset) {
        try {
          p = self._makeAbs(p)
          var real = rp.realpathSync(p, self.realpathCache)
          set[real] = true
        } catch (er) {
          if (er.syscall === 'stat')
            set[self._makeAbs(p)] = true
          else
            throw er
        }
      }
    })
  }
  common.finish(this)
}


GlobSync.prototype._process = function (pattern, index, inGlobStar) {
  assert(this instanceof GlobSync)

  // Get the first [n] parts of pattern that are all strings.
  var n = 0
  while (typeof pattern[n] === 'string') {
    n ++
  }
  // now n is the index of the first one that is *not* a string.

  // See if there's anything else
  var prefix
  switch (n) {
    // if not, then this is rather simple
    case pattern.length:
      this._processSimple(pattern.join('/'), index)
      return

    case 0:
      // pattern *starts* with some non-trivial item.
      // going to readdir(cwd), but not include the prefix in matches.
      prefix = null
      break

    default:
      // pattern has some string bits in the front.
      // whatever it starts with, whether that's 'absolute' like /foo/bar,
      // or 'relative' like '../baz'
      prefix = pattern.slice(0, n).join('/')
      break
  }

  var remain = pattern.slice(n)

  // get the list of entries.
  var read
  if (prefix === null)
    read = '.'
  else if (isAbsolute(prefix) || isAbsolute(pattern.join('/'))) {
    if (!prefix || !isAbsolute(prefix))
      prefix = '/' + prefix
    read = prefix
  } else
    read = prefix

  var abs = this._makeAbs(read)

  //if ignored, skip processing
  if (childrenIgnored(this, read))
    return

  var isGlobStar = remain[0] === minimatch.GLOBSTAR
  if (isGlobStar)
    this._processGlobStar(prefix, read, abs, remain, index, inGlobStar)
  else
    this._processReaddir(prefix, read, abs, remain, index, inGlobStar)
}


GlobSync.prototype._processReaddir = function (prefix, read, abs, remain, index, inGlobStar) {
  var entries = this._readdir(abs, inGlobStar)

  // if the abs isn't a dir, then nothing can match!
  if (!entries)
    return

  // It will only match dot entries if it starts with a dot, or if
  // dot is set.  Stuff like @(.foo|.bar) isn't allowed.
  var pn = remain[0]
  var negate = !!this.minimatch.negate
  var rawGlob = pn._glob
  var dotOk = this.dot || rawGlob.charAt(0) === '.'

  var matchedEntries = []
  for (var i = 0; i < entries.length; i++) {
    var e = entries[i]
    if (e.charAt(0) !== '.' || dotOk) {
      var m
      if (negate && !prefix) {
        m = !e.match(pn)
      } else {
        m = e.match(pn)
      }
      if (m)
        matchedEntries.push(e)
    }
  }

  var len = matchedEntries.length
  // If there are no matched entries, then nothing matches.
  if (len === 0)
    return

  // if this is the last remaining pattern bit, then no need for
  // an additional stat *unless* the user has specified mark or
  // stat explicitly.  We know they exist, since readdir returned
  // them.

  if (remain.length === 1 && !this.mark && !this.stat) {
    if (!this.matches[index])
      this.matches[index] = Object.create(null)

    for (var i = 0; i < len; i ++) {
      var e = matchedEntries[i]
      if (prefix) {
        if (prefix.slice(-1) !== '/')
          e = prefix + '/' + e
        else
          e = prefix + e
      }

      if (e.charAt(0) === '/' && !this.nomount) {
        e = path.join(this.root, e)
      }
      this._emitMatch(index, e)
    }
    // This was the last one, and no stats were needed
    return
  }

  // now test all matched entries as stand-ins for that part
  // of the pattern.
  remain.shift()
  for (var i = 0; i < len; i ++) {
    var e = matchedEntries[i]
    var newPattern
    if (prefix)
      newPattern = [prefix, e]
    else
      newPattern = [e]
    this._process(newPattern.concat(remain), index, inGlobStar)
  }
}


GlobSync.prototype._emitMatch = function (index, e) {
  if (isIgnored(this, e))
    return

  var abs = this._makeAbs(e)

  if (this.mark)
    e = this._mark(e)

  if (this.absolute) {
    e = abs
  }

  if (this.matches[index][e])
    return

  if (this.nodir) {
    var c = this.cache[abs]
    if (c === 'DIR' || Array.isArray(c))
      return
  }

  this.matches[index][e] = true

  if (this.stat)
    this._stat(e)
}


GlobSync.prototype._readdirInGlobStar = function (abs) {
  // follow all symlinked directories forever
  // just proceed as if this is a non-globstar situation
  if (this.follow)
    return this._readdir(abs, false)

  var entries
  var lstat
  var stat
  try {
    lstat = fs.lstatSync(abs)
  } catch (er) {
    if (er.code === 'ENOENT') {
      // lstat failed, doesn't exist
      return null
    }
  }

  var isSym = lstat && lstat.isSymbolicLink()
  this.symlinks[abs] = isSym

  // If it's not a symlink or a dir, then it's definitely a regular file.
  // don't bother doing a readdir in that case.
  if (!isSym && lstat && !lstat.isDirectory())
    this.cache[abs] = 'FILE'
  else
    entries = this._readdir(abs, false)

  return entries
}

GlobSync.prototype._readdir = function (abs, inGlobStar) {
  var entries

  if (inGlobStar && !ownProp(this.symlinks, abs))
    return this._readdirInGlobStar(abs)

  if (ownProp(this.cache, abs)) {
    var c = this.cache[abs]
    if (!c || c === 'FILE')
      return null

    if (Array.isArray(c))
      return c
  }

  try {
    return this._readdirEntries(abs, fs.readdirSync(abs))
  } catch (er) {
    this._readdirError(abs, er)
    return null
  }
}

GlobSync.prototype._readdirEntries = function (abs, entries) {
  // if we haven't asked to stat everything, then just
  // assume that everything in there exists, so we can avoid
  // having to stat it a second time.
  if (!this.mark && !this.stat) {
    for (var i = 0; i < entries.length; i ++) {
      var e = entries[i]
      if (abs === '/')
        e = abs + e
      else
        e = abs + '/' + e
      this.cache[e] = true
    }
  }

  this.cache[abs] = entries

  // mark and cache dir-ness
  return entries
}

GlobSync.prototype._readdirError = function (f, er) {
  // handle errors, and cache the information
  switch (er.code) {
    case 'ENOTSUP': // https://github.com/isaacs/node-glob/issues/205
    case 'ENOTDIR': // totally normal. means it *does* exist.
      var abs = this._makeAbs(f)
      this.cache[abs] = 'FILE'
      if (abs === this.cwdAbs) {
        var error = new Error(er.code + ' invalid cwd ' + this.cwd)
        error.path = this.cwd
        error.code = er.code
        throw error
      }
      break

    case 'ENOENT': // not terribly unusual
    case 'ELOOP':
    case 'ENAMETOOLONG':
    case 'UNKNOWN':
      this.cache[this._makeAbs(f)] = false
      break

    default: // some unusual error.  Treat as failure.
      this.cache[this._makeAbs(f)] = false
      if (this.strict)
        throw er
      if (!this.silent)
        console.error('glob error', er)
      break
  }
}

GlobSync.prototype._processGlobStar = function (prefix, read, abs, remain, index, inGlobStar) {

  var entries = this._readdir(abs, inGlobStar)

  // no entries means not a dir, so it can never have matches
  // foo.txt/** doesn't match foo.txt
  if (!entries)
    return

  // test without the globstar, and with every child both below
  // and replacing the globstar.
  var remainWithoutGlobStar = remain.slice(1)
  var gspref = prefix ? [ prefix ] : []
  var noGlobStar = gspref.concat(remainWithoutGlobStar)

  // the noGlobStar pattern exits the inGlobStar state
  this._process(noGlobStar, index, false)

  var len = entries.length
  var isSym = this.symlinks[abs]

  // If it's a symlink, and we're in a globstar, then stop
  if (isSym && inGlobStar)
    return

  for (var i = 0; i < len; i++) {
    var e = entries[i]
    if (e.charAt(0) === '.' && !this.dot)
      continue

    // these two cases enter the inGlobStar state
    var instead = gspref.concat(entries[i], remainWithoutGlobStar)
    this._process(instead, index, true)

    var below = gspref.concat(entries[i], remain)
    this._process(below, index, true)
  }
}

GlobSync.prototype._processSimple = function (prefix, index) {
  // XXX review this.  Shouldn't it be doing the mounting etc
  // before doing stat?  kinda weird?
  var exists = this._stat(prefix)

  if (!this.matches[index])
    this.matches[index] = Object.create(null)

  // If it doesn't exist, then just mark the lack of results
  if (!exists)
    return

  if (prefix && isAbsolute(prefix) && !this.nomount) {
    var trail = /[\/\\]$/.test(prefix)
    if (prefix.charAt(0) === '/') {
      prefix = path.join(this.root, prefix)
    } else {
      prefix = path.resolve(this.root, prefix)
      if (trail)
        prefix += '/'
    }
  }

  if (process.platform === 'win32')
    prefix = prefix.replace(/\\/g, '/')

  // Mark this as a match
  this._emitMatch(index, prefix)
}

// Returns either 'DIR', 'FILE', or false
GlobSync.prototype._stat = function (f) {
  var abs = this._makeAbs(f)
  var needDir = f.slice(-1) === '/'

  if (f.length > this.maxLength)
    return false

  if (!this.stat && ownProp(this.cache, abs)) {
    var c = this.cache[abs]

    if (Array.isArray(c))
      c = 'DIR'

    // It exists, but maybe not how we need it
    if (!needDir || c === 'DIR')
      return c

    if (needDir && c === 'FILE')
      return false

    // otherwise we have to stat, because maybe c=true
    // if we know it exists, but not what it is.
  }

  var exists
  var stat = this.statCache[abs]
  if (!stat) {
    var lstat
    try {
      lstat = fs.lstatSync(abs)
    } catch (er) {
      if (er && (er.code === 'ENOENT' || er.code === 'ENOTDIR')) {
        this.statCache[abs] = false
        return false
      }
    }

    if (lstat && lstat.isSymbolicLink()) {
      try {
        stat = fs.statSync(abs)
      } catch (er) {
        stat = lstat
      }
    } else {
      stat = lstat
    }
  }

  this.statCache[abs] = stat

  var c = true
  if (stat)
    c = stat.isDirectory() ? 'DIR' : 'FILE'

  this.cache[abs] = this.cache[abs] || c

  if (needDir && c === 'FILE')
    return false

  return c
}

GlobSync.prototype._mark = function (p) {
  return common.mark(this, p)
}

GlobSync.prototype._makeAbs = function (f) {
  return common.makeAbs(this, f)
}


/***/ }),

/***/ 89038:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const {promisify} = __nccwpck_require__(73837);
const fs = __nccwpck_require__(57147);
const path = __nccwpck_require__(71017);
const fastGlob = __nccwpck_require__(43664);
const gitIgnore = __nccwpck_require__(91230);
const slash = __nccwpck_require__(97543);

const DEFAULT_IGNORE = [
	'**/node_modules/**',
	'**/flow-typed/**',
	'**/coverage/**',
	'**/.git'
];

const readFileP = promisify(fs.readFile);

const mapGitIgnorePatternTo = base => ignore => {
	if (ignore.startsWith('!')) {
		return '!' + path.posix.join(base, ignore.slice(1));
	}

	return path.posix.join(base, ignore);
};

const parseGitIgnore = (content, options) => {
	const base = slash(path.relative(options.cwd, path.dirname(options.fileName)));

	return content
		.split(/\r?\n/)
		.filter(Boolean)
		.filter(line => !line.startsWith('#'))
		.map(mapGitIgnorePatternTo(base));
};

const reduceIgnore = files => {
	return files.reduce((ignores, file) => {
		ignores.add(parseGitIgnore(file.content, {
			cwd: file.cwd,
			fileName: file.filePath
		}));
		return ignores;
	}, gitIgnore());
};

const ensureAbsolutePathForCwd = (cwd, p) => {
	if (path.isAbsolute(p)) {
		if (p.startsWith(cwd)) {
			return p;
		}

		throw new Error(`Path ${p} is not in cwd ${cwd}`);
	}

	return path.join(cwd, p);
};

const getIsIgnoredPredecate = (ignores, cwd) => {
	return p => ignores.ignores(slash(path.relative(cwd, ensureAbsolutePathForCwd(cwd, p))));
};

const getFile = async (file, cwd) => {
	const filePath = path.join(cwd, file);
	const content = await readFileP(filePath, 'utf8');

	return {
		cwd,
		filePath,
		content
	};
};

const getFileSync = (file, cwd) => {
	const filePath = path.join(cwd, file);
	const content = fs.readFileSync(filePath, 'utf8');

	return {
		cwd,
		filePath,
		content
	};
};

const normalizeOptions = ({
	ignore = [],
	cwd = slash(process.cwd())
} = {}) => {
	return {ignore, cwd};
};

module.exports = async options => {
	options = normalizeOptions(options);

	const paths = await fastGlob('**/.gitignore', {
		ignore: DEFAULT_IGNORE.concat(options.ignore),
		cwd: options.cwd
	});

	const files = await Promise.all(paths.map(file => getFile(file, options.cwd)));
	const ignores = reduceIgnore(files);

	return getIsIgnoredPredecate(ignores, options.cwd);
};

module.exports.sync = options => {
	options = normalizeOptions(options);

	const paths = fastGlob.sync('**/.gitignore', {
		ignore: DEFAULT_IGNORE.concat(options.ignore),
		cwd: options.cwd
	});

	const files = paths.map(file => getFileSync(file, options.cwd));
	const ignores = reduceIgnore(files);

	return getIsIgnoredPredecate(ignores, options.cwd);
};


/***/ }),

/***/ 43398:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const fs = __nccwpck_require__(57147);
const arrayUnion = __nccwpck_require__(99600);
const merge2 = __nccwpck_require__(82578);
const glob = __nccwpck_require__(91957);
const fastGlob = __nccwpck_require__(43664);
const dirGlob = __nccwpck_require__(12738);
const gitignore = __nccwpck_require__(89038);
const {FilterStream, UniqueStream} = __nccwpck_require__(32408);

const DEFAULT_FILTER = () => false;

const isNegative = pattern => pattern[0] === '!';

const assertPatternsInput = patterns => {
	if (!patterns.every(pattern => typeof pattern === 'string')) {
		throw new TypeError('Patterns must be a string or an array of strings');
	}
};

const checkCwdOption = (options = {}) => {
	if (!options.cwd) {
		return;
	}

	let stat;
	try {
		stat = fs.statSync(options.cwd);
	} catch (_) {
		return;
	}

	if (!stat.isDirectory()) {
		throw new Error('The `cwd` option must be a path to a directory');
	}
};

const getPathString = p => p.stats instanceof fs.Stats ? p.path : p;

const generateGlobTasks = (patterns, taskOptions) => {
	patterns = arrayUnion([].concat(patterns));
	assertPatternsInput(patterns);
	checkCwdOption(taskOptions);

	const globTasks = [];

	taskOptions = {
		ignore: [],
		expandDirectories: true,
		...taskOptions
	};

	for (const [index, pattern] of patterns.entries()) {
		if (isNegative(pattern)) {
			continue;
		}

		const ignore = patterns
			.slice(index)
			.filter(isNegative)
			.map(pattern => pattern.slice(1));

		const options = {
			...taskOptions,
			ignore: taskOptions.ignore.concat(ignore)
		};

		globTasks.push({pattern, options});
	}

	return globTasks;
};

const globDirs = (task, fn) => {
	let options = {};
	if (task.options.cwd) {
		options.cwd = task.options.cwd;
	}

	if (Array.isArray(task.options.expandDirectories)) {
		options = {
			...options,
			files: task.options.expandDirectories
		};
	} else if (typeof task.options.expandDirectories === 'object') {
		options = {
			...options,
			...task.options.expandDirectories
		};
	}

	return fn(task.pattern, options);
};

const getPattern = (task, fn) => task.options.expandDirectories ? globDirs(task, fn) : [task.pattern];

const getFilterSync = options => {
	return options && options.gitignore ?
		gitignore.sync({cwd: options.cwd, ignore: options.ignore}) :
		DEFAULT_FILTER;
};

const globToTask = task => glob => {
	const {options} = task;
	if (options.ignore && Array.isArray(options.ignore) && options.expandDirectories) {
		options.ignore = dirGlob.sync(options.ignore);
	}

	return {
		pattern: glob,
		options
	};
};

module.exports = async (patterns, options) => {
	const globTasks = generateGlobTasks(patterns, options);

	const getFilter = async () => {
		return options && options.gitignore ?
			gitignore({cwd: options.cwd, ignore: options.ignore}) :
			DEFAULT_FILTER;
	};

	const getTasks = async () => {
		const tasks = await Promise.all(globTasks.map(async task => {
			const globs = await getPattern(task, dirGlob);
			return Promise.all(globs.map(globToTask(task)));
		}));

		return arrayUnion(...tasks);
	};

	const [filter, tasks] = await Promise.all([getFilter(), getTasks()]);
	const paths = await Promise.all(tasks.map(task => fastGlob(task.pattern, task.options)));

	return arrayUnion(...paths).filter(path_ => !filter(getPathString(path_)));
};

module.exports.sync = (patterns, options) => {
	const globTasks = generateGlobTasks(patterns, options);

	const tasks = globTasks.reduce((tasks, task) => {
		const newTask = getPattern(task, dirGlob.sync).map(globToTask(task));
		return tasks.concat(newTask);
	}, []);

	const filter = getFilterSync(options);

	return tasks.reduce(
		(matches, task) => arrayUnion(matches, fastGlob.sync(task.pattern, task.options)),
		[]
	).filter(path_ => !filter(path_));
};

module.exports.stream = (patterns, options) => {
	const globTasks = generateGlobTasks(patterns, options);

	const tasks = globTasks.reduce((tasks, task) => {
		const newTask = getPattern(task, dirGlob.sync).map(globToTask(task));
		return tasks.concat(newTask);
	}, []);

	const filter = getFilterSync(options);
	const filterStream = new FilterStream(p => !filter(p));
	const uniqueStream = new UniqueStream();

	return merge2(tasks.map(task => fastGlob.stream(task.pattern, task.options)))
		.pipe(filterStream)
		.pipe(uniqueStream);
};

module.exports.generateGlobTasks = generateGlobTasks;

module.exports.hasMagic = (patterns, options) => []
	.concat(patterns)
	.some(pattern => glob.hasMagic(pattern, options));

module.exports.gitignore = gitignore;


/***/ }),

/***/ 32408:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const {Transform} = __nccwpck_require__(12781);

class ObjectTransform extends Transform {
	constructor() {
		super({
			objectMode: true
		});
	}
}

class FilterStream extends ObjectTransform {
	constructor(filter) {
		super();
		this._filter = filter;
	}

	_transform(data, encoding, callback) {
		if (this._filter(data)) {
			this.push(data);
		}

		callback();
	}
}

class UniqueStream extends ObjectTransform {
	constructor() {
		super();
		this._pushed = new Set();
	}

	_transform(data, encoding, callback) {
		if (!this._pushed.has(data)) {
			this.push(data);
			this._pushed.add(data);
		}

		callback();
	}
}

module.exports = {
	FilterStream,
	UniqueStream
};


/***/ }),

/***/ 67356:
/***/ ((module) => {

"use strict";


module.exports = clone

function clone (obj) {
  if (obj === null || typeof obj !== 'object')
    return obj

  if (obj instanceof Object)
    var copy = { __proto__: obj.__proto__ }
  else
    var copy = Object.create(null)

  Object.getOwnPropertyNames(obj).forEach(function (key) {
    Object.defineProperty(copy, key, Object.getOwnPropertyDescriptor(obj, key))
  })

  return copy
}


/***/ }),

/***/ 77758:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var fs = __nccwpck_require__(57147)
var polyfills = __nccwpck_require__(20263)
var legacy = __nccwpck_require__(73086)
var clone = __nccwpck_require__(67356)

var util = __nccwpck_require__(73837)

/* istanbul ignore next - node 0.x polyfill */
var gracefulQueue
var previousSymbol

/* istanbul ignore else - node 0.x polyfill */
if (typeof Symbol === 'function' && typeof Symbol.for === 'function') {
  gracefulQueue = Symbol.for('graceful-fs.queue')
  // This is used in testing by future versions
  previousSymbol = Symbol.for('graceful-fs.previous')
} else {
  gracefulQueue = '___graceful-fs.queue'
  previousSymbol = '___graceful-fs.previous'
}

function noop () {}

function publishQueue(context, queue) {
  Object.defineProperty(context, gracefulQueue, {
    get: function() {
      return queue
    }
  })
}

var debug = noop
if (util.debuglog)
  debug = util.debuglog('gfs4')
else if (/\bgfs4\b/i.test(process.env.NODE_DEBUG || ''))
  debug = function() {
    var m = util.format.apply(util, arguments)
    m = 'GFS4: ' + m.split(/\n/).join('\nGFS4: ')
    console.error(m)
  }

// Once time initialization
if (!fs[gracefulQueue]) {
  // This queue can be shared by multiple loaded instances
  var queue = global[gracefulQueue] || []
  publishQueue(fs, queue)

  // Patch fs.close/closeSync to shared queue version, because we need
  // to retry() whenever a close happens *anywhere* in the program.
  // This is essential when multiple graceful-fs instances are
  // in play at the same time.
  fs.close = (function (fs$close) {
    function close (fd, cb) {
      return fs$close.call(fs, fd, function (err) {
        // This function uses the graceful-fs shared queue
        if (!err) {
          retry()
        }

        if (typeof cb === 'function')
          cb.apply(this, arguments)
      })
    }

    Object.defineProperty(close, previousSymbol, {
      value: fs$close
    })
    return close
  })(fs.close)

  fs.closeSync = (function (fs$closeSync) {
    function closeSync (fd) {
      // This function uses the graceful-fs shared queue
      fs$closeSync.apply(fs, arguments)
      retry()
    }

    Object.defineProperty(closeSync, previousSymbol, {
      value: fs$closeSync
    })
    return closeSync
  })(fs.closeSync)

  if (/\bgfs4\b/i.test(process.env.NODE_DEBUG || '')) {
    process.on('exit', function() {
      debug(fs[gracefulQueue])
      __nccwpck_require__(39491).equal(fs[gracefulQueue].length, 0)
    })
  }
}

if (!global[gracefulQueue]) {
  publishQueue(global, fs[gracefulQueue]);
}

module.exports = patch(clone(fs))
if (process.env.TEST_GRACEFUL_FS_GLOBAL_PATCH && !fs.__patched) {
    module.exports = patch(fs)
    fs.__patched = true;
}

function patch (fs) {
  // Everything that references the open() function needs to be in here
  polyfills(fs)
  fs.gracefulify = patch

  fs.createReadStream = createReadStream
  fs.createWriteStream = createWriteStream
  var fs$readFile = fs.readFile
  fs.readFile = readFile
  function readFile (path, options, cb) {
    if (typeof options === 'function')
      cb = options, options = null

    return go$readFile(path, options, cb)

    function go$readFile (path, options, cb) {
      return fs$readFile(path, options, function (err) {
        if (err && (err.code === 'EMFILE' || err.code === 'ENFILE'))
          enqueue([go$readFile, [path, options, cb]])
        else {
          if (typeof cb === 'function')
            cb.apply(this, arguments)
          retry()
        }
      })
    }
  }

  var fs$writeFile = fs.writeFile
  fs.writeFile = writeFile
  function writeFile (path, data, options, cb) {
    if (typeof options === 'function')
      cb = options, options = null

    return go$writeFile(path, data, options, cb)

    function go$writeFile (path, data, options, cb) {
      return fs$writeFile(path, data, options, function (err) {
        if (err && (err.code === 'EMFILE' || err.code === 'ENFILE'))
          enqueue([go$writeFile, [path, data, options, cb]])
        else {
          if (typeof cb === 'function')
            cb.apply(this, arguments)
          retry()
        }
      })
    }
  }

  var fs$appendFile = fs.appendFile
  if (fs$appendFile)
    fs.appendFile = appendFile
  function appendFile (path, data, options, cb) {
    if (typeof options === 'function')
      cb = options, options = null

    return go$appendFile(path, data, options, cb)

    function go$appendFile (path, data, options, cb) {
      return fs$appendFile(path, data, options, function (err) {
        if (err && (err.code === 'EMFILE' || err.code === 'ENFILE'))
          enqueue([go$appendFile, [path, data, options, cb]])
        else {
          if (typeof cb === 'function')
            cb.apply(this, arguments)
          retry()
        }
      })
    }
  }

  var fs$readdir = fs.readdir
  fs.readdir = readdir
  function readdir (path, options, cb) {
    var args = [path]
    if (typeof options !== 'function') {
      args.push(options)
    } else {
      cb = options
    }
    args.push(go$readdir$cb)

    return go$readdir(args)

    function go$readdir$cb (err, files) {
      if (files && files.sort)
        files.sort()

      if (err && (err.code === 'EMFILE' || err.code === 'ENFILE'))
        enqueue([go$readdir, [args]])

      else {
        if (typeof cb === 'function')
          cb.apply(this, arguments)
        retry()
      }
    }
  }

  function go$readdir (args) {
    return fs$readdir.apply(fs, args)
  }

  if (process.version.substr(0, 4) === 'v0.8') {
    var legStreams = legacy(fs)
    ReadStream = legStreams.ReadStream
    WriteStream = legStreams.WriteStream
  }

  var fs$ReadStream = fs.ReadStream
  if (fs$ReadStream) {
    ReadStream.prototype = Object.create(fs$ReadStream.prototype)
    ReadStream.prototype.open = ReadStream$open
  }

  var fs$WriteStream = fs.WriteStream
  if (fs$WriteStream) {
    WriteStream.prototype = Object.create(fs$WriteStream.prototype)
    WriteStream.prototype.open = WriteStream$open
  }

  Object.defineProperty(fs, 'ReadStream', {
    get: function () {
      return ReadStream
    },
    set: function (val) {
      ReadStream = val
    },
    enumerable: true,
    configurable: true
  })
  Object.defineProperty(fs, 'WriteStream', {
    get: function () {
      return WriteStream
    },
    set: function (val) {
      WriteStream = val
    },
    enumerable: true,
    configurable: true
  })

  // legacy names
  var FileReadStream = ReadStream
  Object.defineProperty(fs, 'FileReadStream', {
    get: function () {
      return FileReadStream
    },
    set: function (val) {
      FileReadStream = val
    },
    enumerable: true,
    configurable: true
  })
  var FileWriteStream = WriteStream
  Object.defineProperty(fs, 'FileWriteStream', {
    get: function () {
      return FileWriteStream
    },
    set: function (val) {
      FileWriteStream = val
    },
    enumerable: true,
    configurable: true
  })

  function ReadStream (path, options) {
    if (this instanceof ReadStream)
      return fs$ReadStream.apply(this, arguments), this
    else
      return ReadStream.apply(Object.create(ReadStream.prototype), arguments)
  }

  function ReadStream$open () {
    var that = this
    open(that.path, that.flags, that.mode, function (err, fd) {
      if (err) {
        if (that.autoClose)
          that.destroy()

        that.emit('error', err)
      } else {
        that.fd = fd
        that.emit('open', fd)
        that.read()
      }
    })
  }

  function WriteStream (path, options) {
    if (this instanceof WriteStream)
      return fs$WriteStream.apply(this, arguments), this
    else
      return WriteStream.apply(Object.create(WriteStream.prototype), arguments)
  }

  function WriteStream$open () {
    var that = this
    open(that.path, that.flags, that.mode, function (err, fd) {
      if (err) {
        that.destroy()
        that.emit('error', err)
      } else {
        that.fd = fd
        that.emit('open', fd)
      }
    })
  }

  function createReadStream (path, options) {
    return new fs.ReadStream(path, options)
  }

  function createWriteStream (path, options) {
    return new fs.WriteStream(path, options)
  }

  var fs$open = fs.open
  fs.open = open
  function open (path, flags, mode, cb) {
    if (typeof mode === 'function')
      cb = mode, mode = null

    return go$open(path, flags, mode, cb)

    function go$open (path, flags, mode, cb) {
      return fs$open(path, flags, mode, function (err, fd) {
        if (err && (err.code === 'EMFILE' || err.code === 'ENFILE'))
          enqueue([go$open, [path, flags, mode, cb]])
        else {
          if (typeof cb === 'function')
            cb.apply(this, arguments)
          retry()
        }
      })
    }
  }

  return fs
}

function enqueue (elem) {
  debug('ENQUEUE', elem[0].name, elem[1])
  fs[gracefulQueue].push(elem)
}

function retry () {
  var elem = fs[gracefulQueue].shift()
  if (elem) {
    debug('RETRY', elem[0].name, elem[1])
    elem[0].apply(null, elem[1])
  }
}


/***/ }),

/***/ 73086:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var Stream = (__nccwpck_require__(12781).Stream)

module.exports = legacy

function legacy (fs) {
  return {
    ReadStream: ReadStream,
    WriteStream: WriteStream
  }

  function ReadStream (path, options) {
    if (!(this instanceof ReadStream)) return new ReadStream(path, options);

    Stream.call(this);

    var self = this;

    this.path = path;
    this.fd = null;
    this.readable = true;
    this.paused = false;

    this.flags = 'r';
    this.mode = 438; /*=0666*/
    this.bufferSize = 64 * 1024;

    options = options || {};

    // Mixin options into this
    var keys = Object.keys(options);
    for (var index = 0, length = keys.length; index < length; index++) {
      var key = keys[index];
      this[key] = options[key];
    }

    if (this.encoding) this.setEncoding(this.encoding);

    if (this.start !== undefined) {
      if ('number' !== typeof this.start) {
        throw TypeError('start must be a Number');
      }
      if (this.end === undefined) {
        this.end = Infinity;
      } else if ('number' !== typeof this.end) {
        throw TypeError('end must be a Number');
      }

      if (this.start > this.end) {
        throw new Error('start must be <= end');
      }

      this.pos = this.start;
    }

    if (this.fd !== null) {
      process.nextTick(function() {
        self._read();
      });
      return;
    }

    fs.open(this.path, this.flags, this.mode, function (err, fd) {
      if (err) {
        self.emit('error', err);
        self.readable = false;
        return;
      }

      self.fd = fd;
      self.emit('open', fd);
      self._read();
    })
  }

  function WriteStream (path, options) {
    if (!(this instanceof WriteStream)) return new WriteStream(path, options);

    Stream.call(this);

    this.path = path;
    this.fd = null;
    this.writable = true;

    this.flags = 'w';
    this.encoding = 'binary';
    this.mode = 438; /*=0666*/
    this.bytesWritten = 0;

    options = options || {};

    // Mixin options into this
    var keys = Object.keys(options);
    for (var index = 0, length = keys.length; index < length; index++) {
      var key = keys[index];
      this[key] = options[key];
    }

    if (this.start !== undefined) {
      if ('number' !== typeof this.start) {
        throw TypeError('start must be a Number');
      }
      if (this.start < 0) {
        throw new Error('start must be >= zero');
      }

      this.pos = this.start;
    }

    this.busy = false;
    this._queue = [];

    if (this.fd === null) {
      this._open = fs.open;
      this._queue.push([this._open, this.path, this.flags, this.mode, undefined]);
      this.flush();
    }
  }
}


/***/ }),

/***/ 20263:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var constants = __nccwpck_require__(22057)

var origCwd = process.cwd
var cwd = null

var platform = process.env.GRACEFUL_FS_PLATFORM || process.platform

process.cwd = function() {
  if (!cwd)
    cwd = origCwd.call(process)
  return cwd
}
try {
  process.cwd()
} catch (er) {}

var chdir = process.chdir
process.chdir = function(d) {
  cwd = null
  chdir.call(process, d)
}

module.exports = patch

function patch (fs) {
  // (re-)implement some things that are known busted or missing.

  // lchmod, broken prior to 0.6.2
  // back-port the fix here.
  if (constants.hasOwnProperty('O_SYMLINK') &&
      process.version.match(/^v0\.6\.[0-2]|^v0\.5\./)) {
    patchLchmod(fs)
  }

  // lutimes implementation, or no-op
  if (!fs.lutimes) {
    patchLutimes(fs)
  }

  // https://github.com/isaacs/node-graceful-fs/issues/4
  // Chown should not fail on einval or eperm if non-root.
  // It should not fail on enosys ever, as this just indicates
  // that a fs doesn't support the intended operation.

  fs.chown = chownFix(fs.chown)
  fs.fchown = chownFix(fs.fchown)
  fs.lchown = chownFix(fs.lchown)

  fs.chmod = chmodFix(fs.chmod)
  fs.fchmod = chmodFix(fs.fchmod)
  fs.lchmod = chmodFix(fs.lchmod)

  fs.chownSync = chownFixSync(fs.chownSync)
  fs.fchownSync = chownFixSync(fs.fchownSync)
  fs.lchownSync = chownFixSync(fs.lchownSync)

  fs.chmodSync = chmodFixSync(fs.chmodSync)
  fs.fchmodSync = chmodFixSync(fs.fchmodSync)
  fs.lchmodSync = chmodFixSync(fs.lchmodSync)

  fs.stat = statFix(fs.stat)
  fs.fstat = statFix(fs.fstat)
  fs.lstat = statFix(fs.lstat)

  fs.statSync = statFixSync(fs.statSync)
  fs.fstatSync = statFixSync(fs.fstatSync)
  fs.lstatSync = statFixSync(fs.lstatSync)

  // if lchmod/lchown do not exist, then make them no-ops
  if (!fs.lchmod) {
    fs.lchmod = function (path, mode, cb) {
      if (cb) process.nextTick(cb)
    }
    fs.lchmodSync = function () {}
  }
  if (!fs.lchown) {
    fs.lchown = function (path, uid, gid, cb) {
      if (cb) process.nextTick(cb)
    }
    fs.lchownSync = function () {}
  }

  // on Windows, A/V software can lock the directory, causing this
  // to fail with an EACCES or EPERM if the directory contains newly
  // created files.  Try again on failure, for up to 60 seconds.

  // Set the timeout this long because some Windows Anti-Virus, such as Parity
  // bit9, may lock files for up to a minute, causing npm package install
  // failures. Also, take care to yield the scheduler. Windows scheduling gives
  // CPU to a busy looping process, which can cause the program causing the lock
  // contention to be starved of CPU by node, so the contention doesn't resolve.
  if (platform === "win32") {
    fs.rename = (function (fs$rename) { return function (from, to, cb) {
      var start = Date.now()
      var backoff = 0;
      fs$rename(from, to, function CB (er) {
        if (er
            && (er.code === "EACCES" || er.code === "EPERM")
            && Date.now() - start < 60000) {
          setTimeout(function() {
            fs.stat(to, function (stater, st) {
              if (stater && stater.code === "ENOENT")
                fs$rename(from, to, CB);
              else
                cb(er)
            })
          }, backoff)
          if (backoff < 100)
            backoff += 10;
          return;
        }
        if (cb) cb(er)
      })
    }})(fs.rename)
  }

  // if read() returns EAGAIN, then just try it again.
  fs.read = (function (fs$read) {
    function read (fd, buffer, offset, length, position, callback_) {
      var callback
      if (callback_ && typeof callback_ === 'function') {
        var eagCounter = 0
        callback = function (er, _, __) {
          if (er && er.code === 'EAGAIN' && eagCounter < 10) {
            eagCounter ++
            return fs$read.call(fs, fd, buffer, offset, length, position, callback)
          }
          callback_.apply(this, arguments)
        }
      }
      return fs$read.call(fs, fd, buffer, offset, length, position, callback)
    }

    // This ensures `util.promisify` works as it does for native `fs.read`.
    read.__proto__ = fs$read
    return read
  })(fs.read)

  fs.readSync = (function (fs$readSync) { return function (fd, buffer, offset, length, position) {
    var eagCounter = 0
    while (true) {
      try {
        return fs$readSync.call(fs, fd, buffer, offset, length, position)
      } catch (er) {
        if (er.code === 'EAGAIN' && eagCounter < 10) {
          eagCounter ++
          continue
        }
        throw er
      }
    }
  }})(fs.readSync)

  function patchLchmod (fs) {
    fs.lchmod = function (path, mode, callback) {
      fs.open( path
             , constants.O_WRONLY | constants.O_SYMLINK
             , mode
             , function (err, fd) {
        if (err) {
          if (callback) callback(err)
          return
        }
        // prefer to return the chmod error, if one occurs,
        // but still try to close, and report closing errors if they occur.
        fs.fchmod(fd, mode, function (err) {
          fs.close(fd, function(err2) {
            if (callback) callback(err || err2)
          })
        })
      })
    }

    fs.lchmodSync = function (path, mode) {
      var fd = fs.openSync(path, constants.O_WRONLY | constants.O_SYMLINK, mode)

      // prefer to return the chmod error, if one occurs,
      // but still try to close, and report closing errors if they occur.
      var threw = true
      var ret
      try {
        ret = fs.fchmodSync(fd, mode)
        threw = false
      } finally {
        if (threw) {
          try {
            fs.closeSync(fd)
          } catch (er) {}
        } else {
          fs.closeSync(fd)
        }
      }
      return ret
    }
  }

  function patchLutimes (fs) {
    if (constants.hasOwnProperty("O_SYMLINK")) {
      fs.lutimes = function (path, at, mt, cb) {
        fs.open(path, constants.O_SYMLINK, function (er, fd) {
          if (er) {
            if (cb) cb(er)
            return
          }
          fs.futimes(fd, at, mt, function (er) {
            fs.close(fd, function (er2) {
              if (cb) cb(er || er2)
            })
          })
        })
      }

      fs.lutimesSync = function (path, at, mt) {
        var fd = fs.openSync(path, constants.O_SYMLINK)
        var ret
        var threw = true
        try {
          ret = fs.futimesSync(fd, at, mt)
          threw = false
        } finally {
          if (threw) {
            try {
              fs.closeSync(fd)
            } catch (er) {}
          } else {
            fs.closeSync(fd)
          }
        }
        return ret
      }

    } else {
      fs.lutimes = function (_a, _b, _c, cb) { if (cb) process.nextTick(cb) }
      fs.lutimesSync = function () {}
    }
  }

  function chmodFix (orig) {
    if (!orig) return orig
    return function (target, mode, cb) {
      return orig.call(fs, target, mode, function (er) {
        if (chownErOk(er)) er = null
        if (cb) cb.apply(this, arguments)
      })
    }
  }

  function chmodFixSync (orig) {
    if (!orig) return orig
    return function (target, mode) {
      try {
        return orig.call(fs, target, mode)
      } catch (er) {
        if (!chownErOk(er)) throw er
      }
    }
  }


  function chownFix (orig) {
    if (!orig) return orig
    return function (target, uid, gid, cb) {
      return orig.call(fs, target, uid, gid, function (er) {
        if (chownErOk(er)) er = null
        if (cb) cb.apply(this, arguments)
      })
    }
  }

  function chownFixSync (orig) {
    if (!orig) return orig
    return function (target, uid, gid) {
      try {
        return orig.call(fs, target, uid, gid)
      } catch (er) {
        if (!chownErOk(er)) throw er
      }
    }
  }

  function statFix (orig) {
    if (!orig) return orig
    // Older versions of Node erroneously returned signed integers for
    // uid + gid.
    return function (target, options, cb) {
      if (typeof options === 'function') {
        cb = options
        options = null
      }
      function callback (er, stats) {
        if (stats) {
          if (stats.uid < 0) stats.uid += 0x100000000
          if (stats.gid < 0) stats.gid += 0x100000000
        }
        if (cb) cb.apply(this, arguments)
      }
      return options ? orig.call(fs, target, options, callback)
        : orig.call(fs, target, callback)
    }
  }

  function statFixSync (orig) {
    if (!orig) return orig
    // Older versions of Node erroneously returned signed integers for
    // uid + gid.
    return function (target, options) {
      var stats = options ? orig.call(fs, target, options)
        : orig.call(fs, target)
      if (stats.uid < 0) stats.uid += 0x100000000
      if (stats.gid < 0) stats.gid += 0x100000000
      return stats;
    }
  }

  // ENOSYS means that the fs doesn't support the op. Just ignore
  // that, because it doesn't matter.
  //
  // if there's no getuid, or if getuid() is something other
  // than 0, and the error is EINVAL or EPERM, then just ignore
  // it.
  //
  // This specific case is a silent failure in cp, install, tar,
  // and most other unix tools that manage permissions.
  //
  // When running as root, or if other types of errors are
  // encountered, then it's strict.
  function chownErOk (er) {
    if (!er)
      return true

    if (er.code === "ENOSYS")
      return true

    var nonroot = !process.getuid || process.getuid() !== 0
    if (nonroot) {
      if (er.code === "EINVAL" || er.code === "EPERM")
        return true
    }

    return false
  }
}


/***/ }),

/***/ 95597:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const util = __nccwpck_require__(73837);

let installed = false;

const hardRejection = (log = console.error) => {
	if (installed) {
		return;
	}

	installed = true;

	process.on('unhandledRejection', error => {
		if (!(error instanceof Error)) {
			error = new Error(`Promise rejected with value: ${util.inspect(error)}`);
		}

		log(error.stack);
		process.exit(1);
	});
};

module.exports = hardRejection;
// TODO: Remove this for the next major release
module.exports["default"] = hardRejection;


/***/ }),

/***/ 31621:
/***/ ((module) => {

"use strict";


module.exports = (flag, argv = process.argv) => {
	const prefix = flag.startsWith('-') ? '' : (flag.length === 1 ? '-' : '--');
	const position = argv.indexOf(prefix + flag);
	const terminatorPosition = argv.indexOf('--');
	return position !== -1 && (terminatorPosition === -1 || position < terminatorPosition);
};


/***/ }),

/***/ 76339:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var bind = __nccwpck_require__(88334);

module.exports = bind.call(Function.call, Object.prototype.hasOwnProperty);


/***/ }),

/***/ 28213:
/***/ ((__unused_webpack_module, exports) => {

"use strict";
Object.defineProperty(exports, "__esModule", ({value:true}));exports.SIGNALS=void 0;

const SIGNALS=[
{
name:"SIGHUP",
number:1,
action:"terminate",
description:"Terminal closed",
standard:"posix"},

{
name:"SIGINT",
number:2,
action:"terminate",
description:"User interruption with CTRL-C",
standard:"ansi"},

{
name:"SIGQUIT",
number:3,
action:"core",
description:"User interruption with CTRL-\\",
standard:"posix"},

{
name:"SIGILL",
number:4,
action:"core",
description:"Invalid machine instruction",
standard:"ansi"},

{
name:"SIGTRAP",
number:5,
action:"core",
description:"Debugger breakpoint",
standard:"posix"},

{
name:"SIGABRT",
number:6,
action:"core",
description:"Aborted",
standard:"ansi"},

{
name:"SIGIOT",
number:6,
action:"core",
description:"Aborted",
standard:"bsd"},

{
name:"SIGBUS",
number:7,
action:"core",
description:
"Bus error due to misaligned, non-existing address or paging error",
standard:"bsd"},

{
name:"SIGEMT",
number:7,
action:"terminate",
description:"Command should be emulated but is not implemented",
standard:"other"},

{
name:"SIGFPE",
number:8,
action:"core",
description:"Floating point arithmetic error",
standard:"ansi"},

{
name:"SIGKILL",
number:9,
action:"terminate",
description:"Forced termination",
standard:"posix",
forced:true},

{
name:"SIGUSR1",
number:10,
action:"terminate",
description:"Application-specific signal",
standard:"posix"},

{
name:"SIGSEGV",
number:11,
action:"core",
description:"Segmentation fault",
standard:"ansi"},

{
name:"SIGUSR2",
number:12,
action:"terminate",
description:"Application-specific signal",
standard:"posix"},

{
name:"SIGPIPE",
number:13,
action:"terminate",
description:"Broken pipe or socket",
standard:"posix"},

{
name:"SIGALRM",
number:14,
action:"terminate",
description:"Timeout or timer",
standard:"posix"},

{
name:"SIGTERM",
number:15,
action:"terminate",
description:"Termination",
standard:"ansi"},

{
name:"SIGSTKFLT",
number:16,
action:"terminate",
description:"Stack is empty or overflowed",
standard:"other"},

{
name:"SIGCHLD",
number:17,
action:"ignore",
description:"Child process terminated, paused or unpaused",
standard:"posix"},

{
name:"SIGCLD",
number:17,
action:"ignore",
description:"Child process terminated, paused or unpaused",
standard:"other"},

{
name:"SIGCONT",
number:18,
action:"unpause",
description:"Unpaused",
standard:"posix",
forced:true},

{
name:"SIGSTOP",
number:19,
action:"pause",
description:"Paused",
standard:"posix",
forced:true},

{
name:"SIGTSTP",
number:20,
action:"pause",
description:"Paused using CTRL-Z or \"suspend\"",
standard:"posix"},

{
name:"SIGTTIN",
number:21,
action:"pause",
description:"Background process cannot read terminal input",
standard:"posix"},

{
name:"SIGBREAK",
number:21,
action:"terminate",
description:"User interruption with CTRL-BREAK",
standard:"other"},

{
name:"SIGTTOU",
number:22,
action:"pause",
description:"Background process cannot write to terminal output",
standard:"posix"},

{
name:"SIGURG",
number:23,
action:"ignore",
description:"Socket received out-of-band data",
standard:"bsd"},

{
name:"SIGXCPU",
number:24,
action:"core",
description:"Process timed out",
standard:"bsd"},

{
name:"SIGXFSZ",
number:25,
action:"core",
description:"File too big",
standard:"bsd"},

{
name:"SIGVTALRM",
number:26,
action:"terminate",
description:"Timeout or timer",
standard:"bsd"},

{
name:"SIGPROF",
number:27,
action:"terminate",
description:"Timeout or timer",
standard:"bsd"},

{
name:"SIGWINCH",
number:28,
action:"ignore",
description:"Terminal window size changed",
standard:"bsd"},

{
name:"SIGIO",
number:29,
action:"terminate",
description:"I/O is available",
standard:"other"},

{
name:"SIGPOLL",
number:29,
action:"terminate",
description:"Watched event",
standard:"other"},

{
name:"SIGINFO",
number:29,
action:"ignore",
description:"Request for process information",
standard:"other"},

{
name:"SIGPWR",
number:30,
action:"terminate",
description:"Device running out of power",
standard:"systemv"},

{
name:"SIGSYS",
number:31,
action:"core",
description:"Invalid system call",
standard:"other"},

{
name:"SIGUNUSED",
number:31,
action:"terminate",
description:"Invalid system call",
standard:"other"}];exports.SIGNALS=SIGNALS;
//# sourceMappingURL=core.js.map

/***/ }),

/***/ 2779:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";
Object.defineProperty(exports, "__esModule", ({value:true}));exports.signalsByNumber=exports.signalsByName=void 0;var _os=__nccwpck_require__(22037);

var _signals=__nccwpck_require__(86435);
var _realtime=__nccwpck_require__(25295);



const getSignalsByName=function(){
const signals=(0,_signals.getSignals)();
return signals.reduce(getSignalByName,{});
};

const getSignalByName=function(
signalByNameMemo,
{name,number,description,supported,action,forced,standard})
{
return{
...signalByNameMemo,
[name]:{name,number,description,supported,action,forced,standard}};

};

const signalsByName=getSignalsByName();exports.signalsByName=signalsByName;




const getSignalsByNumber=function(){
const signals=(0,_signals.getSignals)();
const length=_realtime.SIGRTMAX+1;
const signalsA=Array.from({length},(value,number)=>
getSignalByNumber(number,signals));

return Object.assign({},...signalsA);
};

const getSignalByNumber=function(number,signals){
const signal=findSignalByNumber(number,signals);

if(signal===undefined){
return{};
}

const{name,description,supported,action,forced,standard}=signal;
return{
[number]:{
name,
number,
description,
supported,
action,
forced,
standard}};


};



const findSignalByNumber=function(number,signals){
const signal=signals.find(({name})=>_os.constants.signals[name]===number);

if(signal!==undefined){
return signal;
}

return signals.find(signalA=>signalA.number===number);
};

const signalsByNumber=getSignalsByNumber();exports.signalsByNumber=signalsByNumber;
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 25295:
/***/ ((__unused_webpack_module, exports) => {

"use strict";
Object.defineProperty(exports, "__esModule", ({value:true}));exports.SIGRTMAX=exports.getRealtimeSignals=void 0;
const getRealtimeSignals=function(){
const length=SIGRTMAX-SIGRTMIN+1;
return Array.from({length},getRealtimeSignal);
};exports.getRealtimeSignals=getRealtimeSignals;

const getRealtimeSignal=function(value,index){
return{
name:`SIGRT${index+1}`,
number:SIGRTMIN+index,
action:"terminate",
description:"Application-specific signal (realtime)",
standard:"posix"};

};

const SIGRTMIN=34;
const SIGRTMAX=64;exports.SIGRTMAX=SIGRTMAX;
//# sourceMappingURL=realtime.js.map

/***/ }),

/***/ 86435:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";
Object.defineProperty(exports, "__esModule", ({value:true}));exports.getSignals=void 0;var _os=__nccwpck_require__(22037);

var _core=__nccwpck_require__(28213);
var _realtime=__nccwpck_require__(25295);



const getSignals=function(){
const realtimeSignals=(0,_realtime.getRealtimeSignals)();
const signals=[..._core.SIGNALS,...realtimeSignals].map(normalizeSignal);
return signals;
};exports.getSignals=getSignals;







const normalizeSignal=function({
name,
number:defaultNumber,
description,
action,
forced=false,
standard})
{
const{
signals:{[name]:constantSignal}}=
_os.constants;
const supported=constantSignal!==undefined;
const number=supported?constantSignal:defaultNumber;
return{name,number,description,supported,action,forced,standard};
};
//# sourceMappingURL=signals.js.map

/***/ }),

/***/ 91230:
/***/ ((module) => {

// A simple implementation of make-array
function makeArray (subject) {
  return Array.isArray(subject)
    ? subject
    : [subject]
}

const EMPTY = ''
const SPACE = ' '
const ESCAPE = '\\'
const REGEX_TEST_BLANK_LINE = /^\s+$/
const REGEX_REPLACE_LEADING_EXCAPED_EXCLAMATION = /^\\!/
const REGEX_REPLACE_LEADING_EXCAPED_HASH = /^\\#/
const REGEX_SPLITALL_CRLF = /\r?\n/g
// /foo,
// ./foo,
// ../foo,
// .
// ..
const REGEX_TEST_INVALID_PATH = /^\.*\/|^\.+$/

const SLASH = '/'
const KEY_IGNORE = typeof Symbol !== 'undefined'
  ? Symbol.for('node-ignore')
  /* istanbul ignore next */
  : 'node-ignore'

const define = (object, key, value) =>
  Object.defineProperty(object, key, {value})

const REGEX_REGEXP_RANGE = /([0-z])-([0-z])/g

// Sanitize the range of a regular expression
// The cases are complicated, see test cases for details
const sanitizeRange = range => range.replace(
  REGEX_REGEXP_RANGE,
  (match, from, to) => from.charCodeAt(0) <= to.charCodeAt(0)
    ? match
    // Invalid range (out of order) which is ok for gitignore rules but
    //   fatal for JavaScript regular expression, so eliminate it.
    : EMPTY
)

// See fixtures #59
const cleanRangeBackSlash = slashes => {
  const {length} = slashes
  return slashes.slice(0, length - length % 2)
}

// > If the pattern ends with a slash,
// > it is removed for the purpose of the following description,
// > but it would only find a match with a directory.
// > In other words, foo/ will match a directory foo and paths underneath it,
// > but will not match a regular file or a symbolic link foo
// >  (this is consistent with the way how pathspec works in general in Git).
// '`foo/`' will not match regular file '`foo`' or symbolic link '`foo`'
// -> ignore-rules will not deal with it, because it costs extra `fs.stat` call
//      you could use option `mark: true` with `glob`

// '`foo/`' should not continue with the '`..`'
const REPLACERS = [

  // > Trailing spaces are ignored unless they are quoted with backslash ("\")
  [
    // (a\ ) -> (a )
    // (a  ) -> (a)
    // (a \ ) -> (a  )
    /\\?\s+$/,
    match => match.indexOf('\\') === 0
      ? SPACE
      : EMPTY
  ],

  // replace (\ ) with ' '
  [
    /\\\s/g,
    () => SPACE
  ],

  // Escape metacharacters
  // which is written down by users but means special for regular expressions.

  // > There are 12 characters with special meanings:
  // > - the backslash \,
  // > - the caret ^,
  // > - the dollar sign $,
  // > - the period or dot .,
  // > - the vertical bar or pipe symbol |,
  // > - the question mark ?,
  // > - the asterisk or star *,
  // > - the plus sign +,
  // > - the opening parenthesis (,
  // > - the closing parenthesis ),
  // > - and the opening square bracket [,
  // > - the opening curly brace {,
  // > These special characters are often called "metacharacters".
  [
    /[\\$.|*+(){^]/g,
    match => `\\${match}`
  ],

  [
    // > a question mark (?) matches a single character
    /(?!\\)\?/g,
    () => '[^/]'
  ],

  // leading slash
  [

    // > A leading slash matches the beginning of the pathname.
    // > For example, "/*.c" matches "cat-file.c" but not "mozilla-sha1/sha1.c".
    // A leading slash matches the beginning of the pathname
    /^\//,
    () => '^'
  ],

  // replace special metacharacter slash after the leading slash
  [
    /\//g,
    () => '\\/'
  ],

  [
    // > A leading "**" followed by a slash means match in all directories.
    // > For example, "**/foo" matches file or directory "foo" anywhere,
    // > the same as pattern "foo".
    // > "**/foo/bar" matches file or directory "bar" anywhere that is directly
    // >   under directory "foo".
    // Notice that the '*'s have been replaced as '\\*'
    /^\^*\\\*\\\*\\\//,

    // '**/foo' <-> 'foo'
    () => '^(?:.*\\/)?'
  ],

  // starting
  [
    // there will be no leading '/'
    //   (which has been replaced by section "leading slash")
    // If starts with '**', adding a '^' to the regular expression also works
    /^(?=[^^])/,
    function startingReplacer () {
      // If has a slash `/` at the beginning or middle
      return !/\/(?!$)/.test(this)
        // > Prior to 2.22.1
        // > If the pattern does not contain a slash /,
        // >   Git treats it as a shell glob pattern
        // Actually, if there is only a trailing slash,
        //   git also treats it as a shell glob pattern

        // After 2.22.1 (compatible but clearer)
        // > If there is a separator at the beginning or middle (or both)
        // > of the pattern, then the pattern is relative to the directory
        // > level of the particular .gitignore file itself.
        // > Otherwise the pattern may also match at any level below
        // > the .gitignore level.
        ? '(?:^|\\/)'

        // > Otherwise, Git treats the pattern as a shell glob suitable for
        // >   consumption by fnmatch(3)
        : '^'
    }
  ],

  // two globstars
  [
    // Use lookahead assertions so that we could match more than one `'/**'`
    /\\\/\\\*\\\*(?=\\\/|$)/g,

    // Zero, one or several directories
    // should not use '*', or it will be replaced by the next replacer

    // Check if it is not the last `'/**'`
    (_, index, str) => index + 6 < str.length

      // case: /**/
      // > A slash followed by two consecutive asterisks then a slash matches
      // >   zero or more directories.
      // > For example, "a/**/b" matches "a/b", "a/x/b", "a/x/y/b" and so on.
      // '/**/'
      ? '(?:\\/[^\\/]+)*'

      // case: /**
      // > A trailing `"/**"` matches everything inside.

      // #21: everything inside but it should not include the current folder
      : '\\/.+'
  ],

  // intermediate wildcards
  [
    // Never replace escaped '*'
    // ignore rule '\*' will match the path '*'

    // 'abc.*/' -> go
    // 'abc.*'  -> skip this rule
    /(^|[^\\]+)\\\*(?=.+)/g,

    // '*.js' matches '.js'
    // '*.js' doesn't match 'abc'
    (_, p1) => `${p1}[^\\/]*`
  ],

  [
    // unescape, revert step 3 except for back slash
    // For example, if a user escape a '\\*',
    // after step 3, the result will be '\\\\\\*'
    /\\\\\\(?=[$.|*+(){^])/g,
    () => ESCAPE
  ],

  [
    // '\\\\' -> '\\'
    /\\\\/g,
    () => ESCAPE
  ],

  [
    // > The range notation, e.g. [a-zA-Z],
    // > can be used to match one of the characters in a range.

    // `\` is escaped by step 3
    /(\\)?\[([^\]/]*?)(\\*)($|\])/g,
    (match, leadEscape, range, endEscape, close) => leadEscape === ESCAPE
      // '\\[bar]' -> '\\\\[bar\\]'
      ? `\\[${range}${cleanRangeBackSlash(endEscape)}${close}`
      : close === ']'
        ? endEscape.length % 2 === 0
          // A normal case, and it is a range notation
          // '[bar]'
          // '[bar\\\\]'
          ? `[${sanitizeRange(range)}${endEscape}]`
          // Invalid range notaton
          // '[bar\\]' -> '[bar\\\\]'
          : '[]'
        : '[]'
  ],

  // ending
  [
    // 'js' will not match 'js.'
    // 'ab' will not match 'abc'
    /(?:[^*])$/,

    // WTF!
    // https://git-scm.com/docs/gitignore
    // changes in [2.22.1](https://git-scm.com/docs/gitignore/2.22.1)
    // which re-fixes #24, #38

    // > If there is a separator at the end of the pattern then the pattern
    // > will only match directories, otherwise the pattern can match both
    // > files and directories.

    // 'js*' will not match 'a.js'
    // 'js/' will not match 'a.js'
    // 'js' will match 'a.js' and 'a.js/'
    match => /\/$/.test(match)
      // foo/ will not match 'foo'
      ? `${match}$`
      // foo matches 'foo' and 'foo/'
      : `${match}(?=$|\\/$)`
  ],

  // trailing wildcard
  [
    /(\^|\\\/)?\\\*$/,
    (_, p1) => {
      const prefix = p1
        // '\^':
        // '/*' does not match EMPTY
        // '/*' does not match everything

        // '\\\/':
        // 'abc/*' does not match 'abc/'
        ? `${p1}[^/]+`

        // 'a*' matches 'a'
        // 'a*' matches 'aa'
        : '[^/]*'

      return `${prefix}(?=$|\\/$)`
    }
  ],
]

// A simple cache, because an ignore rule only has only one certain meaning
const regexCache = Object.create(null)

// @param {pattern}
const makeRegex = (pattern, negative, ignorecase) => {
  const r = regexCache[pattern]
  if (r) {
    return r
  }

  // const replacers = negative
  //   ? NEGATIVE_REPLACERS
  //   : POSITIVE_REPLACERS

  const source = REPLACERS.reduce(
    (prev, current) => prev.replace(current[0], current[1].bind(pattern)),
    pattern
  )

  return regexCache[pattern] = ignorecase
    ? new RegExp(source, 'i')
    : new RegExp(source)
}

const isString = subject => typeof subject === 'string'

// > A blank line matches no files, so it can serve as a separator for readability.
const checkPattern = pattern => pattern
  && isString(pattern)
  && !REGEX_TEST_BLANK_LINE.test(pattern)

  // > A line starting with # serves as a comment.
  && pattern.indexOf('#') !== 0

const splitPattern = pattern => pattern.split(REGEX_SPLITALL_CRLF)

class IgnoreRule {
  constructor (
    origin,
    pattern,
    negative,
    regex
  ) {
    this.origin = origin
    this.pattern = pattern
    this.negative = negative
    this.regex = regex
  }
}

const createRule = (pattern, ignorecase) => {
  const origin = pattern
  let negative = false

  // > An optional prefix "!" which negates the pattern;
  if (pattern.indexOf('!') === 0) {
    negative = true
    pattern = pattern.substr(1)
  }

  pattern = pattern
  // > Put a backslash ("\") in front of the first "!" for patterns that
  // >   begin with a literal "!", for example, `"\!important!.txt"`.
  .replace(REGEX_REPLACE_LEADING_EXCAPED_EXCLAMATION, '!')
  // > Put a backslash ("\") in front of the first hash for patterns that
  // >   begin with a hash.
  .replace(REGEX_REPLACE_LEADING_EXCAPED_HASH, '#')

  const regex = makeRegex(pattern, negative, ignorecase)

  return new IgnoreRule(
    origin,
    pattern,
    negative,
    regex
  )
}

const throwError = (message, Ctor) => {
  throw new Ctor(message)
}

const checkPath = (path, originalPath, doThrow) => {
  if (!isString(path)) {
    return doThrow(
      `path must be a string, but got \`${originalPath}\``,
      TypeError
    )
  }

  // We don't know if we should ignore EMPTY, so throw
  if (!path) {
    return doThrow(`path must not be empty`, TypeError)
  }

  // Check if it is a relative path
  if (checkPath.isNotRelative(path)) {
    const r = '`path.relative()`d'
    return doThrow(
      `path should be a ${r} string, but got "${originalPath}"`,
      RangeError
    )
  }

  return true
}

const isNotRelative = path => REGEX_TEST_INVALID_PATH.test(path)

checkPath.isNotRelative = isNotRelative
checkPath.convert = p => p

class Ignore {
  constructor ({
    ignorecase = true
  } = {}) {
    this._rules = []
    this._ignorecase = ignorecase
    define(this, KEY_IGNORE, true)
    this._initCache()
  }

  _initCache () {
    this._ignoreCache = Object.create(null)
    this._testCache = Object.create(null)
  }

  _addPattern (pattern) {
    // #32
    if (pattern && pattern[KEY_IGNORE]) {
      this._rules = this._rules.concat(pattern._rules)
      this._added = true
      return
    }

    if (checkPattern(pattern)) {
      const rule = createRule(pattern, this._ignorecase)
      this._added = true
      this._rules.push(rule)
    }
  }

  // @param {Array<string> | string | Ignore} pattern
  add (pattern) {
    this._added = false

    makeArray(
      isString(pattern)
        ? splitPattern(pattern)
        : pattern
    ).forEach(this._addPattern, this)

    // Some rules have just added to the ignore,
    // making the behavior changed.
    if (this._added) {
      this._initCache()
    }

    return this
  }

  // legacy
  addPattern (pattern) {
    return this.add(pattern)
  }

  //          |           ignored : unignored
  // negative |   0:0   |   0:1   |   1:0   |   1:1
  // -------- | ------- | ------- | ------- | --------
  //     0    |  TEST   |  TEST   |  SKIP   |    X
  //     1    |  TESTIF |  SKIP   |  TEST   |    X

  // - SKIP: always skip
  // - TEST: always test
  // - TESTIF: only test if checkUnignored
  // - X: that never happen

  // @param {boolean} whether should check if the path is unignored,
  //   setting `checkUnignored` to `false` could reduce additional
  //   path matching.

  // @returns {TestResult} true if a file is ignored
  _testOne (path, checkUnignored) {
    let ignored = false
    let unignored = false

    this._rules.forEach(rule => {
      const {negative} = rule
      if (
        unignored === negative && ignored !== unignored
        || negative && !ignored && !unignored && !checkUnignored
      ) {
        return
      }

      const matched = rule.regex.test(path)

      if (matched) {
        ignored = !negative
        unignored = negative
      }
    })

    return {
      ignored,
      unignored
    }
  }

  // @returns {TestResult}
  _test (originalPath, cache, checkUnignored, slices) {
    const path = originalPath
      // Supports nullable path
      && checkPath.convert(originalPath)

    checkPath(path, originalPath, throwError)

    return this._t(path, cache, checkUnignored, slices)
  }

  _t (path, cache, checkUnignored, slices) {
    if (path in cache) {
      return cache[path]
    }

    if (!slices) {
      // path/to/a.js
      // ['path', 'to', 'a.js']
      slices = path.split(SLASH)
    }

    slices.pop()

    // If the path has no parent directory, just test it
    if (!slices.length) {
      return cache[path] = this._testOne(path, checkUnignored)
    }

    const parent = this._t(
      slices.join(SLASH) + SLASH,
      cache,
      checkUnignored,
      slices
    )

    // If the path contains a parent directory, check the parent first
    return cache[path] = parent.ignored
      // > It is not possible to re-include a file if a parent directory of
      // >   that file is excluded.
      ? parent
      : this._testOne(path, checkUnignored)
  }

  ignores (path) {
    return this._test(path, this._ignoreCache, false).ignored
  }

  createFilter () {
    return path => !this.ignores(path)
  }

  filter (paths) {
    return makeArray(paths).filter(this.createFilter())
  }

  // @returns {TestResult}
  test (path) {
    return this._test(path, this._testCache, true)
  }
}

const factory = options => new Ignore(options)

const returnFalse = () => false

const isPathValid = path =>
  checkPath(path && checkPath.convert(path), path, returnFalse)

factory.isPathValid = isPathValid

// Fixes typescript
factory.default = factory

module.exports = factory

// Windows
// --------------------------------------------------------------
/* istanbul ignore if  */
if (
  // Detect `process` so that it can run in browsers.
  typeof process !== 'undefined'
  && (
    process.env && process.env.IGNORE_TEST_WIN32
    || process.platform === 'win32'
  )
) {
  /* eslint no-control-regex: "off" */
  const makePosix = str => /^\\\\\?\\/.test(str)
  || /["<>|\u0000-\u001F]+/u.test(str)
    ? str
    : str.replace(/\\/g, '/')

  checkPath.convert = makePosix

  // 'C:\\foo'     <- 'C:\\foo' has been converted to 'C:/'
  // 'd:\\foo'
  const REGIX_IS_WINDOWS_PATH_ABSOLUTE = /^[a-z]:\//i
  checkPath.isNotRelative = path =>
    REGIX_IS_WINDOWS_PATH_ABSOLUTE.test(path)
    || isNotRelative(path)
}


/***/ }),

/***/ 9170:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const execa = __nccwpck_require__(55447);
const isJpg = __nccwpck_require__(67358);
const mozjpeg = __nccwpck_require__(62893);

module.exports = options => async buffer => {
	options = {
		trellis: true,
		trellisDC: true,
		overshoot: true,
		...options
	};

	if (!Buffer.isBuffer(buffer)) {
		return Promise.reject(new TypeError('Expected a buffer'));
	}

	if (!isJpg(buffer)) {
		return Promise.resolve(buffer);
	}

	// TODO: Remove these sometime far in the future
	if (options.fastcrush) {
		return Promise.reject(new Error('Option `fastcrush` was renamed to `fastCrush`'));
	}

	if (options.maxmemory) {
		return Promise.reject(new Error('Option `maxmemory` was renamed to `maxMemory`'));
	}

	if (options.notrellis) {
		return Promise.reject(new Error('Option `notrellis` was renamed to `trellis` and inverted'));
	}

	if (options.noovershoot) {
		return Promise.reject(new Error('Option `noovershoot` was renamed to `overshoot` and inverted'));
	}

	const args = [];

	if (typeof options.quality !== 'undefined') {
		args.push('-quality', options.quality);
	}

	if (options.progressive === false) {
		args.push('-baseline');
	}

	if (options.targa) {
		args.push('-targa');
	}

	if (options.revert) {
		args.push('-revert');
	}

	if (options.fastCrush) {
		args.push('-fastcrush');
	}

	if (typeof options.dcScanOpt !== 'undefined') {
		args.push('-dc-scan-opt', options.dcScanOpt);
	}

	if (!options.trellis) {
		args.push('-notrellis');
	}

	if (!options.trellisDC) {
		args.push('-notrellis-dc');
	}

	if (options.tune) {
		args.push(`-tune-${options.tune}`);
	}

	if (!options.overshoot) {
		args.push('-noovershoot');
	}

	if (options.arithmetic) {
		args.push('-arithmetic');
	}

	if (options.dct) {
		args.push('-dct', options.dct);
	}

	if (options.quantBaseline) {
		args.push('-quant-baseline', options.quantBaseline);
	}

	if (typeof options.quantTable !== 'undefined') {
		args.push('-quant-table', options.quantTable);
	}

	if (options.smooth) {
		args.push('-smooth', options.smooth);
	}

	if (options.maxMemory) {
		args.push('-maxmemory', options.maxMemory);
	}

	if (options.sample) {
		args.push('-sample', options.sample.join(','));
	}

	const {stdout} = await execa(mozjpeg, args, {
		encoding: null,
		input: buffer,
		maxBuffer: Infinity
	});

	return stdout;
};


/***/ }),

/***/ 36619:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const execa = __nccwpck_require__(55447);
const isPng = __nccwpck_require__(70786);
const isStream = __nccwpck_require__(41554);
const pngquant = __nccwpck_require__(15335);
const ow = __nccwpck_require__(70670);

const imageminPngquant = (options = {}) => input => {
	const isBuffer = Buffer.isBuffer(input);

	if (!isBuffer && !isStream(input)) {
		return Promise.reject(new TypeError(`Expected a Buffer or Stream, got ${typeof input}`));
	}

	if (isBuffer && !isPng(input)) {
		return Promise.resolve(input);
	}

	const args = ['-'];

	if (typeof options.speed !== 'undefined') {
		ow(options.speed, ow.number.integer.inRange(1, 11));
		args.push('--speed', options.speed);
	}

	if (typeof options.strip !== 'undefined') {
		ow(options.strip, ow.boolean);

		if (options.strip) {
			args.push('--strip');
		}
	}

	if (typeof options.quality !== 'undefined') {
		ow(options.quality, ow.array.length(2).ofType(ow.number.inRange(0, 1)));
		const [min, max] = options.quality;
		args.push('--quality', `${Math.round(min * 100)}-${Math.round(max * 100)}`);
	}

	if (typeof options.dithering !== 'undefined') {
		ow(options.dithering, ow.any(ow.number.inRange(0, 1), ow.boolean.false));

		if (typeof options.dithering === 'number') {
			args.push(`--floyd=${options.dithering}`);
		} else if (options.dithering === false) {
			args.push('--ordered');
		}
	}

	if (typeof options.posterize !== 'undefined') {
		ow(options.posterize, ow.number);
		args.push('--posterize', options.posterize);
	}

	if (typeof options.verbose !== 'undefined') {
		ow(options.verbose, ow.boolean);
		args.push('--verbose');
	}

	const subprocess = execa(pngquant, args, {
		encoding: null,
		maxBuffer: Infinity,
		input
	});

	const promise = subprocess
		.then(result => result.stdout) // eslint-disable-line promise/prefer-await-to-then
		.catch(error => {
			// We use `error.exitCode` to check for a special condition when running the pngquant binary.
			// See details on handling of "99" code at https://pngquant.org (search for "status code 99").
			if (error.exitCode === 99) {
				return input;
			}

			error.message = error.stderr || error.message;
			throw error;
		});

	subprocess.stdout.then = promise.then.bind(promise); // eslint-disable-line promise/prefer-await-to-then
	subprocess.stdout.catch = promise.catch.bind(promise);

	return subprocess.stdout;
};

module.exports = imageminPngquant;
module.exports["default"] = imageminPngquant;


/***/ }),

/***/ 2526:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const execBuffer = __nccwpck_require__(51598);
const isCwebpReadable = __nccwpck_require__(25754);
const cwebp = __nccwpck_require__(85684);

module.exports = (options = {}) => input => {
	if (!Buffer.isBuffer(input)) {
		return Promise.reject(new TypeError(`Expected \`input\` to be of type \`Buffer\` but received type \`${typeof input}\``));
	}

	if (!isCwebpReadable(input)) {
		return Promise.resolve(input);
	}

	const args = [
		'-quiet',
		'-mt'
	];

	if (options.preset) {
		args.push('-preset', options.preset);
	}

	if (options.quality) {
		args.push('-q', options.quality);
	}

	if (options.alphaQuality) {
		args.push('-alpha_q', options.alphaQuality);
	}

	if (options.method) {
		args.push('-m', options.method);
	}

	if (options.size) {
		args.push('-size', options.size);
	}

	if (options.sns) {
		args.push('-sns', options.sns);
	}

	if (options.filter) {
		args.push('-f', options.filter);
	}

	if (options.autoFilter) {
		args.push('-af');
	}

	if (options.sharpness) {
		args.push('-sharpness', options.sharpness);
	}

	if (options.lossless) {
		args.push('-lossless');
	}

	if (options.nearLossless) {
		args.push('-near_lossless', options.nearLossless);
	}

	if (options.crop) {
		args.push('-crop', options.crop.x, options.crop.y, options.crop.width, options.crop.height);
	}

	if (options.resize) {
		args.push('-resize', options.resize.width, options.resize.height);
	}

	if (options.metadata) {
		args.push('-metadata', Array.isArray(options.metadata) ? options.metadata.join(',') : options.metadata);
	}

	args.push('-o', execBuffer.output, execBuffer.input);

	return execBuffer({
		args,
		bin: cwebp,
		input
	}).catch(error => {
		error.message = error.stderr || error.message;
		throw error;
	});
};


/***/ }),

/***/ 35263:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const {promisify} = __nccwpck_require__(73837);
const path = __nccwpck_require__(71017);
const fs = __nccwpck_require__(77758);
const fileType = __nccwpck_require__(84930);
const globby = __nccwpck_require__(43398);
const makeDir = __nccwpck_require__(39126);
const pPipe = __nccwpck_require__(69479);
const replaceExt = __nccwpck_require__(85198);
const junk = __nccwpck_require__(34072);

const readFile = promisify(fs.readFile);
const writeFile = promisify(fs.writeFile);

const handleFile = async (sourcePath, {destination, plugins = []}) => {
	if (plugins && !Array.isArray(plugins)) {
		throw new TypeError('The `plugins` option should be an `Array`');
	}

	let data = await readFile(sourcePath);
	data = await (plugins.length > 0 ? pPipe(...plugins)(data) : data);

	let destinationPath = destination ? path.join(destination, path.basename(sourcePath)) : undefined;
	destinationPath = (fileType(data) && fileType(data).ext === 'webp') ? replaceExt(destinationPath, '.webp') : destinationPath;

	const returnValue = {
		data,
		sourcePath,
		destinationPath
	};

	if (!destinationPath) {
		return returnValue;
	}

	await makeDir(path.dirname(returnValue.destinationPath));
	await writeFile(returnValue.destinationPath, returnValue.data);

	return returnValue;
};

module.exports = async (input, {glob = true, ...options} = {}) => {
	if (!Array.isArray(input)) {
		throw new TypeError(`Expected an \`Array\`, got \`${typeof input}\``);
	}

	const filePaths = glob ? await globby(input, {onlyFiles: true}) : input;

	return Promise.all(
		filePaths
			.filter(filePath => junk.not(path.basename(filePath)))
			.map(async filePath => {
				try {
					return await handleFile(filePath, options);
				} catch (error) {
					error.message = `Error occurred when handling file: ${input}\n\n${error.stack}`;
					throw error;
				}
			})
	);
};

module.exports.buffer = async (input, {plugins = []} = {}) => {
	if (!Buffer.isBuffer(input)) {
		throw new TypeError(`Expected a \`Buffer\`, got \`${typeof input}\``);
	}

	if (plugins.length === 0) {
		return input;
	}

	return pPipe(...plugins)(input);
};


/***/ }),

/***/ 41239:
/***/ ((module) => {

"use strict";

const lazy = (mod, fn, id) => mod === undefined ? fn(id) : mod;

module.exports = fn => {
	return id => {
		let mod;

		const handler = {
			get: (target, property) => {
				mod = lazy(mod, fn, id);
				return Reflect.get(mod, property);
			},
			apply: (target, thisArg, argumentsList) => {
				mod = lazy(mod, fn, id);
				return Reflect.apply(mod, thisArg, argumentsList);
			},
			construct: (target, argumentsList) => {
				mod = lazy(mod, fn, id);
				return Reflect.construct(mod, argumentsList);
			}
		};

		// eslint-disable-next-line prefer-arrow-callback
		return new Proxy(function () {}, handler);
	};
};


/***/ }),

/***/ 98043:
/***/ ((module) => {

"use strict";


module.exports = (string, count = 1, options) => {
	options = {
		indent: ' ',
		includeEmptyLines: false,
		...options
	};

	if (typeof string !== 'string') {
		throw new TypeError(
			`Expected \`input\` to be a \`string\`, got \`${typeof string}\``
		);
	}

	if (typeof count !== 'number') {
		throw new TypeError(
			`Expected \`count\` to be a \`number\`, got \`${typeof count}\``
		);
	}

	if (typeof options.indent !== 'string') {
		throw new TypeError(
			`Expected \`options.indent\` to be a \`string\`, got \`${typeof options.indent}\``
		);
	}

	if (count === 0) {
		return string;
	}

	const regex = options.includeEmptyLines ? /^/gm : /^(?!\s*$)/gm;

	return string.replace(regex, options.indent.repeat(count));
};


/***/ }),

/***/ 52492:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var wrappy = __nccwpck_require__(62940)
var reqs = Object.create(null)
var once = __nccwpck_require__(1223)

module.exports = wrappy(inflight)

function inflight (key, cb) {
  if (reqs[key]) {
    reqs[key].push(cb)
    return null
  } else {
    reqs[key] = [cb]
    return makeres(key)
  }
}

function makeres (key) {
  return once(function RES () {
    var cbs = reqs[key]
    var len = cbs.length
    var args = slice(arguments)

    // XXX It's somewhat ambiguous whether a new callback added in this
    // pass should be queued for later execution if something in the
    // list of callbacks throws, or if it should just be discarded.
    // However, it's such an edge case that it hardly matters, and either
    // choice is likely as surprising as the other.
    // As it happens, we do go ahead and schedule it for later execution.
    try {
      for (var i = 0; i < len; i++) {
        cbs[i].apply(null, args)
      }
    } finally {
      if (cbs.length > len) {
        // added more in the interim.
        // de-zalgo, just in case, but don't call again.
        cbs.splice(0, len)
        process.nextTick(function () {
          RES.apply(null, args)
        })
      } else {
        delete reqs[key]
      }
    }
  })
}

function slice (args) {
  var length = args.length
  var array = []

  for (var i = 0; i < length; i++) array[i] = args[i]
  return array
}


/***/ }),

/***/ 44124:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

try {
  var util = __nccwpck_require__(73837);
  /* istanbul ignore next */
  if (typeof util.inherits !== 'function') throw '';
  module.exports = util.inherits;
} catch (e) {
  /* istanbul ignore next */
  module.exports = __nccwpck_require__(8544);
}


/***/ }),

/***/ 8544:
/***/ ((module) => {

if (typeof Object.create === 'function') {
  // implementation from standard node.js 'util' module
  module.exports = function inherits(ctor, superCtor) {
    if (superCtor) {
      ctor.super_ = superCtor
      ctor.prototype = Object.create(superCtor.prototype, {
        constructor: {
          value: ctor,
          enumerable: false,
          writable: true,
          configurable: true
        }
      })
    }
  };
} else {
  // old school shim for old browsers
  module.exports = function inherits(ctor, superCtor) {
    if (superCtor) {
      ctor.super_ = superCtor
      var TempCtor = function () {}
      TempCtor.prototype = superCtor.prototype
      ctor.prototype = new TempCtor()
      ctor.prototype.constructor = ctor
    }
  }
}


/***/ }),

/***/ 7604:
/***/ ((module) => {

"use strict";


module.exports = function isArrayish(obj) {
	if (!obj) {
		return false;
	}

	return obj instanceof Array || Array.isArray(obj) ||
		(obj.length >= 0 && obj.splice instanceof Function);
};


/***/ }),

/***/ 56873:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var has = __nccwpck_require__(76339);

function specifierIncluded(current, specifier) {
	var nodeParts = current.split('.');
	var parts = specifier.split(' ');
	var op = parts.length > 1 ? parts[0] : '=';
	var versionParts = (parts.length > 1 ? parts[1] : parts[0]).split('.');

	for (var i = 0; i < 3; ++i) {
		var cur = parseInt(nodeParts[i] || 0, 10);
		var ver = parseInt(versionParts[i] || 0, 10);
		if (cur === ver) {
			continue; // eslint-disable-line no-restricted-syntax, no-continue
		}
		if (op === '<') {
			return cur < ver;
		}
		if (op === '>=') {
			return cur >= ver;
		}
		return false;
	}
	return op === '>=';
}

function matchesRange(current, range) {
	var specifiers = range.split(/ ?&& ?/);
	if (specifiers.length === 0) {
		return false;
	}
	for (var i = 0; i < specifiers.length; ++i) {
		if (!specifierIncluded(current, specifiers[i])) {
			return false;
		}
	}
	return true;
}

function versionIncluded(nodeVersion, specifierValue) {
	if (typeof specifierValue === 'boolean') {
		return specifierValue;
	}

	var current = typeof nodeVersion === 'undefined'
		? process.versions && process.versions.node
		: nodeVersion;

	if (typeof current !== 'string') {
		throw new TypeError(typeof nodeVersion === 'undefined' ? 'Unable to determine current node version' : 'If provided, a valid node version is required');
	}

	if (specifierValue && typeof specifierValue === 'object') {
		for (var i = 0; i < specifierValue.length; ++i) {
			if (matchesRange(current, specifierValue[i])) {
				return true;
			}
		}
		return false;
	}
	return matchesRange(current, specifierValue);
}

var data = __nccwpck_require__(66151);

module.exports = function isCore(x, nodeVersion) {
	return has(data, x) && versionIncluded(nodeVersion, data[x]);
};


/***/ }),

/***/ 25754:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const fileType = __nccwpck_require__(29807);

module.exports = function isCwebpReadable(buf) {
	const type = fileType(buf);

	if (!type) {
		return false;
	}

	const {ext} = type;

	return ext === 'png' || ext === 'jpg' || ext === 'tif' || ext === 'webp';
};


/***/ }),

/***/ 29807:
/***/ ((module) => {

"use strict";

const toBytes = s => [...s].map(c => c.charCodeAt(0));
const xpiZipFilename = toBytes('META-INF/mozilla.rsa');
const oxmlContentTypes = toBytes('[Content_Types].xml');
const oxmlRels = toBytes('_rels/.rels');

function readUInt64LE(buf, offset = 0) {
	let n = buf[offset];
	let mul = 1;
	let i = 0;
	while (++i < 8) {
		mul *= 0x100;
		n += buf[offset + i] * mul;
	}

	return n;
}

const fileType = input => {
	if (!(input instanceof Uint8Array || input instanceof ArrayBuffer || Buffer.isBuffer(input))) {
		throw new TypeError(`Expected the \`input\` argument to be of type \`Uint8Array\` or \`Buffer\` or \`ArrayBuffer\`, got \`${typeof input}\``);
	}

	const buf = input instanceof Uint8Array ? input : new Uint8Array(input);

	if (!(buf && buf.length > 1)) {
		return null;
	}

	const check = (header, options) => {
		options = Object.assign({
			offset: 0
		}, options);

		for (let i = 0; i < header.length; i++) {
			// If a bitmask is set
			if (options.mask) {
				// If header doesn't equal `buf` with bits masked off
				if (header[i] !== (options.mask[i] & buf[i + options.offset])) {
					return false;
				}
			} else if (header[i] !== buf[i + options.offset]) {
				return false;
			}
		}

		return true;
	};

	const checkString = (header, options) => check(toBytes(header), options);

	if (check([0xFF, 0xD8, 0xFF])) {
		return {
			ext: 'jpg',
			mime: 'image/jpeg'
		};
	}

	if (check([0x89, 0x50, 0x4E, 0x47, 0x0D, 0x0A, 0x1A, 0x0A])) {
		return {
			ext: 'png',
			mime: 'image/png'
		};
	}

	if (check([0x47, 0x49, 0x46])) {
		return {
			ext: 'gif',
			mime: 'image/gif'
		};
	}

	if (check([0x57, 0x45, 0x42, 0x50], {offset: 8})) {
		return {
			ext: 'webp',
			mime: 'image/webp'
		};
	}

	if (check([0x46, 0x4C, 0x49, 0x46])) {
		return {
			ext: 'flif',
			mime: 'image/flif'
		};
	}

	// Needs to be before `tif` check
	if (
		(check([0x49, 0x49, 0x2A, 0x0]) || check([0x4D, 0x4D, 0x0, 0x2A])) &&
		check([0x43, 0x52], {offset: 8})
	) {
		return {
			ext: 'cr2',
			mime: 'image/x-canon-cr2'
		};
	}

	if (
		check([0x49, 0x49, 0x2A, 0x0]) ||
		check([0x4D, 0x4D, 0x0, 0x2A])
	) {
		return {
			ext: 'tif',
			mime: 'image/tiff'
		};
	}

	if (check([0x42, 0x4D])) {
		return {
			ext: 'bmp',
			mime: 'image/bmp'
		};
	}

	if (check([0x49, 0x49, 0xBC])) {
		return {
			ext: 'jxr',
			mime: 'image/vnd.ms-photo'
		};
	}

	if (check([0x38, 0x42, 0x50, 0x53])) {
		return {
			ext: 'psd',
			mime: 'image/vnd.adobe.photoshop'
		};
	}

	// Zip-based file formats
	// Need to be before the `zip` check
	if (check([0x50, 0x4B, 0x3, 0x4])) {
		if (
			check([0x6D, 0x69, 0x6D, 0x65, 0x74, 0x79, 0x70, 0x65, 0x61, 0x70, 0x70, 0x6C, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6F, 0x6E, 0x2F, 0x65, 0x70, 0x75, 0x62, 0x2B, 0x7A, 0x69, 0x70], {offset: 30})
		) {
			return {
				ext: 'epub',
				mime: 'application/epub+zip'
			};
		}

		// Assumes signed `.xpi` from addons.mozilla.org
		if (check(xpiZipFilename, {offset: 30})) {
			return {
				ext: 'xpi',
				mime: 'application/x-xpinstall'
			};
		}

		if (checkString('mimetypeapplication/vnd.oasis.opendocument.text', {offset: 30})) {
			return {
				ext: 'odt',
				mime: 'application/vnd.oasis.opendocument.text'
			};
		}

		if (checkString('mimetypeapplication/vnd.oasis.opendocument.spreadsheet', {offset: 30})) {
			return {
				ext: 'ods',
				mime: 'application/vnd.oasis.opendocument.spreadsheet'
			};
		}

		if (checkString('mimetypeapplication/vnd.oasis.opendocument.presentation', {offset: 30})) {
			return {
				ext: 'odp',
				mime: 'application/vnd.oasis.opendocument.presentation'
			};
		}

		// The docx, xlsx and pptx file types extend the Office Open XML file format:
		// https://en.wikipedia.org/wiki/Office_Open_XML_file_formats
		// We look for:
		// - one entry named '[Content_Types].xml' or '_rels/.rels',
		// - one entry indicating specific type of file.
		// MS Office, OpenOffice and LibreOffice may put the parts in different order, so the check should not rely on it.
		const findNextZipHeaderIndex = (arr, startAt = 0) => arr.findIndex((el, i, arr) => i >= startAt && arr[i] === 0x50 && arr[i + 1] === 0x4B && arr[i + 2] === 0x3 && arr[i + 3] === 0x4);

		let zipHeaderIndex = 0; // The first zip header was already found at index 0
		let oxmlFound = false;
		let type = null;

		do {
			const offset = zipHeaderIndex + 30;

			if (!oxmlFound) {
				oxmlFound = (check(oxmlContentTypes, {offset}) || check(oxmlRels, {offset}));
			}

			if (!type) {
				if (checkString('word/', {offset})) {
					type = {
						ext: 'docx',
						mime: 'application/vnd.openxmlformats-officedocument.wordprocessingml.document'
					};
				} else if (checkString('ppt/', {offset})) {
					type = {
						ext: 'pptx',
						mime: 'application/vnd.openxmlformats-officedocument.presentationml.presentation'
					};
				} else if (checkString('xl/', {offset})) {
					type = {
						ext: 'xlsx',
						mime: 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'
					};
				}
			}

			if (oxmlFound && type) {
				return type;
			}

			zipHeaderIndex = findNextZipHeaderIndex(buf, offset);
		} while (zipHeaderIndex >= 0);

		// No more zip parts available in the buffer, but maybe we are almost certain about the type?
		if (type) {
			return type;
		}
	}

	if (
		check([0x50, 0x4B]) &&
		(buf[2] === 0x3 || buf[2] === 0x5 || buf[2] === 0x7) &&
		(buf[3] === 0x4 || buf[3] === 0x6 || buf[3] === 0x8)
	) {
		return {
			ext: 'zip',
			mime: 'application/zip'
		};
	}

	if (check([0x75, 0x73, 0x74, 0x61, 0x72], {offset: 257})) {
		return {
			ext: 'tar',
			mime: 'application/x-tar'
		};
	}

	if (
		check([0x52, 0x61, 0x72, 0x21, 0x1A, 0x7]) &&
		(buf[6] === 0x0 || buf[6] === 0x1)
	) {
		return {
			ext: 'rar',
			mime: 'application/x-rar-compressed'
		};
	}

	if (check([0x1F, 0x8B, 0x8])) {
		return {
			ext: 'gz',
			mime: 'application/gzip'
		};
	}

	if (check([0x42, 0x5A, 0x68])) {
		return {
			ext: 'bz2',
			mime: 'application/x-bzip2'
		};
	}

	if (check([0x37, 0x7A, 0xBC, 0xAF, 0x27, 0x1C])) {
		return {
			ext: '7z',
			mime: 'application/x-7z-compressed'
		};
	}

	if (check([0x78, 0x01])) {
		return {
			ext: 'dmg',
			mime: 'application/x-apple-diskimage'
		};
	}

	if (check([0x33, 0x67, 0x70, 0x35]) || // 3gp5
		(
			check([0x0, 0x0, 0x0]) && check([0x66, 0x74, 0x79, 0x70], {offset: 4}) &&
				(
					check([0x6D, 0x70, 0x34, 0x31], {offset: 8}) || // MP41
					check([0x6D, 0x70, 0x34, 0x32], {offset: 8}) || // MP42
					check([0x69, 0x73, 0x6F, 0x6D], {offset: 8}) || // ISOM
					check([0x69, 0x73, 0x6F, 0x32], {offset: 8}) || // ISO2
					check([0x6D, 0x6D, 0x70, 0x34], {offset: 8}) || // MMP4
					check([0x4D, 0x34, 0x56], {offset: 8}) || // M4V
					check([0x64, 0x61, 0x73, 0x68], {offset: 8}) // DASH
				)
		)) {
		return {
			ext: 'mp4',
			mime: 'video/mp4'
		};
	}

	if (check([0x4D, 0x54, 0x68, 0x64])) {
		return {
			ext: 'mid',
			mime: 'audio/midi'
		};
	}

	// https://github.com/threatstack/libmagic/blob/master/magic/Magdir/matroska
	if (check([0x1A, 0x45, 0xDF, 0xA3])) {
		const sliced = buf.subarray(4, 4 + 4096);
		const idPos = sliced.findIndex((el, i, arr) => arr[i] === 0x42 && arr[i + 1] === 0x82);

		if (idPos !== -1) {
			const docTypePos = idPos + 3;
			const findDocType = type => [...type].every((c, i) => sliced[docTypePos + i] === c.charCodeAt(0));

			if (findDocType('matroska')) {
				return {
					ext: 'mkv',
					mime: 'video/x-matroska'
				};
			}

			if (findDocType('webm')) {
				return {
					ext: 'webm',
					mime: 'video/webm'
				};
			}
		}
	}

	if (check([0x0, 0x0, 0x0, 0x14, 0x66, 0x74, 0x79, 0x70, 0x71, 0x74, 0x20, 0x20]) ||
		check([0x66, 0x72, 0x65, 0x65], {offset: 4}) || // Type: `free`
		check([0x66, 0x74, 0x79, 0x70, 0x71, 0x74, 0x20, 0x20], {offset: 4}) ||
		check([0x6D, 0x64, 0x61, 0x74], {offset: 4}) || // MJPEG
		check([0x6D, 0x6F, 0x6F, 0x76], {offset: 4}) || // Type: `moov`
		check([0x77, 0x69, 0x64, 0x65], {offset: 4})) {
		return {
			ext: 'mov',
			mime: 'video/quicktime'
		};
	}

	// RIFF file format which might be AVI, WAV, QCP, etc
	if (check([0x52, 0x49, 0x46, 0x46])) {
		if (check([0x41, 0x56, 0x49], {offset: 8})) {
			return {
				ext: 'avi',
				mime: 'video/vnd.avi'
			};
		}

		if (check([0x57, 0x41, 0x56, 0x45], {offset: 8})) {
			return {
				ext: 'wav',
				mime: 'audio/vnd.wave'
			};
		}

		// QLCM, QCP file
		if (check([0x51, 0x4C, 0x43, 0x4D], {offset: 8})) {
			return {
				ext: 'qcp',
				mime: 'audio/qcelp'
			};
		}
	}

	// ASF_Header_Object first 80 bytes
	if (check([0x30, 0x26, 0xB2, 0x75, 0x8E, 0x66, 0xCF, 0x11, 0xA6, 0xD9])) {
		// Search for header should be in first 1KB of file.

		let offset = 30;
		do {
			const objectSize = readUInt64LE(buf, offset + 16);
			if (check([0x91, 0x07, 0xDC, 0xB7, 0xB7, 0xA9, 0xCF, 0x11, 0x8E, 0xE6, 0x00, 0xC0, 0x0C, 0x20, 0x53, 0x65], {offset})) {
				// Sync on Stream-Properties-Object (B7DC0791-A9B7-11CF-8EE6-00C00C205365)
				if (check([0x40, 0x9E, 0x69, 0xF8, 0x4D, 0x5B, 0xCF, 0x11, 0xA8, 0xFD, 0x00, 0x80, 0x5F, 0x5C, 0x44, 0x2B], {offset: offset + 24})) {
					// Found audio:
					return {
						ext: 'wma',
						mime: 'audio/x-ms-wma'
					};
				}

				if (check([0xC0, 0xEF, 0x19, 0xBC, 0x4D, 0x5B, 0xCF, 0x11, 0xA8, 0xFD, 0x00, 0x80, 0x5F, 0x5C, 0x44, 0x2B], {offset: offset + 24})) {
					// Found video:
					return {
						ext: 'wmv',
						mime: 'video/x-ms-asf'
					};
				}

				break;
			}

			offset += objectSize;
		} while (offset + 24 <= buf.length);

		// Default to ASF generic extension
		return {
			ext: 'asf',
			mime: 'application/vnd.ms-asf'
		};
	}

	if (
		check([0x0, 0x0, 0x1, 0xBA]) ||
		check([0x0, 0x0, 0x1, 0xB3])
	) {
		return {
			ext: 'mpg',
			mime: 'video/mpeg'
		};
	}

	if (check([0x66, 0x74, 0x79, 0x70, 0x33, 0x67], {offset: 4})) {
		return {
			ext: '3gp',
			mime: 'video/3gpp'
		};
	}

	// Check for MPEG header at different starting offsets
	for (let start = 0; start < 2 && start < (buf.length - 16); start++) {
		if (
			check([0x49, 0x44, 0x33], {offset: start}) || // ID3 header
			check([0xFF, 0xE2], {offset: start, mask: [0xFF, 0xE2]}) // MPEG 1 or 2 Layer 3 header
		) {
			return {
				ext: 'mp3',
				mime: 'audio/mpeg'
			};
		}

		if (
			check([0xFF, 0xE4], {offset: start, mask: [0xFF, 0xE4]}) // MPEG 1 or 2 Layer 2 header
		) {
			return {
				ext: 'mp2',
				mime: 'audio/mpeg'
			};
		}

		if (
			check([0xFF, 0xF8], {offset: start, mask: [0xFF, 0xFC]}) // MPEG 2 layer 0 using ADTS
		) {
			return {
				ext: 'mp2',
				mime: 'audio/mpeg'
			};
		}

		if (
			check([0xFF, 0xF0], {offset: start, mask: [0xFF, 0xFC]}) // MPEG 4 layer 0 using ADTS
		) {
			return {
				ext: 'mp4',
				mime: 'audio/mpeg'
			};
		}
	}

	if (
		check([0x66, 0x74, 0x79, 0x70, 0x4D, 0x34, 0x41], {offset: 4})
	) {
		return { // MPEG-4 layer 3 (audio)
			ext: 'm4a',
			mime: 'audio/mp4' // RFC 4337
		};
	}

	// Needs to be before `ogg` check
	if (check([0x4F, 0x70, 0x75, 0x73, 0x48, 0x65, 0x61, 0x64], {offset: 28})) {
		return {
			ext: 'opus',
			mime: 'audio/opus'
		};
	}

	// If 'OggS' in first  bytes, then OGG container
	if (check([0x4F, 0x67, 0x67, 0x53])) {
		// This is a OGG container

		// If ' theora' in header.
		if (check([0x80, 0x74, 0x68, 0x65, 0x6F, 0x72, 0x61], {offset: 28})) {
			return {
				ext: 'ogv',
				mime: 'video/ogg'
			};
		}

		// If '\x01video' in header.
		if (check([0x01, 0x76, 0x69, 0x64, 0x65, 0x6F, 0x00], {offset: 28})) {
			return {
				ext: 'ogm',
				mime: 'video/ogg'
			};
		}

		// If ' FLAC' in header  https://xiph.org/flac/faq.html
		if (check([0x7F, 0x46, 0x4C, 0x41, 0x43], {offset: 28})) {
			return {
				ext: 'oga',
				mime: 'audio/ogg'
			};
		}

		// 'Speex  ' in header https://en.wikipedia.org/wiki/Speex
		if (check([0x53, 0x70, 0x65, 0x65, 0x78, 0x20, 0x20], {offset: 28})) {
			return {
				ext: 'spx',
				mime: 'audio/ogg'
			};
		}

		// If '\x01vorbis' in header
		if (check([0x01, 0x76, 0x6F, 0x72, 0x62, 0x69, 0x73], {offset: 28})) {
			return {
				ext: 'ogg',
				mime: 'audio/ogg'
			};
		}

		// Default OGG container https://www.iana.org/assignments/media-types/application/ogg
		return {
			ext: 'ogx',
			mime: 'application/ogg'
		};
	}

	if (check([0x66, 0x4C, 0x61, 0x43])) {
		return {
			ext: 'flac',
			mime: 'audio/x-flac'
		};
	}

	if (check([0x4D, 0x41, 0x43, 0x20])) { // 'MAC '
		return {
			ext: 'ape',
			mime: 'audio/ape'
		};
	}

	if (check([0x77, 0x76, 0x70, 0x6B])) { // 'wvpk'
		return {
			ext: 'wv',
			mime: 'audio/wavpack'
		};
	}

	if (check([0x23, 0x21, 0x41, 0x4D, 0x52, 0x0A])) {
		return {
			ext: 'amr',
			mime: 'audio/amr'
		};
	}

	if (check([0x25, 0x50, 0x44, 0x46])) {
		return {
			ext: 'pdf',
			mime: 'application/pdf'
		};
	}

	if (check([0x4D, 0x5A])) {
		return {
			ext: 'exe',
			mime: 'application/x-msdownload'
		};
	}

	if (
		(buf[0] === 0x43 || buf[0] === 0x46) &&
		check([0x57, 0x53], {offset: 1})
	) {
		return {
			ext: 'swf',
			mime: 'application/x-shockwave-flash'
		};
	}

	if (check([0x7B, 0x5C, 0x72, 0x74, 0x66])) {
		return {
			ext: 'rtf',
			mime: 'application/rtf'
		};
	}

	if (check([0x00, 0x61, 0x73, 0x6D])) {
		return {
			ext: 'wasm',
			mime: 'application/wasm'
		};
	}

	if (
		check([0x77, 0x4F, 0x46, 0x46]) &&
		(
			check([0x00, 0x01, 0x00, 0x00], {offset: 4}) ||
			check([0x4F, 0x54, 0x54, 0x4F], {offset: 4})
		)
	) {
		return {
			ext: 'woff',
			mime: 'font/woff'
		};
	}

	if (
		check([0x77, 0x4F, 0x46, 0x32]) &&
		(
			check([0x00, 0x01, 0x00, 0x00], {offset: 4}) ||
			check([0x4F, 0x54, 0x54, 0x4F], {offset: 4})
		)
	) {
		return {
			ext: 'woff2',
			mime: 'font/woff2'
		};
	}

	if (
		check([0x4C, 0x50], {offset: 34}) &&
		(
			check([0x00, 0x00, 0x01], {offset: 8}) ||
			check([0x01, 0x00, 0x02], {offset: 8}) ||
			check([0x02, 0x00, 0x02], {offset: 8})
		)
	) {
		return {
			ext: 'eot',
			mime: 'application/vnd.ms-fontobject'
		};
	}

	if (check([0x00, 0x01, 0x00, 0x00, 0x00])) {
		return {
			ext: 'ttf',
			mime: 'font/ttf'
		};
	}

	if (check([0x4F, 0x54, 0x54, 0x4F, 0x00])) {
		return {
			ext: 'otf',
			mime: 'font/otf'
		};
	}

	if (check([0x00, 0x00, 0x01, 0x00])) {
		return {
			ext: 'ico',
			mime: 'image/x-icon'
		};
	}

	if (check([0x00, 0x00, 0x02, 0x00])) {
		return {
			ext: 'cur',
			mime: 'image/x-icon'
		};
	}

	if (check([0x46, 0x4C, 0x56, 0x01])) {
		return {
			ext: 'flv',
			mime: 'video/x-flv'
		};
	}

	if (check([0x25, 0x21])) {
		return {
			ext: 'ps',
			mime: 'application/postscript'
		};
	}

	if (check([0xFD, 0x37, 0x7A, 0x58, 0x5A, 0x00])) {
		return {
			ext: 'xz',
			mime: 'application/x-xz'
		};
	}

	if (check([0x53, 0x51, 0x4C, 0x69])) {
		return {
			ext: 'sqlite',
			mime: 'application/x-sqlite3'
		};
	}

	if (check([0x4E, 0x45, 0x53, 0x1A])) {
		return {
			ext: 'nes',
			mime: 'application/x-nintendo-nes-rom'
		};
	}

	if (check([0x43, 0x72, 0x32, 0x34])) {
		return {
			ext: 'crx',
			mime: 'application/x-google-chrome-extension'
		};
	}

	if (
		check([0x4D, 0x53, 0x43, 0x46]) ||
		check([0x49, 0x53, 0x63, 0x28])
	) {
		return {
			ext: 'cab',
			mime: 'application/vnd.ms-cab-compressed'
		};
	}

	// Needs to be before `ar` check
	if (check([0x21, 0x3C, 0x61, 0x72, 0x63, 0x68, 0x3E, 0x0A, 0x64, 0x65, 0x62, 0x69, 0x61, 0x6E, 0x2D, 0x62, 0x69, 0x6E, 0x61, 0x72, 0x79])) {
		return {
			ext: 'deb',
			mime: 'application/x-deb'
		};
	}

	if (check([0x21, 0x3C, 0x61, 0x72, 0x63, 0x68, 0x3E])) {
		return {
			ext: 'ar',
			mime: 'application/x-unix-archive'
		};
	}

	if (check([0xED, 0xAB, 0xEE, 0xDB])) {
		return {
			ext: 'rpm',
			mime: 'application/x-rpm'
		};
	}

	if (
		check([0x1F, 0xA0]) ||
		check([0x1F, 0x9D])
	) {
		return {
			ext: 'Z',
			mime: 'application/x-compress'
		};
	}

	if (check([0x4C, 0x5A, 0x49, 0x50])) {
		return {
			ext: 'lz',
			mime: 'application/x-lzip'
		};
	}

	if (check([0xD0, 0xCF, 0x11, 0xE0, 0xA1, 0xB1, 0x1A, 0xE1])) {
		return {
			ext: 'msi',
			mime: 'application/x-msi'
		};
	}

	if (check([0x06, 0x0E, 0x2B, 0x34, 0x02, 0x05, 0x01, 0x01, 0x0D, 0x01, 0x02, 0x01, 0x01, 0x02])) {
		return {
			ext: 'mxf',
			mime: 'application/mxf'
		};
	}

	if (check([0x47], {offset: 4}) && (check([0x47], {offset: 192}) || check([0x47], {offset: 196}))) {
		return {
			ext: 'mts',
			mime: 'video/mp2t'
		};
	}

	if (check([0x42, 0x4C, 0x45, 0x4E, 0x44, 0x45, 0x52])) {
		return {
			ext: 'blend',
			mime: 'application/x-blender'
		};
	}

	if (check([0x42, 0x50, 0x47, 0xFB])) {
		return {
			ext: 'bpg',
			mime: 'image/bpg'
		};
	}

	if (check([0x00, 0x00, 0x00, 0x0C, 0x6A, 0x50, 0x20, 0x20, 0x0D, 0x0A, 0x87, 0x0A])) {
		// JPEG-2000 family

		if (check([0x6A, 0x70, 0x32, 0x20], {offset: 20})) {
			return {
				ext: 'jp2',
				mime: 'image/jp2'
			};
		}

		if (check([0x6A, 0x70, 0x78, 0x20], {offset: 20})) {
			return {
				ext: 'jpx',
				mime: 'image/jpx'
			};
		}

		if (check([0x6A, 0x70, 0x6D, 0x20], {offset: 20})) {
			return {
				ext: 'jpm',
				mime: 'image/jpm'
			};
		}

		if (check([0x6D, 0x6A, 0x70, 0x32], {offset: 20})) {
			return {
				ext: 'mj2',
				mime: 'image/mj2'
			};
		}
	}

	if (check([0x46, 0x4F, 0x52, 0x4D])) {
		return {
			ext: 'aif',
			mime: 'audio/aiff'
		};
	}

	if (checkString('<?xml ')) {
		return {
			ext: 'xml',
			mime: 'application/xml'
		};
	}

	if (check([0x42, 0x4F, 0x4F, 0x4B, 0x4D, 0x4F, 0x42, 0x49], {offset: 60})) {
		return {
			ext: 'mobi',
			mime: 'application/x-mobipocket-ebook'
		};
	}

	// File Type Box (https://en.wikipedia.org/wiki/ISO_base_media_file_format)
	if (check([0x66, 0x74, 0x79, 0x70], {offset: 4})) {
		if (check([0x6D, 0x69, 0x66, 0x31], {offset: 8})) {
			return {
				ext: 'heic',
				mime: 'image/heif'
			};
		}

		if (check([0x6D, 0x73, 0x66, 0x31], {offset: 8})) {
			return {
				ext: 'heic',
				mime: 'image/heif-sequence'
			};
		}

		if (check([0x68, 0x65, 0x69, 0x63], {offset: 8}) || check([0x68, 0x65, 0x69, 0x78], {offset: 8})) {
			return {
				ext: 'heic',
				mime: 'image/heic'
			};
		}

		if (check([0x68, 0x65, 0x76, 0x63], {offset: 8}) || check([0x68, 0x65, 0x76, 0x78], {offset: 8})) {
			return {
				ext: 'heic',
				mime: 'image/heic-sequence'
			};
		}
	}

	if (check([0xAB, 0x4B, 0x54, 0x58, 0x20, 0x31, 0x31, 0xBB, 0x0D, 0x0A, 0x1A, 0x0A])) {
		return {
			ext: 'ktx',
			mime: 'image/ktx'
		};
	}

	if (check([0x44, 0x49, 0x43, 0x4D], {offset: 128})) {
		return {
			ext: 'dcm',
			mime: 'application/dicom'
		};
	}

	// Musepack, SV7
	if (check([0x4D, 0x50, 0x2B])) {
		return {
			ext: 'mpc',
			mime: 'audio/x-musepack'
		};
	}

	// Musepack, SV8
	if (check([0x4D, 0x50, 0x43, 0x4B])) {
		return {
			ext: 'mpc',
			mime: 'audio/x-musepack'
		};
	}

	if (check([0x42, 0x45, 0x47, 0x49, 0x4E, 0x3A])) {
		return {
			ext: 'ics',
			mime: 'text/calendar'
		};
	}

	if (check([0x67, 0x6C, 0x54, 0x46, 0x02, 0x00, 0x00, 0x00])) {
		return {
			ext: 'glb',
			mime: 'model/gltf-binary'
		};
	}

	if (check([0xD4, 0xC3, 0xB2, 0xA1]) || check([0xA1, 0xB2, 0xC3, 0xD4])) {
		return {
			ext: 'pcap',
			mime: 'application/vnd.tcpdump.pcap'
		};
	}

	return null;
};

module.exports = fileType;
// TODO: Remove this for the next major release
module.exports["default"] = fileType;

Object.defineProperty(fileType, 'minimumBytes', {value: 4100});

module.exports.stream = readableStream => new Promise((resolve, reject) => {
	// Using `eval` to work around issues when bundling with Webpack
	const stream = eval('require')('stream'); // eslint-disable-line no-eval

	readableStream.once('readable', () => {
		const pass = new stream.PassThrough();
		const chunk = readableStream.read(module.exports.minimumBytes) || readableStream.read();
		try {
			pass.fileType = fileType(chunk);
		} catch (error) {
			reject(error);
		}

		readableStream.unshift(chunk);

		if (stream.pipeline) {
			resolve(stream.pipeline(readableStream, pass, () => {}));
		} else {
			resolve(readableStream.pipe(pass));
		}
	});
});


/***/ }),

/***/ 76435:
/***/ ((module) => {

/*!
 * is-extglob <https://github.com/jonschlinkert/is-extglob>
 *
 * Copyright (c) 2014-2016, Jon Schlinkert.
 * Licensed under the MIT License.
 */

module.exports = function isExtglob(str) {
  if (typeof str !== 'string' || str === '') {
    return false;
  }

  var match;
  while ((match = /(\\).|([@?!+*]\(.*\))/g.exec(str))) {
    if (match[2]) return true;
    str = str.slice(match.index + match[0].length);
  }

  return false;
};


/***/ }),

/***/ 34466:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

/*!
 * is-glob <https://github.com/jonschlinkert/is-glob>
 *
 * Copyright (c) 2014-2017, Jon Schlinkert.
 * Released under the MIT License.
 */

var isExtglob = __nccwpck_require__(76435);
var chars = { '{': '}', '(': ')', '[': ']'};
var strictRegex = /\\(.)|(^!|\*|[\].+)]\?|\[[^\\\]]+\]|\{[^\\}]+\}|\(\?[:!=][^\\)]+\)|\([^|]+\|[^\\)]+\))/;
var relaxedRegex = /\\(.)|(^!|[*?{}()[\]]|\(\?)/;

module.exports = function isGlob(str, options) {
  if (typeof str !== 'string' || str === '') {
    return false;
  }

  if (isExtglob(str)) {
    return true;
  }

  var regex = strictRegex;
  var match;

  // optionally relax regex
  if (options && options.strict === false) {
    regex = relaxedRegex;
  }

  while ((match = regex.exec(str))) {
    if (match[2]) return true;
    var idx = match.index + match[0].length;

    // if an open bracket/brace/paren is escaped,
    // set the index to the next closing character
    var open = match[1];
    var close = open ? chars[open] : null;
    if (open && close) {
      var n = str.indexOf(close, idx);
      if (n !== -1) {
        idx = n + 1;
      }
    }

    str = str.slice(idx);
  }
  return false;
};


/***/ }),

/***/ 67358:
/***/ ((module) => {

"use strict";

module.exports = buffer => {
	if (!buffer || buffer.length < 3) {
		return false;
	}

	return buffer[0] === 255 &&
		buffer[1] === 216 &&
		buffer[2] === 255;
};


/***/ }),

/***/ 75680:
/***/ ((module) => {

"use strict";
/*!
 * is-number <https://github.com/jonschlinkert/is-number>
 *
 * Copyright (c) 2014-present, Jon Schlinkert.
 * Released under the MIT License.
 */



module.exports = function(num) {
  if (typeof num === 'number') {
    return num - num === 0;
  }
  if (typeof num === 'string' && num.trim() !== '') {
    return Number.isFinite ? Number.isFinite(+num) : isFinite(+num);
  }
  return false;
};


/***/ }),

/***/ 58885:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);

module.exports = path_ => {
	let cwd = process.cwd();

	path_ = path.resolve(path_);

	if (process.platform === 'win32') {
		cwd = cwd.toLowerCase();
		path_ = path_.toLowerCase();
	}

	return path_ === cwd;
};


/***/ }),

/***/ 80628:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);

module.exports = (childPath, parentPath) => {
	childPath = path.resolve(childPath);
	parentPath = path.resolve(parentPath);

	if (process.platform === 'win32') {
		childPath = childPath.toLowerCase();
		parentPath = parentPath.toLowerCase();
	}

	if (childPath === parentPath) {
		return false;
	}

	childPath += path.sep;
	parentPath += path.sep;

	return childPath.startsWith(parentPath);
};


/***/ }),

/***/ 20864:
/***/ ((module) => {

"use strict";

var toString = Object.prototype.toString;

module.exports = function (x) {
	var prototype;
	return toString.call(x) === '[object Object]' && (prototype = Object.getPrototypeOf(x), prototype === null || prototype === Object.getPrototypeOf({}));
};


/***/ }),

/***/ 70786:
/***/ ((module) => {

"use strict";


module.exports = buffer => {
	if (!buffer || buffer.length < 8) {
		return false;
	}

	return (
		buffer[0] === 0x89 &&
		buffer[1] === 0x50 &&
		buffer[2] === 0x4E &&
		buffer[3] === 0x47 &&
		buffer[4] === 0x0D &&
		buffer[5] === 0x0A &&
		buffer[6] === 0x1A &&
		buffer[7] === 0x0A
	);
};


/***/ }),

/***/ 41554:
/***/ ((module) => {

"use strict";


const isStream = stream =>
	stream !== null &&
	typeof stream === 'object' &&
	typeof stream.pipe === 'function';

isStream.writable = stream =>
	isStream(stream) &&
	stream.writable !== false &&
	typeof stream._write === 'function' &&
	typeof stream._writableState === 'object';

isStream.readable = stream =>
	isStream(stream) &&
	stream.readable !== false &&
	typeof stream._read === 'function' &&
	typeof stream._readableState === 'object';

isStream.duplex = stream =>
	isStream.writable(stream) &&
	isStream.readable(stream);

isStream.transform = stream =>
	isStream.duplex(stream) &&
	typeof stream._transform === 'function' &&
	typeof stream._transformState === 'object';

module.exports = isStream;


/***/ }),

/***/ 97126:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var fs = __nccwpck_require__(57147)
var core
if (process.platform === 'win32' || global.TESTING_WINDOWS) {
  core = __nccwpck_require__(42001)
} else {
  core = __nccwpck_require__(9728)
}

module.exports = isexe
isexe.sync = sync

function isexe (path, options, cb) {
  if (typeof options === 'function') {
    cb = options
    options = {}
  }

  if (!cb) {
    if (typeof Promise !== 'function') {
      throw new TypeError('callback not provided')
    }

    return new Promise(function (resolve, reject) {
      isexe(path, options || {}, function (er, is) {
        if (er) {
          reject(er)
        } else {
          resolve(is)
        }
      })
    })
  }

  core(path, options || {}, function (er, is) {
    // ignore EACCES because that just means we aren't allowed to run it
    if (er) {
      if (er.code === 'EACCES' || options && options.ignoreErrors) {
        er = null
        is = false
      }
    }
    cb(er, is)
  })
}

function sync (path, options) {
  // my kingdom for a filtered catch
  try {
    return core.sync(path, options || {})
  } catch (er) {
    if (options && options.ignoreErrors || er.code === 'EACCES') {
      return false
    } else {
      throw er
    }
  }
}


/***/ }),

/***/ 9728:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

module.exports = isexe
isexe.sync = sync

var fs = __nccwpck_require__(57147)

function isexe (path, options, cb) {
  fs.stat(path, function (er, stat) {
    cb(er, er ? false : checkStat(stat, options))
  })
}

function sync (path, options) {
  return checkStat(fs.statSync(path), options)
}

function checkStat (stat, options) {
  return stat.isFile() && checkMode(stat, options)
}

function checkMode (stat, options) {
  var mod = stat.mode
  var uid = stat.uid
  var gid = stat.gid

  var myUid = options.uid !== undefined ?
    options.uid : process.getuid && process.getuid()
  var myGid = options.gid !== undefined ?
    options.gid : process.getgid && process.getgid()

  var u = parseInt('100', 8)
  var g = parseInt('010', 8)
  var o = parseInt('001', 8)
  var ug = u | g

  var ret = (mod & o) ||
    (mod & g) && gid === myGid ||
    (mod & u) && uid === myUid ||
    (mod & ug) && myUid === 0

  return ret
}


/***/ }),

/***/ 42001:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

module.exports = isexe
isexe.sync = sync

var fs = __nccwpck_require__(57147)

function checkPathExt (path, options) {
  var pathext = options.pathExt !== undefined ?
    options.pathExt : process.env.PATHEXT

  if (!pathext) {
    return true
  }

  pathext = pathext.split(';')
  if (pathext.indexOf('') !== -1) {
    return true
  }
  for (var i = 0; i < pathext.length; i++) {
    var p = pathext[i].toLowerCase()
    if (p && path.substr(-p.length).toLowerCase() === p) {
      return true
    }
  }
  return false
}

function checkStat (stat, path, options) {
  if (!stat.isSymbolicLink() && !stat.isFile()) {
    return false
  }
  return checkPathExt(path, options)
}

function isexe (path, options, cb) {
  fs.stat(path, function (er, stat) {
    cb(er, er ? false : checkStat(stat, path, options))
  })
}

function sync (path, options) {
  return checkStat(fs.statSync(path), path, options)
}


/***/ }),

/***/ 87783:
/***/ ((__unused_webpack_module, exports) => {

(function(exports) {
  "use strict";

  function isArray(obj) {
    if (obj !== null) {
      return Object.prototype.toString.call(obj) === "[object Array]";
    } else {
      return false;
    }
  }

  function isObject(obj) {
    if (obj !== null) {
      return Object.prototype.toString.call(obj) === "[object Object]";
    } else {
      return false;
    }
  }

  function strictDeepEqual(first, second) {
    // Check the scalar case first.
    if (first === second) {
      return true;
    }

    // Check if they are the same type.
    var firstType = Object.prototype.toString.call(first);
    if (firstType !== Object.prototype.toString.call(second)) {
      return false;
    }
    // We know that first and second have the same type so we can just check the
    // first type from now on.
    if (isArray(first) === true) {
      // Short circuit if they're not the same length;
      if (first.length !== second.length) {
        return false;
      }
      for (var i = 0; i < first.length; i++) {
        if (strictDeepEqual(first[i], second[i]) === false) {
          return false;
        }
      }
      return true;
    }
    if (isObject(first) === true) {
      // An object is equal if it has the same key/value pairs.
      var keysSeen = {};
      for (var key in first) {
        if (hasOwnProperty.call(first, key)) {
          if (strictDeepEqual(first[key], second[key]) === false) {
            return false;
          }
          keysSeen[key] = true;
        }
      }
      // Now check that there aren't any keys in second that weren't
      // in first.
      for (var key2 in second) {
        if (hasOwnProperty.call(second, key2)) {
          if (keysSeen[key2] !== true) {
            return false;
          }
        }
      }
      return true;
    }
    return false;
  }

  function isFalse(obj) {
    // From the spec:
    // A false value corresponds to the following values:
    // Empty list
    // Empty object
    // Empty string
    // False boolean
    // null value

    // First check the scalar values.
    if (obj === "" || obj === false || obj === null) {
        return true;
    } else if (isArray(obj) && obj.length === 0) {
        // Check for an empty array.
        return true;
    } else if (isObject(obj)) {
        // Check for an empty object.
        for (var key in obj) {
            // If there are any keys, then
            // the object is not empty so the object
            // is not false.
            if (obj.hasOwnProperty(key)) {
              return false;
            }
        }
        return true;
    } else {
        return false;
    }
  }

  function objValues(obj) {
    var keys = Object.keys(obj);
    var values = [];
    for (var i = 0; i < keys.length; i++) {
      values.push(obj[keys[i]]);
    }
    return values;
  }

  function merge(a, b) {
      var merged = {};
      for (var key in a) {
          merged[key] = a[key];
      }
      for (var key2 in b) {
          merged[key2] = b[key2];
      }
      return merged;
  }

  var trimLeft;
  if (typeof String.prototype.trimLeft === "function") {
    trimLeft = function(str) {
      return str.trimLeft();
    };
  } else {
    trimLeft = function(str) {
      return str.match(/^\s*(.*)/)[1];
    };
  }

  // Type constants used to define functions.
  var TYPE_NUMBER = 0;
  var TYPE_ANY = 1;
  var TYPE_STRING = 2;
  var TYPE_ARRAY = 3;
  var TYPE_OBJECT = 4;
  var TYPE_BOOLEAN = 5;
  var TYPE_EXPREF = 6;
  var TYPE_NULL = 7;
  var TYPE_ARRAY_NUMBER = 8;
  var TYPE_ARRAY_STRING = 9;

  var TOK_EOF = "EOF";
  var TOK_UNQUOTEDIDENTIFIER = "UnquotedIdentifier";
  var TOK_QUOTEDIDENTIFIER = "QuotedIdentifier";
  var TOK_RBRACKET = "Rbracket";
  var TOK_RPAREN = "Rparen";
  var TOK_COMMA = "Comma";
  var TOK_COLON = "Colon";
  var TOK_RBRACE = "Rbrace";
  var TOK_NUMBER = "Number";
  var TOK_CURRENT = "Current";
  var TOK_EXPREF = "Expref";
  var TOK_PIPE = "Pipe";
  var TOK_OR = "Or";
  var TOK_AND = "And";
  var TOK_EQ = "EQ";
  var TOK_GT = "GT";
  var TOK_LT = "LT";
  var TOK_GTE = "GTE";
  var TOK_LTE = "LTE";
  var TOK_NE = "NE";
  var TOK_FLATTEN = "Flatten";
  var TOK_STAR = "Star";
  var TOK_FILTER = "Filter";
  var TOK_DOT = "Dot";
  var TOK_NOT = "Not";
  var TOK_LBRACE = "Lbrace";
  var TOK_LBRACKET = "Lbracket";
  var TOK_LPAREN= "Lparen";
  var TOK_LITERAL= "Literal";

  // The "&", "[", "<", ">" tokens
  // are not in basicToken because
  // there are two token variants
  // ("&&", "[?", "<=", ">=").  This is specially handled
  // below.

  var basicTokens = {
    ".": TOK_DOT,
    "*": TOK_STAR,
    ",": TOK_COMMA,
    ":": TOK_COLON,
    "{": TOK_LBRACE,
    "}": TOK_RBRACE,
    "]": TOK_RBRACKET,
    "(": TOK_LPAREN,
    ")": TOK_RPAREN,
    "@": TOK_CURRENT
  };

  var operatorStartToken = {
      "<": true,
      ">": true,
      "=": true,
      "!": true
  };

  var skipChars = {
      " ": true,
      "\t": true,
      "\n": true
  };


  function isAlpha(ch) {
      return (ch >= "a" && ch <= "z") ||
             (ch >= "A" && ch <= "Z") ||
             ch === "_";
  }

  function isNum(ch) {
      return (ch >= "0" && ch <= "9") ||
             ch === "-";
  }
  function isAlphaNum(ch) {
      return (ch >= "a" && ch <= "z") ||
             (ch >= "A" && ch <= "Z") ||
             (ch >= "0" && ch <= "9") ||
             ch === "_";
  }

  function Lexer() {
  }
  Lexer.prototype = {
      tokenize: function(stream) {
          var tokens = [];
          this._current = 0;
          var start;
          var identifier;
          var token;
          while (this._current < stream.length) {
              if (isAlpha(stream[this._current])) {
                  start = this._current;
                  identifier = this._consumeUnquotedIdentifier(stream);
                  tokens.push({type: TOK_UNQUOTEDIDENTIFIER,
                               value: identifier,
                               start: start});
              } else if (basicTokens[stream[this._current]] !== undefined) {
                  tokens.push({type: basicTokens[stream[this._current]],
                              value: stream[this._current],
                              start: this._current});
                  this._current++;
              } else if (isNum(stream[this._current])) {
                  token = this._consumeNumber(stream);
                  tokens.push(token);
              } else if (stream[this._current] === "[") {
                  // No need to increment this._current.  This happens
                  // in _consumeLBracket
                  token = this._consumeLBracket(stream);
                  tokens.push(token);
              } else if (stream[this._current] === "\"") {
                  start = this._current;
                  identifier = this._consumeQuotedIdentifier(stream);
                  tokens.push({type: TOK_QUOTEDIDENTIFIER,
                               value: identifier,
                               start: start});
              } else if (stream[this._current] === "'") {
                  start = this._current;
                  identifier = this._consumeRawStringLiteral(stream);
                  tokens.push({type: TOK_LITERAL,
                               value: identifier,
                               start: start});
              } else if (stream[this._current] === "`") {
                  start = this._current;
                  var literal = this._consumeLiteral(stream);
                  tokens.push({type: TOK_LITERAL,
                               value: literal,
                               start: start});
              } else if (operatorStartToken[stream[this._current]] !== undefined) {
                  tokens.push(this._consumeOperator(stream));
              } else if (skipChars[stream[this._current]] !== undefined) {
                  // Ignore whitespace.
                  this._current++;
              } else if (stream[this._current] === "&") {
                  start = this._current;
                  this._current++;
                  if (stream[this._current] === "&") {
                      this._current++;
                      tokens.push({type: TOK_AND, value: "&&", start: start});
                  } else {
                      tokens.push({type: TOK_EXPREF, value: "&", start: start});
                  }
              } else if (stream[this._current] === "|") {
                  start = this._current;
                  this._current++;
                  if (stream[this._current] === "|") {
                      this._current++;
                      tokens.push({type: TOK_OR, value: "||", start: start});
                  } else {
                      tokens.push({type: TOK_PIPE, value: "|", start: start});
                  }
              } else {
                  var error = new Error("Unknown character:" + stream[this._current]);
                  error.name = "LexerError";
                  throw error;
              }
          }
          return tokens;
      },

      _consumeUnquotedIdentifier: function(stream) {
          var start = this._current;
          this._current++;
          while (this._current < stream.length && isAlphaNum(stream[this._current])) {
              this._current++;
          }
          return stream.slice(start, this._current);
      },

      _consumeQuotedIdentifier: function(stream) {
          var start = this._current;
          this._current++;
          var maxLength = stream.length;
          while (stream[this._current] !== "\"" && this._current < maxLength) {
              // You can escape a double quote and you can escape an escape.
              var current = this._current;
              if (stream[current] === "\\" && (stream[current + 1] === "\\" ||
                                               stream[current + 1] === "\"")) {
                  current += 2;
              } else {
                  current++;
              }
              this._current = current;
          }
          this._current++;
          return JSON.parse(stream.slice(start, this._current));
      },

      _consumeRawStringLiteral: function(stream) {
          var start = this._current;
          this._current++;
          var maxLength = stream.length;
          while (stream[this._current] !== "'" && this._current < maxLength) {
              // You can escape a single quote and you can escape an escape.
              var current = this._current;
              if (stream[current] === "\\" && (stream[current + 1] === "\\" ||
                                               stream[current + 1] === "'")) {
                  current += 2;
              } else {
                  current++;
              }
              this._current = current;
          }
          this._current++;
          var literal = stream.slice(start + 1, this._current - 1);
          return literal.replace("\\'", "'");
      },

      _consumeNumber: function(stream) {
          var start = this._current;
          this._current++;
          var maxLength = stream.length;
          while (isNum(stream[this._current]) && this._current < maxLength) {
              this._current++;
          }
          var value = parseInt(stream.slice(start, this._current));
          return {type: TOK_NUMBER, value: value, start: start};
      },

      _consumeLBracket: function(stream) {
          var start = this._current;
          this._current++;
          if (stream[this._current] === "?") {
              this._current++;
              return {type: TOK_FILTER, value: "[?", start: start};
          } else if (stream[this._current] === "]") {
              this._current++;
              return {type: TOK_FLATTEN, value: "[]", start: start};
          } else {
              return {type: TOK_LBRACKET, value: "[", start: start};
          }
      },

      _consumeOperator: function(stream) {
          var start = this._current;
          var startingChar = stream[start];
          this._current++;
          if (startingChar === "!") {
              if (stream[this._current] === "=") {
                  this._current++;
                  return {type: TOK_NE, value: "!=", start: start};
              } else {
                return {type: TOK_NOT, value: "!", start: start};
              }
          } else if (startingChar === "<") {
              if (stream[this._current] === "=") {
                  this._current++;
                  return {type: TOK_LTE, value: "<=", start: start};
              } else {
                  return {type: TOK_LT, value: "<", start: start};
              }
          } else if (startingChar === ">") {
              if (stream[this._current] === "=") {
                  this._current++;
                  return {type: TOK_GTE, value: ">=", start: start};
              } else {
                  return {type: TOK_GT, value: ">", start: start};
              }
          } else if (startingChar === "=") {
              if (stream[this._current] === "=") {
                  this._current++;
                  return {type: TOK_EQ, value: "==", start: start};
              }
          }
      },

      _consumeLiteral: function(stream) {
          this._current++;
          var start = this._current;
          var maxLength = stream.length;
          var literal;
          while(stream[this._current] !== "`" && this._current < maxLength) {
              // You can escape a literal char or you can escape the escape.
              var current = this._current;
              if (stream[current] === "\\" && (stream[current + 1] === "\\" ||
                                               stream[current + 1] === "`")) {
                  current += 2;
              } else {
                  current++;
              }
              this._current = current;
          }
          var literalString = trimLeft(stream.slice(start, this._current));
          literalString = literalString.replace("\\`", "`");
          if (this._looksLikeJSON(literalString)) {
              literal = JSON.parse(literalString);
          } else {
              // Try to JSON parse it as "<literal>"
              literal = JSON.parse("\"" + literalString + "\"");
          }
          // +1 gets us to the ending "`", +1 to move on to the next char.
          this._current++;
          return literal;
      },

      _looksLikeJSON: function(literalString) {
          var startingChars = "[{\"";
          var jsonLiterals = ["true", "false", "null"];
          var numberLooking = "-0123456789";

          if (literalString === "") {
              return false;
          } else if (startingChars.indexOf(literalString[0]) >= 0) {
              return true;
          } else if (jsonLiterals.indexOf(literalString) >= 0) {
              return true;
          } else if (numberLooking.indexOf(literalString[0]) >= 0) {
              try {
                  JSON.parse(literalString);
                  return true;
              } catch (ex) {
                  return false;
              }
          } else {
              return false;
          }
      }
  };

      var bindingPower = {};
      bindingPower[TOK_EOF] = 0;
      bindingPower[TOK_UNQUOTEDIDENTIFIER] = 0;
      bindingPower[TOK_QUOTEDIDENTIFIER] = 0;
      bindingPower[TOK_RBRACKET] = 0;
      bindingPower[TOK_RPAREN] = 0;
      bindingPower[TOK_COMMA] = 0;
      bindingPower[TOK_RBRACE] = 0;
      bindingPower[TOK_NUMBER] = 0;
      bindingPower[TOK_CURRENT] = 0;
      bindingPower[TOK_EXPREF] = 0;
      bindingPower[TOK_PIPE] = 1;
      bindingPower[TOK_OR] = 2;
      bindingPower[TOK_AND] = 3;
      bindingPower[TOK_EQ] = 5;
      bindingPower[TOK_GT] = 5;
      bindingPower[TOK_LT] = 5;
      bindingPower[TOK_GTE] = 5;
      bindingPower[TOK_LTE] = 5;
      bindingPower[TOK_NE] = 5;
      bindingPower[TOK_FLATTEN] = 9;
      bindingPower[TOK_STAR] = 20;
      bindingPower[TOK_FILTER] = 21;
      bindingPower[TOK_DOT] = 40;
      bindingPower[TOK_NOT] = 45;
      bindingPower[TOK_LBRACE] = 50;
      bindingPower[TOK_LBRACKET] = 55;
      bindingPower[TOK_LPAREN] = 60;

  function Parser() {
  }

  Parser.prototype = {
      parse: function(expression) {
          this._loadTokens(expression);
          this.index = 0;
          var ast = this.expression(0);
          if (this._lookahead(0) !== TOK_EOF) {
              var t = this._lookaheadToken(0);
              var error = new Error(
                  "Unexpected token type: " + t.type + ", value: " + t.value);
              error.name = "ParserError";
              throw error;
          }
          return ast;
      },

      _loadTokens: function(expression) {
          var lexer = new Lexer();
          var tokens = lexer.tokenize(expression);
          tokens.push({type: TOK_EOF, value: "", start: expression.length});
          this.tokens = tokens;
      },

      expression: function(rbp) {
          var leftToken = this._lookaheadToken(0);
          this._advance();
          var left = this.nud(leftToken);
          var currentToken = this._lookahead(0);
          while (rbp < bindingPower[currentToken]) {
              this._advance();
              left = this.led(currentToken, left);
              currentToken = this._lookahead(0);
          }
          return left;
      },

      _lookahead: function(number) {
          return this.tokens[this.index + number].type;
      },

      _lookaheadToken: function(number) {
          return this.tokens[this.index + number];
      },

      _advance: function() {
          this.index++;
      },

      nud: function(token) {
        var left;
        var right;
        var expression;
        switch (token.type) {
          case TOK_LITERAL:
            return {type: "Literal", value: token.value};
          case TOK_UNQUOTEDIDENTIFIER:
            return {type: "Field", name: token.value};
          case TOK_QUOTEDIDENTIFIER:
            var node = {type: "Field", name: token.value};
            if (this._lookahead(0) === TOK_LPAREN) {
                throw new Error("Quoted identifier not allowed for function names.");
            } else {
                return node;
            }
            break;
          case TOK_NOT:
            right = this.expression(bindingPower.Not);
            return {type: "NotExpression", children: [right]};
          case TOK_STAR:
            left = {type: "Identity"};
            right = null;
            if (this._lookahead(0) === TOK_RBRACKET) {
                // This can happen in a multiselect,
                // [a, b, *]
                right = {type: "Identity"};
            } else {
                right = this._parseProjectionRHS(bindingPower.Star);
            }
            return {type: "ValueProjection", children: [left, right]};
          case TOK_FILTER:
            return this.led(token.type, {type: "Identity"});
          case TOK_LBRACE:
            return this._parseMultiselectHash();
          case TOK_FLATTEN:
            left = {type: TOK_FLATTEN, children: [{type: "Identity"}]};
            right = this._parseProjectionRHS(bindingPower.Flatten);
            return {type: "Projection", children: [left, right]};
          case TOK_LBRACKET:
            if (this._lookahead(0) === TOK_NUMBER || this._lookahead(0) === TOK_COLON) {
                right = this._parseIndexExpression();
                return this._projectIfSlice({type: "Identity"}, right);
            } else if (this._lookahead(0) === TOK_STAR &&
                       this._lookahead(1) === TOK_RBRACKET) {
                this._advance();
                this._advance();
                right = this._parseProjectionRHS(bindingPower.Star);
                return {type: "Projection",
                        children: [{type: "Identity"}, right]};
            } else {
                return this._parseMultiselectList();
            }
            break;
          case TOK_CURRENT:
            return {type: TOK_CURRENT};
          case TOK_EXPREF:
            expression = this.expression(bindingPower.Expref);
            return {type: "ExpressionReference", children: [expression]};
          case TOK_LPAREN:
            var args = [];
            while (this._lookahead(0) !== TOK_RPAREN) {
              if (this._lookahead(0) === TOK_CURRENT) {
                expression = {type: TOK_CURRENT};
                this._advance();
              } else {
                expression = this.expression(0);
              }
              args.push(expression);
            }
            this._match(TOK_RPAREN);
            return args[0];
          default:
            this._errorToken(token);
        }
      },

      led: function(tokenName, left) {
        var right;
        switch(tokenName) {
          case TOK_DOT:
            var rbp = bindingPower.Dot;
            if (this._lookahead(0) !== TOK_STAR) {
                right = this._parseDotRHS(rbp);
                return {type: "Subexpression", children: [left, right]};
            } else {
                // Creating a projection.
                this._advance();
                right = this._parseProjectionRHS(rbp);
                return {type: "ValueProjection", children: [left, right]};
            }
            break;
          case TOK_PIPE:
            right = this.expression(bindingPower.Pipe);
            return {type: TOK_PIPE, children: [left, right]};
          case TOK_OR:
            right = this.expression(bindingPower.Or);
            return {type: "OrExpression", children: [left, right]};
          case TOK_AND:
            right = this.expression(bindingPower.And);
            return {type: "AndExpression", children: [left, right]};
          case TOK_LPAREN:
            var name = left.name;
            var args = [];
            var expression, node;
            while (this._lookahead(0) !== TOK_RPAREN) {
              if (this._lookahead(0) === TOK_CURRENT) {
                expression = {type: TOK_CURRENT};
                this._advance();
              } else {
                expression = this.expression(0);
              }
              if (this._lookahead(0) === TOK_COMMA) {
                this._match(TOK_COMMA);
              }
              args.push(expression);
            }
            this._match(TOK_RPAREN);
            node = {type: "Function", name: name, children: args};
            return node;
          case TOK_FILTER:
            var condition = this.expression(0);
            this._match(TOK_RBRACKET);
            if (this._lookahead(0) === TOK_FLATTEN) {
              right = {type: "Identity"};
            } else {
              right = this._parseProjectionRHS(bindingPower.Filter);
            }
            return {type: "FilterProjection", children: [left, right, condition]};
          case TOK_FLATTEN:
            var leftNode = {type: TOK_FLATTEN, children: [left]};
            var rightNode = this._parseProjectionRHS(bindingPower.Flatten);
            return {type: "Projection", children: [leftNode, rightNode]};
          case TOK_EQ:
          case TOK_NE:
          case TOK_GT:
          case TOK_GTE:
          case TOK_LT:
          case TOK_LTE:
            return this._parseComparator(left, tokenName);
          case TOK_LBRACKET:
            var token = this._lookaheadToken(0);
            if (token.type === TOK_NUMBER || token.type === TOK_COLON) {
                right = this._parseIndexExpression();
                return this._projectIfSlice(left, right);
            } else {
                this._match(TOK_STAR);
                this._match(TOK_RBRACKET);
                right = this._parseProjectionRHS(bindingPower.Star);
                return {type: "Projection", children: [left, right]};
            }
            break;
          default:
            this._errorToken(this._lookaheadToken(0));
        }
      },

      _match: function(tokenType) {
          if (this._lookahead(0) === tokenType) {
              this._advance();
          } else {
              var t = this._lookaheadToken(0);
              var error = new Error("Expected " + tokenType + ", got: " + t.type);
              error.name = "ParserError";
              throw error;
          }
      },

      _errorToken: function(token) {
          var error = new Error("Invalid token (" +
                                token.type + "): \"" +
                                token.value + "\"");
          error.name = "ParserError";
          throw error;
      },


      _parseIndexExpression: function() {
          if (this._lookahead(0) === TOK_COLON || this._lookahead(1) === TOK_COLON) {
              return this._parseSliceExpression();
          } else {
              var node = {
                  type: "Index",
                  value: this._lookaheadToken(0).value};
              this._advance();
              this._match(TOK_RBRACKET);
              return node;
          }
      },

      _projectIfSlice: function(left, right) {
          var indexExpr = {type: "IndexExpression", children: [left, right]};
          if (right.type === "Slice") {
              return {
                  type: "Projection",
                  children: [indexExpr, this._parseProjectionRHS(bindingPower.Star)]
              };
          } else {
              return indexExpr;
          }
      },

      _parseSliceExpression: function() {
          // [start:end:step] where each part is optional, as well as the last
          // colon.
          var parts = [null, null, null];
          var index = 0;
          var currentToken = this._lookahead(0);
          while (currentToken !== TOK_RBRACKET && index < 3) {
              if (currentToken === TOK_COLON) {
                  index++;
                  this._advance();
              } else if (currentToken === TOK_NUMBER) {
                  parts[index] = this._lookaheadToken(0).value;
                  this._advance();
              } else {
                  var t = this._lookahead(0);
                  var error = new Error("Syntax error, unexpected token: " +
                                        t.value + "(" + t.type + ")");
                  error.name = "Parsererror";
                  throw error;
              }
              currentToken = this._lookahead(0);
          }
          this._match(TOK_RBRACKET);
          return {
              type: "Slice",
              children: parts
          };
      },

      _parseComparator: function(left, comparator) {
        var right = this.expression(bindingPower[comparator]);
        return {type: "Comparator", name: comparator, children: [left, right]};
      },

      _parseDotRHS: function(rbp) {
          var lookahead = this._lookahead(0);
          var exprTokens = [TOK_UNQUOTEDIDENTIFIER, TOK_QUOTEDIDENTIFIER, TOK_STAR];
          if (exprTokens.indexOf(lookahead) >= 0) {
              return this.expression(rbp);
          } else if (lookahead === TOK_LBRACKET) {
              this._match(TOK_LBRACKET);
              return this._parseMultiselectList();
          } else if (lookahead === TOK_LBRACE) {
              this._match(TOK_LBRACE);
              return this._parseMultiselectHash();
          }
      },

      _parseProjectionRHS: function(rbp) {
          var right;
          if (bindingPower[this._lookahead(0)] < 10) {
              right = {type: "Identity"};
          } else if (this._lookahead(0) === TOK_LBRACKET) {
              right = this.expression(rbp);
          } else if (this._lookahead(0) === TOK_FILTER) {
              right = this.expression(rbp);
          } else if (this._lookahead(0) === TOK_DOT) {
              this._match(TOK_DOT);
              right = this._parseDotRHS(rbp);
          } else {
              var t = this._lookaheadToken(0);
              var error = new Error("Sytanx error, unexpected token: " +
                                    t.value + "(" + t.type + ")");
              error.name = "ParserError";
              throw error;
          }
          return right;
      },

      _parseMultiselectList: function() {
          var expressions = [];
          while (this._lookahead(0) !== TOK_RBRACKET) {
              var expression = this.expression(0);
              expressions.push(expression);
              if (this._lookahead(0) === TOK_COMMA) {
                  this._match(TOK_COMMA);
                  if (this._lookahead(0) === TOK_RBRACKET) {
                    throw new Error("Unexpected token Rbracket");
                  }
              }
          }
          this._match(TOK_RBRACKET);
          return {type: "MultiSelectList", children: expressions};
      },

      _parseMultiselectHash: function() {
        var pairs = [];
        var identifierTypes = [TOK_UNQUOTEDIDENTIFIER, TOK_QUOTEDIDENTIFIER];
        var keyToken, keyName, value, node;
        for (;;) {
          keyToken = this._lookaheadToken(0);
          if (identifierTypes.indexOf(keyToken.type) < 0) {
            throw new Error("Expecting an identifier token, got: " +
                            keyToken.type);
          }
          keyName = keyToken.value;
          this._advance();
          this._match(TOK_COLON);
          value = this.expression(0);
          node = {type: "KeyValuePair", name: keyName, value: value};
          pairs.push(node);
          if (this._lookahead(0) === TOK_COMMA) {
            this._match(TOK_COMMA);
          } else if (this._lookahead(0) === TOK_RBRACE) {
            this._match(TOK_RBRACE);
            break;
          }
        }
        return {type: "MultiSelectHash", children: pairs};
      }
  };


  function TreeInterpreter(runtime) {
    this.runtime = runtime;
  }

  TreeInterpreter.prototype = {
      search: function(node, value) {
          return this.visit(node, value);
      },

      visit: function(node, value) {
          var matched, current, result, first, second, field, left, right, collected, i;
          switch (node.type) {
            case "Field":
              if (value === null ) {
                  return null;
              } else if (isObject(value)) {
                  field = value[node.name];
                  if (field === undefined) {
                      return null;
                  } else {
                      return field;
                  }
              } else {
                return null;
              }
              break;
            case "Subexpression":
              result = this.visit(node.children[0], value);
              for (i = 1; i < node.children.length; i++) {
                  result = this.visit(node.children[1], result);
                  if (result === null) {
                      return null;
                  }
              }
              return result;
            case "IndexExpression":
              left = this.visit(node.children[0], value);
              right = this.visit(node.children[1], left);
              return right;
            case "Index":
              if (!isArray(value)) {
                return null;
              }
              var index = node.value;
              if (index < 0) {
                index = value.length + index;
              }
              result = value[index];
              if (result === undefined) {
                result = null;
              }
              return result;
            case "Slice":
              if (!isArray(value)) {
                return null;
              }
              var sliceParams = node.children.slice(0);
              var computed = this.computeSliceParams(value.length, sliceParams);
              var start = computed[0];
              var stop = computed[1];
              var step = computed[2];
              result = [];
              if (step > 0) {
                  for (i = start; i < stop; i += step) {
                      result.push(value[i]);
                  }
              } else {
                  for (i = start; i > stop; i += step) {
                      result.push(value[i]);
                  }
              }
              return result;
            case "Projection":
              // Evaluate left child.
              var base = this.visit(node.children[0], value);
              if (!isArray(base)) {
                return null;
              }
              collected = [];
              for (i = 0; i < base.length; i++) {
                current = this.visit(node.children[1], base[i]);
                if (current !== null) {
                  collected.push(current);
                }
              }
              return collected;
            case "ValueProjection":
              // Evaluate left child.
              base = this.visit(node.children[0], value);
              if (!isObject(base)) {
                return null;
              }
              collected = [];
              var values = objValues(base);
              for (i = 0; i < values.length; i++) {
                current = this.visit(node.children[1], values[i]);
                if (current !== null) {
                  collected.push(current);
                }
              }
              return collected;
            case "FilterProjection":
              base = this.visit(node.children[0], value);
              if (!isArray(base)) {
                return null;
              }
              var filtered = [];
              var finalResults = [];
              for (i = 0; i < base.length; i++) {
                matched = this.visit(node.children[2], base[i]);
                if (!isFalse(matched)) {
                  filtered.push(base[i]);
                }
              }
              for (var j = 0; j < filtered.length; j++) {
                current = this.visit(node.children[1], filtered[j]);
                if (current !== null) {
                  finalResults.push(current);
                }
              }
              return finalResults;
            case "Comparator":
              first = this.visit(node.children[0], value);
              second = this.visit(node.children[1], value);
              switch(node.name) {
                case TOK_EQ:
                  result = strictDeepEqual(first, second);
                  break;
                case TOK_NE:
                  result = !strictDeepEqual(first, second);
                  break;
                case TOK_GT:
                  result = first > second;
                  break;
                case TOK_GTE:
                  result = first >= second;
                  break;
                case TOK_LT:
                  result = first < second;
                  break;
                case TOK_LTE:
                  result = first <= second;
                  break;
                default:
                  throw new Error("Unknown comparator: " + node.name);
              }
              return result;
            case TOK_FLATTEN:
              var original = this.visit(node.children[0], value);
              if (!isArray(original)) {
                return null;
              }
              var merged = [];
              for (i = 0; i < original.length; i++) {
                current = original[i];
                if (isArray(current)) {
                  merged.push.apply(merged, current);
                } else {
                  merged.push(current);
                }
              }
              return merged;
            case "Identity":
              return value;
            case "MultiSelectList":
              if (value === null) {
                return null;
              }
              collected = [];
              for (i = 0; i < node.children.length; i++) {
                  collected.push(this.visit(node.children[i], value));
              }
              return collected;
            case "MultiSelectHash":
              if (value === null) {
                return null;
              }
              collected = {};
              var child;
              for (i = 0; i < node.children.length; i++) {
                child = node.children[i];
                collected[child.name] = this.visit(child.value, value);
              }
              return collected;
            case "OrExpression":
              matched = this.visit(node.children[0], value);
              if (isFalse(matched)) {
                  matched = this.visit(node.children[1], value);
              }
              return matched;
            case "AndExpression":
              first = this.visit(node.children[0], value);

              if (isFalse(first) === true) {
                return first;
              }
              return this.visit(node.children[1], value);
            case "NotExpression":
              first = this.visit(node.children[0], value);
              return isFalse(first);
            case "Literal":
              return node.value;
            case TOK_PIPE:
              left = this.visit(node.children[0], value);
              return this.visit(node.children[1], left);
            case TOK_CURRENT:
              return value;
            case "Function":
              var resolvedArgs = [];
              for (i = 0; i < node.children.length; i++) {
                  resolvedArgs.push(this.visit(node.children[i], value));
              }
              return this.runtime.callFunction(node.name, resolvedArgs);
            case "ExpressionReference":
              var refNode = node.children[0];
              // Tag the node with a specific attribute so the type
              // checker verify the type.
              refNode.jmespathType = TOK_EXPREF;
              return refNode;
            default:
              throw new Error("Unknown node type: " + node.type);
          }
      },

      computeSliceParams: function(arrayLength, sliceParams) {
        var start = sliceParams[0];
        var stop = sliceParams[1];
        var step = sliceParams[2];
        var computed = [null, null, null];
        if (step === null) {
          step = 1;
        } else if (step === 0) {
          var error = new Error("Invalid slice, step cannot be 0");
          error.name = "RuntimeError";
          throw error;
        }
        var stepValueNegative = step < 0 ? true : false;

        if (start === null) {
            start = stepValueNegative ? arrayLength - 1 : 0;
        } else {
            start = this.capSliceRange(arrayLength, start, step);
        }

        if (stop === null) {
            stop = stepValueNegative ? -1 : arrayLength;
        } else {
            stop = this.capSliceRange(arrayLength, stop, step);
        }
        computed[0] = start;
        computed[1] = stop;
        computed[2] = step;
        return computed;
      },

      capSliceRange: function(arrayLength, actualValue, step) {
          if (actualValue < 0) {
              actualValue += arrayLength;
              if (actualValue < 0) {
                  actualValue = step < 0 ? -1 : 0;
              }
          } else if (actualValue >= arrayLength) {
              actualValue = step < 0 ? arrayLength - 1 : arrayLength;
          }
          return actualValue;
      }

  };

  function Runtime(interpreter) {
    this._interpreter = interpreter;
    this.functionTable = {
        // name: [function, <signature>]
        // The <signature> can be:
        //
        // {
        //   args: [[type1, type2], [type1, type2]],
        //   variadic: true|false
        // }
        //
        // Each arg in the arg list is a list of valid types
        // (if the function is overloaded and supports multiple
        // types.  If the type is "any" then no type checking
        // occurs on the argument.  Variadic is optional
        // and if not provided is assumed to be false.
        abs: {_func: this._functionAbs, _signature: [{types: [TYPE_NUMBER]}]},
        avg: {_func: this._functionAvg, _signature: [{types: [TYPE_ARRAY_NUMBER]}]},
        ceil: {_func: this._functionCeil, _signature: [{types: [TYPE_NUMBER]}]},
        contains: {
            _func: this._functionContains,
            _signature: [{types: [TYPE_STRING, TYPE_ARRAY]},
                        {types: [TYPE_ANY]}]},
        "ends_with": {
            _func: this._functionEndsWith,
            _signature: [{types: [TYPE_STRING]}, {types: [TYPE_STRING]}]},
        floor: {_func: this._functionFloor, _signature: [{types: [TYPE_NUMBER]}]},
        length: {
            _func: this._functionLength,
            _signature: [{types: [TYPE_STRING, TYPE_ARRAY, TYPE_OBJECT]}]},
        map: {
            _func: this._functionMap,
            _signature: [{types: [TYPE_EXPREF]}, {types: [TYPE_ARRAY]}]},
        max: {
            _func: this._functionMax,
            _signature: [{types: [TYPE_ARRAY_NUMBER, TYPE_ARRAY_STRING]}]},
        "merge": {
            _func: this._functionMerge,
            _signature: [{types: [TYPE_OBJECT], variadic: true}]
        },
        "max_by": {
          _func: this._functionMaxBy,
          _signature: [{types: [TYPE_ARRAY]}, {types: [TYPE_EXPREF]}]
        },
        sum: {_func: this._functionSum, _signature: [{types: [TYPE_ARRAY_NUMBER]}]},
        "starts_with": {
            _func: this._functionStartsWith,
            _signature: [{types: [TYPE_STRING]}, {types: [TYPE_STRING]}]},
        min: {
            _func: this._functionMin,
            _signature: [{types: [TYPE_ARRAY_NUMBER, TYPE_ARRAY_STRING]}]},
        "min_by": {
          _func: this._functionMinBy,
          _signature: [{types: [TYPE_ARRAY]}, {types: [TYPE_EXPREF]}]
        },
        type: {_func: this._functionType, _signature: [{types: [TYPE_ANY]}]},
        keys: {_func: this._functionKeys, _signature: [{types: [TYPE_OBJECT]}]},
        values: {_func: this._functionValues, _signature: [{types: [TYPE_OBJECT]}]},
        sort: {_func: this._functionSort, _signature: [{types: [TYPE_ARRAY_STRING, TYPE_ARRAY_NUMBER]}]},
        "sort_by": {
          _func: this._functionSortBy,
          _signature: [{types: [TYPE_ARRAY]}, {types: [TYPE_EXPREF]}]
        },
        join: {
            _func: this._functionJoin,
            _signature: [
                {types: [TYPE_STRING]},
                {types: [TYPE_ARRAY_STRING]}
            ]
        },
        reverse: {
            _func: this._functionReverse,
            _signature: [{types: [TYPE_STRING, TYPE_ARRAY]}]},
        "to_array": {_func: this._functionToArray, _signature: [{types: [TYPE_ANY]}]},
        "to_string": {_func: this._functionToString, _signature: [{types: [TYPE_ANY]}]},
        "to_number": {_func: this._functionToNumber, _signature: [{types: [TYPE_ANY]}]},
        "not_null": {
            _func: this._functionNotNull,
            _signature: [{types: [TYPE_ANY], variadic: true}]
        }
    };
  }

  Runtime.prototype = {
    callFunction: function(name, resolvedArgs) {
      var functionEntry = this.functionTable[name];
      if (functionEntry === undefined) {
          throw new Error("Unknown function: " + name + "()");
      }
      this._validateArgs(name, resolvedArgs, functionEntry._signature);
      return functionEntry._func.call(this, resolvedArgs);
    },

    _validateArgs: function(name, args, signature) {
        // Validating the args requires validating
        // the correct arity and the correct type of each arg.
        // If the last argument is declared as variadic, then we need
        // a minimum number of args to be required.  Otherwise it has to
        // be an exact amount.
        var pluralized;
        if (signature[signature.length - 1].variadic) {
            if (args.length < signature.length) {
                pluralized = signature.length === 1 ? " argument" : " arguments";
                throw new Error("ArgumentError: " + name + "() " +
                                "takes at least" + signature.length + pluralized +
                                " but received " + args.length);
            }
        } else if (args.length !== signature.length) {
            pluralized = signature.length === 1 ? " argument" : " arguments";
            throw new Error("ArgumentError: " + name + "() " +
                            "takes " + signature.length + pluralized +
                            " but received " + args.length);
        }
        var currentSpec;
        var actualType;
        var typeMatched;
        for (var i = 0; i < signature.length; i++) {
            typeMatched = false;
            currentSpec = signature[i].types;
            actualType = this._getTypeName(args[i]);
            for (var j = 0; j < currentSpec.length; j++) {
                if (this._typeMatches(actualType, currentSpec[j], args[i])) {
                    typeMatched = true;
                    break;
                }
            }
            if (!typeMatched) {
                throw new Error("TypeError: " + name + "() " +
                                "expected argument " + (i + 1) +
                                " to be type " + currentSpec +
                                " but received type " + actualType +
                                " instead.");
            }
        }
    },

    _typeMatches: function(actual, expected, argValue) {
        if (expected === TYPE_ANY) {
            return true;
        }
        if (expected === TYPE_ARRAY_STRING ||
            expected === TYPE_ARRAY_NUMBER ||
            expected === TYPE_ARRAY) {
            // The expected type can either just be array,
            // or it can require a specific subtype (array of numbers).
            //
            // The simplest case is if "array" with no subtype is specified.
            if (expected === TYPE_ARRAY) {
                return actual === TYPE_ARRAY;
            } else if (actual === TYPE_ARRAY) {
                // Otherwise we need to check subtypes.
                // I think this has potential to be improved.
                var subtype;
                if (expected === TYPE_ARRAY_NUMBER) {
                  subtype = TYPE_NUMBER;
                } else if (expected === TYPE_ARRAY_STRING) {
                  subtype = TYPE_STRING;
                }
                for (var i = 0; i < argValue.length; i++) {
                    if (!this._typeMatches(
                            this._getTypeName(argValue[i]), subtype,
                                             argValue[i])) {
                        return false;
                    }
                }
                return true;
            }
        } else {
            return actual === expected;
        }
    },
    _getTypeName: function(obj) {
        switch (Object.prototype.toString.call(obj)) {
            case "[object String]":
              return TYPE_STRING;
            case "[object Number]":
              return TYPE_NUMBER;
            case "[object Array]":
              return TYPE_ARRAY;
            case "[object Boolean]":
              return TYPE_BOOLEAN;
            case "[object Null]":
              return TYPE_NULL;
            case "[object Object]":
              // Check if it's an expref.  If it has, it's been
              // tagged with a jmespathType attr of 'Expref';
              if (obj.jmespathType === TOK_EXPREF) {
                return TYPE_EXPREF;
              } else {
                return TYPE_OBJECT;
              }
        }
    },

    _functionStartsWith: function(resolvedArgs) {
        return resolvedArgs[0].lastIndexOf(resolvedArgs[1]) === 0;
    },

    _functionEndsWith: function(resolvedArgs) {
        var searchStr = resolvedArgs[0];
        var suffix = resolvedArgs[1];
        return searchStr.indexOf(suffix, searchStr.length - suffix.length) !== -1;
    },

    _functionReverse: function(resolvedArgs) {
        var typeName = this._getTypeName(resolvedArgs[0]);
        if (typeName === TYPE_STRING) {
          var originalStr = resolvedArgs[0];
          var reversedStr = "";
          for (var i = originalStr.length - 1; i >= 0; i--) {
              reversedStr += originalStr[i];
          }
          return reversedStr;
        } else {
          var reversedArray = resolvedArgs[0].slice(0);
          reversedArray.reverse();
          return reversedArray;
        }
    },

    _functionAbs: function(resolvedArgs) {
      return Math.abs(resolvedArgs[0]);
    },

    _functionCeil: function(resolvedArgs) {
        return Math.ceil(resolvedArgs[0]);
    },

    _functionAvg: function(resolvedArgs) {
        var sum = 0;
        var inputArray = resolvedArgs[0];
        for (var i = 0; i < inputArray.length; i++) {
            sum += inputArray[i];
        }
        return sum / inputArray.length;
    },

    _functionContains: function(resolvedArgs) {
        return resolvedArgs[0].indexOf(resolvedArgs[1]) >= 0;
    },

    _functionFloor: function(resolvedArgs) {
        return Math.floor(resolvedArgs[0]);
    },

    _functionLength: function(resolvedArgs) {
       if (!isObject(resolvedArgs[0])) {
         return resolvedArgs[0].length;
       } else {
         // As far as I can tell, there's no way to get the length
         // of an object without O(n) iteration through the object.
         return Object.keys(resolvedArgs[0]).length;
       }
    },

    _functionMap: function(resolvedArgs) {
      var mapped = [];
      var interpreter = this._interpreter;
      var exprefNode = resolvedArgs[0];
      var elements = resolvedArgs[1];
      for (var i = 0; i < elements.length; i++) {
          mapped.push(interpreter.visit(exprefNode, elements[i]));
      }
      return mapped;
    },

    _functionMerge: function(resolvedArgs) {
      var merged = {};
      for (var i = 0; i < resolvedArgs.length; i++) {
        var current = resolvedArgs[i];
        for (var key in current) {
          merged[key] = current[key];
        }
      }
      return merged;
    },

    _functionMax: function(resolvedArgs) {
      if (resolvedArgs[0].length > 0) {
        var typeName = this._getTypeName(resolvedArgs[0][0]);
        if (typeName === TYPE_NUMBER) {
          return Math.max.apply(Math, resolvedArgs[0]);
        } else {
          var elements = resolvedArgs[0];
          var maxElement = elements[0];
          for (var i = 1; i < elements.length; i++) {
              if (maxElement.localeCompare(elements[i]) < 0) {
                  maxElement = elements[i];
              }
          }
          return maxElement;
        }
      } else {
          return null;
      }
    },

    _functionMin: function(resolvedArgs) {
      if (resolvedArgs[0].length > 0) {
        var typeName = this._getTypeName(resolvedArgs[0][0]);
        if (typeName === TYPE_NUMBER) {
          return Math.min.apply(Math, resolvedArgs[0]);
        } else {
          var elements = resolvedArgs[0];
          var minElement = elements[0];
          for (var i = 1; i < elements.length; i++) {
              if (elements[i].localeCompare(minElement) < 0) {
                  minElement = elements[i];
              }
          }
          return minElement;
        }
      } else {
        return null;
      }
    },

    _functionSum: function(resolvedArgs) {
      var sum = 0;
      var listToSum = resolvedArgs[0];
      for (var i = 0; i < listToSum.length; i++) {
        sum += listToSum[i];
      }
      return sum;
    },

    _functionType: function(resolvedArgs) {
        switch (this._getTypeName(resolvedArgs[0])) {
          case TYPE_NUMBER:
            return "number";
          case TYPE_STRING:
            return "string";
          case TYPE_ARRAY:
            return "array";
          case TYPE_OBJECT:
            return "object";
          case TYPE_BOOLEAN:
            return "boolean";
          case TYPE_EXPREF:
            return "expref";
          case TYPE_NULL:
            return "null";
        }
    },

    _functionKeys: function(resolvedArgs) {
        return Object.keys(resolvedArgs[0]);
    },

    _functionValues: function(resolvedArgs) {
        var obj = resolvedArgs[0];
        var keys = Object.keys(obj);
        var values = [];
        for (var i = 0; i < keys.length; i++) {
            values.push(obj[keys[i]]);
        }
        return values;
    },

    _functionJoin: function(resolvedArgs) {
        var joinChar = resolvedArgs[0];
        var listJoin = resolvedArgs[1];
        return listJoin.join(joinChar);
    },

    _functionToArray: function(resolvedArgs) {
        if (this._getTypeName(resolvedArgs[0]) === TYPE_ARRAY) {
            return resolvedArgs[0];
        } else {
            return [resolvedArgs[0]];
        }
    },

    _functionToString: function(resolvedArgs) {
        if (this._getTypeName(resolvedArgs[0]) === TYPE_STRING) {
            return resolvedArgs[0];
        } else {
            return JSON.stringify(resolvedArgs[0]);
        }
    },

    _functionToNumber: function(resolvedArgs) {
        var typeName = this._getTypeName(resolvedArgs[0]);
        var convertedValue;
        if (typeName === TYPE_NUMBER) {
            return resolvedArgs[0];
        } else if (typeName === TYPE_STRING) {
            convertedValue = +resolvedArgs[0];
            if (!isNaN(convertedValue)) {
                return convertedValue;
            }
        }
        return null;
    },

    _functionNotNull: function(resolvedArgs) {
        for (var i = 0; i < resolvedArgs.length; i++) {
            if (this._getTypeName(resolvedArgs[i]) !== TYPE_NULL) {
                return resolvedArgs[i];
            }
        }
        return null;
    },

    _functionSort: function(resolvedArgs) {
        var sortedArray = resolvedArgs[0].slice(0);
        sortedArray.sort();
        return sortedArray;
    },

    _functionSortBy: function(resolvedArgs) {
        var sortedArray = resolvedArgs[0].slice(0);
        if (sortedArray.length === 0) {
            return sortedArray;
        }
        var interpreter = this._interpreter;
        var exprefNode = resolvedArgs[1];
        var requiredType = this._getTypeName(
            interpreter.visit(exprefNode, sortedArray[0]));
        if ([TYPE_NUMBER, TYPE_STRING].indexOf(requiredType) < 0) {
            throw new Error("TypeError");
        }
        var that = this;
        // In order to get a stable sort out of an unstable
        // sort algorithm, we decorate/sort/undecorate (DSU)
        // by creating a new list of [index, element] pairs.
        // In the cmp function, if the evaluated elements are
        // equal, then the index will be used as the tiebreaker.
        // After the decorated list has been sorted, it will be
        // undecorated to extract the original elements.
        var decorated = [];
        for (var i = 0; i < sortedArray.length; i++) {
          decorated.push([i, sortedArray[i]]);
        }
        decorated.sort(function(a, b) {
          var exprA = interpreter.visit(exprefNode, a[1]);
          var exprB = interpreter.visit(exprefNode, b[1]);
          if (that._getTypeName(exprA) !== requiredType) {
              throw new Error(
                  "TypeError: expected " + requiredType + ", received " +
                  that._getTypeName(exprA));
          } else if (that._getTypeName(exprB) !== requiredType) {
              throw new Error(
                  "TypeError: expected " + requiredType + ", received " +
                  that._getTypeName(exprB));
          }
          if (exprA > exprB) {
            return 1;
          } else if (exprA < exprB) {
            return -1;
          } else {
            // If they're equal compare the items by their
            // order to maintain relative order of equal keys
            // (i.e. to get a stable sort).
            return a[0] - b[0];
          }
        });
        // Undecorate: extract out the original list elements.
        for (var j = 0; j < decorated.length; j++) {
          sortedArray[j] = decorated[j][1];
        }
        return sortedArray;
    },

    _functionMaxBy: function(resolvedArgs) {
      var exprefNode = resolvedArgs[1];
      var resolvedArray = resolvedArgs[0];
      var keyFunction = this.createKeyFunction(exprefNode, [TYPE_NUMBER, TYPE_STRING]);
      var maxNumber = -Infinity;
      var maxRecord;
      var current;
      for (var i = 0; i < resolvedArray.length; i++) {
        current = keyFunction(resolvedArray[i]);
        if (current > maxNumber) {
          maxNumber = current;
          maxRecord = resolvedArray[i];
        }
      }
      return maxRecord;
    },

    _functionMinBy: function(resolvedArgs) {
      var exprefNode = resolvedArgs[1];
      var resolvedArray = resolvedArgs[0];
      var keyFunction = this.createKeyFunction(exprefNode, [TYPE_NUMBER, TYPE_STRING]);
      var minNumber = Infinity;
      var minRecord;
      var current;
      for (var i = 0; i < resolvedArray.length; i++) {
        current = keyFunction(resolvedArray[i]);
        if (current < minNumber) {
          minNumber = current;
          minRecord = resolvedArray[i];
        }
      }
      return minRecord;
    },

    createKeyFunction: function(exprefNode, allowedTypes) {
      var that = this;
      var interpreter = this._interpreter;
      var keyFunc = function(x) {
        var current = interpreter.visit(exprefNode, x);
        if (allowedTypes.indexOf(that._getTypeName(current)) < 0) {
          var msg = "TypeError: expected one of " + allowedTypes +
                    ", received " + that._getTypeName(current);
          throw new Error(msg);
        }
        return current;
      };
      return keyFunc;
    }

  };

  function compile(stream) {
    var parser = new Parser();
    var ast = parser.parse(stream);
    return ast;
  }

  function tokenize(stream) {
      var lexer = new Lexer();
      return lexer.tokenize(stream);
  }

  function search(data, expression) {
      var parser = new Parser();
      // This needs to be improved.  Both the interpreter and runtime depend on
      // each other.  The runtime needs the interpreter to support exprefs.
      // There's likely a clean way to avoid the cyclic dependency.
      var runtime = new Runtime();
      var interpreter = new TreeInterpreter(runtime);
      runtime._interpreter = interpreter;
      var node = parser.parse(expression);
      return interpreter.search(node, data);
  }

  exports.tokenize = tokenize;
  exports.compile = compile;
  exports.search = search;
  exports.strictDeepEqual = strictDeepEqual;
})( false ? 0 : exports);


/***/ }),

/***/ 51531:
/***/ ((__unused_webpack_module, exports) => {

// Copyright 2014, 2015, 2016, 2017, 2018 Simon Lydell
// License: MIT. (See LICENSE.)

Object.defineProperty(exports, "__esModule", ({
  value: true
}))

// This regex comes from regex.coffee, and is inserted here by generate-index.js
// (run `npm run build`).
exports["default"] = /((['"])(?:(?!\2|\\).|\\(?:\r\n|[\s\S]))*(\2)?|`(?:[^`\\$]|\\[\s\S]|\$(?!\{)|\$\{(?:[^{}]|\{[^}]*\}?)*\}?)*(`)?)|(\/\/.*)|(\/\*(?:[^*]|\*(?!\/))*(\*\/)?)|(\/(?!\*)(?:\[(?:(?![\]\\]).|\\.)*\]|(?![\/\]\\]).|\\.)+\/(?:(?!\s*(?:\b|[\u0080-\uFFFF$\\'"~({]|[+\-!](?!=)|\.?\d))|[gmiyus]{1,6}\b(?![\u0080-\uFFFF$\\]|\s*(?:[+\-*%&|^<>!=?({]|\/(?![\/*])))))|(0[xX][\da-fA-F]+|0[oO][0-7]+|0[bB][01]+|(?:\d*\.\d+|\d+\.?)(?:[eE][+-]?\d+)?)|((?!\d)(?:(?!\s)[$\w\u0080-\uFFFF]|\\u[\da-fA-F]{4}|\\u\{[\da-fA-F]+\})+)|(--|\+\+|&&|\|\||=>|\.{3}|(?:[+\-\/%&|^]|\*{1,2}|<{1,2}|>{1,3}|!=?|={1,2})=?|[?~.,:;[\](){}])|(\s+)|(^$|[\s\S])/g

exports.matchToToken = function(match) {
  var token = {type: "invalid", value: match[0], closed: undefined}
       if (match[ 1]) token.type = "string" , token.closed = !!(match[3] || match[4])
  else if (match[ 5]) token.type = "comment"
  else if (match[ 6]) token.type = "comment", token.closed = !!match[7]
  else if (match[ 8]) token.type = "regex"
  else if (match[ 9]) token.type = "number"
  else if (match[10]) token.type = "name"
  else if (match[11]) token.type = "punctuator"
  else if (match[12]) token.type = "whitespace"
  return token
}


/***/ }),

/***/ 89062:
/***/ ((module) => {

"use strict";


const hexify = char => {
  const h = char.charCodeAt(0).toString(16).toUpperCase()
  return '0x' + (h.length % 2 ? '0' : '') + h
}

const parseError = (e, txt, context) => {
  if (!txt) {
    return {
      message: e.message + ' while parsing empty string',
      position: 0,
    }
  }
  const badToken = e.message.match(/^Unexpected token (.) .*position\s+(\d+)/i)
  const errIdx = badToken ? +badToken[2]
    : e.message.match(/^Unexpected end of JSON.*/i) ? txt.length - 1
    : null

  const msg = badToken ? e.message.replace(/^Unexpected token ./, `Unexpected token ${
      JSON.stringify(badToken[1])
    } (${hexify(badToken[1])})`)
    : e.message

  if (errIdx !== null && errIdx !== undefined) {
    const start = errIdx <= context ? 0
      : errIdx - context

    const end = errIdx + context >= txt.length ? txt.length
      : errIdx + context

    const slice = (start === 0 ? '' : '...') +
      txt.slice(start, end) +
      (end === txt.length ? '' : '...')

    const near = txt === slice ? '' : 'near '

    return {
      message: msg + ` while parsing ${near}${JSON.stringify(slice)}`,
      position: errIdx,
    }
  } else {
    return {
      message: msg + ` while parsing '${txt.slice(0, context * 2)}'`,
      position: 0,
    }
  }
}

class JSONParseError extends SyntaxError {
  constructor (er, txt, context, caller) {
    context = context || 20
    const metadata = parseError(er, txt, context)
    super(metadata.message)
    Object.assign(this, metadata)
    this.code = 'EJSONPARSE'
    this.systemError = er
    Error.captureStackTrace(this, caller || this.constructor)
  }
  get name () { return this.constructor.name }
  set name (n) {}
  get [Symbol.toStringTag] () { return this.constructor.name }
}

const kIndent = Symbol.for('indent')
const kNewline = Symbol.for('newline')
// only respect indentation if we got a line break, otherwise squash it
// things other than objects and arrays aren't indented, so ignore those
// Important: in both of these regexps, the $1 capture group is the newline
// or undefined, and the $2 capture group is the indent, or undefined.
const formatRE = /^\s*[{\[]((?:\r?\n)+)([\s\t]*)/
const emptyRE = /^(?:\{\}|\[\])((?:\r?\n)+)?$/

const parseJson = (txt, reviver, context) => {
  const parseText = stripBOM(txt)
  context = context || 20
  try {
    // get the indentation so that we can save it back nicely
    // if the file starts with {" then we have an indent of '', ie, none
    // otherwise, pick the indentation of the next line after the first \n
    // If the pattern doesn't match, then it means no indentation.
    // JSON.stringify ignores symbols, so this is reasonably safe.
    // if the string is '{}' or '[]', then use the default 2-space indent.
    const [, newline = '\n', indent = '  '] = parseText.match(emptyRE) ||
      parseText.match(formatRE) ||
      [, '', '']

    const result = JSON.parse(parseText, reviver)
    if (result && typeof result === 'object') {
      result[kNewline] = newline
      result[kIndent] = indent
    }
    return result
  } catch (e) {
    if (typeof txt !== 'string' && !Buffer.isBuffer(txt)) {
      const isEmptyArray = Array.isArray(txt) && txt.length === 0
      throw Object.assign(new TypeError(
        `Cannot parse ${isEmptyArray ? 'an empty array' : String(txt)}`
      ), {
        code: 'EJSONPARSE',
        systemError: e,
      })
    }

    throw new JSONParseError(e, parseText, context, parseJson)
  }
}

// Remove byte order marker. This catches EF BB BF (the UTF-8 BOM)
// because the buffer-to-string conversion in `fs.readFileSync()`
// translates it to FEFF, the UTF-16 BOM.
const stripBOM = txt => String(txt).replace(/^\uFEFF/, '')

module.exports = parseJson
parseJson.JSONParseError = JSONParseError

parseJson.noExceptions = (txt, reviver) => {
  try {
    return JSON.parse(stripBOM(txt), reviver)
  } catch (e) {}
}


/***/ }),

/***/ 34072:
/***/ ((module, exports) => {

"use strict";


const blacklist = [
	// # All
	'^npm-debug\\.log$', // Error log for npm
	'^\\..*\\.swp$', // Swap file for vim state

	// # macOS
	'^\\.DS_Store$', // Stores custom folder attributes
	'^\\.AppleDouble$', // Stores additional file resources
	'^\\.LSOverride$', // Contains the absolute path to the app to be used
	'^Icon\\r$', // Custom Finder icon: http://superuser.com/questions/298785/icon-file-on-os-x-desktop
	'^\\._.*', // Thumbnail
	'^\\.Spotlight-V100(?:$|\\/)', // Directory that might appear on external disk
	'\\.Trashes', // File that might appear on external disk
	'^__MACOSX$', // Resource fork

	// # Linux
	'~$', // Backup file

	// # Windows
	'^Thumbs\\.db$', // Image file cache
	'^ehthumbs\\.db$', // Folder config file
	'^Desktop\\.ini$', // Stores custom folder attributes
	'@eaDir$' // Synology Diskstation "hidden" folder where the server stores thumbnails
];

exports.re = () => {
	throw new Error('`junk.re` was renamed to `junk.regex`');
};

exports.regex = new RegExp(blacklist.join('|'));

exports.is = filename => exports.regex.test(filename);

exports.not = filename => !exports.is(filename);

// TODO: Remove this for the next major release
exports["default"] = module.exports;


/***/ }),

/***/ 86961:
/***/ ((module) => {

var toString = Object.prototype.toString;

module.exports = function kindOf(val) {
  if (val === void 0) return 'undefined';
  if (val === null) return 'null';

  var type = typeof val;
  if (type === 'boolean') return 'boolean';
  if (type === 'string') return 'string';
  if (type === 'number') return 'number';
  if (type === 'symbol') return 'symbol';
  if (type === 'function') {
    return isGeneratorFn(val) ? 'generatorfunction' : 'function';
  }

  if (isArray(val)) return 'array';
  if (isBuffer(val)) return 'buffer';
  if (isArguments(val)) return 'arguments';
  if (isDate(val)) return 'date';
  if (isError(val)) return 'error';
  if (isRegexp(val)) return 'regexp';

  switch (ctorName(val)) {
    case 'Symbol': return 'symbol';
    case 'Promise': return 'promise';

    // Set, Map, WeakSet, WeakMap
    case 'WeakMap': return 'weakmap';
    case 'WeakSet': return 'weakset';
    case 'Map': return 'map';
    case 'Set': return 'set';

    // 8-bit typed arrays
    case 'Int8Array': return 'int8array';
    case 'Uint8Array': return 'uint8array';
    case 'Uint8ClampedArray': return 'uint8clampedarray';

    // 16-bit typed arrays
    case 'Int16Array': return 'int16array';
    case 'Uint16Array': return 'uint16array';

    // 32-bit typed arrays
    case 'Int32Array': return 'int32array';
    case 'Uint32Array': return 'uint32array';
    case 'Float32Array': return 'float32array';
    case 'Float64Array': return 'float64array';
  }

  if (isGeneratorObj(val)) {
    return 'generator';
  }

  // Non-plain objects
  type = toString.call(val);
  switch (type) {
    case '[object Object]': return 'object';
    // iterators
    case '[object Map Iterator]': return 'mapiterator';
    case '[object Set Iterator]': return 'setiterator';
    case '[object String Iterator]': return 'stringiterator';
    case '[object Array Iterator]': return 'arrayiterator';
  }

  // other
  return type.slice(8, -1).toLowerCase().replace(/\s/g, '');
};

function ctorName(val) {
  return typeof val.constructor === 'function' ? val.constructor.name : null;
}

function isArray(val) {
  if (Array.isArray) return Array.isArray(val);
  return val instanceof Array;
}

function isError(val) {
  return val instanceof Error || (typeof val.message === 'string' && val.constructor && typeof val.constructor.stackTraceLimit === 'number');
}

function isDate(val) {
  if (val instanceof Date) return true;
  return typeof val.toDateString === 'function'
    && typeof val.getDate === 'function'
    && typeof val.setDate === 'function';
}

function isRegexp(val) {
  if (val instanceof RegExp) return true;
  return typeof val.flags === 'string'
    && typeof val.ignoreCase === 'boolean'
    && typeof val.multiline === 'boolean'
    && typeof val.global === 'boolean';
}

function isGeneratorFn(name, val) {
  return ctorName(name) === 'GeneratorFunction';
}

function isGeneratorObj(val) {
  return typeof val.throw === 'function'
    && typeof val.return === 'function'
    && typeof val.next === 'function';
}

function isArguments(val) {
  try {
    if (typeof val.length === 'number' && typeof val.callee === 'function') {
      return true;
    }
  } catch (err) {
    if (err.message.indexOf('callee') !== -1) {
      return true;
    }
  }
  return false;
}

/**
 * If you need to support Safari 5-7 (8-10 yr-old browser),
 * take a look at https://github.com/feross/is-buffer
 */

function isBuffer(val) {
  if (val.constructor && typeof val.constructor.isBuffer === 'function') {
    return val.constructor.isBuffer(val);
  }
  return false;
}


/***/ }),

/***/ 3042:
/***/ ((__unused_webpack_module, exports) => {

"use strict";

exports.__esModule = true;
exports.LinesAndColumns = void 0;
var LF = '\n';
var CR = '\r';
var LinesAndColumns = /** @class */ (function () {
    function LinesAndColumns(string) {
        this.string = string;
        var offsets = [0];
        for (var offset = 0; offset < string.length;) {
            switch (string[offset]) {
                case LF:
                    offset += LF.length;
                    offsets.push(offset);
                    break;
                case CR:
                    offset += CR.length;
                    if (string[offset] === LF) {
                        offset += LF.length;
                    }
                    offsets.push(offset);
                    break;
                default:
                    offset++;
                    break;
            }
        }
        this.offsets = offsets;
    }
    LinesAndColumns.prototype.locationForIndex = function (index) {
        if (index < 0 || index > this.string.length) {
            return null;
        }
        var line = 0;
        var offsets = this.offsets;
        while (offsets[line + 1] <= index) {
            line++;
        }
        var column = index - offsets[line];
        return { line: line, column: column };
    };
    LinesAndColumns.prototype.indexForLocation = function (location) {
        var line = location.line, column = location.column;
        if (line < 0 || line >= this.offsets.length) {
            return null;
        }
        if (column < 0 || column > this.lengthOfLine(line)) {
            return null;
        }
        return this.offsets[line] + column;
    };
    LinesAndColumns.prototype.lengthOfLine = function (line) {
        var offset = this.offsets[line];
        var nextOffset = line === this.offsets.length - 1
            ? this.string.length
            : this.offsets[line + 1];
        return nextOffset - offset;
    };
    return LinesAndColumns;
}());
exports.LinesAndColumns = LinesAndColumns;
exports["default"] = LinesAndColumns;


/***/ }),

/***/ 63447:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);
const fs = __nccwpck_require__(57147);
const {promisify} = __nccwpck_require__(73837);
const pLocate = __nccwpck_require__(90104);

const fsStat = promisify(fs.stat);
const fsLStat = promisify(fs.lstat);

const typeMappings = {
	directory: 'isDirectory',
	file: 'isFile'
};

function checkType({type}) {
	if (type in typeMappings) {
		return;
	}

	throw new Error(`Invalid type specified: ${type}`);
}

const matchType = (type, stat) => type === undefined || stat[typeMappings[type]]();

module.exports = async (paths, options) => {
	options = {
		cwd: process.cwd(),
		type: 'file',
		allowSymlinks: true,
		...options
	};
	checkType(options);
	const statFn = options.allowSymlinks ? fsStat : fsLStat;

	return pLocate(paths, async path_ => {
		try {
			const stat = await statFn(path.resolve(options.cwd, path_));
			return matchType(options.type, stat);
		} catch (_) {
			return false;
		}
	}, options);
};

module.exports.sync = (paths, options) => {
	options = {
		cwd: process.cwd(),
		allowSymlinks: true,
		type: 'file',
		...options
	};
	checkType(options);
	const statFn = options.allowSymlinks ? fs.statSync : fs.lstatSync;

	for (const path_ of paths) {
		try {
			const stat = statFn(path.resolve(options.cwd, path_));

			if (matchType(options.type, stat)) {
				return path_;
			}
		} catch (_) {
		}
	}
};


/***/ }),

/***/ 90250:
/***/ (function(module, exports, __nccwpck_require__) {

/* module decorator */ module = __nccwpck_require__.nmd(module);
/**
 * @license
 * Lodash <https://lodash.com/>
 * Copyright OpenJS Foundation and other contributors <https://openjsf.org/>
 * Released under MIT license <https://lodash.com/license>
 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
 */
;(function() {

  /** Used as a safe reference for `undefined` in pre-ES5 environments. */
  var undefined;

  /** Used as the semantic version number. */
  var VERSION = '4.17.21';

  /** Used as the size to enable large array optimizations. */
  var LARGE_ARRAY_SIZE = 200;

  /** Error message constants. */
  var CORE_ERROR_TEXT = 'Unsupported core-js use. Try https://npms.io/search?q=ponyfill.',
      FUNC_ERROR_TEXT = 'Expected a function',
      INVALID_TEMPL_VAR_ERROR_TEXT = 'Invalid `variable` option passed into `_.template`';

  /** Used to stand-in for `undefined` hash values. */
  var HASH_UNDEFINED = '__lodash_hash_undefined__';

  /** Used as the maximum memoize cache size. */
  var MAX_MEMOIZE_SIZE = 500;

  /** Used as the internal argument placeholder. */
  var PLACEHOLDER = '__lodash_placeholder__';

  /** Used to compose bitmasks for cloning. */
  var CLONE_DEEP_FLAG = 1,
      CLONE_FLAT_FLAG = 2,
      CLONE_SYMBOLS_FLAG = 4;

  /** Used to compose bitmasks for value comparisons. */
  var COMPARE_PARTIAL_FLAG = 1,
      COMPARE_UNORDERED_FLAG = 2;

  /** Used to compose bitmasks for function metadata. */
  var WRAP_BIND_FLAG = 1,
      WRAP_BIND_KEY_FLAG = 2,
      WRAP_CURRY_BOUND_FLAG = 4,
      WRAP_CURRY_FLAG = 8,
      WRAP_CURRY_RIGHT_FLAG = 16,
      WRAP_PARTIAL_FLAG = 32,
      WRAP_PARTIAL_RIGHT_FLAG = 64,
      WRAP_ARY_FLAG = 128,
      WRAP_REARG_FLAG = 256,
      WRAP_FLIP_FLAG = 512;

  /** Used as default options for `_.truncate`. */
  var DEFAULT_TRUNC_LENGTH = 30,
      DEFAULT_TRUNC_OMISSION = '...';

  /** Used to detect hot functions by number of calls within a span of milliseconds. */
  var HOT_COUNT = 800,
      HOT_SPAN = 16;

  /** Used to indicate the type of lazy iteratees. */
  var LAZY_FILTER_FLAG = 1,
      LAZY_MAP_FLAG = 2,
      LAZY_WHILE_FLAG = 3;

  /** Used as references for various `Number` constants. */
  var INFINITY = 1 / 0,
      MAX_SAFE_INTEGER = 9007199254740991,
      MAX_INTEGER = 1.7976931348623157e+308,
      NAN = 0 / 0;

  /** Used as references for the maximum length and index of an array. */
  var MAX_ARRAY_LENGTH = 4294967295,
      MAX_ARRAY_INDEX = MAX_ARRAY_LENGTH - 1,
      HALF_MAX_ARRAY_LENGTH = MAX_ARRAY_LENGTH >>> 1;

  /** Used to associate wrap methods with their bit flags. */
  var wrapFlags = [
    ['ary', WRAP_ARY_FLAG],
    ['bind', WRAP_BIND_FLAG],
    ['bindKey', WRAP_BIND_KEY_FLAG],
    ['curry', WRAP_CURRY_FLAG],
    ['curryRight', WRAP_CURRY_RIGHT_FLAG],
    ['flip', WRAP_FLIP_FLAG],
    ['partial', WRAP_PARTIAL_FLAG],
    ['partialRight', WRAP_PARTIAL_RIGHT_FLAG],
    ['rearg', WRAP_REARG_FLAG]
  ];

  /** `Object#toString` result references. */
  var argsTag = '[object Arguments]',
      arrayTag = '[object Array]',
      asyncTag = '[object AsyncFunction]',
      boolTag = '[object Boolean]',
      dateTag = '[object Date]',
      domExcTag = '[object DOMException]',
      errorTag = '[object Error]',
      funcTag = '[object Function]',
      genTag = '[object GeneratorFunction]',
      mapTag = '[object Map]',
      numberTag = '[object Number]',
      nullTag = '[object Null]',
      objectTag = '[object Object]',
      promiseTag = '[object Promise]',
      proxyTag = '[object Proxy]',
      regexpTag = '[object RegExp]',
      setTag = '[object Set]',
      stringTag = '[object String]',
      symbolTag = '[object Symbol]',
      undefinedTag = '[object Undefined]',
      weakMapTag = '[object WeakMap]',
      weakSetTag = '[object WeakSet]';

  var arrayBufferTag = '[object ArrayBuffer]',
      dataViewTag = '[object DataView]',
      float32Tag = '[object Float32Array]',
      float64Tag = '[object Float64Array]',
      int8Tag = '[object Int8Array]',
      int16Tag = '[object Int16Array]',
      int32Tag = '[object Int32Array]',
      uint8Tag = '[object Uint8Array]',
      uint8ClampedTag = '[object Uint8ClampedArray]',
      uint16Tag = '[object Uint16Array]',
      uint32Tag = '[object Uint32Array]';

  /** Used to match empty string literals in compiled template source. */
  var reEmptyStringLeading = /\b__p \+= '';/g,
      reEmptyStringMiddle = /\b(__p \+=) '' \+/g,
      reEmptyStringTrailing = /(__e\(.*?\)|\b__t\)) \+\n'';/g;

  /** Used to match HTML entities and HTML characters. */
  var reEscapedHtml = /&(?:amp|lt|gt|quot|#39);/g,
      reUnescapedHtml = /[&<>"']/g,
      reHasEscapedHtml = RegExp(reEscapedHtml.source),
      reHasUnescapedHtml = RegExp(reUnescapedHtml.source);

  /** Used to match template delimiters. */
  var reEscape = /<%-([\s\S]+?)%>/g,
      reEvaluate = /<%([\s\S]+?)%>/g,
      reInterpolate = /<%=([\s\S]+?)%>/g;

  /** Used to match property names within property paths. */
  var reIsDeepProp = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,
      reIsPlainProp = /^\w*$/,
      rePropName = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g;

  /**
   * Used to match `RegExp`
   * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
   */
  var reRegExpChar = /[\\^$.*+?()[\]{}|]/g,
      reHasRegExpChar = RegExp(reRegExpChar.source);

  /** Used to match leading whitespace. */
  var reTrimStart = /^\s+/;

  /** Used to match a single whitespace character. */
  var reWhitespace = /\s/;

  /** Used to match wrap detail comments. */
  var reWrapComment = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/,
      reWrapDetails = /\{\n\/\* \[wrapped with (.+)\] \*/,
      reSplitDetails = /,? & /;

  /** Used to match words composed of alphanumeric characters. */
  var reAsciiWord = /[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g;

  /**
   * Used to validate the `validate` option in `_.template` variable.
   *
   * Forbids characters which could potentially change the meaning of the function argument definition:
   * - "()," (modification of function parameters)
   * - "=" (default value)
   * - "[]{}" (destructuring of function parameters)
   * - "/" (beginning of a comment)
   * - whitespace
   */
  var reForbiddenIdentifierChars = /[()=,{}\[\]\/\s]/;

  /** Used to match backslashes in property paths. */
  var reEscapeChar = /\\(\\)?/g;

  /**
   * Used to match
   * [ES template delimiters](http://ecma-international.org/ecma-262/7.0/#sec-template-literal-lexical-components).
   */
  var reEsTemplate = /\$\{([^\\}]*(?:\\.[^\\}]*)*)\}/g;

  /** Used to match `RegExp` flags from their coerced string values. */
  var reFlags = /\w*$/;

  /** Used to detect bad signed hexadecimal string values. */
  var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;

  /** Used to detect binary string values. */
  var reIsBinary = /^0b[01]+$/i;

  /** Used to detect host constructors (Safari). */
  var reIsHostCtor = /^\[object .+?Constructor\]$/;

  /** Used to detect octal string values. */
  var reIsOctal = /^0o[0-7]+$/i;

  /** Used to detect unsigned integer values. */
  var reIsUint = /^(?:0|[1-9]\d*)$/;

  /** Used to match Latin Unicode letters (excluding mathematical operators). */
  var reLatin = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g;

  /** Used to ensure capturing order of template delimiters. */
  var reNoMatch = /($^)/;

  /** Used to match unescaped characters in compiled string literals. */
  var reUnescapedString = /['\n\r\u2028\u2029\\]/g;

  /** Used to compose unicode character classes. */
  var rsAstralRange = '\\ud800-\\udfff',
      rsComboMarksRange = '\\u0300-\\u036f',
      reComboHalfMarksRange = '\\ufe20-\\ufe2f',
      rsComboSymbolsRange = '\\u20d0-\\u20ff',
      rsComboRange = rsComboMarksRange + reComboHalfMarksRange + rsComboSymbolsRange,
      rsDingbatRange = '\\u2700-\\u27bf',
      rsLowerRange = 'a-z\\xdf-\\xf6\\xf8-\\xff',
      rsMathOpRange = '\\xac\\xb1\\xd7\\xf7',
      rsNonCharRange = '\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf',
      rsPunctuationRange = '\\u2000-\\u206f',
      rsSpaceRange = ' \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000',
      rsUpperRange = 'A-Z\\xc0-\\xd6\\xd8-\\xde',
      rsVarRange = '\\ufe0e\\ufe0f',
      rsBreakRange = rsMathOpRange + rsNonCharRange + rsPunctuationRange + rsSpaceRange;

  /** Used to compose unicode capture groups. */
  var rsApos = "['\u2019]",
      rsAstral = '[' + rsAstralRange + ']',
      rsBreak = '[' + rsBreakRange + ']',
      rsCombo = '[' + rsComboRange + ']',
      rsDigits = '\\d+',
      rsDingbat = '[' + rsDingbatRange + ']',
      rsLower = '[' + rsLowerRange + ']',
      rsMisc = '[^' + rsAstralRange + rsBreakRange + rsDigits + rsDingbatRange + rsLowerRange + rsUpperRange + ']',
      rsFitz = '\\ud83c[\\udffb-\\udfff]',
      rsModifier = '(?:' + rsCombo + '|' + rsFitz + ')',
      rsNonAstral = '[^' + rsAstralRange + ']',
      rsRegional = '(?:\\ud83c[\\udde6-\\uddff]){2}',
      rsSurrPair = '[\\ud800-\\udbff][\\udc00-\\udfff]',
      rsUpper = '[' + rsUpperRange + ']',
      rsZWJ = '\\u200d';

  /** Used to compose unicode regexes. */
  var rsMiscLower = '(?:' + rsLower + '|' + rsMisc + ')',
      rsMiscUpper = '(?:' + rsUpper + '|' + rsMisc + ')',
      rsOptContrLower = '(?:' + rsApos + '(?:d|ll|m|re|s|t|ve))?',
      rsOptContrUpper = '(?:' + rsApos + '(?:D|LL|M|RE|S|T|VE))?',
      reOptMod = rsModifier + '?',
      rsOptVar = '[' + rsVarRange + ']?',
      rsOptJoin = '(?:' + rsZWJ + '(?:' + [rsNonAstral, rsRegional, rsSurrPair].join('|') + ')' + rsOptVar + reOptMod + ')*',
      rsOrdLower = '\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])',
      rsOrdUpper = '\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])',
      rsSeq = rsOptVar + reOptMod + rsOptJoin,
      rsEmoji = '(?:' + [rsDingbat, rsRegional, rsSurrPair].join('|') + ')' + rsSeq,
      rsSymbol = '(?:' + [rsNonAstral + rsCombo + '?', rsCombo, rsRegional, rsSurrPair, rsAstral].join('|') + ')';

  /** Used to match apostrophes. */
  var reApos = RegExp(rsApos, 'g');

  /**
   * Used to match [combining diacritical marks](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks) and
   * [combining diacritical marks for symbols](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks_for_Symbols).
   */
  var reComboMark = RegExp(rsCombo, 'g');

  /** Used to match [string symbols](https://mathiasbynens.be/notes/javascript-unicode). */
  var reUnicode = RegExp(rsFitz + '(?=' + rsFitz + ')|' + rsSymbol + rsSeq, 'g');

  /** Used to match complex or compound words. */
  var reUnicodeWord = RegExp([
    rsUpper + '?' + rsLower + '+' + rsOptContrLower + '(?=' + [rsBreak, rsUpper, '$'].join('|') + ')',
    rsMiscUpper + '+' + rsOptContrUpper + '(?=' + [rsBreak, rsUpper + rsMiscLower, '$'].join('|') + ')',
    rsUpper + '?' + rsMiscLower + '+' + rsOptContrLower,
    rsUpper + '+' + rsOptContrUpper,
    rsOrdUpper,
    rsOrdLower,
    rsDigits,
    rsEmoji
  ].join('|'), 'g');

  /** Used to detect strings with [zero-width joiners or code points from the astral planes](http://eev.ee/blog/2015/09/12/dark-corners-of-unicode/). */
  var reHasUnicode = RegExp('[' + rsZWJ + rsAstralRange  + rsComboRange + rsVarRange + ']');

  /** Used to detect strings that need a more robust regexp to match words. */
  var reHasUnicodeWord = /[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/;

  /** Used to assign default `context` object properties. */
  var contextProps = [
    'Array', 'Buffer', 'DataView', 'Date', 'Error', 'Float32Array', 'Float64Array',
    'Function', 'Int8Array', 'Int16Array', 'Int32Array', 'Map', 'Math', 'Object',
    'Promise', 'RegExp', 'Set', 'String', 'Symbol', 'TypeError', 'Uint8Array',
    'Uint8ClampedArray', 'Uint16Array', 'Uint32Array', 'WeakMap',
    '_', 'clearTimeout', 'isFinite', 'parseInt', 'setTimeout'
  ];

  /** Used to make template sourceURLs easier to identify. */
  var templateCounter = -1;

  /** Used to identify `toStringTag` values of typed arrays. */
  var typedArrayTags = {};
  typedArrayTags[float32Tag] = typedArrayTags[float64Tag] =
  typedArrayTags[int8Tag] = typedArrayTags[int16Tag] =
  typedArrayTags[int32Tag] = typedArrayTags[uint8Tag] =
  typedArrayTags[uint8ClampedTag] = typedArrayTags[uint16Tag] =
  typedArrayTags[uint32Tag] = true;
  typedArrayTags[argsTag] = typedArrayTags[arrayTag] =
  typedArrayTags[arrayBufferTag] = typedArrayTags[boolTag] =
  typedArrayTags[dataViewTag] = typedArrayTags[dateTag] =
  typedArrayTags[errorTag] = typedArrayTags[funcTag] =
  typedArrayTags[mapTag] = typedArrayTags[numberTag] =
  typedArrayTags[objectTag] = typedArrayTags[regexpTag] =
  typedArrayTags[setTag] = typedArrayTags[stringTag] =
  typedArrayTags[weakMapTag] = false;

  /** Used to identify `toStringTag` values supported by `_.clone`. */
  var cloneableTags = {};
  cloneableTags[argsTag] = cloneableTags[arrayTag] =
  cloneableTags[arrayBufferTag] = cloneableTags[dataViewTag] =
  cloneableTags[boolTag] = cloneableTags[dateTag] =
  cloneableTags[float32Tag] = cloneableTags[float64Tag] =
  cloneableTags[int8Tag] = cloneableTags[int16Tag] =
  cloneableTags[int32Tag] = cloneableTags[mapTag] =
  cloneableTags[numberTag] = cloneableTags[objectTag] =
  cloneableTags[regexpTag] = cloneableTags[setTag] =
  cloneableTags[stringTag] = cloneableTags[symbolTag] =
  cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] =
  cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
  cloneableTags[errorTag] = cloneableTags[funcTag] =
  cloneableTags[weakMapTag] = false;

  /** Used to map Latin Unicode letters to basic Latin letters. */
  var deburredLetters = {
    // Latin-1 Supplement block.
    '\xc0': 'A',  '\xc1': 'A', '\xc2': 'A', '\xc3': 'A', '\xc4': 'A', '\xc5': 'A',
    '\xe0': 'a',  '\xe1': 'a', '\xe2': 'a', '\xe3': 'a', '\xe4': 'a', '\xe5': 'a',
    '\xc7': 'C',  '\xe7': 'c',
    '\xd0': 'D',  '\xf0': 'd',
    '\xc8': 'E',  '\xc9': 'E', '\xca': 'E', '\xcb': 'E',
    '\xe8': 'e',  '\xe9': 'e', '\xea': 'e', '\xeb': 'e',
    '\xcc': 'I',  '\xcd': 'I', '\xce': 'I', '\xcf': 'I',
    '\xec': 'i',  '\xed': 'i', '\xee': 'i', '\xef': 'i',
    '\xd1': 'N',  '\xf1': 'n',
    '\xd2': 'O',  '\xd3': 'O', '\xd4': 'O', '\xd5': 'O', '\xd6': 'O', '\xd8': 'O',
    '\xf2': 'o',  '\xf3': 'o', '\xf4': 'o', '\xf5': 'o', '\xf6': 'o', '\xf8': 'o',
    '\xd9': 'U',  '\xda': 'U', '\xdb': 'U', '\xdc': 'U',
    '\xf9': 'u',  '\xfa': 'u', '\xfb': 'u', '\xfc': 'u',
    '\xdd': 'Y',  '\xfd': 'y', '\xff': 'y',
    '\xc6': 'Ae', '\xe6': 'ae',
    '\xde': 'Th', '\xfe': 'th',
    '\xdf': 'ss',
    // Latin Extended-A block.
    '\u0100': 'A',  '\u0102': 'A', '\u0104': 'A',
    '\u0101': 'a',  '\u0103': 'a', '\u0105': 'a',
    '\u0106': 'C',  '\u0108': 'C', '\u010a': 'C', '\u010c': 'C',
    '\u0107': 'c',  '\u0109': 'c', '\u010b': 'c', '\u010d': 'c',
    '\u010e': 'D',  '\u0110': 'D', '\u010f': 'd', '\u0111': 'd',
    '\u0112': 'E',  '\u0114': 'E', '\u0116': 'E', '\u0118': 'E', '\u011a': 'E',
    '\u0113': 'e',  '\u0115': 'e', '\u0117': 'e', '\u0119': 'e', '\u011b': 'e',
    '\u011c': 'G',  '\u011e': 'G', '\u0120': 'G', '\u0122': 'G',
    '\u011d': 'g',  '\u011f': 'g', '\u0121': 'g', '\u0123': 'g',
    '\u0124': 'H',  '\u0126': 'H', '\u0125': 'h', '\u0127': 'h',
    '\u0128': 'I',  '\u012a': 'I', '\u012c': 'I', '\u012e': 'I', '\u0130': 'I',
    '\u0129': 'i',  '\u012b': 'i', '\u012d': 'i', '\u012f': 'i', '\u0131': 'i',
    '\u0134': 'J',  '\u0135': 'j',
    '\u0136': 'K',  '\u0137': 'k', '\u0138': 'k',
    '\u0139': 'L',  '\u013b': 'L', '\u013d': 'L', '\u013f': 'L', '\u0141': 'L',
    '\u013a': 'l',  '\u013c': 'l', '\u013e': 'l', '\u0140': 'l', '\u0142': 'l',
    '\u0143': 'N',  '\u0145': 'N', '\u0147': 'N', '\u014a': 'N',
    '\u0144': 'n',  '\u0146': 'n', '\u0148': 'n', '\u014b': 'n',
    '\u014c': 'O',  '\u014e': 'O', '\u0150': 'O',
    '\u014d': 'o',  '\u014f': 'o', '\u0151': 'o',
    '\u0154': 'R',  '\u0156': 'R', '\u0158': 'R',
    '\u0155': 'r',  '\u0157': 'r', '\u0159': 'r',
    '\u015a': 'S',  '\u015c': 'S', '\u015e': 'S', '\u0160': 'S',
    '\u015b': 's',  '\u015d': 's', '\u015f': 's', '\u0161': 's',
    '\u0162': 'T',  '\u0164': 'T', '\u0166': 'T',
    '\u0163': 't',  '\u0165': 't', '\u0167': 't',
    '\u0168': 'U',  '\u016a': 'U', '\u016c': 'U', '\u016e': 'U', '\u0170': 'U', '\u0172': 'U',
    '\u0169': 'u',  '\u016b': 'u', '\u016d': 'u', '\u016f': 'u', '\u0171': 'u', '\u0173': 'u',
    '\u0174': 'W',  '\u0175': 'w',
    '\u0176': 'Y',  '\u0177': 'y', '\u0178': 'Y',
    '\u0179': 'Z',  '\u017b': 'Z', '\u017d': 'Z',
    '\u017a': 'z',  '\u017c': 'z', '\u017e': 'z',
    '\u0132': 'IJ', '\u0133': 'ij',
    '\u0152': 'Oe', '\u0153': 'oe',
    '\u0149': "'n", '\u017f': 's'
  };

  /** Used to map characters to HTML entities. */
  var htmlEscapes = {
    '&': '&amp;',
    '<': '&lt;',
    '>': '&gt;',
    '"': '&quot;',
    "'": '&#39;'
  };

  /** Used to map HTML entities to characters. */
  var htmlUnescapes = {
    '&amp;': '&',
    '&lt;': '<',
    '&gt;': '>',
    '&quot;': '"',
    '&#39;': "'"
  };

  /** Used to escape characters for inclusion in compiled string literals. */
  var stringEscapes = {
    '\\': '\\',
    "'": "'",
    '\n': 'n',
    '\r': 'r',
    '\u2028': 'u2028',
    '\u2029': 'u2029'
  };

  /** Built-in method references without a dependency on `root`. */
  var freeParseFloat = parseFloat,
      freeParseInt = parseInt;

  /** Detect free variable `global` from Node.js. */
  var freeGlobal = typeof global == 'object' && global && global.Object === Object && global;

  /** Detect free variable `self`. */
  var freeSelf = typeof self == 'object' && self && self.Object === Object && self;

  /** Used as a reference to the global object. */
  var root = freeGlobal || freeSelf || Function('return this')();

  /** Detect free variable `exports`. */
  var freeExports =  true && exports && !exports.nodeType && exports;

  /** Detect free variable `module`. */
  var freeModule = freeExports && "object" == 'object' && module && !module.nodeType && module;

  /** Detect the popular CommonJS extension `module.exports`. */
  var moduleExports = freeModule && freeModule.exports === freeExports;

  /** Detect free variable `process` from Node.js. */
  var freeProcess = moduleExports && freeGlobal.process;

  /** Used to access faster Node.js helpers. */
  var nodeUtil = (function() {
    try {
      // Use `util.types` for Node.js 10+.
      var types = freeModule && freeModule.require && freeModule.require('util').types;

      if (types) {
        return types;
      }

      // Legacy `process.binding('util')` for Node.js < 10.
      return freeProcess && freeProcess.binding && freeProcess.binding('util');
    } catch (e) {}
  }());

  /* Node.js helper references. */
  var nodeIsArrayBuffer = nodeUtil && nodeUtil.isArrayBuffer,
      nodeIsDate = nodeUtil && nodeUtil.isDate,
      nodeIsMap = nodeUtil && nodeUtil.isMap,
      nodeIsRegExp = nodeUtil && nodeUtil.isRegExp,
      nodeIsSet = nodeUtil && nodeUtil.isSet,
      nodeIsTypedArray = nodeUtil && nodeUtil.isTypedArray;

  /*--------------------------------------------------------------------------*/

  /**
   * A faster alternative to `Function#apply`, this function invokes `func`
   * with the `this` binding of `thisArg` and the arguments of `args`.
   *
   * @private
   * @param {Function} func The function to invoke.
   * @param {*} thisArg The `this` binding of `func`.
   * @param {Array} args The arguments to invoke `func` with.
   * @returns {*} Returns the result of `func`.
   */
  function apply(func, thisArg, args) {
    switch (args.length) {
      case 0: return func.call(thisArg);
      case 1: return func.call(thisArg, args[0]);
      case 2: return func.call(thisArg, args[0], args[1]);
      case 3: return func.call(thisArg, args[0], args[1], args[2]);
    }
    return func.apply(thisArg, args);
  }

  /**
   * A specialized version of `baseAggregator` for arrays.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} setter The function to set `accumulator` values.
   * @param {Function} iteratee The iteratee to transform keys.
   * @param {Object} accumulator The initial aggregated object.
   * @returns {Function} Returns `accumulator`.
   */
  function arrayAggregator(array, setter, iteratee, accumulator) {
    var index = -1,
        length = array == null ? 0 : array.length;

    while (++index < length) {
      var value = array[index];
      setter(accumulator, value, iteratee(value), array);
    }
    return accumulator;
  }

  /**
   * A specialized version of `_.forEach` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns `array`.
   */
  function arrayEach(array, iteratee) {
    var index = -1,
        length = array == null ? 0 : array.length;

    while (++index < length) {
      if (iteratee(array[index], index, array) === false) {
        break;
      }
    }
    return array;
  }

  /**
   * A specialized version of `_.forEachRight` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns `array`.
   */
  function arrayEachRight(array, iteratee) {
    var length = array == null ? 0 : array.length;

    while (length--) {
      if (iteratee(array[length], length, array) === false) {
        break;
      }
    }
    return array;
  }

  /**
   * A specialized version of `_.every` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} predicate The function invoked per iteration.
   * @returns {boolean} Returns `true` if all elements pass the predicate check,
   *  else `false`.
   */
  function arrayEvery(array, predicate) {
    var index = -1,
        length = array == null ? 0 : array.length;

    while (++index < length) {
      if (!predicate(array[index], index, array)) {
        return false;
      }
    }
    return true;
  }

  /**
   * A specialized version of `_.filter` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} predicate The function invoked per iteration.
   * @returns {Array} Returns the new filtered array.
   */
  function arrayFilter(array, predicate) {
    var index = -1,
        length = array == null ? 0 : array.length,
        resIndex = 0,
        result = [];

    while (++index < length) {
      var value = array[index];
      if (predicate(value, index, array)) {
        result[resIndex++] = value;
      }
    }
    return result;
  }

  /**
   * A specialized version of `_.includes` for arrays without support for
   * specifying an index to search from.
   *
   * @private
   * @param {Array} [array] The array to inspect.
   * @param {*} target The value to search for.
   * @returns {boolean} Returns `true` if `target` is found, else `false`.
   */
  function arrayIncludes(array, value) {
    var length = array == null ? 0 : array.length;
    return !!length && baseIndexOf(array, value, 0) > -1;
  }

  /**
   * This function is like `arrayIncludes` except that it accepts a comparator.
   *
   * @private
   * @param {Array} [array] The array to inspect.
   * @param {*} target The value to search for.
   * @param {Function} comparator The comparator invoked per element.
   * @returns {boolean} Returns `true` if `target` is found, else `false`.
   */
  function arrayIncludesWith(array, value, comparator) {
    var index = -1,
        length = array == null ? 0 : array.length;

    while (++index < length) {
      if (comparator(value, array[index])) {
        return true;
      }
    }
    return false;
  }

  /**
   * A specialized version of `_.map` for arrays without support for iteratee
   * shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns the new mapped array.
   */
  function arrayMap(array, iteratee) {
    var index = -1,
        length = array == null ? 0 : array.length,
        result = Array(length);

    while (++index < length) {
      result[index] = iteratee(array[index], index, array);
    }
    return result;
  }

  /**
   * Appends the elements of `values` to `array`.
   *
   * @private
   * @param {Array} array The array to modify.
   * @param {Array} values The values to append.
   * @returns {Array} Returns `array`.
   */
  function arrayPush(array, values) {
    var index = -1,
        length = values.length,
        offset = array.length;

    while (++index < length) {
      array[offset + index] = values[index];
    }
    return array;
  }

  /**
   * A specialized version of `_.reduce` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @param {*} [accumulator] The initial value.
   * @param {boolean} [initAccum] Specify using the first element of `array` as
   *  the initial value.
   * @returns {*} Returns the accumulated value.
   */
  function arrayReduce(array, iteratee, accumulator, initAccum) {
    var index = -1,
        length = array == null ? 0 : array.length;

    if (initAccum && length) {
      accumulator = array[++index];
    }
    while (++index < length) {
      accumulator = iteratee(accumulator, array[index], index, array);
    }
    return accumulator;
  }

  /**
   * A specialized version of `_.reduceRight` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @param {*} [accumulator] The initial value.
   * @param {boolean} [initAccum] Specify using the last element of `array` as
   *  the initial value.
   * @returns {*} Returns the accumulated value.
   */
  function arrayReduceRight(array, iteratee, accumulator, initAccum) {
    var length = array == null ? 0 : array.length;
    if (initAccum && length) {
      accumulator = array[--length];
    }
    while (length--) {
      accumulator = iteratee(accumulator, array[length], length, array);
    }
    return accumulator;
  }

  /**
   * A specialized version of `_.some` for arrays without support for iteratee
   * shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} predicate The function invoked per iteration.
   * @returns {boolean} Returns `true` if any element passes the predicate check,
   *  else `false`.
   */
  function arraySome(array, predicate) {
    var index = -1,
        length = array == null ? 0 : array.length;

    while (++index < length) {
      if (predicate(array[index], index, array)) {
        return true;
      }
    }
    return false;
  }

  /**
   * Gets the size of an ASCII `string`.
   *
   * @private
   * @param {string} string The string inspect.
   * @returns {number} Returns the string size.
   */
  var asciiSize = baseProperty('length');

  /**
   * Converts an ASCII `string` to an array.
   *
   * @private
   * @param {string} string The string to convert.
   * @returns {Array} Returns the converted array.
   */
  function asciiToArray(string) {
    return string.split('');
  }

  /**
   * Splits an ASCII `string` into an array of its words.
   *
   * @private
   * @param {string} The string to inspect.
   * @returns {Array} Returns the words of `string`.
   */
  function asciiWords(string) {
    return string.match(reAsciiWord) || [];
  }

  /**
   * The base implementation of methods like `_.findKey` and `_.findLastKey`,
   * without support for iteratee shorthands, which iterates over `collection`
   * using `eachFunc`.
   *
   * @private
   * @param {Array|Object} collection The collection to inspect.
   * @param {Function} predicate The function invoked per iteration.
   * @param {Function} eachFunc The function to iterate over `collection`.
   * @returns {*} Returns the found element or its key, else `undefined`.
   */
  function baseFindKey(collection, predicate, eachFunc) {
    var result;
    eachFunc(collection, function(value, key, collection) {
      if (predicate(value, key, collection)) {
        result = key;
        return false;
      }
    });
    return result;
  }

  /**
   * The base implementation of `_.findIndex` and `_.findLastIndex` without
   * support for iteratee shorthands.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {Function} predicate The function invoked per iteration.
   * @param {number} fromIndex The index to search from.
   * @param {boolean} [fromRight] Specify iterating from right to left.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function baseFindIndex(array, predicate, fromIndex, fromRight) {
    var length = array.length,
        index = fromIndex + (fromRight ? 1 : -1);

    while ((fromRight ? index-- : ++index < length)) {
      if (predicate(array[index], index, array)) {
        return index;
      }
    }
    return -1;
  }

  /**
   * The base implementation of `_.indexOf` without `fromIndex` bounds checks.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} value The value to search for.
   * @param {number} fromIndex The index to search from.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function baseIndexOf(array, value, fromIndex) {
    return value === value
      ? strictIndexOf(array, value, fromIndex)
      : baseFindIndex(array, baseIsNaN, fromIndex);
  }

  /**
   * This function is like `baseIndexOf` except that it accepts a comparator.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} value The value to search for.
   * @param {number} fromIndex The index to search from.
   * @param {Function} comparator The comparator invoked per element.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function baseIndexOfWith(array, value, fromIndex, comparator) {
    var index = fromIndex - 1,
        length = array.length;

    while (++index < length) {
      if (comparator(array[index], value)) {
        return index;
      }
    }
    return -1;
  }

  /**
   * The base implementation of `_.isNaN` without support for number objects.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is `NaN`, else `false`.
   */
  function baseIsNaN(value) {
    return value !== value;
  }

  /**
   * The base implementation of `_.mean` and `_.meanBy` without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} array The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {number} Returns the mean.
   */
  function baseMean(array, iteratee) {
    var length = array == null ? 0 : array.length;
    return length ? (baseSum(array, iteratee) / length) : NAN;
  }

  /**
   * The base implementation of `_.property` without support for deep paths.
   *
   * @private
   * @param {string} key The key of the property to get.
   * @returns {Function} Returns the new accessor function.
   */
  function baseProperty(key) {
    return function(object) {
      return object == null ? undefined : object[key];
    };
  }

  /**
   * The base implementation of `_.propertyOf` without support for deep paths.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Function} Returns the new accessor function.
   */
  function basePropertyOf(object) {
    return function(key) {
      return object == null ? undefined : object[key];
    };
  }

  /**
   * The base implementation of `_.reduce` and `_.reduceRight`, without support
   * for iteratee shorthands, which iterates over `collection` using `eachFunc`.
   *
   * @private
   * @param {Array|Object} collection The collection to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @param {*} accumulator The initial value.
   * @param {boolean} initAccum Specify using the first or last element of
   *  `collection` as the initial value.
   * @param {Function} eachFunc The function to iterate over `collection`.
   * @returns {*} Returns the accumulated value.
   */
  function baseReduce(collection, iteratee, accumulator, initAccum, eachFunc) {
    eachFunc(collection, function(value, index, collection) {
      accumulator = initAccum
        ? (initAccum = false, value)
        : iteratee(accumulator, value, index, collection);
    });
    return accumulator;
  }

  /**
   * The base implementation of `_.sortBy` which uses `comparer` to define the
   * sort order of `array` and replaces criteria objects with their corresponding
   * values.
   *
   * @private
   * @param {Array} array The array to sort.
   * @param {Function} comparer The function to define sort order.
   * @returns {Array} Returns `array`.
   */
  function baseSortBy(array, comparer) {
    var length = array.length;

    array.sort(comparer);
    while (length--) {
      array[length] = array[length].value;
    }
    return array;
  }

  /**
   * The base implementation of `_.sum` and `_.sumBy` without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} array The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {number} Returns the sum.
   */
  function baseSum(array, iteratee) {
    var result,
        index = -1,
        length = array.length;

    while (++index < length) {
      var current = iteratee(array[index]);
      if (current !== undefined) {
        result = result === undefined ? current : (result + current);
      }
    }
    return result;
  }

  /**
   * The base implementation of `_.times` without support for iteratee shorthands
   * or max array length checks.
   *
   * @private
   * @param {number} n The number of times to invoke `iteratee`.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns the array of results.
   */
  function baseTimes(n, iteratee) {
    var index = -1,
        result = Array(n);

    while (++index < n) {
      result[index] = iteratee(index);
    }
    return result;
  }

  /**
   * The base implementation of `_.toPairs` and `_.toPairsIn` which creates an array
   * of key-value pairs for `object` corresponding to the property names of `props`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {Array} props The property names to get values for.
   * @returns {Object} Returns the key-value pairs.
   */
  function baseToPairs(object, props) {
    return arrayMap(props, function(key) {
      return [key, object[key]];
    });
  }

  /**
   * The base implementation of `_.trim`.
   *
   * @private
   * @param {string} string The string to trim.
   * @returns {string} Returns the trimmed string.
   */
  function baseTrim(string) {
    return string
      ? string.slice(0, trimmedEndIndex(string) + 1).replace(reTrimStart, '')
      : string;
  }

  /**
   * The base implementation of `_.unary` without support for storing metadata.
   *
   * @private
   * @param {Function} func The function to cap arguments for.
   * @returns {Function} Returns the new capped function.
   */
  function baseUnary(func) {
    return function(value) {
      return func(value);
    };
  }

  /**
   * The base implementation of `_.values` and `_.valuesIn` which creates an
   * array of `object` property values corresponding to the property names
   * of `props`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {Array} props The property names to get values for.
   * @returns {Object} Returns the array of property values.
   */
  function baseValues(object, props) {
    return arrayMap(props, function(key) {
      return object[key];
    });
  }

  /**
   * Checks if a `cache` value for `key` exists.
   *
   * @private
   * @param {Object} cache The cache to query.
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function cacheHas(cache, key) {
    return cache.has(key);
  }

  /**
   * Used by `_.trim` and `_.trimStart` to get the index of the first string symbol
   * that is not found in the character symbols.
   *
   * @private
   * @param {Array} strSymbols The string symbols to inspect.
   * @param {Array} chrSymbols The character symbols to find.
   * @returns {number} Returns the index of the first unmatched string symbol.
   */
  function charsStartIndex(strSymbols, chrSymbols) {
    var index = -1,
        length = strSymbols.length;

    while (++index < length && baseIndexOf(chrSymbols, strSymbols[index], 0) > -1) {}
    return index;
  }

  /**
   * Used by `_.trim` and `_.trimEnd` to get the index of the last string symbol
   * that is not found in the character symbols.
   *
   * @private
   * @param {Array} strSymbols The string symbols to inspect.
   * @param {Array} chrSymbols The character symbols to find.
   * @returns {number} Returns the index of the last unmatched string symbol.
   */
  function charsEndIndex(strSymbols, chrSymbols) {
    var index = strSymbols.length;

    while (index-- && baseIndexOf(chrSymbols, strSymbols[index], 0) > -1) {}
    return index;
  }

  /**
   * Gets the number of `placeholder` occurrences in `array`.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} placeholder The placeholder to search for.
   * @returns {number} Returns the placeholder count.
   */
  function countHolders(array, placeholder) {
    var length = array.length,
        result = 0;

    while (length--) {
      if (array[length] === placeholder) {
        ++result;
      }
    }
    return result;
  }

  /**
   * Used by `_.deburr` to convert Latin-1 Supplement and Latin Extended-A
   * letters to basic Latin letters.
   *
   * @private
   * @param {string} letter The matched letter to deburr.
   * @returns {string} Returns the deburred letter.
   */
  var deburrLetter = basePropertyOf(deburredLetters);

  /**
   * Used by `_.escape` to convert characters to HTML entities.
   *
   * @private
   * @param {string} chr The matched character to escape.
   * @returns {string} Returns the escaped character.
   */
  var escapeHtmlChar = basePropertyOf(htmlEscapes);

  /**
   * Used by `_.template` to escape characters for inclusion in compiled string literals.
   *
   * @private
   * @param {string} chr The matched character to escape.
   * @returns {string} Returns the escaped character.
   */
  function escapeStringChar(chr) {
    return '\\' + stringEscapes[chr];
  }

  /**
   * Gets the value at `key` of `object`.
   *
   * @private
   * @param {Object} [object] The object to query.
   * @param {string} key The key of the property to get.
   * @returns {*} Returns the property value.
   */
  function getValue(object, key) {
    return object == null ? undefined : object[key];
  }

  /**
   * Checks if `string` contains Unicode symbols.
   *
   * @private
   * @param {string} string The string to inspect.
   * @returns {boolean} Returns `true` if a symbol is found, else `false`.
   */
  function hasUnicode(string) {
    return reHasUnicode.test(string);
  }

  /**
   * Checks if `string` contains a word composed of Unicode symbols.
   *
   * @private
   * @param {string} string The string to inspect.
   * @returns {boolean} Returns `true` if a word is found, else `false`.
   */
  function hasUnicodeWord(string) {
    return reHasUnicodeWord.test(string);
  }

  /**
   * Converts `iterator` to an array.
   *
   * @private
   * @param {Object} iterator The iterator to convert.
   * @returns {Array} Returns the converted array.
   */
  function iteratorToArray(iterator) {
    var data,
        result = [];

    while (!(data = iterator.next()).done) {
      result.push(data.value);
    }
    return result;
  }

  /**
   * Converts `map` to its key-value pairs.
   *
   * @private
   * @param {Object} map The map to convert.
   * @returns {Array} Returns the key-value pairs.
   */
  function mapToArray(map) {
    var index = -1,
        result = Array(map.size);

    map.forEach(function(value, key) {
      result[++index] = [key, value];
    });
    return result;
  }

  /**
   * Creates a unary function that invokes `func` with its argument transformed.
   *
   * @private
   * @param {Function} func The function to wrap.
   * @param {Function} transform The argument transform.
   * @returns {Function} Returns the new function.
   */
  function overArg(func, transform) {
    return function(arg) {
      return func(transform(arg));
    };
  }

  /**
   * Replaces all `placeholder` elements in `array` with an internal placeholder
   * and returns an array of their indexes.
   *
   * @private
   * @param {Array} array The array to modify.
   * @param {*} placeholder The placeholder to replace.
   * @returns {Array} Returns the new array of placeholder indexes.
   */
  function replaceHolders(array, placeholder) {
    var index = -1,
        length = array.length,
        resIndex = 0,
        result = [];

    while (++index < length) {
      var value = array[index];
      if (value === placeholder || value === PLACEHOLDER) {
        array[index] = PLACEHOLDER;
        result[resIndex++] = index;
      }
    }
    return result;
  }

  /**
   * Converts `set` to an array of its values.
   *
   * @private
   * @param {Object} set The set to convert.
   * @returns {Array} Returns the values.
   */
  function setToArray(set) {
    var index = -1,
        result = Array(set.size);

    set.forEach(function(value) {
      result[++index] = value;
    });
    return result;
  }

  /**
   * Converts `set` to its value-value pairs.
   *
   * @private
   * @param {Object} set The set to convert.
   * @returns {Array} Returns the value-value pairs.
   */
  function setToPairs(set) {
    var index = -1,
        result = Array(set.size);

    set.forEach(function(value) {
      result[++index] = [value, value];
    });
    return result;
  }

  /**
   * A specialized version of `_.indexOf` which performs strict equality
   * comparisons of values, i.e. `===`.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} value The value to search for.
   * @param {number} fromIndex The index to search from.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function strictIndexOf(array, value, fromIndex) {
    var index = fromIndex - 1,
        length = array.length;

    while (++index < length) {
      if (array[index] === value) {
        return index;
      }
    }
    return -1;
  }

  /**
   * A specialized version of `_.lastIndexOf` which performs strict equality
   * comparisons of values, i.e. `===`.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} value The value to search for.
   * @param {number} fromIndex The index to search from.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function strictLastIndexOf(array, value, fromIndex) {
    var index = fromIndex + 1;
    while (index--) {
      if (array[index] === value) {
        return index;
      }
    }
    return index;
  }

  /**
   * Gets the number of symbols in `string`.
   *
   * @private
   * @param {string} string The string to inspect.
   * @returns {number} Returns the string size.
   */
  function stringSize(string) {
    return hasUnicode(string)
      ? unicodeSize(string)
      : asciiSize(string);
  }

  /**
   * Converts `string` to an array.
   *
   * @private
   * @param {string} string The string to convert.
   * @returns {Array} Returns the converted array.
   */
  function stringToArray(string) {
    return hasUnicode(string)
      ? unicodeToArray(string)
      : asciiToArray(string);
  }

  /**
   * Used by `_.trim` and `_.trimEnd` to get the index of the last non-whitespace
   * character of `string`.
   *
   * @private
   * @param {string} string The string to inspect.
   * @returns {number} Returns the index of the last non-whitespace character.
   */
  function trimmedEndIndex(string) {
    var index = string.length;

    while (index-- && reWhitespace.test(string.charAt(index))) {}
    return index;
  }

  /**
   * Used by `_.unescape` to convert HTML entities to characters.
   *
   * @private
   * @param {string} chr The matched character to unescape.
   * @returns {string} Returns the unescaped character.
   */
  var unescapeHtmlChar = basePropertyOf(htmlUnescapes);

  /**
   * Gets the size of a Unicode `string`.
   *
   * @private
   * @param {string} string The string inspect.
   * @returns {number} Returns the string size.
   */
  function unicodeSize(string) {
    var result = reUnicode.lastIndex = 0;
    while (reUnicode.test(string)) {
      ++result;
    }
    return result;
  }

  /**
   * Converts a Unicode `string` to an array.
   *
   * @private
   * @param {string} string The string to convert.
   * @returns {Array} Returns the converted array.
   */
  function unicodeToArray(string) {
    return string.match(reUnicode) || [];
  }

  /**
   * Splits a Unicode `string` into an array of its words.
   *
   * @private
   * @param {string} The string to inspect.
   * @returns {Array} Returns the words of `string`.
   */
  function unicodeWords(string) {
    return string.match(reUnicodeWord) || [];
  }

  /*--------------------------------------------------------------------------*/

  /**
   * Create a new pristine `lodash` function using the `context` object.
   *
   * @static
   * @memberOf _
   * @since 1.1.0
   * @category Util
   * @param {Object} [context=root] The context object.
   * @returns {Function} Returns a new `lodash` function.
   * @example
   *
   * _.mixin({ 'foo': _.constant('foo') });
   *
   * var lodash = _.runInContext();
   * lodash.mixin({ 'bar': lodash.constant('bar') });
   *
   * _.isFunction(_.foo);
   * // => true
   * _.isFunction(_.bar);
   * // => false
   *
   * lodash.isFunction(lodash.foo);
   * // => false
   * lodash.isFunction(lodash.bar);
   * // => true
   *
   * // Create a suped-up `defer` in Node.js.
   * var defer = _.runInContext({ 'setTimeout': setImmediate }).defer;
   */
  var runInContext = (function runInContext(context) {
    context = context == null ? root : _.defaults(root.Object(), context, _.pick(root, contextProps));

    /** Built-in constructor references. */
    var Array = context.Array,
        Date = context.Date,
        Error = context.Error,
        Function = context.Function,
        Math = context.Math,
        Object = context.Object,
        RegExp = context.RegExp,
        String = context.String,
        TypeError = context.TypeError;

    /** Used for built-in method references. */
    var arrayProto = Array.prototype,
        funcProto = Function.prototype,
        objectProto = Object.prototype;

    /** Used to detect overreaching core-js shims. */
    var coreJsData = context['__core-js_shared__'];

    /** Used to resolve the decompiled source of functions. */
    var funcToString = funcProto.toString;

    /** Used to check objects for own properties. */
    var hasOwnProperty = objectProto.hasOwnProperty;

    /** Used to generate unique IDs. */
    var idCounter = 0;

    /** Used to detect methods masquerading as native. */
    var maskSrcKey = (function() {
      var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
      return uid ? ('Symbol(src)_1.' + uid) : '';
    }());

    /**
     * Used to resolve the
     * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
     * of values.
     */
    var nativeObjectToString = objectProto.toString;

    /** Used to infer the `Object` constructor. */
    var objectCtorString = funcToString.call(Object);

    /** Used to restore the original `_` reference in `_.noConflict`. */
    var oldDash = root._;

    /** Used to detect if a method is native. */
    var reIsNative = RegExp('^' +
      funcToString.call(hasOwnProperty).replace(reRegExpChar, '\\$&')
      .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
    );

    /** Built-in value references. */
    var Buffer = moduleExports ? context.Buffer : undefined,
        Symbol = context.Symbol,
        Uint8Array = context.Uint8Array,
        allocUnsafe = Buffer ? Buffer.allocUnsafe : undefined,
        getPrototype = overArg(Object.getPrototypeOf, Object),
        objectCreate = Object.create,
        propertyIsEnumerable = objectProto.propertyIsEnumerable,
        splice = arrayProto.splice,
        spreadableSymbol = Symbol ? Symbol.isConcatSpreadable : undefined,
        symIterator = Symbol ? Symbol.iterator : undefined,
        symToStringTag = Symbol ? Symbol.toStringTag : undefined;

    var defineProperty = (function() {
      try {
        var func = getNative(Object, 'defineProperty');
        func({}, '', {});
        return func;
      } catch (e) {}
    }());

    /** Mocked built-ins. */
    var ctxClearTimeout = context.clearTimeout !== root.clearTimeout && context.clearTimeout,
        ctxNow = Date && Date.now !== root.Date.now && Date.now,
        ctxSetTimeout = context.setTimeout !== root.setTimeout && context.setTimeout;

    /* Built-in method references for those with the same name as other `lodash` methods. */
    var nativeCeil = Math.ceil,
        nativeFloor = Math.floor,
        nativeGetSymbols = Object.getOwnPropertySymbols,
        nativeIsBuffer = Buffer ? Buffer.isBuffer : undefined,
        nativeIsFinite = context.isFinite,
        nativeJoin = arrayProto.join,
        nativeKeys = overArg(Object.keys, Object),
        nativeMax = Math.max,
        nativeMin = Math.min,
        nativeNow = Date.now,
        nativeParseInt = context.parseInt,
        nativeRandom = Math.random,
        nativeReverse = arrayProto.reverse;

    /* Built-in method references that are verified to be native. */
    var DataView = getNative(context, 'DataView'),
        Map = getNative(context, 'Map'),
        Promise = getNative(context, 'Promise'),
        Set = getNative(context, 'Set'),
        WeakMap = getNative(context, 'WeakMap'),
        nativeCreate = getNative(Object, 'create');

    /** Used to store function metadata. */
    var metaMap = WeakMap && new WeakMap;

    /** Used to lookup unminified function names. */
    var realNames = {};

    /** Used to detect maps, sets, and weakmaps. */
    var dataViewCtorString = toSource(DataView),
        mapCtorString = toSource(Map),
        promiseCtorString = toSource(Promise),
        setCtorString = toSource(Set),
        weakMapCtorString = toSource(WeakMap);

    /** Used to convert symbols to primitives and strings. */
    var symbolProto = Symbol ? Symbol.prototype : undefined,
        symbolValueOf = symbolProto ? symbolProto.valueOf : undefined,
        symbolToString = symbolProto ? symbolProto.toString : undefined;

    /*------------------------------------------------------------------------*/

    /**
     * Creates a `lodash` object which wraps `value` to enable implicit method
     * chain sequences. Methods that operate on and return arrays, collections,
     * and functions can be chained together. Methods that retrieve a single value
     * or may return a primitive value will automatically end the chain sequence
     * and return the unwrapped value. Otherwise, the value must be unwrapped
     * with `_#value`.
     *
     * Explicit chain sequences, which must be unwrapped with `_#value`, may be
     * enabled using `_.chain`.
     *
     * The execution of chained methods is lazy, that is, it's deferred until
     * `_#value` is implicitly or explicitly called.
     *
     * Lazy evaluation allows several methods to support shortcut fusion.
     * Shortcut fusion is an optimization to merge iteratee calls; this avoids
     * the creation of intermediate arrays and can greatly reduce the number of
     * iteratee executions. Sections of a chain sequence qualify for shortcut
     * fusion if the section is applied to an array and iteratees accept only
     * one argument. The heuristic for whether a section qualifies for shortcut
     * fusion is subject to change.
     *
     * Chaining is supported in custom builds as long as the `_#value` method is
     * directly or indirectly included in the build.
     *
     * In addition to lodash methods, wrappers have `Array` and `String` methods.
     *
     * The wrapper `Array` methods are:
     * `concat`, `join`, `pop`, `push`, `shift`, `sort`, `splice`, and `unshift`
     *
     * The wrapper `String` methods are:
     * `replace` and `split`
     *
     * The wrapper methods that support shortcut fusion are:
     * `at`, `compact`, `drop`, `dropRight`, `dropWhile`, `filter`, `find`,
     * `findLast`, `head`, `initial`, `last`, `map`, `reject`, `reverse`, `slice`,
     * `tail`, `take`, `takeRight`, `takeRightWhile`, `takeWhile`, and `toArray`
     *
     * The chainable wrapper methods are:
     * `after`, `ary`, `assign`, `assignIn`, `assignInWith`, `assignWith`, `at`,
     * `before`, `bind`, `bindAll`, `bindKey`, `castArray`, `chain`, `chunk`,
     * `commit`, `compact`, `concat`, `conforms`, `constant`, `countBy`, `create`,
     * `curry`, `debounce`, `defaults`, `defaultsDeep`, `defer`, `delay`,
     * `difference`, `differenceBy`, `differenceWith`, `drop`, `dropRight`,
     * `dropRightWhile`, `dropWhile`, `extend`, `extendWith`, `fill`, `filter`,
     * `flatMap`, `flatMapDeep`, `flatMapDepth`, `flatten`, `flattenDeep`,
     * `flattenDepth`, `flip`, `flow`, `flowRight`, `fromPairs`, `functions`,
     * `functionsIn`, `groupBy`, `initial`, `intersection`, `intersectionBy`,
     * `intersectionWith`, `invert`, `invertBy`, `invokeMap`, `iteratee`, `keyBy`,
     * `keys`, `keysIn`, `map`, `mapKeys`, `mapValues`, `matches`, `matchesProperty`,
     * `memoize`, `merge`, `mergeWith`, `method`, `methodOf`, `mixin`, `negate`,
     * `nthArg`, `omit`, `omitBy`, `once`, `orderBy`, `over`, `overArgs`,
     * `overEvery`, `overSome`, `partial`, `partialRight`, `partition`, `pick`,
     * `pickBy`, `plant`, `property`, `propertyOf`, `pull`, `pullAll`, `pullAllBy`,
     * `pullAllWith`, `pullAt`, `push`, `range`, `rangeRight`, `rearg`, `reject`,
     * `remove`, `rest`, `reverse`, `sampleSize`, `set`, `setWith`, `shuffle`,
     * `slice`, `sort`, `sortBy`, `splice`, `spread`, `tail`, `take`, `takeRight`,
     * `takeRightWhile`, `takeWhile`, `tap`, `throttle`, `thru`, `toArray`,
     * `toPairs`, `toPairsIn`, `toPath`, `toPlainObject`, `transform`, `unary`,
     * `union`, `unionBy`, `unionWith`, `uniq`, `uniqBy`, `uniqWith`, `unset`,
     * `unshift`, `unzip`, `unzipWith`, `update`, `updateWith`, `values`,
     * `valuesIn`, `without`, `wrap`, `xor`, `xorBy`, `xorWith`, `zip`,
     * `zipObject`, `zipObjectDeep`, and `zipWith`
     *
     * The wrapper methods that are **not** chainable by default are:
     * `add`, `attempt`, `camelCase`, `capitalize`, `ceil`, `clamp`, `clone`,
     * `cloneDeep`, `cloneDeepWith`, `cloneWith`, `conformsTo`, `deburr`,
     * `defaultTo`, `divide`, `each`, `eachRight`, `endsWith`, `eq`, `escape`,
     * `escapeRegExp`, `every`, `find`, `findIndex`, `findKey`, `findLast`,
     * `findLastIndex`, `findLastKey`, `first`, `floor`, `forEach`, `forEachRight`,
     * `forIn`, `forInRight`, `forOwn`, `forOwnRight`, `get`, `gt`, `gte`, `has`,
     * `hasIn`, `head`, `identity`, `includes`, `indexOf`, `inRange`, `invoke`,
     * `isArguments`, `isArray`, `isArrayBuffer`, `isArrayLike`, `isArrayLikeObject`,
     * `isBoolean`, `isBuffer`, `isDate`, `isElement`, `isEmpty`, `isEqual`,
     * `isEqualWith`, `isError`, `isFinite`, `isFunction`, `isInteger`, `isLength`,
     * `isMap`, `isMatch`, `isMatchWith`, `isNaN`, `isNative`, `isNil`, `isNull`,
     * `isNumber`, `isObject`, `isObjectLike`, `isPlainObject`, `isRegExp`,
     * `isSafeInteger`, `isSet`, `isString`, `isUndefined`, `isTypedArray`,
     * `isWeakMap`, `isWeakSet`, `join`, `kebabCase`, `last`, `lastIndexOf`,
     * `lowerCase`, `lowerFirst`, `lt`, `lte`, `max`, `maxBy`, `mean`, `meanBy`,
     * `min`, `minBy`, `multiply`, `noConflict`, `noop`, `now`, `nth`, `pad`,
     * `padEnd`, `padStart`, `parseInt`, `pop`, `random`, `reduce`, `reduceRight`,
     * `repeat`, `result`, `round`, `runInContext`, `sample`, `shift`, `size`,
     * `snakeCase`, `some`, `sortedIndex`, `sortedIndexBy`, `sortedLastIndex`,
     * `sortedLastIndexBy`, `startCase`, `startsWith`, `stubArray`, `stubFalse`,
     * `stubObject`, `stubString`, `stubTrue`, `subtract`, `sum`, `sumBy`,
     * `template`, `times`, `toFinite`, `toInteger`, `toJSON`, `toLength`,
     * `toLower`, `toNumber`, `toSafeInteger`, `toString`, `toUpper`, `trim`,
     * `trimEnd`, `trimStart`, `truncate`, `unescape`, `uniqueId`, `upperCase`,
     * `upperFirst`, `value`, and `words`
     *
     * @name _
     * @constructor
     * @category Seq
     * @param {*} value The value to wrap in a `lodash` instance.
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * function square(n) {
     *   return n * n;
     * }
     *
     * var wrapped = _([1, 2, 3]);
     *
     * // Returns an unwrapped value.
     * wrapped.reduce(_.add);
     * // => 6
     *
     * // Returns a wrapped value.
     * var squares = wrapped.map(square);
     *
     * _.isArray(squares);
     * // => false
     *
     * _.isArray(squares.value());
     * // => true
     */
    function lodash(value) {
      if (isObjectLike(value) && !isArray(value) && !(value instanceof LazyWrapper)) {
        if (value instanceof LodashWrapper) {
          return value;
        }
        if (hasOwnProperty.call(value, '__wrapped__')) {
          return wrapperClone(value);
        }
      }
      return new LodashWrapper(value);
    }

    /**
     * The base implementation of `_.create` without support for assigning
     * properties to the created object.
     *
     * @private
     * @param {Object} proto The object to inherit from.
     * @returns {Object} Returns the new object.
     */
    var baseCreate = (function() {
      function object() {}
      return function(proto) {
        if (!isObject(proto)) {
          return {};
        }
        if (objectCreate) {
          return objectCreate(proto);
        }
        object.prototype = proto;
        var result = new object;
        object.prototype = undefined;
        return result;
      };
    }());

    /**
     * The function whose prototype chain sequence wrappers inherit from.
     *
     * @private
     */
    function baseLodash() {
      // No operation performed.
    }

    /**
     * The base constructor for creating `lodash` wrapper objects.
     *
     * @private
     * @param {*} value The value to wrap.
     * @param {boolean} [chainAll] Enable explicit method chain sequences.
     */
    function LodashWrapper(value, chainAll) {
      this.__wrapped__ = value;
      this.__actions__ = [];
      this.__chain__ = !!chainAll;
      this.__index__ = 0;
      this.__values__ = undefined;
    }

    /**
     * By default, the template delimiters used by lodash are like those in
     * embedded Ruby (ERB) as well as ES2015 template strings. Change the
     * following template settings to use alternative delimiters.
     *
     * @static
     * @memberOf _
     * @type {Object}
     */
    lodash.templateSettings = {

      /**
       * Used to detect `data` property values to be HTML-escaped.
       *
       * @memberOf _.templateSettings
       * @type {RegExp}
       */
      'escape': reEscape,

      /**
       * Used to detect code to be evaluated.
       *
       * @memberOf _.templateSettings
       * @type {RegExp}
       */
      'evaluate': reEvaluate,

      /**
       * Used to detect `data` property values to inject.
       *
       * @memberOf _.templateSettings
       * @type {RegExp}
       */
      'interpolate': reInterpolate,

      /**
       * Used to reference the data object in the template text.
       *
       * @memberOf _.templateSettings
       * @type {string}
       */
      'variable': '',

      /**
       * Used to import variables into the compiled template.
       *
       * @memberOf _.templateSettings
       * @type {Object}
       */
      'imports': {

        /**
         * A reference to the `lodash` function.
         *
         * @memberOf _.templateSettings.imports
         * @type {Function}
         */
        '_': lodash
      }
    };

    // Ensure wrappers are instances of `baseLodash`.
    lodash.prototype = baseLodash.prototype;
    lodash.prototype.constructor = lodash;

    LodashWrapper.prototype = baseCreate(baseLodash.prototype);
    LodashWrapper.prototype.constructor = LodashWrapper;

    /*------------------------------------------------------------------------*/

    /**
     * Creates a lazy wrapper object which wraps `value` to enable lazy evaluation.
     *
     * @private
     * @constructor
     * @param {*} value The value to wrap.
     */
    function LazyWrapper(value) {
      this.__wrapped__ = value;
      this.__actions__ = [];
      this.__dir__ = 1;
      this.__filtered__ = false;
      this.__iteratees__ = [];
      this.__takeCount__ = MAX_ARRAY_LENGTH;
      this.__views__ = [];
    }

    /**
     * Creates a clone of the lazy wrapper object.
     *
     * @private
     * @name clone
     * @memberOf LazyWrapper
     * @returns {Object} Returns the cloned `LazyWrapper` object.
     */
    function lazyClone() {
      var result = new LazyWrapper(this.__wrapped__);
      result.__actions__ = copyArray(this.__actions__);
      result.__dir__ = this.__dir__;
      result.__filtered__ = this.__filtered__;
      result.__iteratees__ = copyArray(this.__iteratees__);
      result.__takeCount__ = this.__takeCount__;
      result.__views__ = copyArray(this.__views__);
      return result;
    }

    /**
     * Reverses the direction of lazy iteration.
     *
     * @private
     * @name reverse
     * @memberOf LazyWrapper
     * @returns {Object} Returns the new reversed `LazyWrapper` object.
     */
    function lazyReverse() {
      if (this.__filtered__) {
        var result = new LazyWrapper(this);
        result.__dir__ = -1;
        result.__filtered__ = true;
      } else {
        result = this.clone();
        result.__dir__ *= -1;
      }
      return result;
    }

    /**
     * Extracts the unwrapped value from its lazy wrapper.
     *
     * @private
     * @name value
     * @memberOf LazyWrapper
     * @returns {*} Returns the unwrapped value.
     */
    function lazyValue() {
      var array = this.__wrapped__.value(),
          dir = this.__dir__,
          isArr = isArray(array),
          isRight = dir < 0,
          arrLength = isArr ? array.length : 0,
          view = getView(0, arrLength, this.__views__),
          start = view.start,
          end = view.end,
          length = end - start,
          index = isRight ? end : (start - 1),
          iteratees = this.__iteratees__,
          iterLength = iteratees.length,
          resIndex = 0,
          takeCount = nativeMin(length, this.__takeCount__);

      if (!isArr || (!isRight && arrLength == length && takeCount == length)) {
        return baseWrapperValue(array, this.__actions__);
      }
      var result = [];

      outer:
      while (length-- && resIndex < takeCount) {
        index += dir;

        var iterIndex = -1,
            value = array[index];

        while (++iterIndex < iterLength) {
          var data = iteratees[iterIndex],
              iteratee = data.iteratee,
              type = data.type,
              computed = iteratee(value);

          if (type == LAZY_MAP_FLAG) {
            value = computed;
          } else if (!computed) {
            if (type == LAZY_FILTER_FLAG) {
              continue outer;
            } else {
              break outer;
            }
          }
        }
        result[resIndex++] = value;
      }
      return result;
    }

    // Ensure `LazyWrapper` is an instance of `baseLodash`.
    LazyWrapper.prototype = baseCreate(baseLodash.prototype);
    LazyWrapper.prototype.constructor = LazyWrapper;

    /*------------------------------------------------------------------------*/

    /**
     * Creates a hash object.
     *
     * @private
     * @constructor
     * @param {Array} [entries] The key-value pairs to cache.
     */
    function Hash(entries) {
      var index = -1,
          length = entries == null ? 0 : entries.length;

      this.clear();
      while (++index < length) {
        var entry = entries[index];
        this.set(entry[0], entry[1]);
      }
    }

    /**
     * Removes all key-value entries from the hash.
     *
     * @private
     * @name clear
     * @memberOf Hash
     */
    function hashClear() {
      this.__data__ = nativeCreate ? nativeCreate(null) : {};
      this.size = 0;
    }

    /**
     * Removes `key` and its value from the hash.
     *
     * @private
     * @name delete
     * @memberOf Hash
     * @param {Object} hash The hash to modify.
     * @param {string} key The key of the value to remove.
     * @returns {boolean} Returns `true` if the entry was removed, else `false`.
     */
    function hashDelete(key) {
      var result = this.has(key) && delete this.__data__[key];
      this.size -= result ? 1 : 0;
      return result;
    }

    /**
     * Gets the hash value for `key`.
     *
     * @private
     * @name get
     * @memberOf Hash
     * @param {string} key The key of the value to get.
     * @returns {*} Returns the entry value.
     */
    function hashGet(key) {
      var data = this.__data__;
      if (nativeCreate) {
        var result = data[key];
        return result === HASH_UNDEFINED ? undefined : result;
      }
      return hasOwnProperty.call(data, key) ? data[key] : undefined;
    }

    /**
     * Checks if a hash value for `key` exists.
     *
     * @private
     * @name has
     * @memberOf Hash
     * @param {string} key The key of the entry to check.
     * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
     */
    function hashHas(key) {
      var data = this.__data__;
      return nativeCreate ? (data[key] !== undefined) : hasOwnProperty.call(data, key);
    }

    /**
     * Sets the hash `key` to `value`.
     *
     * @private
     * @name set
     * @memberOf Hash
     * @param {string} key The key of the value to set.
     * @param {*} value The value to set.
     * @returns {Object} Returns the hash instance.
     */
    function hashSet(key, value) {
      var data = this.__data__;
      this.size += this.has(key) ? 0 : 1;
      data[key] = (nativeCreate && value === undefined) ? HASH_UNDEFINED : value;
      return this;
    }

    // Add methods to `Hash`.
    Hash.prototype.clear = hashClear;
    Hash.prototype['delete'] = hashDelete;
    Hash.prototype.get = hashGet;
    Hash.prototype.has = hashHas;
    Hash.prototype.set = hashSet;

    /*------------------------------------------------------------------------*/

    /**
     * Creates an list cache object.
     *
     * @private
     * @constructor
     * @param {Array} [entries] The key-value pairs to cache.
     */
    function ListCache(entries) {
      var index = -1,
          length = entries == null ? 0 : entries.length;

      this.clear();
      while (++index < length) {
        var entry = entries[index];
        this.set(entry[0], entry[1]);
      }
    }

    /**
     * Removes all key-value entries from the list cache.
     *
     * @private
     * @name clear
     * @memberOf ListCache
     */
    function listCacheClear() {
      this.__data__ = [];
      this.size = 0;
    }

    /**
     * Removes `key` and its value from the list cache.
     *
     * @private
     * @name delete
     * @memberOf ListCache
     * @param {string} key The key of the value to remove.
     * @returns {boolean} Returns `true` if the entry was removed, else `false`.
     */
    function listCacheDelete(key) {
      var data = this.__data__,
          index = assocIndexOf(data, key);

      if (index < 0) {
        return false;
      }
      var lastIndex = data.length - 1;
      if (index == lastIndex) {
        data.pop();
      } else {
        splice.call(data, index, 1);
      }
      --this.size;
      return true;
    }

    /**
     * Gets the list cache value for `key`.
     *
     * @private
     * @name get
     * @memberOf ListCache
     * @param {string} key The key of the value to get.
     * @returns {*} Returns the entry value.
     */
    function listCacheGet(key) {
      var data = this.__data__,
          index = assocIndexOf(data, key);

      return index < 0 ? undefined : data[index][1];
    }

    /**
     * Checks if a list cache value for `key` exists.
     *
     * @private
     * @name has
     * @memberOf ListCache
     * @param {string} key The key of the entry to check.
     * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
     */
    function listCacheHas(key) {
      return assocIndexOf(this.__data__, key) > -1;
    }

    /**
     * Sets the list cache `key` to `value`.
     *
     * @private
     * @name set
     * @memberOf ListCache
     * @param {string} key The key of the value to set.
     * @param {*} value The value to set.
     * @returns {Object} Returns the list cache instance.
     */
    function listCacheSet(key, value) {
      var data = this.__data__,
          index = assocIndexOf(data, key);

      if (index < 0) {
        ++this.size;
        data.push([key, value]);
      } else {
        data[index][1] = value;
      }
      return this;
    }

    // Add methods to `ListCache`.
    ListCache.prototype.clear = listCacheClear;
    ListCache.prototype['delete'] = listCacheDelete;
    ListCache.prototype.get = listCacheGet;
    ListCache.prototype.has = listCacheHas;
    ListCache.prototype.set = listCacheSet;

    /*------------------------------------------------------------------------*/

    /**
     * Creates a map cache object to store key-value pairs.
     *
     * @private
     * @constructor
     * @param {Array} [entries] The key-value pairs to cache.
     */
    function MapCache(entries) {
      var index = -1,
          length = entries == null ? 0 : entries.length;

      this.clear();
      while (++index < length) {
        var entry = entries[index];
        this.set(entry[0], entry[1]);
      }
    }

    /**
     * Removes all key-value entries from the map.
     *
     * @private
     * @name clear
     * @memberOf MapCache
     */
    function mapCacheClear() {
      this.size = 0;
      this.__data__ = {
        'hash': new Hash,
        'map': new (Map || ListCache),
        'string': new Hash
      };
    }

    /**
     * Removes `key` and its value from the map.
     *
     * @private
     * @name delete
     * @memberOf MapCache
     * @param {string} key The key of the value to remove.
     * @returns {boolean} Returns `true` if the entry was removed, else `false`.
     */
    function mapCacheDelete(key) {
      var result = getMapData(this, key)['delete'](key);
      this.size -= result ? 1 : 0;
      return result;
    }

    /**
     * Gets the map value for `key`.
     *
     * @private
     * @name get
     * @memberOf MapCache
     * @param {string} key The key of the value to get.
     * @returns {*} Returns the entry value.
     */
    function mapCacheGet(key) {
      return getMapData(this, key).get(key);
    }

    /**
     * Checks if a map value for `key` exists.
     *
     * @private
     * @name has
     * @memberOf MapCache
     * @param {string} key The key of the entry to check.
     * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
     */
    function mapCacheHas(key) {
      return getMapData(this, key).has(key);
    }

    /**
     * Sets the map `key` to `value`.
     *
     * @private
     * @name set
     * @memberOf MapCache
     * @param {string} key The key of the value to set.
     * @param {*} value The value to set.
     * @returns {Object} Returns the map cache instance.
     */
    function mapCacheSet(key, value) {
      var data = getMapData(this, key),
          size = data.size;

      data.set(key, value);
      this.size += data.size == size ? 0 : 1;
      return this;
    }

    // Add methods to `MapCache`.
    MapCache.prototype.clear = mapCacheClear;
    MapCache.prototype['delete'] = mapCacheDelete;
    MapCache.prototype.get = mapCacheGet;
    MapCache.prototype.has = mapCacheHas;
    MapCache.prototype.set = mapCacheSet;

    /*------------------------------------------------------------------------*/

    /**
     *
     * Creates an array cache object to store unique values.
     *
     * @private
     * @constructor
     * @param {Array} [values] The values to cache.
     */
    function SetCache(values) {
      var index = -1,
          length = values == null ? 0 : values.length;

      this.__data__ = new MapCache;
      while (++index < length) {
        this.add(values[index]);
      }
    }

    /**
     * Adds `value` to the array cache.
     *
     * @private
     * @name add
     * @memberOf SetCache
     * @alias push
     * @param {*} value The value to cache.
     * @returns {Object} Returns the cache instance.
     */
    function setCacheAdd(value) {
      this.__data__.set(value, HASH_UNDEFINED);
      return this;
    }

    /**
     * Checks if `value` is in the array cache.
     *
     * @private
     * @name has
     * @memberOf SetCache
     * @param {*} value The value to search for.
     * @returns {number} Returns `true` if `value` is found, else `false`.
     */
    function setCacheHas(value) {
      return this.__data__.has(value);
    }

    // Add methods to `SetCache`.
    SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
    SetCache.prototype.has = setCacheHas;

    /*------------------------------------------------------------------------*/

    /**
     * Creates a stack cache object to store key-value pairs.
     *
     * @private
     * @constructor
     * @param {Array} [entries] The key-value pairs to cache.
     */
    function Stack(entries) {
      var data = this.__data__ = new ListCache(entries);
      this.size = data.size;
    }

    /**
     * Removes all key-value entries from the stack.
     *
     * @private
     * @name clear
     * @memberOf Stack
     */
    function stackClear() {
      this.__data__ = new ListCache;
      this.size = 0;
    }

    /**
     * Removes `key` and its value from the stack.
     *
     * @private
     * @name delete
     * @memberOf Stack
     * @param {string} key The key of the value to remove.
     * @returns {boolean} Returns `true` if the entry was removed, else `false`.
     */
    function stackDelete(key) {
      var data = this.__data__,
          result = data['delete'](key);

      this.size = data.size;
      return result;
    }

    /**
     * Gets the stack value for `key`.
     *
     * @private
     * @name get
     * @memberOf Stack
     * @param {string} key The key of the value to get.
     * @returns {*} Returns the entry value.
     */
    function stackGet(key) {
      return this.__data__.get(key);
    }

    /**
     * Checks if a stack value for `key` exists.
     *
     * @private
     * @name has
     * @memberOf Stack
     * @param {string} key The key of the entry to check.
     * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
     */
    function stackHas(key) {
      return this.__data__.has(key);
    }

    /**
     * Sets the stack `key` to `value`.
     *
     * @private
     * @name set
     * @memberOf Stack
     * @param {string} key The key of the value to set.
     * @param {*} value The value to set.
     * @returns {Object} Returns the stack cache instance.
     */
    function stackSet(key, value) {
      var data = this.__data__;
      if (data instanceof ListCache) {
        var pairs = data.__data__;
        if (!Map || (pairs.length < LARGE_ARRAY_SIZE - 1)) {
          pairs.push([key, value]);
          this.size = ++data.size;
          return this;
        }
        data = this.__data__ = new MapCache(pairs);
      }
      data.set(key, value);
      this.size = data.size;
      return this;
    }

    // Add methods to `Stack`.
    Stack.prototype.clear = stackClear;
    Stack.prototype['delete'] = stackDelete;
    Stack.prototype.get = stackGet;
    Stack.prototype.has = stackHas;
    Stack.prototype.set = stackSet;

    /*------------------------------------------------------------------------*/

    /**
     * Creates an array of the enumerable property names of the array-like `value`.
     *
     * @private
     * @param {*} value The value to query.
     * @param {boolean} inherited Specify returning inherited property names.
     * @returns {Array} Returns the array of property names.
     */
    function arrayLikeKeys(value, inherited) {
      var isArr = isArray(value),
          isArg = !isArr && isArguments(value),
          isBuff = !isArr && !isArg && isBuffer(value),
          isType = !isArr && !isArg && !isBuff && isTypedArray(value),
          skipIndexes = isArr || isArg || isBuff || isType,
          result = skipIndexes ? baseTimes(value.length, String) : [],
          length = result.length;

      for (var key in value) {
        if ((inherited || hasOwnProperty.call(value, key)) &&
            !(skipIndexes && (
               // Safari 9 has enumerable `arguments.length` in strict mode.
               key == 'length' ||
               // Node.js 0.10 has enumerable non-index properties on buffers.
               (isBuff && (key == 'offset' || key == 'parent')) ||
               // PhantomJS 2 has enumerable non-index properties on typed arrays.
               (isType && (key == 'buffer' || key == 'byteLength' || key == 'byteOffset')) ||
               // Skip index properties.
               isIndex(key, length)
            ))) {
          result.push(key);
        }
      }
      return result;
    }

    /**
     * A specialized version of `_.sample` for arrays.
     *
     * @private
     * @param {Array} array The array to sample.
     * @returns {*} Returns the random element.
     */
    function arraySample(array) {
      var length = array.length;
      return length ? array[baseRandom(0, length - 1)] : undefined;
    }

    /**
     * A specialized version of `_.sampleSize` for arrays.
     *
     * @private
     * @param {Array} array The array to sample.
     * @param {number} n The number of elements to sample.
     * @returns {Array} Returns the random elements.
     */
    function arraySampleSize(array, n) {
      return shuffleSelf(copyArray(array), baseClamp(n, 0, array.length));
    }

    /**
     * A specialized version of `_.shuffle` for arrays.
     *
     * @private
     * @param {Array} array The array to shuffle.
     * @returns {Array} Returns the new shuffled array.
     */
    function arrayShuffle(array) {
      return shuffleSelf(copyArray(array));
    }

    /**
     * This function is like `assignValue` except that it doesn't assign
     * `undefined` values.
     *
     * @private
     * @param {Object} object The object to modify.
     * @param {string} key The key of the property to assign.
     * @param {*} value The value to assign.
     */
    function assignMergeValue(object, key, value) {
      if ((value !== undefined && !eq(object[key], value)) ||
          (value === undefined && !(key in object))) {
        baseAssignValue(object, key, value);
      }
    }

    /**
     * Assigns `value` to `key` of `object` if the existing value is not equivalent
     * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons.
     *
     * @private
     * @param {Object} object The object to modify.
     * @param {string} key The key of the property to assign.
     * @param {*} value The value to assign.
     */
    function assignValue(object, key, value) {
      var objValue = object[key];
      if (!(hasOwnProperty.call(object, key) && eq(objValue, value)) ||
          (value === undefined && !(key in object))) {
        baseAssignValue(object, key, value);
      }
    }

    /**
     * Gets the index at which the `key` is found in `array` of key-value pairs.
     *
     * @private
     * @param {Array} array The array to inspect.
     * @param {*} key The key to search for.
     * @returns {number} Returns the index of the matched value, else `-1`.
     */
    function assocIndexOf(array, key) {
      var length = array.length;
      while (length--) {
        if (eq(array[length][0], key)) {
          return length;
        }
      }
      return -1;
    }

    /**
     * Aggregates elements of `collection` on `accumulator` with keys transformed
     * by `iteratee` and values set by `setter`.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} setter The function to set `accumulator` values.
     * @param {Function} iteratee The iteratee to transform keys.
     * @param {Object} accumulator The initial aggregated object.
     * @returns {Function} Returns `accumulator`.
     */
    function baseAggregator(collection, setter, iteratee, accumulator) {
      baseEach(collection, function(value, key, collection) {
        setter(accumulator, value, iteratee(value), collection);
      });
      return accumulator;
    }

    /**
     * The base implementation of `_.assign` without support for multiple sources
     * or `customizer` functions.
     *
     * @private
     * @param {Object} object The destination object.
     * @param {Object} source The source object.
     * @returns {Object} Returns `object`.
     */
    function baseAssign(object, source) {
      return object && copyObject(source, keys(source), object);
    }

    /**
     * The base implementation of `_.assignIn` without support for multiple sources
     * or `customizer` functions.
     *
     * @private
     * @param {Object} object The destination object.
     * @param {Object} source The source object.
     * @returns {Object} Returns `object`.
     */
    function baseAssignIn(object, source) {
      return object && copyObject(source, keysIn(source), object);
    }

    /**
     * The base implementation of `assignValue` and `assignMergeValue` without
     * value checks.
     *
     * @private
     * @param {Object} object The object to modify.
     * @param {string} key The key of the property to assign.
     * @param {*} value The value to assign.
     */
    function baseAssignValue(object, key, value) {
      if (key == '__proto__' && defineProperty) {
        defineProperty(object, key, {
          'configurable': true,
          'enumerable': true,
          'value': value,
          'writable': true
        });
      } else {
        object[key] = value;
      }
    }

    /**
     * The base implementation of `_.at` without support for individual paths.
     *
     * @private
     * @param {Object} object The object to iterate over.
     * @param {string[]} paths The property paths to pick.
     * @returns {Array} Returns the picked elements.
     */
    function baseAt(object, paths) {
      var index = -1,
          length = paths.length,
          result = Array(length),
          skip = object == null;

      while (++index < length) {
        result[index] = skip ? undefined : get(object, paths[index]);
      }
      return result;
    }

    /**
     * The base implementation of `_.clamp` which doesn't coerce arguments.
     *
     * @private
     * @param {number} number The number to clamp.
     * @param {number} [lower] The lower bound.
     * @param {number} upper The upper bound.
     * @returns {number} Returns the clamped number.
     */
    function baseClamp(number, lower, upper) {
      if (number === number) {
        if (upper !== undefined) {
          number = number <= upper ? number : upper;
        }
        if (lower !== undefined) {
          number = number >= lower ? number : lower;
        }
      }
      return number;
    }

    /**
     * The base implementation of `_.clone` and `_.cloneDeep` which tracks
     * traversed objects.
     *
     * @private
     * @param {*} value The value to clone.
     * @param {boolean} bitmask The bitmask flags.
     *  1 - Deep clone
     *  2 - Flatten inherited properties
     *  4 - Clone symbols
     * @param {Function} [customizer] The function to customize cloning.
     * @param {string} [key] The key of `value`.
     * @param {Object} [object] The parent object of `value`.
     * @param {Object} [stack] Tracks traversed objects and their clone counterparts.
     * @returns {*} Returns the cloned value.
     */
    function baseClone(value, bitmask, customizer, key, object, stack) {
      var result,
          isDeep = bitmask & CLONE_DEEP_FLAG,
          isFlat = bitmask & CLONE_FLAT_FLAG,
          isFull = bitmask & CLONE_SYMBOLS_FLAG;

      if (customizer) {
        result = object ? customizer(value, key, object, stack) : customizer(value);
      }
      if (result !== undefined) {
        return result;
      }
      if (!isObject(value)) {
        return value;
      }
      var isArr = isArray(value);
      if (isArr) {
        result = initCloneArray(value);
        if (!isDeep) {
          return copyArray(value, result);
        }
      } else {
        var tag = getTag(value),
            isFunc = tag == funcTag || tag == genTag;

        if (isBuffer(value)) {
          return cloneBuffer(value, isDeep);
        }
        if (tag == objectTag || tag == argsTag || (isFunc && !object)) {
          result = (isFlat || isFunc) ? {} : initCloneObject(value);
          if (!isDeep) {
            return isFlat
              ? copySymbolsIn(value, baseAssignIn(result, value))
              : copySymbols(value, baseAssign(result, value));
          }
        } else {
          if (!cloneableTags[tag]) {
            return object ? value : {};
          }
          result = initCloneByTag(value, tag, isDeep);
        }
      }
      // Check for circular references and return its corresponding clone.
      stack || (stack = new Stack);
      var stacked = stack.get(value);
      if (stacked) {
        return stacked;
      }
      stack.set(value, result);

      if (isSet(value)) {
        value.forEach(function(subValue) {
          result.add(baseClone(subValue, bitmask, customizer, subValue, value, stack));
        });
      } else if (isMap(value)) {
        value.forEach(function(subValue, key) {
          result.set(key, baseClone(subValue, bitmask, customizer, key, value, stack));
        });
      }

      var keysFunc = isFull
        ? (isFlat ? getAllKeysIn : getAllKeys)
        : (isFlat ? keysIn : keys);

      var props = isArr ? undefined : keysFunc(value);
      arrayEach(props || value, function(subValue, key) {
        if (props) {
          key = subValue;
          subValue = value[key];
        }
        // Recursively populate clone (susceptible to call stack limits).
        assignValue(result, key, baseClone(subValue, bitmask, customizer, key, value, stack));
      });
      return result;
    }

    /**
     * The base implementation of `_.conforms` which doesn't clone `source`.
     *
     * @private
     * @param {Object} source The object of property predicates to conform to.
     * @returns {Function} Returns the new spec function.
     */
    function baseConforms(source) {
      var props = keys(source);
      return function(object) {
        return baseConformsTo(object, source, props);
      };
    }

    /**
     * The base implementation of `_.conformsTo` which accepts `props` to check.
     *
     * @private
     * @param {Object} object The object to inspect.
     * @param {Object} source The object of property predicates to conform to.
     * @returns {boolean} Returns `true` if `object` conforms, else `false`.
     */
    function baseConformsTo(object, source, props) {
      var length = props.length;
      if (object == null) {
        return !length;
      }
      object = Object(object);
      while (length--) {
        var key = props[length],
            predicate = source[key],
            value = object[key];

        if ((value === undefined && !(key in object)) || !predicate(value)) {
          return false;
        }
      }
      return true;
    }

    /**
     * The base implementation of `_.delay` and `_.defer` which accepts `args`
     * to provide to `func`.
     *
     * @private
     * @param {Function} func The function to delay.
     * @param {number} wait The number of milliseconds to delay invocation.
     * @param {Array} args The arguments to provide to `func`.
     * @returns {number|Object} Returns the timer id or timeout object.
     */
    function baseDelay(func, wait, args) {
      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      return setTimeout(function() { func.apply(undefined, args); }, wait);
    }

    /**
     * The base implementation of methods like `_.difference` without support
     * for excluding multiple arrays or iteratee shorthands.
     *
     * @private
     * @param {Array} array The array to inspect.
     * @param {Array} values The values to exclude.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of filtered values.
     */
    function baseDifference(array, values, iteratee, comparator) {
      var index = -1,
          includes = arrayIncludes,
          isCommon = true,
          length = array.length,
          result = [],
          valuesLength = values.length;

      if (!length) {
        return result;
      }
      if (iteratee) {
        values = arrayMap(values, baseUnary(iteratee));
      }
      if (comparator) {
        includes = arrayIncludesWith;
        isCommon = false;
      }
      else if (values.length >= LARGE_ARRAY_SIZE) {
        includes = cacheHas;
        isCommon = false;
        values = new SetCache(values);
      }
      outer:
      while (++index < length) {
        var value = array[index],
            computed = iteratee == null ? value : iteratee(value);

        value = (comparator || value !== 0) ? value : 0;
        if (isCommon && computed === computed) {
          var valuesIndex = valuesLength;
          while (valuesIndex--) {
            if (values[valuesIndex] === computed) {
              continue outer;
            }
          }
          result.push(value);
        }
        else if (!includes(values, computed, comparator)) {
          result.push(value);
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.forEach` without support for iteratee shorthands.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @returns {Array|Object} Returns `collection`.
     */
    var baseEach = createBaseEach(baseForOwn);

    /**
     * The base implementation of `_.forEachRight` without support for iteratee shorthands.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @returns {Array|Object} Returns `collection`.
     */
    var baseEachRight = createBaseEach(baseForOwnRight, true);

    /**
     * The base implementation of `_.every` without support for iteratee shorthands.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} predicate The function invoked per iteration.
     * @returns {boolean} Returns `true` if all elements pass the predicate check,
     *  else `false`
     */
    function baseEvery(collection, predicate) {
      var result = true;
      baseEach(collection, function(value, index, collection) {
        result = !!predicate(value, index, collection);
        return result;
      });
      return result;
    }

    /**
     * The base implementation of methods like `_.max` and `_.min` which accepts a
     * `comparator` to determine the extremum value.
     *
     * @private
     * @param {Array} array The array to iterate over.
     * @param {Function} iteratee The iteratee invoked per iteration.
     * @param {Function} comparator The comparator used to compare values.
     * @returns {*} Returns the extremum value.
     */
    function baseExtremum(array, iteratee, comparator) {
      var index = -1,
          length = array.length;

      while (++index < length) {
        var value = array[index],
            current = iteratee(value);

        if (current != null && (computed === undefined
              ? (current === current && !isSymbol(current))
              : comparator(current, computed)
            )) {
          var computed = current,
              result = value;
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.fill` without an iteratee call guard.
     *
     * @private
     * @param {Array} array The array to fill.
     * @param {*} value The value to fill `array` with.
     * @param {number} [start=0] The start position.
     * @param {number} [end=array.length] The end position.
     * @returns {Array} Returns `array`.
     */
    function baseFill(array, value, start, end) {
      var length = array.length;

      start = toInteger(start);
      if (start < 0) {
        start = -start > length ? 0 : (length + start);
      }
      end = (end === undefined || end > length) ? length : toInteger(end);
      if (end < 0) {
        end += length;
      }
      end = start > end ? 0 : toLength(end);
      while (start < end) {
        array[start++] = value;
      }
      return array;
    }

    /**
     * The base implementation of `_.filter` without support for iteratee shorthands.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} predicate The function invoked per iteration.
     * @returns {Array} Returns the new filtered array.
     */
    function baseFilter(collection, predicate) {
      var result = [];
      baseEach(collection, function(value, index, collection) {
        if (predicate(value, index, collection)) {
          result.push(value);
        }
      });
      return result;
    }

    /**
     * The base implementation of `_.flatten` with support for restricting flattening.
     *
     * @private
     * @param {Array} array The array to flatten.
     * @param {number} depth The maximum recursion depth.
     * @param {boolean} [predicate=isFlattenable] The function invoked per iteration.
     * @param {boolean} [isStrict] Restrict to values that pass `predicate` checks.
     * @param {Array} [result=[]] The initial result value.
     * @returns {Array} Returns the new flattened array.
     */
    function baseFlatten(array, depth, predicate, isStrict, result) {
      var index = -1,
          length = array.length;

      predicate || (predicate = isFlattenable);
      result || (result = []);

      while (++index < length) {
        var value = array[index];
        if (depth > 0 && predicate(value)) {
          if (depth > 1) {
            // Recursively flatten arrays (susceptible to call stack limits).
            baseFlatten(value, depth - 1, predicate, isStrict, result);
          } else {
            arrayPush(result, value);
          }
        } else if (!isStrict) {
          result[result.length] = value;
        }
      }
      return result;
    }

    /**
     * The base implementation of `baseForOwn` which iterates over `object`
     * properties returned by `keysFunc` and invokes `iteratee` for each property.
     * Iteratee functions may exit iteration early by explicitly returning `false`.
     *
     * @private
     * @param {Object} object The object to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @param {Function} keysFunc The function to get the keys of `object`.
     * @returns {Object} Returns `object`.
     */
    var baseFor = createBaseFor();

    /**
     * This function is like `baseFor` except that it iterates over properties
     * in the opposite order.
     *
     * @private
     * @param {Object} object The object to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @param {Function} keysFunc The function to get the keys of `object`.
     * @returns {Object} Returns `object`.
     */
    var baseForRight = createBaseFor(true);

    /**
     * The base implementation of `_.forOwn` without support for iteratee shorthands.
     *
     * @private
     * @param {Object} object The object to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @returns {Object} Returns `object`.
     */
    function baseForOwn(object, iteratee) {
      return object && baseFor(object, iteratee, keys);
    }

    /**
     * The base implementation of `_.forOwnRight` without support for iteratee shorthands.
     *
     * @private
     * @param {Object} object The object to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @returns {Object} Returns `object`.
     */
    function baseForOwnRight(object, iteratee) {
      return object && baseForRight(object, iteratee, keys);
    }

    /**
     * The base implementation of `_.functions` which creates an array of
     * `object` function property names filtered from `props`.
     *
     * @private
     * @param {Object} object The object to inspect.
     * @param {Array} props The property names to filter.
     * @returns {Array} Returns the function names.
     */
    function baseFunctions(object, props) {
      return arrayFilter(props, function(key) {
        return isFunction(object[key]);
      });
    }

    /**
     * The base implementation of `_.get` without support for default values.
     *
     * @private
     * @param {Object} object The object to query.
     * @param {Array|string} path The path of the property to get.
     * @returns {*} Returns the resolved value.
     */
    function baseGet(object, path) {
      path = castPath(path, object);

      var index = 0,
          length = path.length;

      while (object != null && index < length) {
        object = object[toKey(path[index++])];
      }
      return (index && index == length) ? object : undefined;
    }

    /**
     * The base implementation of `getAllKeys` and `getAllKeysIn` which uses
     * `keysFunc` and `symbolsFunc` to get the enumerable property names and
     * symbols of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @param {Function} keysFunc The function to get the keys of `object`.
     * @param {Function} symbolsFunc The function to get the symbols of `object`.
     * @returns {Array} Returns the array of property names and symbols.
     */
    function baseGetAllKeys(object, keysFunc, symbolsFunc) {
      var result = keysFunc(object);
      return isArray(object) ? result : arrayPush(result, symbolsFunc(object));
    }

    /**
     * The base implementation of `getTag` without fallbacks for buggy environments.
     *
     * @private
     * @param {*} value The value to query.
     * @returns {string} Returns the `toStringTag`.
     */
    function baseGetTag(value) {
      if (value == null) {
        return value === undefined ? undefinedTag : nullTag;
      }
      return (symToStringTag && symToStringTag in Object(value))
        ? getRawTag(value)
        : objectToString(value);
    }

    /**
     * The base implementation of `_.gt` which doesn't coerce arguments.
     *
     * @private
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if `value` is greater than `other`,
     *  else `false`.
     */
    function baseGt(value, other) {
      return value > other;
    }

    /**
     * The base implementation of `_.has` without support for deep paths.
     *
     * @private
     * @param {Object} [object] The object to query.
     * @param {Array|string} key The key to check.
     * @returns {boolean} Returns `true` if `key` exists, else `false`.
     */
    function baseHas(object, key) {
      return object != null && hasOwnProperty.call(object, key);
    }

    /**
     * The base implementation of `_.hasIn` without support for deep paths.
     *
     * @private
     * @param {Object} [object] The object to query.
     * @param {Array|string} key The key to check.
     * @returns {boolean} Returns `true` if `key` exists, else `false`.
     */
    function baseHasIn(object, key) {
      return object != null && key in Object(object);
    }

    /**
     * The base implementation of `_.inRange` which doesn't coerce arguments.
     *
     * @private
     * @param {number} number The number to check.
     * @param {number} start The start of the range.
     * @param {number} end The end of the range.
     * @returns {boolean} Returns `true` if `number` is in the range, else `false`.
     */
    function baseInRange(number, start, end) {
      return number >= nativeMin(start, end) && number < nativeMax(start, end);
    }

    /**
     * The base implementation of methods like `_.intersection`, without support
     * for iteratee shorthands, that accepts an array of arrays to inspect.
     *
     * @private
     * @param {Array} arrays The arrays to inspect.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of shared values.
     */
    function baseIntersection(arrays, iteratee, comparator) {
      var includes = comparator ? arrayIncludesWith : arrayIncludes,
          length = arrays[0].length,
          othLength = arrays.length,
          othIndex = othLength,
          caches = Array(othLength),
          maxLength = Infinity,
          result = [];

      while (othIndex--) {
        var array = arrays[othIndex];
        if (othIndex && iteratee) {
          array = arrayMap(array, baseUnary(iteratee));
        }
        maxLength = nativeMin(array.length, maxLength);
        caches[othIndex] = !comparator && (iteratee || (length >= 120 && array.length >= 120))
          ? new SetCache(othIndex && array)
          : undefined;
      }
      array = arrays[0];

      var index = -1,
          seen = caches[0];

      outer:
      while (++index < length && result.length < maxLength) {
        var value = array[index],
            computed = iteratee ? iteratee(value) : value;

        value = (comparator || value !== 0) ? value : 0;
        if (!(seen
              ? cacheHas(seen, computed)
              : includes(result, computed, comparator)
            )) {
          othIndex = othLength;
          while (--othIndex) {
            var cache = caches[othIndex];
            if (!(cache
                  ? cacheHas(cache, computed)
                  : includes(arrays[othIndex], computed, comparator))
                ) {
              continue outer;
            }
          }
          if (seen) {
            seen.push(computed);
          }
          result.push(value);
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.invert` and `_.invertBy` which inverts
     * `object` with values transformed by `iteratee` and set by `setter`.
     *
     * @private
     * @param {Object} object The object to iterate over.
     * @param {Function} setter The function to set `accumulator` values.
     * @param {Function} iteratee The iteratee to transform values.
     * @param {Object} accumulator The initial inverted object.
     * @returns {Function} Returns `accumulator`.
     */
    function baseInverter(object, setter, iteratee, accumulator) {
      baseForOwn(object, function(value, key, object) {
        setter(accumulator, iteratee(value), key, object);
      });
      return accumulator;
    }

    /**
     * The base implementation of `_.invoke` without support for individual
     * method arguments.
     *
     * @private
     * @param {Object} object The object to query.
     * @param {Array|string} path The path of the method to invoke.
     * @param {Array} args The arguments to invoke the method with.
     * @returns {*} Returns the result of the invoked method.
     */
    function baseInvoke(object, path, args) {
      path = castPath(path, object);
      object = parent(object, path);
      var func = object == null ? object : object[toKey(last(path))];
      return func == null ? undefined : apply(func, object, args);
    }

    /**
     * The base implementation of `_.isArguments`.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an `arguments` object,
     */
    function baseIsArguments(value) {
      return isObjectLike(value) && baseGetTag(value) == argsTag;
    }

    /**
     * The base implementation of `_.isArrayBuffer` without Node.js optimizations.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an array buffer, else `false`.
     */
    function baseIsArrayBuffer(value) {
      return isObjectLike(value) && baseGetTag(value) == arrayBufferTag;
    }

    /**
     * The base implementation of `_.isDate` without Node.js optimizations.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a date object, else `false`.
     */
    function baseIsDate(value) {
      return isObjectLike(value) && baseGetTag(value) == dateTag;
    }

    /**
     * The base implementation of `_.isEqual` which supports partial comparisons
     * and tracks traversed objects.
     *
     * @private
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @param {boolean} bitmask The bitmask flags.
     *  1 - Unordered comparison
     *  2 - Partial comparison
     * @param {Function} [customizer] The function to customize comparisons.
     * @param {Object} [stack] Tracks traversed `value` and `other` objects.
     * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
     */
    function baseIsEqual(value, other, bitmask, customizer, stack) {
      if (value === other) {
        return true;
      }
      if (value == null || other == null || (!isObjectLike(value) && !isObjectLike(other))) {
        return value !== value && other !== other;
      }
      return baseIsEqualDeep(value, other, bitmask, customizer, baseIsEqual, stack);
    }

    /**
     * A specialized version of `baseIsEqual` for arrays and objects which performs
     * deep comparisons and tracks traversed objects enabling objects with circular
     * references to be compared.
     *
     * @private
     * @param {Object} object The object to compare.
     * @param {Object} other The other object to compare.
     * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
     * @param {Function} customizer The function to customize comparisons.
     * @param {Function} equalFunc The function to determine equivalents of values.
     * @param {Object} [stack] Tracks traversed `object` and `other` objects.
     * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
     */
    function baseIsEqualDeep(object, other, bitmask, customizer, equalFunc, stack) {
      var objIsArr = isArray(object),
          othIsArr = isArray(other),
          objTag = objIsArr ? arrayTag : getTag(object),
          othTag = othIsArr ? arrayTag : getTag(other);

      objTag = objTag == argsTag ? objectTag : objTag;
      othTag = othTag == argsTag ? objectTag : othTag;

      var objIsObj = objTag == objectTag,
          othIsObj = othTag == objectTag,
          isSameTag = objTag == othTag;

      if (isSameTag && isBuffer(object)) {
        if (!isBuffer(other)) {
          return false;
        }
        objIsArr = true;
        objIsObj = false;
      }
      if (isSameTag && !objIsObj) {
        stack || (stack = new Stack);
        return (objIsArr || isTypedArray(object))
          ? equalArrays(object, other, bitmask, customizer, equalFunc, stack)
          : equalByTag(object, other, objTag, bitmask, customizer, equalFunc, stack);
      }
      if (!(bitmask & COMPARE_PARTIAL_FLAG)) {
        var objIsWrapped = objIsObj && hasOwnProperty.call(object, '__wrapped__'),
            othIsWrapped = othIsObj && hasOwnProperty.call(other, '__wrapped__');

        if (objIsWrapped || othIsWrapped) {
          var objUnwrapped = objIsWrapped ? object.value() : object,
              othUnwrapped = othIsWrapped ? other.value() : other;

          stack || (stack = new Stack);
          return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
        }
      }
      if (!isSameTag) {
        return false;
      }
      stack || (stack = new Stack);
      return equalObjects(object, other, bitmask, customizer, equalFunc, stack);
    }

    /**
     * The base implementation of `_.isMap` without Node.js optimizations.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a map, else `false`.
     */
    function baseIsMap(value) {
      return isObjectLike(value) && getTag(value) == mapTag;
    }

    /**
     * The base implementation of `_.isMatch` without support for iteratee shorthands.
     *
     * @private
     * @param {Object} object The object to inspect.
     * @param {Object} source The object of property values to match.
     * @param {Array} matchData The property names, values, and compare flags to match.
     * @param {Function} [customizer] The function to customize comparisons.
     * @returns {boolean} Returns `true` if `object` is a match, else `false`.
     */
    function baseIsMatch(object, source, matchData, customizer) {
      var index = matchData.length,
          length = index,
          noCustomizer = !customizer;

      if (object == null) {
        return !length;
      }
      object = Object(object);
      while (index--) {
        var data = matchData[index];
        if ((noCustomizer && data[2])
              ? data[1] !== object[data[0]]
              : !(data[0] in object)
            ) {
          return false;
        }
      }
      while (++index < length) {
        data = matchData[index];
        var key = data[0],
            objValue = object[key],
            srcValue = data[1];

        if (noCustomizer && data[2]) {
          if (objValue === undefined && !(key in object)) {
            return false;
          }
        } else {
          var stack = new Stack;
          if (customizer) {
            var result = customizer(objValue, srcValue, key, object, source, stack);
          }
          if (!(result === undefined
                ? baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG | COMPARE_UNORDERED_FLAG, customizer, stack)
                : result
              )) {
            return false;
          }
        }
      }
      return true;
    }

    /**
     * The base implementation of `_.isNative` without bad shim checks.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a native function,
     *  else `false`.
     */
    function baseIsNative(value) {
      if (!isObject(value) || isMasked(value)) {
        return false;
      }
      var pattern = isFunction(value) ? reIsNative : reIsHostCtor;
      return pattern.test(toSource(value));
    }

    /**
     * The base implementation of `_.isRegExp` without Node.js optimizations.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a regexp, else `false`.
     */
    function baseIsRegExp(value) {
      return isObjectLike(value) && baseGetTag(value) == regexpTag;
    }

    /**
     * The base implementation of `_.isSet` without Node.js optimizations.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a set, else `false`.
     */
    function baseIsSet(value) {
      return isObjectLike(value) && getTag(value) == setTag;
    }

    /**
     * The base implementation of `_.isTypedArray` without Node.js optimizations.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
     */
    function baseIsTypedArray(value) {
      return isObjectLike(value) &&
        isLength(value.length) && !!typedArrayTags[baseGetTag(value)];
    }

    /**
     * The base implementation of `_.iteratee`.
     *
     * @private
     * @param {*} [value=_.identity] The value to convert to an iteratee.
     * @returns {Function} Returns the iteratee.
     */
    function baseIteratee(value) {
      // Don't store the `typeof` result in a variable to avoid a JIT bug in Safari 9.
      // See https://bugs.webkit.org/show_bug.cgi?id=156034 for more details.
      if (typeof value == 'function') {
        return value;
      }
      if (value == null) {
        return identity;
      }
      if (typeof value == 'object') {
        return isArray(value)
          ? baseMatchesProperty(value[0], value[1])
          : baseMatches(value);
      }
      return property(value);
    }

    /**
     * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names.
     */
    function baseKeys(object) {
      if (!isPrototype(object)) {
        return nativeKeys(object);
      }
      var result = [];
      for (var key in Object(object)) {
        if (hasOwnProperty.call(object, key) && key != 'constructor') {
          result.push(key);
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.keysIn` which doesn't treat sparse arrays as dense.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names.
     */
    function baseKeysIn(object) {
      if (!isObject(object)) {
        return nativeKeysIn(object);
      }
      var isProto = isPrototype(object),
          result = [];

      for (var key in object) {
        if (!(key == 'constructor' && (isProto || !hasOwnProperty.call(object, key)))) {
          result.push(key);
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.lt` which doesn't coerce arguments.
     *
     * @private
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if `value` is less than `other`,
     *  else `false`.
     */
    function baseLt(value, other) {
      return value < other;
    }

    /**
     * The base implementation of `_.map` without support for iteratee shorthands.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @returns {Array} Returns the new mapped array.
     */
    function baseMap(collection, iteratee) {
      var index = -1,
          result = isArrayLike(collection) ? Array(collection.length) : [];

      baseEach(collection, function(value, key, collection) {
        result[++index] = iteratee(value, key, collection);
      });
      return result;
    }

    /**
     * The base implementation of `_.matches` which doesn't clone `source`.
     *
     * @private
     * @param {Object} source The object of property values to match.
     * @returns {Function} Returns the new spec function.
     */
    function baseMatches(source) {
      var matchData = getMatchData(source);
      if (matchData.length == 1 && matchData[0][2]) {
        return matchesStrictComparable(matchData[0][0], matchData[0][1]);
      }
      return function(object) {
        return object === source || baseIsMatch(object, source, matchData);
      };
    }

    /**
     * The base implementation of `_.matchesProperty` which doesn't clone `srcValue`.
     *
     * @private
     * @param {string} path The path of the property to get.
     * @param {*} srcValue The value to match.
     * @returns {Function} Returns the new spec function.
     */
    function baseMatchesProperty(path, srcValue) {
      if (isKey(path) && isStrictComparable(srcValue)) {
        return matchesStrictComparable(toKey(path), srcValue);
      }
      return function(object) {
        var objValue = get(object, path);
        return (objValue === undefined && objValue === srcValue)
          ? hasIn(object, path)
          : baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG | COMPARE_UNORDERED_FLAG);
      };
    }

    /**
     * The base implementation of `_.merge` without support for multiple sources.
     *
     * @private
     * @param {Object} object The destination object.
     * @param {Object} source The source object.
     * @param {number} srcIndex The index of `source`.
     * @param {Function} [customizer] The function to customize merged values.
     * @param {Object} [stack] Tracks traversed source values and their merged
     *  counterparts.
     */
    function baseMerge(object, source, srcIndex, customizer, stack) {
      if (object === source) {
        return;
      }
      baseFor(source, function(srcValue, key) {
        stack || (stack = new Stack);
        if (isObject(srcValue)) {
          baseMergeDeep(object, source, key, srcIndex, baseMerge, customizer, stack);
        }
        else {
          var newValue = customizer
            ? customizer(safeGet(object, key), srcValue, (key + ''), object, source, stack)
            : undefined;

          if (newValue === undefined) {
            newValue = srcValue;
          }
          assignMergeValue(object, key, newValue);
        }
      }, keysIn);
    }

    /**
     * A specialized version of `baseMerge` for arrays and objects which performs
     * deep merges and tracks traversed objects enabling objects with circular
     * references to be merged.
     *
     * @private
     * @param {Object} object The destination object.
     * @param {Object} source The source object.
     * @param {string} key The key of the value to merge.
     * @param {number} srcIndex The index of `source`.
     * @param {Function} mergeFunc The function to merge values.
     * @param {Function} [customizer] The function to customize assigned values.
     * @param {Object} [stack] Tracks traversed source values and their merged
     *  counterparts.
     */
    function baseMergeDeep(object, source, key, srcIndex, mergeFunc, customizer, stack) {
      var objValue = safeGet(object, key),
          srcValue = safeGet(source, key),
          stacked = stack.get(srcValue);

      if (stacked) {
        assignMergeValue(object, key, stacked);
        return;
      }
      var newValue = customizer
        ? customizer(objValue, srcValue, (key + ''), object, source, stack)
        : undefined;

      var isCommon = newValue === undefined;

      if (isCommon) {
        var isArr = isArray(srcValue),
            isBuff = !isArr && isBuffer(srcValue),
            isTyped = !isArr && !isBuff && isTypedArray(srcValue);

        newValue = srcValue;
        if (isArr || isBuff || isTyped) {
          if (isArray(objValue)) {
            newValue = objValue;
          }
          else if (isArrayLikeObject(objValue)) {
            newValue = copyArray(objValue);
          }
          else if (isBuff) {
            isCommon = false;
            newValue = cloneBuffer(srcValue, true);
          }
          else if (isTyped) {
            isCommon = false;
            newValue = cloneTypedArray(srcValue, true);
          }
          else {
            newValue = [];
          }
        }
        else if (isPlainObject(srcValue) || isArguments(srcValue)) {
          newValue = objValue;
          if (isArguments(objValue)) {
            newValue = toPlainObject(objValue);
          }
          else if (!isObject(objValue) || isFunction(objValue)) {
            newValue = initCloneObject(srcValue);
          }
        }
        else {
          isCommon = false;
        }
      }
      if (isCommon) {
        // Recursively merge objects and arrays (susceptible to call stack limits).
        stack.set(srcValue, newValue);
        mergeFunc(newValue, srcValue, srcIndex, customizer, stack);
        stack['delete'](srcValue);
      }
      assignMergeValue(object, key, newValue);
    }

    /**
     * The base implementation of `_.nth` which doesn't coerce arguments.
     *
     * @private
     * @param {Array} array The array to query.
     * @param {number} n The index of the element to return.
     * @returns {*} Returns the nth element of `array`.
     */
    function baseNth(array, n) {
      var length = array.length;
      if (!length) {
        return;
      }
      n += n < 0 ? length : 0;
      return isIndex(n, length) ? array[n] : undefined;
    }

    /**
     * The base implementation of `_.orderBy` without param guards.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function[]|Object[]|string[]} iteratees The iteratees to sort by.
     * @param {string[]} orders The sort orders of `iteratees`.
     * @returns {Array} Returns the new sorted array.
     */
    function baseOrderBy(collection, iteratees, orders) {
      if (iteratees.length) {
        iteratees = arrayMap(iteratees, function(iteratee) {
          if (isArray(iteratee)) {
            return function(value) {
              return baseGet(value, iteratee.length === 1 ? iteratee[0] : iteratee);
            }
          }
          return iteratee;
        });
      } else {
        iteratees = [identity];
      }

      var index = -1;
      iteratees = arrayMap(iteratees, baseUnary(getIteratee()));

      var result = baseMap(collection, function(value, key, collection) {
        var criteria = arrayMap(iteratees, function(iteratee) {
          return iteratee(value);
        });
        return { 'criteria': criteria, 'index': ++index, 'value': value };
      });

      return baseSortBy(result, function(object, other) {
        return compareMultiple(object, other, orders);
      });
    }

    /**
     * The base implementation of `_.pick` without support for individual
     * property identifiers.
     *
     * @private
     * @param {Object} object The source object.
     * @param {string[]} paths The property paths to pick.
     * @returns {Object} Returns the new object.
     */
    function basePick(object, paths) {
      return basePickBy(object, paths, function(value, path) {
        return hasIn(object, path);
      });
    }

    /**
     * The base implementation of  `_.pickBy` without support for iteratee shorthands.
     *
     * @private
     * @param {Object} object The source object.
     * @param {string[]} paths The property paths to pick.
     * @param {Function} predicate The function invoked per property.
     * @returns {Object} Returns the new object.
     */
    function basePickBy(object, paths, predicate) {
      var index = -1,
          length = paths.length,
          result = {};

      while (++index < length) {
        var path = paths[index],
            value = baseGet(object, path);

        if (predicate(value, path)) {
          baseSet(result, castPath(path, object), value);
        }
      }
      return result;
    }

    /**
     * A specialized version of `baseProperty` which supports deep paths.
     *
     * @private
     * @param {Array|string} path The path of the property to get.
     * @returns {Function} Returns the new accessor function.
     */
    function basePropertyDeep(path) {
      return function(object) {
        return baseGet(object, path);
      };
    }

    /**
     * The base implementation of `_.pullAllBy` without support for iteratee
     * shorthands.
     *
     * @private
     * @param {Array} array The array to modify.
     * @param {Array} values The values to remove.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns `array`.
     */
    function basePullAll(array, values, iteratee, comparator) {
      var indexOf = comparator ? baseIndexOfWith : baseIndexOf,
          index = -1,
          length = values.length,
          seen = array;

      if (array === values) {
        values = copyArray(values);
      }
      if (iteratee) {
        seen = arrayMap(array, baseUnary(iteratee));
      }
      while (++index < length) {
        var fromIndex = 0,
            value = values[index],
            computed = iteratee ? iteratee(value) : value;

        while ((fromIndex = indexOf(seen, computed, fromIndex, comparator)) > -1) {
          if (seen !== array) {
            splice.call(seen, fromIndex, 1);
          }
          splice.call(array, fromIndex, 1);
        }
      }
      return array;
    }

    /**
     * The base implementation of `_.pullAt` without support for individual
     * indexes or capturing the removed elements.
     *
     * @private
     * @param {Array} array The array to modify.
     * @param {number[]} indexes The indexes of elements to remove.
     * @returns {Array} Returns `array`.
     */
    function basePullAt(array, indexes) {
      var length = array ? indexes.length : 0,
          lastIndex = length - 1;

      while (length--) {
        var index = indexes[length];
        if (length == lastIndex || index !== previous) {
          var previous = index;
          if (isIndex(index)) {
            splice.call(array, index, 1);
          } else {
            baseUnset(array, index);
          }
        }
      }
      return array;
    }

    /**
     * The base implementation of `_.random` without support for returning
     * floating-point numbers.
     *
     * @private
     * @param {number} lower The lower bound.
     * @param {number} upper The upper bound.
     * @returns {number} Returns the random number.
     */
    function baseRandom(lower, upper) {
      return lower + nativeFloor(nativeRandom() * (upper - lower + 1));
    }

    /**
     * The base implementation of `_.range` and `_.rangeRight` which doesn't
     * coerce arguments.
     *
     * @private
     * @param {number} start The start of the range.
     * @param {number} end The end of the range.
     * @param {number} step The value to increment or decrement by.
     * @param {boolean} [fromRight] Specify iterating from right to left.
     * @returns {Array} Returns the range of numbers.
     */
    function baseRange(start, end, step, fromRight) {
      var index = -1,
          length = nativeMax(nativeCeil((end - start) / (step || 1)), 0),
          result = Array(length);

      while (length--) {
        result[fromRight ? length : ++index] = start;
        start += step;
      }
      return result;
    }

    /**
     * The base implementation of `_.repeat` which doesn't coerce arguments.
     *
     * @private
     * @param {string} string The string to repeat.
     * @param {number} n The number of times to repeat the string.
     * @returns {string} Returns the repeated string.
     */
    function baseRepeat(string, n) {
      var result = '';
      if (!string || n < 1 || n > MAX_SAFE_INTEGER) {
        return result;
      }
      // Leverage the exponentiation by squaring algorithm for a faster repeat.
      // See https://en.wikipedia.org/wiki/Exponentiation_by_squaring for more details.
      do {
        if (n % 2) {
          result += string;
        }
        n = nativeFloor(n / 2);
        if (n) {
          string += string;
        }
      } while (n);

      return result;
    }

    /**
     * The base implementation of `_.rest` which doesn't validate or coerce arguments.
     *
     * @private
     * @param {Function} func The function to apply a rest parameter to.
     * @param {number} [start=func.length-1] The start position of the rest parameter.
     * @returns {Function} Returns the new function.
     */
    function baseRest(func, start) {
      return setToString(overRest(func, start, identity), func + '');
    }

    /**
     * The base implementation of `_.sample`.
     *
     * @private
     * @param {Array|Object} collection The collection to sample.
     * @returns {*} Returns the random element.
     */
    function baseSample(collection) {
      return arraySample(values(collection));
    }

    /**
     * The base implementation of `_.sampleSize` without param guards.
     *
     * @private
     * @param {Array|Object} collection The collection to sample.
     * @param {number} n The number of elements to sample.
     * @returns {Array} Returns the random elements.
     */
    function baseSampleSize(collection, n) {
      var array = values(collection);
      return shuffleSelf(array, baseClamp(n, 0, array.length));
    }

    /**
     * The base implementation of `_.set`.
     *
     * @private
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to set.
     * @param {*} value The value to set.
     * @param {Function} [customizer] The function to customize path creation.
     * @returns {Object} Returns `object`.
     */
    function baseSet(object, path, value, customizer) {
      if (!isObject(object)) {
        return object;
      }
      path = castPath(path, object);

      var index = -1,
          length = path.length,
          lastIndex = length - 1,
          nested = object;

      while (nested != null && ++index < length) {
        var key = toKey(path[index]),
            newValue = value;

        if (key === '__proto__' || key === 'constructor' || key === 'prototype') {
          return object;
        }

        if (index != lastIndex) {
          var objValue = nested[key];
          newValue = customizer ? customizer(objValue, key, nested) : undefined;
          if (newValue === undefined) {
            newValue = isObject(objValue)
              ? objValue
              : (isIndex(path[index + 1]) ? [] : {});
          }
        }
        assignValue(nested, key, newValue);
        nested = nested[key];
      }
      return object;
    }

    /**
     * The base implementation of `setData` without support for hot loop shorting.
     *
     * @private
     * @param {Function} func The function to associate metadata with.
     * @param {*} data The metadata.
     * @returns {Function} Returns `func`.
     */
    var baseSetData = !metaMap ? identity : function(func, data) {
      metaMap.set(func, data);
      return func;
    };

    /**
     * The base implementation of `setToString` without support for hot loop shorting.
     *
     * @private
     * @param {Function} func The function to modify.
     * @param {Function} string The `toString` result.
     * @returns {Function} Returns `func`.
     */
    var baseSetToString = !defineProperty ? identity : function(func, string) {
      return defineProperty(func, 'toString', {
        'configurable': true,
        'enumerable': false,
        'value': constant(string),
        'writable': true
      });
    };

    /**
     * The base implementation of `_.shuffle`.
     *
     * @private
     * @param {Array|Object} collection The collection to shuffle.
     * @returns {Array} Returns the new shuffled array.
     */
    function baseShuffle(collection) {
      return shuffleSelf(values(collection));
    }

    /**
     * The base implementation of `_.slice` without an iteratee call guard.
     *
     * @private
     * @param {Array} array The array to slice.
     * @param {number} [start=0] The start position.
     * @param {number} [end=array.length] The end position.
     * @returns {Array} Returns the slice of `array`.
     */
    function baseSlice(array, start, end) {
      var index = -1,
          length = array.length;

      if (start < 0) {
        start = -start > length ? 0 : (length + start);
      }
      end = end > length ? length : end;
      if (end < 0) {
        end += length;
      }
      length = start > end ? 0 : ((end - start) >>> 0);
      start >>>= 0;

      var result = Array(length);
      while (++index < length) {
        result[index] = array[index + start];
      }
      return result;
    }

    /**
     * The base implementation of `_.some` without support for iteratee shorthands.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} predicate The function invoked per iteration.
     * @returns {boolean} Returns `true` if any element passes the predicate check,
     *  else `false`.
     */
    function baseSome(collection, predicate) {
      var result;

      baseEach(collection, function(value, index, collection) {
        result = predicate(value, index, collection);
        return !result;
      });
      return !!result;
    }

    /**
     * The base implementation of `_.sortedIndex` and `_.sortedLastIndex` which
     * performs a binary search of `array` to determine the index at which `value`
     * should be inserted into `array` in order to maintain its sort order.
     *
     * @private
     * @param {Array} array The sorted array to inspect.
     * @param {*} value The value to evaluate.
     * @param {boolean} [retHighest] Specify returning the highest qualified index.
     * @returns {number} Returns the index at which `value` should be inserted
     *  into `array`.
     */
    function baseSortedIndex(array, value, retHighest) {
      var low = 0,
          high = array == null ? low : array.length;

      if (typeof value == 'number' && value === value && high <= HALF_MAX_ARRAY_LENGTH) {
        while (low < high) {
          var mid = (low + high) >>> 1,
              computed = array[mid];

          if (computed !== null && !isSymbol(computed) &&
              (retHighest ? (computed <= value) : (computed < value))) {
            low = mid + 1;
          } else {
            high = mid;
          }
        }
        return high;
      }
      return baseSortedIndexBy(array, value, identity, retHighest);
    }

    /**
     * The base implementation of `_.sortedIndexBy` and `_.sortedLastIndexBy`
     * which invokes `iteratee` for `value` and each element of `array` to compute
     * their sort ranking. The iteratee is invoked with one argument; (value).
     *
     * @private
     * @param {Array} array The sorted array to inspect.
     * @param {*} value The value to evaluate.
     * @param {Function} iteratee The iteratee invoked per element.
     * @param {boolean} [retHighest] Specify returning the highest qualified index.
     * @returns {number} Returns the index at which `value` should be inserted
     *  into `array`.
     */
    function baseSortedIndexBy(array, value, iteratee, retHighest) {
      var low = 0,
          high = array == null ? 0 : array.length;
      if (high === 0) {
        return 0;
      }

      value = iteratee(value);
      var valIsNaN = value !== value,
          valIsNull = value === null,
          valIsSymbol = isSymbol(value),
          valIsUndefined = value === undefined;

      while (low < high) {
        var mid = nativeFloor((low + high) / 2),
            computed = iteratee(array[mid]),
            othIsDefined = computed !== undefined,
            othIsNull = computed === null,
            othIsReflexive = computed === computed,
            othIsSymbol = isSymbol(computed);

        if (valIsNaN) {
          var setLow = retHighest || othIsReflexive;
        } else if (valIsUndefined) {
          setLow = othIsReflexive && (retHighest || othIsDefined);
        } else if (valIsNull) {
          setLow = othIsReflexive && othIsDefined && (retHighest || !othIsNull);
        } else if (valIsSymbol) {
          setLow = othIsReflexive && othIsDefined && !othIsNull && (retHighest || !othIsSymbol);
        } else if (othIsNull || othIsSymbol) {
          setLow = false;
        } else {
          setLow = retHighest ? (computed <= value) : (computed < value);
        }
        if (setLow) {
          low = mid + 1;
        } else {
          high = mid;
        }
      }
      return nativeMin(high, MAX_ARRAY_INDEX);
    }

    /**
     * The base implementation of `_.sortedUniq` and `_.sortedUniqBy` without
     * support for iteratee shorthands.
     *
     * @private
     * @param {Array} array The array to inspect.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @returns {Array} Returns the new duplicate free array.
     */
    function baseSortedUniq(array, iteratee) {
      var index = -1,
          length = array.length,
          resIndex = 0,
          result = [];

      while (++index < length) {
        var value = array[index],
            computed = iteratee ? iteratee(value) : value;

        if (!index || !eq(computed, seen)) {
          var seen = computed;
          result[resIndex++] = value === 0 ? 0 : value;
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.toNumber` which doesn't ensure correct
     * conversions of binary, hexadecimal, or octal string values.
     *
     * @private
     * @param {*} value The value to process.
     * @returns {number} Returns the number.
     */
    function baseToNumber(value) {
      if (typeof value == 'number') {
        return value;
      }
      if (isSymbol(value)) {
        return NAN;
      }
      return +value;
    }

    /**
     * The base implementation of `_.toString` which doesn't convert nullish
     * values to empty strings.
     *
     * @private
     * @param {*} value The value to process.
     * @returns {string} Returns the string.
     */
    function baseToString(value) {
      // Exit early for strings to avoid a performance hit in some environments.
      if (typeof value == 'string') {
        return value;
      }
      if (isArray(value)) {
        // Recursively convert values (susceptible to call stack limits).
        return arrayMap(value, baseToString) + '';
      }
      if (isSymbol(value)) {
        return symbolToString ? symbolToString.call(value) : '';
      }
      var result = (value + '');
      return (result == '0' && (1 / value) == -INFINITY) ? '-0' : result;
    }

    /**
     * The base implementation of `_.uniqBy` without support for iteratee shorthands.
     *
     * @private
     * @param {Array} array The array to inspect.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new duplicate free array.
     */
    function baseUniq(array, iteratee, comparator) {
      var index = -1,
          includes = arrayIncludes,
          length = array.length,
          isCommon = true,
          result = [],
          seen = result;

      if (comparator) {
        isCommon = false;
        includes = arrayIncludesWith;
      }
      else if (length >= LARGE_ARRAY_SIZE) {
        var set = iteratee ? null : createSet(array);
        if (set) {
          return setToArray(set);
        }
        isCommon = false;
        includes = cacheHas;
        seen = new SetCache;
      }
      else {
        seen = iteratee ? [] : result;
      }
      outer:
      while (++index < length) {
        var value = array[index],
            computed = iteratee ? iteratee(value) : value;

        value = (comparator || value !== 0) ? value : 0;
        if (isCommon && computed === computed) {
          var seenIndex = seen.length;
          while (seenIndex--) {
            if (seen[seenIndex] === computed) {
              continue outer;
            }
          }
          if (iteratee) {
            seen.push(computed);
          }
          result.push(value);
        }
        else if (!includes(seen, computed, comparator)) {
          if (seen !== result) {
            seen.push(computed);
          }
          result.push(value);
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.unset`.
     *
     * @private
     * @param {Object} object The object to modify.
     * @param {Array|string} path The property path to unset.
     * @returns {boolean} Returns `true` if the property is deleted, else `false`.
     */
    function baseUnset(object, path) {
      path = castPath(path, object);
      object = parent(object, path);
      return object == null || delete object[toKey(last(path))];
    }

    /**
     * The base implementation of `_.update`.
     *
     * @private
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to update.
     * @param {Function} updater The function to produce the updated value.
     * @param {Function} [customizer] The function to customize path creation.
     * @returns {Object} Returns `object`.
     */
    function baseUpdate(object, path, updater, customizer) {
      return baseSet(object, path, updater(baseGet(object, path)), customizer);
    }

    /**
     * The base implementation of methods like `_.dropWhile` and `_.takeWhile`
     * without support for iteratee shorthands.
     *
     * @private
     * @param {Array} array The array to query.
     * @param {Function} predicate The function invoked per iteration.
     * @param {boolean} [isDrop] Specify dropping elements instead of taking them.
     * @param {boolean} [fromRight] Specify iterating from right to left.
     * @returns {Array} Returns the slice of `array`.
     */
    function baseWhile(array, predicate, isDrop, fromRight) {
      var length = array.length,
          index = fromRight ? length : -1;

      while ((fromRight ? index-- : ++index < length) &&
        predicate(array[index], index, array)) {}

      return isDrop
        ? baseSlice(array, (fromRight ? 0 : index), (fromRight ? index + 1 : length))
        : baseSlice(array, (fromRight ? index + 1 : 0), (fromRight ? length : index));
    }

    /**
     * The base implementation of `wrapperValue` which returns the result of
     * performing a sequence of actions on the unwrapped `value`, where each
     * successive action is supplied the return value of the previous.
     *
     * @private
     * @param {*} value The unwrapped value.
     * @param {Array} actions Actions to perform to resolve the unwrapped value.
     * @returns {*} Returns the resolved value.
     */
    function baseWrapperValue(value, actions) {
      var result = value;
      if (result instanceof LazyWrapper) {
        result = result.value();
      }
      return arrayReduce(actions, function(result, action) {
        return action.func.apply(action.thisArg, arrayPush([result], action.args));
      }, result);
    }

    /**
     * The base implementation of methods like `_.xor`, without support for
     * iteratee shorthands, that accepts an array of arrays to inspect.
     *
     * @private
     * @param {Array} arrays The arrays to inspect.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of values.
     */
    function baseXor(arrays, iteratee, comparator) {
      var length = arrays.length;
      if (length < 2) {
        return length ? baseUniq(arrays[0]) : [];
      }
      var index = -1,
          result = Array(length);

      while (++index < length) {
        var array = arrays[index],
            othIndex = -1;

        while (++othIndex < length) {
          if (othIndex != index) {
            result[index] = baseDifference(result[index] || array, arrays[othIndex], iteratee, comparator);
          }
        }
      }
      return baseUniq(baseFlatten(result, 1), iteratee, comparator);
    }

    /**
     * This base implementation of `_.zipObject` which assigns values using `assignFunc`.
     *
     * @private
     * @param {Array} props The property identifiers.
     * @param {Array} values The property values.
     * @param {Function} assignFunc The function to assign values.
     * @returns {Object} Returns the new object.
     */
    function baseZipObject(props, values, assignFunc) {
      var index = -1,
          length = props.length,
          valsLength = values.length,
          result = {};

      while (++index < length) {
        var value = index < valsLength ? values[index] : undefined;
        assignFunc(result, props[index], value);
      }
      return result;
    }

    /**
     * Casts `value` to an empty array if it's not an array like object.
     *
     * @private
     * @param {*} value The value to inspect.
     * @returns {Array|Object} Returns the cast array-like object.
     */
    function castArrayLikeObject(value) {
      return isArrayLikeObject(value) ? value : [];
    }

    /**
     * Casts `value` to `identity` if it's not a function.
     *
     * @private
     * @param {*} value The value to inspect.
     * @returns {Function} Returns cast function.
     */
    function castFunction(value) {
      return typeof value == 'function' ? value : identity;
    }

    /**
     * Casts `value` to a path array if it's not one.
     *
     * @private
     * @param {*} value The value to inspect.
     * @param {Object} [object] The object to query keys on.
     * @returns {Array} Returns the cast property path array.
     */
    function castPath(value, object) {
      if (isArray(value)) {
        return value;
      }
      return isKey(value, object) ? [value] : stringToPath(toString(value));
    }

    /**
     * A `baseRest` alias which can be replaced with `identity` by module
     * replacement plugins.
     *
     * @private
     * @type {Function}
     * @param {Function} func The function to apply a rest parameter to.
     * @returns {Function} Returns the new function.
     */
    var castRest = baseRest;

    /**
     * Casts `array` to a slice if it's needed.
     *
     * @private
     * @param {Array} array The array to inspect.
     * @param {number} start The start position.
     * @param {number} [end=array.length] The end position.
     * @returns {Array} Returns the cast slice.
     */
    function castSlice(array, start, end) {
      var length = array.length;
      end = end === undefined ? length : end;
      return (!start && end >= length) ? array : baseSlice(array, start, end);
    }

    /**
     * A simple wrapper around the global [`clearTimeout`](https://mdn.io/clearTimeout).
     *
     * @private
     * @param {number|Object} id The timer id or timeout object of the timer to clear.
     */
    var clearTimeout = ctxClearTimeout || function(id) {
      return root.clearTimeout(id);
    };

    /**
     * Creates a clone of  `buffer`.
     *
     * @private
     * @param {Buffer} buffer The buffer to clone.
     * @param {boolean} [isDeep] Specify a deep clone.
     * @returns {Buffer} Returns the cloned buffer.
     */
    function cloneBuffer(buffer, isDeep) {
      if (isDeep) {
        return buffer.slice();
      }
      var length = buffer.length,
          result = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);

      buffer.copy(result);
      return result;
    }

    /**
     * Creates a clone of `arrayBuffer`.
     *
     * @private
     * @param {ArrayBuffer} arrayBuffer The array buffer to clone.
     * @returns {ArrayBuffer} Returns the cloned array buffer.
     */
    function cloneArrayBuffer(arrayBuffer) {
      var result = new arrayBuffer.constructor(arrayBuffer.byteLength);
      new Uint8Array(result).set(new Uint8Array(arrayBuffer));
      return result;
    }

    /**
     * Creates a clone of `dataView`.
     *
     * @private
     * @param {Object} dataView The data view to clone.
     * @param {boolean} [isDeep] Specify a deep clone.
     * @returns {Object} Returns the cloned data view.
     */
    function cloneDataView(dataView, isDeep) {
      var buffer = isDeep ? cloneArrayBuffer(dataView.buffer) : dataView.buffer;
      return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
    }

    /**
     * Creates a clone of `regexp`.
     *
     * @private
     * @param {Object} regexp The regexp to clone.
     * @returns {Object} Returns the cloned regexp.
     */
    function cloneRegExp(regexp) {
      var result = new regexp.constructor(regexp.source, reFlags.exec(regexp));
      result.lastIndex = regexp.lastIndex;
      return result;
    }

    /**
     * Creates a clone of the `symbol` object.
     *
     * @private
     * @param {Object} symbol The symbol object to clone.
     * @returns {Object} Returns the cloned symbol object.
     */
    function cloneSymbol(symbol) {
      return symbolValueOf ? Object(symbolValueOf.call(symbol)) : {};
    }

    /**
     * Creates a clone of `typedArray`.
     *
     * @private
     * @param {Object} typedArray The typed array to clone.
     * @param {boolean} [isDeep] Specify a deep clone.
     * @returns {Object} Returns the cloned typed array.
     */
    function cloneTypedArray(typedArray, isDeep) {
      var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
      return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
    }

    /**
     * Compares values to sort them in ascending order.
     *
     * @private
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {number} Returns the sort order indicator for `value`.
     */
    function compareAscending(value, other) {
      if (value !== other) {
        var valIsDefined = value !== undefined,
            valIsNull = value === null,
            valIsReflexive = value === value,
            valIsSymbol = isSymbol(value);

        var othIsDefined = other !== undefined,
            othIsNull = other === null,
            othIsReflexive = other === other,
            othIsSymbol = isSymbol(other);

        if ((!othIsNull && !othIsSymbol && !valIsSymbol && value > other) ||
            (valIsSymbol && othIsDefined && othIsReflexive && !othIsNull && !othIsSymbol) ||
            (valIsNull && othIsDefined && othIsReflexive) ||
            (!valIsDefined && othIsReflexive) ||
            !valIsReflexive) {
          return 1;
        }
        if ((!valIsNull && !valIsSymbol && !othIsSymbol && value < other) ||
            (othIsSymbol && valIsDefined && valIsReflexive && !valIsNull && !valIsSymbol) ||
            (othIsNull && valIsDefined && valIsReflexive) ||
            (!othIsDefined && valIsReflexive) ||
            !othIsReflexive) {
          return -1;
        }
      }
      return 0;
    }

    /**
     * Used by `_.orderBy` to compare multiple properties of a value to another
     * and stable sort them.
     *
     * If `orders` is unspecified, all values are sorted in ascending order. Otherwise,
     * specify an order of "desc" for descending or "asc" for ascending sort order
     * of corresponding values.
     *
     * @private
     * @param {Object} object The object to compare.
     * @param {Object} other The other object to compare.
     * @param {boolean[]|string[]} orders The order to sort by for each property.
     * @returns {number} Returns the sort order indicator for `object`.
     */
    function compareMultiple(object, other, orders) {
      var index = -1,
          objCriteria = object.criteria,
          othCriteria = other.criteria,
          length = objCriteria.length,
          ordersLength = orders.length;

      while (++index < length) {
        var result = compareAscending(objCriteria[index], othCriteria[index]);
        if (result) {
          if (index >= ordersLength) {
            return result;
          }
          var order = orders[index];
          return result * (order == 'desc' ? -1 : 1);
        }
      }
      // Fixes an `Array#sort` bug in the JS engine embedded in Adobe applications
      // that causes it, under certain circumstances, to provide the same value for
      // `object` and `other`. See https://github.com/jashkenas/underscore/pull/1247
      // for more details.
      //
      // This also ensures a stable sort in V8 and other engines.
      // See https://bugs.chromium.org/p/v8/issues/detail?id=90 for more details.
      return object.index - other.index;
    }

    /**
     * Creates an array that is the composition of partially applied arguments,
     * placeholders, and provided arguments into a single array of arguments.
     *
     * @private
     * @param {Array} args The provided arguments.
     * @param {Array} partials The arguments to prepend to those provided.
     * @param {Array} holders The `partials` placeholder indexes.
     * @params {boolean} [isCurried] Specify composing for a curried function.
     * @returns {Array} Returns the new array of composed arguments.
     */
    function composeArgs(args, partials, holders, isCurried) {
      var argsIndex = -1,
          argsLength = args.length,
          holdersLength = holders.length,
          leftIndex = -1,
          leftLength = partials.length,
          rangeLength = nativeMax(argsLength - holdersLength, 0),
          result = Array(leftLength + rangeLength),
          isUncurried = !isCurried;

      while (++leftIndex < leftLength) {
        result[leftIndex] = partials[leftIndex];
      }
      while (++argsIndex < holdersLength) {
        if (isUncurried || argsIndex < argsLength) {
          result[holders[argsIndex]] = args[argsIndex];
        }
      }
      while (rangeLength--) {
        result[leftIndex++] = args[argsIndex++];
      }
      return result;
    }

    /**
     * This function is like `composeArgs` except that the arguments composition
     * is tailored for `_.partialRight`.
     *
     * @private
     * @param {Array} args The provided arguments.
     * @param {Array} partials The arguments to append to those provided.
     * @param {Array} holders The `partials` placeholder indexes.
     * @params {boolean} [isCurried] Specify composing for a curried function.
     * @returns {Array} Returns the new array of composed arguments.
     */
    function composeArgsRight(args, partials, holders, isCurried) {
      var argsIndex = -1,
          argsLength = args.length,
          holdersIndex = -1,
          holdersLength = holders.length,
          rightIndex = -1,
          rightLength = partials.length,
          rangeLength = nativeMax(argsLength - holdersLength, 0),
          result = Array(rangeLength + rightLength),
          isUncurried = !isCurried;

      while (++argsIndex < rangeLength) {
        result[argsIndex] = args[argsIndex];
      }
      var offset = argsIndex;
      while (++rightIndex < rightLength) {
        result[offset + rightIndex] = partials[rightIndex];
      }
      while (++holdersIndex < holdersLength) {
        if (isUncurried || argsIndex < argsLength) {
          result[offset + holders[holdersIndex]] = args[argsIndex++];
        }
      }
      return result;
    }

    /**
     * Copies the values of `source` to `array`.
     *
     * @private
     * @param {Array} source The array to copy values from.
     * @param {Array} [array=[]] The array to copy values to.
     * @returns {Array} Returns `array`.
     */
    function copyArray(source, array) {
      var index = -1,
          length = source.length;

      array || (array = Array(length));
      while (++index < length) {
        array[index] = source[index];
      }
      return array;
    }

    /**
     * Copies properties of `source` to `object`.
     *
     * @private
     * @param {Object} source The object to copy properties from.
     * @param {Array} props The property identifiers to copy.
     * @param {Object} [object={}] The object to copy properties to.
     * @param {Function} [customizer] The function to customize copied values.
     * @returns {Object} Returns `object`.
     */
    function copyObject(source, props, object, customizer) {
      var isNew = !object;
      object || (object = {});

      var index = -1,
          length = props.length;

      while (++index < length) {
        var key = props[index];

        var newValue = customizer
          ? customizer(object[key], source[key], key, object, source)
          : undefined;

        if (newValue === undefined) {
          newValue = source[key];
        }
        if (isNew) {
          baseAssignValue(object, key, newValue);
        } else {
          assignValue(object, key, newValue);
        }
      }
      return object;
    }

    /**
     * Copies own symbols of `source` to `object`.
     *
     * @private
     * @param {Object} source The object to copy symbols from.
     * @param {Object} [object={}] The object to copy symbols to.
     * @returns {Object} Returns `object`.
     */
    function copySymbols(source, object) {
      return copyObject(source, getSymbols(source), object);
    }

    /**
     * Copies own and inherited symbols of `source` to `object`.
     *
     * @private
     * @param {Object} source The object to copy symbols from.
     * @param {Object} [object={}] The object to copy symbols to.
     * @returns {Object} Returns `object`.
     */
    function copySymbolsIn(source, object) {
      return copyObject(source, getSymbolsIn(source), object);
    }

    /**
     * Creates a function like `_.groupBy`.
     *
     * @private
     * @param {Function} setter The function to set accumulator values.
     * @param {Function} [initializer] The accumulator object initializer.
     * @returns {Function} Returns the new aggregator function.
     */
    function createAggregator(setter, initializer) {
      return function(collection, iteratee) {
        var func = isArray(collection) ? arrayAggregator : baseAggregator,
            accumulator = initializer ? initializer() : {};

        return func(collection, setter, getIteratee(iteratee, 2), accumulator);
      };
    }

    /**
     * Creates a function like `_.assign`.
     *
     * @private
     * @param {Function} assigner The function to assign values.
     * @returns {Function} Returns the new assigner function.
     */
    function createAssigner(assigner) {
      return baseRest(function(object, sources) {
        var index = -1,
            length = sources.length,
            customizer = length > 1 ? sources[length - 1] : undefined,
            guard = length > 2 ? sources[2] : undefined;

        customizer = (assigner.length > 3 && typeof customizer == 'function')
          ? (length--, customizer)
          : undefined;

        if (guard && isIterateeCall(sources[0], sources[1], guard)) {
          customizer = length < 3 ? undefined : customizer;
          length = 1;
        }
        object = Object(object);
        while (++index < length) {
          var source = sources[index];
          if (source) {
            assigner(object, source, index, customizer);
          }
        }
        return object;
      });
    }

    /**
     * Creates a `baseEach` or `baseEachRight` function.
     *
     * @private
     * @param {Function} eachFunc The function to iterate over a collection.
     * @param {boolean} [fromRight] Specify iterating from right to left.
     * @returns {Function} Returns the new base function.
     */
    function createBaseEach(eachFunc, fromRight) {
      return function(collection, iteratee) {
        if (collection == null) {
          return collection;
        }
        if (!isArrayLike(collection)) {
          return eachFunc(collection, iteratee);
        }
        var length = collection.length,
            index = fromRight ? length : -1,
            iterable = Object(collection);

        while ((fromRight ? index-- : ++index < length)) {
          if (iteratee(iterable[index], index, iterable) === false) {
            break;
          }
        }
        return collection;
      };
    }

    /**
     * Creates a base function for methods like `_.forIn` and `_.forOwn`.
     *
     * @private
     * @param {boolean} [fromRight] Specify iterating from right to left.
     * @returns {Function} Returns the new base function.
     */
    function createBaseFor(fromRight) {
      return function(object, iteratee, keysFunc) {
        var index = -1,
            iterable = Object(object),
            props = keysFunc(object),
            length = props.length;

        while (length--) {
          var key = props[fromRight ? length : ++index];
          if (iteratee(iterable[key], key, iterable) === false) {
            break;
          }
        }
        return object;
      };
    }

    /**
     * Creates a function that wraps `func` to invoke it with the optional `this`
     * binding of `thisArg`.
     *
     * @private
     * @param {Function} func The function to wrap.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @param {*} [thisArg] The `this` binding of `func`.
     * @returns {Function} Returns the new wrapped function.
     */
    function createBind(func, bitmask, thisArg) {
      var isBind = bitmask & WRAP_BIND_FLAG,
          Ctor = createCtor(func);

      function wrapper() {
        var fn = (this && this !== root && this instanceof wrapper) ? Ctor : func;
        return fn.apply(isBind ? thisArg : this, arguments);
      }
      return wrapper;
    }

    /**
     * Creates a function like `_.lowerFirst`.
     *
     * @private
     * @param {string} methodName The name of the `String` case method to use.
     * @returns {Function} Returns the new case function.
     */
    function createCaseFirst(methodName) {
      return function(string) {
        string = toString(string);

        var strSymbols = hasUnicode(string)
          ? stringToArray(string)
          : undefined;

        var chr = strSymbols
          ? strSymbols[0]
          : string.charAt(0);

        var trailing = strSymbols
          ? castSlice(strSymbols, 1).join('')
          : string.slice(1);

        return chr[methodName]() + trailing;
      };
    }

    /**
     * Creates a function like `_.camelCase`.
     *
     * @private
     * @param {Function} callback The function to combine each word.
     * @returns {Function} Returns the new compounder function.
     */
    function createCompounder(callback) {
      return function(string) {
        return arrayReduce(words(deburr(string).replace(reApos, '')), callback, '');
      };
    }

    /**
     * Creates a function that produces an instance of `Ctor` regardless of
     * whether it was invoked as part of a `new` expression or by `call` or `apply`.
     *
     * @private
     * @param {Function} Ctor The constructor to wrap.
     * @returns {Function} Returns the new wrapped function.
     */
    function createCtor(Ctor) {
      return function() {
        // Use a `switch` statement to work with class constructors. See
        // http://ecma-international.org/ecma-262/7.0/#sec-ecmascript-function-objects-call-thisargument-argumentslist
        // for more details.
        var args = arguments;
        switch (args.length) {
          case 0: return new Ctor;
          case 1: return new Ctor(args[0]);
          case 2: return new Ctor(args[0], args[1]);
          case 3: return new Ctor(args[0], args[1], args[2]);
          case 4: return new Ctor(args[0], args[1], args[2], args[3]);
          case 5: return new Ctor(args[0], args[1], args[2], args[3], args[4]);
          case 6: return new Ctor(args[0], args[1], args[2], args[3], args[4], args[5]);
          case 7: return new Ctor(args[0], args[1], args[2], args[3], args[4], args[5], args[6]);
        }
        var thisBinding = baseCreate(Ctor.prototype),
            result = Ctor.apply(thisBinding, args);

        // Mimic the constructor's `return` behavior.
        // See https://es5.github.io/#x13.2.2 for more details.
        return isObject(result) ? result : thisBinding;
      };
    }

    /**
     * Creates a function that wraps `func` to enable currying.
     *
     * @private
     * @param {Function} func The function to wrap.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @param {number} arity The arity of `func`.
     * @returns {Function} Returns the new wrapped function.
     */
    function createCurry(func, bitmask, arity) {
      var Ctor = createCtor(func);

      function wrapper() {
        var length = arguments.length,
            args = Array(length),
            index = length,
            placeholder = getHolder(wrapper);

        while (index--) {
          args[index] = arguments[index];
        }
        var holders = (length < 3 && args[0] !== placeholder && args[length - 1] !== placeholder)
          ? []
          : replaceHolders(args, placeholder);

        length -= holders.length;
        if (length < arity) {
          return createRecurry(
            func, bitmask, createHybrid, wrapper.placeholder, undefined,
            args, holders, undefined, undefined, arity - length);
        }
        var fn = (this && this !== root && this instanceof wrapper) ? Ctor : func;
        return apply(fn, this, args);
      }
      return wrapper;
    }

    /**
     * Creates a `_.find` or `_.findLast` function.
     *
     * @private
     * @param {Function} findIndexFunc The function to find the collection index.
     * @returns {Function} Returns the new find function.
     */
    function createFind(findIndexFunc) {
      return function(collection, predicate, fromIndex) {
        var iterable = Object(collection);
        if (!isArrayLike(collection)) {
          var iteratee = getIteratee(predicate, 3);
          collection = keys(collection);
          predicate = function(key) { return iteratee(iterable[key], key, iterable); };
        }
        var index = findIndexFunc(collection, predicate, fromIndex);
        return index > -1 ? iterable[iteratee ? collection[index] : index] : undefined;
      };
    }

    /**
     * Creates a `_.flow` or `_.flowRight` function.
     *
     * @private
     * @param {boolean} [fromRight] Specify iterating from right to left.
     * @returns {Function} Returns the new flow function.
     */
    function createFlow(fromRight) {
      return flatRest(function(funcs) {
        var length = funcs.length,
            index = length,
            prereq = LodashWrapper.prototype.thru;

        if (fromRight) {
          funcs.reverse();
        }
        while (index--) {
          var func = funcs[index];
          if (typeof func != 'function') {
            throw new TypeError(FUNC_ERROR_TEXT);
          }
          if (prereq && !wrapper && getFuncName(func) == 'wrapper') {
            var wrapper = new LodashWrapper([], true);
          }
        }
        index = wrapper ? index : length;
        while (++index < length) {
          func = funcs[index];

          var funcName = getFuncName(func),
              data = funcName == 'wrapper' ? getData(func) : undefined;

          if (data && isLaziable(data[0]) &&
                data[1] == (WRAP_ARY_FLAG | WRAP_CURRY_FLAG | WRAP_PARTIAL_FLAG | WRAP_REARG_FLAG) &&
                !data[4].length && data[9] == 1
              ) {
            wrapper = wrapper[getFuncName(data[0])].apply(wrapper, data[3]);
          } else {
            wrapper = (func.length == 1 && isLaziable(func))
              ? wrapper[funcName]()
              : wrapper.thru(func);
          }
        }
        return function() {
          var args = arguments,
              value = args[0];

          if (wrapper && args.length == 1 && isArray(value)) {
            return wrapper.plant(value).value();
          }
          var index = 0,
              result = length ? funcs[index].apply(this, args) : value;

          while (++index < length) {
            result = funcs[index].call(this, result);
          }
          return result;
        };
      });
    }

    /**
     * Creates a function that wraps `func` to invoke it with optional `this`
     * binding of `thisArg`, partial application, and currying.
     *
     * @private
     * @param {Function|string} func The function or method name to wrap.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @param {*} [thisArg] The `this` binding of `func`.
     * @param {Array} [partials] The arguments to prepend to those provided to
     *  the new function.
     * @param {Array} [holders] The `partials` placeholder indexes.
     * @param {Array} [partialsRight] The arguments to append to those provided
     *  to the new function.
     * @param {Array} [holdersRight] The `partialsRight` placeholder indexes.
     * @param {Array} [argPos] The argument positions of the new function.
     * @param {number} [ary] The arity cap of `func`.
     * @param {number} [arity] The arity of `func`.
     * @returns {Function} Returns the new wrapped function.
     */
    function createHybrid(func, bitmask, thisArg, partials, holders, partialsRight, holdersRight, argPos, ary, arity) {
      var isAry = bitmask & WRAP_ARY_FLAG,
          isBind = bitmask & WRAP_BIND_FLAG,
          isBindKey = bitmask & WRAP_BIND_KEY_FLAG,
          isCurried = bitmask & (WRAP_CURRY_FLAG | WRAP_CURRY_RIGHT_FLAG),
          isFlip = bitmask & WRAP_FLIP_FLAG,
          Ctor = isBindKey ? undefined : createCtor(func);

      function wrapper() {
        var length = arguments.length,
            args = Array(length),
            index = length;

        while (index--) {
          args[index] = arguments[index];
        }
        if (isCurried) {
          var placeholder = getHolder(wrapper),
              holdersCount = countHolders(args, placeholder);
        }
        if (partials) {
          args = composeArgs(args, partials, holders, isCurried);
        }
        if (partialsRight) {
          args = composeArgsRight(args, partialsRight, holdersRight, isCurried);
        }
        length -= holdersCount;
        if (isCurried && length < arity) {
          var newHolders = replaceHolders(args, placeholder);
          return createRecurry(
            func, bitmask, createHybrid, wrapper.placeholder, thisArg,
            args, newHolders, argPos, ary, arity - length
          );
        }
        var thisBinding = isBind ? thisArg : this,
            fn = isBindKey ? thisBinding[func] : func;

        length = args.length;
        if (argPos) {
          args = reorder(args, argPos);
        } else if (isFlip && length > 1) {
          args.reverse();
        }
        if (isAry && ary < length) {
          args.length = ary;
        }
        if (this && this !== root && this instanceof wrapper) {
          fn = Ctor || createCtor(fn);
        }
        return fn.apply(thisBinding, args);
      }
      return wrapper;
    }

    /**
     * Creates a function like `_.invertBy`.
     *
     * @private
     * @param {Function} setter The function to set accumulator values.
     * @param {Function} toIteratee The function to resolve iteratees.
     * @returns {Function} Returns the new inverter function.
     */
    function createInverter(setter, toIteratee) {
      return function(object, iteratee) {
        return baseInverter(object, setter, toIteratee(iteratee), {});
      };
    }

    /**
     * Creates a function that performs a mathematical operation on two values.
     *
     * @private
     * @param {Function} operator The function to perform the operation.
     * @param {number} [defaultValue] The value used for `undefined` arguments.
     * @returns {Function} Returns the new mathematical operation function.
     */
    function createMathOperation(operator, defaultValue) {
      return function(value, other) {
        var result;
        if (value === undefined && other === undefined) {
          return defaultValue;
        }
        if (value !== undefined) {
          result = value;
        }
        if (other !== undefined) {
          if (result === undefined) {
            return other;
          }
          if (typeof value == 'string' || typeof other == 'string') {
            value = baseToString(value);
            other = baseToString(other);
          } else {
            value = baseToNumber(value);
            other = baseToNumber(other);
          }
          result = operator(value, other);
        }
        return result;
      };
    }

    /**
     * Creates a function like `_.over`.
     *
     * @private
     * @param {Function} arrayFunc The function to iterate over iteratees.
     * @returns {Function} Returns the new over function.
     */
    function createOver(arrayFunc) {
      return flatRest(function(iteratees) {
        iteratees = arrayMap(iteratees, baseUnary(getIteratee()));
        return baseRest(function(args) {
          var thisArg = this;
          return arrayFunc(iteratees, function(iteratee) {
            return apply(iteratee, thisArg, args);
          });
        });
      });
    }

    /**
     * Creates the padding for `string` based on `length`. The `chars` string
     * is truncated if the number of characters exceeds `length`.
     *
     * @private
     * @param {number} length The padding length.
     * @param {string} [chars=' '] The string used as padding.
     * @returns {string} Returns the padding for `string`.
     */
    function createPadding(length, chars) {
      chars = chars === undefined ? ' ' : baseToString(chars);

      var charsLength = chars.length;
      if (charsLength < 2) {
        return charsLength ? baseRepeat(chars, length) : chars;
      }
      var result = baseRepeat(chars, nativeCeil(length / stringSize(chars)));
      return hasUnicode(chars)
        ? castSlice(stringToArray(result), 0, length).join('')
        : result.slice(0, length);
    }

    /**
     * Creates a function that wraps `func` to invoke it with the `this` binding
     * of `thisArg` and `partials` prepended to the arguments it receives.
     *
     * @private
     * @param {Function} func The function to wrap.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @param {*} thisArg The `this` binding of `func`.
     * @param {Array} partials The arguments to prepend to those provided to
     *  the new function.
     * @returns {Function} Returns the new wrapped function.
     */
    function createPartial(func, bitmask, thisArg, partials) {
      var isBind = bitmask & WRAP_BIND_FLAG,
          Ctor = createCtor(func);

      function wrapper() {
        var argsIndex = -1,
            argsLength = arguments.length,
            leftIndex = -1,
            leftLength = partials.length,
            args = Array(leftLength + argsLength),
            fn = (this && this !== root && this instanceof wrapper) ? Ctor : func;

        while (++leftIndex < leftLength) {
          args[leftIndex] = partials[leftIndex];
        }
        while (argsLength--) {
          args[leftIndex++] = arguments[++argsIndex];
        }
        return apply(fn, isBind ? thisArg : this, args);
      }
      return wrapper;
    }

    /**
     * Creates a `_.range` or `_.rangeRight` function.
     *
     * @private
     * @param {boolean} [fromRight] Specify iterating from right to left.
     * @returns {Function} Returns the new range function.
     */
    function createRange(fromRight) {
      return function(start, end, step) {
        if (step && typeof step != 'number' && isIterateeCall(start, end, step)) {
          end = step = undefined;
        }
        // Ensure the sign of `-0` is preserved.
        start = toFinite(start);
        if (end === undefined) {
          end = start;
          start = 0;
        } else {
          end = toFinite(end);
        }
        step = step === undefined ? (start < end ? 1 : -1) : toFinite(step);
        return baseRange(start, end, step, fromRight);
      };
    }

    /**
     * Creates a function that performs a relational operation on two values.
     *
     * @private
     * @param {Function} operator The function to perform the operation.
     * @returns {Function} Returns the new relational operation function.
     */
    function createRelationalOperation(operator) {
      return function(value, other) {
        if (!(typeof value == 'string' && typeof other == 'string')) {
          value = toNumber(value);
          other = toNumber(other);
        }
        return operator(value, other);
      };
    }

    /**
     * Creates a function that wraps `func` to continue currying.
     *
     * @private
     * @param {Function} func The function to wrap.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @param {Function} wrapFunc The function to create the `func` wrapper.
     * @param {*} placeholder The placeholder value.
     * @param {*} [thisArg] The `this` binding of `func`.
     * @param {Array} [partials] The arguments to prepend to those provided to
     *  the new function.
     * @param {Array} [holders] The `partials` placeholder indexes.
     * @param {Array} [argPos] The argument positions of the new function.
     * @param {number} [ary] The arity cap of `func`.
     * @param {number} [arity] The arity of `func`.
     * @returns {Function} Returns the new wrapped function.
     */
    function createRecurry(func, bitmask, wrapFunc, placeholder, thisArg, partials, holders, argPos, ary, arity) {
      var isCurry = bitmask & WRAP_CURRY_FLAG,
          newHolders = isCurry ? holders : undefined,
          newHoldersRight = isCurry ? undefined : holders,
          newPartials = isCurry ? partials : undefined,
          newPartialsRight = isCurry ? undefined : partials;

      bitmask |= (isCurry ? WRAP_PARTIAL_FLAG : WRAP_PARTIAL_RIGHT_FLAG);
      bitmask &= ~(isCurry ? WRAP_PARTIAL_RIGHT_FLAG : WRAP_PARTIAL_FLAG);

      if (!(bitmask & WRAP_CURRY_BOUND_FLAG)) {
        bitmask &= ~(WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG);
      }
      var newData = [
        func, bitmask, thisArg, newPartials, newHolders, newPartialsRight,
        newHoldersRight, argPos, ary, arity
      ];

      var result = wrapFunc.apply(undefined, newData);
      if (isLaziable(func)) {
        setData(result, newData);
      }
      result.placeholder = placeholder;
      return setWrapToString(result, func, bitmask);
    }

    /**
     * Creates a function like `_.round`.
     *
     * @private
     * @param {string} methodName The name of the `Math` method to use when rounding.
     * @returns {Function} Returns the new round function.
     */
    function createRound(methodName) {
      var func = Math[methodName];
      return function(number, precision) {
        number = toNumber(number);
        precision = precision == null ? 0 : nativeMin(toInteger(precision), 292);
        if (precision && nativeIsFinite(number)) {
          // Shift with exponential notation to avoid floating-point issues.
          // See [MDN](https://mdn.io/round#Examples) for more details.
          var pair = (toString(number) + 'e').split('e'),
              value = func(pair[0] + 'e' + (+pair[1] + precision));

          pair = (toString(value) + 'e').split('e');
          return +(pair[0] + 'e' + (+pair[1] - precision));
        }
        return func(number);
      };
    }

    /**
     * Creates a set object of `values`.
     *
     * @private
     * @param {Array} values The values to add to the set.
     * @returns {Object} Returns the new set.
     */
    var createSet = !(Set && (1 / setToArray(new Set([,-0]))[1]) == INFINITY) ? noop : function(values) {
      return new Set(values);
    };

    /**
     * Creates a `_.toPairs` or `_.toPairsIn` function.
     *
     * @private
     * @param {Function} keysFunc The function to get the keys of a given object.
     * @returns {Function} Returns the new pairs function.
     */
    function createToPairs(keysFunc) {
      return function(object) {
        var tag = getTag(object);
        if (tag == mapTag) {
          return mapToArray(object);
        }
        if (tag == setTag) {
          return setToPairs(object);
        }
        return baseToPairs(object, keysFunc(object));
      };
    }

    /**
     * Creates a function that either curries or invokes `func` with optional
     * `this` binding and partially applied arguments.
     *
     * @private
     * @param {Function|string} func The function or method name to wrap.
     * @param {number} bitmask The bitmask flags.
     *    1 - `_.bind`
     *    2 - `_.bindKey`
     *    4 - `_.curry` or `_.curryRight` of a bound function
     *    8 - `_.curry`
     *   16 - `_.curryRight`
     *   32 - `_.partial`
     *   64 - `_.partialRight`
     *  128 - `_.rearg`
     *  256 - `_.ary`
     *  512 - `_.flip`
     * @param {*} [thisArg] The `this` binding of `func`.
     * @param {Array} [partials] The arguments to be partially applied.
     * @param {Array} [holders] The `partials` placeholder indexes.
     * @param {Array} [argPos] The argument positions of the new function.
     * @param {number} [ary] The arity cap of `func`.
     * @param {number} [arity] The arity of `func`.
     * @returns {Function} Returns the new wrapped function.
     */
    function createWrap(func, bitmask, thisArg, partials, holders, argPos, ary, arity) {
      var isBindKey = bitmask & WRAP_BIND_KEY_FLAG;
      if (!isBindKey && typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      var length = partials ? partials.length : 0;
      if (!length) {
        bitmask &= ~(WRAP_PARTIAL_FLAG | WRAP_PARTIAL_RIGHT_FLAG);
        partials = holders = undefined;
      }
      ary = ary === undefined ? ary : nativeMax(toInteger(ary), 0);
      arity = arity === undefined ? arity : toInteger(arity);
      length -= holders ? holders.length : 0;

      if (bitmask & WRAP_PARTIAL_RIGHT_FLAG) {
        var partialsRight = partials,
            holdersRight = holders;

        partials = holders = undefined;
      }
      var data = isBindKey ? undefined : getData(func);

      var newData = [
        func, bitmask, thisArg, partials, holders, partialsRight, holdersRight,
        argPos, ary, arity
      ];

      if (data) {
        mergeData(newData, data);
      }
      func = newData[0];
      bitmask = newData[1];
      thisArg = newData[2];
      partials = newData[3];
      holders = newData[4];
      arity = newData[9] = newData[9] === undefined
        ? (isBindKey ? 0 : func.length)
        : nativeMax(newData[9] - length, 0);

      if (!arity && bitmask & (WRAP_CURRY_FLAG | WRAP_CURRY_RIGHT_FLAG)) {
        bitmask &= ~(WRAP_CURRY_FLAG | WRAP_CURRY_RIGHT_FLAG);
      }
      if (!bitmask || bitmask == WRAP_BIND_FLAG) {
        var result = createBind(func, bitmask, thisArg);
      } else if (bitmask == WRAP_CURRY_FLAG || bitmask == WRAP_CURRY_RIGHT_FLAG) {
        result = createCurry(func, bitmask, arity);
      } else if ((bitmask == WRAP_PARTIAL_FLAG || bitmask == (WRAP_BIND_FLAG | WRAP_PARTIAL_FLAG)) && !holders.length) {
        result = createPartial(func, bitmask, thisArg, partials);
      } else {
        result = createHybrid.apply(undefined, newData);
      }
      var setter = data ? baseSetData : setData;
      return setWrapToString(setter(result, newData), func, bitmask);
    }

    /**
     * Used by `_.defaults` to customize its `_.assignIn` use to assign properties
     * of source objects to the destination object for all destination properties
     * that resolve to `undefined`.
     *
     * @private
     * @param {*} objValue The destination value.
     * @param {*} srcValue The source value.
     * @param {string} key The key of the property to assign.
     * @param {Object} object The parent object of `objValue`.
     * @returns {*} Returns the value to assign.
     */
    function customDefaultsAssignIn(objValue, srcValue, key, object) {
      if (objValue === undefined ||
          (eq(objValue, objectProto[key]) && !hasOwnProperty.call(object, key))) {
        return srcValue;
      }
      return objValue;
    }

    /**
     * Used by `_.defaultsDeep` to customize its `_.merge` use to merge source
     * objects into destination objects that are passed thru.
     *
     * @private
     * @param {*} objValue The destination value.
     * @param {*} srcValue The source value.
     * @param {string} key The key of the property to merge.
     * @param {Object} object The parent object of `objValue`.
     * @param {Object} source The parent object of `srcValue`.
     * @param {Object} [stack] Tracks traversed source values and their merged
     *  counterparts.
     * @returns {*} Returns the value to assign.
     */
    function customDefaultsMerge(objValue, srcValue, key, object, source, stack) {
      if (isObject(objValue) && isObject(srcValue)) {
        // Recursively merge objects and arrays (susceptible to call stack limits).
        stack.set(srcValue, objValue);
        baseMerge(objValue, srcValue, undefined, customDefaultsMerge, stack);
        stack['delete'](srcValue);
      }
      return objValue;
    }

    /**
     * Used by `_.omit` to customize its `_.cloneDeep` use to only clone plain
     * objects.
     *
     * @private
     * @param {*} value The value to inspect.
     * @param {string} key The key of the property to inspect.
     * @returns {*} Returns the uncloned value or `undefined` to defer cloning to `_.cloneDeep`.
     */
    function customOmitClone(value) {
      return isPlainObject(value) ? undefined : value;
    }

    /**
     * A specialized version of `baseIsEqualDeep` for arrays with support for
     * partial deep comparisons.
     *
     * @private
     * @param {Array} array The array to compare.
     * @param {Array} other The other array to compare.
     * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
     * @param {Function} customizer The function to customize comparisons.
     * @param {Function} equalFunc The function to determine equivalents of values.
     * @param {Object} stack Tracks traversed `array` and `other` objects.
     * @returns {boolean} Returns `true` if the arrays are equivalent, else `false`.
     */
    function equalArrays(array, other, bitmask, customizer, equalFunc, stack) {
      var isPartial = bitmask & COMPARE_PARTIAL_FLAG,
          arrLength = array.length,
          othLength = other.length;

      if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
        return false;
      }
      // Check that cyclic values are equal.
      var arrStacked = stack.get(array);
      var othStacked = stack.get(other);
      if (arrStacked && othStacked) {
        return arrStacked == other && othStacked == array;
      }
      var index = -1,
          result = true,
          seen = (bitmask & COMPARE_UNORDERED_FLAG) ? new SetCache : undefined;

      stack.set(array, other);
      stack.set(other, array);

      // Ignore non-index properties.
      while (++index < arrLength) {
        var arrValue = array[index],
            othValue = other[index];

        if (customizer) {
          var compared = isPartial
            ? customizer(othValue, arrValue, index, other, array, stack)
            : customizer(arrValue, othValue, index, array, other, stack);
        }
        if (compared !== undefined) {
          if (compared) {
            continue;
          }
          result = false;
          break;
        }
        // Recursively compare arrays (susceptible to call stack limits).
        if (seen) {
          if (!arraySome(other, function(othValue, othIndex) {
                if (!cacheHas(seen, othIndex) &&
                    (arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
                  return seen.push(othIndex);
                }
              })) {
            result = false;
            break;
          }
        } else if (!(
              arrValue === othValue ||
                equalFunc(arrValue, othValue, bitmask, customizer, stack)
            )) {
          result = false;
          break;
        }
      }
      stack['delete'](array);
      stack['delete'](other);
      return result;
    }

    /**
     * A specialized version of `baseIsEqualDeep` for comparing objects of
     * the same `toStringTag`.
     *
     * **Note:** This function only supports comparing values with tags of
     * `Boolean`, `Date`, `Error`, `Number`, `RegExp`, or `String`.
     *
     * @private
     * @param {Object} object The object to compare.
     * @param {Object} other The other object to compare.
     * @param {string} tag The `toStringTag` of the objects to compare.
     * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
     * @param {Function} customizer The function to customize comparisons.
     * @param {Function} equalFunc The function to determine equivalents of values.
     * @param {Object} stack Tracks traversed `object` and `other` objects.
     * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
     */
    function equalByTag(object, other, tag, bitmask, customizer, equalFunc, stack) {
      switch (tag) {
        case dataViewTag:
          if ((object.byteLength != other.byteLength) ||
              (object.byteOffset != other.byteOffset)) {
            return false;
          }
          object = object.buffer;
          other = other.buffer;

        case arrayBufferTag:
          if ((object.byteLength != other.byteLength) ||
              !equalFunc(new Uint8Array(object), new Uint8Array(other))) {
            return false;
          }
          return true;

        case boolTag:
        case dateTag:
        case numberTag:
          // Coerce booleans to `1` or `0` and dates to milliseconds.
          // Invalid dates are coerced to `NaN`.
          return eq(+object, +other);

        case errorTag:
          return object.name == other.name && object.message == other.message;

        case regexpTag:
        case stringTag:
          // Coerce regexes to strings and treat strings, primitives and objects,
          // as equal. See http://www.ecma-international.org/ecma-262/7.0/#sec-regexp.prototype.tostring
          // for more details.
          return object == (other + '');

        case mapTag:
          var convert = mapToArray;

        case setTag:
          var isPartial = bitmask & COMPARE_PARTIAL_FLAG;
          convert || (convert = setToArray);

          if (object.size != other.size && !isPartial) {
            return false;
          }
          // Assume cyclic values are equal.
          var stacked = stack.get(object);
          if (stacked) {
            return stacked == other;
          }
          bitmask |= COMPARE_UNORDERED_FLAG;

          // Recursively compare objects (susceptible to call stack limits).
          stack.set(object, other);
          var result = equalArrays(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
          stack['delete'](object);
          return result;

        case symbolTag:
          if (symbolValueOf) {
            return symbolValueOf.call(object) == symbolValueOf.call(other);
          }
      }
      return false;
    }

    /**
     * A specialized version of `baseIsEqualDeep` for objects with support for
     * partial deep comparisons.
     *
     * @private
     * @param {Object} object The object to compare.
     * @param {Object} other The other object to compare.
     * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
     * @param {Function} customizer The function to customize comparisons.
     * @param {Function} equalFunc The function to determine equivalents of values.
     * @param {Object} stack Tracks traversed `object` and `other` objects.
     * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
     */
    function equalObjects(object, other, bitmask, customizer, equalFunc, stack) {
      var isPartial = bitmask & COMPARE_PARTIAL_FLAG,
          objProps = getAllKeys(object),
          objLength = objProps.length,
          othProps = getAllKeys(other),
          othLength = othProps.length;

      if (objLength != othLength && !isPartial) {
        return false;
      }
      var index = objLength;
      while (index--) {
        var key = objProps[index];
        if (!(isPartial ? key in other : hasOwnProperty.call(other, key))) {
          return false;
        }
      }
      // Check that cyclic values are equal.
      var objStacked = stack.get(object);
      var othStacked = stack.get(other);
      if (objStacked && othStacked) {
        return objStacked == other && othStacked == object;
      }
      var result = true;
      stack.set(object, other);
      stack.set(other, object);

      var skipCtor = isPartial;
      while (++index < objLength) {
        key = objProps[index];
        var objValue = object[key],
            othValue = other[key];

        if (customizer) {
          var compared = isPartial
            ? customizer(othValue, objValue, key, other, object, stack)
            : customizer(objValue, othValue, key, object, other, stack);
        }
        // Recursively compare objects (susceptible to call stack limits).
        if (!(compared === undefined
              ? (objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack))
              : compared
            )) {
          result = false;
          break;
        }
        skipCtor || (skipCtor = key == 'constructor');
      }
      if (result && !skipCtor) {
        var objCtor = object.constructor,
            othCtor = other.constructor;

        // Non `Object` object instances with different constructors are not equal.
        if (objCtor != othCtor &&
            ('constructor' in object && 'constructor' in other) &&
            !(typeof objCtor == 'function' && objCtor instanceof objCtor &&
              typeof othCtor == 'function' && othCtor instanceof othCtor)) {
          result = false;
        }
      }
      stack['delete'](object);
      stack['delete'](other);
      return result;
    }

    /**
     * A specialized version of `baseRest` which flattens the rest array.
     *
     * @private
     * @param {Function} func The function to apply a rest parameter to.
     * @returns {Function} Returns the new function.
     */
    function flatRest(func) {
      return setToString(overRest(func, undefined, flatten), func + '');
    }

    /**
     * Creates an array of own enumerable property names and symbols of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names and symbols.
     */
    function getAllKeys(object) {
      return baseGetAllKeys(object, keys, getSymbols);
    }

    /**
     * Creates an array of own and inherited enumerable property names and
     * symbols of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names and symbols.
     */
    function getAllKeysIn(object) {
      return baseGetAllKeys(object, keysIn, getSymbolsIn);
    }

    /**
     * Gets metadata for `func`.
     *
     * @private
     * @param {Function} func The function to query.
     * @returns {*} Returns the metadata for `func`.
     */
    var getData = !metaMap ? noop : function(func) {
      return metaMap.get(func);
    };

    /**
     * Gets the name of `func`.
     *
     * @private
     * @param {Function} func The function to query.
     * @returns {string} Returns the function name.
     */
    function getFuncName(func) {
      var result = (func.name + ''),
          array = realNames[result],
          length = hasOwnProperty.call(realNames, result) ? array.length : 0;

      while (length--) {
        var data = array[length],
            otherFunc = data.func;
        if (otherFunc == null || otherFunc == func) {
          return data.name;
        }
      }
      return result;
    }

    /**
     * Gets the argument placeholder value for `func`.
     *
     * @private
     * @param {Function} func The function to inspect.
     * @returns {*} Returns the placeholder value.
     */
    function getHolder(func) {
      var object = hasOwnProperty.call(lodash, 'placeholder') ? lodash : func;
      return object.placeholder;
    }

    /**
     * Gets the appropriate "iteratee" function. If `_.iteratee` is customized,
     * this function returns the custom method, otherwise it returns `baseIteratee`.
     * If arguments are provided, the chosen function is invoked with them and
     * its result is returned.
     *
     * @private
     * @param {*} [value] The value to convert to an iteratee.
     * @param {number} [arity] The arity of the created iteratee.
     * @returns {Function} Returns the chosen function or its result.
     */
    function getIteratee() {
      var result = lodash.iteratee || iteratee;
      result = result === iteratee ? baseIteratee : result;
      return arguments.length ? result(arguments[0], arguments[1]) : result;
    }

    /**
     * Gets the data for `map`.
     *
     * @private
     * @param {Object} map The map to query.
     * @param {string} key The reference key.
     * @returns {*} Returns the map data.
     */
    function getMapData(map, key) {
      var data = map.__data__;
      return isKeyable(key)
        ? data[typeof key == 'string' ? 'string' : 'hash']
        : data.map;
    }

    /**
     * Gets the property names, values, and compare flags of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the match data of `object`.
     */
    function getMatchData(object) {
      var result = keys(object),
          length = result.length;

      while (length--) {
        var key = result[length],
            value = object[key];

        result[length] = [key, value, isStrictComparable(value)];
      }
      return result;
    }

    /**
     * Gets the native function at `key` of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @param {string} key The key of the method to get.
     * @returns {*} Returns the function if it's native, else `undefined`.
     */
    function getNative(object, key) {
      var value = getValue(object, key);
      return baseIsNative(value) ? value : undefined;
    }

    /**
     * A specialized version of `baseGetTag` which ignores `Symbol.toStringTag` values.
     *
     * @private
     * @param {*} value The value to query.
     * @returns {string} Returns the raw `toStringTag`.
     */
    function getRawTag(value) {
      var isOwn = hasOwnProperty.call(value, symToStringTag),
          tag = value[symToStringTag];

      try {
        value[symToStringTag] = undefined;
        var unmasked = true;
      } catch (e) {}

      var result = nativeObjectToString.call(value);
      if (unmasked) {
        if (isOwn) {
          value[symToStringTag] = tag;
        } else {
          delete value[symToStringTag];
        }
      }
      return result;
    }

    /**
     * Creates an array of the own enumerable symbols of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of symbols.
     */
    var getSymbols = !nativeGetSymbols ? stubArray : function(object) {
      if (object == null) {
        return [];
      }
      object = Object(object);
      return arrayFilter(nativeGetSymbols(object), function(symbol) {
        return propertyIsEnumerable.call(object, symbol);
      });
    };

    /**
     * Creates an array of the own and inherited enumerable symbols of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of symbols.
     */
    var getSymbolsIn = !nativeGetSymbols ? stubArray : function(object) {
      var result = [];
      while (object) {
        arrayPush(result, getSymbols(object));
        object = getPrototype(object);
      }
      return result;
    };

    /**
     * Gets the `toStringTag` of `value`.
     *
     * @private
     * @param {*} value The value to query.
     * @returns {string} Returns the `toStringTag`.
     */
    var getTag = baseGetTag;

    // Fallback for data views, maps, sets, and weak maps in IE 11 and promises in Node.js < 6.
    if ((DataView && getTag(new DataView(new ArrayBuffer(1))) != dataViewTag) ||
        (Map && getTag(new Map) != mapTag) ||
        (Promise && getTag(Promise.resolve()) != promiseTag) ||
        (Set && getTag(new Set) != setTag) ||
        (WeakMap && getTag(new WeakMap) != weakMapTag)) {
      getTag = function(value) {
        var result = baseGetTag(value),
            Ctor = result == objectTag ? value.constructor : undefined,
            ctorString = Ctor ? toSource(Ctor) : '';

        if (ctorString) {
          switch (ctorString) {
            case dataViewCtorString: return dataViewTag;
            case mapCtorString: return mapTag;
            case promiseCtorString: return promiseTag;
            case setCtorString: return setTag;
            case weakMapCtorString: return weakMapTag;
          }
        }
        return result;
      };
    }

    /**
     * Gets the view, applying any `transforms` to the `start` and `end` positions.
     *
     * @private
     * @param {number} start The start of the view.
     * @param {number} end The end of the view.
     * @param {Array} transforms The transformations to apply to the view.
     * @returns {Object} Returns an object containing the `start` and `end`
     *  positions of the view.
     */
    function getView(start, end, transforms) {
      var index = -1,
          length = transforms.length;

      while (++index < length) {
        var data = transforms[index],
            size = data.size;

        switch (data.type) {
          case 'drop':      start += size; break;
          case 'dropRight': end -= size; break;
          case 'take':      end = nativeMin(end, start + size); break;
          case 'takeRight': start = nativeMax(start, end - size); break;
        }
      }
      return { 'start': start, 'end': end };
    }

    /**
     * Extracts wrapper details from the `source` body comment.
     *
     * @private
     * @param {string} source The source to inspect.
     * @returns {Array} Returns the wrapper details.
     */
    function getWrapDetails(source) {
      var match = source.match(reWrapDetails);
      return match ? match[1].split(reSplitDetails) : [];
    }

    /**
     * Checks if `path` exists on `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @param {Array|string} path The path to check.
     * @param {Function} hasFunc The function to check properties.
     * @returns {boolean} Returns `true` if `path` exists, else `false`.
     */
    function hasPath(object, path, hasFunc) {
      path = castPath(path, object);

      var index = -1,
          length = path.length,
          result = false;

      while (++index < length) {
        var key = toKey(path[index]);
        if (!(result = object != null && hasFunc(object, key))) {
          break;
        }
        object = object[key];
      }
      if (result || ++index != length) {
        return result;
      }
      length = object == null ? 0 : object.length;
      return !!length && isLength(length) && isIndex(key, length) &&
        (isArray(object) || isArguments(object));
    }

    /**
     * Initializes an array clone.
     *
     * @private
     * @param {Array} array The array to clone.
     * @returns {Array} Returns the initialized clone.
     */
    function initCloneArray(array) {
      var length = array.length,
          result = new array.constructor(length);

      // Add properties assigned by `RegExp#exec`.
      if (length && typeof array[0] == 'string' && hasOwnProperty.call(array, 'index')) {
        result.index = array.index;
        result.input = array.input;
      }
      return result;
    }

    /**
     * Initializes an object clone.
     *
     * @private
     * @param {Object} object The object to clone.
     * @returns {Object} Returns the initialized clone.
     */
    function initCloneObject(object) {
      return (typeof object.constructor == 'function' && !isPrototype(object))
        ? baseCreate(getPrototype(object))
        : {};
    }

    /**
     * Initializes an object clone based on its `toStringTag`.
     *
     * **Note:** This function only supports cloning values with tags of
     * `Boolean`, `Date`, `Error`, `Map`, `Number`, `RegExp`, `Set`, or `String`.
     *
     * @private
     * @param {Object} object The object to clone.
     * @param {string} tag The `toStringTag` of the object to clone.
     * @param {boolean} [isDeep] Specify a deep clone.
     * @returns {Object} Returns the initialized clone.
     */
    function initCloneByTag(object, tag, isDeep) {
      var Ctor = object.constructor;
      switch (tag) {
        case arrayBufferTag:
          return cloneArrayBuffer(object);

        case boolTag:
        case dateTag:
          return new Ctor(+object);

        case dataViewTag:
          return cloneDataView(object, isDeep);

        case float32Tag: case float64Tag:
        case int8Tag: case int16Tag: case int32Tag:
        case uint8Tag: case uint8ClampedTag: case uint16Tag: case uint32Tag:
          return cloneTypedArray(object, isDeep);

        case mapTag:
          return new Ctor;

        case numberTag:
        case stringTag:
          return new Ctor(object);

        case regexpTag:
          return cloneRegExp(object);

        case setTag:
          return new Ctor;

        case symbolTag:
          return cloneSymbol(object);
      }
    }

    /**
     * Inserts wrapper `details` in a comment at the top of the `source` body.
     *
     * @private
     * @param {string} source The source to modify.
     * @returns {Array} details The details to insert.
     * @returns {string} Returns the modified source.
     */
    function insertWrapDetails(source, details) {
      var length = details.length;
      if (!length) {
        return source;
      }
      var lastIndex = length - 1;
      details[lastIndex] = (length > 1 ? '& ' : '') + details[lastIndex];
      details = details.join(length > 2 ? ', ' : ' ');
      return source.replace(reWrapComment, '{\n/* [wrapped with ' + details + '] */\n');
    }

    /**
     * Checks if `value` is a flattenable `arguments` object or array.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is flattenable, else `false`.
     */
    function isFlattenable(value) {
      return isArray(value) || isArguments(value) ||
        !!(spreadableSymbol && value && value[spreadableSymbol]);
    }

    /**
     * Checks if `value` is a valid array-like index.
     *
     * @private
     * @param {*} value The value to check.
     * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
     * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
     */
    function isIndex(value, length) {
      var type = typeof value;
      length = length == null ? MAX_SAFE_INTEGER : length;

      return !!length &&
        (type == 'number' ||
          (type != 'symbol' && reIsUint.test(value))) &&
            (value > -1 && value % 1 == 0 && value < length);
    }

    /**
     * Checks if the given arguments are from an iteratee call.
     *
     * @private
     * @param {*} value The potential iteratee value argument.
     * @param {*} index The potential iteratee index or key argument.
     * @param {*} object The potential iteratee object argument.
     * @returns {boolean} Returns `true` if the arguments are from an iteratee call,
     *  else `false`.
     */
    function isIterateeCall(value, index, object) {
      if (!isObject(object)) {
        return false;
      }
      var type = typeof index;
      if (type == 'number'
            ? (isArrayLike(object) && isIndex(index, object.length))
            : (type == 'string' && index in object)
          ) {
        return eq(object[index], value);
      }
      return false;
    }

    /**
     * Checks if `value` is a property name and not a property path.
     *
     * @private
     * @param {*} value The value to check.
     * @param {Object} [object] The object to query keys on.
     * @returns {boolean} Returns `true` if `value` is a property name, else `false`.
     */
    function isKey(value, object) {
      if (isArray(value)) {
        return false;
      }
      var type = typeof value;
      if (type == 'number' || type == 'symbol' || type == 'boolean' ||
          value == null || isSymbol(value)) {
        return true;
      }
      return reIsPlainProp.test(value) || !reIsDeepProp.test(value) ||
        (object != null && value in Object(object));
    }

    /**
     * Checks if `value` is suitable for use as unique object key.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
     */
    function isKeyable(value) {
      var type = typeof value;
      return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
        ? (value !== '__proto__')
        : (value === null);
    }

    /**
     * Checks if `func` has a lazy counterpart.
     *
     * @private
     * @param {Function} func The function to check.
     * @returns {boolean} Returns `true` if `func` has a lazy counterpart,
     *  else `false`.
     */
    function isLaziable(func) {
      var funcName = getFuncName(func),
          other = lodash[funcName];

      if (typeof other != 'function' || !(funcName in LazyWrapper.prototype)) {
        return false;
      }
      if (func === other) {
        return true;
      }
      var data = getData(other);
      return !!data && func === data[0];
    }

    /**
     * Checks if `func` has its source masked.
     *
     * @private
     * @param {Function} func The function to check.
     * @returns {boolean} Returns `true` if `func` is masked, else `false`.
     */
    function isMasked(func) {
      return !!maskSrcKey && (maskSrcKey in func);
    }

    /**
     * Checks if `func` is capable of being masked.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `func` is maskable, else `false`.
     */
    var isMaskable = coreJsData ? isFunction : stubFalse;

    /**
     * Checks if `value` is likely a prototype object.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
     */
    function isPrototype(value) {
      var Ctor = value && value.constructor,
          proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto;

      return value === proto;
    }

    /**
     * Checks if `value` is suitable for strict equality comparisons, i.e. `===`.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` if suitable for strict
     *  equality comparisons, else `false`.
     */
    function isStrictComparable(value) {
      return value === value && !isObject(value);
    }

    /**
     * A specialized version of `matchesProperty` for source values suitable
     * for strict equality comparisons, i.e. `===`.
     *
     * @private
     * @param {string} key The key of the property to get.
     * @param {*} srcValue The value to match.
     * @returns {Function} Returns the new spec function.
     */
    function matchesStrictComparable(key, srcValue) {
      return function(object) {
        if (object == null) {
          return false;
        }
        return object[key] === srcValue &&
          (srcValue !== undefined || (key in Object(object)));
      };
    }

    /**
     * A specialized version of `_.memoize` which clears the memoized function's
     * cache when it exceeds `MAX_MEMOIZE_SIZE`.
     *
     * @private
     * @param {Function} func The function to have its output memoized.
     * @returns {Function} Returns the new memoized function.
     */
    function memoizeCapped(func) {
      var result = memoize(func, function(key) {
        if (cache.size === MAX_MEMOIZE_SIZE) {
          cache.clear();
        }
        return key;
      });

      var cache = result.cache;
      return result;
    }

    /**
     * Merges the function metadata of `source` into `data`.
     *
     * Merging metadata reduces the number of wrappers used to invoke a function.
     * This is possible because methods like `_.bind`, `_.curry`, and `_.partial`
     * may be applied regardless of execution order. Methods like `_.ary` and
     * `_.rearg` modify function arguments, making the order in which they are
     * executed important, preventing the merging of metadata. However, we make
     * an exception for a safe combined case where curried functions have `_.ary`
     * and or `_.rearg` applied.
     *
     * @private
     * @param {Array} data The destination metadata.
     * @param {Array} source The source metadata.
     * @returns {Array} Returns `data`.
     */
    function mergeData(data, source) {
      var bitmask = data[1],
          srcBitmask = source[1],
          newBitmask = bitmask | srcBitmask,
          isCommon = newBitmask < (WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG | WRAP_ARY_FLAG);

      var isCombo =
        ((srcBitmask == WRAP_ARY_FLAG) && (bitmask == WRAP_CURRY_FLAG)) ||
        ((srcBitmask == WRAP_ARY_FLAG) && (bitmask == WRAP_REARG_FLAG) && (data[7].length <= source[8])) ||
        ((srcBitmask == (WRAP_ARY_FLAG | WRAP_REARG_FLAG)) && (source[7].length <= source[8]) && (bitmask == WRAP_CURRY_FLAG));

      // Exit early if metadata can't be merged.
      if (!(isCommon || isCombo)) {
        return data;
      }
      // Use source `thisArg` if available.
      if (srcBitmask & WRAP_BIND_FLAG) {
        data[2] = source[2];
        // Set when currying a bound function.
        newBitmask |= bitmask & WRAP_BIND_FLAG ? 0 : WRAP_CURRY_BOUND_FLAG;
      }
      // Compose partial arguments.
      var value = source[3];
      if (value) {
        var partials = data[3];
        data[3] = partials ? composeArgs(partials, value, source[4]) : value;
        data[4] = partials ? replaceHolders(data[3], PLACEHOLDER) : source[4];
      }
      // Compose partial right arguments.
      value = source[5];
      if (value) {
        partials = data[5];
        data[5] = partials ? composeArgsRight(partials, value, source[6]) : value;
        data[6] = partials ? replaceHolders(data[5], PLACEHOLDER) : source[6];
      }
      // Use source `argPos` if available.
      value = source[7];
      if (value) {
        data[7] = value;
      }
      // Use source `ary` if it's smaller.
      if (srcBitmask & WRAP_ARY_FLAG) {
        data[8] = data[8] == null ? source[8] : nativeMin(data[8], source[8]);
      }
      // Use source `arity` if one is not provided.
      if (data[9] == null) {
        data[9] = source[9];
      }
      // Use source `func` and merge bitmasks.
      data[0] = source[0];
      data[1] = newBitmask;

      return data;
    }

    /**
     * This function is like
     * [`Object.keys`](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
     * except that it includes inherited enumerable properties.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names.
     */
    function nativeKeysIn(object) {
      var result = [];
      if (object != null) {
        for (var key in Object(object)) {
          result.push(key);
        }
      }
      return result;
    }

    /**
     * Converts `value` to a string using `Object.prototype.toString`.
     *
     * @private
     * @param {*} value The value to convert.
     * @returns {string} Returns the converted string.
     */
    function objectToString(value) {
      return nativeObjectToString.call(value);
    }

    /**
     * A specialized version of `baseRest` which transforms the rest array.
     *
     * @private
     * @param {Function} func The function to apply a rest parameter to.
     * @param {number} [start=func.length-1] The start position of the rest parameter.
     * @param {Function} transform The rest array transform.
     * @returns {Function} Returns the new function.
     */
    function overRest(func, start, transform) {
      start = nativeMax(start === undefined ? (func.length - 1) : start, 0);
      return function() {
        var args = arguments,
            index = -1,
            length = nativeMax(args.length - start, 0),
            array = Array(length);

        while (++index < length) {
          array[index] = args[start + index];
        }
        index = -1;
        var otherArgs = Array(start + 1);
        while (++index < start) {
          otherArgs[index] = args[index];
        }
        otherArgs[start] = transform(array);
        return apply(func, this, otherArgs);
      };
    }

    /**
     * Gets the parent value at `path` of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @param {Array} path The path to get the parent value of.
     * @returns {*} Returns the parent value.
     */
    function parent(object, path) {
      return path.length < 2 ? object : baseGet(object, baseSlice(path, 0, -1));
    }

    /**
     * Reorder `array` according to the specified indexes where the element at
     * the first index is assigned as the first element, the element at
     * the second index is assigned as the second element, and so on.
     *
     * @private
     * @param {Array} array The array to reorder.
     * @param {Array} indexes The arranged array indexes.
     * @returns {Array} Returns `array`.
     */
    function reorder(array, indexes) {
      var arrLength = array.length,
          length = nativeMin(indexes.length, arrLength),
          oldArray = copyArray(array);

      while (length--) {
        var index = indexes[length];
        array[length] = isIndex(index, arrLength) ? oldArray[index] : undefined;
      }
      return array;
    }

    /**
     * Gets the value at `key`, unless `key` is "__proto__" or "constructor".
     *
     * @private
     * @param {Object} object The object to query.
     * @param {string} key The key of the property to get.
     * @returns {*} Returns the property value.
     */
    function safeGet(object, key) {
      if (key === 'constructor' && typeof object[key] === 'function') {
        return;
      }

      if (key == '__proto__') {
        return;
      }

      return object[key];
    }

    /**
     * Sets metadata for `func`.
     *
     * **Note:** If this function becomes hot, i.e. is invoked a lot in a short
     * period of time, it will trip its breaker and transition to an identity
     * function to avoid garbage collection pauses in V8. See
     * [V8 issue 2070](https://bugs.chromium.org/p/v8/issues/detail?id=2070)
     * for more details.
     *
     * @private
     * @param {Function} func The function to associate metadata with.
     * @param {*} data The metadata.
     * @returns {Function} Returns `func`.
     */
    var setData = shortOut(baseSetData);

    /**
     * A simple wrapper around the global [`setTimeout`](https://mdn.io/setTimeout).
     *
     * @private
     * @param {Function} func The function to delay.
     * @param {number} wait The number of milliseconds to delay invocation.
     * @returns {number|Object} Returns the timer id or timeout object.
     */
    var setTimeout = ctxSetTimeout || function(func, wait) {
      return root.setTimeout(func, wait);
    };

    /**
     * Sets the `toString` method of `func` to return `string`.
     *
     * @private
     * @param {Function} func The function to modify.
     * @param {Function} string The `toString` result.
     * @returns {Function} Returns `func`.
     */
    var setToString = shortOut(baseSetToString);

    /**
     * Sets the `toString` method of `wrapper` to mimic the source of `reference`
     * with wrapper details in a comment at the top of the source body.
     *
     * @private
     * @param {Function} wrapper The function to modify.
     * @param {Function} reference The reference function.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @returns {Function} Returns `wrapper`.
     */
    function setWrapToString(wrapper, reference, bitmask) {
      var source = (reference + '');
      return setToString(wrapper, insertWrapDetails(source, updateWrapDetails(getWrapDetails(source), bitmask)));
    }

    /**
     * Creates a function that'll short out and invoke `identity` instead
     * of `func` when it's called `HOT_COUNT` or more times in `HOT_SPAN`
     * milliseconds.
     *
     * @private
     * @param {Function} func The function to restrict.
     * @returns {Function} Returns the new shortable function.
     */
    function shortOut(func) {
      var count = 0,
          lastCalled = 0;

      return function() {
        var stamp = nativeNow(),
            remaining = HOT_SPAN - (stamp - lastCalled);

        lastCalled = stamp;
        if (remaining > 0) {
          if (++count >= HOT_COUNT) {
            return arguments[0];
          }
        } else {
          count = 0;
        }
        return func.apply(undefined, arguments);
      };
    }

    /**
     * A specialized version of `_.shuffle` which mutates and sets the size of `array`.
     *
     * @private
     * @param {Array} array The array to shuffle.
     * @param {number} [size=array.length] The size of `array`.
     * @returns {Array} Returns `array`.
     */
    function shuffleSelf(array, size) {
      var index = -1,
          length = array.length,
          lastIndex = length - 1;

      size = size === undefined ? length : size;
      while (++index < size) {
        var rand = baseRandom(index, lastIndex),
            value = array[rand];

        array[rand] = array[index];
        array[index] = value;
      }
      array.length = size;
      return array;
    }

    /**
     * Converts `string` to a property path array.
     *
     * @private
     * @param {string} string The string to convert.
     * @returns {Array} Returns the property path array.
     */
    var stringToPath = memoizeCapped(function(string) {
      var result = [];
      if (string.charCodeAt(0) === 46 /* . */) {
        result.push('');
      }
      string.replace(rePropName, function(match, number, quote, subString) {
        result.push(quote ? subString.replace(reEscapeChar, '$1') : (number || match));
      });
      return result;
    });

    /**
     * Converts `value` to a string key if it's not a string or symbol.
     *
     * @private
     * @param {*} value The value to inspect.
     * @returns {string|symbol} Returns the key.
     */
    function toKey(value) {
      if (typeof value == 'string' || isSymbol(value)) {
        return value;
      }
      var result = (value + '');
      return (result == '0' && (1 / value) == -INFINITY) ? '-0' : result;
    }

    /**
     * Converts `func` to its source code.
     *
     * @private
     * @param {Function} func The function to convert.
     * @returns {string} Returns the source code.
     */
    function toSource(func) {
      if (func != null) {
        try {
          return funcToString.call(func);
        } catch (e) {}
        try {
          return (func + '');
        } catch (e) {}
      }
      return '';
    }

    /**
     * Updates wrapper `details` based on `bitmask` flags.
     *
     * @private
     * @returns {Array} details The details to modify.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @returns {Array} Returns `details`.
     */
    function updateWrapDetails(details, bitmask) {
      arrayEach(wrapFlags, function(pair) {
        var value = '_.' + pair[0];
        if ((bitmask & pair[1]) && !arrayIncludes(details, value)) {
          details.push(value);
        }
      });
      return details.sort();
    }

    /**
     * Creates a clone of `wrapper`.
     *
     * @private
     * @param {Object} wrapper The wrapper to clone.
     * @returns {Object} Returns the cloned wrapper.
     */
    function wrapperClone(wrapper) {
      if (wrapper instanceof LazyWrapper) {
        return wrapper.clone();
      }
      var result = new LodashWrapper(wrapper.__wrapped__, wrapper.__chain__);
      result.__actions__ = copyArray(wrapper.__actions__);
      result.__index__  = wrapper.__index__;
      result.__values__ = wrapper.__values__;
      return result;
    }

    /*------------------------------------------------------------------------*/

    /**
     * Creates an array of elements split into groups the length of `size`.
     * If `array` can't be split evenly, the final chunk will be the remaining
     * elements.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to process.
     * @param {number} [size=1] The length of each chunk
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the new array of chunks.
     * @example
     *
     * _.chunk(['a', 'b', 'c', 'd'], 2);
     * // => [['a', 'b'], ['c', 'd']]
     *
     * _.chunk(['a', 'b', 'c', 'd'], 3);
     * // => [['a', 'b', 'c'], ['d']]
     */
    function chunk(array, size, guard) {
      if ((guard ? isIterateeCall(array, size, guard) : size === undefined)) {
        size = 1;
      } else {
        size = nativeMax(toInteger(size), 0);
      }
      var length = array == null ? 0 : array.length;
      if (!length || size < 1) {
        return [];
      }
      var index = 0,
          resIndex = 0,
          result = Array(nativeCeil(length / size));

      while (index < length) {
        result[resIndex++] = baseSlice(array, index, (index += size));
      }
      return result;
    }

    /**
     * Creates an array with all falsey values removed. The values `false`, `null`,
     * `0`, `""`, `undefined`, and `NaN` are falsey.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to compact.
     * @returns {Array} Returns the new array of filtered values.
     * @example
     *
     * _.compact([0, 1, false, 2, '', 3]);
     * // => [1, 2, 3]
     */
    function compact(array) {
      var index = -1,
          length = array == null ? 0 : array.length,
          resIndex = 0,
          result = [];

      while (++index < length) {
        var value = array[index];
        if (value) {
          result[resIndex++] = value;
        }
      }
      return result;
    }

    /**
     * Creates a new array concatenating `array` with any additional arrays
     * and/or values.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to concatenate.
     * @param {...*} [values] The values to concatenate.
     * @returns {Array} Returns the new concatenated array.
     * @example
     *
     * var array = [1];
     * var other = _.concat(array, 2, [3], [[4]]);
     *
     * console.log(other);
     * // => [1, 2, 3, [4]]
     *
     * console.log(array);
     * // => [1]
     */
    function concat() {
      var length = arguments.length;
      if (!length) {
        return [];
      }
      var args = Array(length - 1),
          array = arguments[0],
          index = length;

      while (index--) {
        args[index - 1] = arguments[index];
      }
      return arrayPush(isArray(array) ? copyArray(array) : [array], baseFlatten(args, 1));
    }

    /**
     * Creates an array of `array` values not included in the other given arrays
     * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons. The order and references of result values are
     * determined by the first array.
     *
     * **Note:** Unlike `_.pullAll`, this method returns a new array.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {...Array} [values] The values to exclude.
     * @returns {Array} Returns the new array of filtered values.
     * @see _.without, _.xor
     * @example
     *
     * _.difference([2, 1], [2, 3]);
     * // => [1]
     */
    var difference = baseRest(function(array, values) {
      return isArrayLikeObject(array)
        ? baseDifference(array, baseFlatten(values, 1, isArrayLikeObject, true))
        : [];
    });

    /**
     * This method is like `_.difference` except that it accepts `iteratee` which
     * is invoked for each element of `array` and `values` to generate the criterion
     * by which they're compared. The order and references of result values are
     * determined by the first array. The iteratee is invoked with one argument:
     * (value).
     *
     * **Note:** Unlike `_.pullAllBy`, this method returns a new array.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {...Array} [values] The values to exclude.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Array} Returns the new array of filtered values.
     * @example
     *
     * _.differenceBy([2.1, 1.2], [2.3, 3.4], Math.floor);
     * // => [1.2]
     *
     * // The `_.property` iteratee shorthand.
     * _.differenceBy([{ 'x': 2 }, { 'x': 1 }], [{ 'x': 1 }], 'x');
     * // => [{ 'x': 2 }]
     */
    var differenceBy = baseRest(function(array, values) {
      var iteratee = last(values);
      if (isArrayLikeObject(iteratee)) {
        iteratee = undefined;
      }
      return isArrayLikeObject(array)
        ? baseDifference(array, baseFlatten(values, 1, isArrayLikeObject, true), getIteratee(iteratee, 2))
        : [];
    });

    /**
     * This method is like `_.difference` except that it accepts `comparator`
     * which is invoked to compare elements of `array` to `values`. The order and
     * references of result values are determined by the first array. The comparator
     * is invoked with two arguments: (arrVal, othVal).
     *
     * **Note:** Unlike `_.pullAllWith`, this method returns a new array.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {...Array} [values] The values to exclude.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of filtered values.
     * @example
     *
     * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }];
     *
     * _.differenceWith(objects, [{ 'x': 1, 'y': 2 }], _.isEqual);
     * // => [{ 'x': 2, 'y': 1 }]
     */
    var differenceWith = baseRest(function(array, values) {
      var comparator = last(values);
      if (isArrayLikeObject(comparator)) {
        comparator = undefined;
      }
      return isArrayLikeObject(array)
        ? baseDifference(array, baseFlatten(values, 1, isArrayLikeObject, true), undefined, comparator)
        : [];
    });

    /**
     * Creates a slice of `array` with `n` elements dropped from the beginning.
     *
     * @static
     * @memberOf _
     * @since 0.5.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {number} [n=1] The number of elements to drop.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * _.drop([1, 2, 3]);
     * // => [2, 3]
     *
     * _.drop([1, 2, 3], 2);
     * // => [3]
     *
     * _.drop([1, 2, 3], 5);
     * // => []
     *
     * _.drop([1, 2, 3], 0);
     * // => [1, 2, 3]
     */
    function drop(array, n, guard) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return [];
      }
      n = (guard || n === undefined) ? 1 : toInteger(n);
      return baseSlice(array, n < 0 ? 0 : n, length);
    }

    /**
     * Creates a slice of `array` with `n` elements dropped from the end.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {number} [n=1] The number of elements to drop.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * _.dropRight([1, 2, 3]);
     * // => [1, 2]
     *
     * _.dropRight([1, 2, 3], 2);
     * // => [1]
     *
     * _.dropRight([1, 2, 3], 5);
     * // => []
     *
     * _.dropRight([1, 2, 3], 0);
     * // => [1, 2, 3]
     */
    function dropRight(array, n, guard) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return [];
      }
      n = (guard || n === undefined) ? 1 : toInteger(n);
      n = length - n;
      return baseSlice(array, 0, n < 0 ? 0 : n);
    }

    /**
     * Creates a slice of `array` excluding elements dropped from the end.
     * Elements are dropped until `predicate` returns falsey. The predicate is
     * invoked with three arguments: (value, index, array).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'active': true },
     *   { 'user': 'fred',    'active': false },
     *   { 'user': 'pebbles', 'active': false }
     * ];
     *
     * _.dropRightWhile(users, function(o) { return !o.active; });
     * // => objects for ['barney']
     *
     * // The `_.matches` iteratee shorthand.
     * _.dropRightWhile(users, { 'user': 'pebbles', 'active': false });
     * // => objects for ['barney', 'fred']
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.dropRightWhile(users, ['active', false]);
     * // => objects for ['barney']
     *
     * // The `_.property` iteratee shorthand.
     * _.dropRightWhile(users, 'active');
     * // => objects for ['barney', 'fred', 'pebbles']
     */
    function dropRightWhile(array, predicate) {
      return (array && array.length)
        ? baseWhile(array, getIteratee(predicate, 3), true, true)
        : [];
    }

    /**
     * Creates a slice of `array` excluding elements dropped from the beginning.
     * Elements are dropped until `predicate` returns falsey. The predicate is
     * invoked with three arguments: (value, index, array).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'active': false },
     *   { 'user': 'fred',    'active': false },
     *   { 'user': 'pebbles', 'active': true }
     * ];
     *
     * _.dropWhile(users, function(o) { return !o.active; });
     * // => objects for ['pebbles']
     *
     * // The `_.matches` iteratee shorthand.
     * _.dropWhile(users, { 'user': 'barney', 'active': false });
     * // => objects for ['fred', 'pebbles']
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.dropWhile(users, ['active', false]);
     * // => objects for ['pebbles']
     *
     * // The `_.property` iteratee shorthand.
     * _.dropWhile(users, 'active');
     * // => objects for ['barney', 'fred', 'pebbles']
     */
    function dropWhile(array, predicate) {
      return (array && array.length)
        ? baseWhile(array, getIteratee(predicate, 3), true)
        : [];
    }

    /**
     * Fills elements of `array` with `value` from `start` up to, but not
     * including, `end`.
     *
     * **Note:** This method mutates `array`.
     *
     * @static
     * @memberOf _
     * @since 3.2.0
     * @category Array
     * @param {Array} array The array to fill.
     * @param {*} value The value to fill `array` with.
     * @param {number} [start=0] The start position.
     * @param {number} [end=array.length] The end position.
     * @returns {Array} Returns `array`.
     * @example
     *
     * var array = [1, 2, 3];
     *
     * _.fill(array, 'a');
     * console.log(array);
     * // => ['a', 'a', 'a']
     *
     * _.fill(Array(3), 2);
     * // => [2, 2, 2]
     *
     * _.fill([4, 6, 8, 10], '*', 1, 3);
     * // => [4, '*', '*', 10]
     */
    function fill(array, value, start, end) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return [];
      }
      if (start && typeof start != 'number' && isIterateeCall(array, value, start)) {
        start = 0;
        end = length;
      }
      return baseFill(array, value, start, end);
    }

    /**
     * This method is like `_.find` except that it returns the index of the first
     * element `predicate` returns truthy for instead of the element itself.
     *
     * @static
     * @memberOf _
     * @since 1.1.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @param {number} [fromIndex=0] The index to search from.
     * @returns {number} Returns the index of the found element, else `-1`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'active': false },
     *   { 'user': 'fred',    'active': false },
     *   { 'user': 'pebbles', 'active': true }
     * ];
     *
     * _.findIndex(users, function(o) { return o.user == 'barney'; });
     * // => 0
     *
     * // The `_.matches` iteratee shorthand.
     * _.findIndex(users, { 'user': 'fred', 'active': false });
     * // => 1
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.findIndex(users, ['active', false]);
     * // => 0
     *
     * // The `_.property` iteratee shorthand.
     * _.findIndex(users, 'active');
     * // => 2
     */
    function findIndex(array, predicate, fromIndex) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return -1;
      }
      var index = fromIndex == null ? 0 : toInteger(fromIndex);
      if (index < 0) {
        index = nativeMax(length + index, 0);
      }
      return baseFindIndex(array, getIteratee(predicate, 3), index);
    }

    /**
     * This method is like `_.findIndex` except that it iterates over elements
     * of `collection` from right to left.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @param {number} [fromIndex=array.length-1] The index to search from.
     * @returns {number} Returns the index of the found element, else `-1`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'active': true },
     *   { 'user': 'fred',    'active': false },
     *   { 'user': 'pebbles', 'active': false }
     * ];
     *
     * _.findLastIndex(users, function(o) { return o.user == 'pebbles'; });
     * // => 2
     *
     * // The `_.matches` iteratee shorthand.
     * _.findLastIndex(users, { 'user': 'barney', 'active': true });
     * // => 0
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.findLastIndex(users, ['active', false]);
     * // => 2
     *
     * // The `_.property` iteratee shorthand.
     * _.findLastIndex(users, 'active');
     * // => 0
     */
    function findLastIndex(array, predicate, fromIndex) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return -1;
      }
      var index = length - 1;
      if (fromIndex !== undefined) {
        index = toInteger(fromIndex);
        index = fromIndex < 0
          ? nativeMax(length + index, 0)
          : nativeMin(index, length - 1);
      }
      return baseFindIndex(array, getIteratee(predicate, 3), index, true);
    }

    /**
     * Flattens `array` a single level deep.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to flatten.
     * @returns {Array} Returns the new flattened array.
     * @example
     *
     * _.flatten([1, [2, [3, [4]], 5]]);
     * // => [1, 2, [3, [4]], 5]
     */
    function flatten(array) {
      var length = array == null ? 0 : array.length;
      return length ? baseFlatten(array, 1) : [];
    }

    /**
     * Recursively flattens `array`.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to flatten.
     * @returns {Array} Returns the new flattened array.
     * @example
     *
     * _.flattenDeep([1, [2, [3, [4]], 5]]);
     * // => [1, 2, 3, 4, 5]
     */
    function flattenDeep(array) {
      var length = array == null ? 0 : array.length;
      return length ? baseFlatten(array, INFINITY) : [];
    }

    /**
     * Recursively flatten `array` up to `depth` times.
     *
     * @static
     * @memberOf _
     * @since 4.4.0
     * @category Array
     * @param {Array} array The array to flatten.
     * @param {number} [depth=1] The maximum recursion depth.
     * @returns {Array} Returns the new flattened array.
     * @example
     *
     * var array = [1, [2, [3, [4]], 5]];
     *
     * _.flattenDepth(array, 1);
     * // => [1, 2, [3, [4]], 5]
     *
     * _.flattenDepth(array, 2);
     * // => [1, 2, 3, [4], 5]
     */
    function flattenDepth(array, depth) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return [];
      }
      depth = depth === undefined ? 1 : toInteger(depth);
      return baseFlatten(array, depth);
    }

    /**
     * The inverse of `_.toPairs`; this method returns an object composed
     * from key-value `pairs`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} pairs The key-value pairs.
     * @returns {Object} Returns the new object.
     * @example
     *
     * _.fromPairs([['a', 1], ['b', 2]]);
     * // => { 'a': 1, 'b': 2 }
     */
    function fromPairs(pairs) {
      var index = -1,
          length = pairs == null ? 0 : pairs.length,
          result = {};

      while (++index < length) {
        var pair = pairs[index];
        result[pair[0]] = pair[1];
      }
      return result;
    }

    /**
     * Gets the first element of `array`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @alias first
     * @category Array
     * @param {Array} array The array to query.
     * @returns {*} Returns the first element of `array`.
     * @example
     *
     * _.head([1, 2, 3]);
     * // => 1
     *
     * _.head([]);
     * // => undefined
     */
    function head(array) {
      return (array && array.length) ? array[0] : undefined;
    }

    /**
     * Gets the index at which the first occurrence of `value` is found in `array`
     * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons. If `fromIndex` is negative, it's used as the
     * offset from the end of `array`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {*} value The value to search for.
     * @param {number} [fromIndex=0] The index to search from.
     * @returns {number} Returns the index of the matched value, else `-1`.
     * @example
     *
     * _.indexOf([1, 2, 1, 2], 2);
     * // => 1
     *
     * // Search from the `fromIndex`.
     * _.indexOf([1, 2, 1, 2], 2, 2);
     * // => 3
     */
    function indexOf(array, value, fromIndex) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return -1;
      }
      var index = fromIndex == null ? 0 : toInteger(fromIndex);
      if (index < 0) {
        index = nativeMax(length + index, 0);
      }
      return baseIndexOf(array, value, index);
    }

    /**
     * Gets all but the last element of `array`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to query.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * _.initial([1, 2, 3]);
     * // => [1, 2]
     */
    function initial(array) {
      var length = array == null ? 0 : array.length;
      return length ? baseSlice(array, 0, -1) : [];
    }

    /**
     * Creates an array of unique values that are included in all given arrays
     * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons. The order and references of result values are
     * determined by the first array.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @returns {Array} Returns the new array of intersecting values.
     * @example
     *
     * _.intersection([2, 1], [2, 3]);
     * // => [2]
     */
    var intersection = baseRest(function(arrays) {
      var mapped = arrayMap(arrays, castArrayLikeObject);
      return (mapped.length && mapped[0] === arrays[0])
        ? baseIntersection(mapped)
        : [];
    });

    /**
     * This method is like `_.intersection` except that it accepts `iteratee`
     * which is invoked for each element of each `arrays` to generate the criterion
     * by which they're compared. The order and references of result values are
     * determined by the first array. The iteratee is invoked with one argument:
     * (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Array} Returns the new array of intersecting values.
     * @example
     *
     * _.intersectionBy([2.1, 1.2], [2.3, 3.4], Math.floor);
     * // => [2.1]
     *
     * // The `_.property` iteratee shorthand.
     * _.intersectionBy([{ 'x': 1 }], [{ 'x': 2 }, { 'x': 1 }], 'x');
     * // => [{ 'x': 1 }]
     */
    var intersectionBy = baseRest(function(arrays) {
      var iteratee = last(arrays),
          mapped = arrayMap(arrays, castArrayLikeObject);

      if (iteratee === last(mapped)) {
        iteratee = undefined;
      } else {
        mapped.pop();
      }
      return (mapped.length && mapped[0] === arrays[0])
        ? baseIntersection(mapped, getIteratee(iteratee, 2))
        : [];
    });

    /**
     * This method is like `_.intersection` except that it accepts `comparator`
     * which is invoked to compare elements of `arrays`. The order and references
     * of result values are determined by the first array. The comparator is
     * invoked with two arguments: (arrVal, othVal).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of intersecting values.
     * @example
     *
     * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }];
     * var others = [{ 'x': 1, 'y': 1 }, { 'x': 1, 'y': 2 }];
     *
     * _.intersectionWith(objects, others, _.isEqual);
     * // => [{ 'x': 1, 'y': 2 }]
     */
    var intersectionWith = baseRest(function(arrays) {
      var comparator = last(arrays),
          mapped = arrayMap(arrays, castArrayLikeObject);

      comparator = typeof comparator == 'function' ? comparator : undefined;
      if (comparator) {
        mapped.pop();
      }
      return (mapped.length && mapped[0] === arrays[0])
        ? baseIntersection(mapped, undefined, comparator)
        : [];
    });

    /**
     * Converts all elements in `array` into a string separated by `separator`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to convert.
     * @param {string} [separator=','] The element separator.
     * @returns {string} Returns the joined string.
     * @example
     *
     * _.join(['a', 'b', 'c'], '~');
     * // => 'a~b~c'
     */
    function join(array, separator) {
      return array == null ? '' : nativeJoin.call(array, separator);
    }

    /**
     * Gets the last element of `array`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to query.
     * @returns {*} Returns the last element of `array`.
     * @example
     *
     * _.last([1, 2, 3]);
     * // => 3
     */
    function last(array) {
      var length = array == null ? 0 : array.length;
      return length ? array[length - 1] : undefined;
    }

    /**
     * This method is like `_.indexOf` except that it iterates over elements of
     * `array` from right to left.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {*} value The value to search for.
     * @param {number} [fromIndex=array.length-1] The index to search from.
     * @returns {number} Returns the index of the matched value, else `-1`.
     * @example
     *
     * _.lastIndexOf([1, 2, 1, 2], 2);
     * // => 3
     *
     * // Search from the `fromIndex`.
     * _.lastIndexOf([1, 2, 1, 2], 2, 2);
     * // => 1
     */
    function lastIndexOf(array, value, fromIndex) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return -1;
      }
      var index = length;
      if (fromIndex !== undefined) {
        index = toInteger(fromIndex);
        index = index < 0 ? nativeMax(length + index, 0) : nativeMin(index, length - 1);
      }
      return value === value
        ? strictLastIndexOf(array, value, index)
        : baseFindIndex(array, baseIsNaN, index, true);
    }

    /**
     * Gets the element at index `n` of `array`. If `n` is negative, the nth
     * element from the end is returned.
     *
     * @static
     * @memberOf _
     * @since 4.11.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {number} [n=0] The index of the element to return.
     * @returns {*} Returns the nth element of `array`.
     * @example
     *
     * var array = ['a', 'b', 'c', 'd'];
     *
     * _.nth(array, 1);
     * // => 'b'
     *
     * _.nth(array, -2);
     * // => 'c';
     */
    function nth(array, n) {
      return (array && array.length) ? baseNth(array, toInteger(n)) : undefined;
    }

    /**
     * Removes all given values from `array` using
     * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons.
     *
     * **Note:** Unlike `_.without`, this method mutates `array`. Use `_.remove`
     * to remove elements from an array by predicate.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Array
     * @param {Array} array The array to modify.
     * @param {...*} [values] The values to remove.
     * @returns {Array} Returns `array`.
     * @example
     *
     * var array = ['a', 'b', 'c', 'a', 'b', 'c'];
     *
     * _.pull(array, 'a', 'c');
     * console.log(array);
     * // => ['b', 'b']
     */
    var pull = baseRest(pullAll);

    /**
     * This method is like `_.pull` except that it accepts an array of values to remove.
     *
     * **Note:** Unlike `_.difference`, this method mutates `array`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to modify.
     * @param {Array} values The values to remove.
     * @returns {Array} Returns `array`.
     * @example
     *
     * var array = ['a', 'b', 'c', 'a', 'b', 'c'];
     *
     * _.pullAll(array, ['a', 'c']);
     * console.log(array);
     * // => ['b', 'b']
     */
    function pullAll(array, values) {
      return (array && array.length && values && values.length)
        ? basePullAll(array, values)
        : array;
    }

    /**
     * This method is like `_.pullAll` except that it accepts `iteratee` which is
     * invoked for each element of `array` and `values` to generate the criterion
     * by which they're compared. The iteratee is invoked with one argument: (value).
     *
     * **Note:** Unlike `_.differenceBy`, this method mutates `array`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to modify.
     * @param {Array} values The values to remove.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Array} Returns `array`.
     * @example
     *
     * var array = [{ 'x': 1 }, { 'x': 2 }, { 'x': 3 }, { 'x': 1 }];
     *
     * _.pullAllBy(array, [{ 'x': 1 }, { 'x': 3 }], 'x');
     * console.log(array);
     * // => [{ 'x': 2 }]
     */
    function pullAllBy(array, values, iteratee) {
      return (array && array.length && values && values.length)
        ? basePullAll(array, values, getIteratee(iteratee, 2))
        : array;
    }

    /**
     * This method is like `_.pullAll` except that it accepts `comparator` which
     * is invoked to compare elements of `array` to `values`. The comparator is
     * invoked with two arguments: (arrVal, othVal).
     *
     * **Note:** Unlike `_.differenceWith`, this method mutates `array`.
     *
     * @static
     * @memberOf _
     * @since 4.6.0
     * @category Array
     * @param {Array} array The array to modify.
     * @param {Array} values The values to remove.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns `array`.
     * @example
     *
     * var array = [{ 'x': 1, 'y': 2 }, { 'x': 3, 'y': 4 }, { 'x': 5, 'y': 6 }];
     *
     * _.pullAllWith(array, [{ 'x': 3, 'y': 4 }], _.isEqual);
     * console.log(array);
     * // => [{ 'x': 1, 'y': 2 }, { 'x': 5, 'y': 6 }]
     */
    function pullAllWith(array, values, comparator) {
      return (array && array.length && values && values.length)
        ? basePullAll(array, values, undefined, comparator)
        : array;
    }

    /**
     * Removes elements from `array` corresponding to `indexes` and returns an
     * array of removed elements.
     *
     * **Note:** Unlike `_.at`, this method mutates `array`.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to modify.
     * @param {...(number|number[])} [indexes] The indexes of elements to remove.
     * @returns {Array} Returns the new array of removed elements.
     * @example
     *
     * var array = ['a', 'b', 'c', 'd'];
     * var pulled = _.pullAt(array, [1, 3]);
     *
     * console.log(array);
     * // => ['a', 'c']
     *
     * console.log(pulled);
     * // => ['b', 'd']
     */
    var pullAt = flatRest(function(array, indexes) {
      var length = array == null ? 0 : array.length,
          result = baseAt(array, indexes);

      basePullAt(array, arrayMap(indexes, function(index) {
        return isIndex(index, length) ? +index : index;
      }).sort(compareAscending));

      return result;
    });

    /**
     * Removes all elements from `array` that `predicate` returns truthy for
     * and returns an array of the removed elements. The predicate is invoked
     * with three arguments: (value, index, array).
     *
     * **Note:** Unlike `_.filter`, this method mutates `array`. Use `_.pull`
     * to pull elements from an array by value.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Array
     * @param {Array} array The array to modify.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the new array of removed elements.
     * @example
     *
     * var array = [1, 2, 3, 4];
     * var evens = _.remove(array, function(n) {
     *   return n % 2 == 0;
     * });
     *
     * console.log(array);
     * // => [1, 3]
     *
     * console.log(evens);
     * // => [2, 4]
     */
    function remove(array, predicate) {
      var result = [];
      if (!(array && array.length)) {
        return result;
      }
      var index = -1,
          indexes = [],
          length = array.length;

      predicate = getIteratee(predicate, 3);
      while (++index < length) {
        var value = array[index];
        if (predicate(value, index, array)) {
          result.push(value);
          indexes.push(index);
        }
      }
      basePullAt(array, indexes);
      return result;
    }

    /**
     * Reverses `array` so that the first element becomes the last, the second
     * element becomes the second to last, and so on.
     *
     * **Note:** This method mutates `array` and is based on
     * [`Array#reverse`](https://mdn.io/Array/reverse).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to modify.
     * @returns {Array} Returns `array`.
     * @example
     *
     * var array = [1, 2, 3];
     *
     * _.reverse(array);
     * // => [3, 2, 1]
     *
     * console.log(array);
     * // => [3, 2, 1]
     */
    function reverse(array) {
      return array == null ? array : nativeReverse.call(array);
    }

    /**
     * Creates a slice of `array` from `start` up to, but not including, `end`.
     *
     * **Note:** This method is used instead of
     * [`Array#slice`](https://mdn.io/Array/slice) to ensure dense arrays are
     * returned.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to slice.
     * @param {number} [start=0] The start position.
     * @param {number} [end=array.length] The end position.
     * @returns {Array} Returns the slice of `array`.
     */
    function slice(array, start, end) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return [];
      }
      if (end && typeof end != 'number' && isIterateeCall(array, start, end)) {
        start = 0;
        end = length;
      }
      else {
        start = start == null ? 0 : toInteger(start);
        end = end === undefined ? length : toInteger(end);
      }
      return baseSlice(array, start, end);
    }

    /**
     * Uses a binary search to determine the lowest index at which `value`
     * should be inserted into `array` in order to maintain its sort order.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The sorted array to inspect.
     * @param {*} value The value to evaluate.
     * @returns {number} Returns the index at which `value` should be inserted
     *  into `array`.
     * @example
     *
     * _.sortedIndex([30, 50], 40);
     * // => 1
     */
    function sortedIndex(array, value) {
      return baseSortedIndex(array, value);
    }

    /**
     * This method is like `_.sortedIndex` except that it accepts `iteratee`
     * which is invoked for `value` and each element of `array` to compute their
     * sort ranking. The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The sorted array to inspect.
     * @param {*} value The value to evaluate.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {number} Returns the index at which `value` should be inserted
     *  into `array`.
     * @example
     *
     * var objects = [{ 'x': 4 }, { 'x': 5 }];
     *
     * _.sortedIndexBy(objects, { 'x': 4 }, function(o) { return o.x; });
     * // => 0
     *
     * // The `_.property` iteratee shorthand.
     * _.sortedIndexBy(objects, { 'x': 4 }, 'x');
     * // => 0
     */
    function sortedIndexBy(array, value, iteratee) {
      return baseSortedIndexBy(array, value, getIteratee(iteratee, 2));
    }

    /**
     * This method is like `_.indexOf` except that it performs a binary
     * search on a sorted `array`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {*} value The value to search for.
     * @returns {number} Returns the index of the matched value, else `-1`.
     * @example
     *
     * _.sortedIndexOf([4, 5, 5, 5, 6], 5);
     * // => 1
     */
    function sortedIndexOf(array, value) {
      var length = array == null ? 0 : array.length;
      if (length) {
        var index = baseSortedIndex(array, value);
        if (index < length && eq(array[index], value)) {
          return index;
        }
      }
      return -1;
    }

    /**
     * This method is like `_.sortedIndex` except that it returns the highest
     * index at which `value` should be inserted into `array` in order to
     * maintain its sort order.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The sorted array to inspect.
     * @param {*} value The value to evaluate.
     * @returns {number} Returns the index at which `value` should be inserted
     *  into `array`.
     * @example
     *
     * _.sortedLastIndex([4, 5, 5, 5, 6], 5);
     * // => 4
     */
    function sortedLastIndex(array, value) {
      return baseSortedIndex(array, value, true);
    }

    /**
     * This method is like `_.sortedLastIndex` except that it accepts `iteratee`
     * which is invoked for `value` and each element of `array` to compute their
     * sort ranking. The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The sorted array to inspect.
     * @param {*} value The value to evaluate.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {number} Returns the index at which `value` should be inserted
     *  into `array`.
     * @example
     *
     * var objects = [{ 'x': 4 }, { 'x': 5 }];
     *
     * _.sortedLastIndexBy(objects, { 'x': 4 }, function(o) { return o.x; });
     * // => 1
     *
     * // The `_.property` iteratee shorthand.
     * _.sortedLastIndexBy(objects, { 'x': 4 }, 'x');
     * // => 1
     */
    function sortedLastIndexBy(array, value, iteratee) {
      return baseSortedIndexBy(array, value, getIteratee(iteratee, 2), true);
    }

    /**
     * This method is like `_.lastIndexOf` except that it performs a binary
     * search on a sorted `array`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {*} value The value to search for.
     * @returns {number} Returns the index of the matched value, else `-1`.
     * @example
     *
     * _.sortedLastIndexOf([4, 5, 5, 5, 6], 5);
     * // => 3
     */
    function sortedLastIndexOf(array, value) {
      var length = array == null ? 0 : array.length;
      if (length) {
        var index = baseSortedIndex(array, value, true) - 1;
        if (eq(array[index], value)) {
          return index;
        }
      }
      return -1;
    }

    /**
     * This method is like `_.uniq` except that it's designed and optimized
     * for sorted arrays.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @returns {Array} Returns the new duplicate free array.
     * @example
     *
     * _.sortedUniq([1, 1, 2]);
     * // => [1, 2]
     */
    function sortedUniq(array) {
      return (array && array.length)
        ? baseSortedUniq(array)
        : [];
    }

    /**
     * This method is like `_.uniqBy` except that it's designed and optimized
     * for sorted arrays.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @returns {Array} Returns the new duplicate free array.
     * @example
     *
     * _.sortedUniqBy([1.1, 1.2, 2.3, 2.4], Math.floor);
     * // => [1.1, 2.3]
     */
    function sortedUniqBy(array, iteratee) {
      return (array && array.length)
        ? baseSortedUniq(array, getIteratee(iteratee, 2))
        : [];
    }

    /**
     * Gets all but the first element of `array`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * _.tail([1, 2, 3]);
     * // => [2, 3]
     */
    function tail(array) {
      var length = array == null ? 0 : array.length;
      return length ? baseSlice(array, 1, length) : [];
    }

    /**
     * Creates a slice of `array` with `n` elements taken from the beginning.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {number} [n=1] The number of elements to take.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * _.take([1, 2, 3]);
     * // => [1]
     *
     * _.take([1, 2, 3], 2);
     * // => [1, 2]
     *
     * _.take([1, 2, 3], 5);
     * // => [1, 2, 3]
     *
     * _.take([1, 2, 3], 0);
     * // => []
     */
    function take(array, n, guard) {
      if (!(array && array.length)) {
        return [];
      }
      n = (guard || n === undefined) ? 1 : toInteger(n);
      return baseSlice(array, 0, n < 0 ? 0 : n);
    }

    /**
     * Creates a slice of `array` with `n` elements taken from the end.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {number} [n=1] The number of elements to take.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * _.takeRight([1, 2, 3]);
     * // => [3]
     *
     * _.takeRight([1, 2, 3], 2);
     * // => [2, 3]
     *
     * _.takeRight([1, 2, 3], 5);
     * // => [1, 2, 3]
     *
     * _.takeRight([1, 2, 3], 0);
     * // => []
     */
    function takeRight(array, n, guard) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return [];
      }
      n = (guard || n === undefined) ? 1 : toInteger(n);
      n = length - n;
      return baseSlice(array, n < 0 ? 0 : n, length);
    }

    /**
     * Creates a slice of `array` with elements taken from the end. Elements are
     * taken until `predicate` returns falsey. The predicate is invoked with
     * three arguments: (value, index, array).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'active': true },
     *   { 'user': 'fred',    'active': false },
     *   { 'user': 'pebbles', 'active': false }
     * ];
     *
     * _.takeRightWhile(users, function(o) { return !o.active; });
     * // => objects for ['fred', 'pebbles']
     *
     * // The `_.matches` iteratee shorthand.
     * _.takeRightWhile(users, { 'user': 'pebbles', 'active': false });
     * // => objects for ['pebbles']
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.takeRightWhile(users, ['active', false]);
     * // => objects for ['fred', 'pebbles']
     *
     * // The `_.property` iteratee shorthand.
     * _.takeRightWhile(users, 'active');
     * // => []
     */
    function takeRightWhile(array, predicate) {
      return (array && array.length)
        ? baseWhile(array, getIteratee(predicate, 3), false, true)
        : [];
    }

    /**
     * Creates a slice of `array` with elements taken from the beginning. Elements
     * are taken until `predicate` returns falsey. The predicate is invoked with
     * three arguments: (value, index, array).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'active': false },
     *   { 'user': 'fred',    'active': false },
     *   { 'user': 'pebbles', 'active': true }
     * ];
     *
     * _.takeWhile(users, function(o) { return !o.active; });
     * // => objects for ['barney', 'fred']
     *
     * // The `_.matches` iteratee shorthand.
     * _.takeWhile(users, { 'user': 'barney', 'active': false });
     * // => objects for ['barney']
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.takeWhile(users, ['active', false]);
     * // => objects for ['barney', 'fred']
     *
     * // The `_.property` iteratee shorthand.
     * _.takeWhile(users, 'active');
     * // => []
     */
    function takeWhile(array, predicate) {
      return (array && array.length)
        ? baseWhile(array, getIteratee(predicate, 3))
        : [];
    }

    /**
     * Creates an array of unique values, in order, from all given arrays using
     * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @returns {Array} Returns the new array of combined values.
     * @example
     *
     * _.union([2], [1, 2]);
     * // => [2, 1]
     */
    var union = baseRest(function(arrays) {
      return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true));
    });

    /**
     * This method is like `_.union` except that it accepts `iteratee` which is
     * invoked for each element of each `arrays` to generate the criterion by
     * which uniqueness is computed. Result values are chosen from the first
     * array in which the value occurs. The iteratee is invoked with one argument:
     * (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Array} Returns the new array of combined values.
     * @example
     *
     * _.unionBy([2.1], [1.2, 2.3], Math.floor);
     * // => [2.1, 1.2]
     *
     * // The `_.property` iteratee shorthand.
     * _.unionBy([{ 'x': 1 }], [{ 'x': 2 }, { 'x': 1 }], 'x');
     * // => [{ 'x': 1 }, { 'x': 2 }]
     */
    var unionBy = baseRest(function(arrays) {
      var iteratee = last(arrays);
      if (isArrayLikeObject(iteratee)) {
        iteratee = undefined;
      }
      return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true), getIteratee(iteratee, 2));
    });

    /**
     * This method is like `_.union` except that it accepts `comparator` which
     * is invoked to compare elements of `arrays`. Result values are chosen from
     * the first array in which the value occurs. The comparator is invoked
     * with two arguments: (arrVal, othVal).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of combined values.
     * @example
     *
     * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }];
     * var others = [{ 'x': 1, 'y': 1 }, { 'x': 1, 'y': 2 }];
     *
     * _.unionWith(objects, others, _.isEqual);
     * // => [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }, { 'x': 1, 'y': 1 }]
     */
    var unionWith = baseRest(function(arrays) {
      var comparator = last(arrays);
      comparator = typeof comparator == 'function' ? comparator : undefined;
      return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true), undefined, comparator);
    });

    /**
     * Creates a duplicate-free version of an array, using
     * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons, in which only the first occurrence of each element
     * is kept. The order of result values is determined by the order they occur
     * in the array.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @returns {Array} Returns the new duplicate free array.
     * @example
     *
     * _.uniq([2, 1, 2]);
     * // => [2, 1]
     */
    function uniq(array) {
      return (array && array.length) ? baseUniq(array) : [];
    }

    /**
     * This method is like `_.uniq` except that it accepts `iteratee` which is
     * invoked for each element in `array` to generate the criterion by which
     * uniqueness is computed. The order of result values is determined by the
     * order they occur in the array. The iteratee is invoked with one argument:
     * (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Array} Returns the new duplicate free array.
     * @example
     *
     * _.uniqBy([2.1, 1.2, 2.3], Math.floor);
     * // => [2.1, 1.2]
     *
     * // The `_.property` iteratee shorthand.
     * _.uniqBy([{ 'x': 1 }, { 'x': 2 }, { 'x': 1 }], 'x');
     * // => [{ 'x': 1 }, { 'x': 2 }]
     */
    function uniqBy(array, iteratee) {
      return (array && array.length) ? baseUniq(array, getIteratee(iteratee, 2)) : [];
    }

    /**
     * This method is like `_.uniq` except that it accepts `comparator` which
     * is invoked to compare elements of `array`. The order of result values is
     * determined by the order they occur in the array.The comparator is invoked
     * with two arguments: (arrVal, othVal).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new duplicate free array.
     * @example
     *
     * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }, { 'x': 1, 'y': 2 }];
     *
     * _.uniqWith(objects, _.isEqual);
     * // => [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }]
     */
    function uniqWith(array, comparator) {
      comparator = typeof comparator == 'function' ? comparator : undefined;
      return (array && array.length) ? baseUniq(array, undefined, comparator) : [];
    }

    /**
     * This method is like `_.zip` except that it accepts an array of grouped
     * elements and creates an array regrouping the elements to their pre-zip
     * configuration.
     *
     * @static
     * @memberOf _
     * @since 1.2.0
     * @category Array
     * @param {Array} array The array of grouped elements to process.
     * @returns {Array} Returns the new array of regrouped elements.
     * @example
     *
     * var zipped = _.zip(['a', 'b'], [1, 2], [true, false]);
     * // => [['a', 1, true], ['b', 2, false]]
     *
     * _.unzip(zipped);
     * // => [['a', 'b'], [1, 2], [true, false]]
     */
    function unzip(array) {
      if (!(array && array.length)) {
        return [];
      }
      var length = 0;
      array = arrayFilter(array, function(group) {
        if (isArrayLikeObject(group)) {
          length = nativeMax(group.length, length);
          return true;
        }
      });
      return baseTimes(length, function(index) {
        return arrayMap(array, baseProperty(index));
      });
    }

    /**
     * This method is like `_.unzip` except that it accepts `iteratee` to specify
     * how regrouped values should be combined. The iteratee is invoked with the
     * elements of each group: (...group).
     *
     * @static
     * @memberOf _
     * @since 3.8.0
     * @category Array
     * @param {Array} array The array of grouped elements to process.
     * @param {Function} [iteratee=_.identity] The function to combine
     *  regrouped values.
     * @returns {Array} Returns the new array of regrouped elements.
     * @example
     *
     * var zipped = _.zip([1, 2], [10, 20], [100, 200]);
     * // => [[1, 10, 100], [2, 20, 200]]
     *
     * _.unzipWith(zipped, _.add);
     * // => [3, 30, 300]
     */
    function unzipWith(array, iteratee) {
      if (!(array && array.length)) {
        return [];
      }
      var result = unzip(array);
      if (iteratee == null) {
        return result;
      }
      return arrayMap(result, function(group) {
        return apply(iteratee, undefined, group);
      });
    }

    /**
     * Creates an array excluding all given values using
     * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons.
     *
     * **Note:** Unlike `_.pull`, this method returns a new array.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {...*} [values] The values to exclude.
     * @returns {Array} Returns the new array of filtered values.
     * @see _.difference, _.xor
     * @example
     *
     * _.without([2, 1, 2, 3], 1, 2);
     * // => [3]
     */
    var without = baseRest(function(array, values) {
      return isArrayLikeObject(array)
        ? baseDifference(array, values)
        : [];
    });

    /**
     * Creates an array of unique values that is the
     * [symmetric difference](https://en.wikipedia.org/wiki/Symmetric_difference)
     * of the given arrays. The order of result values is determined by the order
     * they occur in the arrays.
     *
     * @static
     * @memberOf _
     * @since 2.4.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @returns {Array} Returns the new array of filtered values.
     * @see _.difference, _.without
     * @example
     *
     * _.xor([2, 1], [2, 3]);
     * // => [1, 3]
     */
    var xor = baseRest(function(arrays) {
      return baseXor(arrayFilter(arrays, isArrayLikeObject));
    });

    /**
     * This method is like `_.xor` except that it accepts `iteratee` which is
     * invoked for each element of each `arrays` to generate the criterion by
     * which by which they're compared. The order of result values is determined
     * by the order they occur in the arrays. The iteratee is invoked with one
     * argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Array} Returns the new array of filtered values.
     * @example
     *
     * _.xorBy([2.1, 1.2], [2.3, 3.4], Math.floor);
     * // => [1.2, 3.4]
     *
     * // The `_.property` iteratee shorthand.
     * _.xorBy([{ 'x': 1 }], [{ 'x': 2 }, { 'x': 1 }], 'x');
     * // => [{ 'x': 2 }]
     */
    var xorBy = baseRest(function(arrays) {
      var iteratee = last(arrays);
      if (isArrayLikeObject(iteratee)) {
        iteratee = undefined;
      }
      return baseXor(arrayFilter(arrays, isArrayLikeObject), getIteratee(iteratee, 2));
    });

    /**
     * This method is like `_.xor` except that it accepts `comparator` which is
     * invoked to compare elements of `arrays`. The order of result values is
     * determined by the order they occur in the arrays. The comparator is invoked
     * with two arguments: (arrVal, othVal).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of filtered values.
     * @example
     *
     * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }];
     * var others = [{ 'x': 1, 'y': 1 }, { 'x': 1, 'y': 2 }];
     *
     * _.xorWith(objects, others, _.isEqual);
     * // => [{ 'x': 2, 'y': 1 }, { 'x': 1, 'y': 1 }]
     */
    var xorWith = baseRest(function(arrays) {
      var comparator = last(arrays);
      comparator = typeof comparator == 'function' ? comparator : undefined;
      return baseXor(arrayFilter(arrays, isArrayLikeObject), undefined, comparator);
    });

    /**
     * Creates an array of grouped elements, the first of which contains the
     * first elements of the given arrays, the second of which contains the
     * second elements of the given arrays, and so on.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {...Array} [arrays] The arrays to process.
     * @returns {Array} Returns the new array of grouped elements.
     * @example
     *
     * _.zip(['a', 'b'], [1, 2], [true, false]);
     * // => [['a', 1, true], ['b', 2, false]]
     */
    var zip = baseRest(unzip);

    /**
     * This method is like `_.fromPairs` except that it accepts two arrays,
     * one of property identifiers and one of corresponding values.
     *
     * @static
     * @memberOf _
     * @since 0.4.0
     * @category Array
     * @param {Array} [props=[]] The property identifiers.
     * @param {Array} [values=[]] The property values.
     * @returns {Object} Returns the new object.
     * @example
     *
     * _.zipObject(['a', 'b'], [1, 2]);
     * // => { 'a': 1, 'b': 2 }
     */
    function zipObject(props, values) {
      return baseZipObject(props || [], values || [], assignValue);
    }

    /**
     * This method is like `_.zipObject` except that it supports property paths.
     *
     * @static
     * @memberOf _
     * @since 4.1.0
     * @category Array
     * @param {Array} [props=[]] The property identifiers.
     * @param {Array} [values=[]] The property values.
     * @returns {Object} Returns the new object.
     * @example
     *
     * _.zipObjectDeep(['a.b[0].c', 'a.b[1].d'], [1, 2]);
     * // => { 'a': { 'b': [{ 'c': 1 }, { 'd': 2 }] } }
     */
    function zipObjectDeep(props, values) {
      return baseZipObject(props || [], values || [], baseSet);
    }

    /**
     * This method is like `_.zip` except that it accepts `iteratee` to specify
     * how grouped values should be combined. The iteratee is invoked with the
     * elements of each group: (...group).
     *
     * @static
     * @memberOf _
     * @since 3.8.0
     * @category Array
     * @param {...Array} [arrays] The arrays to process.
     * @param {Function} [iteratee=_.identity] The function to combine
     *  grouped values.
     * @returns {Array} Returns the new array of grouped elements.
     * @example
     *
     * _.zipWith([1, 2], [10, 20], [100, 200], function(a, b, c) {
     *   return a + b + c;
     * });
     * // => [111, 222]
     */
    var zipWith = baseRest(function(arrays) {
      var length = arrays.length,
          iteratee = length > 1 ? arrays[length - 1] : undefined;

      iteratee = typeof iteratee == 'function' ? (arrays.pop(), iteratee) : undefined;
      return unzipWith(arrays, iteratee);
    });

    /*------------------------------------------------------------------------*/

    /**
     * Creates a `lodash` wrapper instance that wraps `value` with explicit method
     * chain sequences enabled. The result of such sequences must be unwrapped
     * with `_#value`.
     *
     * @static
     * @memberOf _
     * @since 1.3.0
     * @category Seq
     * @param {*} value The value to wrap.
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'age': 36 },
     *   { 'user': 'fred',    'age': 40 },
     *   { 'user': 'pebbles', 'age': 1 }
     * ];
     *
     * var youngest = _
     *   .chain(users)
     *   .sortBy('age')
     *   .map(function(o) {
     *     return o.user + ' is ' + o.age;
     *   })
     *   .head()
     *   .value();
     * // => 'pebbles is 1'
     */
    function chain(value) {
      var result = lodash(value);
      result.__chain__ = true;
      return result;
    }

    /**
     * This method invokes `interceptor` and returns `value`. The interceptor
     * is invoked with one argument; (value). The purpose of this method is to
     * "tap into" a method chain sequence in order to modify intermediate results.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Seq
     * @param {*} value The value to provide to `interceptor`.
     * @param {Function} interceptor The function to invoke.
     * @returns {*} Returns `value`.
     * @example
     *
     * _([1, 2, 3])
     *  .tap(function(array) {
     *    // Mutate input array.
     *    array.pop();
     *  })
     *  .reverse()
     *  .value();
     * // => [2, 1]
     */
    function tap(value, interceptor) {
      interceptor(value);
      return value;
    }

    /**
     * This method is like `_.tap` except that it returns the result of `interceptor`.
     * The purpose of this method is to "pass thru" values replacing intermediate
     * results in a method chain sequence.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Seq
     * @param {*} value The value to provide to `interceptor`.
     * @param {Function} interceptor The function to invoke.
     * @returns {*} Returns the result of `interceptor`.
     * @example
     *
     * _('  abc  ')
     *  .chain()
     *  .trim()
     *  .thru(function(value) {
     *    return [value];
     *  })
     *  .value();
     * // => ['abc']
     */
    function thru(value, interceptor) {
      return interceptor(value);
    }

    /**
     * This method is the wrapper version of `_.at`.
     *
     * @name at
     * @memberOf _
     * @since 1.0.0
     * @category Seq
     * @param {...(string|string[])} [paths] The property paths to pick.
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': 3 } }, 4] };
     *
     * _(object).at(['a[0].b.c', 'a[1]']).value();
     * // => [3, 4]
     */
    var wrapperAt = flatRest(function(paths) {
      var length = paths.length,
          start = length ? paths[0] : 0,
          value = this.__wrapped__,
          interceptor = function(object) { return baseAt(object, paths); };

      if (length > 1 || this.__actions__.length ||
          !(value instanceof LazyWrapper) || !isIndex(start)) {
        return this.thru(interceptor);
      }
      value = value.slice(start, +start + (length ? 1 : 0));
      value.__actions__.push({
        'func': thru,
        'args': [interceptor],
        'thisArg': undefined
      });
      return new LodashWrapper(value, this.__chain__).thru(function(array) {
        if (length && !array.length) {
          array.push(undefined);
        }
        return array;
      });
    });

    /**
     * Creates a `lodash` wrapper instance with explicit method chain sequences enabled.
     *
     * @name chain
     * @memberOf _
     * @since 0.1.0
     * @category Seq
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * var users = [
     *   { 'user': 'barney', 'age': 36 },
     *   { 'user': 'fred',   'age': 40 }
     * ];
     *
     * // A sequence without explicit chaining.
     * _(users).head();
     * // => { 'user': 'barney', 'age': 36 }
     *
     * // A sequence with explicit chaining.
     * _(users)
     *   .chain()
     *   .head()
     *   .pick('user')
     *   .value();
     * // => { 'user': 'barney' }
     */
    function wrapperChain() {
      return chain(this);
    }

    /**
     * Executes the chain sequence and returns the wrapped result.
     *
     * @name commit
     * @memberOf _
     * @since 3.2.0
     * @category Seq
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * var array = [1, 2];
     * var wrapped = _(array).push(3);
     *
     * console.log(array);
     * // => [1, 2]
     *
     * wrapped = wrapped.commit();
     * console.log(array);
     * // => [1, 2, 3]
     *
     * wrapped.last();
     * // => 3
     *
     * console.log(array);
     * // => [1, 2, 3]
     */
    function wrapperCommit() {
      return new LodashWrapper(this.value(), this.__chain__);
    }

    /**
     * Gets the next value on a wrapped object following the
     * [iterator protocol](https://mdn.io/iteration_protocols#iterator).
     *
     * @name next
     * @memberOf _
     * @since 4.0.0
     * @category Seq
     * @returns {Object} Returns the next iterator value.
     * @example
     *
     * var wrapped = _([1, 2]);
     *
     * wrapped.next();
     * // => { 'done': false, 'value': 1 }
     *
     * wrapped.next();
     * // => { 'done': false, 'value': 2 }
     *
     * wrapped.next();
     * // => { 'done': true, 'value': undefined }
     */
    function wrapperNext() {
      if (this.__values__ === undefined) {
        this.__values__ = toArray(this.value());
      }
      var done = this.__index__ >= this.__values__.length,
          value = done ? undefined : this.__values__[this.__index__++];

      return { 'done': done, 'value': value };
    }

    /**
     * Enables the wrapper to be iterable.
     *
     * @name Symbol.iterator
     * @memberOf _
     * @since 4.0.0
     * @category Seq
     * @returns {Object} Returns the wrapper object.
     * @example
     *
     * var wrapped = _([1, 2]);
     *
     * wrapped[Symbol.iterator]() === wrapped;
     * // => true
     *
     * Array.from(wrapped);
     * // => [1, 2]
     */
    function wrapperToIterator() {
      return this;
    }

    /**
     * Creates a clone of the chain sequence planting `value` as the wrapped value.
     *
     * @name plant
     * @memberOf _
     * @since 3.2.0
     * @category Seq
     * @param {*} value The value to plant.
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * function square(n) {
     *   return n * n;
     * }
     *
     * var wrapped = _([1, 2]).map(square);
     * var other = wrapped.plant([3, 4]);
     *
     * other.value();
     * // => [9, 16]
     *
     * wrapped.value();
     * // => [1, 4]
     */
    function wrapperPlant(value) {
      var result,
          parent = this;

      while (parent instanceof baseLodash) {
        var clone = wrapperClone(parent);
        clone.__index__ = 0;
        clone.__values__ = undefined;
        if (result) {
          previous.__wrapped__ = clone;
        } else {
          result = clone;
        }
        var previous = clone;
        parent = parent.__wrapped__;
      }
      previous.__wrapped__ = value;
      return result;
    }

    /**
     * This method is the wrapper version of `_.reverse`.
     *
     * **Note:** This method mutates the wrapped array.
     *
     * @name reverse
     * @memberOf _
     * @since 0.1.0
     * @category Seq
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * var array = [1, 2, 3];
     *
     * _(array).reverse().value()
     * // => [3, 2, 1]
     *
     * console.log(array);
     * // => [3, 2, 1]
     */
    function wrapperReverse() {
      var value = this.__wrapped__;
      if (value instanceof LazyWrapper) {
        var wrapped = value;
        if (this.__actions__.length) {
          wrapped = new LazyWrapper(this);
        }
        wrapped = wrapped.reverse();
        wrapped.__actions__.push({
          'func': thru,
          'args': [reverse],
          'thisArg': undefined
        });
        return new LodashWrapper(wrapped, this.__chain__);
      }
      return this.thru(reverse);
    }

    /**
     * Executes the chain sequence to resolve the unwrapped value.
     *
     * @name value
     * @memberOf _
     * @since 0.1.0
     * @alias toJSON, valueOf
     * @category Seq
     * @returns {*} Returns the resolved unwrapped value.
     * @example
     *
     * _([1, 2, 3]).value();
     * // => [1, 2, 3]
     */
    function wrapperValue() {
      return baseWrapperValue(this.__wrapped__, this.__actions__);
    }

    /*------------------------------------------------------------------------*/

    /**
     * Creates an object composed of keys generated from the results of running
     * each element of `collection` thru `iteratee`. The corresponding value of
     * each key is the number of times the key was returned by `iteratee`. The
     * iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 0.5.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee to transform keys.
     * @returns {Object} Returns the composed aggregate object.
     * @example
     *
     * _.countBy([6.1, 4.2, 6.3], Math.floor);
     * // => { '4': 1, '6': 2 }
     *
     * // The `_.property` iteratee shorthand.
     * _.countBy(['one', 'two', 'three'], 'length');
     * // => { '3': 2, '5': 1 }
     */
    var countBy = createAggregator(function(result, value, key) {
      if (hasOwnProperty.call(result, key)) {
        ++result[key];
      } else {
        baseAssignValue(result, key, 1);
      }
    });

    /**
     * Checks if `predicate` returns truthy for **all** elements of `collection`.
     * Iteration is stopped once `predicate` returns falsey. The predicate is
     * invoked with three arguments: (value, index|key, collection).
     *
     * **Note:** This method returns `true` for
     * [empty collections](https://en.wikipedia.org/wiki/Empty_set) because
     * [everything is true](https://en.wikipedia.org/wiki/Vacuous_truth) of
     * elements of empty collections.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {boolean} Returns `true` if all elements pass the predicate check,
     *  else `false`.
     * @example
     *
     * _.every([true, 1, null, 'yes'], Boolean);
     * // => false
     *
     * var users = [
     *   { 'user': 'barney', 'age': 36, 'active': false },
     *   { 'user': 'fred',   'age': 40, 'active': false }
     * ];
     *
     * // The `_.matches` iteratee shorthand.
     * _.every(users, { 'user': 'barney', 'active': false });
     * // => false
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.every(users, ['active', false]);
     * // => true
     *
     * // The `_.property` iteratee shorthand.
     * _.every(users, 'active');
     * // => false
     */
    function every(collection, predicate, guard) {
      var func = isArray(collection) ? arrayEvery : baseEvery;
      if (guard && isIterateeCall(collection, predicate, guard)) {
        predicate = undefined;
      }
      return func(collection, getIteratee(predicate, 3));
    }

    /**
     * Iterates over elements of `collection`, returning an array of all elements
     * `predicate` returns truthy for. The predicate is invoked with three
     * arguments: (value, index|key, collection).
     *
     * **Note:** Unlike `_.remove`, this method returns a new array.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the new filtered array.
     * @see _.reject
     * @example
     *
     * var users = [
     *   { 'user': 'barney', 'age': 36, 'active': true },
     *   { 'user': 'fred',   'age': 40, 'active': false }
     * ];
     *
     * _.filter(users, function(o) { return !o.active; });
     * // => objects for ['fred']
     *
     * // The `_.matches` iteratee shorthand.
     * _.filter(users, { 'age': 36, 'active': true });
     * // => objects for ['barney']
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.filter(users, ['active', false]);
     * // => objects for ['fred']
     *
     * // The `_.property` iteratee shorthand.
     * _.filter(users, 'active');
     * // => objects for ['barney']
     *
     * // Combining several predicates using `_.overEvery` or `_.overSome`.
     * _.filter(users, _.overSome([{ 'age': 36 }, ['age', 40]]));
     * // => objects for ['fred', 'barney']
     */
    function filter(collection, predicate) {
      var func = isArray(collection) ? arrayFilter : baseFilter;
      return func(collection, getIteratee(predicate, 3));
    }

    /**
     * Iterates over elements of `collection`, returning the first element
     * `predicate` returns truthy for. The predicate is invoked with three
     * arguments: (value, index|key, collection).
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to inspect.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @param {number} [fromIndex=0] The index to search from.
     * @returns {*} Returns the matched element, else `undefined`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'age': 36, 'active': true },
     *   { 'user': 'fred',    'age': 40, 'active': false },
     *   { 'user': 'pebbles', 'age': 1,  'active': true }
     * ];
     *
     * _.find(users, function(o) { return o.age < 40; });
     * // => object for 'barney'
     *
     * // The `_.matches` iteratee shorthand.
     * _.find(users, { 'age': 1, 'active': true });
     * // => object for 'pebbles'
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.find(users, ['active', false]);
     * // => object for 'fred'
     *
     * // The `_.property` iteratee shorthand.
     * _.find(users, 'active');
     * // => object for 'barney'
     */
    var find = createFind(findIndex);

    /**
     * This method is like `_.find` except that it iterates over elements of
     * `collection` from right to left.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to inspect.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @param {number} [fromIndex=collection.length-1] The index to search from.
     * @returns {*} Returns the matched element, else `undefined`.
     * @example
     *
     * _.findLast([1, 2, 3, 4], function(n) {
     *   return n % 2 == 1;
     * });
     * // => 3
     */
    var findLast = createFind(findLastIndex);

    /**
     * Creates a flattened array of values by running each element in `collection`
     * thru `iteratee` and flattening the mapped results. The iteratee is invoked
     * with three arguments: (value, index|key, collection).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the new flattened array.
     * @example
     *
     * function duplicate(n) {
     *   return [n, n];
     * }
     *
     * _.flatMap([1, 2], duplicate);
     * // => [1, 1, 2, 2]
     */
    function flatMap(collection, iteratee) {
      return baseFlatten(map(collection, iteratee), 1);
    }

    /**
     * This method is like `_.flatMap` except that it recursively flattens the
     * mapped results.
     *
     * @static
     * @memberOf _
     * @since 4.7.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the new flattened array.
     * @example
     *
     * function duplicate(n) {
     *   return [[[n, n]]];
     * }
     *
     * _.flatMapDeep([1, 2], duplicate);
     * // => [1, 1, 2, 2]
     */
    function flatMapDeep(collection, iteratee) {
      return baseFlatten(map(collection, iteratee), INFINITY);
    }

    /**
     * This method is like `_.flatMap` except that it recursively flattens the
     * mapped results up to `depth` times.
     *
     * @static
     * @memberOf _
     * @since 4.7.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @param {number} [depth=1] The maximum recursion depth.
     * @returns {Array} Returns the new flattened array.
     * @example
     *
     * function duplicate(n) {
     *   return [[[n, n]]];
     * }
     *
     * _.flatMapDepth([1, 2], duplicate, 2);
     * // => [[1, 1], [2, 2]]
     */
    function flatMapDepth(collection, iteratee, depth) {
      depth = depth === undefined ? 1 : toInteger(depth);
      return baseFlatten(map(collection, iteratee), depth);
    }

    /**
     * Iterates over elements of `collection` and invokes `iteratee` for each element.
     * The iteratee is invoked with three arguments: (value, index|key, collection).
     * Iteratee functions may exit iteration early by explicitly returning `false`.
     *
     * **Note:** As with other "Collections" methods, objects with a "length"
     * property are iterated like arrays. To avoid this behavior use `_.forIn`
     * or `_.forOwn` for object iteration.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @alias each
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Array|Object} Returns `collection`.
     * @see _.forEachRight
     * @example
     *
     * _.forEach([1, 2], function(value) {
     *   console.log(value);
     * });
     * // => Logs `1` then `2`.
     *
     * _.forEach({ 'a': 1, 'b': 2 }, function(value, key) {
     *   console.log(key);
     * });
     * // => Logs 'a' then 'b' (iteration order is not guaranteed).
     */
    function forEach(collection, iteratee) {
      var func = isArray(collection) ? arrayEach : baseEach;
      return func(collection, getIteratee(iteratee, 3));
    }

    /**
     * This method is like `_.forEach` except that it iterates over elements of
     * `collection` from right to left.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @alias eachRight
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Array|Object} Returns `collection`.
     * @see _.forEach
     * @example
     *
     * _.forEachRight([1, 2], function(value) {
     *   console.log(value);
     * });
     * // => Logs `2` then `1`.
     */
    function forEachRight(collection, iteratee) {
      var func = isArray(collection) ? arrayEachRight : baseEachRight;
      return func(collection, getIteratee(iteratee, 3));
    }

    /**
     * Creates an object composed of keys generated from the results of running
     * each element of `collection` thru `iteratee`. The order of grouped values
     * is determined by the order they occur in `collection`. The corresponding
     * value of each key is an array of elements responsible for generating the
     * key. The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee to transform keys.
     * @returns {Object} Returns the composed aggregate object.
     * @example
     *
     * _.groupBy([6.1, 4.2, 6.3], Math.floor);
     * // => { '4': [4.2], '6': [6.1, 6.3] }
     *
     * // The `_.property` iteratee shorthand.
     * _.groupBy(['one', 'two', 'three'], 'length');
     * // => { '3': ['one', 'two'], '5': ['three'] }
     */
    var groupBy = createAggregator(function(result, value, key) {
      if (hasOwnProperty.call(result, key)) {
        result[key].push(value);
      } else {
        baseAssignValue(result, key, [value]);
      }
    });

    /**
     * Checks if `value` is in `collection`. If `collection` is a string, it's
     * checked for a substring of `value`, otherwise
     * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * is used for equality comparisons. If `fromIndex` is negative, it's used as
     * the offset from the end of `collection`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object|string} collection The collection to inspect.
     * @param {*} value The value to search for.
     * @param {number} [fromIndex=0] The index to search from.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.reduce`.
     * @returns {boolean} Returns `true` if `value` is found, else `false`.
     * @example
     *
     * _.includes([1, 2, 3], 1);
     * // => true
     *
     * _.includes([1, 2, 3], 1, 2);
     * // => false
     *
     * _.includes({ 'a': 1, 'b': 2 }, 1);
     * // => true
     *
     * _.includes('abcd', 'bc');
     * // => true
     */
    function includes(collection, value, fromIndex, guard) {
      collection = isArrayLike(collection) ? collection : values(collection);
      fromIndex = (fromIndex && !guard) ? toInteger(fromIndex) : 0;

      var length = collection.length;
      if (fromIndex < 0) {
        fromIndex = nativeMax(length + fromIndex, 0);
      }
      return isString(collection)
        ? (fromIndex <= length && collection.indexOf(value, fromIndex) > -1)
        : (!!length && baseIndexOf(collection, value, fromIndex) > -1);
    }

    /**
     * Invokes the method at `path` of each element in `collection`, returning
     * an array of the results of each invoked method. Any additional arguments
     * are provided to each invoked method. If `path` is a function, it's invoked
     * for, and `this` bound to, each element in `collection`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Array|Function|string} path The path of the method to invoke or
     *  the function invoked per iteration.
     * @param {...*} [args] The arguments to invoke each method with.
     * @returns {Array} Returns the array of results.
     * @example
     *
     * _.invokeMap([[5, 1, 7], [3, 2, 1]], 'sort');
     * // => [[1, 5, 7], [1, 2, 3]]
     *
     * _.invokeMap([123, 456], String.prototype.split, '');
     * // => [['1', '2', '3'], ['4', '5', '6']]
     */
    var invokeMap = baseRest(function(collection, path, args) {
      var index = -1,
          isFunc = typeof path == 'function',
          result = isArrayLike(collection) ? Array(collection.length) : [];

      baseEach(collection, function(value) {
        result[++index] = isFunc ? apply(path, value, args) : baseInvoke(value, path, args);
      });
      return result;
    });

    /**
     * Creates an object composed of keys generated from the results of running
     * each element of `collection` thru `iteratee`. The corresponding value of
     * each key is the last element responsible for generating the key. The
     * iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee to transform keys.
     * @returns {Object} Returns the composed aggregate object.
     * @example
     *
     * var array = [
     *   { 'dir': 'left', 'code': 97 },
     *   { 'dir': 'right', 'code': 100 }
     * ];
     *
     * _.keyBy(array, function(o) {
     *   return String.fromCharCode(o.code);
     * });
     * // => { 'a': { 'dir': 'left', 'code': 97 }, 'd': { 'dir': 'right', 'code': 100 } }
     *
     * _.keyBy(array, 'dir');
     * // => { 'left': { 'dir': 'left', 'code': 97 }, 'right': { 'dir': 'right', 'code': 100 } }
     */
    var keyBy = createAggregator(function(result, value, key) {
      baseAssignValue(result, key, value);
    });

    /**
     * Creates an array of values by running each element in `collection` thru
     * `iteratee`. The iteratee is invoked with three arguments:
     * (value, index|key, collection).
     *
     * Many lodash methods are guarded to work as iteratees for methods like
     * `_.every`, `_.filter`, `_.map`, `_.mapValues`, `_.reject`, and `_.some`.
     *
     * The guarded methods are:
     * `ary`, `chunk`, `curry`, `curryRight`, `drop`, `dropRight`, `every`,
     * `fill`, `invert`, `parseInt`, `random`, `range`, `rangeRight`, `repeat`,
     * `sampleSize`, `slice`, `some`, `sortBy`, `split`, `take`, `takeRight`,
     * `template`, `trim`, `trimEnd`, `trimStart`, and `words`
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the new mapped array.
     * @example
     *
     * function square(n) {
     *   return n * n;
     * }
     *
     * _.map([4, 8], square);
     * // => [16, 64]
     *
     * _.map({ 'a': 4, 'b': 8 }, square);
     * // => [16, 64] (iteration order is not guaranteed)
     *
     * var users = [
     *   { 'user': 'barney' },
     *   { 'user': 'fred' }
     * ];
     *
     * // The `_.property` iteratee shorthand.
     * _.map(users, 'user');
     * // => ['barney', 'fred']
     */
    function map(collection, iteratee) {
      var func = isArray(collection) ? arrayMap : baseMap;
      return func(collection, getIteratee(iteratee, 3));
    }

    /**
     * This method is like `_.sortBy` except that it allows specifying the sort
     * orders of the iteratees to sort by. If `orders` is unspecified, all values
     * are sorted in ascending order. Otherwise, specify an order of "desc" for
     * descending or "asc" for ascending sort order of corresponding values.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Array[]|Function[]|Object[]|string[]} [iteratees=[_.identity]]
     *  The iteratees to sort by.
     * @param {string[]} [orders] The sort orders of `iteratees`.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.reduce`.
     * @returns {Array} Returns the new sorted array.
     * @example
     *
     * var users = [
     *   { 'user': 'fred',   'age': 48 },
     *   { 'user': 'barney', 'age': 34 },
     *   { 'user': 'fred',   'age': 40 },
     *   { 'user': 'barney', 'age': 36 }
     * ];
     *
     * // Sort by `user` in ascending order and by `age` in descending order.
     * _.orderBy(users, ['user', 'age'], ['asc', 'desc']);
     * // => objects for [['barney', 36], ['barney', 34], ['fred', 48], ['fred', 40]]
     */
    function orderBy(collection, iteratees, orders, guard) {
      if (collection == null) {
        return [];
      }
      if (!isArray(iteratees)) {
        iteratees = iteratees == null ? [] : [iteratees];
      }
      orders = guard ? undefined : orders;
      if (!isArray(orders)) {
        orders = orders == null ? [] : [orders];
      }
      return baseOrderBy(collection, iteratees, orders);
    }

    /**
     * Creates an array of elements split into two groups, the first of which
     * contains elements `predicate` returns truthy for, the second of which
     * contains elements `predicate` returns falsey for. The predicate is
     * invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the array of grouped elements.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'age': 36, 'active': false },
     *   { 'user': 'fred',    'age': 40, 'active': true },
     *   { 'user': 'pebbles', 'age': 1,  'active': false }
     * ];
     *
     * _.partition(users, function(o) { return o.active; });
     * // => objects for [['fred'], ['barney', 'pebbles']]
     *
     * // The `_.matches` iteratee shorthand.
     * _.partition(users, { 'age': 1, 'active': false });
     * // => objects for [['pebbles'], ['barney', 'fred']]
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.partition(users, ['active', false]);
     * // => objects for [['barney', 'pebbles'], ['fred']]
     *
     * // The `_.property` iteratee shorthand.
     * _.partition(users, 'active');
     * // => objects for [['fred'], ['barney', 'pebbles']]
     */
    var partition = createAggregator(function(result, value, key) {
      result[key ? 0 : 1].push(value);
    }, function() { return [[], []]; });

    /**
     * Reduces `collection` to a value which is the accumulated result of running
     * each element in `collection` thru `iteratee`, where each successive
     * invocation is supplied the return value of the previous. If `accumulator`
     * is not given, the first element of `collection` is used as the initial
     * value. The iteratee is invoked with four arguments:
     * (accumulator, value, index|key, collection).
     *
     * Many lodash methods are guarded to work as iteratees for methods like
     * `_.reduce`, `_.reduceRight`, and `_.transform`.
     *
     * The guarded methods are:
     * `assign`, `defaults`, `defaultsDeep`, `includes`, `merge`, `orderBy`,
     * and `sortBy`
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @param {*} [accumulator] The initial value.
     * @returns {*} Returns the accumulated value.
     * @see _.reduceRight
     * @example
     *
     * _.reduce([1, 2], function(sum, n) {
     *   return sum + n;
     * }, 0);
     * // => 3
     *
     * _.reduce({ 'a': 1, 'b': 2, 'c': 1 }, function(result, value, key) {
     *   (result[value] || (result[value] = [])).push(key);
     *   return result;
     * }, {});
     * // => { '1': ['a', 'c'], '2': ['b'] } (iteration order is not guaranteed)
     */
    function reduce(collection, iteratee, accumulator) {
      var func = isArray(collection) ? arrayReduce : baseReduce,
          initAccum = arguments.length < 3;

      return func(collection, getIteratee(iteratee, 4), accumulator, initAccum, baseEach);
    }

    /**
     * This method is like `_.reduce` except that it iterates over elements of
     * `collection` from right to left.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @param {*} [accumulator] The initial value.
     * @returns {*} Returns the accumulated value.
     * @see _.reduce
     * @example
     *
     * var array = [[0, 1], [2, 3], [4, 5]];
     *
     * _.reduceRight(array, function(flattened, other) {
     *   return flattened.concat(other);
     * }, []);
     * // => [4, 5, 2, 3, 0, 1]
     */
    function reduceRight(collection, iteratee, accumulator) {
      var func = isArray(collection) ? arrayReduceRight : baseReduce,
          initAccum = arguments.length < 3;

      return func(collection, getIteratee(iteratee, 4), accumulator, initAccum, baseEachRight);
    }

    /**
     * The opposite of `_.filter`; this method returns the elements of `collection`
     * that `predicate` does **not** return truthy for.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the new filtered array.
     * @see _.filter
     * @example
     *
     * var users = [
     *   { 'user': 'barney', 'age': 36, 'active': false },
     *   { 'user': 'fred',   'age': 40, 'active': true }
     * ];
     *
     * _.reject(users, function(o) { return !o.active; });
     * // => objects for ['fred']
     *
     * // The `_.matches` iteratee shorthand.
     * _.reject(users, { 'age': 40, 'active': true });
     * // => objects for ['barney']
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.reject(users, ['active', false]);
     * // => objects for ['fred']
     *
     * // The `_.property` iteratee shorthand.
     * _.reject(users, 'active');
     * // => objects for ['barney']
     */
    function reject(collection, predicate) {
      var func = isArray(collection) ? arrayFilter : baseFilter;
      return func(collection, negate(getIteratee(predicate, 3)));
    }

    /**
     * Gets a random element from `collection`.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to sample.
     * @returns {*} Returns the random element.
     * @example
     *
     * _.sample([1, 2, 3, 4]);
     * // => 2
     */
    function sample(collection) {
      var func = isArray(collection) ? arraySample : baseSample;
      return func(collection);
    }

    /**
     * Gets `n` random elements at unique keys from `collection` up to the
     * size of `collection`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to sample.
     * @param {number} [n=1] The number of elements to sample.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the random elements.
     * @example
     *
     * _.sampleSize([1, 2, 3], 2);
     * // => [3, 1]
     *
     * _.sampleSize([1, 2, 3], 4);
     * // => [2, 3, 1]
     */
    function sampleSize(collection, n, guard) {
      if ((guard ? isIterateeCall(collection, n, guard) : n === undefined)) {
        n = 1;
      } else {
        n = toInteger(n);
      }
      var func = isArray(collection) ? arraySampleSize : baseSampleSize;
      return func(collection, n);
    }

    /**
     * Creates an array of shuffled values, using a version of the
     * [Fisher-Yates shuffle](https://en.wikipedia.org/wiki/Fisher-Yates_shuffle).
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to shuffle.
     * @returns {Array} Returns the new shuffled array.
     * @example
     *
     * _.shuffle([1, 2, 3, 4]);
     * // => [4, 1, 3, 2]
     */
    function shuffle(collection) {
      var func = isArray(collection) ? arrayShuffle : baseShuffle;
      return func(collection);
    }

    /**
     * Gets the size of `collection` by returning its length for array-like
     * values or the number of own enumerable string keyed properties for objects.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object|string} collection The collection to inspect.
     * @returns {number} Returns the collection size.
     * @example
     *
     * _.size([1, 2, 3]);
     * // => 3
     *
     * _.size({ 'a': 1, 'b': 2 });
     * // => 2
     *
     * _.size('pebbles');
     * // => 7
     */
    function size(collection) {
      if (collection == null) {
        return 0;
      }
      if (isArrayLike(collection)) {
        return isString(collection) ? stringSize(collection) : collection.length;
      }
      var tag = getTag(collection);
      if (tag == mapTag || tag == setTag) {
        return collection.size;
      }
      return baseKeys(collection).length;
    }

    /**
     * Checks if `predicate` returns truthy for **any** element of `collection`.
     * Iteration is stopped once `predicate` returns truthy. The predicate is
     * invoked with three arguments: (value, index|key, collection).
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {boolean} Returns `true` if any element passes the predicate check,
     *  else `false`.
     * @example
     *
     * _.some([null, 0, 'yes', false], Boolean);
     * // => true
     *
     * var users = [
     *   { 'user': 'barney', 'active': true },
     *   { 'user': 'fred',   'active': false }
     * ];
     *
     * // The `_.matches` iteratee shorthand.
     * _.some(users, { 'user': 'barney', 'active': false });
     * // => false
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.some(users, ['active', false]);
     * // => true
     *
     * // The `_.property` iteratee shorthand.
     * _.some(users, 'active');
     * // => true
     */
    function some(collection, predicate, guard) {
      var func = isArray(collection) ? arraySome : baseSome;
      if (guard && isIterateeCall(collection, predicate, guard)) {
        predicate = undefined;
      }
      return func(collection, getIteratee(predicate, 3));
    }

    /**
     * Creates an array of elements, sorted in ascending order by the results of
     * running each element in a collection thru each iteratee. This method
     * performs a stable sort, that is, it preserves the original sort order of
     * equal elements. The iteratees are invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {...(Function|Function[])} [iteratees=[_.identity]]
     *  The iteratees to sort by.
     * @returns {Array} Returns the new sorted array.
     * @example
     *
     * var users = [
     *   { 'user': 'fred',   'age': 48 },
     *   { 'user': 'barney', 'age': 36 },
     *   { 'user': 'fred',   'age': 30 },
     *   { 'user': 'barney', 'age': 34 }
     * ];
     *
     * _.sortBy(users, [function(o) { return o.user; }]);
     * // => objects for [['barney', 36], ['barney', 34], ['fred', 48], ['fred', 30]]
     *
     * _.sortBy(users, ['user', 'age']);
     * // => objects for [['barney', 34], ['barney', 36], ['fred', 30], ['fred', 48]]
     */
    var sortBy = baseRest(function(collection, iteratees) {
      if (collection == null) {
        return [];
      }
      var length = iteratees.length;
      if (length > 1 && isIterateeCall(collection, iteratees[0], iteratees[1])) {
        iteratees = [];
      } else if (length > 2 && isIterateeCall(iteratees[0], iteratees[1], iteratees[2])) {
        iteratees = [iteratees[0]];
      }
      return baseOrderBy(collection, baseFlatten(iteratees, 1), []);
    });

    /*------------------------------------------------------------------------*/

    /**
     * Gets the timestamp of the number of milliseconds that have elapsed since
     * the Unix epoch (1 January 1970 00:00:00 UTC).
     *
     * @static
     * @memberOf _
     * @since 2.4.0
     * @category Date
     * @returns {number} Returns the timestamp.
     * @example
     *
     * _.defer(function(stamp) {
     *   console.log(_.now() - stamp);
     * }, _.now());
     * // => Logs the number of milliseconds it took for the deferred invocation.
     */
    var now = ctxNow || function() {
      return root.Date.now();
    };

    /*------------------------------------------------------------------------*/

    /**
     * The opposite of `_.before`; this method creates a function that invokes
     * `func` once it's called `n` or more times.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {number} n The number of calls before `func` is invoked.
     * @param {Function} func The function to restrict.
     * @returns {Function} Returns the new restricted function.
     * @example
     *
     * var saves = ['profile', 'settings'];
     *
     * var done = _.after(saves.length, function() {
     *   console.log('done saving!');
     * });
     *
     * _.forEach(saves, function(type) {
     *   asyncSave({ 'type': type, 'complete': done });
     * });
     * // => Logs 'done saving!' after the two async saves have completed.
     */
    function after(n, func) {
      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      n = toInteger(n);
      return function() {
        if (--n < 1) {
          return func.apply(this, arguments);
        }
      };
    }

    /**
     * Creates a function that invokes `func`, with up to `n` arguments,
     * ignoring any additional arguments.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Function
     * @param {Function} func The function to cap arguments for.
     * @param {number} [n=func.length] The arity cap.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Function} Returns the new capped function.
     * @example
     *
     * _.map(['6', '8', '10'], _.ary(parseInt, 1));
     * // => [6, 8, 10]
     */
    function ary(func, n, guard) {
      n = guard ? undefined : n;
      n = (func && n == null) ? func.length : n;
      return createWrap(func, WRAP_ARY_FLAG, undefined, undefined, undefined, undefined, n);
    }

    /**
     * Creates a function that invokes `func`, with the `this` binding and arguments
     * of the created function, while it's called less than `n` times. Subsequent
     * calls to the created function return the result of the last `func` invocation.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Function
     * @param {number} n The number of calls at which `func` is no longer invoked.
     * @param {Function} func The function to restrict.
     * @returns {Function} Returns the new restricted function.
     * @example
     *
     * jQuery(element).on('click', _.before(5, addContactToList));
     * // => Allows adding up to 4 contacts to the list.
     */
    function before(n, func) {
      var result;
      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      n = toInteger(n);
      return function() {
        if (--n > 0) {
          result = func.apply(this, arguments);
        }
        if (n <= 1) {
          func = undefined;
        }
        return result;
      };
    }

    /**
     * Creates a function that invokes `func` with the `this` binding of `thisArg`
     * and `partials` prepended to the arguments it receives.
     *
     * The `_.bind.placeholder` value, which defaults to `_` in monolithic builds,
     * may be used as a placeholder for partially applied arguments.
     *
     * **Note:** Unlike native `Function#bind`, this method doesn't set the "length"
     * property of bound functions.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to bind.
     * @param {*} thisArg The `this` binding of `func`.
     * @param {...*} [partials] The arguments to be partially applied.
     * @returns {Function} Returns the new bound function.
     * @example
     *
     * function greet(greeting, punctuation) {
     *   return greeting + ' ' + this.user + punctuation;
     * }
     *
     * var object = { 'user': 'fred' };
     *
     * var bound = _.bind(greet, object, 'hi');
     * bound('!');
     * // => 'hi fred!'
     *
     * // Bound with placeholders.
     * var bound = _.bind(greet, object, _, '!');
     * bound('hi');
     * // => 'hi fred!'
     */
    var bind = baseRest(function(func, thisArg, partials) {
      var bitmask = WRAP_BIND_FLAG;
      if (partials.length) {
        var holders = replaceHolders(partials, getHolder(bind));
        bitmask |= WRAP_PARTIAL_FLAG;
      }
      return createWrap(func, bitmask, thisArg, partials, holders);
    });

    /**
     * Creates a function that invokes the method at `object[key]` with `partials`
     * prepended to the arguments it receives.
     *
     * This method differs from `_.bind` by allowing bound functions to reference
     * methods that may be redefined or don't yet exist. See
     * [Peter Michaux's article](http://peter.michaux.ca/articles/lazy-function-definition-pattern)
     * for more details.
     *
     * The `_.bindKey.placeholder` value, which defaults to `_` in monolithic
     * builds, may be used as a placeholder for partially applied arguments.
     *
     * @static
     * @memberOf _
     * @since 0.10.0
     * @category Function
     * @param {Object} object The object to invoke the method on.
     * @param {string} key The key of the method.
     * @param {...*} [partials] The arguments to be partially applied.
     * @returns {Function} Returns the new bound function.
     * @example
     *
     * var object = {
     *   'user': 'fred',
     *   'greet': function(greeting, punctuation) {
     *     return greeting + ' ' + this.user + punctuation;
     *   }
     * };
     *
     * var bound = _.bindKey(object, 'greet', 'hi');
     * bound('!');
     * // => 'hi fred!'
     *
     * object.greet = function(greeting, punctuation) {
     *   return greeting + 'ya ' + this.user + punctuation;
     * };
     *
     * bound('!');
     * // => 'hiya fred!'
     *
     * // Bound with placeholders.
     * var bound = _.bindKey(object, 'greet', _, '!');
     * bound('hi');
     * // => 'hiya fred!'
     */
    var bindKey = baseRest(function(object, key, partials) {
      var bitmask = WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG;
      if (partials.length) {
        var holders = replaceHolders(partials, getHolder(bindKey));
        bitmask |= WRAP_PARTIAL_FLAG;
      }
      return createWrap(key, bitmask, object, partials, holders);
    });

    /**
     * Creates a function that accepts arguments of `func` and either invokes
     * `func` returning its result, if at least `arity` number of arguments have
     * been provided, or returns a function that accepts the remaining `func`
     * arguments, and so on. The arity of `func` may be specified if `func.length`
     * is not sufficient.
     *
     * The `_.curry.placeholder` value, which defaults to `_` in monolithic builds,
     * may be used as a placeholder for provided arguments.
     *
     * **Note:** This method doesn't set the "length" property of curried functions.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Function
     * @param {Function} func The function to curry.
     * @param {number} [arity=func.length] The arity of `func`.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Function} Returns the new curried function.
     * @example
     *
     * var abc = function(a, b, c) {
     *   return [a, b, c];
     * };
     *
     * var curried = _.curry(abc);
     *
     * curried(1)(2)(3);
     * // => [1, 2, 3]
     *
     * curried(1, 2)(3);
     * // => [1, 2, 3]
     *
     * curried(1, 2, 3);
     * // => [1, 2, 3]
     *
     * // Curried with placeholders.
     * curried(1)(_, 3)(2);
     * // => [1, 2, 3]
     */
    function curry(func, arity, guard) {
      arity = guard ? undefined : arity;
      var result = createWrap(func, WRAP_CURRY_FLAG, undefined, undefined, undefined, undefined, undefined, arity);
      result.placeholder = curry.placeholder;
      return result;
    }

    /**
     * This method is like `_.curry` except that arguments are applied to `func`
     * in the manner of `_.partialRight` instead of `_.partial`.
     *
     * The `_.curryRight.placeholder` value, which defaults to `_` in monolithic
     * builds, may be used as a placeholder for provided arguments.
     *
     * **Note:** This method doesn't set the "length" property of curried functions.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Function
     * @param {Function} func The function to curry.
     * @param {number} [arity=func.length] The arity of `func`.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Function} Returns the new curried function.
     * @example
     *
     * var abc = function(a, b, c) {
     *   return [a, b, c];
     * };
     *
     * var curried = _.curryRight(abc);
     *
     * curried(3)(2)(1);
     * // => [1, 2, 3]
     *
     * curried(2, 3)(1);
     * // => [1, 2, 3]
     *
     * curried(1, 2, 3);
     * // => [1, 2, 3]
     *
     * // Curried with placeholders.
     * curried(3)(1, _)(2);
     * // => [1, 2, 3]
     */
    function curryRight(func, arity, guard) {
      arity = guard ? undefined : arity;
      var result = createWrap(func, WRAP_CURRY_RIGHT_FLAG, undefined, undefined, undefined, undefined, undefined, arity);
      result.placeholder = curryRight.placeholder;
      return result;
    }

    /**
     * Creates a debounced function that delays invoking `func` until after `wait`
     * milliseconds have elapsed since the last time the debounced function was
     * invoked. The debounced function comes with a `cancel` method to cancel
     * delayed `func` invocations and a `flush` method to immediately invoke them.
     * Provide `options` to indicate whether `func` should be invoked on the
     * leading and/or trailing edge of the `wait` timeout. The `func` is invoked
     * with the last arguments provided to the debounced function. Subsequent
     * calls to the debounced function return the result of the last `func`
     * invocation.
     *
     * **Note:** If `leading` and `trailing` options are `true`, `func` is
     * invoked on the trailing edge of the timeout only if the debounced function
     * is invoked more than once during the `wait` timeout.
     *
     * If `wait` is `0` and `leading` is `false`, `func` invocation is deferred
     * until to the next tick, similar to `setTimeout` with a timeout of `0`.
     *
     * See [David Corbacho's article](https://css-tricks.com/debouncing-throttling-explained-examples/)
     * for details over the differences between `_.debounce` and `_.throttle`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to debounce.
     * @param {number} [wait=0] The number of milliseconds to delay.
     * @param {Object} [options={}] The options object.
     * @param {boolean} [options.leading=false]
     *  Specify invoking on the leading edge of the timeout.
     * @param {number} [options.maxWait]
     *  The maximum time `func` is allowed to be delayed before it's invoked.
     * @param {boolean} [options.trailing=true]
     *  Specify invoking on the trailing edge of the timeout.
     * @returns {Function} Returns the new debounced function.
     * @example
     *
     * // Avoid costly calculations while the window size is in flux.
     * jQuery(window).on('resize', _.debounce(calculateLayout, 150));
     *
     * // Invoke `sendMail` when clicked, debouncing subsequent calls.
     * jQuery(element).on('click', _.debounce(sendMail, 300, {
     *   'leading': true,
     *   'trailing': false
     * }));
     *
     * // Ensure `batchLog` is invoked once after 1 second of debounced calls.
     * var debounced = _.debounce(batchLog, 250, { 'maxWait': 1000 });
     * var source = new EventSource('/stream');
     * jQuery(source).on('message', debounced);
     *
     * // Cancel the trailing debounced invocation.
     * jQuery(window).on('popstate', debounced.cancel);
     */
    function debounce(func, wait, options) {
      var lastArgs,
          lastThis,
          maxWait,
          result,
          timerId,
          lastCallTime,
          lastInvokeTime = 0,
          leading = false,
          maxing = false,
          trailing = true;

      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      wait = toNumber(wait) || 0;
      if (isObject(options)) {
        leading = !!options.leading;
        maxing = 'maxWait' in options;
        maxWait = maxing ? nativeMax(toNumber(options.maxWait) || 0, wait) : maxWait;
        trailing = 'trailing' in options ? !!options.trailing : trailing;
      }

      function invokeFunc(time) {
        var args = lastArgs,
            thisArg = lastThis;

        lastArgs = lastThis = undefined;
        lastInvokeTime = time;
        result = func.apply(thisArg, args);
        return result;
      }

      function leadingEdge(time) {
        // Reset any `maxWait` timer.
        lastInvokeTime = time;
        // Start the timer for the trailing edge.
        timerId = setTimeout(timerExpired, wait);
        // Invoke the leading edge.
        return leading ? invokeFunc(time) : result;
      }

      function remainingWait(time) {
        var timeSinceLastCall = time - lastCallTime,
            timeSinceLastInvoke = time - lastInvokeTime,
            timeWaiting = wait - timeSinceLastCall;

        return maxing
          ? nativeMin(timeWaiting, maxWait - timeSinceLastInvoke)
          : timeWaiting;
      }

      function shouldInvoke(time) {
        var timeSinceLastCall = time - lastCallTime,
            timeSinceLastInvoke = time - lastInvokeTime;

        // Either this is the first call, activity has stopped and we're at the
        // trailing edge, the system time has gone backwards and we're treating
        // it as the trailing edge, or we've hit the `maxWait` limit.
        return (lastCallTime === undefined || (timeSinceLastCall >= wait) ||
          (timeSinceLastCall < 0) || (maxing && timeSinceLastInvoke >= maxWait));
      }

      function timerExpired() {
        var time = now();
        if (shouldInvoke(time)) {
          return trailingEdge(time);
        }
        // Restart the timer.
        timerId = setTimeout(timerExpired, remainingWait(time));
      }

      function trailingEdge(time) {
        timerId = undefined;

        // Only invoke if we have `lastArgs` which means `func` has been
        // debounced at least once.
        if (trailing && lastArgs) {
          return invokeFunc(time);
        }
        lastArgs = lastThis = undefined;
        return result;
      }

      function cancel() {
        if (timerId !== undefined) {
          clearTimeout(timerId);
        }
        lastInvokeTime = 0;
        lastArgs = lastCallTime = lastThis = timerId = undefined;
      }

      function flush() {
        return timerId === undefined ? result : trailingEdge(now());
      }

      function debounced() {
        var time = now(),
            isInvoking = shouldInvoke(time);

        lastArgs = arguments;
        lastThis = this;
        lastCallTime = time;

        if (isInvoking) {
          if (timerId === undefined) {
            return leadingEdge(lastCallTime);
          }
          if (maxing) {
            // Handle invocations in a tight loop.
            clearTimeout(timerId);
            timerId = setTimeout(timerExpired, wait);
            return invokeFunc(lastCallTime);
          }
        }
        if (timerId === undefined) {
          timerId = setTimeout(timerExpired, wait);
        }
        return result;
      }
      debounced.cancel = cancel;
      debounced.flush = flush;
      return debounced;
    }

    /**
     * Defers invoking the `func` until the current call stack has cleared. Any
     * additional arguments are provided to `func` when it's invoked.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to defer.
     * @param {...*} [args] The arguments to invoke `func` with.
     * @returns {number} Returns the timer id.
     * @example
     *
     * _.defer(function(text) {
     *   console.log(text);
     * }, 'deferred');
     * // => Logs 'deferred' after one millisecond.
     */
    var defer = baseRest(function(func, args) {
      return baseDelay(func, 1, args);
    });

    /**
     * Invokes `func` after `wait` milliseconds. Any additional arguments are
     * provided to `func` when it's invoked.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to delay.
     * @param {number} wait The number of milliseconds to delay invocation.
     * @param {...*} [args] The arguments to invoke `func` with.
     * @returns {number} Returns the timer id.
     * @example
     *
     * _.delay(function(text) {
     *   console.log(text);
     * }, 1000, 'later');
     * // => Logs 'later' after one second.
     */
    var delay = baseRest(function(func, wait, args) {
      return baseDelay(func, toNumber(wait) || 0, args);
    });

    /**
     * Creates a function that invokes `func` with arguments reversed.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Function
     * @param {Function} func The function to flip arguments for.
     * @returns {Function} Returns the new flipped function.
     * @example
     *
     * var flipped = _.flip(function() {
     *   return _.toArray(arguments);
     * });
     *
     * flipped('a', 'b', 'c', 'd');
     * // => ['d', 'c', 'b', 'a']
     */
    function flip(func) {
      return createWrap(func, WRAP_FLIP_FLAG);
    }

    /**
     * Creates a function that memoizes the result of `func`. If `resolver` is
     * provided, it determines the cache key for storing the result based on the
     * arguments provided to the memoized function. By default, the first argument
     * provided to the memoized function is used as the map cache key. The `func`
     * is invoked with the `this` binding of the memoized function.
     *
     * **Note:** The cache is exposed as the `cache` property on the memoized
     * function. Its creation may be customized by replacing the `_.memoize.Cache`
     * constructor with one whose instances implement the
     * [`Map`](http://ecma-international.org/ecma-262/7.0/#sec-properties-of-the-map-prototype-object)
     * method interface of `clear`, `delete`, `get`, `has`, and `set`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to have its output memoized.
     * @param {Function} [resolver] The function to resolve the cache key.
     * @returns {Function} Returns the new memoized function.
     * @example
     *
     * var object = { 'a': 1, 'b': 2 };
     * var other = { 'c': 3, 'd': 4 };
     *
     * var values = _.memoize(_.values);
     * values(object);
     * // => [1, 2]
     *
     * values(other);
     * // => [3, 4]
     *
     * object.a = 2;
     * values(object);
     * // => [1, 2]
     *
     * // Modify the result cache.
     * values.cache.set(object, ['a', 'b']);
     * values(object);
     * // => ['a', 'b']
     *
     * // Replace `_.memoize.Cache`.
     * _.memoize.Cache = WeakMap;
     */
    function memoize(func, resolver) {
      if (typeof func != 'function' || (resolver != null && typeof resolver != 'function')) {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      var memoized = function() {
        var args = arguments,
            key = resolver ? resolver.apply(this, args) : args[0],
            cache = memoized.cache;

        if (cache.has(key)) {
          return cache.get(key);
        }
        var result = func.apply(this, args);
        memoized.cache = cache.set(key, result) || cache;
        return result;
      };
      memoized.cache = new (memoize.Cache || MapCache);
      return memoized;
    }

    // Expose `MapCache`.
    memoize.Cache = MapCache;

    /**
     * Creates a function that negates the result of the predicate `func`. The
     * `func` predicate is invoked with the `this` binding and arguments of the
     * created function.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Function
     * @param {Function} predicate The predicate to negate.
     * @returns {Function} Returns the new negated function.
     * @example
     *
     * function isEven(n) {
     *   return n % 2 == 0;
     * }
     *
     * _.filter([1, 2, 3, 4, 5, 6], _.negate(isEven));
     * // => [1, 3, 5]
     */
    function negate(predicate) {
      if (typeof predicate != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      return function() {
        var args = arguments;
        switch (args.length) {
          case 0: return !predicate.call(this);
          case 1: return !predicate.call(this, args[0]);
          case 2: return !predicate.call(this, args[0], args[1]);
          case 3: return !predicate.call(this, args[0], args[1], args[2]);
        }
        return !predicate.apply(this, args);
      };
    }

    /**
     * Creates a function that is restricted to invoking `func` once. Repeat calls
     * to the function return the value of the first invocation. The `func` is
     * invoked with the `this` binding and arguments of the created function.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to restrict.
     * @returns {Function} Returns the new restricted function.
     * @example
     *
     * var initialize = _.once(createApplication);
     * initialize();
     * initialize();
     * // => `createApplication` is invoked once
     */
    function once(func) {
      return before(2, func);
    }

    /**
     * Creates a function that invokes `func` with its arguments transformed.
     *
     * @static
     * @since 4.0.0
     * @memberOf _
     * @category Function
     * @param {Function} func The function to wrap.
     * @param {...(Function|Function[])} [transforms=[_.identity]]
     *  The argument transforms.
     * @returns {Function} Returns the new function.
     * @example
     *
     * function doubled(n) {
     *   return n * 2;
     * }
     *
     * function square(n) {
     *   return n * n;
     * }
     *
     * var func = _.overArgs(function(x, y) {
     *   return [x, y];
     * }, [square, doubled]);
     *
     * func(9, 3);
     * // => [81, 6]
     *
     * func(10, 5);
     * // => [100, 10]
     */
    var overArgs = castRest(function(func, transforms) {
      transforms = (transforms.length == 1 && isArray(transforms[0]))
        ? arrayMap(transforms[0], baseUnary(getIteratee()))
        : arrayMap(baseFlatten(transforms, 1), baseUnary(getIteratee()));

      var funcsLength = transforms.length;
      return baseRest(function(args) {
        var index = -1,
            length = nativeMin(args.length, funcsLength);

        while (++index < length) {
          args[index] = transforms[index].call(this, args[index]);
        }
        return apply(func, this, args);
      });
    });

    /**
     * Creates a function that invokes `func` with `partials` prepended to the
     * arguments it receives. This method is like `_.bind` except it does **not**
     * alter the `this` binding.
     *
     * The `_.partial.placeholder` value, which defaults to `_` in monolithic
     * builds, may be used as a placeholder for partially applied arguments.
     *
     * **Note:** This method doesn't set the "length" property of partially
     * applied functions.
     *
     * @static
     * @memberOf _
     * @since 0.2.0
     * @category Function
     * @param {Function} func The function to partially apply arguments to.
     * @param {...*} [partials] The arguments to be partially applied.
     * @returns {Function} Returns the new partially applied function.
     * @example
     *
     * function greet(greeting, name) {
     *   return greeting + ' ' + name;
     * }
     *
     * var sayHelloTo = _.partial(greet, 'hello');
     * sayHelloTo('fred');
     * // => 'hello fred'
     *
     * // Partially applied with placeholders.
     * var greetFred = _.partial(greet, _, 'fred');
     * greetFred('hi');
     * // => 'hi fred'
     */
    var partial = baseRest(function(func, partials) {
      var holders = replaceHolders(partials, getHolder(partial));
      return createWrap(func, WRAP_PARTIAL_FLAG, undefined, partials, holders);
    });

    /**
     * This method is like `_.partial` except that partially applied arguments
     * are appended to the arguments it receives.
     *
     * The `_.partialRight.placeholder` value, which defaults to `_` in monolithic
     * builds, may be used as a placeholder for partially applied arguments.
     *
     * **Note:** This method doesn't set the "length" property of partially
     * applied functions.
     *
     * @static
     * @memberOf _
     * @since 1.0.0
     * @category Function
     * @param {Function} func The function to partially apply arguments to.
     * @param {...*} [partials] The arguments to be partially applied.
     * @returns {Function} Returns the new partially applied function.
     * @example
     *
     * function greet(greeting, name) {
     *   return greeting + ' ' + name;
     * }
     *
     * var greetFred = _.partialRight(greet, 'fred');
     * greetFred('hi');
     * // => 'hi fred'
     *
     * // Partially applied with placeholders.
     * var sayHelloTo = _.partialRight(greet, 'hello', _);
     * sayHelloTo('fred');
     * // => 'hello fred'
     */
    var partialRight = baseRest(function(func, partials) {
      var holders = replaceHolders(partials, getHolder(partialRight));
      return createWrap(func, WRAP_PARTIAL_RIGHT_FLAG, undefined, partials, holders);
    });

    /**
     * Creates a function that invokes `func` with arguments arranged according
     * to the specified `indexes` where the argument value at the first index is
     * provided as the first argument, the argument value at the second index is
     * provided as the second argument, and so on.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Function
     * @param {Function} func The function to rearrange arguments for.
     * @param {...(number|number[])} indexes The arranged argument indexes.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var rearged = _.rearg(function(a, b, c) {
     *   return [a, b, c];
     * }, [2, 0, 1]);
     *
     * rearged('b', 'c', 'a')
     * // => ['a', 'b', 'c']
     */
    var rearg = flatRest(function(func, indexes) {
      return createWrap(func, WRAP_REARG_FLAG, undefined, undefined, undefined, indexes);
    });

    /**
     * Creates a function that invokes `func` with the `this` binding of the
     * created function and arguments from `start` and beyond provided as
     * an array.
     *
     * **Note:** This method is based on the
     * [rest parameter](https://mdn.io/rest_parameters).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Function
     * @param {Function} func The function to apply a rest parameter to.
     * @param {number} [start=func.length-1] The start position of the rest parameter.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var say = _.rest(function(what, names) {
     *   return what + ' ' + _.initial(names).join(', ') +
     *     (_.size(names) > 1 ? ', & ' : '') + _.last(names);
     * });
     *
     * say('hello', 'fred', 'barney', 'pebbles');
     * // => 'hello fred, barney, & pebbles'
     */
    function rest(func, start) {
      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      start = start === undefined ? start : toInteger(start);
      return baseRest(func, start);
    }

    /**
     * Creates a function that invokes `func` with the `this` binding of the
     * create function and an array of arguments much like
     * [`Function#apply`](http://www.ecma-international.org/ecma-262/7.0/#sec-function.prototype.apply).
     *
     * **Note:** This method is based on the
     * [spread operator](https://mdn.io/spread_operator).
     *
     * @static
     * @memberOf _
     * @since 3.2.0
     * @category Function
     * @param {Function} func The function to spread arguments over.
     * @param {number} [start=0] The start position of the spread.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var say = _.spread(function(who, what) {
     *   return who + ' says ' + what;
     * });
     *
     * say(['fred', 'hello']);
     * // => 'fred says hello'
     *
     * var numbers = Promise.all([
     *   Promise.resolve(40),
     *   Promise.resolve(36)
     * ]);
     *
     * numbers.then(_.spread(function(x, y) {
     *   return x + y;
     * }));
     * // => a Promise of 76
     */
    function spread(func, start) {
      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      start = start == null ? 0 : nativeMax(toInteger(start), 0);
      return baseRest(function(args) {
        var array = args[start],
            otherArgs = castSlice(args, 0, start);

        if (array) {
          arrayPush(otherArgs, array);
        }
        return apply(func, this, otherArgs);
      });
    }

    /**
     * Creates a throttled function that only invokes `func` at most once per
     * every `wait` milliseconds. The throttled function comes with a `cancel`
     * method to cancel delayed `func` invocations and a `flush` method to
     * immediately invoke them. Provide `options` to indicate whether `func`
     * should be invoked on the leading and/or trailing edge of the `wait`
     * timeout. The `func` is invoked with the last arguments provided to the
     * throttled function. Subsequent calls to the throttled function return the
     * result of the last `func` invocation.
     *
     * **Note:** If `leading` and `trailing` options are `true`, `func` is
     * invoked on the trailing edge of the timeout only if the throttled function
     * is invoked more than once during the `wait` timeout.
     *
     * If `wait` is `0` and `leading` is `false`, `func` invocation is deferred
     * until to the next tick, similar to `setTimeout` with a timeout of `0`.
     *
     * See [David Corbacho's article](https://css-tricks.com/debouncing-throttling-explained-examples/)
     * for details over the differences between `_.throttle` and `_.debounce`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to throttle.
     * @param {number} [wait=0] The number of milliseconds to throttle invocations to.
     * @param {Object} [options={}] The options object.
     * @param {boolean} [options.leading=true]
     *  Specify invoking on the leading edge of the timeout.
     * @param {boolean} [options.trailing=true]
     *  Specify invoking on the trailing edge of the timeout.
     * @returns {Function} Returns the new throttled function.
     * @example
     *
     * // Avoid excessively updating the position while scrolling.
     * jQuery(window).on('scroll', _.throttle(updatePosition, 100));
     *
     * // Invoke `renewToken` when the click event is fired, but not more than once every 5 minutes.
     * var throttled = _.throttle(renewToken, 300000, { 'trailing': false });
     * jQuery(element).on('click', throttled);
     *
     * // Cancel the trailing throttled invocation.
     * jQuery(window).on('popstate', throttled.cancel);
     */
    function throttle(func, wait, options) {
      var leading = true,
          trailing = true;

      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      if (isObject(options)) {
        leading = 'leading' in options ? !!options.leading : leading;
        trailing = 'trailing' in options ? !!options.trailing : trailing;
      }
      return debounce(func, wait, {
        'leading': leading,
        'maxWait': wait,
        'trailing': trailing
      });
    }

    /**
     * Creates a function that accepts up to one argument, ignoring any
     * additional arguments.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Function
     * @param {Function} func The function to cap arguments for.
     * @returns {Function} Returns the new capped function.
     * @example
     *
     * _.map(['6', '8', '10'], _.unary(parseInt));
     * // => [6, 8, 10]
     */
    function unary(func) {
      return ary(func, 1);
    }

    /**
     * Creates a function that provides `value` to `wrapper` as its first
     * argument. Any additional arguments provided to the function are appended
     * to those provided to the `wrapper`. The wrapper is invoked with the `this`
     * binding of the created function.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {*} value The value to wrap.
     * @param {Function} [wrapper=identity] The wrapper function.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var p = _.wrap(_.escape, function(func, text) {
     *   return '<p>' + func(text) + '</p>';
     * });
     *
     * p('fred, barney, & pebbles');
     * // => '<p>fred, barney, &amp; pebbles</p>'
     */
    function wrap(value, wrapper) {
      return partial(castFunction(wrapper), value);
    }

    /*------------------------------------------------------------------------*/

    /**
     * Casts `value` as an array if it's not one.
     *
     * @static
     * @memberOf _
     * @since 4.4.0
     * @category Lang
     * @param {*} value The value to inspect.
     * @returns {Array} Returns the cast array.
     * @example
     *
     * _.castArray(1);
     * // => [1]
     *
     * _.castArray({ 'a': 1 });
     * // => [{ 'a': 1 }]
     *
     * _.castArray('abc');
     * // => ['abc']
     *
     * _.castArray(null);
     * // => [null]
     *
     * _.castArray(undefined);
     * // => [undefined]
     *
     * _.castArray();
     * // => []
     *
     * var array = [1, 2, 3];
     * console.log(_.castArray(array) === array);
     * // => true
     */
    function castArray() {
      if (!arguments.length) {
        return [];
      }
      var value = arguments[0];
      return isArray(value) ? value : [value];
    }

    /**
     * Creates a shallow clone of `value`.
     *
     * **Note:** This method is loosely based on the
     * [structured clone algorithm](https://mdn.io/Structured_clone_algorithm)
     * and supports cloning arrays, array buffers, booleans, date objects, maps,
     * numbers, `Object` objects, regexes, sets, strings, symbols, and typed
     * arrays. The own enumerable properties of `arguments` objects are cloned
     * as plain objects. An empty object is returned for uncloneable values such
     * as error objects, functions, DOM nodes, and WeakMaps.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to clone.
     * @returns {*} Returns the cloned value.
     * @see _.cloneDeep
     * @example
     *
     * var objects = [{ 'a': 1 }, { 'b': 2 }];
     *
     * var shallow = _.clone(objects);
     * console.log(shallow[0] === objects[0]);
     * // => true
     */
    function clone(value) {
      return baseClone(value, CLONE_SYMBOLS_FLAG);
    }

    /**
     * This method is like `_.clone` except that it accepts `customizer` which
     * is invoked to produce the cloned value. If `customizer` returns `undefined`,
     * cloning is handled by the method instead. The `customizer` is invoked with
     * up to four arguments; (value [, index|key, object, stack]).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to clone.
     * @param {Function} [customizer] The function to customize cloning.
     * @returns {*} Returns the cloned value.
     * @see _.cloneDeepWith
     * @example
     *
     * function customizer(value) {
     *   if (_.isElement(value)) {
     *     return value.cloneNode(false);
     *   }
     * }
     *
     * var el = _.cloneWith(document.body, customizer);
     *
     * console.log(el === document.body);
     * // => false
     * console.log(el.nodeName);
     * // => 'BODY'
     * console.log(el.childNodes.length);
     * // => 0
     */
    function cloneWith(value, customizer) {
      customizer = typeof customizer == 'function' ? customizer : undefined;
      return baseClone(value, CLONE_SYMBOLS_FLAG, customizer);
    }

    /**
     * This method is like `_.clone` except that it recursively clones `value`.
     *
     * @static
     * @memberOf _
     * @since 1.0.0
     * @category Lang
     * @param {*} value The value to recursively clone.
     * @returns {*} Returns the deep cloned value.
     * @see _.clone
     * @example
     *
     * var objects = [{ 'a': 1 }, { 'b': 2 }];
     *
     * var deep = _.cloneDeep(objects);
     * console.log(deep[0] === objects[0]);
     * // => false
     */
    function cloneDeep(value) {
      return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG);
    }

    /**
     * This method is like `_.cloneWith` except that it recursively clones `value`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to recursively clone.
     * @param {Function} [customizer] The function to customize cloning.
     * @returns {*} Returns the deep cloned value.
     * @see _.cloneWith
     * @example
     *
     * function customizer(value) {
     *   if (_.isElement(value)) {
     *     return value.cloneNode(true);
     *   }
     * }
     *
     * var el = _.cloneDeepWith(document.body, customizer);
     *
     * console.log(el === document.body);
     * // => false
     * console.log(el.nodeName);
     * // => 'BODY'
     * console.log(el.childNodes.length);
     * // => 20
     */
    function cloneDeepWith(value, customizer) {
      customizer = typeof customizer == 'function' ? customizer : undefined;
      return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG, customizer);
    }

    /**
     * Checks if `object` conforms to `source` by invoking the predicate
     * properties of `source` with the corresponding property values of `object`.
     *
     * **Note:** This method is equivalent to `_.conforms` when `source` is
     * partially applied.
     *
     * @static
     * @memberOf _
     * @since 4.14.0
     * @category Lang
     * @param {Object} object The object to inspect.
     * @param {Object} source The object of property predicates to conform to.
     * @returns {boolean} Returns `true` if `object` conforms, else `false`.
     * @example
     *
     * var object = { 'a': 1, 'b': 2 };
     *
     * _.conformsTo(object, { 'b': function(n) { return n > 1; } });
     * // => true
     *
     * _.conformsTo(object, { 'b': function(n) { return n > 2; } });
     * // => false
     */
    function conformsTo(object, source) {
      return source == null || baseConformsTo(object, source, keys(source));
    }

    /**
     * Performs a
     * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * comparison between two values to determine if they are equivalent.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
     * @example
     *
     * var object = { 'a': 1 };
     * var other = { 'a': 1 };
     *
     * _.eq(object, object);
     * // => true
     *
     * _.eq(object, other);
     * // => false
     *
     * _.eq('a', 'a');
     * // => true
     *
     * _.eq('a', Object('a'));
     * // => false
     *
     * _.eq(NaN, NaN);
     * // => true
     */
    function eq(value, other) {
      return value === other || (value !== value && other !== other);
    }

    /**
     * Checks if `value` is greater than `other`.
     *
     * @static
     * @memberOf _
     * @since 3.9.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if `value` is greater than `other`,
     *  else `false`.
     * @see _.lt
     * @example
     *
     * _.gt(3, 1);
     * // => true
     *
     * _.gt(3, 3);
     * // => false
     *
     * _.gt(1, 3);
     * // => false
     */
    var gt = createRelationalOperation(baseGt);

    /**
     * Checks if `value` is greater than or equal to `other`.
     *
     * @static
     * @memberOf _
     * @since 3.9.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if `value` is greater than or equal to
     *  `other`, else `false`.
     * @see _.lte
     * @example
     *
     * _.gte(3, 1);
     * // => true
     *
     * _.gte(3, 3);
     * // => true
     *
     * _.gte(1, 3);
     * // => false
     */
    var gte = createRelationalOperation(function(value, other) {
      return value >= other;
    });

    /**
     * Checks if `value` is likely an `arguments` object.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an `arguments` object,
     *  else `false`.
     * @example
     *
     * _.isArguments(function() { return arguments; }());
     * // => true
     *
     * _.isArguments([1, 2, 3]);
     * // => false
     */
    var isArguments = baseIsArguments(function() { return arguments; }()) ? baseIsArguments : function(value) {
      return isObjectLike(value) && hasOwnProperty.call(value, 'callee') &&
        !propertyIsEnumerable.call(value, 'callee');
    };

    /**
     * Checks if `value` is classified as an `Array` object.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an array, else `false`.
     * @example
     *
     * _.isArray([1, 2, 3]);
     * // => true
     *
     * _.isArray(document.body.children);
     * // => false
     *
     * _.isArray('abc');
     * // => false
     *
     * _.isArray(_.noop);
     * // => false
     */
    var isArray = Array.isArray;

    /**
     * Checks if `value` is classified as an `ArrayBuffer` object.
     *
     * @static
     * @memberOf _
     * @since 4.3.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an array buffer, else `false`.
     * @example
     *
     * _.isArrayBuffer(new ArrayBuffer(2));
     * // => true
     *
     * _.isArrayBuffer(new Array(2));
     * // => false
     */
    var isArrayBuffer = nodeIsArrayBuffer ? baseUnary(nodeIsArrayBuffer) : baseIsArrayBuffer;

    /**
     * Checks if `value` is array-like. A value is considered array-like if it's
     * not a function and has a `value.length` that's an integer greater than or
     * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
     * @example
     *
     * _.isArrayLike([1, 2, 3]);
     * // => true
     *
     * _.isArrayLike(document.body.children);
     * // => true
     *
     * _.isArrayLike('abc');
     * // => true
     *
     * _.isArrayLike(_.noop);
     * // => false
     */
    function isArrayLike(value) {
      return value != null && isLength(value.length) && !isFunction(value);
    }

    /**
     * This method is like `_.isArrayLike` except that it also checks if `value`
     * is an object.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an array-like object,
     *  else `false`.
     * @example
     *
     * _.isArrayLikeObject([1, 2, 3]);
     * // => true
     *
     * _.isArrayLikeObject(document.body.children);
     * // => true
     *
     * _.isArrayLikeObject('abc');
     * // => false
     *
     * _.isArrayLikeObject(_.noop);
     * // => false
     */
    function isArrayLikeObject(value) {
      return isObjectLike(value) && isArrayLike(value);
    }

    /**
     * Checks if `value` is classified as a boolean primitive or object.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a boolean, else `false`.
     * @example
     *
     * _.isBoolean(false);
     * // => true
     *
     * _.isBoolean(null);
     * // => false
     */
    function isBoolean(value) {
      return value === true || value === false ||
        (isObjectLike(value) && baseGetTag(value) == boolTag);
    }

    /**
     * Checks if `value` is a buffer.
     *
     * @static
     * @memberOf _
     * @since 4.3.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a buffer, else `false`.
     * @example
     *
     * _.isBuffer(new Buffer(2));
     * // => true
     *
     * _.isBuffer(new Uint8Array(2));
     * // => false
     */
    var isBuffer = nativeIsBuffer || stubFalse;

    /**
     * Checks if `value` is classified as a `Date` object.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a date object, else `false`.
     * @example
     *
     * _.isDate(new Date);
     * // => true
     *
     * _.isDate('Mon April 23 2012');
     * // => false
     */
    var isDate = nodeIsDate ? baseUnary(nodeIsDate) : baseIsDate;

    /**
     * Checks if `value` is likely a DOM element.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a DOM element, else `false`.
     * @example
     *
     * _.isElement(document.body);
     * // => true
     *
     * _.isElement('<body>');
     * // => false
     */
    function isElement(value) {
      return isObjectLike(value) && value.nodeType === 1 && !isPlainObject(value);
    }

    /**
     * Checks if `value` is an empty object, collection, map, or set.
     *
     * Objects are considered empty if they have no own enumerable string keyed
     * properties.
     *
     * Array-like values such as `arguments` objects, arrays, buffers, strings, or
     * jQuery-like collections are considered empty if they have a `length` of `0`.
     * Similarly, maps and sets are considered empty if they have a `size` of `0`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is empty, else `false`.
     * @example
     *
     * _.isEmpty(null);
     * // => true
     *
     * _.isEmpty(true);
     * // => true
     *
     * _.isEmpty(1);
     * // => true
     *
     * _.isEmpty([1, 2, 3]);
     * // => false
     *
     * _.isEmpty({ 'a': 1 });
     * // => false
     */
    function isEmpty(value) {
      if (value == null) {
        return true;
      }
      if (isArrayLike(value) &&
          (isArray(value) || typeof value == 'string' || typeof value.splice == 'function' ||
            isBuffer(value) || isTypedArray(value) || isArguments(value))) {
        return !value.length;
      }
      var tag = getTag(value);
      if (tag == mapTag || tag == setTag) {
        return !value.size;
      }
      if (isPrototype(value)) {
        return !baseKeys(value).length;
      }
      for (var key in value) {
        if (hasOwnProperty.call(value, key)) {
          return false;
        }
      }
      return true;
    }

    /**
     * Performs a deep comparison between two values to determine if they are
     * equivalent.
     *
     * **Note:** This method supports comparing arrays, array buffers, booleans,
     * date objects, error objects, maps, numbers, `Object` objects, regexes,
     * sets, strings, symbols, and typed arrays. `Object` objects are compared
     * by their own, not inherited, enumerable properties. Functions and DOM
     * nodes are compared by strict equality, i.e. `===`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
     * @example
     *
     * var object = { 'a': 1 };
     * var other = { 'a': 1 };
     *
     * _.isEqual(object, other);
     * // => true
     *
     * object === other;
     * // => false
     */
    function isEqual(value, other) {
      return baseIsEqual(value, other);
    }

    /**
     * This method is like `_.isEqual` except that it accepts `customizer` which
     * is invoked to compare values. If `customizer` returns `undefined`, comparisons
     * are handled by the method instead. The `customizer` is invoked with up to
     * six arguments: (objValue, othValue [, index|key, object, other, stack]).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @param {Function} [customizer] The function to customize comparisons.
     * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
     * @example
     *
     * function isGreeting(value) {
     *   return /^h(?:i|ello)$/.test(value);
     * }
     *
     * function customizer(objValue, othValue) {
     *   if (isGreeting(objValue) && isGreeting(othValue)) {
     *     return true;
     *   }
     * }
     *
     * var array = ['hello', 'goodbye'];
     * var other = ['hi', 'goodbye'];
     *
     * _.isEqualWith(array, other, customizer);
     * // => true
     */
    function isEqualWith(value, other, customizer) {
      customizer = typeof customizer == 'function' ? customizer : undefined;
      var result = customizer ? customizer(value, other) : undefined;
      return result === undefined ? baseIsEqual(value, other, undefined, customizer) : !!result;
    }

    /**
     * Checks if `value` is an `Error`, `EvalError`, `RangeError`, `ReferenceError`,
     * `SyntaxError`, `TypeError`, or `URIError` object.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an error object, else `false`.
     * @example
     *
     * _.isError(new Error);
     * // => true
     *
     * _.isError(Error);
     * // => false
     */
    function isError(value) {
      if (!isObjectLike(value)) {
        return false;
      }
      var tag = baseGetTag(value);
      return tag == errorTag || tag == domExcTag ||
        (typeof value.message == 'string' && typeof value.name == 'string' && !isPlainObject(value));
    }

    /**
     * Checks if `value` is a finite primitive number.
     *
     * **Note:** This method is based on
     * [`Number.isFinite`](https://mdn.io/Number/isFinite).
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a finite number, else `false`.
     * @example
     *
     * _.isFinite(3);
     * // => true
     *
     * _.isFinite(Number.MIN_VALUE);
     * // => true
     *
     * _.isFinite(Infinity);
     * // => false
     *
     * _.isFinite('3');
     * // => false
     */
    function isFinite(value) {
      return typeof value == 'number' && nativeIsFinite(value);
    }

    /**
     * Checks if `value` is classified as a `Function` object.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a function, else `false`.
     * @example
     *
     * _.isFunction(_);
     * // => true
     *
     * _.isFunction(/abc/);
     * // => false
     */
    function isFunction(value) {
      if (!isObject(value)) {
        return false;
      }
      // The use of `Object#toString` avoids issues with the `typeof` operator
      // in Safari 9 which returns 'object' for typed arrays and other constructors.
      var tag = baseGetTag(value);
      return tag == funcTag || tag == genTag || tag == asyncTag || tag == proxyTag;
    }

    /**
     * Checks if `value` is an integer.
     *
     * **Note:** This method is based on
     * [`Number.isInteger`](https://mdn.io/Number/isInteger).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an integer, else `false`.
     * @example
     *
     * _.isInteger(3);
     * // => true
     *
     * _.isInteger(Number.MIN_VALUE);
     * // => false
     *
     * _.isInteger(Infinity);
     * // => false
     *
     * _.isInteger('3');
     * // => false
     */
    function isInteger(value) {
      return typeof value == 'number' && value == toInteger(value);
    }

    /**
     * Checks if `value` is a valid array-like length.
     *
     * **Note:** This method is loosely based on
     * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
     * @example
     *
     * _.isLength(3);
     * // => true
     *
     * _.isLength(Number.MIN_VALUE);
     * // => false
     *
     * _.isLength(Infinity);
     * // => false
     *
     * _.isLength('3');
     * // => false
     */
    function isLength(value) {
      return typeof value == 'number' &&
        value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
    }

    /**
     * Checks if `value` is the
     * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
     * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an object, else `false`.
     * @example
     *
     * _.isObject({});
     * // => true
     *
     * _.isObject([1, 2, 3]);
     * // => true
     *
     * _.isObject(_.noop);
     * // => true
     *
     * _.isObject(null);
     * // => false
     */
    function isObject(value) {
      var type = typeof value;
      return value != null && (type == 'object' || type == 'function');
    }

    /**
     * Checks if `value` is object-like. A value is object-like if it's not `null`
     * and has a `typeof` result of "object".
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
     * @example
     *
     * _.isObjectLike({});
     * // => true
     *
     * _.isObjectLike([1, 2, 3]);
     * // => true
     *
     * _.isObjectLike(_.noop);
     * // => false
     *
     * _.isObjectLike(null);
     * // => false
     */
    function isObjectLike(value) {
      return value != null && typeof value == 'object';
    }

    /**
     * Checks if `value` is classified as a `Map` object.
     *
     * @static
     * @memberOf _
     * @since 4.3.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a map, else `false`.
     * @example
     *
     * _.isMap(new Map);
     * // => true
     *
     * _.isMap(new WeakMap);
     * // => false
     */
    var isMap = nodeIsMap ? baseUnary(nodeIsMap) : baseIsMap;

    /**
     * Performs a partial deep comparison between `object` and `source` to
     * determine if `object` contains equivalent property values.
     *
     * **Note:** This method is equivalent to `_.matches` when `source` is
     * partially applied.
     *
     * Partial comparisons will match empty array and empty object `source`
     * values against any array or object value, respectively. See `_.isEqual`
     * for a list of supported value comparisons.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Lang
     * @param {Object} object The object to inspect.
     * @param {Object} source The object of property values to match.
     * @returns {boolean} Returns `true` if `object` is a match, else `false`.
     * @example
     *
     * var object = { 'a': 1, 'b': 2 };
     *
     * _.isMatch(object, { 'b': 2 });
     * // => true
     *
     * _.isMatch(object, { 'b': 1 });
     * // => false
     */
    function isMatch(object, source) {
      return object === source || baseIsMatch(object, source, getMatchData(source));
    }

    /**
     * This method is like `_.isMatch` except that it accepts `customizer` which
     * is invoked to compare values. If `customizer` returns `undefined`, comparisons
     * are handled by the method instead. The `customizer` is invoked with five
     * arguments: (objValue, srcValue, index|key, object, source).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {Object} object The object to inspect.
     * @param {Object} source The object of property values to match.
     * @param {Function} [customizer] The function to customize comparisons.
     * @returns {boolean} Returns `true` if `object` is a match, else `false`.
     * @example
     *
     * function isGreeting(value) {
     *   return /^h(?:i|ello)$/.test(value);
     * }
     *
     * function customizer(objValue, srcValue) {
     *   if (isGreeting(objValue) && isGreeting(srcValue)) {
     *     return true;
     *   }
     * }
     *
     * var object = { 'greeting': 'hello' };
     * var source = { 'greeting': 'hi' };
     *
     * _.isMatchWith(object, source, customizer);
     * // => true
     */
    function isMatchWith(object, source, customizer) {
      customizer = typeof customizer == 'function' ? customizer : undefined;
      return baseIsMatch(object, source, getMatchData(source), customizer);
    }

    /**
     * Checks if `value` is `NaN`.
     *
     * **Note:** This method is based on
     * [`Number.isNaN`](https://mdn.io/Number/isNaN) and is not the same as
     * global [`isNaN`](https://mdn.io/isNaN) which returns `true` for
     * `undefined` and other non-number values.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is `NaN`, else `false`.
     * @example
     *
     * _.isNaN(NaN);
     * // => true
     *
     * _.isNaN(new Number(NaN));
     * // => true
     *
     * isNaN(undefined);
     * // => true
     *
     * _.isNaN(undefined);
     * // => false
     */
    function isNaN(value) {
      // An `NaN` primitive is the only value that is not equal to itself.
      // Perform the `toStringTag` check first to avoid errors with some
      // ActiveX objects in IE.
      return isNumber(value) && value != +value;
    }

    /**
     * Checks if `value` is a pristine native function.
     *
     * **Note:** This method can't reliably detect native functions in the presence
     * of the core-js package because core-js circumvents this kind of detection.
     * Despite multiple requests, the core-js maintainer has made it clear: any
     * attempt to fix the detection will be obstructed. As a result, we're left
     * with little choice but to throw an error. Unfortunately, this also affects
     * packages, like [babel-polyfill](https://www.npmjs.com/package/babel-polyfill),
     * which rely on core-js.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a native function,
     *  else `false`.
     * @example
     *
     * _.isNative(Array.prototype.push);
     * // => true
     *
     * _.isNative(_);
     * // => false
     */
    function isNative(value) {
      if (isMaskable(value)) {
        throw new Error(CORE_ERROR_TEXT);
      }
      return baseIsNative(value);
    }

    /**
     * Checks if `value` is `null`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is `null`, else `false`.
     * @example
     *
     * _.isNull(null);
     * // => true
     *
     * _.isNull(void 0);
     * // => false
     */
    function isNull(value) {
      return value === null;
    }

    /**
     * Checks if `value` is `null` or `undefined`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is nullish, else `false`.
     * @example
     *
     * _.isNil(null);
     * // => true
     *
     * _.isNil(void 0);
     * // => true
     *
     * _.isNil(NaN);
     * // => false
     */
    function isNil(value) {
      return value == null;
    }

    /**
     * Checks if `value` is classified as a `Number` primitive or object.
     *
     * **Note:** To exclude `Infinity`, `-Infinity`, and `NaN`, which are
     * classified as numbers, use the `_.isFinite` method.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a number, else `false`.
     * @example
     *
     * _.isNumber(3);
     * // => true
     *
     * _.isNumber(Number.MIN_VALUE);
     * // => true
     *
     * _.isNumber(Infinity);
     * // => true
     *
     * _.isNumber('3');
     * // => false
     */
    function isNumber(value) {
      return typeof value == 'number' ||
        (isObjectLike(value) && baseGetTag(value) == numberTag);
    }

    /**
     * Checks if `value` is a plain object, that is, an object created by the
     * `Object` constructor or one with a `[[Prototype]]` of `null`.
     *
     * @static
     * @memberOf _
     * @since 0.8.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a plain object, else `false`.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     * }
     *
     * _.isPlainObject(new Foo);
     * // => false
     *
     * _.isPlainObject([1, 2, 3]);
     * // => false
     *
     * _.isPlainObject({ 'x': 0, 'y': 0 });
     * // => true
     *
     * _.isPlainObject(Object.create(null));
     * // => true
     */
    function isPlainObject(value) {
      if (!isObjectLike(value) || baseGetTag(value) != objectTag) {
        return false;
      }
      var proto = getPrototype(value);
      if (proto === null) {
        return true;
      }
      var Ctor = hasOwnProperty.call(proto, 'constructor') && proto.constructor;
      return typeof Ctor == 'function' && Ctor instanceof Ctor &&
        funcToString.call(Ctor) == objectCtorString;
    }

    /**
     * Checks if `value` is classified as a `RegExp` object.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a regexp, else `false`.
     * @example
     *
     * _.isRegExp(/abc/);
     * // => true
     *
     * _.isRegExp('/abc/');
     * // => false
     */
    var isRegExp = nodeIsRegExp ? baseUnary(nodeIsRegExp) : baseIsRegExp;

    /**
     * Checks if `value` is a safe integer. An integer is safe if it's an IEEE-754
     * double precision number which isn't the result of a rounded unsafe integer.
     *
     * **Note:** This method is based on
     * [`Number.isSafeInteger`](https://mdn.io/Number/isSafeInteger).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a safe integer, else `false`.
     * @example
     *
     * _.isSafeInteger(3);
     * // => true
     *
     * _.isSafeInteger(Number.MIN_VALUE);
     * // => false
     *
     * _.isSafeInteger(Infinity);
     * // => false
     *
     * _.isSafeInteger('3');
     * // => false
     */
    function isSafeInteger(value) {
      return isInteger(value) && value >= -MAX_SAFE_INTEGER && value <= MAX_SAFE_INTEGER;
    }

    /**
     * Checks if `value` is classified as a `Set` object.
     *
     * @static
     * @memberOf _
     * @since 4.3.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a set, else `false`.
     * @example
     *
     * _.isSet(new Set);
     * // => true
     *
     * _.isSet(new WeakSet);
     * // => false
     */
    var isSet = nodeIsSet ? baseUnary(nodeIsSet) : baseIsSet;

    /**
     * Checks if `value` is classified as a `String` primitive or object.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a string, else `false`.
     * @example
     *
     * _.isString('abc');
     * // => true
     *
     * _.isString(1);
     * // => false
     */
    function isString(value) {
      return typeof value == 'string' ||
        (!isArray(value) && isObjectLike(value) && baseGetTag(value) == stringTag);
    }

    /**
     * Checks if `value` is classified as a `Symbol` primitive or object.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
     * @example
     *
     * _.isSymbol(Symbol.iterator);
     * // => true
     *
     * _.isSymbol('abc');
     * // => false
     */
    function isSymbol(value) {
      return typeof value == 'symbol' ||
        (isObjectLike(value) && baseGetTag(value) == symbolTag);
    }

    /**
     * Checks if `value` is classified as a typed array.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
     * @example
     *
     * _.isTypedArray(new Uint8Array);
     * // => true
     *
     * _.isTypedArray([]);
     * // => false
     */
    var isTypedArray = nodeIsTypedArray ? baseUnary(nodeIsTypedArray) : baseIsTypedArray;

    /**
     * Checks if `value` is `undefined`.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is `undefined`, else `false`.
     * @example
     *
     * _.isUndefined(void 0);
     * // => true
     *
     * _.isUndefined(null);
     * // => false
     */
    function isUndefined(value) {
      return value === undefined;
    }

    /**
     * Checks if `value` is classified as a `WeakMap` object.
     *
     * @static
     * @memberOf _
     * @since 4.3.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a weak map, else `false`.
     * @example
     *
     * _.isWeakMap(new WeakMap);
     * // => true
     *
     * _.isWeakMap(new Map);
     * // => false
     */
    function isWeakMap(value) {
      return isObjectLike(value) && getTag(value) == weakMapTag;
    }

    /**
     * Checks if `value` is classified as a `WeakSet` object.
     *
     * @static
     * @memberOf _
     * @since 4.3.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a weak set, else `false`.
     * @example
     *
     * _.isWeakSet(new WeakSet);
     * // => true
     *
     * _.isWeakSet(new Set);
     * // => false
     */
    function isWeakSet(value) {
      return isObjectLike(value) && baseGetTag(value) == weakSetTag;
    }

    /**
     * Checks if `value` is less than `other`.
     *
     * @static
     * @memberOf _
     * @since 3.9.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if `value` is less than `other`,
     *  else `false`.
     * @see _.gt
     * @example
     *
     * _.lt(1, 3);
     * // => true
     *
     * _.lt(3, 3);
     * // => false
     *
     * _.lt(3, 1);
     * // => false
     */
    var lt = createRelationalOperation(baseLt);

    /**
     * Checks if `value` is less than or equal to `other`.
     *
     * @static
     * @memberOf _
     * @since 3.9.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if `value` is less than or equal to
     *  `other`, else `false`.
     * @see _.gte
     * @example
     *
     * _.lte(1, 3);
     * // => true
     *
     * _.lte(3, 3);
     * // => true
     *
     * _.lte(3, 1);
     * // => false
     */
    var lte = createRelationalOperation(function(value, other) {
      return value <= other;
    });

    /**
     * Converts `value` to an array.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {Array} Returns the converted array.
     * @example
     *
     * _.toArray({ 'a': 1, 'b': 2 });
     * // => [1, 2]
     *
     * _.toArray('abc');
     * // => ['a', 'b', 'c']
     *
     * _.toArray(1);
     * // => []
     *
     * _.toArray(null);
     * // => []
     */
    function toArray(value) {
      if (!value) {
        return [];
      }
      if (isArrayLike(value)) {
        return isString(value) ? stringToArray(value) : copyArray(value);
      }
      if (symIterator && value[symIterator]) {
        return iteratorToArray(value[symIterator]());
      }
      var tag = getTag(value),
          func = tag == mapTag ? mapToArray : (tag == setTag ? setToArray : values);

      return func(value);
    }

    /**
     * Converts `value` to a finite number.
     *
     * @static
     * @memberOf _
     * @since 4.12.0
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {number} Returns the converted number.
     * @example
     *
     * _.toFinite(3.2);
     * // => 3.2
     *
     * _.toFinite(Number.MIN_VALUE);
     * // => 5e-324
     *
     * _.toFinite(Infinity);
     * // => 1.7976931348623157e+308
     *
     * _.toFinite('3.2');
     * // => 3.2
     */
    function toFinite(value) {
      if (!value) {
        return value === 0 ? value : 0;
      }
      value = toNumber(value);
      if (value === INFINITY || value === -INFINITY) {
        var sign = (value < 0 ? -1 : 1);
        return sign * MAX_INTEGER;
      }
      return value === value ? value : 0;
    }

    /**
     * Converts `value` to an integer.
     *
     * **Note:** This method is loosely based on
     * [`ToInteger`](http://www.ecma-international.org/ecma-262/7.0/#sec-tointeger).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {number} Returns the converted integer.
     * @example
     *
     * _.toInteger(3.2);
     * // => 3
     *
     * _.toInteger(Number.MIN_VALUE);
     * // => 0
     *
     * _.toInteger(Infinity);
     * // => 1.7976931348623157e+308
     *
     * _.toInteger('3.2');
     * // => 3
     */
    function toInteger(value) {
      var result = toFinite(value),
          remainder = result % 1;

      return result === result ? (remainder ? result - remainder : result) : 0;
    }

    /**
     * Converts `value` to an integer suitable for use as the length of an
     * array-like object.
     *
     * **Note:** This method is based on
     * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {number} Returns the converted integer.
     * @example
     *
     * _.toLength(3.2);
     * // => 3
     *
     * _.toLength(Number.MIN_VALUE);
     * // => 0
     *
     * _.toLength(Infinity);
     * // => 4294967295
     *
     * _.toLength('3.2');
     * // => 3
     */
    function toLength(value) {
      return value ? baseClamp(toInteger(value), 0, MAX_ARRAY_LENGTH) : 0;
    }

    /**
     * Converts `value` to a number.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to process.
     * @returns {number} Returns the number.
     * @example
     *
     * _.toNumber(3.2);
     * // => 3.2
     *
     * _.toNumber(Number.MIN_VALUE);
     * // => 5e-324
     *
     * _.toNumber(Infinity);
     * // => Infinity
     *
     * _.toNumber('3.2');
     * // => 3.2
     */
    function toNumber(value) {
      if (typeof value == 'number') {
        return value;
      }
      if (isSymbol(value)) {
        return NAN;
      }
      if (isObject(value)) {
        var other = typeof value.valueOf == 'function' ? value.valueOf() : value;
        value = isObject(other) ? (other + '') : other;
      }
      if (typeof value != 'string') {
        return value === 0 ? value : +value;
      }
      value = baseTrim(value);
      var isBinary = reIsBinary.test(value);
      return (isBinary || reIsOctal.test(value))
        ? freeParseInt(value.slice(2), isBinary ? 2 : 8)
        : (reIsBadHex.test(value) ? NAN : +value);
    }

    /**
     * Converts `value` to a plain object flattening inherited enumerable string
     * keyed properties of `value` to own properties of the plain object.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {Object} Returns the converted plain object.
     * @example
     *
     * function Foo() {
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.assign({ 'a': 1 }, new Foo);
     * // => { 'a': 1, 'b': 2 }
     *
     * _.assign({ 'a': 1 }, _.toPlainObject(new Foo));
     * // => { 'a': 1, 'b': 2, 'c': 3 }
     */
    function toPlainObject(value) {
      return copyObject(value, keysIn(value));
    }

    /**
     * Converts `value` to a safe integer. A safe integer can be compared and
     * represented correctly.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {number} Returns the converted integer.
     * @example
     *
     * _.toSafeInteger(3.2);
     * // => 3
     *
     * _.toSafeInteger(Number.MIN_VALUE);
     * // => 0
     *
     * _.toSafeInteger(Infinity);
     * // => 9007199254740991
     *
     * _.toSafeInteger('3.2');
     * // => 3
     */
    function toSafeInteger(value) {
      return value
        ? baseClamp(toInteger(value), -MAX_SAFE_INTEGER, MAX_SAFE_INTEGER)
        : (value === 0 ? value : 0);
    }

    /**
     * Converts `value` to a string. An empty string is returned for `null`
     * and `undefined` values. The sign of `-0` is preserved.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {string} Returns the converted string.
     * @example
     *
     * _.toString(null);
     * // => ''
     *
     * _.toString(-0);
     * // => '-0'
     *
     * _.toString([1, 2, 3]);
     * // => '1,2,3'
     */
    function toString(value) {
      return value == null ? '' : baseToString(value);
    }

    /*------------------------------------------------------------------------*/

    /**
     * Assigns own enumerable string keyed properties of source objects to the
     * destination object. Source objects are applied from left to right.
     * Subsequent sources overwrite property assignments of previous sources.
     *
     * **Note:** This method mutates `object` and is loosely based on
     * [`Object.assign`](https://mdn.io/Object/assign).
     *
     * @static
     * @memberOf _
     * @since 0.10.0
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} [sources] The source objects.
     * @returns {Object} Returns `object`.
     * @see _.assignIn
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     * }
     *
     * function Bar() {
     *   this.c = 3;
     * }
     *
     * Foo.prototype.b = 2;
     * Bar.prototype.d = 4;
     *
     * _.assign({ 'a': 0 }, new Foo, new Bar);
     * // => { 'a': 1, 'c': 3 }
     */
    var assign = createAssigner(function(object, source) {
      if (isPrototype(source) || isArrayLike(source)) {
        copyObject(source, keys(source), object);
        return;
      }
      for (var key in source) {
        if (hasOwnProperty.call(source, key)) {
          assignValue(object, key, source[key]);
        }
      }
    });

    /**
     * This method is like `_.assign` except that it iterates over own and
     * inherited source properties.
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @alias extend
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} [sources] The source objects.
     * @returns {Object} Returns `object`.
     * @see _.assign
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     * }
     *
     * function Bar() {
     *   this.c = 3;
     * }
     *
     * Foo.prototype.b = 2;
     * Bar.prototype.d = 4;
     *
     * _.assignIn({ 'a': 0 }, new Foo, new Bar);
     * // => { 'a': 1, 'b': 2, 'c': 3, 'd': 4 }
     */
    var assignIn = createAssigner(function(object, source) {
      copyObject(source, keysIn(source), object);
    });

    /**
     * This method is like `_.assignIn` except that it accepts `customizer`
     * which is invoked to produce the assigned values. If `customizer` returns
     * `undefined`, assignment is handled by the method instead. The `customizer`
     * is invoked with five arguments: (objValue, srcValue, key, object, source).
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @alias extendWith
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} sources The source objects.
     * @param {Function} [customizer] The function to customize assigned values.
     * @returns {Object} Returns `object`.
     * @see _.assignWith
     * @example
     *
     * function customizer(objValue, srcValue) {
     *   return _.isUndefined(objValue) ? srcValue : objValue;
     * }
     *
     * var defaults = _.partialRight(_.assignInWith, customizer);
     *
     * defaults({ 'a': 1 }, { 'b': 2 }, { 'a': 3 });
     * // => { 'a': 1, 'b': 2 }
     */
    var assignInWith = createAssigner(function(object, source, srcIndex, customizer) {
      copyObject(source, keysIn(source), object, customizer);
    });

    /**
     * This method is like `_.assign` except that it accepts `customizer`
     * which is invoked to produce the assigned values. If `customizer` returns
     * `undefined`, assignment is handled by the method instead. The `customizer`
     * is invoked with five arguments: (objValue, srcValue, key, object, source).
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} sources The source objects.
     * @param {Function} [customizer] The function to customize assigned values.
     * @returns {Object} Returns `object`.
     * @see _.assignInWith
     * @example
     *
     * function customizer(objValue, srcValue) {
     *   return _.isUndefined(objValue) ? srcValue : objValue;
     * }
     *
     * var defaults = _.partialRight(_.assignWith, customizer);
     *
     * defaults({ 'a': 1 }, { 'b': 2 }, { 'a': 3 });
     * // => { 'a': 1, 'b': 2 }
     */
    var assignWith = createAssigner(function(object, source, srcIndex, customizer) {
      copyObject(source, keys(source), object, customizer);
    });

    /**
     * Creates an array of values corresponding to `paths` of `object`.
     *
     * @static
     * @memberOf _
     * @since 1.0.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {...(string|string[])} [paths] The property paths to pick.
     * @returns {Array} Returns the picked values.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': 3 } }, 4] };
     *
     * _.at(object, ['a[0].b.c', 'a[1]']);
     * // => [3, 4]
     */
    var at = flatRest(baseAt);

    /**
     * Creates an object that inherits from the `prototype` object. If a
     * `properties` object is given, its own enumerable string keyed properties
     * are assigned to the created object.
     *
     * @static
     * @memberOf _
     * @since 2.3.0
     * @category Object
     * @param {Object} prototype The object to inherit from.
     * @param {Object} [properties] The properties to assign to the object.
     * @returns {Object} Returns the new object.
     * @example
     *
     * function Shape() {
     *   this.x = 0;
     *   this.y = 0;
     * }
     *
     * function Circle() {
     *   Shape.call(this);
     * }
     *
     * Circle.prototype = _.create(Shape.prototype, {
     *   'constructor': Circle
     * });
     *
     * var circle = new Circle;
     * circle instanceof Circle;
     * // => true
     *
     * circle instanceof Shape;
     * // => true
     */
    function create(prototype, properties) {
      var result = baseCreate(prototype);
      return properties == null ? result : baseAssign(result, properties);
    }

    /**
     * Assigns own and inherited enumerable string keyed properties of source
     * objects to the destination object for all destination properties that
     * resolve to `undefined`. Source objects are applied from left to right.
     * Once a property is set, additional values of the same property are ignored.
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} [sources] The source objects.
     * @returns {Object} Returns `object`.
     * @see _.defaultsDeep
     * @example
     *
     * _.defaults({ 'a': 1 }, { 'b': 2 }, { 'a': 3 });
     * // => { 'a': 1, 'b': 2 }
     */
    var defaults = baseRest(function(object, sources) {
      object = Object(object);

      var index = -1;
      var length = sources.length;
      var guard = length > 2 ? sources[2] : undefined;

      if (guard && isIterateeCall(sources[0], sources[1], guard)) {
        length = 1;
      }

      while (++index < length) {
        var source = sources[index];
        var props = keysIn(source);
        var propsIndex = -1;
        var propsLength = props.length;

        while (++propsIndex < propsLength) {
          var key = props[propsIndex];
          var value = object[key];

          if (value === undefined ||
              (eq(value, objectProto[key]) && !hasOwnProperty.call(object, key))) {
            object[key] = source[key];
          }
        }
      }

      return object;
    });

    /**
     * This method is like `_.defaults` except that it recursively assigns
     * default properties.
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 3.10.0
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} [sources] The source objects.
     * @returns {Object} Returns `object`.
     * @see _.defaults
     * @example
     *
     * _.defaultsDeep({ 'a': { 'b': 2 } }, { 'a': { 'b': 1, 'c': 3 } });
     * // => { 'a': { 'b': 2, 'c': 3 } }
     */
    var defaultsDeep = baseRest(function(args) {
      args.push(undefined, customDefaultsMerge);
      return apply(mergeWith, undefined, args);
    });

    /**
     * This method is like `_.find` except that it returns the key of the first
     * element `predicate` returns truthy for instead of the element itself.
     *
     * @static
     * @memberOf _
     * @since 1.1.0
     * @category Object
     * @param {Object} object The object to inspect.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {string|undefined} Returns the key of the matched element,
     *  else `undefined`.
     * @example
     *
     * var users = {
     *   'barney':  { 'age': 36, 'active': true },
     *   'fred':    { 'age': 40, 'active': false },
     *   'pebbles': { 'age': 1,  'active': true }
     * };
     *
     * _.findKey(users, function(o) { return o.age < 40; });
     * // => 'barney' (iteration order is not guaranteed)
     *
     * // The `_.matches` iteratee shorthand.
     * _.findKey(users, { 'age': 1, 'active': true });
     * // => 'pebbles'
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.findKey(users, ['active', false]);
     * // => 'fred'
     *
     * // The `_.property` iteratee shorthand.
     * _.findKey(users, 'active');
     * // => 'barney'
     */
    function findKey(object, predicate) {
      return baseFindKey(object, getIteratee(predicate, 3), baseForOwn);
    }

    /**
     * This method is like `_.findKey` except that it iterates over elements of
     * a collection in the opposite order.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Object
     * @param {Object} object The object to inspect.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {string|undefined} Returns the key of the matched element,
     *  else `undefined`.
     * @example
     *
     * var users = {
     *   'barney':  { 'age': 36, 'active': true },
     *   'fred':    { 'age': 40, 'active': false },
     *   'pebbles': { 'age': 1,  'active': true }
     * };
     *
     * _.findLastKey(users, function(o) { return o.age < 40; });
     * // => returns 'pebbles' assuming `_.findKey` returns 'barney'
     *
     * // The `_.matches` iteratee shorthand.
     * _.findLastKey(users, { 'age': 36, 'active': true });
     * // => 'barney'
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.findLastKey(users, ['active', false]);
     * // => 'fred'
     *
     * // The `_.property` iteratee shorthand.
     * _.findLastKey(users, 'active');
     * // => 'pebbles'
     */
    function findLastKey(object, predicate) {
      return baseFindKey(object, getIteratee(predicate, 3), baseForOwnRight);
    }

    /**
     * Iterates over own and inherited enumerable string keyed properties of an
     * object and invokes `iteratee` for each property. The iteratee is invoked
     * with three arguments: (value, key, object). Iteratee functions may exit
     * iteration early by explicitly returning `false`.
     *
     * @static
     * @memberOf _
     * @since 0.3.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Object} Returns `object`.
     * @see _.forInRight
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.forIn(new Foo, function(value, key) {
     *   console.log(key);
     * });
     * // => Logs 'a', 'b', then 'c' (iteration order is not guaranteed).
     */
    function forIn(object, iteratee) {
      return object == null
        ? object
        : baseFor(object, getIteratee(iteratee, 3), keysIn);
    }

    /**
     * This method is like `_.forIn` except that it iterates over properties of
     * `object` in the opposite order.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Object} Returns `object`.
     * @see _.forIn
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.forInRight(new Foo, function(value, key) {
     *   console.log(key);
     * });
     * // => Logs 'c', 'b', then 'a' assuming `_.forIn` logs 'a', 'b', then 'c'.
     */
    function forInRight(object, iteratee) {
      return object == null
        ? object
        : baseForRight(object, getIteratee(iteratee, 3), keysIn);
    }

    /**
     * Iterates over own enumerable string keyed properties of an object and
     * invokes `iteratee` for each property. The iteratee is invoked with three
     * arguments: (value, key, object). Iteratee functions may exit iteration
     * early by explicitly returning `false`.
     *
     * @static
     * @memberOf _
     * @since 0.3.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Object} Returns `object`.
     * @see _.forOwnRight
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.forOwn(new Foo, function(value, key) {
     *   console.log(key);
     * });
     * // => Logs 'a' then 'b' (iteration order is not guaranteed).
     */
    function forOwn(object, iteratee) {
      return object && baseForOwn(object, getIteratee(iteratee, 3));
    }

    /**
     * This method is like `_.forOwn` except that it iterates over properties of
     * `object` in the opposite order.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Object} Returns `object`.
     * @see _.forOwn
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.forOwnRight(new Foo, function(value, key) {
     *   console.log(key);
     * });
     * // => Logs 'b' then 'a' assuming `_.forOwn` logs 'a' then 'b'.
     */
    function forOwnRight(object, iteratee) {
      return object && baseForOwnRight(object, getIteratee(iteratee, 3));
    }

    /**
     * Creates an array of function property names from own enumerable properties
     * of `object`.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The object to inspect.
     * @returns {Array} Returns the function names.
     * @see _.functionsIn
     * @example
     *
     * function Foo() {
     *   this.a = _.constant('a');
     *   this.b = _.constant('b');
     * }
     *
     * Foo.prototype.c = _.constant('c');
     *
     * _.functions(new Foo);
     * // => ['a', 'b']
     */
    function functions(object) {
      return object == null ? [] : baseFunctions(object, keys(object));
    }

    /**
     * Creates an array of function property names from own and inherited
     * enumerable properties of `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The object to inspect.
     * @returns {Array} Returns the function names.
     * @see _.functions
     * @example
     *
     * function Foo() {
     *   this.a = _.constant('a');
     *   this.b = _.constant('b');
     * }
     *
     * Foo.prototype.c = _.constant('c');
     *
     * _.functionsIn(new Foo);
     * // => ['a', 'b', 'c']
     */
    function functionsIn(object) {
      return object == null ? [] : baseFunctions(object, keysIn(object));
    }

    /**
     * Gets the value at `path` of `object`. If the resolved value is
     * `undefined`, the `defaultValue` is returned in its place.
     *
     * @static
     * @memberOf _
     * @since 3.7.0
     * @category Object
     * @param {Object} object The object to query.
     * @param {Array|string} path The path of the property to get.
     * @param {*} [defaultValue] The value returned for `undefined` resolved values.
     * @returns {*} Returns the resolved value.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': 3 } }] };
     *
     * _.get(object, 'a[0].b.c');
     * // => 3
     *
     * _.get(object, ['a', '0', 'b', 'c']);
     * // => 3
     *
     * _.get(object, 'a.b.c', 'default');
     * // => 'default'
     */
    function get(object, path, defaultValue) {
      var result = object == null ? undefined : baseGet(object, path);
      return result === undefined ? defaultValue : result;
    }

    /**
     * Checks if `path` is a direct property of `object`.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The object to query.
     * @param {Array|string} path The path to check.
     * @returns {boolean} Returns `true` if `path` exists, else `false`.
     * @example
     *
     * var object = { 'a': { 'b': 2 } };
     * var other = _.create({ 'a': _.create({ 'b': 2 }) });
     *
     * _.has(object, 'a');
     * // => true
     *
     * _.has(object, 'a.b');
     * // => true
     *
     * _.has(object, ['a', 'b']);
     * // => true
     *
     * _.has(other, 'a');
     * // => false
     */
    function has(object, path) {
      return object != null && hasPath(object, path, baseHas);
    }

    /**
     * Checks if `path` is a direct or inherited property of `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The object to query.
     * @param {Array|string} path The path to check.
     * @returns {boolean} Returns `true` if `path` exists, else `false`.
     * @example
     *
     * var object = _.create({ 'a': _.create({ 'b': 2 }) });
     *
     * _.hasIn(object, 'a');
     * // => true
     *
     * _.hasIn(object, 'a.b');
     * // => true
     *
     * _.hasIn(object, ['a', 'b']);
     * // => true
     *
     * _.hasIn(object, 'b');
     * // => false
     */
    function hasIn(object, path) {
      return object != null && hasPath(object, path, baseHasIn);
    }

    /**
     * Creates an object composed of the inverted keys and values of `object`.
     * If `object` contains duplicate values, subsequent values overwrite
     * property assignments of previous values.
     *
     * @static
     * @memberOf _
     * @since 0.7.0
     * @category Object
     * @param {Object} object The object to invert.
     * @returns {Object} Returns the new inverted object.
     * @example
     *
     * var object = { 'a': 1, 'b': 2, 'c': 1 };
     *
     * _.invert(object);
     * // => { '1': 'c', '2': 'b' }
     */
    var invert = createInverter(function(result, value, key) {
      if (value != null &&
          typeof value.toString != 'function') {
        value = nativeObjectToString.call(value);
      }

      result[value] = key;
    }, constant(identity));

    /**
     * This method is like `_.invert` except that the inverted object is generated
     * from the results of running each element of `object` thru `iteratee`. The
     * corresponding inverted value of each inverted key is an array of keys
     * responsible for generating the inverted value. The iteratee is invoked
     * with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.1.0
     * @category Object
     * @param {Object} object The object to invert.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Object} Returns the new inverted object.
     * @example
     *
     * var object = { 'a': 1, 'b': 2, 'c': 1 };
     *
     * _.invertBy(object);
     * // => { '1': ['a', 'c'], '2': ['b'] }
     *
     * _.invertBy(object, function(value) {
     *   return 'group' + value;
     * });
     * // => { 'group1': ['a', 'c'], 'group2': ['b'] }
     */
    var invertBy = createInverter(function(result, value, key) {
      if (value != null &&
          typeof value.toString != 'function') {
        value = nativeObjectToString.call(value);
      }

      if (hasOwnProperty.call(result, value)) {
        result[value].push(key);
      } else {
        result[value] = [key];
      }
    }, getIteratee);

    /**
     * Invokes the method at `path` of `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The object to query.
     * @param {Array|string} path The path of the method to invoke.
     * @param {...*} [args] The arguments to invoke the method with.
     * @returns {*} Returns the result of the invoked method.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': [1, 2, 3, 4] } }] };
     *
     * _.invoke(object, 'a[0].b.c.slice', 1, 3);
     * // => [2, 3]
     */
    var invoke = baseRest(baseInvoke);

    /**
     * Creates an array of the own enumerable property names of `object`.
     *
     * **Note:** Non-object values are coerced to objects. See the
     * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
     * for more details.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.keys(new Foo);
     * // => ['a', 'b'] (iteration order is not guaranteed)
     *
     * _.keys('hi');
     * // => ['0', '1']
     */
    function keys(object) {
      return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
    }

    /**
     * Creates an array of the own and inherited enumerable property names of `object`.
     *
     * **Note:** Non-object values are coerced to objects.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Object
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.keysIn(new Foo);
     * // => ['a', 'b', 'c'] (iteration order is not guaranteed)
     */
    function keysIn(object) {
      return isArrayLike(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
    }

    /**
     * The opposite of `_.mapValues`; this method creates an object with the
     * same values as `object` and keys generated by running each own enumerable
     * string keyed property of `object` thru `iteratee`. The iteratee is invoked
     * with three arguments: (value, key, object).
     *
     * @static
     * @memberOf _
     * @since 3.8.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Object} Returns the new mapped object.
     * @see _.mapValues
     * @example
     *
     * _.mapKeys({ 'a': 1, 'b': 2 }, function(value, key) {
     *   return key + value;
     * });
     * // => { 'a1': 1, 'b2': 2 }
     */
    function mapKeys(object, iteratee) {
      var result = {};
      iteratee = getIteratee(iteratee, 3);

      baseForOwn(object, function(value, key, object) {
        baseAssignValue(result, iteratee(value, key, object), value);
      });
      return result;
    }

    /**
     * Creates an object with the same keys as `object` and values generated
     * by running each own enumerable string keyed property of `object` thru
     * `iteratee`. The iteratee is invoked with three arguments:
     * (value, key, object).
     *
     * @static
     * @memberOf _
     * @since 2.4.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Object} Returns the new mapped object.
     * @see _.mapKeys
     * @example
     *
     * var users = {
     *   'fred':    { 'user': 'fred',    'age': 40 },
     *   'pebbles': { 'user': 'pebbles', 'age': 1 }
     * };
     *
     * _.mapValues(users, function(o) { return o.age; });
     * // => { 'fred': 40, 'pebbles': 1 } (iteration order is not guaranteed)
     *
     * // The `_.property` iteratee shorthand.
     * _.mapValues(users, 'age');
     * // => { 'fred': 40, 'pebbles': 1 } (iteration order is not guaranteed)
     */
    function mapValues(object, iteratee) {
      var result = {};
      iteratee = getIteratee(iteratee, 3);

      baseForOwn(object, function(value, key, object) {
        baseAssignValue(result, key, iteratee(value, key, object));
      });
      return result;
    }

    /**
     * This method is like `_.assign` except that it recursively merges own and
     * inherited enumerable string keyed properties of source objects into the
     * destination object. Source properties that resolve to `undefined` are
     * skipped if a destination value exists. Array and plain object properties
     * are merged recursively. Other objects and value types are overridden by
     * assignment. Source objects are applied from left to right. Subsequent
     * sources overwrite property assignments of previous sources.
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 0.5.0
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} [sources] The source objects.
     * @returns {Object} Returns `object`.
     * @example
     *
     * var object = {
     *   'a': [{ 'b': 2 }, { 'd': 4 }]
     * };
     *
     * var other = {
     *   'a': [{ 'c': 3 }, { 'e': 5 }]
     * };
     *
     * _.merge(object, other);
     * // => { 'a': [{ 'b': 2, 'c': 3 }, { 'd': 4, 'e': 5 }] }
     */
    var merge = createAssigner(function(object, source, srcIndex) {
      baseMerge(object, source, srcIndex);
    });

    /**
     * This method is like `_.merge` except that it accepts `customizer` which
     * is invoked to produce the merged values of the destination and source
     * properties. If `customizer` returns `undefined`, merging is handled by the
     * method instead. The `customizer` is invoked with six arguments:
     * (objValue, srcValue, key, object, source, stack).
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} sources The source objects.
     * @param {Function} customizer The function to customize assigned values.
     * @returns {Object} Returns `object`.
     * @example
     *
     * function customizer(objValue, srcValue) {
     *   if (_.isArray(objValue)) {
     *     return objValue.concat(srcValue);
     *   }
     * }
     *
     * var object = { 'a': [1], 'b': [2] };
     * var other = { 'a': [3], 'b': [4] };
     *
     * _.mergeWith(object, other, customizer);
     * // => { 'a': [1, 3], 'b': [2, 4] }
     */
    var mergeWith = createAssigner(function(object, source, srcIndex, customizer) {
      baseMerge(object, source, srcIndex, customizer);
    });

    /**
     * The opposite of `_.pick`; this method creates an object composed of the
     * own and inherited enumerable property paths of `object` that are not omitted.
     *
     * **Note:** This method is considerably slower than `_.pick`.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The source object.
     * @param {...(string|string[])} [paths] The property paths to omit.
     * @returns {Object} Returns the new object.
     * @example
     *
     * var object = { 'a': 1, 'b': '2', 'c': 3 };
     *
     * _.omit(object, ['a', 'c']);
     * // => { 'b': '2' }
     */
    var omit = flatRest(function(object, paths) {
      var result = {};
      if (object == null) {
        return result;
      }
      var isDeep = false;
      paths = arrayMap(paths, function(path) {
        path = castPath(path, object);
        isDeep || (isDeep = path.length > 1);
        return path;
      });
      copyObject(object, getAllKeysIn(object), result);
      if (isDeep) {
        result = baseClone(result, CLONE_DEEP_FLAG | CLONE_FLAT_FLAG | CLONE_SYMBOLS_FLAG, customOmitClone);
      }
      var length = paths.length;
      while (length--) {
        baseUnset(result, paths[length]);
      }
      return result;
    });

    /**
     * The opposite of `_.pickBy`; this method creates an object composed of
     * the own and inherited enumerable string keyed properties of `object` that
     * `predicate` doesn't return truthy for. The predicate is invoked with two
     * arguments: (value, key).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The source object.
     * @param {Function} [predicate=_.identity] The function invoked per property.
     * @returns {Object} Returns the new object.
     * @example
     *
     * var object = { 'a': 1, 'b': '2', 'c': 3 };
     *
     * _.omitBy(object, _.isNumber);
     * // => { 'b': '2' }
     */
    function omitBy(object, predicate) {
      return pickBy(object, negate(getIteratee(predicate)));
    }

    /**
     * Creates an object composed of the picked `object` properties.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The source object.
     * @param {...(string|string[])} [paths] The property paths to pick.
     * @returns {Object} Returns the new object.
     * @example
     *
     * var object = { 'a': 1, 'b': '2', 'c': 3 };
     *
     * _.pick(object, ['a', 'c']);
     * // => { 'a': 1, 'c': 3 }
     */
    var pick = flatRest(function(object, paths) {
      return object == null ? {} : basePick(object, paths);
    });

    /**
     * Creates an object composed of the `object` properties `predicate` returns
     * truthy for. The predicate is invoked with two arguments: (value, key).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The source object.
     * @param {Function} [predicate=_.identity] The function invoked per property.
     * @returns {Object} Returns the new object.
     * @example
     *
     * var object = { 'a': 1, 'b': '2', 'c': 3 };
     *
     * _.pickBy(object, _.isNumber);
     * // => { 'a': 1, 'c': 3 }
     */
    function pickBy(object, predicate) {
      if (object == null) {
        return {};
      }
      var props = arrayMap(getAllKeysIn(object), function(prop) {
        return [prop];
      });
      predicate = getIteratee(predicate);
      return basePickBy(object, props, function(value, path) {
        return predicate(value, path[0]);
      });
    }

    /**
     * This method is like `_.get` except that if the resolved value is a
     * function it's invoked with the `this` binding of its parent object and
     * its result is returned.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The object to query.
     * @param {Array|string} path The path of the property to resolve.
     * @param {*} [defaultValue] The value returned for `undefined` resolved values.
     * @returns {*} Returns the resolved value.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c1': 3, 'c2': _.constant(4) } }] };
     *
     * _.result(object, 'a[0].b.c1');
     * // => 3
     *
     * _.result(object, 'a[0].b.c2');
     * // => 4
     *
     * _.result(object, 'a[0].b.c3', 'default');
     * // => 'default'
     *
     * _.result(object, 'a[0].b.c3', _.constant('default'));
     * // => 'default'
     */
    function result(object, path, defaultValue) {
      path = castPath(path, object);

      var index = -1,
          length = path.length;

      // Ensure the loop is entered when path is empty.
      if (!length) {
        length = 1;
        object = undefined;
      }
      while (++index < length) {
        var value = object == null ? undefined : object[toKey(path[index])];
        if (value === undefined) {
          index = length;
          value = defaultValue;
        }
        object = isFunction(value) ? value.call(object) : value;
      }
      return object;
    }

    /**
     * Sets the value at `path` of `object`. If a portion of `path` doesn't exist,
     * it's created. Arrays are created for missing index properties while objects
     * are created for all other missing properties. Use `_.setWith` to customize
     * `path` creation.
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 3.7.0
     * @category Object
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to set.
     * @param {*} value The value to set.
     * @returns {Object} Returns `object`.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': 3 } }] };
     *
     * _.set(object, 'a[0].b.c', 4);
     * console.log(object.a[0].b.c);
     * // => 4
     *
     * _.set(object, ['x', '0', 'y', 'z'], 5);
     * console.log(object.x[0].y.z);
     * // => 5
     */
    function set(object, path, value) {
      return object == null ? object : baseSet(object, path, value);
    }

    /**
     * This method is like `_.set` except that it accepts `customizer` which is
     * invoked to produce the objects of `path`.  If `customizer` returns `undefined`
     * path creation is handled by the method instead. The `customizer` is invoked
     * with three arguments: (nsValue, key, nsObject).
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to set.
     * @param {*} value The value to set.
     * @param {Function} [customizer] The function to customize assigned values.
     * @returns {Object} Returns `object`.
     * @example
     *
     * var object = {};
     *
     * _.setWith(object, '[0][1]', 'a', Object);
     * // => { '0': { '1': 'a' } }
     */
    function setWith(object, path, value, customizer) {
      customizer = typeof customizer == 'function' ? customizer : undefined;
      return object == null ? object : baseSet(object, path, value, customizer);
    }

    /**
     * Creates an array of own enumerable string keyed-value pairs for `object`
     * which can be consumed by `_.fromPairs`. If `object` is a map or set, its
     * entries are returned.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @alias entries
     * @category Object
     * @param {Object} object The object to query.
     * @returns {Array} Returns the key-value pairs.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.toPairs(new Foo);
     * // => [['a', 1], ['b', 2]] (iteration order is not guaranteed)
     */
    var toPairs = createToPairs(keys);

    /**
     * Creates an array of own and inherited enumerable string keyed-value pairs
     * for `object` which can be consumed by `_.fromPairs`. If `object` is a map
     * or set, its entries are returned.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @alias entriesIn
     * @category Object
     * @param {Object} object The object to query.
     * @returns {Array} Returns the key-value pairs.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.toPairsIn(new Foo);
     * // => [['a', 1], ['b', 2], ['c', 3]] (iteration order is not guaranteed)
     */
    var toPairsIn = createToPairs(keysIn);

    /**
     * An alternative to `_.reduce`; this method transforms `object` to a new
     * `accumulator` object which is the result of running each of its own
     * enumerable string keyed properties thru `iteratee`, with each invocation
     * potentially mutating the `accumulator` object. If `accumulator` is not
     * provided, a new object with the same `[[Prototype]]` will be used. The
     * iteratee is invoked with four arguments: (accumulator, value, key, object).
     * Iteratee functions may exit iteration early by explicitly returning `false`.
     *
     * @static
     * @memberOf _
     * @since 1.3.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @param {*} [accumulator] The custom accumulator value.
     * @returns {*} Returns the accumulated value.
     * @example
     *
     * _.transform([2, 3, 4], function(result, n) {
     *   result.push(n *= n);
     *   return n % 2 == 0;
     * }, []);
     * // => [4, 9]
     *
     * _.transform({ 'a': 1, 'b': 2, 'c': 1 }, function(result, value, key) {
     *   (result[value] || (result[value] = [])).push(key);
     * }, {});
     * // => { '1': ['a', 'c'], '2': ['b'] }
     */
    function transform(object, iteratee, accumulator) {
      var isArr = isArray(object),
          isArrLike = isArr || isBuffer(object) || isTypedArray(object);

      iteratee = getIteratee(iteratee, 4);
      if (accumulator == null) {
        var Ctor = object && object.constructor;
        if (isArrLike) {
          accumulator = isArr ? new Ctor : [];
        }
        else if (isObject(object)) {
          accumulator = isFunction(Ctor) ? baseCreate(getPrototype(object)) : {};
        }
        else {
          accumulator = {};
        }
      }
      (isArrLike ? arrayEach : baseForOwn)(object, function(value, index, object) {
        return iteratee(accumulator, value, index, object);
      });
      return accumulator;
    }

    /**
     * Removes the property at `path` of `object`.
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to unset.
     * @returns {boolean} Returns `true` if the property is deleted, else `false`.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': 7 } }] };
     * _.unset(object, 'a[0].b.c');
     * // => true
     *
     * console.log(object);
     * // => { 'a': [{ 'b': {} }] };
     *
     * _.unset(object, ['a', '0', 'b', 'c']);
     * // => true
     *
     * console.log(object);
     * // => { 'a': [{ 'b': {} }] };
     */
    function unset(object, path) {
      return object == null ? true : baseUnset(object, path);
    }

    /**
     * This method is like `_.set` except that accepts `updater` to produce the
     * value to set. Use `_.updateWith` to customize `path` creation. The `updater`
     * is invoked with one argument: (value).
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.6.0
     * @category Object
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to set.
     * @param {Function} updater The function to produce the updated value.
     * @returns {Object} Returns `object`.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': 3 } }] };
     *
     * _.update(object, 'a[0].b.c', function(n) { return n * n; });
     * console.log(object.a[0].b.c);
     * // => 9
     *
     * _.update(object, 'x[0].y.z', function(n) { return n ? n + 1 : 0; });
     * console.log(object.x[0].y.z);
     * // => 0
     */
    function update(object, path, updater) {
      return object == null ? object : baseUpdate(object, path, castFunction(updater));
    }

    /**
     * This method is like `_.update` except that it accepts `customizer` which is
     * invoked to produce the objects of `path`.  If `customizer` returns `undefined`
     * path creation is handled by the method instead. The `customizer` is invoked
     * with three arguments: (nsValue, key, nsObject).
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.6.0
     * @category Object
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to set.
     * @param {Function} updater The function to produce the updated value.
     * @param {Function} [customizer] The function to customize assigned values.
     * @returns {Object} Returns `object`.
     * @example
     *
     * var object = {};
     *
     * _.updateWith(object, '[0][1]', _.constant('a'), Object);
     * // => { '0': { '1': 'a' } }
     */
    function updateWith(object, path, updater, customizer) {
      customizer = typeof customizer == 'function' ? customizer : undefined;
      return object == null ? object : baseUpdate(object, path, castFunction(updater), customizer);
    }

    /**
     * Creates an array of the own enumerable string keyed property values of `object`.
     *
     * **Note:** Non-object values are coerced to objects.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property values.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.values(new Foo);
     * // => [1, 2] (iteration order is not guaranteed)
     *
     * _.values('hi');
     * // => ['h', 'i']
     */
    function values(object) {
      return object == null ? [] : baseValues(object, keys(object));
    }

    /**
     * Creates an array of the own and inherited enumerable string keyed property
     * values of `object`.
     *
     * **Note:** Non-object values are coerced to objects.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Object
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property values.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.valuesIn(new Foo);
     * // => [1, 2, 3] (iteration order is not guaranteed)
     */
    function valuesIn(object) {
      return object == null ? [] : baseValues(object, keysIn(object));
    }

    /*------------------------------------------------------------------------*/

    /**
     * Clamps `number` within the inclusive `lower` and `upper` bounds.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Number
     * @param {number} number The number to clamp.
     * @param {number} [lower] The lower bound.
     * @param {number} upper The upper bound.
     * @returns {number} Returns the clamped number.
     * @example
     *
     * _.clamp(-10, -5, 5);
     * // => -5
     *
     * _.clamp(10, -5, 5);
     * // => 5
     */
    function clamp(number, lower, upper) {
      if (upper === undefined) {
        upper = lower;
        lower = undefined;
      }
      if (upper !== undefined) {
        upper = toNumber(upper);
        upper = upper === upper ? upper : 0;
      }
      if (lower !== undefined) {
        lower = toNumber(lower);
        lower = lower === lower ? lower : 0;
      }
      return baseClamp(toNumber(number), lower, upper);
    }

    /**
     * Checks if `n` is between `start` and up to, but not including, `end`. If
     * `end` is not specified, it's set to `start` with `start` then set to `0`.
     * If `start` is greater than `end` the params are swapped to support
     * negative ranges.
     *
     * @static
     * @memberOf _
     * @since 3.3.0
     * @category Number
     * @param {number} number The number to check.
     * @param {number} [start=0] The start of the range.
     * @param {number} end The end of the range.
     * @returns {boolean} Returns `true` if `number` is in the range, else `false`.
     * @see _.range, _.rangeRight
     * @example
     *
     * _.inRange(3, 2, 4);
     * // => true
     *
     * _.inRange(4, 8);
     * // => true
     *
     * _.inRange(4, 2);
     * // => false
     *
     * _.inRange(2, 2);
     * // => false
     *
     * _.inRange(1.2, 2);
     * // => true
     *
     * _.inRange(5.2, 4);
     * // => false
     *
     * _.inRange(-3, -2, -6);
     * // => true
     */
    function inRange(number, start, end) {
      start = toFinite(start);
      if (end === undefined) {
        end = start;
        start = 0;
      } else {
        end = toFinite(end);
      }
      number = toNumber(number);
      return baseInRange(number, start, end);
    }

    /**
     * Produces a random number between the inclusive `lower` and `upper` bounds.
     * If only one argument is provided a number between `0` and the given number
     * is returned. If `floating` is `true`, or either `lower` or `upper` are
     * floats, a floating-point number is returned instead of an integer.
     *
     * **Note:** JavaScript follows the IEEE-754 standard for resolving
     * floating-point values which can produce unexpected results.
     *
     * @static
     * @memberOf _
     * @since 0.7.0
     * @category Number
     * @param {number} [lower=0] The lower bound.
     * @param {number} [upper=1] The upper bound.
     * @param {boolean} [floating] Specify returning a floating-point number.
     * @returns {number} Returns the random number.
     * @example
     *
     * _.random(0, 5);
     * // => an integer between 0 and 5
     *
     * _.random(5);
     * // => also an integer between 0 and 5
     *
     * _.random(5, true);
     * // => a floating-point number between 0 and 5
     *
     * _.random(1.2, 5.2);
     * // => a floating-point number between 1.2 and 5.2
     */
    function random(lower, upper, floating) {
      if (floating && typeof floating != 'boolean' && isIterateeCall(lower, upper, floating)) {
        upper = floating = undefined;
      }
      if (floating === undefined) {
        if (typeof upper == 'boolean') {
          floating = upper;
          upper = undefined;
        }
        else if (typeof lower == 'boolean') {
          floating = lower;
          lower = undefined;
        }
      }
      if (lower === undefined && upper === undefined) {
        lower = 0;
        upper = 1;
      }
      else {
        lower = toFinite(lower);
        if (upper === undefined) {
          upper = lower;
          lower = 0;
        } else {
          upper = toFinite(upper);
        }
      }
      if (lower > upper) {
        var temp = lower;
        lower = upper;
        upper = temp;
      }
      if (floating || lower % 1 || upper % 1) {
        var rand = nativeRandom();
        return nativeMin(lower + (rand * (upper - lower + freeParseFloat('1e-' + ((rand + '').length - 1)))), upper);
      }
      return baseRandom(lower, upper);
    }

    /*------------------------------------------------------------------------*/

    /**
     * Converts `string` to [camel case](https://en.wikipedia.org/wiki/CamelCase).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the camel cased string.
     * @example
     *
     * _.camelCase('Foo Bar');
     * // => 'fooBar'
     *
     * _.camelCase('--foo-bar--');
     * // => 'fooBar'
     *
     * _.camelCase('__FOO_BAR__');
     * // => 'fooBar'
     */
    var camelCase = createCompounder(function(result, word, index) {
      word = word.toLowerCase();
      return result + (index ? capitalize(word) : word);
    });

    /**
     * Converts the first character of `string` to upper case and the remaining
     * to lower case.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to capitalize.
     * @returns {string} Returns the capitalized string.
     * @example
     *
     * _.capitalize('FRED');
     * // => 'Fred'
     */
    function capitalize(string) {
      return upperFirst(toString(string).toLowerCase());
    }

    /**
     * Deburrs `string` by converting
     * [Latin-1 Supplement](https://en.wikipedia.org/wiki/Latin-1_Supplement_(Unicode_block)#Character_table)
     * and [Latin Extended-A](https://en.wikipedia.org/wiki/Latin_Extended-A)
     * letters to basic Latin letters and removing
     * [combining diacritical marks](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to deburr.
     * @returns {string} Returns the deburred string.
     * @example
     *
     * _.deburr('déjà vu');
     * // => 'deja vu'
     */
    function deburr(string) {
      string = toString(string);
      return string && string.replace(reLatin, deburrLetter).replace(reComboMark, '');
    }

    /**
     * Checks if `string` ends with the given target string.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to inspect.
     * @param {string} [target] The string to search for.
     * @param {number} [position=string.length] The position to search up to.
     * @returns {boolean} Returns `true` if `string` ends with `target`,
     *  else `false`.
     * @example
     *
     * _.endsWith('abc', 'c');
     * // => true
     *
     * _.endsWith('abc', 'b');
     * // => false
     *
     * _.endsWith('abc', 'b', 2);
     * // => true
     */
    function endsWith(string, target, position) {
      string = toString(string);
      target = baseToString(target);

      var length = string.length;
      position = position === undefined
        ? length
        : baseClamp(toInteger(position), 0, length);

      var end = position;
      position -= target.length;
      return position >= 0 && string.slice(position, end) == target;
    }

    /**
     * Converts the characters "&", "<", ">", '"', and "'" in `string` to their
     * corresponding HTML entities.
     *
     * **Note:** No other characters are escaped. To escape additional
     * characters use a third-party library like [_he_](https://mths.be/he).
     *
     * Though the ">" character is escaped for symmetry, characters like
     * ">" and "/" don't need escaping in HTML and have no special meaning
     * unless they're part of a tag or unquoted attribute value. See
     * [Mathias Bynens's article](https://mathiasbynens.be/notes/ambiguous-ampersands)
     * (under "semi-related fun fact") for more details.
     *
     * When working with HTML you should always
     * [quote attribute values](http://wonko.com/post/html-escaping) to reduce
     * XSS vectors.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category String
     * @param {string} [string=''] The string to escape.
     * @returns {string} Returns the escaped string.
     * @example
     *
     * _.escape('fred, barney, & pebbles');
     * // => 'fred, barney, &amp; pebbles'
     */
    function escape(string) {
      string = toString(string);
      return (string && reHasUnescapedHtml.test(string))
        ? string.replace(reUnescapedHtml, escapeHtmlChar)
        : string;
    }

    /**
     * Escapes the `RegExp` special characters "^", "$", "\", ".", "*", "+",
     * "?", "(", ")", "[", "]", "{", "}", and "|" in `string`.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to escape.
     * @returns {string} Returns the escaped string.
     * @example
     *
     * _.escapeRegExp('[lodash](https://lodash.com/)');
     * // => '\[lodash\]\(https://lodash\.com/\)'
     */
    function escapeRegExp(string) {
      string = toString(string);
      return (string && reHasRegExpChar.test(string))
        ? string.replace(reRegExpChar, '\\$&')
        : string;
    }

    /**
     * Converts `string` to
     * [kebab case](https://en.wikipedia.org/wiki/Letter_case#Special_case_styles).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the kebab cased string.
     * @example
     *
     * _.kebabCase('Foo Bar');
     * // => 'foo-bar'
     *
     * _.kebabCase('fooBar');
     * // => 'foo-bar'
     *
     * _.kebabCase('__FOO_BAR__');
     * // => 'foo-bar'
     */
    var kebabCase = createCompounder(function(result, word, index) {
      return result + (index ? '-' : '') + word.toLowerCase();
    });

    /**
     * Converts `string`, as space separated words, to lower case.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the lower cased string.
     * @example
     *
     * _.lowerCase('--Foo-Bar--');
     * // => 'foo bar'
     *
     * _.lowerCase('fooBar');
     * // => 'foo bar'
     *
     * _.lowerCase('__FOO_BAR__');
     * // => 'foo bar'
     */
    var lowerCase = createCompounder(function(result, word, index) {
      return result + (index ? ' ' : '') + word.toLowerCase();
    });

    /**
     * Converts the first character of `string` to lower case.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the converted string.
     * @example
     *
     * _.lowerFirst('Fred');
     * // => 'fred'
     *
     * _.lowerFirst('FRED');
     * // => 'fRED'
     */
    var lowerFirst = createCaseFirst('toLowerCase');

    /**
     * Pads `string` on the left and right sides if it's shorter than `length`.
     * Padding characters are truncated if they can't be evenly divided by `length`.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to pad.
     * @param {number} [length=0] The padding length.
     * @param {string} [chars=' '] The string used as padding.
     * @returns {string} Returns the padded string.
     * @example
     *
     * _.pad('abc', 8);
     * // => '  abc   '
     *
     * _.pad('abc', 8, '_-');
     * // => '_-abc_-_'
     *
     * _.pad('abc', 3);
     * // => 'abc'
     */
    function pad(string, length, chars) {
      string = toString(string);
      length = toInteger(length);

      var strLength = length ? stringSize(string) : 0;
      if (!length || strLength >= length) {
        return string;
      }
      var mid = (length - strLength) / 2;
      return (
        createPadding(nativeFloor(mid), chars) +
        string +
        createPadding(nativeCeil(mid), chars)
      );
    }

    /**
     * Pads `string` on the right side if it's shorter than `length`. Padding
     * characters are truncated if they exceed `length`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to pad.
     * @param {number} [length=0] The padding length.
     * @param {string} [chars=' '] The string used as padding.
     * @returns {string} Returns the padded string.
     * @example
     *
     * _.padEnd('abc', 6);
     * // => 'abc   '
     *
     * _.padEnd('abc', 6, '_-');
     * // => 'abc_-_'
     *
     * _.padEnd('abc', 3);
     * // => 'abc'
     */
    function padEnd(string, length, chars) {
      string = toString(string);
      length = toInteger(length);

      var strLength = length ? stringSize(string) : 0;
      return (length && strLength < length)
        ? (string + createPadding(length - strLength, chars))
        : string;
    }

    /**
     * Pads `string` on the left side if it's shorter than `length`. Padding
     * characters are truncated if they exceed `length`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to pad.
     * @param {number} [length=0] The padding length.
     * @param {string} [chars=' '] The string used as padding.
     * @returns {string} Returns the padded string.
     * @example
     *
     * _.padStart('abc', 6);
     * // => '   abc'
     *
     * _.padStart('abc', 6, '_-');
     * // => '_-_abc'
     *
     * _.padStart('abc', 3);
     * // => 'abc'
     */
    function padStart(string, length, chars) {
      string = toString(string);
      length = toInteger(length);

      var strLength = length ? stringSize(string) : 0;
      return (length && strLength < length)
        ? (createPadding(length - strLength, chars) + string)
        : string;
    }

    /**
     * Converts `string` to an integer of the specified radix. If `radix` is
     * `undefined` or `0`, a `radix` of `10` is used unless `value` is a
     * hexadecimal, in which case a `radix` of `16` is used.
     *
     * **Note:** This method aligns with the
     * [ES5 implementation](https://es5.github.io/#x15.1.2.2) of `parseInt`.
     *
     * @static
     * @memberOf _
     * @since 1.1.0
     * @category String
     * @param {string} string The string to convert.
     * @param {number} [radix=10] The radix to interpret `value` by.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {number} Returns the converted integer.
     * @example
     *
     * _.parseInt('08');
     * // => 8
     *
     * _.map(['6', '08', '10'], _.parseInt);
     * // => [6, 8, 10]
     */
    function parseInt(string, radix, guard) {
      if (guard || radix == null) {
        radix = 0;
      } else if (radix) {
        radix = +radix;
      }
      return nativeParseInt(toString(string).replace(reTrimStart, ''), radix || 0);
    }

    /**
     * Repeats the given string `n` times.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to repeat.
     * @param {number} [n=1] The number of times to repeat the string.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {string} Returns the repeated string.
     * @example
     *
     * _.repeat('*', 3);
     * // => '***'
     *
     * _.repeat('abc', 2);
     * // => 'abcabc'
     *
     * _.repeat('abc', 0);
     * // => ''
     */
    function repeat(string, n, guard) {
      if ((guard ? isIterateeCall(string, n, guard) : n === undefined)) {
        n = 1;
      } else {
        n = toInteger(n);
      }
      return baseRepeat(toString(string), n);
    }

    /**
     * Replaces matches for `pattern` in `string` with `replacement`.
     *
     * **Note:** This method is based on
     * [`String#replace`](https://mdn.io/String/replace).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to modify.
     * @param {RegExp|string} pattern The pattern to replace.
     * @param {Function|string} replacement The match replacement.
     * @returns {string} Returns the modified string.
     * @example
     *
     * _.replace('Hi Fred', 'Fred', 'Barney');
     * // => 'Hi Barney'
     */
    function replace() {
      var args = arguments,
          string = toString(args[0]);

      return args.length < 3 ? string : string.replace(args[1], args[2]);
    }

    /**
     * Converts `string` to
     * [snake case](https://en.wikipedia.org/wiki/Snake_case).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the snake cased string.
     * @example
     *
     * _.snakeCase('Foo Bar');
     * // => 'foo_bar'
     *
     * _.snakeCase('fooBar');
     * // => 'foo_bar'
     *
     * _.snakeCase('--FOO-BAR--');
     * // => 'foo_bar'
     */
    var snakeCase = createCompounder(function(result, word, index) {
      return result + (index ? '_' : '') + word.toLowerCase();
    });

    /**
     * Splits `string` by `separator`.
     *
     * **Note:** This method is based on
     * [`String#split`](https://mdn.io/String/split).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to split.
     * @param {RegExp|string} separator The separator pattern to split by.
     * @param {number} [limit] The length to truncate results to.
     * @returns {Array} Returns the string segments.
     * @example
     *
     * _.split('a-b-c', '-', 2);
     * // => ['a', 'b']
     */
    function split(string, separator, limit) {
      if (limit && typeof limit != 'number' && isIterateeCall(string, separator, limit)) {
        separator = limit = undefined;
      }
      limit = limit === undefined ? MAX_ARRAY_LENGTH : limit >>> 0;
      if (!limit) {
        return [];
      }
      string = toString(string);
      if (string && (
            typeof separator == 'string' ||
            (separator != null && !isRegExp(separator))
          )) {
        separator = baseToString(separator);
        if (!separator && hasUnicode(string)) {
          return castSlice(stringToArray(string), 0, limit);
        }
      }
      return string.split(separator, limit);
    }

    /**
     * Converts `string` to
     * [start case](https://en.wikipedia.org/wiki/Letter_case#Stylistic_or_specialised_usage).
     *
     * @static
     * @memberOf _
     * @since 3.1.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the start cased string.
     * @example
     *
     * _.startCase('--foo-bar--');
     * // => 'Foo Bar'
     *
     * _.startCase('fooBar');
     * // => 'Foo Bar'
     *
     * _.startCase('__FOO_BAR__');
     * // => 'FOO BAR'
     */
    var startCase = createCompounder(function(result, word, index) {
      return result + (index ? ' ' : '') + upperFirst(word);
    });

    /**
     * Checks if `string` starts with the given target string.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to inspect.
     * @param {string} [target] The string to search for.
     * @param {number} [position=0] The position to search from.
     * @returns {boolean} Returns `true` if `string` starts with `target`,
     *  else `false`.
     * @example
     *
     * _.startsWith('abc', 'a');
     * // => true
     *
     * _.startsWith('abc', 'b');
     * // => false
     *
     * _.startsWith('abc', 'b', 1);
     * // => true
     */
    function startsWith(string, target, position) {
      string = toString(string);
      position = position == null
        ? 0
        : baseClamp(toInteger(position), 0, string.length);

      target = baseToString(target);
      return string.slice(position, position + target.length) == target;
    }

    /**
     * Creates a compiled template function that can interpolate data properties
     * in "interpolate" delimiters, HTML-escape interpolated data properties in
     * "escape" delimiters, and execute JavaScript in "evaluate" delimiters. Data
     * properties may be accessed as free variables in the template. If a setting
     * object is given, it takes precedence over `_.templateSettings` values.
     *
     * **Note:** In the development build `_.template` utilizes
     * [sourceURLs](http://www.html5rocks.com/en/tutorials/developertools/sourcemaps/#toc-sourceurl)
     * for easier debugging.
     *
     * For more information on precompiling templates see
     * [lodash's custom builds documentation](https://lodash.com/custom-builds).
     *
     * For more information on Chrome extension sandboxes see
     * [Chrome's extensions documentation](https://developer.chrome.com/extensions/sandboxingEval).
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category String
     * @param {string} [string=''] The template string.
     * @param {Object} [options={}] The options object.
     * @param {RegExp} [options.escape=_.templateSettings.escape]
     *  The HTML "escape" delimiter.
     * @param {RegExp} [options.evaluate=_.templateSettings.evaluate]
     *  The "evaluate" delimiter.
     * @param {Object} [options.imports=_.templateSettings.imports]
     *  An object to import into the template as free variables.
     * @param {RegExp} [options.interpolate=_.templateSettings.interpolate]
     *  The "interpolate" delimiter.
     * @param {string} [options.sourceURL='lodash.templateSources[n]']
     *  The sourceURL of the compiled template.
     * @param {string} [options.variable='obj']
     *  The data object variable name.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Function} Returns the compiled template function.
     * @example
     *
     * // Use the "interpolate" delimiter to create a compiled template.
     * var compiled = _.template('hello <%= user %>!');
     * compiled({ 'user': 'fred' });
     * // => 'hello fred!'
     *
     * // Use the HTML "escape" delimiter to escape data property values.
     * var compiled = _.template('<b><%- value %></b>');
     * compiled({ 'value': '<script>' });
     * // => '<b>&lt;script&gt;</b>'
     *
     * // Use the "evaluate" delimiter to execute JavaScript and generate HTML.
     * var compiled = _.template('<% _.forEach(users, function(user) { %><li><%- user %></li><% }); %>');
     * compiled({ 'users': ['fred', 'barney'] });
     * // => '<li>fred</li><li>barney</li>'
     *
     * // Use the internal `print` function in "evaluate" delimiters.
     * var compiled = _.template('<% print("hello " + user); %>!');
     * compiled({ 'user': 'barney' });
     * // => 'hello barney!'
     *
     * // Use the ES template literal delimiter as an "interpolate" delimiter.
     * // Disable support by replacing the "interpolate" delimiter.
     * var compiled = _.template('hello ${ user }!');
     * compiled({ 'user': 'pebbles' });
     * // => 'hello pebbles!'
     *
     * // Use backslashes to treat delimiters as plain text.
     * var compiled = _.template('<%= "\\<%- value %\\>" %>');
     * compiled({ 'value': 'ignored' });
     * // => '<%- value %>'
     *
     * // Use the `imports` option to import `jQuery` as `jq`.
     * var text = '<% jq.each(users, function(user) { %><li><%- user %></li><% }); %>';
     * var compiled = _.template(text, { 'imports': { 'jq': jQuery } });
     * compiled({ 'users': ['fred', 'barney'] });
     * // => '<li>fred</li><li>barney</li>'
     *
     * // Use the `sourceURL` option to specify a custom sourceURL for the template.
     * var compiled = _.template('hello <%= user %>!', { 'sourceURL': '/basic/greeting.jst' });
     * compiled(data);
     * // => Find the source of "greeting.jst" under the Sources tab or Resources panel of the web inspector.
     *
     * // Use the `variable` option to ensure a with-statement isn't used in the compiled template.
     * var compiled = _.template('hi <%= data.user %>!', { 'variable': 'data' });
     * compiled.source;
     * // => function(data) {
     * //   var __t, __p = '';
     * //   __p += 'hi ' + ((__t = ( data.user )) == null ? '' : __t) + '!';
     * //   return __p;
     * // }
     *
     * // Use custom template delimiters.
     * _.templateSettings.interpolate = /{{([\s\S]+?)}}/g;
     * var compiled = _.template('hello {{ user }}!');
     * compiled({ 'user': 'mustache' });
     * // => 'hello mustache!'
     *
     * // Use the `source` property to inline compiled templates for meaningful
     * // line numbers in error messages and stack traces.
     * fs.writeFileSync(path.join(process.cwd(), 'jst.js'), '\
     *   var JST = {\
     *     "main": ' + _.template(mainText).source + '\
     *   };\
     * ');
     */
    function template(string, options, guard) {
      // Based on John Resig's `tmpl` implementation
      // (http://ejohn.org/blog/javascript-micro-templating/)
      // and Laura Doktorova's doT.js (https://github.com/olado/doT).
      var settings = lodash.templateSettings;

      if (guard && isIterateeCall(string, options, guard)) {
        options = undefined;
      }
      string = toString(string);
      options = assignInWith({}, options, settings, customDefaultsAssignIn);

      var imports = assignInWith({}, options.imports, settings.imports, customDefaultsAssignIn),
          importsKeys = keys(imports),
          importsValues = baseValues(imports, importsKeys);

      var isEscaping,
          isEvaluating,
          index = 0,
          interpolate = options.interpolate || reNoMatch,
          source = "__p += '";

      // Compile the regexp to match each delimiter.
      var reDelimiters = RegExp(
        (options.escape || reNoMatch).source + '|' +
        interpolate.source + '|' +
        (interpolate === reInterpolate ? reEsTemplate : reNoMatch).source + '|' +
        (options.evaluate || reNoMatch).source + '|$'
      , 'g');

      // Use a sourceURL for easier debugging.
      // The sourceURL gets injected into the source that's eval-ed, so be careful
      // to normalize all kinds of whitespace, so e.g. newlines (and unicode versions of it) can't sneak in
      // and escape the comment, thus injecting code that gets evaled.
      var sourceURL = '//# sourceURL=' +
        (hasOwnProperty.call(options, 'sourceURL')
          ? (options.sourceURL + '').replace(/\s/g, ' ')
          : ('lodash.templateSources[' + (++templateCounter) + ']')
        ) + '\n';

      string.replace(reDelimiters, function(match, escapeValue, interpolateValue, esTemplateValue, evaluateValue, offset) {
        interpolateValue || (interpolateValue = esTemplateValue);

        // Escape characters that can't be included in string literals.
        source += string.slice(index, offset).replace(reUnescapedString, escapeStringChar);

        // Replace delimiters with snippets.
        if (escapeValue) {
          isEscaping = true;
          source += "' +\n__e(" + escapeValue + ") +\n'";
        }
        if (evaluateValue) {
          isEvaluating = true;
          source += "';\n" + evaluateValue + ";\n__p += '";
        }
        if (interpolateValue) {
          source += "' +\n((__t = (" + interpolateValue + ")) == null ? '' : __t) +\n'";
        }
        index = offset + match.length;

        // The JS engine embedded in Adobe products needs `match` returned in
        // order to produce the correct `offset` value.
        return match;
      });

      source += "';\n";

      // If `variable` is not specified wrap a with-statement around the generated
      // code to add the data object to the top of the scope chain.
      var variable = hasOwnProperty.call(options, 'variable') && options.variable;
      if (!variable) {
        source = 'with (obj) {\n' + source + '\n}\n';
      }
      // Throw an error if a forbidden character was found in `variable`, to prevent
      // potential command injection attacks.
      else if (reForbiddenIdentifierChars.test(variable)) {
        throw new Error(INVALID_TEMPL_VAR_ERROR_TEXT);
      }

      // Cleanup code by stripping empty strings.
      source = (isEvaluating ? source.replace(reEmptyStringLeading, '') : source)
        .replace(reEmptyStringMiddle, '$1')
        .replace(reEmptyStringTrailing, '$1;');

      // Frame code as the function body.
      source = 'function(' + (variable || 'obj') + ') {\n' +
        (variable
          ? ''
          : 'obj || (obj = {});\n'
        ) +
        "var __t, __p = ''" +
        (isEscaping
           ? ', __e = _.escape'
           : ''
        ) +
        (isEvaluating
          ? ', __j = Array.prototype.join;\n' +
            "function print() { __p += __j.call(arguments, '') }\n"
          : ';\n'
        ) +
        source +
        'return __p\n}';

      var result = attempt(function() {
        return Function(importsKeys, sourceURL + 'return ' + source)
          .apply(undefined, importsValues);
      });

      // Provide the compiled function's source by its `toString` method or
      // the `source` property as a convenience for inlining compiled templates.
      result.source = source;
      if (isError(result)) {
        throw result;
      }
      return result;
    }

    /**
     * Converts `string`, as a whole, to lower case just like
     * [String#toLowerCase](https://mdn.io/toLowerCase).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the lower cased string.
     * @example
     *
     * _.toLower('--Foo-Bar--');
     * // => '--foo-bar--'
     *
     * _.toLower('fooBar');
     * // => 'foobar'
     *
     * _.toLower('__FOO_BAR__');
     * // => '__foo_bar__'
     */
    function toLower(value) {
      return toString(value).toLowerCase();
    }

    /**
     * Converts `string`, as a whole, to upper case just like
     * [String#toUpperCase](https://mdn.io/toUpperCase).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the upper cased string.
     * @example
     *
     * _.toUpper('--foo-bar--');
     * // => '--FOO-BAR--'
     *
     * _.toUpper('fooBar');
     * // => 'FOOBAR'
     *
     * _.toUpper('__foo_bar__');
     * // => '__FOO_BAR__'
     */
    function toUpper(value) {
      return toString(value).toUpperCase();
    }

    /**
     * Removes leading and trailing whitespace or specified characters from `string`.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to trim.
     * @param {string} [chars=whitespace] The characters to trim.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {string} Returns the trimmed string.
     * @example
     *
     * _.trim('  abc  ');
     * // => 'abc'
     *
     * _.trim('-_-abc-_-', '_-');
     * // => 'abc'
     *
     * _.map(['  foo  ', '  bar  '], _.trim);
     * // => ['foo', 'bar']
     */
    function trim(string, chars, guard) {
      string = toString(string);
      if (string && (guard || chars === undefined)) {
        return baseTrim(string);
      }
      if (!string || !(chars = baseToString(chars))) {
        return string;
      }
      var strSymbols = stringToArray(string),
          chrSymbols = stringToArray(chars),
          start = charsStartIndex(strSymbols, chrSymbols),
          end = charsEndIndex(strSymbols, chrSymbols) + 1;

      return castSlice(strSymbols, start, end).join('');
    }

    /**
     * Removes trailing whitespace or specified characters from `string`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to trim.
     * @param {string} [chars=whitespace] The characters to trim.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {string} Returns the trimmed string.
     * @example
     *
     * _.trimEnd('  abc  ');
     * // => '  abc'
     *
     * _.trimEnd('-_-abc-_-', '_-');
     * // => '-_-abc'
     */
    function trimEnd(string, chars, guard) {
      string = toString(string);
      if (string && (guard || chars === undefined)) {
        return string.slice(0, trimmedEndIndex(string) + 1);
      }
      if (!string || !(chars = baseToString(chars))) {
        return string;
      }
      var strSymbols = stringToArray(string),
          end = charsEndIndex(strSymbols, stringToArray(chars)) + 1;

      return castSlice(strSymbols, 0, end).join('');
    }

    /**
     * Removes leading whitespace or specified characters from `string`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to trim.
     * @param {string} [chars=whitespace] The characters to trim.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {string} Returns the trimmed string.
     * @example
     *
     * _.trimStart('  abc  ');
     * // => 'abc  '
     *
     * _.trimStart('-_-abc-_-', '_-');
     * // => 'abc-_-'
     */
    function trimStart(string, chars, guard) {
      string = toString(string);
      if (string && (guard || chars === undefined)) {
        return string.replace(reTrimStart, '');
      }
      if (!string || !(chars = baseToString(chars))) {
        return string;
      }
      var strSymbols = stringToArray(string),
          start = charsStartIndex(strSymbols, stringToArray(chars));

      return castSlice(strSymbols, start).join('');
    }

    /**
     * Truncates `string` if it's longer than the given maximum string length.
     * The last characters of the truncated string are replaced with the omission
     * string which defaults to "...".
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to truncate.
     * @param {Object} [options={}] The options object.
     * @param {number} [options.length=30] The maximum string length.
     * @param {string} [options.omission='...'] The string to indicate text is omitted.
     * @param {RegExp|string} [options.separator] The separator pattern to truncate to.
     * @returns {string} Returns the truncated string.
     * @example
     *
     * _.truncate('hi-diddly-ho there, neighborino');
     * // => 'hi-diddly-ho there, neighbo...'
     *
     * _.truncate('hi-diddly-ho there, neighborino', {
     *   'length': 24,
     *   'separator': ' '
     * });
     * // => 'hi-diddly-ho there,...'
     *
     * _.truncate('hi-diddly-ho there, neighborino', {
     *   'length': 24,
     *   'separator': /,? +/
     * });
     * // => 'hi-diddly-ho there...'
     *
     * _.truncate('hi-diddly-ho there, neighborino', {
     *   'omission': ' [...]'
     * });
     * // => 'hi-diddly-ho there, neig [...]'
     */
    function truncate(string, options) {
      var length = DEFAULT_TRUNC_LENGTH,
          omission = DEFAULT_TRUNC_OMISSION;

      if (isObject(options)) {
        var separator = 'separator' in options ? options.separator : separator;
        length = 'length' in options ? toInteger(options.length) : length;
        omission = 'omission' in options ? baseToString(options.omission) : omission;
      }
      string = toString(string);

      var strLength = string.length;
      if (hasUnicode(string)) {
        var strSymbols = stringToArray(string);
        strLength = strSymbols.length;
      }
      if (length >= strLength) {
        return string;
      }
      var end = length - stringSize(omission);
      if (end < 1) {
        return omission;
      }
      var result = strSymbols
        ? castSlice(strSymbols, 0, end).join('')
        : string.slice(0, end);

      if (separator === undefined) {
        return result + omission;
      }
      if (strSymbols) {
        end += (result.length - end);
      }
      if (isRegExp(separator)) {
        if (string.slice(end).search(separator)) {
          var match,
              substring = result;

          if (!separator.global) {
            separator = RegExp(separator.source, toString(reFlags.exec(separator)) + 'g');
          }
          separator.lastIndex = 0;
          while ((match = separator.exec(substring))) {
            var newEnd = match.index;
          }
          result = result.slice(0, newEnd === undefined ? end : newEnd);
        }
      } else if (string.indexOf(baseToString(separator), end) != end) {
        var index = result.lastIndexOf(separator);
        if (index > -1) {
          result = result.slice(0, index);
        }
      }
      return result + omission;
    }

    /**
     * The inverse of `_.escape`; this method converts the HTML entities
     * `&amp;`, `&lt;`, `&gt;`, `&quot;`, and `&#39;` in `string` to
     * their corresponding characters.
     *
     * **Note:** No other HTML entities are unescaped. To unescape additional
     * HTML entities use a third-party library like [_he_](https://mths.be/he).
     *
     * @static
     * @memberOf _
     * @since 0.6.0
     * @category String
     * @param {string} [string=''] The string to unescape.
     * @returns {string} Returns the unescaped string.
     * @example
     *
     * _.unescape('fred, barney, &amp; pebbles');
     * // => 'fred, barney, & pebbles'
     */
    function unescape(string) {
      string = toString(string);
      return (string && reHasEscapedHtml.test(string))
        ? string.replace(reEscapedHtml, unescapeHtmlChar)
        : string;
    }

    /**
     * Converts `string`, as space separated words, to upper case.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the upper cased string.
     * @example
     *
     * _.upperCase('--foo-bar');
     * // => 'FOO BAR'
     *
     * _.upperCase('fooBar');
     * // => 'FOO BAR'
     *
     * _.upperCase('__foo_bar__');
     * // => 'FOO BAR'
     */
    var upperCase = createCompounder(function(result, word, index) {
      return result + (index ? ' ' : '') + word.toUpperCase();
    });

    /**
     * Converts the first character of `string` to upper case.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the converted string.
     * @example
     *
     * _.upperFirst('fred');
     * // => 'Fred'
     *
     * _.upperFirst('FRED');
     * // => 'FRED'
     */
    var upperFirst = createCaseFirst('toUpperCase');

    /**
     * Splits `string` into an array of its words.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to inspect.
     * @param {RegExp|string} [pattern] The pattern to match words.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the words of `string`.
     * @example
     *
     * _.words('fred, barney, & pebbles');
     * // => ['fred', 'barney', 'pebbles']
     *
     * _.words('fred, barney, & pebbles', /[^, ]+/g);
     * // => ['fred', 'barney', '&', 'pebbles']
     */
    function words(string, pattern, guard) {
      string = toString(string);
      pattern = guard ? undefined : pattern;

      if (pattern === undefined) {
        return hasUnicodeWord(string) ? unicodeWords(string) : asciiWords(string);
      }
      return string.match(pattern) || [];
    }

    /*------------------------------------------------------------------------*/

    /**
     * Attempts to invoke `func`, returning either the result or the caught error
     * object. Any additional arguments are provided to `func` when it's invoked.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Util
     * @param {Function} func The function to attempt.
     * @param {...*} [args] The arguments to invoke `func` with.
     * @returns {*} Returns the `func` result or error object.
     * @example
     *
     * // Avoid throwing errors for invalid selectors.
     * var elements = _.attempt(function(selector) {
     *   return document.querySelectorAll(selector);
     * }, '>_>');
     *
     * if (_.isError(elements)) {
     *   elements = [];
     * }
     */
    var attempt = baseRest(function(func, args) {
      try {
        return apply(func, undefined, args);
      } catch (e) {
        return isError(e) ? e : new Error(e);
      }
    });

    /**
     * Binds methods of an object to the object itself, overwriting the existing
     * method.
     *
     * **Note:** This method doesn't set the "length" property of bound functions.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @param {Object} object The object to bind and assign the bound methods to.
     * @param {...(string|string[])} methodNames The object method names to bind.
     * @returns {Object} Returns `object`.
     * @example
     *
     * var view = {
     *   'label': 'docs',
     *   'click': function() {
     *     console.log('clicked ' + this.label);
     *   }
     * };
     *
     * _.bindAll(view, ['click']);
     * jQuery(element).on('click', view.click);
     * // => Logs 'clicked docs' when clicked.
     */
    var bindAll = flatRest(function(object, methodNames) {
      arrayEach(methodNames, function(key) {
        key = toKey(key);
        baseAssignValue(object, key, bind(object[key], object));
      });
      return object;
    });

    /**
     * Creates a function that iterates over `pairs` and invokes the corresponding
     * function of the first predicate to return truthy. The predicate-function
     * pairs are invoked with the `this` binding and arguments of the created
     * function.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {Array} pairs The predicate-function pairs.
     * @returns {Function} Returns the new composite function.
     * @example
     *
     * var func = _.cond([
     *   [_.matches({ 'a': 1 }),           _.constant('matches A')],
     *   [_.conforms({ 'b': _.isNumber }), _.constant('matches B')],
     *   [_.stubTrue,                      _.constant('no match')]
     * ]);
     *
     * func({ 'a': 1, 'b': 2 });
     * // => 'matches A'
     *
     * func({ 'a': 0, 'b': 1 });
     * // => 'matches B'
     *
     * func({ 'a': '1', 'b': '2' });
     * // => 'no match'
     */
    function cond(pairs) {
      var length = pairs == null ? 0 : pairs.length,
          toIteratee = getIteratee();

      pairs = !length ? [] : arrayMap(pairs, function(pair) {
        if (typeof pair[1] != 'function') {
          throw new TypeError(FUNC_ERROR_TEXT);
        }
        return [toIteratee(pair[0]), pair[1]];
      });

      return baseRest(function(args) {
        var index = -1;
        while (++index < length) {
          var pair = pairs[index];
          if (apply(pair[0], this, args)) {
            return apply(pair[1], this, args);
          }
        }
      });
    }

    /**
     * Creates a function that invokes the predicate properties of `source` with
     * the corresponding property values of a given object, returning `true` if
     * all predicates return truthy, else `false`.
     *
     * **Note:** The created function is equivalent to `_.conformsTo` with
     * `source` partially applied.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {Object} source The object of property predicates to conform to.
     * @returns {Function} Returns the new spec function.
     * @example
     *
     * var objects = [
     *   { 'a': 2, 'b': 1 },
     *   { 'a': 1, 'b': 2 }
     * ];
     *
     * _.filter(objects, _.conforms({ 'b': function(n) { return n > 1; } }));
     * // => [{ 'a': 1, 'b': 2 }]
     */
    function conforms(source) {
      return baseConforms(baseClone(source, CLONE_DEEP_FLAG));
    }

    /**
     * Creates a function that returns `value`.
     *
     * @static
     * @memberOf _
     * @since 2.4.0
     * @category Util
     * @param {*} value The value to return from the new function.
     * @returns {Function} Returns the new constant function.
     * @example
     *
     * var objects = _.times(2, _.constant({ 'a': 1 }));
     *
     * console.log(objects);
     * // => [{ 'a': 1 }, { 'a': 1 }]
     *
     * console.log(objects[0] === objects[1]);
     * // => true
     */
    function constant(value) {
      return function() {
        return value;
      };
    }

    /**
     * Checks `value` to determine whether a default value should be returned in
     * its place. The `defaultValue` is returned if `value` is `NaN`, `null`,
     * or `undefined`.
     *
     * @static
     * @memberOf _
     * @since 4.14.0
     * @category Util
     * @param {*} value The value to check.
     * @param {*} defaultValue The default value.
     * @returns {*} Returns the resolved value.
     * @example
     *
     * _.defaultTo(1, 10);
     * // => 1
     *
     * _.defaultTo(undefined, 10);
     * // => 10
     */
    function defaultTo(value, defaultValue) {
      return (value == null || value !== value) ? defaultValue : value;
    }

    /**
     * Creates a function that returns the result of invoking the given functions
     * with the `this` binding of the created function, where each successive
     * invocation is supplied the return value of the previous.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Util
     * @param {...(Function|Function[])} [funcs] The functions to invoke.
     * @returns {Function} Returns the new composite function.
     * @see _.flowRight
     * @example
     *
     * function square(n) {
     *   return n * n;
     * }
     *
     * var addSquare = _.flow([_.add, square]);
     * addSquare(1, 2);
     * // => 9
     */
    var flow = createFlow();

    /**
     * This method is like `_.flow` except that it creates a function that
     * invokes the given functions from right to left.
     *
     * @static
     * @since 3.0.0
     * @memberOf _
     * @category Util
     * @param {...(Function|Function[])} [funcs] The functions to invoke.
     * @returns {Function} Returns the new composite function.
     * @see _.flow
     * @example
     *
     * function square(n) {
     *   return n * n;
     * }
     *
     * var addSquare = _.flowRight([square, _.add]);
     * addSquare(1, 2);
     * // => 9
     */
    var flowRight = createFlow(true);

    /**
     * This method returns the first argument it receives.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @param {*} value Any value.
     * @returns {*} Returns `value`.
     * @example
     *
     * var object = { 'a': 1 };
     *
     * console.log(_.identity(object) === object);
     * // => true
     */
    function identity(value) {
      return value;
    }

    /**
     * Creates a function that invokes `func` with the arguments of the created
     * function. If `func` is a property name, the created function returns the
     * property value for a given element. If `func` is an array or object, the
     * created function returns `true` for elements that contain the equivalent
     * source properties, otherwise it returns `false`.
     *
     * @static
     * @since 4.0.0
     * @memberOf _
     * @category Util
     * @param {*} [func=_.identity] The value to convert to a callback.
     * @returns {Function} Returns the callback.
     * @example
     *
     * var users = [
     *   { 'user': 'barney', 'age': 36, 'active': true },
     *   { 'user': 'fred',   'age': 40, 'active': false }
     * ];
     *
     * // The `_.matches` iteratee shorthand.
     * _.filter(users, _.iteratee({ 'user': 'barney', 'active': true }));
     * // => [{ 'user': 'barney', 'age': 36, 'active': true }]
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.filter(users, _.iteratee(['user', 'fred']));
     * // => [{ 'user': 'fred', 'age': 40 }]
     *
     * // The `_.property` iteratee shorthand.
     * _.map(users, _.iteratee('user'));
     * // => ['barney', 'fred']
     *
     * // Create custom iteratee shorthands.
     * _.iteratee = _.wrap(_.iteratee, function(iteratee, func) {
     *   return !_.isRegExp(func) ? iteratee(func) : function(string) {
     *     return func.test(string);
     *   };
     * });
     *
     * _.filter(['abc', 'def'], /ef/);
     * // => ['def']
     */
    function iteratee(func) {
      return baseIteratee(typeof func == 'function' ? func : baseClone(func, CLONE_DEEP_FLAG));
    }

    /**
     * Creates a function that performs a partial deep comparison between a given
     * object and `source`, returning `true` if the given object has equivalent
     * property values, else `false`.
     *
     * **Note:** The created function is equivalent to `_.isMatch` with `source`
     * partially applied.
     *
     * Partial comparisons will match empty array and empty object `source`
     * values against any array or object value, respectively. See `_.isEqual`
     * for a list of supported value comparisons.
     *
     * **Note:** Multiple values can be checked by combining several matchers
     * using `_.overSome`
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Util
     * @param {Object} source The object of property values to match.
     * @returns {Function} Returns the new spec function.
     * @example
     *
     * var objects = [
     *   { 'a': 1, 'b': 2, 'c': 3 },
     *   { 'a': 4, 'b': 5, 'c': 6 }
     * ];
     *
     * _.filter(objects, _.matches({ 'a': 4, 'c': 6 }));
     * // => [{ 'a': 4, 'b': 5, 'c': 6 }]
     *
     * // Checking for several possible values
     * _.filter(objects, _.overSome([_.matches({ 'a': 1 }), _.matches({ 'a': 4 })]));
     * // => [{ 'a': 1, 'b': 2, 'c': 3 }, { 'a': 4, 'b': 5, 'c': 6 }]
     */
    function matches(source) {
      return baseMatches(baseClone(source, CLONE_DEEP_FLAG));
    }

    /**
     * Creates a function that performs a partial deep comparison between the
     * value at `path` of a given object to `srcValue`, returning `true` if the
     * object value is equivalent, else `false`.
     *
     * **Note:** Partial comparisons will match empty array and empty object
     * `srcValue` values against any array or object value, respectively. See
     * `_.isEqual` for a list of supported value comparisons.
     *
     * **Note:** Multiple values can be checked by combining several matchers
     * using `_.overSome`
     *
     * @static
     * @memberOf _
     * @since 3.2.0
     * @category Util
     * @param {Array|string} path The path of the property to get.
     * @param {*} srcValue The value to match.
     * @returns {Function} Returns the new spec function.
     * @example
     *
     * var objects = [
     *   { 'a': 1, 'b': 2, 'c': 3 },
     *   { 'a': 4, 'b': 5, 'c': 6 }
     * ];
     *
     * _.find(objects, _.matchesProperty('a', 4));
     * // => { 'a': 4, 'b': 5, 'c': 6 }
     *
     * // Checking for several possible values
     * _.filter(objects, _.overSome([_.matchesProperty('a', 1), _.matchesProperty('a', 4)]));
     * // => [{ 'a': 1, 'b': 2, 'c': 3 }, { 'a': 4, 'b': 5, 'c': 6 }]
     */
    function matchesProperty(path, srcValue) {
      return baseMatchesProperty(path, baseClone(srcValue, CLONE_DEEP_FLAG));
    }

    /**
     * Creates a function that invokes the method at `path` of a given object.
     * Any additional arguments are provided to the invoked method.
     *
     * @static
     * @memberOf _
     * @since 3.7.0
     * @category Util
     * @param {Array|string} path The path of the method to invoke.
     * @param {...*} [args] The arguments to invoke the method with.
     * @returns {Function} Returns the new invoker function.
     * @example
     *
     * var objects = [
     *   { 'a': { 'b': _.constant(2) } },
     *   { 'a': { 'b': _.constant(1) } }
     * ];
     *
     * _.map(objects, _.method('a.b'));
     * // => [2, 1]
     *
     * _.map(objects, _.method(['a', 'b']));
     * // => [2, 1]
     */
    var method = baseRest(function(path, args) {
      return function(object) {
        return baseInvoke(object, path, args);
      };
    });

    /**
     * The opposite of `_.method`; this method creates a function that invokes
     * the method at a given path of `object`. Any additional arguments are
     * provided to the invoked method.
     *
     * @static
     * @memberOf _
     * @since 3.7.0
     * @category Util
     * @param {Object} object The object to query.
     * @param {...*} [args] The arguments to invoke the method with.
     * @returns {Function} Returns the new invoker function.
     * @example
     *
     * var array = _.times(3, _.constant),
     *     object = { 'a': array, 'b': array, 'c': array };
     *
     * _.map(['a[2]', 'c[0]'], _.methodOf(object));
     * // => [2, 0]
     *
     * _.map([['a', '2'], ['c', '0']], _.methodOf(object));
     * // => [2, 0]
     */
    var methodOf = baseRest(function(object, args) {
      return function(path) {
        return baseInvoke(object, path, args);
      };
    });

    /**
     * Adds all own enumerable string keyed function properties of a source
     * object to the destination object. If `object` is a function, then methods
     * are added to its prototype as well.
     *
     * **Note:** Use `_.runInContext` to create a pristine `lodash` function to
     * avoid conflicts caused by modifying the original.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @param {Function|Object} [object=lodash] The destination object.
     * @param {Object} source The object of functions to add.
     * @param {Object} [options={}] The options object.
     * @param {boolean} [options.chain=true] Specify whether mixins are chainable.
     * @returns {Function|Object} Returns `object`.
     * @example
     *
     * function vowels(string) {
     *   return _.filter(string, function(v) {
     *     return /[aeiou]/i.test(v);
     *   });
     * }
     *
     * _.mixin({ 'vowels': vowels });
     * _.vowels('fred');
     * // => ['e']
     *
     * _('fred').vowels().value();
     * // => ['e']
     *
     * _.mixin({ 'vowels': vowels }, { 'chain': false });
     * _('fred').vowels();
     * // => ['e']
     */
    function mixin(object, source, options) {
      var props = keys(source),
          methodNames = baseFunctions(source, props);

      if (options == null &&
          !(isObject(source) && (methodNames.length || !props.length))) {
        options = source;
        source = object;
        object = this;
        methodNames = baseFunctions(source, keys(source));
      }
      var chain = !(isObject(options) && 'chain' in options) || !!options.chain,
          isFunc = isFunction(object);

      arrayEach(methodNames, function(methodName) {
        var func = source[methodName];
        object[methodName] = func;
        if (isFunc) {
          object.prototype[methodName] = function() {
            var chainAll = this.__chain__;
            if (chain || chainAll) {
              var result = object(this.__wrapped__),
                  actions = result.__actions__ = copyArray(this.__actions__);

              actions.push({ 'func': func, 'args': arguments, 'thisArg': object });
              result.__chain__ = chainAll;
              return result;
            }
            return func.apply(object, arrayPush([this.value()], arguments));
          };
        }
      });

      return object;
    }

    /**
     * Reverts the `_` variable to its previous value and returns a reference to
     * the `lodash` function.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @returns {Function} Returns the `lodash` function.
     * @example
     *
     * var lodash = _.noConflict();
     */
    function noConflict() {
      if (root._ === this) {
        root._ = oldDash;
      }
      return this;
    }

    /**
     * This method returns `undefined`.
     *
     * @static
     * @memberOf _
     * @since 2.3.0
     * @category Util
     * @example
     *
     * _.times(2, _.noop);
     * // => [undefined, undefined]
     */
    function noop() {
      // No operation performed.
    }

    /**
     * Creates a function that gets the argument at index `n`. If `n` is negative,
     * the nth argument from the end is returned.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {number} [n=0] The index of the argument to return.
     * @returns {Function} Returns the new pass-thru function.
     * @example
     *
     * var func = _.nthArg(1);
     * func('a', 'b', 'c', 'd');
     * // => 'b'
     *
     * var func = _.nthArg(-2);
     * func('a', 'b', 'c', 'd');
     * // => 'c'
     */
    function nthArg(n) {
      n = toInteger(n);
      return baseRest(function(args) {
        return baseNth(args, n);
      });
    }

    /**
     * Creates a function that invokes `iteratees` with the arguments it receives
     * and returns their results.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {...(Function|Function[])} [iteratees=[_.identity]]
     *  The iteratees to invoke.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var func = _.over([Math.max, Math.min]);
     *
     * func(1, 2, 3, 4);
     * // => [4, 1]
     */
    var over = createOver(arrayMap);

    /**
     * Creates a function that checks if **all** of the `predicates` return
     * truthy when invoked with the arguments it receives.
     *
     * Following shorthands are possible for providing predicates.
     * Pass an `Object` and it will be used as an parameter for `_.matches` to create the predicate.
     * Pass an `Array` of parameters for `_.matchesProperty` and the predicate will be created using them.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {...(Function|Function[])} [predicates=[_.identity]]
     *  The predicates to check.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var func = _.overEvery([Boolean, isFinite]);
     *
     * func('1');
     * // => true
     *
     * func(null);
     * // => false
     *
     * func(NaN);
     * // => false
     */
    var overEvery = createOver(arrayEvery);

    /**
     * Creates a function that checks if **any** of the `predicates` return
     * truthy when invoked with the arguments it receives.
     *
     * Following shorthands are possible for providing predicates.
     * Pass an `Object` and it will be used as an parameter for `_.matches` to create the predicate.
     * Pass an `Array` of parameters for `_.matchesProperty` and the predicate will be created using them.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {...(Function|Function[])} [predicates=[_.identity]]
     *  The predicates to check.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var func = _.overSome([Boolean, isFinite]);
     *
     * func('1');
     * // => true
     *
     * func(null);
     * // => true
     *
     * func(NaN);
     * // => false
     *
     * var matchesFunc = _.overSome([{ 'a': 1 }, { 'a': 2 }])
     * var matchesPropertyFunc = _.overSome([['a', 1], ['a', 2]])
     */
    var overSome = createOver(arraySome);

    /**
     * Creates a function that returns the value at `path` of a given object.
     *
     * @static
     * @memberOf _
     * @since 2.4.0
     * @category Util
     * @param {Array|string} path The path of the property to get.
     * @returns {Function} Returns the new accessor function.
     * @example
     *
     * var objects = [
     *   { 'a': { 'b': 2 } },
     *   { 'a': { 'b': 1 } }
     * ];
     *
     * _.map(objects, _.property('a.b'));
     * // => [2, 1]
     *
     * _.map(_.sortBy(objects, _.property(['a', 'b'])), 'a.b');
     * // => [1, 2]
     */
    function property(path) {
      return isKey(path) ? baseProperty(toKey(path)) : basePropertyDeep(path);
    }

    /**
     * The opposite of `_.property`; this method creates a function that returns
     * the value at a given path of `object`.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Util
     * @param {Object} object The object to query.
     * @returns {Function} Returns the new accessor function.
     * @example
     *
     * var array = [0, 1, 2],
     *     object = { 'a': array, 'b': array, 'c': array };
     *
     * _.map(['a[2]', 'c[0]'], _.propertyOf(object));
     * // => [2, 0]
     *
     * _.map([['a', '2'], ['c', '0']], _.propertyOf(object));
     * // => [2, 0]
     */
    function propertyOf(object) {
      return function(path) {
        return object == null ? undefined : baseGet(object, path);
      };
    }

    /**
     * Creates an array of numbers (positive and/or negative) progressing from
     * `start` up to, but not including, `end`. A step of `-1` is used if a negative
     * `start` is specified without an `end` or `step`. If `end` is not specified,
     * it's set to `start` with `start` then set to `0`.
     *
     * **Note:** JavaScript follows the IEEE-754 standard for resolving
     * floating-point values which can produce unexpected results.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @param {number} [start=0] The start of the range.
     * @param {number} end The end of the range.
     * @param {number} [step=1] The value to increment or decrement by.
     * @returns {Array} Returns the range of numbers.
     * @see _.inRange, _.rangeRight
     * @example
     *
     * _.range(4);
     * // => [0, 1, 2, 3]
     *
     * _.range(-4);
     * // => [0, -1, -2, -3]
     *
     * _.range(1, 5);
     * // => [1, 2, 3, 4]
     *
     * _.range(0, 20, 5);
     * // => [0, 5, 10, 15]
     *
     * _.range(0, -4, -1);
     * // => [0, -1, -2, -3]
     *
     * _.range(1, 4, 0);
     * // => [1, 1, 1]
     *
     * _.range(0);
     * // => []
     */
    var range = createRange();

    /**
     * This method is like `_.range` except that it populates values in
     * descending order.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {number} [start=0] The start of the range.
     * @param {number} end The end of the range.
     * @param {number} [step=1] The value to increment or decrement by.
     * @returns {Array} Returns the range of numbers.
     * @see _.inRange, _.range
     * @example
     *
     * _.rangeRight(4);
     * // => [3, 2, 1, 0]
     *
     * _.rangeRight(-4);
     * // => [-3, -2, -1, 0]
     *
     * _.rangeRight(1, 5);
     * // => [4, 3, 2, 1]
     *
     * _.rangeRight(0, 20, 5);
     * // => [15, 10, 5, 0]
     *
     * _.rangeRight(0, -4, -1);
     * // => [-3, -2, -1, 0]
     *
     * _.rangeRight(1, 4, 0);
     * // => [1, 1, 1]
     *
     * _.rangeRight(0);
     * // => []
     */
    var rangeRight = createRange(true);

    /**
     * This method returns a new empty array.
     *
     * @static
     * @memberOf _
     * @since 4.13.0
     * @category Util
     * @returns {Array} Returns the new empty array.
     * @example
     *
     * var arrays = _.times(2, _.stubArray);
     *
     * console.log(arrays);
     * // => [[], []]
     *
     * console.log(arrays[0] === arrays[1]);
     * // => false
     */
    function stubArray() {
      return [];
    }

    /**
     * This method returns `false`.
     *
     * @static
     * @memberOf _
     * @since 4.13.0
     * @category Util
     * @returns {boolean} Returns `false`.
     * @example
     *
     * _.times(2, _.stubFalse);
     * // => [false, false]
     */
    function stubFalse() {
      return false;
    }

    /**
     * This method returns a new empty object.
     *
     * @static
     * @memberOf _
     * @since 4.13.0
     * @category Util
     * @returns {Object} Returns the new empty object.
     * @example
     *
     * var objects = _.times(2, _.stubObject);
     *
     * console.log(objects);
     * // => [{}, {}]
     *
     * console.log(objects[0] === objects[1]);
     * // => false
     */
    function stubObject() {
      return {};
    }

    /**
     * This method returns an empty string.
     *
     * @static
     * @memberOf _
     * @since 4.13.0
     * @category Util
     * @returns {string} Returns the empty string.
     * @example
     *
     * _.times(2, _.stubString);
     * // => ['', '']
     */
    function stubString() {
      return '';
    }

    /**
     * This method returns `true`.
     *
     * @static
     * @memberOf _
     * @since 4.13.0
     * @category Util
     * @returns {boolean} Returns `true`.
     * @example
     *
     * _.times(2, _.stubTrue);
     * // => [true, true]
     */
    function stubTrue() {
      return true;
    }

    /**
     * Invokes the iteratee `n` times, returning an array of the results of
     * each invocation. The iteratee is invoked with one argument; (index).
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @param {number} n The number of times to invoke `iteratee`.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the array of results.
     * @example
     *
     * _.times(3, String);
     * // => ['0', '1', '2']
     *
     *  _.times(4, _.constant(0));
     * // => [0, 0, 0, 0]
     */
    function times(n, iteratee) {
      n = toInteger(n);
      if (n < 1 || n > MAX_SAFE_INTEGER) {
        return [];
      }
      var index = MAX_ARRAY_LENGTH,
          length = nativeMin(n, MAX_ARRAY_LENGTH);

      iteratee = getIteratee(iteratee);
      n -= MAX_ARRAY_LENGTH;

      var result = baseTimes(length, iteratee);
      while (++index < n) {
        iteratee(index);
      }
      return result;
    }

    /**
     * Converts `value` to a property path array.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {*} value The value to convert.
     * @returns {Array} Returns the new property path array.
     * @example
     *
     * _.toPath('a.b.c');
     * // => ['a', 'b', 'c']
     *
     * _.toPath('a[0].b.c');
     * // => ['a', '0', 'b', 'c']
     */
    function toPath(value) {
      if (isArray(value)) {
        return arrayMap(value, toKey);
      }
      return isSymbol(value) ? [value] : copyArray(stringToPath(toString(value)));
    }

    /**
     * Generates a unique ID. If `prefix` is given, the ID is appended to it.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @param {string} [prefix=''] The value to prefix the ID with.
     * @returns {string} Returns the unique ID.
     * @example
     *
     * _.uniqueId('contact_');
     * // => 'contact_104'
     *
     * _.uniqueId();
     * // => '105'
     */
    function uniqueId(prefix) {
      var id = ++idCounter;
      return toString(prefix) + id;
    }

    /*------------------------------------------------------------------------*/

    /**
     * Adds two numbers.
     *
     * @static
     * @memberOf _
     * @since 3.4.0
     * @category Math
     * @param {number} augend The first number in an addition.
     * @param {number} addend The second number in an addition.
     * @returns {number} Returns the total.
     * @example
     *
     * _.add(6, 4);
     * // => 10
     */
    var add = createMathOperation(function(augend, addend) {
      return augend + addend;
    }, 0);

    /**
     * Computes `number` rounded up to `precision`.
     *
     * @static
     * @memberOf _
     * @since 3.10.0
     * @category Math
     * @param {number} number The number to round up.
     * @param {number} [precision=0] The precision to round up to.
     * @returns {number} Returns the rounded up number.
     * @example
     *
     * _.ceil(4.006);
     * // => 5
     *
     * _.ceil(6.004, 2);
     * // => 6.01
     *
     * _.ceil(6040, -2);
     * // => 6100
     */
    var ceil = createRound('ceil');

    /**
     * Divide two numbers.
     *
     * @static
     * @memberOf _
     * @since 4.7.0
     * @category Math
     * @param {number} dividend The first number in a division.
     * @param {number} divisor The second number in a division.
     * @returns {number} Returns the quotient.
     * @example
     *
     * _.divide(6, 4);
     * // => 1.5
     */
    var divide = createMathOperation(function(dividend, divisor) {
      return dividend / divisor;
    }, 1);

    /**
     * Computes `number` rounded down to `precision`.
     *
     * @static
     * @memberOf _
     * @since 3.10.0
     * @category Math
     * @param {number} number The number to round down.
     * @param {number} [precision=0] The precision to round down to.
     * @returns {number} Returns the rounded down number.
     * @example
     *
     * _.floor(4.006);
     * // => 4
     *
     * _.floor(0.046, 2);
     * // => 0.04
     *
     * _.floor(4060, -2);
     * // => 4000
     */
    var floor = createRound('floor');

    /**
     * Computes the maximum value of `array`. If `array` is empty or falsey,
     * `undefined` is returned.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Math
     * @param {Array} array The array to iterate over.
     * @returns {*} Returns the maximum value.
     * @example
     *
     * _.max([4, 2, 8, 6]);
     * // => 8
     *
     * _.max([]);
     * // => undefined
     */
    function max(array) {
      return (array && array.length)
        ? baseExtremum(array, identity, baseGt)
        : undefined;
    }

    /**
     * This method is like `_.max` except that it accepts `iteratee` which is
     * invoked for each element in `array` to generate the criterion by which
     * the value is ranked. The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Math
     * @param {Array} array The array to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {*} Returns the maximum value.
     * @example
     *
     * var objects = [{ 'n': 1 }, { 'n': 2 }];
     *
     * _.maxBy(objects, function(o) { return o.n; });
     * // => { 'n': 2 }
     *
     * // The `_.property` iteratee shorthand.
     * _.maxBy(objects, 'n');
     * // => { 'n': 2 }
     */
    function maxBy(array, iteratee) {
      return (array && array.length)
        ? baseExtremum(array, getIteratee(iteratee, 2), baseGt)
        : undefined;
    }

    /**
     * Computes the mean of the values in `array`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Math
     * @param {Array} array The array to iterate over.
     * @returns {number} Returns the mean.
     * @example
     *
     * _.mean([4, 2, 8, 6]);
     * // => 5
     */
    function mean(array) {
      return baseMean(array, identity);
    }

    /**
     * This method is like `_.mean` except that it accepts `iteratee` which is
     * invoked for each element in `array` to generate the value to be averaged.
     * The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.7.0
     * @category Math
     * @param {Array} array The array to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {number} Returns the mean.
     * @example
     *
     * var objects = [{ 'n': 4 }, { 'n': 2 }, { 'n': 8 }, { 'n': 6 }];
     *
     * _.meanBy(objects, function(o) { return o.n; });
     * // => 5
     *
     * // The `_.property` iteratee shorthand.
     * _.meanBy(objects, 'n');
     * // => 5
     */
    function meanBy(array, iteratee) {
      return baseMean(array, getIteratee(iteratee, 2));
    }

    /**
     * Computes the minimum value of `array`. If `array` is empty or falsey,
     * `undefined` is returned.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Math
     * @param {Array} array The array to iterate over.
     * @returns {*} Returns the minimum value.
     * @example
     *
     * _.min([4, 2, 8, 6]);
     * // => 2
     *
     * _.min([]);
     * // => undefined
     */
    function min(array) {
      return (array && array.length)
        ? baseExtremum(array, identity, baseLt)
        : undefined;
    }

    /**
     * This method is like `_.min` except that it accepts `iteratee` which is
     * invoked for each element in `array` to generate the criterion by which
     * the value is ranked. The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Math
     * @param {Array} array The array to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {*} Returns the minimum value.
     * @example
     *
     * var objects = [{ 'n': 1 }, { 'n': 2 }];
     *
     * _.minBy(objects, function(o) { return o.n; });
     * // => { 'n': 1 }
     *
     * // The `_.property` iteratee shorthand.
     * _.minBy(objects, 'n');
     * // => { 'n': 1 }
     */
    function minBy(array, iteratee) {
      return (array && array.length)
        ? baseExtremum(array, getIteratee(iteratee, 2), baseLt)
        : undefined;
    }

    /**
     * Multiply two numbers.
     *
     * @static
     * @memberOf _
     * @since 4.7.0
     * @category Math
     * @param {number} multiplier The first number in a multiplication.
     * @param {number} multiplicand The second number in a multiplication.
     * @returns {number} Returns the product.
     * @example
     *
     * _.multiply(6, 4);
     * // => 24
     */
    var multiply = createMathOperation(function(multiplier, multiplicand) {
      return multiplier * multiplicand;
    }, 1);

    /**
     * Computes `number` rounded to `precision`.
     *
     * @static
     * @memberOf _
     * @since 3.10.0
     * @category Math
     * @param {number} number The number to round.
     * @param {number} [precision=0] The precision to round to.
     * @returns {number} Returns the rounded number.
     * @example
     *
     * _.round(4.006);
     * // => 4
     *
     * _.round(4.006, 2);
     * // => 4.01
     *
     * _.round(4060, -2);
     * // => 4100
     */
    var round = createRound('round');

    /**
     * Subtract two numbers.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Math
     * @param {number} minuend The first number in a subtraction.
     * @param {number} subtrahend The second number in a subtraction.
     * @returns {number} Returns the difference.
     * @example
     *
     * _.subtract(6, 4);
     * // => 2
     */
    var subtract = createMathOperation(function(minuend, subtrahend) {
      return minuend - subtrahend;
    }, 0);

    /**
     * Computes the sum of the values in `array`.
     *
     * @static
     * @memberOf _
     * @since 3.4.0
     * @category Math
     * @param {Array} array The array to iterate over.
     * @returns {number} Returns the sum.
     * @example
     *
     * _.sum([4, 2, 8, 6]);
     * // => 20
     */
    function sum(array) {
      return (array && array.length)
        ? baseSum(array, identity)
        : 0;
    }

    /**
     * This method is like `_.sum` except that it accepts `iteratee` which is
     * invoked for each element in `array` to generate the value to be summed.
     * The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Math
     * @param {Array} array The array to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {number} Returns the sum.
     * @example
     *
     * var objects = [{ 'n': 4 }, { 'n': 2 }, { 'n': 8 }, { 'n': 6 }];
     *
     * _.sumBy(objects, function(o) { return o.n; });
     * // => 20
     *
     * // The `_.property` iteratee shorthand.
     * _.sumBy(objects, 'n');
     * // => 20
     */
    function sumBy(array, iteratee) {
      return (array && array.length)
        ? baseSum(array, getIteratee(iteratee, 2))
        : 0;
    }

    /*------------------------------------------------------------------------*/

    // Add methods that return wrapped values in chain sequences.
    lodash.after = after;
    lodash.ary = ary;
    lodash.assign = assign;
    lodash.assignIn = assignIn;
    lodash.assignInWith = assignInWith;
    lodash.assignWith = assignWith;
    lodash.at = at;
    lodash.before = before;
    lodash.bind = bind;
    lodash.bindAll = bindAll;
    lodash.bindKey = bindKey;
    lodash.castArray = castArray;
    lodash.chain = chain;
    lodash.chunk = chunk;
    lodash.compact = compact;
    lodash.concat = concat;
    lodash.cond = cond;
    lodash.conforms = conforms;
    lodash.constant = constant;
    lodash.countBy = countBy;
    lodash.create = create;
    lodash.curry = curry;
    lodash.curryRight = curryRight;
    lodash.debounce = debounce;
    lodash.defaults = defaults;
    lodash.defaultsDeep = defaultsDeep;
    lodash.defer = defer;
    lodash.delay = delay;
    lodash.difference = difference;
    lodash.differenceBy = differenceBy;
    lodash.differenceWith = differenceWith;
    lodash.drop = drop;
    lodash.dropRight = dropRight;
    lodash.dropRightWhile = dropRightWhile;
    lodash.dropWhile = dropWhile;
    lodash.fill = fill;
    lodash.filter = filter;
    lodash.flatMap = flatMap;
    lodash.flatMapDeep = flatMapDeep;
    lodash.flatMapDepth = flatMapDepth;
    lodash.flatten = flatten;
    lodash.flattenDeep = flattenDeep;
    lodash.flattenDepth = flattenDepth;
    lodash.flip = flip;
    lodash.flow = flow;
    lodash.flowRight = flowRight;
    lodash.fromPairs = fromPairs;
    lodash.functions = functions;
    lodash.functionsIn = functionsIn;
    lodash.groupBy = groupBy;
    lodash.initial = initial;
    lodash.intersection = intersection;
    lodash.intersectionBy = intersectionBy;
    lodash.intersectionWith = intersectionWith;
    lodash.invert = invert;
    lodash.invertBy = invertBy;
    lodash.invokeMap = invokeMap;
    lodash.iteratee = iteratee;
    lodash.keyBy = keyBy;
    lodash.keys = keys;
    lodash.keysIn = keysIn;
    lodash.map = map;
    lodash.mapKeys = mapKeys;
    lodash.mapValues = mapValues;
    lodash.matches = matches;
    lodash.matchesProperty = matchesProperty;
    lodash.memoize = memoize;
    lodash.merge = merge;
    lodash.mergeWith = mergeWith;
    lodash.method = method;
    lodash.methodOf = methodOf;
    lodash.mixin = mixin;
    lodash.negate = negate;
    lodash.nthArg = nthArg;
    lodash.omit = omit;
    lodash.omitBy = omitBy;
    lodash.once = once;
    lodash.orderBy = orderBy;
    lodash.over = over;
    lodash.overArgs = overArgs;
    lodash.overEvery = overEvery;
    lodash.overSome = overSome;
    lodash.partial = partial;
    lodash.partialRight = partialRight;
    lodash.partition = partition;
    lodash.pick = pick;
    lodash.pickBy = pickBy;
    lodash.property = property;
    lodash.propertyOf = propertyOf;
    lodash.pull = pull;
    lodash.pullAll = pullAll;
    lodash.pullAllBy = pullAllBy;
    lodash.pullAllWith = pullAllWith;
    lodash.pullAt = pullAt;
    lodash.range = range;
    lodash.rangeRight = rangeRight;
    lodash.rearg = rearg;
    lodash.reject = reject;
    lodash.remove = remove;
    lodash.rest = rest;
    lodash.reverse = reverse;
    lodash.sampleSize = sampleSize;
    lodash.set = set;
    lodash.setWith = setWith;
    lodash.shuffle = shuffle;
    lodash.slice = slice;
    lodash.sortBy = sortBy;
    lodash.sortedUniq = sortedUniq;
    lodash.sortedUniqBy = sortedUniqBy;
    lodash.split = split;
    lodash.spread = spread;
    lodash.tail = tail;
    lodash.take = take;
    lodash.takeRight = takeRight;
    lodash.takeRightWhile = takeRightWhile;
    lodash.takeWhile = takeWhile;
    lodash.tap = tap;
    lodash.throttle = throttle;
    lodash.thru = thru;
    lodash.toArray = toArray;
    lodash.toPairs = toPairs;
    lodash.toPairsIn = toPairsIn;
    lodash.toPath = toPath;
    lodash.toPlainObject = toPlainObject;
    lodash.transform = transform;
    lodash.unary = unary;
    lodash.union = union;
    lodash.unionBy = unionBy;
    lodash.unionWith = unionWith;
    lodash.uniq = uniq;
    lodash.uniqBy = uniqBy;
    lodash.uniqWith = uniqWith;
    lodash.unset = unset;
    lodash.unzip = unzip;
    lodash.unzipWith = unzipWith;
    lodash.update = update;
    lodash.updateWith = updateWith;
    lodash.values = values;
    lodash.valuesIn = valuesIn;
    lodash.without = without;
    lodash.words = words;
    lodash.wrap = wrap;
    lodash.xor = xor;
    lodash.xorBy = xorBy;
    lodash.xorWith = xorWith;
    lodash.zip = zip;
    lodash.zipObject = zipObject;
    lodash.zipObjectDeep = zipObjectDeep;
    lodash.zipWith = zipWith;

    // Add aliases.
    lodash.entries = toPairs;
    lodash.entriesIn = toPairsIn;
    lodash.extend = assignIn;
    lodash.extendWith = assignInWith;

    // Add methods to `lodash.prototype`.
    mixin(lodash, lodash);

    /*------------------------------------------------------------------------*/

    // Add methods that return unwrapped values in chain sequences.
    lodash.add = add;
    lodash.attempt = attempt;
    lodash.camelCase = camelCase;
    lodash.capitalize = capitalize;
    lodash.ceil = ceil;
    lodash.clamp = clamp;
    lodash.clone = clone;
    lodash.cloneDeep = cloneDeep;
    lodash.cloneDeepWith = cloneDeepWith;
    lodash.cloneWith = cloneWith;
    lodash.conformsTo = conformsTo;
    lodash.deburr = deburr;
    lodash.defaultTo = defaultTo;
    lodash.divide = divide;
    lodash.endsWith = endsWith;
    lodash.eq = eq;
    lodash.escape = escape;
    lodash.escapeRegExp = escapeRegExp;
    lodash.every = every;
    lodash.find = find;
    lodash.findIndex = findIndex;
    lodash.findKey = findKey;
    lodash.findLast = findLast;
    lodash.findLastIndex = findLastIndex;
    lodash.findLastKey = findLastKey;
    lodash.floor = floor;
    lodash.forEach = forEach;
    lodash.forEachRight = forEachRight;
    lodash.forIn = forIn;
    lodash.forInRight = forInRight;
    lodash.forOwn = forOwn;
    lodash.forOwnRight = forOwnRight;
    lodash.get = get;
    lodash.gt = gt;
    lodash.gte = gte;
    lodash.has = has;
    lodash.hasIn = hasIn;
    lodash.head = head;
    lodash.identity = identity;
    lodash.includes = includes;
    lodash.indexOf = indexOf;
    lodash.inRange = inRange;
    lodash.invoke = invoke;
    lodash.isArguments = isArguments;
    lodash.isArray = isArray;
    lodash.isArrayBuffer = isArrayBuffer;
    lodash.isArrayLike = isArrayLike;
    lodash.isArrayLikeObject = isArrayLikeObject;
    lodash.isBoolean = isBoolean;
    lodash.isBuffer = isBuffer;
    lodash.isDate = isDate;
    lodash.isElement = isElement;
    lodash.isEmpty = isEmpty;
    lodash.isEqual = isEqual;
    lodash.isEqualWith = isEqualWith;
    lodash.isError = isError;
    lodash.isFinite = isFinite;
    lodash.isFunction = isFunction;
    lodash.isInteger = isInteger;
    lodash.isLength = isLength;
    lodash.isMap = isMap;
    lodash.isMatch = isMatch;
    lodash.isMatchWith = isMatchWith;
    lodash.isNaN = isNaN;
    lodash.isNative = isNative;
    lodash.isNil = isNil;
    lodash.isNull = isNull;
    lodash.isNumber = isNumber;
    lodash.isObject = isObject;
    lodash.isObjectLike = isObjectLike;
    lodash.isPlainObject = isPlainObject;
    lodash.isRegExp = isRegExp;
    lodash.isSafeInteger = isSafeInteger;
    lodash.isSet = isSet;
    lodash.isString = isString;
    lodash.isSymbol = isSymbol;
    lodash.isTypedArray = isTypedArray;
    lodash.isUndefined = isUndefined;
    lodash.isWeakMap = isWeakMap;
    lodash.isWeakSet = isWeakSet;
    lodash.join = join;
    lodash.kebabCase = kebabCase;
    lodash.last = last;
    lodash.lastIndexOf = lastIndexOf;
    lodash.lowerCase = lowerCase;
    lodash.lowerFirst = lowerFirst;
    lodash.lt = lt;
    lodash.lte = lte;
    lodash.max = max;
    lodash.maxBy = maxBy;
    lodash.mean = mean;
    lodash.meanBy = meanBy;
    lodash.min = min;
    lodash.minBy = minBy;
    lodash.stubArray = stubArray;
    lodash.stubFalse = stubFalse;
    lodash.stubObject = stubObject;
    lodash.stubString = stubString;
    lodash.stubTrue = stubTrue;
    lodash.multiply = multiply;
    lodash.nth = nth;
    lodash.noConflict = noConflict;
    lodash.noop = noop;
    lodash.now = now;
    lodash.pad = pad;
    lodash.padEnd = padEnd;
    lodash.padStart = padStart;
    lodash.parseInt = parseInt;
    lodash.random = random;
    lodash.reduce = reduce;
    lodash.reduceRight = reduceRight;
    lodash.repeat = repeat;
    lodash.replace = replace;
    lodash.result = result;
    lodash.round = round;
    lodash.runInContext = runInContext;
    lodash.sample = sample;
    lodash.size = size;
    lodash.snakeCase = snakeCase;
    lodash.some = some;
    lodash.sortedIndex = sortedIndex;
    lodash.sortedIndexBy = sortedIndexBy;
    lodash.sortedIndexOf = sortedIndexOf;
    lodash.sortedLastIndex = sortedLastIndex;
    lodash.sortedLastIndexBy = sortedLastIndexBy;
    lodash.sortedLastIndexOf = sortedLastIndexOf;
    lodash.startCase = startCase;
    lodash.startsWith = startsWith;
    lodash.subtract = subtract;
    lodash.sum = sum;
    lodash.sumBy = sumBy;
    lodash.template = template;
    lodash.times = times;
    lodash.toFinite = toFinite;
    lodash.toInteger = toInteger;
    lodash.toLength = toLength;
    lodash.toLower = toLower;
    lodash.toNumber = toNumber;
    lodash.toSafeInteger = toSafeInteger;
    lodash.toString = toString;
    lodash.toUpper = toUpper;
    lodash.trim = trim;
    lodash.trimEnd = trimEnd;
    lodash.trimStart = trimStart;
    lodash.truncate = truncate;
    lodash.unescape = unescape;
    lodash.uniqueId = uniqueId;
    lodash.upperCase = upperCase;
    lodash.upperFirst = upperFirst;

    // Add aliases.
    lodash.each = forEach;
    lodash.eachRight = forEachRight;
    lodash.first = head;

    mixin(lodash, (function() {
      var source = {};
      baseForOwn(lodash, function(func, methodName) {
        if (!hasOwnProperty.call(lodash.prototype, methodName)) {
          source[methodName] = func;
        }
      });
      return source;
    }()), { 'chain': false });

    /*------------------------------------------------------------------------*/

    /**
     * The semantic version number.
     *
     * @static
     * @memberOf _
     * @type {string}
     */
    lodash.VERSION = VERSION;

    // Assign default placeholders.
    arrayEach(['bind', 'bindKey', 'curry', 'curryRight', 'partial', 'partialRight'], function(methodName) {
      lodash[methodName].placeholder = lodash;
    });

    // Add `LazyWrapper` methods for `_.drop` and `_.take` variants.
    arrayEach(['drop', 'take'], function(methodName, index) {
      LazyWrapper.prototype[methodName] = function(n) {
        n = n === undefined ? 1 : nativeMax(toInteger(n), 0);

        var result = (this.__filtered__ && !index)
          ? new LazyWrapper(this)
          : this.clone();

        if (result.__filtered__) {
          result.__takeCount__ = nativeMin(n, result.__takeCount__);
        } else {
          result.__views__.push({
            'size': nativeMin(n, MAX_ARRAY_LENGTH),
            'type': methodName + (result.__dir__ < 0 ? 'Right' : '')
          });
        }
        return result;
      };

      LazyWrapper.prototype[methodName + 'Right'] = function(n) {
        return this.reverse()[methodName](n).reverse();
      };
    });

    // Add `LazyWrapper` methods that accept an `iteratee` value.
    arrayEach(['filter', 'map', 'takeWhile'], function(methodName, index) {
      var type = index + 1,
          isFilter = type == LAZY_FILTER_FLAG || type == LAZY_WHILE_FLAG;

      LazyWrapper.prototype[methodName] = function(iteratee) {
        var result = this.clone();
        result.__iteratees__.push({
          'iteratee': getIteratee(iteratee, 3),
          'type': type
        });
        result.__filtered__ = result.__filtered__ || isFilter;
        return result;
      };
    });

    // Add `LazyWrapper` methods for `_.head` and `_.last`.
    arrayEach(['head', 'last'], function(methodName, index) {
      var takeName = 'take' + (index ? 'Right' : '');

      LazyWrapper.prototype[methodName] = function() {
        return this[takeName](1).value()[0];
      };
    });

    // Add `LazyWrapper` methods for `_.initial` and `_.tail`.
    arrayEach(['initial', 'tail'], function(methodName, index) {
      var dropName = 'drop' + (index ? '' : 'Right');

      LazyWrapper.prototype[methodName] = function() {
        return this.__filtered__ ? new LazyWrapper(this) : this[dropName](1);
      };
    });

    LazyWrapper.prototype.compact = function() {
      return this.filter(identity);
    };

    LazyWrapper.prototype.find = function(predicate) {
      return this.filter(predicate).head();
    };

    LazyWrapper.prototype.findLast = function(predicate) {
      return this.reverse().find(predicate);
    };

    LazyWrapper.prototype.invokeMap = baseRest(function(path, args) {
      if (typeof path == 'function') {
        return new LazyWrapper(this);
      }
      return this.map(function(value) {
        return baseInvoke(value, path, args);
      });
    });

    LazyWrapper.prototype.reject = function(predicate) {
      return this.filter(negate(getIteratee(predicate)));
    };

    LazyWrapper.prototype.slice = function(start, end) {
      start = toInteger(start);

      var result = this;
      if (result.__filtered__ && (start > 0 || end < 0)) {
        return new LazyWrapper(result);
      }
      if (start < 0) {
        result = result.takeRight(-start);
      } else if (start) {
        result = result.drop(start);
      }
      if (end !== undefined) {
        end = toInteger(end);
        result = end < 0 ? result.dropRight(-end) : result.take(end - start);
      }
      return result;
    };

    LazyWrapper.prototype.takeRightWhile = function(predicate) {
      return this.reverse().takeWhile(predicate).reverse();
    };

    LazyWrapper.prototype.toArray = function() {
      return this.take(MAX_ARRAY_LENGTH);
    };

    // Add `LazyWrapper` methods to `lodash.prototype`.
    baseForOwn(LazyWrapper.prototype, function(func, methodName) {
      var checkIteratee = /^(?:filter|find|map|reject)|While$/.test(methodName),
          isTaker = /^(?:head|last)$/.test(methodName),
          lodashFunc = lodash[isTaker ? ('take' + (methodName == 'last' ? 'Right' : '')) : methodName],
          retUnwrapped = isTaker || /^find/.test(methodName);

      if (!lodashFunc) {
        return;
      }
      lodash.prototype[methodName] = function() {
        var value = this.__wrapped__,
            args = isTaker ? [1] : arguments,
            isLazy = value instanceof LazyWrapper,
            iteratee = args[0],
            useLazy = isLazy || isArray(value);

        var interceptor = function(value) {
          var result = lodashFunc.apply(lodash, arrayPush([value], args));
          return (isTaker && chainAll) ? result[0] : result;
        };

        if (useLazy && checkIteratee && typeof iteratee == 'function' && iteratee.length != 1) {
          // Avoid lazy use if the iteratee has a "length" value other than `1`.
          isLazy = useLazy = false;
        }
        var chainAll = this.__chain__,
            isHybrid = !!this.__actions__.length,
            isUnwrapped = retUnwrapped && !chainAll,
            onlyLazy = isLazy && !isHybrid;

        if (!retUnwrapped && useLazy) {
          value = onlyLazy ? value : new LazyWrapper(this);
          var result = func.apply(value, args);
          result.__actions__.push({ 'func': thru, 'args': [interceptor], 'thisArg': undefined });
          return new LodashWrapper(result, chainAll);
        }
        if (isUnwrapped && onlyLazy) {
          return func.apply(this, args);
        }
        result = this.thru(interceptor);
        return isUnwrapped ? (isTaker ? result.value()[0] : result.value()) : result;
      };
    });

    // Add `Array` methods to `lodash.prototype`.
    arrayEach(['pop', 'push', 'shift', 'sort', 'splice', 'unshift'], function(methodName) {
      var func = arrayProto[methodName],
          chainName = /^(?:push|sort|unshift)$/.test(methodName) ? 'tap' : 'thru',
          retUnwrapped = /^(?:pop|shift)$/.test(methodName);

      lodash.prototype[methodName] = function() {
        var args = arguments;
        if (retUnwrapped && !this.__chain__) {
          var value = this.value();
          return func.apply(isArray(value) ? value : [], args);
        }
        return this[chainName](function(value) {
          return func.apply(isArray(value) ? value : [], args);
        });
      };
    });

    // Map minified method names to their real names.
    baseForOwn(LazyWrapper.prototype, function(func, methodName) {
      var lodashFunc = lodash[methodName];
      if (lodashFunc) {
        var key = lodashFunc.name + '';
        if (!hasOwnProperty.call(realNames, key)) {
          realNames[key] = [];
        }
        realNames[key].push({ 'name': methodName, 'func': lodashFunc });
      }
    });

    realNames[createHybrid(undefined, WRAP_BIND_KEY_FLAG).name] = [{
      'name': 'wrapper',
      'func': undefined
    }];

    // Add methods to `LazyWrapper`.
    LazyWrapper.prototype.clone = lazyClone;
    LazyWrapper.prototype.reverse = lazyReverse;
    LazyWrapper.prototype.value = lazyValue;

    // Add chain sequence methods to the `lodash` wrapper.
    lodash.prototype.at = wrapperAt;
    lodash.prototype.chain = wrapperChain;
    lodash.prototype.commit = wrapperCommit;
    lodash.prototype.next = wrapperNext;
    lodash.prototype.plant = wrapperPlant;
    lodash.prototype.reverse = wrapperReverse;
    lodash.prototype.toJSON = lodash.prototype.valueOf = lodash.prototype.value = wrapperValue;

    // Add lazy aliases.
    lodash.prototype.first = lodash.prototype.head;

    if (symIterator) {
      lodash.prototype[symIterator] = wrapperToIterator;
    }
    return lodash;
  });

  /*--------------------------------------------------------------------------*/

  // Export lodash.
  var _ = runInContext();

  // Some AMD build optimizers, like r.js, check for condition patterns like:
  if (typeof define == 'function' && typeof define.amd == 'object' && define.amd) {
    // Expose Lodash on the global object to prevent errors when Lodash is
    // loaded by a script tag in the presence of an AMD loader.
    // See http://requirejs.org/docs/errors.html#mismatch for more details.
    // Use `_.noConflict` to remove Lodash from the global object.
    root._ = _;

    // Define as an anonymous module so, through path mapping, it can be
    // referenced as the "underscore" module.
    define(function() {
      return _;
    });
  }
  // Check for `exports` after `define` in case a build optimizer adds it.
  else if (freeModule) {
    // Export for Node.js.
    (freeModule.exports = _)._ = _;
    // Export for CommonJS support.
    freeExports._ = _;
  }
  else {
    // Export to the global object.
    root._ = _;
  }
}.call(this));


/***/ }),

/***/ 7129:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


module.exports = LRUCache

// This will be a proper iterable 'Map' in engines that support it,
// or a fakey-fake PseudoMap in older versions.
var Map = __nccwpck_require__(3541)
var util = __nccwpck_require__(73837)

// A linked list to keep track of recently-used-ness
var Yallist = __nccwpck_require__(40665)

// use symbols if possible, otherwise just _props
var hasSymbol = typeof Symbol === 'function' && process.env._nodeLRUCacheForceNoSymbol !== '1'
var makeSymbol
if (hasSymbol) {
  makeSymbol = function (key) {
    return Symbol(key)
  }
} else {
  makeSymbol = function (key) {
    return '_' + key
  }
}

var MAX = makeSymbol('max')
var LENGTH = makeSymbol('length')
var LENGTH_CALCULATOR = makeSymbol('lengthCalculator')
var ALLOW_STALE = makeSymbol('allowStale')
var MAX_AGE = makeSymbol('maxAge')
var DISPOSE = makeSymbol('dispose')
var NO_DISPOSE_ON_SET = makeSymbol('noDisposeOnSet')
var LRU_LIST = makeSymbol('lruList')
var CACHE = makeSymbol('cache')

function naiveLength () { return 1 }

// lruList is a yallist where the head is the youngest
// item, and the tail is the oldest.  the list contains the Hit
// objects as the entries.
// Each Hit object has a reference to its Yallist.Node.  This
// never changes.
//
// cache is a Map (or PseudoMap) that matches the keys to
// the Yallist.Node object.
function LRUCache (options) {
  if (!(this instanceof LRUCache)) {
    return new LRUCache(options)
  }

  if (typeof options === 'number') {
    options = { max: options }
  }

  if (!options) {
    options = {}
  }

  var max = this[MAX] = options.max
  // Kind of weird to have a default max of Infinity, but oh well.
  if (!max ||
      !(typeof max === 'number') ||
      max <= 0) {
    this[MAX] = Infinity
  }

  var lc = options.length || naiveLength
  if (typeof lc !== 'function') {
    lc = naiveLength
  }
  this[LENGTH_CALCULATOR] = lc

  this[ALLOW_STALE] = options.stale || false
  this[MAX_AGE] = options.maxAge || 0
  this[DISPOSE] = options.dispose
  this[NO_DISPOSE_ON_SET] = options.noDisposeOnSet || false
  this.reset()
}

// resize the cache when the max changes.
Object.defineProperty(LRUCache.prototype, 'max', {
  set: function (mL) {
    if (!mL || !(typeof mL === 'number') || mL <= 0) {
      mL = Infinity
    }
    this[MAX] = mL
    trim(this)
  },
  get: function () {
    return this[MAX]
  },
  enumerable: true
})

Object.defineProperty(LRUCache.prototype, 'allowStale', {
  set: function (allowStale) {
    this[ALLOW_STALE] = !!allowStale
  },
  get: function () {
    return this[ALLOW_STALE]
  },
  enumerable: true
})

Object.defineProperty(LRUCache.prototype, 'maxAge', {
  set: function (mA) {
    if (!mA || !(typeof mA === 'number') || mA < 0) {
      mA = 0
    }
    this[MAX_AGE] = mA
    trim(this)
  },
  get: function () {
    return this[MAX_AGE]
  },
  enumerable: true
})

// resize the cache when the lengthCalculator changes.
Object.defineProperty(LRUCache.prototype, 'lengthCalculator', {
  set: function (lC) {
    if (typeof lC !== 'function') {
      lC = naiveLength
    }
    if (lC !== this[LENGTH_CALCULATOR]) {
      this[LENGTH_CALCULATOR] = lC
      this[LENGTH] = 0
      this[LRU_LIST].forEach(function (hit) {
        hit.length = this[LENGTH_CALCULATOR](hit.value, hit.key)
        this[LENGTH] += hit.length
      }, this)
    }
    trim(this)
  },
  get: function () { return this[LENGTH_CALCULATOR] },
  enumerable: true
})

Object.defineProperty(LRUCache.prototype, 'length', {
  get: function () { return this[LENGTH] },
  enumerable: true
})

Object.defineProperty(LRUCache.prototype, 'itemCount', {
  get: function () { return this[LRU_LIST].length },
  enumerable: true
})

LRUCache.prototype.rforEach = function (fn, thisp) {
  thisp = thisp || this
  for (var walker = this[LRU_LIST].tail; walker !== null;) {
    var prev = walker.prev
    forEachStep(this, fn, walker, thisp)
    walker = prev
  }
}

function forEachStep (self, fn, node, thisp) {
  var hit = node.value
  if (isStale(self, hit)) {
    del(self, node)
    if (!self[ALLOW_STALE]) {
      hit = undefined
    }
  }
  if (hit) {
    fn.call(thisp, hit.value, hit.key, self)
  }
}

LRUCache.prototype.forEach = function (fn, thisp) {
  thisp = thisp || this
  for (var walker = this[LRU_LIST].head; walker !== null;) {
    var next = walker.next
    forEachStep(this, fn, walker, thisp)
    walker = next
  }
}

LRUCache.prototype.keys = function () {
  return this[LRU_LIST].toArray().map(function (k) {
    return k.key
  }, this)
}

LRUCache.prototype.values = function () {
  return this[LRU_LIST].toArray().map(function (k) {
    return k.value
  }, this)
}

LRUCache.prototype.reset = function () {
  if (this[DISPOSE] &&
      this[LRU_LIST] &&
      this[LRU_LIST].length) {
    this[LRU_LIST].forEach(function (hit) {
      this[DISPOSE](hit.key, hit.value)
    }, this)
  }

  this[CACHE] = new Map() // hash of items by key
  this[LRU_LIST] = new Yallist() // list of items in order of use recency
  this[LENGTH] = 0 // length of items in the list
}

LRUCache.prototype.dump = function () {
  return this[LRU_LIST].map(function (hit) {
    if (!isStale(this, hit)) {
      return {
        k: hit.key,
        v: hit.value,
        e: hit.now + (hit.maxAge || 0)
      }
    }
  }, this).toArray().filter(function (h) {
    return h
  })
}

LRUCache.prototype.dumpLru = function () {
  return this[LRU_LIST]
}

/* istanbul ignore next */
LRUCache.prototype.inspect = function (n, opts) {
  var str = 'LRUCache {'
  var extras = false

  var as = this[ALLOW_STALE]
  if (as) {
    str += '\n  allowStale: true'
    extras = true
  }

  var max = this[MAX]
  if (max && max !== Infinity) {
    if (extras) {
      str += ','
    }
    str += '\n  max: ' + util.inspect(max, opts)
    extras = true
  }

  var maxAge = this[MAX_AGE]
  if (maxAge) {
    if (extras) {
      str += ','
    }
    str += '\n  maxAge: ' + util.inspect(maxAge, opts)
    extras = true
  }

  var lc = this[LENGTH_CALCULATOR]
  if (lc && lc !== naiveLength) {
    if (extras) {
      str += ','
    }
    str += '\n  length: ' + util.inspect(this[LENGTH], opts)
    extras = true
  }

  var didFirst = false
  this[LRU_LIST].forEach(function (item) {
    if (didFirst) {
      str += ',\n  '
    } else {
      if (extras) {
        str += ',\n'
      }
      didFirst = true
      str += '\n  '
    }
    var key = util.inspect(item.key).split('\n').join('\n  ')
    var val = { value: item.value }
    if (item.maxAge !== maxAge) {
      val.maxAge = item.maxAge
    }
    if (lc !== naiveLength) {
      val.length = item.length
    }
    if (isStale(this, item)) {
      val.stale = true
    }

    val = util.inspect(val, opts).split('\n').join('\n  ')
    str += key + ' => ' + val
  })

  if (didFirst || extras) {
    str += '\n'
  }
  str += '}'

  return str
}

LRUCache.prototype.set = function (key, value, maxAge) {
  maxAge = maxAge || this[MAX_AGE]

  var now = maxAge ? Date.now() : 0
  var len = this[LENGTH_CALCULATOR](value, key)

  if (this[CACHE].has(key)) {
    if (len > this[MAX]) {
      del(this, this[CACHE].get(key))
      return false
    }

    var node = this[CACHE].get(key)
    var item = node.value

    // dispose of the old one before overwriting
    // split out into 2 ifs for better coverage tracking
    if (this[DISPOSE]) {
      if (!this[NO_DISPOSE_ON_SET]) {
        this[DISPOSE](key, item.value)
      }
    }

    item.now = now
    item.maxAge = maxAge
    item.value = value
    this[LENGTH] += len - item.length
    item.length = len
    this.get(key)
    trim(this)
    return true
  }

  var hit = new Entry(key, value, len, now, maxAge)

  // oversized objects fall out of cache automatically.
  if (hit.length > this[MAX]) {
    if (this[DISPOSE]) {
      this[DISPOSE](key, value)
    }
    return false
  }

  this[LENGTH] += hit.length
  this[LRU_LIST].unshift(hit)
  this[CACHE].set(key, this[LRU_LIST].head)
  trim(this)
  return true
}

LRUCache.prototype.has = function (key) {
  if (!this[CACHE].has(key)) return false
  var hit = this[CACHE].get(key).value
  if (isStale(this, hit)) {
    return false
  }
  return true
}

LRUCache.prototype.get = function (key) {
  return get(this, key, true)
}

LRUCache.prototype.peek = function (key) {
  return get(this, key, false)
}

LRUCache.prototype.pop = function () {
  var node = this[LRU_LIST].tail
  if (!node) return null
  del(this, node)
  return node.value
}

LRUCache.prototype.del = function (key) {
  del(this, this[CACHE].get(key))
}

LRUCache.prototype.load = function (arr) {
  // reset the cache
  this.reset()

  var now = Date.now()
  // A previous serialized cache has the most recent items first
  for (var l = arr.length - 1; l >= 0; l--) {
    var hit = arr[l]
    var expiresAt = hit.e || 0
    if (expiresAt === 0) {
      // the item was created without expiration in a non aged cache
      this.set(hit.k, hit.v)
    } else {
      var maxAge = expiresAt - now
      // dont add already expired items
      if (maxAge > 0) {
        this.set(hit.k, hit.v, maxAge)
      }
    }
  }
}

LRUCache.prototype.prune = function () {
  var self = this
  this[CACHE].forEach(function (value, key) {
    get(self, key, false)
  })
}

function get (self, key, doUse) {
  var node = self[CACHE].get(key)
  if (node) {
    var hit = node.value
    if (isStale(self, hit)) {
      del(self, node)
      if (!self[ALLOW_STALE]) hit = undefined
    } else {
      if (doUse) {
        self[LRU_LIST].unshiftNode(node)
      }
    }
    if (hit) hit = hit.value
  }
  return hit
}

function isStale (self, hit) {
  if (!hit || (!hit.maxAge && !self[MAX_AGE])) {
    return false
  }
  var stale = false
  var diff = Date.now() - hit.now
  if (hit.maxAge) {
    stale = diff > hit.maxAge
  } else {
    stale = self[MAX_AGE] && (diff > self[MAX_AGE])
  }
  return stale
}

function trim (self) {
  if (self[LENGTH] > self[MAX]) {
    for (var walker = self[LRU_LIST].tail;
      self[LENGTH] > self[MAX] && walker !== null;) {
      // We know that we're about to delete this one, and also
      // what the next least recently used key will be, so just
      // go ahead and set it now.
      var prev = walker.prev
      del(self, walker)
      walker = prev
    }
  }
}

function del (self, node) {
  if (node) {
    var hit = node.value
    if (self[DISPOSE]) {
      self[DISPOSE](hit.key, hit.value)
    }
    self[LENGTH] -= hit.length
    self[CACHE].delete(hit.key)
    self[LRU_LIST].removeNode(node)
  }
}

// classy, since V8 prefers predictable objects.
function Entry (key, value, length, now, maxAge) {
  this.key = key
  this.value = value
  this.length = length
  this.now = now
  this.maxAge = maxAge || 0
}


/***/ }),

/***/ 39126:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const fs = __nccwpck_require__(57147);
const path = __nccwpck_require__(71017);
const {promisify} = __nccwpck_require__(73837);
const semver = __nccwpck_require__(85911);

const useNativeRecursiveOption = semver.satisfies(process.version, '>=10.12.0');

// https://github.com/nodejs/node/issues/8987
// https://github.com/libuv/libuv/pull/1088
const checkPath = pth => {
	if (process.platform === 'win32') {
		const pathHasInvalidWinCharacters = /[<>:"|?*]/.test(pth.replace(path.parse(pth).root, ''));

		if (pathHasInvalidWinCharacters) {
			const error = new Error(`Path contains invalid characters: ${pth}`);
			error.code = 'EINVAL';
			throw error;
		}
	}
};

const processOptions = options => {
	// https://github.com/sindresorhus/make-dir/issues/18
	const defaults = {
		mode: 0o777,
		fs
	};

	return {
		...defaults,
		...options
	};
};

const permissionError = pth => {
	// This replicates the exception of `fs.mkdir` with native the
	// `recusive` option when run on an invalid drive under Windows.
	const error = new Error(`operation not permitted, mkdir '${pth}'`);
	error.code = 'EPERM';
	error.errno = -4048;
	error.path = pth;
	error.syscall = 'mkdir';
	return error;
};

const makeDir = async (input, options) => {
	checkPath(input);
	options = processOptions(options);

	const mkdir = promisify(options.fs.mkdir);
	const stat = promisify(options.fs.stat);

	if (useNativeRecursiveOption && options.fs.mkdir === fs.mkdir) {
		const pth = path.resolve(input);

		await mkdir(pth, {
			mode: options.mode,
			recursive: true
		});

		return pth;
	}

	const make = async pth => {
		try {
			await mkdir(pth, options.mode);

			return pth;
		} catch (error) {
			if (error.code === 'EPERM') {
				throw error;
			}

			if (error.code === 'ENOENT') {
				if (path.dirname(pth) === pth) {
					throw permissionError(pth);
				}

				if (error.message.includes('null bytes')) {
					throw error;
				}

				await make(path.dirname(pth));

				return make(pth);
			}

			try {
				const stats = await stat(pth);
				if (!stats.isDirectory()) {
					throw new Error('The path is not a directory');
				}
			} catch (_) {
				throw error;
			}

			return pth;
		}
	};

	return make(path.resolve(input));
};

module.exports = makeDir;

module.exports.sync = (input, options) => {
	checkPath(input);
	options = processOptions(options);

	if (useNativeRecursiveOption && options.fs.mkdirSync === fs.mkdirSync) {
		const pth = path.resolve(input);

		fs.mkdirSync(pth, {
			mode: options.mode,
			recursive: true
		});

		return pth;
	}

	const make = pth => {
		try {
			options.fs.mkdirSync(pth, options.mode);
		} catch (error) {
			if (error.code === 'EPERM') {
				throw error;
			}

			if (error.code === 'ENOENT') {
				if (path.dirname(pth) === pth) {
					throw permissionError(pth);
				}

				if (error.message.includes('null bytes')) {
					throw error;
				}

				make(path.dirname(pth));
				return make(pth);
			}

			try {
				if (!options.fs.statSync(pth).isDirectory()) {
					throw new Error('The path is not a directory');
				}
			} catch (_) {
				throw error;
			}
		}

		return pth;
	};

	return make(path.resolve(input));
};


/***/ }),

/***/ 65490:
/***/ ((module) => {

"use strict";

module.exports = function (obj, cb) {
	var ret = {};
	var keys = Object.keys(obj);

	for (var i = 0; i < keys.length; i++) {
		var key = keys[i];
		var res = cb(key, obj[key], obj);
		ret[res[0]] = res[1];
	}

	return ret;
};


/***/ }),

/***/ 2621:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const { PassThrough } = __nccwpck_require__(12781);

module.exports = function (/*streams...*/) {
  var sources = []
  var output  = new PassThrough({objectMode: true})

  output.setMaxListeners(0)

  output.add = add
  output.isEmpty = isEmpty

  output.on('unpipe', remove)

  Array.prototype.slice.call(arguments).forEach(add)

  return output

  function add (source) {
    if (Array.isArray(source)) {
      source.forEach(add)
      return this
    }

    sources.push(source);
    source.once('end', remove.bind(null, source))
    source.once('error', output.emit.bind(output, 'error'))
    source.pipe(output, {end: false})
    return this
  }

  function isEmpty () {
    return sources.length == 0;
  }

  function remove (source) {
    sources = sources.filter(function (it) { return it !== source })
    if (!sources.length && output.readable) { output.end() }
  }
}


/***/ }),

/***/ 82578:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

/*
 * merge2
 * https://github.com/teambition/merge2
 *
 * Copyright (c) 2014-2020 Teambition
 * Licensed under the MIT license.
 */
const Stream = __nccwpck_require__(12781)
const PassThrough = Stream.PassThrough
const slice = Array.prototype.slice

module.exports = merge2

function merge2 () {
  const streamsQueue = []
  const args = slice.call(arguments)
  let merging = false
  let options = args[args.length - 1]

  if (options && !Array.isArray(options) && options.pipe == null) {
    args.pop()
  } else {
    options = {}
  }

  const doEnd = options.end !== false
  const doPipeError = options.pipeError === true
  if (options.objectMode == null) {
    options.objectMode = true
  }
  if (options.highWaterMark == null) {
    options.highWaterMark = 64 * 1024
  }
  const mergedStream = PassThrough(options)

  function addStream () {
    for (let i = 0, len = arguments.length; i < len; i++) {
      streamsQueue.push(pauseStreams(arguments[i], options))
    }
    mergeStream()
    return this
  }

  function mergeStream () {
    if (merging) {
      return
    }
    merging = true

    let streams = streamsQueue.shift()
    if (!streams) {
      process.nextTick(endStream)
      return
    }
    if (!Array.isArray(streams)) {
      streams = [streams]
    }

    let pipesCount = streams.length + 1

    function next () {
      if (--pipesCount > 0) {
        return
      }
      merging = false
      mergeStream()
    }

    function pipe (stream) {
      function onend () {
        stream.removeListener('merge2UnpipeEnd', onend)
        stream.removeListener('end', onend)
        if (doPipeError) {
          stream.removeListener('error', onerror)
        }
        next()
      }
      function onerror (err) {
        mergedStream.emit('error', err)
      }
      // skip ended stream
      if (stream._readableState.endEmitted) {
        return next()
      }

      stream.on('merge2UnpipeEnd', onend)
      stream.on('end', onend)

      if (doPipeError) {
        stream.on('error', onerror)
      }

      stream.pipe(mergedStream, { end: false })
      // compatible for old stream
      stream.resume()
    }

    for (let i = 0; i < streams.length; i++) {
      pipe(streams[i])
    }

    next()
  }

  function endStream () {
    merging = false
    // emit 'queueDrain' when all streams merged.
    mergedStream.emit('queueDrain')
    if (doEnd) {
      mergedStream.end()
    }
  }

  mergedStream.setMaxListeners(0)
  mergedStream.add = addStream
  mergedStream.on('unpipe', function (stream) {
    stream.emit('merge2UnpipeEnd')
  })

  if (args.length) {
    addStream.apply(null, args)
  }
  return mergedStream
}

// check and pause streams for pipe.
function pauseStreams (streams, options) {
  if (!Array.isArray(streams)) {
    // Backwards-compat with old-style streams
    if (!streams._readableState && streams.pipe) {
      streams = streams.pipe(PassThrough(options))
    }
    if (!streams._readableState || !streams.pause || !streams.pipe) {
      throw new Error('Only readable stream can be merged.')
    }
    streams.pause()
  } else {
    for (let i = 0, len = streams.length; i < len; i++) {
      streams[i] = pauseStreams(streams[i], options)
    }
  }
  return streams
}


/***/ }),

/***/ 76228:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const util = __nccwpck_require__(73837);
const braces = __nccwpck_require__(50610);
const picomatch = __nccwpck_require__(78569);
const utils = __nccwpck_require__(30479);
const isEmptyString = val => typeof val === 'string' && (val === '' || val === './');

/**
 * Returns an array of strings that match one or more glob patterns.
 *
 * ```js
 * const mm = require('micromatch');
 * // mm(list, patterns[, options]);
 *
 * console.log(mm(['a.js', 'a.txt'], ['*.js']));
 * //=> [ 'a.js' ]
 * ```
 * @param {String|Array<string>} list List of strings to match.
 * @param {String|Array<string>} patterns One or more glob patterns to use for matching.
 * @param {Object} options See available [options](#options)
 * @return {Array} Returns an array of matches
 * @summary false
 * @api public
 */

const micromatch = (list, patterns, options) => {
  patterns = [].concat(patterns);
  list = [].concat(list);

  let omit = new Set();
  let keep = new Set();
  let items = new Set();
  let negatives = 0;

  let onResult = state => {
    items.add(state.output);
    if (options && options.onResult) {
      options.onResult(state);
    }
  };

  for (let i = 0; i < patterns.length; i++) {
    let isMatch = picomatch(String(patterns[i]), { ...options, onResult }, true);
    let negated = isMatch.state.negated || isMatch.state.negatedExtglob;
    if (negated) negatives++;

    for (let item of list) {
      let matched = isMatch(item, true);

      let match = negated ? !matched.isMatch : matched.isMatch;
      if (!match) continue;

      if (negated) {
        omit.add(matched.output);
      } else {
        omit.delete(matched.output);
        keep.add(matched.output);
      }
    }
  }

  let result = negatives === patterns.length ? [...items] : [...keep];
  let matches = result.filter(item => !omit.has(item));

  if (options && matches.length === 0) {
    if (options.failglob === true) {
      throw new Error(`No matches found for "${patterns.join(', ')}"`);
    }

    if (options.nonull === true || options.nullglob === true) {
      return options.unescape ? patterns.map(p => p.replace(/\\/g, '')) : patterns;
    }
  }

  return matches;
};

/**
 * Backwards compatibility
 */

micromatch.match = micromatch;

/**
 * Returns a matcher function from the given glob `pattern` and `options`.
 * The returned function takes a string to match as its only argument and returns
 * true if the string is a match.
 *
 * ```js
 * const mm = require('micromatch');
 * // mm.matcher(pattern[, options]);
 *
 * const isMatch = mm.matcher('*.!(*a)');
 * console.log(isMatch('a.a')); //=> false
 * console.log(isMatch('a.b')); //=> true
 * ```
 * @param {String} `pattern` Glob pattern
 * @param {Object} `options`
 * @return {Function} Returns a matcher function.
 * @api public
 */

micromatch.matcher = (pattern, options) => picomatch(pattern, options);

/**
 * Returns true if **any** of the given glob `patterns` match the specified `string`.
 *
 * ```js
 * const mm = require('micromatch');
 * // mm.isMatch(string, patterns[, options]);
 *
 * console.log(mm.isMatch('a.a', ['b.*', '*.a'])); //=> true
 * console.log(mm.isMatch('a.a', 'b.*')); //=> false
 * ```
 * @param {String} str The string to test.
 * @param {String|Array} patterns One or more glob patterns to use for matching.
 * @param {Object} [options] See available [options](#options).
 * @return {Boolean} Returns true if any patterns match `str`
 * @api public
 */

micromatch.isMatch = (str, patterns, options) => picomatch(patterns, options)(str);

/**
 * Backwards compatibility
 */

micromatch.any = micromatch.isMatch;

/**
 * Returns a list of strings that _**do not match any**_ of the given `patterns`.
 *
 * ```js
 * const mm = require('micromatch');
 * // mm.not(list, patterns[, options]);
 *
 * console.log(mm.not(['a.a', 'b.b', 'c.c'], '*.a'));
 * //=> ['b.b', 'c.c']
 * ```
 * @param {Array} `list` Array of strings to match.
 * @param {String|Array} `patterns` One or more glob pattern to use for matching.
 * @param {Object} `options` See available [options](#options) for changing how matches are performed
 * @return {Array} Returns an array of strings that **do not match** the given patterns.
 * @api public
 */

micromatch.not = (list, patterns, options = {}) => {
  patterns = [].concat(patterns).map(String);
  let result = new Set();
  let items = [];

  let onResult = state => {
    if (options.onResult) options.onResult(state);
    items.push(state.output);
  };

  let matches = micromatch(list, patterns, { ...options, onResult });

  for (let item of items) {
    if (!matches.includes(item)) {
      result.add(item);
    }
  }
  return [...result];
};

/**
 * Returns true if the given `string` contains the given pattern. Similar
 * to [.isMatch](#isMatch) but the pattern can match any part of the string.
 *
 * ```js
 * var mm = require('micromatch');
 * // mm.contains(string, pattern[, options]);
 *
 * console.log(mm.contains('aa/bb/cc', '*b'));
 * //=> true
 * console.log(mm.contains('aa/bb/cc', '*d'));
 * //=> false
 * ```
 * @param {String} `str` The string to match.
 * @param {String|Array} `patterns` Glob pattern to use for matching.
 * @param {Object} `options` See available [options](#options) for changing how matches are performed
 * @return {Boolean} Returns true if the patter matches any part of `str`.
 * @api public
 */

micromatch.contains = (str, pattern, options) => {
  if (typeof str !== 'string') {
    throw new TypeError(`Expected a string: "${util.inspect(str)}"`);
  }

  if (Array.isArray(pattern)) {
    return pattern.some(p => micromatch.contains(str, p, options));
  }

  if (typeof pattern === 'string') {
    if (isEmptyString(str) || isEmptyString(pattern)) {
      return false;
    }

    if (str.includes(pattern) || (str.startsWith('./') && str.slice(2).includes(pattern))) {
      return true;
    }
  }

  return micromatch.isMatch(str, pattern, { ...options, contains: true });
};

/**
 * Filter the keys of the given object with the given `glob` pattern
 * and `options`. Does not attempt to match nested keys. If you need this feature,
 * use [glob-object][] instead.
 *
 * ```js
 * const mm = require('micromatch');
 * // mm.matchKeys(object, patterns[, options]);
 *
 * const obj = { aa: 'a', ab: 'b', ac: 'c' };
 * console.log(mm.matchKeys(obj, '*b'));
 * //=> { ab: 'b' }
 * ```
 * @param {Object} `object` The object with keys to filter.
 * @param {String|Array} `patterns` One or more glob patterns to use for matching.
 * @param {Object} `options` See available [options](#options) for changing how matches are performed
 * @return {Object} Returns an object with only keys that match the given patterns.
 * @api public
 */

micromatch.matchKeys = (obj, patterns, options) => {
  if (!utils.isObject(obj)) {
    throw new TypeError('Expected the first argument to be an object');
  }
  let keys = micromatch(Object.keys(obj), patterns, options);
  let res = {};
  for (let key of keys) res[key] = obj[key];
  return res;
};

/**
 * Returns true if some of the strings in the given `list` match any of the given glob `patterns`.
 *
 * ```js
 * const mm = require('micromatch');
 * // mm.some(list, patterns[, options]);
 *
 * console.log(mm.some(['foo.js', 'bar.js'], ['*.js', '!foo.js']));
 * // true
 * console.log(mm.some(['foo.js'], ['*.js', '!foo.js']));
 * // false
 * ```
 * @param {String|Array} `list` The string or array of strings to test. Returns as soon as the first match is found.
 * @param {String|Array} `patterns` One or more glob patterns to use for matching.
 * @param {Object} `options` See available [options](#options) for changing how matches are performed
 * @return {Boolean} Returns true if any patterns match `str`
 * @api public
 */

micromatch.some = (list, patterns, options) => {
  let items = [].concat(list);

  for (let pattern of [].concat(patterns)) {
    let isMatch = picomatch(String(pattern), options);
    if (items.some(item => isMatch(item))) {
      return true;
    }
  }
  return false;
};

/**
 * Returns true if every string in the given `list` matches
 * any of the given glob `patterns`.
 *
 * ```js
 * const mm = require('micromatch');
 * // mm.every(list, patterns[, options]);
 *
 * console.log(mm.every('foo.js', ['foo.js']));
 * // true
 * console.log(mm.every(['foo.js', 'bar.js'], ['*.js']));
 * // true
 * console.log(mm.every(['foo.js', 'bar.js'], ['*.js', '!foo.js']));
 * // false
 * console.log(mm.every(['foo.js'], ['*.js', '!foo.js']));
 * // false
 * ```
 * @param {String|Array} `list` The string or array of strings to test.
 * @param {String|Array} `patterns` One or more glob patterns to use for matching.
 * @param {Object} `options` See available [options](#options) for changing how matches are performed
 * @return {Boolean} Returns true if any patterns match `str`
 * @api public
 */

micromatch.every = (list, patterns, options) => {
  let items = [].concat(list);

  for (let pattern of [].concat(patterns)) {
    let isMatch = picomatch(String(pattern), options);
    if (!items.every(item => isMatch(item))) {
      return false;
    }
  }
  return true;
};

/**
 * Returns true if **all** of the given `patterns` match
 * the specified string.
 *
 * ```js
 * const mm = require('micromatch');
 * // mm.all(string, patterns[, options]);
 *
 * console.log(mm.all('foo.js', ['foo.js']));
 * // true
 *
 * console.log(mm.all('foo.js', ['*.js', '!foo.js']));
 * // false
 *
 * console.log(mm.all('foo.js', ['*.js', 'foo.js']));
 * // true
 *
 * console.log(mm.all('foo.js', ['*.js', 'f*', '*o*', '*o.js']));
 * // true
 * ```
 * @param {String|Array} `str` The string to test.
 * @param {String|Array} `patterns` One or more glob patterns to use for matching.
 * @param {Object} `options` See available [options](#options) for changing how matches are performed
 * @return {Boolean} Returns true if any patterns match `str`
 * @api public
 */

micromatch.all = (str, patterns, options) => {
  if (typeof str !== 'string') {
    throw new TypeError(`Expected a string: "${util.inspect(str)}"`);
  }

  return [].concat(patterns).every(p => picomatch(p, options)(str));
};

/**
 * Returns an array of matches captured by `pattern` in `string, or `null` if the pattern did not match.
 *
 * ```js
 * const mm = require('micromatch');
 * // mm.capture(pattern, string[, options]);
 *
 * console.log(mm.capture('test/*.js', 'test/foo.js'));
 * //=> ['foo']
 * console.log(mm.capture('test/*.js', 'foo/bar.css'));
 * //=> null
 * ```
 * @param {String} `glob` Glob pattern to use for matching.
 * @param {String} `input` String to match
 * @param {Object} `options` See available [options](#options) for changing how matches are performed
 * @return {Boolean} Returns an array of captures if the input matches the glob pattern, otherwise `null`.
 * @api public
 */

micromatch.capture = (glob, input, options) => {
  let posix = utils.isWindows(options);
  let regex = picomatch.makeRe(String(glob), { ...options, capture: true });
  let match = regex.exec(posix ? utils.toPosixSlashes(input) : input);

  if (match) {
    return match.slice(1).map(v => v === void 0 ? '' : v);
  }
};

/**
 * Create a regular expression from the given glob `pattern`.
 *
 * ```js
 * const mm = require('micromatch');
 * // mm.makeRe(pattern[, options]);
 *
 * console.log(mm.makeRe('*.js'));
 * //=> /^(?:(\.[\\\/])?(?!\.)(?=.)[^\/]*?\.js)$/
 * ```
 * @param {String} `pattern` A glob pattern to convert to regex.
 * @param {Object} `options`
 * @return {RegExp} Returns a regex created from the given pattern.
 * @api public
 */

micromatch.makeRe = (...args) => picomatch.makeRe(...args);

/**
 * Scan a glob pattern to separate the pattern into segments. Used
 * by the [split](#split) method.
 *
 * ```js
 * const mm = require('micromatch');
 * const state = mm.scan(pattern[, options]);
 * ```
 * @param {String} `pattern`
 * @param {Object} `options`
 * @return {Object} Returns an object with
 * @api public
 */

micromatch.scan = (...args) => picomatch.scan(...args);

/**
 * Parse a glob pattern to create the source string for a regular
 * expression.
 *
 * ```js
 * const mm = require('micromatch');
 * const state = mm(pattern[, options]);
 * ```
 * @param {String} `glob`
 * @param {Object} `options`
 * @return {Object} Returns an object with useful properties and output to be used as regex source string.
 * @api public
 */

micromatch.parse = (patterns, options) => {
  let res = [];
  for (let pattern of [].concat(patterns || [])) {
    for (let str of braces(String(pattern), options)) {
      res.push(picomatch.parse(str, options));
    }
  }
  return res;
};

/**
 * Process the given brace `pattern`.
 *
 * ```js
 * const { braces } = require('micromatch');
 * console.log(braces('foo/{a,b,c}/bar'));
 * //=> [ 'foo/(a|b|c)/bar' ]
 *
 * console.log(braces('foo/{a,b,c}/bar', { expand: true }));
 * //=> [ 'foo/a/bar', 'foo/b/bar', 'foo/c/bar' ]
 * ```
 * @param {String} `pattern` String with brace pattern to process.
 * @param {Object} `options` Any [options](#options) to change how expansion is performed. See the [braces][] library for all available options.
 * @return {Array}
 * @api public
 */

micromatch.braces = (pattern, options) => {
  if (typeof pattern !== 'string') throw new TypeError('Expected a string');
  if ((options && options.nobrace === true) || !/\{.*\}/.test(pattern)) {
    return [pattern];
  }
  return braces(pattern, options);
};

/**
 * Expand braces
 */

micromatch.braceExpand = (pattern, options) => {
  if (typeof pattern !== 'string') throw new TypeError('Expected a string');
  return micromatch.braces(pattern, { ...options, expand: true });
};

/**
 * Expose micromatch
 */

module.exports = micromatch;


/***/ }),

/***/ 76047:
/***/ ((module) => {

"use strict";


const mimicFn = (to, from) => {
	for (const prop of Reflect.ownKeys(from)) {
		Object.defineProperty(to, prop, Object.getOwnPropertyDescriptor(from, prop));
	}

	return to;
};

module.exports = mimicFn;
// TODO: Remove this for the next major release
module.exports["default"] = mimicFn;


/***/ }),

/***/ 68236:
/***/ ((module) => {

"use strict";

module.exports = string => {
	const match = string.match(/^[ \t]*(?=\S)/gm);

	if (!match) {
		return 0;
	}

	return match.reduce((r, a) => Math.min(r, a.length), Infinity);
};


/***/ }),

/***/ 83973:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

module.exports = minimatch
minimatch.Minimatch = Minimatch

var path = { sep: '/' }
try {
  path = __nccwpck_require__(71017)
} catch (er) {}

var GLOBSTAR = minimatch.GLOBSTAR = Minimatch.GLOBSTAR = {}
var expand = __nccwpck_require__(33717)

var plTypes = {
  '!': { open: '(?:(?!(?:', close: '))[^/]*?)'},
  '?': { open: '(?:', close: ')?' },
  '+': { open: '(?:', close: ')+' },
  '*': { open: '(?:', close: ')*' },
  '@': { open: '(?:', close: ')' }
}

// any single thing other than /
// don't need to escape / when using new RegExp()
var qmark = '[^/]'

// * => any number of characters
var star = qmark + '*?'

// ** when dots are allowed.  Anything goes, except .. and .
// not (^ or / followed by one or two dots followed by $ or /),
// followed by anything, any number of times.
var twoStarDot = '(?:(?!(?:\\\/|^)(?:\\.{1,2})($|\\\/)).)*?'

// not a ^ or / followed by a dot,
// followed by anything, any number of times.
var twoStarNoDot = '(?:(?!(?:\\\/|^)\\.).)*?'

// characters that need to be escaped in RegExp.
var reSpecials = charSet('().*{}+?[]^$\\!')

// "abc" -> { a:true, b:true, c:true }
function charSet (s) {
  return s.split('').reduce(function (set, c) {
    set[c] = true
    return set
  }, {})
}

// normalizes slashes.
var slashSplit = /\/+/

minimatch.filter = filter
function filter (pattern, options) {
  options = options || {}
  return function (p, i, list) {
    return minimatch(p, pattern, options)
  }
}

function ext (a, b) {
  a = a || {}
  b = b || {}
  var t = {}
  Object.keys(b).forEach(function (k) {
    t[k] = b[k]
  })
  Object.keys(a).forEach(function (k) {
    t[k] = a[k]
  })
  return t
}

minimatch.defaults = function (def) {
  if (!def || !Object.keys(def).length) return minimatch

  var orig = minimatch

  var m = function minimatch (p, pattern, options) {
    return orig.minimatch(p, pattern, ext(def, options))
  }

  m.Minimatch = function Minimatch (pattern, options) {
    return new orig.Minimatch(pattern, ext(def, options))
  }

  return m
}

Minimatch.defaults = function (def) {
  if (!def || !Object.keys(def).length) return Minimatch
  return minimatch.defaults(def).Minimatch
}

function minimatch (p, pattern, options) {
  if (typeof pattern !== 'string') {
    throw new TypeError('glob pattern string required')
  }

  if (!options) options = {}

  // shortcut: comments match nothing.
  if (!options.nocomment && pattern.charAt(0) === '#') {
    return false
  }

  // "" only matches ""
  if (pattern.trim() === '') return p === ''

  return new Minimatch(pattern, options).match(p)
}

function Minimatch (pattern, options) {
  if (!(this instanceof Minimatch)) {
    return new Minimatch(pattern, options)
  }

  if (typeof pattern !== 'string') {
    throw new TypeError('glob pattern string required')
  }

  if (!options) options = {}
  pattern = pattern.trim()

  // windows support: need to use /, not \
  if (path.sep !== '/') {
    pattern = pattern.split(path.sep).join('/')
  }

  this.options = options
  this.set = []
  this.pattern = pattern
  this.regexp = null
  this.negate = false
  this.comment = false
  this.empty = false

  // make the set of regexps etc.
  this.make()
}

Minimatch.prototype.debug = function () {}

Minimatch.prototype.make = make
function make () {
  // don't do it more than once.
  if (this._made) return

  var pattern = this.pattern
  var options = this.options

  // empty patterns and comments match nothing.
  if (!options.nocomment && pattern.charAt(0) === '#') {
    this.comment = true
    return
  }
  if (!pattern) {
    this.empty = true
    return
  }

  // step 1: figure out negation, etc.
  this.parseNegate()

  // step 2: expand braces
  var set = this.globSet = this.braceExpand()

  if (options.debug) this.debug = console.error

  this.debug(this.pattern, set)

  // step 3: now we have a set, so turn each one into a series of path-portion
  // matching patterns.
  // These will be regexps, except in the case of "**", which is
  // set to the GLOBSTAR object for globstar behavior,
  // and will not contain any / characters
  set = this.globParts = set.map(function (s) {
    return s.split(slashSplit)
  })

  this.debug(this.pattern, set)

  // glob --> regexps
  set = set.map(function (s, si, set) {
    return s.map(this.parse, this)
  }, this)

  this.debug(this.pattern, set)

  // filter out everything that didn't compile properly.
  set = set.filter(function (s) {
    return s.indexOf(false) === -1
  })

  this.debug(this.pattern, set)

  this.set = set
}

Minimatch.prototype.parseNegate = parseNegate
function parseNegate () {
  var pattern = this.pattern
  var negate = false
  var options = this.options
  var negateOffset = 0

  if (options.nonegate) return

  for (var i = 0, l = pattern.length
    ; i < l && pattern.charAt(i) === '!'
    ; i++) {
    negate = !negate
    negateOffset++
  }

  if (negateOffset) this.pattern = pattern.substr(negateOffset)
  this.negate = negate
}

// Brace expansion:
// a{b,c}d -> abd acd
// a{b,}c -> abc ac
// a{0..3}d -> a0d a1d a2d a3d
// a{b,c{d,e}f}g -> abg acdfg acefg
// a{b,c}d{e,f}g -> abdeg acdeg abdeg abdfg
//
// Invalid sets are not expanded.
// a{2..}b -> a{2..}b
// a{b}c -> a{b}c
minimatch.braceExpand = function (pattern, options) {
  return braceExpand(pattern, options)
}

Minimatch.prototype.braceExpand = braceExpand

function braceExpand (pattern, options) {
  if (!options) {
    if (this instanceof Minimatch) {
      options = this.options
    } else {
      options = {}
    }
  }

  pattern = typeof pattern === 'undefined'
    ? this.pattern : pattern

  if (typeof pattern === 'undefined') {
    throw new TypeError('undefined pattern')
  }

  if (options.nobrace ||
    !pattern.match(/\{.*\}/)) {
    // shortcut. no need to expand.
    return [pattern]
  }

  return expand(pattern)
}

// parse a component of the expanded set.
// At this point, no pattern may contain "/" in it
// so we're going to return a 2d array, where each entry is the full
// pattern, split on '/', and then turned into a regular expression.
// A regexp is made at the end which joins each array with an
// escaped /, and another full one which joins each regexp with |.
//
// Following the lead of Bash 4.1, note that "**" only has special meaning
// when it is the *only* thing in a path portion.  Otherwise, any series
// of * is equivalent to a single *.  Globstar behavior is enabled by
// default, and can be disabled by setting options.noglobstar.
Minimatch.prototype.parse = parse
var SUBPARSE = {}
function parse (pattern, isSub) {
  if (pattern.length > 1024 * 64) {
    throw new TypeError('pattern is too long')
  }

  var options = this.options

  // shortcuts
  if (!options.noglobstar && pattern === '**') return GLOBSTAR
  if (pattern === '') return ''

  var re = ''
  var hasMagic = !!options.nocase
  var escaping = false
  // ? => one single character
  var patternListStack = []
  var negativeLists = []
  var stateChar
  var inClass = false
  var reClassStart = -1
  var classStart = -1
  // . and .. never match anything that doesn't start with .,
  // even when options.dot is set.
  var patternStart = pattern.charAt(0) === '.' ? '' // anything
  // not (start or / followed by . or .. followed by / or end)
  : options.dot ? '(?!(?:^|\\\/)\\.{1,2}(?:$|\\\/))'
  : '(?!\\.)'
  var self = this

  function clearStateChar () {
    if (stateChar) {
      // we had some state-tracking character
      // that wasn't consumed by this pass.
      switch (stateChar) {
        case '*':
          re += star
          hasMagic = true
        break
        case '?':
          re += qmark
          hasMagic = true
        break
        default:
          re += '\\' + stateChar
        break
      }
      self.debug('clearStateChar %j %j', stateChar, re)
      stateChar = false
    }
  }

  for (var i = 0, len = pattern.length, c
    ; (i < len) && (c = pattern.charAt(i))
    ; i++) {
    this.debug('%s\t%s %s %j', pattern, i, re, c)

    // skip over any that are escaped.
    if (escaping && reSpecials[c]) {
      re += '\\' + c
      escaping = false
      continue
    }

    switch (c) {
      case '/':
        // completely not allowed, even escaped.
        // Should already be path-split by now.
        return false

      case '\\':
        clearStateChar()
        escaping = true
      continue

      // the various stateChar values
      // for the "extglob" stuff.
      case '?':
      case '*':
      case '+':
      case '@':
      case '!':
        this.debug('%s\t%s %s %j <-- stateChar', pattern, i, re, c)

        // all of those are literals inside a class, except that
        // the glob [!a] means [^a] in regexp
        if (inClass) {
          this.debug('  in class')
          if (c === '!' && i === classStart + 1) c = '^'
          re += c
          continue
        }

        // if we already have a stateChar, then it means
        // that there was something like ** or +? in there.
        // Handle the stateChar, then proceed with this one.
        self.debug('call clearStateChar %j', stateChar)
        clearStateChar()
        stateChar = c
        // if extglob is disabled, then +(asdf|foo) isn't a thing.
        // just clear the statechar *now*, rather than even diving into
        // the patternList stuff.
        if (options.noext) clearStateChar()
      continue

      case '(':
        if (inClass) {
          re += '('
          continue
        }

        if (!stateChar) {
          re += '\\('
          continue
        }

        patternListStack.push({
          type: stateChar,
          start: i - 1,
          reStart: re.length,
          open: plTypes[stateChar].open,
          close: plTypes[stateChar].close
        })
        // negation is (?:(?!js)[^/]*)
        re += stateChar === '!' ? '(?:(?!(?:' : '(?:'
        this.debug('plType %j %j', stateChar, re)
        stateChar = false
      continue

      case ')':
        if (inClass || !patternListStack.length) {
          re += '\\)'
          continue
        }

        clearStateChar()
        hasMagic = true
        var pl = patternListStack.pop()
        // negation is (?:(?!js)[^/]*)
        // The others are (?:<pattern>)<type>
        re += pl.close
        if (pl.type === '!') {
          negativeLists.push(pl)
        }
        pl.reEnd = re.length
      continue

      case '|':
        if (inClass || !patternListStack.length || escaping) {
          re += '\\|'
          escaping = false
          continue
        }

        clearStateChar()
        re += '|'
      continue

      // these are mostly the same in regexp and glob
      case '[':
        // swallow any state-tracking char before the [
        clearStateChar()

        if (inClass) {
          re += '\\' + c
          continue
        }

        inClass = true
        classStart = i
        reClassStart = re.length
        re += c
      continue

      case ']':
        //  a right bracket shall lose its special
        //  meaning and represent itself in
        //  a bracket expression if it occurs
        //  first in the list.  -- POSIX.2 2.8.3.2
        if (i === classStart + 1 || !inClass) {
          re += '\\' + c
          escaping = false
          continue
        }

        // handle the case where we left a class open.
        // "[z-a]" is valid, equivalent to "\[z-a\]"
        if (inClass) {
          // split where the last [ was, make sure we don't have
          // an invalid re. if so, re-walk the contents of the
          // would-be class to re-translate any characters that
          // were passed through as-is
          // TODO: It would probably be faster to determine this
          // without a try/catch and a new RegExp, but it's tricky
          // to do safely.  For now, this is safe and works.
          var cs = pattern.substring(classStart + 1, i)
          try {
            RegExp('[' + cs + ']')
          } catch (er) {
            // not a valid class!
            var sp = this.parse(cs, SUBPARSE)
            re = re.substr(0, reClassStart) + '\\[' + sp[0] + '\\]'
            hasMagic = hasMagic || sp[1]
            inClass = false
            continue
          }
        }

        // finish up the class.
        hasMagic = true
        inClass = false
        re += c
      continue

      default:
        // swallow any state char that wasn't consumed
        clearStateChar()

        if (escaping) {
          // no need
          escaping = false
        } else if (reSpecials[c]
          && !(c === '^' && inClass)) {
          re += '\\'
        }

        re += c

    } // switch
  } // for

  // handle the case where we left a class open.
  // "[abc" is valid, equivalent to "\[abc"
  if (inClass) {
    // split where the last [ was, and escape it
    // this is a huge pita.  We now have to re-walk
    // the contents of the would-be class to re-translate
    // any characters that were passed through as-is
    cs = pattern.substr(classStart + 1)
    sp = this.parse(cs, SUBPARSE)
    re = re.substr(0, reClassStart) + '\\[' + sp[0]
    hasMagic = hasMagic || sp[1]
  }

  // handle the case where we had a +( thing at the *end*
  // of the pattern.
  // each pattern list stack adds 3 chars, and we need to go through
  // and escape any | chars that were passed through as-is for the regexp.
  // Go through and escape them, taking care not to double-escape any
  // | chars that were already escaped.
  for (pl = patternListStack.pop(); pl; pl = patternListStack.pop()) {
    var tail = re.slice(pl.reStart + pl.open.length)
    this.debug('setting tail', re, pl)
    // maybe some even number of \, then maybe 1 \, followed by a |
    tail = tail.replace(/((?:\\{2}){0,64})(\\?)\|/g, function (_, $1, $2) {
      if (!$2) {
        // the | isn't already escaped, so escape it.
        $2 = '\\'
      }

      // need to escape all those slashes *again*, without escaping the
      // one that we need for escaping the | character.  As it works out,
      // escaping an even number of slashes can be done by simply repeating
      // it exactly after itself.  That's why this trick works.
      //
      // I am sorry that you have to see this.
      return $1 + $1 + $2 + '|'
    })

    this.debug('tail=%j\n   %s', tail, tail, pl, re)
    var t = pl.type === '*' ? star
      : pl.type === '?' ? qmark
      : '\\' + pl.type

    hasMagic = true
    re = re.slice(0, pl.reStart) + t + '\\(' + tail
  }

  // handle trailing things that only matter at the very end.
  clearStateChar()
  if (escaping) {
    // trailing \\
    re += '\\\\'
  }

  // only need to apply the nodot start if the re starts with
  // something that could conceivably capture a dot
  var addPatternStart = false
  switch (re.charAt(0)) {
    case '.':
    case '[':
    case '(': addPatternStart = true
  }

  // Hack to work around lack of negative lookbehind in JS
  // A pattern like: *.!(x).!(y|z) needs to ensure that a name
  // like 'a.xyz.yz' doesn't match.  So, the first negative
  // lookahead, has to look ALL the way ahead, to the end of
  // the pattern.
  for (var n = negativeLists.length - 1; n > -1; n--) {
    var nl = negativeLists[n]

    var nlBefore = re.slice(0, nl.reStart)
    var nlFirst = re.slice(nl.reStart, nl.reEnd - 8)
    var nlLast = re.slice(nl.reEnd - 8, nl.reEnd)
    var nlAfter = re.slice(nl.reEnd)

    nlLast += nlAfter

    // Handle nested stuff like *(*.js|!(*.json)), where open parens
    // mean that we should *not* include the ) in the bit that is considered
    // "after" the negated section.
    var openParensBefore = nlBefore.split('(').length - 1
    var cleanAfter = nlAfter
    for (i = 0; i < openParensBefore; i++) {
      cleanAfter = cleanAfter.replace(/\)[+*?]?/, '')
    }
    nlAfter = cleanAfter

    var dollar = ''
    if (nlAfter === '' && isSub !== SUBPARSE) {
      dollar = '$'
    }
    var newRe = nlBefore + nlFirst + nlAfter + dollar + nlLast
    re = newRe
  }

  // if the re is not "" at this point, then we need to make sure
  // it doesn't match against an empty path part.
  // Otherwise a/* will match a/, which it should not.
  if (re !== '' && hasMagic) {
    re = '(?=.)' + re
  }

  if (addPatternStart) {
    re = patternStart + re
  }

  // parsing just a piece of a larger pattern.
  if (isSub === SUBPARSE) {
    return [re, hasMagic]
  }

  // skip the regexp for non-magical patterns
  // unescape anything in it, though, so that it'll be
  // an exact match against a file etc.
  if (!hasMagic) {
    return globUnescape(pattern)
  }

  var flags = options.nocase ? 'i' : ''
  try {
    var regExp = new RegExp('^' + re + '$', flags)
  } catch (er) {
    // If it was an invalid regular expression, then it can't match
    // anything.  This trick looks for a character after the end of
    // the string, which is of course impossible, except in multi-line
    // mode, but it's not a /m regex.
    return new RegExp('$.')
  }

  regExp._glob = pattern
  regExp._src = re

  return regExp
}

minimatch.makeRe = function (pattern, options) {
  return new Minimatch(pattern, options || {}).makeRe()
}

Minimatch.prototype.makeRe = makeRe
function makeRe () {
  if (this.regexp || this.regexp === false) return this.regexp

  // at this point, this.set is a 2d array of partial
  // pattern strings, or "**".
  //
  // It's better to use .match().  This function shouldn't
  // be used, really, but it's pretty convenient sometimes,
  // when you just want to work with a regex.
  var set = this.set

  if (!set.length) {
    this.regexp = false
    return this.regexp
  }
  var options = this.options

  var twoStar = options.noglobstar ? star
    : options.dot ? twoStarDot
    : twoStarNoDot
  var flags = options.nocase ? 'i' : ''

  var re = set.map(function (pattern) {
    return pattern.map(function (p) {
      return (p === GLOBSTAR) ? twoStar
      : (typeof p === 'string') ? regExpEscape(p)
      : p._src
    }).join('\\\/')
  }).join('|')

  // must match entire pattern
  // ending in a * or ** will make it less strict.
  re = '^(?:' + re + ')$'

  // can match anything, as long as it's not this.
  if (this.negate) re = '^(?!' + re + ').*$'

  try {
    this.regexp = new RegExp(re, flags)
  } catch (ex) {
    this.regexp = false
  }
  return this.regexp
}

minimatch.match = function (list, pattern, options) {
  options = options || {}
  var mm = new Minimatch(pattern, options)
  list = list.filter(function (f) {
    return mm.match(f)
  })
  if (mm.options.nonull && !list.length) {
    list.push(pattern)
  }
  return list
}

Minimatch.prototype.match = match
function match (f, partial) {
  this.debug('match', f, this.pattern)
  // short-circuit in the case of busted things.
  // comments, etc.
  if (this.comment) return false
  if (this.empty) return f === ''

  if (f === '/' && partial) return true

  var options = this.options

  // windows: need to use /, not \
  if (path.sep !== '/') {
    f = f.split(path.sep).join('/')
  }

  // treat the test path as a set of pathparts.
  f = f.split(slashSplit)
  this.debug(this.pattern, 'split', f)

  // just ONE of the pattern sets in this.set needs to match
  // in order for it to be valid.  If negating, then just one
  // match means that we have failed.
  // Either way, return on the first hit.

  var set = this.set
  this.debug(this.pattern, 'set', set)

  // Find the basename of the path by looking for the last non-empty segment
  var filename
  var i
  for (i = f.length - 1; i >= 0; i--) {
    filename = f[i]
    if (filename) break
  }

  for (i = 0; i < set.length; i++) {
    var pattern = set[i]
    var file = f
    if (options.matchBase && pattern.length === 1) {
      file = [filename]
    }
    var hit = this.matchOne(file, pattern, partial)
    if (hit) {
      if (options.flipNegate) return true
      return !this.negate
    }
  }

  // didn't get any hits.  this is success if it's a negative
  // pattern, failure otherwise.
  if (options.flipNegate) return false
  return this.negate
}

// set partial to true to test if, for example,
// "/a/b" matches the start of "/*/b/*/d"
// Partial means, if you run out of file before you run
// out of pattern, then that's fine, as long as all
// the parts match.
Minimatch.prototype.matchOne = function (file, pattern, partial) {
  var options = this.options

  this.debug('matchOne',
    { 'this': this, file: file, pattern: pattern })

  this.debug('matchOne', file.length, pattern.length)

  for (var fi = 0,
      pi = 0,
      fl = file.length,
      pl = pattern.length
      ; (fi < fl) && (pi < pl)
      ; fi++, pi++) {
    this.debug('matchOne loop')
    var p = pattern[pi]
    var f = file[fi]

    this.debug(pattern, p, f)

    // should be impossible.
    // some invalid regexp stuff in the set.
    if (p === false) return false

    if (p === GLOBSTAR) {
      this.debug('GLOBSTAR', [pattern, p, f])

      // "**"
      // a/**/b/**/c would match the following:
      // a/b/x/y/z/c
      // a/x/y/z/b/c
      // a/b/x/b/x/c
      // a/b/c
      // To do this, take the rest of the pattern after
      // the **, and see if it would match the file remainder.
      // If so, return success.
      // If not, the ** "swallows" a segment, and try again.
      // This is recursively awful.
      //
      // a/**/b/**/c matching a/b/x/y/z/c
      // - a matches a
      // - doublestar
      //   - matchOne(b/x/y/z/c, b/**/c)
      //     - b matches b
      //     - doublestar
      //       - matchOne(x/y/z/c, c) -> no
      //       - matchOne(y/z/c, c) -> no
      //       - matchOne(z/c, c) -> no
      //       - matchOne(c, c) yes, hit
      var fr = fi
      var pr = pi + 1
      if (pr === pl) {
        this.debug('** at the end')
        // a ** at the end will just swallow the rest.
        // We have found a match.
        // however, it will not swallow /.x, unless
        // options.dot is set.
        // . and .. are *never* matched by **, for explosively
        // exponential reasons.
        for (; fi < fl; fi++) {
          if (file[fi] === '.' || file[fi] === '..' ||
            (!options.dot && file[fi].charAt(0) === '.')) return false
        }
        return true
      }

      // ok, let's see if we can swallow whatever we can.
      while (fr < fl) {
        var swallowee = file[fr]

        this.debug('\nglobstar while', file, fr, pattern, pr, swallowee)

        // XXX remove this slice.  Just pass the start index.
        if (this.matchOne(file.slice(fr), pattern.slice(pr), partial)) {
          this.debug('globstar found match!', fr, fl, swallowee)
          // found a match.
          return true
        } else {
          // can't swallow "." or ".." ever.
          // can only swallow ".foo" when explicitly asked.
          if (swallowee === '.' || swallowee === '..' ||
            (!options.dot && swallowee.charAt(0) === '.')) {
            this.debug('dot detected!', file, fr, pattern, pr)
            break
          }

          // ** swallows a segment, and continue.
          this.debug('globstar swallow a segment, and continue')
          fr++
        }
      }

      // no match was found.
      // However, in partial mode, we can't say this is necessarily over.
      // If there's more *pattern* left, then
      if (partial) {
        // ran out of file
        this.debug('\n>>> no match, partial?', file, fr, pattern, pr)
        if (fr === fl) return true
      }
      return false
    }

    // something other than **
    // non-magic patterns just have to match exactly
    // patterns with magic have been turned into regexps.
    var hit
    if (typeof p === 'string') {
      if (options.nocase) {
        hit = f.toLowerCase() === p.toLowerCase()
      } else {
        hit = f === p
      }
      this.debug('string match', p, f, hit)
    } else {
      hit = f.match(p)
      this.debug('pattern match', p, f, hit)
    }

    if (!hit) return false
  }

  // Note: ending in / means that we'll get a final ""
  // at the end of the pattern.  This can only match a
  // corresponding "" at the end of the file.
  // If the file ends in /, then it can only match a
  // a pattern that ends in /, unless the pattern just
  // doesn't have any more for it. But, a/b/ should *not*
  // match "a/b/*", even though "" matches against the
  // [^/]*? pattern, except in partial mode, where it might
  // simply not be reached yet.
  // However, a/b/ should still satisfy a/*

  // now either we fell off the end of the pattern, or we're done.
  if (fi === fl && pi === pl) {
    // ran out of pattern and filename at the same time.
    // an exact hit!
    return true
  } else if (fi === fl) {
    // ran out of file, but still had pattern left.
    // this is ok if we're doing the match as part of
    // a glob fs traversal.
    return partial
  } else if (pi === pl) {
    // ran out of pattern, still have file left.
    // this is only acceptable if we're on the very last
    // empty segment of a file with a trailing slash.
    // a/* should match a/b/
    var emptyFileEnd = (fi === fl - 1) && (file[fi] === '')
    return emptyFileEnd
  }

  // should be unreachable.
  throw new Error('wtf?')
}

// replace stuff like \* with *
function globUnescape (s) {
  return s.replace(/\\(.)/g, '$1')
}

function regExpEscape (s) {
  return s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, '\\$&')
}


/***/ }),

/***/ 99658:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const isPlainObject = __nccwpck_require__(20864);
const arrify = __nccwpck_require__(67129);
const kindOf = __nccwpck_require__(86961);

const push = (obj, prop, value) => {
	if (!obj[prop]) {
		obj[prop] = [];
	}

	obj[prop].push(value);
};

const insert = (obj, prop, key, value) => {
	if (!obj[prop]) {
		obj[prop] = {};
	}

	obj[prop][key] = value;
};

const prettyPrint = output => {
	return Array.isArray(output) ?
		`[${output.map(prettyPrint).join(', ')}]` :
		kindOf(output) === 'string' ? JSON.stringify(output) : output;
};

const resolveType = value => {
	if (Array.isArray(value) && value.length > 0) {
		const [element] = value;
		return `${kindOf(element)}-array`;
	}

	return kindOf(value);
};

const normalizeExpectedType = (type, defaultValue) => {
	const inferredType = type === 'array' ? 'string-array' : type;

	if (arrayTypes.includes(inferredType) && Array.isArray(defaultValue) && defaultValue.length === 0) {
		return 'array';
	}

	return inferredType;
};

const passthroughOptions = ['stopEarly', 'unknown', '--'];
const primitiveTypes = ['string', 'boolean', 'number'];
const arrayTypes = primitiveTypes.map(t => `${t}-array`);
const availableTypes = [...primitiveTypes, 'array', ...arrayTypes];

const buildOptions = options => {
	options = options || {};

	const result = {};

	passthroughOptions.forEach(key => {
		if (options[key]) {
			result[key] = options[key];
		}
	});

	Object.keys(options).forEach(key => {
		let value = options[key];

		if (key === 'arguments') {
			key = '_';
		}

		// If short form is used
		// convert it to long form
		// e.g. { 'name': 'string' }
		if (typeof value === 'string') {
			value = {type: value};
		}

		if (isPlainObject(value)) {
			const props = value;
			const {type} = props;

			if (type) {
				if (!availableTypes.includes(type)) {
					throw new TypeError(`Expected type of "${key}" to be one of ${prettyPrint(availableTypes)}, got ${prettyPrint(type)}`);
				}

				if (arrayTypes.includes(type)) {
					const [elementType] = type.split('-');
					push(result, 'array', {key, [elementType]: true});
				} else {
					push(result, type, key);
				}
			}

			if ({}.hasOwnProperty.call(props, 'default')) {
				const {default: defaultValue} = props;
				const defaultType = resolveType(defaultValue);
				const expectedType = normalizeExpectedType(type, defaultValue);

				if (expectedType && expectedType !== defaultType) {
					throw new TypeError(`Expected "${key}" default value to be of type "${expectedType}", got ${prettyPrint(defaultType)}`);
				}

				insert(result, 'default', key, defaultValue);
			}

			arrify(props.alias).forEach(alias => {
				insert(result, 'alias', alias, key);
			});
		}
	});

	return result;
};

module.exports = buildOptions;
module.exports["default"] = buildOptions;


/***/ }),

/***/ 67129:
/***/ ((module) => {

"use strict";

module.exports = function (val) {
	if (val === null || val === undefined) {
		return [];
	}

	return Array.isArray(val) ? val : [val];
};


/***/ }),

/***/ 62893:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

module.exports = (__nccwpck_require__(287).path)();


/***/ }),

/***/ 287:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);
const BinWrapper = __nccwpck_require__(42504);
const pkg = __nccwpck_require__(80445);

const url = `https://raw.githubusercontent.com/imagemin/mozjpeg-bin/v${pkg.version}/vendor/`;

module.exports = new BinWrapper()
	.src(`${url}macos/cjpeg`, 'darwin')
	.src(`${url}linux/cjpeg`, 'linux')
	.src(`${url}win/cjpeg.exe`, 'win32')
	.dest(__nccwpck_require__.ab + "vendor3")
	.use(process.platform === 'win32' ? 'cjpeg.exe' : 'cjpeg');


/***/ }),

/***/ 20502:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);
const pathKey = __nccwpck_require__(20539);

const npmRunPath = options => {
	options = {
		cwd: process.cwd(),
		path: process.env[pathKey()],
		execPath: process.execPath,
		...options
	};

	let previous;
	let cwdPath = path.resolve(options.cwd);
	const result = [];

	while (previous !== cwdPath) {
		result.push(path.join(cwdPath, 'node_modules/.bin'));
		previous = cwdPath;
		cwdPath = path.resolve(cwdPath, '..');
	}

	// Ensure the running `node` binary is used
	const execPathDir = path.resolve(options.cwd, options.execPath, '..');
	result.push(execPathDir);

	return result.concat(options.path).join(path.delimiter);
};

module.exports = npmRunPath;
// TODO: Remove this for the next major release
module.exports["default"] = npmRunPath;

module.exports.env = options => {
	options = {
		env: process.env,
		...options
	};

	const env = {...options.env};
	const path = pathKey({env});

	options.path = env[path];
	env[path] = module.exports(options);

	return env;
};


/***/ }),

/***/ 1223:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var wrappy = __nccwpck_require__(62940)
module.exports = wrappy(once)
module.exports.strict = wrappy(onceStrict)

once.proto = once(function () {
  Object.defineProperty(Function.prototype, 'once', {
    value: function () {
      return once(this)
    },
    configurable: true
  })

  Object.defineProperty(Function.prototype, 'onceStrict', {
    value: function () {
      return onceStrict(this)
    },
    configurable: true
  })
})

function once (fn) {
  var f = function () {
    if (f.called) return f.value
    f.called = true
    return f.value = fn.apply(this, arguments)
  }
  f.called = false
  return f
}

function onceStrict (fn) {
  var f = function () {
    if (f.called)
      throw new Error(f.onceError)
    f.called = true
    return f.value = fn.apply(this, arguments)
  }
  var name = fn.name || 'Function wrapped with `once`'
  f.onceError = name + " shouldn't be called more than once"
  f.called = false
  return f
}


/***/ }),

/***/ 89082:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const mimicFn = __nccwpck_require__(76047);

const calledFunctions = new WeakMap();

const onetime = (function_, options = {}) => {
	if (typeof function_ !== 'function') {
		throw new TypeError('Expected a function');
	}

	let returnValue;
	let callCount = 0;
	const functionName = function_.displayName || function_.name || '<anonymous>';

	const onetime = function (...arguments_) {
		calledFunctions.set(onetime, ++callCount);

		if (callCount === 1) {
			returnValue = function_.apply(this, arguments_);
			function_ = null;
		} else if (options.throw === true) {
			throw new Error(`Function \`${functionName}\` can only be called once`);
		}

		return returnValue;
	};

	mimicFn(onetime, function_);
	calledFunctions.set(onetime, callCount);

	return onetime;
};

module.exports = onetime;
// TODO: Remove this for the next major release
module.exports["default"] = onetime;

module.exports.callCount = function_ => {
	if (!calledFunctions.has(function_)) {
		throw new Error(`The given function \`${function_.name}\` is not wrapped by the \`onetime\` package`);
	}

	return calledFunctions.get(function_);
};


/***/ }),

/***/ 70670:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

module.exports=function(e){var t={};function r(a){if(t[a])return t[a].exports;var n=t[a]={i:a,l:!1,exports:{}};return e[a].call(n.exports,n,n.exports,r),n.l=!0,n.exports}return r.m=e,r.c=t,r.d=function(e,t,a){r.o(e,t)||Object.defineProperty(e,t,{enumerable:!0,get:a})},r.r=function(e){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},r.t=function(e,t){if(1&t&&(e=r(e)),8&t)return e;if(4&t&&"object"==typeof e&&e&&e.__esModule)return e;var a=Object.create(null);if(r.r(a),Object.defineProperty(a,"default",{enumerable:!0,value:e}),2&t&&"string"!=typeof e)for(var n in e)r.d(a,n,function(t){return e[t]}.bind(null,n));return a},r.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return r.d(t,"a",t),t},r.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},r.p="",r(r.s=4)}([function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(1),n=r(6),i=r(15),o=r(2);t.validatorSymbol=Symbol("validators");t.Predicate=class{constructor(e,t={}){this.type=e,this.options=t,this.context={validators:[]},this.context={...this.context,...this.options};const r=this.type[0].toLowerCase()+this.type.slice(1);this.addValidator({message:(e,t)=>`Expected ${(null==t?void 0:t.slice(this.type.length+1))||"argument"} to be of type \`${this.type}\` but received type \`${a.default(e)}\``,validator:e=>a.default[r](e)})}[o.testSymbol](e,t,r){for(const{validator:a,message:i}of this.context.validators){if(!0===this.options.optional&&void 0===e)continue;const o=a(e);if(!0===o)continue;let s=r;throw"function"==typeof r&&(s=r()),s=s?`${this.type} \`${s}\``:this.type,new n.ArgumentError(i(e,s,o),t)}}get[t.validatorSymbol](){return this.context.validators}get not(){return i.not(this)}validate(e){return this.addValidator({message:(e,t,r)=>"string"==typeof r?`(${t}) ${r}`:r(t),validator:t=>{const{message:r,validator:a}=e(t);return!!a||r}})}is(e){return this.addValidator({message:(e,t,r)=>r?`(${t}) ${r}`:`Expected ${t} \`${e}\` to pass custom validation function`,validator:e})}addValidator(e){return this.context.validators.push(e),this}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const{toString:a}=Object.prototype,n=e=>t=>typeof t===e,i=e=>{const t=a.call(e).slice(8,-1);if(t)return t},o=e=>t=>i(t)===e;function s(e){switch(e){case null:return"null";case!0:case!1:return"boolean"}switch(typeof e){case"undefined":return"undefined";case"string":return"string";case"number":return"number";case"bigint":return"bigint";case"symbol":return"symbol"}if(s.function_(e))return"Function";if(s.observable(e))return"Observable";if(s.array(e))return"Array";if(s.buffer(e))return"Buffer";const t=i(e);if(t)return t;if(e instanceof String||e instanceof Boolean||e instanceof Number)throw new TypeError("Please don't use object wrappers for primitive types");return"Object"}s.undefined=n("undefined"),s.string=n("string");const d=n("number");s.number=e=>d(e)&&!s.nan(e),s.bigint=n("bigint"),s.function_=n("function"),s.null_=e=>null===e,s.class_=e=>s.function_(e)&&e.toString().startsWith("class "),s.boolean=e=>!0===e||!1===e,s.symbol=n("symbol"),s.numericString=e=>s.string(e)&&e.length>0&&!Number.isNaN(Number(e)),s.array=Array.isArray,s.buffer=e=>!s.nullOrUndefined(e)&&!s.nullOrUndefined(e.constructor)&&s.function_(e.constructor.isBuffer)&&e.constructor.isBuffer(e),s.nullOrUndefined=e=>s.null_(e)||s.undefined(e),s.object=e=>!s.null_(e)&&("object"==typeof e||s.function_(e)),s.iterable=e=>!s.nullOrUndefined(e)&&s.function_(e[Symbol.iterator]),s.asyncIterable=e=>!s.nullOrUndefined(e)&&s.function_(e[Symbol.asyncIterator]),s.generator=e=>s.iterable(e)&&s.function_(e.next)&&s.function_(e.throw),s.asyncGenerator=e=>s.asyncIterable(e)&&s.function_(e.next)&&s.function_(e.throw),s.nativePromise=e=>o("Promise")(e);s.promise=e=>s.nativePromise(e)||(e=>s.object(e)&&s.function_(e.then)&&s.function_(e.catch))(e),s.generatorFunction=o("GeneratorFunction"),s.asyncGeneratorFunction=e=>"AsyncGeneratorFunction"===i(e),s.asyncFunction=e=>"AsyncFunction"===i(e),s.boundFunction=e=>s.function_(e)&&!e.hasOwnProperty("prototype"),s.regExp=o("RegExp"),s.date=o("Date"),s.error=o("Error"),s.map=e=>o("Map")(e),s.set=e=>o("Set")(e),s.weakMap=e=>o("WeakMap")(e),s.weakSet=e=>o("WeakSet")(e),s.int8Array=o("Int8Array"),s.uint8Array=o("Uint8Array"),s.uint8ClampedArray=o("Uint8ClampedArray"),s.int16Array=o("Int16Array"),s.uint16Array=o("Uint16Array"),s.int32Array=o("Int32Array"),s.uint32Array=o("Uint32Array"),s.float32Array=o("Float32Array"),s.float64Array=o("Float64Array"),s.bigInt64Array=o("BigInt64Array"),s.bigUint64Array=o("BigUint64Array"),s.arrayBuffer=o("ArrayBuffer"),s.sharedArrayBuffer=o("SharedArrayBuffer"),s.dataView=o("DataView"),s.directInstanceOf=(e,t)=>Object.getPrototypeOf(e)===t.prototype,s.urlInstance=e=>o("URL")(e),s.urlString=e=>{if(!s.string(e))return!1;try{return new URL(e),!0}catch(e){return!1}},s.truthy=e=>Boolean(e),s.falsy=e=>!e,s.nan=e=>Number.isNaN(e);const c=new Set(["undefined","string","number","bigint","boolean","symbol"]);s.primitive=e=>s.null_(e)||c.has(typeof e),s.integer=e=>Number.isInteger(e),s.safeInteger=e=>Number.isSafeInteger(e),s.plainObject=e=>{if("Object"!==i(e))return!1;const t=Object.getPrototypeOf(e);return null===t||t===Object.getPrototypeOf({})};const u=new Set(["Int8Array","Uint8Array","Uint8ClampedArray","Int16Array","Uint16Array","Int32Array","Uint32Array","Float32Array","Float64Array","BigInt64Array","BigUint64Array"]);s.typedArray=e=>{const t=i(e);return void 0!==t&&u.has(t)};s.arrayLike=e=>!s.nullOrUndefined(e)&&!s.function_(e)&&(e=>s.safeInteger(e)&&e>=0)(e.length),s.inRange=(e,t)=>{if(s.number(t))return e>=Math.min(0,t)&&e<=Math.max(t,0);if(s.array(t)&&2===t.length)return e>=Math.min(...t)&&e<=Math.max(...t);throw new TypeError(`Invalid range: ${JSON.stringify(t)}`)};const l=["innerHTML","ownerDocument","style","attributes","nodeValue"];s.domElement=e=>s.object(e)&&1===e.nodeType&&s.string(e.nodeName)&&!s.plainObject(e)&&l.every(t=>t in e),s.observable=e=>!!e&&(!(!e[Symbol.observable]||e!==e[Symbol.observable]())||!(!e["@@observable"]||e!==e["@@observable"]())),s.nodeStream=e=>s.object(e)&&s.function_(e.pipe)&&!s.observable(e),s.infinite=e=>e===1/0||e===-1/0;const g=e=>t=>s.integer(t)&&Math.abs(t%2)===e;s.evenInteger=g(0),s.oddInteger=g(1),s.emptyArray=e=>s.array(e)&&0===e.length,s.nonEmptyArray=e=>s.array(e)&&e.length>0,s.emptyString=e=>s.string(e)&&0===e.length,s.nonEmptyString=e=>s.string(e)&&e.length>0;s.emptyStringOrWhitespace=e=>s.emptyString(e)||(e=>s.string(e)&&!1===/\S/.test(e))(e),s.emptyObject=e=>s.object(e)&&!s.map(e)&&!s.set(e)&&0===Object.keys(e).length,s.nonEmptyObject=e=>s.object(e)&&!s.map(e)&&!s.set(e)&&Object.keys(e).length>0,s.emptySet=e=>s.set(e)&&0===e.size,s.nonEmptySet=e=>s.set(e)&&e.size>0,s.emptyMap=e=>s.map(e)&&0===e.size,s.nonEmptyMap=e=>s.map(e)&&e.size>0;const f=(e,t,r)=>{if(!1===s.function_(t))throw new TypeError(`Invalid predicate: ${JSON.stringify(t)}`);if(0===r.length)throw new TypeError("Invalid number of values");return e.call(r,t)};s.any=(e,...t)=>(s.array(e)?e:[e]).some(e=>f(Array.prototype.some,e,t)),s.all=(e,...t)=>f(Array.prototype.every,e,t);const y=(e,t,r)=>{if(!e)throw new TypeError(`Expected value which is \`${t}\`, received value of type \`${s(r)}\`.`)};t.assert={undefined:e=>y(s.undefined(e),"undefined",e),string:e=>y(s.string(e),"string",e),number:e=>y(s.number(e),"number",e),bigint:e=>y(s.bigint(e),"bigint",e),function_:e=>y(s.function_(e),"Function",e),null_:e=>y(s.null_(e),"null",e),class_:e=>y(s.class_(e),"Class",e),boolean:e=>y(s.boolean(e),"boolean",e),symbol:e=>y(s.symbol(e),"symbol",e),numericString:e=>y(s.numericString(e),"string with a number",e),array:e=>y(s.array(e),"Array",e),buffer:e=>y(s.buffer(e),"Buffer",e),nullOrUndefined:e=>y(s.nullOrUndefined(e),"null or undefined",e),object:e=>y(s.object(e),"Object",e),iterable:e=>y(s.iterable(e),"Iterable",e),asyncIterable:e=>y(s.asyncIterable(e),"AsyncIterable",e),generator:e=>y(s.generator(e),"Generator",e),asyncGenerator:e=>y(s.asyncGenerator(e),"AsyncGenerator",e),nativePromise:e=>y(s.nativePromise(e),"native Promise",e),promise:e=>y(s.promise(e),"Promise",e),generatorFunction:e=>y(s.generatorFunction(e),"GeneratorFunction",e),asyncGeneratorFunction:e=>y(s.asyncGeneratorFunction(e),"AsyncGeneratorFunction",e),asyncFunction:e=>y(s.asyncFunction(e),"AsyncFunction",e),boundFunction:e=>y(s.boundFunction(e),"Function",e),regExp:e=>y(s.regExp(e),"RegExp",e),date:e=>y(s.date(e),"Date",e),error:e=>y(s.error(e),"Error",e),map:e=>y(s.map(e),"Map",e),set:e=>y(s.set(e),"Set",e),weakMap:e=>y(s.weakMap(e),"WeakMap",e),weakSet:e=>y(s.weakSet(e),"WeakSet",e),int8Array:e=>y(s.int8Array(e),"Int8Array",e),uint8Array:e=>y(s.uint8Array(e),"Uint8Array",e),uint8ClampedArray:e=>y(s.uint8ClampedArray(e),"Uint8ClampedArray",e),int16Array:e=>y(s.int16Array(e),"Int16Array",e),uint16Array:e=>y(s.uint16Array(e),"Uint16Array",e),int32Array:e=>y(s.int32Array(e),"Int32Array",e),uint32Array:e=>y(s.uint32Array(e),"Uint32Array",e),float32Array:e=>y(s.float32Array(e),"Float32Array",e),float64Array:e=>y(s.float64Array(e),"Float64Array",e),bigInt64Array:e=>y(s.bigInt64Array(e),"BigInt64Array",e),bigUint64Array:e=>y(s.bigUint64Array(e),"BigUint64Array",e),arrayBuffer:e=>y(s.arrayBuffer(e),"ArrayBuffer",e),sharedArrayBuffer:e=>y(s.sharedArrayBuffer(e),"SharedArrayBuffer",e),dataView:e=>y(s.dataView(e),"DataView",e),urlInstance:e=>y(s.urlInstance(e),"URL",e),urlString:e=>y(s.urlString(e),"string with a URL",e),truthy:e=>y(s.truthy(e),"truthy",e),falsy:e=>y(s.falsy(e),"falsy",e),nan:e=>y(s.nan(e),"NaN",e),primitive:e=>y(s.primitive(e),"primitive",e),integer:e=>y(s.integer(e),"integer",e),safeInteger:e=>y(s.safeInteger(e),"integer",e),plainObject:e=>y(s.plainObject(e),"plain object",e),typedArray:e=>y(s.typedArray(e),"TypedArray",e),arrayLike:e=>y(s.arrayLike(e),"array-like",e),domElement:e=>y(s.domElement(e),"Element",e),observable:e=>y(s.observable(e),"Observable",e),nodeStream:e=>y(s.nodeStream(e),"Node.js Stream",e),infinite:e=>y(s.infinite(e),"infinite number",e),emptyArray:e=>y(s.emptyArray(e),"empty array",e),nonEmptyArray:e=>y(s.nonEmptyArray(e),"non-empty array",e),emptyString:e=>y(s.emptyString(e),"empty string",e),nonEmptyString:e=>y(s.nonEmptyString(e),"non-empty string",e),emptyStringOrWhitespace:e=>y(s.emptyStringOrWhitespace(e),"empty string or whitespace",e),emptyObject:e=>y(s.emptyObject(e),"empty object",e),nonEmptyObject:e=>y(s.nonEmptyObject(e),"non-empty object",e),emptySet:e=>y(s.emptySet(e),"empty set",e),nonEmptySet:e=>y(s.nonEmptySet(e),"non-empty set",e),emptyMap:e=>y(s.emptyMap(e),"empty map",e),nonEmptyMap:e=>y(s.nonEmptyMap(e),"non-empty map",e),evenInteger:e=>y(s.evenInteger(e),"even integer",e),oddInteger:e=>y(s.oddInteger(e),"odd integer",e),directInstanceOf:(e,t)=>y(s.directInstanceOf(e,t),"T",e),inRange:(e,t)=>y(s.inRange(e,t),"in range",e),any:(e,...t)=>y(s.any(e,...t),"predicate returns truthy for any value",t),all:(e,...t)=>y(s.all(e,...t),"predicate returns truthy for all values",t)},Object.defineProperties(s,{class:{value:s.class_},function:{value:s.function_},null:{value:s.null_}}),Object.defineProperties(t.assert,{class:{value:t.assert.class_},function:{value:t.assert.function_},null:{value:t.assert.null_}}),t.default=s,e.exports=s,e.exports.default=s,e.exports.assert=t.assert},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.testSymbol=Symbol("test"),t.isPredicate=e=>Boolean(e[t.testSymbol])},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=(e,t,r=5)=>{const a=[];for(const n of t)if(!e.has(n)&&(a.push(n),a.length===r))return a;return 0===a.length||a}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(10),n=r(11),i=r(0);t.Predicate=i.Predicate;const o=r(2),s=r(17),d=r(7),c=r(9),u=(e,t,r)=>{if(!o.isPredicate(t)&&"string"!=typeof t)throw new TypeError(`Expected second argument to be a predicate or a string, got \`${typeof t}\``);if(o.isPredicate(t)){const r=a.default();c.default(e,()=>n.inferLabel(r),t)}else c.default(e,t,r)};Object.defineProperties(u,{isValid:{value:(e,t)=>{try{return u(e,t),!0}catch(e){return!1}}},create:{value:(e,t)=>(r,i)=>{if(o.isPredicate(e)){const t=a.default();c.default(r,null!=i?i:()=>n.inferLabel(t),e)}else c.default(r,null!=i?i:e,t)}}}),t.default=d.default(s.default(u));var l=r(7);t.StringPredicate=l.StringPredicate,t.NumberPredicate=l.NumberPredicate,t.BooleanPredicate=l.BooleanPredicate,t.ArrayPredicate=l.ArrayPredicate,t.ObjectPredicate=l.ObjectPredicate,t.DatePredicate=l.DatePredicate,t.ErrorPredicate=l.ErrorPredicate,t.MapPredicate=l.MapPredicate,t.WeakMapPredicate=l.WeakMapPredicate,t.SetPredicate=l.SetPredicate,t.WeakSetPredicate=l.WeakSetPredicate,t.TypedArrayPredicate=l.TypedArrayPredicate,t.ArrayBufferPredicate=l.ArrayBufferPredicate,t.DataViewPredicate=l.DataViewPredicate,t.AnyPredicate=l.AnyPredicate;var g=r(6);t.ArgumentError=g.ArgumentError},function(e,t,r){(function(e){var r="[object Arguments]",a="[object Map]",n="[object Object]",i="[object Set]",o=/^\[object .+?Constructor\]$/,s=/^(?:0|[1-9]\d*)$/,d={};d["[object Float32Array]"]=d["[object Float64Array]"]=d["[object Int8Array]"]=d["[object Int16Array]"]=d["[object Int32Array]"]=d["[object Uint8Array]"]=d["[object Uint8ClampedArray]"]=d["[object Uint16Array]"]=d["[object Uint32Array]"]=!0,d[r]=d["[object Array]"]=d["[object ArrayBuffer]"]=d["[object Boolean]"]=d["[object DataView]"]=d["[object Date]"]=d["[object Error]"]=d["[object Function]"]=d[a]=d["[object Number]"]=d[n]=d["[object RegExp]"]=d[i]=d["[object String]"]=d["[object WeakMap]"]=!1;var c="object"==typeof global&&global&&global.Object===Object&&global,u="object"==typeof self&&self&&self.Object===Object&&self,l=c||u||Function("return this")(),g=t&&!t.nodeType&&t,f=g&&"object"==typeof e&&e&&!e.nodeType&&e,y=f&&f.exports===g,p=y&&c.process,h=function(){try{return p&&p.binding&&p.binding("util")}catch(e){}}(),m=h&&h.isTypedArray;function b(e,t){for(var r=-1,a=null==e?0:e.length;++r<a;)if(t(e[r],r,e))return!0;return!1}function v(e){var t=-1,r=Array(e.size);return e.forEach((function(e,a){r[++t]=[a,e]})),r}function $(e){var t=-1,r=Array(e.size);return e.forEach((function(e){r[++t]=e})),r}var _,x,E,P=Array.prototype,A=Function.prototype,O=Object.prototype,j=l["__core-js_shared__"],S=A.toString,w=O.hasOwnProperty,V=(_=/[^.]+$/.exec(j&&j.keys&&j.keys.IE_PROTO||""))?"Symbol(src)_1."+_:"",M=O.toString,k=RegExp("^"+S.call(w).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$"),z=y?l.Buffer:void 0,N=l.Symbol,I=l.Uint8Array,L=O.propertyIsEnumerable,B=P.splice,T=N?N.toStringTag:void 0,U=Object.getOwnPropertySymbols,F=z?z.isBuffer:void 0,J=(x=Object.keys,E=Object,function(e){return x(E(e))}),W=he(l,"DataView"),D=he(l,"Map"),R=he(l,"Promise"),q=he(l,"Set"),C=he(l,"WeakMap"),G=he(Object,"create"),K=$e(W),H=$e(D),Q=$e(R),X=$e(q),Y=$e(C),Z=N?N.prototype:void 0,ee=Z?Z.valueOf:void 0;function te(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var a=e[t];this.set(a[0],a[1])}}function re(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var a=e[t];this.set(a[0],a[1])}}function ae(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var a=e[t];this.set(a[0],a[1])}}function ne(e){var t=-1,r=null==e?0:e.length;for(this.__data__=new ae;++t<r;)this.add(e[t])}function ie(e){var t=this.__data__=new re(e);this.size=t.size}function oe(e,t){var r=Ee(e),a=!r&&xe(e),n=!r&&!a&&Pe(e),i=!r&&!a&&!n&&we(e),o=r||a||n||i,s=o?function(e,t){for(var r=-1,a=Array(e);++r<e;)a[r]=t(r);return a}(e.length,String):[],d=s.length;for(var c in e)!t&&!w.call(e,c)||o&&("length"==c||n&&("offset"==c||"parent"==c)||i&&("buffer"==c||"byteLength"==c||"byteOffset"==c)||ve(c,d))||s.push(c);return s}function se(e,t){for(var r=e.length;r--;)if(_e(e[r][0],t))return r;return-1}function de(e){return null==e?void 0===e?"[object Undefined]":"[object Null]":T&&T in Object(e)?function(e){var t=w.call(e,T),r=e[T];try{e[T]=void 0;var a=!0}catch(e){}var n=M.call(e);a&&(t?e[T]=r:delete e[T]);return n}(e):function(e){return M.call(e)}(e)}function ce(e){return Se(e)&&de(e)==r}function ue(e,t,o,s,d){return e===t||(null==e||null==t||!Se(e)&&!Se(t)?e!=e&&t!=t:function(e,t,o,s,d,c){var u=Ee(e),l=Ee(t),g=u?"[object Array]":be(e),f=l?"[object Array]":be(t),y=(g=g==r?n:g)==n,p=(f=f==r?n:f)==n,h=g==f;if(h&&Pe(e)){if(!Pe(t))return!1;u=!0,y=!1}if(h&&!y)return c||(c=new ie),u||we(e)?fe(e,t,o,s,d,c):function(e,t,r,n,o,s,d){switch(r){case"[object DataView]":if(e.byteLength!=t.byteLength||e.byteOffset!=t.byteOffset)return!1;e=e.buffer,t=t.buffer;case"[object ArrayBuffer]":return!(e.byteLength!=t.byteLength||!s(new I(e),new I(t)));case"[object Boolean]":case"[object Date]":case"[object Number]":return _e(+e,+t);case"[object Error]":return e.name==t.name&&e.message==t.message;case"[object RegExp]":case"[object String]":return e==t+"";case a:var c=v;case i:var u=1&n;if(c||(c=$),e.size!=t.size&&!u)return!1;var l=d.get(e);if(l)return l==t;n|=2,d.set(e,t);var g=fe(c(e),c(t),n,o,s,d);return d.delete(e),g;case"[object Symbol]":if(ee)return ee.call(e)==ee.call(t)}return!1}(e,t,g,o,s,d,c);if(!(1&o)){var m=y&&w.call(e,"__wrapped__"),b=p&&w.call(t,"__wrapped__");if(m||b){var _=m?e.value():e,x=b?t.value():t;return c||(c=new ie),d(_,x,o,s,c)}}if(!h)return!1;return c||(c=new ie),function(e,t,r,a,n,i){var o=1&r,s=ye(e),d=s.length,c=ye(t).length;if(d!=c&&!o)return!1;var u=d;for(;u--;){var l=s[u];if(!(o?l in t:w.call(t,l)))return!1}var g=i.get(e);if(g&&i.get(t))return g==t;var f=!0;i.set(e,t),i.set(t,e);var y=o;for(;++u<d;){l=s[u];var p=e[l],h=t[l];if(a)var m=o?a(h,p,l,t,e,i):a(p,h,l,e,t,i);if(!(void 0===m?p===h||n(p,h,r,a,i):m)){f=!1;break}y||(y="constructor"==l)}if(f&&!y){var b=e.constructor,v=t.constructor;b!=v&&"constructor"in e&&"constructor"in t&&!("function"==typeof b&&b instanceof b&&"function"==typeof v&&v instanceof v)&&(f=!1)}return i.delete(e),i.delete(t),f}(e,t,o,s,d,c)}(e,t,o,s,ue,d))}function le(e){return!(!je(e)||function(e){return!!V&&V in e}(e))&&(Ae(e)?k:o).test($e(e))}function ge(e){if(r=(t=e)&&t.constructor,a="function"==typeof r&&r.prototype||O,t!==a)return J(e);var t,r,a,n=[];for(var i in Object(e))w.call(e,i)&&"constructor"!=i&&n.push(i);return n}function fe(e,t,r,a,n,i){var o=1&r,s=e.length,d=t.length;if(s!=d&&!(o&&d>s))return!1;var c=i.get(e);if(c&&i.get(t))return c==t;var u=-1,l=!0,g=2&r?new ne:void 0;for(i.set(e,t),i.set(t,e);++u<s;){var f=e[u],y=t[u];if(a)var p=o?a(y,f,u,t,e,i):a(f,y,u,e,t,i);if(void 0!==p){if(p)continue;l=!1;break}if(g){if(!b(t,(function(e,t){if(o=t,!g.has(o)&&(f===e||n(f,e,r,a,i)))return g.push(t);var o}))){l=!1;break}}else if(f!==y&&!n(f,y,r,a,i)){l=!1;break}}return i.delete(e),i.delete(t),l}function ye(e){return function(e,t,r){var a=t(e);return Ee(e)?a:function(e,t){for(var r=-1,a=t.length,n=e.length;++r<a;)e[n+r]=t[r];return e}(a,r(e))}(e,Ve,me)}function pe(e,t){var r,a,n=e.__data__;return("string"==(a=typeof(r=t))||"number"==a||"symbol"==a||"boolean"==a?"__proto__"!==r:null===r)?n["string"==typeof t?"string":"hash"]:n.map}function he(e,t){var r=function(e,t){return null==e?void 0:e[t]}(e,t);return le(r)?r:void 0}te.prototype.clear=function(){this.__data__=G?G(null):{},this.size=0},te.prototype.delete=function(e){var t=this.has(e)&&delete this.__data__[e];return this.size-=t?1:0,t},te.prototype.get=function(e){var t=this.__data__;if(G){var r=t[e];return"__lodash_hash_undefined__"===r?void 0:r}return w.call(t,e)?t[e]:void 0},te.prototype.has=function(e){var t=this.__data__;return G?void 0!==t[e]:w.call(t,e)},te.prototype.set=function(e,t){var r=this.__data__;return this.size+=this.has(e)?0:1,r[e]=G&&void 0===t?"__lodash_hash_undefined__":t,this},re.prototype.clear=function(){this.__data__=[],this.size=0},re.prototype.delete=function(e){var t=this.__data__,r=se(t,e);return!(r<0)&&(r==t.length-1?t.pop():B.call(t,r,1),--this.size,!0)},re.prototype.get=function(e){var t=this.__data__,r=se(t,e);return r<0?void 0:t[r][1]},re.prototype.has=function(e){return se(this.__data__,e)>-1},re.prototype.set=function(e,t){var r=this.__data__,a=se(r,e);return a<0?(++this.size,r.push([e,t])):r[a][1]=t,this},ae.prototype.clear=function(){this.size=0,this.__data__={hash:new te,map:new(D||re),string:new te}},ae.prototype.delete=function(e){var t=pe(this,e).delete(e);return this.size-=t?1:0,t},ae.prototype.get=function(e){return pe(this,e).get(e)},ae.prototype.has=function(e){return pe(this,e).has(e)},ae.prototype.set=function(e,t){var r=pe(this,e),a=r.size;return r.set(e,t),this.size+=r.size==a?0:1,this},ne.prototype.add=ne.prototype.push=function(e){return this.__data__.set(e,"__lodash_hash_undefined__"),this},ne.prototype.has=function(e){return this.__data__.has(e)},ie.prototype.clear=function(){this.__data__=new re,this.size=0},ie.prototype.delete=function(e){var t=this.__data__,r=t.delete(e);return this.size=t.size,r},ie.prototype.get=function(e){return this.__data__.get(e)},ie.prototype.has=function(e){return this.__data__.has(e)},ie.prototype.set=function(e,t){var r=this.__data__;if(r instanceof re){var a=r.__data__;if(!D||a.length<199)return a.push([e,t]),this.size=++r.size,this;r=this.__data__=new ae(a)}return r.set(e,t),this.size=r.size,this};var me=U?function(e){return null==e?[]:(e=Object(e),function(e,t){for(var r=-1,a=null==e?0:e.length,n=0,i=[];++r<a;){var o=e[r];t(o,r,e)&&(i[n++]=o)}return i}(U(e),(function(t){return L.call(e,t)})))}:function(){return[]},be=de;function ve(e,t){return!!(t=null==t?9007199254740991:t)&&("number"==typeof e||s.test(e))&&e>-1&&e%1==0&&e<t}function $e(e){if(null!=e){try{return S.call(e)}catch(e){}try{return e+""}catch(e){}}return""}function _e(e,t){return e===t||e!=e&&t!=t}(W&&"[object DataView]"!=be(new W(new ArrayBuffer(1)))||D&&be(new D)!=a||R&&"[object Promise]"!=be(R.resolve())||q&&be(new q)!=i||C&&"[object WeakMap]"!=be(new C))&&(be=function(e){var t=de(e),r=t==n?e.constructor:void 0,o=r?$e(r):"";if(o)switch(o){case K:return"[object DataView]";case H:return a;case Q:return"[object Promise]";case X:return i;case Y:return"[object WeakMap]"}return t});var xe=ce(function(){return arguments}())?ce:function(e){return Se(e)&&w.call(e,"callee")&&!L.call(e,"callee")},Ee=Array.isArray;var Pe=F||function(){return!1};function Ae(e){if(!je(e))return!1;var t=de(e);return"[object Function]"==t||"[object GeneratorFunction]"==t||"[object AsyncFunction]"==t||"[object Proxy]"==t}function Oe(e){return"number"==typeof e&&e>-1&&e%1==0&&e<=9007199254740991}function je(e){var t=typeof e;return null!=e&&("object"==t||"function"==t)}function Se(e){return null!=e&&"object"==typeof e}var we=m?function(e){return function(t){return e(t)}}(m):function(e){return Se(e)&&Oe(e.length)&&!!d[de(e)]};function Ve(e){return null!=(t=e)&&Oe(t.length)&&!Ae(t)?oe(e):ge(e);var t}e.exports=function(e,t){return ue(e,t)}}).call(this,r(23)(e))},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});class a extends Error{constructor(e,t){super(e),Error.captureStackTrace?Error.captureStackTrace(this,t):this.stack=(new Error).stack,this.name="ArgumentError"}}t.ArgumentError=a},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(18);t.StringPredicate=a.StringPredicate;const n=r(20);t.NumberPredicate=n.NumberPredicate;const i=r(21);t.BooleanPredicate=i.BooleanPredicate;const o=r(0),s=r(22);t.ArrayPredicate=s.ArrayPredicate;const d=r(24);t.ObjectPredicate=d.ObjectPredicate;const c=r(29);t.DatePredicate=c.DatePredicate;const u=r(30);t.ErrorPredicate=u.ErrorPredicate;const l=r(31);t.MapPredicate=l.MapPredicate;const g=r(32);t.WeakMapPredicate=g.WeakMapPredicate;const f=r(33);t.SetPredicate=f.SetPredicate;const y=r(34);t.WeakSetPredicate=y.WeakSetPredicate;const p=r(35);t.TypedArrayPredicate=p.TypedArrayPredicate;const h=r(36);t.ArrayBufferPredicate=h.ArrayBufferPredicate;const m=r(37);t.DataViewPredicate=m.DataViewPredicate;const b=r(38);t.AnyPredicate=b.AnyPredicate,t.default=(e,t)=>(Object.defineProperties(e,{string:{get:()=>new a.StringPredicate(t)},number:{get:()=>new n.NumberPredicate(t)},boolean:{get:()=>new i.BooleanPredicate(t)},undefined:{get:()=>new o.Predicate("undefined",t)},null:{get:()=>new o.Predicate("null",t)},nullOrUndefined:{get:()=>new o.Predicate("nullOrUndefined",t)},nan:{get:()=>new o.Predicate("nan",t)},symbol:{get:()=>new o.Predicate("symbol",t)},array:{get:()=>new s.ArrayPredicate(t)},object:{get:()=>new d.ObjectPredicate(t)},date:{get:()=>new c.DatePredicate(t)},error:{get:()=>new u.ErrorPredicate(t)},map:{get:()=>new l.MapPredicate(t)},weakMap:{get:()=>new g.WeakMapPredicate(t)},set:{get:()=>new f.SetPredicate(t)},weakSet:{get:()=>new y.WeakSetPredicate(t)},function:{get:()=>new o.Predicate("Function",t)},buffer:{get:()=>new o.Predicate("Buffer",t)},regExp:{get:()=>new o.Predicate("RegExp",t)},promise:{get:()=>new o.Predicate("Promise",t)},typedArray:{get:()=>new p.TypedArrayPredicate("TypedArray",t)},int8Array:{get:()=>new p.TypedArrayPredicate("Int8Array",t)},uint8Array:{get:()=>new p.TypedArrayPredicate("Uint8Array",t)},uint8ClampedArray:{get:()=>new p.TypedArrayPredicate("Uint8ClampedArray",t)},int16Array:{get:()=>new p.TypedArrayPredicate("Int16Array",t)},uint16Array:{get:()=>new p.TypedArrayPredicate("Uint16Array",t)},int32Array:{get:()=>new p.TypedArrayPredicate("Int32Array",t)},uint32Array:{get:()=>new p.TypedArrayPredicate("Uint32Array",t)},float32Array:{get:()=>new p.TypedArrayPredicate("Float32Array",t)},float64Array:{get:()=>new p.TypedArrayPredicate("Float64Array",t)},arrayBuffer:{get:()=>new h.ArrayBufferPredicate("ArrayBuffer",t)},sharedArrayBuffer:{get:()=>new h.ArrayBufferPredicate("SharedArrayBuffer",t)},dataView:{get:()=>new m.DataViewPredicate(t)},iterable:{get:()=>new o.Predicate("Iterable",t)},any:{value:(...e)=>new b.AnyPredicate(e,t)}}),e)},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(4);t.default=(e,t)=>{try{for(const r of e)a.default(r,t);return!0}catch(e){return e.message}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(2);t.default=function e(t,r,n){n[a.testSymbol](t,e,r)}},function(e,t,r){"use strict";const a=()=>{const e=Error.prepareStackTrace;Error.prepareStackTrace=(e,t)=>t;const t=(new Error).stack.slice(1);return Error.prepareStackTrace=e,t};e.exports=a,e.exports.default=a},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(12),n=r(13),i=r(14),o=/^.*?\((?<label>.*?)[,)]/;t.inferLabel=e=>{var t;if(!i.default)return;const r=e[1],s=r.getFileName(),d=r.getLineNumber(),c=r.getColumnNumber();if(null===s||null===d||null===c)return;let u=[];try{u=a.readFileSync(s,"utf8").split("\n")}catch(e){return}let l=u[d-1];if(!l)return;l=l.slice(c-1);const g=o.exec(l);if(!(null===(t=null==g?void 0:g.groups)||void 0===t?void 0:t.label))return;const f=g.groups.label;return n.default(f)||n.default(f.split(".").pop())?f:void 0}},function(e,t){e.exports=__nccwpck_require__(57147)},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=/^[a-z$_][a-z$_\d]*$/i,n=new Set(["undefined","null","true","false","super","this","Infinity","NaN"]);t.default=e=>e&&!n.has(e)&&a.test(e)},function(e,t,r){"use strict";var a;Object.defineProperty(t,"__esModule",{value:!0}),t.default=Boolean(null===(a=null===process||void 0===process?void 0:process.versions)||void 0===a?void 0:a.node)},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(16),n=r(0);t.not=e=>{const t=e.addValidator;return e.addValidator=r=>{const{validator:i,message:o,negatedMessage:s}=r,d=a.default();return r.message=(e,t)=>s?s(e,t):o(e,d).replace(/ to /,"$&not ").replace(d,t),r.validator=e=>!i(e),e[n.validatorSymbol].push(r),e.addValidator=t,e},e}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=()=>Math.random().toString(16).slice(2)},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(7);t.default=e=>(Object.defineProperties(e,{optional:{get:()=>a.default({},{optional:!0})}}),e)},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(1),n=r(19),i=r(0);class o extends i.Predicate{constructor(e){super("string",e)}length(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have length \`${e}\`, got \`${t}\``,validator:t=>t.length===e})}minLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a minimum length of \`${e}\`, got \`${t}\``,validator:t=>t.length>=e,negatedMessage:(t,r)=>`Expected ${r} to have a maximum length of \`${e-1}\`, got \`${t}\``})}maxLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a maximum length of \`${e}\`, got \`${t}\``,validator:t=>t.length<=e,negatedMessage:(t,r)=>`Expected ${r} to have a minimum length of \`${e+1}\`, got \`${t}\``})}matches(e){return this.addValidator({message:(t,r)=>`Expected ${r} to match \`${e}\`, got \`${t}\``,validator:t=>e.test(t)})}startsWith(e){return this.addValidator({message:(t,r)=>`Expected ${r} to start with \`${e}\`, got \`${t}\``,validator:t=>t.startsWith(e)})}endsWith(e){return this.addValidator({message:(t,r)=>`Expected ${r} to end with \`${e}\`, got \`${t}\``,validator:t=>t.endsWith(e)})}includes(e){return this.addValidator({message:(t,r)=>`Expected ${r} to include \`${e}\`, got \`${t}\``,validator:t=>t.includes(e)})}oneOf(e){return this.addValidator({message:(t,r)=>{let a=JSON.stringify(e);if(e.length>10){const t=e.length-10;a=JSON.stringify(e.slice(0,10)).replace(/]$/,`,…+${t} more]`)}return`Expected ${r} to be one of \`${a}\`, got \`${t}\``},validator:t=>e.includes(t)})}get empty(){return this.addValidator({message:(e,t)=>`Expected ${t} to be empty, got \`${e}\``,validator:e=>""===e})}get nonEmpty(){return this.addValidator({message:(e,t)=>`Expected ${t} to not be empty`,validator:e=>""!==e})}equals(e){return this.addValidator({message:(t,r)=>`Expected ${r} to be equal to \`${e}\`, got \`${t}\``,validator:t=>t===e})}get alphanumeric(){return this.addValidator({message:(e,t)=>`Expected ${t} to be alphanumeric, got \`${e}\``,validator:e=>/^[a-z\d]+$/i.test(e)})}get alphabetical(){return this.addValidator({message:(e,t)=>`Expected ${t} to be alphabetical, got \`${e}\``,validator:e=>/^[a-z]+$/gi.test(e)})}get numeric(){return this.addValidator({message:(e,t)=>`Expected ${t} to be numeric, got \`${e}\``,validator:e=>/^(?:\+|-)?\d+$/i.test(e)})}get date(){return this.addValidator({message:(e,t)=>`Expected ${t} to be a date, got \`${e}\``,validator:n})}get lowercase(){return this.addValidator({message:(e,t)=>`Expected ${t} to be lowercase, got \`${e}\``,validator:e=>""!==e.trim()&&e===e.toLowerCase()})}get uppercase(){return this.addValidator({message:(e,t)=>`Expected ${t} to be uppercase, got \`${e}\``,validator:e=>""!==e.trim()&&e===e.toUpperCase()})}get url(){return this.addValidator({message:(e,t)=>`Expected ${t} to be a URL, got \`${e}\``,validator:a.default.urlString})}}t.StringPredicate=o},function(e,t,r){"use strict";e.exports=function(e){return!isNaN(Date.parse(e))}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(1),n=r(0);class i extends n.Predicate{constructor(e){super("number",e)}inRange(e,t){return this.addValidator({message:(r,a)=>`Expected ${a} to be in range [${e}..${t}], got ${r}`,validator:r=>a.default.inRange(r,[e,t])})}greaterThan(e){return this.addValidator({message:(t,r)=>`Expected ${r} to be greater than ${e}, got ${t}`,validator:t=>t>e})}greaterThanOrEqual(e){return this.addValidator({message:(t,r)=>`Expected ${r} to be greater than or equal to ${e}, got ${t}`,validator:t=>t>=e})}lessThan(e){return this.addValidator({message:(t,r)=>`Expected ${r} to be less than ${e}, got ${t}`,validator:t=>t<e})}lessThanOrEqual(e){return this.addValidator({message:(t,r)=>`Expected ${r} to be less than or equal to ${e}, got ${t}`,validator:t=>t<=e})}equal(e){return this.addValidator({message:(t,r)=>`Expected ${r} to be equal to ${e}, got ${t}`,validator:t=>t===e})}oneOf(e){return this.addValidator({message:(t,r)=>{let a=JSON.stringify(e);if(e.length>10){const t=e.length-10;a=JSON.stringify(e.slice(0,10)).replace(/]$/,`,…+${t} more]`)}return`Expected ${r} to be one of \`${a}\`, got ${t}`},validator:t=>e.includes(t)})}get integer(){return this.addValidator({message:(e,t)=>`Expected ${t} to be an integer, got ${e}`,validator:e=>a.default.integer(e)})}get finite(){return this.addValidator({message:(e,t)=>`Expected ${t} to be finite, got ${e}`,validator:e=>!a.default.infinite(e)})}get infinite(){return this.addValidator({message:(e,t)=>`Expected ${t} to be infinite, got ${e}`,validator:e=>a.default.infinite(e)})}get positive(){return this.addValidator({message:(e,t)=>`Expected ${t} to be positive, got ${e}`,validator:e=>e>0})}get negative(){return this.addValidator({message:(e,t)=>`Expected ${t} to be negative, got ${e}`,validator:e=>e<0})}get integerOrInfinite(){return this.addValidator({message:(e,t)=>`Expected ${t} to be an integer or infinite, got ${e}`,validator:e=>a.default.integer(e)||a.default.infinite(e)})}get uint8(){return this.integer.inRange(0,255)}get uint16(){return this.integer.inRange(0,65535)}get uint32(){return this.integer.inRange(0,4294967295)}get int8(){return this.integer.inRange(-128,127)}get int16(){return this.integer.inRange(-32768,32767)}get int32(){return this.integer.inRange(-2147483648,2147483647)}}t.NumberPredicate=i},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(0);class n extends a.Predicate{constructor(e){super("boolean",e)}get true(){return this.addValidator({message:(e,t)=>`Expected ${t} to be true, got ${e}`,validator:e=>e})}get false(){return this.addValidator({message:(e,t)=>`Expected ${t} to be false, got ${e}`,validator:e=>!e})}}t.BooleanPredicate=n},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(5),n=r(0),i=r(4);class o extends n.Predicate{constructor(e){super("array",e)}length(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have length \`${e}\`, got \`${t.length}\``,validator:t=>t.length===e})}minLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a minimum length of \`${e}\`, got \`${t.length}\``,validator:t=>t.length>=e,negatedMessage:(t,r)=>`Expected ${r} to have a maximum length of \`${e-1}\`, got \`${t.length}\``})}maxLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a maximum length of \`${e}\`, got \`${t.length}\``,validator:t=>t.length<=e,negatedMessage:(t,r)=>`Expected ${r} to have a minimum length of \`${e+1}\`, got \`${t.length}\``})}startsWith(e){return this.addValidator({message:(t,r)=>`Expected ${r} to start with \`${e}\`, got \`${t[0]}\``,validator:t=>t[0]===e})}endsWith(e){return this.addValidator({message:(t,r)=>`Expected ${r} to end with \`${e}\`, got \`${t[t.length-1]}\``,validator:t=>t[t.length-1]===e})}includes(...e){return this.addValidator({message:(t,r)=>`Expected ${r} to include all elements of \`${JSON.stringify(e)}\`, got \`${JSON.stringify(t)}\``,validator:t=>e.every(e=>t.includes(e))})}includesAny(...e){return this.addValidator({message:(t,r)=>`Expected ${r} to include any element of \`${JSON.stringify(e)}\`, got \`${JSON.stringify(t)}\``,validator:t=>e.some(e=>t.includes(e))})}get empty(){return this.addValidator({message:(e,t)=>`Expected ${t} to be empty, got \`${JSON.stringify(e)}\``,validator:e=>0===e.length})}get nonEmpty(){return this.addValidator({message:(e,t)=>`Expected ${t} to not be empty`,validator:e=>e.length>0})}deepEqual(e){return this.addValidator({message:(t,r)=>`Expected ${r} to be deeply equal to \`${JSON.stringify(e)}\`, got \`${JSON.stringify(t)}\``,validator:t=>a(t,e)})}ofType(e){let t;return this.addValidator({message:(e,r)=>`(${r}) ${t}`,validator:r=>{try{for(const t of r)i.default(t,e);return!0}catch(e){return t=e.message,!1}}})}}t.ArrayPredicate=o},function(e,t){e.exports=function(e){return e.webpackPolyfill||(e.deprecate=function(){},e.paths=[],e.children||(e.children=[]),Object.defineProperty(e,"loaded",{enumerable:!0,get:function(){return e.l}}),Object.defineProperty(e,"id",{enumerable:!0,get:function(){return e.i}}),e.webpackPolyfill=1),e}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(1),n=r(25),i=r(5),o=r(3),s=r(8),d=r(27),c=r(28),u=r(0);class l extends u.Predicate{constructor(e){super("object",e)}get plain(){return this.addValidator({message:(e,t)=>`Expected ${t} to be a plain object`,validator:e=>a.default.plainObject(e)})}get empty(){return this.addValidator({message:(e,t)=>`Expected ${t} to be empty, got \`${JSON.stringify(e)}\``,validator:e=>0===Object.keys(e).length})}get nonEmpty(){return this.addValidator({message:(e,t)=>`Expected ${t} to not be empty`,validator:e=>Object.keys(e).length>0})}valuesOfType(e){return this.addValidator({message:(e,t,r)=>`(${t}) ${r}`,validator:t=>s.default(Object.values(t),e)})}deepValuesOfType(e){return this.addValidator({message:(e,t,r)=>`(${t}) ${r}`,validator:t=>d.default(t,e)})}deepEqual(e){return this.addValidator({message:(t,r)=>`Expected ${r} to be deeply equal to \`${JSON.stringify(e)}\`, got \`${JSON.stringify(t)}\``,validator:t=>i(t,e)})}instanceOf(e){return this.addValidator({message:(t,r)=>{let{name:a}=t.constructor;return a&&"Object"!==a||(a=JSON.stringify(t)),`Expected ${r} \`${a}\` to be of type \`${e.name}\``},validator:t=>t instanceof e})}hasKeys(...e){return this.addValidator({message:(e,t,r)=>`Expected ${t} to have keys \`${JSON.stringify(r)}\``,validator:t=>o.default({has:e=>n.has(t,e)},e)})}hasAnyKeys(...e){return this.addValidator({message:(t,r)=>`Expected ${r} to have any key of \`${JSON.stringify(e)}\``,validator:t=>e.some(e=>n.has(t,e))})}partialShape(e){return this.addValidator({message:(e,t,r)=>`${r.replace("Expected","Expected property")} in ${t}`,validator:t=>c.partial(t,e)})}exactShape(e){return this.addValidator({message:(e,t,r)=>`${r.replace("Expected","Expected property")} in ${t}`,validator:t=>c.exact(t,e)})}}t.ObjectPredicate=l},function(e,t,r){"use strict";const a=r(26),n=["__proto__","prototype","constructor"];function i(e){const t=e.split("."),r=[];for(let e=0;e<t.length;e++){let a=t[e];for(;"\\"===a[a.length-1]&&void 0!==t[e+1];)a=a.slice(0,-1)+".",a+=t[++e];r.push(a)}return r.some(e=>n.includes(e))?[]:r}e.exports={get(e,t,r){if(!a(e)||"string"!=typeof t)return void 0===r?e:r;const n=i(t);if(0!==n.length){for(let t=0;t<n.length;t++){if(!Object.prototype.propertyIsEnumerable.call(e,n[t]))return r;if(null==(e=e[n[t]])){if(t!==n.length-1)return r;break}}return e}},set(e,t,r){if(!a(e)||"string"!=typeof t)return e;const n=e,o=i(t);for(let t=0;t<o.length;t++){const n=o[t];a(e[n])||(e[n]={}),t===o.length-1&&(e[n]=r),e=e[n]}return n},delete(e,t){if(!a(e)||"string"!=typeof t)return;const r=i(t);for(let t=0;t<r.length;t++){const n=r[t];if(t===r.length-1)return void delete e[n];if(e=e[n],!a(e))return}},has(e,t){if(!a(e)||"string"!=typeof t)return!1;const r=i(t);if(0===r.length)return!1;for(let t=0;t<r.length;t++){if(!a(e))return!1;if(!(r[t]in e))return!1;e=e[r[t]]}return!0}}},function(e,t,r){"use strict";e.exports=e=>{const t=typeof e;return null!==e&&("object"===t||"function"===t)}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(1),n=r(4),i=(e,t)=>a.default.plainObject(e)?Object.values(e).every(e=>i(e,t)):(n.default(e,t),!0);t.default=(e,t)=>{try{return i(e,t)}catch(e){return e.message}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(1),n=r(9),i=r(2);t.partial=function e(t,r,o){try{for(const s of Object.keys(r)){const d=o?`${o}.${s}`:s;if(i.isPredicate(r[s]))n.default(t[s],d,r[s]);else if(a.default.plainObject(r[s])){const a=e(t[s],r[s],d);if(!0!==a)return a}}return!0}catch(e){return e.message}},t.exact=function e(t,r,o){try{const s=new Set(Object.keys(t));for(const d of Object.keys(r)){s.delete(d);const c=o?`${o}.${d}`:d;if(i.isPredicate(r[d]))n.default(t[d],c,r[d]);else if(a.default.plainObject(r[d])){if(!Object.prototype.hasOwnProperty.call(t,d))return`Expected \`${c}\` to exist`;const a=e(t[d],r[d],c);if(!0!==a)return a}}if(s.size>0){const e=[...s.keys()][0];return`Did not expect property \`${o?`${o}.${e}`:e}\` to exist, got \`${t[e]}\``}return!0}catch(e){return e.message}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(0);class n extends a.Predicate{constructor(e){super("date",e)}before(e){return this.addValidator({message:(t,r)=>`Expected ${r} ${t.toISOString()} to be before ${e.toISOString()}`,validator:t=>t.getTime()<e.getTime()})}after(e){return this.addValidator({message:(t,r)=>`Expected ${r} ${t.toISOString()} to be after ${e.toISOString()}`,validator:t=>t.getTime()>e.getTime()})}}t.DatePredicate=n},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(0);class n extends a.Predicate{constructor(e){super("error",e)}name(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have name \`${e}\`, got \`${t.name}\``,validator:t=>t.name===e})}message(e){return this.addValidator({message:(t,r)=>`Expected ${r} message to be \`${e}\`, got \`${t.message}\``,validator:t=>t.message===e})}messageIncludes(e){return this.addValidator({message:(t,r)=>`Expected ${r} message to include \`${e}\`, got \`${t.message}\``,validator:t=>t.message.includes(e)})}hasKeys(...e){return this.addValidator({message:(t,r)=>`Expected ${r} message to have keys \`${e.join("`, `")}\``,validator:t=>e.every(e=>Object.prototype.hasOwnProperty.call(t,e))})}instanceOf(e){return this.addValidator({message:(t,r)=>`Expected ${r} \`${t.name}\` to be of type \`${e.name}\``,validator:t=>t instanceof e})}get typeError(){return this.instanceOf(TypeError)}get evalError(){return this.instanceOf(EvalError)}get rangeError(){return this.instanceOf(RangeError)}get referenceError(){return this.instanceOf(ReferenceError)}get syntaxError(){return this.instanceOf(SyntaxError)}get uriError(){return this.instanceOf(URIError)}}t.ErrorPredicate=n},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(5),n=r(3),i=r(8),o=r(0);class s extends o.Predicate{constructor(e){super("Map",e)}size(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have size \`${e}\`, got \`${t.size}\``,validator:t=>t.size===e})}minSize(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a minimum size of \`${e}\`, got \`${t.size}\``,validator:t=>t.size>=e,negatedMessage:(t,r)=>`Expected ${r} to have a maximum size of \`${e-1}\`, got \`${t.size}\``})}maxSize(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a maximum size of \`${e}\`, got \`${t.size}\``,validator:t=>t.size<=e,negatedMessage:(t,r)=>`Expected ${r} to have a minimum size of \`${e+1}\`, got \`${t.size}\``})}hasKeys(...e){return this.addValidator({message:(e,t,r)=>`Expected ${t} to have keys \`${JSON.stringify(r)}\``,validator:t=>n.default(t,e)})}hasAnyKeys(...e){return this.addValidator({message:(t,r)=>`Expected ${r} to have any key of \`${JSON.stringify(e)}\``,validator:t=>e.some(e=>t.has(e))})}hasValues(...e){return this.addValidator({message:(e,t,r)=>`Expected ${t} to have values \`${JSON.stringify(r)}\``,validator:t=>n.default(new Set(t.values()),e)})}hasAnyValues(...e){return this.addValidator({message:(t,r)=>`Expected ${r} to have any value of \`${JSON.stringify(e)}\``,validator:t=>{const r=new Set(t.values());return e.some(e=>r.has(e))}})}keysOfType(e){return this.addValidator({message:(e,t,r)=>`(${t}) ${r}`,validator:t=>i.default(t.keys(),e)})}valuesOfType(e){return this.addValidator({message:(e,t,r)=>`(${t}) ${r}`,validator:t=>i.default(t.values(),e)})}get empty(){return this.addValidator({message:(e,t)=>`Expected ${t} to be empty, got \`${JSON.stringify([...e])}\``,validator:e=>0===e.size})}get nonEmpty(){return this.addValidator({message:(e,t)=>`Expected ${t} to not be empty`,validator:e=>e.size>0})}deepEqual(e){return this.addValidator({message:(t,r)=>`Expected ${r} to be deeply equal to \`${JSON.stringify([...e])}\`, got \`${JSON.stringify([...t])}\``,validator:t=>a(t,e)})}}t.MapPredicate=s},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(3),n=r(0);class i extends n.Predicate{constructor(e){super("WeakMap",e)}hasKeys(...e){return this.addValidator({message:(e,t,r)=>`Expected ${t} to have keys \`${JSON.stringify(r)}\``,validator:t=>a.default(t,e)})}hasAnyKeys(...e){return this.addValidator({message:(t,r)=>`Expected ${r} to have any key of \`${JSON.stringify(e)}\``,validator:t=>e.some(e=>t.has(e))})}}t.WeakMapPredicate=i},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(5),n=r(3),i=r(8),o=r(0);class s extends o.Predicate{constructor(e){super("Set",e)}size(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have size \`${e}\`, got \`${t.size}\``,validator:t=>t.size===e})}minSize(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a minimum size of \`${e}\`, got \`${t.size}\``,validator:t=>t.size>=e,negatedMessage:(t,r)=>`Expected ${r} to have a maximum size of \`${e-1}\`, got \`${t.size}\``})}maxSize(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a maximum size of \`${e}\`, got \`${t.size}\``,validator:t=>t.size<=e,negatedMessage:(t,r)=>`Expected ${r} to have a minimum size of \`${e+1}\`, got \`${t.size}\``})}has(...e){return this.addValidator({message:(e,t,r)=>`Expected ${t} to have items \`${JSON.stringify(r)}\``,validator:t=>n.default(t,e)})}hasAny(...e){return this.addValidator({message:(t,r)=>`Expected ${r} to have any item of \`${JSON.stringify(e)}\``,validator:t=>e.some(e=>t.has(e))})}ofType(e){return this.addValidator({message:(e,t,r)=>`(${t}) ${r}`,validator:t=>i.default(t,e)})}get empty(){return this.addValidator({message:(e,t)=>`Expected ${t} to be empty, got \`${JSON.stringify([...e])}\``,validator:e=>0===e.size})}get nonEmpty(){return this.addValidator({message:(e,t)=>`Expected ${t} to not be empty`,validator:e=>e.size>0})}deepEqual(e){return this.addValidator({message:(t,r)=>`Expected ${r} to be deeply equal to \`${JSON.stringify([...e])}\`, got \`${JSON.stringify([...t])}\``,validator:t=>a(t,e)})}}t.SetPredicate=s},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(3),n=r(0);class i extends n.Predicate{constructor(e){super("WeakSet",e)}has(...e){return this.addValidator({message:(e,t,r)=>`Expected ${t} to have items \`${JSON.stringify(r)}\``,validator:t=>a.default(t,e)})}hasAny(...e){return this.addValidator({message:(t,r)=>`Expected ${r} to have any item of \`${JSON.stringify(e)}\``,validator:t=>e.some(e=>t.has(e))})}}t.WeakSetPredicate=i},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(0);class n extends a.Predicate{byteLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have byte length of \`${e}\`, got \`${t.byteLength}\``,validator:t=>t.byteLength===e})}minByteLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a minimum byte length of \`${e}\`, got \`${t.byteLength}\``,validator:t=>t.byteLength>=e,negatedMessage:(t,r)=>`Expected ${r} to have a maximum byte length of \`${e-1}\`, got \`${t.byteLength}\``})}maxByteLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a maximum byte length of \`${e}\`, got \`${t.byteLength}\``,validator:t=>t.byteLength<=e,negatedMessage:(t,r)=>`Expected ${r} to have a minimum byte length of \`${e+1}\`, got \`${t.byteLength}\``})}length(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have length \`${e}\`, got \`${t.length}\``,validator:t=>t.length===e})}minLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a minimum length of \`${e}\`, got \`${t.length}\``,validator:t=>t.length>=e,negatedMessage:(t,r)=>`Expected ${r} to have a maximum length of \`${e-1}\`, got \`${t.length}\``})}maxLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a maximum length of \`${e}\`, got \`${t.length}\``,validator:t=>t.length<=e,negatedMessage:(t,r)=>`Expected ${r} to have a minimum length of \`${e+1}\`, got \`${t.length}\``})}}t.TypedArrayPredicate=n},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(0);class n extends a.Predicate{byteLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have byte length of \`${e}\`, got \`${t.byteLength}\``,validator:t=>t.byteLength===e})}minByteLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a minimum byte length of \`${e}\`, got \`${t.byteLength}\``,validator:t=>t.byteLength>=e,negatedMessage:(t,r)=>`Expected ${r} to have a maximum byte length of \`${e-1}\`, got \`${t.byteLength}\``})}maxByteLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a maximum byte length of \`${e}\`, got \`${t.byteLength}\``,validator:t=>t.byteLength<=e,negatedMessage:(t,r)=>`Expected ${r} to have a minimum byte length of \`${e+1}\`, got \`${t.byteLength}\``})}}t.ArrayBufferPredicate=n},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(0);class n extends a.Predicate{constructor(e){super("DataView",e)}byteLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have byte length of \`${e}\`, got \`${t.byteLength}\``,validator:t=>t.byteLength===e})}minByteLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a minimum byte length of \`${e}\`, got \`${t.byteLength}\``,validator:t=>t.byteLength>=e,negatedMessage:(t,r)=>`Expected ${r} to have a maximum byte length of \`${e-1}\`, got \`${t.byteLength}\``})}maxByteLength(e){return this.addValidator({message:(t,r)=>`Expected ${r} to have a maximum byte length of \`${e}\`, got \`${t.byteLength}\``,validator:t=>t.byteLength<=e,negatedMessage:(t,r)=>`Expected ${r} to have a minimum byte length of \`${e+1}\`, got \`${t.byteLength}\``})}}t.DataViewPredicate=n},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});const a=r(6),n=r(2);t.AnyPredicate=class{constructor(e,t={}){this.predicates=e,this.options=t}[n.testSymbol](e,t,r){const n=["Any predicate failed with the following errors:"];for(const a of this.predicates)try{return void t(e,r,a)}catch(t){if(void 0===e&&!0===this.options.optional)return;n.push(`- ${t.message}`)}throw new a.ArgumentError(n.join("\n"),t)}}}]);const __export__=module.exports;module.exports=__export__.default,Object.assign(module.exports,__export__);
//# sourceMappingURL=index.js.map

/***/ }),

/***/ 31330:
/***/ ((module) => {

"use strict";


module.exports = async (
	promise,
	onFinally = (() => {})
) => {
	let value;
	try {
		value = await promise;
	} catch (error) {
		await onFinally();
		throw error;
	}

	await onFinally();
	return value;
};


/***/ }),

/***/ 57684:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const pTry = __nccwpck_require__(80746);

const pLimit = concurrency => {
	if (!((Number.isInteger(concurrency) || concurrency === Infinity) && concurrency > 0)) {
		return Promise.reject(new TypeError('Expected `concurrency` to be a number from 1 and up'));
	}

	const queue = [];
	let activeCount = 0;

	const next = () => {
		activeCount--;

		if (queue.length > 0) {
			queue.shift()();
		}
	};

	const run = (fn, resolve, ...args) => {
		activeCount++;

		const result = pTry(fn, ...args);

		resolve(result);

		result.then(next, next);
	};

	const enqueue = (fn, resolve, ...args) => {
		if (activeCount < concurrency) {
			run(fn, resolve, ...args);
		} else {
			queue.push(run.bind(null, fn, resolve, ...args));
		}
	};

	const generator = (fn, ...args) => new Promise(resolve => enqueue(fn, resolve, ...args));
	Object.defineProperties(generator, {
		activeCount: {
			get: () => activeCount
		},
		pendingCount: {
			get: () => queue.length
		},
		clearQueue: {
			value: () => {
				queue.length = 0;
			}
		}
	});

	return generator;
};

module.exports = pLimit;
module.exports["default"] = pLimit;


/***/ }),

/***/ 90104:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const pLimit = __nccwpck_require__(57684);

class EndError extends Error {
	constructor(value) {
		super();
		this.value = value;
	}
}

// The input can also be a promise, so we await it
const testElement = async (element, tester) => tester(await element);

// The input can also be a promise, so we `Promise.all()` them both
const finder = async element => {
	const values = await Promise.all(element);
	if (values[1] === true) {
		throw new EndError(values[0]);
	}

	return false;
};

const pLocate = async (iterable, tester, options) => {
	options = {
		concurrency: Infinity,
		preserveOrder: true,
		...options
	};

	const limit = pLimit(options.concurrency);

	// Start all the promises concurrently with optional limit
	const items = [...iterable].map(element => [element, limit(testElement, element, tester)]);

	// Check the promises either serially or concurrently
	const checkLimit = pLimit(options.preserveOrder ? 1 : Infinity);

	try {
		await Promise.all(items.map(element => checkLimit(finder, element)));
	} catch (error) {
		if (error instanceof EndError) {
			return error.value;
		}

		throw error;
	}
};

module.exports = pLocate;
// TODO: Remove this for the next major release
module.exports["default"] = pLocate;


/***/ }),

/***/ 91855:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const AggregateError = __nccwpck_require__(61231);

module.exports = async (
	iterable,
	mapper,
	{
		concurrency = Infinity,
		stopOnError = true
	} = {}
) => {
	return new Promise((resolve, reject) => {
		if (typeof mapper !== 'function') {
			throw new TypeError('Mapper function is required');
		}

		if (!(typeof concurrency === 'number' && concurrency >= 1)) {
			throw new TypeError(`Expected \`concurrency\` to be a number from 1 and up, got \`${concurrency}\` (${typeof concurrency})`);
		}

		const ret = [];
		const errors = [];
		const iterator = iterable[Symbol.iterator]();
		let isRejected = false;
		let isIterableDone = false;
		let resolvingCount = 0;
		let currentIndex = 0;

		const next = () => {
			if (isRejected) {
				return;
			}

			const nextItem = iterator.next();
			const i = currentIndex;
			currentIndex++;

			if (nextItem.done) {
				isIterableDone = true;

				if (resolvingCount === 0) {
					if (!stopOnError && errors.length !== 0) {
						reject(new AggregateError(errors));
					} else {
						resolve(ret);
					}
				}

				return;
			}

			resolvingCount++;

			(async () => {
				try {
					const element = await nextItem.value;
					ret[i] = await mapper(element, i);
					resolvingCount--;
					next();
				} catch (error) {
					if (stopOnError) {
						isRejected = true;
						reject(error);
					} else {
						errors.push(error);
						resolvingCount--;
						next();
					}
				}
			})();
		};

		for (let i = 0; i < concurrency; i++) {
			next();

			if (isIterableDone) {
				break;
			}
		}
	});
};


/***/ }),

/***/ 69479:
/***/ ((module) => {

"use strict";


module.exports = (...functions) => {
	if (functions.length === 0) {
		throw new Error('Expected at least one argument');
	}

	return async input => {
		let currentValue = input;

		for (const fn of functions) {
			currentValue = await fn(currentValue); // eslint-disable-line no-await-in-loop
		}

		return currentValue;
	};
};


/***/ }),

/***/ 80746:
/***/ ((module) => {

"use strict";


const pTry = (fn, ...arguments_) => new Promise(resolve => {
	resolve(fn(...arguments_));
});

module.exports = pTry;
// TODO: remove this in the next major version
module.exports["default"] = pTry;


/***/ }),

/***/ 38714:
/***/ ((module) => {

"use strict";


function posix(path) {
	return path.charAt(0) === '/';
}

function win32(path) {
	// https://github.com/nodejs/node/blob/b3fcc245fb25539909ef1d5eaa01dbf92e168633/lib/path.js#L56
	var splitDeviceRe = /^([a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/]+[^\\\/]+)?([\\\/])?([\s\S]*?)$/;
	var result = splitDeviceRe.exec(path);
	var device = result[1] || '';
	var isUnc = Boolean(device && device.charAt(1) !== ':');

	// UNC paths are always absolute
	return Boolean(result[2] || isUnc);
}

module.exports = process.platform === 'win32' ? win32 : posix;
module.exports.posix = posix;
module.exports.win32 = win32;


/***/ }),

/***/ 20539:
/***/ ((module) => {

"use strict";


const pathKey = (options = {}) => {
	const environment = options.env || process.env;
	const platform = options.platform || process.platform;

	if (platform !== 'win32') {
		return 'PATH';
	}

	return Object.keys(environment).reverse().find(key => key.toUpperCase() === 'PATH') || 'Path';
};

module.exports = pathKey;
// TODO: Remove this for the next major release
module.exports["default"] = pathKey;


/***/ }),

/***/ 5980:
/***/ ((module) => {

"use strict";


var isWindows = process.platform === 'win32';

// Regex to split a windows path into three parts: [*, device, slash,
// tail] windows-only
var splitDeviceRe =
    /^([a-zA-Z]:|[\\\/]{2}[^\\\/]+[\\\/]+[^\\\/]+)?([\\\/])?([\s\S]*?)$/;

// Regex to split the tail part of the above into [*, dir, basename, ext]
var splitTailRe =
    /^([\s\S]*?)((?:\.{1,2}|[^\\\/]+?|)(\.[^.\/\\]*|))(?:[\\\/]*)$/;

var win32 = {};

// Function to split a filename into [root, dir, basename, ext]
function win32SplitPath(filename) {
  // Separate device+slash from tail
  var result = splitDeviceRe.exec(filename),
      device = (result[1] || '') + (result[2] || ''),
      tail = result[3] || '';
  // Split the tail into dir, basename and extension
  var result2 = splitTailRe.exec(tail),
      dir = result2[1],
      basename = result2[2],
      ext = result2[3];
  return [device, dir, basename, ext];
}

win32.parse = function(pathString) {
  if (typeof pathString !== 'string') {
    throw new TypeError(
        "Parameter 'pathString' must be a string, not " + typeof pathString
    );
  }
  var allParts = win32SplitPath(pathString);
  if (!allParts || allParts.length !== 4) {
    throw new TypeError("Invalid path '" + pathString + "'");
  }
  return {
    root: allParts[0],
    dir: allParts[0] + allParts[1].slice(0, -1),
    base: allParts[2],
    ext: allParts[3],
    name: allParts[2].slice(0, allParts[2].length - allParts[3].length)
  };
};



// Split a filename into [root, dir, basename, ext], unix version
// 'root' is just a slash, or nothing.
var splitPathRe =
    /^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;
var posix = {};


function posixSplitPath(filename) {
  return splitPathRe.exec(filename).slice(1);
}


posix.parse = function(pathString) {
  if (typeof pathString !== 'string') {
    throw new TypeError(
        "Parameter 'pathString' must be a string, not " + typeof pathString
    );
  }
  var allParts = posixSplitPath(pathString);
  if (!allParts || allParts.length !== 4) {
    throw new TypeError("Invalid path '" + pathString + "'");
  }
  allParts[1] = allParts[1] || '';
  allParts[2] = allParts[2] || '';
  allParts[3] = allParts[3] || '';

  return {
    root: allParts[0],
    dir: allParts[0] + allParts[1].slice(0, -1),
    base: allParts[2],
    ext: allParts[3],
    name: allParts[2].slice(0, allParts[2].length - allParts[3].length)
  };
};


if (isWindows)
  module.exports = win32.parse;
else /* posix */
  module.exports = posix.parse;

module.exports.posix = posix.parse;
module.exports.win32 = win32.parse;


/***/ }),

/***/ 63433:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";

const {promisify} = __nccwpck_require__(73837);
const fs = __nccwpck_require__(57147);

async function isType(fsStatType, statsMethodName, filePath) {
	if (typeof filePath !== 'string') {
		throw new TypeError(`Expected a string, got ${typeof filePath}`);
	}

	try {
		const stats = await promisify(fs[fsStatType])(filePath);
		return stats[statsMethodName]();
	} catch (error) {
		if (error.code === 'ENOENT') {
			return false;
		}

		throw error;
	}
}

function isTypeSync(fsStatType, statsMethodName, filePath) {
	if (typeof filePath !== 'string') {
		throw new TypeError(`Expected a string, got ${typeof filePath}`);
	}

	try {
		return fs[fsStatType](filePath)[statsMethodName]();
	} catch (error) {
		if (error.code === 'ENOENT') {
			return false;
		}

		throw error;
	}
}

exports.isFile = isType.bind(null, 'stat', 'isFile');
exports.isDirectory = isType.bind(null, 'stat', 'isDirectory');
exports.isSymlink = isType.bind(null, 'lstat', 'isSymbolicLink');
exports.isFileSync = isTypeSync.bind(null, 'statSync', 'isFile');
exports.isDirectorySync = isTypeSync.bind(null, 'statSync', 'isDirectory');
exports.isSymlinkSync = isTypeSync.bind(null, 'lstatSync', 'isSymbolicLink');


/***/ }),

/***/ 78569:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


module.exports = __nccwpck_require__(33322);


/***/ }),

/***/ 16099:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const path = __nccwpck_require__(71017);
const WIN_SLASH = '\\\\/';
const WIN_NO_SLASH = `[^${WIN_SLASH}]`;

/**
 * Posix glob regex
 */

const DOT_LITERAL = '\\.';
const PLUS_LITERAL = '\\+';
const QMARK_LITERAL = '\\?';
const SLASH_LITERAL = '\\/';
const ONE_CHAR = '(?=.)';
const QMARK = '[^/]';
const END_ANCHOR = `(?:${SLASH_LITERAL}|$)`;
const START_ANCHOR = `(?:^|${SLASH_LITERAL})`;
const DOTS_SLASH = `${DOT_LITERAL}{1,2}${END_ANCHOR}`;
const NO_DOT = `(?!${DOT_LITERAL})`;
const NO_DOTS = `(?!${START_ANCHOR}${DOTS_SLASH})`;
const NO_DOT_SLASH = `(?!${DOT_LITERAL}{0,1}${END_ANCHOR})`;
const NO_DOTS_SLASH = `(?!${DOTS_SLASH})`;
const QMARK_NO_DOT = `[^.${SLASH_LITERAL}]`;
const STAR = `${QMARK}*?`;

const POSIX_CHARS = {
  DOT_LITERAL,
  PLUS_LITERAL,
  QMARK_LITERAL,
  SLASH_LITERAL,
  ONE_CHAR,
  QMARK,
  END_ANCHOR,
  DOTS_SLASH,
  NO_DOT,
  NO_DOTS,
  NO_DOT_SLASH,
  NO_DOTS_SLASH,
  QMARK_NO_DOT,
  STAR,
  START_ANCHOR
};

/**
 * Windows glob regex
 */

const WINDOWS_CHARS = {
  ...POSIX_CHARS,

  SLASH_LITERAL: `[${WIN_SLASH}]`,
  QMARK: WIN_NO_SLASH,
  STAR: `${WIN_NO_SLASH}*?`,
  DOTS_SLASH: `${DOT_LITERAL}{1,2}(?:[${WIN_SLASH}]|$)`,
  NO_DOT: `(?!${DOT_LITERAL})`,
  NO_DOTS: `(?!(?:^|[${WIN_SLASH}])${DOT_LITERAL}{1,2}(?:[${WIN_SLASH}]|$))`,
  NO_DOT_SLASH: `(?!${DOT_LITERAL}{0,1}(?:[${WIN_SLASH}]|$))`,
  NO_DOTS_SLASH: `(?!${DOT_LITERAL}{1,2}(?:[${WIN_SLASH}]|$))`,
  QMARK_NO_DOT: `[^.${WIN_SLASH}]`,
  START_ANCHOR: `(?:^|[${WIN_SLASH}])`,
  END_ANCHOR: `(?:[${WIN_SLASH}]|$)`
};

/**
 * POSIX Bracket Regex
 */

const POSIX_REGEX_SOURCE = {
  alnum: 'a-zA-Z0-9',
  alpha: 'a-zA-Z',
  ascii: '\\x00-\\x7F',
  blank: ' \\t',
  cntrl: '\\x00-\\x1F\\x7F',
  digit: '0-9',
  graph: '\\x21-\\x7E',
  lower: 'a-z',
  print: '\\x20-\\x7E ',
  punct: '\\-!"#$%&\'()\\*+,./:;<=>?@[\\]^_`{|}~',
  space: ' \\t\\r\\n\\v\\f',
  upper: 'A-Z',
  word: 'A-Za-z0-9_',
  xdigit: 'A-Fa-f0-9'
};

module.exports = {
  MAX_LENGTH: 1024 * 64,
  POSIX_REGEX_SOURCE,

  // regular expressions
  REGEX_BACKSLASH: /\\(?![*+?^${}(|)[\]])/g,
  REGEX_NON_SPECIAL_CHARS: /^[^@![\].,$*+?^{}()|\\/]+/,
  REGEX_SPECIAL_CHARS: /[-*+?.^${}(|)[\]]/,
  REGEX_SPECIAL_CHARS_BACKREF: /(\\?)((\W)(\3*))/g,
  REGEX_SPECIAL_CHARS_GLOBAL: /([-*+?.^${}(|)[\]])/g,
  REGEX_REMOVE_BACKSLASH: /(?:\[.*?[^\\]\]|\\(?=.))/g,

  // Replace globs with equivalent patterns to reduce parsing time.
  REPLACEMENTS: {
    '***': '*',
    '**/**': '**',
    '**/**/**': '**'
  },

  // Digits
  CHAR_0: 48, /* 0 */
  CHAR_9: 57, /* 9 */

  // Alphabet chars.
  CHAR_UPPERCASE_A: 65, /* A */
  CHAR_LOWERCASE_A: 97, /* a */
  CHAR_UPPERCASE_Z: 90, /* Z */
  CHAR_LOWERCASE_Z: 122, /* z */

  CHAR_LEFT_PARENTHESES: 40, /* ( */
  CHAR_RIGHT_PARENTHESES: 41, /* ) */

  CHAR_ASTERISK: 42, /* * */

  // Non-alphabetic chars.
  CHAR_AMPERSAND: 38, /* & */
  CHAR_AT: 64, /* @ */
  CHAR_BACKWARD_SLASH: 92, /* \ */
  CHAR_CARRIAGE_RETURN: 13, /* \r */
  CHAR_CIRCUMFLEX_ACCENT: 94, /* ^ */
  CHAR_COLON: 58, /* : */
  CHAR_COMMA: 44, /* , */
  CHAR_DOT: 46, /* . */
  CHAR_DOUBLE_QUOTE: 34, /* " */
  CHAR_EQUAL: 61, /* = */
  CHAR_EXCLAMATION_MARK: 33, /* ! */
  CHAR_FORM_FEED: 12, /* \f */
  CHAR_FORWARD_SLASH: 47, /* / */
  CHAR_GRAVE_ACCENT: 96, /* ` */
  CHAR_HASH: 35, /* # */
  CHAR_HYPHEN_MINUS: 45, /* - */
  CHAR_LEFT_ANGLE_BRACKET: 60, /* < */
  CHAR_LEFT_CURLY_BRACE: 123, /* { */
  CHAR_LEFT_SQUARE_BRACKET: 91, /* [ */
  CHAR_LINE_FEED: 10, /* \n */
  CHAR_NO_BREAK_SPACE: 160, /* \u00A0 */
  CHAR_PERCENT: 37, /* % */
  CHAR_PLUS: 43, /* + */
  CHAR_QUESTION_MARK: 63, /* ? */
  CHAR_RIGHT_ANGLE_BRACKET: 62, /* > */
  CHAR_RIGHT_CURLY_BRACE: 125, /* } */
  CHAR_RIGHT_SQUARE_BRACKET: 93, /* ] */
  CHAR_SEMICOLON: 59, /* ; */
  CHAR_SINGLE_QUOTE: 39, /* ' */
  CHAR_SPACE: 32, /*   */
  CHAR_TAB: 9, /* \t */
  CHAR_UNDERSCORE: 95, /* _ */
  CHAR_VERTICAL_LINE: 124, /* | */
  CHAR_ZERO_WIDTH_NOBREAK_SPACE: 65279, /* \uFEFF */

  SEP: path.sep,

  /**
   * Create EXTGLOB_CHARS
   */

  extglobChars(chars) {
    return {
      '!': { type: 'negate', open: '(?:(?!(?:', close: `))${chars.STAR})` },
      '?': { type: 'qmark', open: '(?:', close: ')?' },
      '+': { type: 'plus', open: '(?:', close: ')+' },
      '*': { type: 'star', open: '(?:', close: ')*' },
      '@': { type: 'at', open: '(?:', close: ')' }
    };
  },

  /**
   * Create GLOB_CHARS
   */

  globChars(win32) {
    return win32 === true ? WINDOWS_CHARS : POSIX_CHARS;
  }
};


/***/ }),

/***/ 92139:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const constants = __nccwpck_require__(16099);
const utils = __nccwpck_require__(30479);

/**
 * Constants
 */

const {
  MAX_LENGTH,
  POSIX_REGEX_SOURCE,
  REGEX_NON_SPECIAL_CHARS,
  REGEX_SPECIAL_CHARS_BACKREF,
  REPLACEMENTS
} = constants;

/**
 * Helpers
 */

const expandRange = (args, options) => {
  if (typeof options.expandRange === 'function') {
    return options.expandRange(...args, options);
  }

  args.sort();
  const value = `[${args.join('-')}]`;

  try {
    /* eslint-disable-next-line no-new */
    new RegExp(value);
  } catch (ex) {
    return args.map(v => utils.escapeRegex(v)).join('..');
  }

  return value;
};

/**
 * Create the message for a syntax error
 */

const syntaxError = (type, char) => {
  return `Missing ${type}: "${char}" - use "\\\\${char}" to match literal characters`;
};

/**
 * Parse the given input string.
 * @param {String} input
 * @param {Object} options
 * @return {Object}
 */

const parse = (input, options) => {
  if (typeof input !== 'string') {
    throw new TypeError('Expected a string');
  }

  input = REPLACEMENTS[input] || input;

  const opts = { ...options };
  const max = typeof opts.maxLength === 'number' ? Math.min(MAX_LENGTH, opts.maxLength) : MAX_LENGTH;

  let len = input.length;
  if (len > max) {
    throw new SyntaxError(`Input length: ${len}, exceeds maximum allowed length: ${max}`);
  }

  const bos = { type: 'bos', value: '', output: opts.prepend || '' };
  const tokens = [bos];

  const capture = opts.capture ? '' : '?:';
  const win32 = utils.isWindows(options);

  // create constants based on platform, for windows or posix
  const PLATFORM_CHARS = constants.globChars(win32);
  const EXTGLOB_CHARS = constants.extglobChars(PLATFORM_CHARS);

  const {
    DOT_LITERAL,
    PLUS_LITERAL,
    SLASH_LITERAL,
    ONE_CHAR,
    DOTS_SLASH,
    NO_DOT,
    NO_DOT_SLASH,
    NO_DOTS_SLASH,
    QMARK,
    QMARK_NO_DOT,
    STAR,
    START_ANCHOR
  } = PLATFORM_CHARS;

  const globstar = (opts) => {
    return `(${capture}(?:(?!${START_ANCHOR}${opts.dot ? DOTS_SLASH : DOT_LITERAL}).)*?)`;
  };

  const nodot = opts.dot ? '' : NO_DOT;
  const qmarkNoDot = opts.dot ? QMARK : QMARK_NO_DOT;
  let star = opts.bash === true ? globstar(opts) : STAR;

  if (opts.capture) {
    star = `(${star})`;
  }

  // minimatch options support
  if (typeof opts.noext === 'boolean') {
    opts.noextglob = opts.noext;
  }

  const state = {
    input,
    index: -1,
    start: 0,
    dot: opts.dot === true,
    consumed: '',
    output: '',
    prefix: '',
    backtrack: false,
    negated: false,
    brackets: 0,
    braces: 0,
    parens: 0,
    quotes: 0,
    globstar: false,
    tokens
  };

  input = utils.removePrefix(input, state);
  len = input.length;

  const extglobs = [];
  const braces = [];
  const stack = [];
  let prev = bos;
  let value;

  /**
   * Tokenizing helpers
   */

  const eos = () => state.index === len - 1;
  const peek = state.peek = (n = 1) => input[state.index + n];
  const advance = state.advance = () => input[++state.index];
  const remaining = () => input.slice(state.index + 1);
  const consume = (value = '', num = 0) => {
    state.consumed += value;
    state.index += num;
  };
  const append = token => {
    state.output += token.output != null ? token.output : token.value;
    consume(token.value);
  };

  const negate = () => {
    let count = 1;

    while (peek() === '!' && (peek(2) !== '(' || peek(3) === '?')) {
      advance();
      state.start++;
      count++;
    }

    if (count % 2 === 0) {
      return false;
    }

    state.negated = true;
    state.start++;
    return true;
  };

  const increment = type => {
    state[type]++;
    stack.push(type);
  };

  const decrement = type => {
    state[type]--;
    stack.pop();
  };

  /**
   * Push tokens onto the tokens array. This helper speeds up
   * tokenizing by 1) helping us avoid backtracking as much as possible,
   * and 2) helping us avoid creating extra tokens when consecutive
   * characters are plain text. This improves performance and simplifies
   * lookbehinds.
   */

  const push = tok => {
    if (prev.type === 'globstar') {
      const isBrace = state.braces > 0 && (tok.type === 'comma' || tok.type === 'brace');
      const isExtglob = tok.extglob === true || (extglobs.length && (tok.type === 'pipe' || tok.type === 'paren'));

      if (tok.type !== 'slash' && tok.type !== 'paren' && !isBrace && !isExtglob) {
        state.output = state.output.slice(0, -prev.output.length);
        prev.type = 'star';
        prev.value = '*';
        prev.output = star;
        state.output += prev.output;
      }
    }

    if (extglobs.length && tok.type !== 'paren' && !EXTGLOB_CHARS[tok.value]) {
      extglobs[extglobs.length - 1].inner += tok.value;
    }

    if (tok.value || tok.output) append(tok);
    if (prev && prev.type === 'text' && tok.type === 'text') {
      prev.value += tok.value;
      prev.output = (prev.output || '') + tok.value;
      return;
    }

    tok.prev = prev;
    tokens.push(tok);
    prev = tok;
  };

  const extglobOpen = (type, value) => {
    const token = { ...EXTGLOB_CHARS[value], conditions: 1, inner: '' };

    token.prev = prev;
    token.parens = state.parens;
    token.output = state.output;
    const output = (opts.capture ? '(' : '') + token.open;

    increment('parens');
    push({ type, value, output: state.output ? '' : ONE_CHAR });
    push({ type: 'paren', extglob: true, value: advance(), output });
    extglobs.push(token);
  };

  const extglobClose = token => {
    let output = token.close + (opts.capture ? ')' : '');

    if (token.type === 'negate') {
      let extglobStar = star;

      if (token.inner && token.inner.length > 1 && token.inner.includes('/')) {
        extglobStar = globstar(opts);
      }

      if (extglobStar !== star || eos() || /^\)+$/.test(remaining())) {
        output = token.close = `)$))${extglobStar}`;
      }

      if (token.prev.type === 'bos' && eos()) {
        state.negatedExtglob = true;
      }
    }

    push({ type: 'paren', extglob: true, value, output });
    decrement('parens');
  };

  /**
   * Fast paths
   */

  if (opts.fastpaths !== false && !/(^[*!]|[/()[\]{}"])/.test(input)) {
    let backslashes = false;

    let output = input.replace(REGEX_SPECIAL_CHARS_BACKREF, (m, esc, chars, first, rest, index) => {
      if (first === '\\') {
        backslashes = true;
        return m;
      }

      if (first === '?') {
        if (esc) {
          return esc + first + (rest ? QMARK.repeat(rest.length) : '');
        }
        if (index === 0) {
          return qmarkNoDot + (rest ? QMARK.repeat(rest.length) : '');
        }
        return QMARK.repeat(chars.length);
      }

      if (first === '.') {
        return DOT_LITERAL.repeat(chars.length);
      }

      if (first === '*') {
        if (esc) {
          return esc + first + (rest ? star : '');
        }
        return star;
      }
      return esc ? m : `\\${m}`;
    });

    if (backslashes === true) {
      if (opts.unescape === true) {
        output = output.replace(/\\/g, '');
      } else {
        output = output.replace(/\\+/g, m => {
          return m.length % 2 === 0 ? '\\\\' : (m ? '\\' : '');
        });
      }
    }

    if (output === input && opts.contains === true) {
      state.output = input;
      return state;
    }

    state.output = utils.wrapOutput(output, state, options);
    return state;
  }

  /**
   * Tokenize input until we reach end-of-string
   */

  while (!eos()) {
    value = advance();

    if (value === '\u0000') {
      continue;
    }

    /**
     * Escaped characters
     */

    if (value === '\\') {
      const next = peek();

      if (next === '/' && opts.bash !== true) {
        continue;
      }

      if (next === '.' || next === ';') {
        continue;
      }

      if (!next) {
        value += '\\';
        push({ type: 'text', value });
        continue;
      }

      // collapse slashes to reduce potential for exploits
      const match = /^\\+/.exec(remaining());
      let slashes = 0;

      if (match && match[0].length > 2) {
        slashes = match[0].length;
        state.index += slashes;
        if (slashes % 2 !== 0) {
          value += '\\';
        }
      }

      if (opts.unescape === true) {
        value = advance() || '';
      } else {
        value += advance() || '';
      }

      if (state.brackets === 0) {
        push({ type: 'text', value });
        continue;
      }
    }

    /**
     * If we're inside a regex character class, continue
     * until we reach the closing bracket.
     */

    if (state.brackets > 0 && (value !== ']' || prev.value === '[' || prev.value === '[^')) {
      if (opts.posix !== false && value === ':') {
        const inner = prev.value.slice(1);
        if (inner.includes('[')) {
          prev.posix = true;

          if (inner.includes(':')) {
            const idx = prev.value.lastIndexOf('[');
            const pre = prev.value.slice(0, idx);
            const rest = prev.value.slice(idx + 2);
            const posix = POSIX_REGEX_SOURCE[rest];
            if (posix) {
              prev.value = pre + posix;
              state.backtrack = true;
              advance();

              if (!bos.output && tokens.indexOf(prev) === 1) {
                bos.output = ONE_CHAR;
              }
              continue;
            }
          }
        }
      }

      if ((value === '[' && peek() !== ':') || (value === '-' && peek() === ']')) {
        value = `\\${value}`;
      }

      if (value === ']' && (prev.value === '[' || prev.value === '[^')) {
        value = `\\${value}`;
      }

      if (opts.posix === true && value === '!' && prev.value === '[') {
        value = '^';
      }

      prev.value += value;
      append({ value });
      continue;
    }

    /**
     * If we're inside a quoted string, continue
     * until we reach the closing double quote.
     */

    if (state.quotes === 1 && value !== '"') {
      value = utils.escapeRegex(value);
      prev.value += value;
      append({ value });
      continue;
    }

    /**
     * Double quotes
     */

    if (value === '"') {
      state.quotes = state.quotes === 1 ? 0 : 1;
      if (opts.keepQuotes === true) {
        push({ type: 'text', value });
      }
      continue;
    }

    /**
     * Parentheses
     */

    if (value === '(') {
      increment('parens');
      push({ type: 'paren', value });
      continue;
    }

    if (value === ')') {
      if (state.parens === 0 && opts.strictBrackets === true) {
        throw new SyntaxError(syntaxError('opening', '('));
      }

      const extglob = extglobs[extglobs.length - 1];
      if (extglob && state.parens === extglob.parens + 1) {
        extglobClose(extglobs.pop());
        continue;
      }

      push({ type: 'paren', value, output: state.parens ? ')' : '\\)' });
      decrement('parens');
      continue;
    }

    /**
     * Square brackets
     */

    if (value === '[') {
      if (opts.nobracket === true || !remaining().includes(']')) {
        if (opts.nobracket !== true && opts.strictBrackets === true) {
          throw new SyntaxError(syntaxError('closing', ']'));
        }

        value = `\\${value}`;
      } else {
        increment('brackets');
      }

      push({ type: 'bracket', value });
      continue;
    }

    if (value === ']') {
      if (opts.nobracket === true || (prev && prev.type === 'bracket' && prev.value.length === 1)) {
        push({ type: 'text', value, output: `\\${value}` });
        continue;
      }

      if (state.brackets === 0) {
        if (opts.strictBrackets === true) {
          throw new SyntaxError(syntaxError('opening', '['));
        }

        push({ type: 'text', value, output: `\\${value}` });
        continue;
      }

      decrement('brackets');

      const prevValue = prev.value.slice(1);
      if (prev.posix !== true && prevValue[0] === '^' && !prevValue.includes('/')) {
        value = `/${value}`;
      }

      prev.value += value;
      append({ value });

      // when literal brackets are explicitly disabled
      // assume we should match with a regex character class
      if (opts.literalBrackets === false || utils.hasRegexChars(prevValue)) {
        continue;
      }

      const escaped = utils.escapeRegex(prev.value);
      state.output = state.output.slice(0, -prev.value.length);

      // when literal brackets are explicitly enabled
      // assume we should escape the brackets to match literal characters
      if (opts.literalBrackets === true) {
        state.output += escaped;
        prev.value = escaped;
        continue;
      }

      // when the user specifies nothing, try to match both
      prev.value = `(${capture}${escaped}|${prev.value})`;
      state.output += prev.value;
      continue;
    }

    /**
     * Braces
     */

    if (value === '{' && opts.nobrace !== true) {
      increment('braces');

      const open = {
        type: 'brace',
        value,
        output: '(',
        outputIndex: state.output.length,
        tokensIndex: state.tokens.length
      };

      braces.push(open);
      push(open);
      continue;
    }

    if (value === '}') {
      const brace = braces[braces.length - 1];

      if (opts.nobrace === true || !brace) {
        push({ type: 'text', value, output: value });
        continue;
      }

      let output = ')';

      if (brace.dots === true) {
        const arr = tokens.slice();
        const range = [];

        for (let i = arr.length - 1; i >= 0; i--) {
          tokens.pop();
          if (arr[i].type === 'brace') {
            break;
          }
          if (arr[i].type !== 'dots') {
            range.unshift(arr[i].value);
          }
        }

        output = expandRange(range, opts);
        state.backtrack = true;
      }

      if (brace.comma !== true && brace.dots !== true) {
        const out = state.output.slice(0, brace.outputIndex);
        const toks = state.tokens.slice(brace.tokensIndex);
        brace.value = brace.output = '\\{';
        value = output = '\\}';
        state.output = out;
        for (const t of toks) {
          state.output += (t.output || t.value);
        }
      }

      push({ type: 'brace', value, output });
      decrement('braces');
      braces.pop();
      continue;
    }

    /**
     * Pipes
     */

    if (value === '|') {
      if (extglobs.length > 0) {
        extglobs[extglobs.length - 1].conditions++;
      }
      push({ type: 'text', value });
      continue;
    }

    /**
     * Commas
     */

    if (value === ',') {
      let output = value;

      const brace = braces[braces.length - 1];
      if (brace && stack[stack.length - 1] === 'braces') {
        brace.comma = true;
        output = '|';
      }

      push({ type: 'comma', value, output });
      continue;
    }

    /**
     * Slashes
     */

    if (value === '/') {
      // if the beginning of the glob is "./", advance the start
      // to the current index, and don't add the "./" characters
      // to the state. This greatly simplifies lookbehinds when
      // checking for BOS characters like "!" and "." (not "./")
      if (prev.type === 'dot' && state.index === state.start + 1) {
        state.start = state.index + 1;
        state.consumed = '';
        state.output = '';
        tokens.pop();
        prev = bos; // reset "prev" to the first token
        continue;
      }

      push({ type: 'slash', value, output: SLASH_LITERAL });
      continue;
    }

    /**
     * Dots
     */

    if (value === '.') {
      if (state.braces > 0 && prev.type === 'dot') {
        if (prev.value === '.') prev.output = DOT_LITERAL;
        const brace = braces[braces.length - 1];
        prev.type = 'dots';
        prev.output += value;
        prev.value += value;
        brace.dots = true;
        continue;
      }

      if ((state.braces + state.parens) === 0 && prev.type !== 'bos' && prev.type !== 'slash') {
        push({ type: 'text', value, output: DOT_LITERAL });
        continue;
      }

      push({ type: 'dot', value, output: DOT_LITERAL });
      continue;
    }

    /**
     * Question marks
     */

    if (value === '?') {
      const isGroup = prev && prev.value === '(';
      if (!isGroup && opts.noextglob !== true && peek() === '(' && peek(2) !== '?') {
        extglobOpen('qmark', value);
        continue;
      }

      if (prev && prev.type === 'paren') {
        const next = peek();
        let output = value;

        if (next === '<' && !utils.supportsLookbehinds()) {
          throw new Error('Node.js v10 or higher is required for regex lookbehinds');
        }

        if ((prev.value === '(' && !/[!=<:]/.test(next)) || (next === '<' && !/<([!=]|\w+>)/.test(remaining()))) {
          output = `\\${value}`;
        }

        push({ type: 'text', value, output });
        continue;
      }

      if (opts.dot !== true && (prev.type === 'slash' || prev.type === 'bos')) {
        push({ type: 'qmark', value, output: QMARK_NO_DOT });
        continue;
      }

      push({ type: 'qmark', value, output: QMARK });
      continue;
    }

    /**
     * Exclamation
     */

    if (value === '!') {
      if (opts.noextglob !== true && peek() === '(') {
        if (peek(2) !== '?' || !/[!=<:]/.test(peek(3))) {
          extglobOpen('negate', value);
          continue;
        }
      }

      if (opts.nonegate !== true && state.index === 0) {
        negate();
        continue;
      }
    }

    /**
     * Plus
     */

    if (value === '+') {
      if (opts.noextglob !== true && peek() === '(' && peek(2) !== '?') {
        extglobOpen('plus', value);
        continue;
      }

      if ((prev && prev.value === '(') || opts.regex === false) {
        push({ type: 'plus', value, output: PLUS_LITERAL });
        continue;
      }

      if ((prev && (prev.type === 'bracket' || prev.type === 'paren' || prev.type === 'brace')) || state.parens > 0) {
        push({ type: 'plus', value });
        continue;
      }

      push({ type: 'plus', value: PLUS_LITERAL });
      continue;
    }

    /**
     * Plain text
     */

    if (value === '@') {
      if (opts.noextglob !== true && peek() === '(' && peek(2) !== '?') {
        push({ type: 'at', extglob: true, value, output: '' });
        continue;
      }

      push({ type: 'text', value });
      continue;
    }

    /**
     * Plain text
     */

    if (value !== '*') {
      if (value === '$' || value === '^') {
        value = `\\${value}`;
      }

      const match = REGEX_NON_SPECIAL_CHARS.exec(remaining());
      if (match) {
        value += match[0];
        state.index += match[0].length;
      }

      push({ type: 'text', value });
      continue;
    }

    /**
     * Stars
     */

    if (prev && (prev.type === 'globstar' || prev.star === true)) {
      prev.type = 'star';
      prev.star = true;
      prev.value += value;
      prev.output = star;
      state.backtrack = true;
      state.globstar = true;
      consume(value);
      continue;
    }

    let rest = remaining();
    if (opts.noextglob !== true && /^\([^?]/.test(rest)) {
      extglobOpen('star', value);
      continue;
    }

    if (prev.type === 'star') {
      if (opts.noglobstar === true) {
        consume(value);
        continue;
      }

      const prior = prev.prev;
      const before = prior.prev;
      const isStart = prior.type === 'slash' || prior.type === 'bos';
      const afterStar = before && (before.type === 'star' || before.type === 'globstar');

      if (opts.bash === true && (!isStart || (rest[0] && rest[0] !== '/'))) {
        push({ type: 'star', value, output: '' });
        continue;
      }

      const isBrace = state.braces > 0 && (prior.type === 'comma' || prior.type === 'brace');
      const isExtglob = extglobs.length && (prior.type === 'pipe' || prior.type === 'paren');
      if (!isStart && prior.type !== 'paren' && !isBrace && !isExtglob) {
        push({ type: 'star', value, output: '' });
        continue;
      }

      // strip consecutive `/**/`
      while (rest.slice(0, 3) === '/**') {
        const after = input[state.index + 4];
        if (after && after !== '/') {
          break;
        }
        rest = rest.slice(3);
        consume('/**', 3);
      }

      if (prior.type === 'bos' && eos()) {
        prev.type = 'globstar';
        prev.value += value;
        prev.output = globstar(opts);
        state.output = prev.output;
        state.globstar = true;
        consume(value);
        continue;
      }

      if (prior.type === 'slash' && prior.prev.type !== 'bos' && !afterStar && eos()) {
        state.output = state.output.slice(0, -(prior.output + prev.output).length);
        prior.output = `(?:${prior.output}`;

        prev.type = 'globstar';
        prev.output = globstar(opts) + (opts.strictSlashes ? ')' : '|$)');
        prev.value += value;
        state.globstar = true;
        state.output += prior.output + prev.output;
        consume(value);
        continue;
      }

      if (prior.type === 'slash' && prior.prev.type !== 'bos' && rest[0] === '/') {
        const end = rest[1] !== void 0 ? '|$' : '';

        state.output = state.output.slice(0, -(prior.output + prev.output).length);
        prior.output = `(?:${prior.output}`;

        prev.type = 'globstar';
        prev.output = `${globstar(opts)}${SLASH_LITERAL}|${SLASH_LITERAL}${end})`;
        prev.value += value;

        state.output += prior.output + prev.output;
        state.globstar = true;

        consume(value + advance());

        push({ type: 'slash', value: '/', output: '' });
        continue;
      }

      if (prior.type === 'bos' && rest[0] === '/') {
        prev.type = 'globstar';
        prev.value += value;
        prev.output = `(?:^|${SLASH_LITERAL}|${globstar(opts)}${SLASH_LITERAL})`;
        state.output = prev.output;
        state.globstar = true;
        consume(value + advance());
        push({ type: 'slash', value: '/', output: '' });
        continue;
      }

      // remove single star from output
      state.output = state.output.slice(0, -prev.output.length);

      // reset previous token to globstar
      prev.type = 'globstar';
      prev.output = globstar(opts);
      prev.value += value;

      // reset output with globstar
      state.output += prev.output;
      state.globstar = true;
      consume(value);
      continue;
    }

    const token = { type: 'star', value, output: star };

    if (opts.bash === true) {
      token.output = '.*?';
      if (prev.type === 'bos' || prev.type === 'slash') {
        token.output = nodot + token.output;
      }
      push(token);
      continue;
    }

    if (prev && (prev.type === 'bracket' || prev.type === 'paren') && opts.regex === true) {
      token.output = value;
      push(token);
      continue;
    }

    if (state.index === state.start || prev.type === 'slash' || prev.type === 'dot') {
      if (prev.type === 'dot') {
        state.output += NO_DOT_SLASH;
        prev.output += NO_DOT_SLASH;

      } else if (opts.dot === true) {
        state.output += NO_DOTS_SLASH;
        prev.output += NO_DOTS_SLASH;

      } else {
        state.output += nodot;
        prev.output += nodot;
      }

      if (peek() !== '*') {
        state.output += ONE_CHAR;
        prev.output += ONE_CHAR;
      }
    }

    push(token);
  }

  while (state.brackets > 0) {
    if (opts.strictBrackets === true) throw new SyntaxError(syntaxError('closing', ']'));
    state.output = utils.escapeLast(state.output, '[');
    decrement('brackets');
  }

  while (state.parens > 0) {
    if (opts.strictBrackets === true) throw new SyntaxError(syntaxError('closing', ')'));
    state.output = utils.escapeLast(state.output, '(');
    decrement('parens');
  }

  while (state.braces > 0) {
    if (opts.strictBrackets === true) throw new SyntaxError(syntaxError('closing', '}'));
    state.output = utils.escapeLast(state.output, '{');
    decrement('braces');
  }

  if (opts.strictSlashes !== true && (prev.type === 'star' || prev.type === 'bracket')) {
    push({ type: 'maybe_slash', value: '', output: `${SLASH_LITERAL}?` });
  }

  // rebuild the output if we had to backtrack at any point
  if (state.backtrack === true) {
    state.output = '';

    for (const token of state.tokens) {
      state.output += token.output != null ? token.output : token.value;

      if (token.suffix) {
        state.output += token.suffix;
      }
    }
  }

  return state;
};

/**
 * Fast paths for creating regular expressions for common glob patterns.
 * This can significantly speed up processing and has very little downside
 * impact when none of the fast paths match.
 */

parse.fastpaths = (input, options) => {
  const opts = { ...options };
  const max = typeof opts.maxLength === 'number' ? Math.min(MAX_LENGTH, opts.maxLength) : MAX_LENGTH;
  const len = input.length;
  if (len > max) {
    throw new SyntaxError(`Input length: ${len}, exceeds maximum allowed length: ${max}`);
  }

  input = REPLACEMENTS[input] || input;
  const win32 = utils.isWindows(options);

  // create constants based on platform, for windows or posix
  const {
    DOT_LITERAL,
    SLASH_LITERAL,
    ONE_CHAR,
    DOTS_SLASH,
    NO_DOT,
    NO_DOTS,
    NO_DOTS_SLASH,
    STAR,
    START_ANCHOR
  } = constants.globChars(win32);

  const nodot = opts.dot ? NO_DOTS : NO_DOT;
  const slashDot = opts.dot ? NO_DOTS_SLASH : NO_DOT;
  const capture = opts.capture ? '' : '?:';
  const state = { negated: false, prefix: '' };
  let star = opts.bash === true ? '.*?' : STAR;

  if (opts.capture) {
    star = `(${star})`;
  }

  const globstar = (opts) => {
    if (opts.noglobstar === true) return star;
    return `(${capture}(?:(?!${START_ANCHOR}${opts.dot ? DOTS_SLASH : DOT_LITERAL}).)*?)`;
  };

  const create = str => {
    switch (str) {
      case '*':
        return `${nodot}${ONE_CHAR}${star}`;

      case '.*':
        return `${DOT_LITERAL}${ONE_CHAR}${star}`;

      case '*.*':
        return `${nodot}${star}${DOT_LITERAL}${ONE_CHAR}${star}`;

      case '*/*':
        return `${nodot}${star}${SLASH_LITERAL}${ONE_CHAR}${slashDot}${star}`;

      case '**':
        return nodot + globstar(opts);

      case '**/*':
        return `(?:${nodot}${globstar(opts)}${SLASH_LITERAL})?${slashDot}${ONE_CHAR}${star}`;

      case '**/*.*':
        return `(?:${nodot}${globstar(opts)}${SLASH_LITERAL})?${slashDot}${star}${DOT_LITERAL}${ONE_CHAR}${star}`;

      case '**/.*':
        return `(?:${nodot}${globstar(opts)}${SLASH_LITERAL})?${DOT_LITERAL}${ONE_CHAR}${star}`;

      default: {
        const match = /^(.*?)\.(\w+)$/.exec(str);
        if (!match) return;

        const source = create(match[1]);
        if (!source) return;

        return source + DOT_LITERAL + match[2];
      }
    }
  };

  const output = utils.removePrefix(input, state);
  let source = create(output);

  if (source && opts.strictSlashes !== true) {
    source += `${SLASH_LITERAL}?`;
  }

  return source;
};

module.exports = parse;


/***/ }),

/***/ 33322:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const path = __nccwpck_require__(71017);
const scan = __nccwpck_require__(32429);
const parse = __nccwpck_require__(92139);
const utils = __nccwpck_require__(30479);
const constants = __nccwpck_require__(16099);
const isObject = val => val && typeof val === 'object' && !Array.isArray(val);

/**
 * Creates a matcher function from one or more glob patterns. The
 * returned function takes a string to match as its first argument,
 * and returns true if the string is a match. The returned matcher
 * function also takes a boolean as the second argument that, when true,
 * returns an object with additional information.
 *
 * ```js
 * const picomatch = require('picomatch');
 * // picomatch(glob[, options]);
 *
 * const isMatch = picomatch('*.!(*a)');
 * console.log(isMatch('a.a')); //=> false
 * console.log(isMatch('a.b')); //=> true
 * ```
 * @name picomatch
 * @param {String|Array} `globs` One or more glob patterns.
 * @param {Object=} `options`
 * @return {Function=} Returns a matcher function.
 * @api public
 */

const picomatch = (glob, options, returnState = false) => {
  if (Array.isArray(glob)) {
    const fns = glob.map(input => picomatch(input, options, returnState));
    const arrayMatcher = str => {
      for (const isMatch of fns) {
        const state = isMatch(str);
        if (state) return state;
      }
      return false;
    };
    return arrayMatcher;
  }

  const isState = isObject(glob) && glob.tokens && glob.input;

  if (glob === '' || (typeof glob !== 'string' && !isState)) {
    throw new TypeError('Expected pattern to be a non-empty string');
  }

  const opts = options || {};
  const posix = utils.isWindows(options);
  const regex = isState
    ? picomatch.compileRe(glob, options)
    : picomatch.makeRe(glob, options, false, true);

  const state = regex.state;
  delete regex.state;

  let isIgnored = () => false;
  if (opts.ignore) {
    const ignoreOpts = { ...options, ignore: null, onMatch: null, onResult: null };
    isIgnored = picomatch(opts.ignore, ignoreOpts, returnState);
  }

  const matcher = (input, returnObject = false) => {
    const { isMatch, match, output } = picomatch.test(input, regex, options, { glob, posix });
    const result = { glob, state, regex, posix, input, output, match, isMatch };

    if (typeof opts.onResult === 'function') {
      opts.onResult(result);
    }

    if (isMatch === false) {
      result.isMatch = false;
      return returnObject ? result : false;
    }

    if (isIgnored(input)) {
      if (typeof opts.onIgnore === 'function') {
        opts.onIgnore(result);
      }
      result.isMatch = false;
      return returnObject ? result : false;
    }

    if (typeof opts.onMatch === 'function') {
      opts.onMatch(result);
    }
    return returnObject ? result : true;
  };

  if (returnState) {
    matcher.state = state;
  }

  return matcher;
};

/**
 * Test `input` with the given `regex`. This is used by the main
 * `picomatch()` function to test the input string.
 *
 * ```js
 * const picomatch = require('picomatch');
 * // picomatch.test(input, regex[, options]);
 *
 * console.log(picomatch.test('foo/bar', /^(?:([^/]*?)\/([^/]*?))$/));
 * // { isMatch: true, match: [ 'foo/', 'foo', 'bar' ], output: 'foo/bar' }
 * ```
 * @param {String} `input` String to test.
 * @param {RegExp} `regex`
 * @return {Object} Returns an object with matching info.
 * @api public
 */

picomatch.test = (input, regex, options, { glob, posix } = {}) => {
  if (typeof input !== 'string') {
    throw new TypeError('Expected input to be a string');
  }

  if (input === '') {
    return { isMatch: false, output: '' };
  }

  const opts = options || {};
  const format = opts.format || (posix ? utils.toPosixSlashes : null);
  let match = input === glob;
  let output = (match && format) ? format(input) : input;

  if (match === false) {
    output = format ? format(input) : input;
    match = output === glob;
  }

  if (match === false || opts.capture === true) {
    if (opts.matchBase === true || opts.basename === true) {
      match = picomatch.matchBase(input, regex, options, posix);
    } else {
      match = regex.exec(output);
    }
  }

  return { isMatch: Boolean(match), match, output };
};

/**
 * Match the basename of a filepath.
 *
 * ```js
 * const picomatch = require('picomatch');
 * // picomatch.matchBase(input, glob[, options]);
 * console.log(picomatch.matchBase('foo/bar.js', '*.js'); // true
 * ```
 * @param {String} `input` String to test.
 * @param {RegExp|String} `glob` Glob pattern or regex created by [.makeRe](#makeRe).
 * @return {Boolean}
 * @api public
 */

picomatch.matchBase = (input, glob, options, posix = utils.isWindows(options)) => {
  const regex = glob instanceof RegExp ? glob : picomatch.makeRe(glob, options);
  return regex.test(path.basename(input));
};

/**
 * Returns true if **any** of the given glob `patterns` match the specified `string`.
 *
 * ```js
 * const picomatch = require('picomatch');
 * // picomatch.isMatch(string, patterns[, options]);
 *
 * console.log(picomatch.isMatch('a.a', ['b.*', '*.a'])); //=> true
 * console.log(picomatch.isMatch('a.a', 'b.*')); //=> false
 * ```
 * @param {String|Array} str The string to test.
 * @param {String|Array} patterns One or more glob patterns to use for matching.
 * @param {Object} [options] See available [options](#options).
 * @return {Boolean} Returns true if any patterns match `str`
 * @api public
 */

picomatch.isMatch = (str, patterns, options) => picomatch(patterns, options)(str);

/**
 * Parse a glob pattern to create the source string for a regular
 * expression.
 *
 * ```js
 * const picomatch = require('picomatch');
 * const result = picomatch.parse(pattern[, options]);
 * ```
 * @param {String} `pattern`
 * @param {Object} `options`
 * @return {Object} Returns an object with useful properties and output to be used as a regex source string.
 * @api public
 */

picomatch.parse = (pattern, options) => {
  if (Array.isArray(pattern)) return pattern.map(p => picomatch.parse(p, options));
  return parse(pattern, { ...options, fastpaths: false });
};

/**
 * Scan a glob pattern to separate the pattern into segments.
 *
 * ```js
 * const picomatch = require('picomatch');
 * // picomatch.scan(input[, options]);
 *
 * const result = picomatch.scan('!./foo/*.js');
 * console.log(result);
 * { prefix: '!./',
 *   input: '!./foo/*.js',
 *   start: 3,
 *   base: 'foo',
 *   glob: '*.js',
 *   isBrace: false,
 *   isBracket: false,
 *   isGlob: true,
 *   isExtglob: false,
 *   isGlobstar: false,
 *   negated: true }
 * ```
 * @param {String} `input` Glob pattern to scan.
 * @param {Object} `options`
 * @return {Object} Returns an object with
 * @api public
 */

picomatch.scan = (input, options) => scan(input, options);

/**
 * Create a regular expression from a parsed glob pattern.
 *
 * ```js
 * const picomatch = require('picomatch');
 * const state = picomatch.parse('*.js');
 * // picomatch.compileRe(state[, options]);
 *
 * console.log(picomatch.compileRe(state));
 * //=> /^(?:(?!\.)(?=.)[^/]*?\.js)$/
 * ```
 * @param {String} `state` The object returned from the `.parse` method.
 * @param {Object} `options`
 * @return {RegExp} Returns a regex created from the given pattern.
 * @api public
 */

picomatch.compileRe = (parsed, options, returnOutput = false, returnState = false) => {
  if (returnOutput === true) {
    return parsed.output;
  }

  const opts = options || {};
  const prepend = opts.contains ? '' : '^';
  const append = opts.contains ? '' : '$';

  let source = `${prepend}(?:${parsed.output})${append}`;
  if (parsed && parsed.negated === true) {
    source = `^(?!${source}).*$`;
  }

  const regex = picomatch.toRegex(source, options);
  if (returnState === true) {
    regex.state = parsed;
  }

  return regex;
};

picomatch.makeRe = (input, options, returnOutput = false, returnState = false) => {
  if (!input || typeof input !== 'string') {
    throw new TypeError('Expected a non-empty string');
  }

  const opts = options || {};
  let parsed = { negated: false, fastpaths: true };
  let prefix = '';
  let output;

  if (input.startsWith('./')) {
    input = input.slice(2);
    prefix = parsed.prefix = './';
  }

  if (opts.fastpaths !== false && (input[0] === '.' || input[0] === '*')) {
    output = parse.fastpaths(input, options);
  }

  if (output === undefined) {
    parsed = parse(input, options);
    parsed.prefix = prefix + (parsed.prefix || '');
  } else {
    parsed.output = output;
  }

  return picomatch.compileRe(parsed, options, returnOutput, returnState);
};

/**
 * Create a regular expression from the given regex source string.
 *
 * ```js
 * const picomatch = require('picomatch');
 * // picomatch.toRegex(source[, options]);
 *
 * const { output } = picomatch.parse('*.js');
 * console.log(picomatch.toRegex(output));
 * //=> /^(?:(?!\.)(?=.)[^/]*?\.js)$/
 * ```
 * @param {String} `source` Regular expression source string.
 * @param {Object} `options`
 * @return {RegExp}
 * @api public
 */

picomatch.toRegex = (source, options) => {
  try {
    const opts = options || {};
    return new RegExp(source, opts.flags || (opts.nocase ? 'i' : ''));
  } catch (err) {
    if (options && options.debug === true) throw err;
    return /$^/;
  }
};

/**
 * Picomatch constants.
 * @return {Object}
 */

picomatch.constants = constants;

/**
 * Expose "picomatch"
 */

module.exports = picomatch;


/***/ }),

/***/ 32429:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const utils = __nccwpck_require__(30479);
const {
  CHAR_ASTERISK,             /* * */
  CHAR_AT,                   /* @ */
  CHAR_BACKWARD_SLASH,       /* \ */
  CHAR_COMMA,                /* , */
  CHAR_DOT,                  /* . */
  CHAR_EXCLAMATION_MARK,     /* ! */
  CHAR_FORWARD_SLASH,        /* / */
  CHAR_LEFT_CURLY_BRACE,     /* { */
  CHAR_LEFT_PARENTHESES,     /* ( */
  CHAR_LEFT_SQUARE_BRACKET,  /* [ */
  CHAR_PLUS,                 /* + */
  CHAR_QUESTION_MARK,        /* ? */
  CHAR_RIGHT_CURLY_BRACE,    /* } */
  CHAR_RIGHT_PARENTHESES,    /* ) */
  CHAR_RIGHT_SQUARE_BRACKET  /* ] */
} = __nccwpck_require__(16099);

const isPathSeparator = code => {
  return code === CHAR_FORWARD_SLASH || code === CHAR_BACKWARD_SLASH;
};

const depth = token => {
  if (token.isPrefix !== true) {
    token.depth = token.isGlobstar ? Infinity : 1;
  }
};

/**
 * Quickly scans a glob pattern and returns an object with a handful of
 * useful properties, like `isGlob`, `path` (the leading non-glob, if it exists),
 * `glob` (the actual pattern), and `negated` (true if the path starts with `!`).
 *
 * ```js
 * const pm = require('picomatch');
 * console.log(pm.scan('foo/bar/*.js'));
 * { isGlob: true, input: 'foo/bar/*.js', base: 'foo/bar', glob: '*.js' }
 * ```
 * @param {String} `str`
 * @param {Object} `options`
 * @return {Object} Returns an object with tokens and regex source string.
 * @api public
 */

const scan = (input, options) => {
  const opts = options || {};

  const length = input.length - 1;
  const scanToEnd = opts.parts === true || opts.scanToEnd === true;
  const slashes = [];
  const tokens = [];
  const parts = [];

  let str = input;
  let index = -1;
  let start = 0;
  let lastIndex = 0;
  let isBrace = false;
  let isBracket = false;
  let isGlob = false;
  let isExtglob = false;
  let isGlobstar = false;
  let braceEscaped = false;
  let backslashes = false;
  let negated = false;
  let finished = false;
  let braces = 0;
  let prev;
  let code;
  let token = { value: '', depth: 0, isGlob: false };

  const eos = () => index >= length;
  const peek = () => str.charCodeAt(index + 1);
  const advance = () => {
    prev = code;
    return str.charCodeAt(++index);
  };

  while (index < length) {
    code = advance();
    let next;

    if (code === CHAR_BACKWARD_SLASH) {
      backslashes = token.backslashes = true;
      code = advance();

      if (code === CHAR_LEFT_CURLY_BRACE) {
        braceEscaped = true;
      }
      continue;
    }

    if (braceEscaped === true || code === CHAR_LEFT_CURLY_BRACE) {
      braces++;

      while (eos() !== true && (code = advance())) {
        if (code === CHAR_BACKWARD_SLASH) {
          backslashes = token.backslashes = true;
          advance();
          continue;
        }

        if (code === CHAR_LEFT_CURLY_BRACE) {
          braces++;
          continue;
        }

        if (braceEscaped !== true && code === CHAR_DOT && (code = advance()) === CHAR_DOT) {
          isBrace = token.isBrace = true;
          isGlob = token.isGlob = true;
          finished = true;

          if (scanToEnd === true) {
            continue;
          }

          break;
        }

        if (braceEscaped !== true && code === CHAR_COMMA) {
          isBrace = token.isBrace = true;
          isGlob = token.isGlob = true;
          finished = true;

          if (scanToEnd === true) {
            continue;
          }

          break;
        }

        if (code === CHAR_RIGHT_CURLY_BRACE) {
          braces--;

          if (braces === 0) {
            braceEscaped = false;
            isBrace = token.isBrace = true;
            finished = true;
            break;
          }
        }
      }

      if (scanToEnd === true) {
        continue;
      }

      break;
    }

    if (code === CHAR_FORWARD_SLASH) {
      slashes.push(index);
      tokens.push(token);
      token = { value: '', depth: 0, isGlob: false };

      if (finished === true) continue;
      if (prev === CHAR_DOT && index === (start + 1)) {
        start += 2;
        continue;
      }

      lastIndex = index + 1;
      continue;
    }

    if (opts.noext !== true) {
      const isExtglobChar = code === CHAR_PLUS
        || code === CHAR_AT
        || code === CHAR_ASTERISK
        || code === CHAR_QUESTION_MARK
        || code === CHAR_EXCLAMATION_MARK;

      if (isExtglobChar === true && peek() === CHAR_LEFT_PARENTHESES) {
        isGlob = token.isGlob = true;
        isExtglob = token.isExtglob = true;
        finished = true;

        if (scanToEnd === true) {
          while (eos() !== true && (code = advance())) {
            if (code === CHAR_BACKWARD_SLASH) {
              backslashes = token.backslashes = true;
              code = advance();
              continue;
            }

            if (code === CHAR_RIGHT_PARENTHESES) {
              isGlob = token.isGlob = true;
              finished = true;
              break;
            }
          }
          continue;
        }
        break;
      }
    }

    if (code === CHAR_ASTERISK) {
      if (prev === CHAR_ASTERISK) isGlobstar = token.isGlobstar = true;
      isGlob = token.isGlob = true;
      finished = true;

      if (scanToEnd === true) {
        continue;
      }
      break;
    }

    if (code === CHAR_QUESTION_MARK) {
      isGlob = token.isGlob = true;
      finished = true;

      if (scanToEnd === true) {
        continue;
      }
      break;
    }

    if (code === CHAR_LEFT_SQUARE_BRACKET) {
      while (eos() !== true && (next = advance())) {
        if (next === CHAR_BACKWARD_SLASH) {
          backslashes = token.backslashes = true;
          advance();
          continue;
        }

        if (next === CHAR_RIGHT_SQUARE_BRACKET) {
          isBracket = token.isBracket = true;
          isGlob = token.isGlob = true;
          finished = true;

          if (scanToEnd === true) {
            continue;
          }
          break;
        }
      }
    }

    if (opts.nonegate !== true && code === CHAR_EXCLAMATION_MARK && index === start) {
      negated = token.negated = true;
      start++;
      continue;
    }

    if (opts.noparen !== true && code === CHAR_LEFT_PARENTHESES) {
      isGlob = token.isGlob = true;

      if (scanToEnd === true) {
        while (eos() !== true && (code = advance())) {
          if (code === CHAR_LEFT_PARENTHESES) {
            backslashes = token.backslashes = true;
            code = advance();
            continue;
          }

          if (code === CHAR_RIGHT_PARENTHESES) {
            finished = true;
            break;
          }
        }
        continue;
      }
      break;
    }

    if (isGlob === true) {
      finished = true;

      if (scanToEnd === true) {
        continue;
      }

      break;
    }
  }

  if (opts.noext === true) {
    isExtglob = false;
    isGlob = false;
  }

  let base = str;
  let prefix = '';
  let glob = '';

  if (start > 0) {
    prefix = str.slice(0, start);
    str = str.slice(start);
    lastIndex -= start;
  }

  if (base && isGlob === true && lastIndex > 0) {
    base = str.slice(0, lastIndex);
    glob = str.slice(lastIndex);
  } else if (isGlob === true) {
    base = '';
    glob = str;
  } else {
    base = str;
  }

  if (base && base !== '' && base !== '/' && base !== str) {
    if (isPathSeparator(base.charCodeAt(base.length - 1))) {
      base = base.slice(0, -1);
    }
  }

  if (opts.unescape === true) {
    if (glob) glob = utils.removeBackslashes(glob);

    if (base && backslashes === true) {
      base = utils.removeBackslashes(base);
    }
  }

  const state = {
    prefix,
    input,
    start,
    base,
    glob,
    isBrace,
    isBracket,
    isGlob,
    isExtglob,
    isGlobstar,
    negated
  };

  if (opts.tokens === true) {
    state.maxDepth = 0;
    if (!isPathSeparator(code)) {
      tokens.push(token);
    }
    state.tokens = tokens;
  }

  if (opts.parts === true || opts.tokens === true) {
    let prevIndex;

    for (let idx = 0; idx < slashes.length; idx++) {
      const n = prevIndex ? prevIndex + 1 : start;
      const i = slashes[idx];
      const value = input.slice(n, i);
      if (opts.tokens) {
        if (idx === 0 && start !== 0) {
          tokens[idx].isPrefix = true;
          tokens[idx].value = prefix;
        } else {
          tokens[idx].value = value;
        }
        depth(tokens[idx]);
        state.maxDepth += tokens[idx].depth;
      }
      if (idx !== 0 || value !== '') {
        parts.push(value);
      }
      prevIndex = i;
    }

    if (prevIndex && prevIndex + 1 < input.length) {
      const value = input.slice(prevIndex + 1);
      parts.push(value);

      if (opts.tokens) {
        tokens[tokens.length - 1].value = value;
        depth(tokens[tokens.length - 1]);
        state.maxDepth += tokens[tokens.length - 1].depth;
      }
    }

    state.slashes = slashes;
    state.parts = parts;
  }

  return state;
};

module.exports = scan;


/***/ }),

/***/ 30479:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";


const path = __nccwpck_require__(71017);
const win32 = process.platform === 'win32';
const {
  REGEX_BACKSLASH,
  REGEX_REMOVE_BACKSLASH,
  REGEX_SPECIAL_CHARS,
  REGEX_SPECIAL_CHARS_GLOBAL
} = __nccwpck_require__(16099);

exports.isObject = val => val !== null && typeof val === 'object' && !Array.isArray(val);
exports.hasRegexChars = str => REGEX_SPECIAL_CHARS.test(str);
exports.isRegexChar = str => str.length === 1 && exports.hasRegexChars(str);
exports.escapeRegex = str => str.replace(REGEX_SPECIAL_CHARS_GLOBAL, '\\$1');
exports.toPosixSlashes = str => str.replace(REGEX_BACKSLASH, '/');

exports.removeBackslashes = str => {
  return str.replace(REGEX_REMOVE_BACKSLASH, match => {
    return match === '\\' ? '' : match;
  });
};

exports.supportsLookbehinds = () => {
  const segs = process.version.slice(1).split('.').map(Number);
  if (segs.length === 3 && segs[0] >= 9 || (segs[0] === 8 && segs[1] >= 10)) {
    return true;
  }
  return false;
};

exports.isWindows = options => {
  if (options && typeof options.windows === 'boolean') {
    return options.windows;
  }
  return win32 === true || path.sep === '\\';
};

exports.escapeLast = (input, char, lastIdx) => {
  const idx = input.lastIndexOf(char, lastIdx);
  if (idx === -1) return input;
  if (input[idx - 1] === '\\') return exports.escapeLast(input, char, idx - 1);
  return `${input.slice(0, idx)}\\${input.slice(idx)}`;
};

exports.removePrefix = (input, state = {}) => {
  let output = input;
  if (output.startsWith('./')) {
    output = output.slice(2);
    state.prefix = './';
  }
  return output;
};

exports.wrapOutput = (input, state = {}, options = {}) => {
  const prepend = options.contains ? '' : '^';
  const append = options.contains ? '' : '$';

  let output = `${prepend}(?:${input})${append}`;
  if (state.negated === true) {
    output = `(?:^(?!${output}).*$)`;
  }
  return output;
};


/***/ }),

/***/ 64810:
/***/ ((module) => {

"use strict";


const processFn = (fn, options) => function (...args) {
	const P = options.promiseModule;

	return new P((resolve, reject) => {
		if (options.multiArgs) {
			args.push((...result) => {
				if (options.errorFirst) {
					if (result[0]) {
						reject(result);
					} else {
						result.shift();
						resolve(result);
					}
				} else {
					resolve(result);
				}
			});
		} else if (options.errorFirst) {
			args.push((error, result) => {
				if (error) {
					reject(error);
				} else {
					resolve(result);
				}
			});
		} else {
			args.push(resolve);
		}

		fn.apply(this, args);
	});
};

module.exports = (input, options) => {
	options = Object.assign({
		exclude: [/.+(Sync|Stream)$/],
		errorFirst: true,
		promiseModule: Promise
	}, options);

	const objType = typeof input;
	if (!(input !== null && (objType === 'object' || objType === 'function'))) {
		throw new TypeError(`Expected \`input\` to be a \`Function\` or \`Object\`, got \`${input === null ? 'null' : objType}\``);
	}

	const filter = key => {
		const match = pattern => typeof pattern === 'string' ? key === pattern : pattern.test(key);
		return options.include ? options.include.some(match) : !options.exclude.some(match);
	};

	let ret;
	if (objType === 'function') {
		ret = function (...args) {
			return options.excludeMain ? input(...args) : processFn(input, options).apply(this, args);
		};
	} else {
		ret = Object.create(Object.getPrototypeOf(input));
	}

	for (const key in input) { // eslint-disable-line guard-for-in
		const property = input[key];
		ret[key] = typeof property === 'function' && filter(key) ? processFn(property, options) : property;
	}

	return ret;
};


/***/ }),

/***/ 15335:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

module.exports = (__nccwpck_require__(58515).path)();


/***/ }),

/***/ 58515:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);
const BinWrapper = __nccwpck_require__(42504);
const pkg = __nccwpck_require__(49034);

const url = `https://raw.githubusercontent.com/imagemin/pngquant-bin/v${pkg.version}/vendor/`;

module.exports = new BinWrapper()
	.src(`${url}macos/pngquant`, 'darwin')
	.src(`${url}linux/x86/pngquant`, 'linux', 'x86')
	.src(`${url}linux/x64/pngquant`, 'linux', 'x64')
	.src(`${url}freebsd/x64/pngquant`, 'freebsd', 'x64')
	.src(`${url}win/pngquant.exe`, 'win32')
	.dest(__nccwpck_require__.ab + "vendor2")
	.use(process.platform === 'win32' ? 'pngquant.exe' : 'pngquant');


/***/ }),

/***/ 3541:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

if (process.env.npm_package_name === 'pseudomap' &&
    process.env.npm_lifecycle_script === 'test')
  process.env.TEST_PSEUDOMAP = 'true'

if (typeof Map === 'function' && !process.env.TEST_PSEUDOMAP) {
  module.exports = Map
} else {
  module.exports = __nccwpck_require__(57967)
}


/***/ }),

/***/ 57967:
/***/ ((module) => {

var hasOwnProperty = Object.prototype.hasOwnProperty

module.exports = PseudoMap

function PseudoMap (set) {
  if (!(this instanceof PseudoMap)) // whyyyyyyy
    throw new TypeError("Constructor PseudoMap requires 'new'")

  this.clear()

  if (set) {
    if ((set instanceof PseudoMap) ||
        (typeof Map === 'function' && set instanceof Map))
      set.forEach(function (value, key) {
        this.set(key, value)
      }, this)
    else if (Array.isArray(set))
      set.forEach(function (kv) {
        this.set(kv[0], kv[1])
      }, this)
    else
      throw new TypeError('invalid argument')
  }
}

PseudoMap.prototype.forEach = function (fn, thisp) {
  thisp = thisp || this
  Object.keys(this._data).forEach(function (k) {
    if (k !== 'size')
      fn.call(thisp, this._data[k].value, this._data[k].key)
  }, this)
}

PseudoMap.prototype.has = function (k) {
  return !!find(this._data, k)
}

PseudoMap.prototype.get = function (k) {
  var res = find(this._data, k)
  return res && res.value
}

PseudoMap.prototype.set = function (k, v) {
  set(this._data, k, v)
}

PseudoMap.prototype.delete = function (k) {
  var res = find(this._data, k)
  if (res) {
    delete this._data[res._index]
    this._data.size--
  }
}

PseudoMap.prototype.clear = function () {
  var data = Object.create(null)
  data.size = 0

  Object.defineProperty(this, '_data', {
    value: data,
    enumerable: false,
    configurable: true,
    writable: false
  })
}

Object.defineProperty(PseudoMap.prototype, 'size', {
  get: function () {
    return this._data.size
  },
  set: function (n) {},
  enumerable: true,
  configurable: true
})

PseudoMap.prototype.values =
PseudoMap.prototype.keys =
PseudoMap.prototype.entries = function () {
  throw new Error('iterators are not implemented in this version')
}

// Either identical, or both NaN
function same (a, b) {
  return a === b || a !== a && b !== b
}

function Entry (k, v, i) {
  this.key = k
  this.value = v
  this._index = i
}

function find (data, k) {
  for (var i = 0, s = '_' + k, key = s;
       hasOwnProperty.call(data, key);
       key = s + i++) {
    if (same(data[key].key, k))
      return data[key]
  }
}

function set (data, k, v) {
  for (var i = 0, s = '_' + k, key = s;
       hasOwnProperty.call(data, key);
       key = s + i++) {
    if (same(data[key].key, k)) {
      data[key].value = v
      return
    }
  }
  data.size++
  data[key] = new Entry(k, v, key)
}


/***/ }),

/***/ 18341:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var once = __nccwpck_require__(1223)
var eos = __nccwpck_require__(81205)
var fs = __nccwpck_require__(57147) // we only need fs to get the ReadStream and WriteStream prototypes

var noop = function () {}
var ancient = /^v?\.0/.test(process.version)

var isFn = function (fn) {
  return typeof fn === 'function'
}

var isFS = function (stream) {
  if (!ancient) return false // newer node version do not need to care about fs is a special way
  if (!fs) return false // browser
  return (stream instanceof (fs.ReadStream || noop) || stream instanceof (fs.WriteStream || noop)) && isFn(stream.close)
}

var isRequest = function (stream) {
  return stream.setHeader && isFn(stream.abort)
}

var destroyer = function (stream, reading, writing, callback) {
  callback = once(callback)

  var closed = false
  stream.on('close', function () {
    closed = true
  })

  eos(stream, {readable: reading, writable: writing}, function (err) {
    if (err) return callback(err)
    closed = true
    callback()
  })

  var destroyed = false
  return function (err) {
    if (closed) return
    if (destroyed) return
    destroyed = true

    if (isFS(stream)) return stream.close(noop) // use close for fs streams to avoid fd leaks
    if (isRequest(stream)) return stream.abort() // request.destroy just do .end - .abort is what we want

    if (isFn(stream.destroy)) return stream.destroy()

    callback(err || new Error('stream was destroyed'))
  }
}

var call = function (fn) {
  fn()
}

var pipe = function (from, to) {
  return from.pipe(to)
}

var pump = function () {
  var streams = Array.prototype.slice.call(arguments)
  var callback = isFn(streams[streams.length - 1] || noop) && streams.pop() || noop

  if (Array.isArray(streams[0])) streams = streams[0]
  if (streams.length < 2) throw new Error('pump requires two streams per minimum')

  var error
  var destroys = streams.map(function (stream, i) {
    var reading = i < streams.length - 1
    var writing = i > 0
    return destroyer(stream, reading, writing, function (err) {
      if (!error) error = err
      if (err) destroys.forEach(call)
      if (reading) return
      destroys.forEach(call)
      callback(error)
    })
  })

  return streams.reduce(pipe)
}

module.exports = pump


/***/ }),

/***/ 49273:
/***/ ((module) => {

"use strict";


class QuickLRU {
	constructor(options = {}) {
		if (!(options.maxSize && options.maxSize > 0)) {
			throw new TypeError('`maxSize` must be a number greater than 0');
		}

		this.maxSize = options.maxSize;
		this.cache = new Map();
		this.oldCache = new Map();
		this._size = 0;
	}

	_set(key, value) {
		this.cache.set(key, value);
		this._size++;

		if (this._size >= this.maxSize) {
			this._size = 0;
			this.oldCache = this.cache;
			this.cache = new Map();
		}
	}

	get(key) {
		if (this.cache.has(key)) {
			return this.cache.get(key);
		}

		if (this.oldCache.has(key)) {
			const value = this.oldCache.get(key);
			this.oldCache.delete(key);
			this._set(key, value);
			return value;
		}
	}

	set(key, value) {
		if (this.cache.has(key)) {
			this.cache.set(key, value);
		} else {
			this._set(key, value);
		}

		return this;
	}

	has(key) {
		return this.cache.has(key) || this.oldCache.has(key);
	}

	peek(key) {
		if (this.cache.has(key)) {
			return this.cache.get(key);
		}

		if (this.oldCache.has(key)) {
			return this.oldCache.get(key);
		}
	}

	delete(key) {
		const deleted = this.cache.delete(key);
		if (deleted) {
			this._size--;
		}

		return this.oldCache.delete(key) || deleted;
	}

	clear() {
		this.cache.clear();
		this.oldCache.clear();
		this._size = 0;
	}

	* keys() {
		for (const [key] of this) {
			yield key;
		}
	}

	* values() {
		for (const [, value] of this) {
			yield value;
		}
	}

	* [Symbol.iterator]() {
		for (const item of this.cache) {
			yield item;
		}

		for (const item of this.oldCache) {
			const [key] = item;
			if (!this.cache.has(key)) {
				yield item;
			}
		}
	}

	get size() {
		let oldCacheSize = 0;
		for (const key of this.oldCache.keys()) {
			if (!this.cache.has(key)) {
				oldCacheSize++;
			}
		}

		return this._size + oldCacheSize;
	}
}

module.exports = QuickLRU;


/***/ }),

/***/ 85198:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var path = __nccwpck_require__(71017);

function replaceExt(npath, ext) {
  if (typeof npath !== 'string') {
    return npath;
  }

  if (npath.length === 0) {
    return npath;
  }

  var nFileName = path.basename(npath, path.extname(npath)) + ext;
  var nFilepath = path.join(path.dirname(npath), nFileName);

  // Because `path.join` removes the head './' from the given path.
  // This removal can cause a problem when passing the result to `require` or
  // `import`.
  if (startsWithSingleDot(npath)) {
    return '.' + path.sep + nFilepath;
  }

  return nFilepath;
}

function startsWithSingleDot(fpath) {
  var first2chars = fpath.slice(0, 2);
  return (first2chars === '.' + path.sep) ||
         (first2chars === './');
}

module.exports = replaceExt;


/***/ }),

/***/ 39283:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var async = __nccwpck_require__(2125);
async.core = __nccwpck_require__(26226);
async.isCore = __nccwpck_require__(38115);
async.sync = __nccwpck_require__(55284);

module.exports = async;


/***/ }),

/***/ 2125:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var fs = __nccwpck_require__(57147);
var path = __nccwpck_require__(71017);
var caller = __nccwpck_require__(36155);
var nodeModulesPaths = __nccwpck_require__(1433);
var normalizeOptions = __nccwpck_require__(17990);
var isCore = __nccwpck_require__(56873);

var realpathFS = fs.realpath && typeof fs.realpath.native === 'function' ? fs.realpath.native : fs.realpath;

var defaultIsFile = function isFile(file, cb) {
    fs.stat(file, function (err, stat) {
        if (!err) {
            return cb(null, stat.isFile() || stat.isFIFO());
        }
        if (err.code === 'ENOENT' || err.code === 'ENOTDIR') return cb(null, false);
        return cb(err);
    });
};

var defaultIsDir = function isDirectory(dir, cb) {
    fs.stat(dir, function (err, stat) {
        if (!err) {
            return cb(null, stat.isDirectory());
        }
        if (err.code === 'ENOENT' || err.code === 'ENOTDIR') return cb(null, false);
        return cb(err);
    });
};

var defaultRealpath = function realpath(x, cb) {
    realpathFS(x, function (realpathErr, realPath) {
        if (realpathErr && realpathErr.code !== 'ENOENT') cb(realpathErr);
        else cb(null, realpathErr ? x : realPath);
    });
};

var maybeRealpath = function maybeRealpath(realpath, x, opts, cb) {
    if (opts && opts.preserveSymlinks === false) {
        realpath(x, cb);
    } else {
        cb(null, x);
    }
};

var getPackageCandidates = function getPackageCandidates(x, start, opts) {
    var dirs = nodeModulesPaths(start, opts, x);
    for (var i = 0; i < dirs.length; i++) {
        dirs[i] = path.join(dirs[i], x);
    }
    return dirs;
};

module.exports = function resolve(x, options, callback) {
    var cb = callback;
    var opts = options;
    if (typeof options === 'function') {
        cb = opts;
        opts = {};
    }
    if (typeof x !== 'string') {
        var err = new TypeError('Path must be a string.');
        return process.nextTick(function () {
            cb(err);
        });
    }

    opts = normalizeOptions(x, opts);

    var isFile = opts.isFile || defaultIsFile;
    var isDirectory = opts.isDirectory || defaultIsDir;
    var readFile = opts.readFile || fs.readFile;
    var realpath = opts.realpath || defaultRealpath;
    var packageIterator = opts.packageIterator;

    var extensions = opts.extensions || ['.js'];
    var includeCoreModules = opts.includeCoreModules !== false;
    var basedir = opts.basedir || path.dirname(caller());
    var parent = opts.filename || basedir;

    opts.paths = opts.paths || [];

    // ensure that `basedir` is an absolute path at this point, resolving against the process' current working directory
    var absoluteStart = path.resolve(basedir);

    maybeRealpath(
        realpath,
        absoluteStart,
        opts,
        function (err, realStart) {
            if (err) cb(err);
            else init(realStart);
        }
    );

    var res;
    function init(basedir) {
        if ((/^(?:\.\.?(?:\/|$)|\/|([A-Za-z]:)?[/\\])/).test(x)) {
            res = path.resolve(basedir, x);
            if (x === '.' || x === '..' || x.slice(-1) === '/') res += '/';
            if ((/\/$/).test(x) && res === basedir) {
                loadAsDirectory(res, opts.package, onfile);
            } else loadAsFile(res, opts.package, onfile);
        } else if (includeCoreModules && isCore(x)) {
            return cb(null, x);
        } else loadNodeModules(x, basedir, function (err, n, pkg) {
            if (err) cb(err);
            else if (n) {
                return maybeRealpath(realpath, n, opts, function (err, realN) {
                    if (err) {
                        cb(err);
                    } else {
                        cb(null, realN, pkg);
                    }
                });
            } else {
                var moduleError = new Error("Cannot find module '" + x + "' from '" + parent + "'");
                moduleError.code = 'MODULE_NOT_FOUND';
                cb(moduleError);
            }
        });
    }

    function onfile(err, m, pkg) {
        if (err) cb(err);
        else if (m) cb(null, m, pkg);
        else loadAsDirectory(res, function (err, d, pkg) {
            if (err) cb(err);
            else if (d) {
                maybeRealpath(realpath, d, opts, function (err, realD) {
                    if (err) {
                        cb(err);
                    } else {
                        cb(null, realD, pkg);
                    }
                });
            } else {
                var moduleError = new Error("Cannot find module '" + x + "' from '" + parent + "'");
                moduleError.code = 'MODULE_NOT_FOUND';
                cb(moduleError);
            }
        });
    }

    function loadAsFile(x, thePackage, callback) {
        var loadAsFilePackage = thePackage;
        var cb = callback;
        if (typeof loadAsFilePackage === 'function') {
            cb = loadAsFilePackage;
            loadAsFilePackage = undefined;
        }

        var exts = [''].concat(extensions);
        load(exts, x, loadAsFilePackage);

        function load(exts, x, loadPackage) {
            if (exts.length === 0) return cb(null, undefined, loadPackage);
            var file = x + exts[0];

            var pkg = loadPackage;
            if (pkg) onpkg(null, pkg);
            else loadpkg(path.dirname(file), onpkg);

            function onpkg(err, pkg_, dir) {
                pkg = pkg_;
                if (err) return cb(err);
                if (dir && pkg && opts.pathFilter) {
                    var rfile = path.relative(dir, file);
                    var rel = rfile.slice(0, rfile.length - exts[0].length);
                    var r = opts.pathFilter(pkg, x, rel);
                    if (r) return load(
                        [''].concat(extensions.slice()),
                        path.resolve(dir, r),
                        pkg
                    );
                }
                isFile(file, onex);
            }
            function onex(err, ex) {
                if (err) return cb(err);
                if (ex) return cb(null, file, pkg);
                load(exts.slice(1), x, pkg);
            }
        }
    }

    function loadpkg(dir, cb) {
        if (dir === '' || dir === '/') return cb(null);
        if (process.platform === 'win32' && (/^\w:[/\\]*$/).test(dir)) {
            return cb(null);
        }
        if ((/[/\\]node_modules[/\\]*$/).test(dir)) return cb(null);

        maybeRealpath(realpath, dir, opts, function (unwrapErr, pkgdir) {
            if (unwrapErr) return loadpkg(path.dirname(dir), cb);
            var pkgfile = path.join(pkgdir, 'package.json');
            isFile(pkgfile, function (err, ex) {
                // on err, ex is false
                if (!ex) return loadpkg(path.dirname(dir), cb);

                readFile(pkgfile, function (err, body) {
                    if (err) cb(err);
                    try { var pkg = JSON.parse(body); } catch (jsonErr) {}

                    if (pkg && opts.packageFilter) {
                        pkg = opts.packageFilter(pkg, pkgfile);
                    }
                    cb(null, pkg, dir);
                });
            });
        });
    }

    function loadAsDirectory(x, loadAsDirectoryPackage, callback) {
        var cb = callback;
        var fpkg = loadAsDirectoryPackage;
        if (typeof fpkg === 'function') {
            cb = fpkg;
            fpkg = opts.package;
        }

        maybeRealpath(realpath, x, opts, function (unwrapErr, pkgdir) {
            if (unwrapErr) return cb(unwrapErr);
            var pkgfile = path.join(pkgdir, 'package.json');
            isFile(pkgfile, function (err, ex) {
                if (err) return cb(err);
                if (!ex) return loadAsFile(path.join(x, 'index'), fpkg, cb);

                readFile(pkgfile, function (err, body) {
                    if (err) return cb(err);
                    try {
                        var pkg = JSON.parse(body);
                    } catch (jsonErr) {}

                    if (pkg && opts.packageFilter) {
                        pkg = opts.packageFilter(pkg, pkgfile);
                    }

                    if (pkg && pkg.main) {
                        if (typeof pkg.main !== 'string') {
                            var mainError = new TypeError('package “' + pkg.name + '” `main` must be a string');
                            mainError.code = 'INVALID_PACKAGE_MAIN';
                            return cb(mainError);
                        }
                        if (pkg.main === '.' || pkg.main === './') {
                            pkg.main = 'index';
                        }
                        loadAsFile(path.resolve(x, pkg.main), pkg, function (err, m, pkg) {
                            if (err) return cb(err);
                            if (m) return cb(null, m, pkg);
                            if (!pkg) return loadAsFile(path.join(x, 'index'), pkg, cb);

                            var dir = path.resolve(x, pkg.main);
                            loadAsDirectory(dir, pkg, function (err, n, pkg) {
                                if (err) return cb(err);
                                if (n) return cb(null, n, pkg);
                                loadAsFile(path.join(x, 'index'), pkg, cb);
                            });
                        });
                        return;
                    }

                    loadAsFile(path.join(x, '/index'), pkg, cb);
                });
            });
        });
    }

    function processDirs(cb, dirs) {
        if (dirs.length === 0) return cb(null, undefined);
        var dir = dirs[0];

        isDirectory(path.dirname(dir), isdir);

        function isdir(err, isdir) {
            if (err) return cb(err);
            if (!isdir) return processDirs(cb, dirs.slice(1));
            loadAsFile(dir, opts.package, onfile);
        }

        function onfile(err, m, pkg) {
            if (err) return cb(err);
            if (m) return cb(null, m, pkg);
            loadAsDirectory(dir, opts.package, ondir);
        }

        function ondir(err, n, pkg) {
            if (err) return cb(err);
            if (n) return cb(null, n, pkg);
            processDirs(cb, dirs.slice(1));
        }
    }
    function loadNodeModules(x, start, cb) {
        var thunk = function () { return getPackageCandidates(x, start, opts); };
        processDirs(
            cb,
            packageIterator ? packageIterator(x, start, thunk, opts) : thunk()
        );
    }
};


/***/ }),

/***/ 36155:
/***/ ((module) => {

module.exports = function () {
    // see https://code.google.com/p/v8/wiki/JavaScriptStackTraceApi
    var origPrepareStackTrace = Error.prepareStackTrace;
    Error.prepareStackTrace = function (_, stack) { return stack; };
    var stack = (new Error()).stack;
    Error.prepareStackTrace = origPrepareStackTrace;
    return stack[2].getFileName();
};


/***/ }),

/***/ 26226:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var current = (process.versions && process.versions.node && process.versions.node.split('.')) || [];

function specifierIncluded(specifier) {
    var parts = specifier.split(' ');
    var op = parts.length > 1 ? parts[0] : '=';
    var versionParts = (parts.length > 1 ? parts[1] : parts[0]).split('.');

    for (var i = 0; i < 3; ++i) {
        var cur = parseInt(current[i] || 0, 10);
        var ver = parseInt(versionParts[i] || 0, 10);
        if (cur === ver) {
            continue; // eslint-disable-line no-restricted-syntax, no-continue
        }
        if (op === '<') {
            return cur < ver;
        } else if (op === '>=') {
            return cur >= ver;
        } else {
            return false;
        }
    }
    return op === '>=';
}

function matchesRange(range) {
    var specifiers = range.split(/ ?&& ?/);
    if (specifiers.length === 0) { return false; }
    for (var i = 0; i < specifiers.length; ++i) {
        if (!specifierIncluded(specifiers[i])) { return false; }
    }
    return true;
}

function versionIncluded(specifierValue) {
    if (typeof specifierValue === 'boolean') { return specifierValue; }
    if (specifierValue && typeof specifierValue === 'object') {
        for (var i = 0; i < specifierValue.length; ++i) {
            if (matchesRange(specifierValue[i])) { return true; }
        }
        return false;
    }
    return matchesRange(specifierValue);
}

var data = __nccwpck_require__(74503);

var core = {};
for (var mod in data) { // eslint-disable-line no-restricted-syntax
    if (Object.prototype.hasOwnProperty.call(data, mod)) {
        core[mod] = versionIncluded(data[mod]);
    }
}
module.exports = core;


/***/ }),

/***/ 38115:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var isCoreModule = __nccwpck_require__(56873);

module.exports = function isCore(x) {
    return isCoreModule(x);
};


/***/ }),

/***/ 1433:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var path = __nccwpck_require__(71017);
var parse = path.parse || __nccwpck_require__(5980);

var getNodeModulesDirs = function getNodeModulesDirs(absoluteStart, modules) {
    var prefix = '/';
    if ((/^([A-Za-z]:)/).test(absoluteStart)) {
        prefix = '';
    } else if ((/^\\\\/).test(absoluteStart)) {
        prefix = '\\\\';
    }

    var paths = [absoluteStart];
    var parsed = parse(absoluteStart);
    while (parsed.dir !== paths[paths.length - 1]) {
        paths.push(parsed.dir);
        parsed = parse(parsed.dir);
    }

    return paths.reduce(function (dirs, aPath) {
        return dirs.concat(modules.map(function (moduleDir) {
            return path.resolve(prefix, aPath, moduleDir);
        }));
    }, []);
};

module.exports = function nodeModulesPaths(start, opts, request) {
    var modules = opts && opts.moduleDirectory
        ? [].concat(opts.moduleDirectory)
        : ['node_modules'];

    if (opts && typeof opts.paths === 'function') {
        return opts.paths(
            request,
            start,
            function () { return getNodeModulesDirs(start, modules); },
            opts
        );
    }

    var dirs = getNodeModulesDirs(start, modules);
    return opts && opts.paths ? dirs.concat(opts.paths) : dirs;
};


/***/ }),

/***/ 17990:
/***/ ((module) => {

module.exports = function (x, opts) {
    /**
     * This file is purposefully a passthrough. It's expected that third-party
     * environments will override it at runtime in order to inject special logic
     * into `resolve` (by manipulating the options). One such example is the PnP
     * code path in Yarn.
     */

    return opts || {};
};


/***/ }),

/***/ 55284:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var isCore = __nccwpck_require__(56873);
var fs = __nccwpck_require__(57147);
var path = __nccwpck_require__(71017);
var caller = __nccwpck_require__(36155);
var nodeModulesPaths = __nccwpck_require__(1433);
var normalizeOptions = __nccwpck_require__(17990);

var realpathFS = fs.realpathSync && typeof fs.realpathSync.native === 'function' ? fs.realpathSync.native : fs.realpathSync;

var defaultIsFile = function isFile(file) {
    try {
        var stat = fs.statSync(file);
    } catch (e) {
        if (e && (e.code === 'ENOENT' || e.code === 'ENOTDIR')) return false;
        throw e;
    }
    return stat.isFile() || stat.isFIFO();
};

var defaultIsDir = function isDirectory(dir) {
    try {
        var stat = fs.statSync(dir);
    } catch (e) {
        if (e && (e.code === 'ENOENT' || e.code === 'ENOTDIR')) return false;
        throw e;
    }
    return stat.isDirectory();
};

var defaultRealpathSync = function realpathSync(x) {
    try {
        return realpathFS(x);
    } catch (realpathErr) {
        if (realpathErr.code !== 'ENOENT') {
            throw realpathErr;
        }
    }
    return x;
};

var maybeRealpathSync = function maybeRealpathSync(realpathSync, x, opts) {
    if (opts && opts.preserveSymlinks === false) {
        return realpathSync(x);
    }
    return x;
};

var getPackageCandidates = function getPackageCandidates(x, start, opts) {
    var dirs = nodeModulesPaths(start, opts, x);
    for (var i = 0; i < dirs.length; i++) {
        dirs[i] = path.join(dirs[i], x);
    }
    return dirs;
};

module.exports = function resolveSync(x, options) {
    if (typeof x !== 'string') {
        throw new TypeError('Path must be a string.');
    }
    var opts = normalizeOptions(x, options);

    var isFile = opts.isFile || defaultIsFile;
    var readFileSync = opts.readFileSync || fs.readFileSync;
    var isDirectory = opts.isDirectory || defaultIsDir;
    var realpathSync = opts.realpathSync || defaultRealpathSync;
    var packageIterator = opts.packageIterator;

    var extensions = opts.extensions || ['.js'];
    var includeCoreModules = opts.includeCoreModules !== false;
    var basedir = opts.basedir || path.dirname(caller());
    var parent = opts.filename || basedir;

    opts.paths = opts.paths || [];

    // ensure that `basedir` is an absolute path at this point, resolving against the process' current working directory
    var absoluteStart = maybeRealpathSync(realpathSync, path.resolve(basedir), opts);

    if ((/^(?:\.\.?(?:\/|$)|\/|([A-Za-z]:)?[/\\])/).test(x)) {
        var res = path.resolve(absoluteStart, x);
        if (x === '.' || x === '..' || x.slice(-1) === '/') res += '/';
        var m = loadAsFileSync(res) || loadAsDirectorySync(res);
        if (m) return maybeRealpathSync(realpathSync, m, opts);
    } else if (includeCoreModules && isCore(x)) {
        return x;
    } else {
        var n = loadNodeModulesSync(x, absoluteStart);
        if (n) return maybeRealpathSync(realpathSync, n, opts);
    }

    var err = new Error("Cannot find module '" + x + "' from '" + parent + "'");
    err.code = 'MODULE_NOT_FOUND';
    throw err;

    function loadAsFileSync(x) {
        var pkg = loadpkg(path.dirname(x));

        if (pkg && pkg.dir && pkg.pkg && opts.pathFilter) {
            var rfile = path.relative(pkg.dir, x);
            var r = opts.pathFilter(pkg.pkg, x, rfile);
            if (r) {
                x = path.resolve(pkg.dir, r); // eslint-disable-line no-param-reassign
            }
        }

        if (isFile(x)) {
            return x;
        }

        for (var i = 0; i < extensions.length; i++) {
            var file = x + extensions[i];
            if (isFile(file)) {
                return file;
            }
        }
    }

    function loadpkg(dir) {
        if (dir === '' || dir === '/') return;
        if (process.platform === 'win32' && (/^\w:[/\\]*$/).test(dir)) {
            return;
        }
        if ((/[/\\]node_modules[/\\]*$/).test(dir)) return;

        var pkgfile = path.join(maybeRealpathSync(realpathSync, dir, opts), 'package.json');

        if (!isFile(pkgfile)) {
            return loadpkg(path.dirname(dir));
        }

        var body = readFileSync(pkgfile);

        try {
            var pkg = JSON.parse(body);
        } catch (jsonErr) {}

        if (pkg && opts.packageFilter) {
            // v2 will pass pkgfile
            pkg = opts.packageFilter(pkg, /*pkgfile,*/ dir); // eslint-disable-line spaced-comment
        }

        return { pkg: pkg, dir: dir };
    }

    function loadAsDirectorySync(x) {
        var pkgfile = path.join(maybeRealpathSync(realpathSync, x, opts), '/package.json');
        if (isFile(pkgfile)) {
            try {
                var body = readFileSync(pkgfile, 'UTF8');
                var pkg = JSON.parse(body);
            } catch (e) {}

            if (pkg && opts.packageFilter) {
                // v2 will pass pkgfile
                pkg = opts.packageFilter(pkg, /*pkgfile,*/ x); // eslint-disable-line spaced-comment
            }

            if (pkg && pkg.main) {
                if (typeof pkg.main !== 'string') {
                    var mainError = new TypeError('package “' + pkg.name + '” `main` must be a string');
                    mainError.code = 'INVALID_PACKAGE_MAIN';
                    throw mainError;
                }
                if (pkg.main === '.' || pkg.main === './') {
                    pkg.main = 'index';
                }
                try {
                    var m = loadAsFileSync(path.resolve(x, pkg.main));
                    if (m) return m;
                    var n = loadAsDirectorySync(path.resolve(x, pkg.main));
                    if (n) return n;
                } catch (e) {}
            }
        }

        return loadAsFileSync(path.join(x, '/index'));
    }

    function loadNodeModulesSync(x, start) {
        var thunk = function () { return getPackageCandidates(x, start, opts); };
        var dirs = packageIterator ? packageIterator(x, start, thunk, opts) : thunk();

        for (var i = 0; i < dirs.length; i++) {
            var dir = dirs[i];
            if (isDirectory(path.dirname(dir))) {
                var m = loadAsFileSync(dir);
                if (m) return m;
                var n = loadAsDirectorySync(dir);
                if (n) return n;
            }
        }
    }
};


/***/ }),

/***/ 32113:
/***/ ((module) => {

"use strict";


function reusify (Constructor) {
  var head = new Constructor()
  var tail = head

  function get () {
    var current = head

    if (current.next) {
      head = current.next
    } else {
      head = new Constructor()
      tail = head
    }

    current.next = null

    return current
  }

  function release (obj) {
    tail.next = obj
    tail = obj
  }

  return {
    get: get,
    release: release
  }
}

module.exports = reusify


/***/ }),

/***/ 14959:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const assert = __nccwpck_require__(39491)
const path = __nccwpck_require__(71017)
const fs = __nccwpck_require__(57147)
let glob = undefined
try {
  glob = __nccwpck_require__(91957)
} catch (_err) {
  // treat glob as optional.
}

const defaultGlobOpts = {
  nosort: true,
  silent: true
}

// for EMFILE handling
let timeout = 0

const isWindows = (process.platform === "win32")

const defaults = options => {
  const methods = [
    'unlink',
    'chmod',
    'stat',
    'lstat',
    'rmdir',
    'readdir'
  ]
  methods.forEach(m => {
    options[m] = options[m] || fs[m]
    m = m + 'Sync'
    options[m] = options[m] || fs[m]
  })

  options.maxBusyTries = options.maxBusyTries || 3
  options.emfileWait = options.emfileWait || 1000
  if (options.glob === false) {
    options.disableGlob = true
  }
  if (options.disableGlob !== true && glob === undefined) {
    throw Error('glob dependency not found, set `options.disableGlob = true` if intentional')
  }
  options.disableGlob = options.disableGlob || false
  options.glob = options.glob || defaultGlobOpts
}

const rimraf = (p, options, cb) => {
  if (typeof options === 'function') {
    cb = options
    options = {}
  }

  assert(p, 'rimraf: missing path')
  assert.equal(typeof p, 'string', 'rimraf: path should be a string')
  assert.equal(typeof cb, 'function', 'rimraf: callback function required')
  assert(options, 'rimraf: invalid options argument provided')
  assert.equal(typeof options, 'object', 'rimraf: options should be object')

  defaults(options)

  let busyTries = 0
  let errState = null
  let n = 0

  const next = (er) => {
    errState = errState || er
    if (--n === 0)
      cb(errState)
  }

  const afterGlob = (er, results) => {
    if (er)
      return cb(er)

    n = results.length
    if (n === 0)
      return cb()

    results.forEach(p => {
      const CB = (er) => {
        if (er) {
          if ((er.code === "EBUSY" || er.code === "ENOTEMPTY" || er.code === "EPERM") &&
              busyTries < options.maxBusyTries) {
            busyTries ++
            // try again, with the same exact callback as this one.
            return setTimeout(() => rimraf_(p, options, CB), busyTries * 100)
          }

          // this one won't happen if graceful-fs is used.
          if (er.code === "EMFILE" && timeout < options.emfileWait) {
            return setTimeout(() => rimraf_(p, options, CB), timeout ++)
          }

          // already gone
          if (er.code === "ENOENT") er = null
        }

        timeout = 0
        next(er)
      }
      rimraf_(p, options, CB)
    })
  }

  if (options.disableGlob || !glob.hasMagic(p))
    return afterGlob(null, [p])

  options.lstat(p, (er, stat) => {
    if (!er)
      return afterGlob(null, [p])

    glob(p, options.glob, afterGlob)
  })

}

// Two possible strategies.
// 1. Assume it's a file.  unlink it, then do the dir stuff on EPERM or EISDIR
// 2. Assume it's a directory.  readdir, then do the file stuff on ENOTDIR
//
// Both result in an extra syscall when you guess wrong.  However, there
// are likely far more normal files in the world than directories.  This
// is based on the assumption that a the average number of files per
// directory is >= 1.
//
// If anyone ever complains about this, then I guess the strategy could
// be made configurable somehow.  But until then, YAGNI.
const rimraf_ = (p, options, cb) => {
  assert(p)
  assert(options)
  assert(typeof cb === 'function')

  // sunos lets the root user unlink directories, which is... weird.
  // so we have to lstat here and make sure it's not a dir.
  options.lstat(p, (er, st) => {
    if (er && er.code === "ENOENT")
      return cb(null)

    // Windows can EPERM on stat.  Life is suffering.
    if (er && er.code === "EPERM" && isWindows)
      fixWinEPERM(p, options, er, cb)

    if (st && st.isDirectory())
      return rmdir(p, options, er, cb)

    options.unlink(p, er => {
      if (er) {
        if (er.code === "ENOENT")
          return cb(null)
        if (er.code === "EPERM")
          return (isWindows)
            ? fixWinEPERM(p, options, er, cb)
            : rmdir(p, options, er, cb)
        if (er.code === "EISDIR")
          return rmdir(p, options, er, cb)
      }
      return cb(er)
    })
  })
}

const fixWinEPERM = (p, options, er, cb) => {
  assert(p)
  assert(options)
  assert(typeof cb === 'function')

  options.chmod(p, 0o666, er2 => {
    if (er2)
      cb(er2.code === "ENOENT" ? null : er)
    else
      options.stat(p, (er3, stats) => {
        if (er3)
          cb(er3.code === "ENOENT" ? null : er)
        else if (stats.isDirectory())
          rmdir(p, options, er, cb)
        else
          options.unlink(p, cb)
      })
  })
}

const fixWinEPERMSync = (p, options, er) => {
  assert(p)
  assert(options)

  try {
    options.chmodSync(p, 0o666)
  } catch (er2) {
    if (er2.code === "ENOENT")
      return
    else
      throw er
  }

  let stats
  try {
    stats = options.statSync(p)
  } catch (er3) {
    if (er3.code === "ENOENT")
      return
    else
      throw er
  }

  if (stats.isDirectory())
    rmdirSync(p, options, er)
  else
    options.unlinkSync(p)
}

const rmdir = (p, options, originalEr, cb) => {
  assert(p)
  assert(options)
  assert(typeof cb === 'function')

  // try to rmdir first, and only readdir on ENOTEMPTY or EEXIST (SunOS)
  // if we guessed wrong, and it's not a directory, then
  // raise the original error.
  options.rmdir(p, er => {
    if (er && (er.code === "ENOTEMPTY" || er.code === "EEXIST" || er.code === "EPERM"))
      rmkids(p, options, cb)
    else if (er && er.code === "ENOTDIR")
      cb(originalEr)
    else
      cb(er)
  })
}

const rmkids = (p, options, cb) => {
  assert(p)
  assert(options)
  assert(typeof cb === 'function')

  options.readdir(p, (er, files) => {
    if (er)
      return cb(er)
    let n = files.length
    if (n === 0)
      return options.rmdir(p, cb)
    let errState
    files.forEach(f => {
      rimraf(path.join(p, f), options, er => {
        if (errState)
          return
        if (er)
          return cb(errState = er)
        if (--n === 0)
          options.rmdir(p, cb)
      })
    })
  })
}

// this looks simpler, and is strictly *faster*, but will
// tie up the JavaScript thread and fail on excessively
// deep directory trees.
const rimrafSync = (p, options) => {
  options = options || {}
  defaults(options)

  assert(p, 'rimraf: missing path')
  assert.equal(typeof p, 'string', 'rimraf: path should be a string')
  assert(options, 'rimraf: missing options')
  assert.equal(typeof options, 'object', 'rimraf: options should be object')

  let results

  if (options.disableGlob || !glob.hasMagic(p)) {
    results = [p]
  } else {
    try {
      options.lstatSync(p)
      results = [p]
    } catch (er) {
      results = glob.sync(p, options.glob)
    }
  }

  if (!results.length)
    return

  for (let i = 0; i < results.length; i++) {
    const p = results[i]

    let st
    try {
      st = options.lstatSync(p)
    } catch (er) {
      if (er.code === "ENOENT")
        return

      // Windows can EPERM on stat.  Life is suffering.
      if (er.code === "EPERM" && isWindows)
        fixWinEPERMSync(p, options, er)
    }

    try {
      // sunos lets the root user unlink directories, which is... weird.
      if (st && st.isDirectory())
        rmdirSync(p, options, null)
      else
        options.unlinkSync(p)
    } catch (er) {
      if (er.code === "ENOENT")
        return
      if (er.code === "EPERM")
        return isWindows ? fixWinEPERMSync(p, options, er) : rmdirSync(p, options, er)
      if (er.code !== "EISDIR")
        throw er

      rmdirSync(p, options, er)
    }
  }
}

const rmdirSync = (p, options, originalEr) => {
  assert(p)
  assert(options)

  try {
    options.rmdirSync(p)
  } catch (er) {
    if (er.code === "ENOENT")
      return
    if (er.code === "ENOTDIR")
      throw originalEr
    if (er.code === "ENOTEMPTY" || er.code === "EEXIST" || er.code === "EPERM")
      rmkidsSync(p, options)
  }
}

const rmkidsSync = (p, options) => {
  assert(p)
  assert(options)
  options.readdirSync(p).forEach(f => rimrafSync(path.join(p, f), options))

  // We only end up here once we got ENOTEMPTY at least once, and
  // at this point, we are guaranteed to have removed all the kids.
  // So, we know that it won't be ENOENT or ENOTDIR or anything else.
  // try really hard to delete stuff on windows, because it has a
  // PROFOUNDLY annoying habit of not closing handles promptly when
  // files are deleted, resulting in spurious ENOTEMPTY errors.
  const retries = isWindows ? 100 : 1
  let i = 0
  do {
    let threw = true
    try {
      const ret = options.rmdirSync(p, options)
      threw = false
      return ret
    } finally {
      if (++i < retries && threw)
        continue
    }
  } while (true)
}

module.exports = rimraf
rimraf.sync = rimrafSync


/***/ }),

/***/ 75288:
/***/ ((module) => {

/*! run-parallel. MIT License. Feross Aboukhadijeh <https://feross.org/opensource> */
module.exports = runParallel

function runParallel (tasks, cb) {
  var results, pending, keys
  var isSync = true

  if (Array.isArray(tasks)) {
    results = []
    pending = tasks.length
  } else {
    keys = Object.keys(tasks)
    results = {}
    pending = keys.length
  }

  function done (err) {
    function end () {
      if (cb) cb(err, results)
      cb = null
    }
    if (isSync) process.nextTick(end)
    else end()
  }

  function each (i, err, result) {
    results[i] = result
    if (--pending === 0 || err) {
      done(err)
    }
  }

  if (!pending) {
    // empty
    done(null)
  } else if (keys) {
    // object
    keys.forEach(function (key) {
      tasks[key](function (err, result) { each(key, err, result) })
    })
  } else {
    // array
    tasks.forEach(function (task, i) {
      task(function (err, result) { each(i, err, result) })
    })
  }

  isSync = false
}


/***/ }),

/***/ 72043:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

;(function (sax) { // wrapper for non-node envs
  sax.parser = function (strict, opt) { return new SAXParser(strict, opt) }
  sax.SAXParser = SAXParser
  sax.SAXStream = SAXStream
  sax.createStream = createStream

  // When we pass the MAX_BUFFER_LENGTH position, start checking for buffer overruns.
  // When we check, schedule the next check for MAX_BUFFER_LENGTH - (max(buffer lengths)),
  // since that's the earliest that a buffer overrun could occur.  This way, checks are
  // as rare as required, but as often as necessary to ensure never crossing this bound.
  // Furthermore, buffers are only tested at most once per write(), so passing a very
  // large string into write() might have undesirable effects, but this is manageable by
  // the caller, so it is assumed to be safe.  Thus, a call to write() may, in the extreme
  // edge case, result in creating at most one complete copy of the string passed in.
  // Set to Infinity to have unlimited buffers.
  sax.MAX_BUFFER_LENGTH = 64 * 1024

  var buffers = [
    'comment', 'sgmlDecl', 'textNode', 'tagName', 'doctype',
    'procInstName', 'procInstBody', 'entity', 'attribName',
    'attribValue', 'cdata', 'script'
  ]

  sax.EVENTS = [
    'text',
    'processinginstruction',
    'sgmldeclaration',
    'doctype',
    'comment',
    'opentagstart',
    'attribute',
    'opentag',
    'closetag',
    'opencdata',
    'cdata',
    'closecdata',
    'error',
    'end',
    'ready',
    'script',
    'opennamespace',
    'closenamespace'
  ]

  function SAXParser (strict, opt) {
    if (!(this instanceof SAXParser)) {
      return new SAXParser(strict, opt)
    }

    var parser = this
    clearBuffers(parser)
    parser.q = parser.c = ''
    parser.bufferCheckPosition = sax.MAX_BUFFER_LENGTH
    parser.opt = opt || {}
    parser.opt.lowercase = parser.opt.lowercase || parser.opt.lowercasetags
    parser.looseCase = parser.opt.lowercase ? 'toLowerCase' : 'toUpperCase'
    parser.tags = []
    parser.closed = parser.closedRoot = parser.sawRoot = false
    parser.tag = parser.error = null
    parser.strict = !!strict
    parser.noscript = !!(strict || parser.opt.noscript)
    parser.state = S.BEGIN
    parser.strictEntities = parser.opt.strictEntities
    parser.ENTITIES = parser.strictEntities ? Object.create(sax.XML_ENTITIES) : Object.create(sax.ENTITIES)
    parser.attribList = []

    // namespaces form a prototype chain.
    // it always points at the current tag,
    // which protos to its parent tag.
    if (parser.opt.xmlns) {
      parser.ns = Object.create(rootNS)
    }

    // mostly just for error reporting
    parser.trackPosition = parser.opt.position !== false
    if (parser.trackPosition) {
      parser.position = parser.line = parser.column = 0
    }
    emit(parser, 'onready')
  }

  if (!Object.create) {
    Object.create = function (o) {
      function F () {}
      F.prototype = o
      var newf = new F()
      return newf
    }
  }

  if (!Object.keys) {
    Object.keys = function (o) {
      var a = []
      for (var i in o) if (o.hasOwnProperty(i)) a.push(i)
      return a
    }
  }

  function checkBufferLength (parser) {
    var maxAllowed = Math.max(sax.MAX_BUFFER_LENGTH, 10)
    var maxActual = 0
    for (var i = 0, l = buffers.length; i < l; i++) {
      var len = parser[buffers[i]].length
      if (len > maxAllowed) {
        // Text/cdata nodes can get big, and since they're buffered,
        // we can get here under normal conditions.
        // Avoid issues by emitting the text node now,
        // so at least it won't get any bigger.
        switch (buffers[i]) {
          case 'textNode':
            closeText(parser)
            break

          case 'cdata':
            emitNode(parser, 'oncdata', parser.cdata)
            parser.cdata = ''
            break

          case 'script':
            emitNode(parser, 'onscript', parser.script)
            parser.script = ''
            break

          default:
            error(parser, 'Max buffer length exceeded: ' + buffers[i])
        }
      }
      maxActual = Math.max(maxActual, len)
    }
    // schedule the next check for the earliest possible buffer overrun.
    var m = sax.MAX_BUFFER_LENGTH - maxActual
    parser.bufferCheckPosition = m + parser.position
  }

  function clearBuffers (parser) {
    for (var i = 0, l = buffers.length; i < l; i++) {
      parser[buffers[i]] = ''
    }
  }

  function flushBuffers (parser) {
    closeText(parser)
    if (parser.cdata !== '') {
      emitNode(parser, 'oncdata', parser.cdata)
      parser.cdata = ''
    }
    if (parser.script !== '') {
      emitNode(parser, 'onscript', parser.script)
      parser.script = ''
    }
  }

  SAXParser.prototype = {
    end: function () { end(this) },
    write: write,
    resume: function () { this.error = null; return this },
    close: function () { return this.write(null) },
    flush: function () { flushBuffers(this) }
  }

  var Stream
  try {
    Stream = (__nccwpck_require__(12781).Stream)
  } catch (ex) {
    Stream = function () {}
  }

  var streamWraps = sax.EVENTS.filter(function (ev) {
    return ev !== 'error' && ev !== 'end'
  })

  function createStream (strict, opt) {
    return new SAXStream(strict, opt)
  }

  function SAXStream (strict, opt) {
    if (!(this instanceof SAXStream)) {
      return new SAXStream(strict, opt)
    }

    Stream.apply(this)

    this._parser = new SAXParser(strict, opt)
    this.writable = true
    this.readable = true

    var me = this

    this._parser.onend = function () {
      me.emit('end')
    }

    this._parser.onerror = function (er) {
      me.emit('error', er)

      // if didn't throw, then means error was handled.
      // go ahead and clear error, so we can write again.
      me._parser.error = null
    }

    this._decoder = null

    streamWraps.forEach(function (ev) {
      Object.defineProperty(me, 'on' + ev, {
        get: function () {
          return me._parser['on' + ev]
        },
        set: function (h) {
          if (!h) {
            me.removeAllListeners(ev)
            me._parser['on' + ev] = h
            return h
          }
          me.on(ev, h)
        },
        enumerable: true,
        configurable: false
      })
    })
  }

  SAXStream.prototype = Object.create(Stream.prototype, {
    constructor: {
      value: SAXStream
    }
  })

  SAXStream.prototype.write = function (data) {
    if (typeof Buffer === 'function' &&
      typeof Buffer.isBuffer === 'function' &&
      Buffer.isBuffer(data)) {
      if (!this._decoder) {
        var SD = (__nccwpck_require__(71576).StringDecoder)
        this._decoder = new SD('utf8')
      }
      data = this._decoder.write(data)
    }

    this._parser.write(data.toString())
    this.emit('data', data)
    return true
  }

  SAXStream.prototype.end = function (chunk) {
    if (chunk && chunk.length) {
      this.write(chunk)
    }
    this._parser.end()
    return true
  }

  SAXStream.prototype.on = function (ev, handler) {
    var me = this
    if (!me._parser['on' + ev] && streamWraps.indexOf(ev) !== -1) {
      me._parser['on' + ev] = function () {
        var args = arguments.length === 1 ? [arguments[0]] : Array.apply(null, arguments)
        args.splice(0, 0, ev)
        me.emit.apply(me, args)
      }
    }

    return Stream.prototype.on.call(me, ev, handler)
  }

  // character classes and tokens
  var whitespace = '\r\n\t '

  // this really needs to be replaced with character classes.
  // XML allows all manner of ridiculous numbers and digits.
  var number = '0124356789'
  var letter = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ'

  // (Letter | "_" | ":")
  var quote = '\'"'
  var attribEnd = whitespace + '>'
  var CDATA = '[CDATA['
  var DOCTYPE = 'DOCTYPE'
  var XML_NAMESPACE = 'http://www.w3.org/XML/1998/namespace'
  var XMLNS_NAMESPACE = 'http://www.w3.org/2000/xmlns/'
  var rootNS = { xml: XML_NAMESPACE, xmlns: XMLNS_NAMESPACE }

  // turn all the string character sets into character class objects.
  whitespace = charClass(whitespace)
  number = charClass(number)
  letter = charClass(letter)

  // http://www.w3.org/TR/REC-xml/#NT-NameStartChar
  // This implementation works on strings, a single character at a time
  // as such, it cannot ever support astral-plane characters (10000-EFFFF)
  // without a significant breaking change to either this  parser, or the
  // JavaScript language.  Implementation of an emoji-capable xml parser
  // is left as an exercise for the reader.
  var nameStart = /[:_A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]/

  var nameBody = /[:_A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD\u00B7\u0300-\u036F\u203F-\u2040\.\d-]/

  var entityStart = /[#:_A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]/
  var entityBody = /[#:_A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD\u00B7\u0300-\u036F\u203F-\u2040\.\d-]/

  quote = charClass(quote)
  attribEnd = charClass(attribEnd)

  function charClass (str) {
    return str.split('').reduce(function (s, c) {
      s[c] = true
      return s
    }, {})
  }

  function isRegExp (c) {
    return Object.prototype.toString.call(c) === '[object RegExp]'
  }

  function is (charclass, c) {
    return isRegExp(charclass) ? !!c.match(charclass) : charclass[c]
  }

  function not (charclass, c) {
    return !is(charclass, c)
  }

  var S = 0
  sax.STATE = {
    BEGIN: S++, // leading byte order mark or whitespace
    BEGIN_WHITESPACE: S++, // leading whitespace
    TEXT: S++, // general stuff
    TEXT_ENTITY: S++, // &amp and such.
    OPEN_WAKA: S++, // <
    SGML_DECL: S++, // <!BLARG
    SGML_DECL_QUOTED: S++, // <!BLARG foo "bar
    DOCTYPE: S++, // <!DOCTYPE
    DOCTYPE_QUOTED: S++, // <!DOCTYPE "//blah
    DOCTYPE_DTD: S++, // <!DOCTYPE "//blah" [ ...
    DOCTYPE_DTD_QUOTED: S++, // <!DOCTYPE "//blah" [ "foo
    COMMENT_STARTING: S++, // <!-
    COMMENT: S++, // <!--
    COMMENT_ENDING: S++, // <!-- blah -
    COMMENT_ENDED: S++, // <!-- blah --
    CDATA: S++, // <![CDATA[ something
    CDATA_ENDING: S++, // ]
    CDATA_ENDING_2: S++, // ]]
    PROC_INST: S++, // <?hi
    PROC_INST_BODY: S++, // <?hi there
    PROC_INST_ENDING: S++, // <?hi "there" ?
    OPEN_TAG: S++, // <strong
    OPEN_TAG_SLASH: S++, // <strong /
    ATTRIB: S++, // <a
    ATTRIB_NAME: S++, // <a foo
    ATTRIB_NAME_SAW_WHITE: S++, // <a foo _
    ATTRIB_VALUE: S++, // <a foo=
    ATTRIB_VALUE_QUOTED: S++, // <a foo="bar
    ATTRIB_VALUE_CLOSED: S++, // <a foo="bar"
    ATTRIB_VALUE_UNQUOTED: S++, // <a foo=bar
    ATTRIB_VALUE_ENTITY_Q: S++, // <foo bar="&quot;"
    ATTRIB_VALUE_ENTITY_U: S++, // <foo bar=&quot
    CLOSE_TAG: S++, // </a
    CLOSE_TAG_SAW_WHITE: S++, // </a   >
    SCRIPT: S++, // <script> ...
    SCRIPT_ENDING: S++ // <script> ... <
  }

  sax.XML_ENTITIES = {
    'amp': '&',
    'gt': '>',
    'lt': '<',
    'quot': '"',
    'apos': "'"
  }

  sax.ENTITIES = {
    'amp': '&',
    'gt': '>',
    'lt': '<',
    'quot': '"',
    'apos': "'",
    'AElig': 198,
    'Aacute': 193,
    'Acirc': 194,
    'Agrave': 192,
    'Aring': 197,
    'Atilde': 195,
    'Auml': 196,
    'Ccedil': 199,
    'ETH': 208,
    'Eacute': 201,
    'Ecirc': 202,
    'Egrave': 200,
    'Euml': 203,
    'Iacute': 205,
    'Icirc': 206,
    'Igrave': 204,
    'Iuml': 207,
    'Ntilde': 209,
    'Oacute': 211,
    'Ocirc': 212,
    'Ograve': 210,
    'Oslash': 216,
    'Otilde': 213,
    'Ouml': 214,
    'THORN': 222,
    'Uacute': 218,
    'Ucirc': 219,
    'Ugrave': 217,
    'Uuml': 220,
    'Yacute': 221,
    'aacute': 225,
    'acirc': 226,
    'aelig': 230,
    'agrave': 224,
    'aring': 229,
    'atilde': 227,
    'auml': 228,
    'ccedil': 231,
    'eacute': 233,
    'ecirc': 234,
    'egrave': 232,
    'eth': 240,
    'euml': 235,
    'iacute': 237,
    'icirc': 238,
    'igrave': 236,
    'iuml': 239,
    'ntilde': 241,
    'oacute': 243,
    'ocirc': 244,
    'ograve': 242,
    'oslash': 248,
    'otilde': 245,
    'ouml': 246,
    'szlig': 223,
    'thorn': 254,
    'uacute': 250,
    'ucirc': 251,
    'ugrave': 249,
    'uuml': 252,
    'yacute': 253,
    'yuml': 255,
    'copy': 169,
    'reg': 174,
    'nbsp': 160,
    'iexcl': 161,
    'cent': 162,
    'pound': 163,
    'curren': 164,
    'yen': 165,
    'brvbar': 166,
    'sect': 167,
    'uml': 168,
    'ordf': 170,
    'laquo': 171,
    'not': 172,
    'shy': 173,
    'macr': 175,
    'deg': 176,
    'plusmn': 177,
    'sup1': 185,
    'sup2': 178,
    'sup3': 179,
    'acute': 180,
    'micro': 181,
    'para': 182,
    'middot': 183,
    'cedil': 184,
    'ordm': 186,
    'raquo': 187,
    'frac14': 188,
    'frac12': 189,
    'frac34': 190,
    'iquest': 191,
    'times': 215,
    'divide': 247,
    'OElig': 338,
    'oelig': 339,
    'Scaron': 352,
    'scaron': 353,
    'Yuml': 376,
    'fnof': 402,
    'circ': 710,
    'tilde': 732,
    'Alpha': 913,
    'Beta': 914,
    'Gamma': 915,
    'Delta': 916,
    'Epsilon': 917,
    'Zeta': 918,
    'Eta': 919,
    'Theta': 920,
    'Iota': 921,
    'Kappa': 922,
    'Lambda': 923,
    'Mu': 924,
    'Nu': 925,
    'Xi': 926,
    'Omicron': 927,
    'Pi': 928,
    'Rho': 929,
    'Sigma': 931,
    'Tau': 932,
    'Upsilon': 933,
    'Phi': 934,
    'Chi': 935,
    'Psi': 936,
    'Omega': 937,
    'alpha': 945,
    'beta': 946,
    'gamma': 947,
    'delta': 948,
    'epsilon': 949,
    'zeta': 950,
    'eta': 951,
    'theta': 952,
    'iota': 953,
    'kappa': 954,
    'lambda': 955,
    'mu': 956,
    'nu': 957,
    'xi': 958,
    'omicron': 959,
    'pi': 960,
    'rho': 961,
    'sigmaf': 962,
    'sigma': 963,
    'tau': 964,
    'upsilon': 965,
    'phi': 966,
    'chi': 967,
    'psi': 968,
    'omega': 969,
    'thetasym': 977,
    'upsih': 978,
    'piv': 982,
    'ensp': 8194,
    'emsp': 8195,
    'thinsp': 8201,
    'zwnj': 8204,
    'zwj': 8205,
    'lrm': 8206,
    'rlm': 8207,
    'ndash': 8211,
    'mdash': 8212,
    'lsquo': 8216,
    'rsquo': 8217,
    'sbquo': 8218,
    'ldquo': 8220,
    'rdquo': 8221,
    'bdquo': 8222,
    'dagger': 8224,
    'Dagger': 8225,
    'bull': 8226,
    'hellip': 8230,
    'permil': 8240,
    'prime': 8242,
    'Prime': 8243,
    'lsaquo': 8249,
    'rsaquo': 8250,
    'oline': 8254,
    'frasl': 8260,
    'euro': 8364,
    'image': 8465,
    'weierp': 8472,
    'real': 8476,
    'trade': 8482,
    'alefsym': 8501,
    'larr': 8592,
    'uarr': 8593,
    'rarr': 8594,
    'darr': 8595,
    'harr': 8596,
    'crarr': 8629,
    'lArr': 8656,
    'uArr': 8657,
    'rArr': 8658,
    'dArr': 8659,
    'hArr': 8660,
    'forall': 8704,
    'part': 8706,
    'exist': 8707,
    'empty': 8709,
    'nabla': 8711,
    'isin': 8712,
    'notin': 8713,
    'ni': 8715,
    'prod': 8719,
    'sum': 8721,
    'minus': 8722,
    'lowast': 8727,
    'radic': 8730,
    'prop': 8733,
    'infin': 8734,
    'ang': 8736,
    'and': 8743,
    'or': 8744,
    'cap': 8745,
    'cup': 8746,
    'int': 8747,
    'there4': 8756,
    'sim': 8764,
    'cong': 8773,
    'asymp': 8776,
    'ne': 8800,
    'equiv': 8801,
    'le': 8804,
    'ge': 8805,
    'sub': 8834,
    'sup': 8835,
    'nsub': 8836,
    'sube': 8838,
    'supe': 8839,
    'oplus': 8853,
    'otimes': 8855,
    'perp': 8869,
    'sdot': 8901,
    'lceil': 8968,
    'rceil': 8969,
    'lfloor': 8970,
    'rfloor': 8971,
    'lang': 9001,
    'rang': 9002,
    'loz': 9674,
    'spades': 9824,
    'clubs': 9827,
    'hearts': 9829,
    'diams': 9830
  }

  Object.keys(sax.ENTITIES).forEach(function (key) {
    var e = sax.ENTITIES[key]
    var s = typeof e === 'number' ? String.fromCharCode(e) : e
    sax.ENTITIES[key] = s
  })

  for (var s in sax.STATE) {
    sax.STATE[sax.STATE[s]] = s
  }

  // shorthand
  S = sax.STATE

  function emit (parser, event, data) {
    parser[event] && parser[event](data)
  }

  function emitNode (parser, nodeType, data) {
    if (parser.textNode) closeText(parser)
    emit(parser, nodeType, data)
  }

  function closeText (parser) {
    parser.textNode = textopts(parser.opt, parser.textNode)
    if (parser.textNode) emit(parser, 'ontext', parser.textNode)
    parser.textNode = ''
  }

  function textopts (opt, text) {
    if (opt.trim) text = text.trim()
    if (opt.normalize) text = text.replace(/\s+/g, ' ')
    return text
  }

  function error (parser, er) {
    closeText(parser)
    if (parser.trackPosition) {
      er += '\nLine: ' + parser.line +
        '\nColumn: ' + parser.column +
        '\nChar: ' + parser.c
    }
    er = new Error(er)
    parser.error = er
    emit(parser, 'onerror', er)
    return parser
  }

  function end (parser) {
    if (parser.sawRoot && !parser.closedRoot) strictFail(parser, 'Unclosed root tag')
    if ((parser.state !== S.BEGIN) &&
      (parser.state !== S.BEGIN_WHITESPACE) &&
      (parser.state !== S.TEXT)) {
      error(parser, 'Unexpected end')
    }
    closeText(parser)
    parser.c = ''
    parser.closed = true
    emit(parser, 'onend')
    SAXParser.call(parser, parser.strict, parser.opt)
    return parser
  }

  function strictFail (parser, message) {
    if (typeof parser !== 'object' || !(parser instanceof SAXParser)) {
      throw new Error('bad call to strictFail')
    }
    if (parser.strict) {
      error(parser, message)
    }
  }

  function newTag (parser) {
    if (!parser.strict) parser.tagName = parser.tagName[parser.looseCase]()
    var parent = parser.tags[parser.tags.length - 1] || parser
    var tag = parser.tag = { name: parser.tagName, attributes: {} }

    // will be overridden if tag contails an xmlns="foo" or xmlns:foo="bar"
    if (parser.opt.xmlns) {
      tag.ns = parent.ns
    }
    parser.attribList.length = 0
    emitNode(parser, 'onopentagstart', tag)
  }

  function qname (name, attribute) {
    var i = name.indexOf(':')
    var qualName = i < 0 ? [ '', name ] : name.split(':')
    var prefix = qualName[0]
    var local = qualName[1]

    // <x "xmlns"="http://foo">
    if (attribute && name === 'xmlns') {
      prefix = 'xmlns'
      local = ''
    }

    return { prefix: prefix, local: local }
  }

  function attrib (parser) {
    if (!parser.strict) {
      parser.attribName = parser.attribName[parser.looseCase]()
    }

    if (parser.attribList.indexOf(parser.attribName) !== -1 ||
      parser.tag.attributes.hasOwnProperty(parser.attribName)) {
      parser.attribName = parser.attribValue = ''
      return
    }

    if (parser.opt.xmlns) {
      var qn = qname(parser.attribName, true)
      var prefix = qn.prefix
      var local = qn.local

      if (prefix === 'xmlns') {
        // namespace binding attribute. push the binding into scope
        if (local === 'xml' && parser.attribValue !== XML_NAMESPACE) {
          strictFail(parser,
            'xml: prefix must be bound to ' + XML_NAMESPACE + '\n' +
            'Actual: ' + parser.attribValue)
        } else if (local === 'xmlns' && parser.attribValue !== XMLNS_NAMESPACE) {
          strictFail(parser,
            'xmlns: prefix must be bound to ' + XMLNS_NAMESPACE + '\n' +
            'Actual: ' + parser.attribValue)
        } else {
          var tag = parser.tag
          var parent = parser.tags[parser.tags.length - 1] || parser
          if (tag.ns === parent.ns) {
            tag.ns = Object.create(parent.ns)
          }
          tag.ns[local] = parser.attribValue
        }
      }

      // defer onattribute events until all attributes have been seen
      // so any new bindings can take effect. preserve attribute order
      // so deferred events can be emitted in document order
      parser.attribList.push([parser.attribName, parser.attribValue])
    } else {
      // in non-xmlns mode, we can emit the event right away
      parser.tag.attributes[parser.attribName] = parser.attribValue
      emitNode(parser, 'onattribute', {
        name: parser.attribName,
        value: parser.attribValue
      })
    }

    parser.attribName = parser.attribValue = ''
  }

  function openTag (parser, selfClosing) {
    if (parser.opt.xmlns) {
      // emit namespace binding events
      var tag = parser.tag

      // add namespace info to tag
      var qn = qname(parser.tagName)
      tag.prefix = qn.prefix
      tag.local = qn.local
      tag.uri = tag.ns[qn.prefix] || ''

      if (tag.prefix && !tag.uri) {
        strictFail(parser, 'Unbound namespace prefix: ' +
          JSON.stringify(parser.tagName))
        tag.uri = qn.prefix
      }

      var parent = parser.tags[parser.tags.length - 1] || parser
      if (tag.ns && parent.ns !== tag.ns) {
        Object.keys(tag.ns).forEach(function (p) {
          emitNode(parser, 'onopennamespace', {
            prefix: p,
            uri: tag.ns[p]
          })
        })
      }

      // handle deferred onattribute events
      // Note: do not apply default ns to attributes:
      //   http://www.w3.org/TR/REC-xml-names/#defaulting
      for (var i = 0, l = parser.attribList.length; i < l; i++) {
        var nv = parser.attribList[i]
        var name = nv[0]
        var value = nv[1]
        var qualName = qname(name, true)
        var prefix = qualName.prefix
        var local = qualName.local
        var uri = prefix === '' ? '' : (tag.ns[prefix] || '')
        var a = {
          name: name,
          value: value,
          prefix: prefix,
          local: local,
          uri: uri
        }

        // if there's any attributes with an undefined namespace,
        // then fail on them now.
        if (prefix && prefix !== 'xmlns' && !uri) {
          strictFail(parser, 'Unbound namespace prefix: ' +
            JSON.stringify(prefix))
          a.uri = prefix
        }
        parser.tag.attributes[name] = a
        emitNode(parser, 'onattribute', a)
      }
      parser.attribList.length = 0
    }

    parser.tag.isSelfClosing = !!selfClosing

    // process the tag
    parser.sawRoot = true
    parser.tags.push(parser.tag)
    emitNode(parser, 'onopentag', parser.tag)
    if (!selfClosing) {
      // special case for <script> in non-strict mode.
      if (!parser.noscript && parser.tagName.toLowerCase() === 'script') {
        parser.state = S.SCRIPT
      } else {
        parser.state = S.TEXT
      }
      parser.tag = null
      parser.tagName = ''
    }
    parser.attribName = parser.attribValue = ''
    parser.attribList.length = 0
  }

  function closeTag (parser) {
    if (!parser.tagName) {
      strictFail(parser, 'Weird empty close tag.')
      parser.textNode += '</>'
      parser.state = S.TEXT
      return
    }

    if (parser.script) {
      if (parser.tagName !== 'script') {
        parser.script += '</' + parser.tagName + '>'
        parser.tagName = ''
        parser.state = S.SCRIPT
        return
      }
      emitNode(parser, 'onscript', parser.script)
      parser.script = ''
    }

    // first make sure that the closing tag actually exists.
    // <a><b></c></b></a> will close everything, otherwise.
    var t = parser.tags.length
    var tagName = parser.tagName
    if (!parser.strict) {
      tagName = tagName[parser.looseCase]()
    }
    var closeTo = tagName
    while (t--) {
      var close = parser.tags[t]
      if (close.name !== closeTo) {
        // fail the first time in strict mode
        strictFail(parser, 'Unexpected close tag')
      } else {
        break
      }
    }

    // didn't find it.  we already failed for strict, so just abort.
    if (t < 0) {
      strictFail(parser, 'Unmatched closing tag: ' + parser.tagName)
      parser.textNode += '</' + parser.tagName + '>'
      parser.state = S.TEXT
      return
    }
    parser.tagName = tagName
    var s = parser.tags.length
    while (s-- > t) {
      var tag = parser.tag = parser.tags.pop()
      parser.tagName = parser.tag.name
      emitNode(parser, 'onclosetag', parser.tagName)

      var x = {}
      for (var i in tag.ns) {
        x[i] = tag.ns[i]
      }

      var parent = parser.tags[parser.tags.length - 1] || parser
      if (parser.opt.xmlns && tag.ns !== parent.ns) {
        // remove namespace bindings introduced by tag
        Object.keys(tag.ns).forEach(function (p) {
          var n = tag.ns[p]
          emitNode(parser, 'onclosenamespace', { prefix: p, uri: n })
        })
      }
    }
    if (t === 0) parser.closedRoot = true
    parser.tagName = parser.attribValue = parser.attribName = ''
    parser.attribList.length = 0
    parser.state = S.TEXT
  }

  function parseEntity (parser) {
    var entity = parser.entity
    var entityLC = entity.toLowerCase()
    var num
    var numStr = ''

    if (parser.ENTITIES[entity]) {
      return parser.ENTITIES[entity]
    }
    if (parser.ENTITIES[entityLC]) {
      return parser.ENTITIES[entityLC]
    }
    entity = entityLC
    if (entity.charAt(0) === '#') {
      if (entity.charAt(1) === 'x') {
        entity = entity.slice(2)
        num = parseInt(entity, 16)
        numStr = num.toString(16)
      } else {
        entity = entity.slice(1)
        num = parseInt(entity, 10)
        numStr = num.toString(10)
      }
    }
    entity = entity.replace(/^0+/, '')
    if (numStr.toLowerCase() !== entity) {
      strictFail(parser, 'Invalid character entity')
      return '&' + parser.entity + ';'
    }

    return String.fromCodePoint(num)
  }

  function beginWhiteSpace (parser, c) {
    if (c === '<') {
      parser.state = S.OPEN_WAKA
      parser.startTagPosition = parser.position
    } else if (not(whitespace, c)) {
      // have to process this as a text node.
      // weird, but happens.
      strictFail(parser, 'Non-whitespace before first tag.')
      parser.textNode = c
      parser.state = S.TEXT
    }
  }

  function charAt (chunk, i) {
    var result = ''
    if (i < chunk.length) {
      result = chunk.charAt(i)
    }
    return result
  }

  function write (chunk) {
    var parser = this
    if (this.error) {
      throw this.error
    }
    if (parser.closed) {
      return error(parser,
        'Cannot write after close. Assign an onready handler.')
    }
    if (chunk === null) {
      return end(parser)
    }
    if (typeof chunk === 'object') {
      chunk = chunk.toString()
    }
    var i = 0
    var c = ''
    while (true) {
      c = charAt(chunk, i++)
      parser.c = c
      if (!c) {
        break
      }
      if (parser.trackPosition) {
        parser.position++
        if (c === '\n') {
          parser.line++
          parser.column = 0
        } else {
          parser.column++
        }
      }
      switch (parser.state) {
        case S.BEGIN:
          parser.state = S.BEGIN_WHITESPACE
          if (c === '\uFEFF') {
            continue
          }
          beginWhiteSpace(parser, c)
          continue

        case S.BEGIN_WHITESPACE:
          beginWhiteSpace(parser, c)
          continue

        case S.TEXT:
          if (parser.sawRoot && !parser.closedRoot) {
            var starti = i - 1
            while (c && c !== '<' && c !== '&') {
              c = charAt(chunk, i++)
              if (c && parser.trackPosition) {
                parser.position++
                if (c === '\n') {
                  parser.line++
                  parser.column = 0
                } else {
                  parser.column++
                }
              }
            }
            parser.textNode += chunk.substring(starti, i - 1)
          }
          if (c === '<' && !(parser.sawRoot && parser.closedRoot && !parser.strict)) {
            parser.state = S.OPEN_WAKA
            parser.startTagPosition = parser.position
          } else {
            if (not(whitespace, c) && (!parser.sawRoot || parser.closedRoot)) {
              strictFail(parser, 'Text data outside of root node.')
            }
            if (c === '&') {
              parser.state = S.TEXT_ENTITY
            } else {
              parser.textNode += c
            }
          }
          continue

        case S.SCRIPT:
          // only non-strict
          if (c === '<') {
            parser.state = S.SCRIPT_ENDING
          } else {
            parser.script += c
          }
          continue

        case S.SCRIPT_ENDING:
          if (c === '/') {
            parser.state = S.CLOSE_TAG
          } else {
            parser.script += '<' + c
            parser.state = S.SCRIPT
          }
          continue

        case S.OPEN_WAKA:
          // either a /, ?, !, or text is coming next.
          if (c === '!') {
            parser.state = S.SGML_DECL
            parser.sgmlDecl = ''
          } else if (is(whitespace, c)) {
            // wait for it...
          } else if (is(nameStart, c)) {
            parser.state = S.OPEN_TAG
            parser.tagName = c
          } else if (c === '/') {
            parser.state = S.CLOSE_TAG
            parser.tagName = ''
          } else if (c === '?') {
            parser.state = S.PROC_INST
            parser.procInstName = parser.procInstBody = ''
          } else {
            strictFail(parser, 'Unencoded <')
            // if there was some whitespace, then add that in.
            if (parser.startTagPosition + 1 < parser.position) {
              var pad = parser.position - parser.startTagPosition
              c = new Array(pad).join(' ') + c
            }
            parser.textNode += '<' + c
            parser.state = S.TEXT
          }
          continue

        case S.SGML_DECL:
          if ((parser.sgmlDecl + c).toUpperCase() === CDATA) {
            emitNode(parser, 'onopencdata')
            parser.state = S.CDATA
            parser.sgmlDecl = ''
            parser.cdata = ''
          } else if (parser.sgmlDecl + c === '--') {
            parser.state = S.COMMENT
            parser.comment = ''
            parser.sgmlDecl = ''
          } else if ((parser.sgmlDecl + c).toUpperCase() === DOCTYPE) {
            parser.state = S.DOCTYPE
            if (parser.doctype || parser.sawRoot) {
              strictFail(parser,
                'Inappropriately located doctype declaration')
            }
            parser.doctype = ''
            parser.sgmlDecl = ''
          } else if (c === '>') {
            emitNode(parser, 'onsgmldeclaration', parser.sgmlDecl)
            parser.sgmlDecl = ''
            parser.state = S.TEXT
          } else if (is(quote, c)) {
            parser.state = S.SGML_DECL_QUOTED
            parser.sgmlDecl += c
          } else {
            parser.sgmlDecl += c
          }
          continue

        case S.SGML_DECL_QUOTED:
          if (c === parser.q) {
            parser.state = S.SGML_DECL
            parser.q = ''
          }
          parser.sgmlDecl += c
          continue

        case S.DOCTYPE:
          if (c === '>') {
            parser.state = S.TEXT
            emitNode(parser, 'ondoctype', parser.doctype)
            parser.doctype = true // just remember that we saw it.
          } else {
            parser.doctype += c
            if (c === '[') {
              parser.state = S.DOCTYPE_DTD
            } else if (is(quote, c)) {
              parser.state = S.DOCTYPE_QUOTED
              parser.q = c
            }
          }
          continue

        case S.DOCTYPE_QUOTED:
          parser.doctype += c
          if (c === parser.q) {
            parser.q = ''
            parser.state = S.DOCTYPE
          }
          continue

        case S.DOCTYPE_DTD:
          parser.doctype += c
          if (c === ']') {
            parser.state = S.DOCTYPE
          } else if (is(quote, c)) {
            parser.state = S.DOCTYPE_DTD_QUOTED
            parser.q = c
          }
          continue

        case S.DOCTYPE_DTD_QUOTED:
          parser.doctype += c
          if (c === parser.q) {
            parser.state = S.DOCTYPE_DTD
            parser.q = ''
          }
          continue

        case S.COMMENT:
          if (c === '-') {
            parser.state = S.COMMENT_ENDING
          } else {
            parser.comment += c
          }
          continue

        case S.COMMENT_ENDING:
          if (c === '-') {
            parser.state = S.COMMENT_ENDED
            parser.comment = textopts(parser.opt, parser.comment)
            if (parser.comment) {
              emitNode(parser, 'oncomment', parser.comment)
            }
            parser.comment = ''
          } else {
            parser.comment += '-' + c
            parser.state = S.COMMENT
          }
          continue

        case S.COMMENT_ENDED:
          if (c !== '>') {
            strictFail(parser, 'Malformed comment')
            // allow <!-- blah -- bloo --> in non-strict mode,
            // which is a comment of " blah -- bloo "
            parser.comment += '--' + c
            parser.state = S.COMMENT
          } else {
            parser.state = S.TEXT
          }
          continue

        case S.CDATA:
          if (c === ']') {
            parser.state = S.CDATA_ENDING
          } else {
            parser.cdata += c
          }
          continue

        case S.CDATA_ENDING:
          if (c === ']') {
            parser.state = S.CDATA_ENDING_2
          } else {
            parser.cdata += ']' + c
            parser.state = S.CDATA
          }
          continue

        case S.CDATA_ENDING_2:
          if (c === '>') {
            if (parser.cdata) {
              emitNode(parser, 'oncdata', parser.cdata)
            }
            emitNode(parser, 'onclosecdata')
            parser.cdata = ''
            parser.state = S.TEXT
          } else if (c === ']') {
            parser.cdata += ']'
          } else {
            parser.cdata += ']]' + c
            parser.state = S.CDATA
          }
          continue

        case S.PROC_INST:
          if (c === '?') {
            parser.state = S.PROC_INST_ENDING
          } else if (is(whitespace, c)) {
            parser.state = S.PROC_INST_BODY
          } else {
            parser.procInstName += c
          }
          continue

        case S.PROC_INST_BODY:
          if (!parser.procInstBody && is(whitespace, c)) {
            continue
          } else if (c === '?') {
            parser.state = S.PROC_INST_ENDING
          } else {
            parser.procInstBody += c
          }
          continue

        case S.PROC_INST_ENDING:
          if (c === '>') {
            emitNode(parser, 'onprocessinginstruction', {
              name: parser.procInstName,
              body: parser.procInstBody
            })
            parser.procInstName = parser.procInstBody = ''
            parser.state = S.TEXT
          } else {
            parser.procInstBody += '?' + c
            parser.state = S.PROC_INST_BODY
          }
          continue

        case S.OPEN_TAG:
          if (is(nameBody, c)) {
            parser.tagName += c
          } else {
            newTag(parser)
            if (c === '>') {
              openTag(parser)
            } else if (c === '/') {
              parser.state = S.OPEN_TAG_SLASH
            } else {
              if (not(whitespace, c)) {
                strictFail(parser, 'Invalid character in tag name')
              }
              parser.state = S.ATTRIB
            }
          }
          continue

        case S.OPEN_TAG_SLASH:
          if (c === '>') {
            openTag(parser, true)
            closeTag(parser)
          } else {
            strictFail(parser, 'Forward-slash in opening tag not followed by >')
            parser.state = S.ATTRIB
          }
          continue

        case S.ATTRIB:
          // haven't read the attribute name yet.
          if (is(whitespace, c)) {
            continue
          } else if (c === '>') {
            openTag(parser)
          } else if (c === '/') {
            parser.state = S.OPEN_TAG_SLASH
          } else if (is(nameStart, c)) {
            parser.attribName = c
            parser.attribValue = ''
            parser.state = S.ATTRIB_NAME
          } else {
            strictFail(parser, 'Invalid attribute name')
          }
          continue

        case S.ATTRIB_NAME:
          if (c === '=') {
            parser.state = S.ATTRIB_VALUE
          } else if (c === '>') {
            strictFail(parser, 'Attribute without value')
            parser.attribValue = parser.attribName
            attrib(parser)
            openTag(parser)
          } else if (is(whitespace, c)) {
            parser.state = S.ATTRIB_NAME_SAW_WHITE
          } else if (is(nameBody, c)) {
            parser.attribName += c
          } else {
            strictFail(parser, 'Invalid attribute name')
          }
          continue

        case S.ATTRIB_NAME_SAW_WHITE:
          if (c === '=') {
            parser.state = S.ATTRIB_VALUE
          } else if (is(whitespace, c)) {
            continue
          } else {
            strictFail(parser, 'Attribute without value')
            parser.tag.attributes[parser.attribName] = ''
            parser.attribValue = ''
            emitNode(parser, 'onattribute', {
              name: parser.attribName,
              value: ''
            })
            parser.attribName = ''
            if (c === '>') {
              openTag(parser)
            } else if (is(nameStart, c)) {
              parser.attribName = c
              parser.state = S.ATTRIB_NAME
            } else {
              strictFail(parser, 'Invalid attribute name')
              parser.state = S.ATTRIB
            }
          }
          continue

        case S.ATTRIB_VALUE:
          if (is(whitespace, c)) {
            continue
          } else if (is(quote, c)) {
            parser.q = c
            parser.state = S.ATTRIB_VALUE_QUOTED
          } else {
            strictFail(parser, 'Unquoted attribute value')
            parser.state = S.ATTRIB_VALUE_UNQUOTED
            parser.attribValue = c
          }
          continue

        case S.ATTRIB_VALUE_QUOTED:
          if (c !== parser.q) {
            if (c === '&') {
              parser.state = S.ATTRIB_VALUE_ENTITY_Q
            } else {
              parser.attribValue += c
            }
            continue
          }
          attrib(parser)
          parser.q = ''
          parser.state = S.ATTRIB_VALUE_CLOSED
          continue

        case S.ATTRIB_VALUE_CLOSED:
          if (is(whitespace, c)) {
            parser.state = S.ATTRIB
          } else if (c === '>') {
            openTag(parser)
          } else if (c === '/') {
            parser.state = S.OPEN_TAG_SLASH
          } else if (is(nameStart, c)) {
            strictFail(parser, 'No whitespace between attributes')
            parser.attribName = c
            parser.attribValue = ''
            parser.state = S.ATTRIB_NAME
          } else {
            strictFail(parser, 'Invalid attribute name')
          }
          continue

        case S.ATTRIB_VALUE_UNQUOTED:
          if (not(attribEnd, c)) {
            if (c === '&') {
              parser.state = S.ATTRIB_VALUE_ENTITY_U
            } else {
              parser.attribValue += c
            }
            continue
          }
          attrib(parser)
          if (c === '>') {
            openTag(parser)
          } else {
            parser.state = S.ATTRIB
          }
          continue

        case S.CLOSE_TAG:
          if (!parser.tagName) {
            if (is(whitespace, c)) {
              continue
            } else if (not(nameStart, c)) {
              if (parser.script) {
                parser.script += '</' + c
                parser.state = S.SCRIPT
              } else {
                strictFail(parser, 'Invalid tagname in closing tag.')
              }
            } else {
              parser.tagName = c
            }
          } else if (c === '>') {
            closeTag(parser)
          } else if (is(nameBody, c)) {
            parser.tagName += c
          } else if (parser.script) {
            parser.script += '</' + parser.tagName
            parser.tagName = ''
            parser.state = S.SCRIPT
          } else {
            if (not(whitespace, c)) {
              strictFail(parser, 'Invalid tagname in closing tag')
            }
            parser.state = S.CLOSE_TAG_SAW_WHITE
          }
          continue

        case S.CLOSE_TAG_SAW_WHITE:
          if (is(whitespace, c)) {
            continue
          }
          if (c === '>') {
            closeTag(parser)
          } else {
            strictFail(parser, 'Invalid characters in closing tag')
          }
          continue

        case S.TEXT_ENTITY:
        case S.ATTRIB_VALUE_ENTITY_Q:
        case S.ATTRIB_VALUE_ENTITY_U:
          var returnState
          var buffer
          switch (parser.state) {
            case S.TEXT_ENTITY:
              returnState = S.TEXT
              buffer = 'textNode'
              break

            case S.ATTRIB_VALUE_ENTITY_Q:
              returnState = S.ATTRIB_VALUE_QUOTED
              buffer = 'attribValue'
              break

            case S.ATTRIB_VALUE_ENTITY_U:
              returnState = S.ATTRIB_VALUE_UNQUOTED
              buffer = 'attribValue'
              break
          }

          if (c === ';') {
            parser[buffer] += parseEntity(parser)
            parser.entity = ''
            parser.state = returnState
          } else if (is(parser.entity.length ? entityBody : entityStart, c)) {
            parser.entity += c
          } else {
            strictFail(parser, 'Invalid character in entity name')
            parser[buffer] += '&' + parser.entity + c
            parser.entity = ''
            parser.state = returnState
          }

          continue

        default:
          throw new Error(parser, 'Unknown state: ' + parser.state)
      }
    } // while

    if (parser.position >= parser.bufferCheckPosition) {
      checkBufferLength(parser)
    }
    return parser
  }

  /*! http://mths.be/fromcodepoint v0.1.0 by @mathias */
  if (!String.fromCodePoint) {
    (function () {
      var stringFromCharCode = String.fromCharCode
      var floor = Math.floor
      var fromCodePoint = function () {
        var MAX_SIZE = 0x4000
        var codeUnits = []
        var highSurrogate
        var lowSurrogate
        var index = -1
        var length = arguments.length
        if (!length) {
          return ''
        }
        var result = ''
        while (++index < length) {
          var codePoint = Number(arguments[index])
          if (
            !isFinite(codePoint) || // `NaN`, `+Infinity`, or `-Infinity`
            codePoint < 0 || // not a valid Unicode code point
            codePoint > 0x10FFFF || // not a valid Unicode code point
            floor(codePoint) !== codePoint // not an integer
          ) {
            throw RangeError('Invalid code point: ' + codePoint)
          }
          if (codePoint <= 0xFFFF) { // BMP code point
            codeUnits.push(codePoint)
          } else { // Astral code point; split in surrogate halves
            // http://mathiasbynens.be/notes/javascript-encoding#surrogate-formulae
            codePoint -= 0x10000
            highSurrogate = (codePoint >> 10) + 0xD800
            lowSurrogate = (codePoint % 0x400) + 0xDC00
            codeUnits.push(highSurrogate, lowSurrogate)
          }
          if (index + 1 === length || codeUnits.length > MAX_SIZE) {
            result += stringFromCharCode.apply(null, codeUnits)
            codeUnits.length = 0
          }
        }
        return result
      }
      if (Object.defineProperty) {
        Object.defineProperty(String, 'fromCodePoint', {
          value: fromCodePoint,
          configurable: true,
          writable: true
        })
      } else {
        String.fromCodePoint = fromCodePoint
      }
    }())
  }
})( false ? 0 : exports)


/***/ }),

/***/ 85911:
/***/ ((module, exports) => {

exports = module.exports = SemVer

var debug
/* istanbul ignore next */
if (typeof process === 'object' &&
    process.env &&
    process.env.NODE_DEBUG &&
    /\bsemver\b/i.test(process.env.NODE_DEBUG)) {
  debug = function () {
    var args = Array.prototype.slice.call(arguments, 0)
    args.unshift('SEMVER')
    console.log.apply(console, args)
  }
} else {
  debug = function () {}
}

// Note: this is the semver.org version of the spec that it implements
// Not necessarily the package version of this code.
exports.SEMVER_SPEC_VERSION = '2.0.0'

var MAX_LENGTH = 256
var MAX_SAFE_INTEGER = Number.MAX_SAFE_INTEGER ||
  /* istanbul ignore next */ 9007199254740991

// Max safe segment length for coercion.
var MAX_SAFE_COMPONENT_LENGTH = 16

// The actual regexps go on exports.re
var re = exports.re = []
var src = exports.src = []
var t = exports.tokens = {}
var R = 0

function tok (n) {
  t[n] = R++
}

// The following Regular Expressions can be used for tokenizing,
// validating, and parsing SemVer version strings.

// ## Numeric Identifier
// A single `0`, or a non-zero digit followed by zero or more digits.

tok('NUMERICIDENTIFIER')
src[t.NUMERICIDENTIFIER] = '0|[1-9]\\d*'
tok('NUMERICIDENTIFIERLOOSE')
src[t.NUMERICIDENTIFIERLOOSE] = '[0-9]+'

// ## Non-numeric Identifier
// Zero or more digits, followed by a letter or hyphen, and then zero or
// more letters, digits, or hyphens.

tok('NONNUMERICIDENTIFIER')
src[t.NONNUMERICIDENTIFIER] = '\\d*[a-zA-Z-][a-zA-Z0-9-]*'

// ## Main Version
// Three dot-separated numeric identifiers.

tok('MAINVERSION')
src[t.MAINVERSION] = '(' + src[t.NUMERICIDENTIFIER] + ')\\.' +
                   '(' + src[t.NUMERICIDENTIFIER] + ')\\.' +
                   '(' + src[t.NUMERICIDENTIFIER] + ')'

tok('MAINVERSIONLOOSE')
src[t.MAINVERSIONLOOSE] = '(' + src[t.NUMERICIDENTIFIERLOOSE] + ')\\.' +
                        '(' + src[t.NUMERICIDENTIFIERLOOSE] + ')\\.' +
                        '(' + src[t.NUMERICIDENTIFIERLOOSE] + ')'

// ## Pre-release Version Identifier
// A numeric identifier, or a non-numeric identifier.

tok('PRERELEASEIDENTIFIER')
src[t.PRERELEASEIDENTIFIER] = '(?:' + src[t.NUMERICIDENTIFIER] +
                            '|' + src[t.NONNUMERICIDENTIFIER] + ')'

tok('PRERELEASEIDENTIFIERLOOSE')
src[t.PRERELEASEIDENTIFIERLOOSE] = '(?:' + src[t.NUMERICIDENTIFIERLOOSE] +
                                 '|' + src[t.NONNUMERICIDENTIFIER] + ')'

// ## Pre-release Version
// Hyphen, followed by one or more dot-separated pre-release version
// identifiers.

tok('PRERELEASE')
src[t.PRERELEASE] = '(?:-(' + src[t.PRERELEASEIDENTIFIER] +
                  '(?:\\.' + src[t.PRERELEASEIDENTIFIER] + ')*))'

tok('PRERELEASELOOSE')
src[t.PRERELEASELOOSE] = '(?:-?(' + src[t.PRERELEASEIDENTIFIERLOOSE] +
                       '(?:\\.' + src[t.PRERELEASEIDENTIFIERLOOSE] + ')*))'

// ## Build Metadata Identifier
// Any combination of digits, letters, or hyphens.

tok('BUILDIDENTIFIER')
src[t.BUILDIDENTIFIER] = '[0-9A-Za-z-]+'

// ## Build Metadata
// Plus sign, followed by one or more period-separated build metadata
// identifiers.

tok('BUILD')
src[t.BUILD] = '(?:\\+(' + src[t.BUILDIDENTIFIER] +
             '(?:\\.' + src[t.BUILDIDENTIFIER] + ')*))'

// ## Full Version String
// A main version, followed optionally by a pre-release version and
// build metadata.

// Note that the only major, minor, patch, and pre-release sections of
// the version string are capturing groups.  The build metadata is not a
// capturing group, because it should not ever be used in version
// comparison.

tok('FULL')
tok('FULLPLAIN')
src[t.FULLPLAIN] = 'v?' + src[t.MAINVERSION] +
                  src[t.PRERELEASE] + '?' +
                  src[t.BUILD] + '?'

src[t.FULL] = '^' + src[t.FULLPLAIN] + '$'

// like full, but allows v1.2.3 and =1.2.3, which people do sometimes.
// also, 1.0.0alpha1 (prerelease without the hyphen) which is pretty
// common in the npm registry.
tok('LOOSEPLAIN')
src[t.LOOSEPLAIN] = '[v=\\s]*' + src[t.MAINVERSIONLOOSE] +
                  src[t.PRERELEASELOOSE] + '?' +
                  src[t.BUILD] + '?'

tok('LOOSE')
src[t.LOOSE] = '^' + src[t.LOOSEPLAIN] + '$'

tok('GTLT')
src[t.GTLT] = '((?:<|>)?=?)'

// Something like "2.*" or "1.2.x".
// Note that "x.x" is a valid xRange identifer, meaning "any version"
// Only the first item is strictly required.
tok('XRANGEIDENTIFIERLOOSE')
src[t.XRANGEIDENTIFIERLOOSE] = src[t.NUMERICIDENTIFIERLOOSE] + '|x|X|\\*'
tok('XRANGEIDENTIFIER')
src[t.XRANGEIDENTIFIER] = src[t.NUMERICIDENTIFIER] + '|x|X|\\*'

tok('XRANGEPLAIN')
src[t.XRANGEPLAIN] = '[v=\\s]*(' + src[t.XRANGEIDENTIFIER] + ')' +
                   '(?:\\.(' + src[t.XRANGEIDENTIFIER] + ')' +
                   '(?:\\.(' + src[t.XRANGEIDENTIFIER] + ')' +
                   '(?:' + src[t.PRERELEASE] + ')?' +
                   src[t.BUILD] + '?' +
                   ')?)?'

tok('XRANGEPLAINLOOSE')
src[t.XRANGEPLAINLOOSE] = '[v=\\s]*(' + src[t.XRANGEIDENTIFIERLOOSE] + ')' +
                        '(?:\\.(' + src[t.XRANGEIDENTIFIERLOOSE] + ')' +
                        '(?:\\.(' + src[t.XRANGEIDENTIFIERLOOSE] + ')' +
                        '(?:' + src[t.PRERELEASELOOSE] + ')?' +
                        src[t.BUILD] + '?' +
                        ')?)?'

tok('XRANGE')
src[t.XRANGE] = '^' + src[t.GTLT] + '\\s*' + src[t.XRANGEPLAIN] + '$'
tok('XRANGELOOSE')
src[t.XRANGELOOSE] = '^' + src[t.GTLT] + '\\s*' + src[t.XRANGEPLAINLOOSE] + '$'

// Coercion.
// Extract anything that could conceivably be a part of a valid semver
tok('COERCE')
src[t.COERCE] = '(^|[^\\d])' +
              '(\\d{1,' + MAX_SAFE_COMPONENT_LENGTH + '})' +
              '(?:\\.(\\d{1,' + MAX_SAFE_COMPONENT_LENGTH + '}))?' +
              '(?:\\.(\\d{1,' + MAX_SAFE_COMPONENT_LENGTH + '}))?' +
              '(?:$|[^\\d])'
tok('COERCERTL')
re[t.COERCERTL] = new RegExp(src[t.COERCE], 'g')

// Tilde ranges.
// Meaning is "reasonably at or greater than"
tok('LONETILDE')
src[t.LONETILDE] = '(?:~>?)'

tok('TILDETRIM')
src[t.TILDETRIM] = '(\\s*)' + src[t.LONETILDE] + '\\s+'
re[t.TILDETRIM] = new RegExp(src[t.TILDETRIM], 'g')
var tildeTrimReplace = '$1~'

tok('TILDE')
src[t.TILDE] = '^' + src[t.LONETILDE] + src[t.XRANGEPLAIN] + '$'
tok('TILDELOOSE')
src[t.TILDELOOSE] = '^' + src[t.LONETILDE] + src[t.XRANGEPLAINLOOSE] + '$'

// Caret ranges.
// Meaning is "at least and backwards compatible with"
tok('LONECARET')
src[t.LONECARET] = '(?:\\^)'

tok('CARETTRIM')
src[t.CARETTRIM] = '(\\s*)' + src[t.LONECARET] + '\\s+'
re[t.CARETTRIM] = new RegExp(src[t.CARETTRIM], 'g')
var caretTrimReplace = '$1^'

tok('CARET')
src[t.CARET] = '^' + src[t.LONECARET] + src[t.XRANGEPLAIN] + '$'
tok('CARETLOOSE')
src[t.CARETLOOSE] = '^' + src[t.LONECARET] + src[t.XRANGEPLAINLOOSE] + '$'

// A simple gt/lt/eq thing, or just "" to indicate "any version"
tok('COMPARATORLOOSE')
src[t.COMPARATORLOOSE] = '^' + src[t.GTLT] + '\\s*(' + src[t.LOOSEPLAIN] + ')$|^$'
tok('COMPARATOR')
src[t.COMPARATOR] = '^' + src[t.GTLT] + '\\s*(' + src[t.FULLPLAIN] + ')$|^$'

// An expression to strip any whitespace between the gtlt and the thing
// it modifies, so that `> 1.2.3` ==> `>1.2.3`
tok('COMPARATORTRIM')
src[t.COMPARATORTRIM] = '(\\s*)' + src[t.GTLT] +
                      '\\s*(' + src[t.LOOSEPLAIN] + '|' + src[t.XRANGEPLAIN] + ')'

// this one has to use the /g flag
re[t.COMPARATORTRIM] = new RegExp(src[t.COMPARATORTRIM], 'g')
var comparatorTrimReplace = '$1$2$3'

// Something like `1.2.3 - 1.2.4`
// Note that these all use the loose form, because they'll be
// checked against either the strict or loose comparator form
// later.
tok('HYPHENRANGE')
src[t.HYPHENRANGE] = '^\\s*(' + src[t.XRANGEPLAIN] + ')' +
                   '\\s+-\\s+' +
                   '(' + src[t.XRANGEPLAIN] + ')' +
                   '\\s*$'

tok('HYPHENRANGELOOSE')
src[t.HYPHENRANGELOOSE] = '^\\s*(' + src[t.XRANGEPLAINLOOSE] + ')' +
                        '\\s+-\\s+' +
                        '(' + src[t.XRANGEPLAINLOOSE] + ')' +
                        '\\s*$'

// Star ranges basically just allow anything at all.
tok('STAR')
src[t.STAR] = '(<|>)?=?\\s*\\*'

// Compile to actual regexp objects.
// All are flag-free, unless they were created above with a flag.
for (var i = 0; i < R; i++) {
  debug(i, src[i])
  if (!re[i]) {
    re[i] = new RegExp(src[i])
  }
}

exports.parse = parse
function parse (version, options) {
  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    }
  }

  if (version instanceof SemVer) {
    return version
  }

  if (typeof version !== 'string') {
    return null
  }

  if (version.length > MAX_LENGTH) {
    return null
  }

  var r = options.loose ? re[t.LOOSE] : re[t.FULL]
  if (!r.test(version)) {
    return null
  }

  try {
    return new SemVer(version, options)
  } catch (er) {
    return null
  }
}

exports.valid = valid
function valid (version, options) {
  var v = parse(version, options)
  return v ? v.version : null
}

exports.clean = clean
function clean (version, options) {
  var s = parse(version.trim().replace(/^[=v]+/, ''), options)
  return s ? s.version : null
}

exports.SemVer = SemVer

function SemVer (version, options) {
  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    }
  }
  if (version instanceof SemVer) {
    if (version.loose === options.loose) {
      return version
    } else {
      version = version.version
    }
  } else if (typeof version !== 'string') {
    throw new TypeError('Invalid Version: ' + version)
  }

  if (version.length > MAX_LENGTH) {
    throw new TypeError('version is longer than ' + MAX_LENGTH + ' characters')
  }

  if (!(this instanceof SemVer)) {
    return new SemVer(version, options)
  }

  debug('SemVer', version, options)
  this.options = options
  this.loose = !!options.loose

  var m = version.trim().match(options.loose ? re[t.LOOSE] : re[t.FULL])

  if (!m) {
    throw new TypeError('Invalid Version: ' + version)
  }

  this.raw = version

  // these are actually numbers
  this.major = +m[1]
  this.minor = +m[2]
  this.patch = +m[3]

  if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
    throw new TypeError('Invalid major version')
  }

  if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
    throw new TypeError('Invalid minor version')
  }

  if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
    throw new TypeError('Invalid patch version')
  }

  // numberify any prerelease numeric ids
  if (!m[4]) {
    this.prerelease = []
  } else {
    this.prerelease = m[4].split('.').map(function (id) {
      if (/^[0-9]+$/.test(id)) {
        var num = +id
        if (num >= 0 && num < MAX_SAFE_INTEGER) {
          return num
        }
      }
      return id
    })
  }

  this.build = m[5] ? m[5].split('.') : []
  this.format()
}

SemVer.prototype.format = function () {
  this.version = this.major + '.' + this.minor + '.' + this.patch
  if (this.prerelease.length) {
    this.version += '-' + this.prerelease.join('.')
  }
  return this.version
}

SemVer.prototype.toString = function () {
  return this.version
}

SemVer.prototype.compare = function (other) {
  debug('SemVer.compare', this.version, this.options, other)
  if (!(other instanceof SemVer)) {
    other = new SemVer(other, this.options)
  }

  return this.compareMain(other) || this.comparePre(other)
}

SemVer.prototype.compareMain = function (other) {
  if (!(other instanceof SemVer)) {
    other = new SemVer(other, this.options)
  }

  return compareIdentifiers(this.major, other.major) ||
         compareIdentifiers(this.minor, other.minor) ||
         compareIdentifiers(this.patch, other.patch)
}

SemVer.prototype.comparePre = function (other) {
  if (!(other instanceof SemVer)) {
    other = new SemVer(other, this.options)
  }

  // NOT having a prerelease is > having one
  if (this.prerelease.length && !other.prerelease.length) {
    return -1
  } else if (!this.prerelease.length && other.prerelease.length) {
    return 1
  } else if (!this.prerelease.length && !other.prerelease.length) {
    return 0
  }

  var i = 0
  do {
    var a = this.prerelease[i]
    var b = other.prerelease[i]
    debug('prerelease compare', i, a, b)
    if (a === undefined && b === undefined) {
      return 0
    } else if (b === undefined) {
      return 1
    } else if (a === undefined) {
      return -1
    } else if (a === b) {
      continue
    } else {
      return compareIdentifiers(a, b)
    }
  } while (++i)
}

SemVer.prototype.compareBuild = function (other) {
  if (!(other instanceof SemVer)) {
    other = new SemVer(other, this.options)
  }

  var i = 0
  do {
    var a = this.build[i]
    var b = other.build[i]
    debug('prerelease compare', i, a, b)
    if (a === undefined && b === undefined) {
      return 0
    } else if (b === undefined) {
      return 1
    } else if (a === undefined) {
      return -1
    } else if (a === b) {
      continue
    } else {
      return compareIdentifiers(a, b)
    }
  } while (++i)
}

// preminor will bump the version up to the next minor release, and immediately
// down to pre-release. premajor and prepatch work the same way.
SemVer.prototype.inc = function (release, identifier) {
  switch (release) {
    case 'premajor':
      this.prerelease.length = 0
      this.patch = 0
      this.minor = 0
      this.major++
      this.inc('pre', identifier)
      break
    case 'preminor':
      this.prerelease.length = 0
      this.patch = 0
      this.minor++
      this.inc('pre', identifier)
      break
    case 'prepatch':
      // If this is already a prerelease, it will bump to the next version
      // drop any prereleases that might already exist, since they are not
      // relevant at this point.
      this.prerelease.length = 0
      this.inc('patch', identifier)
      this.inc('pre', identifier)
      break
    // If the input is a non-prerelease version, this acts the same as
    // prepatch.
    case 'prerelease':
      if (this.prerelease.length === 0) {
        this.inc('patch', identifier)
      }
      this.inc('pre', identifier)
      break

    case 'major':
      // If this is a pre-major version, bump up to the same major version.
      // Otherwise increment major.
      // 1.0.0-5 bumps to 1.0.0
      // 1.1.0 bumps to 2.0.0
      if (this.minor !== 0 ||
          this.patch !== 0 ||
          this.prerelease.length === 0) {
        this.major++
      }
      this.minor = 0
      this.patch = 0
      this.prerelease = []
      break
    case 'minor':
      // If this is a pre-minor version, bump up to the same minor version.
      // Otherwise increment minor.
      // 1.2.0-5 bumps to 1.2.0
      // 1.2.1 bumps to 1.3.0
      if (this.patch !== 0 || this.prerelease.length === 0) {
        this.minor++
      }
      this.patch = 0
      this.prerelease = []
      break
    case 'patch':
      // If this is not a pre-release version, it will increment the patch.
      // If it is a pre-release it will bump up to the same patch version.
      // 1.2.0-5 patches to 1.2.0
      // 1.2.0 patches to 1.2.1
      if (this.prerelease.length === 0) {
        this.patch++
      }
      this.prerelease = []
      break
    // This probably shouldn't be used publicly.
    // 1.0.0 "pre" would become 1.0.0-0 which is the wrong direction.
    case 'pre':
      if (this.prerelease.length === 0) {
        this.prerelease = [0]
      } else {
        var i = this.prerelease.length
        while (--i >= 0) {
          if (typeof this.prerelease[i] === 'number') {
            this.prerelease[i]++
            i = -2
          }
        }
        if (i === -1) {
          // didn't increment anything
          this.prerelease.push(0)
        }
      }
      if (identifier) {
        // 1.2.0-beta.1 bumps to 1.2.0-beta.2,
        // 1.2.0-beta.fooblz or 1.2.0-beta bumps to 1.2.0-beta.0
        if (this.prerelease[0] === identifier) {
          if (isNaN(this.prerelease[1])) {
            this.prerelease = [identifier, 0]
          }
        } else {
          this.prerelease = [identifier, 0]
        }
      }
      break

    default:
      throw new Error('invalid increment argument: ' + release)
  }
  this.format()
  this.raw = this.version
  return this
}

exports.inc = inc
function inc (version, release, loose, identifier) {
  if (typeof (loose) === 'string') {
    identifier = loose
    loose = undefined
  }

  try {
    return new SemVer(version, loose).inc(release, identifier).version
  } catch (er) {
    return null
  }
}

exports.diff = diff
function diff (version1, version2) {
  if (eq(version1, version2)) {
    return null
  } else {
    var v1 = parse(version1)
    var v2 = parse(version2)
    var prefix = ''
    if (v1.prerelease.length || v2.prerelease.length) {
      prefix = 'pre'
      var defaultResult = 'prerelease'
    }
    for (var key in v1) {
      if (key === 'major' || key === 'minor' || key === 'patch') {
        if (v1[key] !== v2[key]) {
          return prefix + key
        }
      }
    }
    return defaultResult // may be undefined
  }
}

exports.compareIdentifiers = compareIdentifiers

var numeric = /^[0-9]+$/
function compareIdentifiers (a, b) {
  var anum = numeric.test(a)
  var bnum = numeric.test(b)

  if (anum && bnum) {
    a = +a
    b = +b
  }

  return a === b ? 0
    : (anum && !bnum) ? -1
    : (bnum && !anum) ? 1
    : a < b ? -1
    : 1
}

exports.rcompareIdentifiers = rcompareIdentifiers
function rcompareIdentifiers (a, b) {
  return compareIdentifiers(b, a)
}

exports.major = major
function major (a, loose) {
  return new SemVer(a, loose).major
}

exports.minor = minor
function minor (a, loose) {
  return new SemVer(a, loose).minor
}

exports.patch = patch
function patch (a, loose) {
  return new SemVer(a, loose).patch
}

exports.compare = compare
function compare (a, b, loose) {
  return new SemVer(a, loose).compare(new SemVer(b, loose))
}

exports.compareLoose = compareLoose
function compareLoose (a, b) {
  return compare(a, b, true)
}

exports.compareBuild = compareBuild
function compareBuild (a, b, loose) {
  var versionA = new SemVer(a, loose)
  var versionB = new SemVer(b, loose)
  return versionA.compare(versionB) || versionA.compareBuild(versionB)
}

exports.rcompare = rcompare
function rcompare (a, b, loose) {
  return compare(b, a, loose)
}

exports.sort = sort
function sort (list, loose) {
  return list.sort(function (a, b) {
    return exports.compareBuild(a, b, loose)
  })
}

exports.rsort = rsort
function rsort (list, loose) {
  return list.sort(function (a, b) {
    return exports.compareBuild(b, a, loose)
  })
}

exports.gt = gt
function gt (a, b, loose) {
  return compare(a, b, loose) > 0
}

exports.lt = lt
function lt (a, b, loose) {
  return compare(a, b, loose) < 0
}

exports.eq = eq
function eq (a, b, loose) {
  return compare(a, b, loose) === 0
}

exports.neq = neq
function neq (a, b, loose) {
  return compare(a, b, loose) !== 0
}

exports.gte = gte
function gte (a, b, loose) {
  return compare(a, b, loose) >= 0
}

exports.lte = lte
function lte (a, b, loose) {
  return compare(a, b, loose) <= 0
}

exports.cmp = cmp
function cmp (a, op, b, loose) {
  switch (op) {
    case '===':
      if (typeof a === 'object')
        a = a.version
      if (typeof b === 'object')
        b = b.version
      return a === b

    case '!==':
      if (typeof a === 'object')
        a = a.version
      if (typeof b === 'object')
        b = b.version
      return a !== b

    case '':
    case '=':
    case '==':
      return eq(a, b, loose)

    case '!=':
      return neq(a, b, loose)

    case '>':
      return gt(a, b, loose)

    case '>=':
      return gte(a, b, loose)

    case '<':
      return lt(a, b, loose)

    case '<=':
      return lte(a, b, loose)

    default:
      throw new TypeError('Invalid operator: ' + op)
  }
}

exports.Comparator = Comparator
function Comparator (comp, options) {
  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    }
  }

  if (comp instanceof Comparator) {
    if (comp.loose === !!options.loose) {
      return comp
    } else {
      comp = comp.value
    }
  }

  if (!(this instanceof Comparator)) {
    return new Comparator(comp, options)
  }

  debug('comparator', comp, options)
  this.options = options
  this.loose = !!options.loose
  this.parse(comp)

  if (this.semver === ANY) {
    this.value = ''
  } else {
    this.value = this.operator + this.semver.version
  }

  debug('comp', this)
}

var ANY = {}
Comparator.prototype.parse = function (comp) {
  var r = this.options.loose ? re[t.COMPARATORLOOSE] : re[t.COMPARATOR]
  var m = comp.match(r)

  if (!m) {
    throw new TypeError('Invalid comparator: ' + comp)
  }

  this.operator = m[1] !== undefined ? m[1] : ''
  if (this.operator === '=') {
    this.operator = ''
  }

  // if it literally is just '>' or '' then allow anything.
  if (!m[2]) {
    this.semver = ANY
  } else {
    this.semver = new SemVer(m[2], this.options.loose)
  }
}

Comparator.prototype.toString = function () {
  return this.value
}

Comparator.prototype.test = function (version) {
  debug('Comparator.test', version, this.options.loose)

  if (this.semver === ANY || version === ANY) {
    return true
  }

  if (typeof version === 'string') {
    try {
      version = new SemVer(version, this.options)
    } catch (er) {
      return false
    }
  }

  return cmp(version, this.operator, this.semver, this.options)
}

Comparator.prototype.intersects = function (comp, options) {
  if (!(comp instanceof Comparator)) {
    throw new TypeError('a Comparator is required')
  }

  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    }
  }

  var rangeTmp

  if (this.operator === '') {
    if (this.value === '') {
      return true
    }
    rangeTmp = new Range(comp.value, options)
    return satisfies(this.value, rangeTmp, options)
  } else if (comp.operator === '') {
    if (comp.value === '') {
      return true
    }
    rangeTmp = new Range(this.value, options)
    return satisfies(comp.semver, rangeTmp, options)
  }

  var sameDirectionIncreasing =
    (this.operator === '>=' || this.operator === '>') &&
    (comp.operator === '>=' || comp.operator === '>')
  var sameDirectionDecreasing =
    (this.operator === '<=' || this.operator === '<') &&
    (comp.operator === '<=' || comp.operator === '<')
  var sameSemVer = this.semver.version === comp.semver.version
  var differentDirectionsInclusive =
    (this.operator === '>=' || this.operator === '<=') &&
    (comp.operator === '>=' || comp.operator === '<=')
  var oppositeDirectionsLessThan =
    cmp(this.semver, '<', comp.semver, options) &&
    ((this.operator === '>=' || this.operator === '>') &&
    (comp.operator === '<=' || comp.operator === '<'))
  var oppositeDirectionsGreaterThan =
    cmp(this.semver, '>', comp.semver, options) &&
    ((this.operator === '<=' || this.operator === '<') &&
    (comp.operator === '>=' || comp.operator === '>'))

  return sameDirectionIncreasing || sameDirectionDecreasing ||
    (sameSemVer && differentDirectionsInclusive) ||
    oppositeDirectionsLessThan || oppositeDirectionsGreaterThan
}

exports.Range = Range
function Range (range, options) {
  if (!options || typeof options !== 'object') {
    options = {
      loose: !!options,
      includePrerelease: false
    }
  }

  if (range instanceof Range) {
    if (range.loose === !!options.loose &&
        range.includePrerelease === !!options.includePrerelease) {
      return range
    } else {
      return new Range(range.raw, options)
    }
  }

  if (range instanceof Comparator) {
    return new Range(range.value, options)
  }

  if (!(this instanceof Range)) {
    return new Range(range, options)
  }

  this.options = options
  this.loose = !!options.loose
  this.includePrerelease = !!options.includePrerelease

  // First, split based on boolean or ||
  this.raw = range
  this.set = range.split(/\s*\|\|\s*/).map(function (range) {
    return this.parseRange(range.trim())
  }, this).filter(function (c) {
    // throw out any that are not relevant for whatever reason
    return c.length
  })

  if (!this.set.length) {
    throw new TypeError('Invalid SemVer Range: ' + range)
  }

  this.format()
}

Range.prototype.format = function () {
  this.range = this.set.map(function (comps) {
    return comps.join(' ').trim()
  }).join('||').trim()
  return this.range
}

Range.prototype.toString = function () {
  return this.range
}

Range.prototype.parseRange = function (range) {
  var loose = this.options.loose
  range = range.trim()
  // `1.2.3 - 1.2.4` => `>=1.2.3 <=1.2.4`
  var hr = loose ? re[t.HYPHENRANGELOOSE] : re[t.HYPHENRANGE]
  range = range.replace(hr, hyphenReplace)
  debug('hyphen replace', range)
  // `> 1.2.3 < 1.2.5` => `>1.2.3 <1.2.5`
  range = range.replace(re[t.COMPARATORTRIM], comparatorTrimReplace)
  debug('comparator trim', range, re[t.COMPARATORTRIM])

  // `~ 1.2.3` => `~1.2.3`
  range = range.replace(re[t.TILDETRIM], tildeTrimReplace)

  // `^ 1.2.3` => `^1.2.3`
  range = range.replace(re[t.CARETTRIM], caretTrimReplace)

  // normalize spaces
  range = range.split(/\s+/).join(' ')

  // At this point, the range is completely trimmed and
  // ready to be split into comparators.

  var compRe = loose ? re[t.COMPARATORLOOSE] : re[t.COMPARATOR]
  var set = range.split(' ').map(function (comp) {
    return parseComparator(comp, this.options)
  }, this).join(' ').split(/\s+/)
  if (this.options.loose) {
    // in loose mode, throw out any that are not valid comparators
    set = set.filter(function (comp) {
      return !!comp.match(compRe)
    })
  }
  set = set.map(function (comp) {
    return new Comparator(comp, this.options)
  }, this)

  return set
}

Range.prototype.intersects = function (range, options) {
  if (!(range instanceof Range)) {
    throw new TypeError('a Range is required')
  }

  return this.set.some(function (thisComparators) {
    return (
      isSatisfiable(thisComparators, options) &&
      range.set.some(function (rangeComparators) {
        return (
          isSatisfiable(rangeComparators, options) &&
          thisComparators.every(function (thisComparator) {
            return rangeComparators.every(function (rangeComparator) {
              return thisComparator.intersects(rangeComparator, options)
            })
          })
        )
      })
    )
  })
}

// take a set of comparators and determine whether there
// exists a version which can satisfy it
function isSatisfiable (comparators, options) {
  var result = true
  var remainingComparators = comparators.slice()
  var testComparator = remainingComparators.pop()

  while (result && remainingComparators.length) {
    result = remainingComparators.every(function (otherComparator) {
      return testComparator.intersects(otherComparator, options)
    })

    testComparator = remainingComparators.pop()
  }

  return result
}

// Mostly just for testing and legacy API reasons
exports.toComparators = toComparators
function toComparators (range, options) {
  return new Range(range, options).set.map(function (comp) {
    return comp.map(function (c) {
      return c.value
    }).join(' ').trim().split(' ')
  })
}

// comprised of xranges, tildes, stars, and gtlt's at this point.
// already replaced the hyphen ranges
// turn into a set of JUST comparators.
function parseComparator (comp, options) {
  debug('comp', comp, options)
  comp = replaceCarets(comp, options)
  debug('caret', comp)
  comp = replaceTildes(comp, options)
  debug('tildes', comp)
  comp = replaceXRanges(comp, options)
  debug('xrange', comp)
  comp = replaceStars(comp, options)
  debug('stars', comp)
  return comp
}

function isX (id) {
  return !id || id.toLowerCase() === 'x' || id === '*'
}

// ~, ~> --> * (any, kinda silly)
// ~2, ~2.x, ~2.x.x, ~>2, ~>2.x ~>2.x.x --> >=2.0.0 <3.0.0
// ~2.0, ~2.0.x, ~>2.0, ~>2.0.x --> >=2.0.0 <2.1.0
// ~1.2, ~1.2.x, ~>1.2, ~>1.2.x --> >=1.2.0 <1.3.0
// ~1.2.3, ~>1.2.3 --> >=1.2.3 <1.3.0
// ~1.2.0, ~>1.2.0 --> >=1.2.0 <1.3.0
function replaceTildes (comp, options) {
  return comp.trim().split(/\s+/).map(function (comp) {
    return replaceTilde(comp, options)
  }).join(' ')
}

function replaceTilde (comp, options) {
  var r = options.loose ? re[t.TILDELOOSE] : re[t.TILDE]
  return comp.replace(r, function (_, M, m, p, pr) {
    debug('tilde', comp, _, M, m, p, pr)
    var ret

    if (isX(M)) {
      ret = ''
    } else if (isX(m)) {
      ret = '>=' + M + '.0.0 <' + (+M + 1) + '.0.0'
    } else if (isX(p)) {
      // ~1.2 == >=1.2.0 <1.3.0
      ret = '>=' + M + '.' + m + '.0 <' + M + '.' + (+m + 1) + '.0'
    } else if (pr) {
      debug('replaceTilde pr', pr)
      ret = '>=' + M + '.' + m + '.' + p + '-' + pr +
            ' <' + M + '.' + (+m + 1) + '.0'
    } else {
      // ~1.2.3 == >=1.2.3 <1.3.0
      ret = '>=' + M + '.' + m + '.' + p +
            ' <' + M + '.' + (+m + 1) + '.0'
    }

    debug('tilde return', ret)
    return ret
  })
}

// ^ --> * (any, kinda silly)
// ^2, ^2.x, ^2.x.x --> >=2.0.0 <3.0.0
// ^2.0, ^2.0.x --> >=2.0.0 <3.0.0
// ^1.2, ^1.2.x --> >=1.2.0 <2.0.0
// ^1.2.3 --> >=1.2.3 <2.0.0
// ^1.2.0 --> >=1.2.0 <2.0.0
function replaceCarets (comp, options) {
  return comp.trim().split(/\s+/).map(function (comp) {
    return replaceCaret(comp, options)
  }).join(' ')
}

function replaceCaret (comp, options) {
  debug('caret', comp, options)
  var r = options.loose ? re[t.CARETLOOSE] : re[t.CARET]
  return comp.replace(r, function (_, M, m, p, pr) {
    debug('caret', comp, _, M, m, p, pr)
    var ret

    if (isX(M)) {
      ret = ''
    } else if (isX(m)) {
      ret = '>=' + M + '.0.0 <' + (+M + 1) + '.0.0'
    } else if (isX(p)) {
      if (M === '0') {
        ret = '>=' + M + '.' + m + '.0 <' + M + '.' + (+m + 1) + '.0'
      } else {
        ret = '>=' + M + '.' + m + '.0 <' + (+M + 1) + '.0.0'
      }
    } else if (pr) {
      debug('replaceCaret pr', pr)
      if (M === '0') {
        if (m === '0') {
          ret = '>=' + M + '.' + m + '.' + p + '-' + pr +
                ' <' + M + '.' + m + '.' + (+p + 1)
        } else {
          ret = '>=' + M + '.' + m + '.' + p + '-' + pr +
                ' <' + M + '.' + (+m + 1) + '.0'
        }
      } else {
        ret = '>=' + M + '.' + m + '.' + p + '-' + pr +
              ' <' + (+M + 1) + '.0.0'
      }
    } else {
      debug('no pr')
      if (M === '0') {
        if (m === '0') {
          ret = '>=' + M + '.' + m + '.' + p +
                ' <' + M + '.' + m + '.' + (+p + 1)
        } else {
          ret = '>=' + M + '.' + m + '.' + p +
                ' <' + M + '.' + (+m + 1) + '.0'
        }
      } else {
        ret = '>=' + M + '.' + m + '.' + p +
              ' <' + (+M + 1) + '.0.0'
      }
    }

    debug('caret return', ret)
    return ret
  })
}

function replaceXRanges (comp, options) {
  debug('replaceXRanges', comp, options)
  return comp.split(/\s+/).map(function (comp) {
    return replaceXRange(comp, options)
  }).join(' ')
}

function replaceXRange (comp, options) {
  comp = comp.trim()
  var r = options.loose ? re[t.XRANGELOOSE] : re[t.XRANGE]
  return comp.replace(r, function (ret, gtlt, M, m, p, pr) {
    debug('xRange', comp, ret, gtlt, M, m, p, pr)
    var xM = isX(M)
    var xm = xM || isX(m)
    var xp = xm || isX(p)
    var anyX = xp

    if (gtlt === '=' && anyX) {
      gtlt = ''
    }

    // if we're including prereleases in the match, then we need
    // to fix this to -0, the lowest possible prerelease value
    pr = options.includePrerelease ? '-0' : ''

    if (xM) {
      if (gtlt === '>' || gtlt === '<') {
        // nothing is allowed
        ret = '<0.0.0-0'
      } else {
        // nothing is forbidden
        ret = '*'
      }
    } else if (gtlt && anyX) {
      // we know patch is an x, because we have any x at all.
      // replace X with 0
      if (xm) {
        m = 0
      }
      p = 0

      if (gtlt === '>') {
        // >1 => >=2.0.0
        // >1.2 => >=1.3.0
        // >1.2.3 => >= 1.2.4
        gtlt = '>='
        if (xm) {
          M = +M + 1
          m = 0
          p = 0
        } else {
          m = +m + 1
          p = 0
        }
      } else if (gtlt === '<=') {
        // <=0.7.x is actually <0.8.0, since any 0.7.x should
        // pass.  Similarly, <=7.x is actually <8.0.0, etc.
        gtlt = '<'
        if (xm) {
          M = +M + 1
        } else {
          m = +m + 1
        }
      }

      ret = gtlt + M + '.' + m + '.' + p + pr
    } else if (xm) {
      ret = '>=' + M + '.0.0' + pr + ' <' + (+M + 1) + '.0.0' + pr
    } else if (xp) {
      ret = '>=' + M + '.' + m + '.0' + pr +
        ' <' + M + '.' + (+m + 1) + '.0' + pr
    }

    debug('xRange return', ret)

    return ret
  })
}

// Because * is AND-ed with everything else in the comparator,
// and '' means "any version", just remove the *s entirely.
function replaceStars (comp, options) {
  debug('replaceStars', comp, options)
  // Looseness is ignored here.  star is always as loose as it gets!
  return comp.trim().replace(re[t.STAR], '')
}

// This function is passed to string.replace(re[t.HYPHENRANGE])
// M, m, patch, prerelease, build
// 1.2 - 3.4.5 => >=1.2.0 <=3.4.5
// 1.2.3 - 3.4 => >=1.2.0 <3.5.0 Any 3.4.x will do
// 1.2 - 3.4 => >=1.2.0 <3.5.0
function hyphenReplace ($0,
  from, fM, fm, fp, fpr, fb,
  to, tM, tm, tp, tpr, tb) {
  if (isX(fM)) {
    from = ''
  } else if (isX(fm)) {
    from = '>=' + fM + '.0.0'
  } else if (isX(fp)) {
    from = '>=' + fM + '.' + fm + '.0'
  } else {
    from = '>=' + from
  }

  if (isX(tM)) {
    to = ''
  } else if (isX(tm)) {
    to = '<' + (+tM + 1) + '.0.0'
  } else if (isX(tp)) {
    to = '<' + tM + '.' + (+tm + 1) + '.0'
  } else if (tpr) {
    to = '<=' + tM + '.' + tm + '.' + tp + '-' + tpr
  } else {
    to = '<=' + to
  }

  return (from + ' ' + to).trim()
}

// if ANY of the sets match ALL of its comparators, then pass
Range.prototype.test = function (version) {
  if (!version) {
    return false
  }

  if (typeof version === 'string') {
    try {
      version = new SemVer(version, this.options)
    } catch (er) {
      return false
    }
  }

  for (var i = 0; i < this.set.length; i++) {
    if (testSet(this.set[i], version, this.options)) {
      return true
    }
  }
  return false
}

function testSet (set, version, options) {
  for (var i = 0; i < set.length; i++) {
    if (!set[i].test(version)) {
      return false
    }
  }

  if (version.prerelease.length && !options.includePrerelease) {
    // Find the set of versions that are allowed to have prereleases
    // For example, ^1.2.3-pr.1 desugars to >=1.2.3-pr.1 <2.0.0
    // That should allow `1.2.3-pr.2` to pass.
    // However, `1.2.4-alpha.notready` should NOT be allowed,
    // even though it's within the range set by the comparators.
    for (i = 0; i < set.length; i++) {
      debug(set[i].semver)
      if (set[i].semver === ANY) {
        continue
      }

      if (set[i].semver.prerelease.length > 0) {
        var allowed = set[i].semver
        if (allowed.major === version.major &&
            allowed.minor === version.minor &&
            allowed.patch === version.patch) {
          return true
        }
      }
    }

    // Version has a -pre, but it's not one of the ones we like.
    return false
  }

  return true
}

exports.satisfies = satisfies
function satisfies (version, range, options) {
  try {
    range = new Range(range, options)
  } catch (er) {
    return false
  }
  return range.test(version)
}

exports.maxSatisfying = maxSatisfying
function maxSatisfying (versions, range, options) {
  var max = null
  var maxSV = null
  try {
    var rangeObj = new Range(range, options)
  } catch (er) {
    return null
  }
  versions.forEach(function (v) {
    if (rangeObj.test(v)) {
      // satisfies(v, range, options)
      if (!max || maxSV.compare(v) === -1) {
        // compare(max, v, true)
        max = v
        maxSV = new SemVer(max, options)
      }
    }
  })
  return max
}

exports.minSatisfying = minSatisfying
function minSatisfying (versions, range, options) {
  var min = null
  var minSV = null
  try {
    var rangeObj = new Range(range, options)
  } catch (er) {
    return null
  }
  versions.forEach(function (v) {
    if (rangeObj.test(v)) {
      // satisfies(v, range, options)
      if (!min || minSV.compare(v) === 1) {
        // compare(min, v, true)
        min = v
        minSV = new SemVer(min, options)
      }
    }
  })
  return min
}

exports.minVersion = minVersion
function minVersion (range, loose) {
  range = new Range(range, loose)

  var minver = new SemVer('0.0.0')
  if (range.test(minver)) {
    return minver
  }

  minver = new SemVer('0.0.0-0')
  if (range.test(minver)) {
    return minver
  }

  minver = null
  for (var i = 0; i < range.set.length; ++i) {
    var comparators = range.set[i]

    comparators.forEach(function (comparator) {
      // Clone to avoid manipulating the comparator's semver object.
      var compver = new SemVer(comparator.semver.version)
      switch (comparator.operator) {
        case '>':
          if (compver.prerelease.length === 0) {
            compver.patch++
          } else {
            compver.prerelease.push(0)
          }
          compver.raw = compver.format()
          /* fallthrough */
        case '':
        case '>=':
          if (!minver || gt(minver, compver)) {
            minver = compver
          }
          break
        case '<':
        case '<=':
          /* Ignore maximum versions */
          break
        /* istanbul ignore next */
        default:
          throw new Error('Unexpected operation: ' + comparator.operator)
      }
    })
  }

  if (minver && range.test(minver)) {
    return minver
  }

  return null
}

exports.validRange = validRange
function validRange (range, options) {
  try {
    // Return '*' instead of '' so that truthiness works.
    // This will throw if it's invalid anyway
    return new Range(range, options).range || '*'
  } catch (er) {
    return null
  }
}

// Determine if version is less than all the versions possible in the range
exports.ltr = ltr
function ltr (version, range, options) {
  return outside(version, range, '<', options)
}

// Determine if version is greater than all the versions possible in the range.
exports.gtr = gtr
function gtr (version, range, options) {
  return outside(version, range, '>', options)
}

exports.outside = outside
function outside (version, range, hilo, options) {
  version = new SemVer(version, options)
  range = new Range(range, options)

  var gtfn, ltefn, ltfn, comp, ecomp
  switch (hilo) {
    case '>':
      gtfn = gt
      ltefn = lte
      ltfn = lt
      comp = '>'
      ecomp = '>='
      break
    case '<':
      gtfn = lt
      ltefn = gte
      ltfn = gt
      comp = '<'
      ecomp = '<='
      break
    default:
      throw new TypeError('Must provide a hilo val of "<" or ">"')
  }

  // If it satisifes the range it is not outside
  if (satisfies(version, range, options)) {
    return false
  }

  // From now on, variable terms are as if we're in "gtr" mode.
  // but note that everything is flipped for the "ltr" function.

  for (var i = 0; i < range.set.length; ++i) {
    var comparators = range.set[i]

    var high = null
    var low = null

    comparators.forEach(function (comparator) {
      if (comparator.semver === ANY) {
        comparator = new Comparator('>=0.0.0')
      }
      high = high || comparator
      low = low || comparator
      if (gtfn(comparator.semver, high.semver, options)) {
        high = comparator
      } else if (ltfn(comparator.semver, low.semver, options)) {
        low = comparator
      }
    })

    // If the edge version comparator has a operator then our version
    // isn't outside it
    if (high.operator === comp || high.operator === ecomp) {
      return false
    }

    // If the lowest version comparator has an operator and our version
    // is less than it then it isn't higher than the range
    if ((!low.operator || low.operator === comp) &&
        ltefn(version, low.semver)) {
      return false
    } else if (low.operator === ecomp && ltfn(version, low.semver)) {
      return false
    }
  }
  return true
}

exports.prerelease = prerelease
function prerelease (version, options) {
  var parsed = parse(version, options)
  return (parsed && parsed.prerelease.length) ? parsed.prerelease : null
}

exports.intersects = intersects
function intersects (r1, r2, options) {
  r1 = new Range(r1, options)
  r2 = new Range(r2, options)
  return r1.intersects(r2)
}

exports.coerce = coerce
function coerce (version, options) {
  if (version instanceof SemVer) {
    return version
  }

  if (typeof version === 'number') {
    version = String(version)
  }

  if (typeof version !== 'string') {
    return null
  }

  options = options || {}

  var match = null
  if (!options.rtl) {
    match = version.match(re[t.COERCE])
  } else {
    // Find the right-most coercible string that does not share
    // a terminus with a more left-ward coercible string.
    // Eg, '1.2.3.4' wants to coerce '2.3.4', not '3.4' or '4'
    //
    // Walk through the string checking with a /g regexp
    // Manually set the index so as to pick up overlapping matches.
    // Stop when we get a match that ends at the string end, since no
    // coercible string can be more right-ward without the same terminus.
    var next
    while ((next = re[t.COERCERTL].exec(version)) &&
      (!match || match.index + match[0].length !== version.length)
    ) {
      if (!match ||
          next.index + next[0].length !== match.index + match[0].length) {
        match = next
      }
      re[t.COERCERTL].lastIndex = next.index + next[1].length + next[2].length
    }
    // leave it in a clean state
    re[t.COERCERTL].lastIndex = -1
  }

  if (match === null) {
    return null
  }

  return parse(match[2] +
    '.' + (match[3] || '0') +
    '.' + (match[4] || '0'), options)
}


/***/ }),

/***/ 46193:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const is = __nccwpck_require__(768);

/**
 * Boolean operations for bandbool.
 * @private
 */
const bool = {
  and: 'and',
  or: 'or',
  eor: 'eor'
};

/**
 * Remove alpha channel, if any. This is a no-op if the image does not have an alpha channel.
 *
 * See also {@link /api-operation#flatten|flatten}.
 *
 * @example
 * sharp('rgba.png')
 *   .removeAlpha()
 *   .toFile('rgb.png', function(err, info) {
 *     // rgb.png is a 3 channel image without an alpha channel
 *   });
 *
 * @returns {Sharp}
 */
function removeAlpha () {
  this.options.removeAlpha = true;
  return this;
}

/**
 * Ensure the output image has an alpha transparency channel.
 * If missing, the added alpha channel will have the specified
 * transparency level, defaulting to fully-opaque (1).
 * This is a no-op if the image already has an alpha channel.
 *
 * @since 0.21.2
 *
 * @example
 * // rgba.png will be a 4 channel image with a fully-opaque alpha channel
 * await sharp('rgb.jpg')
 *   .ensureAlpha()
 *   .toFile('rgba.png')
 *
 * @example
 * // rgba is a 4 channel image with a fully-transparent alpha channel
 * const rgba = await sharp(rgb)
 *   .ensureAlpha(0)
 *   .toBuffer();
 *
 * @param {number} [alpha=1] - alpha transparency level (0=fully-transparent, 1=fully-opaque)
 * @returns {Sharp}
 * @throws {Error} Invalid alpha transparency level
 */
function ensureAlpha (alpha) {
  if (is.defined(alpha)) {
    if (is.number(alpha) && is.inRange(alpha, 0, 1)) {
      this.options.ensureAlpha = alpha;
    } else {
      throw is.invalidParameterError('alpha', 'number between 0 and 1', alpha);
    }
  } else {
    this.options.ensureAlpha = 1;
  }
  return this;
}

/**
 * Extract a single channel from a multi-channel image.
 *
 * @example
 * // green.jpg is a greyscale image containing the green channel of the input
 * await sharp(input)
 *   .extractChannel('green')
 *   .toFile('green.jpg');
 *
 * @example
 * // red1 is the red value of the first pixel, red2 the second pixel etc.
 * const [red1, red2, ...] = await sharp(input)
 *   .extractChannel(0)
 *   .raw()
 *   .toBuffer();
 *
 * @param {number|string} channel - zero-indexed channel/band number to extract, or `red`, `green`, `blue` or `alpha`.
 * @returns {Sharp}
 * @throws {Error} Invalid channel
 */
function extractChannel (channel) {
  const channelMap = { red: 0, green: 1, blue: 2, alpha: 3 };
  if (Object.keys(channelMap).includes(channel)) {
    channel = channelMap[channel];
  }
  if (is.integer(channel) && is.inRange(channel, 0, 4)) {
    this.options.extractChannel = channel;
  } else {
    throw is.invalidParameterError('channel', 'integer or one of: red, green, blue, alpha', channel);
  }
  return this.toColourspace('b-w');
}

/**
 * Join one or more channels to the image.
 * The meaning of the added channels depends on the output colourspace, set with `toColourspace()`.
 * By default the output image will be web-friendly sRGB, with additional channels interpreted as alpha channels.
 * Channel ordering follows vips convention:
 * - sRGB: 0: Red, 1: Green, 2: Blue, 3: Alpha.
 * - CMYK: 0: Magenta, 1: Cyan, 2: Yellow, 3: Black, 4: Alpha.
 *
 * Buffers may be any of the image formats supported by sharp.
 * For raw pixel input, the `options` object should contain a `raw` attribute, which follows the format of the attribute of the same name in the `sharp()` constructor.
 *
 * @param {Array<string|Buffer>|string|Buffer} images - one or more images (file paths, Buffers).
 * @param {Object} options - image options, see `sharp()` constructor.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function joinChannel (images, options) {
  if (Array.isArray(images)) {
    images.forEach(function (image) {
      this.options.joinChannelIn.push(this._createInputDescriptor(image, options));
    }, this);
  } else {
    this.options.joinChannelIn.push(this._createInputDescriptor(images, options));
  }
  return this;
}

/**
 * Perform a bitwise boolean operation on all input image channels (bands) to produce a single channel output image.
 *
 * @example
 * sharp('3-channel-rgb-input.png')
 *   .bandbool(sharp.bool.and)
 *   .toFile('1-channel-output.png', function (err, info) {
 *     // The output will be a single channel image where each pixel `P = R & G & B`.
 *     // If `I(1,1) = [247, 170, 14] = [0b11110111, 0b10101010, 0b00001111]`
 *     // then `O(1,1) = 0b11110111 & 0b10101010 & 0b00001111 = 0b00000010 = 2`.
 *   });
 *
 * @param {string} boolOp - one of `and`, `or` or `eor` to perform that bitwise operation, like the C logic operators `&`, `|` and `^` respectively.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function bandbool (boolOp) {
  if (is.string(boolOp) && is.inArray(boolOp, ['and', 'or', 'eor'])) {
    this.options.bandBoolOp = boolOp;
  } else {
    throw is.invalidParameterError('boolOp', 'one of: and, or, eor', boolOp);
  }
  return this;
}

/**
 * Decorate the Sharp prototype with channel-related functions.
 * @private
 */
module.exports = function (Sharp) {
  Object.assign(Sharp.prototype, {
    // Public instance functions
    removeAlpha,
    ensureAlpha,
    extractChannel,
    joinChannel,
    bandbool
  });
  // Class attributes
  Sharp.bool = bool;
};


/***/ }),

/***/ 34144:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const color = __nccwpck_require__(87177);
const is = __nccwpck_require__(768);

/**
 * Colourspaces.
 * @private
 */
const colourspace = {
  multiband: 'multiband',
  'b-w': 'b-w',
  bw: 'b-w',
  cmyk: 'cmyk',
  srgb: 'srgb'
};

/**
 * Tint the image using the provided chroma while preserving the image luminance.
 * An alpha channel may be present and will be unchanged by the operation.
 *
 * @param {string|Object} rgb - parsed by the [color](https://www.npmjs.org/package/color) module to extract chroma values.
 * @returns {Sharp}
 * @throws {Error} Invalid parameter
 */
function tint (rgb) {
  const colour = color(rgb);
  this.options.tintA = colour.a();
  this.options.tintB = colour.b();
  return this;
}

/**
 * Convert to 8-bit greyscale; 256 shades of grey.
 * This is a linear operation. If the input image is in a non-linear colour space such as sRGB, use `gamma()` with `greyscale()` for the best results.
 * By default the output image will be web-friendly sRGB and contain three (identical) color channels.
 * This may be overridden by other sharp operations such as `toColourspace('b-w')`,
 * which will produce an output image containing one color channel.
 * An alpha channel may be present, and will be unchanged by the operation.
 * @param {Boolean} [greyscale=true]
 * @returns {Sharp}
 */
function greyscale (greyscale) {
  this.options.greyscale = is.bool(greyscale) ? greyscale : true;
  return this;
}

/**
 * Alternative spelling of `greyscale`.
 * @param {Boolean} [grayscale=true]
 * @returns {Sharp}
 */
function grayscale (grayscale) {
  return this.greyscale(grayscale);
}

/**
 * Set the pipeline colourspace.
 *
 * The input image will be converted to the provided colourspace at the start of the pipeline.
 * All operations will use this colourspace before converting to the output colourspace, as defined by {@link toColourspace}.
 *
 * This feature is experimental and has not yet been fully-tested with all operations.
 *
 * @since 0.29.0
 *
 * @example
 * // Run pipeline in 16 bits per channel RGB while converting final result to 8 bits per channel sRGB.
 * await sharp(input)
 *  .pipelineColourspace('rgb16')
 *  .toColourspace('srgb')
 *  .toFile('16bpc-pipeline-to-8bpc-output.png')
 *
 * @param {string} [colourspace] - pipeline colourspace e.g. `rgb16`, `scrgb`, `lab`, `grey16` [...](https://github.com/libvips/libvips/blob/41cff4e9d0838498487a00623462204eb10ee5b8/libvips/iofuncs/enumtypes.c#L774)
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function pipelineColourspace (colourspace) {
  if (!is.string(colourspace)) {
    throw is.invalidParameterError('colourspace', 'string', colourspace);
  }
  this.options.colourspaceInput = colourspace;
  return this;
}

/**
 * Alternative spelling of `pipelineColourspace`.
 * @param {string} [colorspace] - pipeline colorspace.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function pipelineColorspace (colorspace) {
  return this.pipelineColourspace(colorspace);
}

/**
 * Set the output colourspace.
 * By default output image will be web-friendly sRGB, with additional channels interpreted as alpha channels.
 *
 * @example
 * // Output 16 bits per pixel RGB
 * await sharp(input)
 *  .toColourspace('rgb16')
 *  .toFile('16-bpp.png')
 *
 * @param {string} [colourspace] - output colourspace e.g. `srgb`, `rgb`, `cmyk`, `lab`, `b-w` [...](https://github.com/libvips/libvips/blob/3c0bfdf74ce1dc37a6429bed47fa76f16e2cd70a/libvips/iofuncs/enumtypes.c#L777-L794)
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function toColourspace (colourspace) {
  if (!is.string(colourspace)) {
    throw is.invalidParameterError('colourspace', 'string', colourspace);
  }
  this.options.colourspace = colourspace;
  return this;
}

/**
 * Alternative spelling of `toColourspace`.
 * @param {string} [colorspace] - output colorspace.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function toColorspace (colorspace) {
  return this.toColourspace(colorspace);
}

/**
 * Update a colour attribute of the this.options Object.
 * @private
 * @param {string} key
 * @param {string|Object} value
 * @throws {Error} Invalid value
 */
function _setBackgroundColourOption (key, value) {
  if (is.defined(value)) {
    if (is.object(value) || is.string(value)) {
      const colour = color(value);
      this.options[key] = [
        colour.red(),
        colour.green(),
        colour.blue(),
        Math.round(colour.alpha() * 255)
      ];
    } else {
      throw is.invalidParameterError('background', 'object or string', value);
    }
  }
}

/**
 * Decorate the Sharp prototype with colour-related functions.
 * @private
 */
module.exports = function (Sharp) {
  Object.assign(Sharp.prototype, {
    // Public
    tint,
    greyscale,
    grayscale,
    pipelineColourspace,
    pipelineColorspace,
    toColourspace,
    toColorspace,
    // Private
    _setBackgroundColourOption
  });
  // Class attributes
  Sharp.colourspace = colourspace;
  Sharp.colorspace = colourspace;
};


/***/ }),

/***/ 77005:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const is = __nccwpck_require__(768);

/**
 * Blend modes.
 * @member
 * @private
 */
const blend = {
  clear: 'clear',
  source: 'source',
  over: 'over',
  in: 'in',
  out: 'out',
  atop: 'atop',
  dest: 'dest',
  'dest-over': 'dest-over',
  'dest-in': 'dest-in',
  'dest-out': 'dest-out',
  'dest-atop': 'dest-atop',
  xor: 'xor',
  add: 'add',
  saturate: 'saturate',
  multiply: 'multiply',
  screen: 'screen',
  overlay: 'overlay',
  darken: 'darken',
  lighten: 'lighten',
  'colour-dodge': 'colour-dodge',
  'color-dodge': 'colour-dodge',
  'colour-burn': 'colour-burn',
  'color-burn': 'colour-burn',
  'hard-light': 'hard-light',
  'soft-light': 'soft-light',
  difference: 'difference',
  exclusion: 'exclusion'
};

/**
 * Composite image(s) over the processed (resized, extracted etc.) image.
 *
 * The images to composite must be the same size or smaller than the processed image.
 * If both `top` and `left` options are provided, they take precedence over `gravity`.
 *
 * The `blend` option can be one of `clear`, `source`, `over`, `in`, `out`, `atop`,
 * `dest`, `dest-over`, `dest-in`, `dest-out`, `dest-atop`,
 * `xor`, `add`, `saturate`, `multiply`, `screen`, `overlay`, `darken`, `lighten`,
 * `colour-dodge`, `color-dodge`, `colour-burn`,`color-burn`,
 * `hard-light`, `soft-light`, `difference`, `exclusion`.
 *
 * More information about blend modes can be found at
 * https://libvips.github.io/libvips/API/current/libvips-conversion.html#VipsBlendMode
 * and https://www.cairographics.org/operators/
 *
 * @since 0.22.0
 *
 * @example
 * sharp('input.png')
 *   .rotate(180)
 *   .resize(300)
 *   .flatten( { background: '#ff6600' } )
 *   .composite([{ input: 'overlay.png', gravity: 'southeast' }])
 *   .sharpen()
 *   .withMetadata()
 *   .webp( { quality: 90 } )
 *   .toBuffer()
 *   .then(function(outputBuffer) {
 *     // outputBuffer contains upside down, 300px wide, alpha channel flattened
 *     // onto orange background, composited with overlay.png with SE gravity,
 *     // sharpened, with metadata, 90% quality WebP image data. Phew!
 *   });
 *
 * @param {Object[]} images - Ordered list of images to composite
 * @param {Buffer|String} [images[].input] - Buffer containing image data, String containing the path to an image file, or Create object (see below)
 * @param {Object} [images[].input.create] - describes a blank overlay to be created.
 * @param {Number} [images[].input.create.width]
 * @param {Number} [images[].input.create.height]
 * @param {Number} [images[].input.create.channels] - 3-4
 * @param {String|Object} [images[].input.create.background] - parsed by the [color](https://www.npmjs.org/package/color) module to extract values for red, green, blue and alpha.
 * @param {String} [images[].blend='over'] - how to blend this image with the image below.
 * @param {String} [images[].gravity='centre'] - gravity at which to place the overlay.
 * @param {Number} [images[].top] - the pixel offset from the top edge.
 * @param {Number} [images[].left] - the pixel offset from the left edge.
 * @param {Boolean} [images[].tile=false] - set to true to repeat the overlay image across the entire image with the given `gravity`.
 * @param {Boolean} [images[].premultiplied=false] - set to true to avoid premultipling the image below. Equivalent to the `--premultiplied` vips option.
 * @param {Number} [images[].density=72] - number representing the DPI for vector overlay image.
 * @param {Object} [images[].raw] - describes overlay when using raw pixel data.
 * @param {Number} [images[].raw.width]
 * @param {Number} [images[].raw.height]
 * @param {Number} [images[].raw.channels]
 * @param {boolean} [images[].failOnError=true] - @see {@link /api-constructor#parameters|constructor parameters}
 * @param {number|boolean} [images[].limitInputPixels=268402689] - @see {@link /api-constructor#parameters|constructor parameters}
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function composite (images) {
  if (!Array.isArray(images)) {
    throw is.invalidParameterError('images to composite', 'array', images);
  }
  this.options.composite = images.map(image => {
    if (!is.object(image)) {
      throw is.invalidParameterError('image to composite', 'object', image);
    }
    const inputOptions = this._inputOptionsFromObject(image);
    const composite = {
      input: this._createInputDescriptor(image.input, inputOptions, { allowStream: false }),
      blend: 'over',
      tile: false,
      left: 0,
      top: 0,
      hasOffset: false,
      gravity: 0,
      premultiplied: false
    };
    if (is.defined(image.blend)) {
      if (is.string(blend[image.blend])) {
        composite.blend = blend[image.blend];
      } else {
        throw is.invalidParameterError('blend', 'valid blend name', image.blend);
      }
    }
    if (is.defined(image.tile)) {
      if (is.bool(image.tile)) {
        composite.tile = image.tile;
      } else {
        throw is.invalidParameterError('tile', 'boolean', image.tile);
      }
    }
    if (is.defined(image.left)) {
      if (is.integer(image.left)) {
        composite.left = image.left;
      } else {
        throw is.invalidParameterError('left', 'integer', image.left);
      }
    }
    if (is.defined(image.top)) {
      if (is.integer(image.top)) {
        composite.top = image.top;
      } else {
        throw is.invalidParameterError('top', 'integer', image.top);
      }
    }
    if (is.defined(image.top) !== is.defined(image.left)) {
      throw new Error('Expected both left and top to be set');
    } else {
      composite.hasOffset = is.integer(image.top) && is.integer(image.left);
    }
    if (is.defined(image.gravity)) {
      if (is.integer(image.gravity) && is.inRange(image.gravity, 0, 8)) {
        composite.gravity = image.gravity;
      } else if (is.string(image.gravity) && is.integer(this.constructor.gravity[image.gravity])) {
        composite.gravity = this.constructor.gravity[image.gravity];
      } else {
        throw is.invalidParameterError('gravity', 'valid gravity', image.gravity);
      }
    }
    if (is.defined(image.premultiplied)) {
      if (is.bool(image.premultiplied)) {
        composite.premultiplied = image.premultiplied;
      } else {
        throw is.invalidParameterError('premultiplied', 'boolean', image.premultiplied);
      }
    }

    return composite;
  });
  return this;
}

/**
 * Decorate the Sharp prototype with composite-related functions.
 * @private
 */
module.exports = function (Sharp) {
  Sharp.prototype.composite = composite;
  Sharp.blend = blend;
};


/***/ }),

/***/ 99156:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const util = __nccwpck_require__(73837);
const stream = __nccwpck_require__(12781);
const is = __nccwpck_require__(768);

(__nccwpck_require__(60701).hasVendoredLibvips)();
__nccwpck_require__(48382);

// Use NODE_DEBUG=sharp to enable libvips warnings
const debuglog = util.debuglog('sharp');

/**
 * Constructor factory to create an instance of `sharp`, to which further methods are chained.
 *
 * JPEG, PNG, WebP, AVIF or TIFF format image data can be streamed out from this object.
 * When using Stream based output, derived attributes are available from the `info` event.
 *
 * Non-critical problems encountered during processing are emitted as `warning` events.
 *
 * Implements the [stream.Duplex](http://nodejs.org/api/stream.html#stream_class_stream_duplex) class.
 *
 * @constructs Sharp
 *
 * @emits Sharp#info
 * @emits Sharp#warning
 *
 * @example
 * sharp('input.jpg')
 *   .resize(300, 200)
 *   .toFile('output.jpg', function(err) {
 *     // output.jpg is a 300 pixels wide and 200 pixels high image
 *     // containing a scaled and cropped version of input.jpg
 *   });
 *
 * @example
 * // Read image data from readableStream,
 * // resize to 300 pixels wide,
 * // emit an 'info' event with calculated dimensions
 * // and finally write image data to writableStream
 * var transformer = sharp()
 *   .resize(300)
 *   .on('info', function(info) {
 *     console.log('Image height is ' + info.height);
 *   });
 * readableStream.pipe(transformer).pipe(writableStream);
 *
 * @example
 * // Create a blank 300x200 PNG image of semi-transluent red pixels
 * sharp({
 *   create: {
 *     width: 300,
 *     height: 200,
 *     channels: 4,
 *     background: { r: 255, g: 0, b: 0, alpha: 0.5 }
 *   }
 * })
 * .png()
 * .toBuffer()
 * .then( ... );
 *
 * @example
 * // Convert an animated GIF to an animated WebP
 * await sharp('in.gif', { animated: true }).toFile('out.webp');
 *
 * @example
 * // Read a raw array of pixels and save it to a png
 * const input = Uint8Array.from([255, 255, 255, 0, 0, 0]); // or Uint8ClampedArray
 * const image = sharp(input, {
 *   // because the input does not contain its dimensions or how many channels it has
 *   // we need to specify it in the constructor options
 *   raw: {
 *     width: 2,
 *     height: 1,
 *     channels: 3
 *   }
 * });
 * await image.toFile('my-two-pixels.png');
 *
 * @example
 * // Generate RGB Gaussian noise
 * await sharp({
 *   create: {
 *     width: 300,
 *     height: 200,
 *     channels: 3,
 *     noise: {
 *       type: 'gaussian',
 *       mean: 128,
 *       sigma: 30
 *     }
 *  }
 * }).toFile('noise.png');
 *
 * @param {(Buffer|Uint8Array|Uint8ClampedArray|Int8Array|Uint16Array|Int16Array|Uint32Array|Int32Array|Float32Array|Float64Array|string)} [input] - if present, can be
 *  a Buffer / Uint8Array / Uint8ClampedArray containing JPEG, PNG, WebP, AVIF, GIF, SVG or TIFF image data, or
 *  a TypedArray containing raw pixel image data, or
 *  a String containing the filesystem path to an JPEG, PNG, WebP, AVIF, GIF, SVG or TIFF image file.
 *  JPEG, PNG, WebP, AVIF, GIF, SVG, TIFF or raw pixel image data can be streamed into the object when not present.
 * @param {Object} [options] - if present, is an Object with optional attributes.
 * @param {boolean} [options.failOnError=true] - by default halt processing and raise an error when loading invalid images.
 *  Set this flag to `false` if you'd rather apply a "best effort" to decode images, even if the data is corrupt or invalid.
 * @param {number|boolean} [options.limitInputPixels=268402689] - Do not process input images where the number of pixels
 *  (width x height) exceeds this limit. Assumes image dimensions contained in the input metadata can be trusted.
 *  An integral Number of pixels, zero or false to remove limit, true to use default limit of 268402689 (0x3FFF x 0x3FFF).
 * @param {boolean} [options.sequentialRead=false] - Set this to `true` to use sequential rather than random access where possible.
 *  This can reduce memory usage and might improve performance on some systems.
 * @param {number} [options.density=72] - number representing the DPI for vector images in the range 1 to 100000.
 * @param {number} [options.pages=1] - number of pages to extract for multi-page input (GIF, WebP, AVIF, TIFF, PDF), use -1 for all pages.
 * @param {number} [options.page=0] - page number to start extracting from for multi-page input (GIF, WebP, AVIF, TIFF, PDF), zero based.
 * @param {number} [options.subifd=-1] - subIFD (Sub Image File Directory) to extract for OME-TIFF, defaults to main image.
 * @param {number} [options.level=0] - level to extract from a multi-level input (OpenSlide), zero based.
 * @param {boolean} [options.animated=false] - Set to `true` to read all frames/pages of an animated image (equivalent of setting `pages` to `-1`).
 * @param {Object} [options.raw] - describes raw pixel input image data. See `raw()` for pixel ordering.
 * @param {number} [options.raw.width] - integral number of pixels wide.
 * @param {number} [options.raw.height] - integral number of pixels high.
 * @param {number} [options.raw.channels] - integral number of channels, between 1 and 4.
 * @param {boolean} [options.raw.premultiplied] - specifies that the raw input has already been premultiplied, set to `true`
 *  to avoid sharp premultiplying the image. (optional, default `false`)
 * @param {Object} [options.create] - describes a new image to be created.
 * @param {number} [options.create.width] - integral number of pixels wide.
 * @param {number} [options.create.height] - integral number of pixels high.
 * @param {number} [options.create.channels] - integral number of channels, either 3 (RGB) or 4 (RGBA).
 * @param {string|Object} [options.create.background] - parsed by the [color](https://www.npmjs.org/package/color) module to extract values for red, green, blue and alpha.
 * @param {Object} [options.create.noise] - describes a noise to be created.
 * @param {string} [options.create.noise.type] - type of generated noise, currently only `gaussian` is supported.
 * @param {number} [options.create.noise.mean] - mean of pixels in generated noise.
 * @param {number} [options.create.noise.sigma] - standard deviation of pixels in generated noise.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
const Sharp = function (input, options) {
  if (arguments.length === 1 && !is.defined(input)) {
    throw new Error('Invalid input');
  }
  if (!(this instanceof Sharp)) {
    return new Sharp(input, options);
  }
  stream.Duplex.call(this);
  this.options = {
    // resize options
    topOffsetPre: -1,
    leftOffsetPre: -1,
    widthPre: -1,
    heightPre: -1,
    topOffsetPost: -1,
    leftOffsetPost: -1,
    widthPost: -1,
    heightPost: -1,
    width: -1,
    height: -1,
    canvas: 'crop',
    position: 0,
    resizeBackground: [0, 0, 0, 255],
    useExifOrientation: false,
    angle: 0,
    rotationAngle: 0,
    rotationBackground: [0, 0, 0, 255],
    rotateBeforePreExtract: false,
    flip: false,
    flop: false,
    extendTop: 0,
    extendBottom: 0,
    extendLeft: 0,
    extendRight: 0,
    extendBackground: [0, 0, 0, 255],
    withoutEnlargement: false,
    affineMatrix: [],
    affineBackground: [0, 0, 0, 255],
    affineIdx: 0,
    affineIdy: 0,
    affineOdx: 0,
    affineOdy: 0,
    affineInterpolator: this.constructor.interpolators.bilinear,
    kernel: 'lanczos3',
    fastShrinkOnLoad: true,
    // operations
    tintA: 128,
    tintB: 128,
    flatten: false,
    flattenBackground: [0, 0, 0],
    negate: false,
    negateAlpha: true,
    medianSize: 0,
    blurSigma: 0,
    sharpenSigma: 0,
    sharpenFlat: 1,
    sharpenJagged: 2,
    threshold: 0,
    thresholdGrayscale: true,
    trimThreshold: 0,
    gamma: 0,
    gammaOut: 0,
    greyscale: false,
    normalise: false,
    claheWidth: 0,
    claheHeight: 0,
    claheMaxSlope: 3,
    brightness: 1,
    saturation: 1,
    hue: 0,
    lightness: 0,
    booleanBufferIn: null,
    booleanFileIn: '',
    joinChannelIn: [],
    extractChannel: -1,
    removeAlpha: false,
    ensureAlpha: -1,
    colourspace: 'srgb',
    colourspaceInput: 'last',
    composite: [],
    // output
    fileOut: '',
    formatOut: 'input',
    streamOut: false,
    withMetadata: false,
    withMetadataOrientation: -1,
    withMetadataDensity: 0,
    withMetadataIcc: '',
    withMetadataStrs: {},
    resolveWithObject: false,
    // output format
    jpegQuality: 80,
    jpegProgressive: false,
    jpegChromaSubsampling: '4:2:0',
    jpegTrellisQuantisation: false,
    jpegOvershootDeringing: false,
    jpegOptimiseScans: false,
    jpegOptimiseCoding: true,
    jpegQuantisationTable: 0,
    pngProgressive: false,
    pngCompressionLevel: 6,
    pngAdaptiveFiltering: false,
    pngPalette: false,
    pngQuality: 100,
    pngBitdepth: 8,
    pngDither: 1,
    jp2Quality: 80,
    jp2TileHeight: 512,
    jp2TileWidth: 512,
    jp2Lossless: false,
    jp2ChromaSubsampling: '4:4:4',
    webpQuality: 80,
    webpAlphaQuality: 100,
    webpLossless: false,
    webpNearLossless: false,
    webpSmartSubsample: false,
    webpReductionEffort: 4,
    tiffQuality: 80,
    tiffCompression: 'jpeg',
    tiffPredictor: 'horizontal',
    tiffPyramid: false,
    tiffBitdepth: 8,
    tiffTile: false,
    tiffTileHeight: 256,
    tiffTileWidth: 256,
    tiffXres: 1.0,
    tiffYres: 1.0,
    heifQuality: 50,
    heifLossless: false,
    heifCompression: 'av1',
    heifSpeed: 5,
    heifChromaSubsampling: '4:4:4',
    rawDepth: 'uchar',
    tileSize: 256,
    tileOverlap: 0,
    tileContainer: 'fs',
    tileLayout: 'dz',
    tileFormat: 'last',
    tileDepth: 'last',
    tileAngle: 0,
    tileSkipBlanks: -1,
    tileBackground: [255, 255, 255, 255],
    tileCentre: false,
    tileId: 'https://example.com/iiif',
    timeoutSeconds: 0,
    linearA: 1,
    linearB: 0,
    // Function to notify of libvips warnings
    debuglog: warning => {
      this.emit('warning', warning);
      debuglog(warning);
    },
    // Function to notify of queue length changes
    queueListener: function (queueLength) {
      Sharp.queue.emit('change', queueLength);
    }
  };
  this.options.input = this._createInputDescriptor(input, options, { allowStream: true });
  return this;
};
Object.setPrototypeOf(Sharp.prototype, stream.Duplex.prototype);
Object.setPrototypeOf(Sharp, stream.Duplex);

/**
 * Take a "snapshot" of the Sharp instance, returning a new instance.
 * Cloned instances inherit the input of their parent instance.
 * This allows multiple output Streams and therefore multiple processing pipelines to share a single input Stream.
 *
 * @example
 * const pipeline = sharp().rotate();
 * pipeline.clone().resize(800, 600).pipe(firstWritableStream);
 * pipeline.clone().extract({ left: 20, top: 20, width: 100, height: 100 }).pipe(secondWritableStream);
 * readableStream.pipe(pipeline);
 * // firstWritableStream receives auto-rotated, resized readableStream
 * // secondWritableStream receives auto-rotated, extracted region of readableStream
 *
 * @example
 * // Create a pipeline that will download an image, resize it and format it to different files
 * // Using Promises to know when the pipeline is complete
 * const fs = require("fs");
 * const got = require("got");
 * const sharpStream = sharp({
 *   failOnError: false
 * });
 *
 * const promises = [];
 *
 * promises.push(
 *   sharpStream
 *     .clone()
 *     .jpeg({ quality: 100 })
 *     .toFile("originalFile.jpg")
 * );
 *
 * promises.push(
 *   sharpStream
 *     .clone()
 *     .resize({ width: 500 })
 *     .jpeg({ quality: 80 })
 *     .toFile("optimized-500.jpg")
 * );
 *
 * promises.push(
 *   sharpStream
 *     .clone()
 *     .resize({ width: 500 })
 *     .webp({ quality: 80 })
 *     .toFile("optimized-500.webp")
 * );
 *
 * // https://github.com/sindresorhus/got#gotstreamurl-options
 * got.stream("https://www.example.com/some-file.jpg").pipe(sharpStream);
 *
 * Promise.all(promises)
 *   .then(res => { console.log("Done!", res); })
 *   .catch(err => {
 *     console.error("Error processing files, let's clean it up", err);
 *     try {
 *       fs.unlinkSync("originalFile.jpg");
 *       fs.unlinkSync("optimized-500.jpg");
 *       fs.unlinkSync("optimized-500.webp");
 *     } catch (e) {}
 *   });
 *
 * @returns {Sharp}
 */
function clone () {
  // Clone existing options
  const clone = this.constructor.call();
  clone.options = Object.assign({}, this.options);
  // Pass 'finish' event to clone for Stream-based input
  if (this._isStreamInput()) {
    this.on('finish', () => {
      // Clone inherits input data
      this._flattenBufferIn();
      clone.options.bufferIn = this.options.bufferIn;
      clone.emit('finish');
    });
  }
  return clone;
}
Object.assign(Sharp.prototype, { clone });

/**
 * Export constructor.
 * @private
 */
module.exports = Sharp;


/***/ }),

/***/ 24185:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const Sharp = __nccwpck_require__(99156);
__nccwpck_require__(32869)(Sharp);
__nccwpck_require__(12932)(Sharp);
__nccwpck_require__(77005)(Sharp);
__nccwpck_require__(71946)(Sharp);
__nccwpck_require__(34144)(Sharp);
__nccwpck_require__(46193)(Sharp);
__nccwpck_require__(7280)(Sharp);
__nccwpck_require__(19927)(Sharp);

module.exports = Sharp;


/***/ }),

/***/ 32869:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const color = __nccwpck_require__(87177);
const is = __nccwpck_require__(768);
const sharp = __nccwpck_require__(48382);

/**
 * Extract input options, if any, from an object.
 * @private
 */
function _inputOptionsFromObject (obj) {
  const { raw, density, limitInputPixels, sequentialRead, failOnError, animated, page, pages, subifd } = obj;
  return [raw, density, limitInputPixels, sequentialRead, failOnError, animated, page, pages, subifd].some(is.defined)
    ? { raw, density, limitInputPixels, sequentialRead, failOnError, animated, page, pages, subifd }
    : undefined;
}

/**
 * Create Object containing input and input-related options.
 * @private
 */
function _createInputDescriptor (input, inputOptions, containerOptions) {
  const inputDescriptor = {
    failOnError: true,
    limitInputPixels: Math.pow(0x3FFF, 2),
    sequentialRead: false
  };
  if (is.string(input)) {
    // filesystem
    inputDescriptor.file = input;
  } else if (is.buffer(input)) {
    // Buffer
    if (input.length === 0) {
      throw Error('Input Buffer is empty');
    }
    inputDescriptor.buffer = input;
  } else if (is.typedArray(input)) {
    if (input.length === 0) {
      throw Error('Input Bit Array is empty');
    }
    inputDescriptor.buffer = Buffer.from(input.buffer);
  } else if (is.plainObject(input) && !is.defined(inputOptions)) {
    // Plain Object descriptor, e.g. create
    inputOptions = input;
    if (_inputOptionsFromObject(inputOptions)) {
      // Stream with options
      inputDescriptor.buffer = [];
    }
  } else if (!is.defined(input) && !is.defined(inputOptions) && is.object(containerOptions) && containerOptions.allowStream) {
    // Stream without options
    inputDescriptor.buffer = [];
  } else {
    throw new Error(`Unsupported input '${input}' of type ${typeof input}${
      is.defined(inputOptions) ? ` when also providing options of type ${typeof inputOptions}` : ''
    }`);
  }
  if (is.object(inputOptions)) {
    // Fail on error
    if (is.defined(inputOptions.failOnError)) {
      if (is.bool(inputOptions.failOnError)) {
        inputDescriptor.failOnError = inputOptions.failOnError;
      } else {
        throw is.invalidParameterError('failOnError', 'boolean', inputOptions.failOnError);
      }
    }
    // Density
    if (is.defined(inputOptions.density)) {
      if (is.inRange(inputOptions.density, 1, 100000)) {
        inputDescriptor.density = inputOptions.density;
      } else {
        throw is.invalidParameterError('density', 'number between 1 and 100000', inputOptions.density);
      }
    }
    // limitInputPixels
    if (is.defined(inputOptions.limitInputPixels)) {
      if (is.bool(inputOptions.limitInputPixels)) {
        inputDescriptor.limitInputPixels = inputOptions.limitInputPixels
          ? Math.pow(0x3FFF, 2)
          : 0;
      } else if (is.integer(inputOptions.limitInputPixels) && inputOptions.limitInputPixels >= 0) {
        inputDescriptor.limitInputPixels = inputOptions.limitInputPixels;
      } else {
        throw is.invalidParameterError('limitInputPixels', 'integer >= 0', inputOptions.limitInputPixels);
      }
    }
    // sequentialRead
    if (is.defined(inputOptions.sequentialRead)) {
      if (is.bool(inputOptions.sequentialRead)) {
        inputDescriptor.sequentialRead = inputOptions.sequentialRead;
      } else {
        throw is.invalidParameterError('sequentialRead', 'boolean', inputOptions.sequentialRead);
      }
    }
    // Raw pixel input
    if (is.defined(inputOptions.raw)) {
      if (
        is.object(inputOptions.raw) &&
        is.integer(inputOptions.raw.width) && inputOptions.raw.width > 0 &&
        is.integer(inputOptions.raw.height) && inputOptions.raw.height > 0 &&
        is.integer(inputOptions.raw.channels) && is.inRange(inputOptions.raw.channels, 1, 4)
      ) {
        inputDescriptor.rawWidth = inputOptions.raw.width;
        inputDescriptor.rawHeight = inputOptions.raw.height;
        inputDescriptor.rawChannels = inputOptions.raw.channels;
        inputDescriptor.rawPremultiplied = !!inputOptions.raw.premultiplied;

        switch (input.constructor) {
          case Uint8Array:
          case Uint8ClampedArray:
            inputDescriptor.rawDepth = 'uchar';
            break;
          case Int8Array:
            inputDescriptor.rawDepth = 'char';
            break;
          case Uint16Array:
            inputDescriptor.rawDepth = 'ushort';
            break;
          case Int16Array:
            inputDescriptor.rawDepth = 'short';
            break;
          case Uint32Array:
            inputDescriptor.rawDepth = 'uint';
            break;
          case Int32Array:
            inputDescriptor.rawDepth = 'int';
            break;
          case Float32Array:
            inputDescriptor.rawDepth = 'float';
            break;
          case Float64Array:
            inputDescriptor.rawDepth = 'double';
            break;
          default:
            inputDescriptor.rawDepth = 'uchar';
            break;
        }
      } else {
        throw new Error('Expected width, height and channels for raw pixel input');
      }
    }
    // Multi-page input (GIF, TIFF, PDF)
    if (is.defined(inputOptions.animated)) {
      if (is.bool(inputOptions.animated)) {
        inputDescriptor.pages = inputOptions.animated ? -1 : 1;
      } else {
        throw is.invalidParameterError('animated', 'boolean', inputOptions.animated);
      }
    }
    if (is.defined(inputOptions.pages)) {
      if (is.integer(inputOptions.pages) && is.inRange(inputOptions.pages, -1, 100000)) {
        inputDescriptor.pages = inputOptions.pages;
      } else {
        throw is.invalidParameterError('pages', 'integer between -1 and 100000', inputOptions.pages);
      }
    }
    if (is.defined(inputOptions.page)) {
      if (is.integer(inputOptions.page) && is.inRange(inputOptions.page, 0, 100000)) {
        inputDescriptor.page = inputOptions.page;
      } else {
        throw is.invalidParameterError('page', 'integer between 0 and 100000', inputOptions.page);
      }
    }
    // Multi-level input (OpenSlide)
    if (is.defined(inputOptions.level)) {
      if (is.integer(inputOptions.level) && is.inRange(inputOptions.level, 0, 256)) {
        inputDescriptor.level = inputOptions.level;
      } else {
        throw is.invalidParameterError('level', 'integer between 0 and 256', inputOptions.level);
      }
    }
    // Sub Image File Directory (TIFF)
    if (is.defined(inputOptions.subifd)) {
      if (is.integer(inputOptions.subifd) && is.inRange(inputOptions.subifd, -1, 100000)) {
        inputDescriptor.subifd = inputOptions.subifd;
      } else {
        throw is.invalidParameterError('subifd', 'integer between -1 and 100000', inputOptions.subifd);
      }
    }
    // Create new image
    if (is.defined(inputOptions.create)) {
      if (
        is.object(inputOptions.create) &&
        is.integer(inputOptions.create.width) && inputOptions.create.width > 0 &&
        is.integer(inputOptions.create.height) && inputOptions.create.height > 0 &&
        is.integer(inputOptions.create.channels)
      ) {
        inputDescriptor.createWidth = inputOptions.create.width;
        inputDescriptor.createHeight = inputOptions.create.height;
        inputDescriptor.createChannels = inputOptions.create.channels;
        // Noise
        if (is.defined(inputOptions.create.noise)) {
          if (!is.object(inputOptions.create.noise)) {
            throw new Error('Expected noise to be an object');
          }
          if (!is.inArray(inputOptions.create.noise.type, ['gaussian'])) {
            throw new Error('Only gaussian noise is supported at the moment');
          }
          if (!is.inRange(inputOptions.create.channels, 1, 4)) {
            throw is.invalidParameterError('create.channels', 'number between 1 and 4', inputOptions.create.channels);
          }
          inputDescriptor.createNoiseType = inputOptions.create.noise.type;
          if (is.number(inputOptions.create.noise.mean) && is.inRange(inputOptions.create.noise.mean, 0, 10000)) {
            inputDescriptor.createNoiseMean = inputOptions.create.noise.mean;
          } else {
            throw is.invalidParameterError('create.noise.mean', 'number between 0 and 10000', inputOptions.create.noise.mean);
          }
          if (is.number(inputOptions.create.noise.sigma) && is.inRange(inputOptions.create.noise.sigma, 0, 10000)) {
            inputDescriptor.createNoiseSigma = inputOptions.create.noise.sigma;
          } else {
            throw is.invalidParameterError('create.noise.sigma', 'number between 0 and 10000', inputOptions.create.noise.sigma);
          }
        } else if (is.defined(inputOptions.create.background)) {
          if (!is.inRange(inputOptions.create.channels, 3, 4)) {
            throw is.invalidParameterError('create.channels', 'number between 3 and 4', inputOptions.create.channels);
          }
          const background = color(inputOptions.create.background);
          inputDescriptor.createBackground = [
            background.red(),
            background.green(),
            background.blue(),
            Math.round(background.alpha() * 255)
          ];
        } else {
          throw new Error('Expected valid noise or background to create a new input image');
        }
        delete inputDescriptor.buffer;
      } else {
        throw new Error('Expected valid width, height and channels to create a new input image');
      }
    }
  } else if (is.defined(inputOptions)) {
    throw new Error('Invalid input options ' + inputOptions);
  }
  return inputDescriptor;
}

/**
 * Handle incoming Buffer chunk on Writable Stream.
 * @private
 * @param {Buffer} chunk
 * @param {string} encoding - unused
 * @param {Function} callback
 */
function _write (chunk, encoding, callback) {
  /* istanbul ignore else */
  if (Array.isArray(this.options.input.buffer)) {
    /* istanbul ignore else */
    if (is.buffer(chunk)) {
      if (this.options.input.buffer.length === 0) {
        this.on('finish', () => {
          this.streamInFinished = true;
        });
      }
      this.options.input.buffer.push(chunk);
      callback();
    } else {
      callback(new Error('Non-Buffer data on Writable Stream'));
    }
  } else {
    callback(new Error('Unexpected data on Writable Stream'));
  }
}

/**
 * Flattens the array of chunks accumulated in input.buffer.
 * @private
 */
function _flattenBufferIn () {
  if (this._isStreamInput()) {
    this.options.input.buffer = Buffer.concat(this.options.input.buffer);
  }
}

/**
 * Are we expecting Stream-based input?
 * @private
 * @returns {boolean}
 */
function _isStreamInput () {
  return Array.isArray(this.options.input.buffer);
}

/**
 * Fast access to (uncached) image metadata without decoding any compressed image data.
 * A `Promise` is returned when `callback` is not provided.
 *
 * - `format`: Name of decoder used to decompress image data e.g. `jpeg`, `png`, `webp`, `gif`, `svg`
 * - `size`: Total size of image in bytes, for Stream and Buffer input only
 * - `width`: Number of pixels wide (EXIF orientation is not taken into consideration)
 * - `height`: Number of pixels high (EXIF orientation is not taken into consideration)
 * - `space`: Name of colour space interpretation e.g. `srgb`, `rgb`, `cmyk`, `lab`, `b-w` [...](https://libvips.github.io/libvips/API/current/VipsImage.html#VipsInterpretation)
 * - `channels`: Number of bands e.g. `3` for sRGB, `4` for CMYK
 * - `depth`: Name of pixel depth format e.g. `uchar`, `char`, `ushort`, `float` [...](https://libvips.github.io/libvips/API/current/VipsImage.html#VipsBandFormat)
 * - `density`: Number of pixels per inch (DPI), if present
 * - `chromaSubsampling`: String containing JPEG chroma subsampling, `4:2:0` or `4:4:4` for RGB, `4:2:0:4` or `4:4:4:4` for CMYK
 * - `isProgressive`: Boolean indicating whether the image is interlaced using a progressive scan
 * - `pages`: Number of pages/frames contained within the image, with support for TIFF, HEIF, PDF, animated GIF and animated WebP
 * - `pageHeight`: Number of pixels high each page in a multi-page image will be.
 * - `loop`: Number of times to loop an animated image, zero refers to a continuous loop.
 * - `delay`: Delay in ms between each page in an animated image, provided as an array of integers.
 * - `pagePrimary`: Number of the primary page in a HEIF image
 * - `levels`: Details of each level in a multi-level image provided as an array of objects, requires libvips compiled with support for OpenSlide
 * - `subifds`: Number of Sub Image File Directories in an OME-TIFF image
 * - `background`: Default background colour, if present, for PNG (bKGD) and GIF images, either an RGB Object or a single greyscale value
 * - `compression`: The encoder used to compress an HEIF file, `av1` (AVIF) or `hevc` (HEIC)
 * - `hasProfile`: Boolean indicating the presence of an embedded ICC profile
 * - `hasAlpha`: Boolean indicating the presence of an alpha transparency channel
 * - `orientation`: Number value of the EXIF Orientation header, if present
 * - `exif`: Buffer containing raw EXIF data, if present
 * - `icc`: Buffer containing raw [ICC](https://www.npmjs.com/package/icc) profile data, if present
 * - `iptc`: Buffer containing raw IPTC data, if present
 * - `xmp`: Buffer containing raw XMP data, if present
 * - `tifftagPhotoshop`: Buffer containing raw TIFFTAG_PHOTOSHOP data, if present
 *
 * @example
 * const image = sharp(inputJpg);
 * image
 *   .metadata()
 *   .then(function(metadata) {
 *     return image
 *       .resize(Math.round(metadata.width / 2))
 *       .webp()
 *       .toBuffer();
 *   })
 *   .then(function(data) {
 *     // data contains a WebP image half the width and height of the original JPEG
 *   });
 *
 * @param {Function} [callback] - called with the arguments `(err, metadata)`
 * @returns {Promise<Object>|Sharp}
 */
function metadata (callback) {
  if (is.fn(callback)) {
    if (this._isStreamInput()) {
      this.on('finish', () => {
        this._flattenBufferIn();
        sharp.metadata(this.options, callback);
      });
    } else {
      sharp.metadata(this.options, callback);
    }
    return this;
  } else {
    if (this._isStreamInput()) {
      return new Promise((resolve, reject) => {
        this.on('finish', () => {
          this._flattenBufferIn();
          sharp.metadata(this.options, (err, metadata) => {
            if (err) {
              reject(err);
            } else {
              resolve(metadata);
            }
          });
        });
      });
    } else {
      return new Promise((resolve, reject) => {
        sharp.metadata(this.options, (err, metadata) => {
          if (err) {
            reject(err);
          } else {
            resolve(metadata);
          }
        });
      });
    }
  }
}

/**
 * Access to pixel-derived image statistics for every channel in the image.
 * A `Promise` is returned when `callback` is not provided.
 *
 * - `channels`: Array of channel statistics for each channel in the image. Each channel statistic contains
 *     - `min` (minimum value in the channel)
 *     - `max` (maximum value in the channel)
 *     - `sum` (sum of all values in a channel)
 *     - `squaresSum` (sum of squared values in a channel)
 *     - `mean` (mean of the values in a channel)
 *     - `stdev` (standard deviation for the values in a channel)
 *     - `minX` (x-coordinate of one of the pixel where the minimum lies)
 *     - `minY` (y-coordinate of one of the pixel where the minimum lies)
 *     - `maxX` (x-coordinate of one of the pixel where the maximum lies)
 *     - `maxY` (y-coordinate of one of the pixel where the maximum lies)
 * - `isOpaque`: Is the image fully opaque? Will be `true` if the image has no alpha channel or if every pixel is fully opaque.
 * - `entropy`: Histogram-based estimation of greyscale entropy, discarding alpha channel if any (experimental)
 * - `sharpness`: Estimation of greyscale sharpness based on the standard deviation of a Laplacian convolution, discarding alpha channel if any (experimental)
 * - `dominant`: Object containing most dominant sRGB colour based on a 4096-bin 3D histogram (experimental)
 *
 * **Note**: Statistics are derived from the original input image. Any operations performed on the image must first be
 * written to a buffer in order to run `stats` on the result (see third example).
 *
 * @example
 * const image = sharp(inputJpg);
 * image
 *   .stats()
 *   .then(function(stats) {
 *      // stats contains the channel-wise statistics array and the isOpaque value
 *   });
 *
 * @example
 * const { entropy, sharpness, dominant } = await sharp(input).stats();
 * const { r, g, b } = dominant;
 *
 * @example
 * const image = sharp(input);
 * // store intermediate result
 * const part = await image.extract(region).toBuffer();
 * // create new instance to obtain statistics of extracted region
 * const stats = await sharp(part).stats();
 *
 * @param {Function} [callback] - called with the arguments `(err, stats)`
 * @returns {Promise<Object>}
 */
function stats (callback) {
  if (is.fn(callback)) {
    if (this._isStreamInput()) {
      this.on('finish', () => {
        this._flattenBufferIn();
        sharp.stats(this.options, callback);
      });
    } else {
      sharp.stats(this.options, callback);
    }
    return this;
  } else {
    if (this._isStreamInput()) {
      return new Promise((resolve, reject) => {
        this.on('finish', function () {
          this._flattenBufferIn();
          sharp.stats(this.options, (err, stats) => {
            if (err) {
              reject(err);
            } else {
              resolve(stats);
            }
          });
        });
      });
    } else {
      return new Promise((resolve, reject) => {
        sharp.stats(this.options, (err, stats) => {
          if (err) {
            reject(err);
          } else {
            resolve(stats);
          }
        });
      });
    }
  }
}

/**
 * Decorate the Sharp prototype with input-related functions.
 * @private
 */
module.exports = function (Sharp) {
  Object.assign(Sharp.prototype, {
    // Private
    _inputOptionsFromObject,
    _createInputDescriptor,
    _write,
    _flattenBufferIn,
    _isStreamInput,
    // Public
    metadata,
    stats
  });
};


/***/ }),

/***/ 768:
/***/ ((module) => {

"use strict";


/**
 * Is this value defined and not null?
 * @private
 */
const defined = function (val) {
  return typeof val !== 'undefined' && val !== null;
};

/**
 * Is this value an object?
 * @private
 */
const object = function (val) {
  return typeof val === 'object';
};

/**
 * Is this value a plain object?
 * @private
 */
const plainObject = function (val) {
  return Object.prototype.toString.call(val) === '[object Object]';
};

/**
 * Is this value a function?
 * @private
 */
const fn = function (val) {
  return typeof val === 'function';
};

/**
 * Is this value a boolean?
 * @private
 */
const bool = function (val) {
  return typeof val === 'boolean';
};

/**
 * Is this value a Buffer object?
 * @private
 */
const buffer = function (val) {
  return val instanceof Buffer;
};

/**
 * Is this value a typed array object?. E.g. Uint8Array or Uint8ClampedArray?
 * @private
 */
const typedArray = function (val) {
  if (defined(val)) {
    switch (val.constructor) {
      case Uint8Array:
      case Uint8ClampedArray:
      case Int8Array:
      case Uint16Array:
      case Int16Array:
      case Uint32Array:
      case Int32Array:
      case Float32Array:
      case Float64Array:
        return true;
    }
  }

  return false;
};

/**
 * Is this value a non-empty string?
 * @private
 */
const string = function (val) {
  return typeof val === 'string' && val.length > 0;
};

/**
 * Is this value a real number?
 * @private
 */
const number = function (val) {
  return typeof val === 'number' && !Number.isNaN(val);
};

/**
 * Is this value an integer?
 * @private
 */
const integer = function (val) {
  return Number.isInteger(val);
};

/**
 * Is this value within an inclusive given range?
 * @private
 */
const inRange = function (val, min, max) {
  return val >= min && val <= max;
};

/**
 * Is this value within the elements of an array?
 * @private
 */
const inArray = function (val, list) {
  return list.includes(val);
};

/**
 * Create an Error with a message relating to an invalid parameter.
 *
 * @param {string} name - parameter name.
 * @param {string} expected - description of the type/value/range expected.
 * @param {*} actual - the value received.
 * @returns {Error} Containing the formatted message.
 * @private
 */
const invalidParameterError = function (name, expected, actual) {
  return new Error(
    `Expected ${expected} for ${name} but received ${actual} of type ${typeof actual}`
  );
};

module.exports = {
  defined: defined,
  object: object,
  plainObject: plainObject,
  fn: fn,
  bool: bool,
  buffer: buffer,
  typedArray: typedArray,
  string: string,
  number: number,
  integer: integer,
  inRange: inRange,
  inArray: inArray,
  invalidParameterError: invalidParameterError
};


/***/ }),

/***/ 60701:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const fs = __nccwpck_require__(57147);
const os = __nccwpck_require__(22037);
const path = __nccwpck_require__(71017);
const spawnSync = (__nccwpck_require__(32081).spawnSync);
const semverCoerce = __nccwpck_require__(86073);
const semverGreaterThanOrEqualTo = __nccwpck_require__(29343);

const platform = __nccwpck_require__(61998);

const env = process.env;
const minimumLibvipsVersionLabelled = env.npm_package_config_libvips || /* istanbul ignore next */
  (__nccwpck_require__(80200)/* .config.libvips */ .vc.W0);
const minimumLibvipsVersion = semverCoerce(minimumLibvipsVersionLabelled).version;

const spawnSyncOptions = {
  encoding: 'utf8',
  shell: true
};

const mkdirSync = function (dirPath) {
  try {
    fs.mkdirSync(dirPath, { recursive: true });
  } catch (err) {
    /* istanbul ignore next */
    if (err.code !== 'EEXIST') {
      throw err;
    }
  }
};

const cachePath = function () {
  const npmCachePath = env.npm_config_cache || /* istanbul ignore next */
    (env.APPDATA ? path.join(env.APPDATA, 'npm-cache') : path.join(os.homedir(), '.npm'));
  mkdirSync(npmCachePath);
  const libvipsCachePath = path.join(npmCachePath, '_libvips');
  mkdirSync(libvipsCachePath);
  return libvipsCachePath;
};

const log = function (item) {
  if (item instanceof Error) {
    console.error(`sharp: Installation error: ${item.message}`);
  } else {
    console.log(`sharp: ${item}`);
  }
};

const isRosetta = function () {
  /* istanbul ignore next */
  if (process.platform === 'darwin' && process.arch === 'x64') {
    const translated = spawnSync('sysctl sysctl.proc_translated', spawnSyncOptions).stdout;
    return (translated || '').trim() === 'sysctl.proc_translated: 1';
  }
  return false;
};

const globalLibvipsVersion = function () {
  if (process.platform !== 'win32') {
    const globalLibvipsVersion = spawnSync(`PKG_CONFIG_PATH="${pkgConfigPath()}" pkg-config --modversion vips-cpp`, spawnSyncOptions).stdout;
    /* istanbul ignore next */
    return (globalLibvipsVersion || '').trim();
  } else {
    return '';
  }
};

const hasVendoredLibvips = function () {
  const vendorPath = __nccwpck_require__.ab + "vendor/" + minimumLibvipsVersion + '/' + platform();
  return fs.existsSync(vendorPath);
};

const pkgConfigPath = function () {
  if (process.platform !== 'win32') {
    const brewPkgConfigPath = spawnSync('which brew >/dev/null 2>&1 && eval $(brew --env) && echo $PKG_CONFIG_LIBDIR', spawnSyncOptions).stdout || '';
    return [brewPkgConfigPath.trim(), env.PKG_CONFIG_PATH, '/usr/local/lib/pkgconfig', '/usr/lib/pkgconfig']
      .filter(function (p) { return !!p; })
      .join(':');
  } else {
    return '';
  }
};

const useGlobalLibvips = function () {
  if (Boolean(env.SHARP_IGNORE_GLOBAL_LIBVIPS) === true) {
    return false;
  }
  /* istanbul ignore next */
  if (isRosetta()) {
    return false;
  }
  const globalVipsVersion = globalLibvipsVersion();
  return !!globalVipsVersion && /* istanbul ignore next */
    semverGreaterThanOrEqualTo(globalVipsVersion, minimumLibvipsVersion);
};

module.exports = {
  minimumLibvipsVersion,
  minimumLibvipsVersionLabelled,
  cachePath,
  log,
  globalLibvipsVersion,
  hasVendoredLibvips,
  pkgConfigPath,
  useGlobalLibvips,
  mkdirSync
};


/***/ }),

/***/ 71946:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const color = __nccwpck_require__(87177);
const is = __nccwpck_require__(768);

/**
 * Rotate the output image by either an explicit angle
 * or auto-orient based on the EXIF `Orientation` tag.
 *
 * If an angle is provided, it is converted to a valid positive degree rotation.
 * For example, `-450` will produce a 270deg rotation.
 *
 * When rotating by an angle other than a multiple of 90,
 * the background colour can be provided with the `background` option.
 *
 * If no angle is provided, it is determined from the EXIF data.
 * Mirroring is supported and may infer the use of a flip operation.
 *
 * The use of `rotate` implies the removal of the EXIF `Orientation` tag, if any.
 *
 * Method order is important when both rotating and extracting regions,
 * for example `rotate(x).extract(y)` will produce a different result to `extract(y).rotate(x)`.
 *
 * @example
 * const pipeline = sharp()
 *   .rotate()
 *   .resize(null, 200)
 *   .toBuffer(function (err, outputBuffer, info) {
 *     // outputBuffer contains 200px high JPEG image data,
 *     // auto-rotated using EXIF Orientation tag
 *     // info.width and info.height contain the dimensions of the resized image
 *   });
 * readableStream.pipe(pipeline);
 *
 * @param {number} [angle=auto] angle of rotation.
 * @param {Object} [options] - if present, is an Object with optional attributes.
 * @param {string|Object} [options.background="#000000"] parsed by the [color](https://www.npmjs.org/package/color) module to extract values for red, green, blue and alpha.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function rotate (angle, options) {
  if (!is.defined(angle)) {
    this.options.useExifOrientation = true;
  } else if (is.integer(angle) && !(angle % 90)) {
    this.options.angle = angle;
  } else if (is.number(angle)) {
    this.options.rotationAngle = angle;
    if (is.object(options) && options.background) {
      const backgroundColour = color(options.background);
      this.options.rotationBackground = [
        backgroundColour.red(),
        backgroundColour.green(),
        backgroundColour.blue(),
        Math.round(backgroundColour.alpha() * 255)
      ];
    }
  } else {
    throw is.invalidParameterError('angle', 'numeric', angle);
  }
  return this;
}

/**
 * Flip the image about the vertical Y axis. This always occurs after rotation, if any.
 * The use of `flip` implies the removal of the EXIF `Orientation` tag, if any.
 * @param {Boolean} [flip=true]
 * @returns {Sharp}
 */
function flip (flip) {
  this.options.flip = is.bool(flip) ? flip : true;
  return this;
}

/**
 * Flop the image about the horizontal X axis. This always occurs after rotation, if any.
 * The use of `flop` implies the removal of the EXIF `Orientation` tag, if any.
 * @param {Boolean} [flop=true]
 * @returns {Sharp}
 */
function flop (flop) {
  this.options.flop = is.bool(flop) ? flop : true;
  return this;
}

/**
 * Perform an affine transform on an image. This operation will always occur after resizing, extraction and rotation, if any.
 *
 * You must provide an array of length 4 or a 2x2 affine transformation matrix.
 * By default, new pixels are filled with a black background. You can provide a background color with the `background` option.
 * A particular interpolator may also be specified. Set the `interpolator` option to an attribute of the `sharp.interpolator` Object e.g. `sharp.interpolator.nohalo`.
 *
 * In the case of a 2x2 matrix, the transform is:
 * - X = `matrix[0, 0]` \* (x + `idx`) + `matrix[0, 1]` \* (y + `idy`) + `odx`
 * - Y = `matrix[1, 0]` \* (x + `idx`) + `matrix[1, 1]` \* (y + `idy`) + `ody`
 *
 * where:
 * - x and y are the coordinates in input image.
 * - X and Y are the coordinates in output image.
 * - (0,0) is the upper left corner.
 *
 * @since 0.27.0
 *
 * @example
 * const pipeline = sharp()
 *   .affine([[1, 0.3], [0.1, 0.7]], {
 *      background: 'white',
 *      interpolate: sharp.interpolators.nohalo
 *   })
 *   .toBuffer((err, outputBuffer, info) => {
 *      // outputBuffer contains the transformed image
 *      // info.width and info.height contain the new dimensions
 *   });
 *
 * inputStream
 *   .pipe(pipeline);
 *
 * @param {Array<Array<number>>|Array<number>} matrix - affine transformation matrix
 * @param {Object} [options] - if present, is an Object with optional attributes.
 * @param {String|Object} [options.background="#000000"] - parsed by the [color](https://www.npmjs.org/package/color) module to extract values for red, green, blue and alpha.
 * @param {Number} [options.idx=0] - input horizontal offset
 * @param {Number} [options.idy=0] - input vertical offset
 * @param {Number} [options.odx=0] - output horizontal offset
 * @param {Number} [options.ody=0] - output vertical offset
 * @param {String} [options.interpolator=sharp.interpolators.bicubic] - interpolator
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function affine (matrix, options) {
  const flatMatrix = [].concat(...matrix);
  if (flatMatrix.length === 4 && flatMatrix.every(is.number)) {
    this.options.affineMatrix = flatMatrix;
  } else {
    throw is.invalidParameterError('matrix', '1x4 or 2x2 array', matrix);
  }

  if (is.defined(options)) {
    if (is.object(options)) {
      this._setBackgroundColourOption('affineBackground', options.background);
      if (is.defined(options.idx)) {
        if (is.number(options.idx)) {
          this.options.affineIdx = options.idx;
        } else {
          throw is.invalidParameterError('options.idx', 'number', options.idx);
        }
      }
      if (is.defined(options.idy)) {
        if (is.number(options.idy)) {
          this.options.affineIdy = options.idy;
        } else {
          throw is.invalidParameterError('options.idy', 'number', options.idy);
        }
      }
      if (is.defined(options.odx)) {
        if (is.number(options.odx)) {
          this.options.affineOdx = options.odx;
        } else {
          throw is.invalidParameterError('options.odx', 'number', options.odx);
        }
      }
      if (is.defined(options.ody)) {
        if (is.number(options.ody)) {
          this.options.affineOdy = options.ody;
        } else {
          throw is.invalidParameterError('options.ody', 'number', options.ody);
        }
      }
      if (is.defined(options.interpolator)) {
        if (is.inArray(options.interpolator, Object.values(this.constructor.interpolators))) {
          this.options.affineInterpolator = options.interpolator;
        } else {
          throw is.invalidParameterError('options.interpolator', 'valid interpolator name', options.interpolator);
        }
      }
    } else {
      throw is.invalidParameterError('options', 'object', options);
    }
  }

  return this;
}

/**
 * Sharpen the image.
 * When used without parameters, performs a fast, mild sharpen of the output image.
 * When a `sigma` is provided, performs a slower, more accurate sharpen of the L channel in the LAB colour space.
 * Separate control over the level of sharpening in "flat" and "jagged" areas is available.
 *
 * @param {number} [sigma] - the sigma of the Gaussian mask, where `sigma = 1 + radius / 2`.
 * @param {number} [flat=1.0] - the level of sharpening to apply to "flat" areas.
 * @param {number} [jagged=2.0] - the level of sharpening to apply to "jagged" areas.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function sharpen (sigma, flat, jagged) {
  if (!is.defined(sigma)) {
    // No arguments: default to mild sharpen
    this.options.sharpenSigma = -1;
  } else if (is.bool(sigma)) {
    // Boolean argument: apply mild sharpen?
    this.options.sharpenSigma = sigma ? -1 : 0;
  } else if (is.number(sigma) && is.inRange(sigma, 0.01, 10000)) {
    // Numeric argument: specific sigma
    this.options.sharpenSigma = sigma;
    // Control over flat areas
    if (is.defined(flat)) {
      if (is.number(flat) && is.inRange(flat, 0, 10000)) {
        this.options.sharpenFlat = flat;
      } else {
        throw is.invalidParameterError('flat', 'number between 0 and 10000', flat);
      }
    }
    // Control over jagged areas
    if (is.defined(jagged)) {
      if (is.number(jagged) && is.inRange(jagged, 0, 10000)) {
        this.options.sharpenJagged = jagged;
      } else {
        throw is.invalidParameterError('jagged', 'number between 0 and 10000', jagged);
      }
    }
  } else {
    throw is.invalidParameterError('sigma', 'number between 0.01 and 10000', sigma);
  }
  return this;
}

/**
 * Apply median filter.
 * When used without parameters the default window is 3x3.
 * @param {number} [size=3] square mask size: size x size
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function median (size) {
  if (!is.defined(size)) {
    // No arguments: default to 3x3
    this.options.medianSize = 3;
  } else if (is.integer(size) && is.inRange(size, 1, 1000)) {
    // Numeric argument: specific sigma
    this.options.medianSize = size;
  } else {
    throw is.invalidParameterError('size', 'integer between 1 and 1000', size);
  }
  return this;
}

/**
 * Blur the image.
 * When used without parameters, performs a fast, mild blur of the output image.
 * When a `sigma` is provided, performs a slower, more accurate Gaussian blur.
 * @param {number} [sigma] a value between 0.3 and 1000 representing the sigma of the Gaussian mask, where `sigma = 1 + radius / 2`.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function blur (sigma) {
  if (!is.defined(sigma)) {
    // No arguments: default to mild blur
    this.options.blurSigma = -1;
  } else if (is.bool(sigma)) {
    // Boolean argument: apply mild blur?
    this.options.blurSigma = sigma ? -1 : 0;
  } else if (is.number(sigma) && is.inRange(sigma, 0.3, 1000)) {
    // Numeric argument: specific sigma
    this.options.blurSigma = sigma;
  } else {
    throw is.invalidParameterError('sigma', 'number between 0.3 and 1000', sigma);
  }
  return this;
}

/**
 * Merge alpha transparency channel, if any, with a background, then remove the alpha channel.
 *
 * See also {@link /api-channel#removealpha|removeAlpha}.
 *
 * @example
 * await sharp(rgbaInput)
 *   .flatten({ background: '#F0A703' })
 *   .toBuffer();
 *
 * @param {Object} [options]
 * @param {string|Object} [options.background={r: 0, g: 0, b: 0}] - background colour, parsed by the [color](https://www.npmjs.org/package/color) module, defaults to black.
 * @returns {Sharp}
 */
function flatten (options) {
  this.options.flatten = is.bool(options) ? options : true;
  if (is.object(options)) {
    this._setBackgroundColourOption('flattenBackground', options.background);
  }
  return this;
}

/**
 * Apply a gamma correction by reducing the encoding (darken) pre-resize at a factor of `1/gamma`
 * then increasing the encoding (brighten) post-resize at a factor of `gamma`.
 * This can improve the perceived brightness of a resized image in non-linear colour spaces.
 * JPEG and WebP input images will not take advantage of the shrink-on-load performance optimisation
 * when applying a gamma correction.
 *
 * Supply a second argument to use a different output gamma value, otherwise the first value is used in both cases.
 *
 * @param {number} [gamma=2.2] value between 1.0 and 3.0.
 * @param {number} [gammaOut] value between 1.0 and 3.0. (optional, defaults to same as `gamma`)
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function gamma (gamma, gammaOut) {
  if (!is.defined(gamma)) {
    // Default gamma correction of 2.2 (sRGB)
    this.options.gamma = 2.2;
  } else if (is.number(gamma) && is.inRange(gamma, 1, 3)) {
    this.options.gamma = gamma;
  } else {
    throw is.invalidParameterError('gamma', 'number between 1.0 and 3.0', gamma);
  }
  if (!is.defined(gammaOut)) {
    // Default gamma correction for output is same as input
    this.options.gammaOut = this.options.gamma;
  } else if (is.number(gammaOut) && is.inRange(gammaOut, 1, 3)) {
    this.options.gammaOut = gammaOut;
  } else {
    throw is.invalidParameterError('gammaOut', 'number between 1.0 and 3.0', gammaOut);
  }
  return this;
}

/**
 * Produce the "negative" of the image.
 * @param {Object} [options]
 * @param {Boolean} [options.alpha=true] Whether or not to negate any alpha channel
 * @returns {Sharp}
 */
function negate (options) {
  this.options.negate = is.bool(options) ? options : true;
  if (is.plainObject(options) && 'alpha' in options) {
    if (!is.bool(options.alpha)) {
      throw is.invalidParameterError('alpha', 'should be boolean value', options.alpha);
    } else {
      this.options.negateAlpha = options.alpha;
    }
  }
  return this;
}

/**
 * Enhance output image contrast by stretching its luminance to cover the full dynamic range.
 * @param {Boolean} [normalise=true]
 * @returns {Sharp}
 */
function normalise (normalise) {
  this.options.normalise = is.bool(normalise) ? normalise : true;
  return this;
}

/**
 * Alternative spelling of normalise.
 * @param {Boolean} [normalize=true]
 * @returns {Sharp}
 */
function normalize (normalize) {
  return this.normalise(normalize);
}

/**
 * Perform contrast limiting adaptive histogram equalization
 * {@link https://en.wikipedia.org/wiki/Adaptive_histogram_equalization#Contrast_Limited_AHE|CLAHE}.
 *
 * This will, in general, enhance the clarity of the image by bringing out darker details.
 *
 * @since 0.28.3
 *
 * @param {Object} options
 * @param {number} options.width - integer width of the region in pixels.
 * @param {number} options.height - integer height of the region in pixels.
 * @param {number} [options.maxSlope=3] - maximum value for the slope of the
 *  cumulative histogram. A value of 0 disables contrast limiting. Valid values
 *  are integers in the range 0-100 (inclusive)
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function clahe (options) {
  if (!is.plainObject(options)) {
    throw is.invalidParameterError('options', 'plain object', options);
  }
  if (!('width' in options) || !is.integer(options.width) || options.width <= 0) {
    throw is.invalidParameterError('width', 'integer above zero', options.width);
  } else {
    this.options.claheWidth = options.width;
  }
  if (!('height' in options) || !is.integer(options.height) || options.height <= 0) {
    throw is.invalidParameterError('height', 'integer above zero', options.height);
  } else {
    this.options.claheHeight = options.height;
  }
  if (!is.defined(options.maxSlope)) {
    this.options.claheMaxSlope = 3;
  } else if (!is.integer(options.maxSlope) || options.maxSlope < 0 || options.maxSlope > 100) {
    throw is.invalidParameterError('maxSlope', 'integer 0-100', options.maxSlope);
  } else {
    this.options.claheMaxSlope = options.maxSlope;
  }
  return this;
}

/**
 * Convolve the image with the specified kernel.
 *
 * @example
 * sharp(input)
 *   .convolve({
 *     width: 3,
 *     height: 3,
 *     kernel: [-1, 0, 1, -2, 0, 2, -1, 0, 1]
 *   })
 *   .raw()
 *   .toBuffer(function(err, data, info) {
 *     // data contains the raw pixel data representing the convolution
 *     // of the input image with the horizontal Sobel operator
 *   });
 *
 * @param {Object} kernel
 * @param {number} kernel.width - width of the kernel in pixels.
 * @param {number} kernel.height - height of the kernel in pixels.
 * @param {Array<number>} kernel.kernel - Array of length `width*height` containing the kernel values.
 * @param {number} [kernel.scale=sum] - the scale of the kernel in pixels.
 * @param {number} [kernel.offset=0] - the offset of the kernel in pixels.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function convolve (kernel) {
  if (!is.object(kernel) || !Array.isArray(kernel.kernel) ||
      !is.integer(kernel.width) || !is.integer(kernel.height) ||
      !is.inRange(kernel.width, 3, 1001) || !is.inRange(kernel.height, 3, 1001) ||
      kernel.height * kernel.width !== kernel.kernel.length
  ) {
    // must pass in a kernel
    throw new Error('Invalid convolution kernel');
  }
  // Default scale is sum of kernel values
  if (!is.integer(kernel.scale)) {
    kernel.scale = kernel.kernel.reduce(function (a, b) {
      return a + b;
    }, 0);
  }
  // Clip scale to a minimum value of 1
  if (kernel.scale < 1) {
    kernel.scale = 1;
  }
  if (!is.integer(kernel.offset)) {
    kernel.offset = 0;
  }
  this.options.convKernel = kernel;
  return this;
}

/**
 * Any pixel value greater than or equal to the threshold value will be set to 255, otherwise it will be set to 0.
 * @param {number} [threshold=128] - a value in the range 0-255 representing the level at which the threshold will be applied.
 * @param {Object} [options]
 * @param {Boolean} [options.greyscale=true] - convert to single channel greyscale.
 * @param {Boolean} [options.grayscale=true] - alternative spelling for greyscale.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function threshold (threshold, options) {
  if (!is.defined(threshold)) {
    this.options.threshold = 128;
  } else if (is.bool(threshold)) {
    this.options.threshold = threshold ? 128 : 0;
  } else if (is.integer(threshold) && is.inRange(threshold, 0, 255)) {
    this.options.threshold = threshold;
  } else {
    throw is.invalidParameterError('threshold', 'integer between 0 and 255', threshold);
  }
  if (!is.object(options) || options.greyscale === true || options.grayscale === true) {
    this.options.thresholdGrayscale = true;
  } else {
    this.options.thresholdGrayscale = false;
  }
  return this;
}

/**
 * Perform a bitwise boolean operation with operand image.
 *
 * This operation creates an output image where each pixel is the result of
 * the selected bitwise boolean `operation` between the corresponding pixels of the input images.
 *
 * @param {Buffer|string} operand - Buffer containing image data or string containing the path to an image file.
 * @param {string} operator - one of `and`, `or` or `eor` to perform that bitwise operation, like the C logic operators `&`, `|` and `^` respectively.
 * @param {Object} [options]
 * @param {Object} [options.raw] - describes operand when using raw pixel data.
 * @param {number} [options.raw.width]
 * @param {number} [options.raw.height]
 * @param {number} [options.raw.channels]
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function boolean (operand, operator, options) {
  this.options.boolean = this._createInputDescriptor(operand, options);
  if (is.string(operator) && is.inArray(operator, ['and', 'or', 'eor'])) {
    this.options.booleanOp = operator;
  } else {
    throw is.invalidParameterError('operator', 'one of: and, or, eor', operator);
  }
  return this;
}

/**
 * Apply the linear formula a * input + b to the image (levels adjustment)
 * @param {number} [a=1.0] multiplier
 * @param {number} [b=0.0] offset
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function linear (a, b) {
  if (!is.defined(a)) {
    this.options.linearA = 1.0;
  } else if (is.number(a)) {
    this.options.linearA = a;
  } else {
    throw is.invalidParameterError('a', 'numeric', a);
  }
  if (!is.defined(b)) {
    this.options.linearB = 0.0;
  } else if (is.number(b)) {
    this.options.linearB = b;
  } else {
    throw is.invalidParameterError('b', 'numeric', b);
  }
  return this;
}

/**
 * Recomb the image with the specified matrix.
 *
 * @since 0.21.1
 *
 * @example
 * sharp(input)
 *   .recomb([
 *    [0.3588, 0.7044, 0.1368],
 *    [0.2990, 0.5870, 0.1140],
 *    [0.2392, 0.4696, 0.0912],
 *   ])
 *   .raw()
 *   .toBuffer(function(err, data, info) {
 *     // data contains the raw pixel data after applying the recomb
 *     // With this example input, a sepia filter has been applied
 *   });
 *
 * @param {Array<Array<number>>} inputMatrix - 3x3 Recombination matrix
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function recomb (inputMatrix) {
  if (!Array.isArray(inputMatrix) || inputMatrix.length !== 3 ||
      inputMatrix[0].length !== 3 ||
      inputMatrix[1].length !== 3 ||
      inputMatrix[2].length !== 3
  ) {
    // must pass in a kernel
    throw new Error('Invalid recombination matrix');
  }
  this.options.recombMatrix = [
    inputMatrix[0][0], inputMatrix[0][1], inputMatrix[0][2],
    inputMatrix[1][0], inputMatrix[1][1], inputMatrix[1][2],
    inputMatrix[2][0], inputMatrix[2][1], inputMatrix[2][2]
  ].map(Number);
  return this;
}

/**
 * Transforms the image using brightness, saturation, hue rotation, and lightness.
 * Brightness and lightness both operate on luminance, with the difference being that
 * brightness is multiplicative whereas lightness is additive.
 *
 * @since 0.22.1
 *
 * @example
 * sharp(input)
 *   .modulate({
 *     brightness: 2 // increase brightness by a factor of 2
 *   });
 *
 * sharp(input)
 *   .modulate({
 *     hue: 180 // hue-rotate by 180 degrees
 *   });
 *
 * sharp(input)
 *   .modulate({
 *     lightness: 50 // increase lightness by +50
 *   });
 *
 * // decreate brightness and saturation while also hue-rotating by 90 degrees
 * sharp(input)
 *   .modulate({
 *     brightness: 0.5,
 *     saturation: 0.5,
 *     hue: 90
 *   });
 *
 * @param {Object} [options]
 * @param {number} [options.brightness] Brightness multiplier
 * @param {number} [options.saturation] Saturation multiplier
 * @param {number} [options.hue] Degrees for hue rotation
 * @param {number} [options.lightness] Lightness addend
 * @returns {Sharp}
 */
function modulate (options) {
  if (!is.plainObject(options)) {
    throw is.invalidParameterError('options', 'plain object', options);
  }
  if ('brightness' in options) {
    if (is.number(options.brightness) && options.brightness >= 0) {
      this.options.brightness = options.brightness;
    } else {
      throw is.invalidParameterError('brightness', 'number above zero', options.brightness);
    }
  }
  if ('saturation' in options) {
    if (is.number(options.saturation) && options.saturation >= 0) {
      this.options.saturation = options.saturation;
    } else {
      throw is.invalidParameterError('saturation', 'number above zero', options.saturation);
    }
  }
  if ('hue' in options) {
    if (is.integer(options.hue)) {
      this.options.hue = options.hue % 360;
    } else {
      throw is.invalidParameterError('hue', 'number', options.hue);
    }
  }
  if ('lightness' in options) {
    if (is.number(options.lightness)) {
      this.options.lightness = options.lightness;
    } else {
      throw is.invalidParameterError('lightness', 'number', options.lightness);
    }
  }
  return this;
}

/**
 * Decorate the Sharp prototype with operation-related functions.
 * @private
 */
module.exports = function (Sharp) {
  Object.assign(Sharp.prototype, {
    rotate,
    flip,
    flop,
    affine,
    sharpen,
    median,
    blur,
    flatten,
    gamma,
    negate,
    normalise,
    normalize,
    clahe,
    convolve,
    threshold,
    boolean,
    linear,
    recomb,
    modulate
  });
};


/***/ }),

/***/ 7280:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const path = __nccwpck_require__(71017);
const is = __nccwpck_require__(768);
const sharp = __nccwpck_require__(48382);

const formats = new Map([
  ['heic', 'heif'],
  ['heif', 'heif'],
  ['avif', 'avif'],
  ['jpeg', 'jpeg'],
  ['jpg', 'jpeg'],
  ['png', 'png'],
  ['raw', 'raw'],
  ['tiff', 'tiff'],
  ['tif', 'tiff'],
  ['webp', 'webp'],
  ['gif', 'gif'],
  ['jp2', 'jp2'],
  ['jpx', 'jp2'],
  ['j2k', 'jp2'],
  ['j2c', 'jp2']
]);

const errMagickSave = new Error('GIF output requires libvips with support for ImageMagick');
const errJp2Save = new Error('JP2 output requires libvips with support for OpenJPEG');

/**
 * Write output image data to a file.
 *
 * If an explicit output format is not selected, it will be inferred from the extension,
 * with JPEG, PNG, WebP, AVIF, TIFF, DZI, and libvips' V format supported.
 * Note that raw pixel data is only supported for buffer output.
 *
 * By default all metadata will be removed, which includes EXIF-based orientation.
 * See {@link withMetadata} for control over this.
 *
 * The caller is responsible for ensuring directory structures and permissions exist.
 *
 * A `Promise` is returned when `callback` is not provided.
 *
 * @example
 * sharp(input)
 *   .toFile('output.png', (err, info) => { ... });
 *
 * @example
 * sharp(input)
 *   .toFile('output.png')
 *   .then(info => { ... })
 *   .catch(err => { ... });
 *
 * @param {string} fileOut - the path to write the image data to.
 * @param {Function} [callback] - called on completion with two arguments `(err, info)`.
 * `info` contains the output image `format`, `size` (bytes), `width`, `height`,
 * `channels` and `premultiplied` (indicating if premultiplication was used).
 * When using a crop strategy also contains `cropOffsetLeft` and `cropOffsetTop`.
 * @returns {Promise<Object>} - when no callback is provided
 * @throws {Error} Invalid parameters
 */
function toFile (fileOut, callback) {
  let err;
  if (!is.string(fileOut)) {
    err = new Error('Missing output file path');
  } else if (is.string(this.options.input.file) && path.resolve(this.options.input.file) === path.resolve(fileOut)) {
    err = new Error('Cannot use same file for input and output');
  } else if (this.options.formatOut === 'input' && fileOut.toLowerCase().endsWith('.gif') && !this.constructor.format.magick.output.file) {
    err = errMagickSave;
  }
  if (err) {
    if (is.fn(callback)) {
      callback(err);
    } else {
      return Promise.reject(err);
    }
  } else {
    this.options.fileOut = fileOut;
    return this._pipeline(callback);
  }
  return this;
}

/**
 * Write output to a Buffer.
 * JPEG, PNG, WebP, AVIF, TIFF and raw pixel data output are supported.
 *
 * If no explicit format is set, the output format will match the input image, except GIF and SVG input which become PNG output.
 *
 * By default all metadata will be removed, which includes EXIF-based orientation.
 * See {@link withMetadata} for control over this.
 *
 * `callback`, if present, gets three arguments `(err, data, info)` where:
 * - `err` is an error, if any.
 * - `data` is the output image data.
 * - `info` contains the output image `format`, `size` (bytes), `width`, `height`,
 * `channels` and `premultiplied` (indicating if premultiplication was used).
 * When using a crop strategy also contains `cropOffsetLeft` and `cropOffsetTop`.
 *
 * A `Promise` is returned when `callback` is not provided.
 *
 * @example
 * sharp(input)
 *   .toBuffer((err, data, info) => { ... });
 *
 * @example
 * sharp(input)
 *   .toBuffer()
 *   .then(data => { ... })
 *   .catch(err => { ... });
 *
 * @example
 * sharp(input)
 *   .toBuffer({ resolveWithObject: true })
 *   .then(({ data, info }) => { ... })
 *   .catch(err => { ... });
 *
 * @example
 * const { data, info } = await sharp('my-image.jpg')
 *   // output the raw pixels
 *   .raw()
 *   .toBuffer({ resolveWithObject: true });
 *
 * // create a more type safe way to work with the raw pixel data
 * // this will not copy the data, instead it will change `data`s underlying ArrayBuffer
 * // so `data` and `pixelArray` point to the same memory location
 * const pixelArray = new Uint8ClampedArray(data.buffer);
 *
 * // When you are done changing the pixelArray, sharp takes the `pixelArray` as an input
 * const { width, height, channels } = info;
 * await sharp(pixelArray, { raw: { width, height, channels } })
 *   .toFile('my-changed-image.jpg');
 *
 * @param {Object} [options]
 * @param {boolean} [options.resolveWithObject] Resolve the Promise with an Object containing `data` and `info` properties instead of resolving only with `data`.
 * @param {Function} [callback]
 * @returns {Promise<Buffer>} - when no callback is provided
 */
function toBuffer (options, callback) {
  if (is.object(options)) {
    this._setBooleanOption('resolveWithObject', options.resolveWithObject);
  } else if (this.options.resolveWithObject) {
    this.options.resolveWithObject = false;
  }
  return this._pipeline(is.fn(options) ? options : callback);
}

/**
 * Include all metadata (EXIF, XMP, IPTC) from the input image in the output image.
 * This will also convert to and add a web-friendly sRGB ICC profile unless a custom
 * output profile is provided.
 *
 * The default behaviour, when `withMetadata` is not used, is to convert to the device-independent
 * sRGB colour space and strip all metadata, including the removal of any ICC profile.
 *
 * @example
 * sharp('input.jpg')
 *   .withMetadata()
 *   .toFile('output-with-metadata.jpg')
 *   .then(info => { ... });
 *
 * @example
 * // Set "IFD0-Copyright" in output EXIF metadata
 * const data = await sharp(input)
 *   .withMetadata({
 *     exif: {
 *       IFD0: {
 *         Copyright: 'Wernham Hogg'
 *       }
 *     }
 *   })
 *   .toBuffer();
 *
 *  * @example
 * // Set output metadata to 96 DPI
 * const data = await sharp(input)
 *   .withMetadata({ density: 96 })
 *   .toBuffer();
 *
 * @param {Object} [options]
 * @param {number} [options.orientation] value between 1 and 8, used to update the EXIF `Orientation` tag.
 * @param {string} [options.icc] filesystem path to output ICC profile, defaults to sRGB.
 * @param {Object<Object>} [options.exif={}] Object keyed by IFD0, IFD1 etc. of key/value string pairs to write as EXIF data.
 * @param {number} [options.density] Number of pixels per inch (DPI).
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function withMetadata (options) {
  this.options.withMetadata = is.bool(options) ? options : true;
  if (is.object(options)) {
    if (is.defined(options.orientation)) {
      if (is.integer(options.orientation) && is.inRange(options.orientation, 1, 8)) {
        this.options.withMetadataOrientation = options.orientation;
      } else {
        throw is.invalidParameterError('orientation', 'integer between 1 and 8', options.orientation);
      }
    }
    if (is.defined(options.density)) {
      if (is.number(options.density) && options.density > 0) {
        this.options.withMetadataDensity = options.density;
      } else {
        throw is.invalidParameterError('density', 'positive number', options.density);
      }
    }
    if (is.defined(options.icc)) {
      if (is.string(options.icc)) {
        this.options.withMetadataIcc = options.icc;
      } else {
        throw is.invalidParameterError('icc', 'string filesystem path to ICC profile', options.icc);
      }
    }
    if (is.defined(options.exif)) {
      if (is.object(options.exif)) {
        for (const [ifd, entries] of Object.entries(options.exif)) {
          if (is.object(entries)) {
            for (const [k, v] of Object.entries(entries)) {
              if (is.string(v)) {
                this.options.withMetadataStrs[`exif-${ifd.toLowerCase()}-${k}`] = v;
              } else {
                throw is.invalidParameterError(`exif.${ifd}.${k}`, 'string', v);
              }
            }
          } else {
            throw is.invalidParameterError(`exif.${ifd}`, 'object', entries);
          }
        }
      } else {
        throw is.invalidParameterError('exif', 'object', options.exif);
      }
    }
  }
  return this;
}

/**
 * Force output to a given format.
 *
 * @example
 * // Convert any input to PNG output
 * const data = await sharp(input)
 *   .toFormat('png')
 *   .toBuffer();
 *
 * @param {(string|Object)} format - as a string or an Object with an 'id' attribute
 * @param {Object} options - output options
 * @returns {Sharp}
 * @throws {Error} unsupported format or options
 */
function toFormat (format, options) {
  const actualFormat = formats.get((is.object(format) && is.string(format.id) ? format.id : format).toLowerCase());
  if (!actualFormat) {
    throw is.invalidParameterError('format', `one of: ${[...formats.keys()].join(', ')}`, format);
  }
  return this[actualFormat](options);
}

/**
 * Use these JPEG options for output image.
 *
 * @example
 * // Convert any input to very high quality JPEG output
 * const data = await sharp(input)
 *   .jpeg({
 *     quality: 100,
 *     chromaSubsampling: '4:4:4'
 *   })
 *   .toBuffer();
 *
 * @example
 * // Use mozjpeg to reduce output JPEG file size (slower)
 * const data = await sharp(input)
 *   .jpeg({ mozjpeg: true })
 *   .toBuffer();
 *
 * @param {Object} [options] - output options
 * @param {number} [options.quality=80] - quality, integer 1-100
 * @param {boolean} [options.progressive=false] - use progressive (interlace) scan
 * @param {string} [options.chromaSubsampling='4:2:0'] - set to '4:4:4' to prevent chroma subsampling otherwise defaults to '4:2:0' chroma subsampling
 * @param {boolean} [options.optimiseCoding=true] - optimise Huffman coding tables
 * @param {boolean} [options.optimizeCoding=true] - alternative spelling of optimiseCoding
 * @param {boolean} [options.mozjpeg=false] - use mozjpeg defaults, equivalent to `{ trellisQuantisation: true, overshootDeringing: true, optimiseScans: true, quantisationTable: 3 }`
 * @param {boolean} [options.trellisQuantisation=false] - apply trellis quantisation
 * @param {boolean} [options.overshootDeringing=false] - apply overshoot deringing
 * @param {boolean} [options.optimiseScans=false] - optimise progressive scans, forces progressive
 * @param {boolean} [options.optimizeScans=false] - alternative spelling of optimiseScans
 * @param {number} [options.quantisationTable=0] - quantization table to use, integer 0-8
 * @param {number} [options.quantizationTable=0] - alternative spelling of quantisationTable
 * @param {boolean} [options.force=true] - force JPEG output, otherwise attempt to use input format
 * @returns {Sharp}
 * @throws {Error} Invalid options
 */
function jpeg (options) {
  if (is.object(options)) {
    if (is.defined(options.quality)) {
      if (is.integer(options.quality) && is.inRange(options.quality, 1, 100)) {
        this.options.jpegQuality = options.quality;
      } else {
        throw is.invalidParameterError('quality', 'integer between 1 and 100', options.quality);
      }
    }
    if (is.defined(options.progressive)) {
      this._setBooleanOption('jpegProgressive', options.progressive);
    }
    if (is.defined(options.chromaSubsampling)) {
      if (is.string(options.chromaSubsampling) && is.inArray(options.chromaSubsampling, ['4:2:0', '4:4:4'])) {
        this.options.jpegChromaSubsampling = options.chromaSubsampling;
      } else {
        throw is.invalidParameterError('chromaSubsampling', 'one of: 4:2:0, 4:4:4', options.chromaSubsampling);
      }
    }
    const optimiseCoding = is.bool(options.optimizeCoding) ? options.optimizeCoding : options.optimiseCoding;
    if (is.defined(optimiseCoding)) {
      this._setBooleanOption('jpegOptimiseCoding', optimiseCoding);
    }
    if (is.defined(options.mozjpeg)) {
      if (is.bool(options.mozjpeg)) {
        if (options.mozjpeg) {
          this.options.jpegTrellisQuantisation = true;
          this.options.jpegOvershootDeringing = true;
          this.options.jpegOptimiseScans = true;
          this.options.jpegProgressive = true;
          this.options.jpegQuantisationTable = 3;
        }
      } else {
        throw is.invalidParameterError('mozjpeg', 'boolean', options.mozjpeg);
      }
    }
    const trellisQuantisation = is.bool(options.trellisQuantization) ? options.trellisQuantization : options.trellisQuantisation;
    if (is.defined(trellisQuantisation)) {
      this._setBooleanOption('jpegTrellisQuantisation', trellisQuantisation);
    }
    if (is.defined(options.overshootDeringing)) {
      this._setBooleanOption('jpegOvershootDeringing', options.overshootDeringing);
    }
    const optimiseScans = is.bool(options.optimizeScans) ? options.optimizeScans : options.optimiseScans;
    if (is.defined(optimiseScans)) {
      this._setBooleanOption('jpegOptimiseScans', optimiseScans);
      if (optimiseScans) {
        this.options.jpegProgressive = true;
      }
    }
    const quantisationTable = is.number(options.quantizationTable) ? options.quantizationTable : options.quantisationTable;
    if (is.defined(quantisationTable)) {
      if (is.integer(quantisationTable) && is.inRange(quantisationTable, 0, 8)) {
        this.options.jpegQuantisationTable = quantisationTable;
      } else {
        throw is.invalidParameterError('quantisationTable', 'integer between 0 and 8', quantisationTable);
      }
    }
  }
  return this._updateFormatOut('jpeg', options);
}

/**
 * Use these PNG options for output image.
 *
 * By default, PNG output is full colour at 8 or 16 bits per pixel.
 * Indexed PNG input at 1, 2 or 4 bits per pixel is converted to 8 bits per pixel.
 * Set `palette` to `true` for slower, indexed PNG output.
 *
 * @example
 * // Convert any input to full colour PNG output
 * const data = await sharp(input)
 *   .png()
 *   .toBuffer();
 *
 * @example
 * // Convert any input to indexed PNG output (slower)
 * const data = await sharp(input)
 *   .png({ palette: true })
 *   .toBuffer();
 *
 * @param {Object} [options]
 * @param {boolean} [options.progressive=false] - use progressive (interlace) scan
 * @param {number} [options.compressionLevel=6] - zlib compression level, 0 (fastest, largest) to 9 (slowest, smallest)
 * @param {boolean} [options.adaptiveFiltering=false] - use adaptive row filtering
 * @param {boolean} [options.palette=false] - quantise to a palette-based image with alpha transparency support
 * @param {number} [options.quality=100] - use the lowest number of colours needed to achieve given quality, sets `palette` to `true`
 * @param {number} [options.colours=256] - maximum number of palette entries, sets `palette` to `true`
 * @param {number} [options.colors=256] - alternative spelling of `options.colours`, sets `palette` to `true`
 * @param {number} [options.dither=1.0] - level of Floyd-Steinberg error diffusion, sets `palette` to `true`
 * @param {boolean} [options.force=true] - force PNG output, otherwise attempt to use input format
 * @returns {Sharp}
 * @throws {Error} Invalid options
 */
function png (options) {
  if (is.object(options)) {
    if (is.defined(options.progressive)) {
      this._setBooleanOption('pngProgressive', options.progressive);
    }
    if (is.defined(options.compressionLevel)) {
      if (is.integer(options.compressionLevel) && is.inRange(options.compressionLevel, 0, 9)) {
        this.options.pngCompressionLevel = options.compressionLevel;
      } else {
        throw is.invalidParameterError('compressionLevel', 'integer between 0 and 9', options.compressionLevel);
      }
    }
    if (is.defined(options.adaptiveFiltering)) {
      this._setBooleanOption('pngAdaptiveFiltering', options.adaptiveFiltering);
    }
    if (is.defined(options.palette)) {
      this._setBooleanOption('pngPalette', options.palette);
    } else if (is.defined(options.quality) || is.defined(options.colours || options.colors) || is.defined(options.dither)) {
      this._setBooleanOption('pngPalette', true);
    }
    if (this.options.pngPalette) {
      if (is.defined(options.quality)) {
        if (is.integer(options.quality) && is.inRange(options.quality, 0, 100)) {
          this.options.pngQuality = options.quality;
        } else {
          throw is.invalidParameterError('quality', 'integer between 0 and 100', options.quality);
        }
      }
      const colours = options.colours || options.colors;
      if (is.defined(colours)) {
        if (is.integer(colours) && is.inRange(colours, 2, 256)) {
          this.options.pngBitdepth = 1 << 31 - Math.clz32(Math.ceil(Math.log2(colours)));
        } else {
          throw is.invalidParameterError('colours', 'integer between 2 and 256', colours);
        }
      }
      if (is.defined(options.dither)) {
        if (is.number(options.dither) && is.inRange(options.dither, 0, 1)) {
          this.options.pngDither = options.dither;
        } else {
          throw is.invalidParameterError('dither', 'number between 0.0 and 1.0', options.dither);
        }
      }
    }
  }
  return this._updateFormatOut('png', options);
}

/**
 * Use these WebP options for output image.
 *
 * @example
 * // Convert any input to lossless WebP output
 * const data = await sharp(input)
 *   .webp({ lossless: true })
 *   .toBuffer();
 *
 * @example
 * // Optimise the file size of an animated WebP
 * const outputWebp = await sharp(inputWebp, { animated: true })
 *   .webp({ reductionEffort: 6 })
 *   .toBuffer();
 *
 * @param {Object} [options] - output options
 * @param {number} [options.quality=80] - quality, integer 1-100
 * @param {number} [options.alphaQuality=100] - quality of alpha layer, integer 0-100
 * @param {boolean} [options.lossless=false] - use lossless compression mode
 * @param {boolean} [options.nearLossless=false] - use near_lossless compression mode
 * @param {boolean} [options.smartSubsample=false] - use high quality chroma subsampling
 * @param {number} [options.reductionEffort=4] - level of CPU effort to reduce file size, integer 0-6
 * @param {number} [options.pageHeight] - page height for animated output
 * @param {number} [options.loop=0] - number of animation iterations, use 0 for infinite animation
 * @param {number[]} [options.delay] - list of delays between animation frames (in milliseconds)
 * @param {boolean} [options.force=true] - force WebP output, otherwise attempt to use input format
 * @returns {Sharp}
 * @throws {Error} Invalid options
 */
function webp (options) {
  if (is.object(options) && is.defined(options.quality)) {
    if (is.integer(options.quality) && is.inRange(options.quality, 1, 100)) {
      this.options.webpQuality = options.quality;
    } else {
      throw is.invalidParameterError('quality', 'integer between 1 and 100', options.quality);
    }
  }
  if (is.object(options) && is.defined(options.alphaQuality)) {
    if (is.integer(options.alphaQuality) && is.inRange(options.alphaQuality, 0, 100)) {
      this.options.webpAlphaQuality = options.alphaQuality;
    } else {
      throw is.invalidParameterError('alphaQuality', 'integer between 0 and 100', options.alphaQuality);
    }
  }
  if (is.object(options) && is.defined(options.lossless)) {
    this._setBooleanOption('webpLossless', options.lossless);
  }
  if (is.object(options) && is.defined(options.nearLossless)) {
    this._setBooleanOption('webpNearLossless', options.nearLossless);
  }
  if (is.object(options) && is.defined(options.smartSubsample)) {
    this._setBooleanOption('webpSmartSubsample', options.smartSubsample);
  }
  if (is.object(options) && is.defined(options.reductionEffort)) {
    if (is.integer(options.reductionEffort) && is.inRange(options.reductionEffort, 0, 6)) {
      this.options.webpReductionEffort = options.reductionEffort;
    } else {
      throw is.invalidParameterError('reductionEffort', 'integer between 0 and 6', options.reductionEffort);
    }
  }

  trySetAnimationOptions(options, this.options);
  return this._updateFormatOut('webp', options);
}

/**
 * Use these GIF options for output image.
 *
 * Requires libvips compiled with support for ImageMagick or GraphicsMagick.
 * The prebuilt binaries do not include this - see
 * {@link https://sharp.pixelplumbing.com/install#custom-libvips installing a custom libvips}.
 *
 * @param {Object} [options] - output options
 * @param {number} [options.pageHeight] - page height for animated output
 * @param {number} [options.loop=0] - number of animation iterations, use 0 for infinite animation
 * @param {number[]} [options.delay] - list of delays between animation frames (in milliseconds)
 * @param {boolean} [options.force=true] - force GIF output, otherwise attempt to use input format
 * @returns {Sharp}
 * @throws {Error} Invalid options
 */
/* istanbul ignore next */
function gif (options) {
  if (!this.constructor.format.magick.output.buffer) {
    throw errMagickSave;
  }
  trySetAnimationOptions(options, this.options);
  return this._updateFormatOut('gif', options);
}

/**
 * Use these JP2 options for output image.
 *
 * Requires libvips compiled with support for OpenJPEG.
 * The prebuilt binaries do not include this - see
 * {@link https://sharp.pixelplumbing.com/install#custom-libvips installing a custom libvips}.
 *
 * @example
 * // Convert any input to lossless JP2 output
 * const data = await sharp(input)
 *   .jp2({ lossless: true })
 *   .toBuffer();
 *
 * @example
 * // Convert any input to very high quality JP2 output
 * const data = await sharp(input)
 *   .jp2({
 *     quality: 100,
 *     chromaSubsampling: '4:4:4'
 *   })
 *   .toBuffer();
 *
 * @since 0.29.1
 *
 * @param {Object} [options] - output options
 * @param {number} [options.quality=80] - quality, integer 1-100
 * @param {boolean} [options.lossless=false] - use lossless compression mode
 * @param {number} [options.tileWidth=512] - horizontal tile size
 * @param {number} [options.tileHeight=512] - vertical tile size
 * @param {string} [options.chromaSubsampling='4:4:4'] - set to '4:2:0' to use chroma subsampling
 * @returns {Sharp}
 * @throws {Error} Invalid options
 */
/* istanbul ignore next */
function jp2 (options) {
  if (!this.constructor.format.jp2k.output.buffer) {
    throw errJp2Save;
  }
  if (is.object(options)) {
    if (is.defined(options.quality)) {
      if (is.integer(options.quality) && is.inRange(options.quality, 1, 100)) {
        this.options.jp2Quality = options.quality;
      } else {
        throw is.invalidParameterError('quality', 'integer between 1 and 100', options.quality);
      }
    }
    if (is.defined(options.lossless)) {
      if (is.bool(options.lossless)) {
        this.options.jp2Lossless = options.lossless;
      } else {
        throw is.invalidParameterError('lossless', 'boolean', options.lossless);
      }
    }
    if (is.defined(options.tileWidth)) {
      if (is.integer(options.tileWidth) && is.inRange(options.tileWidth, 1, 32768)) {
        this.options.jp2TileWidth = options.tileWidth;
      } else {
        throw is.invalidParameterError('tileWidth', 'integer between 1 and 32768', options.tileWidth);
      }
    }
    if (is.defined(options.tileHeight)) {
      if (is.integer(options.tileHeight) && is.inRange(options.tileHeight, 1, 32768)) {
        this.options.jp2TileHeight = options.tileHeight;
      } else {
        throw is.invalidParameterError('tileHeight', 'integer between 1 and 32768', options.tileHeight);
      }
    }
    if (is.defined(options.chromaSubsampling)) {
      if (is.string(options.chromaSubsampling) && is.inArray(options.chromaSubsampling, ['4:2:0', '4:4:4'])) {
        this.options.heifChromaSubsampling = options.chromaSubsampling;
      } else {
        throw is.invalidParameterError('chromaSubsampling', 'one of: 4:2:0, 4:4:4', options.chromaSubsampling);
      }
    }
  }
  return this._updateFormatOut('jp2', options);
}

/**
 * Set animation options if available.
 * @private
 *
 * @param {Object} [source] - output options
 * @param {number} [source.pageHeight] - page height for animated output
 * @param {number} [source.loop=0] - number of animation iterations, use 0 for infinite animation
 * @param {number[]} [source.delay] - list of delays between animation frames (in milliseconds)
 * @param {Object} [target] - target object for valid options
 * @throws {Error} Invalid options
 */
function trySetAnimationOptions (source, target) {
  if (is.object(source) && is.defined(source.pageHeight)) {
    if (is.integer(source.pageHeight) && source.pageHeight > 0) {
      target.pageHeight = source.pageHeight;
    } else {
      throw is.invalidParameterError('pageHeight', 'integer larger than 0', source.pageHeight);
    }
  }
  if (is.object(source) && is.defined(source.loop)) {
    if (is.integer(source.loop) && is.inRange(source.loop, 0, 65535)) {
      target.loop = source.loop;
    } else {
      throw is.invalidParameterError('loop', 'integer between 0 and 65535', source.loop);
    }
  }
  if (is.object(source) && is.defined(source.delay)) {
    if (
      Array.isArray(source.delay) &&
      source.delay.every(is.integer) &&
      source.delay.every(v => is.inRange(v, 0, 65535))) {
      target.delay = source.delay;
    } else {
      throw is.invalidParameterError('delay', 'array of integers between 0 and 65535', source.delay);
    }
  }
}

/**
 * Use these TIFF options for output image.
 *
 * The `density` can be set in pixels/inch via {@link withMetadata} instead of providing `xres` and `yres` in pixels/mm.
 *
 * @example
 * // Convert SVG input to LZW-compressed, 1 bit per pixel TIFF output
 * sharp('input.svg')
 *   .tiff({
 *     compression: 'lzw',
 *     bitdepth: 1
 *   })
 *   .toFile('1-bpp-output.tiff')
 *   .then(info => { ... });
 *
 * @param {Object} [options] - output options
 * @param {number} [options.quality=80] - quality, integer 1-100
 * @param {boolean} [options.force=true] - force TIFF output, otherwise attempt to use input format
 * @param {string} [options.compression='jpeg'] - compression options: lzw, deflate, jpeg, ccittfax4
 * @param {string} [options.predictor='horizontal'] - compression predictor options: none, horizontal, float
 * @param {boolean} [options.pyramid=false] - write an image pyramid
 * @param {boolean} [options.tile=false] - write a tiled tiff
 * @param {number} [options.tileWidth=256] - horizontal tile size
 * @param {number} [options.tileHeight=256] - vertical tile size
 * @param {number} [options.xres=1.0] - horizontal resolution in pixels/mm
 * @param {number} [options.yres=1.0] - vertical resolution in pixels/mm
 * @param {number} [options.bitdepth=8] - reduce bitdepth to 1, 2 or 4 bit
 * @returns {Sharp}
 * @throws {Error} Invalid options
 */
function tiff (options) {
  if (is.object(options)) {
    if (is.defined(options.quality)) {
      if (is.integer(options.quality) && is.inRange(options.quality, 1, 100)) {
        this.options.tiffQuality = options.quality;
      } else {
        throw is.invalidParameterError('quality', 'integer between 1 and 100', options.quality);
      }
    }
    if (is.defined(options.bitdepth)) {
      if (is.integer(options.bitdepth) && is.inArray(options.bitdepth, [1, 2, 4, 8])) {
        this.options.tiffBitdepth = options.bitdepth;
      } else {
        throw is.invalidParameterError('bitdepth', '1, 2, 4 or 8', options.bitdepth);
      }
    }
    // tiling
    if (is.defined(options.tile)) {
      this._setBooleanOption('tiffTile', options.tile);
    }
    if (is.defined(options.tileWidth)) {
      if (is.integer(options.tileWidth) && options.tileWidth > 0) {
        this.options.tiffTileWidth = options.tileWidth;
      } else {
        throw is.invalidParameterError('tileWidth', 'integer greater than zero', options.tileWidth);
      }
    }
    if (is.defined(options.tileHeight)) {
      if (is.integer(options.tileHeight) && options.tileHeight > 0) {
        this.options.tiffTileHeight = options.tileHeight;
      } else {
        throw is.invalidParameterError('tileHeight', 'integer greater than zero', options.tileHeight);
      }
    }
    // pyramid
    if (is.defined(options.pyramid)) {
      this._setBooleanOption('tiffPyramid', options.pyramid);
    }
    // resolution
    if (is.defined(options.xres)) {
      if (is.number(options.xres) && options.xres > 0) {
        this.options.tiffXres = options.xres;
      } else {
        throw is.invalidParameterError('xres', 'number greater than zero', options.xres);
      }
    }
    if (is.defined(options.yres)) {
      if (is.number(options.yres) && options.yres > 0) {
        this.options.tiffYres = options.yres;
      } else {
        throw is.invalidParameterError('yres', 'number greater than zero', options.yres);
      }
    }
    // compression
    if (is.defined(options.compression)) {
      if (is.string(options.compression) && is.inArray(options.compression, ['lzw', 'deflate', 'jpeg', 'ccittfax4', 'none'])) {
        this.options.tiffCompression = options.compression;
      } else {
        throw is.invalidParameterError('compression', 'one of: lzw, deflate, jpeg, ccittfax4, none', options.compression);
      }
    }
    // predictor
    if (is.defined(options.predictor)) {
      if (is.string(options.predictor) && is.inArray(options.predictor, ['none', 'horizontal', 'float'])) {
        this.options.tiffPredictor = options.predictor;
      } else {
        throw is.invalidParameterError('predictor', 'one of: none, horizontal, float', options.predictor);
      }
    }
  }
  return this._updateFormatOut('tiff', options);
}

/**
 * Use these AVIF options for output image.
 *
 * Whilst it is possible to create AVIF images smaller than 16x16 pixels,
 * most web browsers do not display these properly.
 *
 * AVIF image sequences are not supported.
 *
 * @since 0.27.0
 *
 * @param {Object} [options] - output options
 * @param {number} [options.quality=50] - quality, integer 1-100
 * @param {boolean} [options.lossless=false] - use lossless compression
 * @param {number} [options.speed=5] - CPU effort vs file size, 0 (slowest/smallest) to 9 (fastest/largest)
 * @param {string} [options.chromaSubsampling='4:4:4'] - set to '4:2:0' to use chroma subsampling
 * @returns {Sharp}
 * @throws {Error} Invalid options
 */
function avif (options) {
  return this.heif({ ...options, compression: 'av1' });
}

/**
 * Use these HEIF options for output image.
 *
 * Support for patent-encumbered HEIC images requires the use of a
 * globally-installed libvips compiled with support for libheif, libde265 and x265.
 *
 * @since 0.23.0
 *
 * @param {Object} [options] - output options
 * @param {number} [options.quality=50] - quality, integer 1-100
 * @param {string} [options.compression='av1'] - compression format: av1, hevc
 * @param {boolean} [options.lossless=false] - use lossless compression
 * @param {number} [options.speed=5] - CPU effort vs file size, 0 (slowest/smallest) to 9 (fastest/largest)
 * @param {string} [options.chromaSubsampling='4:4:4'] - set to '4:2:0' to use chroma subsampling
 * @returns {Sharp}
 * @throws {Error} Invalid options
 */
function heif (options) {
  if (is.object(options)) {
    if (is.defined(options.quality)) {
      if (is.integer(options.quality) && is.inRange(options.quality, 1, 100)) {
        this.options.heifQuality = options.quality;
      } else {
        throw is.invalidParameterError('quality', 'integer between 1 and 100', options.quality);
      }
    }
    if (is.defined(options.lossless)) {
      if (is.bool(options.lossless)) {
        this.options.heifLossless = options.lossless;
      } else {
        throw is.invalidParameterError('lossless', 'boolean', options.lossless);
      }
    }
    if (is.defined(options.compression)) {
      if (is.string(options.compression) && is.inArray(options.compression, ['av1', 'hevc'])) {
        this.options.heifCompression = options.compression;
      } else {
        throw is.invalidParameterError('compression', 'one of: av1, hevc', options.compression);
      }
    }
    if (is.defined(options.speed)) {
      if (is.integer(options.speed) && is.inRange(options.speed, 0, 9)) {
        this.options.heifSpeed = options.speed;
      } else {
        throw is.invalidParameterError('speed', 'integer between 0 and 9', options.speed);
      }
    }
    if (is.defined(options.chromaSubsampling)) {
      if (is.string(options.chromaSubsampling) && is.inArray(options.chromaSubsampling, ['4:2:0', '4:4:4'])) {
        this.options.heifChromaSubsampling = options.chromaSubsampling;
      } else {
        throw is.invalidParameterError('chromaSubsampling', 'one of: 4:2:0, 4:4:4', options.chromaSubsampling);
      }
    }
  }
  return this._updateFormatOut('heif', options);
}

/**
 * Force output to be raw, uncompressed pixel data.
 * Pixel ordering is left-to-right, top-to-bottom, without padding.
 * Channel ordering will be RGB or RGBA for non-greyscale colourspaces.
 *
 * @example
 * // Extract raw, unsigned 8-bit RGB pixel data from JPEG input
 * const { data, info } = await sharp('input.jpg')
 *   .raw()
 *   .toBuffer({ resolveWithObject: true });
 *
 * @example
 * // Extract alpha channel as raw, unsigned 16-bit pixel data from PNG input
 * const data = await sharp('input.png')
 *   .ensureAlpha()
 *   .extractChannel(3)
 *   .toColourspace('b-w')
 *   .raw({ depth: 'ushort' })
 *   .toBuffer();
 *
 * @param {Object} [options] - output options
 * @param {string} [options.depth='uchar'] - bit depth, one of: char, uchar (default), short, ushort, int, uint, float, complex, double, dpcomplex
 * @throws {Error} Invalid options
 */
function raw (options) {
  if (is.object(options)) {
    if (is.defined(options.depth)) {
      if (is.string(options.depth) && is.inArray(options.depth,
        ['char', 'uchar', 'short', 'ushort', 'int', 'uint', 'float', 'complex', 'double', 'dpcomplex']
      )) {
        this.options.rawDepth = options.depth;
      } else {
        throw is.invalidParameterError('depth', 'one of: char, uchar, short, ushort, int, uint, float, complex, double, dpcomplex', options.depth);
      }
    }
  }
  return this._updateFormatOut('raw');
}

/**
 * Use tile-based deep zoom (image pyramid) output.
 * Set the format and options for tile images via the `toFormat`, `jpeg`, `png` or `webp` functions.
 * Use a `.zip` or `.szi` file extension with `toFile` to write to a compressed archive file format.
 *
 * Warning: multiple sharp instances concurrently producing tile output can expose a possible race condition in some versions of libgsf.
 *
 * @example
 *  sharp('input.tiff')
 *   .png()
 *   .tile({
 *     size: 512
 *   })
 *   .toFile('output.dz', function(err, info) {
 *     // output.dzi is the Deep Zoom XML definition
 *     // output_files contains 512x512 tiles grouped by zoom level
 *   });
 *
 * @param {Object} [options]
 * @param {number} [options.size=256] tile size in pixels, a value between 1 and 8192.
 * @param {number} [options.overlap=0] tile overlap in pixels, a value between 0 and 8192.
 * @param {number} [options.angle=0] tile angle of rotation, must be a multiple of 90.
 * @param {string|Object} [options.background={r: 255, g: 255, b: 255, alpha: 1}] - background colour, parsed by the [color](https://www.npmjs.org/package/color) module, defaults to white without transparency.
 * @param {string} [options.depth] how deep to make the pyramid, possible values are `onepixel`, `onetile` or `one`, default based on layout.
 * @param {number} [options.skipBlanks=-1] threshold to skip tile generation, a value 0 - 255 for 8-bit images or 0 - 65535 for 16-bit images
 * @param {string} [options.container='fs'] tile container, with value `fs` (filesystem) or `zip` (compressed file).
 * @param {string} [options.layout='dz'] filesystem layout, possible values are `dz`, `iiif`, `zoomify` or `google`.
 * @param {boolean} [options.centre=false] centre image in tile.
 * @param {boolean} [options.center=false] alternative spelling of centre.
 * @param {string} [options.id='https://example.com/iiif'] when `layout` is `iiif`, sets the `@id` attribute of `info.json`
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function tile (options) {
  if (is.object(options)) {
    // Size of square tiles, in pixels
    if (is.defined(options.size)) {
      if (is.integer(options.size) && is.inRange(options.size, 1, 8192)) {
        this.options.tileSize = options.size;
      } else {
        throw is.invalidParameterError('size', 'integer between 1 and 8192', options.size);
      }
    }
    // Overlap of tiles, in pixels
    if (is.defined(options.overlap)) {
      if (is.integer(options.overlap) && is.inRange(options.overlap, 0, 8192)) {
        if (options.overlap > this.options.tileSize) {
          throw is.invalidParameterError('overlap', `<= size (${this.options.tileSize})`, options.overlap);
        }
        this.options.tileOverlap = options.overlap;
      } else {
        throw is.invalidParameterError('overlap', 'integer between 0 and 8192', options.overlap);
      }
    }
    // Container
    if (is.defined(options.container)) {
      if (is.string(options.container) && is.inArray(options.container, ['fs', 'zip'])) {
        this.options.tileContainer = options.container;
      } else {
        throw is.invalidParameterError('container', 'one of: fs, zip', options.container);
      }
    }
    // Layout
    if (is.defined(options.layout)) {
      if (is.string(options.layout) && is.inArray(options.layout, ['dz', 'google', 'iiif', 'zoomify'])) {
        this.options.tileLayout = options.layout;
      } else {
        throw is.invalidParameterError('layout', 'one of: dz, google, iiif, zoomify', options.layout);
      }
    }
    // Angle of rotation,
    if (is.defined(options.angle)) {
      if (is.integer(options.angle) && !(options.angle % 90)) {
        this.options.tileAngle = options.angle;
      } else {
        throw is.invalidParameterError('angle', 'positive/negative multiple of 90', options.angle);
      }
    }
    // Background colour
    this._setBackgroundColourOption('tileBackground', options.background);
    // Depth of tiles
    if (is.defined(options.depth)) {
      if (is.string(options.depth) && is.inArray(options.depth, ['onepixel', 'onetile', 'one'])) {
        this.options.tileDepth = options.depth;
      } else {
        throw is.invalidParameterError('depth', 'one of: onepixel, onetile, one', options.depth);
      }
    }
    // Threshold to skip blank tiles
    if (is.defined(options.skipBlanks)) {
      if (is.integer(options.skipBlanks) && is.inRange(options.skipBlanks, -1, 65535)) {
        this.options.tileSkipBlanks = options.skipBlanks;
      } else {
        throw is.invalidParameterError('skipBlanks', 'integer between -1 and 255/65535', options.skipBlanks);
      }
    } else if (is.defined(options.layout) && options.layout === 'google') {
      this.options.tileSkipBlanks = 5;
    }
    // Center image in tile
    const centre = is.bool(options.center) ? options.center : options.centre;
    if (is.defined(centre)) {
      this._setBooleanOption('tileCentre', centre);
    }
    // @id attribute for IIIF layout
    if (is.defined(options.id)) {
      if (is.string(options.id)) {
        this.options.tileId = options.id;
      } else {
        throw is.invalidParameterError('id', 'string', options.id);
      }
    }
  }
  // Format
  if (is.inArray(this.options.formatOut, ['jpeg', 'png', 'webp'])) {
    this.options.tileFormat = this.options.formatOut;
  } else if (this.options.formatOut !== 'input') {
    throw is.invalidParameterError('format', 'one of: jpeg, png, webp', this.options.formatOut);
  }
  return this._updateFormatOut('dz');
}

/**
 * Set a timeout for processing, in seconds.
 * Use a value of zero to continue processing indefinitely, the default behaviour.
 *
 * The clock starts when libvips opens an input image for processing.
 * Time spent waiting for a libuv thread to become available is not included.
 *
 * @since 0.29.2
 *
 * @param {Object} options
 * @param {number} options.seconds - Number of seconds after which processing will be stopped
 * @returns {Sharp}
 */
function timeout (options) {
  if (!is.plainObject(options)) {
    throw is.invalidParameterError('options', 'object', options);
  }
  if (is.integer(options.seconds) && is.inRange(options.seconds, 0, 3600)) {
    this.options.timeoutSeconds = options.seconds;
  } else {
    throw is.invalidParameterError('seconds', 'integer between 0 and 3600', options.seconds);
  }
  return this;
}

/**
 * Update the output format unless options.force is false,
 * in which case revert to input format.
 * @private
 * @param {string} formatOut
 * @param {Object} [options]
 * @param {boolean} [options.force=true] - force output format, otherwise attempt to use input format
 * @returns {Sharp}
 */
function _updateFormatOut (formatOut, options) {
  if (!(is.object(options) && options.force === false)) {
    this.options.formatOut = formatOut;
  }
  return this;
}

/**
 * Update a boolean attribute of the this.options Object.
 * @private
 * @param {string} key
 * @param {boolean} val
 * @throws {Error} Invalid key
 */
function _setBooleanOption (key, val) {
  if (is.bool(val)) {
    this.options[key] = val;
  } else {
    throw is.invalidParameterError(key, 'boolean', val);
  }
}

/**
 * Called by a WriteableStream to notify us it is ready for data.
 * @private
 */
function _read () {
  /* istanbul ignore else */
  if (!this.options.streamOut) {
    this.options.streamOut = true;
    this._pipeline();
  }
}

/**
 * Invoke the C++ image processing pipeline
 * Supports callback, stream and promise variants
 * @private
 */
function _pipeline (callback) {
  if (typeof callback === 'function') {
    // output=file/buffer
    if (this._isStreamInput()) {
      // output=file/buffer, input=stream
      this.on('finish', () => {
        this._flattenBufferIn();
        sharp.pipeline(this.options, callback);
      });
    } else {
      // output=file/buffer, input=file/buffer
      sharp.pipeline(this.options, callback);
    }
    return this;
  } else if (this.options.streamOut) {
    // output=stream
    if (this._isStreamInput()) {
      // output=stream, input=stream
      this.once('finish', () => {
        this._flattenBufferIn();
        sharp.pipeline(this.options, (err, data, info) => {
          if (err) {
            this.emit('error', err);
          } else {
            this.emit('info', info);
            this.push(data);
          }
          this.push(null);
        });
      });
      if (this.streamInFinished) {
        this.emit('finish');
      }
    } else {
      // output=stream, input=file/buffer
      sharp.pipeline(this.options, (err, data, info) => {
        if (err) {
          this.emit('error', err);
        } else {
          this.emit('info', info);
          this.push(data);
        }
        this.push(null);
      });
    }
    return this;
  } else {
    // output=promise
    if (this._isStreamInput()) {
      // output=promise, input=stream
      return new Promise((resolve, reject) => {
        this.once('finish', () => {
          this._flattenBufferIn();
          sharp.pipeline(this.options, (err, data, info) => {
            if (err) {
              reject(err);
            } else {
              if (this.options.resolveWithObject) {
                resolve({ data, info });
              } else {
                resolve(data);
              }
            }
          });
        });
      });
    } else {
      // output=promise, input=file/buffer
      return new Promise((resolve, reject) => {
        sharp.pipeline(this.options, (err, data, info) => {
          if (err) {
            reject(err);
          } else {
            if (this.options.resolveWithObject) {
              resolve({ data: data, info: info });
            } else {
              resolve(data);
            }
          }
        });
      });
    }
  }
}

/**
 * Decorate the Sharp prototype with output-related functions.
 * @private
 */
module.exports = function (Sharp) {
  Object.assign(Sharp.prototype, {
    // Public
    toFile,
    toBuffer,
    withMetadata,
    toFormat,
    jpeg,
    jp2,
    png,
    webp,
    tiff,
    avif,
    heif,
    gif,
    raw,
    tile,
    timeout,
    // Private
    _updateFormatOut,
    _setBooleanOption,
    _read,
    _pipeline
  });
};


/***/ }),

/***/ 61998:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const detectLibc = __nccwpck_require__(34889);

const env = process.env;

module.exports = function () {
  const arch = env.npm_config_arch || process.arch;
  const platform = env.npm_config_platform || process.platform;
  /* istanbul ignore next */
  const libc = (platform === 'linux' && detectLibc.isNonGlibcLinux) ? detectLibc.family : '';

  const platformId = [`${platform}${libc}`];

  if (arch === 'arm') {
    const fallback = process.versions.electron ? '7' : '6';
    platformId.push(`armv${env.npm_config_arm_version || process.config.variables.arm_version || fallback}`);
  } else if (arch === 'arm64') {
    platformId.push(`arm64v${env.npm_config_arm_version || '8'}`);
  } else {
    platformId.push(arch);
  }

  return platformId.join('-');
};


/***/ }),

/***/ 12932:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const is = __nccwpck_require__(768);

/**
 * Weighting to apply when using contain/cover fit.
 * @member
 * @private
 */
const gravity = {
  center: 0,
  centre: 0,
  north: 1,
  east: 2,
  south: 3,
  west: 4,
  northeast: 5,
  southeast: 6,
  southwest: 7,
  northwest: 8
};

/**
 * Position to apply when using contain/cover fit.
 * @member
 * @private
 */
const position = {
  top: 1,
  right: 2,
  bottom: 3,
  left: 4,
  'right top': 5,
  'right bottom': 6,
  'left bottom': 7,
  'left top': 8
};

/**
 * Strategies for automagic cover behaviour.
 * @member
 * @private
 */
const strategy = {
  entropy: 16,
  attention: 17
};

/**
 * Reduction kernels.
 * @member
 * @private
 */
const kernel = {
  nearest: 'nearest',
  cubic: 'cubic',
  mitchell: 'mitchell',
  lanczos2: 'lanczos2',
  lanczos3: 'lanczos3'
};

/**
 * Methods by which an image can be resized to fit the provided dimensions.
 * @member
 * @private
 */
const fit = {
  contain: 'contain',
  cover: 'cover',
  fill: 'fill',
  inside: 'inside',
  outside: 'outside'
};

/**
 * Map external fit property to internal canvas property.
 * @member
 * @private
 */
const mapFitToCanvas = {
  contain: 'embed',
  cover: 'crop',
  fill: 'ignore_aspect',
  inside: 'max',
  outside: 'min'
};

/**
 * @private
 */
function isRotationExpected (options) {
  return (options.angle % 360) !== 0 || options.useExifOrientation === true || options.rotationAngle !== 0;
}

/**
 * Resize image to `width`, `height` or `width x height`.
 *
 * When both a `width` and `height` are provided, the possible methods by which the image should **fit** these are:
 * - `cover`: (default) Preserving aspect ratio, ensure the image covers both provided dimensions by cropping/clipping to fit.
 * - `contain`: Preserving aspect ratio, contain within both provided dimensions using "letterboxing" where necessary.
 * - `fill`: Ignore the aspect ratio of the input and stretch to both provided dimensions.
 * - `inside`: Preserving aspect ratio, resize the image to be as large as possible while ensuring its dimensions are less than or equal to both those specified.
 * - `outside`: Preserving aspect ratio, resize the image to be as small as possible while ensuring its dimensions are greater than or equal to both those specified.
 *
 * Some of these values are based on the [object-fit](https://developer.mozilla.org/en-US/docs/Web/CSS/object-fit) CSS property.
 *
 * When using a `fit` of `cover` or `contain`, the default **position** is `centre`. Other options are:
 * - `sharp.position`: `top`, `right top`, `right`, `right bottom`, `bottom`, `left bottom`, `left`, `left top`.
 * - `sharp.gravity`: `north`, `northeast`, `east`, `southeast`, `south`, `southwest`, `west`, `northwest`, `center` or `centre`.
 * - `sharp.strategy`: `cover` only, dynamically crop using either the `entropy` or `attention` strategy.
 *
 * Some of these values are based on the [object-position](https://developer.mozilla.org/en-US/docs/Web/CSS/object-position) CSS property.
 *
 * The experimental strategy-based approach resizes so one dimension is at its target length
 * then repeatedly ranks edge regions, discarding the edge with the lowest score based on the selected strategy.
 * - `entropy`: focus on the region with the highest [Shannon entropy](https://en.wikipedia.org/wiki/Entropy_%28information_theory%29).
 * - `attention`: focus on the region with the highest luminance frequency, colour saturation and presence of skin tones.
 *
 * Possible interpolation kernels are:
 * - `nearest`: Use [nearest neighbour interpolation](http://en.wikipedia.org/wiki/Nearest-neighbor_interpolation).
 * - `cubic`: Use a [Catmull-Rom spline](https://en.wikipedia.org/wiki/Centripetal_Catmull%E2%80%93Rom_spline).
 * - `mitchell`: Use a [Mitchell-Netravali spline](https://www.cs.utexas.edu/~fussell/courses/cs384g-fall2013/lectures/mitchell/Mitchell.pdf).
 * - `lanczos2`: Use a [Lanczos kernel](https://en.wikipedia.org/wiki/Lanczos_resampling#Lanczos_kernel) with `a=2`.
 * - `lanczos3`: Use a Lanczos kernel with `a=3` (the default).
 *
 * @example
 * sharp(input)
 *   .resize({ width: 100 })
 *   .toBuffer()
 *   .then(data => {
 *     // 100 pixels wide, auto-scaled height
 *   });
 *
 * @example
 * sharp(input)
 *   .resize({ height: 100 })
 *   .toBuffer()
 *   .then(data => {
 *     // 100 pixels high, auto-scaled width
 *   });
 *
 * @example
 * sharp(input)
 *   .resize(200, 300, {
 *     kernel: sharp.kernel.nearest,
 *     fit: 'contain',
 *     position: 'right top',
 *     background: { r: 255, g: 255, b: 255, alpha: 0.5 }
 *   })
 *   .toFile('output.png')
 *   .then(() => {
 *     // output.png is a 200 pixels wide and 300 pixels high image
 *     // containing a nearest-neighbour scaled version
 *     // contained within the north-east corner of a semi-transparent white canvas
 *   });
 *
 * @example
 * const transformer = sharp()
 *   .resize({
 *     width: 200,
 *     height: 200,
 *     fit: sharp.fit.cover,
 *     position: sharp.strategy.entropy
 *   });
 * // Read image data from readableStream
 * // Write 200px square auto-cropped image data to writableStream
 * readableStream
 *   .pipe(transformer)
 *   .pipe(writableStream);
 *
 * @example
 * sharp(input)
 *   .resize(200, 200, {
 *     fit: sharp.fit.inside,
 *     withoutEnlargement: true
 *   })
 *   .toFormat('jpeg')
 *   .toBuffer()
 *   .then(function(outputBuffer) {
 *     // outputBuffer contains JPEG image data
 *     // no wider and no higher than 200 pixels
 *     // and no larger than the input image
 *   });
 *
 * @example
 * const scaleByHalf = await sharp(input)
 *   .metadata()
 *   .then(({ width }) => sharp(input)
 *     .resize(Math.round(width * 0.5))
 *     .toBuffer()
 *   );
 *
 * @param {number} [width] - pixels wide the resultant image should be. Use `null` or `undefined` to auto-scale the width to match the height.
 * @param {number} [height] - pixels high the resultant image should be. Use `null` or `undefined` to auto-scale the height to match the width.
 * @param {Object} [options]
 * @param {String} [options.width] - alternative means of specifying `width`. If both are present this take priority.
 * @param {String} [options.height] - alternative means of specifying `height`. If both are present this take priority.
 * @param {String} [options.fit='cover'] - how the image should be resized to fit both provided dimensions, one of `cover`, `contain`, `fill`, `inside` or `outside`.
 * @param {String} [options.position='centre'] - position, gravity or strategy to use when `fit` is `cover` or `contain`.
 * @param {String|Object} [options.background={r: 0, g: 0, b: 0, alpha: 1}] - background colour when using a `fit` of `contain`, parsed by the [color](https://www.npmjs.org/package/color) module, defaults to black without transparency.
 * @param {String} [options.kernel='lanczos3'] - the kernel to use for image reduction.
 * @param {Boolean} [options.withoutEnlargement=false] - do not enlarge if the width *or* height are already less than the specified dimensions, equivalent to GraphicsMagick's `>` geometry option.
 * @param {Boolean} [options.fastShrinkOnLoad=true] - take greater advantage of the JPEG and WebP shrink-on-load feature, which can lead to a slight moiré pattern on some images.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function resize (width, height, options) {
  if (is.defined(width)) {
    if (is.object(width) && !is.defined(options)) {
      options = width;
    } else if (is.integer(width) && width > 0) {
      this.options.width = width;
    } else {
      throw is.invalidParameterError('width', 'positive integer', width);
    }
  } else {
    this.options.width = -1;
  }
  if (is.defined(height)) {
    if (is.integer(height) && height > 0) {
      this.options.height = height;
    } else {
      throw is.invalidParameterError('height', 'positive integer', height);
    }
  } else {
    this.options.height = -1;
  }
  if (is.object(options)) {
    // Width
    if (is.defined(options.width)) {
      if (is.integer(options.width) && options.width > 0) {
        this.options.width = options.width;
      } else {
        throw is.invalidParameterError('width', 'positive integer', options.width);
      }
    }
    // Height
    if (is.defined(options.height)) {
      if (is.integer(options.height) && options.height > 0) {
        this.options.height = options.height;
      } else {
        throw is.invalidParameterError('height', 'positive integer', options.height);
      }
    }
    // Fit
    if (is.defined(options.fit)) {
      const canvas = mapFitToCanvas[options.fit];
      if (is.string(canvas)) {
        this.options.canvas = canvas;
      } else {
        throw is.invalidParameterError('fit', 'valid fit', options.fit);
      }
    }
    // Position
    if (is.defined(options.position)) {
      const pos = is.integer(options.position)
        ? options.position
        : strategy[options.position] || position[options.position] || gravity[options.position];
      if (is.integer(pos) && (is.inRange(pos, 0, 8) || is.inRange(pos, 16, 17))) {
        this.options.position = pos;
      } else {
        throw is.invalidParameterError('position', 'valid position/gravity/strategy', options.position);
      }
    }
    // Background
    this._setBackgroundColourOption('resizeBackground', options.background);
    // Kernel
    if (is.defined(options.kernel)) {
      if (is.string(kernel[options.kernel])) {
        this.options.kernel = kernel[options.kernel];
      } else {
        throw is.invalidParameterError('kernel', 'valid kernel name', options.kernel);
      }
    }
    // Without enlargement
    if (is.defined(options.withoutEnlargement)) {
      this._setBooleanOption('withoutEnlargement', options.withoutEnlargement);
    }
    // Shrink on load
    if (is.defined(options.fastShrinkOnLoad)) {
      this._setBooleanOption('fastShrinkOnLoad', options.fastShrinkOnLoad);
    }
  }
  return this;
}

/**
 * Extends/pads the edges of the image with the provided background colour.
 * This operation will always occur after resizing and extraction, if any.
 *
 * @example
 * // Resize to 140 pixels wide, then add 10 transparent pixels
 * // to the top, left and right edges and 20 to the bottom edge
 * sharp(input)
 *   .resize(140)
 *   .extend({
 *     top: 10,
 *     bottom: 20,
 *     left: 10,
 *     right: 10,
 *     background: { r: 0, g: 0, b: 0, alpha: 0 }
 *   })
 *   ...
 *
* @example
 * // Add a row of 10 red pixels to the bottom
 * sharp(input)
 *   .extend({
 *     bottom: 10,
 *     background: 'red'
 *   })
 *   ...
 *
 * @param {(number|Object)} extend - single pixel count to add to all edges or an Object with per-edge counts
 * @param {number} [extend.top=0]
 * @param {number} [extend.left=0]
 * @param {number} [extend.bottom=0]
 * @param {number} [extend.right=0]
 * @param {String|Object} [extend.background={r: 0, g: 0, b: 0, alpha: 1}] - background colour, parsed by the [color](https://www.npmjs.org/package/color) module, defaults to black without transparency.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
*/
function extend (extend) {
  if (is.integer(extend) && extend > 0) {
    this.options.extendTop = extend;
    this.options.extendBottom = extend;
    this.options.extendLeft = extend;
    this.options.extendRight = extend;
  } else if (is.object(extend)) {
    if (is.defined(extend.top)) {
      if (is.integer(extend.top) && extend.top >= 0) {
        this.options.extendTop = extend.top;
      } else {
        throw is.invalidParameterError('top', 'positive integer', extend.top);
      }
    }
    if (is.defined(extend.bottom)) {
      if (is.integer(extend.bottom) && extend.bottom >= 0) {
        this.options.extendBottom = extend.bottom;
      } else {
        throw is.invalidParameterError('bottom', 'positive integer', extend.bottom);
      }
    }
    if (is.defined(extend.left)) {
      if (is.integer(extend.left) && extend.left >= 0) {
        this.options.extendLeft = extend.left;
      } else {
        throw is.invalidParameterError('left', 'positive integer', extend.left);
      }
    }
    if (is.defined(extend.right)) {
      if (is.integer(extend.right) && extend.right >= 0) {
        this.options.extendRight = extend.right;
      } else {
        throw is.invalidParameterError('right', 'positive integer', extend.right);
      }
    }
    this._setBackgroundColourOption('extendBackground', extend.background);
  } else {
    throw is.invalidParameterError('extend', 'integer or object', extend);
  }
  return this;
}

/**
 * Extract/crop a region of the image.
 *
 * - Use `extract` before `resize` for pre-resize extraction.
 * - Use `extract` after `resize` for post-resize extraction.
 * - Use `extract` before and after for both.
 *
 * @example
 * sharp(input)
 *   .extract({ left: left, top: top, width: width, height: height })
 *   .toFile(output, function(err) {
 *     // Extract a region of the input image, saving in the same format.
 *   });
 * @example
 * sharp(input)
 *   .extract({ left: leftOffsetPre, top: topOffsetPre, width: widthPre, height: heightPre })
 *   .resize(width, height)
 *   .extract({ left: leftOffsetPost, top: topOffsetPost, width: widthPost, height: heightPost })
 *   .toFile(output, function(err) {
 *     // Extract a region, resize, then extract from the resized image
 *   });
 *
 * @param {Object} options - describes the region to extract using integral pixel values
 * @param {number} options.left - zero-indexed offset from left edge
 * @param {number} options.top - zero-indexed offset from top edge
 * @param {number} options.width - width of region to extract
 * @param {number} options.height - height of region to extract
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function extract (options) {
  const suffix = this.options.width === -1 && this.options.height === -1 ? 'Pre' : 'Post';
  ['left', 'top', 'width', 'height'].forEach(function (name) {
    const value = options[name];
    if (is.integer(value) && value >= 0) {
      this.options[name + (name === 'left' || name === 'top' ? 'Offset' : '') + suffix] = value;
    } else {
      throw is.invalidParameterError(name, 'integer', value);
    }
  }, this);
  // Ensure existing rotation occurs before pre-resize extraction
  if (suffix === 'Pre' && isRotationExpected(this.options)) {
    this.options.rotateBeforePreExtract = true;
  }
  return this;
}

/**
 * Trim "boring" pixels from all edges that contain values similar to the top-left pixel.
 * Images consisting entirely of a single colour will calculate "boring" using the alpha channel, if any.
 *
 * The `info` response Object, obtained from callback of `.toFile()` or `.toBuffer()`,
 * will contain `trimOffsetLeft` and `trimOffsetTop` properties.
 *
 * @param {number} [threshold=10] the allowed difference from the top-left pixel, a number greater than zero.
 * @returns {Sharp}
 * @throws {Error} Invalid parameters
 */
function trim (threshold) {
  if (!is.defined(threshold)) {
    this.options.trimThreshold = 10;
  } else if (is.number(threshold) && threshold > 0) {
    this.options.trimThreshold = threshold;
  } else {
    throw is.invalidParameterError('threshold', 'number greater than zero', threshold);
  }
  if (this.options.trimThreshold && isRotationExpected(this.options)) {
    this.options.rotateBeforePreExtract = true;
  }
  return this;
}

/**
 * Decorate the Sharp prototype with resize-related functions.
 * @private
 */
module.exports = function (Sharp) {
  Object.assign(Sharp.prototype, {
    resize,
    extend,
    extract,
    trim
  });
  // Class attributes
  Sharp.gravity = gravity;
  Sharp.strategy = strategy;
  Sharp.kernel = kernel;
  Sharp.fit = fit;
  Sharp.position = position;
};


/***/ }),

/***/ 48382:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

function __ncc_wildcard$0 (arg) {
  if (arg === "darwin-x64") return __nccwpck_require__(74838);
}
'use strict';

const platformAndArch = __nccwpck_require__(61998)();

/* istanbul ignore next */
try {
  module.exports = __ncc_wildcard$0(platformAndArch);
} catch (err) {
  // Bail early if bindings aren't available
  const help = ['', 'Something went wrong installing the "sharp" module', '', err.message, '', 'Possible solutions:'];
  if (/dylib/.test(err.message) && /Incompatible library version/.test(err.message)) {
    help.push('- Update Homebrew: "brew update && brew upgrade vips"');
  } else {
    help.push(
      '- Install with the --verbose flag and look for errors: "npm install --ignore-scripts=false --verbose sharp"',
      `- Install for the current runtime: "npm install --platform=${process.platform} --arch=${process.arch} sharp"`
    );
  }
  help.push(
    '- Consult the installation documentation: https://sharp.pixelplumbing.com/install'
  );
  // Check loaded
  if (process.platform === 'win32') {
    const loadedModule = Object.keys(require.cache).find((i) => /[\\/]build[\\/]Release[\\/]sharp(.*)\.node$/.test(i));
    if (loadedModule) {
      const [, loadedPackage] = loadedModule.match(/node_modules[\\/]([^\\/]+)[\\/]/);
      help.push(`- Ensure the version of sharp aligns with the ${loadedPackage} package: "npm ls sharp"`);
    }
  }
  throw new Error(help.join('\n'));
}


/***/ }),

/***/ 19927:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const events = __nccwpck_require__(82361);
const detectLibc = __nccwpck_require__(34889);

const is = __nccwpck_require__(768);
const platformAndArch = __nccwpck_require__(61998)();
const sharp = __nccwpck_require__(48382);

/**
 * An Object containing nested boolean values representing the available input and output formats/methods.
 * @member
 * @example
 * console.log(sharp.format);
 * @returns {Object}
 */
const format = sharp.format();

/**
 * An Object containing the available interpolators and their proper values
 * @readonly
 * @enum {string}
 */
const interpolators = {
  /** [Nearest neighbour interpolation](http://en.wikipedia.org/wiki/Nearest-neighbor_interpolation). Suitable for image enlargement only. */
  nearest: 'nearest',
  /** [Bilinear interpolation](http://en.wikipedia.org/wiki/Bilinear_interpolation). Faster than bicubic but with less smooth results. */
  bilinear: 'bilinear',
  /** [Bicubic interpolation](http://en.wikipedia.org/wiki/Bicubic_interpolation) (the default). */
  bicubic: 'bicubic',
  /** [LBB interpolation](https://github.com/jcupitt/libvips/blob/master/libvips/resample/lbb.cpp#L100). Prevents some "[acutance](http://en.wikipedia.org/wiki/Acutance)" but typically reduces performance by a factor of 2. */
  locallyBoundedBicubic: 'lbb',
  /** [Nohalo interpolation](http://eprints.soton.ac.uk/268086/). Prevents acutance but typically reduces performance by a factor of 3. */
  nohalo: 'nohalo',
  /** [VSQBS interpolation](https://github.com/jcupitt/libvips/blob/master/libvips/resample/vsqbs.cpp#L48). Prevents "staircasing" when enlarging. */
  vertexSplitQuadraticBasisSpline: 'vsqbs'
};

/**
 * An Object containing the version numbers of libvips and its dependencies.
 * @member
 * @example
 * console.log(sharp.versions);
 */
let versions = {
  vips: sharp.libvipsVersion()
};
try {
  versions = require(`../vendor/${versions.vips}/${platformAndArch}/versions.json`);
} catch (err) {}

/**
 * Gets or, when options are provided, sets the limits of _libvips'_ operation cache.
 * Existing entries in the cache will be trimmed after any change in limits.
 * This method always returns cache statistics,
 * useful for determining how much working memory is required for a particular task.
 *
 * @example
 * const stats = sharp.cache();
 * @example
 * sharp.cache( { items: 200 } );
 * sharp.cache( { files: 0 } );
 * sharp.cache(false);
 *
 * @param {Object|boolean} [options=true] - Object with the following attributes, or boolean where true uses default cache settings and false removes all caching
 * @param {number} [options.memory=50] - is the maximum memory in MB to use for this cache
 * @param {number} [options.files=20] - is the maximum number of files to hold open
 * @param {number} [options.items=100] - is the maximum number of operations to cache
 * @returns {Object}
 */
function cache (options) {
  if (is.bool(options)) {
    if (options) {
      // Default cache settings of 50MB, 20 files, 100 items
      return sharp.cache(50, 20, 100);
    } else {
      return sharp.cache(0, 0, 0);
    }
  } else if (is.object(options)) {
    return sharp.cache(options.memory, options.files, options.items);
  } else {
    return sharp.cache();
  }
}
cache(true);

/**
 * Gets or, when a concurrency is provided, sets
 * the number of threads _libvips'_ should create to process each image.
 *
 * The default value is the number of CPU cores,
 * except when using glibc-based Linux without jemalloc,
 * where the default is `1` to help reduce memory fragmentation.
 *
 * A value of `0` will reset this to the number of CPU cores.
 *
 * The maximum number of images that can be processed in parallel
 * is limited by libuv's `UV_THREADPOOL_SIZE` environment variable.
 *
 * This method always returns the current concurrency.
 *
 * @example
 * const threads = sharp.concurrency(); // 4
 * sharp.concurrency(2); // 2
 * sharp.concurrency(0); // 4
 *
 * @param {number} [concurrency]
 * @returns {number} concurrency
 */
function concurrency (concurrency) {
  return sharp.concurrency(is.integer(concurrency) ? concurrency : null);
}
/* istanbul ignore next */
if (detectLibc.family === detectLibc.GLIBC && !sharp._isUsingJemalloc()) {
  // Reduce default concurrency to 1 when using glibc memory allocator
  sharp.concurrency(1);
}

/**
 * An EventEmitter that emits a `change` event when a task is either:
 * - queued, waiting for _libuv_ to provide a worker thread
 * - complete
 * @member
 * @example
 * sharp.queue.on('change', function(queueLength) {
 *   console.log('Queue contains ' + queueLength + ' task(s)');
 * });
 */
const queue = new events.EventEmitter();

/**
 * Provides access to internal task counters.
 * - queue is the number of tasks this module has queued waiting for _libuv_ to provide a worker thread from its pool.
 * - process is the number of resize tasks currently being processed.
 *
 * @example
 * const counters = sharp.counters(); // { queue: 2, process: 4 }
 *
 * @returns {Object}
 */
function counters () {
  return sharp.counters();
}

/**
 * Get and set use of SIMD vector unit instructions.
 * Requires libvips to have been compiled with liborc support.
 *
 * Improves the performance of `resize`, `blur` and `sharpen` operations
 * by taking advantage of the SIMD vector unit of the CPU, e.g. Intel SSE and ARM NEON.
 *
 * @example
 * const simd = sharp.simd();
 * // simd is `true` if the runtime use of liborc is currently enabled
 * @example
 * const simd = sharp.simd(false);
 * // prevent libvips from using liborc at runtime
 *
 * @param {boolean} [simd=true]
 * @returns {boolean}
 */
function simd (simd) {
  return sharp.simd(is.bool(simd) ? simd : null);
}
simd(true);

/**
 * Decorate the Sharp class with utility-related functions.
 * @private
 */
module.exports = function (Sharp) {
  Sharp.cache = cache;
  Sharp.concurrency = concurrency;
  Sharp.counters = counters;
  Sharp.simd = simd;
  Sharp.format = format;
  Sharp.interpolators = interpolators;
  Sharp.versions = versions;
  Sharp.queue = queue;
};


/***/ }),

/***/ 78867:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const debug = __nccwpck_require__(12455)
const { MAX_LENGTH, MAX_SAFE_INTEGER } = __nccwpck_require__(90665)
const { re, t } = __nccwpck_require__(30521)

const parseOptions = __nccwpck_require__(43197)
const { compareIdentifiers } = __nccwpck_require__(14682)
class SemVer {
  constructor (version, options) {
    options = parseOptions(options)

    if (version instanceof SemVer) {
      if (version.loose === !!options.loose &&
          version.includePrerelease === !!options.includePrerelease) {
        return version
      } else {
        version = version.version
      }
    } else if (typeof version !== 'string') {
      throw new TypeError(`Invalid Version: ${version}`)
    }

    if (version.length > MAX_LENGTH) {
      throw new TypeError(
        `version is longer than ${MAX_LENGTH} characters`
      )
    }

    debug('SemVer', version, options)
    this.options = options
    this.loose = !!options.loose
    // this isn't actually relevant for versions, but keep it so that we
    // don't run into trouble passing this.options around.
    this.includePrerelease = !!options.includePrerelease

    const m = version.trim().match(options.loose ? re[t.LOOSE] : re[t.FULL])

    if (!m) {
      throw new TypeError(`Invalid Version: ${version}`)
    }

    this.raw = version

    // these are actually numbers
    this.major = +m[1]
    this.minor = +m[2]
    this.patch = +m[3]

    if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
      throw new TypeError('Invalid major version')
    }

    if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
      throw new TypeError('Invalid minor version')
    }

    if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
      throw new TypeError('Invalid patch version')
    }

    // numberify any prerelease numeric ids
    if (!m[4]) {
      this.prerelease = []
    } else {
      this.prerelease = m[4].split('.').map((id) => {
        if (/^[0-9]+$/.test(id)) {
          const num = +id
          if (num >= 0 && num < MAX_SAFE_INTEGER) {
            return num
          }
        }
        return id
      })
    }

    this.build = m[5] ? m[5].split('.') : []
    this.format()
  }

  format () {
    this.version = `${this.major}.${this.minor}.${this.patch}`
    if (this.prerelease.length) {
      this.version += `-${this.prerelease.join('.')}`
    }
    return this.version
  }

  toString () {
    return this.version
  }

  compare (other) {
    debug('SemVer.compare', this.version, this.options, other)
    if (!(other instanceof SemVer)) {
      if (typeof other === 'string' && other === this.version) {
        return 0
      }
      other = new SemVer(other, this.options)
    }

    if (other.version === this.version) {
      return 0
    }

    return this.compareMain(other) || this.comparePre(other)
  }

  compareMain (other) {
    if (!(other instanceof SemVer)) {
      other = new SemVer(other, this.options)
    }

    return (
      compareIdentifiers(this.major, other.major) ||
      compareIdentifiers(this.minor, other.minor) ||
      compareIdentifiers(this.patch, other.patch)
    )
  }

  comparePre (other) {
    if (!(other instanceof SemVer)) {
      other = new SemVer(other, this.options)
    }

    // NOT having a prerelease is > having one
    if (this.prerelease.length && !other.prerelease.length) {
      return -1
    } else if (!this.prerelease.length && other.prerelease.length) {
      return 1
    } else if (!this.prerelease.length && !other.prerelease.length) {
      return 0
    }

    let i = 0
    do {
      const a = this.prerelease[i]
      const b = other.prerelease[i]
      debug('prerelease compare', i, a, b)
      if (a === undefined && b === undefined) {
        return 0
      } else if (b === undefined) {
        return 1
      } else if (a === undefined) {
        return -1
      } else if (a === b) {
        continue
      } else {
        return compareIdentifiers(a, b)
      }
    } while (++i)
  }

  compareBuild (other) {
    if (!(other instanceof SemVer)) {
      other = new SemVer(other, this.options)
    }

    let i = 0
    do {
      const a = this.build[i]
      const b = other.build[i]
      debug('prerelease compare', i, a, b)
      if (a === undefined && b === undefined) {
        return 0
      } else if (b === undefined) {
        return 1
      } else if (a === undefined) {
        return -1
      } else if (a === b) {
        continue
      } else {
        return compareIdentifiers(a, b)
      }
    } while (++i)
  }

  // preminor will bump the version up to the next minor release, and immediately
  // down to pre-release. premajor and prepatch work the same way.
  inc (release, identifier) {
    switch (release) {
      case 'premajor':
        this.prerelease.length = 0
        this.patch = 0
        this.minor = 0
        this.major++
        this.inc('pre', identifier)
        break
      case 'preminor':
        this.prerelease.length = 0
        this.patch = 0
        this.minor++
        this.inc('pre', identifier)
        break
      case 'prepatch':
        // If this is already a prerelease, it will bump to the next version
        // drop any prereleases that might already exist, since they are not
        // relevant at this point.
        this.prerelease.length = 0
        this.inc('patch', identifier)
        this.inc('pre', identifier)
        break
      // If the input is a non-prerelease version, this acts the same as
      // prepatch.
      case 'prerelease':
        if (this.prerelease.length === 0) {
          this.inc('patch', identifier)
        }
        this.inc('pre', identifier)
        break

      case 'major':
        // If this is a pre-major version, bump up to the same major version.
        // Otherwise increment major.
        // 1.0.0-5 bumps to 1.0.0
        // 1.1.0 bumps to 2.0.0
        if (
          this.minor !== 0 ||
          this.patch !== 0 ||
          this.prerelease.length === 0
        ) {
          this.major++
        }
        this.minor = 0
        this.patch = 0
        this.prerelease = []
        break
      case 'minor':
        // If this is a pre-minor version, bump up to the same minor version.
        // Otherwise increment minor.
        // 1.2.0-5 bumps to 1.2.0
        // 1.2.1 bumps to 1.3.0
        if (this.patch !== 0 || this.prerelease.length === 0) {
          this.minor++
        }
        this.patch = 0
        this.prerelease = []
        break
      case 'patch':
        // If this is not a pre-release version, it will increment the patch.
        // If it is a pre-release it will bump up to the same patch version.
        // 1.2.0-5 patches to 1.2.0
        // 1.2.0 patches to 1.2.1
        if (this.prerelease.length === 0) {
          this.patch++
        }
        this.prerelease = []
        break
      // This probably shouldn't be used publicly.
      // 1.0.0 'pre' would become 1.0.0-0 which is the wrong direction.
      case 'pre':
        if (this.prerelease.length === 0) {
          this.prerelease = [0]
        } else {
          let i = this.prerelease.length
          while (--i >= 0) {
            if (typeof this.prerelease[i] === 'number') {
              this.prerelease[i]++
              i = -2
            }
          }
          if (i === -1) {
            // didn't increment anything
            this.prerelease.push(0)
          }
        }
        if (identifier) {
          // 1.2.0-beta.1 bumps to 1.2.0-beta.2,
          // 1.2.0-beta.fooblz or 1.2.0-beta bumps to 1.2.0-beta.0
          if (this.prerelease[0] === identifier) {
            if (isNaN(this.prerelease[1])) {
              this.prerelease = [identifier, 0]
            }
          } else {
            this.prerelease = [identifier, 0]
          }
        }
        break

      default:
        throw new Error(`invalid increment argument: ${release}`)
    }
    this.format()
    this.raw = this.version
    return this
  }
}

module.exports = SemVer


/***/ }),

/***/ 86073:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const SemVer = __nccwpck_require__(78867)
const parse = __nccwpck_require__(19200)
const {re, t} = __nccwpck_require__(30521)

const coerce = (version, options) => {
  if (version instanceof SemVer) {
    return version
  }

  if (typeof version === 'number') {
    version = String(version)
  }

  if (typeof version !== 'string') {
    return null
  }

  options = options || {}

  let match = null
  if (!options.rtl) {
    match = version.match(re[t.COERCE])
  } else {
    // Find the right-most coercible string that does not share
    // a terminus with a more left-ward coercible string.
    // Eg, '1.2.3.4' wants to coerce '2.3.4', not '3.4' or '4'
    //
    // Walk through the string checking with a /g regexp
    // Manually set the index so as to pick up overlapping matches.
    // Stop when we get a match that ends at the string end, since no
    // coercible string can be more right-ward without the same terminus.
    let next
    while ((next = re[t.COERCERTL].exec(version)) &&
        (!match || match.index + match[0].length !== version.length)
    ) {
      if (!match ||
            next.index + next[0].length !== match.index + match[0].length) {
        match = next
      }
      re[t.COERCERTL].lastIndex = next.index + next[1].length + next[2].length
    }
    // leave it in a clean state
    re[t.COERCERTL].lastIndex = -1
  }

  if (match === null)
    return null

  return parse(`${match[2]}.${match[3] || '0'}.${match[4] || '0'}`, options)
}
module.exports = coerce


/***/ }),

/***/ 3925:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const SemVer = __nccwpck_require__(78867)
const compare = (a, b, loose) =>
  new SemVer(a, loose).compare(new SemVer(b, loose))

module.exports = compare


/***/ }),

/***/ 29343:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const compare = __nccwpck_require__(3925)
const gte = (a, b, loose) => compare(a, b, loose) >= 0
module.exports = gte


/***/ }),

/***/ 19200:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const {MAX_LENGTH} = __nccwpck_require__(90665)
const { re, t } = __nccwpck_require__(30521)
const SemVer = __nccwpck_require__(78867)

const parseOptions = __nccwpck_require__(43197)
const parse = (version, options) => {
  options = parseOptions(options)

  if (version instanceof SemVer) {
    return version
  }

  if (typeof version !== 'string') {
    return null
  }

  if (version.length > MAX_LENGTH) {
    return null
  }

  const r = options.loose ? re[t.LOOSE] : re[t.FULL]
  if (!r.test(version)) {
    return null
  }

  try {
    return new SemVer(version, options)
  } catch (er) {
    return null
  }
}

module.exports = parse


/***/ }),

/***/ 90665:
/***/ ((module) => {

// Note: this is the semver.org version of the spec that it implements
// Not necessarily the package version of this code.
const SEMVER_SPEC_VERSION = '2.0.0'

const MAX_LENGTH = 256
const MAX_SAFE_INTEGER = Number.MAX_SAFE_INTEGER ||
  /* istanbul ignore next */ 9007199254740991

// Max safe segment length for coercion.
const MAX_SAFE_COMPONENT_LENGTH = 16

module.exports = {
  SEMVER_SPEC_VERSION,
  MAX_LENGTH,
  MAX_SAFE_INTEGER,
  MAX_SAFE_COMPONENT_LENGTH
}


/***/ }),

/***/ 12455:
/***/ ((module) => {

const debug = (
  typeof process === 'object' &&
  process.env &&
  process.env.NODE_DEBUG &&
  /\bsemver\b/i.test(process.env.NODE_DEBUG)
) ? (...args) => console.error('SEMVER', ...args)
  : () => {}

module.exports = debug


/***/ }),

/***/ 14682:
/***/ ((module) => {

const numeric = /^[0-9]+$/
const compareIdentifiers = (a, b) => {
  const anum = numeric.test(a)
  const bnum = numeric.test(b)

  if (anum && bnum) {
    a = +a
    b = +b
  }

  return a === b ? 0
    : (anum && !bnum) ? -1
    : (bnum && !anum) ? 1
    : a < b ? -1
    : 1
}

const rcompareIdentifiers = (a, b) => compareIdentifiers(b, a)

module.exports = {
  compareIdentifiers,
  rcompareIdentifiers
}


/***/ }),

/***/ 43197:
/***/ ((module) => {

// parse out just the options we care about so we always get a consistent
// obj with keys in a consistent order.
const opts = ['includePrerelease', 'loose', 'rtl']
const parseOptions = options =>
  !options ? {}
  : typeof options !== 'object' ? { loose: true }
  : opts.filter(k => options[k]).reduce((options, k) => {
    options[k] = true
    return options
  }, {})
module.exports = parseOptions


/***/ }),

/***/ 30521:
/***/ ((module, exports, __nccwpck_require__) => {

const { MAX_SAFE_COMPONENT_LENGTH } = __nccwpck_require__(90665)
const debug = __nccwpck_require__(12455)
exports = module.exports = {}

// The actual regexps go on exports.re
const re = exports.re = []
const src = exports.src = []
const t = exports.t = {}
let R = 0

const createToken = (name, value, isGlobal) => {
  const index = R++
  debug(index, value)
  t[name] = index
  src[index] = value
  re[index] = new RegExp(value, isGlobal ? 'g' : undefined)
}

// The following Regular Expressions can be used for tokenizing,
// validating, and parsing SemVer version strings.

// ## Numeric Identifier
// A single `0`, or a non-zero digit followed by zero or more digits.

createToken('NUMERICIDENTIFIER', '0|[1-9]\\d*')
createToken('NUMERICIDENTIFIERLOOSE', '[0-9]+')

// ## Non-numeric Identifier
// Zero or more digits, followed by a letter or hyphen, and then zero or
// more letters, digits, or hyphens.

createToken('NONNUMERICIDENTIFIER', '\\d*[a-zA-Z-][a-zA-Z0-9-]*')

// ## Main Version
// Three dot-separated numeric identifiers.

createToken('MAINVERSION', `(${src[t.NUMERICIDENTIFIER]})\\.` +
                   `(${src[t.NUMERICIDENTIFIER]})\\.` +
                   `(${src[t.NUMERICIDENTIFIER]})`)

createToken('MAINVERSIONLOOSE', `(${src[t.NUMERICIDENTIFIERLOOSE]})\\.` +
                        `(${src[t.NUMERICIDENTIFIERLOOSE]})\\.` +
                        `(${src[t.NUMERICIDENTIFIERLOOSE]})`)

// ## Pre-release Version Identifier
// A numeric identifier, or a non-numeric identifier.

createToken('PRERELEASEIDENTIFIER', `(?:${src[t.NUMERICIDENTIFIER]
}|${src[t.NONNUMERICIDENTIFIER]})`)

createToken('PRERELEASEIDENTIFIERLOOSE', `(?:${src[t.NUMERICIDENTIFIERLOOSE]
}|${src[t.NONNUMERICIDENTIFIER]})`)

// ## Pre-release Version
// Hyphen, followed by one or more dot-separated pre-release version
// identifiers.

createToken('PRERELEASE', `(?:-(${src[t.PRERELEASEIDENTIFIER]
}(?:\\.${src[t.PRERELEASEIDENTIFIER]})*))`)

createToken('PRERELEASELOOSE', `(?:-?(${src[t.PRERELEASEIDENTIFIERLOOSE]
}(?:\\.${src[t.PRERELEASEIDENTIFIERLOOSE]})*))`)

// ## Build Metadata Identifier
// Any combination of digits, letters, or hyphens.

createToken('BUILDIDENTIFIER', '[0-9A-Za-z-]+')

// ## Build Metadata
// Plus sign, followed by one or more period-separated build metadata
// identifiers.

createToken('BUILD', `(?:\\+(${src[t.BUILDIDENTIFIER]
}(?:\\.${src[t.BUILDIDENTIFIER]})*))`)

// ## Full Version String
// A main version, followed optionally by a pre-release version and
// build metadata.

// Note that the only major, minor, patch, and pre-release sections of
// the version string are capturing groups.  The build metadata is not a
// capturing group, because it should not ever be used in version
// comparison.

createToken('FULLPLAIN', `v?${src[t.MAINVERSION]
}${src[t.PRERELEASE]}?${
  src[t.BUILD]}?`)

createToken('FULL', `^${src[t.FULLPLAIN]}$`)

// like full, but allows v1.2.3 and =1.2.3, which people do sometimes.
// also, 1.0.0alpha1 (prerelease without the hyphen) which is pretty
// common in the npm registry.
createToken('LOOSEPLAIN', `[v=\\s]*${src[t.MAINVERSIONLOOSE]
}${src[t.PRERELEASELOOSE]}?${
  src[t.BUILD]}?`)

createToken('LOOSE', `^${src[t.LOOSEPLAIN]}$`)

createToken('GTLT', '((?:<|>)?=?)')

// Something like "2.*" or "1.2.x".
// Note that "x.x" is a valid xRange identifer, meaning "any version"
// Only the first item is strictly required.
createToken('XRANGEIDENTIFIERLOOSE', `${src[t.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`)
createToken('XRANGEIDENTIFIER', `${src[t.NUMERICIDENTIFIER]}|x|X|\\*`)

createToken('XRANGEPLAIN', `[v=\\s]*(${src[t.XRANGEIDENTIFIER]})` +
                   `(?:\\.(${src[t.XRANGEIDENTIFIER]})` +
                   `(?:\\.(${src[t.XRANGEIDENTIFIER]})` +
                   `(?:${src[t.PRERELEASE]})?${
                     src[t.BUILD]}?` +
                   `)?)?`)

createToken('XRANGEPLAINLOOSE', `[v=\\s]*(${src[t.XRANGEIDENTIFIERLOOSE]})` +
                        `(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})` +
                        `(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})` +
                        `(?:${src[t.PRERELEASELOOSE]})?${
                          src[t.BUILD]}?` +
                        `)?)?`)

createToken('XRANGE', `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAIN]}$`)
createToken('XRANGELOOSE', `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAINLOOSE]}$`)

// Coercion.
// Extract anything that could conceivably be a part of a valid semver
createToken('COERCE', `${'(^|[^\\d])' +
              '(\\d{1,'}${MAX_SAFE_COMPONENT_LENGTH}})` +
              `(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?` +
              `(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?` +
              `(?:$|[^\\d])`)
createToken('COERCERTL', src[t.COERCE], true)

// Tilde ranges.
// Meaning is "reasonably at or greater than"
createToken('LONETILDE', '(?:~>?)')

createToken('TILDETRIM', `(\\s*)${src[t.LONETILDE]}\\s+`, true)
exports.tildeTrimReplace = '$1~'

createToken('TILDE', `^${src[t.LONETILDE]}${src[t.XRANGEPLAIN]}$`)
createToken('TILDELOOSE', `^${src[t.LONETILDE]}${src[t.XRANGEPLAINLOOSE]}$`)

// Caret ranges.
// Meaning is "at least and backwards compatible with"
createToken('LONECARET', '(?:\\^)')

createToken('CARETTRIM', `(\\s*)${src[t.LONECARET]}\\s+`, true)
exports.caretTrimReplace = '$1^'

createToken('CARET', `^${src[t.LONECARET]}${src[t.XRANGEPLAIN]}$`)
createToken('CARETLOOSE', `^${src[t.LONECARET]}${src[t.XRANGEPLAINLOOSE]}$`)

// A simple gt/lt/eq thing, or just "" to indicate "any version"
createToken('COMPARATORLOOSE', `^${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]})$|^$`)
createToken('COMPARATOR', `^${src[t.GTLT]}\\s*(${src[t.FULLPLAIN]})$|^$`)

// An expression to strip any whitespace between the gtlt and the thing
// it modifies, so that `> 1.2.3` ==> `>1.2.3`
createToken('COMPARATORTRIM', `(\\s*)${src[t.GTLT]
}\\s*(${src[t.LOOSEPLAIN]}|${src[t.XRANGEPLAIN]})`, true)
exports.comparatorTrimReplace = '$1$2$3'

// Something like `1.2.3 - 1.2.4`
// Note that these all use the loose form, because they'll be
// checked against either the strict or loose comparator form
// later.
createToken('HYPHENRANGE', `^\\s*(${src[t.XRANGEPLAIN]})` +
                   `\\s+-\\s+` +
                   `(${src[t.XRANGEPLAIN]})` +
                   `\\s*$`)

createToken('HYPHENRANGELOOSE', `^\\s*(${src[t.XRANGEPLAINLOOSE]})` +
                        `\\s+-\\s+` +
                        `(${src[t.XRANGEPLAINLOOSE]})` +
                        `\\s*$`)

// Star ranges basically just allow anything at all.
createToken('STAR', '(<|>)?=?\\s*\\*')
// >=0.0.0 is like a star
createToken('GTE0', '^\\s*>=\\s*0\.0\.0\\s*$')
createToken('GTE0PRE', '^\\s*>=\\s*0\.0\.0-0\\s*$')


/***/ }),

/***/ 67032:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const shebangRegex = __nccwpck_require__(72638);

module.exports = (string = '') => {
	const match = string.match(shebangRegex);

	if (!match) {
		return null;
	}

	const [path, argument] = match[0].replace(/#! ?/, '').split(' ');
	const binary = path.split('/').pop();

	if (binary === 'env') {
		return argument;
	}

	return argument ? `${binary} ${argument}` : binary;
};


/***/ }),

/***/ 72638:
/***/ ((module) => {

"use strict";

module.exports = /^#!(.*)/;


/***/ }),

/***/ 24931:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

// Note: since nyc uses this module to output coverage, any lines
// that are in the direct sync flow of nyc's outputCoverage are
// ignored, since we can never get coverage for them.
var assert = __nccwpck_require__(39491)
var signals = __nccwpck_require__(63710)
var isWin = /^win/i.test(process.platform)

var EE = __nccwpck_require__(82361)
/* istanbul ignore if */
if (typeof EE !== 'function') {
  EE = EE.EventEmitter
}

var emitter
if (process.__signal_exit_emitter__) {
  emitter = process.__signal_exit_emitter__
} else {
  emitter = process.__signal_exit_emitter__ = new EE()
  emitter.count = 0
  emitter.emitted = {}
}

// Because this emitter is a global, we have to check to see if a
// previous version of this library failed to enable infinite listeners.
// I know what you're about to say.  But literally everything about
// signal-exit is a compromise with evil.  Get used to it.
if (!emitter.infinite) {
  emitter.setMaxListeners(Infinity)
  emitter.infinite = true
}

module.exports = function (cb, opts) {
  assert.equal(typeof cb, 'function', 'a callback must be provided for exit handler')

  if (loaded === false) {
    load()
  }

  var ev = 'exit'
  if (opts && opts.alwaysLast) {
    ev = 'afterexit'
  }

  var remove = function () {
    emitter.removeListener(ev, cb)
    if (emitter.listeners('exit').length === 0 &&
        emitter.listeners('afterexit').length === 0) {
      unload()
    }
  }
  emitter.on(ev, cb)

  return remove
}

module.exports.unload = unload
function unload () {
  if (!loaded) {
    return
  }
  loaded = false

  signals.forEach(function (sig) {
    try {
      process.removeListener(sig, sigListeners[sig])
    } catch (er) {}
  })
  process.emit = originalProcessEmit
  process.reallyExit = originalProcessReallyExit
  emitter.count -= 1
}

function emit (event, code, signal) {
  if (emitter.emitted[event]) {
    return
  }
  emitter.emitted[event] = true
  emitter.emit(event, code, signal)
}

// { <signal>: <listener fn>, ... }
var sigListeners = {}
signals.forEach(function (sig) {
  sigListeners[sig] = function listener () {
    // If there are no other listeners, an exit is coming!
    // Simplest way: remove us and then re-send the signal.
    // We know that this will kill the process, so we can
    // safely emit now.
    var listeners = process.listeners(sig)
    if (listeners.length === emitter.count) {
      unload()
      emit('exit', null, sig)
      /* istanbul ignore next */
      emit('afterexit', null, sig)
      /* istanbul ignore next */
      if (isWin && sig === 'SIGHUP') {
        // "SIGHUP" throws an `ENOSYS` error on Windows,
        // so use a supported signal instead
        sig = 'SIGINT'
      }
      process.kill(process.pid, sig)
    }
  }
})

module.exports.signals = function () {
  return signals
}

module.exports.load = load

var loaded = false

function load () {
  if (loaded) {
    return
  }
  loaded = true

  // This is the number of onSignalExit's that are in play.
  // It's important so that we can count the correct number of
  // listeners on signals, and don't wait for the other one to
  // handle it instead of us.
  emitter.count += 1

  signals = signals.filter(function (sig) {
    try {
      process.on(sig, sigListeners[sig])
      return true
    } catch (er) {
      return false
    }
  })

  process.emit = processEmit
  process.reallyExit = processReallyExit
}

var originalProcessReallyExit = process.reallyExit
function processReallyExit (code) {
  process.exitCode = code || 0
  emit('exit', process.exitCode, null)
  /* istanbul ignore next */
  emit('afterexit', process.exitCode, null)
  /* istanbul ignore next */
  originalProcessReallyExit.call(process, process.exitCode)
}

var originalProcessEmit = process.emit
function processEmit (ev, arg) {
  if (ev === 'exit') {
    if (arg !== undefined) {
      process.exitCode = arg
    }
    var ret = originalProcessEmit.apply(this, arguments)
    emit('exit', process.exitCode, null)
    /* istanbul ignore next */
    emit('afterexit', process.exitCode, null)
    return ret
  } else {
    return originalProcessEmit.apply(this, arguments)
  }
}


/***/ }),

/***/ 63710:
/***/ ((module) => {

// This is not the set of all possible signals.
//
// It IS, however, the set of all signals that trigger
// an exit on either Linux or BSD systems.  Linux is a
// superset of the signal names supported on BSD, and
// the unknown signals just fail to register, so we can
// catch that easily enough.
//
// Don't bother with SIGKILL.  It's uncatchable, which
// means that we can't fire any callbacks anyway.
//
// If a user does happen to register a handler on a non-
// fatal signal like SIGWINCH or something, and then
// exit, it'll end up firing `process.emit('exit')`, so
// the handler will be fired anyway.
//
// SIGBUS, SIGFPE, SIGSEGV and SIGILL, when not raised
// artificially, inherently leave the process in a
// state from which it is not safe to try and enter JS
// listeners.
module.exports = [
  'SIGABRT',
  'SIGALRM',
  'SIGHUP',
  'SIGINT',
  'SIGTERM'
]

if (process.platform !== 'win32') {
  module.exports.push(
    'SIGVTALRM',
    'SIGXCPU',
    'SIGXFSZ',
    'SIGUSR2',
    'SIGTRAP',
    'SIGSYS',
    'SIGQUIT',
    'SIGIOT'
    // should detect profiler and enable/disable accordingly.
    // see #21
    // 'SIGPROF'
  )
}

if (process.platform === 'linux') {
  module.exports.push(
    'SIGIO',
    'SIGPOLL',
    'SIGPWR',
    'SIGSTKFLT',
    'SIGUNUSED'
  )
}


/***/ }),

/***/ 78679:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var isArrayish = __nccwpck_require__(28542);

var concat = Array.prototype.concat;
var slice = Array.prototype.slice;

var swizzle = module.exports = function swizzle(args) {
	var results = [];

	for (var i = 0, len = args.length; i < len; i++) {
		var arg = args[i];

		if (isArrayish(arg)) {
			// http://jsperf.com/javascript-array-concat-vs-push/98
			results = concat.call(results, slice.call(arg));
		} else {
			results.push(arg);
		}
	}

	return results;
};

swizzle.wrap = function (fn) {
	return function () {
		return fn(swizzle(arguments));
	};
};


/***/ }),

/***/ 28542:
/***/ ((module) => {

module.exports = function isArrayish(obj) {
	if (!obj || typeof obj === 'string') {
		return false;
	}

	return obj instanceof Array || Array.isArray(obj) ||
		(obj.length >= 0 && (obj.splice instanceof Function ||
			(Object.getOwnPropertyDescriptor(obj, (obj.length - 1)) && obj.constructor.name !== 'String')));
};


/***/ }),

/***/ 97543:
/***/ ((module) => {

"use strict";

module.exports = path => {
	const isExtendedLengthPath = /^\\\\\?\\/.test(path);
	const hasNonAscii = /[^\u0000-\u0080]+/.test(path); // eslint-disable-line no-control-regex

	if (isExtendedLengthPath || hasNonAscii) {
		return path;
	}

	return path.replace(/\\/g, '/');
};


/***/ }),

/***/ 92372:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

/*
Copyright spdx-correct.js contributors

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
var parse = __nccwpck_require__(31620)
var spdxLicenseIds = __nccwpck_require__(16033)

function valid (string) {
  try {
    parse(string)
    return true
  } catch (error) {
    return false
  }
}

// Common transpositions of license identifier acronyms
var transpositions = [
  ['APGL', 'AGPL'],
  ['Gpl', 'GPL'],
  ['GLP', 'GPL'],
  ['APL', 'Apache'],
  ['ISD', 'ISC'],
  ['GLP', 'GPL'],
  ['IST', 'ISC'],
  ['Claude', 'Clause'],
  [' or later', '+'],
  [' International', ''],
  ['GNU', 'GPL'],
  ['GUN', 'GPL'],
  ['+', ''],
  ['GNU GPL', 'GPL'],
  ['GNU/GPL', 'GPL'],
  ['GNU GLP', 'GPL'],
  ['GNU General Public License', 'GPL'],
  ['Gnu public license', 'GPL'],
  ['GNU Public License', 'GPL'],
  ['GNU GENERAL PUBLIC LICENSE', 'GPL'],
  ['MTI', 'MIT'],
  ['Mozilla Public License', 'MPL'],
  ['Universal Permissive License', 'UPL'],
  ['WTH', 'WTF'],
  ['-License', '']
]

var TRANSPOSED = 0
var CORRECT = 1

// Simple corrections to nearly valid identifiers.
var transforms = [
  // e.g. 'mit'
  function (argument) {
    return argument.toUpperCase()
  },
  // e.g. 'MIT '
  function (argument) {
    return argument.trim()
  },
  // e.g. 'M.I.T.'
  function (argument) {
    return argument.replace(/\./g, '')
  },
  // e.g. 'Apache- 2.0'
  function (argument) {
    return argument.replace(/\s+/g, '')
  },
  // e.g. 'CC BY 4.0''
  function (argument) {
    return argument.replace(/\s+/g, '-')
  },
  // e.g. 'LGPLv2.1'
  function (argument) {
    return argument.replace('v', '-')
  },
  // e.g. 'Apache 2.0'
  function (argument) {
    return argument.replace(/,?\s*(\d)/, '-$1')
  },
  // e.g. 'GPL 2'
  function (argument) {
    return argument.replace(/,?\s*(\d)/, '-$1.0')
  },
  // e.g. 'Apache Version 2.0'
  function (argument) {
    return argument
      .replace(/,?\s*(V\.|v\.|V|v|Version|version)\s*(\d)/, '-$2')
  },
  // e.g. 'Apache Version 2'
  function (argument) {
    return argument
      .replace(/,?\s*(V\.|v\.|V|v|Version|version)\s*(\d)/, '-$2.0')
  },
  // e.g. 'ZLIB'
  function (argument) {
    return argument[0].toUpperCase() + argument.slice(1)
  },
  // e.g. 'MPL/2.0'
  function (argument) {
    return argument.replace('/', '-')
  },
  // e.g. 'Apache 2'
  function (argument) {
    return argument
      .replace(/\s*V\s*(\d)/, '-$1')
      .replace(/(\d)$/, '$1.0')
  },
  // e.g. 'GPL-2.0', 'GPL-3.0'
  function (argument) {
    if (argument.indexOf('3.0') !== -1) {
      return argument + '-or-later'
    } else {
      return argument + '-only'
    }
  },
  // e.g. 'GPL-2.0-'
  function (argument) {
    return argument + 'only'
  },
  // e.g. 'GPL2'
  function (argument) {
    return argument.replace(/(\d)$/, '-$1.0')
  },
  // e.g. 'BSD 3'
  function (argument) {
    return argument.replace(/(-| )?(\d)$/, '-$2-Clause')
  },
  // e.g. 'BSD clause 3'
  function (argument) {
    return argument.replace(/(-| )clause(-| )(\d)/, '-$3-Clause')
  },
  // e.g. 'New BSD license'
  function (argument) {
    return argument.replace(/\b(Modified|New|Revised)(-| )?BSD((-| )License)?/i, 'BSD-3-Clause')
  },
  // e.g. 'Simplified BSD license'
  function (argument) {
    return argument.replace(/\bSimplified(-| )?BSD((-| )License)?/i, 'BSD-2-Clause')
  },
  // e.g. 'Free BSD license'
  function (argument) {
    return argument.replace(/\b(Free|Net)(-| )?BSD((-| )License)?/i, 'BSD-2-Clause-$1BSD')
  },
  // e.g. 'Clear BSD license'
  function (argument) {
    return argument.replace(/\bClear(-| )?BSD((-| )License)?/i, 'BSD-3-Clause-Clear')
  },
  // e.g. 'Old BSD License'
  function (argument) {
    return argument.replace(/\b(Old|Original)(-| )?BSD((-| )License)?/i, 'BSD-4-Clause')
  },
  // e.g. 'BY-NC-4.0'
  function (argument) {
    return 'CC-' + argument
  },
  // e.g. 'BY-NC'
  function (argument) {
    return 'CC-' + argument + '-4.0'
  },
  // e.g. 'Attribution-NonCommercial'
  function (argument) {
    return argument
      .replace('Attribution', 'BY')
      .replace('NonCommercial', 'NC')
      .replace('NoDerivatives', 'ND')
      .replace(/ (\d)/, '-$1')
      .replace(/ ?International/, '')
  },
  // e.g. 'Attribution-NonCommercial'
  function (argument) {
    return 'CC-' +
      argument
        .replace('Attribution', 'BY')
        .replace('NonCommercial', 'NC')
        .replace('NoDerivatives', 'ND')
        .replace(/ (\d)/, '-$1')
        .replace(/ ?International/, '') +
      '-4.0'
  }
]

var licensesWithVersions = spdxLicenseIds
  .map(function (id) {
    var match = /^(.*)-\d+\.\d+$/.exec(id)
    return match
      ? [match[0], match[1]]
      : [id, null]
  })
  .reduce(function (objectMap, item) {
    var key = item[1]
    objectMap[key] = objectMap[key] || []
    objectMap[key].push(item[0])
    return objectMap
  }, {})

var licensesWithOneVersion = Object.keys(licensesWithVersions)
  .map(function makeEntries (key) {
    return [key, licensesWithVersions[key]]
  })
  .filter(function identifySoleVersions (item) {
    return (
      // Licenses has just one valid version suffix.
      item[1].length === 1 &&
      item[0] !== null &&
      // APL will be considered Apache, rather than APL-1.0
      item[0] !== 'APL'
    )
  })
  .map(function createLastResorts (item) {
    return [item[0], item[1][0]]
  })

licensesWithVersions = undefined

// If all else fails, guess that strings containing certain substrings
// meant to identify certain licenses.
var lastResorts = [
  ['UNLI', 'Unlicense'],
  ['WTF', 'WTFPL'],
  ['2 CLAUSE', 'BSD-2-Clause'],
  ['2-CLAUSE', 'BSD-2-Clause'],
  ['3 CLAUSE', 'BSD-3-Clause'],
  ['3-CLAUSE', 'BSD-3-Clause'],
  ['AFFERO', 'AGPL-3.0-or-later'],
  ['AGPL', 'AGPL-3.0-or-later'],
  ['APACHE', 'Apache-2.0'],
  ['ARTISTIC', 'Artistic-2.0'],
  ['Affero', 'AGPL-3.0-or-later'],
  ['BEER', 'Beerware'],
  ['BOOST', 'BSL-1.0'],
  ['BSD', 'BSD-2-Clause'],
  ['CDDL', 'CDDL-1.1'],
  ['ECLIPSE', 'EPL-1.0'],
  ['FUCK', 'WTFPL'],
  ['GNU', 'GPL-3.0-or-later'],
  ['LGPL', 'LGPL-3.0-or-later'],
  ['GPLV1', 'GPL-1.0-only'],
  ['GPL-1', 'GPL-1.0-only'],
  ['GPLV2', 'GPL-2.0-only'],
  ['GPL-2', 'GPL-2.0-only'],
  ['GPL', 'GPL-3.0-or-later'],
  ['MIT +NO-FALSE-ATTRIBS', 'MITNFA'],
  ['MIT', 'MIT'],
  ['MPL', 'MPL-2.0'],
  ['X11', 'X11'],
  ['ZLIB', 'Zlib']
].concat(licensesWithOneVersion)

var SUBSTRING = 0
var IDENTIFIER = 1

var validTransformation = function (identifier) {
  for (var i = 0; i < transforms.length; i++) {
    var transformed = transforms[i](identifier).trim()
    if (transformed !== identifier && valid(transformed)) {
      return transformed
    }
  }
  return null
}

var validLastResort = function (identifier) {
  var upperCased = identifier.toUpperCase()
  for (var i = 0; i < lastResorts.length; i++) {
    var lastResort = lastResorts[i]
    if (upperCased.indexOf(lastResort[SUBSTRING]) > -1) {
      return lastResort[IDENTIFIER]
    }
  }
  return null
}

var anyCorrection = function (identifier, check) {
  for (var i = 0; i < transpositions.length; i++) {
    var transposition = transpositions[i]
    var transposed = transposition[TRANSPOSED]
    if (identifier.indexOf(transposed) > -1) {
      var corrected = identifier.replace(
        transposed,
        transposition[CORRECT]
      )
      var checked = check(corrected)
      if (checked !== null) {
        return checked
      }
    }
  }
  return null
}

module.exports = function (identifier, options) {
  options = options || {}
  var upgrade = options.upgrade === undefined ? true : !!options.upgrade
  function postprocess (value) {
    return upgrade ? upgradeGPLs(value) : value
  }
  var validArugment = (
    typeof identifier === 'string' &&
    identifier.trim().length !== 0
  )
  if (!validArugment) {
    throw Error('Invalid argument. Expected non-empty string.')
  }
  identifier = identifier.trim()
  if (valid(identifier)) {
    return postprocess(identifier)
  }
  var noPlus = identifier.replace(/\+$/, '').trim()
  if (valid(noPlus)) {
    return postprocess(noPlus)
  }
  var transformed = validTransformation(identifier)
  if (transformed !== null) {
    return postprocess(transformed)
  }
  transformed = anyCorrection(identifier, function (argument) {
    if (valid(argument)) {
      return argument
    }
    return validTransformation(argument)
  })
  if (transformed !== null) {
    return postprocess(transformed)
  }
  transformed = validLastResort(identifier)
  if (transformed !== null) {
    return postprocess(transformed)
  }
  transformed = anyCorrection(identifier, validLastResort)
  if (transformed !== null) {
    return postprocess(transformed)
  }
  return null
}

function upgradeGPLs (value) {
  if ([
    'GPL-1.0', 'LGPL-1.0', 'AGPL-1.0',
    'GPL-2.0', 'LGPL-2.0', 'AGPL-2.0',
    'LGPL-2.1'
  ].indexOf(value) !== -1) {
    return value + '-only'
  } else if ([
    'GPL-1.0+', 'GPL-2.0+', 'GPL-3.0+',
    'LGPL-2.0+', 'LGPL-2.1+', 'LGPL-3.0+',
    'AGPL-1.0+', 'AGPL-3.0+'
  ].indexOf(value) !== -1) {
    return value.replace(/\+$/, '-or-later')
  } else if (['GPL-3.0', 'LGPL-3.0', 'AGPL-3.0'].indexOf(value) !== -1) {
    return value + '-or-later'
  } else {
    return value
  }
}


/***/ }),

/***/ 31620:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var scan = __nccwpck_require__(97380)
var parse = __nccwpck_require__(69868)

module.exports = function (source) {
  return parse(scan(source))
}


/***/ }),

/***/ 69868:
/***/ ((module) => {

"use strict";


// The ABNF grammar in the spec is totally ambiguous.
//
// This parser follows the operator precedence defined in the
// `Order of Precedence and Parentheses` section.

module.exports = function (tokens) {
  var index = 0

  function hasMore () {
    return index < tokens.length
  }

  function token () {
    return hasMore() ? tokens[index] : null
  }

  function next () {
    if (!hasMore()) {
      throw new Error()
    }
    index++
  }

  function parseOperator (operator) {
    var t = token()
    if (t && t.type === 'OPERATOR' && operator === t.string) {
      next()
      return t.string
    }
  }

  function parseWith () {
    if (parseOperator('WITH')) {
      var t = token()
      if (t && t.type === 'EXCEPTION') {
        next()
        return t.string
      }
      throw new Error('Expected exception after `WITH`')
    }
  }

  function parseLicenseRef () {
    // TODO: Actually, everything is concatenated into one string
    // for backward-compatibility but it could be better to return
    // a nice structure.
    var begin = index
    var string = ''
    var t = token()
    if (t.type === 'DOCUMENTREF') {
      next()
      string += 'DocumentRef-' + t.string + ':'
      if (!parseOperator(':')) {
        throw new Error('Expected `:` after `DocumentRef-...`')
      }
    }
    t = token()
    if (t.type === 'LICENSEREF') {
      next()
      string += 'LicenseRef-' + t.string
      return { license: string }
    }
    index = begin
  }

  function parseLicense () {
    var t = token()
    if (t && t.type === 'LICENSE') {
      next()
      var node = { license: t.string }
      if (parseOperator('+')) {
        node.plus = true
      }
      var exception = parseWith()
      if (exception) {
        node.exception = exception
      }
      return node
    }
  }

  function parseParenthesizedExpression () {
    var left = parseOperator('(')
    if (!left) {
      return
    }

    var expr = parseExpression()

    if (!parseOperator(')')) {
      throw new Error('Expected `)`')
    }

    return expr
  }

  function parseAtom () {
    return (
      parseParenthesizedExpression() ||
      parseLicenseRef() ||
      parseLicense()
    )
  }

  function makeBinaryOpParser (operator, nextParser) {
    return function parseBinaryOp () {
      var left = nextParser()
      if (!left) {
        return
      }

      if (!parseOperator(operator)) {
        return left
      }

      var right = parseBinaryOp()
      if (!right) {
        throw new Error('Expected expression')
      }
      return {
        left: left,
        conjunction: operator.toLowerCase(),
        right: right
      }
    }
  }

  var parseAnd = makeBinaryOpParser('AND', parseAtom)
  var parseExpression = makeBinaryOpParser('OR', parseAnd)

  var node = parseExpression()
  if (!node || hasMore()) {
    throw new Error('Syntax error')
  }
  return node
}


/***/ }),

/***/ 97380:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var licenses = []
  .concat(__nccwpck_require__(16033))
  .concat(__nccwpck_require__(76765))
var exceptions = __nccwpck_require__(40238)

module.exports = function (source) {
  var index = 0

  function hasMore () {
    return index < source.length
  }

  // `value` can be a regexp or a string.
  // If it is recognized, the matching source string is returned and
  // the index is incremented. Otherwise `undefined` is returned.
  function read (value) {
    if (value instanceof RegExp) {
      var chars = source.slice(index)
      var match = chars.match(value)
      if (match) {
        index += match[0].length
        return match[0]
      }
    } else {
      if (source.indexOf(value, index) === index) {
        index += value.length
        return value
      }
    }
  }

  function skipWhitespace () {
    read(/[ ]*/)
  }

  function operator () {
    var string
    var possibilities = ['WITH', 'AND', 'OR', '(', ')', ':', '+']
    for (var i = 0; i < possibilities.length; i++) {
      string = read(possibilities[i])
      if (string) {
        break
      }
    }

    if (string === '+' && index > 1 && source[index - 2] === ' ') {
      throw new Error('Space before `+`')
    }

    return string && {
      type: 'OPERATOR',
      string: string
    }
  }

  function idstring () {
    return read(/[A-Za-z0-9-.]+/)
  }

  function expectIdstring () {
    var string = idstring()
    if (!string) {
      throw new Error('Expected idstring at offset ' + index)
    }
    return string
  }

  function documentRef () {
    if (read('DocumentRef-')) {
      var string = expectIdstring()
      return { type: 'DOCUMENTREF', string: string }
    }
  }

  function licenseRef () {
    if (read('LicenseRef-')) {
      var string = expectIdstring()
      return { type: 'LICENSEREF', string: string }
    }
  }

  function identifier () {
    var begin = index
    var string = idstring()

    if (licenses.indexOf(string) !== -1) {
      return {
        type: 'LICENSE',
        string: string
      }
    } else if (exceptions.indexOf(string) !== -1) {
      return {
        type: 'EXCEPTION',
        string: string
      }
    }

    index = begin
  }

  // Tries to read the next token. Returns `undefined` if no token is
  // recognized.
  function parseToken () {
    // Ordering matters
    return (
      operator() ||
      documentRef() ||
      licenseRef() ||
      identifier()
    )
  }

  var tokens = []
  while (hasMore()) {
    skipWhitespace()
    if (!hasMore()) {
      break
    }

    var token = parseToken()
    if (!token) {
      throw new Error('Unexpected `' + source[index] +
                      '` at offset ' + index)
    }

    tokens.push(token)
  }
  return tokens
}


/***/ }),

/***/ 85515:
/***/ ((module) => {

"use strict";

module.exports = function (x) {
	var lf = typeof x === 'string' ? '\n' : '\n'.charCodeAt();
	var cr = typeof x === 'string' ? '\r' : '\r'.charCodeAt();

	if (x[x.length - 1] === lf) {
		x = x.slice(0, x.length - 1);
	}

	if (x[x.length - 1] === cr) {
		x = x.slice(0, x.length - 1);
	}

	return x;
};


/***/ }),

/***/ 88174:
/***/ ((module) => {

"use strict";


module.exports = input => {
	const LF = typeof input === 'string' ? '\n' : '\n'.charCodeAt();
	const CR = typeof input === 'string' ? '\r' : '\r'.charCodeAt();

	if (input[input.length - 1] === LF) {
		input = input.slice(0, input.length - 1);
	}

	if (input[input.length - 1] === CR) {
		input = input.slice(0, input.length - 1);
	}

	return input;
};


/***/ }),

/***/ 68770:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const fs = __nccwpck_require__(57147);
const os = __nccwpck_require__(22037);

const ID = '__RESOLVED_TMP_DIR__';

if (!global[ID]) {
	Object.defineProperty(global, ID, {
		value: fs.realpathSync(os.tmpdir())
	});
}

module.exports = global[ID];


/***/ }),

/***/ 93580:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";

const path = __nccwpck_require__(71017);
const uuid = __nccwpck_require__(2155);
const tempDir = __nccwpck_require__(68770);

module.exports = ext => path.join(tempDir, uuid.v4() + (ext || ''));


/***/ }),

/***/ 1861:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";
/*!
 * to-regex-range <https://github.com/micromatch/to-regex-range>
 *
 * Copyright (c) 2015-present, Jon Schlinkert.
 * Released under the MIT License.
 */



const isNumber = __nccwpck_require__(75680);

const toRegexRange = (min, max, options) => {
  if (isNumber(min) === false) {
    throw new TypeError('toRegexRange: expected the first argument to be a number');
  }

  if (max === void 0 || min === max) {
    return String(min);
  }

  if (isNumber(max) === false) {
    throw new TypeError('toRegexRange: expected the second argument to be a number.');
  }

  let opts = { relaxZeros: true, ...options };
  if (typeof opts.strictZeros === 'boolean') {
    opts.relaxZeros = opts.strictZeros === false;
  }

  let relax = String(opts.relaxZeros);
  let shorthand = String(opts.shorthand);
  let capture = String(opts.capture);
  let wrap = String(opts.wrap);
  let cacheKey = min + ':' + max + '=' + relax + shorthand + capture + wrap;

  if (toRegexRange.cache.hasOwnProperty(cacheKey)) {
    return toRegexRange.cache[cacheKey].result;
  }

  let a = Math.min(min, max);
  let b = Math.max(min, max);

  if (Math.abs(a - b) === 1) {
    let result = min + '|' + max;
    if (opts.capture) {
      return `(${result})`;
    }
    if (opts.wrap === false) {
      return result;
    }
    return `(?:${result})`;
  }

  let isPadded = hasPadding(min) || hasPadding(max);
  let state = { min, max, a, b };
  let positives = [];
  let negatives = [];

  if (isPadded) {
    state.isPadded = isPadded;
    state.maxLen = String(state.max).length;
  }

  if (a < 0) {
    let newMin = b < 0 ? Math.abs(b) : 1;
    negatives = splitToPatterns(newMin, Math.abs(a), state, opts);
    a = state.a = 0;
  }

  if (b >= 0) {
    positives = splitToPatterns(a, b, state, opts);
  }

  state.negatives = negatives;
  state.positives = positives;
  state.result = collatePatterns(negatives, positives, opts);

  if (opts.capture === true) {
    state.result = `(${state.result})`;
  } else if (opts.wrap !== false && (positives.length + negatives.length) > 1) {
    state.result = `(?:${state.result})`;
  }

  toRegexRange.cache[cacheKey] = state;
  return state.result;
};

function collatePatterns(neg, pos, options) {
  let onlyNegative = filterPatterns(neg, pos, '-', false, options) || [];
  let onlyPositive = filterPatterns(pos, neg, '', false, options) || [];
  let intersected = filterPatterns(neg, pos, '-?', true, options) || [];
  let subpatterns = onlyNegative.concat(intersected).concat(onlyPositive);
  return subpatterns.join('|');
}

function splitToRanges(min, max) {
  let nines = 1;
  let zeros = 1;

  let stop = countNines(min, nines);
  let stops = new Set([max]);

  while (min <= stop && stop <= max) {
    stops.add(stop);
    nines += 1;
    stop = countNines(min, nines);
  }

  stop = countZeros(max + 1, zeros) - 1;

  while (min < stop && stop <= max) {
    stops.add(stop);
    zeros += 1;
    stop = countZeros(max + 1, zeros) - 1;
  }

  stops = [...stops];
  stops.sort(compare);
  return stops;
}

/**
 * Convert a range to a regex pattern
 * @param {Number} `start`
 * @param {Number} `stop`
 * @return {String}
 */

function rangeToPattern(start, stop, options) {
  if (start === stop) {
    return { pattern: start, count: [], digits: 0 };
  }

  let zipped = zip(start, stop);
  let digits = zipped.length;
  let pattern = '';
  let count = 0;

  for (let i = 0; i < digits; i++) {
    let [startDigit, stopDigit] = zipped[i];

    if (startDigit === stopDigit) {
      pattern += startDigit;

    } else if (startDigit !== '0' || stopDigit !== '9') {
      pattern += toCharacterClass(startDigit, stopDigit, options);

    } else {
      count++;
    }
  }

  if (count) {
    pattern += options.shorthand === true ? '\\d' : '[0-9]';
  }

  return { pattern, count: [count], digits };
}

function splitToPatterns(min, max, tok, options) {
  let ranges = splitToRanges(min, max);
  let tokens = [];
  let start = min;
  let prev;

  for (let i = 0; i < ranges.length; i++) {
    let max = ranges[i];
    let obj = rangeToPattern(String(start), String(max), options);
    let zeros = '';

    if (!tok.isPadded && prev && prev.pattern === obj.pattern) {
      if (prev.count.length > 1) {
        prev.count.pop();
      }

      prev.count.push(obj.count[0]);
      prev.string = prev.pattern + toQuantifier(prev.count);
      start = max + 1;
      continue;
    }

    if (tok.isPadded) {
      zeros = padZeros(max, tok, options);
    }

    obj.string = zeros + obj.pattern + toQuantifier(obj.count);
    tokens.push(obj);
    start = max + 1;
    prev = obj;
  }

  return tokens;
}

function filterPatterns(arr, comparison, prefix, intersection, options) {
  let result = [];

  for (let ele of arr) {
    let { string } = ele;

    // only push if _both_ are negative...
    if (!intersection && !contains(comparison, 'string', string)) {
      result.push(prefix + string);
    }

    // or _both_ are positive
    if (intersection && contains(comparison, 'string', string)) {
      result.push(prefix + string);
    }
  }
  return result;
}

/**
 * Zip strings
 */

function zip(a, b) {
  let arr = [];
  for (let i = 0; i < a.length; i++) arr.push([a[i], b[i]]);
  return arr;
}

function compare(a, b) {
  return a > b ? 1 : b > a ? -1 : 0;
}

function contains(arr, key, val) {
  return arr.some(ele => ele[key] === val);
}

function countNines(min, len) {
  return Number(String(min).slice(0, -len) + '9'.repeat(len));
}

function countZeros(integer, zeros) {
  return integer - (integer % Math.pow(10, zeros));
}

function toQuantifier(digits) {
  let [start = 0, stop = ''] = digits;
  if (stop || start > 1) {
    return `{${start + (stop ? ',' + stop : '')}}`;
  }
  return '';
}

function toCharacterClass(a, b, options) {
  return `[${a}${(b - a === 1) ? '' : '-'}${b}]`;
}

function hasPadding(str) {
  return /^-?(0+)\d/.test(str);
}

function padZeros(value, tok, options) {
  if (!tok.isPadded) {
    return value;
  }

  let diff = Math.abs(tok.maxLen - String(value).length);
  let relax = options.relaxZeros !== false;

  switch (diff) {
    case 0:
      return '';
    case 1:
      return relax ? '0?' : '0';
    case 2:
      return relax ? '0{0,2}' : '00';
    default: {
      return relax ? `0{0,${diff}}` : `0{${diff}}`;
    }
  }
}

/**
 * Cache
 */

toRegexRange.cache = {};
toRegexRange.clearCache = () => (toRegexRange.cache = {});

/**
 * Expose `toRegexRange`
 */

module.exports = toRegexRange;


/***/ }),

/***/ 74294:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

module.exports = __nccwpck_require__(54219);


/***/ }),

/***/ 54219:
/***/ ((__unused_webpack_module, exports, __nccwpck_require__) => {

"use strict";


var net = __nccwpck_require__(41808);
var tls = __nccwpck_require__(24404);
var http = __nccwpck_require__(13685);
var https = __nccwpck_require__(95687);
var events = __nccwpck_require__(82361);
var assert = __nccwpck_require__(39491);
var util = __nccwpck_require__(73837);


exports.httpOverHttp = httpOverHttp;
exports.httpsOverHttp = httpsOverHttp;
exports.httpOverHttps = httpOverHttps;
exports.httpsOverHttps = httpsOverHttps;


function httpOverHttp(options) {
  var agent = new TunnelingAgent(options);
  agent.request = http.request;
  return agent;
}

function httpsOverHttp(options) {
  var agent = new TunnelingAgent(options);
  agent.request = http.request;
  agent.createSocket = createSecureSocket;
  agent.defaultPort = 443;
  return agent;
}

function httpOverHttps(options) {
  var agent = new TunnelingAgent(options);
  agent.request = https.request;
  return agent;
}

function httpsOverHttps(options) {
  var agent = new TunnelingAgent(options);
  agent.request = https.request;
  agent.createSocket = createSecureSocket;
  agent.defaultPort = 443;
  return agent;
}


function TunnelingAgent(options) {
  var self = this;
  self.options = options || {};
  self.proxyOptions = self.options.proxy || {};
  self.maxSockets = self.options.maxSockets || http.Agent.defaultMaxSockets;
  self.requests = [];
  self.sockets = [];

  self.on('free', function onFree(socket, host, port, localAddress) {
    var options = toOptions(host, port, localAddress);
    for (var i = 0, len = self.requests.length; i < len; ++i) {
      var pending = self.requests[i];
      if (pending.host === options.host && pending.port === options.port) {
        // Detect the request to connect same origin server,
        // reuse the connection.
        self.requests.splice(i, 1);
        pending.request.onSocket(socket);
        return;
      }
    }
    socket.destroy();
    self.removeSocket(socket);
  });
}
util.inherits(TunnelingAgent, events.EventEmitter);

TunnelingAgent.prototype.addRequest = function addRequest(req, host, port, localAddress) {
  var self = this;
  var options = mergeOptions({request: req}, self.options, toOptions(host, port, localAddress));

  if (self.sockets.length >= this.maxSockets) {
    // We are over limit so we'll add it to the queue.
    self.requests.push(options);
    return;
  }

  // If we are under maxSockets create a new one.
  self.createSocket(options, function(socket) {
    socket.on('free', onFree);
    socket.on('close', onCloseOrRemove);
    socket.on('agentRemove', onCloseOrRemove);
    req.onSocket(socket);

    function onFree() {
      self.emit('free', socket, options);
    }

    function onCloseOrRemove(err) {
      self.removeSocket(socket);
      socket.removeListener('free', onFree);
      socket.removeListener('close', onCloseOrRemove);
      socket.removeListener('agentRemove', onCloseOrRemove);
    }
  });
};

TunnelingAgent.prototype.createSocket = function createSocket(options, cb) {
  var self = this;
  var placeholder = {};
  self.sockets.push(placeholder);

  var connectOptions = mergeOptions({}, self.proxyOptions, {
    method: 'CONNECT',
    path: options.host + ':' + options.port,
    agent: false,
    headers: {
      host: options.host + ':' + options.port
    }
  });
  if (options.localAddress) {
    connectOptions.localAddress = options.localAddress;
  }
  if (connectOptions.proxyAuth) {
    connectOptions.headers = connectOptions.headers || {};
    connectOptions.headers['Proxy-Authorization'] = 'Basic ' +
        new Buffer(connectOptions.proxyAuth).toString('base64');
  }

  debug('making CONNECT request');
  var connectReq = self.request(connectOptions);
  connectReq.useChunkedEncodingByDefault = false; // for v0.6
  connectReq.once('response', onResponse); // for v0.6
  connectReq.once('upgrade', onUpgrade);   // for v0.6
  connectReq.once('connect', onConnect);   // for v0.7 or later
  connectReq.once('error', onError);
  connectReq.end();

  function onResponse(res) {
    // Very hacky. This is necessary to avoid http-parser leaks.
    res.upgrade = true;
  }

  function onUpgrade(res, socket, head) {
    // Hacky.
    process.nextTick(function() {
      onConnect(res, socket, head);
    });
  }

  function onConnect(res, socket, head) {
    connectReq.removeAllListeners();
    socket.removeAllListeners();

    if (res.statusCode !== 200) {
      debug('tunneling socket could not be established, statusCode=%d',
        res.statusCode);
      socket.destroy();
      var error = new Error('tunneling socket could not be established, ' +
        'statusCode=' + res.statusCode);
      error.code = 'ECONNRESET';
      options.request.emit('error', error);
      self.removeSocket(placeholder);
      return;
    }
    if (head.length > 0) {
      debug('got illegal response body from proxy');
      socket.destroy();
      var error = new Error('got illegal response body from proxy');
      error.code = 'ECONNRESET';
      options.request.emit('error', error);
      self.removeSocket(placeholder);
      return;
    }
    debug('tunneling connection has established');
    self.sockets[self.sockets.indexOf(placeholder)] = socket;
    return cb(socket);
  }

  function onError(cause) {
    connectReq.removeAllListeners();

    debug('tunneling socket could not be established, cause=%s\n',
          cause.message, cause.stack);
    var error = new Error('tunneling socket could not be established, ' +
                          'cause=' + cause.message);
    error.code = 'ECONNRESET';
    options.request.emit('error', error);
    self.removeSocket(placeholder);
  }
};

TunnelingAgent.prototype.removeSocket = function removeSocket(socket) {
  var pos = this.sockets.indexOf(socket)
  if (pos === -1) {
    return;
  }
  this.sockets.splice(pos, 1);

  var pending = this.requests.shift();
  if (pending) {
    // If we have pending requests and a socket gets closed a new one
    // needs to be created to take over in the pool for the one that closed.
    this.createSocket(pending, function(socket) {
      pending.request.onSocket(socket);
    });
  }
};

function createSecureSocket(options, cb) {
  var self = this;
  TunnelingAgent.prototype.createSocket.call(self, options, function(socket) {
    var hostHeader = options.request.getHeader('host');
    var tlsOptions = mergeOptions({}, self.options, {
      socket: socket,
      servername: hostHeader ? hostHeader.replace(/:.*$/, '') : options.host
    });

    // 0 is dummy port for v0.6
    var secureSocket = tls.connect(0, tlsOptions);
    self.sockets[self.sockets.indexOf(socket)] = secureSocket;
    cb(secureSocket);
  });
}


function toOptions(host, port, localAddress) {
  if (typeof host === 'string') { // since v0.10
    return {
      host: host,
      port: port,
      localAddress: localAddress
    };
  }
  return host; // for v0.11 or later
}

function mergeOptions(target) {
  for (var i = 1, len = arguments.length; i < len; ++i) {
    var overrides = arguments[i];
    if (typeof overrides === 'object') {
      var keys = Object.keys(overrides);
      for (var j = 0, keyLen = keys.length; j < keyLen; ++j) {
        var k = keys[j];
        if (overrides[k] !== undefined) {
          target[k] = overrides[k];
        }
      }
    }
  }
  return target;
}


var debug;
if (process.env.NODE_DEBUG && /\btunnel\b/.test(process.env.NODE_DEBUG)) {
  debug = function() {
    var args = Array.prototype.slice.call(arguments);
    if (typeof args[0] === 'string') {
      args[0] = 'TUNNEL: ' + args[0];
    } else {
      args.unshift('TUNNEL:');
    }
    console.error.apply(console, args);
  }
} else {
  debug = function() {};
}
exports.debug = debug; // for test


/***/ }),

/***/ 2155:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var v1 = __nccwpck_require__(18749);
var v4 = __nccwpck_require__(80824);

var uuid = v4;
uuid.v1 = v1;
uuid.v4 = v4;

module.exports = uuid;


/***/ }),

/***/ 92707:
/***/ ((module) => {

/**
 * Convert array of 16 byte values to UUID string format of the form:
 * XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX
 */
var byteToHex = [];
for (var i = 0; i < 256; ++i) {
  byteToHex[i] = (i + 0x100).toString(16).substr(1);
}

function bytesToUuid(buf, offset) {
  var i = offset || 0;
  var bth = byteToHex;
  // join used to fix memory issue caused by concatenation: https://bugs.chromium.org/p/v8/issues/detail?id=3175#c4
  return ([bth[buf[i++]], bth[buf[i++]], 
	bth[buf[i++]], bth[buf[i++]], '-',
	bth[buf[i++]], bth[buf[i++]], '-',
	bth[buf[i++]], bth[buf[i++]], '-',
	bth[buf[i++]], bth[buf[i++]], '-',
	bth[buf[i++]], bth[buf[i++]],
	bth[buf[i++]], bth[buf[i++]],
	bth[buf[i++]], bth[buf[i++]]]).join('');
}

module.exports = bytesToUuid;


/***/ }),

/***/ 15859:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

// Unique ID creation requires a high quality random # generator.  In node.js
// this is pretty straight-forward - we use the crypto API.

var crypto = __nccwpck_require__(6113);

module.exports = function nodeRNG() {
  return crypto.randomBytes(16);
};


/***/ }),

/***/ 18749:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var rng = __nccwpck_require__(15859);
var bytesToUuid = __nccwpck_require__(92707);

// **`v1()` - Generate time-based UUID**
//
// Inspired by https://github.com/LiosK/UUID.js
// and http://docs.python.org/library/uuid.html

var _nodeId;
var _clockseq;

// Previous uuid creation time
var _lastMSecs = 0;
var _lastNSecs = 0;

// See https://github.com/broofa/node-uuid for API details
function v1(options, buf, offset) {
  var i = buf && offset || 0;
  var b = buf || [];

  options = options || {};
  var node = options.node || _nodeId;
  var clockseq = options.clockseq !== undefined ? options.clockseq : _clockseq;

  // node and clockseq need to be initialized to random values if they're not
  // specified.  We do this lazily to minimize issues related to insufficient
  // system entropy.  See #189
  if (node == null || clockseq == null) {
    var seedBytes = rng();
    if (node == null) {
      // Per 4.5, create and 48-bit node id, (47 random bits + multicast bit = 1)
      node = _nodeId = [
        seedBytes[0] | 0x01,
        seedBytes[1], seedBytes[2], seedBytes[3], seedBytes[4], seedBytes[5]
      ];
    }
    if (clockseq == null) {
      // Per 4.2.2, randomize (14 bit) clockseq
      clockseq = _clockseq = (seedBytes[6] << 8 | seedBytes[7]) & 0x3fff;
    }
  }

  // UUID timestamps are 100 nano-second units since the Gregorian epoch,
  // (1582-10-15 00:00).  JSNumbers aren't precise enough for this, so
  // time is handled internally as 'msecs' (integer milliseconds) and 'nsecs'
  // (100-nanoseconds offset from msecs) since unix epoch, 1970-01-01 00:00.
  var msecs = options.msecs !== undefined ? options.msecs : new Date().getTime();

  // Per 4.2.1.2, use count of uuid's generated during the current clock
  // cycle to simulate higher resolution clock
  var nsecs = options.nsecs !== undefined ? options.nsecs : _lastNSecs + 1;

  // Time since last uuid creation (in msecs)
  var dt = (msecs - _lastMSecs) + (nsecs - _lastNSecs)/10000;

  // Per 4.2.1.2, Bump clockseq on clock regression
  if (dt < 0 && options.clockseq === undefined) {
    clockseq = clockseq + 1 & 0x3fff;
  }

  // Reset nsecs if clock regresses (new clockseq) or we've moved onto a new
  // time interval
  if ((dt < 0 || msecs > _lastMSecs) && options.nsecs === undefined) {
    nsecs = 0;
  }

  // Per 4.2.1.2 Throw error if too many uuids are requested
  if (nsecs >= 10000) {
    throw new Error('uuid.v1(): Can\'t create more than 10M uuids/sec');
  }

  _lastMSecs = msecs;
  _lastNSecs = nsecs;
  _clockseq = clockseq;

  // Per 4.1.4 - Convert from unix epoch to Gregorian epoch
  msecs += 12219292800000;

  // `time_low`
  var tl = ((msecs & 0xfffffff) * 10000 + nsecs) % 0x100000000;
  b[i++] = tl >>> 24 & 0xff;
  b[i++] = tl >>> 16 & 0xff;
  b[i++] = tl >>> 8 & 0xff;
  b[i++] = tl & 0xff;

  // `time_mid`
  var tmh = (msecs / 0x100000000 * 10000) & 0xfffffff;
  b[i++] = tmh >>> 8 & 0xff;
  b[i++] = tmh & 0xff;

  // `time_high_and_version`
  b[i++] = tmh >>> 24 & 0xf | 0x10; // include version
  b[i++] = tmh >>> 16 & 0xff;

  // `clock_seq_hi_and_reserved` (Per 4.2.2 - include variant)
  b[i++] = clockseq >>> 8 | 0x80;

  // `clock_seq_low`
  b[i++] = clockseq & 0xff;

  // `node`
  for (var n = 0; n < 6; ++n) {
    b[i + n] = node[n];
  }

  return buf ? buf : bytesToUuid(b);
}

module.exports = v1;


/***/ }),

/***/ 80824:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var rng = __nccwpck_require__(15859);
var bytesToUuid = __nccwpck_require__(92707);

function v4(options, buf, offset) {
  var i = buf && offset || 0;

  if (typeof(options) == 'string') {
    buf = options === 'binary' ? new Array(16) : null;
    options = null;
  }
  options = options || {};

  var rnds = options.random || (options.rng || rng)();

  // Per 4.4, set bits for version and `clock_seq_hi_and_reserved`
  rnds[6] = (rnds[6] & 0x0f) | 0x40;
  rnds[8] = (rnds[8] & 0x3f) | 0x80;

  // Copy bytes to buffer, if provided
  if (buf) {
    for (var ii = 0; ii < 16; ++ii) {
      buf[i + ii] = rnds[ii];
    }
  }

  return buf || bytesToUuid(rnds);
}

module.exports = v4;


/***/ }),

/***/ 22524:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

var parse = __nccwpck_require__(31620);
var correct = __nccwpck_require__(92372);

var genericWarning = (
  'license should be ' +
  'a valid SPDX license expression (without "LicenseRef"), ' +
  '"UNLICENSED", or ' +
  '"SEE LICENSE IN <filename>"'
);

var fileReferenceRE = /^SEE LICEN[CS]E IN (.+)$/;

function startsWith(prefix, string) {
  return string.slice(0, prefix.length) === prefix;
}

function usesLicenseRef(ast) {
  if (ast.hasOwnProperty('license')) {
    var license = ast.license;
    return (
      startsWith('LicenseRef', license) ||
      startsWith('DocumentRef', license)
    );
  } else {
    return (
      usesLicenseRef(ast.left) ||
      usesLicenseRef(ast.right)
    );
  }
}

module.exports = function(argument) {
  var ast;

  try {
    ast = parse(argument);
  } catch (e) {
    var match
    if (
      argument === 'UNLICENSED' ||
      argument === 'UNLICENCED'
    ) {
      return {
        validForOldPackages: true,
        validForNewPackages: true,
        unlicensed: true
      };
    } else if (match = fileReferenceRE.exec(argument)) {
      return {
        validForOldPackages: true,
        validForNewPackages: true,
        inFile: match[1]
      };
    } else {
      var result = {
        validForOldPackages: false,
        validForNewPackages: false,
        warnings: [genericWarning]
      };
      if (argument.trim().length !== 0) {
        var corrected = correct(argument);
        if (corrected) {
          result.warnings.push(
            'license is similar to the valid expression "' + corrected + '"'
          );
        }
      }
      return result;
    }
  }

  if (usesLicenseRef(ast)) {
    return {
      validForNewPackages: false,
      validForOldPackages: false,
      spdx: true,
      warnings: [genericWarning]
    };
  } else {
    return {
      validForNewPackages: true,
      validForOldPackages: true,
      spdx: true
    };
  }
};


/***/ }),

/***/ 34207:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

const isWindows = process.platform === 'win32' ||
    process.env.OSTYPE === 'cygwin' ||
    process.env.OSTYPE === 'msys'

const path = __nccwpck_require__(71017)
const COLON = isWindows ? ';' : ':'
const isexe = __nccwpck_require__(97126)

const getNotFoundError = (cmd) =>
  Object.assign(new Error(`not found: ${cmd}`), { code: 'ENOENT' })

const getPathInfo = (cmd, opt) => {
  const colon = opt.colon || COLON

  // If it has a slash, then we don't bother searching the pathenv.
  // just check the file itself, and that's it.
  const pathEnv = cmd.match(/\//) || isWindows && cmd.match(/\\/) ? ['']
    : (
      [
        // windows always checks the cwd first
        ...(isWindows ? [process.cwd()] : []),
        ...(opt.path || process.env.PATH ||
          /* istanbul ignore next: very unusual */ '').split(colon),
      ]
    )
  const pathExtExe = isWindows
    ? opt.pathExt || process.env.PATHEXT || '.EXE;.CMD;.BAT;.COM'
    : ''
  const pathExt = isWindows ? pathExtExe.split(colon) : ['']

  if (isWindows) {
    if (cmd.indexOf('.') !== -1 && pathExt[0] !== '')
      pathExt.unshift('')
  }

  return {
    pathEnv,
    pathExt,
    pathExtExe,
  }
}

const which = (cmd, opt, cb) => {
  if (typeof opt === 'function') {
    cb = opt
    opt = {}
  }
  if (!opt)
    opt = {}

  const { pathEnv, pathExt, pathExtExe } = getPathInfo(cmd, opt)
  const found = []

  const step = i => new Promise((resolve, reject) => {
    if (i === pathEnv.length)
      return opt.all && found.length ? resolve(found)
        : reject(getNotFoundError(cmd))

    const ppRaw = pathEnv[i]
    const pathPart = /^".*"$/.test(ppRaw) ? ppRaw.slice(1, -1) : ppRaw

    const pCmd = path.join(pathPart, cmd)
    const p = !pathPart && /^\.[\\\/]/.test(cmd) ? cmd.slice(0, 2) + pCmd
      : pCmd

    resolve(subStep(p, i, 0))
  })

  const subStep = (p, i, ii) => new Promise((resolve, reject) => {
    if (ii === pathExt.length)
      return resolve(step(i + 1))
    const ext = pathExt[ii]
    isexe(p + ext, { pathExt: pathExtExe }, (er, is) => {
      if (!er && is) {
        if (opt.all)
          found.push(p + ext)
        else
          return resolve(p + ext)
      }
      return resolve(subStep(p, i, ii + 1))
    })
  })

  return cb ? step(0).then(res => cb(null, res), cb) : step(0)
}

const whichSync = (cmd, opt) => {
  opt = opt || {}

  const { pathEnv, pathExt, pathExtExe } = getPathInfo(cmd, opt)
  const found = []

  for (let i = 0; i < pathEnv.length; i ++) {
    const ppRaw = pathEnv[i]
    const pathPart = /^".*"$/.test(ppRaw) ? ppRaw.slice(1, -1) : ppRaw

    const pCmd = path.join(pathPart, cmd)
    const p = !pathPart && /^\.[\\\/]/.test(cmd) ? cmd.slice(0, 2) + pCmd
      : pCmd

    for (let j = 0; j < pathExt.length; j ++) {
      const cur = p + pathExt[j]
      try {
        const is = isexe.sync(cur, { pathExt: pathExtExe })
        if (is) {
          if (opt.all)
            found.push(cur)
          else
            return cur
        }
      } catch (ex) {}
    }
  }

  if (opt.all && found.length)
    return found

  if (opt.nothrow)
    return null

  throw getNotFoundError(cmd)
}

module.exports = which
which.sync = whichSync


/***/ }),

/***/ 62940:
/***/ ((module) => {

// Returns a wrapper function that returns a wrapped callback
// The wrapper function should do some stuff, and return a
// presumably different callback function.
// This makes sure that own properties are retained, so that
// decorations and such are not lost along the way.
module.exports = wrappy
function wrappy (fn, cb) {
  if (fn && cb) return wrappy(fn)(cb)

  if (typeof fn !== 'function')
    throw new TypeError('need wrapper function')

  Object.keys(fn).forEach(function (k) {
    wrapper[k] = fn[k]
  })

  return wrapper

  function wrapper() {
    var args = new Array(arguments.length)
    for (var i = 0; i < args.length; i++) {
      args[i] = arguments[i]
    }
    var ret = fn.apply(this, args)
    var cb = args[args.length-1]
    if (typeof ret === 'function' && ret !== cb) {
      Object.keys(cb).forEach(function (k) {
        ret[k] = cb[k]
      })
    }
    return ret
  }
}


/***/ }),

/***/ 22624:
/***/ (function(__unused_webpack_module, exports) {

// Generated by CoffeeScript 1.12.7
(function() {
  "use strict";
  exports.stripBOM = function(str) {
    if (str[0] === '\uFEFF') {
      return str.substring(1);
    } else {
      return str;
    }
  };

}).call(this);


/***/ }),

/***/ 43337:
/***/ (function(__unused_webpack_module, exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  "use strict";
  var builder, defaults, escapeCDATA, requiresCDATA, wrapCDATA,
    hasProp = {}.hasOwnProperty;

  builder = __nccwpck_require__(52958);

  defaults = (__nccwpck_require__(97251).defaults);

  requiresCDATA = function(entry) {
    return typeof entry === "string" && (entry.indexOf('&') >= 0 || entry.indexOf('>') >= 0 || entry.indexOf('<') >= 0);
  };

  wrapCDATA = function(entry) {
    return "<![CDATA[" + (escapeCDATA(entry)) + "]]>";
  };

  escapeCDATA = function(entry) {
    return entry.replace(']]>', ']]]]><![CDATA[>');
  };

  exports.Builder = (function() {
    function Builder(opts) {
      var key, ref, value;
      this.options = {};
      ref = defaults["0.2"];
      for (key in ref) {
        if (!hasProp.call(ref, key)) continue;
        value = ref[key];
        this.options[key] = value;
      }
      for (key in opts) {
        if (!hasProp.call(opts, key)) continue;
        value = opts[key];
        this.options[key] = value;
      }
    }

    Builder.prototype.buildObject = function(rootObj) {
      var attrkey, charkey, render, rootElement, rootName;
      attrkey = this.options.attrkey;
      charkey = this.options.charkey;
      if ((Object.keys(rootObj).length === 1) && (this.options.rootName === defaults['0.2'].rootName)) {
        rootName = Object.keys(rootObj)[0];
        rootObj = rootObj[rootName];
      } else {
        rootName = this.options.rootName;
      }
      render = (function(_this) {
        return function(element, obj) {
          var attr, child, entry, index, key, value;
          if (typeof obj !== 'object') {
            if (_this.options.cdata && requiresCDATA(obj)) {
              element.raw(wrapCDATA(obj));
            } else {
              element.txt(obj);
            }
          } else if (Array.isArray(obj)) {
            for (index in obj) {
              if (!hasProp.call(obj, index)) continue;
              child = obj[index];
              for (key in child) {
                entry = child[key];
                element = render(element.ele(key), entry).up();
              }
            }
          } else {
            for (key in obj) {
              if (!hasProp.call(obj, key)) continue;
              child = obj[key];
              if (key === attrkey) {
                if (typeof child === "object") {
                  for (attr in child) {
                    value = child[attr];
                    element = element.att(attr, value);
                  }
                }
              } else if (key === charkey) {
                if (_this.options.cdata && requiresCDATA(child)) {
                  element = element.raw(wrapCDATA(child));
                } else {
                  element = element.txt(child);
                }
              } else if (Array.isArray(child)) {
                for (index in child) {
                  if (!hasProp.call(child, index)) continue;
                  entry = child[index];
                  if (typeof entry === 'string') {
                    if (_this.options.cdata && requiresCDATA(entry)) {
                      element = element.ele(key).raw(wrapCDATA(entry)).up();
                    } else {
                      element = element.ele(key, entry).up();
                    }
                  } else {
                    element = render(element.ele(key), entry).up();
                  }
                }
              } else if (typeof child === "object") {
                element = render(element.ele(key), child).up();
              } else {
                if (typeof child === 'string' && _this.options.cdata && requiresCDATA(child)) {
                  element = element.ele(key).raw(wrapCDATA(child)).up();
                } else {
                  if (child == null) {
                    child = '';
                  }
                  element = element.ele(key, child.toString()).up();
                }
              }
            }
          }
          return element;
        };
      })(this);
      rootElement = builder.create(rootName, this.options.xmldec, this.options.doctype, {
        headless: this.options.headless,
        allowSurrogateChars: this.options.allowSurrogateChars
      });
      return render(rootElement, rootObj).end(this.options.renderOpts);
    };

    return Builder;

  })();

}).call(this);


/***/ }),

/***/ 97251:
/***/ (function(__unused_webpack_module, exports) {

// Generated by CoffeeScript 1.12.7
(function() {
  exports.defaults = {
    "0.1": {
      explicitCharkey: false,
      trim: true,
      normalize: true,
      normalizeTags: false,
      attrkey: "@",
      charkey: "#",
      explicitArray: false,
      ignoreAttrs: false,
      mergeAttrs: false,
      explicitRoot: false,
      validator: null,
      xmlns: false,
      explicitChildren: false,
      childkey: '@@',
      charsAsChildren: false,
      includeWhiteChars: false,
      async: false,
      strict: true,
      attrNameProcessors: null,
      attrValueProcessors: null,
      tagNameProcessors: null,
      valueProcessors: null,
      emptyTag: ''
    },
    "0.2": {
      explicitCharkey: false,
      trim: false,
      normalize: false,
      normalizeTags: false,
      attrkey: "$",
      charkey: "_",
      explicitArray: true,
      ignoreAttrs: false,
      mergeAttrs: false,
      explicitRoot: true,
      validator: null,
      xmlns: false,
      explicitChildren: false,
      preserveChildrenOrder: false,
      childkey: '$$',
      charsAsChildren: false,
      includeWhiteChars: false,
      async: false,
      strict: true,
      attrNameProcessors: null,
      attrValueProcessors: null,
      tagNameProcessors: null,
      valueProcessors: null,
      rootName: 'root',
      xmldec: {
        'version': '1.0',
        'encoding': 'UTF-8',
        'standalone': true
      },
      doctype: null,
      renderOpts: {
        'pretty': true,
        'indent': '  ',
        'newline': '\n'
      },
      headless: false,
      chunkSize: 10000,
      emptyTag: '',
      cdata: false
    }
  };

}).call(this);


/***/ }),

/***/ 83314:
/***/ (function(__unused_webpack_module, exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  "use strict";
  var bom, defaults, events, isEmpty, processItem, processors, sax, setImmediate,
    bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  sax = __nccwpck_require__(72043);

  events = __nccwpck_require__(82361);

  bom = __nccwpck_require__(22624);

  processors = __nccwpck_require__(99236);

  setImmediate = (__nccwpck_require__(39512).setImmediate);

  defaults = (__nccwpck_require__(97251).defaults);

  isEmpty = function(thing) {
    return typeof thing === "object" && (thing != null) && Object.keys(thing).length === 0;
  };

  processItem = function(processors, item, key) {
    var i, len, process;
    for (i = 0, len = processors.length; i < len; i++) {
      process = processors[i];
      item = process(item, key);
    }
    return item;
  };

  exports.Parser = (function(superClass) {
    extend(Parser, superClass);

    function Parser(opts) {
      this.parseString = bind(this.parseString, this);
      this.reset = bind(this.reset, this);
      this.assignOrPush = bind(this.assignOrPush, this);
      this.processAsync = bind(this.processAsync, this);
      var key, ref, value;
      if (!(this instanceof exports.Parser)) {
        return new exports.Parser(opts);
      }
      this.options = {};
      ref = defaults["0.2"];
      for (key in ref) {
        if (!hasProp.call(ref, key)) continue;
        value = ref[key];
        this.options[key] = value;
      }
      for (key in opts) {
        if (!hasProp.call(opts, key)) continue;
        value = opts[key];
        this.options[key] = value;
      }
      if (this.options.xmlns) {
        this.options.xmlnskey = this.options.attrkey + "ns";
      }
      if (this.options.normalizeTags) {
        if (!this.options.tagNameProcessors) {
          this.options.tagNameProcessors = [];
        }
        this.options.tagNameProcessors.unshift(processors.normalize);
      }
      this.reset();
    }

    Parser.prototype.processAsync = function() {
      var chunk, err;
      try {
        if (this.remaining.length <= this.options.chunkSize) {
          chunk = this.remaining;
          this.remaining = '';
          this.saxParser = this.saxParser.write(chunk);
          return this.saxParser.close();
        } else {
          chunk = this.remaining.substr(0, this.options.chunkSize);
          this.remaining = this.remaining.substr(this.options.chunkSize, this.remaining.length);
          this.saxParser = this.saxParser.write(chunk);
          return setImmediate(this.processAsync);
        }
      } catch (error1) {
        err = error1;
        if (!this.saxParser.errThrown) {
          this.saxParser.errThrown = true;
          return this.emit(err);
        }
      }
    };

    Parser.prototype.assignOrPush = function(obj, key, newValue) {
      if (!(key in obj)) {
        if (!this.options.explicitArray) {
          return obj[key] = newValue;
        } else {
          return obj[key] = [newValue];
        }
      } else {
        if (!(obj[key] instanceof Array)) {
          obj[key] = [obj[key]];
        }
        return obj[key].push(newValue);
      }
    };

    Parser.prototype.reset = function() {
      var attrkey, charkey, ontext, stack;
      this.removeAllListeners();
      this.saxParser = sax.parser(this.options.strict, {
        trim: false,
        normalize: false,
        xmlns: this.options.xmlns
      });
      this.saxParser.errThrown = false;
      this.saxParser.onerror = (function(_this) {
        return function(error) {
          _this.saxParser.resume();
          if (!_this.saxParser.errThrown) {
            _this.saxParser.errThrown = true;
            return _this.emit("error", error);
          }
        };
      })(this);
      this.saxParser.onend = (function(_this) {
        return function() {
          if (!_this.saxParser.ended) {
            _this.saxParser.ended = true;
            return _this.emit("end", _this.resultObject);
          }
        };
      })(this);
      this.saxParser.ended = false;
      this.EXPLICIT_CHARKEY = this.options.explicitCharkey;
      this.resultObject = null;
      stack = [];
      attrkey = this.options.attrkey;
      charkey = this.options.charkey;
      this.saxParser.onopentag = (function(_this) {
        return function(node) {
          var key, newValue, obj, processedKey, ref;
          obj = {};
          obj[charkey] = "";
          if (!_this.options.ignoreAttrs) {
            ref = node.attributes;
            for (key in ref) {
              if (!hasProp.call(ref, key)) continue;
              if (!(attrkey in obj) && !_this.options.mergeAttrs) {
                obj[attrkey] = {};
              }
              newValue = _this.options.attrValueProcessors ? processItem(_this.options.attrValueProcessors, node.attributes[key], key) : node.attributes[key];
              processedKey = _this.options.attrNameProcessors ? processItem(_this.options.attrNameProcessors, key) : key;
              if (_this.options.mergeAttrs) {
                _this.assignOrPush(obj, processedKey, newValue);
              } else {
                obj[attrkey][processedKey] = newValue;
              }
            }
          }
          obj["#name"] = _this.options.tagNameProcessors ? processItem(_this.options.tagNameProcessors, node.name) : node.name;
          if (_this.options.xmlns) {
            obj[_this.options.xmlnskey] = {
              uri: node.uri,
              local: node.local
            };
          }
          return stack.push(obj);
        };
      })(this);
      this.saxParser.onclosetag = (function(_this) {
        return function() {
          var cdata, emptyStr, key, node, nodeName, obj, objClone, old, s, xpath;
          obj = stack.pop();
          nodeName = obj["#name"];
          if (!_this.options.explicitChildren || !_this.options.preserveChildrenOrder) {
            delete obj["#name"];
          }
          if (obj.cdata === true) {
            cdata = obj.cdata;
            delete obj.cdata;
          }
          s = stack[stack.length - 1];
          if (obj[charkey].match(/^\s*$/) && !cdata) {
            emptyStr = obj[charkey];
            delete obj[charkey];
          } else {
            if (_this.options.trim) {
              obj[charkey] = obj[charkey].trim();
            }
            if (_this.options.normalize) {
              obj[charkey] = obj[charkey].replace(/\s{2,}/g, " ").trim();
            }
            obj[charkey] = _this.options.valueProcessors ? processItem(_this.options.valueProcessors, obj[charkey], nodeName) : obj[charkey];
            if (Object.keys(obj).length === 1 && charkey in obj && !_this.EXPLICIT_CHARKEY) {
              obj = obj[charkey];
            }
          }
          if (isEmpty(obj)) {
            obj = _this.options.emptyTag !== '' ? _this.options.emptyTag : emptyStr;
          }
          if (_this.options.validator != null) {
            xpath = "/" + ((function() {
              var i, len, results;
              results = [];
              for (i = 0, len = stack.length; i < len; i++) {
                node = stack[i];
                results.push(node["#name"]);
              }
              return results;
            })()).concat(nodeName).join("/");
            (function() {
              var err;
              try {
                return obj = _this.options.validator(xpath, s && s[nodeName], obj);
              } catch (error1) {
                err = error1;
                return _this.emit("error", err);
              }
            })();
          }
          if (_this.options.explicitChildren && !_this.options.mergeAttrs && typeof obj === 'object') {
            if (!_this.options.preserveChildrenOrder) {
              node = {};
              if (_this.options.attrkey in obj) {
                node[_this.options.attrkey] = obj[_this.options.attrkey];
                delete obj[_this.options.attrkey];
              }
              if (!_this.options.charsAsChildren && _this.options.charkey in obj) {
                node[_this.options.charkey] = obj[_this.options.charkey];
                delete obj[_this.options.charkey];
              }
              if (Object.getOwnPropertyNames(obj).length > 0) {
                node[_this.options.childkey] = obj;
              }
              obj = node;
            } else if (s) {
              s[_this.options.childkey] = s[_this.options.childkey] || [];
              objClone = {};
              for (key in obj) {
                if (!hasProp.call(obj, key)) continue;
                objClone[key] = obj[key];
              }
              s[_this.options.childkey].push(objClone);
              delete obj["#name"];
              if (Object.keys(obj).length === 1 && charkey in obj && !_this.EXPLICIT_CHARKEY) {
                obj = obj[charkey];
              }
            }
          }
          if (stack.length > 0) {
            return _this.assignOrPush(s, nodeName, obj);
          } else {
            if (_this.options.explicitRoot) {
              old = obj;
              obj = {};
              obj[nodeName] = old;
            }
            _this.resultObject = obj;
            _this.saxParser.ended = true;
            return _this.emit("end", _this.resultObject);
          }
        };
      })(this);
      ontext = (function(_this) {
        return function(text) {
          var charChild, s;
          s = stack[stack.length - 1];
          if (s) {
            s[charkey] += text;
            if (_this.options.explicitChildren && _this.options.preserveChildrenOrder && _this.options.charsAsChildren && (_this.options.includeWhiteChars || text.replace(/\\n/g, '').trim() !== '')) {
              s[_this.options.childkey] = s[_this.options.childkey] || [];
              charChild = {
                '#name': '__text__'
              };
              charChild[charkey] = text;
              if (_this.options.normalize) {
                charChild[charkey] = charChild[charkey].replace(/\s{2,}/g, " ").trim();
              }
              s[_this.options.childkey].push(charChild);
            }
            return s;
          }
        };
      })(this);
      this.saxParser.ontext = ontext;
      return this.saxParser.oncdata = (function(_this) {
        return function(text) {
          var s;
          s = ontext(text);
          if (s) {
            return s.cdata = true;
          }
        };
      })(this);
    };

    Parser.prototype.parseString = function(str, cb) {
      var err;
      if ((cb != null) && typeof cb === "function") {
        this.on("end", function(result) {
          this.reset();
          return cb(null, result);
        });
        this.on("error", function(err) {
          this.reset();
          return cb(err);
        });
      }
      try {
        str = str.toString();
        if (str.trim() === '') {
          this.emit("end", null);
          return true;
        }
        str = bom.stripBOM(str);
        if (this.options.async) {
          this.remaining = str;
          setImmediate(this.processAsync);
          return this.saxParser;
        }
        return this.saxParser.write(str).close();
      } catch (error1) {
        err = error1;
        if (!(this.saxParser.errThrown || this.saxParser.ended)) {
          this.emit('error', err);
          return this.saxParser.errThrown = true;
        } else if (this.saxParser.ended) {
          throw err;
        }
      }
    };

    return Parser;

  })(events.EventEmitter);

  exports.parseString = function(str, a, b) {
    var cb, options, parser;
    if (b != null) {
      if (typeof b === 'function') {
        cb = b;
      }
      if (typeof a === 'object') {
        options = a;
      }
    } else {
      if (typeof a === 'function') {
        cb = a;
      }
      options = {};
    }
    parser = new exports.Parser(options);
    return parser.parseString(str, cb);
  };

}).call(this);


/***/ }),

/***/ 99236:
/***/ (function(__unused_webpack_module, exports) {

// Generated by CoffeeScript 1.12.7
(function() {
  "use strict";
  var prefixMatch;

  prefixMatch = new RegExp(/(?!xmlns)^.*:/);

  exports.normalize = function(str) {
    return str.toLowerCase();
  };

  exports.firstCharLowerCase = function(str) {
    return str.charAt(0).toLowerCase() + str.slice(1);
  };

  exports.stripPrefix = function(str) {
    return str.replace(prefixMatch, '');
  };

  exports.parseNumbers = function(str) {
    if (!isNaN(str)) {
      str = str % 1 === 0 ? parseInt(str, 10) : parseFloat(str);
    }
    return str;
  };

  exports.parseBooleans = function(str) {
    if (/^(?:true|false)$/i.test(str)) {
      str = str.toLowerCase() === 'true';
    }
    return str;
  };

}).call(this);


/***/ }),

/***/ 66189:
/***/ (function(__unused_webpack_module, exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  "use strict";
  var builder, defaults, parser, processors,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  defaults = __nccwpck_require__(97251);

  builder = __nccwpck_require__(43337);

  parser = __nccwpck_require__(83314);

  processors = __nccwpck_require__(99236);

  exports.defaults = defaults.defaults;

  exports.processors = processors;

  exports.ValidationError = (function(superClass) {
    extend(ValidationError, superClass);

    function ValidationError(message) {
      this.message = message;
    }

    return ValidationError;

  })(Error);

  exports.Builder = builder.Builder;

  exports.Parser = parser.Parser;

  exports.parseString = parser.parseString;

}).call(this);


/***/ }),

/***/ 58229:
/***/ (function(module) {

// Generated by CoffeeScript 1.12.7
(function() {
  var assign, isArray, isEmpty, isFunction, isObject, isPlainObject,
    slice = [].slice,
    hasProp = {}.hasOwnProperty;

  assign = function() {
    var i, key, len, source, sources, target;
    target = arguments[0], sources = 2 <= arguments.length ? slice.call(arguments, 1) : [];
    if (isFunction(Object.assign)) {
      Object.assign.apply(null, arguments);
    } else {
      for (i = 0, len = sources.length; i < len; i++) {
        source = sources[i];
        if (source != null) {
          for (key in source) {
            if (!hasProp.call(source, key)) continue;
            target[key] = source[key];
          }
        }
      }
    }
    return target;
  };

  isFunction = function(val) {
    return !!val && Object.prototype.toString.call(val) === '[object Function]';
  };

  isObject = function(val) {
    var ref;
    return !!val && ((ref = typeof val) === 'function' || ref === 'object');
  };

  isArray = function(val) {
    if (isFunction(Array.isArray)) {
      return Array.isArray(val);
    } else {
      return Object.prototype.toString.call(val) === '[object Array]';
    }
  };

  isEmpty = function(val) {
    var key;
    if (isArray(val)) {
      return !val.length;
    } else {
      for (key in val) {
        if (!hasProp.call(val, key)) continue;
        return false;
      }
      return true;
    }
  };

  isPlainObject = function(val) {
    var ctor, proto;
    return isObject(val) && (proto = Object.getPrototypeOf(val)) && (ctor = proto.constructor) && (typeof ctor === 'function') && (ctor instanceof ctor) && (Function.prototype.toString.call(ctor) === Function.prototype.toString.call(Object));
  };

  module.exports.assign = assign;

  module.exports.isFunction = isFunction;

  module.exports.isObject = isObject;

  module.exports.isArray = isArray;

  module.exports.isEmpty = isEmpty;

  module.exports.isPlainObject = isPlainObject;

}).call(this);


/***/ }),

/***/ 58376:
/***/ (function(module) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLAttribute;

  module.exports = XMLAttribute = (function() {
    function XMLAttribute(parent, name, value) {
      this.options = parent.options;
      this.stringify = parent.stringify;
      if (name == null) {
        throw new Error("Missing attribute name of element " + parent.name);
      }
      if (value == null) {
        throw new Error("Missing attribute value for attribute " + name + " of element " + parent.name);
      }
      this.name = this.stringify.attName(name);
      this.value = this.stringify.attValue(value);
    }

    XMLAttribute.prototype.clone = function() {
      return Object.create(this);
    };

    XMLAttribute.prototype.toString = function(options) {
      return this.options.writer.set(options).attribute(this);
    };

    return XMLAttribute;

  })();

}).call(this);


/***/ }),

/***/ 90333:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLCData, XMLNode,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  XMLNode = __nccwpck_require__(67608);

  module.exports = XMLCData = (function(superClass) {
    extend(XMLCData, superClass);

    function XMLCData(parent, text) {
      XMLCData.__super__.constructor.call(this, parent);
      if (text == null) {
        throw new Error("Missing CDATA text");
      }
      this.text = this.stringify.cdata(text);
    }

    XMLCData.prototype.clone = function() {
      return Object.create(this);
    };

    XMLCData.prototype.toString = function(options) {
      return this.options.writer.set(options).cdata(this);
    };

    return XMLCData;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 74407:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLComment, XMLNode,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  XMLNode = __nccwpck_require__(67608);

  module.exports = XMLComment = (function(superClass) {
    extend(XMLComment, superClass);

    function XMLComment(parent, text) {
      XMLComment.__super__.constructor.call(this, parent);
      if (text == null) {
        throw new Error("Missing comment text");
      }
      this.text = this.stringify.comment(text);
    }

    XMLComment.prototype.clone = function() {
      return Object.create(this);
    };

    XMLComment.prototype.toString = function(options) {
      return this.options.writer.set(options).comment(this);
    };

    return XMLComment;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 81015:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLDTDAttList, XMLNode,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  XMLNode = __nccwpck_require__(67608);

  module.exports = XMLDTDAttList = (function(superClass) {
    extend(XMLDTDAttList, superClass);

    function XMLDTDAttList(parent, elementName, attributeName, attributeType, defaultValueType, defaultValue) {
      XMLDTDAttList.__super__.constructor.call(this, parent);
      if (elementName == null) {
        throw new Error("Missing DTD element name");
      }
      if (attributeName == null) {
        throw new Error("Missing DTD attribute name");
      }
      if (!attributeType) {
        throw new Error("Missing DTD attribute type");
      }
      if (!defaultValueType) {
        throw new Error("Missing DTD attribute default");
      }
      if (defaultValueType.indexOf('#') !== 0) {
        defaultValueType = '#' + defaultValueType;
      }
      if (!defaultValueType.match(/^(#REQUIRED|#IMPLIED|#FIXED|#DEFAULT)$/)) {
        throw new Error("Invalid default value type; expected: #REQUIRED, #IMPLIED, #FIXED or #DEFAULT");
      }
      if (defaultValue && !defaultValueType.match(/^(#FIXED|#DEFAULT)$/)) {
        throw new Error("Default value only applies to #FIXED or #DEFAULT");
      }
      this.elementName = this.stringify.eleName(elementName);
      this.attributeName = this.stringify.attName(attributeName);
      this.attributeType = this.stringify.dtdAttType(attributeType);
      this.defaultValue = this.stringify.dtdAttDefault(defaultValue);
      this.defaultValueType = defaultValueType;
    }

    XMLDTDAttList.prototype.toString = function(options) {
      return this.options.writer.set(options).dtdAttList(this);
    };

    return XMLDTDAttList;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 52421:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLDTDElement, XMLNode,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  XMLNode = __nccwpck_require__(67608);

  module.exports = XMLDTDElement = (function(superClass) {
    extend(XMLDTDElement, superClass);

    function XMLDTDElement(parent, name, value) {
      XMLDTDElement.__super__.constructor.call(this, parent);
      if (name == null) {
        throw new Error("Missing DTD element name");
      }
      if (!value) {
        value = '(#PCDATA)';
      }
      if (Array.isArray(value)) {
        value = '(' + value.join(',') + ')';
      }
      this.name = this.stringify.eleName(name);
      this.value = this.stringify.dtdElementValue(value);
    }

    XMLDTDElement.prototype.toString = function(options) {
      return this.options.writer.set(options).dtdElement(this);
    };

    return XMLDTDElement;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 40053:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLDTDEntity, XMLNode, isObject,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  isObject = (__nccwpck_require__(58229).isObject);

  XMLNode = __nccwpck_require__(67608);

  module.exports = XMLDTDEntity = (function(superClass) {
    extend(XMLDTDEntity, superClass);

    function XMLDTDEntity(parent, pe, name, value) {
      XMLDTDEntity.__super__.constructor.call(this, parent);
      if (name == null) {
        throw new Error("Missing entity name");
      }
      if (value == null) {
        throw new Error("Missing entity value");
      }
      this.pe = !!pe;
      this.name = this.stringify.eleName(name);
      if (!isObject(value)) {
        this.value = this.stringify.dtdEntityValue(value);
      } else {
        if (!value.pubID && !value.sysID) {
          throw new Error("Public and/or system identifiers are required for an external entity");
        }
        if (value.pubID && !value.sysID) {
          throw new Error("System identifier is required for a public external entity");
        }
        if (value.pubID != null) {
          this.pubID = this.stringify.dtdPubID(value.pubID);
        }
        if (value.sysID != null) {
          this.sysID = this.stringify.dtdSysID(value.sysID);
        }
        if (value.nData != null) {
          this.nData = this.stringify.dtdNData(value.nData);
        }
        if (this.pe && this.nData) {
          throw new Error("Notation declaration is not allowed in a parameter entity");
        }
      }
    }

    XMLDTDEntity.prototype.toString = function(options) {
      return this.options.writer.set(options).dtdEntity(this);
    };

    return XMLDTDEntity;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 82837:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLDTDNotation, XMLNode,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  XMLNode = __nccwpck_require__(67608);

  module.exports = XMLDTDNotation = (function(superClass) {
    extend(XMLDTDNotation, superClass);

    function XMLDTDNotation(parent, name, value) {
      XMLDTDNotation.__super__.constructor.call(this, parent);
      if (name == null) {
        throw new Error("Missing notation name");
      }
      if (!value.pubID && !value.sysID) {
        throw new Error("Public or system identifiers are required for an external entity");
      }
      this.name = this.stringify.eleName(name);
      if (value.pubID != null) {
        this.pubID = this.stringify.dtdPubID(value.pubID);
      }
      if (value.sysID != null) {
        this.sysID = this.stringify.dtdSysID(value.sysID);
      }
    }

    XMLDTDNotation.prototype.toString = function(options) {
      return this.options.writer.set(options).dtdNotation(this);
    };

    return XMLDTDNotation;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 46364:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLDeclaration, XMLNode, isObject,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  isObject = (__nccwpck_require__(58229).isObject);

  XMLNode = __nccwpck_require__(67608);

  module.exports = XMLDeclaration = (function(superClass) {
    extend(XMLDeclaration, superClass);

    function XMLDeclaration(parent, version, encoding, standalone) {
      var ref;
      XMLDeclaration.__super__.constructor.call(this, parent);
      if (isObject(version)) {
        ref = version, version = ref.version, encoding = ref.encoding, standalone = ref.standalone;
      }
      if (!version) {
        version = '1.0';
      }
      this.version = this.stringify.xmlVersion(version);
      if (encoding != null) {
        this.encoding = this.stringify.xmlEncoding(encoding);
      }
      if (standalone != null) {
        this.standalone = this.stringify.xmlStandalone(standalone);
      }
    }

    XMLDeclaration.prototype.toString = function(options) {
      return this.options.writer.set(options).declaration(this);
    };

    return XMLDeclaration;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 81801:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLDTDAttList, XMLDTDElement, XMLDTDEntity, XMLDTDNotation, XMLDocType, XMLNode, isObject,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  isObject = (__nccwpck_require__(58229).isObject);

  XMLNode = __nccwpck_require__(67608);

  XMLDTDAttList = __nccwpck_require__(81015);

  XMLDTDEntity = __nccwpck_require__(40053);

  XMLDTDElement = __nccwpck_require__(52421);

  XMLDTDNotation = __nccwpck_require__(82837);

  module.exports = XMLDocType = (function(superClass) {
    extend(XMLDocType, superClass);

    function XMLDocType(parent, pubID, sysID) {
      var ref, ref1;
      XMLDocType.__super__.constructor.call(this, parent);
      this.documentObject = parent;
      if (isObject(pubID)) {
        ref = pubID, pubID = ref.pubID, sysID = ref.sysID;
      }
      if (sysID == null) {
        ref1 = [pubID, sysID], sysID = ref1[0], pubID = ref1[1];
      }
      if (pubID != null) {
        this.pubID = this.stringify.dtdPubID(pubID);
      }
      if (sysID != null) {
        this.sysID = this.stringify.dtdSysID(sysID);
      }
    }

    XMLDocType.prototype.element = function(name, value) {
      var child;
      child = new XMLDTDElement(this, name, value);
      this.children.push(child);
      return this;
    };

    XMLDocType.prototype.attList = function(elementName, attributeName, attributeType, defaultValueType, defaultValue) {
      var child;
      child = new XMLDTDAttList(this, elementName, attributeName, attributeType, defaultValueType, defaultValue);
      this.children.push(child);
      return this;
    };

    XMLDocType.prototype.entity = function(name, value) {
      var child;
      child = new XMLDTDEntity(this, false, name, value);
      this.children.push(child);
      return this;
    };

    XMLDocType.prototype.pEntity = function(name, value) {
      var child;
      child = new XMLDTDEntity(this, true, name, value);
      this.children.push(child);
      return this;
    };

    XMLDocType.prototype.notation = function(name, value) {
      var child;
      child = new XMLDTDNotation(this, name, value);
      this.children.push(child);
      return this;
    };

    XMLDocType.prototype.toString = function(options) {
      return this.options.writer.set(options).docType(this);
    };

    XMLDocType.prototype.ele = function(name, value) {
      return this.element(name, value);
    };

    XMLDocType.prototype.att = function(elementName, attributeName, attributeType, defaultValueType, defaultValue) {
      return this.attList(elementName, attributeName, attributeType, defaultValueType, defaultValue);
    };

    XMLDocType.prototype.ent = function(name, value) {
      return this.entity(name, value);
    };

    XMLDocType.prototype.pent = function(name, value) {
      return this.pEntity(name, value);
    };

    XMLDocType.prototype.not = function(name, value) {
      return this.notation(name, value);
    };

    XMLDocType.prototype.up = function() {
      return this.root() || this.documentObject;
    };

    return XMLDocType;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 53730:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLDocument, XMLNode, XMLStringWriter, XMLStringifier, isPlainObject,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  isPlainObject = (__nccwpck_require__(58229).isPlainObject);

  XMLNode = __nccwpck_require__(67608);

  XMLStringifier = __nccwpck_require__(8594);

  XMLStringWriter = __nccwpck_require__(85913);

  module.exports = XMLDocument = (function(superClass) {
    extend(XMLDocument, superClass);

    function XMLDocument(options) {
      XMLDocument.__super__.constructor.call(this, null);
      options || (options = {});
      if (!options.writer) {
        options.writer = new XMLStringWriter();
      }
      this.options = options;
      this.stringify = new XMLStringifier(options);
      this.isDocument = true;
    }

    XMLDocument.prototype.end = function(writer) {
      var writerOptions;
      if (!writer) {
        writer = this.options.writer;
      } else if (isPlainObject(writer)) {
        writerOptions = writer;
        writer = this.options.writer.set(writerOptions);
      }
      return writer.document(this);
    };

    XMLDocument.prototype.toString = function(options) {
      return this.options.writer.set(options).document(this);
    };

    return XMLDocument;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 77356:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLAttribute, XMLCData, XMLComment, XMLDTDAttList, XMLDTDElement, XMLDTDEntity, XMLDTDNotation, XMLDeclaration, XMLDocType, XMLDocumentCB, XMLElement, XMLProcessingInstruction, XMLRaw, XMLStringWriter, XMLStringifier, XMLText, isFunction, isObject, isPlainObject, ref,
    hasProp = {}.hasOwnProperty;

  ref = __nccwpck_require__(58229), isObject = ref.isObject, isFunction = ref.isFunction, isPlainObject = ref.isPlainObject;

  XMLElement = __nccwpck_require__(9437);

  XMLCData = __nccwpck_require__(90333);

  XMLComment = __nccwpck_require__(74407);

  XMLRaw = __nccwpck_require__(16329);

  XMLText = __nccwpck_require__(21318);

  XMLProcessingInstruction = __nccwpck_require__(56939);

  XMLDeclaration = __nccwpck_require__(46364);

  XMLDocType = __nccwpck_require__(81801);

  XMLDTDAttList = __nccwpck_require__(81015);

  XMLDTDEntity = __nccwpck_require__(40053);

  XMLDTDElement = __nccwpck_require__(52421);

  XMLDTDNotation = __nccwpck_require__(82837);

  XMLAttribute = __nccwpck_require__(58376);

  XMLStringifier = __nccwpck_require__(8594);

  XMLStringWriter = __nccwpck_require__(85913);

  module.exports = XMLDocumentCB = (function() {
    function XMLDocumentCB(options, onData, onEnd) {
      var writerOptions;
      options || (options = {});
      if (!options.writer) {
        options.writer = new XMLStringWriter(options);
      } else if (isPlainObject(options.writer)) {
        writerOptions = options.writer;
        options.writer = new XMLStringWriter(writerOptions);
      }
      this.options = options;
      this.writer = options.writer;
      this.stringify = new XMLStringifier(options);
      this.onDataCallback = onData || function() {};
      this.onEndCallback = onEnd || function() {};
      this.currentNode = null;
      this.currentLevel = -1;
      this.openTags = {};
      this.documentStarted = false;
      this.documentCompleted = false;
      this.root = null;
    }

    XMLDocumentCB.prototype.node = function(name, attributes, text) {
      var ref1;
      if (name == null) {
        throw new Error("Missing node name");
      }
      if (this.root && this.currentLevel === -1) {
        throw new Error("Document can only have one root node");
      }
      this.openCurrent();
      name = name.valueOf();
      if (attributes == null) {
        attributes = {};
      }
      attributes = attributes.valueOf();
      if (!isObject(attributes)) {
        ref1 = [attributes, text], text = ref1[0], attributes = ref1[1];
      }
      this.currentNode = new XMLElement(this, name, attributes);
      this.currentNode.children = false;
      this.currentLevel++;
      this.openTags[this.currentLevel] = this.currentNode;
      if (text != null) {
        this.text(text);
      }
      return this;
    };

    XMLDocumentCB.prototype.element = function(name, attributes, text) {
      if (this.currentNode && this.currentNode instanceof XMLDocType) {
        return this.dtdElement.apply(this, arguments);
      } else {
        return this.node(name, attributes, text);
      }
    };

    XMLDocumentCB.prototype.attribute = function(name, value) {
      var attName, attValue;
      if (!this.currentNode || this.currentNode.children) {
        throw new Error("att() can only be used immediately after an ele() call in callback mode");
      }
      if (name != null) {
        name = name.valueOf();
      }
      if (isObject(name)) {
        for (attName in name) {
          if (!hasProp.call(name, attName)) continue;
          attValue = name[attName];
          this.attribute(attName, attValue);
        }
      } else {
        if (isFunction(value)) {
          value = value.apply();
        }
        if (!this.options.skipNullAttributes || (value != null)) {
          this.currentNode.attributes[name] = new XMLAttribute(this, name, value);
        }
      }
      return this;
    };

    XMLDocumentCB.prototype.text = function(value) {
      var node;
      this.openCurrent();
      node = new XMLText(this, value);
      this.onData(this.writer.text(node, this.currentLevel + 1));
      return this;
    };

    XMLDocumentCB.prototype.cdata = function(value) {
      var node;
      this.openCurrent();
      node = new XMLCData(this, value);
      this.onData(this.writer.cdata(node, this.currentLevel + 1));
      return this;
    };

    XMLDocumentCB.prototype.comment = function(value) {
      var node;
      this.openCurrent();
      node = new XMLComment(this, value);
      this.onData(this.writer.comment(node, this.currentLevel + 1));
      return this;
    };

    XMLDocumentCB.prototype.raw = function(value) {
      var node;
      this.openCurrent();
      node = new XMLRaw(this, value);
      this.onData(this.writer.raw(node, this.currentLevel + 1));
      return this;
    };

    XMLDocumentCB.prototype.instruction = function(target, value) {
      var i, insTarget, insValue, len, node;
      this.openCurrent();
      if (target != null) {
        target = target.valueOf();
      }
      if (value != null) {
        value = value.valueOf();
      }
      if (Array.isArray(target)) {
        for (i = 0, len = target.length; i < len; i++) {
          insTarget = target[i];
          this.instruction(insTarget);
        }
      } else if (isObject(target)) {
        for (insTarget in target) {
          if (!hasProp.call(target, insTarget)) continue;
          insValue = target[insTarget];
          this.instruction(insTarget, insValue);
        }
      } else {
        if (isFunction(value)) {
          value = value.apply();
        }
        node = new XMLProcessingInstruction(this, target, value);
        this.onData(this.writer.processingInstruction(node, this.currentLevel + 1));
      }
      return this;
    };

    XMLDocumentCB.prototype.declaration = function(version, encoding, standalone) {
      var node;
      this.openCurrent();
      if (this.documentStarted) {
        throw new Error("declaration() must be the first node");
      }
      node = new XMLDeclaration(this, version, encoding, standalone);
      this.onData(this.writer.declaration(node, this.currentLevel + 1));
      return this;
    };

    XMLDocumentCB.prototype.doctype = function(root, pubID, sysID) {
      this.openCurrent();
      if (root == null) {
        throw new Error("Missing root node name");
      }
      if (this.root) {
        throw new Error("dtd() must come before the root node");
      }
      this.currentNode = new XMLDocType(this, pubID, sysID);
      this.currentNode.rootNodeName = root;
      this.currentNode.children = false;
      this.currentLevel++;
      this.openTags[this.currentLevel] = this.currentNode;
      return this;
    };

    XMLDocumentCB.prototype.dtdElement = function(name, value) {
      var node;
      this.openCurrent();
      node = new XMLDTDElement(this, name, value);
      this.onData(this.writer.dtdElement(node, this.currentLevel + 1));
      return this;
    };

    XMLDocumentCB.prototype.attList = function(elementName, attributeName, attributeType, defaultValueType, defaultValue) {
      var node;
      this.openCurrent();
      node = new XMLDTDAttList(this, elementName, attributeName, attributeType, defaultValueType, defaultValue);
      this.onData(this.writer.dtdAttList(node, this.currentLevel + 1));
      return this;
    };

    XMLDocumentCB.prototype.entity = function(name, value) {
      var node;
      this.openCurrent();
      node = new XMLDTDEntity(this, false, name, value);
      this.onData(this.writer.dtdEntity(node, this.currentLevel + 1));
      return this;
    };

    XMLDocumentCB.prototype.pEntity = function(name, value) {
      var node;
      this.openCurrent();
      node = new XMLDTDEntity(this, true, name, value);
      this.onData(this.writer.dtdEntity(node, this.currentLevel + 1));
      return this;
    };

    XMLDocumentCB.prototype.notation = function(name, value) {
      var node;
      this.openCurrent();
      node = new XMLDTDNotation(this, name, value);
      this.onData(this.writer.dtdNotation(node, this.currentLevel + 1));
      return this;
    };

    XMLDocumentCB.prototype.up = function() {
      if (this.currentLevel < 0) {
        throw new Error("The document node has no parent");
      }
      if (this.currentNode) {
        if (this.currentNode.children) {
          this.closeNode(this.currentNode);
        } else {
          this.openNode(this.currentNode);
        }
        this.currentNode = null;
      } else {
        this.closeNode(this.openTags[this.currentLevel]);
      }
      delete this.openTags[this.currentLevel];
      this.currentLevel--;
      return this;
    };

    XMLDocumentCB.prototype.end = function() {
      while (this.currentLevel >= 0) {
        this.up();
      }
      return this.onEnd();
    };

    XMLDocumentCB.prototype.openCurrent = function() {
      if (this.currentNode) {
        this.currentNode.children = true;
        return this.openNode(this.currentNode);
      }
    };

    XMLDocumentCB.prototype.openNode = function(node) {
      if (!node.isOpen) {
        if (!this.root && this.currentLevel === 0 && node instanceof XMLElement) {
          this.root = node;
        }
        this.onData(this.writer.openNode(node, this.currentLevel));
        return node.isOpen = true;
      }
    };

    XMLDocumentCB.prototype.closeNode = function(node) {
      if (!node.isClosed) {
        this.onData(this.writer.closeNode(node, this.currentLevel));
        return node.isClosed = true;
      }
    };

    XMLDocumentCB.prototype.onData = function(chunk) {
      this.documentStarted = true;
      return this.onDataCallback(chunk);
    };

    XMLDocumentCB.prototype.onEnd = function() {
      this.documentCompleted = true;
      return this.onEndCallback();
    };

    XMLDocumentCB.prototype.ele = function() {
      return this.element.apply(this, arguments);
    };

    XMLDocumentCB.prototype.nod = function(name, attributes, text) {
      return this.node(name, attributes, text);
    };

    XMLDocumentCB.prototype.txt = function(value) {
      return this.text(value);
    };

    XMLDocumentCB.prototype.dat = function(value) {
      return this.cdata(value);
    };

    XMLDocumentCB.prototype.com = function(value) {
      return this.comment(value);
    };

    XMLDocumentCB.prototype.ins = function(target, value) {
      return this.instruction(target, value);
    };

    XMLDocumentCB.prototype.dec = function(version, encoding, standalone) {
      return this.declaration(version, encoding, standalone);
    };

    XMLDocumentCB.prototype.dtd = function(root, pubID, sysID) {
      return this.doctype(root, pubID, sysID);
    };

    XMLDocumentCB.prototype.e = function(name, attributes, text) {
      return this.element(name, attributes, text);
    };

    XMLDocumentCB.prototype.n = function(name, attributes, text) {
      return this.node(name, attributes, text);
    };

    XMLDocumentCB.prototype.t = function(value) {
      return this.text(value);
    };

    XMLDocumentCB.prototype.d = function(value) {
      return this.cdata(value);
    };

    XMLDocumentCB.prototype.c = function(value) {
      return this.comment(value);
    };

    XMLDocumentCB.prototype.r = function(value) {
      return this.raw(value);
    };

    XMLDocumentCB.prototype.i = function(target, value) {
      return this.instruction(target, value);
    };

    XMLDocumentCB.prototype.att = function() {
      if (this.currentNode && this.currentNode instanceof XMLDocType) {
        return this.attList.apply(this, arguments);
      } else {
        return this.attribute.apply(this, arguments);
      }
    };

    XMLDocumentCB.prototype.a = function() {
      if (this.currentNode && this.currentNode instanceof XMLDocType) {
        return this.attList.apply(this, arguments);
      } else {
        return this.attribute.apply(this, arguments);
      }
    };

    XMLDocumentCB.prototype.ent = function(name, value) {
      return this.entity(name, value);
    };

    XMLDocumentCB.prototype.pent = function(name, value) {
      return this.pEntity(name, value);
    };

    XMLDocumentCB.prototype.not = function(name, value) {
      return this.notation(name, value);
    };

    return XMLDocumentCB;

  })();

}).call(this);


/***/ }),

/***/ 9437:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLAttribute, XMLElement, XMLNode, isFunction, isObject, ref,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  ref = __nccwpck_require__(58229), isObject = ref.isObject, isFunction = ref.isFunction;

  XMLNode = __nccwpck_require__(67608);

  XMLAttribute = __nccwpck_require__(58376);

  module.exports = XMLElement = (function(superClass) {
    extend(XMLElement, superClass);

    function XMLElement(parent, name, attributes) {
      XMLElement.__super__.constructor.call(this, parent);
      if (name == null) {
        throw new Error("Missing element name");
      }
      this.name = this.stringify.eleName(name);
      this.attributes = {};
      if (attributes != null) {
        this.attribute(attributes);
      }
      if (parent.isDocument) {
        this.isRoot = true;
        this.documentObject = parent;
        parent.rootObject = this;
      }
    }

    XMLElement.prototype.clone = function() {
      var att, attName, clonedSelf, ref1;
      clonedSelf = Object.create(this);
      if (clonedSelf.isRoot) {
        clonedSelf.documentObject = null;
      }
      clonedSelf.attributes = {};
      ref1 = this.attributes;
      for (attName in ref1) {
        if (!hasProp.call(ref1, attName)) continue;
        att = ref1[attName];
        clonedSelf.attributes[attName] = att.clone();
      }
      clonedSelf.children = [];
      this.children.forEach(function(child) {
        var clonedChild;
        clonedChild = child.clone();
        clonedChild.parent = clonedSelf;
        return clonedSelf.children.push(clonedChild);
      });
      return clonedSelf;
    };

    XMLElement.prototype.attribute = function(name, value) {
      var attName, attValue;
      if (name != null) {
        name = name.valueOf();
      }
      if (isObject(name)) {
        for (attName in name) {
          if (!hasProp.call(name, attName)) continue;
          attValue = name[attName];
          this.attribute(attName, attValue);
        }
      } else {
        if (isFunction(value)) {
          value = value.apply();
        }
        if (!this.options.skipNullAttributes || (value != null)) {
          this.attributes[name] = new XMLAttribute(this, name, value);
        }
      }
      return this;
    };

    XMLElement.prototype.removeAttribute = function(name) {
      var attName, i, len;
      if (name == null) {
        throw new Error("Missing attribute name");
      }
      name = name.valueOf();
      if (Array.isArray(name)) {
        for (i = 0, len = name.length; i < len; i++) {
          attName = name[i];
          delete this.attributes[attName];
        }
      } else {
        delete this.attributes[name];
      }
      return this;
    };

    XMLElement.prototype.toString = function(options) {
      return this.options.writer.set(options).element(this);
    };

    XMLElement.prototype.att = function(name, value) {
      return this.attribute(name, value);
    };

    XMLElement.prototype.a = function(name, value) {
      return this.attribute(name, value);
    };

    return XMLElement;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 67608:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLCData, XMLComment, XMLDeclaration, XMLDocType, XMLElement, XMLNode, XMLProcessingInstruction, XMLRaw, XMLText, isEmpty, isFunction, isObject, ref,
    hasProp = {}.hasOwnProperty;

  ref = __nccwpck_require__(58229), isObject = ref.isObject, isFunction = ref.isFunction, isEmpty = ref.isEmpty;

  XMLElement = null;

  XMLCData = null;

  XMLComment = null;

  XMLDeclaration = null;

  XMLDocType = null;

  XMLRaw = null;

  XMLText = null;

  XMLProcessingInstruction = null;

  module.exports = XMLNode = (function() {
    function XMLNode(parent) {
      this.parent = parent;
      if (this.parent) {
        this.options = this.parent.options;
        this.stringify = this.parent.stringify;
      }
      this.children = [];
      if (!XMLElement) {
        XMLElement = __nccwpck_require__(9437);
        XMLCData = __nccwpck_require__(90333);
        XMLComment = __nccwpck_require__(74407);
        XMLDeclaration = __nccwpck_require__(46364);
        XMLDocType = __nccwpck_require__(81801);
        XMLRaw = __nccwpck_require__(16329);
        XMLText = __nccwpck_require__(21318);
        XMLProcessingInstruction = __nccwpck_require__(56939);
      }
    }

    XMLNode.prototype.element = function(name, attributes, text) {
      var childNode, item, j, k, key, lastChild, len, len1, ref1, val;
      lastChild = null;
      if (attributes == null) {
        attributes = {};
      }
      attributes = attributes.valueOf();
      if (!isObject(attributes)) {
        ref1 = [attributes, text], text = ref1[0], attributes = ref1[1];
      }
      if (name != null) {
        name = name.valueOf();
      }
      if (Array.isArray(name)) {
        for (j = 0, len = name.length; j < len; j++) {
          item = name[j];
          lastChild = this.element(item);
        }
      } else if (isFunction(name)) {
        lastChild = this.element(name.apply());
      } else if (isObject(name)) {
        for (key in name) {
          if (!hasProp.call(name, key)) continue;
          val = name[key];
          if (isFunction(val)) {
            val = val.apply();
          }
          if ((isObject(val)) && (isEmpty(val))) {
            val = null;
          }
          if (!this.options.ignoreDecorators && this.stringify.convertAttKey && key.indexOf(this.stringify.convertAttKey) === 0) {
            lastChild = this.attribute(key.substr(this.stringify.convertAttKey.length), val);
          } else if (!this.options.separateArrayItems && Array.isArray(val)) {
            for (k = 0, len1 = val.length; k < len1; k++) {
              item = val[k];
              childNode = {};
              childNode[key] = item;
              lastChild = this.element(childNode);
            }
          } else if (isObject(val)) {
            lastChild = this.element(key);
            lastChild.element(val);
          } else {
            lastChild = this.element(key, val);
          }
        }
      } else {
        if (!this.options.ignoreDecorators && this.stringify.convertTextKey && name.indexOf(this.stringify.convertTextKey) === 0) {
          lastChild = this.text(text);
        } else if (!this.options.ignoreDecorators && this.stringify.convertCDataKey && name.indexOf(this.stringify.convertCDataKey) === 0) {
          lastChild = this.cdata(text);
        } else if (!this.options.ignoreDecorators && this.stringify.convertCommentKey && name.indexOf(this.stringify.convertCommentKey) === 0) {
          lastChild = this.comment(text);
        } else if (!this.options.ignoreDecorators && this.stringify.convertRawKey && name.indexOf(this.stringify.convertRawKey) === 0) {
          lastChild = this.raw(text);
        } else if (!this.options.ignoreDecorators && this.stringify.convertPIKey && name.indexOf(this.stringify.convertPIKey) === 0) {
          lastChild = this.instruction(name.substr(this.stringify.convertPIKey.length), text);
        } else {
          lastChild = this.node(name, attributes, text);
        }
      }
      if (lastChild == null) {
        throw new Error("Could not create any elements with: " + name);
      }
      return lastChild;
    };

    XMLNode.prototype.insertBefore = function(name, attributes, text) {
      var child, i, removed;
      if (this.isRoot) {
        throw new Error("Cannot insert elements at root level");
      }
      i = this.parent.children.indexOf(this);
      removed = this.parent.children.splice(i);
      child = this.parent.element(name, attributes, text);
      Array.prototype.push.apply(this.parent.children, removed);
      return child;
    };

    XMLNode.prototype.insertAfter = function(name, attributes, text) {
      var child, i, removed;
      if (this.isRoot) {
        throw new Error("Cannot insert elements at root level");
      }
      i = this.parent.children.indexOf(this);
      removed = this.parent.children.splice(i + 1);
      child = this.parent.element(name, attributes, text);
      Array.prototype.push.apply(this.parent.children, removed);
      return child;
    };

    XMLNode.prototype.remove = function() {
      var i, ref1;
      if (this.isRoot) {
        throw new Error("Cannot remove the root element");
      }
      i = this.parent.children.indexOf(this);
      [].splice.apply(this.parent.children, [i, i - i + 1].concat(ref1 = [])), ref1;
      return this.parent;
    };

    XMLNode.prototype.node = function(name, attributes, text) {
      var child, ref1;
      if (name != null) {
        name = name.valueOf();
      }
      attributes || (attributes = {});
      attributes = attributes.valueOf();
      if (!isObject(attributes)) {
        ref1 = [attributes, text], text = ref1[0], attributes = ref1[1];
      }
      child = new XMLElement(this, name, attributes);
      if (text != null) {
        child.text(text);
      }
      this.children.push(child);
      return child;
    };

    XMLNode.prototype.text = function(value) {
      var child;
      child = new XMLText(this, value);
      this.children.push(child);
      return this;
    };

    XMLNode.prototype.cdata = function(value) {
      var child;
      child = new XMLCData(this, value);
      this.children.push(child);
      return this;
    };

    XMLNode.prototype.comment = function(value) {
      var child;
      child = new XMLComment(this, value);
      this.children.push(child);
      return this;
    };

    XMLNode.prototype.commentBefore = function(value) {
      var child, i, removed;
      i = this.parent.children.indexOf(this);
      removed = this.parent.children.splice(i);
      child = this.parent.comment(value);
      Array.prototype.push.apply(this.parent.children, removed);
      return this;
    };

    XMLNode.prototype.commentAfter = function(value) {
      var child, i, removed;
      i = this.parent.children.indexOf(this);
      removed = this.parent.children.splice(i + 1);
      child = this.parent.comment(value);
      Array.prototype.push.apply(this.parent.children, removed);
      return this;
    };

    XMLNode.prototype.raw = function(value) {
      var child;
      child = new XMLRaw(this, value);
      this.children.push(child);
      return this;
    };

    XMLNode.prototype.instruction = function(target, value) {
      var insTarget, insValue, instruction, j, len;
      if (target != null) {
        target = target.valueOf();
      }
      if (value != null) {
        value = value.valueOf();
      }
      if (Array.isArray(target)) {
        for (j = 0, len = target.length; j < len; j++) {
          insTarget = target[j];
          this.instruction(insTarget);
        }
      } else if (isObject(target)) {
        for (insTarget in target) {
          if (!hasProp.call(target, insTarget)) continue;
          insValue = target[insTarget];
          this.instruction(insTarget, insValue);
        }
      } else {
        if (isFunction(value)) {
          value = value.apply();
        }
        instruction = new XMLProcessingInstruction(this, target, value);
        this.children.push(instruction);
      }
      return this;
    };

    XMLNode.prototype.instructionBefore = function(target, value) {
      var child, i, removed;
      i = this.parent.children.indexOf(this);
      removed = this.parent.children.splice(i);
      child = this.parent.instruction(target, value);
      Array.prototype.push.apply(this.parent.children, removed);
      return this;
    };

    XMLNode.prototype.instructionAfter = function(target, value) {
      var child, i, removed;
      i = this.parent.children.indexOf(this);
      removed = this.parent.children.splice(i + 1);
      child = this.parent.instruction(target, value);
      Array.prototype.push.apply(this.parent.children, removed);
      return this;
    };

    XMLNode.prototype.declaration = function(version, encoding, standalone) {
      var doc, xmldec;
      doc = this.document();
      xmldec = new XMLDeclaration(doc, version, encoding, standalone);
      if (doc.children[0] instanceof XMLDeclaration) {
        doc.children[0] = xmldec;
      } else {
        doc.children.unshift(xmldec);
      }
      return doc.root() || doc;
    };

    XMLNode.prototype.doctype = function(pubID, sysID) {
      var child, doc, doctype, i, j, k, len, len1, ref1, ref2;
      doc = this.document();
      doctype = new XMLDocType(doc, pubID, sysID);
      ref1 = doc.children;
      for (i = j = 0, len = ref1.length; j < len; i = ++j) {
        child = ref1[i];
        if (child instanceof XMLDocType) {
          doc.children[i] = doctype;
          return doctype;
        }
      }
      ref2 = doc.children;
      for (i = k = 0, len1 = ref2.length; k < len1; i = ++k) {
        child = ref2[i];
        if (child.isRoot) {
          doc.children.splice(i, 0, doctype);
          return doctype;
        }
      }
      doc.children.push(doctype);
      return doctype;
    };

    XMLNode.prototype.up = function() {
      if (this.isRoot) {
        throw new Error("The root node has no parent. Use doc() if you need to get the document object.");
      }
      return this.parent;
    };

    XMLNode.prototype.root = function() {
      var node;
      node = this;
      while (node) {
        if (node.isDocument) {
          return node.rootObject;
        } else if (node.isRoot) {
          return node;
        } else {
          node = node.parent;
        }
      }
    };

    XMLNode.prototype.document = function() {
      var node;
      node = this;
      while (node) {
        if (node.isDocument) {
          return node;
        } else {
          node = node.parent;
        }
      }
    };

    XMLNode.prototype.end = function(options) {
      return this.document().end(options);
    };

    XMLNode.prototype.prev = function() {
      var i;
      i = this.parent.children.indexOf(this);
      if (i < 1) {
        throw new Error("Already at the first node");
      }
      return this.parent.children[i - 1];
    };

    XMLNode.prototype.next = function() {
      var i;
      i = this.parent.children.indexOf(this);
      if (i === -1 || i === this.parent.children.length - 1) {
        throw new Error("Already at the last node");
      }
      return this.parent.children[i + 1];
    };

    XMLNode.prototype.importDocument = function(doc) {
      var clonedRoot;
      clonedRoot = doc.root().clone();
      clonedRoot.parent = this;
      clonedRoot.isRoot = false;
      this.children.push(clonedRoot);
      return this;
    };

    XMLNode.prototype.ele = function(name, attributes, text) {
      return this.element(name, attributes, text);
    };

    XMLNode.prototype.nod = function(name, attributes, text) {
      return this.node(name, attributes, text);
    };

    XMLNode.prototype.txt = function(value) {
      return this.text(value);
    };

    XMLNode.prototype.dat = function(value) {
      return this.cdata(value);
    };

    XMLNode.prototype.com = function(value) {
      return this.comment(value);
    };

    XMLNode.prototype.ins = function(target, value) {
      return this.instruction(target, value);
    };

    XMLNode.prototype.doc = function() {
      return this.document();
    };

    XMLNode.prototype.dec = function(version, encoding, standalone) {
      return this.declaration(version, encoding, standalone);
    };

    XMLNode.prototype.dtd = function(pubID, sysID) {
      return this.doctype(pubID, sysID);
    };

    XMLNode.prototype.e = function(name, attributes, text) {
      return this.element(name, attributes, text);
    };

    XMLNode.prototype.n = function(name, attributes, text) {
      return this.node(name, attributes, text);
    };

    XMLNode.prototype.t = function(value) {
      return this.text(value);
    };

    XMLNode.prototype.d = function(value) {
      return this.cdata(value);
    };

    XMLNode.prototype.c = function(value) {
      return this.comment(value);
    };

    XMLNode.prototype.r = function(value) {
      return this.raw(value);
    };

    XMLNode.prototype.i = function(target, value) {
      return this.instruction(target, value);
    };

    XMLNode.prototype.u = function() {
      return this.up();
    };

    XMLNode.prototype.importXMLBuilder = function(doc) {
      return this.importDocument(doc);
    };

    return XMLNode;

  })();

}).call(this);


/***/ }),

/***/ 56939:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLNode, XMLProcessingInstruction,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  XMLNode = __nccwpck_require__(67608);

  module.exports = XMLProcessingInstruction = (function(superClass) {
    extend(XMLProcessingInstruction, superClass);

    function XMLProcessingInstruction(parent, target, value) {
      XMLProcessingInstruction.__super__.constructor.call(this, parent);
      if (target == null) {
        throw new Error("Missing instruction target");
      }
      this.target = this.stringify.insTarget(target);
      if (value) {
        this.value = this.stringify.insValue(value);
      }
    }

    XMLProcessingInstruction.prototype.clone = function() {
      return Object.create(this);
    };

    XMLProcessingInstruction.prototype.toString = function(options) {
      return this.options.writer.set(options).processingInstruction(this);
    };

    return XMLProcessingInstruction;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 16329:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLNode, XMLRaw,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  XMLNode = __nccwpck_require__(67608);

  module.exports = XMLRaw = (function(superClass) {
    extend(XMLRaw, superClass);

    function XMLRaw(parent, text) {
      XMLRaw.__super__.constructor.call(this, parent);
      if (text == null) {
        throw new Error("Missing raw text");
      }
      this.value = this.stringify.raw(text);
    }

    XMLRaw.prototype.clone = function() {
      return Object.create(this);
    };

    XMLRaw.prototype.toString = function(options) {
      return this.options.writer.set(options).raw(this);
    };

    return XMLRaw;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 78601:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLCData, XMLComment, XMLDTDAttList, XMLDTDElement, XMLDTDEntity, XMLDTDNotation, XMLDeclaration, XMLDocType, XMLElement, XMLProcessingInstruction, XMLRaw, XMLStreamWriter, XMLText, XMLWriterBase,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  XMLDeclaration = __nccwpck_require__(46364);

  XMLDocType = __nccwpck_require__(81801);

  XMLCData = __nccwpck_require__(90333);

  XMLComment = __nccwpck_require__(74407);

  XMLElement = __nccwpck_require__(9437);

  XMLRaw = __nccwpck_require__(16329);

  XMLText = __nccwpck_require__(21318);

  XMLProcessingInstruction = __nccwpck_require__(56939);

  XMLDTDAttList = __nccwpck_require__(81015);

  XMLDTDElement = __nccwpck_require__(52421);

  XMLDTDEntity = __nccwpck_require__(40053);

  XMLDTDNotation = __nccwpck_require__(82837);

  XMLWriterBase = __nccwpck_require__(66752);

  module.exports = XMLStreamWriter = (function(superClass) {
    extend(XMLStreamWriter, superClass);

    function XMLStreamWriter(stream, options) {
      XMLStreamWriter.__super__.constructor.call(this, options);
      this.stream = stream;
    }

    XMLStreamWriter.prototype.document = function(doc) {
      var child, i, j, len, len1, ref, ref1, results;
      ref = doc.children;
      for (i = 0, len = ref.length; i < len; i++) {
        child = ref[i];
        child.isLastRootNode = false;
      }
      doc.children[doc.children.length - 1].isLastRootNode = true;
      ref1 = doc.children;
      results = [];
      for (j = 0, len1 = ref1.length; j < len1; j++) {
        child = ref1[j];
        switch (false) {
          case !(child instanceof XMLDeclaration):
            results.push(this.declaration(child));
            break;
          case !(child instanceof XMLDocType):
            results.push(this.docType(child));
            break;
          case !(child instanceof XMLComment):
            results.push(this.comment(child));
            break;
          case !(child instanceof XMLProcessingInstruction):
            results.push(this.processingInstruction(child));
            break;
          default:
            results.push(this.element(child));
        }
      }
      return results;
    };

    XMLStreamWriter.prototype.attribute = function(att) {
      return this.stream.write(' ' + att.name + '="' + att.value + '"');
    };

    XMLStreamWriter.prototype.cdata = function(node, level) {
      return this.stream.write(this.space(level) + '<![CDATA[' + node.text + ']]>' + this.endline(node));
    };

    XMLStreamWriter.prototype.comment = function(node, level) {
      return this.stream.write(this.space(level) + '<!-- ' + node.text + ' -->' + this.endline(node));
    };

    XMLStreamWriter.prototype.declaration = function(node, level) {
      this.stream.write(this.space(level));
      this.stream.write('<?xml version="' + node.version + '"');
      if (node.encoding != null) {
        this.stream.write(' encoding="' + node.encoding + '"');
      }
      if (node.standalone != null) {
        this.stream.write(' standalone="' + node.standalone + '"');
      }
      this.stream.write(this.spacebeforeslash + '?>');
      return this.stream.write(this.endline(node));
    };

    XMLStreamWriter.prototype.docType = function(node, level) {
      var child, i, len, ref;
      level || (level = 0);
      this.stream.write(this.space(level));
      this.stream.write('<!DOCTYPE ' + node.root().name);
      if (node.pubID && node.sysID) {
        this.stream.write(' PUBLIC "' + node.pubID + '" "' + node.sysID + '"');
      } else if (node.sysID) {
        this.stream.write(' SYSTEM "' + node.sysID + '"');
      }
      if (node.children.length > 0) {
        this.stream.write(' [');
        this.stream.write(this.endline(node));
        ref = node.children;
        for (i = 0, len = ref.length; i < len; i++) {
          child = ref[i];
          switch (false) {
            case !(child instanceof XMLDTDAttList):
              this.dtdAttList(child, level + 1);
              break;
            case !(child instanceof XMLDTDElement):
              this.dtdElement(child, level + 1);
              break;
            case !(child instanceof XMLDTDEntity):
              this.dtdEntity(child, level + 1);
              break;
            case !(child instanceof XMLDTDNotation):
              this.dtdNotation(child, level + 1);
              break;
            case !(child instanceof XMLCData):
              this.cdata(child, level + 1);
              break;
            case !(child instanceof XMLComment):
              this.comment(child, level + 1);
              break;
            case !(child instanceof XMLProcessingInstruction):
              this.processingInstruction(child, level + 1);
              break;
            default:
              throw new Error("Unknown DTD node type: " + child.constructor.name);
          }
        }
        this.stream.write(']');
      }
      this.stream.write(this.spacebeforeslash + '>');
      return this.stream.write(this.endline(node));
    };

    XMLStreamWriter.prototype.element = function(node, level) {
      var att, child, i, len, name, ref, ref1, space;
      level || (level = 0);
      space = this.space(level);
      this.stream.write(space + '<' + node.name);
      ref = node.attributes;
      for (name in ref) {
        if (!hasProp.call(ref, name)) continue;
        att = ref[name];
        this.attribute(att);
      }
      if (node.children.length === 0 || node.children.every(function(e) {
        return e.value === '';
      })) {
        if (this.allowEmpty) {
          this.stream.write('></' + node.name + '>');
        } else {
          this.stream.write(this.spacebeforeslash + '/>');
        }
      } else if (this.pretty && node.children.length === 1 && (node.children[0].value != null)) {
        this.stream.write('>');
        this.stream.write(node.children[0].value);
        this.stream.write('</' + node.name + '>');
      } else {
        this.stream.write('>' + this.newline);
        ref1 = node.children;
        for (i = 0, len = ref1.length; i < len; i++) {
          child = ref1[i];
          switch (false) {
            case !(child instanceof XMLCData):
              this.cdata(child, level + 1);
              break;
            case !(child instanceof XMLComment):
              this.comment(child, level + 1);
              break;
            case !(child instanceof XMLElement):
              this.element(child, level + 1);
              break;
            case !(child instanceof XMLRaw):
              this.raw(child, level + 1);
              break;
            case !(child instanceof XMLText):
              this.text(child, level + 1);
              break;
            case !(child instanceof XMLProcessingInstruction):
              this.processingInstruction(child, level + 1);
              break;
            default:
              throw new Error("Unknown XML node type: " + child.constructor.name);
          }
        }
        this.stream.write(space + '</' + node.name + '>');
      }
      return this.stream.write(this.endline(node));
    };

    XMLStreamWriter.prototype.processingInstruction = function(node, level) {
      this.stream.write(this.space(level) + '<?' + node.target);
      if (node.value) {
        this.stream.write(' ' + node.value);
      }
      return this.stream.write(this.spacebeforeslash + '?>' + this.endline(node));
    };

    XMLStreamWriter.prototype.raw = function(node, level) {
      return this.stream.write(this.space(level) + node.value + this.endline(node));
    };

    XMLStreamWriter.prototype.text = function(node, level) {
      return this.stream.write(this.space(level) + node.value + this.endline(node));
    };

    XMLStreamWriter.prototype.dtdAttList = function(node, level) {
      this.stream.write(this.space(level) + '<!ATTLIST ' + node.elementName + ' ' + node.attributeName + ' ' + node.attributeType);
      if (node.defaultValueType !== '#DEFAULT') {
        this.stream.write(' ' + node.defaultValueType);
      }
      if (node.defaultValue) {
        this.stream.write(' "' + node.defaultValue + '"');
      }
      return this.stream.write(this.spacebeforeslash + '>' + this.endline(node));
    };

    XMLStreamWriter.prototype.dtdElement = function(node, level) {
      this.stream.write(this.space(level) + '<!ELEMENT ' + node.name + ' ' + node.value);
      return this.stream.write(this.spacebeforeslash + '>' + this.endline(node));
    };

    XMLStreamWriter.prototype.dtdEntity = function(node, level) {
      this.stream.write(this.space(level) + '<!ENTITY');
      if (node.pe) {
        this.stream.write(' %');
      }
      this.stream.write(' ' + node.name);
      if (node.value) {
        this.stream.write(' "' + node.value + '"');
      } else {
        if (node.pubID && node.sysID) {
          this.stream.write(' PUBLIC "' + node.pubID + '" "' + node.sysID + '"');
        } else if (node.sysID) {
          this.stream.write(' SYSTEM "' + node.sysID + '"');
        }
        if (node.nData) {
          this.stream.write(' NDATA ' + node.nData);
        }
      }
      return this.stream.write(this.spacebeforeslash + '>' + this.endline(node));
    };

    XMLStreamWriter.prototype.dtdNotation = function(node, level) {
      this.stream.write(this.space(level) + '<!NOTATION ' + node.name);
      if (node.pubID && node.sysID) {
        this.stream.write(' PUBLIC "' + node.pubID + '" "' + node.sysID + '"');
      } else if (node.pubID) {
        this.stream.write(' PUBLIC "' + node.pubID + '"');
      } else if (node.sysID) {
        this.stream.write(' SYSTEM "' + node.sysID + '"');
      }
      return this.stream.write(this.spacebeforeslash + '>' + this.endline(node));
    };

    XMLStreamWriter.prototype.endline = function(node) {
      if (!node.isLastRootNode) {
        return this.newline;
      } else {
        return '';
      }
    };

    return XMLStreamWriter;

  })(XMLWriterBase);

}).call(this);


/***/ }),

/***/ 85913:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLCData, XMLComment, XMLDTDAttList, XMLDTDElement, XMLDTDEntity, XMLDTDNotation, XMLDeclaration, XMLDocType, XMLElement, XMLProcessingInstruction, XMLRaw, XMLStringWriter, XMLText, XMLWriterBase,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  XMLDeclaration = __nccwpck_require__(46364);

  XMLDocType = __nccwpck_require__(81801);

  XMLCData = __nccwpck_require__(90333);

  XMLComment = __nccwpck_require__(74407);

  XMLElement = __nccwpck_require__(9437);

  XMLRaw = __nccwpck_require__(16329);

  XMLText = __nccwpck_require__(21318);

  XMLProcessingInstruction = __nccwpck_require__(56939);

  XMLDTDAttList = __nccwpck_require__(81015);

  XMLDTDElement = __nccwpck_require__(52421);

  XMLDTDEntity = __nccwpck_require__(40053);

  XMLDTDNotation = __nccwpck_require__(82837);

  XMLWriterBase = __nccwpck_require__(66752);

  module.exports = XMLStringWriter = (function(superClass) {
    extend(XMLStringWriter, superClass);

    function XMLStringWriter(options) {
      XMLStringWriter.__super__.constructor.call(this, options);
    }

    XMLStringWriter.prototype.document = function(doc) {
      var child, i, len, r, ref;
      this.textispresent = false;
      r = '';
      ref = doc.children;
      for (i = 0, len = ref.length; i < len; i++) {
        child = ref[i];
        r += (function() {
          switch (false) {
            case !(child instanceof XMLDeclaration):
              return this.declaration(child);
            case !(child instanceof XMLDocType):
              return this.docType(child);
            case !(child instanceof XMLComment):
              return this.comment(child);
            case !(child instanceof XMLProcessingInstruction):
              return this.processingInstruction(child);
            default:
              return this.element(child, 0);
          }
        }).call(this);
      }
      if (this.pretty && r.slice(-this.newline.length) === this.newline) {
        r = r.slice(0, -this.newline.length);
      }
      return r;
    };

    XMLStringWriter.prototype.attribute = function(att) {
      return ' ' + att.name + '="' + att.value + '"';
    };

    XMLStringWriter.prototype.cdata = function(node, level) {
      return this.space(level) + '<![CDATA[' + node.text + ']]>' + this.newline;
    };

    XMLStringWriter.prototype.comment = function(node, level) {
      return this.space(level) + '<!-- ' + node.text + ' -->' + this.newline;
    };

    XMLStringWriter.prototype.declaration = function(node, level) {
      var r;
      r = this.space(level);
      r += '<?xml version="' + node.version + '"';
      if (node.encoding != null) {
        r += ' encoding="' + node.encoding + '"';
      }
      if (node.standalone != null) {
        r += ' standalone="' + node.standalone + '"';
      }
      r += this.spacebeforeslash + '?>';
      r += this.newline;
      return r;
    };

    XMLStringWriter.prototype.docType = function(node, level) {
      var child, i, len, r, ref;
      level || (level = 0);
      r = this.space(level);
      r += '<!DOCTYPE ' + node.root().name;
      if (node.pubID && node.sysID) {
        r += ' PUBLIC "' + node.pubID + '" "' + node.sysID + '"';
      } else if (node.sysID) {
        r += ' SYSTEM "' + node.sysID + '"';
      }
      if (node.children.length > 0) {
        r += ' [';
        r += this.newline;
        ref = node.children;
        for (i = 0, len = ref.length; i < len; i++) {
          child = ref[i];
          r += (function() {
            switch (false) {
              case !(child instanceof XMLDTDAttList):
                return this.dtdAttList(child, level + 1);
              case !(child instanceof XMLDTDElement):
                return this.dtdElement(child, level + 1);
              case !(child instanceof XMLDTDEntity):
                return this.dtdEntity(child, level + 1);
              case !(child instanceof XMLDTDNotation):
                return this.dtdNotation(child, level + 1);
              case !(child instanceof XMLCData):
                return this.cdata(child, level + 1);
              case !(child instanceof XMLComment):
                return this.comment(child, level + 1);
              case !(child instanceof XMLProcessingInstruction):
                return this.processingInstruction(child, level + 1);
              default:
                throw new Error("Unknown DTD node type: " + child.constructor.name);
            }
          }).call(this);
        }
        r += ']';
      }
      r += this.spacebeforeslash + '>';
      r += this.newline;
      return r;
    };

    XMLStringWriter.prototype.element = function(node, level) {
      var att, child, i, j, len, len1, name, r, ref, ref1, ref2, space, textispresentwasset;
      level || (level = 0);
      textispresentwasset = false;
      if (this.textispresent) {
        this.newline = '';
        this.pretty = false;
      } else {
        this.newline = this.newlinedefault;
        this.pretty = this.prettydefault;
      }
      space = this.space(level);
      r = '';
      r += space + '<' + node.name;
      ref = node.attributes;
      for (name in ref) {
        if (!hasProp.call(ref, name)) continue;
        att = ref[name];
        r += this.attribute(att);
      }
      if (node.children.length === 0 || node.children.every(function(e) {
        return e.value === '';
      })) {
        if (this.allowEmpty) {
          r += '></' + node.name + '>' + this.newline;
        } else {
          r += this.spacebeforeslash + '/>' + this.newline;
        }
      } else if (this.pretty && node.children.length === 1 && (node.children[0].value != null)) {
        r += '>';
        r += node.children[0].value;
        r += '</' + node.name + '>' + this.newline;
      } else {
        if (this.dontprettytextnodes) {
          ref1 = node.children;
          for (i = 0, len = ref1.length; i < len; i++) {
            child = ref1[i];
            if (child.value != null) {
              this.textispresent++;
              textispresentwasset = true;
              break;
            }
          }
        }
        if (this.textispresent) {
          this.newline = '';
          this.pretty = false;
          space = this.space(level);
        }
        r += '>' + this.newline;
        ref2 = node.children;
        for (j = 0, len1 = ref2.length; j < len1; j++) {
          child = ref2[j];
          r += (function() {
            switch (false) {
              case !(child instanceof XMLCData):
                return this.cdata(child, level + 1);
              case !(child instanceof XMLComment):
                return this.comment(child, level + 1);
              case !(child instanceof XMLElement):
                return this.element(child, level + 1);
              case !(child instanceof XMLRaw):
                return this.raw(child, level + 1);
              case !(child instanceof XMLText):
                return this.text(child, level + 1);
              case !(child instanceof XMLProcessingInstruction):
                return this.processingInstruction(child, level + 1);
              default:
                throw new Error("Unknown XML node type: " + child.constructor.name);
            }
          }).call(this);
        }
        if (textispresentwasset) {
          this.textispresent--;
        }
        if (!this.textispresent) {
          this.newline = this.newlinedefault;
          this.pretty = this.prettydefault;
        }
        r += space + '</' + node.name + '>' + this.newline;
      }
      return r;
    };

    XMLStringWriter.prototype.processingInstruction = function(node, level) {
      var r;
      r = this.space(level) + '<?' + node.target;
      if (node.value) {
        r += ' ' + node.value;
      }
      r += this.spacebeforeslash + '?>' + this.newline;
      return r;
    };

    XMLStringWriter.prototype.raw = function(node, level) {
      return this.space(level) + node.value + this.newline;
    };

    XMLStringWriter.prototype.text = function(node, level) {
      return this.space(level) + node.value + this.newline;
    };

    XMLStringWriter.prototype.dtdAttList = function(node, level) {
      var r;
      r = this.space(level) + '<!ATTLIST ' + node.elementName + ' ' + node.attributeName + ' ' + node.attributeType;
      if (node.defaultValueType !== '#DEFAULT') {
        r += ' ' + node.defaultValueType;
      }
      if (node.defaultValue) {
        r += ' "' + node.defaultValue + '"';
      }
      r += this.spacebeforeslash + '>' + this.newline;
      return r;
    };

    XMLStringWriter.prototype.dtdElement = function(node, level) {
      return this.space(level) + '<!ELEMENT ' + node.name + ' ' + node.value + this.spacebeforeslash + '>' + this.newline;
    };

    XMLStringWriter.prototype.dtdEntity = function(node, level) {
      var r;
      r = this.space(level) + '<!ENTITY';
      if (node.pe) {
        r += ' %';
      }
      r += ' ' + node.name;
      if (node.value) {
        r += ' "' + node.value + '"';
      } else {
        if (node.pubID && node.sysID) {
          r += ' PUBLIC "' + node.pubID + '" "' + node.sysID + '"';
        } else if (node.sysID) {
          r += ' SYSTEM "' + node.sysID + '"';
        }
        if (node.nData) {
          r += ' NDATA ' + node.nData;
        }
      }
      r += this.spacebeforeslash + '>' + this.newline;
      return r;
    };

    XMLStringWriter.prototype.dtdNotation = function(node, level) {
      var r;
      r = this.space(level) + '<!NOTATION ' + node.name;
      if (node.pubID && node.sysID) {
        r += ' PUBLIC "' + node.pubID + '" "' + node.sysID + '"';
      } else if (node.pubID) {
        r += ' PUBLIC "' + node.pubID + '"';
      } else if (node.sysID) {
        r += ' SYSTEM "' + node.sysID + '"';
      }
      r += this.spacebeforeslash + '>' + this.newline;
      return r;
    };

    XMLStringWriter.prototype.openNode = function(node, level) {
      var att, name, r, ref;
      level || (level = 0);
      if (node instanceof XMLElement) {
        r = this.space(level) + '<' + node.name;
        ref = node.attributes;
        for (name in ref) {
          if (!hasProp.call(ref, name)) continue;
          att = ref[name];
          r += this.attribute(att);
        }
        r += (node.children ? '>' : '/>') + this.newline;
        return r;
      } else {
        r = this.space(level) + '<!DOCTYPE ' + node.rootNodeName;
        if (node.pubID && node.sysID) {
          r += ' PUBLIC "' + node.pubID + '" "' + node.sysID + '"';
        } else if (node.sysID) {
          r += ' SYSTEM "' + node.sysID + '"';
        }
        r += (node.children ? ' [' : '>') + this.newline;
        return r;
      }
    };

    XMLStringWriter.prototype.closeNode = function(node, level) {
      level || (level = 0);
      switch (false) {
        case !(node instanceof XMLElement):
          return this.space(level) + '</' + node.name + '>' + this.newline;
        case !(node instanceof XMLDocType):
          return this.space(level) + ']>' + this.newline;
      }
    };

    return XMLStringWriter;

  })(XMLWriterBase);

}).call(this);


/***/ }),

/***/ 8594:
/***/ (function(module) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLStringifier,
    bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
    hasProp = {}.hasOwnProperty;

  module.exports = XMLStringifier = (function() {
    function XMLStringifier(options) {
      this.assertLegalChar = bind(this.assertLegalChar, this);
      var key, ref, value;
      options || (options = {});
      this.noDoubleEncoding = options.noDoubleEncoding;
      ref = options.stringify || {};
      for (key in ref) {
        if (!hasProp.call(ref, key)) continue;
        value = ref[key];
        this[key] = value;
      }
    }

    XMLStringifier.prototype.eleName = function(val) {
      val = '' + val || '';
      return this.assertLegalChar(val);
    };

    XMLStringifier.prototype.eleText = function(val) {
      val = '' + val || '';
      return this.assertLegalChar(this.elEscape(val));
    };

    XMLStringifier.prototype.cdata = function(val) {
      val = '' + val || '';
      val = val.replace(']]>', ']]]]><![CDATA[>');
      return this.assertLegalChar(val);
    };

    XMLStringifier.prototype.comment = function(val) {
      val = '' + val || '';
      if (val.match(/--/)) {
        throw new Error("Comment text cannot contain double-hypen: " + val);
      }
      return this.assertLegalChar(val);
    };

    XMLStringifier.prototype.raw = function(val) {
      return '' + val || '';
    };

    XMLStringifier.prototype.attName = function(val) {
      return val = '' + val || '';
    };

    XMLStringifier.prototype.attValue = function(val) {
      val = '' + val || '';
      return this.attEscape(val);
    };

    XMLStringifier.prototype.insTarget = function(val) {
      return '' + val || '';
    };

    XMLStringifier.prototype.insValue = function(val) {
      val = '' + val || '';
      if (val.match(/\?>/)) {
        throw new Error("Invalid processing instruction value: " + val);
      }
      return val;
    };

    XMLStringifier.prototype.xmlVersion = function(val) {
      val = '' + val || '';
      if (!val.match(/1\.[0-9]+/)) {
        throw new Error("Invalid version number: " + val);
      }
      return val;
    };

    XMLStringifier.prototype.xmlEncoding = function(val) {
      val = '' + val || '';
      if (!val.match(/^[A-Za-z](?:[A-Za-z0-9._-])*$/)) {
        throw new Error("Invalid encoding: " + val);
      }
      return val;
    };

    XMLStringifier.prototype.xmlStandalone = function(val) {
      if (val) {
        return "yes";
      } else {
        return "no";
      }
    };

    XMLStringifier.prototype.dtdPubID = function(val) {
      return '' + val || '';
    };

    XMLStringifier.prototype.dtdSysID = function(val) {
      return '' + val || '';
    };

    XMLStringifier.prototype.dtdElementValue = function(val) {
      return '' + val || '';
    };

    XMLStringifier.prototype.dtdAttType = function(val) {
      return '' + val || '';
    };

    XMLStringifier.prototype.dtdAttDefault = function(val) {
      if (val != null) {
        return '' + val || '';
      } else {
        return val;
      }
    };

    XMLStringifier.prototype.dtdEntityValue = function(val) {
      return '' + val || '';
    };

    XMLStringifier.prototype.dtdNData = function(val) {
      return '' + val || '';
    };

    XMLStringifier.prototype.convertAttKey = '@';

    XMLStringifier.prototype.convertPIKey = '?';

    XMLStringifier.prototype.convertTextKey = '#text';

    XMLStringifier.prototype.convertCDataKey = '#cdata';

    XMLStringifier.prototype.convertCommentKey = '#comment';

    XMLStringifier.prototype.convertRawKey = '#raw';

    XMLStringifier.prototype.assertLegalChar = function(str) {
      var res;
      res = str.match(/[\0\uFFFE\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/);
      if (res) {
        throw new Error("Invalid character in string: " + str + " at index " + res.index);
      }
      return str;
    };

    XMLStringifier.prototype.elEscape = function(str) {
      var ampregex;
      ampregex = this.noDoubleEncoding ? /(?!&\S+;)&/g : /&/g;
      return str.replace(ampregex, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/\r/g, '&#xD;');
    };

    XMLStringifier.prototype.attEscape = function(str) {
      var ampregex;
      ampregex = this.noDoubleEncoding ? /(?!&\S+;)&/g : /&/g;
      return str.replace(ampregex, '&amp;').replace(/</g, '&lt;').replace(/"/g, '&quot;').replace(/\t/g, '&#x9;').replace(/\n/g, '&#xA;').replace(/\r/g, '&#xD;');
    };

    return XMLStringifier;

  })();

}).call(this);


/***/ }),

/***/ 21318:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLNode, XMLText,
    extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
    hasProp = {}.hasOwnProperty;

  XMLNode = __nccwpck_require__(67608);

  module.exports = XMLText = (function(superClass) {
    extend(XMLText, superClass);

    function XMLText(parent, text) {
      XMLText.__super__.constructor.call(this, parent);
      if (text == null) {
        throw new Error("Missing element text");
      }
      this.value = this.stringify.eleText(text);
    }

    XMLText.prototype.clone = function() {
      return Object.create(this);
    };

    XMLText.prototype.toString = function(options) {
      return this.options.writer.set(options).text(this);
    };

    return XMLText;

  })(XMLNode);

}).call(this);


/***/ }),

/***/ 66752:
/***/ (function(module) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLWriterBase,
    hasProp = {}.hasOwnProperty;

  module.exports = XMLWriterBase = (function() {
    function XMLWriterBase(options) {
      var key, ref, ref1, ref2, ref3, ref4, ref5, ref6, value;
      options || (options = {});
      this.pretty = options.pretty || false;
      this.allowEmpty = (ref = options.allowEmpty) != null ? ref : false;
      if (this.pretty) {
        this.indent = (ref1 = options.indent) != null ? ref1 : '  ';
        this.newline = (ref2 = options.newline) != null ? ref2 : '\n';
        this.offset = (ref3 = options.offset) != null ? ref3 : 0;
        this.dontprettytextnodes = (ref4 = options.dontprettytextnodes) != null ? ref4 : 0;
      } else {
        this.indent = '';
        this.newline = '';
        this.offset = 0;
        this.dontprettytextnodes = 0;
      }
      this.spacebeforeslash = (ref5 = options.spacebeforeslash) != null ? ref5 : '';
      if (this.spacebeforeslash === true) {
        this.spacebeforeslash = ' ';
      }
      this.newlinedefault = this.newline;
      this.prettydefault = this.pretty;
      ref6 = options.writer || {};
      for (key in ref6) {
        if (!hasProp.call(ref6, key)) continue;
        value = ref6[key];
        this[key] = value;
      }
    }

    XMLWriterBase.prototype.set = function(options) {
      var key, ref, value;
      options || (options = {});
      if ("pretty" in options) {
        this.pretty = options.pretty;
      }
      if ("allowEmpty" in options) {
        this.allowEmpty = options.allowEmpty;
      }
      if (this.pretty) {
        this.indent = "indent" in options ? options.indent : '  ';
        this.newline = "newline" in options ? options.newline : '\n';
        this.offset = "offset" in options ? options.offset : 0;
        this.dontprettytextnodes = "dontprettytextnodes" in options ? options.dontprettytextnodes : 0;
      } else {
        this.indent = '';
        this.newline = '';
        this.offset = 0;
        this.dontprettytextnodes = 0;
      }
      this.spacebeforeslash = "spacebeforeslash" in options ? options.spacebeforeslash : '';
      if (this.spacebeforeslash === true) {
        this.spacebeforeslash = ' ';
      }
      this.newlinedefault = this.newline;
      this.prettydefault = this.pretty;
      ref = options.writer || {};
      for (key in ref) {
        if (!hasProp.call(ref, key)) continue;
        value = ref[key];
        this[key] = value;
      }
      return this;
    };

    XMLWriterBase.prototype.space = function(level) {
      var indent;
      if (this.pretty) {
        indent = (level || 0) + this.offset + 1;
        if (indent > 0) {
          return new Array(indent).join(this.indent);
        } else {
          return '';
        }
      } else {
        return '';
      }
    };

    return XMLWriterBase;

  })();

}).call(this);


/***/ }),

/***/ 52958:
/***/ (function(module, __unused_webpack_exports, __nccwpck_require__) {

// Generated by CoffeeScript 1.12.7
(function() {
  var XMLDocument, XMLDocumentCB, XMLStreamWriter, XMLStringWriter, assign, isFunction, ref;

  ref = __nccwpck_require__(58229), assign = ref.assign, isFunction = ref.isFunction;

  XMLDocument = __nccwpck_require__(53730);

  XMLDocumentCB = __nccwpck_require__(77356);

  XMLStringWriter = __nccwpck_require__(85913);

  XMLStreamWriter = __nccwpck_require__(78601);

  module.exports.create = function(name, xmldec, doctype, options) {
    var doc, root;
    if (name == null) {
      throw new Error("Root element needs a name");
    }
    options = assign({}, xmldec, doctype, options);
    doc = new XMLDocument(options);
    root = doc.element(name);
    if (!options.headless) {
      doc.declaration(options);
      if ((options.pubID != null) || (options.sysID != null)) {
        doc.doctype(options);
      }
    }
    return root;
  };

  module.exports.begin = function(options, onData, onEnd) {
    var ref1;
    if (isFunction(options)) {
      ref1 = [options, onData], onData = ref1[0], onEnd = ref1[1];
      options = {};
    }
    if (onData) {
      return new XMLDocumentCB(options, onData, onEnd);
    } else {
      return new XMLDocument(options);
    }
  };

  module.exports.stringWriter = function(options) {
    return new XMLStringWriter(options);
  };

  module.exports.streamWriter = function(stream, options) {
    return new XMLStreamWriter(stream, options);
  };

}).call(this);


/***/ }),

/***/ 40665:
/***/ ((module) => {

module.exports = Yallist

Yallist.Node = Node
Yallist.create = Yallist

function Yallist (list) {
  var self = this
  if (!(self instanceof Yallist)) {
    self = new Yallist()
  }

  self.tail = null
  self.head = null
  self.length = 0

  if (list && typeof list.forEach === 'function') {
    list.forEach(function (item) {
      self.push(item)
    })
  } else if (arguments.length > 0) {
    for (var i = 0, l = arguments.length; i < l; i++) {
      self.push(arguments[i])
    }
  }

  return self
}

Yallist.prototype.removeNode = function (node) {
  if (node.list !== this) {
    throw new Error('removing node which does not belong to this list')
  }

  var next = node.next
  var prev = node.prev

  if (next) {
    next.prev = prev
  }

  if (prev) {
    prev.next = next
  }

  if (node === this.head) {
    this.head = next
  }
  if (node === this.tail) {
    this.tail = prev
  }

  node.list.length--
  node.next = null
  node.prev = null
  node.list = null
}

Yallist.prototype.unshiftNode = function (node) {
  if (node === this.head) {
    return
  }

  if (node.list) {
    node.list.removeNode(node)
  }

  var head = this.head
  node.list = this
  node.next = head
  if (head) {
    head.prev = node
  }

  this.head = node
  if (!this.tail) {
    this.tail = node
  }
  this.length++
}

Yallist.prototype.pushNode = function (node) {
  if (node === this.tail) {
    return
  }

  if (node.list) {
    node.list.removeNode(node)
  }

  var tail = this.tail
  node.list = this
  node.prev = tail
  if (tail) {
    tail.next = node
  }

  this.tail = node
  if (!this.head) {
    this.head = node
  }
  this.length++
}

Yallist.prototype.push = function () {
  for (var i = 0, l = arguments.length; i < l; i++) {
    push(this, arguments[i])
  }
  return this.length
}

Yallist.prototype.unshift = function () {
  for (var i = 0, l = arguments.length; i < l; i++) {
    unshift(this, arguments[i])
  }
  return this.length
}

Yallist.prototype.pop = function () {
  if (!this.tail) {
    return undefined
  }

  var res = this.tail.value
  this.tail = this.tail.prev
  if (this.tail) {
    this.tail.next = null
  } else {
    this.head = null
  }
  this.length--
  return res
}

Yallist.prototype.shift = function () {
  if (!this.head) {
    return undefined
  }

  var res = this.head.value
  this.head = this.head.next
  if (this.head) {
    this.head.prev = null
  } else {
    this.tail = null
  }
  this.length--
  return res
}

Yallist.prototype.forEach = function (fn, thisp) {
  thisp = thisp || this
  for (var walker = this.head, i = 0; walker !== null; i++) {
    fn.call(thisp, walker.value, i, this)
    walker = walker.next
  }
}

Yallist.prototype.forEachReverse = function (fn, thisp) {
  thisp = thisp || this
  for (var walker = this.tail, i = this.length - 1; walker !== null; i--) {
    fn.call(thisp, walker.value, i, this)
    walker = walker.prev
  }
}

Yallist.prototype.get = function (n) {
  for (var i = 0, walker = this.head; walker !== null && i < n; i++) {
    // abort out of the list early if we hit a cycle
    walker = walker.next
  }
  if (i === n && walker !== null) {
    return walker.value
  }
}

Yallist.prototype.getReverse = function (n) {
  for (var i = 0, walker = this.tail; walker !== null && i < n; i++) {
    // abort out of the list early if we hit a cycle
    walker = walker.prev
  }
  if (i === n && walker !== null) {
    return walker.value
  }
}

Yallist.prototype.map = function (fn, thisp) {
  thisp = thisp || this
  var res = new Yallist()
  for (var walker = this.head; walker !== null;) {
    res.push(fn.call(thisp, walker.value, this))
    walker = walker.next
  }
  return res
}

Yallist.prototype.mapReverse = function (fn, thisp) {
  thisp = thisp || this
  var res = new Yallist()
  for (var walker = this.tail; walker !== null;) {
    res.push(fn.call(thisp, walker.value, this))
    walker = walker.prev
  }
  return res
}

Yallist.prototype.reduce = function (fn, initial) {
  var acc
  var walker = this.head
  if (arguments.length > 1) {
    acc = initial
  } else if (this.head) {
    walker = this.head.next
    acc = this.head.value
  } else {
    throw new TypeError('Reduce of empty list with no initial value')
  }

  for (var i = 0; walker !== null; i++) {
    acc = fn(acc, walker.value, i)
    walker = walker.next
  }

  return acc
}

Yallist.prototype.reduceReverse = function (fn, initial) {
  var acc
  var walker = this.tail
  if (arguments.length > 1) {
    acc = initial
  } else if (this.tail) {
    walker = this.tail.prev
    acc = this.tail.value
  } else {
    throw new TypeError('Reduce of empty list with no initial value')
  }

  for (var i = this.length - 1; walker !== null; i--) {
    acc = fn(acc, walker.value, i)
    walker = walker.prev
  }

  return acc
}

Yallist.prototype.toArray = function () {
  var arr = new Array(this.length)
  for (var i = 0, walker = this.head; walker !== null; i++) {
    arr[i] = walker.value
    walker = walker.next
  }
  return arr
}

Yallist.prototype.toArrayReverse = function () {
  var arr = new Array(this.length)
  for (var i = 0, walker = this.tail; walker !== null; i++) {
    arr[i] = walker.value
    walker = walker.prev
  }
  return arr
}

Yallist.prototype.slice = function (from, to) {
  to = to || this.length
  if (to < 0) {
    to += this.length
  }
  from = from || 0
  if (from < 0) {
    from += this.length
  }
  var ret = new Yallist()
  if (to < from || to < 0) {
    return ret
  }
  if (from < 0) {
    from = 0
  }
  if (to > this.length) {
    to = this.length
  }
  for (var i = 0, walker = this.head; walker !== null && i < from; i++) {
    walker = walker.next
  }
  for (; walker !== null && i < to; i++, walker = walker.next) {
    ret.push(walker.value)
  }
  return ret
}

Yallist.prototype.sliceReverse = function (from, to) {
  to = to || this.length
  if (to < 0) {
    to += this.length
  }
  from = from || 0
  if (from < 0) {
    from += this.length
  }
  var ret = new Yallist()
  if (to < from || to < 0) {
    return ret
  }
  if (from < 0) {
    from = 0
  }
  if (to > this.length) {
    to = this.length
  }
  for (var i = this.length, walker = this.tail; walker !== null && i > to; i--) {
    walker = walker.prev
  }
  for (; walker !== null && i > from; i--, walker = walker.prev) {
    ret.push(walker.value)
  }
  return ret
}

Yallist.prototype.reverse = function () {
  var head = this.head
  var tail = this.tail
  for (var walker = head; walker !== null; walker = walker.prev) {
    var p = walker.prev
    walker.prev = walker.next
    walker.next = p
  }
  this.head = tail
  this.tail = head
  return this
}

function push (self, item) {
  self.tail = new Node(item, self.tail, null, self)
  if (!self.head) {
    self.head = self.tail
  }
  self.length++
}

function unshift (self, item) {
  self.head = new Node(item, null, self.head, self)
  if (!self.tail) {
    self.tail = self.head
  }
  self.length++
}

function Node (value, prev, next, list) {
  if (!(this instanceof Node)) {
    return new Node(value, prev, next, list)
  }

  this.list = list
  this.value = value

  if (prev) {
    prev.next = this
    this.prev = prev
  } else {
    this.prev = null
  }

  if (next) {
    next.prev = this
    this.next = next
  } else {
    this.next = null
  }
}


/***/ }),

/***/ 15185:
/***/ ((module) => {

class Node {
	/// value;
	/// next;

	constructor(value) {
		this.value = value;

		// TODO: Remove this when targeting Node.js 12.
		this.next = undefined;
	}
}

class Queue {
	// TODO: Use private class fields when targeting Node.js 12.
	// #_head;
	// #_tail;
	// #_size;

	constructor() {
		this.clear();
	}

	enqueue(value) {
		const node = new Node(value);

		if (this._head) {
			this._tail.next = node;
			this._tail = node;
		} else {
			this._head = node;
			this._tail = node;
		}

		this._size++;
	}

	dequeue() {
		const current = this._head;
		if (!current) {
			return;
		}

		this._head = this._head.next;
		this._size--;
		return current.value;
	}

	clear() {
		this._head = undefined;
		this._tail = undefined;
		this._size = 0;
	}

	get size() {
		return this._size;
	}

	* [Symbol.iterator]() {
		let current = this._head;

		while (current) {
			yield current.value;
			current = current.next;
		}
	}
}

module.exports = Queue;


/***/ }),

/***/ 4351:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


const core = __nccwpck_require__(42186);
const appropriateImages = __nccwpck_require__(19701);
const fs = __nccwpck_require__(57147);
const path = __nccwpck_require__(71017);
const AWS = __nccwpck_require__(71786);
const rimraf = __nccwpck_require__(14959);

AWS.config = new AWS.Config();
AWS.config.accessKeyId = process.env.AWS_ACCESS_KEY_ID;
AWS.config.secretAccessKey = process.env.AWS_SECRET_ACCESS_KEY;
AWS.config.region = process.env.AWS_REGION;

try {
  const staging = core.getInput("image_path");
  const destination = `${core.getInput("image_path")}ready/`;

  rimraf(destination, function () {
    console.log(`🗑\tCleared out ${destination}`);
  });

  const folder = fs.existsSync(staging);
  if (!folder) {
    console.log(`📭\tNo files found in ${staging}`);
    return;
  }

  const myImageConfig = fs.readdirSync(staging).reduce((obj, file) => {
    const ext = path.extname(file);
    const slug = file.replace(ext, "");
    if (ext === ".png" || ext === ".jpg") {
      obj[slug] = {
        basename: `${file}`,
        sizes: [{ width: 1000 }, { width: 1600 }],
      };
    }
    return obj;
  }, {});

  appropriateImages
    .generate(myImageConfig, {
      inputDirectory: staging,
      outputDirectory: destination,
    })
    .then((output) => {
      console.log("⚙️\tGenerated all these images:");
      console.log(output.join("\n"));
    })
    .then(() => {
      // copy over original files
      Object.keys(myImageConfig).forEach((file) => {
        const path = myImageConfig[file].basename;
        fs.copyFileSync(`${staging}${path}`, `${destination}${path}`);
      });
      console.log(`📠\tCopied original files to ${destination}`);
    })
    .then(() => {
      // upload to S3
      const files = fs.readdirSync(destination).reduce((arr, file) => {
        arr.push({
          path: `${destination}${file}`,
          file: file.replace("-1000", "@1000").replace("-1600", "@1600"),
        });
        return arr;
      }, []);
      return Promise.all(
        files.map((file) => {
          const body = fs.createReadStream(file.path);
          return module.exports.putToS3(file.file, body);
        })
      );
    })
    .then(() => {
      // delete files in staging
      fs.readdir(staging, (err, files) => {
        if (err) throw err;
        for (const file of files) {
          if (!fs.lstatSync(path.join(staging, file)).isDirectory()) {
            fs.unlink(path.join(staging, file), (err) => {
              console.log(`🗑\tRemoved ${file} from ${staging}`);
              if (err) throw err;
            });
          }
        }
      });
    })
    .then(() => {
      // delete files in destination
      fs.readdir(destination, (err, files) => {
        if (err) throw err;
        for (const file of files) {
          fs.unlink(path.join(destination, file), (err) => {
            console.log(`🗑\tRemoved ${file} from ${destination}`);
            if (err) throw err;
          });
        }
      });
    })
    .catch((errors) => {
      if (Array.isArray(errors)) {
        errors.forEach((err) => console.error(err.stack));
      } else {
        console.error(errors.stack);
      }
    });
} catch (error) {
  core.setFailed(error.message);
}

module.exports.putToS3 = (Key, Body) => {
  const s3 = new AWS.S3();
  return new Promise((resolve, reject) => {
    s3.putObject(
      {
        Bucket: process.env.AWS_BUCKET,
        Key,
        Body,
        ContentEncoding: "base64",
      },
      function (err) {
        if (err) return reject(err);
        console.log(`⬆️\tUploaded ${Key}`);
        return resolve(Key);
      }
    );
  });
};


/***/ }),

/***/ 74838:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

module.exports = require(__nccwpck_require__.ab + "build/Release/sharp-darwin-x64.node")

/***/ }),

/***/ 5500:
/***/ ((module) => {

module.exports = eval("require")("spawn-sync");


/***/ }),

/***/ 35670:
/***/ ((module) => {

function webpackEmptyContext(req) {
	var e = new Error("Cannot find module '" + req + "'");
	e.code = 'MODULE_NOT_FOUND';
	throw e;
}
webpackEmptyContext.keys = () => ([]);
webpackEmptyContext.resolve = webpackEmptyContext;
webpackEmptyContext.id = 35670;
module.exports = webpackEmptyContext;

/***/ }),

/***/ 39491:
/***/ ((module) => {

"use strict";
module.exports = require("assert");

/***/ }),

/***/ 14300:
/***/ ((module) => {

"use strict";
module.exports = require("buffer");

/***/ }),

/***/ 32081:
/***/ ((module) => {

"use strict";
module.exports = require("child_process");

/***/ }),

/***/ 22057:
/***/ ((module) => {

"use strict";
module.exports = require("constants");

/***/ }),

/***/ 6113:
/***/ ((module) => {

"use strict";
module.exports = require("crypto");

/***/ }),

/***/ 71891:
/***/ ((module) => {

"use strict";
module.exports = require("dgram");

/***/ }),

/***/ 13639:
/***/ ((module) => {

"use strict";
module.exports = require("domain");

/***/ }),

/***/ 82361:
/***/ ((module) => {

"use strict";
module.exports = require("events");

/***/ }),

/***/ 57147:
/***/ ((module) => {

"use strict";
module.exports = require("fs");

/***/ }),

/***/ 13685:
/***/ ((module) => {

"use strict";
module.exports = require("http");

/***/ }),

/***/ 95687:
/***/ ((module) => {

"use strict";
module.exports = require("https");

/***/ }),

/***/ 41808:
/***/ ((module) => {

"use strict";
module.exports = require("net");

/***/ }),

/***/ 22037:
/***/ ((module) => {

"use strict";
module.exports = require("os");

/***/ }),

/***/ 71017:
/***/ ((module) => {

"use strict";
module.exports = require("path");

/***/ }),

/***/ 63477:
/***/ ((module) => {

"use strict";
module.exports = require("querystring");

/***/ }),

/***/ 12781:
/***/ ((module) => {

"use strict";
module.exports = require("stream");

/***/ }),

/***/ 71576:
/***/ ((module) => {

"use strict";
module.exports = require("string_decoder");

/***/ }),

/***/ 39512:
/***/ ((module) => {

"use strict";
module.exports = require("timers");

/***/ }),

/***/ 24404:
/***/ ((module) => {

"use strict";
module.exports = require("tls");

/***/ }),

/***/ 76224:
/***/ ((module) => {

"use strict";
module.exports = require("tty");

/***/ }),

/***/ 57310:
/***/ ((module) => {

"use strict";
module.exports = require("url");

/***/ }),

/***/ 73837:
/***/ ((module) => {

"use strict";
module.exports = require("util");

/***/ }),

/***/ 31970:
/***/ ((module, __unused_webpack_exports, __nccwpck_require__) => {

"use strict";


var util = __nccwpck_require__(73837);
var fs = __nccwpck_require__(57147);
var path = __nccwpck_require__(71017);

function camelCase(str) {
    const isCamelCase = str !== str.toLowerCase() && str !== str.toUpperCase();
    if (!isCamelCase) {
        str = str.toLowerCase();
    }
    if (str.indexOf('-') === -1 && str.indexOf('_') === -1) {
        return str;
    }
    else {
        let camelcase = '';
        let nextChrUpper = false;
        const leadingHyphens = str.match(/^-+/);
        for (let i = leadingHyphens ? leadingHyphens[0].length : 0; i < str.length; i++) {
            let chr = str.charAt(i);
            if (nextChrUpper) {
                nextChrUpper = false;
                chr = chr.toUpperCase();
            }
            if (i !== 0 && (chr === '-' || chr === '_')) {
                nextChrUpper = true;
            }
            else if (chr !== '-' && chr !== '_') {
                camelcase += chr;
            }
        }
        return camelcase;
    }
}
function decamelize(str, joinString) {
    const lowercase = str.toLowerCase();
    joinString = joinString || '-';
    let notCamelcase = '';
    for (let i = 0; i < str.length; i++) {
        const chrLower = lowercase.charAt(i);
        const chrString = str.charAt(i);
        if (chrLower !== chrString && i > 0) {
            notCamelcase += `${joinString}${lowercase.charAt(i)}`;
        }
        else {
            notCamelcase += chrString;
        }
    }
    return notCamelcase;
}
function looksLikeNumber(x) {
    if (x === null || x === undefined)
        return false;
    if (typeof x === 'number')
        return true;
    if (/^0x[0-9a-f]+$/i.test(x))
        return true;
    if (/^0[^.]/.test(x))
        return false;
    return /^[-]?(?:\d+(?:\.\d*)?|\.\d+)(e[-+]?\d+)?$/.test(x);
}

function tokenizeArgString(argString) {
    if (Array.isArray(argString)) {
        return argString.map(e => typeof e !== 'string' ? e + '' : e);
    }
    argString = argString.trim();
    let i = 0;
    let prevC = null;
    let c = null;
    let opening = null;
    const args = [];
    for (let ii = 0; ii < argString.length; ii++) {
        prevC = c;
        c = argString.charAt(ii);
        if (c === ' ' && !opening) {
            if (!(prevC === ' ')) {
                i++;
            }
            continue;
        }
        if (c === opening) {
            opening = null;
        }
        else if ((c === "'" || c === '"') && !opening) {
            opening = c;
        }
        if (!args[i])
            args[i] = '';
        args[i] += c;
    }
    return args;
}

var DefaultValuesForTypeKey;
(function (DefaultValuesForTypeKey) {
    DefaultValuesForTypeKey["BOOLEAN"] = "boolean";
    DefaultValuesForTypeKey["STRING"] = "string";
    DefaultValuesForTypeKey["NUMBER"] = "number";
    DefaultValuesForTypeKey["ARRAY"] = "array";
})(DefaultValuesForTypeKey || (DefaultValuesForTypeKey = {}));

let mixin;
class YargsParser {
    constructor(_mixin) {
        mixin = _mixin;
    }
    parse(argsInput, options) {
        const opts = Object.assign({
            alias: undefined,
            array: undefined,
            boolean: undefined,
            config: undefined,
            configObjects: undefined,
            configuration: undefined,
            coerce: undefined,
            count: undefined,
            default: undefined,
            envPrefix: undefined,
            narg: undefined,
            normalize: undefined,
            string: undefined,
            number: undefined,
            __: undefined,
            key: undefined
        }, options);
        const args = tokenizeArgString(argsInput);
        const aliases = combineAliases(Object.assign(Object.create(null), opts.alias));
        const configuration = Object.assign({
            'boolean-negation': true,
            'camel-case-expansion': true,
            'combine-arrays': false,
            'dot-notation': true,
            'duplicate-arguments-array': true,
            'flatten-duplicate-arrays': true,
            'greedy-arrays': true,
            'halt-at-non-option': false,
            'nargs-eats-options': false,
            'negation-prefix': 'no-',
            'parse-numbers': true,
            'parse-positional-numbers': true,
            'populate--': false,
            'set-placeholder-key': false,
            'short-option-groups': true,
            'strip-aliased': false,
            'strip-dashed': false,
            'unknown-options-as-args': false
        }, opts.configuration);
        const defaults = Object.assign(Object.create(null), opts.default);
        const configObjects = opts.configObjects || [];
        const envPrefix = opts.envPrefix;
        const notFlagsOption = configuration['populate--'];
        const notFlagsArgv = notFlagsOption ? '--' : '_';
        const newAliases = Object.create(null);
        const defaulted = Object.create(null);
        const __ = opts.__ || mixin.format;
        const flags = {
            aliases: Object.create(null),
            arrays: Object.create(null),
            bools: Object.create(null),
            strings: Object.create(null),
            numbers: Object.create(null),
            counts: Object.create(null),
            normalize: Object.create(null),
            configs: Object.create(null),
            nargs: Object.create(null),
            coercions: Object.create(null),
            keys: []
        };
        const negative = /^-([0-9]+(\.[0-9]+)?|\.[0-9]+)$/;
        const negatedBoolean = new RegExp('^--' + configuration['negation-prefix'] + '(.+)');
        [].concat(opts.array || []).filter(Boolean).forEach(function (opt) {
            const key = typeof opt === 'object' ? opt.key : opt;
            const assignment = Object.keys(opt).map(function (key) {
                const arrayFlagKeys = {
                    boolean: 'bools',
                    string: 'strings',
                    number: 'numbers'
                };
                return arrayFlagKeys[key];
            }).filter(Boolean).pop();
            if (assignment) {
                flags[assignment][key] = true;
            }
            flags.arrays[key] = true;
            flags.keys.push(key);
        });
        [].concat(opts.boolean || []).filter(Boolean).forEach(function (key) {
            flags.bools[key] = true;
            flags.keys.push(key);
        });
        [].concat(opts.string || []).filter(Boolean).forEach(function (key) {
            flags.strings[key] = true;
            flags.keys.push(key);
        });
        [].concat(opts.number || []).filter(Boolean).forEach(function (key) {
            flags.numbers[key] = true;
            flags.keys.push(key);
        });
        [].concat(opts.count || []).filter(Boolean).forEach(function (key) {
            flags.counts[key] = true;
            flags.keys.push(key);
        });
        [].concat(opts.normalize || []).filter(Boolean).forEach(function (key) {
            flags.normalize[key] = true;
            flags.keys.push(key);
        });
        if (typeof opts.narg === 'object') {
            Object.entries(opts.narg).forEach(([key, value]) => {
                if (typeof value === 'number') {
                    flags.nargs[key] = value;
                    flags.keys.push(key);
                }
            });
        }
        if (typeof opts.coerce === 'object') {
            Object.entries(opts.coerce).forEach(([key, value]) => {
                if (typeof value === 'function') {
                    flags.coercions[key] = value;
                    flags.keys.push(key);
                }
            });
        }
        if (typeof opts.config !== 'undefined') {
            if (Array.isArray(opts.config) || typeof opts.config === 'string') {
                [].concat(opts.config).filter(Boolean).forEach(function (key) {
                    flags.configs[key] = true;
                });
            }
            else if (typeof opts.config === 'object') {
                Object.entries(opts.config).forEach(([key, value]) => {
                    if (typeof value === 'boolean' || typeof value === 'function') {
                        flags.configs[key] = value;
                    }
                });
            }
        }
        extendAliases(opts.key, aliases, opts.default, flags.arrays);
        Object.keys(defaults).forEach(function (key) {
            (flags.aliases[key] || []).forEach(function (alias) {
                defaults[alias] = defaults[key];
            });
        });
        let error = null;
        checkConfiguration();
        let notFlags = [];
        const argv = Object.assign(Object.create(null), { _: [] });
        const argvReturn = {};
        for (let i = 0; i < args.length; i++) {
            const arg = args[i];
            const truncatedArg = arg.replace(/^-{3,}/, '---');
            let broken;
            let key;
            let letters;
            let m;
            let next;
            let value;
            if (arg !== '--' && isUnknownOptionAsArg(arg)) {
                pushPositional(arg);
            }
            else if (truncatedArg.match(/---+(=|$)/)) {
                pushPositional(arg);
                continue;
            }
            else if (arg.match(/^--.+=/) || (!configuration['short-option-groups'] && arg.match(/^-.+=/))) {
                m = arg.match(/^--?([^=]+)=([\s\S]*)$/);
                if (m !== null && Array.isArray(m) && m.length >= 3) {
                    if (checkAllAliases(m[1], flags.arrays)) {
                        i = eatArray(i, m[1], args, m[2]);
                    }
                    else if (checkAllAliases(m[1], flags.nargs) !== false) {
                        i = eatNargs(i, m[1], args, m[2]);
                    }
                    else {
                        setArg(m[1], m[2]);
                    }
                }
            }
            else if (arg.match(negatedBoolean) && configuration['boolean-negation']) {
                m = arg.match(negatedBoolean);
                if (m !== null && Array.isArray(m) && m.length >= 2) {
                    key = m[1];
                    setArg(key, checkAllAliases(key, flags.arrays) ? [false] : false);
                }
            }
            else if (arg.match(/^--.+/) || (!configuration['short-option-groups'] && arg.match(/^-[^-]+/))) {
                m = arg.match(/^--?(.+)/);
                if (m !== null && Array.isArray(m) && m.length >= 2) {
                    key = m[1];
                    if (checkAllAliases(key, flags.arrays)) {
                        i = eatArray(i, key, args);
                    }
                    else if (checkAllAliases(key, flags.nargs) !== false) {
                        i = eatNargs(i, key, args);
                    }
                    else {
                        next = args[i + 1];
                        if (next !== undefined && (!next.match(/^-/) ||
                            next.match(negative)) &&
                            !checkAllAliases(key, flags.bools) &&
                            !checkAllAliases(key, flags.counts)) {
                            setArg(key, next);
                            i++;
                        }
                        else if (/^(true|false)$/.test(next)) {
                            setArg(key, next);
                            i++;
                        }
                        else {
                            setArg(key, defaultValue(key));
                        }
                    }
                }
            }
            else if (arg.match(/^-.\..+=/)) {
                m = arg.match(/^-([^=]+)=([\s\S]*)$/);
                if (m !== null && Array.isArray(m) && m.length >= 3) {
                    setArg(m[1], m[2]);
                }
            }
            else if (arg.match(/^-.\..+/) && !arg.match(negative)) {
                next = args[i + 1];
                m = arg.match(/^-(.\..+)/);
                if (m !== null && Array.isArray(m) && m.length >= 2) {
                    key = m[1];
                    if (next !== undefined && !next.match(/^-/) &&
                        !checkAllAliases(key, flags.bools) &&
                        !checkAllAliases(key, flags.counts)) {
                        setArg(key, next);
                        i++;
                    }
                    else {
                        setArg(key, defaultValue(key));
                    }
                }
            }
            else if (arg.match(/^-[^-]+/) && !arg.match(negative)) {
                letters = arg.slice(1, -1).split('');
                broken = false;
                for (let j = 0; j < letters.length; j++) {
                    next = arg.slice(j + 2);
                    if (letters[j + 1] && letters[j + 1] === '=') {
                        value = arg.slice(j + 3);
                        key = letters[j];
                        if (checkAllAliases(key, flags.arrays)) {
                            i = eatArray(i, key, args, value);
                        }
                        else if (checkAllAliases(key, flags.nargs) !== false) {
                            i = eatNargs(i, key, args, value);
                        }
                        else {
                            setArg(key, value);
                        }
                        broken = true;
                        break;
                    }
                    if (next === '-') {
                        setArg(letters[j], next);
                        continue;
                    }
                    if (/[A-Za-z]/.test(letters[j]) &&
                        /^-?\d+(\.\d*)?(e-?\d+)?$/.test(next) &&
                        checkAllAliases(next, flags.bools) === false) {
                        setArg(letters[j], next);
                        broken = true;
                        break;
                    }
                    if (letters[j + 1] && letters[j + 1].match(/\W/)) {
                        setArg(letters[j], next);
                        broken = true;
                        break;
                    }
                    else {
                        setArg(letters[j], defaultValue(letters[j]));
                    }
                }
                key = arg.slice(-1)[0];
                if (!broken && key !== '-') {
                    if (checkAllAliases(key, flags.arrays)) {
                        i = eatArray(i, key, args);
                    }
                    else if (checkAllAliases(key, flags.nargs) !== false) {
                        i = eatNargs(i, key, args);
                    }
                    else {
                        next = args[i + 1];
                        if (next !== undefined && (!/^(-|--)[^-]/.test(next) ||
                            next.match(negative)) &&
                            !checkAllAliases(key, flags.bools) &&
                            !checkAllAliases(key, flags.counts)) {
                            setArg(key, next);
                            i++;
                        }
                        else if (/^(true|false)$/.test(next)) {
                            setArg(key, next);
                            i++;
                        }
                        else {
                            setArg(key, defaultValue(key));
                        }
                    }
                }
            }
            else if (arg.match(/^-[0-9]$/) &&
                arg.match(negative) &&
                checkAllAliases(arg.slice(1), flags.bools)) {
                key = arg.slice(1);
                setArg(key, defaultValue(key));
            }
            else if (arg === '--') {
                notFlags = args.slice(i + 1);
                break;
            }
            else if (configuration['halt-at-non-option']) {
                notFlags = args.slice(i);
                break;
            }
            else {
                pushPositional(arg);
            }
        }
        applyEnvVars(argv, true);
        applyEnvVars(argv, false);
        setConfig(argv);
        setConfigObjects();
        applyDefaultsAndAliases(argv, flags.aliases, defaults, true);
        applyCoercions(argv);
        if (configuration['set-placeholder-key'])
            setPlaceholderKeys(argv);
        Object.keys(flags.counts).forEach(function (key) {
            if (!hasKey(argv, key.split('.')))
                setArg(key, 0);
        });
        if (notFlagsOption && notFlags.length)
            argv[notFlagsArgv] = [];
        notFlags.forEach(function (key) {
            argv[notFlagsArgv].push(key);
        });
        if (configuration['camel-case-expansion'] && configuration['strip-dashed']) {
            Object.keys(argv).filter(key => key !== '--' && key.includes('-')).forEach(key => {
                delete argv[key];
            });
        }
        if (configuration['strip-aliased']) {
            [].concat(...Object.keys(aliases).map(k => aliases[k])).forEach(alias => {
                if (configuration['camel-case-expansion'] && alias.includes('-')) {
                    delete argv[alias.split('.').map(prop => camelCase(prop)).join('.')];
                }
                delete argv[alias];
            });
        }
        function pushPositional(arg) {
            const maybeCoercedNumber = maybeCoerceNumber('_', arg);
            if (typeof maybeCoercedNumber === 'string' || typeof maybeCoercedNumber === 'number') {
                argv._.push(maybeCoercedNumber);
            }
        }
        function eatNargs(i, key, args, argAfterEqualSign) {
            let ii;
            let toEat = checkAllAliases(key, flags.nargs);
            toEat = typeof toEat !== 'number' || isNaN(toEat) ? 1 : toEat;
            if (toEat === 0) {
                if (!isUndefined(argAfterEqualSign)) {
                    error = Error(__('Argument unexpected for: %s', key));
                }
                setArg(key, defaultValue(key));
                return i;
            }
            let available = isUndefined(argAfterEqualSign) ? 0 : 1;
            if (configuration['nargs-eats-options']) {
                if (args.length - (i + 1) + available < toEat) {
                    error = Error(__('Not enough arguments following: %s', key));
                }
                available = toEat;
            }
            else {
                for (ii = i + 1; ii < args.length; ii++) {
                    if (!args[ii].match(/^-[^0-9]/) || args[ii].match(negative) || isUnknownOptionAsArg(args[ii]))
                        available++;
                    else
                        break;
                }
                if (available < toEat)
                    error = Error(__('Not enough arguments following: %s', key));
            }
            let consumed = Math.min(available, toEat);
            if (!isUndefined(argAfterEqualSign) && consumed > 0) {
                setArg(key, argAfterEqualSign);
                consumed--;
            }
            for (ii = i + 1; ii < (consumed + i + 1); ii++) {
                setArg(key, args[ii]);
            }
            return (i + consumed);
        }
        function eatArray(i, key, args, argAfterEqualSign) {
            let argsToSet = [];
            let next = argAfterEqualSign || args[i + 1];
            const nargsCount = checkAllAliases(key, flags.nargs);
            if (checkAllAliases(key, flags.bools) && !(/^(true|false)$/.test(next))) {
                argsToSet.push(true);
            }
            else if (isUndefined(next) ||
                (isUndefined(argAfterEqualSign) && /^-/.test(next) && !negative.test(next) && !isUnknownOptionAsArg(next))) {
                if (defaults[key] !== undefined) {
                    const defVal = defaults[key];
                    argsToSet = Array.isArray(defVal) ? defVal : [defVal];
                }
            }
            else {
                if (!isUndefined(argAfterEqualSign)) {
                    argsToSet.push(processValue(key, argAfterEqualSign));
                }
                for (let ii = i + 1; ii < args.length; ii++) {
                    if ((!configuration['greedy-arrays'] && argsToSet.length > 0) ||
                        (nargsCount && typeof nargsCount === 'number' && argsToSet.length >= nargsCount))
                        break;
                    next = args[ii];
                    if (/^-/.test(next) && !negative.test(next) && !isUnknownOptionAsArg(next))
                        break;
                    i = ii;
                    argsToSet.push(processValue(key, next));
                }
            }
            if (typeof nargsCount === 'number' && ((nargsCount && argsToSet.length < nargsCount) ||
                (isNaN(nargsCount) && argsToSet.length === 0))) {
                error = Error(__('Not enough arguments following: %s', key));
            }
            setArg(key, argsToSet);
            return i;
        }
        function setArg(key, val) {
            if (/-/.test(key) && configuration['camel-case-expansion']) {
                const alias = key.split('.').map(function (prop) {
                    return camelCase(prop);
                }).join('.');
                addNewAlias(key, alias);
            }
            const value = processValue(key, val);
            const splitKey = key.split('.');
            setKey(argv, splitKey, value);
            if (flags.aliases[key]) {
                flags.aliases[key].forEach(function (x) {
                    const keyProperties = x.split('.');
                    setKey(argv, keyProperties, value);
                });
            }
            if (splitKey.length > 1 && configuration['dot-notation']) {
                (flags.aliases[splitKey[0]] || []).forEach(function (x) {
                    let keyProperties = x.split('.');
                    const a = [].concat(splitKey);
                    a.shift();
                    keyProperties = keyProperties.concat(a);
                    if (!(flags.aliases[key] || []).includes(keyProperties.join('.'))) {
                        setKey(argv, keyProperties, value);
                    }
                });
            }
            if (checkAllAliases(key, flags.normalize) && !checkAllAliases(key, flags.arrays)) {
                const keys = [key].concat(flags.aliases[key] || []);
                keys.forEach(function (key) {
                    Object.defineProperty(argvReturn, key, {
                        enumerable: true,
                        get() {
                            return val;
                        },
                        set(value) {
                            val = typeof value === 'string' ? mixin.normalize(value) : value;
                        }
                    });
                });
            }
        }
        function addNewAlias(key, alias) {
            if (!(flags.aliases[key] && flags.aliases[key].length)) {
                flags.aliases[key] = [alias];
                newAliases[alias] = true;
            }
            if (!(flags.aliases[alias] && flags.aliases[alias].length)) {
                addNewAlias(alias, key);
            }
        }
        function processValue(key, val) {
            if (typeof val === 'string' &&
                (val[0] === "'" || val[0] === '"') &&
                val[val.length - 1] === val[0]) {
                val = val.substring(1, val.length - 1);
            }
            if (checkAllAliases(key, flags.bools) || checkAllAliases(key, flags.counts)) {
                if (typeof val === 'string')
                    val = val === 'true';
            }
            let value = Array.isArray(val)
                ? val.map(function (v) { return maybeCoerceNumber(key, v); })
                : maybeCoerceNumber(key, val);
            if (checkAllAliases(key, flags.counts) && (isUndefined(value) || typeof value === 'boolean')) {
                value = increment();
            }
            if (checkAllAliases(key, flags.normalize) && checkAllAliases(key, flags.arrays)) {
                if (Array.isArray(val))
                    value = val.map((val) => { return mixin.normalize(val); });
                else
                    value = mixin.normalize(val);
            }
            return value;
        }
        function maybeCoerceNumber(key, value) {
            if (!configuration['parse-positional-numbers'] && key === '_')
                return value;
            if (!checkAllAliases(key, flags.strings) && !checkAllAliases(key, flags.bools) && !Array.isArray(value)) {
                const shouldCoerceNumber = looksLikeNumber(value) && configuration['parse-numbers'] && (Number.isSafeInteger(Math.floor(parseFloat(`${value}`))));
                if (shouldCoerceNumber || (!isUndefined(value) && checkAllAliases(key, flags.numbers))) {
                    value = Number(value);
                }
            }
            return value;
        }
        function setConfig(argv) {
            const configLookup = Object.create(null);
            applyDefaultsAndAliases(configLookup, flags.aliases, defaults);
            Object.keys(flags.configs).forEach(function (configKey) {
                const configPath = argv[configKey] || configLookup[configKey];
                if (configPath) {
                    try {
                        let config = null;
                        const resolvedConfigPath = mixin.resolve(mixin.cwd(), configPath);
                        const resolveConfig = flags.configs[configKey];
                        if (typeof resolveConfig === 'function') {
                            try {
                                config = resolveConfig(resolvedConfigPath);
                            }
                            catch (e) {
                                config = e;
                            }
                            if (config instanceof Error) {
                                error = config;
                                return;
                            }
                        }
                        else {
                            config = mixin.require(resolvedConfigPath);
                        }
                        setConfigObject(config);
                    }
                    catch (ex) {
                        if (ex.name === 'PermissionDenied')
                            error = ex;
                        else if (argv[configKey])
                            error = Error(__('Invalid JSON config file: %s', configPath));
                    }
                }
            });
        }
        function setConfigObject(config, prev) {
            Object.keys(config).forEach(function (key) {
                const value = config[key];
                const fullKey = prev ? prev + '.' + key : key;
                if (typeof value === 'object' && value !== null && !Array.isArray(value) && configuration['dot-notation']) {
                    setConfigObject(value, fullKey);
                }
                else {
                    if (!hasKey(argv, fullKey.split('.')) || (checkAllAliases(fullKey, flags.arrays) && configuration['combine-arrays'])) {
                        setArg(fullKey, value);
                    }
                }
            });
        }
        function setConfigObjects() {
            if (typeof configObjects !== 'undefined') {
                configObjects.forEach(function (configObject) {
                    setConfigObject(configObject);
                });
            }
        }
        function applyEnvVars(argv, configOnly) {
            if (typeof envPrefix === 'undefined')
                return;
            const prefix = typeof envPrefix === 'string' ? envPrefix : '';
            const env = mixin.env();
            Object.keys(env).forEach(function (envVar) {
                if (prefix === '' || envVar.lastIndexOf(prefix, 0) === 0) {
                    const keys = envVar.split('__').map(function (key, i) {
                        if (i === 0) {
                            key = key.substring(prefix.length);
                        }
                        return camelCase(key);
                    });
                    if (((configOnly && flags.configs[keys.join('.')]) || !configOnly) && !hasKey(argv, keys)) {
                        setArg(keys.join('.'), env[envVar]);
                    }
                }
            });
        }
        function applyCoercions(argv) {
            let coerce;
            const applied = new Set();
            Object.keys(argv).forEach(function (key) {
                if (!applied.has(key)) {
                    coerce = checkAllAliases(key, flags.coercions);
                    if (typeof coerce === 'function') {
                        try {
                            const value = maybeCoerceNumber(key, coerce(argv[key]));
                            ([].concat(flags.aliases[key] || [], key)).forEach(ali => {
                                applied.add(ali);
                                argv[ali] = value;
                            });
                        }
                        catch (err) {
                            error = err;
                        }
                    }
                }
            });
        }
        function setPlaceholderKeys(argv) {
            flags.keys.forEach((key) => {
                if (~key.indexOf('.'))
                    return;
                if (typeof argv[key] === 'undefined')
                    argv[key] = undefined;
            });
            return argv;
        }
        function applyDefaultsAndAliases(obj, aliases, defaults, canLog = false) {
            Object.keys(defaults).forEach(function (key) {
                if (!hasKey(obj, key.split('.'))) {
                    setKey(obj, key.split('.'), defaults[key]);
                    if (canLog)
                        defaulted[key] = true;
                    (aliases[key] || []).forEach(function (x) {
                        if (hasKey(obj, x.split('.')))
                            return;
                        setKey(obj, x.split('.'), defaults[key]);
                    });
                }
            });
        }
        function hasKey(obj, keys) {
            let o = obj;
            if (!configuration['dot-notation'])
                keys = [keys.join('.')];
            keys.slice(0, -1).forEach(function (key) {
                o = (o[key] || {});
            });
            const key = keys[keys.length - 1];
            if (typeof o !== 'object')
                return false;
            else
                return key in o;
        }
        function setKey(obj, keys, value) {
            let o = obj;
            if (!configuration['dot-notation'])
                keys = [keys.join('.')];
            keys.slice(0, -1).forEach(function (key) {
                key = sanitizeKey(key);
                if (typeof o === 'object' && o[key] === undefined) {
                    o[key] = {};
                }
                if (typeof o[key] !== 'object' || Array.isArray(o[key])) {
                    if (Array.isArray(o[key])) {
                        o[key].push({});
                    }
                    else {
                        o[key] = [o[key], {}];
                    }
                    o = o[key][o[key].length - 1];
                }
                else {
                    o = o[key];
                }
            });
            const key = sanitizeKey(keys[keys.length - 1]);
            const isTypeArray = checkAllAliases(keys.join('.'), flags.arrays);
            const isValueArray = Array.isArray(value);
            let duplicate = configuration['duplicate-arguments-array'];
            if (!duplicate && checkAllAliases(key, flags.nargs)) {
                duplicate = true;
                if ((!isUndefined(o[key]) && flags.nargs[key] === 1) || (Array.isArray(o[key]) && o[key].length === flags.nargs[key])) {
                    o[key] = undefined;
                }
            }
            if (value === increment()) {
                o[key] = increment(o[key]);
            }
            else if (Array.isArray(o[key])) {
                if (duplicate && isTypeArray && isValueArray) {
                    o[key] = configuration['flatten-duplicate-arrays'] ? o[key].concat(value) : (Array.isArray(o[key][0]) ? o[key] : [o[key]]).concat([value]);
                }
                else if (!duplicate && Boolean(isTypeArray) === Boolean(isValueArray)) {
                    o[key] = value;
                }
                else {
                    o[key] = o[key].concat([value]);
                }
            }
            else if (o[key] === undefined && isTypeArray) {
                o[key] = isValueArray ? value : [value];
            }
            else if (duplicate && !(o[key] === undefined ||
                checkAllAliases(key, flags.counts) ||
                checkAllAliases(key, flags.bools))) {
                o[key] = [o[key], value];
            }
            else {
                o[key] = value;
            }
        }
        function extendAliases(...args) {
            args.forEach(function (obj) {
                Object.keys(obj || {}).forEach(function (key) {
                    if (flags.aliases[key])
                        return;
                    flags.aliases[key] = [].concat(aliases[key] || []);
                    flags.aliases[key].concat(key).forEach(function (x) {
                        if (/-/.test(x) && configuration['camel-case-expansion']) {
                            const c = camelCase(x);
                            if (c !== key && flags.aliases[key].indexOf(c) === -1) {
                                flags.aliases[key].push(c);
                                newAliases[c] = true;
                            }
                        }
                    });
                    flags.aliases[key].concat(key).forEach(function (x) {
                        if (x.length > 1 && /[A-Z]/.test(x) && configuration['camel-case-expansion']) {
                            const c = decamelize(x, '-');
                            if (c !== key && flags.aliases[key].indexOf(c) === -1) {
                                flags.aliases[key].push(c);
                                newAliases[c] = true;
                            }
                        }
                    });
                    flags.aliases[key].forEach(function (x) {
                        flags.aliases[x] = [key].concat(flags.aliases[key].filter(function (y) {
                            return x !== y;
                        }));
                    });
                });
            });
        }
        function checkAllAliases(key, flag) {
            const toCheck = [].concat(flags.aliases[key] || [], key);
            const keys = Object.keys(flag);
            const setAlias = toCheck.find(key => keys.includes(key));
            return setAlias ? flag[setAlias] : false;
        }
        function hasAnyFlag(key) {
            const flagsKeys = Object.keys(flags);
            const toCheck = [].concat(flagsKeys.map(k => flags[k]));
            return toCheck.some(function (flag) {
                return Array.isArray(flag) ? flag.includes(key) : flag[key];
            });
        }
        function hasFlagsMatching(arg, ...patterns) {
            const toCheck = [].concat(...patterns);
            return toCheck.some(function (pattern) {
                const match = arg.match(pattern);
                return match && hasAnyFlag(match[1]);
            });
        }
        function hasAllShortFlags(arg) {
            if (arg.match(negative) || !arg.match(/^-[^-]+/)) {
                return false;
            }
            let hasAllFlags = true;
            let next;
            const letters = arg.slice(1).split('');
            for (let j = 0; j < letters.length; j++) {
                next = arg.slice(j + 2);
                if (!hasAnyFlag(letters[j])) {
                    hasAllFlags = false;
                    break;
                }
                if ((letters[j + 1] && letters[j + 1] === '=') ||
                    next === '-' ||
                    (/[A-Za-z]/.test(letters[j]) && /^-?\d+(\.\d*)?(e-?\d+)?$/.test(next)) ||
                    (letters[j + 1] && letters[j + 1].match(/\W/))) {
                    break;
                }
            }
            return hasAllFlags;
        }
        function isUnknownOptionAsArg(arg) {
            return configuration['unknown-options-as-args'] && isUnknownOption(arg);
        }
        function isUnknownOption(arg) {
            arg = arg.replace(/^-{3,}/, '--');
            if (arg.match(negative)) {
                return false;
            }
            if (hasAllShortFlags(arg)) {
                return false;
            }
            const flagWithEquals = /^-+([^=]+?)=[\s\S]*$/;
            const normalFlag = /^-+([^=]+?)$/;
            const flagEndingInHyphen = /^-+([^=]+?)-$/;
            const flagEndingInDigits = /^-+([^=]+?\d+)$/;
            const flagEndingInNonWordCharacters = /^-+([^=]+?)\W+.*$/;
            return !hasFlagsMatching(arg, flagWithEquals, negatedBoolean, normalFlag, flagEndingInHyphen, flagEndingInDigits, flagEndingInNonWordCharacters);
        }
        function defaultValue(key) {
            if (!checkAllAliases(key, flags.bools) &&
                !checkAllAliases(key, flags.counts) &&
                `${key}` in defaults) {
                return defaults[key];
            }
            else {
                return defaultForType(guessType(key));
            }
        }
        function defaultForType(type) {
            const def = {
                [DefaultValuesForTypeKey.BOOLEAN]: true,
                [DefaultValuesForTypeKey.STRING]: '',
                [DefaultValuesForTypeKey.NUMBER]: undefined,
                [DefaultValuesForTypeKey.ARRAY]: []
            };
            return def[type];
        }
        function guessType(key) {
            let type = DefaultValuesForTypeKey.BOOLEAN;
            if (checkAllAliases(key, flags.strings))
                type = DefaultValuesForTypeKey.STRING;
            else if (checkAllAliases(key, flags.numbers))
                type = DefaultValuesForTypeKey.NUMBER;
            else if (checkAllAliases(key, flags.bools))
                type = DefaultValuesForTypeKey.BOOLEAN;
            else if (checkAllAliases(key, flags.arrays))
                type = DefaultValuesForTypeKey.ARRAY;
            return type;
        }
        function isUndefined(num) {
            return num === undefined;
        }
        function checkConfiguration() {
            Object.keys(flags.counts).find(key => {
                if (checkAllAliases(key, flags.arrays)) {
                    error = Error(__('Invalid configuration: %s, opts.count excludes opts.array.', key));
                    return true;
                }
                else if (checkAllAliases(key, flags.nargs)) {
                    error = Error(__('Invalid configuration: %s, opts.count excludes opts.narg.', key));
                    return true;
                }
                return false;
            });
        }
        return {
            aliases: Object.assign({}, flags.aliases),
            argv: Object.assign(argvReturn, argv),
            configuration: configuration,
            defaulted: Object.assign({}, defaulted),
            error: error,
            newAliases: Object.assign({}, newAliases)
        };
    }
}
function combineAliases(aliases) {
    const aliasArrays = [];
    const combined = Object.create(null);
    let change = true;
    Object.keys(aliases).forEach(function (key) {
        aliasArrays.push([].concat(aliases[key], key));
    });
    while (change) {
        change = false;
        for (let i = 0; i < aliasArrays.length; i++) {
            for (let ii = i + 1; ii < aliasArrays.length; ii++) {
                const intersect = aliasArrays[i].filter(function (v) {
                    return aliasArrays[ii].indexOf(v) !== -1;
                });
                if (intersect.length) {
                    aliasArrays[i] = aliasArrays[i].concat(aliasArrays[ii]);
                    aliasArrays.splice(ii, 1);
                    change = true;
                    break;
                }
            }
        }
    }
    aliasArrays.forEach(function (aliasArray) {
        aliasArray = aliasArray.filter(function (v, i, self) {
            return self.indexOf(v) === i;
        });
        const lastAlias = aliasArray.pop();
        if (lastAlias !== undefined && typeof lastAlias === 'string') {
            combined[lastAlias] = aliasArray;
        }
    });
    return combined;
}
function increment(orig) {
    return orig !== undefined ? orig + 1 : 1;
}
function sanitizeKey(key) {
    if (key === '__proto__')
        return '___proto___';
    return key;
}

const minNodeVersion = (process && process.env && process.env.YARGS_MIN_NODE_VERSION)
    ? Number(process.env.YARGS_MIN_NODE_VERSION)
    : 10;
if (process && process.version) {
    const major = Number(process.version.match(/v([^.]+)/)[1]);
    if (major < minNodeVersion) {
        throw Error(`yargs parser supports a minimum Node.js version of ${minNodeVersion}. Read our version support policy: https://github.com/yargs/yargs-parser#supported-nodejs-versions`);
    }
}
const env = process ? process.env : {};
const parser = new YargsParser({
    cwd: process.cwd,
    env: () => {
        return env;
    },
    format: util.format,
    normalize: path.normalize,
    resolve: path.resolve,
    require: (path) => {
        if (true) {
            return __nccwpck_require__(35670)(path);
        }
        else {}
    }
});
const yargsParser = function Parser(args, opts) {
    const result = parser.parse(args.slice(), opts);
    return result.argv;
};
yargsParser.detailed = function (args, opts) {
    return parser.parse(args.slice(), opts);
};
yargsParser.camelCase = camelCase;
yargsParser.decamelize = decamelize;
yargsParser.looksLikeNumber = looksLikeNumber;

module.exports = yargsParser;


/***/ }),

/***/ 42131:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"topLevel":{"dependancies":"dependencies","dependecies":"dependencies","depdenencies":"dependencies","devEependencies":"devDependencies","depends":"dependencies","dev-dependencies":"devDependencies","devDependences":"devDependencies","devDepenencies":"devDependencies","devdependencies":"devDependencies","repostitory":"repository","repo":"repository","prefereGlobal":"preferGlobal","hompage":"homepage","hampage":"homepage","autohr":"author","autor":"author","contributers":"contributors","publicationConfig":"publishConfig","script":"scripts"},"bugs":{"web":"url","name":"url"},"script":{"server":"start","tests":"test"}}');

/***/ }),

/***/ 58766:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"repositories":"\'repositories\' (plural) Not supported. Please pick one as the \'repository\' field","missingRepository":"No repository field.","brokenGitUrl":"Probably broken git url: %s","nonObjectScripts":"scripts must be an object","nonStringScript":"script values must be string commands","nonArrayFiles":"Invalid \'files\' member","invalidFilename":"Invalid filename in \'files\' list: %s","nonArrayBundleDependencies":"Invalid \'bundleDependencies\' list. Must be array of package names","nonStringBundleDependency":"Invalid bundleDependencies member: %s","nonDependencyBundleDependency":"Non-dependency in bundleDependencies: %s","nonObjectDependencies":"%s field must be an object","nonStringDependency":"Invalid dependency: %s %s","deprecatedArrayDependencies":"specifying %s as array is deprecated","deprecatedModules":"modules field is deprecated","nonArrayKeywords":"keywords should be an array of strings","nonStringKeyword":"keywords should be an array of strings","conflictingName":"%s is also the name of a node core module.","nonStringDescription":"\'description\' field should be a string","missingDescription":"No description","missingReadme":"No README data","missingLicense":"No license field.","nonEmailUrlBugsString":"Bug string field must be url, email, or {email,url}","nonUrlBugsUrlField":"bugs.url field must be a string url. Deleted.","nonEmailBugsEmailField":"bugs.email field must be a string email. Deleted.","emptyNormalizedBugs":"Normalized value of bugs field is an empty object. Deleted.","nonUrlHomepage":"homepage field must be a string url. Deleted.","invalidLicense":"license should be a valid SPDX license expression","typo":"%s should probably be %s."}');

/***/ }),

/***/ 73883:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"topLevel":{"dependancies":"dependencies","dependecies":"dependencies","depdenencies":"dependencies","devEependencies":"devDependencies","depends":"dependencies","dev-dependencies":"devDependencies","devDependences":"devDependencies","devDepenencies":"devDependencies","devdependencies":"devDependencies","repostitory":"repository","repo":"repository","prefereGlobal":"preferGlobal","hompage":"homepage","hampage":"homepage","autohr":"author","autor":"author","contributers":"contributors","publicationConfig":"publishConfig","script":"scripts"},"bugs":{"web":"url","name":"url"},"script":{"server":"start","tests":"test"}}');

/***/ }),

/***/ 6437:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"repositories":"\'repositories\' (plural) Not supported. Please pick one as the \'repository\' field","missingRepository":"No repository field.","brokenGitUrl":"Probably broken git url: %s","nonObjectScripts":"scripts must be an object","nonStringScript":"script values must be string commands","nonArrayFiles":"Invalid \'files\' member","invalidFilename":"Invalid filename in \'files\' list: %s","nonArrayBundleDependencies":"Invalid \'bundleDependencies\' list. Must be array of package names","nonStringBundleDependency":"Invalid bundleDependencies member: %s","nonDependencyBundleDependency":"Non-dependency in bundleDependencies: %s","nonObjectDependencies":"%s field must be an object","nonStringDependency":"Invalid dependency: %s %s","deprecatedArrayDependencies":"specifying %s as array is deprecated","deprecatedModules":"modules field is deprecated","nonArrayKeywords":"keywords should be an array of strings","nonStringKeyword":"keywords should be an array of strings","conflictingName":"%s is also the name of a node core module.","nonStringDescription":"\'description\' field should be a string","missingDescription":"No description","missingReadme":"No README data","missingLicense":"No license field.","nonEmailUrlBugsString":"Bug string field must be url, email, or {email,url}","nonUrlBugsUrlField":"bugs.url field must be a string url. Deleted.","nonEmailBugsEmailField":"bugs.email field must be a string email. Deleted.","emptyNormalizedBugs":"Normalized value of bugs field is an empty object. Deleted.","nonUrlHomepage":"homepage field must be a string url. Deleted.","invalidLicense":"license should be a valid SPDX license expression","typo":"%s should probably be %s."}');

/***/ }),

/***/ 99161:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-05-31","endpointPrefix":"mgh","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Migration Hub","serviceId":"Migration Hub","signatureVersion":"v4","targetPrefix":"AWSMigrationHub","uid":"AWSMigrationHub-2017-05-31"},"operations":{"AssociateCreatedArtifact":{"input":{"type":"structure","required":["ProgressUpdateStream","MigrationTaskName","CreatedArtifact"],"members":{"ProgressUpdateStream":{},"MigrationTaskName":{},"CreatedArtifact":{"shape":"S4"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"AssociateDiscoveredResource":{"input":{"type":"structure","required":["ProgressUpdateStream","MigrationTaskName","DiscoveredResource"],"members":{"ProgressUpdateStream":{},"MigrationTaskName":{},"DiscoveredResource":{"shape":"Sa"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"CreateProgressUpdateStream":{"input":{"type":"structure","required":["ProgressUpdateStreamName"],"members":{"ProgressUpdateStreamName":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeleteProgressUpdateStream":{"input":{"type":"structure","required":["ProgressUpdateStreamName"],"members":{"ProgressUpdateStreamName":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DescribeApplicationState":{"input":{"type":"structure","required":["ApplicationId"],"members":{"ApplicationId":{}}},"output":{"type":"structure","members":{"ApplicationStatus":{},"LastUpdatedTime":{"type":"timestamp"}}}},"DescribeMigrationTask":{"input":{"type":"structure","required":["ProgressUpdateStream","MigrationTaskName"],"members":{"ProgressUpdateStream":{},"MigrationTaskName":{}}},"output":{"type":"structure","members":{"MigrationTask":{"type":"structure","members":{"ProgressUpdateStream":{},"MigrationTaskName":{},"Task":{"shape":"Sq"},"UpdateDateTime":{"type":"timestamp"},"ResourceAttributeList":{"type":"list","member":{"shape":"Sv"}}}}}}},"DisassociateCreatedArtifact":{"input":{"type":"structure","required":["ProgressUpdateStream","MigrationTaskName","CreatedArtifactName"],"members":{"ProgressUpdateStream":{},"MigrationTaskName":{},"CreatedArtifactName":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DisassociateDiscoveredResource":{"input":{"type":"structure","required":["ProgressUpdateStream","MigrationTaskName","ConfigurationId"],"members":{"ProgressUpdateStream":{},"MigrationTaskName":{},"ConfigurationId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"ImportMigrationTask":{"input":{"type":"structure","required":["ProgressUpdateStream","MigrationTaskName"],"members":{"ProgressUpdateStream":{},"MigrationTaskName":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"ListApplicationStates":{"input":{"type":"structure","members":{"ApplicationIds":{"type":"list","member":{}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ApplicationStateList":{"type":"list","member":{"type":"structure","members":{"ApplicationId":{},"ApplicationStatus":{},"LastUpdatedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListCreatedArtifacts":{"input":{"type":"structure","required":["ProgressUpdateStream","MigrationTaskName"],"members":{"ProgressUpdateStream":{},"MigrationTaskName":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"CreatedArtifactList":{"type":"list","member":{"shape":"S4"}}}}},"ListDiscoveredResources":{"input":{"type":"structure","required":["ProgressUpdateStream","MigrationTaskName"],"members":{"ProgressUpdateStream":{},"MigrationTaskName":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"DiscoveredResourceList":{"type":"list","member":{"shape":"Sa"}}}}},"ListMigrationTasks":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"ResourceName":{}}},"output":{"type":"structure","members":{"NextToken":{},"MigrationTaskSummaryList":{"type":"list","member":{"type":"structure","members":{"ProgressUpdateStream":{},"MigrationTaskName":{},"Status":{},"ProgressPercent":{"type":"integer"},"StatusDetail":{},"UpdateDateTime":{"type":"timestamp"}}}}}}},"ListProgressUpdateStreams":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ProgressUpdateStreamSummaryList":{"type":"list","member":{"type":"structure","members":{"ProgressUpdateStreamName":{}}}},"NextToken":{}}}},"NotifyApplicationState":{"input":{"type":"structure","required":["ApplicationId","Status"],"members":{"ApplicationId":{},"Status":{},"UpdateDateTime":{"type":"timestamp"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"NotifyMigrationTaskState":{"input":{"type":"structure","required":["ProgressUpdateStream","MigrationTaskName","Task","UpdateDateTime","NextUpdateSeconds"],"members":{"ProgressUpdateStream":{},"MigrationTaskName":{},"Task":{"shape":"Sq"},"UpdateDateTime":{"type":"timestamp"},"NextUpdateSeconds":{"type":"integer"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutResourceAttributes":{"input":{"type":"structure","required":["ProgressUpdateStream","MigrationTaskName","ResourceAttributeList"],"members":{"ProgressUpdateStream":{},"MigrationTaskName":{},"ResourceAttributeList":{"type":"list","member":{"shape":"Sv"}},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S4":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{}}},"Sa":{"type":"structure","required":["ConfigurationId"],"members":{"ConfigurationId":{},"Description":{}}},"Sq":{"type":"structure","required":["Status"],"members":{"Status":{},"StatusDetail":{},"ProgressPercent":{"type":"integer"}}},"Sv":{"type":"structure","required":["Type","Value"],"members":{"Type":{},"Value":{}}}}}');

/***/ }),

/***/ 27903:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListApplicationStates":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ApplicationStateList"},"ListCreatedArtifacts":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"CreatedArtifactList"},"ListDiscoveredResources":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DiscoveredResourceList"},"ListMigrationTasks":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"MigrationTaskSummaryList"},"ListProgressUpdateStreams":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ProgressUpdateStreamSummaryList"}}}');

/***/ }),

/***/ 30590:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-11-01","endpointPrefix":"access-analyzer","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Access Analyzer","serviceId":"AccessAnalyzer","signatureVersion":"v4","signingName":"access-analyzer","uid":"accessanalyzer-2019-11-01"},"operations":{"ApplyArchiveRule":{"http":{"method":"PUT","requestUri":"/archive-rule","responseCode":200},"input":{"type":"structure","required":["analyzerArn","ruleName"],"members":{"analyzerArn":{},"clientToken":{"idempotencyToken":true},"ruleName":{}}},"idempotent":true},"CancelPolicyGeneration":{"http":{"method":"PUT","requestUri":"/policy/generation/{jobId}","responseCode":200},"input":{"type":"structure","required":["jobId"],"members":{"jobId":{"location":"uri","locationName":"jobId"}}},"output":{"type":"structure","members":{}},"idempotent":true},"CreateAccessPreview":{"http":{"method":"PUT","requestUri":"/access-preview","responseCode":200},"input":{"type":"structure","required":["analyzerArn","configurations"],"members":{"analyzerArn":{},"clientToken":{"idempotencyToken":true},"configurations":{"shape":"S9"}}},"output":{"type":"structure","required":["id"],"members":{"id":{}}},"idempotent":true},"CreateAnalyzer":{"http":{"method":"PUT","requestUri":"/analyzer","responseCode":200},"input":{"type":"structure","required":["analyzerName","type"],"members":{"analyzerName":{},"archiveRules":{"type":"list","member":{"type":"structure","required":["filter","ruleName"],"members":{"filter":{"shape":"S1l"},"ruleName":{}}}},"clientToken":{"idempotencyToken":true},"tags":{"shape":"S1o"},"type":{}}},"output":{"type":"structure","members":{"arn":{}}},"idempotent":true},"CreateArchiveRule":{"http":{"method":"PUT","requestUri":"/analyzer/{analyzerName}/archive-rule","responseCode":200},"input":{"type":"structure","required":["analyzerName","filter","ruleName"],"members":{"analyzerName":{"location":"uri","locationName":"analyzerName"},"clientToken":{"idempotencyToken":true},"filter":{"shape":"S1l"},"ruleName":{}}},"idempotent":true},"DeleteAnalyzer":{"http":{"method":"DELETE","requestUri":"/analyzer/{analyzerName}","responseCode":200},"input":{"type":"structure","required":["analyzerName"],"members":{"analyzerName":{"location":"uri","locationName":"analyzerName"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"}}},"idempotent":true},"DeleteArchiveRule":{"http":{"method":"DELETE","requestUri":"/analyzer/{analyzerName}/archive-rule/{ruleName}","responseCode":200},"input":{"type":"structure","required":["analyzerName","ruleName"],"members":{"analyzerName":{"location":"uri","locationName":"analyzerName"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"},"ruleName":{"location":"uri","locationName":"ruleName"}}},"idempotent":true},"GetAccessPreview":{"http":{"method":"GET","requestUri":"/access-preview/{accessPreviewId}","responseCode":200},"input":{"type":"structure","required":["accessPreviewId","analyzerArn"],"members":{"accessPreviewId":{"location":"uri","locationName":"accessPreviewId"},"analyzerArn":{"location":"querystring","locationName":"analyzerArn"}}},"output":{"type":"structure","required":["accessPreview"],"members":{"accessPreview":{"type":"structure","required":["analyzerArn","configurations","createdAt","id","status"],"members":{"analyzerArn":{},"configurations":{"shape":"S9"},"createdAt":{"shape":"S1x"},"id":{},"status":{},"statusReason":{"shape":"S1z"}}}}}},"GetAnalyzedResource":{"http":{"method":"GET","requestUri":"/analyzed-resource","responseCode":200},"input":{"type":"structure","required":["analyzerArn","resourceArn"],"members":{"analyzerArn":{"location":"querystring","locationName":"analyzerArn"},"resourceArn":{"location":"querystring","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"resource":{"type":"structure","required":["analyzedAt","createdAt","isPublic","resourceArn","resourceOwnerAccount","resourceType","updatedAt"],"members":{"actions":{"shape":"S25"},"analyzedAt":{"shape":"S1x"},"createdAt":{"shape":"S1x"},"error":{},"isPublic":{"type":"boolean"},"resourceArn":{},"resourceOwnerAccount":{},"resourceType":{},"sharedVia":{"type":"list","member":{}},"status":{},"updatedAt":{"shape":"S1x"}}}}}},"GetAnalyzer":{"http":{"method":"GET","requestUri":"/analyzer/{analyzerName}","responseCode":200},"input":{"type":"structure","required":["analyzerName"],"members":{"analyzerName":{"location":"uri","locationName":"analyzerName"}}},"output":{"type":"structure","required":["analyzer"],"members":{"analyzer":{"shape":"S2b"}}}},"GetArchiveRule":{"http":{"method":"GET","requestUri":"/analyzer/{analyzerName}/archive-rule/{ruleName}","responseCode":200},"input":{"type":"structure","required":["analyzerName","ruleName"],"members":{"analyzerName":{"location":"uri","locationName":"analyzerName"},"ruleName":{"location":"uri","locationName":"ruleName"}}},"output":{"type":"structure","required":["archiveRule"],"members":{"archiveRule":{"shape":"S2h"}}}},"GetFinding":{"http":{"method":"GET","requestUri":"/finding/{id}","responseCode":200},"input":{"type":"structure","required":["analyzerArn","id"],"members":{"analyzerArn":{"location":"querystring","locationName":"analyzerArn"},"id":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"finding":{"type":"structure","required":["analyzedAt","condition","createdAt","id","resourceOwnerAccount","resourceType","status","updatedAt"],"members":{"action":{"shape":"S25"},"analyzedAt":{"shape":"S1x"},"condition":{"shape":"S2m"},"createdAt":{"shape":"S1x"},"error":{},"id":{},"isPublic":{"type":"boolean"},"principal":{"shape":"S2n"},"resource":{},"resourceOwnerAccount":{},"resourceType":{},"sources":{"shape":"S2o"},"status":{},"updatedAt":{"shape":"S1x"}}}}}},"GetGeneratedPolicy":{"http":{"method":"GET","requestUri":"/policy/generation/{jobId}","responseCode":200},"input":{"type":"structure","required":["jobId"],"members":{"includeResourcePlaceholders":{"location":"querystring","locationName":"includeResourcePlaceholders","type":"boolean"},"includeServiceLevelTemplate":{"location":"querystring","locationName":"includeServiceLevelTemplate","type":"boolean"},"jobId":{"location":"uri","locationName":"jobId"}}},"output":{"type":"structure","required":["generatedPolicyResult","jobDetails"],"members":{"generatedPolicyResult":{"type":"structure","required":["properties"],"members":{"generatedPolicies":{"type":"list","member":{"type":"structure","required":["policy"],"members":{"policy":{}}}},"properties":{"type":"structure","required":["principalArn"],"members":{"cloudTrailProperties":{"type":"structure","required":["endTime","startTime","trailProperties"],"members":{"endTime":{"shape":"S1x"},"startTime":{"shape":"S1x"},"trailProperties":{"type":"list","member":{"type":"structure","required":["cloudTrailArn"],"members":{"allRegions":{"type":"boolean"},"cloudTrailArn":{},"regions":{"shape":"S32"}}}}}},"isComplete":{"type":"boolean"},"principalArn":{}}}}},"jobDetails":{"type":"structure","required":["jobId","startedOn","status"],"members":{"completedOn":{"shape":"S1x"},"jobError":{"type":"structure","required":["code","message"],"members":{"code":{},"message":{}}},"jobId":{},"startedOn":{"shape":"S1x"},"status":{}}}}}},"ListAccessPreviewFindings":{"http":{"requestUri":"/access-preview/{accessPreviewId}","responseCode":200},"input":{"type":"structure","required":["accessPreviewId","analyzerArn"],"members":{"accessPreviewId":{"location":"uri","locationName":"accessPreviewId"},"analyzerArn":{},"filter":{"shape":"S1l"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["findings"],"members":{"findings":{"type":"list","member":{"type":"structure","required":["changeType","createdAt","id","resourceOwnerAccount","resourceType","status"],"members":{"action":{"shape":"S25"},"changeType":{},"condition":{"shape":"S2m"},"createdAt":{"shape":"S1x"},"error":{},"existingFindingId":{},"existingFindingStatus":{},"id":{},"isPublic":{"type":"boolean"},"principal":{"shape":"S2n"},"resource":{},"resourceOwnerAccount":{},"resourceType":{},"sources":{"shape":"S2o"},"status":{}}}},"nextToken":{}}}},"ListAccessPreviews":{"http":{"method":"GET","requestUri":"/access-preview","responseCode":200},"input":{"type":"structure","required":["analyzerArn"],"members":{"analyzerArn":{"location":"querystring","locationName":"analyzerArn"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["accessPreviews"],"members":{"accessPreviews":{"type":"list","member":{"type":"structure","required":["analyzerArn","createdAt","id","status"],"members":{"analyzerArn":{},"createdAt":{"shape":"S1x"},"id":{},"status":{},"statusReason":{"shape":"S1z"}}}},"nextToken":{}}}},"ListAnalyzedResources":{"http":{"requestUri":"/analyzed-resource","responseCode":200},"input":{"type":"structure","required":["analyzerArn"],"members":{"analyzerArn":{},"maxResults":{"type":"integer"},"nextToken":{},"resourceType":{}}},"output":{"type":"structure","required":["analyzedResources"],"members":{"analyzedResources":{"type":"list","member":{"type":"structure","required":["resourceArn","resourceOwnerAccount","resourceType"],"members":{"resourceArn":{},"resourceOwnerAccount":{},"resourceType":{}}}},"nextToken":{}}}},"ListAnalyzers":{"http":{"method":"GET","requestUri":"/analyzer","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"type":{"location":"querystring","locationName":"type"}}},"output":{"type":"structure","required":["analyzers"],"members":{"analyzers":{"type":"list","member":{"shape":"S2b"}},"nextToken":{}}}},"ListArchiveRules":{"http":{"method":"GET","requestUri":"/analyzer/{analyzerName}/archive-rule","responseCode":200},"input":{"type":"structure","required":["analyzerName"],"members":{"analyzerName":{"location":"uri","locationName":"analyzerName"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["archiveRules"],"members":{"archiveRules":{"type":"list","member":{"shape":"S2h"}},"nextToken":{}}}},"ListFindings":{"http":{"requestUri":"/finding","responseCode":200},"input":{"type":"structure","required":["analyzerArn"],"members":{"analyzerArn":{},"filter":{"shape":"S1l"},"maxResults":{"type":"integer"},"nextToken":{},"sort":{"type":"structure","members":{"attributeName":{},"orderBy":{}}}}},"output":{"type":"structure","required":["findings"],"members":{"findings":{"type":"list","member":{"type":"structure","required":["analyzedAt","condition","createdAt","id","resourceOwnerAccount","resourceType","status","updatedAt"],"members":{"action":{"shape":"S25"},"analyzedAt":{"shape":"S1x"},"condition":{"shape":"S2m"},"createdAt":{"shape":"S1x"},"error":{},"id":{},"isPublic":{"type":"boolean"},"principal":{"shape":"S2n"},"resource":{},"resourceOwnerAccount":{},"resourceType":{},"sources":{"shape":"S2o"},"status":{},"updatedAt":{"shape":"S1x"}}}},"nextToken":{}}}},"ListPolicyGenerations":{"http":{"method":"GET","requestUri":"/policy/generation","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"principalArn":{"location":"querystring","locationName":"principalArn"}}},"output":{"type":"structure","required":["policyGenerations"],"members":{"nextToken":{},"policyGenerations":{"type":"list","member":{"type":"structure","required":["jobId","principalArn","startedOn","status"],"members":{"completedOn":{"shape":"S1x"},"jobId":{},"principalArn":{},"startedOn":{"shape":"S1x"},"status":{}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S1o"}}}},"StartPolicyGeneration":{"http":{"method":"PUT","requestUri":"/policy/generation","responseCode":200},"input":{"type":"structure","required":["policyGenerationDetails"],"members":{"clientToken":{"idempotencyToken":true},"cloudTrailDetails":{"type":"structure","required":["accessRole","startTime","trails"],"members":{"accessRole":{},"endTime":{"shape":"S1x"},"startTime":{"shape":"S1x"},"trails":{"type":"list","member":{"type":"structure","required":["cloudTrailArn"],"members":{"allRegions":{"type":"boolean"},"cloudTrailArn":{},"regions":{"shape":"S32"}}}}}},"policyGenerationDetails":{"type":"structure","required":["principalArn"],"members":{"principalArn":{}}}}},"output":{"type":"structure","required":["jobId"],"members":{"jobId":{}}},"idempotent":true},"StartResourceScan":{"http":{"requestUri":"/resource/scan","responseCode":200},"input":{"type":"structure","required":["analyzerArn","resourceArn"],"members":{"analyzerArn":{},"resourceArn":{}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S1o"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateArchiveRule":{"http":{"method":"PUT","requestUri":"/analyzer/{analyzerName}/archive-rule/{ruleName}","responseCode":200},"input":{"type":"structure","required":["analyzerName","filter","ruleName"],"members":{"analyzerName":{"location":"uri","locationName":"analyzerName"},"clientToken":{"idempotencyToken":true},"filter":{"shape":"S1l"},"ruleName":{"location":"uri","locationName":"ruleName"}}},"idempotent":true},"UpdateFindings":{"http":{"method":"PUT","requestUri":"/finding","responseCode":200},"input":{"type":"structure","required":["analyzerArn","status"],"members":{"analyzerArn":{},"clientToken":{"idempotencyToken":true},"ids":{"type":"list","member":{}},"resourceArn":{},"status":{}}},"idempotent":true},"ValidatePolicy":{"http":{"requestUri":"/policy/validation","responseCode":200},"input":{"type":"structure","required":["policyDocument","policyType"],"members":{"locale":{},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"policyDocument":{},"policyType":{},"validatePolicyResourceType":{}}},"output":{"type":"structure","required":["findings"],"members":{"findings":{"type":"list","member":{"type":"structure","required":["findingDetails","findingType","issueCode","learnMoreLink","locations"],"members":{"findingDetails":{},"findingType":{},"issueCode":{},"learnMoreLink":{},"locations":{"type":"list","member":{"type":"structure","required":["path","span"],"members":{"path":{"type":"list","member":{"type":"structure","members":{"index":{"type":"integer"},"key":{},"substring":{"type":"structure","required":["length","start"],"members":{"length":{"type":"integer"},"start":{"type":"integer"}}},"value":{}},"union":true}},"span":{"type":"structure","required":["end","start"],"members":{"end":{"shape":"S55"},"start":{"shape":"S55"}}}}}}}}},"nextToken":{}}}}},"shapes":{"S9":{"type":"map","key":{},"value":{"type":"structure","members":{"iamRole":{"type":"structure","members":{"trustPolicy":{}}},"kmsKey":{"type":"structure","members":{"grants":{"type":"list","member":{"type":"structure","required":["granteePrincipal","issuingAccount","operations"],"members":{"constraints":{"type":"structure","members":{"encryptionContextEquals":{"shape":"Si"},"encryptionContextSubset":{"shape":"Si"}}},"granteePrincipal":{},"issuingAccount":{},"operations":{"type":"list","member":{}},"retiringPrincipal":{}}}},"keyPolicies":{"type":"map","key":{},"value":{}}}},"s3Bucket":{"type":"structure","members":{"accessPoints":{"type":"map","key":{},"value":{"type":"structure","members":{"accessPointPolicy":{},"networkOrigin":{"type":"structure","members":{"internetConfiguration":{"type":"structure","members":{}},"vpcConfiguration":{"type":"structure","required":["vpcId"],"members":{"vpcId":{}}}},"union":true},"publicAccessBlock":{"shape":"S12"}}}},"bucketAclGrants":{"type":"list","member":{"type":"structure","required":["grantee","permission"],"members":{"grantee":{"type":"structure","members":{"id":{},"uri":{}},"union":true},"permission":{}}}},"bucketPolicy":{},"bucketPublicAccessBlock":{"shape":"S12"}}},"secretsManagerSecret":{"type":"structure","members":{"kmsKeyId":{},"secretPolicy":{}}},"sqsQueue":{"type":"structure","members":{"queuePolicy":{}}}},"union":true}},"Si":{"type":"map","key":{},"value":{}},"S12":{"type":"structure","required":["ignorePublicAcls","restrictPublicBuckets"],"members":{"ignorePublicAcls":{"type":"boolean"},"restrictPublicBuckets":{"type":"boolean"}}},"S1l":{"type":"map","key":{},"value":{"type":"structure","members":{"contains":{"shape":"S1n"},"eq":{"shape":"S1n"},"exists":{"type":"boolean"},"neq":{"shape":"S1n"}}}},"S1n":{"type":"list","member":{}},"S1o":{"type":"map","key":{},"value":{}},"S1x":{"type":"timestamp","timestampFormat":"iso8601"},"S1z":{"type":"structure","required":["code"],"members":{"code":{}}},"S25":{"type":"list","member":{}},"S2b":{"type":"structure","required":["arn","createdAt","name","status","type"],"members":{"arn":{},"createdAt":{"shape":"S1x"},"lastResourceAnalyzed":{},"lastResourceAnalyzedAt":{"shape":"S1x"},"name":{},"status":{},"statusReason":{"type":"structure","required":["code"],"members":{"code":{}}},"tags":{"shape":"S1o"},"type":{}}},"S2h":{"type":"structure","required":["createdAt","filter","ruleName","updatedAt"],"members":{"createdAt":{"shape":"S1x"},"filter":{"shape":"S1l"},"ruleName":{},"updatedAt":{"shape":"S1x"}}},"S2m":{"type":"map","key":{},"value":{}},"S2n":{"type":"map","key":{},"value":{}},"S2o":{"type":"list","member":{"type":"structure","required":["type"],"members":{"detail":{"type":"structure","members":{"accessPointArn":{}}},"type":{}}}},"S32":{"type":"list","member":{}},"S55":{"type":"structure","required":["column","line","offset"],"members":{"column":{"type":"integer"},"line":{"type":"integer"},"offset":{"type":"integer"}}}}}');

/***/ }),

/***/ 63080:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAccessPreviewFindings":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"findings"},"ListAccessPreviews":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"accessPreviews"},"ListAnalyzedResources":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"analyzedResources"},"ListAnalyzers":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"analyzers"},"ListArchiveRules":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"archiveRules"},"ListFindings":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"findings"},"ListPolicyGenerations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"policyGenerations"},"ValidatePolicy":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"findings"}}}');

/***/ }),

/***/ 36713:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-02-01","endpointPrefix":"account","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS Account","serviceId":"Account","signatureVersion":"v4","signingName":"account","uid":"account-2021-02-01"},"operations":{"DeleteAlternateContact":{"http":{"requestUri":"/deleteAlternateContact","responseCode":200},"input":{"type":"structure","required":["AlternateContactType"],"members":{"AccountId":{},"AlternateContactType":{}}},"idempotent":true},"GetAlternateContact":{"http":{"requestUri":"/getAlternateContact","responseCode":200},"input":{"type":"structure","required":["AlternateContactType"],"members":{"AccountId":{},"AlternateContactType":{}}},"output":{"type":"structure","members":{"AlternateContact":{"type":"structure","members":{"AlternateContactType":{},"EmailAddress":{"shape":"S7"},"Name":{"shape":"S8"},"PhoneNumber":{"shape":"S9"},"Title":{"shape":"Sa"}}}}}},"PutAlternateContact":{"http":{"requestUri":"/putAlternateContact","responseCode":200},"input":{"type":"structure","required":["AlternateContactType","EmailAddress","Name","PhoneNumber","Title"],"members":{"AccountId":{},"AlternateContactType":{},"EmailAddress":{"shape":"S7"},"Name":{"shape":"S8"},"PhoneNumber":{"shape":"S9"},"Title":{"shape":"Sa"}}},"idempotent":true}},"shapes":{"S7":{"type":"string","sensitive":true},"S8":{"type":"string","sensitive":true},"S9":{"type":"string","sensitive":true},"Sa":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 52324:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 34662:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-12-08","endpointPrefix":"acm","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"ACM","serviceFullName":"AWS Certificate Manager","serviceId":"ACM","signatureVersion":"v4","targetPrefix":"CertificateManager","uid":"acm-2015-12-08"},"operations":{"AddTagsToCertificate":{"input":{"type":"structure","required":["CertificateArn","Tags"],"members":{"CertificateArn":{},"Tags":{"shape":"S3"}}}},"DeleteCertificate":{"input":{"type":"structure","required":["CertificateArn"],"members":{"CertificateArn":{}}}},"DescribeCertificate":{"input":{"type":"structure","required":["CertificateArn"],"members":{"CertificateArn":{}}},"output":{"type":"structure","members":{"Certificate":{"type":"structure","members":{"CertificateArn":{},"DomainName":{},"SubjectAlternativeNames":{"shape":"Sc"},"DomainValidationOptions":{"shape":"Sd"},"Serial":{},"Subject":{},"Issuer":{},"CreatedAt":{"type":"timestamp"},"IssuedAt":{"type":"timestamp"},"ImportedAt":{"type":"timestamp"},"Status":{},"RevokedAt":{"type":"timestamp"},"RevocationReason":{},"NotBefore":{"type":"timestamp"},"NotAfter":{"type":"timestamp"},"KeyAlgorithm":{},"SignatureAlgorithm":{},"InUseBy":{"type":"list","member":{}},"FailureReason":{},"Type":{},"RenewalSummary":{"type":"structure","required":["RenewalStatus","DomainValidationOptions","UpdatedAt"],"members":{"RenewalStatus":{},"DomainValidationOptions":{"shape":"Sd"},"RenewalStatusReason":{},"UpdatedAt":{"type":"timestamp"}}},"KeyUsages":{"type":"list","member":{"type":"structure","members":{"Name":{}}}},"ExtendedKeyUsages":{"type":"list","member":{"type":"structure","members":{"Name":{},"OID":{}}}},"CertificateAuthorityArn":{},"RenewalEligibility":{},"Options":{"shape":"S11"}}}}}},"ExportCertificate":{"input":{"type":"structure","required":["CertificateArn","Passphrase"],"members":{"CertificateArn":{},"Passphrase":{"type":"blob","sensitive":true}}},"output":{"type":"structure","members":{"Certificate":{},"CertificateChain":{},"PrivateKey":{"type":"string","sensitive":true}}}},"GetAccountConfiguration":{"output":{"type":"structure","members":{"ExpiryEvents":{"shape":"S1a"}}}},"GetCertificate":{"input":{"type":"structure","required":["CertificateArn"],"members":{"CertificateArn":{}}},"output":{"type":"structure","members":{"Certificate":{},"CertificateChain":{}}}},"ImportCertificate":{"input":{"type":"structure","required":["Certificate","PrivateKey"],"members":{"CertificateArn":{},"Certificate":{"type":"blob"},"PrivateKey":{"type":"blob","sensitive":true},"CertificateChain":{"type":"blob"},"Tags":{"shape":"S3"}}},"output":{"type":"structure","members":{"CertificateArn":{}}}},"ListCertificates":{"input":{"type":"structure","members":{"CertificateStatuses":{"type":"list","member":{}},"Includes":{"type":"structure","members":{"extendedKeyUsage":{"type":"list","member":{}},"keyUsage":{"type":"list","member":{}},"keyTypes":{"type":"list","member":{}}}},"NextToken":{},"MaxItems":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"CertificateSummaryList":{"type":"list","member":{"type":"structure","members":{"CertificateArn":{},"DomainName":{}}}}}}},"ListTagsForCertificate":{"input":{"type":"structure","required":["CertificateArn"],"members":{"CertificateArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S3"}}}},"PutAccountConfiguration":{"input":{"type":"structure","required":["IdempotencyToken"],"members":{"ExpiryEvents":{"shape":"S1a"},"IdempotencyToken":{}}}},"RemoveTagsFromCertificate":{"input":{"type":"structure","required":["CertificateArn","Tags"],"members":{"CertificateArn":{},"Tags":{"shape":"S3"}}}},"RenewCertificate":{"input":{"type":"structure","required":["CertificateArn"],"members":{"CertificateArn":{}}}},"RequestCertificate":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"ValidationMethod":{},"SubjectAlternativeNames":{"shape":"Sc"},"IdempotencyToken":{},"DomainValidationOptions":{"type":"list","member":{"type":"structure","required":["DomainName","ValidationDomain"],"members":{"DomainName":{},"ValidationDomain":{}}}},"Options":{"shape":"S11"},"CertificateAuthorityArn":{},"Tags":{"shape":"S3"}}},"output":{"type":"structure","members":{"CertificateArn":{}}}},"ResendValidationEmail":{"input":{"type":"structure","required":["CertificateArn","Domain","ValidationDomain"],"members":{"CertificateArn":{},"Domain":{},"ValidationDomain":{}}}},"UpdateCertificateOptions":{"input":{"type":"structure","required":["CertificateArn","Options"],"members":{"CertificateArn":{},"Options":{"shape":"S11"}}}}},"shapes":{"S3":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"Sc":{"type":"list","member":{}},"Sd":{"type":"list","member":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"ValidationEmails":{"type":"list","member":{}},"ValidationDomain":{},"ValidationStatus":{},"ResourceRecord":{"type":"structure","required":["Name","Type","Value"],"members":{"Name":{},"Type":{},"Value":{}}},"ValidationMethod":{}}}},"S11":{"type":"structure","members":{"CertificateTransparencyLoggingPreference":{}}},"S1a":{"type":"structure","members":{"DaysBeforeExpiry":{"type":"integer"}}}}}');

/***/ }),

/***/ 42680:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCertificates":{"input_token":"NextToken","limit_key":"MaxItems","output_token":"NextToken","result_key":"CertificateSummaryList"}}}');

/***/ }),

/***/ 85678:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"CertificateValidated":{"delay":60,"maxAttempts":40,"operation":"DescribeCertificate","acceptors":[{"matcher":"pathAll","expected":"SUCCESS","argument":"Certificate.DomainValidationOptions[].ValidationStatus","state":"success"},{"matcher":"pathAny","expected":"PENDING_VALIDATION","argument":"Certificate.DomainValidationOptions[].ValidationStatus","state":"retry"},{"matcher":"path","expected":"FAILED","argument":"Certificate.Status","state":"failure"},{"matcher":"error","expected":"ResourceNotFoundException","state":"failure"}]}}}');

/***/ }),

/***/ 33004:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-08-22","endpointPrefix":"acm-pca","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"ACM-PCA","serviceFullName":"AWS Certificate Manager Private Certificate Authority","serviceId":"ACM PCA","signatureVersion":"v4","targetPrefix":"ACMPrivateCA","uid":"acm-pca-2017-08-22"},"operations":{"CreateCertificateAuthority":{"input":{"type":"structure","required":["CertificateAuthorityConfiguration","CertificateAuthorityType"],"members":{"CertificateAuthorityConfiguration":{"shape":"S2"},"RevocationConfiguration":{"shape":"Ss"},"CertificateAuthorityType":{},"IdempotencyToken":{},"KeyStorageSecurityStandard":{},"Tags":{"shape":"S11"}}},"output":{"type":"structure","members":{"CertificateAuthorityArn":{}}},"idempotent":true},"CreateCertificateAuthorityAuditReport":{"input":{"type":"structure","required":["CertificateAuthorityArn","S3BucketName","AuditReportResponseFormat"],"members":{"CertificateAuthorityArn":{},"S3BucketName":{},"AuditReportResponseFormat":{}}},"output":{"type":"structure","members":{"AuditReportId":{},"S3Key":{}}},"idempotent":true},"CreatePermission":{"input":{"type":"structure","required":["CertificateAuthorityArn","Principal","Actions"],"members":{"CertificateAuthorityArn":{},"Principal":{},"SourceAccount":{},"Actions":{"shape":"S1g"}}}},"DeleteCertificateAuthority":{"input":{"type":"structure","required":["CertificateAuthorityArn"],"members":{"CertificateAuthorityArn":{},"PermanentDeletionTimeInDays":{"type":"integer"}}}},"DeletePermission":{"input":{"type":"structure","required":["CertificateAuthorityArn","Principal"],"members":{"CertificateAuthorityArn":{},"Principal":{},"SourceAccount":{}}}},"DeletePolicy":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}}},"DescribeCertificateAuthority":{"input":{"type":"structure","required":["CertificateAuthorityArn"],"members":{"CertificateAuthorityArn":{}}},"output":{"type":"structure","members":{"CertificateAuthority":{"shape":"S1o"}}}},"DescribeCertificateAuthorityAuditReport":{"input":{"type":"structure","required":["CertificateAuthorityArn","AuditReportId"],"members":{"CertificateAuthorityArn":{},"AuditReportId":{}}},"output":{"type":"structure","members":{"AuditReportStatus":{},"S3BucketName":{},"S3Key":{},"CreatedAt":{"type":"timestamp"}}}},"GetCertificate":{"input":{"type":"structure","required":["CertificateAuthorityArn","CertificateArn"],"members":{"CertificateAuthorityArn":{},"CertificateArn":{}}},"output":{"type":"structure","members":{"Certificate":{},"CertificateChain":{}}}},"GetCertificateAuthorityCertificate":{"input":{"type":"structure","required":["CertificateAuthorityArn"],"members":{"CertificateAuthorityArn":{}}},"output":{"type":"structure","members":{"Certificate":{},"CertificateChain":{}}}},"GetCertificateAuthorityCsr":{"input":{"type":"structure","required":["CertificateAuthorityArn"],"members":{"CertificateAuthorityArn":{}}},"output":{"type":"structure","members":{"Csr":{}}}},"GetPolicy":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Policy":{}}}},"ImportCertificateAuthorityCertificate":{"input":{"type":"structure","required":["CertificateAuthorityArn","Certificate"],"members":{"CertificateAuthorityArn":{},"Certificate":{"type":"blob"},"CertificateChain":{"type":"blob"}}}},"IssueCertificate":{"input":{"type":"structure","required":["CertificateAuthorityArn","Csr","SigningAlgorithm","Validity"],"members":{"ApiPassthrough":{"type":"structure","members":{"Extensions":{"type":"structure","members":{"CertificatePolicies":{"type":"list","member":{"type":"structure","required":["CertPolicyId"],"members":{"CertPolicyId":{},"PolicyQualifiers":{"type":"list","member":{"type":"structure","required":["PolicyQualifierId","Qualifier"],"members":{"PolicyQualifierId":{},"Qualifier":{"type":"structure","required":["CpsUri"],"members":{"CpsUri":{}}}}}}}}},"ExtendedKeyUsage":{"type":"list","member":{"type":"structure","members":{"ExtendedKeyUsageType":{},"ExtendedKeyUsageObjectIdentifier":{}}}},"KeyUsage":{"shape":"Sf"},"SubjectAlternativeNames":{"type":"list","member":{"shape":"Sm"}}}},"Subject":{"shape":"S5"}}},"CertificateAuthorityArn":{},"Csr":{"type":"blob"},"SigningAlgorithm":{},"TemplateArn":{},"Validity":{"shape":"S2p"},"ValidityNotBefore":{"shape":"S2p"},"IdempotencyToken":{}}},"output":{"type":"structure","members":{"CertificateArn":{}}},"idempotent":true},"ListCertificateAuthorities":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"ResourceOwner":{}}},"output":{"type":"structure","members":{"CertificateAuthorities":{"type":"list","member":{"shape":"S1o"}},"NextToken":{}}}},"ListPermissions":{"input":{"type":"structure","required":["CertificateAuthorityArn"],"members":{"CertificateAuthorityArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Permissions":{"type":"list","member":{"type":"structure","members":{"CertificateAuthorityArn":{},"CreatedAt":{"type":"timestamp"},"Principal":{},"SourceAccount":{},"Actions":{"shape":"S1g"},"Policy":{}}}},"NextToken":{}}}},"ListTags":{"input":{"type":"structure","required":["CertificateAuthorityArn"],"members":{"CertificateAuthorityArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S11"},"NextToken":{}}}},"PutPolicy":{"input":{"type":"structure","required":["ResourceArn","Policy"],"members":{"ResourceArn":{},"Policy":{}}}},"RestoreCertificateAuthority":{"input":{"type":"structure","required":["CertificateAuthorityArn"],"members":{"CertificateAuthorityArn":{}}}},"RevokeCertificate":{"input":{"type":"structure","required":["CertificateAuthorityArn","CertificateSerial","RevocationReason"],"members":{"CertificateAuthorityArn":{},"CertificateSerial":{},"RevocationReason":{}}}},"TagCertificateAuthority":{"input":{"type":"structure","required":["CertificateAuthorityArn","Tags"],"members":{"CertificateAuthorityArn":{},"Tags":{"shape":"S11"}}}},"UntagCertificateAuthority":{"input":{"type":"structure","required":["CertificateAuthorityArn","Tags"],"members":{"CertificateAuthorityArn":{},"Tags":{"shape":"S11"}}}},"UpdateCertificateAuthority":{"input":{"type":"structure","required":["CertificateAuthorityArn"],"members":{"CertificateAuthorityArn":{},"RevocationConfiguration":{"shape":"Ss"},"Status":{}}}}},"shapes":{"S2":{"type":"structure","required":["KeyAlgorithm","SigningAlgorithm","Subject"],"members":{"KeyAlgorithm":{},"SigningAlgorithm":{},"Subject":{"shape":"S5"},"CsrExtensions":{"type":"structure","members":{"KeyUsage":{"shape":"Sf"},"SubjectInformationAccess":{"type":"list","member":{"type":"structure","required":["AccessMethod","AccessLocation"],"members":{"AccessMethod":{"type":"structure","members":{"CustomObjectIdentifier":{},"AccessMethodType":{}}},"AccessLocation":{"shape":"Sm"}}}}}}}},"S5":{"type":"structure","members":{"Country":{},"Organization":{},"OrganizationalUnit":{},"DistinguishedNameQualifier":{},"State":{},"CommonName":{},"SerialNumber":{},"Locality":{},"Title":{},"Surname":{},"GivenName":{},"Initials":{},"Pseudonym":{},"GenerationQualifier":{}}},"Sf":{"type":"structure","members":{"DigitalSignature":{"type":"boolean"},"NonRepudiation":{"type":"boolean"},"KeyEncipherment":{"type":"boolean"},"DataEncipherment":{"type":"boolean"},"KeyAgreement":{"type":"boolean"},"KeyCertSign":{"type":"boolean"},"CRLSign":{"type":"boolean"},"EncipherOnly":{"type":"boolean"},"DecipherOnly":{"type":"boolean"}}},"Sm":{"type":"structure","members":{"OtherName":{"type":"structure","required":["TypeId","Value"],"members":{"TypeId":{},"Value":{}}},"Rfc822Name":{},"DnsName":{},"DirectoryName":{"shape":"S5"},"EdiPartyName":{"type":"structure","required":["PartyName"],"members":{"PartyName":{},"NameAssigner":{}}},"UniformResourceIdentifier":{},"IpAddress":{},"RegisteredId":{}}},"Ss":{"type":"structure","members":{"CrlConfiguration":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"},"ExpirationInDays":{"type":"integer"},"CustomCname":{},"S3BucketName":{},"S3ObjectAcl":{}}},"OcspConfiguration":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"},"OcspCustomCname":{}}}}},"S11":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"S1g":{"type":"list","member":{}},"S1o":{"type":"structure","members":{"Arn":{},"OwnerAccount":{},"CreatedAt":{"type":"timestamp"},"LastStateChangeAt":{"type":"timestamp"},"Type":{},"Serial":{},"Status":{},"NotBefore":{"type":"timestamp"},"NotAfter":{"type":"timestamp"},"FailureReason":{},"CertificateAuthorityConfiguration":{"shape":"S2"},"RevocationConfiguration":{"shape":"Ss"},"RestorableUntil":{"type":"timestamp"},"KeyStorageSecurityStandard":{}}},"S2p":{"type":"structure","required":["Value","Type"],"members":{"Value":{"type":"long"},"Type":{}}}}}');

/***/ }),

/***/ 21209:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCertificateAuthorities":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"CertificateAuthorities"},"ListPermissions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Permissions"},"ListTags":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Tags"}}}');

/***/ }),

/***/ 89217:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"CertificateAuthorityCSRCreated":{"description":"Wait until a Certificate Authority CSR is created","operation":"GetCertificateAuthorityCsr","delay":3,"maxAttempts":60,"acceptors":[{"state":"success","matcher":"status","expected":200},{"state":"retry","matcher":"error","expected":"RequestInProgressException"}]},"CertificateIssued":{"description":"Wait until a certificate is issued","operation":"GetCertificate","delay":3,"maxAttempts":60,"acceptors":[{"state":"success","matcher":"status","expected":200},{"state":"retry","matcher":"error","expected":"RequestInProgressException"}]},"AuditReportCreated":{"description":"Wait until a Audit Report is created","operation":"DescribeCertificateAuthorityAuditReport","delay":3,"maxAttempts":60,"acceptors":[{"state":"success","matcher":"path","argument":"AuditReportStatus","expected":"SUCCESS"},{"state":"failure","matcher":"path","argument":"AuditReportStatus","expected":"FAILED"}]}}}');

/***/ }),

/***/ 69786:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-11-09","endpointPrefix":"a4b","jsonVersion":"1.1","protocol":"json","serviceFullName":"Alexa For Business","serviceId":"Alexa For Business","signatureVersion":"v4","targetPrefix":"AlexaForBusiness","uid":"alexaforbusiness-2017-11-09"},"operations":{"ApproveSkill":{"input":{"type":"structure","required":["SkillId"],"members":{"SkillId":{}}},"output":{"type":"structure","members":{}}},"AssociateContactWithAddressBook":{"input":{"type":"structure","required":["ContactArn","AddressBookArn"],"members":{"ContactArn":{},"AddressBookArn":{}}},"output":{"type":"structure","members":{}}},"AssociateDeviceWithNetworkProfile":{"input":{"type":"structure","required":["DeviceArn","NetworkProfileArn"],"members":{"DeviceArn":{},"NetworkProfileArn":{}}},"output":{"type":"structure","members":{}}},"AssociateDeviceWithRoom":{"input":{"type":"structure","members":{"DeviceArn":{},"RoomArn":{}}},"output":{"type":"structure","members":{}}},"AssociateSkillGroupWithRoom":{"input":{"type":"structure","members":{"SkillGroupArn":{},"RoomArn":{}}},"output":{"type":"structure","members":{}}},"AssociateSkillWithSkillGroup":{"input":{"type":"structure","required":["SkillId"],"members":{"SkillGroupArn":{},"SkillId":{}}},"output":{"type":"structure","members":{}}},"AssociateSkillWithUsers":{"input":{"type":"structure","required":["SkillId"],"members":{"SkillId":{}}},"output":{"type":"structure","members":{}}},"CreateAddressBook":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{"AddressBookArn":{}}}},"CreateBusinessReportSchedule":{"input":{"type":"structure","required":["Format","ContentRange"],"members":{"ScheduleName":{},"S3BucketName":{},"S3KeyPrefix":{},"Format":{},"ContentRange":{"shape":"Sv"},"Recurrence":{"shape":"Sx"},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{"ScheduleArn":{}}}},"CreateConferenceProvider":{"input":{"type":"structure","required":["ConferenceProviderName","ConferenceProviderType","MeetingSetting"],"members":{"ConferenceProviderName":{},"ConferenceProviderType":{},"IPDialIn":{"shape":"S13"},"PSTNDialIn":{"shape":"S16"},"MeetingSetting":{"shape":"S1b"},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{"ConferenceProviderArn":{}}}},"CreateContact":{"input":{"type":"structure","required":["FirstName"],"members":{"DisplayName":{},"FirstName":{},"LastName":{},"PhoneNumber":{"shape":"S1g"},"PhoneNumbers":{"shape":"S1h"},"SipAddresses":{"shape":"S1k"},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{"ContactArn":{}}}},"CreateGatewayGroup":{"input":{"type":"structure","required":["Name","ClientRequestToken"],"members":{"Name":{},"Description":{},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{"GatewayGroupArn":{}}}},"CreateNetworkProfile":{"input":{"type":"structure","required":["NetworkProfileName","Ssid","SecurityType","ClientRequestToken"],"members":{"NetworkProfileName":{},"Description":{},"Ssid":{},"SecurityType":{},"EapMethod":{},"CurrentPassword":{"shape":"S1z"},"NextPassword":{"shape":"S20"},"CertificateAuthorityArn":{},"TrustAnchors":{"shape":"S21"},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{"NetworkProfileArn":{}}}},"CreateProfile":{"input":{"type":"structure","required":["ProfileName","Timezone","Address","DistanceUnit","TemperatureUnit","WakeWord"],"members":{"ProfileName":{},"Timezone":{},"Address":{},"DistanceUnit":{},"TemperatureUnit":{},"WakeWord":{},"Locale":{},"ClientRequestToken":{"idempotencyToken":true},"SetupModeDisabled":{"type":"boolean"},"MaxVolumeLimit":{"type":"integer"},"PSTNEnabled":{"type":"boolean"},"DataRetentionOptIn":{"type":"boolean"},"MeetingRoomConfiguration":{"type":"structure","members":{"RoomUtilizationMetricsEnabled":{"type":"boolean"},"EndOfMeetingReminder":{"type":"structure","required":["ReminderAtMinutes","ReminderType","Enabled"],"members":{"ReminderAtMinutes":{"shape":"S2g"},"ReminderType":{},"Enabled":{"type":"boolean"}}},"InstantBooking":{"type":"structure","required":["DurationInMinutes","Enabled"],"members":{"DurationInMinutes":{"type":"integer"},"Enabled":{"type":"boolean"}}},"RequireCheckIn":{"type":"structure","required":["ReleaseAfterMinutes","Enabled"],"members":{"ReleaseAfterMinutes":{"type":"integer"},"Enabled":{"type":"boolean"}}}}},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{"ProfileArn":{}}}},"CreateRoom":{"input":{"type":"structure","required":["RoomName"],"members":{"RoomName":{},"Description":{},"ProfileArn":{},"ProviderCalendarId":{},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{"RoomArn":{}}}},"CreateSkillGroup":{"input":{"type":"structure","required":["SkillGroupName"],"members":{"SkillGroupName":{},"Description":{},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{"SkillGroupArn":{}}}},"CreateUser":{"input":{"type":"structure","required":["UserId"],"members":{"UserId":{},"FirstName":{},"LastName":{},"Email":{},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{"UserArn":{}}}},"DeleteAddressBook":{"input":{"type":"structure","required":["AddressBookArn"],"members":{"AddressBookArn":{}}},"output":{"type":"structure","members":{}}},"DeleteBusinessReportSchedule":{"input":{"type":"structure","required":["ScheduleArn"],"members":{"ScheduleArn":{}}},"output":{"type":"structure","members":{}}},"DeleteConferenceProvider":{"input":{"type":"structure","required":["ConferenceProviderArn"],"members":{"ConferenceProviderArn":{}}},"output":{"type":"structure","members":{}}},"DeleteContact":{"input":{"type":"structure","required":["ContactArn"],"members":{"ContactArn":{}}},"output":{"type":"structure","members":{}}},"DeleteDevice":{"input":{"type":"structure","required":["DeviceArn"],"members":{"DeviceArn":{}}},"output":{"type":"structure","members":{}}},"DeleteDeviceUsageData":{"input":{"type":"structure","required":["DeviceArn","DeviceUsageType"],"members":{"DeviceArn":{},"DeviceUsageType":{}}},"output":{"type":"structure","members":{}}},"DeleteGatewayGroup":{"input":{"type":"structure","required":["GatewayGroupArn"],"members":{"GatewayGroupArn":{}}},"output":{"type":"structure","members":{}}},"DeleteNetworkProfile":{"input":{"type":"structure","required":["NetworkProfileArn"],"members":{"NetworkProfileArn":{}}},"output":{"type":"structure","members":{}}},"DeleteProfile":{"input":{"type":"structure","members":{"ProfileArn":{}}},"output":{"type":"structure","members":{}}},"DeleteRoom":{"input":{"type":"structure","members":{"RoomArn":{}}},"output":{"type":"structure","members":{}}},"DeleteRoomSkillParameter":{"input":{"type":"structure","required":["SkillId","ParameterKey"],"members":{"RoomArn":{},"SkillId":{},"ParameterKey":{}}},"output":{"type":"structure","members":{}}},"DeleteSkillAuthorization":{"input":{"type":"structure","required":["SkillId"],"members":{"SkillId":{},"RoomArn":{}}},"output":{"type":"structure","members":{}}},"DeleteSkillGroup":{"input":{"type":"structure","members":{"SkillGroupArn":{}}},"output":{"type":"structure","members":{}}},"DeleteUser":{"input":{"type":"structure","required":["EnrollmentId"],"members":{"UserArn":{},"EnrollmentId":{}}},"output":{"type":"structure","members":{}}},"DisassociateContactFromAddressBook":{"input":{"type":"structure","required":["ContactArn","AddressBookArn"],"members":{"ContactArn":{},"AddressBookArn":{}}},"output":{"type":"structure","members":{}}},"DisassociateDeviceFromRoom":{"input":{"type":"structure","members":{"DeviceArn":{}}},"output":{"type":"structure","members":{}}},"DisassociateSkillFromSkillGroup":{"input":{"type":"structure","required":["SkillId"],"members":{"SkillGroupArn":{},"SkillId":{}}},"output":{"type":"structure","members":{}}},"DisassociateSkillFromUsers":{"input":{"type":"structure","required":["SkillId"],"members":{"SkillId":{}}},"output":{"type":"structure","members":{}}},"DisassociateSkillGroupFromRoom":{"input":{"type":"structure","members":{"SkillGroupArn":{},"RoomArn":{}}},"output":{"type":"structure","members":{}}},"ForgetSmartHomeAppliances":{"input":{"type":"structure","required":["RoomArn"],"members":{"RoomArn":{}}},"output":{"type":"structure","members":{}}},"GetAddressBook":{"input":{"type":"structure","required":["AddressBookArn"],"members":{"AddressBookArn":{}}},"output":{"type":"structure","members":{"AddressBook":{"type":"structure","members":{"AddressBookArn":{},"Name":{},"Description":{}}}}}},"GetConferencePreference":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"Preference":{"shape":"S4d"}}}},"GetConferenceProvider":{"input":{"type":"structure","required":["ConferenceProviderArn"],"members":{"ConferenceProviderArn":{}}},"output":{"type":"structure","members":{"ConferenceProvider":{"shape":"S4g"}}}},"GetContact":{"input":{"type":"structure","required":["ContactArn"],"members":{"ContactArn":{}}},"output":{"type":"structure","members":{"Contact":{"type":"structure","members":{"ContactArn":{},"DisplayName":{},"FirstName":{},"LastName":{},"PhoneNumber":{"shape":"S1g"},"PhoneNumbers":{"shape":"S1h"},"SipAddresses":{"shape":"S1k"}}}}}},"GetDevice":{"input":{"type":"structure","members":{"DeviceArn":{}}},"output":{"type":"structure","members":{"Device":{"type":"structure","members":{"DeviceArn":{},"DeviceSerialNumber":{},"DeviceType":{},"DeviceName":{},"SoftwareVersion":{},"MacAddress":{},"RoomArn":{},"DeviceStatus":{},"DeviceStatusInfo":{"shape":"S4t"},"NetworkProfileInfo":{"type":"structure","members":{"NetworkProfileArn":{},"CertificateArn":{},"CertificateExpirationTime":{"type":"timestamp"}}}}}}}},"GetGateway":{"input":{"type":"structure","required":["GatewayArn"],"members":{"GatewayArn":{}}},"output":{"type":"structure","members":{"Gateway":{"type":"structure","members":{"Arn":{},"Name":{},"Description":{},"GatewayGroupArn":{},"SoftwareVersion":{}}}}}},"GetGatewayGroup":{"input":{"type":"structure","required":["GatewayGroupArn"],"members":{"GatewayGroupArn":{}}},"output":{"type":"structure","members":{"GatewayGroup":{"type":"structure","members":{"Arn":{},"Name":{},"Description":{}}}}}},"GetInvitationConfiguration":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"OrganizationName":{},"ContactEmail":{},"PrivateSkillIds":{"shape":"S5e"}}}},"GetNetworkProfile":{"input":{"type":"structure","required":["NetworkProfileArn"],"members":{"NetworkProfileArn":{}}},"output":{"type":"structure","members":{"NetworkProfile":{"type":"structure","members":{"NetworkProfileArn":{},"NetworkProfileName":{},"Description":{},"Ssid":{},"SecurityType":{},"EapMethod":{},"CurrentPassword":{"shape":"S1z"},"NextPassword":{"shape":"S20"},"CertificateAuthorityArn":{},"TrustAnchors":{"shape":"S21"}}}}}},"GetProfile":{"input":{"type":"structure","members":{"ProfileArn":{}}},"output":{"type":"structure","members":{"Profile":{"type":"structure","members":{"ProfileArn":{},"ProfileName":{},"IsDefault":{"type":"boolean"},"Address":{},"Timezone":{},"DistanceUnit":{},"TemperatureUnit":{},"WakeWord":{},"Locale":{},"SetupModeDisabled":{"type":"boolean"},"MaxVolumeLimit":{"type":"integer"},"PSTNEnabled":{"type":"boolean"},"DataRetentionOptIn":{"type":"boolean"},"AddressBookArn":{},"MeetingRoomConfiguration":{"type":"structure","members":{"RoomUtilizationMetricsEnabled":{"type":"boolean"},"EndOfMeetingReminder":{"type":"structure","members":{"ReminderAtMinutes":{"shape":"S2g"},"ReminderType":{},"Enabled":{"type":"boolean"}}},"InstantBooking":{"type":"structure","members":{"DurationInMinutes":{"type":"integer"},"Enabled":{"type":"boolean"}}},"RequireCheckIn":{"type":"structure","members":{"ReleaseAfterMinutes":{"type":"integer"},"Enabled":{"type":"boolean"}}}}}}}}}},"GetRoom":{"input":{"type":"structure","members":{"RoomArn":{}}},"output":{"type":"structure","members":{"Room":{"type":"structure","members":{"RoomArn":{},"RoomName":{},"Description":{},"ProviderCalendarId":{},"ProfileArn":{}}}}}},"GetRoomSkillParameter":{"input":{"type":"structure","required":["SkillId","ParameterKey"],"members":{"RoomArn":{},"SkillId":{},"ParameterKey":{}}},"output":{"type":"structure","members":{"RoomSkillParameter":{"shape":"S5u"}}}},"GetSkillGroup":{"input":{"type":"structure","members":{"SkillGroupArn":{}}},"output":{"type":"structure","members":{"SkillGroup":{"type":"structure","members":{"SkillGroupArn":{},"SkillGroupName":{},"Description":{}}}}}},"ListBusinessReportSchedules":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"BusinessReportSchedules":{"type":"list","member":{"type":"structure","members":{"ScheduleArn":{},"ScheduleName":{},"S3BucketName":{},"S3KeyPrefix":{},"Format":{},"ContentRange":{"shape":"Sv"},"Recurrence":{"shape":"Sx"},"LastBusinessReport":{"type":"structure","members":{"Status":{},"FailureCode":{},"S3Location":{"type":"structure","members":{"Path":{},"BucketName":{}}},"DeliveryTime":{"type":"timestamp"},"DownloadUrl":{}}}}}},"NextToken":{}}}},"ListConferenceProviders":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ConferenceProviders":{"type":"list","member":{"shape":"S4g"}},"NextToken":{}}}},"ListDeviceEvents":{"input":{"type":"structure","required":["DeviceArn"],"members":{"DeviceArn":{},"EventType":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DeviceEvents":{"type":"list","member":{"type":"structure","members":{"Type":{},"Value":{},"Timestamp":{"type":"timestamp"}}}},"NextToken":{}}}},"ListGatewayGroups":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"GatewayGroups":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Name":{},"Description":{}}}},"NextToken":{}}}},"ListGateways":{"input":{"type":"structure","members":{"GatewayGroupArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Gateways":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Name":{},"Description":{},"GatewayGroupArn":{},"SoftwareVersion":{}}}},"NextToken":{}}}},"ListSkills":{"input":{"type":"structure","members":{"SkillGroupArn":{},"EnablementType":{},"SkillType":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SkillSummaries":{"type":"list","member":{"type":"structure","members":{"SkillId":{},"SkillName":{},"SupportsLinking":{"type":"boolean"},"EnablementType":{},"SkillType":{}}}},"NextToken":{}}}},"ListSkillsStoreCategories":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"CategoryList":{"type":"list","member":{"type":"structure","members":{"CategoryId":{"type":"long"},"CategoryName":{}}}},"NextToken":{}}}},"ListSkillsStoreSkillsByCategory":{"input":{"type":"structure","required":["CategoryId"],"members":{"CategoryId":{"type":"long"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SkillsStoreSkills":{"type":"list","member":{"type":"structure","members":{"SkillId":{},"SkillName":{},"ShortDescription":{},"IconUrl":{},"SampleUtterances":{"type":"list","member":{}},"SkillDetails":{"type":"structure","members":{"ProductDescription":{},"InvocationPhrase":{},"ReleaseDate":{},"EndUserLicenseAgreement":{},"GenericKeywords":{"type":"list","member":{}},"BulletPoints":{"type":"list","member":{}},"NewInThisVersionBulletPoints":{"type":"list","member":{}},"SkillTypes":{"type":"list","member":{}},"Reviews":{"type":"map","key":{},"value":{}},"DeveloperInfo":{"type":"structure","members":{"DeveloperName":{},"PrivacyPolicy":{},"Email":{},"Url":{}}}}},"SupportsLinking":{"type":"boolean"}}}},"NextToken":{}}}},"ListSmartHomeAppliances":{"input":{"type":"structure","required":["RoomArn"],"members":{"RoomArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"SmartHomeAppliances":{"type":"list","member":{"type":"structure","members":{"FriendlyName":{},"Description":{},"ManufacturerName":{}}}},"NextToken":{}}}},"ListTags":{"input":{"type":"structure","required":["Arn"],"members":{"Arn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sl"},"NextToken":{}}}},"PutConferencePreference":{"input":{"type":"structure","required":["ConferencePreference"],"members":{"ConferencePreference":{"shape":"S4d"}}},"output":{"type":"structure","members":{}}},"PutInvitationConfiguration":{"input":{"type":"structure","required":["OrganizationName"],"members":{"OrganizationName":{},"ContactEmail":{},"PrivateSkillIds":{"shape":"S5e"}}},"output":{"type":"structure","members":{}}},"PutRoomSkillParameter":{"input":{"type":"structure","required":["SkillId","RoomSkillParameter"],"members":{"RoomArn":{},"SkillId":{},"RoomSkillParameter":{"shape":"S5u"}}},"output":{"type":"structure","members":{}}},"PutSkillAuthorization":{"input":{"type":"structure","required":["AuthorizationResult","SkillId"],"members":{"AuthorizationResult":{"type":"map","key":{},"value":{},"sensitive":true},"SkillId":{},"RoomArn":{}}},"output":{"type":"structure","members":{}}},"RegisterAVSDevice":{"input":{"type":"structure","required":["ClientId","UserCode","ProductId","AmazonId"],"members":{"ClientId":{},"UserCode":{},"ProductId":{},"DeviceSerialNumber":{},"AmazonId":{},"RoomArn":{},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{"DeviceArn":{}}}},"RejectSkill":{"input":{"type":"structure","required":["SkillId"],"members":{"SkillId":{}}},"output":{"type":"structure","members":{}}},"ResolveRoom":{"input":{"type":"structure","required":["UserId","SkillId"],"members":{"UserId":{},"SkillId":{}}},"output":{"type":"structure","members":{"RoomArn":{},"RoomName":{},"RoomSkillParameters":{"type":"list","member":{"shape":"S5u"}}}}},"RevokeInvitation":{"input":{"type":"structure","members":{"UserArn":{},"EnrollmentId":{}}},"output":{"type":"structure","members":{}}},"SearchAddressBooks":{"input":{"type":"structure","members":{"Filters":{"shape":"S92"},"SortCriteria":{"shape":"S97"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"AddressBooks":{"type":"list","member":{"type":"structure","members":{"AddressBookArn":{},"Name":{},"Description":{}}}},"NextToken":{},"TotalCount":{"type":"integer"}}}},"SearchContacts":{"input":{"type":"structure","members":{"Filters":{"shape":"S92"},"SortCriteria":{"shape":"S97"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Contacts":{"type":"list","member":{"type":"structure","members":{"ContactArn":{},"DisplayName":{},"FirstName":{},"LastName":{},"PhoneNumber":{"shape":"S1g"},"PhoneNumbers":{"shape":"S1h"},"SipAddresses":{"shape":"S1k"}}}},"NextToken":{},"TotalCount":{"type":"integer"}}}},"SearchDevices":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S92"},"SortCriteria":{"shape":"S97"}}},"output":{"type":"structure","members":{"Devices":{"type":"list","member":{"type":"structure","members":{"DeviceArn":{},"DeviceSerialNumber":{},"DeviceType":{},"DeviceName":{},"SoftwareVersion":{},"MacAddress":{},"DeviceStatus":{},"NetworkProfileArn":{},"NetworkProfileName":{},"RoomArn":{},"RoomName":{},"DeviceStatusInfo":{"shape":"S4t"},"CreatedTime":{"type":"timestamp"}}}},"NextToken":{},"TotalCount":{"type":"integer"}}}},"SearchNetworkProfiles":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S92"},"SortCriteria":{"shape":"S97"}}},"output":{"type":"structure","members":{"NetworkProfiles":{"type":"list","member":{"type":"structure","members":{"NetworkProfileArn":{},"NetworkProfileName":{},"Description":{},"Ssid":{},"SecurityType":{},"EapMethod":{},"CertificateAuthorityArn":{}}}},"NextToken":{},"TotalCount":{"type":"integer"}}}},"SearchProfiles":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S92"},"SortCriteria":{"shape":"S97"}}},"output":{"type":"structure","members":{"Profiles":{"type":"list","member":{"type":"structure","members":{"ProfileArn":{},"ProfileName":{},"IsDefault":{"type":"boolean"},"Address":{},"Timezone":{},"DistanceUnit":{},"TemperatureUnit":{},"WakeWord":{},"Locale":{}}}},"NextToken":{},"TotalCount":{"type":"integer"}}}},"SearchRooms":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S92"},"SortCriteria":{"shape":"S97"}}},"output":{"type":"structure","members":{"Rooms":{"type":"list","member":{"type":"structure","members":{"RoomArn":{},"RoomName":{},"Description":{},"ProviderCalendarId":{},"ProfileArn":{},"ProfileName":{}}}},"NextToken":{},"TotalCount":{"type":"integer"}}}},"SearchSkillGroups":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S92"},"SortCriteria":{"shape":"S97"}}},"output":{"type":"structure","members":{"SkillGroups":{"type":"list","member":{"type":"structure","members":{"SkillGroupArn":{},"SkillGroupName":{},"Description":{}}}},"NextToken":{},"TotalCount":{"type":"integer"}}}},"SearchUsers":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S92"},"SortCriteria":{"shape":"S97"}}},"output":{"type":"structure","members":{"Users":{"type":"list","member":{"type":"structure","members":{"UserArn":{},"FirstName":{},"LastName":{},"Email":{},"EnrollmentStatus":{},"EnrollmentId":{}}}},"NextToken":{},"TotalCount":{"type":"integer"}}}},"SendAnnouncement":{"input":{"type":"structure","required":["RoomFilters","Content","ClientRequestToken"],"members":{"RoomFilters":{"shape":"S92"},"Content":{"type":"structure","members":{"TextList":{"type":"list","member":{"type":"structure","required":["Locale","Value"],"members":{"Locale":{},"Value":{}}}},"SsmlList":{"type":"list","member":{"type":"structure","required":["Locale","Value"],"members":{"Locale":{},"Value":{}}}},"AudioList":{"type":"list","member":{"type":"structure","required":["Locale","Location"],"members":{"Locale":{},"Location":{}}}}}},"TimeToLiveInSeconds":{"type":"integer"},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"AnnouncementArn":{}}}},"SendInvitation":{"input":{"type":"structure","members":{"UserArn":{}}},"output":{"type":"structure","members":{}}},"StartDeviceSync":{"input":{"type":"structure","required":["Features"],"members":{"RoomArn":{},"DeviceArn":{},"Features":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"StartSmartHomeApplianceDiscovery":{"input":{"type":"structure","required":["RoomArn"],"members":{"RoomArn":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["Arn","Tags"],"members":{"Arn":{},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["Arn","TagKeys"],"members":{"Arn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateAddressBook":{"input":{"type":"structure","required":["AddressBookArn"],"members":{"AddressBookArn":{},"Name":{},"Description":{}}},"output":{"type":"structure","members":{}}},"UpdateBusinessReportSchedule":{"input":{"type":"structure","required":["ScheduleArn"],"members":{"ScheduleArn":{},"S3BucketName":{},"S3KeyPrefix":{},"Format":{},"ScheduleName":{},"Recurrence":{"shape":"Sx"}}},"output":{"type":"structure","members":{}}},"UpdateConferenceProvider":{"input":{"type":"structure","required":["ConferenceProviderArn","ConferenceProviderType","MeetingSetting"],"members":{"ConferenceProviderArn":{},"ConferenceProviderType":{},"IPDialIn":{"shape":"S13"},"PSTNDialIn":{"shape":"S16"},"MeetingSetting":{"shape":"S1b"}}},"output":{"type":"structure","members":{}}},"UpdateContact":{"input":{"type":"structure","required":["ContactArn"],"members":{"ContactArn":{},"DisplayName":{},"FirstName":{},"LastName":{},"PhoneNumber":{"shape":"S1g"},"PhoneNumbers":{"shape":"S1h"},"SipAddresses":{"shape":"S1k"}}},"output":{"type":"structure","members":{}}},"UpdateDevice":{"input":{"type":"structure","members":{"DeviceArn":{},"DeviceName":{}}},"output":{"type":"structure","members":{}}},"UpdateGateway":{"input":{"type":"structure","required":["GatewayArn"],"members":{"GatewayArn":{},"Name":{},"Description":{},"SoftwareVersion":{}}},"output":{"type":"structure","members":{}}},"UpdateGatewayGroup":{"input":{"type":"structure","required":["GatewayGroupArn"],"members":{"GatewayGroupArn":{},"Name":{},"Description":{}}},"output":{"type":"structure","members":{}}},"UpdateNetworkProfile":{"input":{"type":"structure","required":["NetworkProfileArn"],"members":{"NetworkProfileArn":{},"NetworkProfileName":{},"Description":{},"CurrentPassword":{"shape":"S1z"},"NextPassword":{"shape":"S20"},"CertificateAuthorityArn":{},"TrustAnchors":{"shape":"S21"}}},"output":{"type":"structure","members":{}}},"UpdateProfile":{"input":{"type":"structure","members":{"ProfileArn":{},"ProfileName":{},"IsDefault":{"type":"boolean"},"Timezone":{},"Address":{},"DistanceUnit":{},"TemperatureUnit":{},"WakeWord":{},"Locale":{},"SetupModeDisabled":{"type":"boolean"},"MaxVolumeLimit":{"type":"integer"},"PSTNEnabled":{"type":"boolean"},"DataRetentionOptIn":{"type":"boolean"},"MeetingRoomConfiguration":{"type":"structure","members":{"RoomUtilizationMetricsEnabled":{"type":"boolean"},"EndOfMeetingReminder":{"type":"structure","members":{"ReminderAtMinutes":{"shape":"S2g"},"ReminderType":{},"Enabled":{"type":"boolean"}}},"InstantBooking":{"type":"structure","members":{"DurationInMinutes":{"type":"integer"},"Enabled":{"type":"boolean"}}},"RequireCheckIn":{"type":"structure","members":{"ReleaseAfterMinutes":{"type":"integer"},"Enabled":{"type":"boolean"}}}}}}},"output":{"type":"structure","members":{}}},"UpdateRoom":{"input":{"type":"structure","members":{"RoomArn":{},"RoomName":{},"Description":{},"ProviderCalendarId":{},"ProfileArn":{}}},"output":{"type":"structure","members":{}}},"UpdateSkillGroup":{"input":{"type":"structure","members":{"SkillGroupArn":{},"SkillGroupName":{},"Description":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sl":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sv":{"type":"structure","required":["Interval"],"members":{"Interval":{}}},"Sx":{"type":"structure","members":{"StartDate":{}}},"S13":{"type":"structure","required":["Endpoint","CommsProtocol"],"members":{"Endpoint":{},"CommsProtocol":{}}},"S16":{"type":"structure","required":["CountryCode","PhoneNumber","OneClickIdDelay","OneClickPinDelay"],"members":{"CountryCode":{},"PhoneNumber":{},"OneClickIdDelay":{},"OneClickPinDelay":{}}},"S1b":{"type":"structure","required":["RequirePin"],"members":{"RequirePin":{}}},"S1g":{"type":"string","sensitive":true},"S1h":{"type":"list","member":{"type":"structure","required":["Number","Type"],"members":{"Number":{"shape":"S1g"},"Type":{"type":"string","sensitive":true}}}},"S1k":{"type":"list","member":{"type":"structure","required":["Uri","Type"],"members":{"Uri":{"type":"string","sensitive":true},"Type":{"type":"string","sensitive":true}}}},"S1z":{"type":"string","sensitive":true},"S20":{"type":"string","sensitive":true},"S21":{"type":"list","member":{}},"S2g":{"type":"list","member":{"type":"integer"}},"S4d":{"type":"structure","members":{"DefaultConferenceProviderArn":{}}},"S4g":{"type":"structure","members":{"Arn":{},"Name":{},"Type":{},"IPDialIn":{"shape":"S13"},"PSTNDialIn":{"shape":"S16"},"MeetingSetting":{"shape":"S1b"}}},"S4t":{"type":"structure","members":{"DeviceStatusDetails":{"type":"list","member":{"type":"structure","members":{"Feature":{},"Code":{}}}},"ConnectionStatus":{},"ConnectionStatusUpdatedTime":{"type":"timestamp"}}},"S5e":{"type":"list","member":{}},"S5u":{"type":"structure","required":["ParameterKey","ParameterValue"],"members":{"ParameterKey":{},"ParameterValue":{}}},"S92":{"type":"list","member":{"type":"structure","required":["Key","Values"],"members":{"Key":{},"Values":{"type":"list","member":{}}}}},"S97":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}}}}');

/***/ }),

/***/ 21009:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListBusinessReportSchedules":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListConferenceProviders":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDeviceEvents":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListGatewayGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListGateways":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSkills":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSkillsStoreCategories":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSkillsStoreSkillsByCategory":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSmartHomeAppliances":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTags":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"SearchAddressBooks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"SearchContacts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"SearchDevices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"SearchNetworkProfiles":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"SearchProfiles":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"SearchRooms":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"SearchSkillGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"SearchUsers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 78362:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-08-01","endpointPrefix":"aps","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Prometheus Service","serviceId":"amp","signatureVersion":"v4","signingName":"aps","uid":"amp-2020-08-01"},"operations":{"CreateAlertManagerDefinition":{"http":{"requestUri":"/workspaces/{workspaceId}/alertmanager/definition","responseCode":202},"input":{"type":"structure","required":["data","workspaceId"],"members":{"clientToken":{"idempotencyToken":true},"data":{"type":"blob"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["status"],"members":{"status":{"shape":"S6"}}},"idempotent":true},"CreateRuleGroupsNamespace":{"http":{"requestUri":"/workspaces/{workspaceId}/rulegroupsnamespaces","responseCode":202},"input":{"type":"structure","required":["data","name","workspaceId"],"members":{"clientToken":{"idempotencyToken":true},"data":{"type":"blob"},"name":{},"tags":{"shape":"Sc"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["arn","name","status"],"members":{"arn":{},"name":{},"status":{"shape":"Sh"},"tags":{"shape":"Sc"}}},"idempotent":true},"CreateWorkspace":{"http":{"requestUri":"/workspaces","responseCode":202},"input":{"type":"structure","members":{"alias":{},"clientToken":{"idempotencyToken":true},"tags":{"shape":"Sc"}}},"output":{"type":"structure","required":["arn","status","workspaceId"],"members":{"arn":{},"status":{"shape":"Sn"},"tags":{"shape":"Sc"},"workspaceId":{}}},"idempotent":true},"DeleteAlertManagerDefinition":{"http":{"method":"DELETE","requestUri":"/workspaces/{workspaceId}/alertmanager/definition","responseCode":202},"input":{"type":"structure","required":["workspaceId"],"members":{"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"idempotent":true},"DeleteRuleGroupsNamespace":{"http":{"method":"DELETE","requestUri":"/workspaces/{workspaceId}/rulegroupsnamespaces/{name}","responseCode":202},"input":{"type":"structure","required":["name","workspaceId"],"members":{"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"},"name":{"location":"uri","locationName":"name"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"idempotent":true},"DeleteWorkspace":{"http":{"method":"DELETE","requestUri":"/workspaces/{workspaceId}","responseCode":202},"input":{"type":"structure","required":["workspaceId"],"members":{"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"idempotent":true},"DescribeAlertManagerDefinition":{"http":{"method":"GET","requestUri":"/workspaces/{workspaceId}/alertmanager/definition","responseCode":200},"input":{"type":"structure","required":["workspaceId"],"members":{"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["alertManagerDefinition"],"members":{"alertManagerDefinition":{"type":"structure","required":["createdAt","data","modifiedAt","status"],"members":{"createdAt":{"type":"timestamp"},"data":{"type":"blob"},"modifiedAt":{"type":"timestamp"},"status":{"shape":"S6"}}}}}},"DescribeRuleGroupsNamespace":{"http":{"method":"GET","requestUri":"/workspaces/{workspaceId}/rulegroupsnamespaces/{name}","responseCode":200},"input":{"type":"structure","required":["name","workspaceId"],"members":{"name":{"location":"uri","locationName":"name"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["ruleGroupsNamespace"],"members":{"ruleGroupsNamespace":{"type":"structure","required":["arn","createdAt","data","modifiedAt","name","status"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"data":{"type":"blob"},"modifiedAt":{"type":"timestamp"},"name":{},"status":{"shape":"Sh"},"tags":{"shape":"Sc"}}}}}},"DescribeWorkspace":{"http":{"method":"GET","requestUri":"/workspaces/{workspaceId}","responseCode":200},"input":{"type":"structure","required":["workspaceId"],"members":{"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["workspace"],"members":{"workspace":{"type":"structure","required":["arn","createdAt","status","workspaceId"],"members":{"alias":{},"arn":{},"createdAt":{"type":"timestamp"},"prometheusEndpoint":{},"status":{"shape":"Sn"},"tags":{"shape":"Sc"},"workspaceId":{}}}}}},"ListRuleGroupsNamespaces":{"http":{"method":"GET","requestUri":"/workspaces/{workspaceId}/rulegroupsnamespaces","responseCode":200},"input":{"type":"structure","required":["workspaceId"],"members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"name":{"location":"querystring","locationName":"name"},"nextToken":{"location":"querystring","locationName":"nextToken"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["ruleGroupsNamespaces"],"members":{"nextToken":{},"ruleGroupsNamespaces":{"type":"list","member":{"type":"structure","required":["arn","createdAt","modifiedAt","name","status"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"modifiedAt":{"type":"timestamp"},"name":{},"status":{"shape":"Sh"},"tags":{"shape":"Sc"}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sc"}}}},"ListWorkspaces":{"http":{"method":"GET","requestUri":"/workspaces","responseCode":200},"input":{"type":"structure","members":{"alias":{"location":"querystring","locationName":"alias"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["workspaces"],"members":{"nextToken":{},"workspaces":{"type":"list","member":{"type":"structure","required":["arn","createdAt","status","workspaceId"],"members":{"alias":{},"arn":{},"createdAt":{"type":"timestamp"},"status":{"shape":"Sn"},"tags":{"shape":"Sc"},"workspaceId":{}}}}}}},"PutAlertManagerDefinition":{"http":{"method":"PUT","requestUri":"/workspaces/{workspaceId}/alertmanager/definition","responseCode":202},"input":{"type":"structure","required":["data","workspaceId"],"members":{"clientToken":{"idempotencyToken":true},"data":{"type":"blob"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["status"],"members":{"status":{"shape":"S6"}}},"idempotent":true},"PutRuleGroupsNamespace":{"http":{"method":"PUT","requestUri":"/workspaces/{workspaceId}/rulegroupsnamespaces/{name}","responseCode":202},"input":{"type":"structure","required":["data","name","workspaceId"],"members":{"clientToken":{"idempotencyToken":true},"data":{"type":"blob"},"name":{"location":"uri","locationName":"name"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["arn","name","status"],"members":{"arn":{},"name":{},"status":{"shape":"Sh"},"tags":{"shape":"Sc"}}},"idempotent":true},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sc"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateWorkspaceAlias":{"http":{"requestUri":"/workspaces/{workspaceId}/alias","responseCode":204},"input":{"type":"structure","required":["workspaceId"],"members":{"alias":{},"clientToken":{"idempotencyToken":true},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"idempotent":true}},"shapes":{"S6":{"type":"structure","required":["statusCode"],"members":{"statusCode":{},"statusReason":{}}},"Sc":{"type":"map","key":{},"value":{}},"Sh":{"type":"structure","required":["statusCode"],"members":{"statusCode":{},"statusReason":{}}},"Sn":{"type":"structure","required":["statusCode"],"members":{"statusCode":{}}}}}');

/***/ }),

/***/ 75928:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListRuleGroupsNamespaces":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"ruleGroupsNamespaces"},"ListWorkspaces":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"workspaces"}}}');

/***/ }),

/***/ 58239:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"WorkspaceActive":{"description":"Wait until a workspace reaches ACTIVE status","delay":2,"maxAttempts":60,"operation":"DescribeWorkspace","acceptors":[{"matcher":"path","argument":"workspace.status.statusCode","state":"success","expected":"ACTIVE"},{"matcher":"path","argument":"workspace.status.statusCode","state":"retry","expected":"UPDATING"},{"matcher":"path","argument":"workspace.status.statusCode","state":"retry","expected":"CREATING"}]},"WorkspaceDeleted":{"description":"Wait until a workspace reaches DELETED status","delay":2,"maxAttempts":60,"operation":"DescribeWorkspace","acceptors":[{"matcher":"error","state":"success","expected":"ResourceNotFoundException"},{"matcher":"path","argument":"workspace.status.statusCode","state":"retry","expected":"DELETING"}]}}}');

/***/ }),

/***/ 36813:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-07-25","endpointPrefix":"amplify","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Amplify","serviceFullName":"AWS Amplify","serviceId":"Amplify","signatureVersion":"v4","signingName":"amplify","uid":"amplify-2017-07-25"},"operations":{"CreateApp":{"http":{"requestUri":"/apps"},"input":{"type":"structure","required":["name"],"members":{"name":{},"description":{},"repository":{},"platform":{},"iamServiceRoleArn":{},"oauthToken":{"shape":"S7"},"accessToken":{"shape":"S8"},"environmentVariables":{"shape":"S9"},"enableBranchAutoBuild":{"type":"boolean"},"enableBranchAutoDeletion":{"type":"boolean"},"enableBasicAuth":{"type":"boolean"},"basicAuthCredentials":{"shape":"Sf"},"customRules":{"shape":"Sg"},"tags":{"shape":"Sm"},"buildSpec":{},"customHeaders":{},"enableAutoBranchCreation":{"type":"boolean"},"autoBranchCreationPatterns":{"shape":"Ss"},"autoBranchCreationConfig":{"shape":"Su"}}},"output":{"type":"structure","required":["app"],"members":{"app":{"shape":"S12"}}}},"CreateBackendEnvironment":{"http":{"requestUri":"/apps/{appId}/backendenvironments"},"input":{"type":"structure","required":["appId","environmentName"],"members":{"appId":{"location":"uri","locationName":"appId"},"environmentName":{},"stackName":{},"deploymentArtifacts":{}}},"output":{"type":"structure","required":["backendEnvironment"],"members":{"backendEnvironment":{"shape":"S1h"}}}},"CreateBranch":{"http":{"requestUri":"/apps/{appId}/branches"},"input":{"type":"structure","required":["appId","branchName"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{},"description":{},"stage":{},"framework":{},"enableNotification":{"type":"boolean"},"enableAutoBuild":{"type":"boolean"},"environmentVariables":{"shape":"S9"},"basicAuthCredentials":{"shape":"Sf"},"enableBasicAuth":{"type":"boolean"},"enablePerformanceMode":{"type":"boolean"},"tags":{"shape":"Sm"},"buildSpec":{},"ttl":{},"displayName":{},"enablePullRequestPreview":{"type":"boolean"},"pullRequestEnvironmentName":{},"backendEnvironmentArn":{}}},"output":{"type":"structure","required":["branch"],"members":{"branch":{"shape":"S1o"}}}},"CreateDeployment":{"http":{"requestUri":"/apps/{appId}/branches/{branchName}/deployments"},"input":{"type":"structure","required":["appId","branchName"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{"location":"uri","locationName":"branchName"},"fileMap":{"type":"map","key":{},"value":{}}}},"output":{"type":"structure","required":["fileUploadUrls","zipUploadUrl"],"members":{"jobId":{},"fileUploadUrls":{"type":"map","key":{},"value":{}},"zipUploadUrl":{}}}},"CreateDomainAssociation":{"http":{"requestUri":"/apps/{appId}/domains"},"input":{"type":"structure","required":["appId","domainName","subDomainSettings"],"members":{"appId":{"location":"uri","locationName":"appId"},"domainName":{},"enableAutoSubDomain":{"type":"boolean"},"subDomainSettings":{"shape":"S27"},"autoSubDomainCreationPatterns":{"shape":"S2a"},"autoSubDomainIAMRole":{}}},"output":{"type":"structure","required":["domainAssociation"],"members":{"domainAssociation":{"shape":"S2e"}}}},"CreateWebhook":{"http":{"requestUri":"/apps/{appId}/webhooks"},"input":{"type":"structure","required":["appId","branchName"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{},"description":{}}},"output":{"type":"structure","required":["webhook"],"members":{"webhook":{"shape":"S2p"}}}},"DeleteApp":{"http":{"method":"DELETE","requestUri":"/apps/{appId}"},"input":{"type":"structure","required":["appId"],"members":{"appId":{"location":"uri","locationName":"appId"}}},"output":{"type":"structure","required":["app"],"members":{"app":{"shape":"S12"}}}},"DeleteBackendEnvironment":{"http":{"method":"DELETE","requestUri":"/apps/{appId}/backendenvironments/{environmentName}"},"input":{"type":"structure","required":["appId","environmentName"],"members":{"appId":{"location":"uri","locationName":"appId"},"environmentName":{"location":"uri","locationName":"environmentName"}}},"output":{"type":"structure","required":["backendEnvironment"],"members":{"backendEnvironment":{"shape":"S1h"}}}},"DeleteBranch":{"http":{"method":"DELETE","requestUri":"/apps/{appId}/branches/{branchName}"},"input":{"type":"structure","required":["appId","branchName"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{"location":"uri","locationName":"branchName"}}},"output":{"type":"structure","required":["branch"],"members":{"branch":{"shape":"S1o"}}}},"DeleteDomainAssociation":{"http":{"method":"DELETE","requestUri":"/apps/{appId}/domains/{domainName}"},"input":{"type":"structure","required":["appId","domainName"],"members":{"appId":{"location":"uri","locationName":"appId"},"domainName":{"location":"uri","locationName":"domainName"}}},"output":{"type":"structure","required":["domainAssociation"],"members":{"domainAssociation":{"shape":"S2e"}}}},"DeleteJob":{"http":{"method":"DELETE","requestUri":"/apps/{appId}/branches/{branchName}/jobs/{jobId}"},"input":{"type":"structure","required":["appId","branchName","jobId"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{"location":"uri","locationName":"branchName"},"jobId":{"location":"uri","locationName":"jobId"}}},"output":{"type":"structure","required":["jobSummary"],"members":{"jobSummary":{"shape":"S33"}}}},"DeleteWebhook":{"http":{"method":"DELETE","requestUri":"/webhooks/{webhookId}"},"input":{"type":"structure","required":["webhookId"],"members":{"webhookId":{"location":"uri","locationName":"webhookId"}}},"output":{"type":"structure","required":["webhook"],"members":{"webhook":{"shape":"S2p"}}}},"GenerateAccessLogs":{"http":{"requestUri":"/apps/{appId}/accesslogs"},"input":{"type":"structure","required":["domainName","appId"],"members":{"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"domainName":{},"appId":{"location":"uri","locationName":"appId"}}},"output":{"type":"structure","members":{"logUrl":{}}}},"GetApp":{"http":{"method":"GET","requestUri":"/apps/{appId}"},"input":{"type":"structure","required":["appId"],"members":{"appId":{"location":"uri","locationName":"appId"}}},"output":{"type":"structure","required":["app"],"members":{"app":{"shape":"S12"}}}},"GetArtifactUrl":{"http":{"method":"GET","requestUri":"/artifacts/{artifactId}"},"input":{"type":"structure","required":["artifactId"],"members":{"artifactId":{"location":"uri","locationName":"artifactId"}}},"output":{"type":"structure","required":["artifactId","artifactUrl"],"members":{"artifactId":{},"artifactUrl":{}}}},"GetBackendEnvironment":{"http":{"method":"GET","requestUri":"/apps/{appId}/backendenvironments/{environmentName}"},"input":{"type":"structure","required":["appId","environmentName"],"members":{"appId":{"location":"uri","locationName":"appId"},"environmentName":{"location":"uri","locationName":"environmentName"}}},"output":{"type":"structure","required":["backendEnvironment"],"members":{"backendEnvironment":{"shape":"S1h"}}}},"GetBranch":{"http":{"method":"GET","requestUri":"/apps/{appId}/branches/{branchName}"},"input":{"type":"structure","required":["appId","branchName"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{"location":"uri","locationName":"branchName"}}},"output":{"type":"structure","required":["branch"],"members":{"branch":{"shape":"S1o"}}}},"GetDomainAssociation":{"http":{"method":"GET","requestUri":"/apps/{appId}/domains/{domainName}"},"input":{"type":"structure","required":["appId","domainName"],"members":{"appId":{"location":"uri","locationName":"appId"},"domainName":{"location":"uri","locationName":"domainName"}}},"output":{"type":"structure","required":["domainAssociation"],"members":{"domainAssociation":{"shape":"S2e"}}}},"GetJob":{"http":{"method":"GET","requestUri":"/apps/{appId}/branches/{branchName}/jobs/{jobId}"},"input":{"type":"structure","required":["appId","branchName","jobId"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{"location":"uri","locationName":"branchName"},"jobId":{"location":"uri","locationName":"jobId"}}},"output":{"type":"structure","required":["job"],"members":{"job":{"type":"structure","required":["summary","steps"],"members":{"summary":{"shape":"S33"},"steps":{"type":"list","member":{"type":"structure","required":["stepName","startTime","status","endTime"],"members":{"stepName":{},"startTime":{"type":"timestamp"},"status":{},"endTime":{"type":"timestamp"},"logUrl":{},"artifactsUrl":{},"testArtifactsUrl":{},"testConfigUrl":{},"screenshots":{"type":"map","key":{},"value":{}},"statusReason":{},"context":{}}}}}}}}},"GetWebhook":{"http":{"method":"GET","requestUri":"/webhooks/{webhookId}"},"input":{"type":"structure","required":["webhookId"],"members":{"webhookId":{"location":"uri","locationName":"webhookId"}}},"output":{"type":"structure","required":["webhook"],"members":{"webhook":{"shape":"S2p"}}}},"ListApps":{"http":{"method":"GET","requestUri":"/apps"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["apps"],"members":{"apps":{"type":"list","member":{"shape":"S12"}},"nextToken":{}}}},"ListArtifacts":{"http":{"method":"GET","requestUri":"/apps/{appId}/branches/{branchName}/jobs/{jobId}/artifacts"},"input":{"type":"structure","required":["appId","branchName","jobId"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{"location":"uri","locationName":"branchName"},"jobId":{"location":"uri","locationName":"jobId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["artifacts"],"members":{"artifacts":{"type":"list","member":{"type":"structure","required":["artifactFileName","artifactId"],"members":{"artifactFileName":{},"artifactId":{}}}},"nextToken":{}}}},"ListBackendEnvironments":{"http":{"method":"GET","requestUri":"/apps/{appId}/backendenvironments"},"input":{"type":"structure","required":["appId"],"members":{"appId":{"location":"uri","locationName":"appId"},"environmentName":{"location":"querystring","locationName":"environmentName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["backendEnvironments"],"members":{"backendEnvironments":{"type":"list","member":{"shape":"S1h"}},"nextToken":{}}}},"ListBranches":{"http":{"method":"GET","requestUri":"/apps/{appId}/branches"},"input":{"type":"structure","required":["appId"],"members":{"appId":{"location":"uri","locationName":"appId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["branches"],"members":{"branches":{"type":"list","member":{"shape":"S1o"}},"nextToken":{}}}},"ListDomainAssociations":{"http":{"method":"GET","requestUri":"/apps/{appId}/domains"},"input":{"type":"structure","required":["appId"],"members":{"appId":{"location":"uri","locationName":"appId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["domainAssociations"],"members":{"domainAssociations":{"type":"list","member":{"shape":"S2e"}},"nextToken":{}}}},"ListJobs":{"http":{"method":"GET","requestUri":"/apps/{appId}/branches/{branchName}/jobs"},"input":{"type":"structure","required":["appId","branchName"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{"location":"uri","locationName":"branchName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["jobSummaries"],"members":{"jobSummaries":{"type":"list","member":{"shape":"S33"}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sm"}}}},"ListWebhooks":{"http":{"method":"GET","requestUri":"/apps/{appId}/webhooks"},"input":{"type":"structure","required":["appId"],"members":{"appId":{"location":"uri","locationName":"appId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["webhooks"],"members":{"webhooks":{"type":"list","member":{"shape":"S2p"}},"nextToken":{}}}},"StartDeployment":{"http":{"requestUri":"/apps/{appId}/branches/{branchName}/deployments/start"},"input":{"type":"structure","required":["appId","branchName"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{"location":"uri","locationName":"branchName"},"jobId":{},"sourceUrl":{}}},"output":{"type":"structure","required":["jobSummary"],"members":{"jobSummary":{"shape":"S33"}}}},"StartJob":{"http":{"requestUri":"/apps/{appId}/branches/{branchName}/jobs"},"input":{"type":"structure","required":["appId","branchName","jobType"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{"location":"uri","locationName":"branchName"},"jobId":{},"jobType":{},"jobReason":{},"commitId":{},"commitMessage":{},"commitTime":{"type":"timestamp"}}},"output":{"type":"structure","required":["jobSummary"],"members":{"jobSummary":{"shape":"S33"}}}},"StopJob":{"http":{"method":"DELETE","requestUri":"/apps/{appId}/branches/{branchName}/jobs/{jobId}/stop"},"input":{"type":"structure","required":["appId","branchName","jobId"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{"location":"uri","locationName":"branchName"},"jobId":{"location":"uri","locationName":"jobId"}}},"output":{"type":"structure","required":["jobSummary"],"members":{"jobSummary":{"shape":"S33"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateApp":{"http":{"requestUri":"/apps/{appId}"},"input":{"type":"structure","required":["appId"],"members":{"appId":{"location":"uri","locationName":"appId"},"name":{},"description":{},"platform":{},"iamServiceRoleArn":{},"environmentVariables":{"shape":"S9"},"enableBranchAutoBuild":{"type":"boolean"},"enableBranchAutoDeletion":{"type":"boolean"},"enableBasicAuth":{"type":"boolean"},"basicAuthCredentials":{"shape":"Sf"},"customRules":{"shape":"Sg"},"buildSpec":{},"customHeaders":{},"enableAutoBranchCreation":{"type":"boolean"},"autoBranchCreationPatterns":{"shape":"Ss"},"autoBranchCreationConfig":{"shape":"Su"},"repository":{},"oauthToken":{"shape":"S7"},"accessToken":{"shape":"S8"}}},"output":{"type":"structure","required":["app"],"members":{"app":{"shape":"S12"}}}},"UpdateBranch":{"http":{"requestUri":"/apps/{appId}/branches/{branchName}"},"input":{"type":"structure","required":["appId","branchName"],"members":{"appId":{"location":"uri","locationName":"appId"},"branchName":{"location":"uri","locationName":"branchName"},"description":{},"framework":{},"stage":{},"enableNotification":{"type":"boolean"},"enableAutoBuild":{"type":"boolean"},"environmentVariables":{"shape":"S9"},"basicAuthCredentials":{"shape":"Sf"},"enableBasicAuth":{"type":"boolean"},"enablePerformanceMode":{"type":"boolean"},"buildSpec":{},"ttl":{},"displayName":{},"enablePullRequestPreview":{"type":"boolean"},"pullRequestEnvironmentName":{},"backendEnvironmentArn":{}}},"output":{"type":"structure","required":["branch"],"members":{"branch":{"shape":"S1o"}}}},"UpdateDomainAssociation":{"http":{"requestUri":"/apps/{appId}/domains/{domainName}"},"input":{"type":"structure","required":["appId","domainName","subDomainSettings"],"members":{"appId":{"location":"uri","locationName":"appId"},"domainName":{"location":"uri","locationName":"domainName"},"enableAutoSubDomain":{"type":"boolean"},"subDomainSettings":{"shape":"S27"},"autoSubDomainCreationPatterns":{"shape":"S2a"},"autoSubDomainIAMRole":{}}},"output":{"type":"structure","required":["domainAssociation"],"members":{"domainAssociation":{"shape":"S2e"}}}},"UpdateWebhook":{"http":{"requestUri":"/webhooks/{webhookId}"},"input":{"type":"structure","required":["webhookId"],"members":{"webhookId":{"location":"uri","locationName":"webhookId"},"branchName":{},"description":{}}},"output":{"type":"structure","required":["webhook"],"members":{"webhook":{"shape":"S2p"}}}}},"shapes":{"S7":{"type":"string","sensitive":true},"S8":{"type":"string","sensitive":true},"S9":{"type":"map","key":{},"value":{}},"Sf":{"type":"string","sensitive":true},"Sg":{"type":"list","member":{"type":"structure","required":["source","target"],"members":{"source":{},"target":{},"status":{},"condition":{}}}},"Sm":{"type":"map","key":{},"value":{}},"Ss":{"type":"list","member":{}},"Su":{"type":"structure","members":{"stage":{},"framework":{},"enableAutoBuild":{"type":"boolean"},"environmentVariables":{"shape":"S9"},"basicAuthCredentials":{"shape":"Sf"},"enableBasicAuth":{"type":"boolean"},"enablePerformanceMode":{"type":"boolean"},"buildSpec":{},"enablePullRequestPreview":{"type":"boolean"},"pullRequestEnvironmentName":{}}},"S12":{"type":"structure","required":["appId","appArn","name","description","repository","platform","createTime","updateTime","environmentVariables","defaultDomain","enableBranchAutoBuild","enableBasicAuth"],"members":{"appId":{},"appArn":{},"name":{},"tags":{"shape":"Sm"},"description":{},"repository":{},"platform":{},"createTime":{"type":"timestamp"},"updateTime":{"type":"timestamp"},"iamServiceRoleArn":{},"environmentVariables":{"shape":"S9"},"defaultDomain":{},"enableBranchAutoBuild":{"type":"boolean"},"enableBranchAutoDeletion":{"type":"boolean"},"enableBasicAuth":{"type":"boolean"},"basicAuthCredentials":{"shape":"Sf"},"customRules":{"shape":"Sg"},"productionBranch":{"type":"structure","members":{"lastDeployTime":{"type":"timestamp"},"status":{},"thumbnailUrl":{},"branchName":{}}},"buildSpec":{},"customHeaders":{},"enableAutoBranchCreation":{"type":"boolean"},"autoBranchCreationPatterns":{"shape":"Ss"},"autoBranchCreationConfig":{"shape":"Su"}}},"S1h":{"type":"structure","required":["backendEnvironmentArn","environmentName","createTime","updateTime"],"members":{"backendEnvironmentArn":{},"environmentName":{},"stackName":{},"deploymentArtifacts":{},"createTime":{"type":"timestamp"},"updateTime":{"type":"timestamp"}}},"S1o":{"type":"structure","required":["branchArn","branchName","description","stage","displayName","enableNotification","createTime","updateTime","environmentVariables","enableAutoBuild","customDomains","framework","activeJobId","totalNumberOfJobs","enableBasicAuth","ttl","enablePullRequestPreview"],"members":{"branchArn":{},"branchName":{},"description":{},"tags":{"shape":"Sm"},"stage":{},"displayName":{},"enableNotification":{"type":"boolean"},"createTime":{"type":"timestamp"},"updateTime":{"type":"timestamp"},"environmentVariables":{"shape":"S9"},"enableAutoBuild":{"type":"boolean"},"customDomains":{"type":"list","member":{}},"framework":{},"activeJobId":{},"totalNumberOfJobs":{},"enableBasicAuth":{"type":"boolean"},"enablePerformanceMode":{"type":"boolean"},"thumbnailUrl":{},"basicAuthCredentials":{"shape":"Sf"},"buildSpec":{},"ttl":{},"associatedResources":{"type":"list","member":{}},"enablePullRequestPreview":{"type":"boolean"},"pullRequestEnvironmentName":{},"destinationBranch":{},"sourceBranch":{},"backendEnvironmentArn":{}}},"S27":{"type":"list","member":{"shape":"S28"}},"S28":{"type":"structure","required":["prefix","branchName"],"members":{"prefix":{},"branchName":{}}},"S2a":{"type":"list","member":{}},"S2e":{"type":"structure","required":["domainAssociationArn","domainName","enableAutoSubDomain","domainStatus","statusReason","subDomains"],"members":{"domainAssociationArn":{},"domainName":{},"enableAutoSubDomain":{"type":"boolean"},"autoSubDomainCreationPatterns":{"shape":"S2a"},"autoSubDomainIAMRole":{},"domainStatus":{},"statusReason":{},"certificateVerificationDNSRecord":{},"subDomains":{"type":"list","member":{"type":"structure","required":["subDomainSetting","verified","dnsRecord"],"members":{"subDomainSetting":{"shape":"S28"},"verified":{"type":"boolean"},"dnsRecord":{}}}}}},"S2p":{"type":"structure","required":["webhookArn","webhookId","webhookUrl","branchName","description","createTime","updateTime"],"members":{"webhookArn":{},"webhookId":{},"webhookUrl":{},"branchName":{},"description":{},"createTime":{"type":"timestamp"},"updateTime":{"type":"timestamp"}}},"S33":{"type":"structure","required":["jobArn","jobId","commitId","commitMessage","commitTime","startTime","status","jobType"],"members":{"jobArn":{},"jobId":{},"commitId":{},"commitMessage":{},"commitTime":{"type":"timestamp"},"startTime":{"type":"timestamp"},"status":{},"endTime":{"type":"timestamp"},"jobType":{}}}}}');

/***/ }),

/***/ 53733:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 23939:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2020-08-11","endpointPrefix":"amplifybackend","signingName":"amplifybackend","serviceFullName":"AmplifyBackend","serviceId":"AmplifyBackend","protocol":"rest-json","jsonVersion":"1.1","uid":"amplifybackend-2020-08-11","signatureVersion":"v4"},"operations":{"CloneBackend":{"http":{"requestUri":"/backend/{appId}/environments/{backendEnvironmentName}/clone","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"TargetEnvironmentName":{"locationName":"targetEnvironmentName"}},"required":["AppId","BackendEnvironmentName","TargetEnvironmentName"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}}}},"CreateBackend":{"http":{"requestUri":"/backend","responseCode":200},"input":{"type":"structure","members":{"AppId":{"locationName":"appId"},"AppName":{"locationName":"appName"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"ResourceConfig":{"locationName":"resourceConfig","type":"structure","members":{}},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","BackendEnvironmentName","AppName"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}}}},"CreateBackendAPI":{"http":{"requestUri":"/backend/{appId}/api","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"ResourceConfig":{"shape":"S8","locationName":"resourceConfig"},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","ResourceName","BackendEnvironmentName","ResourceConfig"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}}}},"CreateBackendAuth":{"http":{"requestUri":"/backend/{appId}/auth","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"ResourceConfig":{"shape":"Si","locationName":"resourceConfig"},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","ResourceName","BackendEnvironmentName","ResourceConfig"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}}}},"CreateBackendConfig":{"http":{"requestUri":"/backend/{appId}/config","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendManagerAppId":{"locationName":"backendManagerAppId"}},"required":["AppId"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"JobId":{"locationName":"jobId"},"Status":{"locationName":"status"}}}},"CreateBackendStorage":{"http":{"requestUri":"/backend/{appId}/storage","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"ResourceConfig":{"locationName":"resourceConfig","type":"structure","members":{"BucketName":{"locationName":"bucketName"},"Permissions":{"shape":"S1g","locationName":"permissions"},"ServiceName":{"locationName":"serviceName"}},"required":["ServiceName","Permissions"]},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","ResourceName","BackendEnvironmentName","ResourceConfig"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"JobId":{"locationName":"jobId"},"Status":{"locationName":"status"}}}},"CreateToken":{"http":{"requestUri":"/backend/{appId}/challenge","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"}},"required":["AppId"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"ChallengeCode":{"locationName":"challengeCode"},"SessionId":{"locationName":"sessionId"},"Ttl":{"locationName":"ttl"}}}},"DeleteBackend":{"http":{"requestUri":"/backend/{appId}/environments/{backendEnvironmentName}/remove","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"}},"required":["AppId","BackendEnvironmentName"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}}}},"DeleteBackendAPI":{"http":{"requestUri":"/backend/{appId}/api/{backendEnvironmentName}/remove","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"ResourceConfig":{"shape":"S8","locationName":"resourceConfig"},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","BackendEnvironmentName","ResourceName"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}}}},"DeleteBackendAuth":{"http":{"requestUri":"/backend/{appId}/auth/{backendEnvironmentName}/remove","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","BackendEnvironmentName","ResourceName"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}}}},"DeleteBackendStorage":{"http":{"requestUri":"/backend/{appId}/storage/{backendEnvironmentName}/remove","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"ResourceName":{"locationName":"resourceName"},"ServiceName":{"locationName":"serviceName"}},"required":["AppId","BackendEnvironmentName","ServiceName","ResourceName"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"JobId":{"locationName":"jobId"},"Status":{"locationName":"status"}}}},"DeleteToken":{"http":{"requestUri":"/backend/{appId}/challenge/{sessionId}/remove","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"SessionId":{"location":"uri","locationName":"sessionId"}},"required":["SessionId","AppId"]},"output":{"type":"structure","members":{"IsSuccess":{"locationName":"isSuccess","type":"boolean"}}}},"GenerateBackendAPIModels":{"http":{"requestUri":"/backend/{appId}/api/{backendEnvironmentName}/generateModels","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","BackendEnvironmentName","ResourceName"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}}}},"GetBackend":{"http":{"requestUri":"/backend/{appId}/details","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"}},"required":["AppId"]},"output":{"type":"structure","members":{"AmplifyFeatureFlags":{"locationName":"amplifyFeatureFlags"},"AmplifyMetaConfig":{"locationName":"amplifyMetaConfig"},"AppId":{"locationName":"appId"},"AppName":{"locationName":"appName"},"BackendEnvironmentList":{"shape":"S11","locationName":"backendEnvironmentList"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"}}}},"GetBackendAPI":{"http":{"requestUri":"/backend/{appId}/api/{backendEnvironmentName}/details","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"ResourceConfig":{"shape":"S8","locationName":"resourceConfig"},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","BackendEnvironmentName","ResourceName"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"ResourceConfig":{"shape":"S8","locationName":"resourceConfig"},"ResourceName":{"locationName":"resourceName"}}}},"GetBackendAPIModels":{"http":{"requestUri":"/backend/{appId}/api/{backendEnvironmentName}/getModels","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","BackendEnvironmentName","ResourceName"]},"output":{"type":"structure","members":{"Models":{"locationName":"models"},"Status":{"locationName":"status"}}}},"GetBackendAuth":{"http":{"requestUri":"/backend/{appId}/auth/{backendEnvironmentName}/details","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","BackendEnvironmentName","ResourceName"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"ResourceConfig":{"shape":"Si","locationName":"resourceConfig"},"ResourceName":{"locationName":"resourceName"}}}},"GetBackendJob":{"http":{"method":"GET","requestUri":"/backend/{appId}/job/{backendEnvironmentName}/{jobId}","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"JobId":{"location":"uri","locationName":"jobId"}},"required":["AppId","BackendEnvironmentName","JobId"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"CreateTime":{"locationName":"createTime"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"},"UpdateTime":{"locationName":"updateTime"}}}},"GetBackendStorage":{"http":{"requestUri":"/backend/{appId}/storage/{backendEnvironmentName}/details","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","BackendEnvironmentName","ResourceName"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"ResourceConfig":{"locationName":"resourceConfig","type":"structure","members":{"BucketName":{"locationName":"bucketName"},"Imported":{"locationName":"imported","type":"boolean"},"Permissions":{"shape":"S1g","locationName":"permissions"},"ServiceName":{"locationName":"serviceName"}},"required":["ServiceName","Imported"]},"ResourceName":{"locationName":"resourceName"}}}},"GetToken":{"http":{"method":"GET","requestUri":"/backend/{appId}/challenge/{sessionId}","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"SessionId":{"location":"uri","locationName":"sessionId"}},"required":["SessionId","AppId"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"ChallengeCode":{"locationName":"challengeCode"},"SessionId":{"locationName":"sessionId"},"Ttl":{"locationName":"ttl"}}}},"ImportBackendAuth":{"http":{"requestUri":"/backend/{appId}/auth/{backendEnvironmentName}/import","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"IdentityPoolId":{"locationName":"identityPoolId"},"NativeClientId":{"locationName":"nativeClientId"},"UserPoolId":{"locationName":"userPoolId"},"WebClientId":{"locationName":"webClientId"}},"required":["AppId","BackendEnvironmentName","UserPoolId","NativeClientId","WebClientId"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}}}},"ImportBackendStorage":{"http":{"requestUri":"/backend/{appId}/storage/{backendEnvironmentName}/import","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"BucketName":{"locationName":"bucketName"},"ServiceName":{"locationName":"serviceName"}},"required":["AppId","BackendEnvironmentName","ServiceName"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"JobId":{"locationName":"jobId"},"Status":{"locationName":"status"}}}},"ListBackendJobs":{"http":{"requestUri":"/backend/{appId}/job/{backendEnvironmentName}","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"JobId":{"locationName":"jobId"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}},"required":["AppId","BackendEnvironmentName"]},"output":{"type":"structure","members":{"Jobs":{"locationName":"jobs","type":"list","member":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"CreateTime":{"locationName":"createTime"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"},"UpdateTime":{"locationName":"updateTime"}},"required":["AppId","BackendEnvironmentName"]}},"NextToken":{"locationName":"nextToken"}}}},"ListS3Buckets":{"http":{"requestUri":"/s3Buckets","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"}}},"output":{"type":"structure","members":{"Buckets":{"locationName":"buckets","type":"list","member":{"type":"structure","members":{"CreationDate":{"locationName":"creationDate"},"Name":{"locationName":"name"}}}},"NextToken":{"locationName":"nextToken"}}}},"RemoveAllBackends":{"http":{"requestUri":"/backend/{appId}/remove","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"CleanAmplifyApp":{"locationName":"cleanAmplifyApp","type":"boolean"}},"required":["AppId"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}}}},"RemoveBackendConfig":{"http":{"requestUri":"/backend/{appId}/config/remove","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"}},"required":["AppId"]},"output":{"type":"structure","members":{"Error":{"locationName":"error"}}}},"UpdateBackendAPI":{"http":{"requestUri":"/backend/{appId}/api/{backendEnvironmentName}","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"ResourceConfig":{"shape":"S8","locationName":"resourceConfig"},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","BackendEnvironmentName","ResourceName"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}}}},"UpdateBackendAuth":{"http":{"requestUri":"/backend/{appId}/auth/{backendEnvironmentName}","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"ResourceConfig":{"locationName":"resourceConfig","type":"structure","members":{"AuthResources":{"locationName":"authResources"},"IdentityPoolConfigs":{"locationName":"identityPoolConfigs","type":"structure","members":{"UnauthenticatedLogin":{"locationName":"unauthenticatedLogin","type":"boolean"}}},"Service":{"locationName":"service"},"UserPoolConfigs":{"locationName":"userPoolConfigs","type":"structure","members":{"ForgotPassword":{"locationName":"forgotPassword","type":"structure","members":{"DeliveryMethod":{"locationName":"deliveryMethod"},"EmailSettings":{"shape":"Sq","locationName":"emailSettings"},"SmsSettings":{"shape":"Sr","locationName":"smsSettings"}}},"Mfa":{"locationName":"mfa","type":"structure","members":{"MFAMode":{},"Settings":{"shape":"Su","locationName":"settings"}}},"OAuth":{"locationName":"oAuth","type":"structure","members":{"DomainPrefix":{"locationName":"domainPrefix"},"OAuthGrantType":{"locationName":"oAuthGrantType"},"OAuthScopes":{"shape":"Sz","locationName":"oAuthScopes"},"RedirectSignInURIs":{"shape":"S11","locationName":"redirectSignInURIs"},"RedirectSignOutURIs":{"shape":"S11","locationName":"redirectSignOutURIs"},"SocialProviderSettings":{"shape":"S12","locationName":"socialProviderSettings"}}},"PasswordPolicy":{"locationName":"passwordPolicy","type":"structure","members":{"AdditionalConstraints":{"shape":"S16","locationName":"additionalConstraints"},"MinimumLength":{"locationName":"minimumLength","type":"double"}}}}}},"required":["AuthResources","UserPoolConfigs","Service"]},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","BackendEnvironmentName","ResourceName","ResourceConfig"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}}}},"UpdateBackendConfig":{"http":{"requestUri":"/backend/{appId}/config/update","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"LoginAuthConfig":{"shape":"S3a","locationName":"loginAuthConfig"}},"required":["AppId"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendManagerAppId":{"locationName":"backendManagerAppId"},"Error":{"locationName":"error"},"LoginAuthConfig":{"shape":"S3a","locationName":"loginAuthConfig"}}}},"UpdateBackendJob":{"http":{"requestUri":"/backend/{appId}/job/{backendEnvironmentName}/{jobId}","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"JobId":{"location":"uri","locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"}},"required":["AppId","BackendEnvironmentName","JobId"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"CreateTime":{"locationName":"createTime"},"Error":{"locationName":"error"},"JobId":{"locationName":"jobId"},"Operation":{"locationName":"operation"},"Status":{"locationName":"status"},"UpdateTime":{"locationName":"updateTime"}}}},"UpdateBackendStorage":{"http":{"requestUri":"/backend/{appId}/storage/{backendEnvironmentName}","responseCode":200},"input":{"type":"structure","members":{"AppId":{"location":"uri","locationName":"appId"},"BackendEnvironmentName":{"location":"uri","locationName":"backendEnvironmentName"},"ResourceConfig":{"locationName":"resourceConfig","type":"structure","members":{"Permissions":{"shape":"S1g","locationName":"permissions"},"ServiceName":{"locationName":"serviceName"}},"required":["ServiceName","Permissions"]},"ResourceName":{"locationName":"resourceName"}},"required":["AppId","BackendEnvironmentName","ResourceName","ResourceConfig"]},"output":{"type":"structure","members":{"AppId":{"locationName":"appId"},"BackendEnvironmentName":{"locationName":"backendEnvironmentName"},"JobId":{"locationName":"jobId"},"Status":{"locationName":"status"}}}}},"shapes":{"S8":{"type":"structure","members":{"AdditionalAuthTypes":{"locationName":"additionalAuthTypes","type":"list","member":{"shape":"Sa"}},"ApiName":{"locationName":"apiName"},"ConflictResolution":{"locationName":"conflictResolution","type":"structure","members":{"ResolutionStrategy":{"locationName":"resolutionStrategy"}}},"DefaultAuthType":{"shape":"Sa","locationName":"defaultAuthType"},"Service":{"locationName":"service"},"TransformSchema":{"locationName":"transformSchema"}}},"Sa":{"type":"structure","members":{"Mode":{"locationName":"mode"},"Settings":{"locationName":"settings","type":"structure","members":{"CognitoUserPoolId":{"locationName":"cognitoUserPoolId"},"Description":{"locationName":"description"},"ExpirationTime":{"locationName":"expirationTime","type":"double"},"OpenIDAuthTTL":{"locationName":"openIDAuthTTL"},"OpenIDClientId":{"locationName":"openIDClientId"},"OpenIDIatTTL":{"locationName":"openIDIatTTL"},"OpenIDIssueURL":{"locationName":"openIDIssueURL"},"OpenIDProviderName":{"locationName":"openIDProviderName"}}}}},"Si":{"type":"structure","members":{"AuthResources":{"locationName":"authResources"},"IdentityPoolConfigs":{"locationName":"identityPoolConfigs","type":"structure","members":{"IdentityPoolName":{"locationName":"identityPoolName"},"UnauthenticatedLogin":{"locationName":"unauthenticatedLogin","type":"boolean"}},"required":["UnauthenticatedLogin","IdentityPoolName"]},"Service":{"locationName":"service"},"UserPoolConfigs":{"locationName":"userPoolConfigs","type":"structure","members":{"ForgotPassword":{"locationName":"forgotPassword","type":"structure","members":{"DeliveryMethod":{"locationName":"deliveryMethod"},"EmailSettings":{"shape":"Sq","locationName":"emailSettings"},"SmsSettings":{"shape":"Sr","locationName":"smsSettings"}},"required":["DeliveryMethod"]},"Mfa":{"locationName":"mfa","type":"structure","members":{"MFAMode":{},"Settings":{"shape":"Su","locationName":"settings"}},"required":["MFAMode"]},"OAuth":{"locationName":"oAuth","type":"structure","members":{"DomainPrefix":{"locationName":"domainPrefix"},"OAuthGrantType":{"locationName":"oAuthGrantType"},"OAuthScopes":{"shape":"Sz","locationName":"oAuthScopes"},"RedirectSignInURIs":{"shape":"S11","locationName":"redirectSignInURIs"},"RedirectSignOutURIs":{"shape":"S11","locationName":"redirectSignOutURIs"},"SocialProviderSettings":{"shape":"S12","locationName":"socialProviderSettings"}},"required":["RedirectSignOutURIs","RedirectSignInURIs","OAuthGrantType","OAuthScopes"]},"PasswordPolicy":{"locationName":"passwordPolicy","type":"structure","members":{"AdditionalConstraints":{"shape":"S16","locationName":"additionalConstraints"},"MinimumLength":{"locationName":"minimumLength","type":"double"}},"required":["MinimumLength"]},"RequiredSignUpAttributes":{"locationName":"requiredSignUpAttributes","type":"list","member":{}},"SignInMethod":{"locationName":"signInMethod"},"UserPoolName":{"locationName":"userPoolName"}},"required":["RequiredSignUpAttributes","SignInMethod","UserPoolName"]}},"required":["AuthResources","UserPoolConfigs","Service"]},"Sq":{"type":"structure","members":{"EmailMessage":{"locationName":"emailMessage"},"EmailSubject":{"locationName":"emailSubject"}}},"Sr":{"type":"structure","members":{"SmsMessage":{"locationName":"smsMessage"}}},"Su":{"type":"structure","members":{"MfaTypes":{"locationName":"mfaTypes","type":"list","member":{}},"SmsMessage":{"locationName":"smsMessage"}}},"Sz":{"type":"list","member":{}},"S11":{"type":"list","member":{}},"S12":{"type":"structure","members":{"Facebook":{"shape":"S13"},"Google":{"shape":"S13"},"LoginWithAmazon":{"shape":"S13"},"SignInWithApple":{"type":"structure","members":{"ClientId":{"locationName":"client_id"},"KeyId":{"locationName":"key_id"},"PrivateKey":{"locationName":"private_key"},"TeamId":{"locationName":"team_id"}}}}},"S13":{"type":"structure","members":{"ClientId":{"locationName":"client_id"},"ClientSecret":{"locationName":"client_secret"}}},"S16":{"type":"list","member":{}},"S1g":{"type":"structure","members":{"Authenticated":{"locationName":"authenticated","type":"list","member":{}},"UnAuthenticated":{"locationName":"unAuthenticated","type":"list","member":{}}},"required":["Authenticated"]},"S3a":{"type":"structure","members":{"AwsCognitoIdentityPoolId":{"locationName":"aws_cognito_identity_pool_id"},"AwsCognitoRegion":{"locationName":"aws_cognito_region"},"AwsUserPoolsId":{"locationName":"aws_user_pools_id"},"AwsUserPoolsWebClientId":{"locationName":"aws_user_pools_web_client_id"}}}}}');

/***/ }),

/***/ 27232:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListBackendJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Jobs"}}}');

/***/ }),

/***/ 48987:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-08-11","endpointPrefix":"amplifyuibuilder","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS Amplify UI Builder","serviceId":"AmplifyUIBuilder","signatureVersion":"v4","signingName":"amplifyuibuilder","uid":"amplifyuibuilder-2021-08-11"},"operations":{"CreateComponent":{"http":{"requestUri":"/app/{appId}/environment/{environmentName}/components","responseCode":200},"input":{"type":"structure","required":["appId","componentToCreate","environmentName"],"members":{"appId":{"location":"uri","locationName":"appId"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"},"componentToCreate":{"type":"structure","required":["bindingProperties","componentType","name","overrides","properties","variants"],"members":{"bindingProperties":{"shape":"S4"},"children":{"shape":"S9"},"collectionProperties":{"shape":"Sj"},"componentType":{},"name":{},"overrides":{"shape":"Sr"},"properties":{"shape":"Sb"},"sourceId":{},"tags":{"shape":"St"},"variants":{"shape":"Sw"}}},"environmentName":{"location":"uri","locationName":"environmentName"}},"payload":"componentToCreate"},"output":{"type":"structure","members":{"entity":{"shape":"S10"}},"payload":"entity"},"idempotent":true},"CreateTheme":{"http":{"requestUri":"/app/{appId}/environment/{environmentName}/themes","responseCode":200},"input":{"type":"structure","required":["appId","environmentName","themeToCreate"],"members":{"appId":{"location":"uri","locationName":"appId"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"},"environmentName":{"location":"uri","locationName":"environmentName"},"themeToCreate":{"type":"structure","required":["name","values"],"members":{"name":{},"overrides":{"shape":"S16"},"tags":{"shape":"St"},"values":{"shape":"S16"}}}},"payload":"themeToCreate"},"output":{"type":"structure","members":{"entity":{"shape":"S1a"}},"payload":"entity"},"idempotent":true},"DeleteComponent":{"http":{"method":"DELETE","requestUri":"/app/{appId}/environment/{environmentName}/components/{id}","responseCode":200},"input":{"type":"structure","required":["appId","environmentName","id"],"members":{"appId":{"location":"uri","locationName":"appId"},"environmentName":{"location":"uri","locationName":"environmentName"},"id":{"location":"uri","locationName":"id"}}},"idempotent":true},"DeleteTheme":{"http":{"method":"DELETE","requestUri":"/app/{appId}/environment/{environmentName}/themes/{id}","responseCode":200},"input":{"type":"structure","required":["appId","environmentName","id"],"members":{"appId":{"location":"uri","locationName":"appId"},"environmentName":{"location":"uri","locationName":"environmentName"},"id":{"location":"uri","locationName":"id"}}},"idempotent":true},"ExchangeCodeForToken":{"http":{"requestUri":"/tokens/{provider}","responseCode":200},"input":{"type":"structure","required":["provider","request"],"members":{"provider":{"location":"uri","locationName":"provider"},"request":{"type":"structure","required":["code","redirectUri"],"members":{"code":{"type":"string","sensitive":true},"redirectUri":{}}}},"payload":"request"},"output":{"type":"structure","required":["accessToken","expiresIn","refreshToken"],"members":{"accessToken":{"shape":"S1i"},"expiresIn":{"type":"integer"},"refreshToken":{"shape":"S1i"}}}},"ExportComponents":{"http":{"method":"GET","requestUri":"/export/app/{appId}/environment/{environmentName}/components","responseCode":200},"input":{"type":"structure","required":["appId","environmentName"],"members":{"appId":{"location":"uri","locationName":"appId"},"environmentName":{"location":"uri","locationName":"environmentName"}}},"output":{"type":"structure","required":["entities"],"members":{"entities":{"type":"list","member":{"shape":"S10"}}}}},"ExportThemes":{"http":{"method":"GET","requestUri":"/export/app/{appId}/environment/{environmentName}/themes","responseCode":200},"input":{"type":"structure","required":["appId","environmentName"],"members":{"appId":{"location":"uri","locationName":"appId"},"environmentName":{"location":"uri","locationName":"environmentName"}}},"output":{"type":"structure","required":["entities"],"members":{"entities":{"type":"list","member":{"shape":"S1a"}}}}},"GetComponent":{"http":{"method":"GET","requestUri":"/app/{appId}/environment/{environmentName}/components/{id}","responseCode":200},"input":{"type":"structure","required":["appId","environmentName","id"],"members":{"appId":{"location":"uri","locationName":"appId"},"environmentName":{"location":"uri","locationName":"environmentName"},"id":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"component":{"shape":"S10"}},"payload":"component"}},"GetTheme":{"http":{"method":"GET","requestUri":"/app/{appId}/environment/{environmentName}/themes/{id}","responseCode":200},"input":{"type":"structure","required":["appId","environmentName","id"],"members":{"appId":{"location":"uri","locationName":"appId"},"environmentName":{"location":"uri","locationName":"environmentName"},"id":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"theme":{"shape":"S1a"}},"payload":"theme"}},"ListComponents":{"http":{"method":"GET","requestUri":"/app/{appId}/environment/{environmentName}/components","responseCode":200},"input":{"type":"structure","required":["appId","environmentName"],"members":{"appId":{"location":"uri","locationName":"appId"},"environmentName":{"location":"uri","locationName":"environmentName"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["entities"],"members":{"entities":{"type":"list","member":{"type":"structure","required":["appId","componentType","environmentName","id","name"],"members":{"appId":{},"componentType":{},"environmentName":{},"id":{},"name":{}}}},"nextToken":{}}}},"ListThemes":{"http":{"method":"GET","requestUri":"/app/{appId}/environment/{environmentName}/themes","responseCode":200},"input":{"type":"structure","required":["appId","environmentName"],"members":{"appId":{"location":"uri","locationName":"appId"},"environmentName":{"location":"uri","locationName":"environmentName"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["entities"],"members":{"entities":{"type":"list","member":{"type":"structure","required":["appId","environmentName","id","name"],"members":{"appId":{},"environmentName":{},"id":{},"name":{}}}},"nextToken":{}}}},"RefreshToken":{"http":{"requestUri":"/tokens/{provider}/refresh","responseCode":200},"input":{"type":"structure","required":["provider","refreshTokenBody"],"members":{"provider":{"location":"uri","locationName":"provider"},"refreshTokenBody":{"type":"structure","required":["token"],"members":{"token":{"type":"string","sensitive":true}}}},"payload":"refreshTokenBody"},"output":{"type":"structure","required":["accessToken","expiresIn"],"members":{"accessToken":{"type":"string","sensitive":true},"expiresIn":{"type":"integer"}}}},"UpdateComponent":{"http":{"method":"PATCH","requestUri":"/app/{appId}/environment/{environmentName}/components/{id}","responseCode":200},"input":{"type":"structure","required":["appId","environmentName","id","updatedComponent"],"members":{"appId":{"location":"uri","locationName":"appId"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"},"environmentName":{"location":"uri","locationName":"environmentName"},"id":{"location":"uri","locationName":"id"},"updatedComponent":{"type":"structure","members":{"bindingProperties":{"shape":"S4"},"children":{"shape":"S9"},"collectionProperties":{"shape":"Sj"},"componentType":{},"id":{},"name":{},"overrides":{"shape":"Sr"},"properties":{"shape":"Sb"},"sourceId":{},"variants":{"shape":"Sw"}}}},"payload":"updatedComponent"},"output":{"type":"structure","members":{"entity":{"shape":"S10"}},"payload":"entity"},"idempotent":true},"UpdateTheme":{"http":{"method":"PATCH","requestUri":"/app/{appId}/environment/{environmentName}/themes/{id}","responseCode":200},"input":{"type":"structure","required":["appId","environmentName","id","updatedTheme"],"members":{"appId":{"location":"uri","locationName":"appId"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"},"environmentName":{"location":"uri","locationName":"environmentName"},"id":{"location":"uri","locationName":"id"},"updatedTheme":{"type":"structure","required":["values"],"members":{"id":{},"name":{},"overrides":{"shape":"S16"},"values":{"shape":"S16"}}}},"payload":"updatedTheme"},"output":{"type":"structure","members":{"entity":{"shape":"S1a"}},"payload":"entity"},"idempotent":true}},"shapes":{"S4":{"type":"map","key":{},"value":{"type":"structure","members":{"bindingProperties":{"type":"structure","members":{"bucket":{},"defaultValue":{},"field":{},"key":{},"model":{},"predicates":{"shape":"S7"},"userAttribute":{}}},"defaultValue":{},"type":{}}}},"S7":{"type":"list","member":{"shape":"S8"}},"S8":{"type":"structure","members":{"and":{"shape":"S7"},"field":{},"operand":{},"operator":{},"or":{"shape":"S7"}}},"S9":{"type":"list","member":{"type":"structure","required":["componentType","name","properties"],"members":{"children":{"shape":"S9"},"componentType":{},"name":{},"properties":{"shape":"Sb"}}}},"Sb":{"type":"map","key":{},"value":{"shape":"Sc"}},"Sc":{"type":"structure","members":{"bindingProperties":{"shape":"Sd"},"bindings":{"type":"map","key":{},"value":{"type":"structure","required":["element","property"],"members":{"element":{},"property":{}}}},"collectionBindingProperties":{"shape":"Sd"},"concat":{"type":"list","member":{"shape":"Sc"}},"condition":{"type":"structure","members":{"else":{"shape":"Sc"},"field":{},"operand":{},"operator":{},"property":{},"then":{"shape":"Sc"}}},"configured":{"type":"boolean"},"defaultValue":{},"event":{},"importedValue":{},"model":{},"type":{},"userAttribute":{},"value":{}}},"Sd":{"type":"structure","required":["property"],"members":{"field":{},"property":{}}},"Sj":{"type":"map","key":{},"value":{"type":"structure","required":["model"],"members":{"identifiers":{"type":"list","member":{}},"model":{},"predicate":{"shape":"S8"},"sort":{"type":"list","member":{"type":"structure","required":["direction","field"],"members":{"direction":{},"field":{}}}}}}},"Sr":{"type":"map","key":{},"value":{"type":"map","key":{},"value":{}}},"St":{"type":"map","key":{},"value":{}},"Sw":{"type":"list","member":{"type":"structure","members":{"overrides":{"shape":"Sr"},"variantValues":{"type":"map","key":{},"value":{}}}}},"S10":{"type":"structure","required":["appId","bindingProperties","componentType","createdAt","environmentName","id","name","overrides","properties","variants"],"members":{"appId":{},"bindingProperties":{"shape":"S4"},"children":{"shape":"S9"},"collectionProperties":{"shape":"Sj"},"componentType":{},"createdAt":{"shape":"S11"},"environmentName":{},"id":{},"modifiedAt":{"shape":"S11"},"name":{},"overrides":{"shape":"Sr"},"properties":{"shape":"Sb"},"sourceId":{},"tags":{"shape":"St"},"variants":{"shape":"Sw"}}},"S11":{"type":"timestamp","timestampFormat":"iso8601"},"S16":{"type":"list","member":{"type":"structure","members":{"key":{},"value":{"type":"structure","members":{"children":{"shape":"S16"},"value":{}}}}}},"S1a":{"type":"structure","required":["appId","createdAt","environmentName","id","name","values"],"members":{"appId":{},"createdAt":{"shape":"S11"},"environmentName":{},"id":{},"modifiedAt":{"shape":"S11"},"name":{},"overrides":{"shape":"S16"},"tags":{"shape":"St"},"values":{"shape":"S16"}}},"S1i":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 56072:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListComponents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"entities"},"ListThemes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"entities"}}}');

/***/ }),

/***/ 59463:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-07-09","endpointPrefix":"apigateway","protocol":"rest-json","serviceFullName":"Amazon API Gateway","serviceId":"API Gateway","signatureVersion":"v4","uid":"apigateway-2015-07-09"},"operations":{"CreateApiKey":{"http":{"requestUri":"/apikeys","responseCode":201},"input":{"type":"structure","members":{"name":{},"description":{},"enabled":{"type":"boolean"},"generateDistinctId":{"type":"boolean"},"value":{},"stageKeys":{"type":"list","member":{"type":"structure","members":{"restApiId":{},"stageName":{}}}},"customerId":{},"tags":{"shape":"S6"}}},"output":{"shape":"S7"}},"CreateAuthorizer":{"http":{"requestUri":"/restapis/{restapi_id}/authorizers","responseCode":201},"input":{"type":"structure","required":["restApiId","name","type"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"name":{},"type":{},"providerARNs":{"shape":"Sc"},"authType":{},"authorizerUri":{},"authorizerCredentials":{},"identitySource":{},"identityValidationExpression":{},"authorizerResultTtlInSeconds":{"type":"integer"}}},"output":{"shape":"Sf"}},"CreateBasePathMapping":{"http":{"requestUri":"/domainnames/{domain_name}/basepathmappings","responseCode":201},"input":{"type":"structure","required":["domainName","restApiId"],"members":{"domainName":{"location":"uri","locationName":"domain_name"},"basePath":{},"restApiId":{},"stage":{}}},"output":{"shape":"Sh"}},"CreateDeployment":{"http":{"requestUri":"/restapis/{restapi_id}/deployments","responseCode":201},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"stageName":{},"stageDescription":{},"description":{},"cacheClusterEnabled":{"type":"boolean"},"cacheClusterSize":{},"variables":{"shape":"S6"},"canarySettings":{"type":"structure","members":{"percentTraffic":{"type":"double"},"stageVariableOverrides":{"shape":"S6"},"useStageCache":{"type":"boolean"}}},"tracingEnabled":{"type":"boolean"}}},"output":{"shape":"Sn"}},"CreateDocumentationPart":{"http":{"requestUri":"/restapis/{restapi_id}/documentation/parts","responseCode":201},"input":{"type":"structure","required":["restApiId","location","properties"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"location":{"shape":"Ss"},"properties":{}}},"output":{"shape":"Sv"}},"CreateDocumentationVersion":{"http":{"requestUri":"/restapis/{restapi_id}/documentation/versions","responseCode":201},"input":{"type":"structure","required":["restApiId","documentationVersion"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"documentationVersion":{},"stageName":{},"description":{}}},"output":{"shape":"Sx"}},"CreateDomainName":{"http":{"requestUri":"/domainnames","responseCode":201},"input":{"type":"structure","required":["domainName"],"members":{"domainName":{},"certificateName":{},"certificateBody":{},"certificatePrivateKey":{},"certificateChain":{},"certificateArn":{},"regionalCertificateName":{},"regionalCertificateArn":{},"endpointConfiguration":{"shape":"Sz"},"tags":{"shape":"S6"},"securityPolicy":{},"mutualTlsAuthentication":{"type":"structure","members":{"truststoreUri":{},"truststoreVersion":{}}},"ownershipVerificationCertificateArn":{}}},"output":{"shape":"S14"}},"CreateModel":{"http":{"requestUri":"/restapis/{restapi_id}/models","responseCode":201},"input":{"type":"structure","required":["restApiId","name","contentType"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"name":{},"description":{},"schema":{},"contentType":{}}},"output":{"shape":"S18"}},"CreateRequestValidator":{"http":{"requestUri":"/restapis/{restapi_id}/requestvalidators","responseCode":201},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"name":{},"validateRequestBody":{"type":"boolean"},"validateRequestParameters":{"type":"boolean"}}},"output":{"shape":"S1a"}},"CreateResource":{"http":{"requestUri":"/restapis/{restapi_id}/resources/{parent_id}","responseCode":201},"input":{"type":"structure","required":["restApiId","parentId","pathPart"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"parentId":{"location":"uri","locationName":"parent_id"},"pathPart":{}}},"output":{"shape":"S1c"}},"CreateRestApi":{"http":{"requestUri":"/restapis","responseCode":201},"input":{"type":"structure","required":["name"],"members":{"name":{},"description":{},"version":{},"cloneFrom":{},"binaryMediaTypes":{"shape":"S9"},"minimumCompressionSize":{"type":"integer"},"apiKeySource":{},"endpointConfiguration":{"shape":"Sz"},"policy":{},"tags":{"shape":"S6"},"disableExecuteApiEndpoint":{"type":"boolean"}}},"output":{"shape":"S1t"}},"CreateStage":{"http":{"requestUri":"/restapis/{restapi_id}/stages","responseCode":201},"input":{"type":"structure","required":["restApiId","stageName","deploymentId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"stageName":{},"deploymentId":{},"description":{},"cacheClusterEnabled":{"type":"boolean"},"cacheClusterSize":{},"variables":{"shape":"S6"},"documentationVersion":{},"canarySettings":{"shape":"S1v"},"tracingEnabled":{"type":"boolean"},"tags":{"shape":"S6"}}},"output":{"shape":"S1w"}},"CreateUsagePlan":{"http":{"requestUri":"/usageplans","responseCode":201},"input":{"type":"structure","required":["name"],"members":{"name":{},"description":{},"apiStages":{"shape":"S23"},"throttle":{"shape":"S26"},"quota":{"shape":"S27"},"tags":{"shape":"S6"}}},"output":{"shape":"S29"}},"CreateUsagePlanKey":{"http":{"requestUri":"/usageplans/{usageplanId}/keys","responseCode":201},"input":{"type":"structure","required":["usagePlanId","keyId","keyType"],"members":{"usagePlanId":{"location":"uri","locationName":"usageplanId"},"keyId":{},"keyType":{}}},"output":{"shape":"S2b"}},"CreateVpcLink":{"http":{"requestUri":"/vpclinks","responseCode":202},"input":{"type":"structure","required":["name","targetArns"],"members":{"name":{},"description":{},"targetArns":{"shape":"S9"},"tags":{"shape":"S6"}}},"output":{"shape":"S2d"}},"DeleteApiKey":{"http":{"method":"DELETE","requestUri":"/apikeys/{api_Key}","responseCode":202},"input":{"type":"structure","required":["apiKey"],"members":{"apiKey":{"location":"uri","locationName":"api_Key"}}}},"DeleteAuthorizer":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/authorizers/{authorizer_id}","responseCode":202},"input":{"type":"structure","required":["restApiId","authorizerId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"authorizerId":{"location":"uri","locationName":"authorizer_id"}}}},"DeleteBasePathMapping":{"http":{"method":"DELETE","requestUri":"/domainnames/{domain_name}/basepathmappings/{base_path}","responseCode":202},"input":{"type":"structure","required":["domainName","basePath"],"members":{"domainName":{"location":"uri","locationName":"domain_name"},"basePath":{"location":"uri","locationName":"base_path"}}}},"DeleteClientCertificate":{"http":{"method":"DELETE","requestUri":"/clientcertificates/{clientcertificate_id}","responseCode":202},"input":{"type":"structure","required":["clientCertificateId"],"members":{"clientCertificateId":{"location":"uri","locationName":"clientcertificate_id"}}}},"DeleteDeployment":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/deployments/{deployment_id}","responseCode":202},"input":{"type":"structure","required":["restApiId","deploymentId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"deploymentId":{"location":"uri","locationName":"deployment_id"}}}},"DeleteDocumentationPart":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/documentation/parts/{part_id}","responseCode":202},"input":{"type":"structure","required":["restApiId","documentationPartId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"documentationPartId":{"location":"uri","locationName":"part_id"}}}},"DeleteDocumentationVersion":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/documentation/versions/{doc_version}","responseCode":202},"input":{"type":"structure","required":["restApiId","documentationVersion"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"documentationVersion":{"location":"uri","locationName":"doc_version"}}}},"DeleteDomainName":{"http":{"method":"DELETE","requestUri":"/domainnames/{domain_name}","responseCode":202},"input":{"type":"structure","required":["domainName"],"members":{"domainName":{"location":"uri","locationName":"domain_name"}}}},"DeleteGatewayResponse":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/gatewayresponses/{response_type}","responseCode":202},"input":{"type":"structure","required":["restApiId","responseType"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"responseType":{"location":"uri","locationName":"response_type"}}}},"DeleteIntegration":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration","responseCode":204},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"}}}},"DeleteIntegrationResponse":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}","responseCode":204},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod","statusCode"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"statusCode":{"location":"uri","locationName":"status_code"}}}},"DeleteMethod":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}","responseCode":204},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"}}}},"DeleteMethodResponse":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}","responseCode":204},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod","statusCode"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"statusCode":{"location":"uri","locationName":"status_code"}}}},"DeleteModel":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/models/{model_name}","responseCode":202},"input":{"type":"structure","required":["restApiId","modelName"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"modelName":{"location":"uri","locationName":"model_name"}}}},"DeleteRequestValidator":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/requestvalidators/{requestvalidator_id}","responseCode":202},"input":{"type":"structure","required":["restApiId","requestValidatorId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"requestValidatorId":{"location":"uri","locationName":"requestvalidator_id"}}}},"DeleteResource":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/resources/{resource_id}","responseCode":202},"input":{"type":"structure","required":["restApiId","resourceId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"}}}},"DeleteRestApi":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}","responseCode":202},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"}}}},"DeleteStage":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/stages/{stage_name}","responseCode":202},"input":{"type":"structure","required":["restApiId","stageName"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"stageName":{"location":"uri","locationName":"stage_name"}}}},"DeleteUsagePlan":{"http":{"method":"DELETE","requestUri":"/usageplans/{usageplanId}","responseCode":202},"input":{"type":"structure","required":["usagePlanId"],"members":{"usagePlanId":{"location":"uri","locationName":"usageplanId"}}}},"DeleteUsagePlanKey":{"http":{"method":"DELETE","requestUri":"/usageplans/{usageplanId}/keys/{keyId}","responseCode":202},"input":{"type":"structure","required":["usagePlanId","keyId"],"members":{"usagePlanId":{"location":"uri","locationName":"usageplanId"},"keyId":{"location":"uri","locationName":"keyId"}}}},"DeleteVpcLink":{"http":{"method":"DELETE","requestUri":"/vpclinks/{vpclink_id}","responseCode":202},"input":{"type":"structure","required":["vpcLinkId"],"members":{"vpcLinkId":{"location":"uri","locationName":"vpclink_id"}}}},"FlushStageAuthorizersCache":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/stages/{stage_name}/cache/authorizers","responseCode":202},"input":{"type":"structure","required":["restApiId","stageName"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"stageName":{"location":"uri","locationName":"stage_name"}}}},"FlushStageCache":{"http":{"method":"DELETE","requestUri":"/restapis/{restapi_id}/stages/{stage_name}/cache/data","responseCode":202},"input":{"type":"structure","required":["restApiId","stageName"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"stageName":{"location":"uri","locationName":"stage_name"}}}},"GenerateClientCertificate":{"http":{"requestUri":"/clientcertificates","responseCode":201},"input":{"type":"structure","members":{"description":{},"tags":{"shape":"S6"}}},"output":{"shape":"S34"}},"GetAccount":{"http":{"method":"GET","requestUri":"/account"},"input":{"type":"structure","members":{}},"output":{"shape":"S36"}},"GetApiKey":{"http":{"method":"GET","requestUri":"/apikeys/{api_Key}"},"input":{"type":"structure","required":["apiKey"],"members":{"apiKey":{"location":"uri","locationName":"api_Key"},"includeValue":{"location":"querystring","locationName":"includeValue","type":"boolean"}}},"output":{"shape":"S7"}},"GetApiKeys":{"http":{"method":"GET","requestUri":"/apikeys"},"input":{"type":"structure","members":{"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"},"nameQuery":{"location":"querystring","locationName":"name"},"customerId":{"location":"querystring","locationName":"customerId"},"includeValues":{"location":"querystring","locationName":"includeValues","type":"boolean"}}},"output":{"type":"structure","members":{"warnings":{"shape":"S9"},"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"S7"}}}}},"GetAuthorizer":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/authorizers/{authorizer_id}"},"input":{"type":"structure","required":["restApiId","authorizerId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"authorizerId":{"location":"uri","locationName":"authorizer_id"}}},"output":{"shape":"Sf"}},"GetAuthorizers":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/authorizers"},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"Sf"}}}}},"GetBasePathMapping":{"http":{"method":"GET","requestUri":"/domainnames/{domain_name}/basepathmappings/{base_path}"},"input":{"type":"structure","required":["domainName","basePath"],"members":{"domainName":{"location":"uri","locationName":"domain_name"},"basePath":{"location":"uri","locationName":"base_path"}}},"output":{"shape":"Sh"}},"GetBasePathMappings":{"http":{"method":"GET","requestUri":"/domainnames/{domain_name}/basepathmappings"},"input":{"type":"structure","required":["domainName"],"members":{"domainName":{"location":"uri","locationName":"domain_name"},"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"Sh"}}}}},"GetClientCertificate":{"http":{"method":"GET","requestUri":"/clientcertificates/{clientcertificate_id}"},"input":{"type":"structure","required":["clientCertificateId"],"members":{"clientCertificateId":{"location":"uri","locationName":"clientcertificate_id"}}},"output":{"shape":"S34"}},"GetClientCertificates":{"http":{"method":"GET","requestUri":"/clientcertificates"},"input":{"type":"structure","members":{"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"S34"}}}}},"GetDeployment":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/deployments/{deployment_id}"},"input":{"type":"structure","required":["restApiId","deploymentId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"deploymentId":{"location":"uri","locationName":"deployment_id"},"embed":{"shape":"S9","location":"querystring","locationName":"embed"}}},"output":{"shape":"Sn"}},"GetDeployments":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/deployments"},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"Sn"}}}}},"GetDocumentationPart":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/documentation/parts/{part_id}"},"input":{"type":"structure","required":["restApiId","documentationPartId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"documentationPartId":{"location":"uri","locationName":"part_id"}}},"output":{"shape":"Sv"}},"GetDocumentationParts":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/documentation/parts"},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"type":{"location":"querystring","locationName":"type"},"nameQuery":{"location":"querystring","locationName":"name"},"path":{"location":"querystring","locationName":"path"},"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"},"locationStatus":{"location":"querystring","locationName":"locationStatus"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"Sv"}}}}},"GetDocumentationVersion":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/documentation/versions/{doc_version}"},"input":{"type":"structure","required":["restApiId","documentationVersion"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"documentationVersion":{"location":"uri","locationName":"doc_version"}}},"output":{"shape":"Sx"}},"GetDocumentationVersions":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/documentation/versions"},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"Sx"}}}}},"GetDomainName":{"http":{"method":"GET","requestUri":"/domainnames/{domain_name}"},"input":{"type":"structure","required":["domainName"],"members":{"domainName":{"location":"uri","locationName":"domain_name"}}},"output":{"shape":"S14"}},"GetDomainNames":{"http":{"method":"GET","requestUri":"/domainnames"},"input":{"type":"structure","members":{"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"S14"}}}}},"GetExport":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/stages/{stage_name}/exports/{export_type}","responseCode":200},"input":{"type":"structure","required":["restApiId","stageName","exportType"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"stageName":{"location":"uri","locationName":"stage_name"},"exportType":{"location":"uri","locationName":"export_type"},"parameters":{"shape":"S6","location":"querystring"},"accepts":{"location":"header","locationName":"Accept"}}},"output":{"type":"structure","members":{"contentType":{"location":"header","locationName":"Content-Type"},"contentDisposition":{"location":"header","locationName":"Content-Disposition"},"body":{"type":"blob"}},"payload":"body"}},"GetGatewayResponse":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/gatewayresponses/{response_type}"},"input":{"type":"structure","required":["restApiId","responseType"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"responseType":{"location":"uri","locationName":"response_type"}}},"output":{"shape":"S48"}},"GetGatewayResponses":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/gatewayresponses"},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"S48"}}}}},"GetIntegration":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration"},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"}}},"output":{"shape":"S1j"}},"GetIntegrationResponse":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}"},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod","statusCode"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"statusCode":{"location":"uri","locationName":"status_code"}}},"output":{"shape":"S1p"}},"GetMethod":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}"},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"}}},"output":{"shape":"S1e"}},"GetMethodResponse":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}"},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod","statusCode"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"statusCode":{"location":"uri","locationName":"status_code"}}},"output":{"shape":"S1h"}},"GetModel":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/models/{model_name}"},"input":{"type":"structure","required":["restApiId","modelName"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"modelName":{"location":"uri","locationName":"model_name"},"flatten":{"location":"querystring","locationName":"flatten","type":"boolean"}}},"output":{"shape":"S18"}},"GetModelTemplate":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/models/{model_name}/default_template"},"input":{"type":"structure","required":["restApiId","modelName"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"modelName":{"location":"uri","locationName":"model_name"}}},"output":{"type":"structure","members":{"value":{}}}},"GetModels":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/models"},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"S18"}}}}},"GetRequestValidator":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/requestvalidators/{requestvalidator_id}"},"input":{"type":"structure","required":["restApiId","requestValidatorId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"requestValidatorId":{"location":"uri","locationName":"requestvalidator_id"}}},"output":{"shape":"S1a"}},"GetRequestValidators":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/requestvalidators"},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"S1a"}}}}},"GetResource":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/resources/{resource_id}"},"input":{"type":"structure","required":["restApiId","resourceId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"embed":{"shape":"S9","location":"querystring","locationName":"embed"}}},"output":{"shape":"S1c"}},"GetResources":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/resources"},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"},"embed":{"shape":"S9","location":"querystring","locationName":"embed"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"S1c"}}}}},"GetRestApi":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}"},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"}}},"output":{"shape":"S1t"}},"GetRestApis":{"http":{"method":"GET","requestUri":"/restapis"},"input":{"type":"structure","members":{"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"S1t"}}}}},"GetSdk":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/stages/{stage_name}/sdks/{sdk_type}","responseCode":200},"input":{"type":"structure","required":["restApiId","stageName","sdkType"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"stageName":{"location":"uri","locationName":"stage_name"},"sdkType":{"location":"uri","locationName":"sdk_type"},"parameters":{"shape":"S6","location":"querystring"}}},"output":{"type":"structure","members":{"contentType":{"location":"header","locationName":"Content-Type"},"contentDisposition":{"location":"header","locationName":"Content-Disposition"},"body":{"type":"blob"}},"payload":"body"}},"GetSdkType":{"http":{"method":"GET","requestUri":"/sdktypes/{sdktype_id}"},"input":{"type":"structure","required":["id"],"members":{"id":{"location":"uri","locationName":"sdktype_id"}}},"output":{"shape":"S51"}},"GetSdkTypes":{"http":{"method":"GET","requestUri":"/sdktypes"},"input":{"type":"structure","members":{"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"S51"}}}}},"GetStage":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/stages/{stage_name}"},"input":{"type":"structure","required":["restApiId","stageName"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"stageName":{"location":"uri","locationName":"stage_name"}}},"output":{"shape":"S1w"}},"GetStages":{"http":{"method":"GET","requestUri":"/restapis/{restapi_id}/stages"},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"deploymentId":{"location":"querystring","locationName":"deploymentId"}}},"output":{"type":"structure","members":{"item":{"type":"list","member":{"shape":"S1w"}}}}},"GetTags":{"http":{"method":"GET","requestUri":"/tags/{resource_arn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resource_arn"},"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"tags":{"shape":"S6"}}}},"GetUsage":{"http":{"method":"GET","requestUri":"/usageplans/{usageplanId}/usage"},"input":{"type":"structure","required":["usagePlanId","startDate","endDate"],"members":{"usagePlanId":{"location":"uri","locationName":"usageplanId"},"keyId":{"location":"querystring","locationName":"keyId"},"startDate":{"location":"querystring","locationName":"startDate"},"endDate":{"location":"querystring","locationName":"endDate"},"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"shape":"S5e"}},"GetUsagePlan":{"http":{"method":"GET","requestUri":"/usageplans/{usageplanId}"},"input":{"type":"structure","required":["usagePlanId"],"members":{"usagePlanId":{"location":"uri","locationName":"usageplanId"}}},"output":{"shape":"S29"}},"GetUsagePlanKey":{"http":{"method":"GET","requestUri":"/usageplans/{usageplanId}/keys/{keyId}","responseCode":200},"input":{"type":"structure","required":["usagePlanId","keyId"],"members":{"usagePlanId":{"location":"uri","locationName":"usageplanId"},"keyId":{"location":"uri","locationName":"keyId"}}},"output":{"shape":"S2b"}},"GetUsagePlanKeys":{"http":{"method":"GET","requestUri":"/usageplans/{usageplanId}/keys"},"input":{"type":"structure","required":["usagePlanId"],"members":{"usagePlanId":{"location":"uri","locationName":"usageplanId"},"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"},"nameQuery":{"location":"querystring","locationName":"name"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"S2b"}}}}},"GetUsagePlans":{"http":{"method":"GET","requestUri":"/usageplans"},"input":{"type":"structure","members":{"position":{"location":"querystring","locationName":"position"},"keyId":{"location":"querystring","locationName":"keyId"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"S29"}}}}},"GetVpcLink":{"http":{"method":"GET","requestUri":"/vpclinks/{vpclink_id}"},"input":{"type":"structure","required":["vpcLinkId"],"members":{"vpcLinkId":{"location":"uri","locationName":"vpclink_id"}}},"output":{"shape":"S2d"}},"GetVpcLinks":{"http":{"method":"GET","requestUri":"/vpclinks"},"input":{"type":"structure","members":{"position":{"location":"querystring","locationName":"position"},"limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"position":{},"items":{"locationName":"item","type":"list","member":{"shape":"S2d"}}}}},"ImportApiKeys":{"http":{"requestUri":"/apikeys?mode=import","responseCode":201},"input":{"type":"structure","required":["body","format"],"members":{"body":{"type":"blob"},"format":{"location":"querystring","locationName":"format"},"failOnWarnings":{"location":"querystring","locationName":"failonwarnings","type":"boolean"}},"payload":"body"},"output":{"type":"structure","members":{"ids":{"shape":"S9"},"warnings":{"shape":"S9"}}}},"ImportDocumentationParts":{"http":{"method":"PUT","requestUri":"/restapis/{restapi_id}/documentation/parts"},"input":{"type":"structure","required":["restApiId","body"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"mode":{"location":"querystring","locationName":"mode"},"failOnWarnings":{"location":"querystring","locationName":"failonwarnings","type":"boolean"},"body":{"type":"blob"}},"payload":"body"},"output":{"type":"structure","members":{"ids":{"shape":"S9"},"warnings":{"shape":"S9"}}}},"ImportRestApi":{"http":{"requestUri":"/restapis?mode=import","responseCode":201},"input":{"type":"structure","required":["body"],"members":{"failOnWarnings":{"location":"querystring","locationName":"failonwarnings","type":"boolean"},"parameters":{"shape":"S6","location":"querystring"},"body":{"type":"blob"}},"payload":"body"},"output":{"shape":"S1t"}},"PutGatewayResponse":{"http":{"method":"PUT","requestUri":"/restapis/{restapi_id}/gatewayresponses/{response_type}","responseCode":201},"input":{"type":"structure","required":["restApiId","responseType"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"responseType":{"location":"uri","locationName":"response_type"},"statusCode":{},"responseParameters":{"shape":"S6"},"responseTemplates":{"shape":"S6"}}},"output":{"shape":"S48"}},"PutIntegration":{"http":{"method":"PUT","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration","responseCode":201},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod","type"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"type":{},"integrationHttpMethod":{"locationName":"httpMethod"},"uri":{},"connectionType":{},"connectionId":{},"credentials":{},"requestParameters":{"shape":"S6"},"requestTemplates":{"shape":"S6"},"passthroughBehavior":{},"cacheNamespace":{},"cacheKeyParameters":{"shape":"S9"},"contentHandling":{},"timeoutInMillis":{"type":"integer"},"tlsConfig":{"shape":"S1q"}}},"output":{"shape":"S1j"}},"PutIntegrationResponse":{"http":{"method":"PUT","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}","responseCode":201},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod","statusCode"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"statusCode":{"location":"uri","locationName":"status_code"},"selectionPattern":{},"responseParameters":{"shape":"S6"},"responseTemplates":{"shape":"S6"},"contentHandling":{}}},"output":{"shape":"S1p"}},"PutMethod":{"http":{"method":"PUT","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}","responseCode":201},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod","authorizationType"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"authorizationType":{},"authorizerId":{},"apiKeyRequired":{"type":"boolean"},"operationName":{},"requestParameters":{"shape":"S1f"},"requestModels":{"shape":"S6"},"requestValidatorId":{},"authorizationScopes":{"shape":"S9"}}},"output":{"shape":"S1e"}},"PutMethodResponse":{"http":{"method":"PUT","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}","responseCode":201},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod","statusCode"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"statusCode":{"location":"uri","locationName":"status_code"},"responseParameters":{"shape":"S1f"},"responseModels":{"shape":"S6"}}},"output":{"shape":"S1h"}},"PutRestApi":{"http":{"method":"PUT","requestUri":"/restapis/{restapi_id}"},"input":{"type":"structure","required":["restApiId","body"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"mode":{"location":"querystring","locationName":"mode"},"failOnWarnings":{"location":"querystring","locationName":"failonwarnings","type":"boolean"},"parameters":{"shape":"S6","location":"querystring"},"body":{"type":"blob"}},"payload":"body"},"output":{"shape":"S1t"}},"TagResource":{"http":{"method":"PUT","requestUri":"/tags/{resource_arn}","responseCode":204},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resource_arn"},"tags":{"shape":"S6"}}}},"TestInvokeAuthorizer":{"http":{"requestUri":"/restapis/{restapi_id}/authorizers/{authorizer_id}"},"input":{"type":"structure","required":["restApiId","authorizerId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"authorizerId":{"location":"uri","locationName":"authorizer_id"},"headers":{"shape":"S6"},"multiValueHeaders":{"shape":"S6a"},"pathWithQueryString":{},"body":{},"stageVariables":{"shape":"S6"},"additionalContext":{"shape":"S6"}}},"output":{"type":"structure","members":{"clientStatus":{"type":"integer"},"log":{},"latency":{"type":"long"},"principalId":{},"policy":{},"authorization":{"shape":"S6a"},"claims":{"shape":"S6"}}}},"TestInvokeMethod":{"http":{"requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}"},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"pathWithQueryString":{},"body":{},"headers":{"shape":"S6"},"multiValueHeaders":{"shape":"S6a"},"clientCertificateId":{},"stageVariables":{"shape":"S6"}}},"output":{"type":"structure","members":{"status":{"type":"integer"},"body":{},"headers":{"shape":"S6"},"multiValueHeaders":{"shape":"S6a"},"log":{},"latency":{"type":"long"}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resource_arn}","responseCode":204},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resource_arn"},"tagKeys":{"shape":"S9","location":"querystring","locationName":"tagKeys"}}}},"UpdateAccount":{"http":{"method":"PATCH","requestUri":"/account"},"input":{"type":"structure","members":{"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S36"}},"UpdateApiKey":{"http":{"method":"PATCH","requestUri":"/apikeys/{api_Key}"},"input":{"type":"structure","required":["apiKey"],"members":{"apiKey":{"location":"uri","locationName":"api_Key"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S7"}},"UpdateAuthorizer":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/authorizers/{authorizer_id}"},"input":{"type":"structure","required":["restApiId","authorizerId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"authorizerId":{"location":"uri","locationName":"authorizer_id"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"Sf"}},"UpdateBasePathMapping":{"http":{"method":"PATCH","requestUri":"/domainnames/{domain_name}/basepathmappings/{base_path}"},"input":{"type":"structure","required":["domainName","basePath"],"members":{"domainName":{"location":"uri","locationName":"domain_name"},"basePath":{"location":"uri","locationName":"base_path"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"Sh"}},"UpdateClientCertificate":{"http":{"method":"PATCH","requestUri":"/clientcertificates/{clientcertificate_id}"},"input":{"type":"structure","required":["clientCertificateId"],"members":{"clientCertificateId":{"location":"uri","locationName":"clientcertificate_id"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S34"}},"UpdateDeployment":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/deployments/{deployment_id}"},"input":{"type":"structure","required":["restApiId","deploymentId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"deploymentId":{"location":"uri","locationName":"deployment_id"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"Sn"}},"UpdateDocumentationPart":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/documentation/parts/{part_id}"},"input":{"type":"structure","required":["restApiId","documentationPartId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"documentationPartId":{"location":"uri","locationName":"part_id"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"Sv"}},"UpdateDocumentationVersion":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/documentation/versions/{doc_version}"},"input":{"type":"structure","required":["restApiId","documentationVersion"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"documentationVersion":{"location":"uri","locationName":"doc_version"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"Sx"}},"UpdateDomainName":{"http":{"method":"PATCH","requestUri":"/domainnames/{domain_name}"},"input":{"type":"structure","required":["domainName"],"members":{"domainName":{"location":"uri","locationName":"domain_name"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S14"}},"UpdateGatewayResponse":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/gatewayresponses/{response_type}"},"input":{"type":"structure","required":["restApiId","responseType"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"responseType":{"location":"uri","locationName":"response_type"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S48"}},"UpdateIntegration":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration"},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S1j"}},"UpdateIntegrationResponse":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}"},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod","statusCode"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"statusCode":{"location":"uri","locationName":"status_code"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S1p"}},"UpdateMethod":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}"},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S1e"}},"UpdateMethodResponse":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}","responseCode":201},"input":{"type":"structure","required":["restApiId","resourceId","httpMethod","statusCode"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"httpMethod":{"location":"uri","locationName":"http_method"},"statusCode":{"location":"uri","locationName":"status_code"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S1h"}},"UpdateModel":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/models/{model_name}"},"input":{"type":"structure","required":["restApiId","modelName"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"modelName":{"location":"uri","locationName":"model_name"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S18"}},"UpdateRequestValidator":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/requestvalidators/{requestvalidator_id}"},"input":{"type":"structure","required":["restApiId","requestValidatorId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"requestValidatorId":{"location":"uri","locationName":"requestvalidator_id"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S1a"}},"UpdateResource":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/resources/{resource_id}"},"input":{"type":"structure","required":["restApiId","resourceId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"resourceId":{"location":"uri","locationName":"resource_id"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S1c"}},"UpdateRestApi":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}"},"input":{"type":"structure","required":["restApiId"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S1t"}},"UpdateStage":{"http":{"method":"PATCH","requestUri":"/restapis/{restapi_id}/stages/{stage_name}"},"input":{"type":"structure","required":["restApiId","stageName"],"members":{"restApiId":{"location":"uri","locationName":"restapi_id"},"stageName":{"location":"uri","locationName":"stage_name"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S1w"}},"UpdateUsage":{"http":{"method":"PATCH","requestUri":"/usageplans/{usageplanId}/keys/{keyId}/usage"},"input":{"type":"structure","required":["usagePlanId","keyId"],"members":{"usagePlanId":{"location":"uri","locationName":"usageplanId"},"keyId":{"location":"uri","locationName":"keyId"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S5e"}},"UpdateUsagePlan":{"http":{"method":"PATCH","requestUri":"/usageplans/{usageplanId}"},"input":{"type":"structure","required":["usagePlanId"],"members":{"usagePlanId":{"location":"uri","locationName":"usageplanId"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S29"}},"UpdateVpcLink":{"http":{"method":"PATCH","requestUri":"/vpclinks/{vpclink_id}"},"input":{"type":"structure","required":["vpcLinkId"],"members":{"vpcLinkId":{"location":"uri","locationName":"vpclink_id"},"patchOperations":{"shape":"S6g"}}},"output":{"shape":"S2d"}}},"shapes":{"S6":{"type":"map","key":{},"value":{}},"S7":{"type":"structure","members":{"id":{},"value":{},"name":{},"customerId":{},"description":{},"enabled":{"type":"boolean"},"createdDate":{"type":"timestamp"},"lastUpdatedDate":{"type":"timestamp"},"stageKeys":{"shape":"S9"},"tags":{"shape":"S6"}}},"S9":{"type":"list","member":{}},"Sc":{"type":"list","member":{}},"Sf":{"type":"structure","members":{"id":{},"name":{},"type":{},"providerARNs":{"shape":"Sc"},"authType":{},"authorizerUri":{},"authorizerCredentials":{},"identitySource":{},"identityValidationExpression":{},"authorizerResultTtlInSeconds":{"type":"integer"}}},"Sh":{"type":"structure","members":{"basePath":{},"restApiId":{},"stage":{}}},"Sn":{"type":"structure","members":{"id":{},"description":{},"createdDate":{"type":"timestamp"},"apiSummary":{"type":"map","key":{},"value":{"type":"map","key":{},"value":{"type":"structure","members":{"authorizationType":{},"apiKeyRequired":{"type":"boolean"}}}}}}},"Ss":{"type":"structure","required":["type"],"members":{"type":{},"path":{},"method":{},"statusCode":{},"name":{}}},"Sv":{"type":"structure","members":{"id":{},"location":{"shape":"Ss"},"properties":{}}},"Sx":{"type":"structure","members":{"version":{},"createdDate":{"type":"timestamp"},"description":{}}},"Sz":{"type":"structure","members":{"types":{"type":"list","member":{}},"vpcEndpointIds":{"shape":"S9"}}},"S14":{"type":"structure","members":{"domainName":{},"certificateName":{},"certificateArn":{},"certificateUploadDate":{"type":"timestamp"},"regionalDomainName":{},"regionalHostedZoneId":{},"regionalCertificateName":{},"regionalCertificateArn":{},"distributionDomainName":{},"distributionHostedZoneId":{},"endpointConfiguration":{"shape":"Sz"},"domainNameStatus":{},"domainNameStatusMessage":{},"securityPolicy":{},"tags":{"shape":"S6"},"mutualTlsAuthentication":{"type":"structure","members":{"truststoreUri":{},"truststoreVersion":{},"truststoreWarnings":{"shape":"S9"}}},"ownershipVerificationCertificateArn":{}}},"S18":{"type":"structure","members":{"id":{},"name":{},"description":{},"schema":{},"contentType":{}}},"S1a":{"type":"structure","members":{"id":{},"name":{},"validateRequestBody":{"type":"boolean"},"validateRequestParameters":{"type":"boolean"}}},"S1c":{"type":"structure","members":{"id":{},"parentId":{},"pathPart":{},"path":{},"resourceMethods":{"type":"map","key":{},"value":{"shape":"S1e"}}}},"S1e":{"type":"structure","members":{"httpMethod":{},"authorizationType":{},"authorizerId":{},"apiKeyRequired":{"type":"boolean"},"requestValidatorId":{},"operationName":{},"requestParameters":{"shape":"S1f"},"requestModels":{"shape":"S6"},"methodResponses":{"type":"map","key":{},"value":{"shape":"S1h"}},"methodIntegration":{"shape":"S1j"},"authorizationScopes":{"shape":"S9"}}},"S1f":{"type":"map","key":{},"value":{"type":"boolean"}},"S1h":{"type":"structure","members":{"statusCode":{},"responseParameters":{"shape":"S1f"},"responseModels":{"shape":"S6"}}},"S1j":{"type":"structure","members":{"type":{},"httpMethod":{},"uri":{},"connectionType":{},"connectionId":{},"credentials":{},"requestParameters":{"shape":"S6"},"requestTemplates":{"shape":"S6"},"passthroughBehavior":{},"contentHandling":{},"timeoutInMillis":{"type":"integer"},"cacheNamespace":{},"cacheKeyParameters":{"shape":"S9"},"integrationResponses":{"type":"map","key":{},"value":{"shape":"S1p"}},"tlsConfig":{"shape":"S1q"}}},"S1p":{"type":"structure","members":{"statusCode":{},"selectionPattern":{},"responseParameters":{"shape":"S6"},"responseTemplates":{"shape":"S6"},"contentHandling":{}}},"S1q":{"type":"structure","members":{"insecureSkipVerification":{"type":"boolean"}}},"S1t":{"type":"structure","members":{"id":{},"name":{},"description":{},"createdDate":{"type":"timestamp"},"version":{},"warnings":{"shape":"S9"},"binaryMediaTypes":{"shape":"S9"},"minimumCompressionSize":{"type":"integer"},"apiKeySource":{},"endpointConfiguration":{"shape":"Sz"},"policy":{},"tags":{"shape":"S6"},"disableExecuteApiEndpoint":{"type":"boolean"}}},"S1v":{"type":"structure","members":{"percentTraffic":{"type":"double"},"deploymentId":{},"stageVariableOverrides":{"shape":"S6"},"useStageCache":{"type":"boolean"}}},"S1w":{"type":"structure","members":{"deploymentId":{},"clientCertificateId":{},"stageName":{},"description":{},"cacheClusterEnabled":{"type":"boolean"},"cacheClusterSize":{},"cacheClusterStatus":{},"methodSettings":{"type":"map","key":{},"value":{"type":"structure","members":{"metricsEnabled":{"type":"boolean"},"loggingLevel":{},"dataTraceEnabled":{"type":"boolean"},"throttlingBurstLimit":{"type":"integer"},"throttlingRateLimit":{"type":"double"},"cachingEnabled":{"type":"boolean"},"cacheTtlInSeconds":{"type":"integer"},"cacheDataEncrypted":{"type":"boolean"},"requireAuthorizationForCacheControl":{"type":"boolean"},"unauthorizedCacheControlHeaderStrategy":{}}}},"variables":{"shape":"S6"},"documentationVersion":{},"accessLogSettings":{"type":"structure","members":{"format":{},"destinationArn":{}}},"canarySettings":{"shape":"S1v"},"tracingEnabled":{"type":"boolean"},"webAclArn":{},"tags":{"shape":"S6"},"createdDate":{"type":"timestamp"},"lastUpdatedDate":{"type":"timestamp"}}},"S23":{"type":"list","member":{"type":"structure","members":{"apiId":{},"stage":{},"throttle":{"type":"map","key":{},"value":{"shape":"S26"}}}}},"S26":{"type":"structure","members":{"burstLimit":{"type":"integer"},"rateLimit":{"type":"double"}}},"S27":{"type":"structure","members":{"limit":{"type":"integer"},"offset":{"type":"integer"},"period":{}}},"S29":{"type":"structure","members":{"id":{},"name":{},"description":{},"apiStages":{"shape":"S23"},"throttle":{"shape":"S26"},"quota":{"shape":"S27"},"productCode":{},"tags":{"shape":"S6"}}},"S2b":{"type":"structure","members":{"id":{},"type":{},"value":{},"name":{}}},"S2d":{"type":"structure","members":{"id":{},"name":{},"description":{},"targetArns":{"shape":"S9"},"status":{},"statusMessage":{},"tags":{"shape":"S6"}}},"S34":{"type":"structure","members":{"clientCertificateId":{},"description":{},"pemEncodedCertificate":{},"createdDate":{"type":"timestamp"},"expirationDate":{"type":"timestamp"},"tags":{"shape":"S6"}}},"S36":{"type":"structure","members":{"cloudwatchRoleArn":{},"throttleSettings":{"shape":"S26"},"features":{"shape":"S9"},"apiKeyVersion":{}}},"S48":{"type":"structure","members":{"responseType":{},"statusCode":{},"responseParameters":{"shape":"S6"},"responseTemplates":{"shape":"S6"},"defaultResponse":{"type":"boolean"}}},"S51":{"type":"structure","members":{"id":{},"friendlyName":{},"description":{},"configurationProperties":{"type":"list","member":{"type":"structure","members":{"name":{},"friendlyName":{},"description":{},"required":{"type":"boolean"},"defaultValue":{}}}}}},"S5e":{"type":"structure","members":{"usagePlanId":{},"startDate":{},"endDate":{},"position":{},"items":{"locationName":"values","type":"map","key":{},"value":{"type":"list","member":{"type":"list","member":{"type":"long"}}}}}},"S6a":{"type":"map","key":{},"value":{"shape":"S9"}},"S6g":{"type":"list","member":{"type":"structure","members":{"op":{},"path":{},"value":{},"from":{}}}}}}');

/***/ }),

/***/ 25878:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetApiKeys":{"input_token":"position","limit_key":"limit","output_token":"position","result_key":"items"},"GetBasePathMappings":{"input_token":"position","limit_key":"limit","output_token":"position","result_key":"items"},"GetClientCertificates":{"input_token":"position","limit_key":"limit","output_token":"position","result_key":"items"},"GetDeployments":{"input_token":"position","limit_key":"limit","output_token":"position","result_key":"items"},"GetDomainNames":{"input_token":"position","limit_key":"limit","output_token":"position","result_key":"items"},"GetModels":{"input_token":"position","limit_key":"limit","output_token":"position","result_key":"items"},"GetResources":{"input_token":"position","limit_key":"limit","output_token":"position","result_key":"items"},"GetRestApis":{"input_token":"position","limit_key":"limit","output_token":"position","result_key":"items"},"GetUsage":{"input_token":"position","limit_key":"limit","output_token":"position","result_key":"items"},"GetUsagePlanKeys":{"input_token":"position","limit_key":"limit","output_token":"position","result_key":"items"},"GetUsagePlans":{"input_token":"position","limit_key":"limit","output_token":"position","result_key":"items"},"GetVpcLinks":{"input_token":"position","limit_key":"limit","output_token":"position","result_key":"items"}}}');

/***/ }),

/***/ 57832:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2018-11-29","endpointPrefix":"execute-api","signingName":"execute-api","serviceFullName":"AmazonApiGatewayManagementApi","serviceId":"ApiGatewayManagementApi","protocol":"rest-json","jsonVersion":"1.1","uid":"apigatewaymanagementapi-2018-11-29","signatureVersion":"v4"},"operations":{"DeleteConnection":{"http":{"method":"DELETE","requestUri":"/@connections/{connectionId}","responseCode":204},"input":{"type":"structure","members":{"ConnectionId":{"location":"uri","locationName":"connectionId"}},"required":["ConnectionId"]}},"GetConnection":{"http":{"method":"GET","requestUri":"/@connections/{connectionId}","responseCode":200},"input":{"type":"structure","members":{"ConnectionId":{"location":"uri","locationName":"connectionId"}},"required":["ConnectionId"]},"output":{"type":"structure","members":{"ConnectedAt":{"shape":"S5","locationName":"connectedAt"},"Identity":{"locationName":"identity","type":"structure","members":{"SourceIp":{"locationName":"sourceIp"},"UserAgent":{"locationName":"userAgent"}},"required":["SourceIp","UserAgent"]},"LastActiveAt":{"shape":"S5","locationName":"lastActiveAt"}}}},"PostToConnection":{"http":{"requestUri":"/@connections/{connectionId}","responseCode":200},"input":{"type":"structure","members":{"Data":{"type":"blob"},"ConnectionId":{"location":"uri","locationName":"connectionId"}},"required":["ConnectionId","Data"],"payload":"Data"}}},"shapes":{"S5":{"type":"timestamp","timestampFormat":"iso8601"}}}');

/***/ }),

/***/ 2787:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 59326:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2018-11-29","endpointPrefix":"apigateway","signingName":"apigateway","serviceFullName":"AmazonApiGatewayV2","serviceId":"ApiGatewayV2","protocol":"rest-json","jsonVersion":"1.1","uid":"apigatewayv2-2018-11-29","signatureVersion":"v4"},"operations":{"CreateApi":{"http":{"requestUri":"/v2/apis","responseCode":201},"input":{"type":"structure","members":{"ApiKeySelectionExpression":{"locationName":"apiKeySelectionExpression"},"CorsConfiguration":{"shape":"S3","locationName":"corsConfiguration"},"CredentialsArn":{"locationName":"credentialsArn"},"Description":{"locationName":"description"},"DisableSchemaValidation":{"locationName":"disableSchemaValidation","type":"boolean"},"DisableExecuteApiEndpoint":{"locationName":"disableExecuteApiEndpoint","type":"boolean"},"Name":{"locationName":"name"},"ProtocolType":{"locationName":"protocolType"},"RouteKey":{"locationName":"routeKey"},"RouteSelectionExpression":{"locationName":"routeSelectionExpression"},"Tags":{"shape":"Sg","locationName":"tags"},"Target":{"locationName":"target"},"Version":{"locationName":"version"}},"required":["ProtocolType","Name"]},"output":{"type":"structure","members":{"ApiEndpoint":{"locationName":"apiEndpoint"},"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ApiId":{"locationName":"apiId"},"ApiKeySelectionExpression":{"locationName":"apiKeySelectionExpression"},"CorsConfiguration":{"shape":"S3","locationName":"corsConfiguration"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"Description":{"locationName":"description"},"DisableSchemaValidation":{"locationName":"disableSchemaValidation","type":"boolean"},"DisableExecuteApiEndpoint":{"locationName":"disableExecuteApiEndpoint","type":"boolean"},"ImportInfo":{"shape":"Sm","locationName":"importInfo"},"Name":{"locationName":"name"},"ProtocolType":{"locationName":"protocolType"},"RouteSelectionExpression":{"locationName":"routeSelectionExpression"},"Tags":{"shape":"Sg","locationName":"tags"},"Version":{"locationName":"version"},"Warnings":{"shape":"Sm","locationName":"warnings"}}}},"CreateApiMapping":{"http":{"requestUri":"/v2/domainnames/{domainName}/apimappings","responseCode":201},"input":{"type":"structure","members":{"ApiId":{"locationName":"apiId"},"ApiMappingKey":{"locationName":"apiMappingKey"},"DomainName":{"location":"uri","locationName":"domainName"},"Stage":{"locationName":"stage"}},"required":["DomainName","Stage","ApiId"]},"output":{"type":"structure","members":{"ApiId":{"locationName":"apiId"},"ApiMappingId":{"locationName":"apiMappingId"},"ApiMappingKey":{"locationName":"apiMappingKey"},"Stage":{"locationName":"stage"}}}},"CreateAuthorizer":{"http":{"requestUri":"/v2/apis/{apiId}/authorizers","responseCode":201},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"AuthorizerCredentialsArn":{"locationName":"authorizerCredentialsArn"},"AuthorizerPayloadFormatVersion":{"locationName":"authorizerPayloadFormatVersion"},"AuthorizerResultTtlInSeconds":{"locationName":"authorizerResultTtlInSeconds","type":"integer"},"AuthorizerType":{"locationName":"authorizerType"},"AuthorizerUri":{"locationName":"authorizerUri"},"EnableSimpleResponses":{"locationName":"enableSimpleResponses","type":"boolean"},"IdentitySource":{"shape":"Ss","locationName":"identitySource"},"IdentityValidationExpression":{"locationName":"identityValidationExpression"},"JwtConfiguration":{"shape":"St","locationName":"jwtConfiguration"},"Name":{"locationName":"name"}},"required":["ApiId","AuthorizerType","IdentitySource","Name"]},"output":{"type":"structure","members":{"AuthorizerCredentialsArn":{"locationName":"authorizerCredentialsArn"},"AuthorizerId":{"locationName":"authorizerId"},"AuthorizerPayloadFormatVersion":{"locationName":"authorizerPayloadFormatVersion"},"AuthorizerResultTtlInSeconds":{"locationName":"authorizerResultTtlInSeconds","type":"integer"},"AuthorizerType":{"locationName":"authorizerType"},"AuthorizerUri":{"locationName":"authorizerUri"},"EnableSimpleResponses":{"locationName":"enableSimpleResponses","type":"boolean"},"IdentitySource":{"shape":"Ss","locationName":"identitySource"},"IdentityValidationExpression":{"locationName":"identityValidationExpression"},"JwtConfiguration":{"shape":"St","locationName":"jwtConfiguration"},"Name":{"locationName":"name"}}}},"CreateDeployment":{"http":{"requestUri":"/v2/apis/{apiId}/deployments","responseCode":201},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"Description":{"locationName":"description"},"StageName":{"locationName":"stageName"}},"required":["ApiId"]},"output":{"type":"structure","members":{"AutoDeployed":{"locationName":"autoDeployed","type":"boolean"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"DeploymentId":{"locationName":"deploymentId"},"DeploymentStatus":{"locationName":"deploymentStatus"},"DeploymentStatusMessage":{"locationName":"deploymentStatusMessage"},"Description":{"locationName":"description"}}}},"CreateDomainName":{"http":{"requestUri":"/v2/domainnames","responseCode":201},"input":{"type":"structure","members":{"DomainName":{"locationName":"domainName"},"DomainNameConfigurations":{"shape":"S10","locationName":"domainNameConfigurations"},"MutualTlsAuthentication":{"shape":"S15","locationName":"mutualTlsAuthentication"},"Tags":{"shape":"Sg","locationName":"tags"}},"required":["DomainName"]},"output":{"type":"structure","members":{"ApiMappingSelectionExpression":{"locationName":"apiMappingSelectionExpression"},"DomainName":{"locationName":"domainName"},"DomainNameConfigurations":{"shape":"S10","locationName":"domainNameConfigurations"},"MutualTlsAuthentication":{"shape":"S17","locationName":"mutualTlsAuthentication"},"Tags":{"shape":"Sg","locationName":"tags"}}}},"CreateIntegration":{"http":{"requestUri":"/v2/apis/{apiId}/integrations","responseCode":201},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ConnectionId":{"locationName":"connectionId"},"ConnectionType":{"locationName":"connectionType"},"ContentHandlingStrategy":{"locationName":"contentHandlingStrategy"},"CredentialsArn":{"locationName":"credentialsArn"},"Description":{"locationName":"description"},"IntegrationMethod":{"locationName":"integrationMethod"},"IntegrationSubtype":{"locationName":"integrationSubtype"},"IntegrationType":{"locationName":"integrationType"},"IntegrationUri":{"locationName":"integrationUri"},"PassthroughBehavior":{"locationName":"passthroughBehavior"},"PayloadFormatVersion":{"locationName":"payloadFormatVersion"},"RequestParameters":{"shape":"S1e","locationName":"requestParameters"},"RequestTemplates":{"shape":"S1f","locationName":"requestTemplates"},"ResponseParameters":{"shape":"S1h","locationName":"responseParameters"},"TemplateSelectionExpression":{"locationName":"templateSelectionExpression"},"TimeoutInMillis":{"locationName":"timeoutInMillis","type":"integer"},"TlsConfig":{"shape":"S1j","locationName":"tlsConfig"}},"required":["ApiId","IntegrationType"]},"output":{"type":"structure","members":{"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ConnectionId":{"locationName":"connectionId"},"ConnectionType":{"locationName":"connectionType"},"ContentHandlingStrategy":{"locationName":"contentHandlingStrategy"},"CredentialsArn":{"locationName":"credentialsArn"},"Description":{"locationName":"description"},"IntegrationId":{"locationName":"integrationId"},"IntegrationMethod":{"locationName":"integrationMethod"},"IntegrationResponseSelectionExpression":{"locationName":"integrationResponseSelectionExpression"},"IntegrationSubtype":{"locationName":"integrationSubtype"},"IntegrationType":{"locationName":"integrationType"},"IntegrationUri":{"locationName":"integrationUri"},"PassthroughBehavior":{"locationName":"passthroughBehavior"},"PayloadFormatVersion":{"locationName":"payloadFormatVersion"},"RequestParameters":{"shape":"S1e","locationName":"requestParameters"},"RequestTemplates":{"shape":"S1f","locationName":"requestTemplates"},"ResponseParameters":{"shape":"S1h","locationName":"responseParameters"},"TemplateSelectionExpression":{"locationName":"templateSelectionExpression"},"TimeoutInMillis":{"locationName":"timeoutInMillis","type":"integer"},"TlsConfig":{"shape":"S1l","locationName":"tlsConfig"}}}},"CreateIntegrationResponse":{"http":{"requestUri":"/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses","responseCode":201},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ContentHandlingStrategy":{"locationName":"contentHandlingStrategy"},"IntegrationId":{"location":"uri","locationName":"integrationId"},"IntegrationResponseKey":{"locationName":"integrationResponseKey"},"ResponseParameters":{"shape":"S1e","locationName":"responseParameters"},"ResponseTemplates":{"shape":"S1f","locationName":"responseTemplates"},"TemplateSelectionExpression":{"locationName":"templateSelectionExpression"}},"required":["ApiId","IntegrationId","IntegrationResponseKey"]},"output":{"type":"structure","members":{"ContentHandlingStrategy":{"locationName":"contentHandlingStrategy"},"IntegrationResponseId":{"locationName":"integrationResponseId"},"IntegrationResponseKey":{"locationName":"integrationResponseKey"},"ResponseParameters":{"shape":"S1e","locationName":"responseParameters"},"ResponseTemplates":{"shape":"S1f","locationName":"responseTemplates"},"TemplateSelectionExpression":{"locationName":"templateSelectionExpression"}}}},"CreateModel":{"http":{"requestUri":"/v2/apis/{apiId}/models","responseCode":201},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ContentType":{"locationName":"contentType"},"Description":{"locationName":"description"},"Name":{"locationName":"name"},"Schema":{"locationName":"schema"}},"required":["ApiId","Schema","Name"]},"output":{"type":"structure","members":{"ContentType":{"locationName":"contentType"},"Description":{"locationName":"description"},"ModelId":{"locationName":"modelId"},"Name":{"locationName":"name"},"Schema":{"locationName":"schema"}}}},"CreateRoute":{"http":{"requestUri":"/v2/apis/{apiId}/routes","responseCode":201},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ApiKeyRequired":{"locationName":"apiKeyRequired","type":"boolean"},"AuthorizationScopes":{"shape":"S1s","locationName":"authorizationScopes"},"AuthorizationType":{"locationName":"authorizationType"},"AuthorizerId":{"locationName":"authorizerId"},"ModelSelectionExpression":{"locationName":"modelSelectionExpression"},"OperationName":{"locationName":"operationName"},"RequestModels":{"shape":"S1u","locationName":"requestModels"},"RequestParameters":{"shape":"S1v","locationName":"requestParameters"},"RouteKey":{"locationName":"routeKey"},"RouteResponseSelectionExpression":{"locationName":"routeResponseSelectionExpression"},"Target":{"locationName":"target"}},"required":["ApiId","RouteKey"]},"output":{"type":"structure","members":{"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ApiKeyRequired":{"locationName":"apiKeyRequired","type":"boolean"},"AuthorizationScopes":{"shape":"S1s","locationName":"authorizationScopes"},"AuthorizationType":{"locationName":"authorizationType"},"AuthorizerId":{"locationName":"authorizerId"},"ModelSelectionExpression":{"locationName":"modelSelectionExpression"},"OperationName":{"locationName":"operationName"},"RequestModels":{"shape":"S1u","locationName":"requestModels"},"RequestParameters":{"shape":"S1v","locationName":"requestParameters"},"RouteId":{"locationName":"routeId"},"RouteKey":{"locationName":"routeKey"},"RouteResponseSelectionExpression":{"locationName":"routeResponseSelectionExpression"},"Target":{"locationName":"target"}}}},"CreateRouteResponse":{"http":{"requestUri":"/v2/apis/{apiId}/routes/{routeId}/routeresponses","responseCode":201},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ModelSelectionExpression":{"locationName":"modelSelectionExpression"},"ResponseModels":{"shape":"S1u","locationName":"responseModels"},"ResponseParameters":{"shape":"S1v","locationName":"responseParameters"},"RouteId":{"location":"uri","locationName":"routeId"},"RouteResponseKey":{"locationName":"routeResponseKey"}},"required":["ApiId","RouteId","RouteResponseKey"]},"output":{"type":"structure","members":{"ModelSelectionExpression":{"locationName":"modelSelectionExpression"},"ResponseModels":{"shape":"S1u","locationName":"responseModels"},"ResponseParameters":{"shape":"S1v","locationName":"responseParameters"},"RouteResponseId":{"locationName":"routeResponseId"},"RouteResponseKey":{"locationName":"routeResponseKey"}}}},"CreateStage":{"http":{"requestUri":"/v2/apis/{apiId}/stages","responseCode":201},"input":{"type":"structure","members":{"AccessLogSettings":{"shape":"S21","locationName":"accessLogSettings"},"ApiId":{"location":"uri","locationName":"apiId"},"AutoDeploy":{"locationName":"autoDeploy","type":"boolean"},"ClientCertificateId":{"locationName":"clientCertificateId"},"DefaultRouteSettings":{"shape":"S22","locationName":"defaultRouteSettings"},"DeploymentId":{"locationName":"deploymentId"},"Description":{"locationName":"description"},"RouteSettings":{"shape":"S26","locationName":"routeSettings"},"StageName":{"locationName":"stageName"},"StageVariables":{"shape":"S27","locationName":"stageVariables"},"Tags":{"shape":"Sg","locationName":"tags"}},"required":["ApiId","StageName"]},"output":{"type":"structure","members":{"AccessLogSettings":{"shape":"S21","locationName":"accessLogSettings"},"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"AutoDeploy":{"locationName":"autoDeploy","type":"boolean"},"ClientCertificateId":{"locationName":"clientCertificateId"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"DefaultRouteSettings":{"shape":"S22","locationName":"defaultRouteSettings"},"DeploymentId":{"locationName":"deploymentId"},"Description":{"locationName":"description"},"LastDeploymentStatusMessage":{"locationName":"lastDeploymentStatusMessage"},"LastUpdatedDate":{"shape":"Sl","locationName":"lastUpdatedDate"},"RouteSettings":{"shape":"S26","locationName":"routeSettings"},"StageName":{"locationName":"stageName"},"StageVariables":{"shape":"S27","locationName":"stageVariables"},"Tags":{"shape":"Sg","locationName":"tags"}}}},"CreateVpcLink":{"http":{"requestUri":"/v2/vpclinks","responseCode":201},"input":{"type":"structure","members":{"Name":{"locationName":"name"},"SecurityGroupIds":{"shape":"S2b","locationName":"securityGroupIds"},"SubnetIds":{"shape":"S2c","locationName":"subnetIds"},"Tags":{"shape":"Sg","locationName":"tags"}},"required":["SubnetIds","Name"]},"output":{"type":"structure","members":{"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"Name":{"locationName":"name"},"SecurityGroupIds":{"shape":"S2b","locationName":"securityGroupIds"},"SubnetIds":{"shape":"S2c","locationName":"subnetIds"},"Tags":{"shape":"Sg","locationName":"tags"},"VpcLinkId":{"locationName":"vpcLinkId"},"VpcLinkStatus":{"locationName":"vpcLinkStatus"},"VpcLinkStatusMessage":{"locationName":"vpcLinkStatusMessage"},"VpcLinkVersion":{"locationName":"vpcLinkVersion"}}}},"DeleteAccessLogSettings":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/stages/{stageName}/accesslogsettings","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"StageName":{"location":"uri","locationName":"stageName"}},"required":["StageName","ApiId"]}},"DeleteApi":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"}},"required":["ApiId"]}},"DeleteApiMapping":{"http":{"method":"DELETE","requestUri":"/v2/domainnames/{domainName}/apimappings/{apiMappingId}","responseCode":204},"input":{"type":"structure","members":{"ApiMappingId":{"location":"uri","locationName":"apiMappingId"},"DomainName":{"location":"uri","locationName":"domainName"}},"required":["ApiMappingId","DomainName"]}},"DeleteAuthorizer":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/authorizers/{authorizerId}","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"AuthorizerId":{"location":"uri","locationName":"authorizerId"}},"required":["AuthorizerId","ApiId"]}},"DeleteCorsConfiguration":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/cors","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"}},"required":["ApiId"]}},"DeleteDeployment":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/deployments/{deploymentId}","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"DeploymentId":{"location":"uri","locationName":"deploymentId"}},"required":["ApiId","DeploymentId"]}},"DeleteDomainName":{"http":{"method":"DELETE","requestUri":"/v2/domainnames/{domainName}","responseCode":204},"input":{"type":"structure","members":{"DomainName":{"location":"uri","locationName":"domainName"}},"required":["DomainName"]}},"DeleteIntegration":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/integrations/{integrationId}","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"IntegrationId":{"location":"uri","locationName":"integrationId"}},"required":["ApiId","IntegrationId"]}},"DeleteIntegrationResponse":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses/{integrationResponseId}","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"IntegrationId":{"location":"uri","locationName":"integrationId"},"IntegrationResponseId":{"location":"uri","locationName":"integrationResponseId"}},"required":["ApiId","IntegrationResponseId","IntegrationId"]}},"DeleteModel":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/models/{modelId}","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ModelId":{"location":"uri","locationName":"modelId"}},"required":["ModelId","ApiId"]}},"DeleteRoute":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/routes/{routeId}","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"RouteId":{"location":"uri","locationName":"routeId"}},"required":["ApiId","RouteId"]}},"DeleteRouteRequestParameter":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/routes/{routeId}/requestparameters/{requestParameterKey}","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"RequestParameterKey":{"location":"uri","locationName":"requestParameterKey"},"RouteId":{"location":"uri","locationName":"routeId"}},"required":["RequestParameterKey","ApiId","RouteId"]}},"DeleteRouteResponse":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/routes/{routeId}/routeresponses/{routeResponseId}","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"RouteId":{"location":"uri","locationName":"routeId"},"RouteResponseId":{"location":"uri","locationName":"routeResponseId"}},"required":["RouteResponseId","ApiId","RouteId"]}},"DeleteRouteSettings":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/stages/{stageName}/routesettings/{routeKey}","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"RouteKey":{"location":"uri","locationName":"routeKey"},"StageName":{"location":"uri","locationName":"stageName"}},"required":["StageName","RouteKey","ApiId"]}},"DeleteStage":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/stages/{stageName}","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"StageName":{"location":"uri","locationName":"stageName"}},"required":["StageName","ApiId"]}},"DeleteVpcLink":{"http":{"method":"DELETE","requestUri":"/v2/vpclinks/{vpcLinkId}","responseCode":202},"input":{"type":"structure","members":{"VpcLinkId":{"location":"uri","locationName":"vpcLinkId"}},"required":["VpcLinkId"]},"output":{"type":"structure","members":{}}},"ExportApi":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/exports/{specification}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ExportVersion":{"location":"querystring","locationName":"exportVersion"},"IncludeExtensions":{"location":"querystring","locationName":"includeExtensions","type":"boolean"},"OutputType":{"location":"querystring","locationName":"outputType"},"Specification":{"location":"uri","locationName":"specification"},"StageName":{"location":"querystring","locationName":"stageName"}},"required":["Specification","OutputType","ApiId"]},"output":{"type":"structure","members":{"body":{"type":"blob"}},"payload":"body"}},"ResetAuthorizersCache":{"http":{"method":"DELETE","requestUri":"/v2/apis/{apiId}/stages/{stageName}/cache/authorizers","responseCode":204},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"StageName":{"location":"uri","locationName":"stageName"}},"required":["StageName","ApiId"]}},"GetApi":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"}},"required":["ApiId"]},"output":{"type":"structure","members":{"ApiEndpoint":{"locationName":"apiEndpoint"},"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ApiId":{"locationName":"apiId"},"ApiKeySelectionExpression":{"locationName":"apiKeySelectionExpression"},"CorsConfiguration":{"shape":"S3","locationName":"corsConfiguration"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"Description":{"locationName":"description"},"DisableSchemaValidation":{"locationName":"disableSchemaValidation","type":"boolean"},"DisableExecuteApiEndpoint":{"locationName":"disableExecuteApiEndpoint","type":"boolean"},"ImportInfo":{"shape":"Sm","locationName":"importInfo"},"Name":{"locationName":"name"},"ProtocolType":{"locationName":"protocolType"},"RouteSelectionExpression":{"locationName":"routeSelectionExpression"},"Tags":{"shape":"Sg","locationName":"tags"},"Version":{"locationName":"version"},"Warnings":{"shape":"Sm","locationName":"warnings"}}}},"GetApiMapping":{"http":{"method":"GET","requestUri":"/v2/domainnames/{domainName}/apimappings/{apiMappingId}","responseCode":200},"input":{"type":"structure","members":{"ApiMappingId":{"location":"uri","locationName":"apiMappingId"},"DomainName":{"location":"uri","locationName":"domainName"}},"required":["ApiMappingId","DomainName"]},"output":{"type":"structure","members":{"ApiId":{"locationName":"apiId"},"ApiMappingId":{"locationName":"apiMappingId"},"ApiMappingKey":{"locationName":"apiMappingKey"},"Stage":{"locationName":"stage"}}}},"GetApiMappings":{"http":{"method":"GET","requestUri":"/v2/domainnames/{domainName}/apimappings","responseCode":200},"input":{"type":"structure","members":{"DomainName":{"location":"uri","locationName":"domainName"},"MaxResults":{"location":"querystring","locationName":"maxResults"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["DomainName"]},"output":{"type":"structure","members":{"Items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"ApiId":{"locationName":"apiId"},"ApiMappingId":{"locationName":"apiMappingId"},"ApiMappingKey":{"locationName":"apiMappingKey"},"Stage":{"locationName":"stage"}},"required":["Stage","ApiId"]}},"NextToken":{"locationName":"nextToken"}}}},"GetApis":{"http":{"method":"GET","requestUri":"/v2/apis","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"ApiEndpoint":{"locationName":"apiEndpoint"},"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ApiId":{"locationName":"apiId"},"ApiKeySelectionExpression":{"locationName":"apiKeySelectionExpression"},"CorsConfiguration":{"shape":"S3","locationName":"corsConfiguration"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"Description":{"locationName":"description"},"DisableSchemaValidation":{"locationName":"disableSchemaValidation","type":"boolean"},"DisableExecuteApiEndpoint":{"locationName":"disableExecuteApiEndpoint","type":"boolean"},"ImportInfo":{"shape":"Sm","locationName":"importInfo"},"Name":{"locationName":"name"},"ProtocolType":{"locationName":"protocolType"},"RouteSelectionExpression":{"locationName":"routeSelectionExpression"},"Tags":{"shape":"Sg","locationName":"tags"},"Version":{"locationName":"version"},"Warnings":{"shape":"Sm","locationName":"warnings"}},"required":["RouteSelectionExpression","Name","ProtocolType"]}},"NextToken":{"locationName":"nextToken"}}}},"GetAuthorizer":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/authorizers/{authorizerId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"AuthorizerId":{"location":"uri","locationName":"authorizerId"}},"required":["AuthorizerId","ApiId"]},"output":{"type":"structure","members":{"AuthorizerCredentialsArn":{"locationName":"authorizerCredentialsArn"},"AuthorizerId":{"locationName":"authorizerId"},"AuthorizerPayloadFormatVersion":{"locationName":"authorizerPayloadFormatVersion"},"AuthorizerResultTtlInSeconds":{"locationName":"authorizerResultTtlInSeconds","type":"integer"},"AuthorizerType":{"locationName":"authorizerType"},"AuthorizerUri":{"locationName":"authorizerUri"},"EnableSimpleResponses":{"locationName":"enableSimpleResponses","type":"boolean"},"IdentitySource":{"shape":"Ss","locationName":"identitySource"},"IdentityValidationExpression":{"locationName":"identityValidationExpression"},"JwtConfiguration":{"shape":"St","locationName":"jwtConfiguration"},"Name":{"locationName":"name"}}}},"GetAuthorizers":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/authorizers","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"MaxResults":{"location":"querystring","locationName":"maxResults"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ApiId"]},"output":{"type":"structure","members":{"Items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"AuthorizerCredentialsArn":{"locationName":"authorizerCredentialsArn"},"AuthorizerId":{"locationName":"authorizerId"},"AuthorizerPayloadFormatVersion":{"locationName":"authorizerPayloadFormatVersion"},"AuthorizerResultTtlInSeconds":{"locationName":"authorizerResultTtlInSeconds","type":"integer"},"AuthorizerType":{"locationName":"authorizerType"},"AuthorizerUri":{"locationName":"authorizerUri"},"EnableSimpleResponses":{"locationName":"enableSimpleResponses","type":"boolean"},"IdentitySource":{"shape":"Ss","locationName":"identitySource"},"IdentityValidationExpression":{"locationName":"identityValidationExpression"},"JwtConfiguration":{"shape":"St","locationName":"jwtConfiguration"},"Name":{"locationName":"name"}},"required":["Name"]}},"NextToken":{"locationName":"nextToken"}}}},"GetDeployment":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/deployments/{deploymentId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"DeploymentId":{"location":"uri","locationName":"deploymentId"}},"required":["ApiId","DeploymentId"]},"output":{"type":"structure","members":{"AutoDeployed":{"locationName":"autoDeployed","type":"boolean"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"DeploymentId":{"locationName":"deploymentId"},"DeploymentStatus":{"locationName":"deploymentStatus"},"DeploymentStatusMessage":{"locationName":"deploymentStatusMessage"},"Description":{"locationName":"description"}}}},"GetDeployments":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/deployments","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"MaxResults":{"location":"querystring","locationName":"maxResults"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ApiId"]},"output":{"type":"structure","members":{"Items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"AutoDeployed":{"locationName":"autoDeployed","type":"boolean"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"DeploymentId":{"locationName":"deploymentId"},"DeploymentStatus":{"locationName":"deploymentStatus"},"DeploymentStatusMessage":{"locationName":"deploymentStatusMessage"},"Description":{"locationName":"description"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetDomainName":{"http":{"method":"GET","requestUri":"/v2/domainnames/{domainName}","responseCode":200},"input":{"type":"structure","members":{"DomainName":{"location":"uri","locationName":"domainName"}},"required":["DomainName"]},"output":{"type":"structure","members":{"ApiMappingSelectionExpression":{"locationName":"apiMappingSelectionExpression"},"DomainName":{"locationName":"domainName"},"DomainNameConfigurations":{"shape":"S10","locationName":"domainNameConfigurations"},"MutualTlsAuthentication":{"shape":"S17","locationName":"mutualTlsAuthentication"},"Tags":{"shape":"Sg","locationName":"tags"}}}},"GetDomainNames":{"http":{"method":"GET","requestUri":"/v2/domainnames","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"ApiMappingSelectionExpression":{"locationName":"apiMappingSelectionExpression"},"DomainName":{"locationName":"domainName"},"DomainNameConfigurations":{"shape":"S10","locationName":"domainNameConfigurations"},"MutualTlsAuthentication":{"shape":"S17","locationName":"mutualTlsAuthentication"},"Tags":{"shape":"Sg","locationName":"tags"}},"required":["DomainName"]}},"NextToken":{"locationName":"nextToken"}}}},"GetIntegration":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/integrations/{integrationId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"IntegrationId":{"location":"uri","locationName":"integrationId"}},"required":["ApiId","IntegrationId"]},"output":{"type":"structure","members":{"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ConnectionId":{"locationName":"connectionId"},"ConnectionType":{"locationName":"connectionType"},"ContentHandlingStrategy":{"locationName":"contentHandlingStrategy"},"CredentialsArn":{"locationName":"credentialsArn"},"Description":{"locationName":"description"},"IntegrationId":{"locationName":"integrationId"},"IntegrationMethod":{"locationName":"integrationMethod"},"IntegrationResponseSelectionExpression":{"locationName":"integrationResponseSelectionExpression"},"IntegrationSubtype":{"locationName":"integrationSubtype"},"IntegrationType":{"locationName":"integrationType"},"IntegrationUri":{"locationName":"integrationUri"},"PassthroughBehavior":{"locationName":"passthroughBehavior"},"PayloadFormatVersion":{"locationName":"payloadFormatVersion"},"RequestParameters":{"shape":"S1e","locationName":"requestParameters"},"RequestTemplates":{"shape":"S1f","locationName":"requestTemplates"},"ResponseParameters":{"shape":"S1h","locationName":"responseParameters"},"TemplateSelectionExpression":{"locationName":"templateSelectionExpression"},"TimeoutInMillis":{"locationName":"timeoutInMillis","type":"integer"},"TlsConfig":{"shape":"S1l","locationName":"tlsConfig"}}}},"GetIntegrationResponse":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses/{integrationResponseId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"IntegrationId":{"location":"uri","locationName":"integrationId"},"IntegrationResponseId":{"location":"uri","locationName":"integrationResponseId"}},"required":["ApiId","IntegrationResponseId","IntegrationId"]},"output":{"type":"structure","members":{"ContentHandlingStrategy":{"locationName":"contentHandlingStrategy"},"IntegrationResponseId":{"locationName":"integrationResponseId"},"IntegrationResponseKey":{"locationName":"integrationResponseKey"},"ResponseParameters":{"shape":"S1e","locationName":"responseParameters"},"ResponseTemplates":{"shape":"S1f","locationName":"responseTemplates"},"TemplateSelectionExpression":{"locationName":"templateSelectionExpression"}}}},"GetIntegrationResponses":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"IntegrationId":{"location":"uri","locationName":"integrationId"},"MaxResults":{"location":"querystring","locationName":"maxResults"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["IntegrationId","ApiId"]},"output":{"type":"structure","members":{"Items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"ContentHandlingStrategy":{"locationName":"contentHandlingStrategy"},"IntegrationResponseId":{"locationName":"integrationResponseId"},"IntegrationResponseKey":{"locationName":"integrationResponseKey"},"ResponseParameters":{"shape":"S1e","locationName":"responseParameters"},"ResponseTemplates":{"shape":"S1f","locationName":"responseTemplates"},"TemplateSelectionExpression":{"locationName":"templateSelectionExpression"}},"required":["IntegrationResponseKey"]}},"NextToken":{"locationName":"nextToken"}}}},"GetIntegrations":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/integrations","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"MaxResults":{"location":"querystring","locationName":"maxResults"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ApiId"]},"output":{"type":"structure","members":{"Items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ConnectionId":{"locationName":"connectionId"},"ConnectionType":{"locationName":"connectionType"},"ContentHandlingStrategy":{"locationName":"contentHandlingStrategy"},"CredentialsArn":{"locationName":"credentialsArn"},"Description":{"locationName":"description"},"IntegrationId":{"locationName":"integrationId"},"IntegrationMethod":{"locationName":"integrationMethod"},"IntegrationResponseSelectionExpression":{"locationName":"integrationResponseSelectionExpression"},"IntegrationSubtype":{"locationName":"integrationSubtype"},"IntegrationType":{"locationName":"integrationType"},"IntegrationUri":{"locationName":"integrationUri"},"PassthroughBehavior":{"locationName":"passthroughBehavior"},"PayloadFormatVersion":{"locationName":"payloadFormatVersion"},"RequestParameters":{"shape":"S1e","locationName":"requestParameters"},"RequestTemplates":{"shape":"S1f","locationName":"requestTemplates"},"ResponseParameters":{"shape":"S1h","locationName":"responseParameters"},"TemplateSelectionExpression":{"locationName":"templateSelectionExpression"},"TimeoutInMillis":{"locationName":"timeoutInMillis","type":"integer"},"TlsConfig":{"shape":"S1l","locationName":"tlsConfig"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetModel":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/models/{modelId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ModelId":{"location":"uri","locationName":"modelId"}},"required":["ModelId","ApiId"]},"output":{"type":"structure","members":{"ContentType":{"locationName":"contentType"},"Description":{"locationName":"description"},"ModelId":{"locationName":"modelId"},"Name":{"locationName":"name"},"Schema":{"locationName":"schema"}}}},"GetModelTemplate":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/models/{modelId}/template","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ModelId":{"location":"uri","locationName":"modelId"}},"required":["ModelId","ApiId"]},"output":{"type":"structure","members":{"Value":{"locationName":"value"}}}},"GetModels":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/models","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"MaxResults":{"location":"querystring","locationName":"maxResults"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ApiId"]},"output":{"type":"structure","members":{"Items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"ContentType":{"locationName":"contentType"},"Description":{"locationName":"description"},"ModelId":{"locationName":"modelId"},"Name":{"locationName":"name"},"Schema":{"locationName":"schema"}},"required":["Name"]}},"NextToken":{"locationName":"nextToken"}}}},"GetRoute":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/routes/{routeId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"RouteId":{"location":"uri","locationName":"routeId"}},"required":["ApiId","RouteId"]},"output":{"type":"structure","members":{"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ApiKeyRequired":{"locationName":"apiKeyRequired","type":"boolean"},"AuthorizationScopes":{"shape":"S1s","locationName":"authorizationScopes"},"AuthorizationType":{"locationName":"authorizationType"},"AuthorizerId":{"locationName":"authorizerId"},"ModelSelectionExpression":{"locationName":"modelSelectionExpression"},"OperationName":{"locationName":"operationName"},"RequestModels":{"shape":"S1u","locationName":"requestModels"},"RequestParameters":{"shape":"S1v","locationName":"requestParameters"},"RouteId":{"locationName":"routeId"},"RouteKey":{"locationName":"routeKey"},"RouteResponseSelectionExpression":{"locationName":"routeResponseSelectionExpression"},"Target":{"locationName":"target"}}}},"GetRouteResponse":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/routes/{routeId}/routeresponses/{routeResponseId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"RouteId":{"location":"uri","locationName":"routeId"},"RouteResponseId":{"location":"uri","locationName":"routeResponseId"}},"required":["RouteResponseId","ApiId","RouteId"]},"output":{"type":"structure","members":{"ModelSelectionExpression":{"locationName":"modelSelectionExpression"},"ResponseModels":{"shape":"S1u","locationName":"responseModels"},"ResponseParameters":{"shape":"S1v","locationName":"responseParameters"},"RouteResponseId":{"locationName":"routeResponseId"},"RouteResponseKey":{"locationName":"routeResponseKey"}}}},"GetRouteResponses":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/routes/{routeId}/routeresponses","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"MaxResults":{"location":"querystring","locationName":"maxResults"},"NextToken":{"location":"querystring","locationName":"nextToken"},"RouteId":{"location":"uri","locationName":"routeId"}},"required":["RouteId","ApiId"]},"output":{"type":"structure","members":{"Items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"ModelSelectionExpression":{"locationName":"modelSelectionExpression"},"ResponseModels":{"shape":"S1u","locationName":"responseModels"},"ResponseParameters":{"shape":"S1v","locationName":"responseParameters"},"RouteResponseId":{"locationName":"routeResponseId"},"RouteResponseKey":{"locationName":"routeResponseKey"}},"required":["RouteResponseKey"]}},"NextToken":{"locationName":"nextToken"}}}},"GetRoutes":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/routes","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"MaxResults":{"location":"querystring","locationName":"maxResults"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ApiId"]},"output":{"type":"structure","members":{"Items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ApiKeyRequired":{"locationName":"apiKeyRequired","type":"boolean"},"AuthorizationScopes":{"shape":"S1s","locationName":"authorizationScopes"},"AuthorizationType":{"locationName":"authorizationType"},"AuthorizerId":{"locationName":"authorizerId"},"ModelSelectionExpression":{"locationName":"modelSelectionExpression"},"OperationName":{"locationName":"operationName"},"RequestModels":{"shape":"S1u","locationName":"requestModels"},"RequestParameters":{"shape":"S1v","locationName":"requestParameters"},"RouteId":{"locationName":"routeId"},"RouteKey":{"locationName":"routeKey"},"RouteResponseSelectionExpression":{"locationName":"routeResponseSelectionExpression"},"Target":{"locationName":"target"}},"required":["RouteKey"]}},"NextToken":{"locationName":"nextToken"}}}},"GetStage":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/stages/{stageName}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"StageName":{"location":"uri","locationName":"stageName"}},"required":["StageName","ApiId"]},"output":{"type":"structure","members":{"AccessLogSettings":{"shape":"S21","locationName":"accessLogSettings"},"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"AutoDeploy":{"locationName":"autoDeploy","type":"boolean"},"ClientCertificateId":{"locationName":"clientCertificateId"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"DefaultRouteSettings":{"shape":"S22","locationName":"defaultRouteSettings"},"DeploymentId":{"locationName":"deploymentId"},"Description":{"locationName":"description"},"LastDeploymentStatusMessage":{"locationName":"lastDeploymentStatusMessage"},"LastUpdatedDate":{"shape":"Sl","locationName":"lastUpdatedDate"},"RouteSettings":{"shape":"S26","locationName":"routeSettings"},"StageName":{"locationName":"stageName"},"StageVariables":{"shape":"S27","locationName":"stageVariables"},"Tags":{"shape":"Sg","locationName":"tags"}}}},"GetStages":{"http":{"method":"GET","requestUri":"/v2/apis/{apiId}/stages","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"MaxResults":{"location":"querystring","locationName":"maxResults"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ApiId"]},"output":{"type":"structure","members":{"Items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"AccessLogSettings":{"shape":"S21","locationName":"accessLogSettings"},"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"AutoDeploy":{"locationName":"autoDeploy","type":"boolean"},"ClientCertificateId":{"locationName":"clientCertificateId"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"DefaultRouteSettings":{"shape":"S22","locationName":"defaultRouteSettings"},"DeploymentId":{"locationName":"deploymentId"},"Description":{"locationName":"description"},"LastDeploymentStatusMessage":{"locationName":"lastDeploymentStatusMessage"},"LastUpdatedDate":{"shape":"Sl","locationName":"lastUpdatedDate"},"RouteSettings":{"shape":"S26","locationName":"routeSettings"},"StageName":{"locationName":"stageName"},"StageVariables":{"shape":"S27","locationName":"stageVariables"},"Tags":{"shape":"Sg","locationName":"tags"}},"required":["StageName"]}},"NextToken":{"locationName":"nextToken"}}}},"GetTags":{"http":{"method":"GET","requestUri":"/v2/tags/{resource-arn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{"Tags":{"shape":"Sg","locationName":"tags"}}}},"GetVpcLink":{"http":{"method":"GET","requestUri":"/v2/vpclinks/{vpcLinkId}","responseCode":200},"input":{"type":"structure","members":{"VpcLinkId":{"location":"uri","locationName":"vpcLinkId"}},"required":["VpcLinkId"]},"output":{"type":"structure","members":{"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"Name":{"locationName":"name"},"SecurityGroupIds":{"shape":"S2b","locationName":"securityGroupIds"},"SubnetIds":{"shape":"S2c","locationName":"subnetIds"},"Tags":{"shape":"Sg","locationName":"tags"},"VpcLinkId":{"locationName":"vpcLinkId"},"VpcLinkStatus":{"locationName":"vpcLinkStatus"},"VpcLinkStatusMessage":{"locationName":"vpcLinkStatusMessage"},"VpcLinkVersion":{"locationName":"vpcLinkVersion"}}}},"GetVpcLinks":{"http":{"method":"GET","requestUri":"/v2/vpclinks","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"Name":{"locationName":"name"},"SecurityGroupIds":{"shape":"S2b","locationName":"securityGroupIds"},"SubnetIds":{"shape":"S2c","locationName":"subnetIds"},"Tags":{"shape":"Sg","locationName":"tags"},"VpcLinkId":{"locationName":"vpcLinkId"},"VpcLinkStatus":{"locationName":"vpcLinkStatus"},"VpcLinkStatusMessage":{"locationName":"vpcLinkStatusMessage"},"VpcLinkVersion":{"locationName":"vpcLinkVersion"}},"required":["VpcLinkId","SecurityGroupIds","SubnetIds","Name"]}},"NextToken":{"locationName":"nextToken"}}}},"ImportApi":{"http":{"method":"PUT","requestUri":"/v2/apis","responseCode":201},"input":{"type":"structure","members":{"Basepath":{"location":"querystring","locationName":"basepath"},"Body":{"locationName":"body"},"FailOnWarnings":{"location":"querystring","locationName":"failOnWarnings","type":"boolean"}},"required":["Body"]},"output":{"type":"structure","members":{"ApiEndpoint":{"locationName":"apiEndpoint"},"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ApiId":{"locationName":"apiId"},"ApiKeySelectionExpression":{"locationName":"apiKeySelectionExpression"},"CorsConfiguration":{"shape":"S3","locationName":"corsConfiguration"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"Description":{"locationName":"description"},"DisableSchemaValidation":{"locationName":"disableSchemaValidation","type":"boolean"},"DisableExecuteApiEndpoint":{"locationName":"disableExecuteApiEndpoint","type":"boolean"},"ImportInfo":{"shape":"Sm","locationName":"importInfo"},"Name":{"locationName":"name"},"ProtocolType":{"locationName":"protocolType"},"RouteSelectionExpression":{"locationName":"routeSelectionExpression"},"Tags":{"shape":"Sg","locationName":"tags"},"Version":{"locationName":"version"},"Warnings":{"shape":"Sm","locationName":"warnings"}}}},"ReimportApi":{"http":{"method":"PUT","requestUri":"/v2/apis/{apiId}","responseCode":201},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"Basepath":{"location":"querystring","locationName":"basepath"},"Body":{"locationName":"body"},"FailOnWarnings":{"location":"querystring","locationName":"failOnWarnings","type":"boolean"}},"required":["ApiId","Body"]},"output":{"type":"structure","members":{"ApiEndpoint":{"locationName":"apiEndpoint"},"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ApiId":{"locationName":"apiId"},"ApiKeySelectionExpression":{"locationName":"apiKeySelectionExpression"},"CorsConfiguration":{"shape":"S3","locationName":"corsConfiguration"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"Description":{"locationName":"description"},"DisableSchemaValidation":{"locationName":"disableSchemaValidation","type":"boolean"},"DisableExecuteApiEndpoint":{"locationName":"disableExecuteApiEndpoint","type":"boolean"},"ImportInfo":{"shape":"Sm","locationName":"importInfo"},"Name":{"locationName":"name"},"ProtocolType":{"locationName":"protocolType"},"RouteSelectionExpression":{"locationName":"routeSelectionExpression"},"Tags":{"shape":"Sg","locationName":"tags"},"Version":{"locationName":"version"},"Warnings":{"shape":"Sm","locationName":"warnings"}}}},"TagResource":{"http":{"requestUri":"/v2/tags/{resource-arn}","responseCode":201},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"Tags":{"shape":"Sg","locationName":"tags"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/v2/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"TagKeys":{"shape":"Sm","location":"querystring","locationName":"tagKeys"}},"required":["ResourceArn","TagKeys"]}},"UpdateApi":{"http":{"method":"PATCH","requestUri":"/v2/apis/{apiId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ApiKeySelectionExpression":{"locationName":"apiKeySelectionExpression"},"CorsConfiguration":{"shape":"S3","locationName":"corsConfiguration"},"CredentialsArn":{"locationName":"credentialsArn"},"Description":{"locationName":"description"},"DisableSchemaValidation":{"locationName":"disableSchemaValidation","type":"boolean"},"DisableExecuteApiEndpoint":{"locationName":"disableExecuteApiEndpoint","type":"boolean"},"Name":{"locationName":"name"},"RouteKey":{"locationName":"routeKey"},"RouteSelectionExpression":{"locationName":"routeSelectionExpression"},"Target":{"locationName":"target"},"Version":{"locationName":"version"}},"required":["ApiId"]},"output":{"type":"structure","members":{"ApiEndpoint":{"locationName":"apiEndpoint"},"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ApiId":{"locationName":"apiId"},"ApiKeySelectionExpression":{"locationName":"apiKeySelectionExpression"},"CorsConfiguration":{"shape":"S3","locationName":"corsConfiguration"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"Description":{"locationName":"description"},"DisableSchemaValidation":{"locationName":"disableSchemaValidation","type":"boolean"},"DisableExecuteApiEndpoint":{"locationName":"disableExecuteApiEndpoint","type":"boolean"},"ImportInfo":{"shape":"Sm","locationName":"importInfo"},"Name":{"locationName":"name"},"ProtocolType":{"locationName":"protocolType"},"RouteSelectionExpression":{"locationName":"routeSelectionExpression"},"Tags":{"shape":"Sg","locationName":"tags"},"Version":{"locationName":"version"},"Warnings":{"shape":"Sm","locationName":"warnings"}}}},"UpdateApiMapping":{"http":{"method":"PATCH","requestUri":"/v2/domainnames/{domainName}/apimappings/{apiMappingId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"locationName":"apiId"},"ApiMappingId":{"location":"uri","locationName":"apiMappingId"},"ApiMappingKey":{"locationName":"apiMappingKey"},"DomainName":{"location":"uri","locationName":"domainName"},"Stage":{"locationName":"stage"}},"required":["ApiMappingId","ApiId","DomainName"]},"output":{"type":"structure","members":{"ApiId":{"locationName":"apiId"},"ApiMappingId":{"locationName":"apiMappingId"},"ApiMappingKey":{"locationName":"apiMappingKey"},"Stage":{"locationName":"stage"}}}},"UpdateAuthorizer":{"http":{"method":"PATCH","requestUri":"/v2/apis/{apiId}/authorizers/{authorizerId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"AuthorizerCredentialsArn":{"locationName":"authorizerCredentialsArn"},"AuthorizerId":{"location":"uri","locationName":"authorizerId"},"AuthorizerPayloadFormatVersion":{"locationName":"authorizerPayloadFormatVersion"},"AuthorizerResultTtlInSeconds":{"locationName":"authorizerResultTtlInSeconds","type":"integer"},"AuthorizerType":{"locationName":"authorizerType"},"AuthorizerUri":{"locationName":"authorizerUri"},"EnableSimpleResponses":{"locationName":"enableSimpleResponses","type":"boolean"},"IdentitySource":{"shape":"Ss","locationName":"identitySource"},"IdentityValidationExpression":{"locationName":"identityValidationExpression"},"JwtConfiguration":{"shape":"St","locationName":"jwtConfiguration"},"Name":{"locationName":"name"}},"required":["AuthorizerId","ApiId"]},"output":{"type":"structure","members":{"AuthorizerCredentialsArn":{"locationName":"authorizerCredentialsArn"},"AuthorizerId":{"locationName":"authorizerId"},"AuthorizerPayloadFormatVersion":{"locationName":"authorizerPayloadFormatVersion"},"AuthorizerResultTtlInSeconds":{"locationName":"authorizerResultTtlInSeconds","type":"integer"},"AuthorizerType":{"locationName":"authorizerType"},"AuthorizerUri":{"locationName":"authorizerUri"},"EnableSimpleResponses":{"locationName":"enableSimpleResponses","type":"boolean"},"IdentitySource":{"shape":"Ss","locationName":"identitySource"},"IdentityValidationExpression":{"locationName":"identityValidationExpression"},"JwtConfiguration":{"shape":"St","locationName":"jwtConfiguration"},"Name":{"locationName":"name"}}}},"UpdateDeployment":{"http":{"method":"PATCH","requestUri":"/v2/apis/{apiId}/deployments/{deploymentId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"DeploymentId":{"location":"uri","locationName":"deploymentId"},"Description":{"locationName":"description"}},"required":["ApiId","DeploymentId"]},"output":{"type":"structure","members":{"AutoDeployed":{"locationName":"autoDeployed","type":"boolean"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"DeploymentId":{"locationName":"deploymentId"},"DeploymentStatus":{"locationName":"deploymentStatus"},"DeploymentStatusMessage":{"locationName":"deploymentStatusMessage"},"Description":{"locationName":"description"}}}},"UpdateDomainName":{"http":{"method":"PATCH","requestUri":"/v2/domainnames/{domainName}","responseCode":200},"input":{"type":"structure","members":{"DomainName":{"location":"uri","locationName":"domainName"},"DomainNameConfigurations":{"shape":"S10","locationName":"domainNameConfigurations"},"MutualTlsAuthentication":{"shape":"S15","locationName":"mutualTlsAuthentication"}},"required":["DomainName"]},"output":{"type":"structure","members":{"ApiMappingSelectionExpression":{"locationName":"apiMappingSelectionExpression"},"DomainName":{"locationName":"domainName"},"DomainNameConfigurations":{"shape":"S10","locationName":"domainNameConfigurations"},"MutualTlsAuthentication":{"shape":"S17","locationName":"mutualTlsAuthentication"},"Tags":{"shape":"Sg","locationName":"tags"}}}},"UpdateIntegration":{"http":{"method":"PATCH","requestUri":"/v2/apis/{apiId}/integrations/{integrationId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ConnectionId":{"locationName":"connectionId"},"ConnectionType":{"locationName":"connectionType"},"ContentHandlingStrategy":{"locationName":"contentHandlingStrategy"},"CredentialsArn":{"locationName":"credentialsArn"},"Description":{"locationName":"description"},"IntegrationId":{"location":"uri","locationName":"integrationId"},"IntegrationMethod":{"locationName":"integrationMethod"},"IntegrationSubtype":{"locationName":"integrationSubtype"},"IntegrationType":{"locationName":"integrationType"},"IntegrationUri":{"locationName":"integrationUri"},"PassthroughBehavior":{"locationName":"passthroughBehavior"},"PayloadFormatVersion":{"locationName":"payloadFormatVersion"},"RequestParameters":{"shape":"S1e","locationName":"requestParameters"},"RequestTemplates":{"shape":"S1f","locationName":"requestTemplates"},"ResponseParameters":{"shape":"S1h","locationName":"responseParameters"},"TemplateSelectionExpression":{"locationName":"templateSelectionExpression"},"TimeoutInMillis":{"locationName":"timeoutInMillis","type":"integer"},"TlsConfig":{"shape":"S1j","locationName":"tlsConfig"}},"required":["ApiId","IntegrationId"]},"output":{"type":"structure","members":{"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ConnectionId":{"locationName":"connectionId"},"ConnectionType":{"locationName":"connectionType"},"ContentHandlingStrategy":{"locationName":"contentHandlingStrategy"},"CredentialsArn":{"locationName":"credentialsArn"},"Description":{"locationName":"description"},"IntegrationId":{"locationName":"integrationId"},"IntegrationMethod":{"locationName":"integrationMethod"},"IntegrationResponseSelectionExpression":{"locationName":"integrationResponseSelectionExpression"},"IntegrationSubtype":{"locationName":"integrationSubtype"},"IntegrationType":{"locationName":"integrationType"},"IntegrationUri":{"locationName":"integrationUri"},"PassthroughBehavior":{"locationName":"passthroughBehavior"},"PayloadFormatVersion":{"locationName":"payloadFormatVersion"},"RequestParameters":{"shape":"S1e","locationName":"requestParameters"},"RequestTemplates":{"shape":"S1f","locationName":"requestTemplates"},"ResponseParameters":{"shape":"S1h","locationName":"responseParameters"},"TemplateSelectionExpression":{"locationName":"templateSelectionExpression"},"TimeoutInMillis":{"locationName":"timeoutInMillis","type":"integer"},"TlsConfig":{"shape":"S1l","locationName":"tlsConfig"}}}},"UpdateIntegrationResponse":{"http":{"method":"PATCH","requestUri":"/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses/{integrationResponseId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ContentHandlingStrategy":{"locationName":"contentHandlingStrategy"},"IntegrationId":{"location":"uri","locationName":"integrationId"},"IntegrationResponseId":{"location":"uri","locationName":"integrationResponseId"},"IntegrationResponseKey":{"locationName":"integrationResponseKey"},"ResponseParameters":{"shape":"S1e","locationName":"responseParameters"},"ResponseTemplates":{"shape":"S1f","locationName":"responseTemplates"},"TemplateSelectionExpression":{"locationName":"templateSelectionExpression"}},"required":["ApiId","IntegrationResponseId","IntegrationId"]},"output":{"type":"structure","members":{"ContentHandlingStrategy":{"locationName":"contentHandlingStrategy"},"IntegrationResponseId":{"locationName":"integrationResponseId"},"IntegrationResponseKey":{"locationName":"integrationResponseKey"},"ResponseParameters":{"shape":"S1e","locationName":"responseParameters"},"ResponseTemplates":{"shape":"S1f","locationName":"responseTemplates"},"TemplateSelectionExpression":{"locationName":"templateSelectionExpression"}}}},"UpdateModel":{"http":{"method":"PATCH","requestUri":"/v2/apis/{apiId}/models/{modelId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ContentType":{"locationName":"contentType"},"Description":{"locationName":"description"},"ModelId":{"location":"uri","locationName":"modelId"},"Name":{"locationName":"name"},"Schema":{"locationName":"schema"}},"required":["ModelId","ApiId"]},"output":{"type":"structure","members":{"ContentType":{"locationName":"contentType"},"Description":{"locationName":"description"},"ModelId":{"locationName":"modelId"},"Name":{"locationName":"name"},"Schema":{"locationName":"schema"}}}},"UpdateRoute":{"http":{"method":"PATCH","requestUri":"/v2/apis/{apiId}/routes/{routeId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ApiKeyRequired":{"locationName":"apiKeyRequired","type":"boolean"},"AuthorizationScopes":{"shape":"S1s","locationName":"authorizationScopes"},"AuthorizationType":{"locationName":"authorizationType"},"AuthorizerId":{"locationName":"authorizerId"},"ModelSelectionExpression":{"locationName":"modelSelectionExpression"},"OperationName":{"locationName":"operationName"},"RequestModels":{"shape":"S1u","locationName":"requestModels"},"RequestParameters":{"shape":"S1v","locationName":"requestParameters"},"RouteId":{"location":"uri","locationName":"routeId"},"RouteKey":{"locationName":"routeKey"},"RouteResponseSelectionExpression":{"locationName":"routeResponseSelectionExpression"},"Target":{"locationName":"target"}},"required":["ApiId","RouteId"]},"output":{"type":"structure","members":{"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"ApiKeyRequired":{"locationName":"apiKeyRequired","type":"boolean"},"AuthorizationScopes":{"shape":"S1s","locationName":"authorizationScopes"},"AuthorizationType":{"locationName":"authorizationType"},"AuthorizerId":{"locationName":"authorizerId"},"ModelSelectionExpression":{"locationName":"modelSelectionExpression"},"OperationName":{"locationName":"operationName"},"RequestModels":{"shape":"S1u","locationName":"requestModels"},"RequestParameters":{"shape":"S1v","locationName":"requestParameters"},"RouteId":{"locationName":"routeId"},"RouteKey":{"locationName":"routeKey"},"RouteResponseSelectionExpression":{"locationName":"routeResponseSelectionExpression"},"Target":{"locationName":"target"}}}},"UpdateRouteResponse":{"http":{"method":"PATCH","requestUri":"/v2/apis/{apiId}/routes/{routeId}/routeresponses/{routeResponseId}","responseCode":200},"input":{"type":"structure","members":{"ApiId":{"location":"uri","locationName":"apiId"},"ModelSelectionExpression":{"locationName":"modelSelectionExpression"},"ResponseModels":{"shape":"S1u","locationName":"responseModels"},"ResponseParameters":{"shape":"S1v","locationName":"responseParameters"},"RouteId":{"location":"uri","locationName":"routeId"},"RouteResponseId":{"location":"uri","locationName":"routeResponseId"},"RouteResponseKey":{"locationName":"routeResponseKey"}},"required":["RouteResponseId","ApiId","RouteId"]},"output":{"type":"structure","members":{"ModelSelectionExpression":{"locationName":"modelSelectionExpression"},"ResponseModels":{"shape":"S1u","locationName":"responseModels"},"ResponseParameters":{"shape":"S1v","locationName":"responseParameters"},"RouteResponseId":{"locationName":"routeResponseId"},"RouteResponseKey":{"locationName":"routeResponseKey"}}}},"UpdateStage":{"http":{"method":"PATCH","requestUri":"/v2/apis/{apiId}/stages/{stageName}","responseCode":200},"input":{"type":"structure","members":{"AccessLogSettings":{"shape":"S21","locationName":"accessLogSettings"},"ApiId":{"location":"uri","locationName":"apiId"},"AutoDeploy":{"locationName":"autoDeploy","type":"boolean"},"ClientCertificateId":{"locationName":"clientCertificateId"},"DefaultRouteSettings":{"shape":"S22","locationName":"defaultRouteSettings"},"DeploymentId":{"locationName":"deploymentId"},"Description":{"locationName":"description"},"RouteSettings":{"shape":"S26","locationName":"routeSettings"},"StageName":{"location":"uri","locationName":"stageName"},"StageVariables":{"shape":"S27","locationName":"stageVariables"}},"required":["StageName","ApiId"]},"output":{"type":"structure","members":{"AccessLogSettings":{"shape":"S21","locationName":"accessLogSettings"},"ApiGatewayManaged":{"locationName":"apiGatewayManaged","type":"boolean"},"AutoDeploy":{"locationName":"autoDeploy","type":"boolean"},"ClientCertificateId":{"locationName":"clientCertificateId"},"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"DefaultRouteSettings":{"shape":"S22","locationName":"defaultRouteSettings"},"DeploymentId":{"locationName":"deploymentId"},"Description":{"locationName":"description"},"LastDeploymentStatusMessage":{"locationName":"lastDeploymentStatusMessage"},"LastUpdatedDate":{"shape":"Sl","locationName":"lastUpdatedDate"},"RouteSettings":{"shape":"S26","locationName":"routeSettings"},"StageName":{"locationName":"stageName"},"StageVariables":{"shape":"S27","locationName":"stageVariables"},"Tags":{"shape":"Sg","locationName":"tags"}}}},"UpdateVpcLink":{"http":{"method":"PATCH","requestUri":"/v2/vpclinks/{vpcLinkId}","responseCode":200},"input":{"type":"structure","members":{"Name":{"locationName":"name"},"VpcLinkId":{"location":"uri","locationName":"vpcLinkId"}},"required":["VpcLinkId"]},"output":{"type":"structure","members":{"CreatedDate":{"shape":"Sl","locationName":"createdDate"},"Name":{"locationName":"name"},"SecurityGroupIds":{"shape":"S2b","locationName":"securityGroupIds"},"SubnetIds":{"shape":"S2c","locationName":"subnetIds"},"Tags":{"shape":"Sg","locationName":"tags"},"VpcLinkId":{"locationName":"vpcLinkId"},"VpcLinkStatus":{"locationName":"vpcLinkStatus"},"VpcLinkStatusMessage":{"locationName":"vpcLinkStatusMessage"},"VpcLinkVersion":{"locationName":"vpcLinkVersion"}}}}},"shapes":{"S3":{"type":"structure","members":{"AllowCredentials":{"locationName":"allowCredentials","type":"boolean"},"AllowHeaders":{"shape":"S5","locationName":"allowHeaders"},"AllowMethods":{"locationName":"allowMethods","type":"list","member":{}},"AllowOrigins":{"locationName":"allowOrigins","type":"list","member":{}},"ExposeHeaders":{"shape":"S5","locationName":"exposeHeaders"},"MaxAge":{"locationName":"maxAge","type":"integer"}}},"S5":{"type":"list","member":{}},"Sg":{"type":"map","key":{},"value":{}},"Sl":{"type":"timestamp","timestampFormat":"iso8601"},"Sm":{"type":"list","member":{}},"Ss":{"type":"list","member":{}},"St":{"type":"structure","members":{"Audience":{"shape":"Sm","locationName":"audience"},"Issuer":{"locationName":"issuer"}}},"S10":{"type":"list","member":{"type":"structure","members":{"ApiGatewayDomainName":{"locationName":"apiGatewayDomainName"},"CertificateArn":{"locationName":"certificateArn"},"CertificateName":{"locationName":"certificateName"},"CertificateUploadDate":{"shape":"Sl","locationName":"certificateUploadDate"},"DomainNameStatus":{"locationName":"domainNameStatus"},"DomainNameStatusMessage":{"locationName":"domainNameStatusMessage"},"EndpointType":{"locationName":"endpointType"},"HostedZoneId":{"locationName":"hostedZoneId"},"SecurityPolicy":{"locationName":"securityPolicy"},"OwnershipVerificationCertificateArn":{"locationName":"ownershipVerificationCertificateArn"}}}},"S15":{"type":"structure","members":{"TruststoreUri":{"locationName":"truststoreUri"},"TruststoreVersion":{"locationName":"truststoreVersion"}}},"S17":{"type":"structure","members":{"TruststoreUri":{"locationName":"truststoreUri"},"TruststoreVersion":{"locationName":"truststoreVersion"},"TruststoreWarnings":{"shape":"Sm","locationName":"truststoreWarnings"}}},"S1e":{"type":"map","key":{},"value":{}},"S1f":{"type":"map","key":{},"value":{}},"S1h":{"type":"map","key":{},"value":{"shape":"S1e"}},"S1j":{"type":"structure","members":{"ServerNameToVerify":{"locationName":"serverNameToVerify"}}},"S1l":{"type":"structure","members":{"ServerNameToVerify":{"locationName":"serverNameToVerify"}}},"S1s":{"type":"list","member":{}},"S1u":{"type":"map","key":{},"value":{}},"S1v":{"type":"map","key":{},"value":{"type":"structure","members":{"Required":{"locationName":"required","type":"boolean"}}}},"S21":{"type":"structure","members":{"DestinationArn":{"locationName":"destinationArn"},"Format":{"locationName":"format"}}},"S22":{"type":"structure","members":{"DataTraceEnabled":{"locationName":"dataTraceEnabled","type":"boolean"},"DetailedMetricsEnabled":{"locationName":"detailedMetricsEnabled","type":"boolean"},"LoggingLevel":{"locationName":"loggingLevel"},"ThrottlingBurstLimit":{"locationName":"throttlingBurstLimit","type":"integer"},"ThrottlingRateLimit":{"locationName":"throttlingRateLimit","type":"double"}}},"S26":{"type":"map","key":{},"value":{"shape":"S22"}},"S27":{"type":"map","key":{},"value":{}},"S2b":{"type":"list","member":{}},"S2c":{"type":"list","member":{}}}}');

/***/ }),

/***/ 90171:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 44701:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-10-09","endpointPrefix":"appconfig","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"AppConfig","serviceFullName":"Amazon AppConfig","serviceId":"AppConfig","signatureVersion":"v4","signingName":"appconfig","uid":"appconfig-2019-10-09"},"operations":{"CreateApplication":{"http":{"requestUri":"/applications","responseCode":201},"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"Tags":{"shape":"S4"}}},"output":{"shape":"S7"}},"CreateConfigurationProfile":{"http":{"requestUri":"/applications/{ApplicationId}/configurationprofiles","responseCode":201},"input":{"type":"structure","required":["ApplicationId","Name","LocationUri"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"Name":{},"Description":{},"LocationUri":{},"RetrievalRoleArn":{},"Validators":{"shape":"Sc"},"Tags":{"shape":"S4"},"Type":{}}},"output":{"shape":"Sh"}},"CreateDeploymentStrategy":{"http":{"requestUri":"/deploymentstrategies","responseCode":201},"input":{"type":"structure","required":["Name","DeploymentDurationInMinutes","GrowthFactor","ReplicateTo"],"members":{"Name":{},"Description":{},"DeploymentDurationInMinutes":{"type":"integer"},"FinalBakeTimeInMinutes":{"type":"integer"},"GrowthFactor":{"type":"float"},"GrowthType":{},"ReplicateTo":{},"Tags":{"shape":"S4"}}},"output":{"shape":"Sn"}},"CreateEnvironment":{"http":{"requestUri":"/applications/{ApplicationId}/environments","responseCode":201},"input":{"type":"structure","required":["ApplicationId","Name"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"Name":{},"Description":{},"Monitors":{"shape":"Sq"},"Tags":{"shape":"S4"}}},"output":{"shape":"St"}},"CreateHostedConfigurationVersion":{"http":{"requestUri":"/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}/hostedconfigurationversions","responseCode":201},"input":{"type":"structure","required":["ApplicationId","ConfigurationProfileId","Content","ContentType"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"ConfigurationProfileId":{"location":"uri","locationName":"ConfigurationProfileId"},"Description":{"location":"header","locationName":"Description"},"Content":{"shape":"Sw"},"ContentType":{"location":"header","locationName":"Content-Type"},"LatestVersionNumber":{"location":"header","locationName":"Latest-Version-Number","type":"integer"}},"payload":"Content"},"output":{"shape":"Sz"}},"DeleteApplication":{"http":{"method":"DELETE","requestUri":"/applications/{ApplicationId}","responseCode":204},"input":{"type":"structure","required":["ApplicationId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"}}}},"DeleteConfigurationProfile":{"http":{"method":"DELETE","requestUri":"/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}","responseCode":204},"input":{"type":"structure","required":["ApplicationId","ConfigurationProfileId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"ConfigurationProfileId":{"location":"uri","locationName":"ConfigurationProfileId"}}}},"DeleteDeploymentStrategy":{"http":{"method":"DELETE","requestUri":"/deployementstrategies/{DeploymentStrategyId}","responseCode":204},"input":{"type":"structure","required":["DeploymentStrategyId"],"members":{"DeploymentStrategyId":{"location":"uri","locationName":"DeploymentStrategyId"}}}},"DeleteEnvironment":{"http":{"method":"DELETE","requestUri":"/applications/{ApplicationId}/environments/{EnvironmentId}","responseCode":204},"input":{"type":"structure","required":["ApplicationId","EnvironmentId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"EnvironmentId":{"location":"uri","locationName":"EnvironmentId"}}}},"DeleteHostedConfigurationVersion":{"http":{"method":"DELETE","requestUri":"/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}/hostedconfigurationversions/{VersionNumber}","responseCode":204},"input":{"type":"structure","required":["ApplicationId","ConfigurationProfileId","VersionNumber"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"ConfigurationProfileId":{"location":"uri","locationName":"ConfigurationProfileId"},"VersionNumber":{"location":"uri","locationName":"VersionNumber","type":"integer"}}}},"GetApplication":{"http":{"method":"GET","requestUri":"/applications/{ApplicationId}","responseCode":200},"input":{"type":"structure","required":["ApplicationId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"}}},"output":{"shape":"S7"}},"GetConfiguration":{"http":{"method":"GET","requestUri":"/applications/{Application}/environments/{Environment}/configurations/{Configuration}","responseCode":200},"input":{"type":"structure","required":["Application","Environment","Configuration","ClientId"],"members":{"Application":{"location":"uri","locationName":"Application"},"Environment":{"location":"uri","locationName":"Environment"},"Configuration":{"location":"uri","locationName":"Configuration"},"ClientId":{"location":"querystring","locationName":"client_id"},"ClientConfigurationVersion":{"location":"querystring","locationName":"client_configuration_version"}}},"output":{"type":"structure","members":{"Content":{"shape":"Sw"},"ConfigurationVersion":{"location":"header","locationName":"Configuration-Version"},"ContentType":{"location":"header","locationName":"Content-Type"}},"payload":"Content"}},"GetConfigurationProfile":{"http":{"method":"GET","requestUri":"/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}","responseCode":200},"input":{"type":"structure","required":["ApplicationId","ConfigurationProfileId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"ConfigurationProfileId":{"location":"uri","locationName":"ConfigurationProfileId"}}},"output":{"shape":"Sh"}},"GetDeployment":{"http":{"method":"GET","requestUri":"/applications/{ApplicationId}/environments/{EnvironmentId}/deployments/{DeploymentNumber}","responseCode":200},"input":{"type":"structure","required":["ApplicationId","EnvironmentId","DeploymentNumber"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"EnvironmentId":{"location":"uri","locationName":"EnvironmentId"},"DeploymentNumber":{"location":"uri","locationName":"DeploymentNumber","type":"integer"}}},"output":{"shape":"S1e"}},"GetDeploymentStrategy":{"http":{"method":"GET","requestUri":"/deploymentstrategies/{DeploymentStrategyId}","responseCode":200},"input":{"type":"structure","required":["DeploymentStrategyId"],"members":{"DeploymentStrategyId":{"location":"uri","locationName":"DeploymentStrategyId"}}},"output":{"shape":"Sn"}},"GetEnvironment":{"http":{"method":"GET","requestUri":"/applications/{ApplicationId}/environments/{EnvironmentId}","responseCode":200},"input":{"type":"structure","required":["ApplicationId","EnvironmentId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"EnvironmentId":{"location":"uri","locationName":"EnvironmentId"}}},"output":{"shape":"St"}},"GetHostedConfigurationVersion":{"http":{"method":"GET","requestUri":"/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}/hostedconfigurationversions/{VersionNumber}","responseCode":200},"input":{"type":"structure","required":["ApplicationId","ConfigurationProfileId","VersionNumber"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"ConfigurationProfileId":{"location":"uri","locationName":"ConfigurationProfileId"},"VersionNumber":{"location":"uri","locationName":"VersionNumber","type":"integer"}}},"output":{"shape":"Sz"}},"ListApplications":{"http":{"method":"GET","requestUri":"/applications","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"max_results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next_token"}}},"output":{"type":"structure","members":{"Items":{"type":"list","member":{"shape":"S7"}},"NextToken":{}}}},"ListConfigurationProfiles":{"http":{"method":"GET","requestUri":"/applications/{ApplicationId}/configurationprofiles","responseCode":200},"input":{"type":"structure","required":["ApplicationId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"MaxResults":{"location":"querystring","locationName":"max_results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next_token"},"Type":{"location":"querystring","locationName":"type"}}},"output":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"structure","members":{"ApplicationId":{},"Id":{},"Name":{},"LocationUri":{},"ValidatorTypes":{"type":"list","member":{}},"Type":{}}}},"NextToken":{}}}},"ListDeploymentStrategies":{"http":{"method":"GET","requestUri":"/deploymentstrategies","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"max_results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next_token"}}},"output":{"type":"structure","members":{"Items":{"type":"list","member":{"shape":"Sn"}},"NextToken":{}}}},"ListDeployments":{"http":{"method":"GET","requestUri":"/applications/{ApplicationId}/environments/{EnvironmentId}/deployments","responseCode":200},"input":{"type":"structure","required":["ApplicationId","EnvironmentId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"EnvironmentId":{"location":"uri","locationName":"EnvironmentId"},"MaxResults":{"location":"querystring","locationName":"max_results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next_token"}}},"output":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"structure","members":{"DeploymentNumber":{"type":"integer"},"ConfigurationName":{},"ConfigurationVersion":{},"DeploymentDurationInMinutes":{"type":"integer"},"GrowthType":{},"GrowthFactor":{"type":"float"},"FinalBakeTimeInMinutes":{"type":"integer"},"State":{},"PercentageComplete":{"type":"float"},"StartedAt":{"shape":"S1k"},"CompletedAt":{"shape":"S1k"}}}},"NextToken":{}}}},"ListEnvironments":{"http":{"method":"GET","requestUri":"/applications/{ApplicationId}/environments","responseCode":200},"input":{"type":"structure","required":["ApplicationId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"MaxResults":{"location":"querystring","locationName":"max_results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next_token"}}},"output":{"type":"structure","members":{"Items":{"type":"list","member":{"shape":"St"}},"NextToken":{}}}},"ListHostedConfigurationVersions":{"http":{"method":"GET","requestUri":"/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}/hostedconfigurationversions","responseCode":200},"input":{"type":"structure","required":["ApplicationId","ConfigurationProfileId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"ConfigurationProfileId":{"location":"uri","locationName":"ConfigurationProfileId"},"MaxResults":{"location":"querystring","locationName":"max_results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next_token"}}},"output":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"structure","members":{"ApplicationId":{},"ConfigurationProfileId":{},"VersionNumber":{"type":"integer"},"Description":{},"ContentType":{}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S4"}}}},"StartDeployment":{"http":{"requestUri":"/applications/{ApplicationId}/environments/{EnvironmentId}/deployments","responseCode":201},"input":{"type":"structure","required":["ApplicationId","EnvironmentId","DeploymentStrategyId","ConfigurationProfileId","ConfigurationVersion"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"EnvironmentId":{"location":"uri","locationName":"EnvironmentId"},"DeploymentStrategyId":{},"ConfigurationProfileId":{},"ConfigurationVersion":{},"Description":{},"Tags":{"shape":"S4"}}},"output":{"shape":"S1e"}},"StopDeployment":{"http":{"method":"DELETE","requestUri":"/applications/{ApplicationId}/environments/{EnvironmentId}/deployments/{DeploymentNumber}","responseCode":202},"input":{"type":"structure","required":["ApplicationId","EnvironmentId","DeploymentNumber"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"EnvironmentId":{"location":"uri","locationName":"EnvironmentId"},"DeploymentNumber":{"location":"uri","locationName":"DeploymentNumber","type":"integer"}}},"output":{"shape":"S1e"}},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}","responseCode":204},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"S4"}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}","responseCode":204},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}}},"UpdateApplication":{"http":{"method":"PATCH","requestUri":"/applications/{ApplicationId}","responseCode":200},"input":{"type":"structure","required":["ApplicationId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"Name":{},"Description":{}}},"output":{"shape":"S7"}},"UpdateConfigurationProfile":{"http":{"method":"PATCH","requestUri":"/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}","responseCode":200},"input":{"type":"structure","required":["ApplicationId","ConfigurationProfileId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"ConfigurationProfileId":{"location":"uri","locationName":"ConfigurationProfileId"},"Name":{},"Description":{},"RetrievalRoleArn":{},"Validators":{"shape":"Sc"}}},"output":{"shape":"Sh"}},"UpdateDeploymentStrategy":{"http":{"method":"PATCH","requestUri":"/deploymentstrategies/{DeploymentStrategyId}","responseCode":200},"input":{"type":"structure","required":["DeploymentStrategyId"],"members":{"DeploymentStrategyId":{"location":"uri","locationName":"DeploymentStrategyId"},"Description":{},"DeploymentDurationInMinutes":{"type":"integer"},"FinalBakeTimeInMinutes":{"type":"integer"},"GrowthFactor":{"type":"float"},"GrowthType":{}}},"output":{"shape":"Sn"}},"UpdateEnvironment":{"http":{"method":"PATCH","requestUri":"/applications/{ApplicationId}/environments/{EnvironmentId}","responseCode":200},"input":{"type":"structure","required":["ApplicationId","EnvironmentId"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"EnvironmentId":{"location":"uri","locationName":"EnvironmentId"},"Name":{},"Description":{},"Monitors":{"shape":"Sq"}}},"output":{"shape":"St"}},"ValidateConfiguration":{"http":{"requestUri":"/applications/{ApplicationId}/configurationprofiles/{ConfigurationProfileId}/validators","responseCode":204},"input":{"type":"structure","required":["ApplicationId","ConfigurationProfileId","ConfigurationVersion"],"members":{"ApplicationId":{"location":"uri","locationName":"ApplicationId"},"ConfigurationProfileId":{"location":"uri","locationName":"ConfigurationProfileId"},"ConfigurationVersion":{"location":"querystring","locationName":"configuration_version"}}}}},"shapes":{"S4":{"type":"map","key":{},"value":{}},"S7":{"type":"structure","members":{"Id":{},"Name":{},"Description":{}}},"Sc":{"type":"list","member":{"type":"structure","required":["Type","Content"],"members":{"Type":{},"Content":{"type":"string","sensitive":true}}}},"Sh":{"type":"structure","members":{"ApplicationId":{},"Id":{},"Name":{},"Description":{},"LocationUri":{},"RetrievalRoleArn":{},"Validators":{"shape":"Sc"},"Type":{}}},"Sn":{"type":"structure","members":{"Id":{},"Name":{},"Description":{},"DeploymentDurationInMinutes":{"type":"integer"},"GrowthType":{},"GrowthFactor":{"type":"float"},"FinalBakeTimeInMinutes":{"type":"integer"},"ReplicateTo":{}}},"Sq":{"type":"list","member":{"type":"structure","required":["AlarmArn"],"members":{"AlarmArn":{},"AlarmRoleArn":{}}}},"St":{"type":"structure","members":{"ApplicationId":{},"Id":{},"Name":{},"Description":{},"State":{},"Monitors":{"shape":"Sq"}}},"Sw":{"type":"blob","sensitive":true},"Sz":{"type":"structure","members":{"ApplicationId":{"location":"header","locationName":"Application-Id"},"ConfigurationProfileId":{"location":"header","locationName":"Configuration-Profile-Id"},"VersionNumber":{"location":"header","locationName":"Version-Number","type":"integer"},"Description":{"location":"header","locationName":"Description"},"Content":{"shape":"Sw"},"ContentType":{"location":"header","locationName":"Content-Type"}},"payload":"Content"},"S1e":{"type":"structure","members":{"ApplicationId":{},"EnvironmentId":{},"DeploymentStrategyId":{},"ConfigurationProfileId":{},"DeploymentNumber":{"type":"integer"},"ConfigurationName":{},"ConfigurationLocationUri":{},"ConfigurationVersion":{},"Description":{},"DeploymentDurationInMinutes":{"type":"integer"},"GrowthType":{},"GrowthFactor":{"type":"float"},"FinalBakeTimeInMinutes":{"type":"integer"},"State":{},"EventLog":{"type":"list","member":{"type":"structure","members":{"EventType":{},"TriggeredBy":{},"Description":{},"OccurredAt":{"shape":"S1k"}}}},"PercentageComplete":{"type":"float"},"StartedAt":{"shape":"S1k"},"CompletedAt":{"shape":"S1k"}}},"S1k":{"type":"timestamp","timestampFormat":"iso8601"}}}');

/***/ }),

/***/ 41789:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListApplications":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListConfigurationProfiles":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDeploymentStrategies":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDeployments":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListEnvironments":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListHostedConfigurationVersions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 86796:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-11-11","endpointPrefix":"appconfigdata","jsonVersion":"1.0","protocol":"rest-json","serviceFullName":"AWS AppConfig Data","serviceId":"AppConfigData","signatureVersion":"v4","signingName":"appconfig","uid":"appconfigdata-2021-11-11"},"operations":{"GetLatestConfiguration":{"http":{"method":"GET","requestUri":"/configuration","responseCode":200},"input":{"type":"structure","required":["ConfigurationToken"],"members":{"ConfigurationToken":{"location":"querystring","locationName":"configuration_token"}}},"output":{"type":"structure","members":{"Configuration":{"type":"blob","sensitive":true},"ContentType":{"location":"header","locationName":"Content-Type"},"NextPollConfigurationToken":{"location":"header","locationName":"Next-Poll-Configuration-Token"},"NextPollIntervalInSeconds":{"location":"header","locationName":"Next-Poll-Interval-In-Seconds","type":"integer"}},"payload":"Configuration"}},"StartConfigurationSession":{"http":{"requestUri":"/configurationsessions","responseCode":201},"input":{"type":"structure","required":["ApplicationIdentifier","ConfigurationProfileIdentifier","EnvironmentIdentifier"],"members":{"ApplicationIdentifier":{},"ConfigurationProfileIdentifier":{},"EnvironmentIdentifier":{},"RequiredMinimumPollIntervalInSeconds":{"type":"integer"}}},"output":{"type":"structure","members":{"InitialConfigurationToken":{}}}}},"shapes":{}}');

/***/ }),

/***/ 48010:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 32840:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-08-23","endpointPrefix":"appflow","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Appflow","serviceId":"Appflow","signatureVersion":"v4","signingName":"appflow","uid":"appflow-2020-08-23"},"operations":{"CreateConnectorProfile":{"http":{"requestUri":"/create-connector-profile"},"input":{"type":"structure","required":["connectorProfileName","connectorType","connectionMode","connectorProfileConfig"],"members":{"connectorProfileName":{},"kmsArn":{},"connectorType":{},"connectionMode":{},"connectorProfileConfig":{"shape":"S6"}}},"output":{"type":"structure","members":{"connectorProfileArn":{}}}},"CreateFlow":{"http":{"requestUri":"/create-flow"},"input":{"type":"structure","required":["flowName","triggerConfig","sourceFlowConfig","destinationFlowConfigList","tasks"],"members":{"flowName":{},"description":{},"kmsArn":{},"triggerConfig":{"shape":"S2g"},"sourceFlowConfig":{"shape":"S2p"},"destinationFlowConfigList":{"shape":"S3c"},"tasks":{"shape":"S44"},"tags":{"shape":"S4t"}}},"output":{"type":"structure","members":{"flowArn":{},"flowStatus":{}}}},"DeleteConnectorProfile":{"http":{"requestUri":"/delete-connector-profile"},"input":{"type":"structure","required":["connectorProfileName"],"members":{"connectorProfileName":{},"forceDelete":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeleteFlow":{"http":{"requestUri":"/delete-flow"},"input":{"type":"structure","required":["flowName"],"members":{"flowName":{},"forceDelete":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DescribeConnectorEntity":{"http":{"requestUri":"/describe-connector-entity"},"input":{"type":"structure","required":["connectorEntityName"],"members":{"connectorEntityName":{},"connectorType":{},"connectorProfileName":{}}},"output":{"type":"structure","required":["connectorEntityFields"],"members":{"connectorEntityFields":{"type":"list","member":{"type":"structure","required":["identifier"],"members":{"identifier":{},"label":{},"supportedFieldTypeDetails":{"type":"structure","required":["v1"],"members":{"v1":{"type":"structure","required":["fieldType","filterOperators"],"members":{"fieldType":{},"filterOperators":{"type":"list","member":{}},"supportedValues":{"type":"list","member":{}}}}}},"description":{},"sourceProperties":{"type":"structure","members":{"isRetrievable":{"type":"boolean"},"isQueryable":{"type":"boolean"}}},"destinationProperties":{"type":"structure","members":{"isCreatable":{"type":"boolean"},"isNullable":{"type":"boolean"},"isUpsertable":{"type":"boolean"},"isUpdatable":{"type":"boolean"},"supportedWriteOperations":{"type":"list","member":{}}}}}}}}}},"DescribeConnectorProfiles":{"http":{"requestUri":"/describe-connector-profiles"},"input":{"type":"structure","members":{"connectorProfileNames":{"type":"list","member":{}},"connectorType":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"connectorProfileDetails":{"type":"list","member":{"type":"structure","members":{"connectorProfileArn":{},"connectorProfileName":{},"connectorType":{},"connectionMode":{},"credentialsArn":{},"connectorProfileProperties":{"shape":"S7"},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"privateConnectionProvisioningState":{"type":"structure","members":{"status":{},"failureMessage":{},"failureCause":{}}}}}},"nextToken":{}}}},"DescribeConnectors":{"http":{"requestUri":"/describe-connectors"},"input":{"type":"structure","members":{"connectorTypes":{"shape":"S5x"},"nextToken":{}}},"output":{"type":"structure","members":{"connectorConfigurations":{"type":"map","key":{},"value":{"type":"structure","members":{"canUseAsSource":{"type":"boolean"},"canUseAsDestination":{"type":"boolean"},"supportedDestinationConnectors":{"shape":"S5x"},"supportedSchedulingFrequencies":{"type":"list","member":{}},"isPrivateLinkEnabled":{"type":"boolean"},"isPrivateLinkEndpointUrlRequired":{"type":"boolean"},"supportedTriggerTypes":{"type":"list","member":{}},"connectorMetadata":{"type":"structure","members":{"Amplitude":{"type":"structure","members":{}},"Datadog":{"type":"structure","members":{}},"Dynatrace":{"type":"structure","members":{}},"GoogleAnalytics":{"type":"structure","members":{"oAuthScopes":{"shape":"S18"}}},"InforNexus":{"type":"structure","members":{}},"Marketo":{"type":"structure","members":{}},"Redshift":{"type":"structure","members":{}},"S3":{"type":"structure","members":{}},"Salesforce":{"type":"structure","members":{"oAuthScopes":{"shape":"S18"}}},"ServiceNow":{"type":"structure","members":{}},"Singular":{"type":"structure","members":{}},"Slack":{"type":"structure","members":{"oAuthScopes":{"shape":"S18"}}},"Snowflake":{"type":"structure","members":{"supportedRegions":{"type":"list","member":{}}}},"Trendmicro":{"type":"structure","members":{}},"Veeva":{"type":"structure","members":{}},"Zendesk":{"type":"structure","members":{"oAuthScopes":{"shape":"S18"}}},"EventBridge":{"type":"structure","members":{}},"Upsolver":{"type":"structure","members":{}},"CustomerProfiles":{"type":"structure","members":{}},"Honeycode":{"type":"structure","members":{"oAuthScopes":{"shape":"S18"}}},"SAPOData":{"type":"structure","members":{}}}}}}},"nextToken":{}}}},"DescribeFlow":{"http":{"requestUri":"/describe-flow"},"input":{"type":"structure","required":["flowName"],"members":{"flowName":{}}},"output":{"type":"structure","members":{"flowArn":{},"description":{},"flowName":{},"kmsArn":{},"flowStatus":{},"flowStatusMessage":{},"sourceFlowConfig":{"shape":"S2p"},"destinationFlowConfigList":{"shape":"S3c"},"lastRunExecutionDetails":{"shape":"S6u"},"triggerConfig":{"shape":"S2g"},"tasks":{"shape":"S44"},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"createdBy":{},"lastUpdatedBy":{},"tags":{"shape":"S4t"}}}},"DescribeFlowExecutionRecords":{"http":{"requestUri":"/describe-flow-execution-records"},"input":{"type":"structure","required":["flowName"],"members":{"flowName":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"flowExecutions":{"type":"list","member":{"type":"structure","members":{"executionId":{},"executionStatus":{},"executionResult":{"type":"structure","members":{"errorInfo":{"type":"structure","members":{"putFailuresCount":{"type":"long"},"executionMessage":{}}},"bytesProcessed":{"type":"long"},"bytesWritten":{"type":"long"},"recordsProcessed":{"type":"long"}}},"startedAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"dataPullStartTime":{"type":"timestamp"},"dataPullEndTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListConnectorEntities":{"http":{"requestUri":"/list-connector-entities"},"input":{"type":"structure","members":{"connectorProfileName":{},"connectorType":{},"entitiesPath":{}}},"output":{"type":"structure","required":["connectorEntityMap"],"members":{"connectorEntityMap":{"type":"map","key":{},"value":{"type":"list","member":{"type":"structure","required":["name"],"members":{"name":{},"label":{},"hasNestedEntities":{"type":"boolean"}}}}}}}},"ListFlows":{"http":{"requestUri":"/list-flows"},"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"flows":{"type":"list","member":{"type":"structure","members":{"flowArn":{},"description":{},"flowName":{},"flowStatus":{},"sourceConnectorType":{},"destinationConnectorType":{},"triggerType":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"createdBy":{},"lastUpdatedBy":{},"tags":{"shape":"S4t"},"lastRunExecutionDetails":{"shape":"S6u"}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S4t"}}}},"StartFlow":{"http":{"requestUri":"/start-flow"},"input":{"type":"structure","required":["flowName"],"members":{"flowName":{}}},"output":{"type":"structure","members":{"flowArn":{},"flowStatus":{},"executionId":{}}}},"StopFlow":{"http":{"requestUri":"/stop-flow"},"input":{"type":"structure","required":["flowName"],"members":{"flowName":{}}},"output":{"type":"structure","members":{"flowArn":{},"flowStatus":{}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S4t"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateConnectorProfile":{"http":{"requestUri":"/update-connector-profile"},"input":{"type":"structure","required":["connectorProfileName","connectionMode","connectorProfileConfig"],"members":{"connectorProfileName":{},"connectionMode":{},"connectorProfileConfig":{"shape":"S6"}}},"output":{"type":"structure","members":{"connectorProfileArn":{}}}},"UpdateFlow":{"http":{"requestUri":"/update-flow"},"input":{"type":"structure","required":["flowName","triggerConfig","sourceFlowConfig","destinationFlowConfigList","tasks"],"members":{"flowName":{},"description":{},"triggerConfig":{"shape":"S2g"},"sourceFlowConfig":{"shape":"S2p"},"destinationFlowConfigList":{"shape":"S3c"},"tasks":{"shape":"S44"}}},"output":{"type":"structure","members":{"flowStatus":{}}}}},"shapes":{"S6":{"type":"structure","required":["connectorProfileProperties","connectorProfileCredentials"],"members":{"connectorProfileProperties":{"shape":"S7"},"connectorProfileCredentials":{"type":"structure","members":{"Amplitude":{"type":"structure","required":["apiKey","secretKey"],"members":{"apiKey":{},"secretKey":{"type":"string","sensitive":true}}},"Datadog":{"type":"structure","required":["apiKey","applicationKey"],"members":{"apiKey":{},"applicationKey":{}}},"Dynatrace":{"type":"structure","required":["apiToken"],"members":{"apiToken":{}}},"GoogleAnalytics":{"type":"structure","required":["clientId","clientSecret"],"members":{"clientId":{},"clientSecret":{"shape":"S1k"},"accessToken":{"shape":"S1l"},"refreshToken":{},"oAuthRequest":{"shape":"S1n"}}},"Honeycode":{"type":"structure","members":{"accessToken":{"shape":"S1l"},"refreshToken":{},"oAuthRequest":{"shape":"S1n"}}},"InforNexus":{"type":"structure","required":["accessKeyId","userId","secretAccessKey","datakey"],"members":{"accessKeyId":{"type":"string","sensitive":true},"userId":{},"secretAccessKey":{},"datakey":{}}},"Marketo":{"type":"structure","required":["clientId","clientSecret"],"members":{"clientId":{},"clientSecret":{"shape":"S1k"},"accessToken":{"shape":"S1l"},"oAuthRequest":{"shape":"S1n"}}},"Redshift":{"type":"structure","required":["username","password"],"members":{"username":{},"password":{"shape":"S1x"}}},"Salesforce":{"type":"structure","members":{"accessToken":{"shape":"S1l"},"refreshToken":{},"oAuthRequest":{"shape":"S1n"},"clientCredentialsArn":{"type":"string","sensitive":true}}},"ServiceNow":{"type":"structure","required":["username","password"],"members":{"username":{},"password":{"shape":"S1x"}}},"Singular":{"type":"structure","required":["apiKey"],"members":{"apiKey":{}}},"Slack":{"type":"structure","required":["clientId","clientSecret"],"members":{"clientId":{},"clientSecret":{"shape":"S1k"},"accessToken":{"shape":"S1l"},"oAuthRequest":{"shape":"S1n"}}},"Snowflake":{"type":"structure","required":["username","password"],"members":{"username":{},"password":{"shape":"S1x"}}},"Trendmicro":{"type":"structure","required":["apiSecretKey"],"members":{"apiSecretKey":{"type":"string","sensitive":true}}},"Veeva":{"type":"structure","required":["username","password"],"members":{"username":{},"password":{"shape":"S1x"}}},"Zendesk":{"type":"structure","required":["clientId","clientSecret"],"members":{"clientId":{},"clientSecret":{"shape":"S1k"},"accessToken":{"shape":"S1l"},"oAuthRequest":{"shape":"S1n"}}},"SAPOData":{"type":"structure","members":{"basicAuthCredentials":{"type":"structure","required":["username","password"],"members":{"username":{},"password":{"shape":"S1x"}}},"oAuthCredentials":{"type":"structure","required":["clientId","clientSecret"],"members":{"clientId":{},"clientSecret":{"shape":"S1k"},"accessToken":{"shape":"S1l"},"refreshToken":{},"oAuthRequest":{"shape":"S1n"}}}}}}}}},"S7":{"type":"structure","members":{"Amplitude":{"type":"structure","members":{}},"Datadog":{"type":"structure","required":["instanceUrl"],"members":{"instanceUrl":{}}},"Dynatrace":{"type":"structure","required":["instanceUrl"],"members":{"instanceUrl":{}}},"GoogleAnalytics":{"type":"structure","members":{}},"Honeycode":{"type":"structure","members":{}},"InforNexus":{"type":"structure","required":["instanceUrl"],"members":{"instanceUrl":{}}},"Marketo":{"type":"structure","required":["instanceUrl"],"members":{"instanceUrl":{}}},"Redshift":{"type":"structure","required":["databaseUrl","bucketName","roleArn"],"members":{"databaseUrl":{},"bucketName":{},"bucketPrefix":{},"roleArn":{}}},"Salesforce":{"type":"structure","members":{"instanceUrl":{},"isSandboxEnvironment":{"type":"boolean"}}},"ServiceNow":{"type":"structure","required":["instanceUrl"],"members":{"instanceUrl":{}}},"Singular":{"type":"structure","members":{}},"Slack":{"type":"structure","required":["instanceUrl"],"members":{"instanceUrl":{}}},"Snowflake":{"type":"structure","required":["warehouse","stage","bucketName"],"members":{"warehouse":{},"stage":{},"bucketName":{},"bucketPrefix":{},"privateLinkServiceName":{},"accountName":{},"region":{}}},"Trendmicro":{"type":"structure","members":{}},"Veeva":{"type":"structure","required":["instanceUrl"],"members":{"instanceUrl":{}}},"Zendesk":{"type":"structure","required":["instanceUrl"],"members":{"instanceUrl":{}}},"SAPOData":{"type":"structure","required":["applicationHostUrl","applicationServicePath","portNumber","clientNumber"],"members":{"applicationHostUrl":{},"applicationServicePath":{},"portNumber":{"type":"integer"},"clientNumber":{},"logonLanguage":{},"privateLinkServiceName":{},"oAuthProperties":{"type":"structure","required":["tokenUrl","authCodeUrl","oAuthScopes"],"members":{"tokenUrl":{},"authCodeUrl":{},"oAuthScopes":{"shape":"S18"}}}}}}},"S18":{"type":"list","member":{}},"S1k":{"type":"string","sensitive":true},"S1l":{"type":"string","sensitive":true},"S1n":{"type":"structure","members":{"authCode":{},"redirectUri":{}}},"S1x":{"type":"string","sensitive":true},"S2g":{"type":"structure","required":["triggerType"],"members":{"triggerType":{},"triggerProperties":{"type":"structure","members":{"Scheduled":{"type":"structure","required":["scheduleExpression"],"members":{"scheduleExpression":{},"dataPullMode":{},"scheduleStartTime":{"type":"timestamp"},"scheduleEndTime":{"type":"timestamp"},"timezone":{},"scheduleOffset":{"type":"long"},"firstExecutionFrom":{"type":"timestamp"}}}}}}},"S2p":{"type":"structure","required":["connectorType","sourceConnectorProperties"],"members":{"connectorType":{},"connectorProfileName":{},"sourceConnectorProperties":{"type":"structure","members":{"Amplitude":{"type":"structure","required":["object"],"members":{"object":{}}},"Datadog":{"type":"structure","required":["object"],"members":{"object":{}}},"Dynatrace":{"type":"structure","required":["object"],"members":{"object":{}}},"GoogleAnalytics":{"type":"structure","required":["object"],"members":{"object":{}}},"InforNexus":{"type":"structure","required":["object"],"members":{"object":{}}},"Marketo":{"type":"structure","required":["object"],"members":{"object":{}}},"S3":{"type":"structure","required":["bucketName"],"members":{"bucketName":{},"bucketPrefix":{},"s3InputFormatConfig":{"type":"structure","members":{"s3InputFileType":{}}}}},"Salesforce":{"type":"structure","required":["object"],"members":{"object":{},"enableDynamicFieldUpdate":{"type":"boolean"},"includeDeletedRecords":{"type":"boolean"}}},"ServiceNow":{"type":"structure","required":["object"],"members":{"object":{}}},"Singular":{"type":"structure","required":["object"],"members":{"object":{}}},"Slack":{"type":"structure","required":["object"],"members":{"object":{}}},"Trendmicro":{"type":"structure","required":["object"],"members":{"object":{}}},"Veeva":{"type":"structure","required":["object"],"members":{"object":{},"documentType":{},"includeSourceFiles":{"type":"boolean"},"includeRenditions":{"type":"boolean"},"includeAllVersions":{"type":"boolean"}}},"Zendesk":{"type":"structure","required":["object"],"members":{"object":{}}},"SAPOData":{"type":"structure","members":{"objectPath":{}}}}},"incrementalPullConfig":{"type":"structure","members":{"datetimeTypeFieldName":{}}}}},"S3c":{"type":"list","member":{"type":"structure","required":["connectorType","destinationConnectorProperties"],"members":{"connectorType":{},"connectorProfileName":{},"destinationConnectorProperties":{"type":"structure","members":{"Redshift":{"type":"structure","required":["object","intermediateBucketName"],"members":{"object":{},"intermediateBucketName":{},"bucketPrefix":{},"errorHandlingConfig":{"shape":"S3g"}}},"S3":{"type":"structure","required":["bucketName"],"members":{"bucketName":{},"bucketPrefix":{},"s3OutputFormatConfig":{"type":"structure","members":{"fileType":{},"prefixConfig":{"shape":"S3k"},"aggregationConfig":{"shape":"S3n"}}}}},"Salesforce":{"type":"structure","required":["object"],"members":{"object":{},"idFieldNames":{"shape":"S3q"},"errorHandlingConfig":{"shape":"S3g"},"writeOperationType":{}}},"Snowflake":{"type":"structure","required":["object","intermediateBucketName"],"members":{"object":{},"intermediateBucketName":{},"bucketPrefix":{},"errorHandlingConfig":{"shape":"S3g"}}},"EventBridge":{"type":"structure","required":["object"],"members":{"object":{},"errorHandlingConfig":{"shape":"S3g"}}},"LookoutMetrics":{"type":"structure","members":{}},"Upsolver":{"type":"structure","required":["bucketName","s3OutputFormatConfig"],"members":{"bucketName":{},"bucketPrefix":{},"s3OutputFormatConfig":{"type":"structure","required":["prefixConfig"],"members":{"fileType":{},"prefixConfig":{"shape":"S3k"},"aggregationConfig":{"shape":"S3n"}}}}},"Honeycode":{"type":"structure","required":["object"],"members":{"object":{},"errorHandlingConfig":{"shape":"S3g"}}},"CustomerProfiles":{"type":"structure","required":["domainName"],"members":{"domainName":{},"objectTypeName":{}}},"Zendesk":{"type":"structure","required":["object"],"members":{"object":{},"idFieldNames":{"shape":"S3q"},"errorHandlingConfig":{"shape":"S3g"},"writeOperationType":{}}}}}}}},"S3g":{"type":"structure","members":{"failOnFirstDestinationError":{"type":"boolean"},"bucketPrefix":{},"bucketName":{}}},"S3k":{"type":"structure","members":{"prefixType":{},"prefixFormat":{}}},"S3n":{"type":"structure","members":{"aggregationType":{}}},"S3q":{"type":"list","member":{}},"S44":{"type":"list","member":{"type":"structure","required":["sourceFields","taskType"],"members":{"sourceFields":{"type":"list","member":{}},"connectorOperator":{"type":"structure","members":{"Amplitude":{},"Datadog":{},"Dynatrace":{},"GoogleAnalytics":{},"InforNexus":{},"Marketo":{},"S3":{},"Salesforce":{},"ServiceNow":{},"Singular":{},"Slack":{},"Trendmicro":{},"Veeva":{},"Zendesk":{},"SAPOData":{}}},"destinationField":{},"taskType":{},"taskProperties":{"type":"map","key":{},"value":{}}}}},"S4t":{"type":"map","key":{},"value":{}},"S5x":{"type":"list","member":{}},"S6u":{"type":"structure","members":{"mostRecentExecutionMessage":{},"mostRecentExecutionTime":{"type":"timestamp"},"mostRecentExecutionStatus":{}}}}}');

/***/ }),

/***/ 16916:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeConnectorProfiles":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"DescribeConnectors":{"input_token":"nextToken","output_token":"nextToken"},"DescribeFlowExecutionRecords":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListFlows":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 62033:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-07-29","endpointPrefix":"app-integrations","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon AppIntegrations Service","serviceId":"AppIntegrations","signatureVersion":"v4","signingName":"app-integrations","uid":"appintegrations-2020-07-29"},"operations":{"CreateDataIntegration":{"http":{"requestUri":"/dataIntegrations"},"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"KmsKey":{},"SourceURI":{},"ScheduleConfig":{"shape":"S5"},"Tags":{"shape":"S8"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"Arn":{},"Id":{},"Name":{},"Description":{},"KmsKey":{},"SourceURI":{},"ScheduleConfiguration":{"shape":"S5"},"Tags":{"shape":"S8"},"ClientToken":{}}}},"CreateEventIntegration":{"http":{"requestUri":"/eventIntegrations"},"input":{"type":"structure","required":["Name","EventFilter","EventBridgeBus"],"members":{"Name":{},"Description":{},"EventFilter":{"shape":"Sg"},"EventBridgeBus":{},"ClientToken":{"idempotencyToken":true},"Tags":{"shape":"S8"}}},"output":{"type":"structure","members":{"EventIntegrationArn":{}}}},"DeleteDataIntegration":{"http":{"method":"DELETE","requestUri":"/dataIntegrations/{Identifier}"},"input":{"type":"structure","required":["DataIntegrationIdentifier"],"members":{"DataIntegrationIdentifier":{"location":"uri","locationName":"Identifier"}}},"output":{"type":"structure","members":{}}},"DeleteEventIntegration":{"http":{"method":"DELETE","requestUri":"/eventIntegrations/{Name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","members":{}}},"GetDataIntegration":{"http":{"method":"GET","requestUri":"/dataIntegrations/{Identifier}"},"input":{"type":"structure","required":["Identifier"],"members":{"Identifier":{"location":"uri","locationName":"Identifier"}}},"output":{"type":"structure","members":{"Arn":{},"Id":{},"Name":{},"Description":{},"KmsKey":{},"SourceURI":{},"ScheduleConfiguration":{"shape":"S5"},"Tags":{"shape":"S8"}}}},"GetEventIntegration":{"http":{"method":"GET","requestUri":"/eventIntegrations/{Name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","members":{"Name":{},"Description":{},"EventIntegrationArn":{},"EventBridgeBus":{},"EventFilter":{"shape":"Sg"},"Tags":{"shape":"S8"}}}},"ListDataIntegrationAssociations":{"http":{"method":"GET","requestUri":"/dataIntegrations/{Identifier}/associations"},"input":{"type":"structure","required":["DataIntegrationIdentifier"],"members":{"DataIntegrationIdentifier":{"location":"uri","locationName":"Identifier"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"DataIntegrationAssociations":{"type":"list","member":{"type":"structure","members":{"DataIntegrationAssociationArn":{},"DataIntegrationArn":{},"ClientId":{}}}},"NextToken":{}}}},"ListDataIntegrations":{"http":{"method":"GET","requestUri":"/dataIntegrations"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"DataIntegrations":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Name":{},"SourceURI":{}}}},"NextToken":{}}}},"ListEventIntegrationAssociations":{"http":{"method":"GET","requestUri":"/eventIntegrations/{Name}/associations"},"input":{"type":"structure","required":["EventIntegrationName"],"members":{"EventIntegrationName":{"location":"uri","locationName":"Name"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"EventIntegrationAssociations":{"type":"list","member":{"type":"structure","members":{"EventIntegrationAssociationArn":{},"EventIntegrationAssociationId":{},"EventIntegrationName":{},"ClientId":{},"EventBridgeRuleName":{},"ClientAssociationMetadata":{"type":"map","key":{},"value":{}}}}},"NextToken":{}}}},"ListEventIntegrations":{"http":{"method":"GET","requestUri":"/eventIntegrations"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"EventIntegrations":{"type":"list","member":{"type":"structure","members":{"EventIntegrationArn":{},"Name":{},"Description":{},"EventFilter":{"shape":"Sg"},"EventBridgeBus":{},"Tags":{"shape":"S8"}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S8"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S8"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDataIntegration":{"http":{"method":"PATCH","requestUri":"/dataIntegrations/{Identifier}"},"input":{"type":"structure","required":["Identifier"],"members":{"Identifier":{"location":"uri","locationName":"Identifier"},"Name":{},"Description":{}}},"output":{"type":"structure","members":{}}},"UpdateEventIntegration":{"http":{"method":"PATCH","requestUri":"/eventIntegrations/{Name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"},"Description":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"S5":{"type":"structure","members":{"FirstExecutionFrom":{},"Object":{},"ScheduleExpression":{}}},"S8":{"type":"map","key":{},"value":{}},"Sg":{"type":"structure","required":["Source"],"members":{"Source":{}}}}}');

/***/ }),

/***/ 61866:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 47320:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-02-06","endpointPrefix":"application-autoscaling","jsonVersion":"1.1","protocol":"json","serviceFullName":"Application Auto Scaling","serviceId":"Application Auto Scaling","signatureVersion":"v4","signingName":"application-autoscaling","targetPrefix":"AnyScaleFrontendService","uid":"application-autoscaling-2016-02-06"},"operations":{"DeleteScalingPolicy":{"input":{"type":"structure","required":["PolicyName","ServiceNamespace","ResourceId","ScalableDimension"],"members":{"PolicyName":{},"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{}}},"output":{"type":"structure","members":{}}},"DeleteScheduledAction":{"input":{"type":"structure","required":["ServiceNamespace","ScheduledActionName","ResourceId","ScalableDimension"],"members":{"ServiceNamespace":{},"ScheduledActionName":{},"ResourceId":{},"ScalableDimension":{}}},"output":{"type":"structure","members":{}}},"DeregisterScalableTarget":{"input":{"type":"structure","required":["ServiceNamespace","ResourceId","ScalableDimension"],"members":{"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{}}},"output":{"type":"structure","members":{}}},"DescribeScalableTargets":{"input":{"type":"structure","required":["ServiceNamespace"],"members":{"ServiceNamespace":{},"ResourceIds":{"shape":"Sb"},"ScalableDimension":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ScalableTargets":{"type":"list","member":{"type":"structure","required":["ServiceNamespace","ResourceId","ScalableDimension","MinCapacity","MaxCapacity","RoleARN","CreationTime"],"members":{"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{},"MinCapacity":{"type":"integer"},"MaxCapacity":{"type":"integer"},"RoleARN":{},"CreationTime":{"type":"timestamp"},"SuspendedState":{"shape":"Sj"}}}},"NextToken":{}}}},"DescribeScalingActivities":{"input":{"type":"structure","required":["ServiceNamespace"],"members":{"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ScalingActivities":{"type":"list","member":{"type":"structure","required":["ActivityId","ServiceNamespace","ResourceId","ScalableDimension","Description","Cause","StartTime","StatusCode"],"members":{"ActivityId":{},"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{},"Description":{},"Cause":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"StatusCode":{},"StatusMessage":{},"Details":{}}}},"NextToken":{}}}},"DescribeScalingPolicies":{"input":{"type":"structure","required":["ServiceNamespace"],"members":{"PolicyNames":{"shape":"Sb"},"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ScalingPolicies":{"type":"list","member":{"type":"structure","required":["PolicyARN","PolicyName","ServiceNamespace","ResourceId","ScalableDimension","PolicyType","CreationTime"],"members":{"PolicyARN":{},"PolicyName":{},"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{},"PolicyType":{},"StepScalingPolicyConfiguration":{"shape":"Sx"},"TargetTrackingScalingPolicyConfiguration":{"shape":"S16"},"Alarms":{"shape":"S1k"},"CreationTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeScheduledActions":{"input":{"type":"structure","required":["ServiceNamespace"],"members":{"ScheduledActionNames":{"shape":"Sb"},"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ScheduledActions":{"type":"list","member":{"type":"structure","required":["ScheduledActionName","ScheduledActionARN","ServiceNamespace","Schedule","ResourceId","CreationTime"],"members":{"ScheduledActionName":{},"ScheduledActionARN":{},"ServiceNamespace":{},"Schedule":{},"Timezone":{},"ResourceId":{},"ScalableDimension":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"ScalableTargetAction":{"shape":"S1r"},"CreationTime":{"type":"timestamp"}}}},"NextToken":{}}}},"PutScalingPolicy":{"input":{"type":"structure","required":["PolicyName","ServiceNamespace","ResourceId","ScalableDimension"],"members":{"PolicyName":{},"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{},"PolicyType":{},"StepScalingPolicyConfiguration":{"shape":"Sx"},"TargetTrackingScalingPolicyConfiguration":{"shape":"S16"}}},"output":{"type":"structure","required":["PolicyARN"],"members":{"PolicyARN":{},"Alarms":{"shape":"S1k"}}}},"PutScheduledAction":{"input":{"type":"structure","required":["ServiceNamespace","ScheduledActionName","ResourceId","ScalableDimension"],"members":{"ServiceNamespace":{},"Schedule":{},"Timezone":{},"ScheduledActionName":{},"ResourceId":{},"ScalableDimension":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"ScalableTargetAction":{"shape":"S1r"}}},"output":{"type":"structure","members":{}}},"RegisterScalableTarget":{"input":{"type":"structure","required":["ServiceNamespace","ResourceId","ScalableDimension"],"members":{"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{},"MinCapacity":{"type":"integer"},"MaxCapacity":{"type":"integer"},"RoleARN":{},"SuspendedState":{"shape":"Sj"}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sb":{"type":"list","member":{}},"Sj":{"type":"structure","members":{"DynamicScalingInSuspended":{"type":"boolean"},"DynamicScalingOutSuspended":{"type":"boolean"},"ScheduledScalingSuspended":{"type":"boolean"}}},"Sx":{"type":"structure","members":{"AdjustmentType":{},"StepAdjustments":{"type":"list","member":{"type":"structure","required":["ScalingAdjustment"],"members":{"MetricIntervalLowerBound":{"type":"double"},"MetricIntervalUpperBound":{"type":"double"},"ScalingAdjustment":{"type":"integer"}}}},"MinAdjustmentMagnitude":{"type":"integer"},"Cooldown":{"type":"integer"},"MetricAggregationType":{}}},"S16":{"type":"structure","required":["TargetValue"],"members":{"TargetValue":{"type":"double"},"PredefinedMetricSpecification":{"type":"structure","required":["PredefinedMetricType"],"members":{"PredefinedMetricType":{},"ResourceLabel":{}}},"CustomizedMetricSpecification":{"type":"structure","required":["MetricName","Namespace","Statistic"],"members":{"MetricName":{},"Namespace":{},"Dimensions":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"Statistic":{},"Unit":{}}},"ScaleOutCooldown":{"type":"integer"},"ScaleInCooldown":{"type":"integer"},"DisableScaleIn":{"type":"boolean"}}},"S1k":{"type":"list","member":{"type":"structure","required":["AlarmName","AlarmARN"],"members":{"AlarmName":{},"AlarmARN":{}}}},"S1r":{"type":"structure","members":{"MinCapacity":{"type":"integer"},"MaxCapacity":{"type":"integer"}}}}}');

/***/ }),

/***/ 40322:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeScalableTargets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ScalableTargets"},"DescribeScalingActivities":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ScalingActivities"},"DescribeScalingPolicies":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ScalingPolicies"},"DescribeScheduledActions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ScheduledActions"}}}');

/***/ }),

/***/ 96143:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-11-25","endpointPrefix":"applicationinsights","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Application Insights","serviceFullName":"Amazon CloudWatch Application Insights","serviceId":"Application Insights","signatureVersion":"v4","signingName":"applicationinsights","targetPrefix":"EC2WindowsBarleyService","uid":"application-insights-2018-11-25"},"operations":{"CreateApplication":{"input":{"type":"structure","members":{"ResourceGroupName":{},"OpsCenterEnabled":{"type":"boolean"},"CWEMonitorEnabled":{"type":"boolean"},"OpsItemSNSTopicArn":{},"Tags":{"shape":"S6"},"AutoConfigEnabled":{"type":"boolean"},"AutoCreate":{"type":"boolean"}}},"output":{"type":"structure","members":{"ApplicationInfo":{"shape":"Sd"}}}},"CreateComponent":{"input":{"type":"structure","required":["ResourceGroupName","ComponentName","ResourceList"],"members":{"ResourceGroupName":{},"ComponentName":{},"ResourceList":{"shape":"Sj"}}},"output":{"type":"structure","members":{}}},"CreateLogPattern":{"input":{"type":"structure","required":["ResourceGroupName","PatternSetName","PatternName","Pattern","Rank"],"members":{"ResourceGroupName":{},"PatternSetName":{},"PatternName":{},"Pattern":{},"Rank":{"type":"integer"}}},"output":{"type":"structure","members":{"LogPattern":{"shape":"Ss"},"ResourceGroupName":{}}}},"DeleteApplication":{"input":{"type":"structure","required":["ResourceGroupName"],"members":{"ResourceGroupName":{}}},"output":{"type":"structure","members":{}}},"DeleteComponent":{"input":{"type":"structure","required":["ResourceGroupName","ComponentName"],"members":{"ResourceGroupName":{},"ComponentName":{}}},"output":{"type":"structure","members":{}}},"DeleteLogPattern":{"input":{"type":"structure","required":["ResourceGroupName","PatternSetName","PatternName"],"members":{"ResourceGroupName":{},"PatternSetName":{},"PatternName":{}}},"output":{"type":"structure","members":{}}},"DescribeApplication":{"input":{"type":"structure","required":["ResourceGroupName"],"members":{"ResourceGroupName":{}}},"output":{"type":"structure","members":{"ApplicationInfo":{"shape":"Sd"}}}},"DescribeComponent":{"input":{"type":"structure","required":["ResourceGroupName","ComponentName"],"members":{"ResourceGroupName":{},"ComponentName":{}}},"output":{"type":"structure","members":{"ApplicationComponent":{"shape":"S14"},"ResourceList":{"shape":"Sj"}}}},"DescribeComponentConfiguration":{"input":{"type":"structure","required":["ResourceGroupName","ComponentName"],"members":{"ResourceGroupName":{},"ComponentName":{}}},"output":{"type":"structure","members":{"Monitor":{"type":"boolean"},"Tier":{},"ComponentConfiguration":{}}}},"DescribeComponentConfigurationRecommendation":{"input":{"type":"structure","required":["ResourceGroupName","ComponentName","Tier"],"members":{"ResourceGroupName":{},"ComponentName":{},"Tier":{}}},"output":{"type":"structure","members":{"ComponentConfiguration":{}}}},"DescribeLogPattern":{"input":{"type":"structure","required":["ResourceGroupName","PatternSetName","PatternName"],"members":{"ResourceGroupName":{},"PatternSetName":{},"PatternName":{}}},"output":{"type":"structure","members":{"ResourceGroupName":{},"LogPattern":{"shape":"Ss"}}}},"DescribeObservation":{"input":{"type":"structure","required":["ObservationId"],"members":{"ObservationId":{}}},"output":{"type":"structure","members":{"Observation":{"shape":"S1n"}}}},"DescribeProblem":{"input":{"type":"structure","required":["ProblemId"],"members":{"ProblemId":{}}},"output":{"type":"structure","members":{"Problem":{"shape":"S2z"}}}},"DescribeProblemObservations":{"input":{"type":"structure","required":["ProblemId"],"members":{"ProblemId":{}}},"output":{"type":"structure","members":{"RelatedObservations":{"type":"structure","members":{"ObservationList":{"type":"list","member":{"shape":"S1n"}}}}}}},"ListApplications":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ApplicationInfoList":{"type":"list","member":{"shape":"Sd"}},"NextToken":{}}}},"ListComponents":{"input":{"type":"structure","required":["ResourceGroupName"],"members":{"ResourceGroupName":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ApplicationComponentList":{"type":"list","member":{"shape":"S14"}},"NextToken":{}}}},"ListConfigurationHistory":{"input":{"type":"structure","members":{"ResourceGroupName":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"EventStatus":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"EventList":{"type":"list","member":{"type":"structure","members":{"MonitoredResourceARN":{},"EventStatus":{},"EventResourceType":{},"EventTime":{"type":"timestamp"},"EventDetail":{},"EventResourceName":{}}}},"NextToken":{}}}},"ListLogPatternSets":{"input":{"type":"structure","required":["ResourceGroupName"],"members":{"ResourceGroupName":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ResourceGroupName":{},"LogPatternSets":{"type":"list","member":{}},"NextToken":{}}}},"ListLogPatterns":{"input":{"type":"structure","required":["ResourceGroupName"],"members":{"ResourceGroupName":{},"PatternSetName":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ResourceGroupName":{},"LogPatterns":{"type":"list","member":{"shape":"Ss"}},"NextToken":{}}}},"ListProblems":{"input":{"type":"structure","members":{"ResourceGroupName":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"MaxResults":{"type":"integer"},"NextToken":{},"ComponentName":{}}},"output":{"type":"structure","members":{"ProblemList":{"type":"list","member":{"shape":"S2z"}},"NextToken":{},"ResourceGroupName":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S6"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S6"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateApplication":{"input":{"type":"structure","required":["ResourceGroupName"],"members":{"ResourceGroupName":{},"OpsCenterEnabled":{"type":"boolean"},"CWEMonitorEnabled":{"type":"boolean"},"OpsItemSNSTopicArn":{},"RemoveSNSTopic":{"type":"boolean"},"AutoConfigEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"ApplicationInfo":{"shape":"Sd"}}}},"UpdateComponent":{"input":{"type":"structure","required":["ResourceGroupName","ComponentName"],"members":{"ResourceGroupName":{},"ComponentName":{},"NewComponentName":{},"ResourceList":{"shape":"Sj"}}},"output":{"type":"structure","members":{}}},"UpdateComponentConfiguration":{"input":{"type":"structure","required":["ResourceGroupName","ComponentName"],"members":{"ResourceGroupName":{},"ComponentName":{},"Monitor":{"type":"boolean"},"Tier":{},"ComponentConfiguration":{},"AutoConfigEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"UpdateLogPattern":{"input":{"type":"structure","required":["ResourceGroupName","PatternSetName","PatternName"],"members":{"ResourceGroupName":{},"PatternSetName":{},"PatternName":{},"Pattern":{},"Rank":{"type":"integer"}}},"output":{"type":"structure","members":{"ResourceGroupName":{},"LogPattern":{"shape":"Ss"}}}}},"shapes":{"S6":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sd":{"type":"structure","members":{"ResourceGroupName":{},"LifeCycle":{},"OpsItemSNSTopicArn":{},"OpsCenterEnabled":{"type":"boolean"},"CWEMonitorEnabled":{"type":"boolean"},"Remarks":{},"AutoConfigEnabled":{"type":"boolean"},"DiscoveryType":{}}},"Sj":{"type":"list","member":{}},"Ss":{"type":"structure","members":{"PatternSetName":{},"PatternName":{},"Pattern":{},"Rank":{"type":"integer"}}},"S14":{"type":"structure","members":{"ComponentName":{},"ComponentRemarks":{},"ResourceType":{},"OsType":{},"Tier":{},"Monitor":{"type":"boolean"},"DetectedWorkload":{"type":"map","key":{},"value":{"type":"map","key":{},"value":{}}}}},"S1n":{"type":"structure","members":{"Id":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"SourceType":{},"SourceARN":{},"LogGroup":{},"LineTime":{"type":"timestamp"},"LogText":{},"LogFilter":{},"MetricNamespace":{},"MetricName":{},"Unit":{},"Value":{"type":"double"},"CloudWatchEventId":{},"CloudWatchEventSource":{},"CloudWatchEventDetailType":{},"HealthEventArn":{},"HealthService":{},"HealthEventTypeCode":{},"HealthEventTypeCategory":{},"HealthEventDescription":{},"CodeDeployDeploymentId":{},"CodeDeployDeploymentGroup":{},"CodeDeployState":{},"CodeDeployApplication":{},"CodeDeployInstanceGroupId":{},"Ec2State":{},"RdsEventCategories":{},"RdsEventMessage":{},"S3EventName":{},"StatesExecutionArn":{},"StatesArn":{},"StatesStatus":{},"StatesInput":{},"EbsEvent":{},"EbsResult":{},"EbsCause":{},"EbsRequestId":{},"XRayFaultPercent":{"type":"integer"},"XRayThrottlePercent":{"type":"integer"},"XRayErrorPercent":{"type":"integer"},"XRayRequestCount":{"type":"integer"},"XRayRequestAverageLatency":{"type":"long"},"XRayNodeName":{},"XRayNodeType":{}}},"S2z":{"type":"structure","members":{"Id":{},"Title":{},"Insights":{},"Status":{},"AffectedResource":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"SeverityLevel":{},"ResourceGroupName":{},"Feedback":{"type":"map","key":{},"value":{}},"RecurringCount":{"type":"long"},"LastRecurrenceTime":{"type":"timestamp"}}}}}');

/***/ }),

/***/ 22242:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListApplications":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListComponents":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListConfigurationHistory":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListLogPatternSets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListLogPatterns":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListProblems":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 96818:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-09-10","endpointPrefix":"application-cost-profiler","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS Application Cost Profiler","serviceId":"ApplicationCostProfiler","signatureVersion":"v4","signingName":"application-cost-profiler","uid":"AWSApplicationCostProfiler-2020-09-10"},"operations":{"DeleteReportDefinition":{"http":{"method":"DELETE","requestUri":"/reportDefinition/{reportId}"},"input":{"type":"structure","required":["reportId"],"members":{"reportId":{"location":"uri","locationName":"reportId"}}},"output":{"type":"structure","members":{"reportId":{}}}},"GetReportDefinition":{"http":{"method":"GET","requestUri":"/reportDefinition/{reportId}"},"input":{"type":"structure","required":["reportId"],"members":{"reportId":{"location":"uri","locationName":"reportId"}}},"output":{"type":"structure","required":["reportId","reportDescription","reportFrequency","format","destinationS3Location","createdAt","lastUpdated"],"members":{"reportId":{},"reportDescription":{},"reportFrequency":{},"format":{},"destinationS3Location":{"shape":"S9"},"createdAt":{"type":"timestamp"},"lastUpdated":{"type":"timestamp"}}}},"ImportApplicationUsage":{"http":{"requestUri":"/importApplicationUsage"},"input":{"type":"structure","required":["sourceS3Location"],"members":{"sourceS3Location":{"type":"structure","required":["bucket","key"],"members":{"bucket":{},"key":{},"region":{}}}}},"output":{"type":"structure","required":["importId"],"members":{"importId":{}}}},"ListReportDefinitions":{"http":{"method":"GET","requestUri":"/reportDefinition"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"reportDefinitions":{"type":"list","member":{"type":"structure","members":{"reportId":{},"reportDescription":{},"reportFrequency":{},"format":{},"destinationS3Location":{"shape":"S9"},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"}}}},"nextToken":{}}}},"PutReportDefinition":{"http":{"requestUri":"/reportDefinition"},"input":{"type":"structure","required":["reportId","reportDescription","reportFrequency","format","destinationS3Location"],"members":{"reportId":{},"reportDescription":{},"reportFrequency":{},"format":{},"destinationS3Location":{"shape":"S9"}}},"output":{"type":"structure","members":{"reportId":{}}}},"UpdateReportDefinition":{"http":{"method":"PUT","requestUri":"/reportDefinition/{reportId}"},"input":{"type":"structure","required":["reportId","reportDescription","reportFrequency","format","destinationS3Location"],"members":{"reportId":{"location":"uri","locationName":"reportId"},"reportDescription":{},"reportFrequency":{},"format":{},"destinationS3Location":{"shape":"S9"}}},"output":{"type":"structure","members":{"reportId":{}}}}},"shapes":{"S9":{"type":"structure","required":["bucket","prefix"],"members":{"bucket":{},"prefix":{}}}}}');

/***/ }),

/***/ 41331:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListReportDefinitions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"reportDefinitions"}}}');

/***/ }),

/***/ 64780:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-10-01","endpointPrefix":"appmesh","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS App Mesh","serviceId":"App Mesh","signatureVersion":"v4","signingName":"appmesh","uid":"appmesh-2018-10-01"},"operations":{"CreateMesh":{"http":{"method":"PUT","requestUri":"/meshes","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{}}},"output":{"type":"structure","members":{"mesh":{"shape":"S5"}},"payload":"mesh"},"idempotent":true},"CreateRoute":{"http":{"method":"PUT","requestUri":"/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes","responseCode":200},"input":{"type":"structure","required":["meshName","routeName","spec","virtualRouterName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"routeName":{},"spec":{"shape":"Sd"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","members":{"route":{"shape":"Sl"}},"payload":"route"},"idempotent":true},"CreateVirtualNode":{"http":{"method":"PUT","requestUri":"/meshes/{meshName}/virtualNodes","responseCode":200},"input":{"type":"structure","required":["meshName","spec","virtualNodeName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"spec":{"shape":"Sp"},"virtualNodeName":{}}},"output":{"type":"structure","members":{"virtualNode":{"shape":"S14"}},"payload":"virtualNode"},"idempotent":true},"CreateVirtualRouter":{"http":{"method":"PUT","requestUri":"/meshes/{meshName}/virtualRouters","responseCode":200},"input":{"type":"structure","required":["meshName","spec","virtualRouterName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"spec":{"shape":"S18"},"virtualRouterName":{}}},"output":{"type":"structure","members":{"virtualRouter":{"shape":"S1b"}},"payload":"virtualRouter"},"idempotent":true},"DeleteMesh":{"http":{"method":"DELETE","requestUri":"/meshes/{meshName}","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"meshName":{"location":"uri","locationName":"meshName"}}},"output":{"type":"structure","members":{"mesh":{"shape":"S5"}},"payload":"mesh"},"idempotent":true},"DeleteRoute":{"http":{"method":"DELETE","requestUri":"/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}","responseCode":200},"input":{"type":"structure","required":["meshName","routeName","virtualRouterName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"routeName":{"location":"uri","locationName":"routeName"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","members":{"route":{"shape":"Sl"}},"payload":"route"},"idempotent":true},"DeleteVirtualNode":{"http":{"method":"DELETE","requestUri":"/meshes/{meshName}/virtualNodes/{virtualNodeName}","responseCode":200},"input":{"type":"structure","required":["meshName","virtualNodeName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"virtualNodeName":{"location":"uri","locationName":"virtualNodeName"}}},"output":{"type":"structure","members":{"virtualNode":{"shape":"S14"}},"payload":"virtualNode"},"idempotent":true},"DeleteVirtualRouter":{"http":{"method":"DELETE","requestUri":"/meshes/{meshName}/virtualRouters/{virtualRouterName}","responseCode":200},"input":{"type":"structure","required":["meshName","virtualRouterName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","members":{"virtualRouter":{"shape":"S1b"}},"payload":"virtualRouter"},"idempotent":true},"DescribeMesh":{"http":{"method":"GET","requestUri":"/meshes/{meshName}","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"meshName":{"location":"uri","locationName":"meshName"}}},"output":{"type":"structure","members":{"mesh":{"shape":"S5"}},"payload":"mesh"}},"DescribeRoute":{"http":{"method":"GET","requestUri":"/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}","responseCode":200},"input":{"type":"structure","required":["meshName","routeName","virtualRouterName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"routeName":{"location":"uri","locationName":"routeName"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","members":{"route":{"shape":"Sl"}},"payload":"route"}},"DescribeVirtualNode":{"http":{"method":"GET","requestUri":"/meshes/{meshName}/virtualNodes/{virtualNodeName}","responseCode":200},"input":{"type":"structure","required":["meshName","virtualNodeName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"virtualNodeName":{"location":"uri","locationName":"virtualNodeName"}}},"output":{"type":"structure","members":{"virtualNode":{"shape":"S14"}},"payload":"virtualNode"}},"DescribeVirtualRouter":{"http":{"method":"GET","requestUri":"/meshes/{meshName}/virtualRouters/{virtualRouterName}","responseCode":200},"input":{"type":"structure","required":["meshName","virtualRouterName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","members":{"virtualRouter":{"shape":"S1b"}},"payload":"virtualRouter"}},"ListMeshes":{"http":{"method":"GET","requestUri":"/meshes","responseCode":200},"input":{"type":"structure","members":{"limit":{"location":"querystring","locationName":"limit","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["meshes"],"members":{"meshes":{"type":"list","member":{"type":"structure","members":{"arn":{},"meshName":{}}}},"nextToken":{}}}},"ListRoutes":{"http":{"method":"GET","requestUri":"/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes","responseCode":200},"input":{"type":"structure","required":["meshName","virtualRouterName"],"members":{"limit":{"location":"querystring","locationName":"limit","type":"integer"},"meshName":{"location":"uri","locationName":"meshName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","required":["routes"],"members":{"nextToken":{},"routes":{"type":"list","member":{"type":"structure","members":{"arn":{},"meshName":{},"routeName":{},"virtualRouterName":{}}}}}}},"ListVirtualNodes":{"http":{"method":"GET","requestUri":"/meshes/{meshName}/virtualNodes","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"limit":{"location":"querystring","locationName":"limit","type":"integer"},"meshName":{"location":"uri","locationName":"meshName"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["virtualNodes"],"members":{"nextToken":{},"virtualNodes":{"type":"list","member":{"type":"structure","members":{"arn":{},"meshName":{},"virtualNodeName":{}}}}}}},"ListVirtualRouters":{"http":{"method":"GET","requestUri":"/meshes/{meshName}/virtualRouters","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"limit":{"location":"querystring","locationName":"limit","type":"integer"},"meshName":{"location":"uri","locationName":"meshName"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["virtualRouters"],"members":{"nextToken":{},"virtualRouters":{"type":"list","member":{"type":"structure","members":{"arn":{},"meshName":{},"virtualRouterName":{}}}}}}},"UpdateRoute":{"http":{"method":"PUT","requestUri":"/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}","responseCode":200},"input":{"type":"structure","required":["meshName","routeName","spec","virtualRouterName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"routeName":{"location":"uri","locationName":"routeName"},"spec":{"shape":"Sd"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","members":{"route":{"shape":"Sl"}},"payload":"route"},"idempotent":true},"UpdateVirtualNode":{"http":{"method":"PUT","requestUri":"/meshes/{meshName}/virtualNodes/{virtualNodeName}","responseCode":200},"input":{"type":"structure","required":["meshName","spec","virtualNodeName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"spec":{"shape":"Sp"},"virtualNodeName":{"location":"uri","locationName":"virtualNodeName"}}},"output":{"type":"structure","members":{"virtualNode":{"shape":"S14"}},"payload":"virtualNode"},"idempotent":true},"UpdateVirtualRouter":{"http":{"method":"PUT","requestUri":"/meshes/{meshName}/virtualRouters/{virtualRouterName}","responseCode":200},"input":{"type":"structure","required":["meshName","spec","virtualRouterName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"spec":{"shape":"S18"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","members":{"virtualRouter":{"shape":"S1b"}},"payload":"virtualRouter"},"idempotent":true}},"shapes":{"S5":{"type":"structure","required":["meshName","metadata"],"members":{"meshName":{},"metadata":{"shape":"S6"},"status":{"type":"structure","members":{"status":{}}}}},"S6":{"type":"structure","members":{"arn":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"uid":{},"version":{"type":"long"}}},"Sd":{"type":"structure","members":{"httpRoute":{"type":"structure","members":{"action":{"type":"structure","members":{"weightedTargets":{"type":"list","member":{"type":"structure","members":{"virtualNode":{},"weight":{"type":"integer"}}}}}},"match":{"type":"structure","members":{"prefix":{}}}}}}},"Sl":{"type":"structure","required":["meshName","routeName","virtualRouterName"],"members":{"meshName":{},"metadata":{"shape":"S6"},"routeName":{},"spec":{"shape":"Sd"},"status":{"type":"structure","members":{"status":{}}},"virtualRouterName":{}}},"Sp":{"type":"structure","members":{"backends":{"type":"list","member":{}},"listeners":{"type":"list","member":{"type":"structure","members":{"healthCheck":{"type":"structure","required":["healthyThreshold","intervalMillis","protocol","timeoutMillis","unhealthyThreshold"],"members":{"healthyThreshold":{"type":"integer"},"intervalMillis":{"type":"long"},"path":{},"port":{"type":"integer"},"protocol":{},"timeoutMillis":{"type":"long"},"unhealthyThreshold":{"type":"integer"}}},"portMapping":{"type":"structure","members":{"port":{"type":"integer"},"protocol":{}}}}}},"serviceDiscovery":{"type":"structure","members":{"dns":{"type":"structure","members":{"serviceName":{}}}}}}},"S14":{"type":"structure","required":["meshName","virtualNodeName"],"members":{"meshName":{},"metadata":{"shape":"S6"},"spec":{"shape":"Sp"},"status":{"type":"structure","members":{"status":{}}},"virtualNodeName":{}}},"S18":{"type":"structure","members":{"serviceNames":{"type":"list","member":{}}}},"S1b":{"type":"structure","required":["meshName","virtualRouterName"],"members":{"meshName":{},"metadata":{"shape":"S6"},"spec":{"shape":"S18"},"status":{"type":"structure","members":{"status":{}}},"virtualRouterName":{}}}}}');

/***/ }),

/***/ 54936:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListMeshes":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken","result_key":"meshes"},"ListRoutes":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken","result_key":"routes"},"ListVirtualNodes":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken","result_key":"virtualNodes"},"ListVirtualRouters":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken","result_key":"virtualRouters"}}}');

/***/ }),

/***/ 78066:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-01-25","endpointPrefix":"appmesh","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS App Mesh","serviceId":"App Mesh","signatureVersion":"v4","signingName":"appmesh","uid":"appmesh-2019-01-25"},"operations":{"CreateGatewayRoute":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}/virtualGateway/{virtualGatewayName}/gatewayRoutes","responseCode":200},"input":{"type":"structure","required":["gatewayRouteName","meshName","spec","virtualGatewayName"],"members":{"clientToken":{"idempotencyToken":true},"gatewayRouteName":{},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"spec":{"shape":"S5"},"tags":{"shape":"S19"},"virtualGatewayName":{"location":"uri","locationName":"virtualGatewayName"}}},"output":{"type":"structure","required":["gatewayRoute"],"members":{"gatewayRoute":{"shape":"S1e"}},"payload":"gatewayRoute"},"idempotent":true},"CreateMesh":{"http":{"method":"PUT","requestUri":"/v20190125/meshes","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{},"spec":{"shape":"S1l"},"tags":{"shape":"S19"}}},"output":{"type":"structure","required":["mesh"],"members":{"mesh":{"shape":"S1p"}},"payload":"mesh"},"idempotent":true},"CreateRoute":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes","responseCode":200},"input":{"type":"structure","required":["meshName","routeName","spec","virtualRouterName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"routeName":{},"spec":{"shape":"S1t"},"tags":{"shape":"S19"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","required":["route"],"members":{"route":{"shape":"S2t"}},"payload":"route"},"idempotent":true},"CreateVirtualGateway":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}/virtualGateways","responseCode":200},"input":{"type":"structure","required":["meshName","spec","virtualGatewayName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"spec":{"shape":"S2x"},"tags":{"shape":"S19"},"virtualGatewayName":{}}},"output":{"type":"structure","required":["virtualGateway"],"members":{"virtualGateway":{"shape":"S47"}},"payload":"virtualGateway"},"idempotent":true},"CreateVirtualNode":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}/virtualNodes","responseCode":200},"input":{"type":"structure","required":["meshName","spec","virtualNodeName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"spec":{"shape":"S4b"},"tags":{"shape":"S19"},"virtualNodeName":{}}},"output":{"type":"structure","required":["virtualNode"],"members":{"virtualNode":{"shape":"S5t"}},"payload":"virtualNode"},"idempotent":true},"CreateVirtualRouter":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}/virtualRouters","responseCode":200},"input":{"type":"structure","required":["meshName","spec","virtualRouterName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"spec":{"shape":"S5x"},"tags":{"shape":"S19"},"virtualRouterName":{}}},"output":{"type":"structure","required":["virtualRouter"],"members":{"virtualRouter":{"shape":"S61"}},"payload":"virtualRouter"},"idempotent":true},"CreateVirtualService":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}/virtualServices","responseCode":200},"input":{"type":"structure","required":["meshName","spec","virtualServiceName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"spec":{"shape":"S65"},"tags":{"shape":"S19"},"virtualServiceName":{}}},"output":{"type":"structure","required":["virtualService"],"members":{"virtualService":{"shape":"S6a"}},"payload":"virtualService"},"idempotent":true},"DeleteGatewayRoute":{"http":{"method":"DELETE","requestUri":"/v20190125/meshes/{meshName}/virtualGateway/{virtualGatewayName}/gatewayRoutes/{gatewayRouteName}","responseCode":200},"input":{"type":"structure","required":["gatewayRouteName","meshName","virtualGatewayName"],"members":{"gatewayRouteName":{"location":"uri","locationName":"gatewayRouteName"},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"virtualGatewayName":{"location":"uri","locationName":"virtualGatewayName"}}},"output":{"type":"structure","required":["gatewayRoute"],"members":{"gatewayRoute":{"shape":"S1e"}},"payload":"gatewayRoute"},"idempotent":true},"DeleteMesh":{"http":{"method":"DELETE","requestUri":"/v20190125/meshes/{meshName}","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"meshName":{"location":"uri","locationName":"meshName"}}},"output":{"type":"structure","required":["mesh"],"members":{"mesh":{"shape":"S1p"}},"payload":"mesh"},"idempotent":true},"DeleteRoute":{"http":{"method":"DELETE","requestUri":"/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}","responseCode":200},"input":{"type":"structure","required":["meshName","routeName","virtualRouterName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"routeName":{"location":"uri","locationName":"routeName"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","required":["route"],"members":{"route":{"shape":"S2t"}},"payload":"route"},"idempotent":true},"DeleteVirtualGateway":{"http":{"method":"DELETE","requestUri":"/v20190125/meshes/{meshName}/virtualGateways/{virtualGatewayName}","responseCode":200},"input":{"type":"structure","required":["meshName","virtualGatewayName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"virtualGatewayName":{"location":"uri","locationName":"virtualGatewayName"}}},"output":{"type":"structure","required":["virtualGateway"],"members":{"virtualGateway":{"shape":"S47"}},"payload":"virtualGateway"},"idempotent":true},"DeleteVirtualNode":{"http":{"method":"DELETE","requestUri":"/v20190125/meshes/{meshName}/virtualNodes/{virtualNodeName}","responseCode":200},"input":{"type":"structure","required":["meshName","virtualNodeName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"virtualNodeName":{"location":"uri","locationName":"virtualNodeName"}}},"output":{"type":"structure","required":["virtualNode"],"members":{"virtualNode":{"shape":"S5t"}},"payload":"virtualNode"},"idempotent":true},"DeleteVirtualRouter":{"http":{"method":"DELETE","requestUri":"/v20190125/meshes/{meshName}/virtualRouters/{virtualRouterName}","responseCode":200},"input":{"type":"structure","required":["meshName","virtualRouterName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","required":["virtualRouter"],"members":{"virtualRouter":{"shape":"S61"}},"payload":"virtualRouter"},"idempotent":true},"DeleteVirtualService":{"http":{"method":"DELETE","requestUri":"/v20190125/meshes/{meshName}/virtualServices/{virtualServiceName}","responseCode":200},"input":{"type":"structure","required":["meshName","virtualServiceName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"virtualServiceName":{"location":"uri","locationName":"virtualServiceName"}}},"output":{"type":"structure","required":["virtualService"],"members":{"virtualService":{"shape":"S6a"}},"payload":"virtualService"},"idempotent":true},"DescribeGatewayRoute":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}/virtualGateway/{virtualGatewayName}/gatewayRoutes/{gatewayRouteName}","responseCode":200},"input":{"type":"structure","required":["gatewayRouteName","meshName","virtualGatewayName"],"members":{"gatewayRouteName":{"location":"uri","locationName":"gatewayRouteName"},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"virtualGatewayName":{"location":"uri","locationName":"virtualGatewayName"}}},"output":{"type":"structure","required":["gatewayRoute"],"members":{"gatewayRoute":{"shape":"S1e"}},"payload":"gatewayRoute"}},"DescribeMesh":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"}}},"output":{"type":"structure","required":["mesh"],"members":{"mesh":{"shape":"S1p"}},"payload":"mesh"}},"DescribeRoute":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}","responseCode":200},"input":{"type":"structure","required":["meshName","routeName","virtualRouterName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"routeName":{"location":"uri","locationName":"routeName"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","required":["route"],"members":{"route":{"shape":"S2t"}},"payload":"route"}},"DescribeVirtualGateway":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}/virtualGateways/{virtualGatewayName}","responseCode":200},"input":{"type":"structure","required":["meshName","virtualGatewayName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"virtualGatewayName":{"location":"uri","locationName":"virtualGatewayName"}}},"output":{"type":"structure","required":["virtualGateway"],"members":{"virtualGateway":{"shape":"S47"}},"payload":"virtualGateway"}},"DescribeVirtualNode":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}/virtualNodes/{virtualNodeName}","responseCode":200},"input":{"type":"structure","required":["meshName","virtualNodeName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"virtualNodeName":{"location":"uri","locationName":"virtualNodeName"}}},"output":{"type":"structure","required":["virtualNode"],"members":{"virtualNode":{"shape":"S5t"}},"payload":"virtualNode"}},"DescribeVirtualRouter":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}/virtualRouters/{virtualRouterName}","responseCode":200},"input":{"type":"structure","required":["meshName","virtualRouterName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","required":["virtualRouter"],"members":{"virtualRouter":{"shape":"S61"}},"payload":"virtualRouter"}},"DescribeVirtualService":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}/virtualServices/{virtualServiceName}","responseCode":200},"input":{"type":"structure","required":["meshName","virtualServiceName"],"members":{"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"virtualServiceName":{"location":"uri","locationName":"virtualServiceName"}}},"output":{"type":"structure","required":["virtualService"],"members":{"virtualService":{"shape":"S6a"}},"payload":"virtualService"}},"ListGatewayRoutes":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}/virtualGateway/{virtualGatewayName}/gatewayRoutes","responseCode":200},"input":{"type":"structure","required":["meshName","virtualGatewayName"],"members":{"limit":{"location":"querystring","locationName":"limit","type":"integer"},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"nextToken":{"location":"querystring","locationName":"nextToken"},"virtualGatewayName":{"location":"uri","locationName":"virtualGatewayName"}}},"output":{"type":"structure","required":["gatewayRoutes"],"members":{"gatewayRoutes":{"type":"list","member":{"type":"structure","required":["arn","createdAt","gatewayRouteName","lastUpdatedAt","meshName","meshOwner","resourceOwner","version","virtualGatewayName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"gatewayRouteName":{},"lastUpdatedAt":{"type":"timestamp"},"meshName":{},"meshOwner":{},"resourceOwner":{},"version":{"type":"long"},"virtualGatewayName":{}}}},"nextToken":{}}}},"ListMeshes":{"http":{"method":"GET","requestUri":"/v20190125/meshes","responseCode":200},"input":{"type":"structure","members":{"limit":{"location":"querystring","locationName":"limit","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["meshes"],"members":{"meshes":{"type":"list","member":{"type":"structure","required":["arn","createdAt","lastUpdatedAt","meshName","meshOwner","resourceOwner","version"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"meshName":{},"meshOwner":{},"resourceOwner":{},"version":{"type":"long"}}}},"nextToken":{}}}},"ListRoutes":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes","responseCode":200},"input":{"type":"structure","required":["meshName","virtualRouterName"],"members":{"limit":{"location":"querystring","locationName":"limit","type":"integer"},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"nextToken":{"location":"querystring","locationName":"nextToken"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","required":["routes"],"members":{"nextToken":{},"routes":{"type":"list","member":{"type":"structure","required":["arn","createdAt","lastUpdatedAt","meshName","meshOwner","resourceOwner","routeName","version","virtualRouterName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"meshName":{},"meshOwner":{},"resourceOwner":{},"routeName":{},"version":{"type":"long"},"virtualRouterName":{}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/v20190125/tags","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"limit":{"location":"querystring","locationName":"limit","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"resourceArn":{"location":"querystring","locationName":"resourceArn"}}},"output":{"type":"structure","required":["tags"],"members":{"nextToken":{},"tags":{"shape":"S19"}}}},"ListVirtualGateways":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}/virtualGateways","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"limit":{"location":"querystring","locationName":"limit","type":"integer"},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["virtualGateways"],"members":{"nextToken":{},"virtualGateways":{"type":"list","member":{"type":"structure","required":["arn","createdAt","lastUpdatedAt","meshName","meshOwner","resourceOwner","version","virtualGatewayName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"meshName":{},"meshOwner":{},"resourceOwner":{},"version":{"type":"long"},"virtualGatewayName":{}}}}}}},"ListVirtualNodes":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}/virtualNodes","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"limit":{"location":"querystring","locationName":"limit","type":"integer"},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["virtualNodes"],"members":{"nextToken":{},"virtualNodes":{"type":"list","member":{"type":"structure","required":["arn","createdAt","lastUpdatedAt","meshName","meshOwner","resourceOwner","version","virtualNodeName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"meshName":{},"meshOwner":{},"resourceOwner":{},"version":{"type":"long"},"virtualNodeName":{}}}}}}},"ListVirtualRouters":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}/virtualRouters","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"limit":{"location":"querystring","locationName":"limit","type":"integer"},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["virtualRouters"],"members":{"nextToken":{},"virtualRouters":{"type":"list","member":{"type":"structure","required":["arn","createdAt","lastUpdatedAt","meshName","meshOwner","resourceOwner","version","virtualRouterName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"meshName":{},"meshOwner":{},"resourceOwner":{},"version":{"type":"long"},"virtualRouterName":{}}}}}}},"ListVirtualServices":{"http":{"method":"GET","requestUri":"/v20190125/meshes/{meshName}/virtualServices","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"limit":{"location":"querystring","locationName":"limit","type":"integer"},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["virtualServices"],"members":{"nextToken":{},"virtualServices":{"type":"list","member":{"type":"structure","required":["arn","createdAt","lastUpdatedAt","meshName","meshOwner","resourceOwner","version","virtualServiceName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"meshName":{},"meshOwner":{},"resourceOwner":{},"version":{"type":"long"},"virtualServiceName":{}}}}}}},"TagResource":{"http":{"method":"PUT","requestUri":"/v20190125/tag","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"},"tags":{"shape":"S19"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UntagResource":{"http":{"method":"PUT","requestUri":"/v20190125/untag","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateGatewayRoute":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}/virtualGateway/{virtualGatewayName}/gatewayRoutes/{gatewayRouteName}","responseCode":200},"input":{"type":"structure","required":["gatewayRouteName","meshName","spec","virtualGatewayName"],"members":{"clientToken":{"idempotencyToken":true},"gatewayRouteName":{"location":"uri","locationName":"gatewayRouteName"},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"spec":{"shape":"S5"},"virtualGatewayName":{"location":"uri","locationName":"virtualGatewayName"}}},"output":{"type":"structure","required":["gatewayRoute"],"members":{"gatewayRoute":{"shape":"S1e"}},"payload":"gatewayRoute"},"idempotent":true},"UpdateMesh":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}","responseCode":200},"input":{"type":"structure","required":["meshName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"spec":{"shape":"S1l"}}},"output":{"type":"structure","required":["mesh"],"members":{"mesh":{"shape":"S1p"}},"payload":"mesh"},"idempotent":true},"UpdateRoute":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}/virtualRouter/{virtualRouterName}/routes/{routeName}","responseCode":200},"input":{"type":"structure","required":["meshName","routeName","spec","virtualRouterName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"routeName":{"location":"uri","locationName":"routeName"},"spec":{"shape":"S1t"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","required":["route"],"members":{"route":{"shape":"S2t"}},"payload":"route"},"idempotent":true},"UpdateVirtualGateway":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}/virtualGateways/{virtualGatewayName}","responseCode":200},"input":{"type":"structure","required":["meshName","spec","virtualGatewayName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"spec":{"shape":"S2x"},"virtualGatewayName":{"location":"uri","locationName":"virtualGatewayName"}}},"output":{"type":"structure","required":["virtualGateway"],"members":{"virtualGateway":{"shape":"S47"}},"payload":"virtualGateway"},"idempotent":true},"UpdateVirtualNode":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}/virtualNodes/{virtualNodeName}","responseCode":200},"input":{"type":"structure","required":["meshName","spec","virtualNodeName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"spec":{"shape":"S4b"},"virtualNodeName":{"location":"uri","locationName":"virtualNodeName"}}},"output":{"type":"structure","required":["virtualNode"],"members":{"virtualNode":{"shape":"S5t"}},"payload":"virtualNode"},"idempotent":true},"UpdateVirtualRouter":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}/virtualRouters/{virtualRouterName}","responseCode":200},"input":{"type":"structure","required":["meshName","spec","virtualRouterName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"spec":{"shape":"S5x"},"virtualRouterName":{"location":"uri","locationName":"virtualRouterName"}}},"output":{"type":"structure","required":["virtualRouter"],"members":{"virtualRouter":{"shape":"S61"}},"payload":"virtualRouter"},"idempotent":true},"UpdateVirtualService":{"http":{"method":"PUT","requestUri":"/v20190125/meshes/{meshName}/virtualServices/{virtualServiceName}","responseCode":200},"input":{"type":"structure","required":["meshName","spec","virtualServiceName"],"members":{"clientToken":{"idempotencyToken":true},"meshName":{"location":"uri","locationName":"meshName"},"meshOwner":{"location":"querystring","locationName":"meshOwner"},"spec":{"shape":"S65"},"virtualServiceName":{"location":"uri","locationName":"virtualServiceName"}}},"output":{"type":"structure","required":["virtualService"],"members":{"virtualService":{"shape":"S6a"}},"payload":"virtualService"},"idempotent":true}},"shapes":{"S5":{"type":"structure","members":{"grpcRoute":{"type":"structure","required":["action","match"],"members":{"action":{"type":"structure","required":["target"],"members":{"rewrite":{"type":"structure","members":{"hostname":{"shape":"S9"}}},"target":{"shape":"Sb"}}},"match":{"type":"structure","members":{"hostname":{"shape":"Se"},"metadata":{"type":"list","member":{"type":"structure","required":["name"],"members":{"invert":{"type":"boolean"},"match":{"type":"structure","members":{"exact":{},"prefix":{},"range":{"shape":"Sm"},"regex":{},"suffix":{}},"union":true},"name":{}}}},"serviceName":{}}}}},"http2Route":{"shape":"Sq"},"httpRoute":{"shape":"Sq"},"priority":{"type":"integer"}}},"S9":{"type":"structure","members":{"defaultTargetHostname":{}}},"Sb":{"type":"structure","required":["virtualService"],"members":{"virtualService":{"type":"structure","required":["virtualServiceName"],"members":{"virtualServiceName":{}}}}},"Se":{"type":"structure","members":{"exact":{},"suffix":{}}},"Sm":{"type":"structure","required":["end","start"],"members":{"end":{"type":"long"},"start":{"type":"long"}}},"Sq":{"type":"structure","required":["action","match"],"members":{"action":{"type":"structure","required":["target"],"members":{"rewrite":{"type":"structure","members":{"hostname":{"shape":"S9"},"path":{"type":"structure","members":{"exact":{}}},"prefix":{"type":"structure","members":{"defaultPrefix":{},"value":{}}}}},"target":{"shape":"Sb"}}},"match":{"type":"structure","members":{"headers":{"type":"list","member":{"type":"structure","required":["name"],"members":{"invert":{"type":"boolean"},"match":{"shape":"S10"},"name":{}}}},"hostname":{"shape":"Se"},"method":{},"path":{"shape":"S12"},"prefix":{},"queryParameters":{"shape":"S14"}}}}},"S10":{"type":"structure","members":{"exact":{},"prefix":{},"range":{"shape":"Sm"},"regex":{},"suffix":{}},"union":true},"S12":{"type":"structure","members":{"exact":{},"regex":{}}},"S14":{"type":"list","member":{"type":"structure","required":["name"],"members":{"match":{"type":"structure","members":{"exact":{}}},"name":{}}}},"S19":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"S1e":{"type":"structure","required":["gatewayRouteName","meshName","metadata","spec","status","virtualGatewayName"],"members":{"gatewayRouteName":{},"meshName":{},"metadata":{"shape":"S1f"},"spec":{"shape":"S5"},"status":{"type":"structure","required":["status"],"members":{"status":{}}},"virtualGatewayName":{}}},"S1f":{"type":"structure","required":["arn","createdAt","lastUpdatedAt","meshOwner","resourceOwner","uid","version"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"meshOwner":{},"resourceOwner":{},"uid":{},"version":{"type":"long"}}},"S1l":{"type":"structure","members":{"egressFilter":{"type":"structure","required":["type"],"members":{"type":{}}}}},"S1p":{"type":"structure","required":["meshName","metadata","spec","status"],"members":{"meshName":{},"metadata":{"shape":"S1f"},"spec":{"shape":"S1l"},"status":{"type":"structure","members":{"status":{}}}}},"S1t":{"type":"structure","members":{"grpcRoute":{"type":"structure","required":["action","match"],"members":{"action":{"type":"structure","required":["weightedTargets"],"members":{"weightedTargets":{"shape":"S1w"}}},"match":{"type":"structure","members":{"metadata":{"type":"list","member":{"type":"structure","required":["name"],"members":{"invert":{"type":"boolean"},"match":{"type":"structure","members":{"exact":{},"prefix":{},"range":{"shape":"Sm"},"regex":{},"suffix":{}},"union":true},"name":{}}}},"methodName":{},"serviceName":{}}},"retryPolicy":{"type":"structure","required":["maxRetries","perRetryTimeout"],"members":{"grpcRetryEvents":{"type":"list","member":{}},"httpRetryEvents":{"shape":"S27"},"maxRetries":{"type":"long"},"perRetryTimeout":{"shape":"S2a"},"tcpRetryEvents":{"shape":"S2d"}}},"timeout":{"shape":"S2f"}}},"http2Route":{"shape":"S2g"},"httpRoute":{"shape":"S2g"},"priority":{"type":"integer"},"tcpRoute":{"type":"structure","required":["action"],"members":{"action":{"type":"structure","required":["weightedTargets"],"members":{"weightedTargets":{"shape":"S1w"}}},"timeout":{"shape":"S2r"}}}}},"S1w":{"type":"list","member":{"type":"structure","required":["virtualNode","weight"],"members":{"virtualNode":{},"weight":{"type":"integer"}}}},"S27":{"type":"list","member":{}},"S2a":{"type":"structure","members":{"unit":{},"value":{"type":"long"}}},"S2d":{"type":"list","member":{}},"S2f":{"type":"structure","members":{"idle":{"shape":"S2a"},"perRequest":{"shape":"S2a"}}},"S2g":{"type":"structure","required":["action","match"],"members":{"action":{"type":"structure","required":["weightedTargets"],"members":{"weightedTargets":{"shape":"S1w"}}},"match":{"type":"structure","members":{"headers":{"type":"list","member":{"type":"structure","required":["name"],"members":{"invert":{"type":"boolean"},"match":{"shape":"S10"},"name":{}}}},"method":{},"path":{"shape":"S12"},"prefix":{},"queryParameters":{"shape":"S14"},"scheme":{}}},"retryPolicy":{"type":"structure","required":["maxRetries","perRetryTimeout"],"members":{"httpRetryEvents":{"shape":"S27"},"maxRetries":{"type":"long"},"perRetryTimeout":{"shape":"S2a"},"tcpRetryEvents":{"shape":"S2d"}}},"timeout":{"shape":"S2n"}}},"S2n":{"type":"structure","members":{"idle":{"shape":"S2a"},"perRequest":{"shape":"S2a"}}},"S2r":{"type":"structure","members":{"idle":{"shape":"S2a"}}},"S2t":{"type":"structure","required":["meshName","metadata","routeName","spec","status","virtualRouterName"],"members":{"meshName":{},"metadata":{"shape":"S1f"},"routeName":{},"spec":{"shape":"S1t"},"status":{"type":"structure","required":["status"],"members":{"status":{}}},"virtualRouterName":{}}},"S2x":{"type":"structure","required":["listeners"],"members":{"backendDefaults":{"type":"structure","members":{"clientPolicy":{"type":"structure","members":{"tls":{"type":"structure","required":["validation"],"members":{"certificate":{"type":"structure","members":{"file":{"shape":"S32"},"sds":{"shape":"S34"}},"union":true},"enforce":{"type":"boolean"},"ports":{"shape":"S36"},"validation":{"type":"structure","required":["trust"],"members":{"subjectAlternativeNames":{"shape":"S39"},"trust":{"type":"structure","members":{"acm":{"type":"structure","required":["certificateAuthorityArns"],"members":{"certificateAuthorityArns":{"type":"list","member":{}}}},"file":{"shape":"S3g"},"sds":{"shape":"S3h"}},"union":true}}}}}}}}},"listeners":{"type":"list","member":{"type":"structure","required":["portMapping"],"members":{"connectionPool":{"type":"structure","members":{"grpc":{"type":"structure","required":["maxRequests"],"members":{"maxRequests":{"type":"integer"}}},"http":{"type":"structure","required":["maxConnections"],"members":{"maxConnections":{"type":"integer"},"maxPendingRequests":{"type":"integer"}}},"http2":{"type":"structure","required":["maxRequests"],"members":{"maxRequests":{"type":"integer"}}}},"union":true},"healthCheck":{"type":"structure","required":["healthyThreshold","intervalMillis","protocol","timeoutMillis","unhealthyThreshold"],"members":{"healthyThreshold":{"type":"integer"},"intervalMillis":{"type":"long"},"path":{},"port":{"type":"integer"},"protocol":{},"timeoutMillis":{"type":"long"},"unhealthyThreshold":{"type":"integer"}}},"portMapping":{"type":"structure","required":["port","protocol"],"members":{"port":{"type":"integer"},"protocol":{}}},"tls":{"type":"structure","required":["certificate","mode"],"members":{"certificate":{"type":"structure","members":{"acm":{"type":"structure","required":["certificateArn"],"members":{"certificateArn":{}}},"file":{"shape":"S32"},"sds":{"shape":"S34"}},"union":true},"mode":{},"validation":{"type":"structure","required":["trust"],"members":{"subjectAlternativeNames":{"shape":"S39"},"trust":{"type":"structure","members":{"file":{"shape":"S3g"},"sds":{"shape":"S3h"}},"union":true}}}}}}}},"logging":{"type":"structure","members":{"accessLog":{"type":"structure","members":{"file":{"type":"structure","required":["path"],"members":{"path":{}}}},"union":true}}}}},"S32":{"type":"structure","required":["certificateChain","privateKey"],"members":{"certificateChain":{},"privateKey":{}}},"S34":{"type":"structure","required":["secretName"],"members":{"secretName":{}}},"S36":{"type":"list","member":{"type":"integer"}},"S39":{"type":"structure","required":["match"],"members":{"match":{"type":"structure","required":["exact"],"members":{"exact":{"type":"list","member":{}}}}}},"S3g":{"type":"structure","required":["certificateChain"],"members":{"certificateChain":{}}},"S3h":{"type":"structure","required":["secretName"],"members":{"secretName":{}}},"S47":{"type":"structure","required":["meshName","metadata","spec","status","virtualGatewayName"],"members":{"meshName":{},"metadata":{"shape":"S1f"},"spec":{"shape":"S2x"},"status":{"type":"structure","required":["status"],"members":{"status":{}}},"virtualGatewayName":{}}},"S4b":{"type":"structure","members":{"backendDefaults":{"type":"structure","members":{"clientPolicy":{"shape":"S4d"}}},"backends":{"type":"list","member":{"type":"structure","members":{"virtualService":{"type":"structure","required":["virtualServiceName"],"members":{"clientPolicy":{"shape":"S4d"},"virtualServiceName":{}}}},"union":true}},"listeners":{"type":"list","member":{"type":"structure","required":["portMapping"],"members":{"connectionPool":{"type":"structure","members":{"grpc":{"type":"structure","required":["maxRequests"],"members":{"maxRequests":{"type":"integer"}}},"http":{"type":"structure","required":["maxConnections"],"members":{"maxConnections":{"type":"integer"},"maxPendingRequests":{"type":"integer"}}},"http2":{"type":"structure","required":["maxRequests"],"members":{"maxRequests":{"type":"integer"}}},"tcp":{"type":"structure","required":["maxConnections"],"members":{"maxConnections":{"type":"integer"}}}},"union":true},"healthCheck":{"type":"structure","required":["healthyThreshold","intervalMillis","protocol","timeoutMillis","unhealthyThreshold"],"members":{"healthyThreshold":{"type":"integer"},"intervalMillis":{"type":"long"},"path":{},"port":{"type":"integer"},"protocol":{},"timeoutMillis":{"type":"long"},"unhealthyThreshold":{"type":"integer"}}},"outlierDetection":{"type":"structure","required":["baseEjectionDuration","interval","maxEjectionPercent","maxServerErrors"],"members":{"baseEjectionDuration":{"shape":"S2a"},"interval":{"shape":"S2a"},"maxEjectionPercent":{"type":"integer"},"maxServerErrors":{"type":"long"}}},"portMapping":{"shape":"S57"},"timeout":{"type":"structure","members":{"grpc":{"shape":"S2f"},"http":{"shape":"S2n"},"http2":{"shape":"S2n"},"tcp":{"shape":"S2r"}},"union":true},"tls":{"type":"structure","required":["certificate","mode"],"members":{"certificate":{"type":"structure","members":{"acm":{"type":"structure","required":["certificateArn"],"members":{"certificateArn":{}}},"file":{"shape":"S4g"},"sds":{"shape":"S4h"}},"union":true},"mode":{},"validation":{"type":"structure","required":["trust"],"members":{"subjectAlternativeNames":{"shape":"S39"},"trust":{"type":"structure","members":{"file":{"shape":"S4n"},"sds":{"shape":"S4o"}},"union":true}}}}}}}},"logging":{"type":"structure","members":{"accessLog":{"type":"structure","members":{"file":{"type":"structure","required":["path"],"members":{"path":{}}}},"union":true}}},"serviceDiscovery":{"type":"structure","members":{"awsCloudMap":{"type":"structure","required":["namespaceName","serviceName"],"members":{"attributes":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"namespaceName":{},"serviceName":{}}},"dns":{"type":"structure","required":["hostname"],"members":{"hostname":{},"responseType":{}}}},"union":true}}},"S4d":{"type":"structure","members":{"tls":{"type":"structure","required":["validation"],"members":{"certificate":{"type":"structure","members":{"file":{"shape":"S4g"},"sds":{"shape":"S4h"}},"union":true},"enforce":{"type":"boolean"},"ports":{"shape":"S36"},"validation":{"type":"structure","required":["trust"],"members":{"subjectAlternativeNames":{"shape":"S39"},"trust":{"type":"structure","members":{"acm":{"type":"structure","required":["certificateAuthorityArns"],"members":{"certificateAuthorityArns":{"type":"list","member":{}}}},"file":{"shape":"S4n"},"sds":{"shape":"S4o"}},"union":true}}}}}}},"S4g":{"type":"structure","required":["certificateChain","privateKey"],"members":{"certificateChain":{},"privateKey":{}}},"S4h":{"type":"structure","required":["secretName"],"members":{"secretName":{}}},"S4n":{"type":"structure","required":["certificateChain"],"members":{"certificateChain":{}}},"S4o":{"type":"structure","required":["secretName"],"members":{"secretName":{}}},"S57":{"type":"structure","required":["port","protocol"],"members":{"port":{"type":"integer"},"protocol":{}}},"S5t":{"type":"structure","required":["meshName","metadata","spec","status","virtualNodeName"],"members":{"meshName":{},"metadata":{"shape":"S1f"},"spec":{"shape":"S4b"},"status":{"type":"structure","required":["status"],"members":{"status":{}}},"virtualNodeName":{}}},"S5x":{"type":"structure","members":{"listeners":{"type":"list","member":{"type":"structure","required":["portMapping"],"members":{"portMapping":{"shape":"S57"}}}}}},"S61":{"type":"structure","required":["meshName","metadata","spec","status","virtualRouterName"],"members":{"meshName":{},"metadata":{"shape":"S1f"},"spec":{"shape":"S5x"},"status":{"type":"structure","required":["status"],"members":{"status":{}}},"virtualRouterName":{}}},"S65":{"type":"structure","members":{"provider":{"type":"structure","members":{"virtualNode":{"type":"structure","required":["virtualNodeName"],"members":{"virtualNodeName":{}}},"virtualRouter":{"type":"structure","required":["virtualRouterName"],"members":{"virtualRouterName":{}}}},"union":true}}},"S6a":{"type":"structure","required":["meshName","metadata","spec","status","virtualServiceName"],"members":{"meshName":{},"metadata":{"shape":"S1f"},"spec":{"shape":"S65"},"status":{"type":"structure","required":["status"],"members":{"status":{}}},"virtualServiceName":{}}}}}');

/***/ }),

/***/ 37698:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListGatewayRoutes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"limit","result_key":"gatewayRoutes"},"ListMeshes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"limit","result_key":"meshes"},"ListRoutes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"limit","result_key":"routes"},"ListTagsForResource":{"input_token":"nextToken","output_token":"nextToken","limit_key":"limit","result_key":"tags"},"ListVirtualGateways":{"input_token":"nextToken","output_token":"nextToken","limit_key":"limit","result_key":"virtualGateways"},"ListVirtualNodes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"limit","result_key":"virtualNodes"},"ListVirtualRouters":{"input_token":"nextToken","output_token":"nextToken","limit_key":"limit","result_key":"virtualRouters"},"ListVirtualServices":{"input_token":"nextToken","output_token":"nextToken","limit_key":"limit","result_key":"virtualServices"}}}');

/***/ }),

/***/ 30036:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-05-15","endpointPrefix":"apprunner","jsonVersion":"1.0","protocol":"json","serviceFullName":"AWS App Runner","serviceId":"AppRunner","signatureVersion":"v4","signingName":"apprunner","targetPrefix":"AppRunner","uid":"apprunner-2020-05-15"},"operations":{"AssociateCustomDomain":{"input":{"type":"structure","required":["ServiceArn","DomainName"],"members":{"ServiceArn":{},"DomainName":{},"EnableWWWSubdomain":{"type":"boolean"}}},"output":{"type":"structure","required":["DNSTarget","ServiceArn","CustomDomain"],"members":{"DNSTarget":{},"ServiceArn":{},"CustomDomain":{"shape":"S7"}}}},"CreateAutoScalingConfiguration":{"input":{"type":"structure","required":["AutoScalingConfigurationName"],"members":{"AutoScalingConfigurationName":{},"MaxConcurrency":{"type":"integer"},"MinSize":{"type":"integer"},"MaxSize":{"type":"integer"},"Tags":{"shape":"Sh"}}},"output":{"type":"structure","required":["AutoScalingConfiguration"],"members":{"AutoScalingConfiguration":{"shape":"Sm"}}}},"CreateConnection":{"input":{"type":"structure","required":["ConnectionName","ProviderType"],"members":{"ConnectionName":{},"ProviderType":{},"Tags":{"shape":"Sh"}}},"output":{"type":"structure","required":["Connection"],"members":{"Connection":{"shape":"Sv"}}}},"CreateService":{"input":{"type":"structure","required":["ServiceName","SourceConfiguration"],"members":{"ServiceName":{},"SourceConfiguration":{"shape":"Sz"},"InstanceConfiguration":{"shape":"S1i"},"Tags":{"shape":"Sh"},"EncryptionConfiguration":{"shape":"S1l"},"HealthCheckConfiguration":{"shape":"S1n"},"AutoScalingConfigurationArn":{}}},"output":{"type":"structure","required":["Service","OperationId"],"members":{"Service":{"shape":"S1v"},"OperationId":{}}}},"DeleteAutoScalingConfiguration":{"input":{"type":"structure","required":["AutoScalingConfigurationArn"],"members":{"AutoScalingConfigurationArn":{}}},"output":{"type":"structure","required":["AutoScalingConfiguration"],"members":{"AutoScalingConfiguration":{"shape":"Sm"}}}},"DeleteConnection":{"input":{"type":"structure","required":["ConnectionArn"],"members":{"ConnectionArn":{}}},"output":{"type":"structure","members":{"Connection":{"shape":"Sv"}}}},"DeleteService":{"input":{"type":"structure","required":["ServiceArn"],"members":{"ServiceArn":{}}},"output":{"type":"structure","required":["Service","OperationId"],"members":{"Service":{"shape":"S1v"},"OperationId":{}}}},"DescribeAutoScalingConfiguration":{"input":{"type":"structure","required":["AutoScalingConfigurationArn"],"members":{"AutoScalingConfigurationArn":{}}},"output":{"type":"structure","required":["AutoScalingConfiguration"],"members":{"AutoScalingConfiguration":{"shape":"Sm"}}}},"DescribeCustomDomains":{"input":{"type":"structure","required":["ServiceArn"],"members":{"ServiceArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["DNSTarget","ServiceArn","CustomDomains"],"members":{"DNSTarget":{},"ServiceArn":{},"CustomDomains":{"type":"list","member":{"shape":"S7"}},"NextToken":{}}}},"DescribeService":{"input":{"type":"structure","required":["ServiceArn"],"members":{"ServiceArn":{}}},"output":{"type":"structure","required":["Service"],"members":{"Service":{"shape":"S1v"}}}},"DisassociateCustomDomain":{"input":{"type":"structure","required":["ServiceArn","DomainName"],"members":{"ServiceArn":{},"DomainName":{}}},"output":{"type":"structure","required":["DNSTarget","ServiceArn","CustomDomain"],"members":{"DNSTarget":{},"ServiceArn":{},"CustomDomain":{"shape":"S7"}}}},"ListAutoScalingConfigurations":{"input":{"type":"structure","members":{"AutoScalingConfigurationName":{},"LatestOnly":{"type":"boolean"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["AutoScalingConfigurationSummaryList"],"members":{"AutoScalingConfigurationSummaryList":{"type":"list","member":{"shape":"S1y"}},"NextToken":{}}}},"ListConnections":{"input":{"type":"structure","members":{"ConnectionName":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["ConnectionSummaryList"],"members":{"ConnectionSummaryList":{"type":"list","member":{"type":"structure","members":{"ConnectionName":{},"ConnectionArn":{},"ProviderType":{},"Status":{},"CreatedAt":{"type":"timestamp"}}}},"NextToken":{}}}},"ListOperations":{"input":{"type":"structure","required":["ServiceArn"],"members":{"ServiceArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"OperationSummaryList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Type":{},"Status":{},"TargetArn":{},"StartedAt":{"type":"timestamp"},"EndedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"}}}},"NextToken":{}}}},"ListServices":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["ServiceSummaryList"],"members":{"ServiceSummaryList":{"type":"list","member":{"type":"structure","members":{"ServiceName":{},"ServiceId":{},"ServiceArn":{},"ServiceUrl":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"Status":{}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sh"}}}},"PauseService":{"input":{"type":"structure","required":["ServiceArn"],"members":{"ServiceArn":{}}},"output":{"type":"structure","required":["Service"],"members":{"Service":{"shape":"S1v"},"OperationId":{}}}},"ResumeService":{"input":{"type":"structure","required":["ServiceArn"],"members":{"ServiceArn":{}}},"output":{"type":"structure","required":["Service"],"members":{"Service":{"shape":"S1v"},"OperationId":{}}}},"StartDeployment":{"input":{"type":"structure","required":["ServiceArn"],"members":{"ServiceArn":{}}},"output":{"type":"structure","required":["OperationId"],"members":{"OperationId":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sh"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateService":{"input":{"type":"structure","required":["ServiceArn"],"members":{"ServiceArn":{},"SourceConfiguration":{"shape":"Sz"},"InstanceConfiguration":{"shape":"S1i"},"AutoScalingConfigurationArn":{},"HealthCheckConfiguration":{"shape":"S1n"}}},"output":{"type":"structure","required":["Service","OperationId"],"members":{"Service":{"shape":"S1v"},"OperationId":{}}}}},"shapes":{"S7":{"type":"structure","required":["DomainName","EnableWWWSubdomain","Status"],"members":{"DomainName":{},"EnableWWWSubdomain":{"type":"boolean"},"CertificateValidationRecords":{"type":"list","member":{"type":"structure","members":{"Name":{},"Type":{},"Value":{},"Status":{}}}},"Status":{}}},"Sh":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"Sm":{"type":"structure","members":{"AutoScalingConfigurationArn":{},"AutoScalingConfigurationName":{},"AutoScalingConfigurationRevision":{"type":"integer"},"Latest":{"type":"boolean"},"Status":{},"MaxConcurrency":{"type":"integer"},"MinSize":{"type":"integer"},"MaxSize":{"type":"integer"},"CreatedAt":{"type":"timestamp"},"DeletedAt":{"type":"timestamp"}}},"Sv":{"type":"structure","members":{"ConnectionName":{},"ConnectionArn":{},"ProviderType":{},"Status":{},"CreatedAt":{"type":"timestamp"}}},"Sz":{"type":"structure","members":{"CodeRepository":{"type":"structure","required":["RepositoryUrl","SourceCodeVersion"],"members":{"RepositoryUrl":{},"SourceCodeVersion":{"type":"structure","required":["Type","Value"],"members":{"Type":{},"Value":{}}},"CodeConfiguration":{"type":"structure","required":["ConfigurationSource"],"members":{"ConfigurationSource":{},"CodeConfigurationValues":{"type":"structure","required":["Runtime"],"members":{"Runtime":{},"BuildCommand":{"type":"string","sensitive":true},"StartCommand":{"type":"string","sensitive":true},"Port":{},"RuntimeEnvironmentVariables":{"shape":"S19"}}}}}}},"ImageRepository":{"type":"structure","required":["ImageIdentifier","ImageRepositoryType"],"members":{"ImageIdentifier":{},"ImageConfiguration":{"type":"structure","members":{"RuntimeEnvironmentVariables":{"shape":"S19"},"StartCommand":{},"Port":{}}},"ImageRepositoryType":{}}},"AutoDeploymentsEnabled":{"type":"boolean"},"AuthenticationConfiguration":{"type":"structure","members":{"ConnectionArn":{},"AccessRoleArn":{}}}}},"S19":{"type":"map","key":{"type":"string","sensitive":true},"value":{"type":"string","sensitive":true}},"S1i":{"type":"structure","members":{"Cpu":{},"Memory":{},"InstanceRoleArn":{}}},"S1l":{"type":"structure","required":["KmsKey"],"members":{"KmsKey":{}}},"S1n":{"type":"structure","members":{"Protocol":{},"Path":{},"Interval":{"type":"integer"},"Timeout":{"type":"integer"},"HealthyThreshold":{"type":"integer"},"UnhealthyThreshold":{"type":"integer"}}},"S1v":{"type":"structure","required":["ServiceName","ServiceId","ServiceArn","ServiceUrl","CreatedAt","UpdatedAt","Status","SourceConfiguration","InstanceConfiguration","AutoScalingConfigurationSummary"],"members":{"ServiceName":{},"ServiceId":{},"ServiceArn":{},"ServiceUrl":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"DeletedAt":{"type":"timestamp"},"Status":{},"SourceConfiguration":{"shape":"Sz"},"InstanceConfiguration":{"shape":"S1i"},"EncryptionConfiguration":{"shape":"S1l"},"HealthCheckConfiguration":{"shape":"S1n"},"AutoScalingConfigurationSummary":{"shape":"S1y"}}},"S1y":{"type":"structure","members":{"AutoScalingConfigurationArn":{},"AutoScalingConfigurationName":{},"AutoScalingConfigurationRevision":{"type":"integer"}}}}}');

/***/ }),

/***/ 50293:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeCustomDomains":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAutoScalingConfigurations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListConnections":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListOperations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListServices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 85538:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-12-01","endpointPrefix":"appstream2","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon AppStream","serviceId":"AppStream","signatureVersion":"v4","signingName":"appstream","targetPrefix":"PhotonAdminProxyService","uid":"appstream-2016-12-01"},"operations":{"AssociateApplicationFleet":{"input":{"type":"structure","required":["FleetName","ApplicationArn"],"members":{"FleetName":{},"ApplicationArn":{}}},"output":{"type":"structure","members":{"ApplicationFleetAssociation":{"shape":"S5"}}}},"AssociateFleet":{"input":{"type":"structure","required":["FleetName","StackName"],"members":{"FleetName":{},"StackName":{}}},"output":{"type":"structure","members":{}}},"BatchAssociateUserStack":{"input":{"type":"structure","required":["UserStackAssociations"],"members":{"UserStackAssociations":{"shape":"Sa"}}},"output":{"type":"structure","members":{"errors":{"shape":"Sg"}}}},"BatchDisassociateUserStack":{"input":{"type":"structure","required":["UserStackAssociations"],"members":{"UserStackAssociations":{"shape":"Sa"}}},"output":{"type":"structure","members":{"errors":{"shape":"Sg"}}}},"CopyImage":{"input":{"type":"structure","required":["SourceImageName","DestinationImageName","DestinationRegion"],"members":{"SourceImageName":{},"DestinationImageName":{},"DestinationRegion":{},"DestinationImageDescription":{}}},"output":{"type":"structure","members":{"DestinationImageName":{}}}},"CreateAppBlock":{"input":{"type":"structure","required":["Name","SourceS3Location","SetupScriptDetails"],"members":{"Name":{},"Description":{},"DisplayName":{},"SourceS3Location":{"shape":"Sr"},"SetupScriptDetails":{"shape":"Su"},"Tags":{"shape":"Sw"}}},"output":{"type":"structure","members":{"AppBlock":{"shape":"S10"}}}},"CreateApplication":{"input":{"type":"structure","required":["Name","IconS3Location","LaunchPath","Platforms","InstanceFamilies","AppBlockArn"],"members":{"Name":{},"DisplayName":{},"Description":{},"IconS3Location":{"shape":"Sr"},"LaunchPath":{},"WorkingDirectory":{},"LaunchParameters":{},"Platforms":{"shape":"S13"},"InstanceFamilies":{"shape":"S15"},"AppBlockArn":{},"Tags":{"shape":"Sw"}}},"output":{"type":"structure","members":{"Application":{"shape":"S17"}}}},"CreateDirectoryConfig":{"input":{"type":"structure","required":["DirectoryName","OrganizationalUnitDistinguishedNames"],"members":{"DirectoryName":{},"OrganizationalUnitDistinguishedNames":{"shape":"S1b"},"ServiceAccountCredentials":{"shape":"S1d"}}},"output":{"type":"structure","members":{"DirectoryConfig":{"shape":"S1h"}}}},"CreateFleet":{"input":{"type":"structure","required":["Name","InstanceType"],"members":{"Name":{},"ImageName":{},"ImageArn":{},"InstanceType":{},"FleetType":{},"ComputeCapacity":{"shape":"S1k"},"VpcConfig":{"shape":"S1l"},"MaxUserDurationInSeconds":{"type":"integer"},"DisconnectTimeoutInSeconds":{"type":"integer"},"Description":{},"DisplayName":{},"EnableDefaultInternetAccess":{"type":"boolean"},"DomainJoinInfo":{"shape":"S1p"},"Tags":{"shape":"Sw"},"IdleDisconnectTimeoutInSeconds":{"type":"integer"},"IamRoleArn":{},"StreamView":{},"Platform":{},"MaxConcurrentSessions":{"type":"integer"},"UsbDeviceFilterStrings":{"shape":"S1r"}}},"output":{"type":"structure","members":{"Fleet":{"shape":"S1u"}}}},"CreateImageBuilder":{"input":{"type":"structure","required":["Name","InstanceType"],"members":{"Name":{},"ImageName":{},"ImageArn":{},"InstanceType":{},"Description":{},"DisplayName":{},"VpcConfig":{"shape":"S1l"},"IamRoleArn":{},"EnableDefaultInternetAccess":{"type":"boolean"},"DomainJoinInfo":{"shape":"S1p"},"AppstreamAgentVersion":{},"Tags":{"shape":"Sw"},"AccessEndpoints":{"shape":"S22"}}},"output":{"type":"structure","members":{"ImageBuilder":{"shape":"S26"}}}},"CreateImageBuilderStreamingURL":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Validity":{"type":"long"}}},"output":{"type":"structure","members":{"StreamingURL":{},"Expires":{"type":"timestamp"}}}},"CreateStack":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"DisplayName":{},"StorageConnectors":{"shape":"S2h"},"RedirectURL":{},"FeedbackURL":{},"UserSettings":{"shape":"S2p"},"ApplicationSettings":{"shape":"S2t"},"Tags":{"shape":"Sw"},"AccessEndpoints":{"shape":"S22"},"EmbedHostDomains":{"shape":"S2v"}}},"output":{"type":"structure","members":{"Stack":{"shape":"S2y"}}}},"CreateStreamingURL":{"input":{"type":"structure","required":["StackName","FleetName","UserId"],"members":{"StackName":{},"FleetName":{},"UserId":{},"ApplicationId":{},"Validity":{"type":"long"},"SessionContext":{}}},"output":{"type":"structure","members":{"StreamingURL":{},"Expires":{"type":"timestamp"}}}},"CreateUpdatedImage":{"input":{"type":"structure","required":["existingImageName","newImageName"],"members":{"existingImageName":{},"newImageName":{},"newImageDescription":{},"newImageDisplayName":{},"newImageTags":{"shape":"Sw"},"dryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"image":{"shape":"S38"},"canUpdateImage":{"type":"boolean"}}}},"CreateUsageReportSubscription":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"S3BucketName":{},"Schedule":{}}}},"CreateUser":{"input":{"type":"structure","required":["UserName","AuthenticationType"],"members":{"UserName":{"shape":"Sc"},"MessageAction":{},"FirstName":{"shape":"S3k"},"LastName":{"shape":"S3k"},"AuthenticationType":{}}},"output":{"type":"structure","members":{}}},"DeleteAppBlock":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteApplication":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteDirectoryConfig":{"input":{"type":"structure","required":["DirectoryName"],"members":{"DirectoryName":{}}},"output":{"type":"structure","members":{}}},"DeleteFleet":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteImage":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Image":{"shape":"S38"}}}},"DeleteImageBuilder":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"ImageBuilder":{"shape":"S26"}}}},"DeleteImagePermissions":{"input":{"type":"structure","required":["Name","SharedAccountId"],"members":{"Name":{},"SharedAccountId":{}}},"output":{"type":"structure","members":{}}},"DeleteStack":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteUsageReportSubscription":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DeleteUser":{"input":{"type":"structure","required":["UserName","AuthenticationType"],"members":{"UserName":{"shape":"Sc"},"AuthenticationType":{}}},"output":{"type":"structure","members":{}}},"DescribeAppBlocks":{"input":{"type":"structure","members":{"Arns":{"shape":"S48"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"AppBlocks":{"type":"list","member":{"shape":"S10"}},"NextToken":{}}}},"DescribeApplicationFleetAssociations":{"input":{"type":"structure","members":{"FleetName":{},"ApplicationArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ApplicationFleetAssociations":{"type":"list","member":{"shape":"S5"}},"NextToken":{}}}},"DescribeApplications":{"input":{"type":"structure","members":{"Arns":{"shape":"S48"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Applications":{"shape":"S3d"},"NextToken":{}}}},"DescribeDirectoryConfigs":{"input":{"type":"structure","members":{"DirectoryNames":{"type":"list","member":{}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"DirectoryConfigs":{"type":"list","member":{"shape":"S1h"}},"NextToken":{}}}},"DescribeFleets":{"input":{"type":"structure","members":{"Names":{"shape":"S15"},"NextToken":{}}},"output":{"type":"structure","members":{"Fleets":{"type":"list","member":{"shape":"S1u"}},"NextToken":{}}}},"DescribeImageBuilders":{"input":{"type":"structure","members":{"Names":{"shape":"S15"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ImageBuilders":{"type":"list","member":{"shape":"S26"}},"NextToken":{}}}},"DescribeImagePermissions":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"MaxResults":{"type":"integer"},"SharedAwsAccountIds":{"type":"list","member":{}},"NextToken":{}}},"output":{"type":"structure","members":{"Name":{},"SharedImagePermissionsList":{"type":"list","member":{"type":"structure","required":["sharedAccountId","imagePermissions"],"members":{"sharedAccountId":{},"imagePermissions":{"shape":"S3e"}}}},"NextToken":{}}}},"DescribeImages":{"input":{"type":"structure","members":{"Names":{"shape":"S15"},"Arns":{"shape":"S48"},"Type":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Images":{"type":"list","member":{"shape":"S38"}},"NextToken":{}}}},"DescribeSessions":{"input":{"type":"structure","required":["StackName","FleetName"],"members":{"StackName":{},"FleetName":{},"UserId":{},"NextToken":{},"Limit":{"type":"integer"},"AuthenticationType":{}}},"output":{"type":"structure","members":{"Sessions":{"type":"list","member":{"type":"structure","required":["Id","UserId","StackName","FleetName","State"],"members":{"Id":{},"UserId":{},"StackName":{},"FleetName":{},"State":{},"ConnectionState":{},"StartTime":{"type":"timestamp"},"MaxExpirationTime":{"type":"timestamp"},"AuthenticationType":{},"NetworkAccessConfiguration":{"shape":"S2a"}}}},"NextToken":{}}}},"DescribeStacks":{"input":{"type":"structure","members":{"Names":{"shape":"S15"},"NextToken":{}}},"output":{"type":"structure","members":{"Stacks":{"type":"list","member":{"shape":"S2y"}},"NextToken":{}}}},"DescribeUsageReportSubscriptions":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"UsageReportSubscriptions":{"type":"list","member":{"type":"structure","members":{"S3BucketName":{},"Schedule":{},"LastGeneratedReportDate":{"type":"timestamp"},"SubscriptionErrors":{"type":"list","member":{"type":"structure","members":{"ErrorCode":{},"ErrorMessage":{}}}}}}},"NextToken":{}}}},"DescribeUserStackAssociations":{"input":{"type":"structure","members":{"StackName":{},"UserName":{"shape":"Sc"},"AuthenticationType":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"UserStackAssociations":{"shape":"Sa"},"NextToken":{}}}},"DescribeUsers":{"input":{"type":"structure","required":["AuthenticationType"],"members":{"AuthenticationType":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Users":{"type":"list","member":{"type":"structure","required":["AuthenticationType"],"members":{"Arn":{},"UserName":{"shape":"Sc"},"Enabled":{"type":"boolean"},"Status":{},"FirstName":{"shape":"S3k"},"LastName":{"shape":"S3k"},"CreatedTime":{"type":"timestamp"},"AuthenticationType":{}}}},"NextToken":{}}}},"DisableUser":{"input":{"type":"structure","required":["UserName","AuthenticationType"],"members":{"UserName":{"shape":"Sc"},"AuthenticationType":{}}},"output":{"type":"structure","members":{}}},"DisassociateApplicationFleet":{"input":{"type":"structure","required":["FleetName","ApplicationArn"],"members":{"FleetName":{},"ApplicationArn":{}}},"output":{"type":"structure","members":{}}},"DisassociateFleet":{"input":{"type":"structure","required":["FleetName","StackName"],"members":{"FleetName":{},"StackName":{}}},"output":{"type":"structure","members":{}}},"EnableUser":{"input":{"type":"structure","required":["UserName","AuthenticationType"],"members":{"UserName":{"shape":"Sc"},"AuthenticationType":{}}},"output":{"type":"structure","members":{}}},"ExpireSession":{"input":{"type":"structure","required":["SessionId"],"members":{"SessionId":{}}},"output":{"type":"structure","members":{}}},"ListAssociatedFleets":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{},"NextToken":{}}},"output":{"type":"structure","members":{"Names":{"shape":"S15"},"NextToken":{}}}},"ListAssociatedStacks":{"input":{"type":"structure","required":["FleetName"],"members":{"FleetName":{},"NextToken":{}}},"output":{"type":"structure","members":{"Names":{"shape":"S15"},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sw"}}}},"StartFleet":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"StartImageBuilder":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"AppstreamAgentVersion":{}}},"output":{"type":"structure","members":{"ImageBuilder":{"shape":"S26"}}}},"StopFleet":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"StopImageBuilder":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"ImageBuilder":{"shape":"S26"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sw"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateApplication":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"DisplayName":{},"Description":{},"IconS3Location":{"shape":"Sr"},"LaunchPath":{},"WorkingDirectory":{},"LaunchParameters":{},"AppBlockArn":{},"AttributesToDelete":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"Application":{"shape":"S17"}}}},"UpdateDirectoryConfig":{"input":{"type":"structure","required":["DirectoryName"],"members":{"DirectoryName":{},"OrganizationalUnitDistinguishedNames":{"shape":"S1b"},"ServiceAccountCredentials":{"shape":"S1d"}}},"output":{"type":"structure","members":{"DirectoryConfig":{"shape":"S1h"}}}},"UpdateFleet":{"input":{"type":"structure","members":{"ImageName":{},"ImageArn":{},"Name":{},"InstanceType":{},"ComputeCapacity":{"shape":"S1k"},"VpcConfig":{"shape":"S1l"},"MaxUserDurationInSeconds":{"type":"integer"},"DisconnectTimeoutInSeconds":{"type":"integer"},"DeleteVpcConfig":{"deprecated":true,"type":"boolean"},"Description":{},"DisplayName":{},"EnableDefaultInternetAccess":{"type":"boolean"},"DomainJoinInfo":{"shape":"S1p"},"IdleDisconnectTimeoutInSeconds":{"type":"integer"},"AttributesToDelete":{"type":"list","member":{}},"IamRoleArn":{},"StreamView":{},"Platform":{},"MaxConcurrentSessions":{"type":"integer"},"UsbDeviceFilterStrings":{"shape":"S1r"}}},"output":{"type":"structure","members":{"Fleet":{"shape":"S1u"}}}},"UpdateImagePermissions":{"input":{"type":"structure","required":["Name","SharedAccountId","ImagePermissions"],"members":{"Name":{},"SharedAccountId":{},"ImagePermissions":{"shape":"S3e"}}},"output":{"type":"structure","members":{}}},"UpdateStack":{"input":{"type":"structure","required":["Name"],"members":{"DisplayName":{},"Description":{},"Name":{},"StorageConnectors":{"shape":"S2h"},"DeleteStorageConnectors":{"deprecated":true,"type":"boolean"},"RedirectURL":{},"FeedbackURL":{},"AttributesToDelete":{"type":"list","member":{}},"UserSettings":{"shape":"S2p"},"ApplicationSettings":{"shape":"S2t"},"AccessEndpoints":{"shape":"S22"},"EmbedHostDomains":{"shape":"S2v"}}},"output":{"type":"structure","members":{"Stack":{"shape":"S2y"}}}}},"shapes":{"S5":{"type":"structure","required":["FleetName","ApplicationArn"],"members":{"FleetName":{},"ApplicationArn":{}}},"Sa":{"type":"list","member":{"shape":"Sb"}},"Sb":{"type":"structure","required":["StackName","UserName","AuthenticationType"],"members":{"StackName":{},"UserName":{"shape":"Sc"},"AuthenticationType":{},"SendEmailNotification":{"type":"boolean"}}},"Sc":{"type":"string","sensitive":true},"Sg":{"type":"list","member":{"type":"structure","members":{"UserStackAssociation":{"shape":"Sb"},"ErrorCode":{},"ErrorMessage":{}}}},"Sr":{"type":"structure","required":["S3Bucket","S3Key"],"members":{"S3Bucket":{},"S3Key":{}}},"Su":{"type":"structure","required":["ScriptS3Location","ExecutablePath","TimeoutInSeconds"],"members":{"ScriptS3Location":{"shape":"Sr"},"ExecutablePath":{},"ExecutableParameters":{},"TimeoutInSeconds":{"type":"integer"}}},"Sw":{"type":"map","key":{},"value":{}},"S10":{"type":"structure","required":["Name","Arn","SetupScriptDetails"],"members":{"Name":{},"Arn":{},"Description":{},"DisplayName":{},"SourceS3Location":{"shape":"Sr"},"SetupScriptDetails":{"shape":"Su"},"CreatedTime":{"type":"timestamp"}}},"S13":{"type":"list","member":{}},"S15":{"type":"list","member":{}},"S17":{"type":"structure","members":{"Name":{},"DisplayName":{},"IconURL":{},"LaunchPath":{},"LaunchParameters":{},"Enabled":{"type":"boolean"},"Metadata":{"type":"map","key":{},"value":{}},"WorkingDirectory":{},"Description":{},"Arn":{},"AppBlockArn":{},"IconS3Location":{"shape":"Sr"},"Platforms":{"shape":"S13"},"InstanceFamilies":{"shape":"S15"},"CreatedTime":{"type":"timestamp"}}},"S1b":{"type":"list","member":{}},"S1d":{"type":"structure","required":["AccountName","AccountPassword"],"members":{"AccountName":{"type":"string","sensitive":true},"AccountPassword":{"type":"string","sensitive":true}}},"S1h":{"type":"structure","required":["DirectoryName"],"members":{"DirectoryName":{},"OrganizationalUnitDistinguishedNames":{"shape":"S1b"},"ServiceAccountCredentials":{"shape":"S1d"},"CreatedTime":{"type":"timestamp"}}},"S1k":{"type":"structure","required":["DesiredInstances"],"members":{"DesiredInstances":{"type":"integer"}}},"S1l":{"type":"structure","members":{"SubnetIds":{"type":"list","member":{}},"SecurityGroupIds":{"type":"list","member":{}}}},"S1p":{"type":"structure","members":{"DirectoryName":{},"OrganizationalUnitDistinguishedName":{}}},"S1r":{"type":"list","member":{}},"S1u":{"type":"structure","required":["Arn","Name","InstanceType","ComputeCapacityStatus","State"],"members":{"Arn":{},"Name":{},"DisplayName":{},"Description":{},"ImageName":{},"ImageArn":{},"InstanceType":{},"FleetType":{},"ComputeCapacityStatus":{"type":"structure","required":["Desired"],"members":{"Desired":{"type":"integer"},"Running":{"type":"integer"},"InUse":{"type":"integer"},"Available":{"type":"integer"}}},"MaxUserDurationInSeconds":{"type":"integer"},"DisconnectTimeoutInSeconds":{"type":"integer"},"State":{},"VpcConfig":{"shape":"S1l"},"CreatedTime":{"type":"timestamp"},"FleetErrors":{"type":"list","member":{"type":"structure","members":{"ErrorCode":{},"ErrorMessage":{}}}},"EnableDefaultInternetAccess":{"type":"boolean"},"DomainJoinInfo":{"shape":"S1p"},"IdleDisconnectTimeoutInSeconds":{"type":"integer"},"IamRoleArn":{},"StreamView":{},"Platform":{},"MaxConcurrentSessions":{"type":"integer"},"UsbDeviceFilterStrings":{"shape":"S1r"}}},"S22":{"type":"list","member":{"type":"structure","required":["EndpointType"],"members":{"EndpointType":{},"VpceId":{}}}},"S26":{"type":"structure","required":["Name"],"members":{"Name":{},"Arn":{},"ImageArn":{},"Description":{},"DisplayName":{},"VpcConfig":{"shape":"S1l"},"InstanceType":{},"Platform":{},"IamRoleArn":{},"State":{},"StateChangeReason":{"type":"structure","members":{"Code":{},"Message":{}}},"CreatedTime":{"type":"timestamp"},"EnableDefaultInternetAccess":{"type":"boolean"},"DomainJoinInfo":{"shape":"S1p"},"NetworkAccessConfiguration":{"shape":"S2a"},"ImageBuilderErrors":{"shape":"S2b"},"AppstreamAgentVersion":{},"AccessEndpoints":{"shape":"S22"}}},"S2a":{"type":"structure","members":{"EniPrivateIpAddress":{},"EniId":{}}},"S2b":{"type":"list","member":{"type":"structure","members":{"ErrorCode":{},"ErrorMessage":{},"ErrorTimestamp":{"type":"timestamp"}}}},"S2h":{"type":"list","member":{"type":"structure","required":["ConnectorType"],"members":{"ConnectorType":{},"ResourceIdentifier":{},"Domains":{"type":"list","member":{}}}}},"S2p":{"type":"list","member":{"type":"structure","required":["Action","Permission"],"members":{"Action":{},"Permission":{}}}},"S2t":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"},"SettingsGroup":{}}},"S2v":{"type":"list","member":{}},"S2y":{"type":"structure","required":["Name"],"members":{"Arn":{},"Name":{},"Description":{},"DisplayName":{},"CreatedTime":{"type":"timestamp"},"StorageConnectors":{"shape":"S2h"},"RedirectURL":{},"FeedbackURL":{},"StackErrors":{"type":"list","member":{"type":"structure","members":{"ErrorCode":{},"ErrorMessage":{}}}},"UserSettings":{"shape":"S2p"},"ApplicationSettings":{"type":"structure","members":{"Enabled":{"type":"boolean"},"SettingsGroup":{},"S3BucketName":{}}},"AccessEndpoints":{"shape":"S22"},"EmbedHostDomains":{"shape":"S2v"}}},"S38":{"type":"structure","required":["Name"],"members":{"Name":{},"Arn":{},"BaseImageArn":{},"DisplayName":{},"State":{},"Visibility":{},"ImageBuilderSupported":{"type":"boolean"},"ImageBuilderName":{},"Platform":{},"Description":{},"StateChangeReason":{"type":"structure","members":{"Code":{},"Message":{}}},"Applications":{"shape":"S3d"},"CreatedTime":{"type":"timestamp"},"PublicBaseImageReleasedDate":{"type":"timestamp"},"AppstreamAgentVersion":{},"ImagePermissions":{"shape":"S3e"},"ImageErrors":{"shape":"S2b"}}},"S3d":{"type":"list","member":{"shape":"S17"}},"S3e":{"type":"structure","members":{"allowFleet":{"type":"boolean"},"allowImageBuilder":{"type":"boolean"}}},"S3k":{"type":"string","sensitive":true},"S48":{"type":"list","member":{}}}}');

/***/ }),

/***/ 32191:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeImagePermissions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeImages":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 21134:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"FleetStarted":{"delay":30,"maxAttempts":40,"operation":"DescribeFleets","acceptors":[{"state":"success","matcher":"pathAll","argument":"Fleets[].State","expected":"ACTIVE"},{"state":"failure","matcher":"pathAny","argument":"Fleets[].State","expected":"PENDING_DEACTIVATE"},{"state":"failure","matcher":"pathAny","argument":"Fleets[].State","expected":"INACTIVE"}]},"FleetStopped":{"delay":30,"maxAttempts":40,"operation":"DescribeFleets","acceptors":[{"state":"success","matcher":"pathAll","argument":"Fleets[].State","expected":"INACTIVE"},{"state":"failure","matcher":"pathAny","argument":"Fleets[].State","expected":"PENDING_ACTIVATE"},{"state":"failure","matcher":"pathAny","argument":"Fleets[].State","expected":"ACTIVE"}]}}}');

/***/ }),

/***/ 94937:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-07-25","endpointPrefix":"appsync","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"AWSAppSync","serviceFullName":"AWS AppSync","serviceId":"AppSync","signatureVersion":"v4","signingName":"appsync","uid":"appsync-2017-07-25"},"operations":{"AssociateApi":{"http":{"requestUri":"/v1/domainnames/{domainName}/apiassociation"},"input":{"type":"structure","required":["domainName","apiId"],"members":{"domainName":{"location":"uri","locationName":"domainName"},"apiId":{}}},"output":{"type":"structure","members":{"apiAssociation":{"shape":"S5"}}}},"CreateApiCache":{"http":{"requestUri":"/v1/apis/{apiId}/ApiCaches"},"input":{"type":"structure","required":["apiId","ttl","apiCachingBehavior","type"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"ttl":{"type":"long"},"transitEncryptionEnabled":{"type":"boolean"},"atRestEncryptionEnabled":{"type":"boolean"},"apiCachingBehavior":{},"type":{}}},"output":{"type":"structure","members":{"apiCache":{"shape":"Sd"}}}},"CreateApiKey":{"http":{"requestUri":"/v1/apis/{apiId}/apikeys"},"input":{"type":"structure","required":["apiId"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"description":{},"expires":{"type":"long"}}},"output":{"type":"structure","members":{"apiKey":{"shape":"Sh"}}}},"CreateDataSource":{"http":{"requestUri":"/v1/apis/{apiId}/datasources"},"input":{"type":"structure","required":["apiId","name","type"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"name":{},"description":{},"type":{},"serviceRoleArn":{},"dynamodbConfig":{"shape":"Sl"},"lambdaConfig":{"shape":"Sn"},"elasticsearchConfig":{"shape":"So"},"openSearchServiceConfig":{"shape":"Sp"},"httpConfig":{"shape":"Sq"},"relationalDatabaseConfig":{"shape":"Su"}}},"output":{"type":"structure","members":{"dataSource":{"shape":"Sy"}}}},"CreateDomainName":{"http":{"requestUri":"/v1/domainnames"},"input":{"type":"structure","required":["domainName","certificateArn"],"members":{"domainName":{},"certificateArn":{},"description":{}}},"output":{"type":"structure","members":{"domainNameConfig":{"shape":"S13"}}}},"CreateFunction":{"http":{"requestUri":"/v1/apis/{apiId}/functions"},"input":{"type":"structure","required":["apiId","name","dataSourceName","functionVersion"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"name":{},"description":{},"dataSourceName":{},"requestMappingTemplate":{},"responseMappingTemplate":{},"functionVersion":{},"syncConfig":{"shape":"S16"}}},"output":{"type":"structure","members":{"functionConfiguration":{"shape":"S1b"}}}},"CreateGraphqlApi":{"http":{"requestUri":"/v1/apis"},"input":{"type":"structure","required":["name","authenticationType"],"members":{"name":{},"logConfig":{"shape":"S1d"},"authenticationType":{},"userPoolConfig":{"shape":"S1g"},"openIDConnectConfig":{"shape":"S1i"},"tags":{"shape":"S1j"},"additionalAuthenticationProviders":{"shape":"S1m"},"xrayEnabled":{"type":"boolean"},"lambdaAuthorizerConfig":{"shape":"S1p"}}},"output":{"type":"structure","members":{"graphqlApi":{"shape":"S1s"}}}},"CreateResolver":{"http":{"requestUri":"/v1/apis/{apiId}/types/{typeName}/resolvers"},"input":{"type":"structure","required":["apiId","typeName","fieldName"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"typeName":{"location":"uri","locationName":"typeName"},"fieldName":{},"dataSourceName":{},"requestMappingTemplate":{},"responseMappingTemplate":{},"kind":{},"pipelineConfig":{"shape":"S1w"},"syncConfig":{"shape":"S16"},"cachingConfig":{"shape":"S1y"}}},"output":{"type":"structure","members":{"resolver":{"shape":"S21"}}}},"CreateType":{"http":{"requestUri":"/v1/apis/{apiId}/types"},"input":{"type":"structure","required":["apiId","definition","format"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"definition":{},"format":{}}},"output":{"type":"structure","members":{"type":{"shape":"S25"}}}},"DeleteApiCache":{"http":{"method":"DELETE","requestUri":"/v1/apis/{apiId}/ApiCaches"},"input":{"type":"structure","required":["apiId"],"members":{"apiId":{"location":"uri","locationName":"apiId"}}},"output":{"type":"structure","members":{}}},"DeleteApiKey":{"http":{"method":"DELETE","requestUri":"/v1/apis/{apiId}/apikeys/{id}"},"input":{"type":"structure","required":["apiId","id"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"id":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{}}},"DeleteDataSource":{"http":{"method":"DELETE","requestUri":"/v1/apis/{apiId}/datasources/{name}"},"input":{"type":"structure","required":["apiId","name"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{}}},"DeleteDomainName":{"http":{"method":"DELETE","requestUri":"/v1/domainnames/{domainName}"},"input":{"type":"structure","required":["domainName"],"members":{"domainName":{"location":"uri","locationName":"domainName"}}},"output":{"type":"structure","members":{}}},"DeleteFunction":{"http":{"method":"DELETE","requestUri":"/v1/apis/{apiId}/functions/{functionId}"},"input":{"type":"structure","required":["apiId","functionId"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"functionId":{"location":"uri","locationName":"functionId"}}},"output":{"type":"structure","members":{}}},"DeleteGraphqlApi":{"http":{"method":"DELETE","requestUri":"/v1/apis/{apiId}"},"input":{"type":"structure","required":["apiId"],"members":{"apiId":{"location":"uri","locationName":"apiId"}}},"output":{"type":"structure","members":{}}},"DeleteResolver":{"http":{"method":"DELETE","requestUri":"/v1/apis/{apiId}/types/{typeName}/resolvers/{fieldName}"},"input":{"type":"structure","required":["apiId","typeName","fieldName"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"typeName":{"location":"uri","locationName":"typeName"},"fieldName":{"location":"uri","locationName":"fieldName"}}},"output":{"type":"structure","members":{}}},"DeleteType":{"http":{"method":"DELETE","requestUri":"/v1/apis/{apiId}/types/{typeName}"},"input":{"type":"structure","required":["apiId","typeName"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"typeName":{"location":"uri","locationName":"typeName"}}},"output":{"type":"structure","members":{}}},"DisassociateApi":{"http":{"method":"DELETE","requestUri":"/v1/domainnames/{domainName}/apiassociation"},"input":{"type":"structure","required":["domainName"],"members":{"domainName":{"location":"uri","locationName":"domainName"}}},"output":{"type":"structure","members":{}}},"FlushApiCache":{"http":{"method":"DELETE","requestUri":"/v1/apis/{apiId}/FlushCache"},"input":{"type":"structure","required":["apiId"],"members":{"apiId":{"location":"uri","locationName":"apiId"}}},"output":{"type":"structure","members":{}}},"GetApiAssociation":{"http":{"method":"GET","requestUri":"/v1/domainnames/{domainName}/apiassociation"},"input":{"type":"structure","required":["domainName"],"members":{"domainName":{"location":"uri","locationName":"domainName"}}},"output":{"type":"structure","members":{"apiAssociation":{"shape":"S5"}}}},"GetApiCache":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/ApiCaches"},"input":{"type":"structure","required":["apiId"],"members":{"apiId":{"location":"uri","locationName":"apiId"}}},"output":{"type":"structure","members":{"apiCache":{"shape":"Sd"}}}},"GetDataSource":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/datasources/{name}"},"input":{"type":"structure","required":["apiId","name"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"dataSource":{"shape":"Sy"}}}},"GetDomainName":{"http":{"method":"GET","requestUri":"/v1/domainnames/{domainName}"},"input":{"type":"structure","required":["domainName"],"members":{"domainName":{"location":"uri","locationName":"domainName"}}},"output":{"type":"structure","members":{"domainNameConfig":{"shape":"S13"}}}},"GetFunction":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/functions/{functionId}"},"input":{"type":"structure","required":["apiId","functionId"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"functionId":{"location":"uri","locationName":"functionId"}}},"output":{"type":"structure","members":{"functionConfiguration":{"shape":"S1b"}}}},"GetGraphqlApi":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}"},"input":{"type":"structure","required":["apiId"],"members":{"apiId":{"location":"uri","locationName":"apiId"}}},"output":{"type":"structure","members":{"graphqlApi":{"shape":"S1s"}}}},"GetIntrospectionSchema":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/schema"},"input":{"type":"structure","required":["apiId","format"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"format":{"location":"querystring","locationName":"format"},"includeDirectives":{"location":"querystring","locationName":"includeDirectives","type":"boolean"}}},"output":{"type":"structure","members":{"schema":{"type":"blob"}},"payload":"schema"}},"GetResolver":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/types/{typeName}/resolvers/{fieldName}"},"input":{"type":"structure","required":["apiId","typeName","fieldName"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"typeName":{"location":"uri","locationName":"typeName"},"fieldName":{"location":"uri","locationName":"fieldName"}}},"output":{"type":"structure","members":{"resolver":{"shape":"S21"}}}},"GetSchemaCreationStatus":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/schemacreation"},"input":{"type":"structure","required":["apiId"],"members":{"apiId":{"location":"uri","locationName":"apiId"}}},"output":{"type":"structure","members":{"status":{},"details":{}}}},"GetType":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/types/{typeName}"},"input":{"type":"structure","required":["apiId","typeName","format"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"typeName":{"location":"uri","locationName":"typeName"},"format":{"location":"querystring","locationName":"format"}}},"output":{"type":"structure","members":{"type":{"shape":"S25"}}}},"ListApiKeys":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/apikeys"},"input":{"type":"structure","required":["apiId"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"apiKeys":{"type":"list","member":{"shape":"Sh"}},"nextToken":{}}}},"ListDataSources":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/datasources"},"input":{"type":"structure","required":["apiId"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"dataSources":{"type":"list","member":{"shape":"Sy"}},"nextToken":{}}}},"ListDomainNames":{"http":{"method":"GET","requestUri":"/v1/domainnames"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"domainNameConfigs":{"type":"list","member":{"shape":"S13"}},"nextToken":{}}}},"ListFunctions":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/functions"},"input":{"type":"structure","required":["apiId"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"functions":{"type":"list","member":{"shape":"S1b"}},"nextToken":{}}}},"ListGraphqlApis":{"http":{"method":"GET","requestUri":"/v1/apis"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"graphqlApis":{"type":"list","member":{"shape":"S1s"}},"nextToken":{}}}},"ListResolvers":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/types/{typeName}/resolvers"},"input":{"type":"structure","required":["apiId","typeName"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"typeName":{"location":"uri","locationName":"typeName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"resolvers":{"shape":"S3x"},"nextToken":{}}}},"ListResolversByFunction":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/functions/{functionId}/resolvers"},"input":{"type":"structure","required":["apiId","functionId"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"functionId":{"location":"uri","locationName":"functionId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"resolvers":{"shape":"S3x"},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/v1/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S1j"}}}},"ListTypes":{"http":{"method":"GET","requestUri":"/v1/apis/{apiId}/types"},"input":{"type":"structure","required":["apiId","format"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"format":{"location":"querystring","locationName":"format"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"types":{"type":"list","member":{"shape":"S25"}},"nextToken":{}}}},"StartSchemaCreation":{"http":{"requestUri":"/v1/apis/{apiId}/schemacreation"},"input":{"type":"structure","required":["apiId","definition"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"definition":{"type":"blob"}}},"output":{"type":"structure","members":{"status":{}}}},"TagResource":{"http":{"requestUri":"/v1/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S1j"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/v1/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateApiCache":{"http":{"requestUri":"/v1/apis/{apiId}/ApiCaches/update"},"input":{"type":"structure","required":["apiId","ttl","apiCachingBehavior","type"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"ttl":{"type":"long"},"apiCachingBehavior":{},"type":{}}},"output":{"type":"structure","members":{"apiCache":{"shape":"Sd"}}}},"UpdateApiKey":{"http":{"requestUri":"/v1/apis/{apiId}/apikeys/{id}"},"input":{"type":"structure","required":["apiId","id"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"id":{"location":"uri","locationName":"id"},"description":{},"expires":{"type":"long"}}},"output":{"type":"structure","members":{"apiKey":{"shape":"Sh"}}}},"UpdateDataSource":{"http":{"requestUri":"/v1/apis/{apiId}/datasources/{name}"},"input":{"type":"structure","required":["apiId","name","type"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"name":{"location":"uri","locationName":"name"},"description":{},"type":{},"serviceRoleArn":{},"dynamodbConfig":{"shape":"Sl"},"lambdaConfig":{"shape":"Sn"},"elasticsearchConfig":{"shape":"So"},"openSearchServiceConfig":{"shape":"Sp"},"httpConfig":{"shape":"Sq"},"relationalDatabaseConfig":{"shape":"Su"}}},"output":{"type":"structure","members":{"dataSource":{"shape":"Sy"}}}},"UpdateDomainName":{"http":{"requestUri":"/v1/domainnames/{domainName}"},"input":{"type":"structure","required":["domainName"],"members":{"domainName":{"location":"uri","locationName":"domainName"},"description":{}}},"output":{"type":"structure","members":{"domainNameConfig":{"shape":"S13"}}}},"UpdateFunction":{"http":{"requestUri":"/v1/apis/{apiId}/functions/{functionId}"},"input":{"type":"structure","required":["apiId","name","functionId","dataSourceName","functionVersion"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"name":{},"description":{},"functionId":{"location":"uri","locationName":"functionId"},"dataSourceName":{},"requestMappingTemplate":{},"responseMappingTemplate":{},"functionVersion":{},"syncConfig":{"shape":"S16"}}},"output":{"type":"structure","members":{"functionConfiguration":{"shape":"S1b"}}}},"UpdateGraphqlApi":{"http":{"requestUri":"/v1/apis/{apiId}"},"input":{"type":"structure","required":["apiId","name"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"name":{},"logConfig":{"shape":"S1d"},"authenticationType":{},"userPoolConfig":{"shape":"S1g"},"openIDConnectConfig":{"shape":"S1i"},"additionalAuthenticationProviders":{"shape":"S1m"},"xrayEnabled":{"type":"boolean"},"lambdaAuthorizerConfig":{"shape":"S1p"}}},"output":{"type":"structure","members":{"graphqlApi":{"shape":"S1s"}}}},"UpdateResolver":{"http":{"requestUri":"/v1/apis/{apiId}/types/{typeName}/resolvers/{fieldName}"},"input":{"type":"structure","required":["apiId","typeName","fieldName"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"typeName":{"location":"uri","locationName":"typeName"},"fieldName":{"location":"uri","locationName":"fieldName"},"dataSourceName":{},"requestMappingTemplate":{},"responseMappingTemplate":{},"kind":{},"pipelineConfig":{"shape":"S1w"},"syncConfig":{"shape":"S16"},"cachingConfig":{"shape":"S1y"}}},"output":{"type":"structure","members":{"resolver":{"shape":"S21"}}}},"UpdateType":{"http":{"requestUri":"/v1/apis/{apiId}/types/{typeName}"},"input":{"type":"structure","required":["apiId","typeName","format"],"members":{"apiId":{"location":"uri","locationName":"apiId"},"typeName":{"location":"uri","locationName":"typeName"},"definition":{},"format":{}}},"output":{"type":"structure","members":{"type":{"shape":"S25"}}}}},"shapes":{"S5":{"type":"structure","members":{"domainName":{},"apiId":{},"associationStatus":{},"deploymentDetail":{}}},"Sd":{"type":"structure","members":{"ttl":{"type":"long"},"apiCachingBehavior":{},"transitEncryptionEnabled":{"type":"boolean"},"atRestEncryptionEnabled":{"type":"boolean"},"type":{},"status":{}}},"Sh":{"type":"structure","members":{"id":{},"description":{},"expires":{"type":"long"},"deletes":{"type":"long"}}},"Sl":{"type":"structure","required":["tableName","awsRegion"],"members":{"tableName":{},"awsRegion":{},"useCallerCredentials":{"type":"boolean"},"deltaSyncConfig":{"type":"structure","members":{"baseTableTTL":{"type":"long"},"deltaSyncTableName":{},"deltaSyncTableTTL":{"type":"long"}}},"versioned":{"type":"boolean"}}},"Sn":{"type":"structure","required":["lambdaFunctionArn"],"members":{"lambdaFunctionArn":{}}},"So":{"type":"structure","required":["endpoint","awsRegion"],"members":{"endpoint":{},"awsRegion":{}}},"Sp":{"type":"structure","required":["endpoint","awsRegion"],"members":{"endpoint":{},"awsRegion":{}}},"Sq":{"type":"structure","members":{"endpoint":{},"authorizationConfig":{"type":"structure","required":["authorizationType"],"members":{"authorizationType":{},"awsIamConfig":{"type":"structure","members":{"signingRegion":{},"signingServiceName":{}}}}}}},"Su":{"type":"structure","members":{"relationalDatabaseSourceType":{},"rdsHttpEndpointConfig":{"type":"structure","members":{"awsRegion":{},"dbClusterIdentifier":{},"databaseName":{},"schema":{},"awsSecretStoreArn":{}}}}},"Sy":{"type":"structure","members":{"dataSourceArn":{},"name":{},"description":{},"type":{},"serviceRoleArn":{},"dynamodbConfig":{"shape":"Sl"},"lambdaConfig":{"shape":"Sn"},"elasticsearchConfig":{"shape":"So"},"openSearchServiceConfig":{"shape":"Sp"},"httpConfig":{"shape":"Sq"},"relationalDatabaseConfig":{"shape":"Su"}}},"S13":{"type":"structure","members":{"domainName":{},"description":{},"certificateArn":{},"appsyncDomainName":{},"hostedZoneId":{}}},"S16":{"type":"structure","members":{"conflictHandler":{},"conflictDetection":{},"lambdaConflictHandlerConfig":{"type":"structure","members":{"lambdaConflictHandlerArn":{}}}}},"S1b":{"type":"structure","members":{"functionId":{},"functionArn":{},"name":{},"description":{},"dataSourceName":{},"requestMappingTemplate":{},"responseMappingTemplate":{},"functionVersion":{},"syncConfig":{"shape":"S16"}}},"S1d":{"type":"structure","required":["fieldLogLevel","cloudWatchLogsRoleArn"],"members":{"fieldLogLevel":{},"cloudWatchLogsRoleArn":{},"excludeVerboseContent":{"type":"boolean"}}},"S1g":{"type":"structure","required":["userPoolId","awsRegion","defaultAction"],"members":{"userPoolId":{},"awsRegion":{},"defaultAction":{},"appIdClientRegex":{}}},"S1i":{"type":"structure","required":["issuer"],"members":{"issuer":{},"clientId":{},"iatTTL":{"type":"long"},"authTTL":{"type":"long"}}},"S1j":{"type":"map","key":{},"value":{}},"S1m":{"type":"list","member":{"type":"structure","members":{"authenticationType":{},"openIDConnectConfig":{"shape":"S1i"},"userPoolConfig":{"type":"structure","required":["userPoolId","awsRegion"],"members":{"userPoolId":{},"awsRegion":{},"appIdClientRegex":{}}},"lambdaAuthorizerConfig":{"shape":"S1p"}}}},"S1p":{"type":"structure","required":["authorizerUri"],"members":{"authorizerResultTtlInSeconds":{"type":"integer"},"authorizerUri":{},"identityValidationExpression":{}}},"S1s":{"type":"structure","members":{"name":{},"apiId":{},"authenticationType":{},"logConfig":{"shape":"S1d"},"userPoolConfig":{"shape":"S1g"},"openIDConnectConfig":{"shape":"S1i"},"arn":{},"uris":{"type":"map","key":{},"value":{}},"tags":{"shape":"S1j"},"additionalAuthenticationProviders":{"shape":"S1m"},"xrayEnabled":{"type":"boolean"},"wafWebAclArn":{},"lambdaAuthorizerConfig":{"shape":"S1p"}}},"S1w":{"type":"structure","members":{"functions":{"type":"list","member":{}}}},"S1y":{"type":"structure","members":{"ttl":{"type":"long"},"cachingKeys":{"type":"list","member":{}}}},"S21":{"type":"structure","members":{"typeName":{},"fieldName":{},"dataSourceName":{},"resolverArn":{},"requestMappingTemplate":{},"responseMappingTemplate":{},"kind":{},"pipelineConfig":{"shape":"S1w"},"syncConfig":{"shape":"S16"},"cachingConfig":{"shape":"S1y"}}},"S25":{"type":"structure","members":{"name":{},"description":{},"arn":{},"definition":{},"format":{}}},"S3x":{"type":"list","member":{"shape":"S21"}}}}');

/***/ }),

/***/ 50233:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 28680:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-05-18","endpointPrefix":"athena","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Athena","serviceId":"Athena","signatureVersion":"v4","targetPrefix":"AmazonAthena","uid":"athena-2017-05-18"},"operations":{"BatchGetNamedQuery":{"input":{"type":"structure","required":["NamedQueryIds"],"members":{"NamedQueryIds":{"shape":"S2"}}},"output":{"type":"structure","members":{"NamedQueries":{"type":"list","member":{"shape":"S6"}},"UnprocessedNamedQueryIds":{"type":"list","member":{"type":"structure","members":{"NamedQueryId":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"BatchGetQueryExecution":{"input":{"type":"structure","required":["QueryExecutionIds"],"members":{"QueryExecutionIds":{"shape":"Sh"}}},"output":{"type":"structure","members":{"QueryExecutions":{"type":"list","member":{"shape":"Sl"}},"UnprocessedQueryExecutionIds":{"type":"list","member":{"type":"structure","members":{"QueryExecutionId":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"CreateDataCatalog":{"input":{"type":"structure","required":["Name","Type"],"members":{"Name":{},"Type":{},"Description":{},"Parameters":{"shape":"S13"},"Tags":{"shape":"S16"}}},"output":{"type":"structure","members":{}}},"CreateNamedQuery":{"input":{"type":"structure","required":["Name","Database","QueryString"],"members":{"Name":{},"Description":{},"Database":{},"QueryString":{},"ClientRequestToken":{"idempotencyToken":true},"WorkGroup":{}}},"output":{"type":"structure","members":{"NamedQueryId":{}}},"idempotent":true},"CreatePreparedStatement":{"input":{"type":"structure","required":["StatementName","WorkGroup","QueryStatement"],"members":{"StatementName":{},"WorkGroup":{},"QueryStatement":{},"Description":{}}},"output":{"type":"structure","members":{}}},"CreateWorkGroup":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Configuration":{"shape":"S1i"},"Description":{},"Tags":{"shape":"S16"}}},"output":{"type":"structure","members":{}}},"DeleteDataCatalog":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteNamedQuery":{"input":{"type":"structure","required":["NamedQueryId"],"members":{"NamedQueryId":{"idempotencyToken":true}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeletePreparedStatement":{"input":{"type":"structure","required":["StatementName","WorkGroup"],"members":{"StatementName":{},"WorkGroup":{}}},"output":{"type":"structure","members":{}}},"DeleteWorkGroup":{"input":{"type":"structure","required":["WorkGroup"],"members":{"WorkGroup":{},"RecursiveDeleteOption":{"type":"boolean"}}},"output":{"type":"structure","members":{}},"idempotent":true},"GetDataCatalog":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"DataCatalog":{"type":"structure","required":["Name","Type"],"members":{"Name":{},"Description":{},"Type":{},"Parameters":{"shape":"S13"}}}}}},"GetDatabase":{"input":{"type":"structure","required":["CatalogName","DatabaseName"],"members":{"CatalogName":{},"DatabaseName":{}}},"output":{"type":"structure","members":{"Database":{"shape":"S20"}}}},"GetNamedQuery":{"input":{"type":"structure","required":["NamedQueryId"],"members":{"NamedQueryId":{}}},"output":{"type":"structure","members":{"NamedQuery":{"shape":"S6"}}}},"GetPreparedStatement":{"input":{"type":"structure","required":["StatementName","WorkGroup"],"members":{"StatementName":{},"WorkGroup":{}}},"output":{"type":"structure","members":{"PreparedStatement":{"type":"structure","members":{"StatementName":{},"QueryStatement":{},"WorkGroupName":{},"Description":{},"LastModifiedTime":{"type":"timestamp"}}}}}},"GetQueryExecution":{"input":{"type":"structure","required":["QueryExecutionId"],"members":{"QueryExecutionId":{}}},"output":{"type":"structure","members":{"QueryExecution":{"shape":"Sl"}}}},"GetQueryResults":{"input":{"type":"structure","required":["QueryExecutionId"],"members":{"QueryExecutionId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"UpdateCount":{"type":"long"},"ResultSet":{"type":"structure","members":{"Rows":{"type":"list","member":{"type":"structure","members":{"Data":{"type":"list","member":{"type":"structure","members":{"VarCharValue":{}}}}}}},"ResultSetMetadata":{"type":"structure","members":{"ColumnInfo":{"type":"list","member":{"type":"structure","required":["Name","Type"],"members":{"CatalogName":{},"SchemaName":{},"TableName":{},"Name":{},"Label":{},"Type":{},"Precision":{"type":"integer"},"Scale":{"type":"integer"},"Nullable":{},"CaseSensitive":{"type":"boolean"}}}}}}}},"NextToken":{}}}},"GetTableMetadata":{"input":{"type":"structure","required":["CatalogName","DatabaseName","TableName"],"members":{"CatalogName":{},"DatabaseName":{},"TableName":{}}},"output":{"type":"structure","members":{"TableMetadata":{"shape":"S2q"}}}},"GetWorkGroup":{"input":{"type":"structure","required":["WorkGroup"],"members":{"WorkGroup":{}}},"output":{"type":"structure","members":{"WorkGroup":{"type":"structure","required":["Name"],"members":{"Name":{},"State":{},"Configuration":{"shape":"S1i"},"Description":{},"CreationTime":{"type":"timestamp"}}}}}},"ListDataCatalogs":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DataCatalogsSummary":{"type":"list","member":{"type":"structure","members":{"CatalogName":{},"Type":{}}}},"NextToken":{}}}},"ListDatabases":{"input":{"type":"structure","required":["CatalogName"],"members":{"CatalogName":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DatabaseList":{"type":"list","member":{"shape":"S20"}},"NextToken":{}}}},"ListEngineVersions":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"EngineVersions":{"type":"list","member":{"shape":"Sy"}},"NextToken":{}}}},"ListNamedQueries":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"WorkGroup":{}}},"output":{"type":"structure","members":{"NamedQueryIds":{"shape":"S2"},"NextToken":{}}}},"ListPreparedStatements":{"input":{"type":"structure","required":["WorkGroup"],"members":{"WorkGroup":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"PreparedStatements":{"type":"list","member":{"type":"structure","members":{"StatementName":{},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListQueryExecutions":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"WorkGroup":{}}},"output":{"type":"structure","members":{"QueryExecutionIds":{"shape":"Sh"},"NextToken":{}}}},"ListTableMetadata":{"input":{"type":"structure","required":["CatalogName","DatabaseName"],"members":{"CatalogName":{},"DatabaseName":{},"Expression":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"TableMetadataList":{"type":"list","member":{"shape":"S2q"}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S16"},"NextToken":{}}}},"ListWorkGroups":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"WorkGroups":{"type":"list","member":{"type":"structure","members":{"Name":{},"State":{},"Description":{},"CreationTime":{"type":"timestamp"},"EngineVersion":{"shape":"Sy"}}}},"NextToken":{}}}},"StartQueryExecution":{"input":{"type":"structure","required":["QueryString"],"members":{"QueryString":{},"ClientRequestToken":{"idempotencyToken":true},"QueryExecutionContext":{"shape":"Sr"},"ResultConfiguration":{"shape":"Sn"},"WorkGroup":{}}},"output":{"type":"structure","members":{"QueryExecutionId":{}}},"idempotent":true},"StopQueryExecution":{"input":{"type":"structure","required":["QueryExecutionId"],"members":{"QueryExecutionId":{"idempotencyToken":true}}},"output":{"type":"structure","members":{}},"idempotent":true},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S16"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDataCatalog":{"input":{"type":"structure","required":["Name","Type"],"members":{"Name":{},"Type":{},"Description":{},"Parameters":{"shape":"S13"}}},"output":{"type":"structure","members":{}}},"UpdatePreparedStatement":{"input":{"type":"structure","required":["StatementName","WorkGroup","QueryStatement"],"members":{"StatementName":{},"WorkGroup":{},"QueryStatement":{},"Description":{}}},"output":{"type":"structure","members":{}}},"UpdateWorkGroup":{"input":{"type":"structure","required":["WorkGroup"],"members":{"WorkGroup":{},"Description":{},"ConfigurationUpdates":{"type":"structure","members":{"EnforceWorkGroupConfiguration":{"type":"boolean"},"ResultConfigurationUpdates":{"type":"structure","members":{"OutputLocation":{},"RemoveOutputLocation":{"type":"boolean"},"EncryptionConfiguration":{"shape":"Sp"},"RemoveEncryptionConfiguration":{"type":"boolean"}}},"PublishCloudWatchMetricsEnabled":{"type":"boolean"},"BytesScannedCutoffPerQuery":{"type":"long"},"RemoveBytesScannedCutoffPerQuery":{"type":"boolean"},"RequesterPaysEnabled":{"type":"boolean"},"EngineVersion":{"shape":"Sy"}}},"State":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"S2":{"type":"list","member":{}},"S6":{"type":"structure","required":["Name","Database","QueryString"],"members":{"Name":{},"Description":{},"Database":{},"QueryString":{},"NamedQueryId":{},"WorkGroup":{}}},"Sh":{"type":"list","member":{}},"Sl":{"type":"structure","members":{"QueryExecutionId":{},"Query":{},"StatementType":{},"ResultConfiguration":{"shape":"Sn"},"QueryExecutionContext":{"shape":"Sr"},"Status":{"type":"structure","members":{"State":{},"StateChangeReason":{},"SubmissionDateTime":{"type":"timestamp"},"CompletionDateTime":{"type":"timestamp"}}},"Statistics":{"type":"structure","members":{"EngineExecutionTimeInMillis":{"type":"long"},"DataScannedInBytes":{"type":"long"},"DataManifestLocation":{},"TotalExecutionTimeInMillis":{"type":"long"},"QueryQueueTimeInMillis":{"type":"long"},"QueryPlanningTimeInMillis":{"type":"long"},"ServiceProcessingTimeInMillis":{"type":"long"}}},"WorkGroup":{},"EngineVersion":{"shape":"Sy"}}},"Sn":{"type":"structure","members":{"OutputLocation":{},"EncryptionConfiguration":{"shape":"Sp"}}},"Sp":{"type":"structure","required":["EncryptionOption"],"members":{"EncryptionOption":{},"KmsKey":{}}},"Sr":{"type":"structure","members":{"Database":{},"Catalog":{}}},"Sy":{"type":"structure","members":{"SelectedEngineVersion":{},"EffectiveEngineVersion":{}}},"S13":{"type":"map","key":{},"value":{}},"S16":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"S1i":{"type":"structure","members":{"ResultConfiguration":{"shape":"Sn"},"EnforceWorkGroupConfiguration":{"type":"boolean"},"PublishCloudWatchMetricsEnabled":{"type":"boolean"},"BytesScannedCutoffPerQuery":{"type":"long"},"RequesterPaysEnabled":{"type":"boolean"},"EngineVersion":{"shape":"Sy"}}},"S20":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"Parameters":{"shape":"S13"}}},"S2q":{"type":"structure","required":["Name"],"members":{"Name":{},"CreateTime":{"type":"timestamp"},"LastAccessTime":{"type":"timestamp"},"TableType":{},"Columns":{"shape":"S2t"},"PartitionKeys":{"shape":"S2t"},"Parameters":{"shape":"S13"}}},"S2t":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{},"Type":{},"Comment":{}}}}}}');

/***/ }),

/***/ 44417:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetQueryResults":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListDataCatalogs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DataCatalogsSummary"},"ListDatabases":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DatabaseList"},"ListNamedQueries":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListPreparedStatements":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListQueryExecutions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListTableMetadata":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TableMetadataList"},"ListTagsForResource":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Tags"},"ListWorkGroups":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"}}}');

/***/ }),

/***/ 41672:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-07-25","endpointPrefix":"auditmanager","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS Audit Manager","serviceId":"AuditManager","signatureVersion":"v4","signingName":"auditmanager","uid":"auditmanager-2017-07-25"},"operations":{"AssociateAssessmentReportEvidenceFolder":{"http":{"method":"PUT","requestUri":"/assessments/{assessmentId}/associateToAssessmentReport"},"input":{"type":"structure","required":["assessmentId","evidenceFolderId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"evidenceFolderId":{}}},"output":{"type":"structure","members":{}}},"BatchAssociateAssessmentReportEvidence":{"http":{"method":"PUT","requestUri":"/assessments/{assessmentId}/batchAssociateToAssessmentReport"},"input":{"type":"structure","required":["assessmentId","evidenceFolderId","evidenceIds"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"evidenceFolderId":{},"evidenceIds":{"shape":"S5"}}},"output":{"type":"structure","members":{"evidenceIds":{"shape":"S5"},"errors":{"shape":"S7"}}}},"BatchCreateDelegationByAssessment":{"http":{"requestUri":"/assessments/{assessmentId}/delegations"},"input":{"type":"structure","required":["createDelegationRequests","assessmentId"],"members":{"createDelegationRequests":{"type":"list","member":{"shape":"Sd"}},"assessmentId":{"location":"uri","locationName":"assessmentId"}}},"output":{"type":"structure","members":{"delegations":{"shape":"Sj"},"errors":{"type":"list","member":{"type":"structure","members":{"createDelegationRequest":{"shape":"Sd"},"errorCode":{},"errorMessage":{}}}}}}},"BatchDeleteDelegationByAssessment":{"http":{"method":"PUT","requestUri":"/assessments/{assessmentId}/delegations"},"input":{"type":"structure","required":["delegationIds","assessmentId"],"members":{"delegationIds":{"type":"list","member":{}},"assessmentId":{"location":"uri","locationName":"assessmentId"}}},"output":{"type":"structure","members":{"errors":{"type":"list","member":{"type":"structure","members":{"delegationId":{},"errorCode":{},"errorMessage":{}}}}}}},"BatchDisassociateAssessmentReportEvidence":{"http":{"method":"PUT","requestUri":"/assessments/{assessmentId}/batchDisassociateFromAssessmentReport"},"input":{"type":"structure","required":["assessmentId","evidenceFolderId","evidenceIds"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"evidenceFolderId":{},"evidenceIds":{"shape":"S5"}}},"output":{"type":"structure","members":{"evidenceIds":{"shape":"S5"},"errors":{"shape":"S7"}}}},"BatchImportEvidenceToAssessmentControl":{"http":{"requestUri":"/assessments/{assessmentId}/controlSets/{controlSetId}/controls/{controlId}/evidence"},"input":{"type":"structure","required":["assessmentId","controlSetId","controlId","manualEvidence"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"controlSetId":{"location":"uri","locationName":"controlSetId"},"controlId":{"location":"uri","locationName":"controlId"},"manualEvidence":{"type":"list","member":{"shape":"S10"}}}},"output":{"type":"structure","members":{"errors":{"type":"list","member":{"type":"structure","members":{"manualEvidence":{"shape":"S10"},"errorCode":{},"errorMessage":{}}}}}}},"CreateAssessment":{"http":{"requestUri":"/assessments"},"input":{"type":"structure","required":["name","assessmentReportsDestination","scope","roles","frameworkId"],"members":{"name":{},"description":{},"assessmentReportsDestination":{"shape":"S17"},"scope":{"shape":"S19"},"roles":{"shape":"S1i"},"frameworkId":{},"tags":{"shape":"S1k"}}},"output":{"type":"structure","members":{"assessment":{"shape":"S1o"}}}},"CreateAssessmentFramework":{"http":{"requestUri":"/assessmentFrameworks"},"input":{"type":"structure","required":["name","controlSets"],"members":{"name":{},"description":{},"complianceType":{},"controlSets":{"type":"list","member":{"type":"structure","required":["name"],"members":{"name":{},"controls":{"shape":"S2j"}}}},"tags":{"shape":"S1k"}}},"output":{"type":"structure","members":{"framework":{"shape":"S2m"}}}},"CreateAssessmentReport":{"http":{"requestUri":"/assessments/{assessmentId}/reports"},"input":{"type":"structure","required":["name","assessmentId"],"members":{"name":{},"description":{},"assessmentId":{"location":"uri","locationName":"assessmentId"}}},"output":{"type":"structure","members":{"assessmentReport":{"type":"structure","members":{"id":{},"name":{},"description":{},"awsAccountId":{},"assessmentId":{},"assessmentName":{},"author":{},"status":{},"creationTime":{"type":"timestamp"}}}}}},"CreateControl":{"http":{"requestUri":"/controls"},"input":{"type":"structure","required":["name","controlMappingSources"],"members":{"name":{},"description":{},"testingInformation":{},"actionPlanTitle":{},"actionPlanInstructions":{},"controlMappingSources":{"type":"list","member":{"type":"structure","members":{"sourceName":{},"sourceDescription":{},"sourceSetUpOption":{},"sourceType":{},"sourceKeyword":{"shape":"S33"},"sourceFrequency":{},"troubleshootingText":{}}}},"tags":{"shape":"S1k"}}},"output":{"type":"structure","members":{"control":{"shape":"S2s"}}}},"DeleteAssessment":{"http":{"method":"DELETE","requestUri":"/assessments/{assessmentId}"},"input":{"type":"structure","required":["assessmentId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"}}},"output":{"type":"structure","members":{}}},"DeleteAssessmentFramework":{"http":{"method":"DELETE","requestUri":"/assessmentFrameworks/{frameworkId}"},"input":{"type":"structure","required":["frameworkId"],"members":{"frameworkId":{"location":"uri","locationName":"frameworkId"}}},"output":{"type":"structure","members":{}}},"DeleteAssessmentFrameworkShare":{"http":{"method":"DELETE","requestUri":"/assessmentFrameworkShareRequests/{requestId}"},"input":{"type":"structure","required":["requestId","requestType"],"members":{"requestId":{"location":"uri","locationName":"requestId"},"requestType":{"location":"querystring","locationName":"requestType"}}},"output":{"type":"structure","members":{}}},"DeleteAssessmentReport":{"http":{"method":"DELETE","requestUri":"/assessments/{assessmentId}/reports/{assessmentReportId}"},"input":{"type":"structure","required":["assessmentId","assessmentReportId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"assessmentReportId":{"location":"uri","locationName":"assessmentReportId"}}},"output":{"type":"structure","members":{}}},"DeleteControl":{"http":{"method":"DELETE","requestUri":"/controls/{controlId}"},"input":{"type":"structure","required":["controlId"],"members":{"controlId":{"location":"uri","locationName":"controlId"}}},"output":{"type":"structure","members":{}}},"DeregisterAccount":{"http":{"requestUri":"/account/deregisterAccount"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"status":{}}}},"DeregisterOrganizationAdminAccount":{"http":{"requestUri":"/account/deregisterOrganizationAdminAccount"},"input":{"type":"structure","members":{"adminAccountId":{}}},"output":{"type":"structure","members":{}}},"DisassociateAssessmentReportEvidenceFolder":{"http":{"method":"PUT","requestUri":"/assessments/{assessmentId}/disassociateFromAssessmentReport"},"input":{"type":"structure","required":["assessmentId","evidenceFolderId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"evidenceFolderId":{}}},"output":{"type":"structure","members":{}}},"GetAccountStatus":{"http":{"method":"GET","requestUri":"/account/status"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"status":{}}}},"GetAssessment":{"http":{"method":"GET","requestUri":"/assessments/{assessmentId}"},"input":{"type":"structure","required":["assessmentId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"}}},"output":{"type":"structure","members":{"assessment":{"shape":"S1o"},"userRole":{"shape":"S1j"}}}},"GetAssessmentFramework":{"http":{"method":"GET","requestUri":"/assessmentFrameworks/{frameworkId}"},"input":{"type":"structure","required":["frameworkId"],"members":{"frameworkId":{"location":"uri","locationName":"frameworkId"}}},"output":{"type":"structure","members":{"framework":{"shape":"S2m"}}}},"GetAssessmentReportUrl":{"http":{"method":"GET","requestUri":"/assessments/{assessmentId}/reports/{assessmentReportId}/url"},"input":{"type":"structure","required":["assessmentReportId","assessmentId"],"members":{"assessmentReportId":{"location":"uri","locationName":"assessmentReportId"},"assessmentId":{"location":"uri","locationName":"assessmentId"}}},"output":{"type":"structure","members":{"preSignedUrl":{"type":"structure","members":{"hyperlinkName":{},"link":{}}}}}},"GetChangeLogs":{"http":{"method":"GET","requestUri":"/assessments/{assessmentId}/changelogs"},"input":{"type":"structure","required":["assessmentId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"controlSetId":{"location":"querystring","locationName":"controlSetId"},"controlId":{"location":"querystring","locationName":"controlId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"changeLogs":{"type":"list","member":{"type":"structure","members":{"objectType":{},"objectName":{},"action":{},"createdAt":{"type":"timestamp"},"createdBy":{}}}},"nextToken":{}}}},"GetControl":{"http":{"method":"GET","requestUri":"/controls/{controlId}"},"input":{"type":"structure","required":["controlId"],"members":{"controlId":{"location":"uri","locationName":"controlId"}}},"output":{"type":"structure","members":{"control":{"shape":"S2s"}}}},"GetDelegations":{"http":{"method":"GET","requestUri":"/delegations"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"delegations":{"type":"list","member":{"type":"structure","members":{"id":{},"assessmentName":{},"assessmentId":{},"status":{},"roleArn":{},"creationTime":{"type":"timestamp"},"controlSetName":{}}}},"nextToken":{}}}},"GetEvidence":{"http":{"method":"GET","requestUri":"/assessments/{assessmentId}/controlSets/{controlSetId}/evidenceFolders/{evidenceFolderId}/evidence/{evidenceId}"},"input":{"type":"structure","required":["assessmentId","controlSetId","evidenceFolderId","evidenceId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"controlSetId":{"location":"uri","locationName":"controlSetId"},"evidenceFolderId":{"location":"uri","locationName":"evidenceFolderId"},"evidenceId":{"location":"uri","locationName":"evidenceId"}}},"output":{"type":"structure","members":{"evidence":{"shape":"S4s"}}}},"GetEvidenceByEvidenceFolder":{"http":{"method":"GET","requestUri":"/assessments/{assessmentId}/controlSets/{controlSetId}/evidenceFolders/{evidenceFolderId}/evidence"},"input":{"type":"structure","required":["assessmentId","controlSetId","evidenceFolderId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"controlSetId":{"location":"uri","locationName":"controlSetId"},"evidenceFolderId":{"location":"uri","locationName":"evidenceFolderId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"evidence":{"type":"list","member":{"shape":"S4s"}},"nextToken":{}}}},"GetEvidenceFolder":{"http":{"method":"GET","requestUri":"/assessments/{assessmentId}/controlSets/{controlSetId}/evidenceFolders/{evidenceFolderId}"},"input":{"type":"structure","required":["assessmentId","controlSetId","evidenceFolderId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"controlSetId":{"location":"uri","locationName":"controlSetId"},"evidenceFolderId":{"location":"uri","locationName":"evidenceFolderId"}}},"output":{"type":"structure","members":{"evidenceFolder":{"shape":"S56"}}}},"GetEvidenceFoldersByAssessment":{"http":{"method":"GET","requestUri":"/assessments/{assessmentId}/evidenceFolders"},"input":{"type":"structure","required":["assessmentId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"evidenceFolders":{"shape":"S5a"},"nextToken":{}}}},"GetEvidenceFoldersByAssessmentControl":{"http":{"method":"GET","requestUri":"/assessments/{assessmentId}/evidenceFolders-by-assessment-control/{controlSetId}/{controlId}"},"input":{"type":"structure","required":["assessmentId","controlSetId","controlId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"controlSetId":{"location":"uri","locationName":"controlSetId"},"controlId":{"location":"uri","locationName":"controlId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"evidenceFolders":{"shape":"S5a"},"nextToken":{}}}},"GetInsights":{"http":{"method":"GET","requestUri":"/insights"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"insights":{"type":"structure","members":{"activeAssessmentsCount":{"type":"integer"},"noncompliantEvidenceCount":{"type":"integer"},"compliantEvidenceCount":{"type":"integer"},"inconclusiveEvidenceCount":{"type":"integer"},"assessmentControlsCountByNoncompliantEvidence":{"type":"integer"},"totalAssessmentControlsCount":{"type":"integer"},"lastUpdated":{"type":"timestamp"}}}}}},"GetInsightsByAssessment":{"http":{"method":"GET","requestUri":"/insights/assessments/{assessmentId}"},"input":{"type":"structure","required":["assessmentId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"}}},"output":{"type":"structure","members":{"insights":{"type":"structure","members":{"noncompliantEvidenceCount":{"type":"integer"},"compliantEvidenceCount":{"type":"integer"},"inconclusiveEvidenceCount":{"type":"integer"},"assessmentControlsCountByNoncompliantEvidence":{"type":"integer"},"totalAssessmentControlsCount":{"type":"integer"},"lastUpdated":{"type":"timestamp"}}}}}},"GetOrganizationAdminAccount":{"http":{"method":"GET","requestUri":"/account/organizationAdminAccount"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"adminAccountId":{},"organizationId":{}}}},"GetServicesInScope":{"http":{"method":"GET","requestUri":"/services"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"serviceMetadata":{"type":"list","member":{"type":"structure","members":{"name":{},"displayName":{},"description":{},"category":{}}}}}}},"GetSettings":{"http":{"method":"GET","requestUri":"/settings/{attribute}"},"input":{"type":"structure","required":["attribute"],"members":{"attribute":{"location":"uri","locationName":"attribute"}}},"output":{"type":"structure","members":{"settings":{"shape":"S5u"}}}},"ListAssessmentControlInsightsByControlDomain":{"http":{"method":"GET","requestUri":"/insights/controls-by-assessment"},"input":{"type":"structure","required":["controlDomainId","assessmentId"],"members":{"controlDomainId":{"location":"querystring","locationName":"controlDomainId"},"assessmentId":{"location":"querystring","locationName":"assessmentId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"controlInsightsByAssessment":{"type":"list","member":{"type":"structure","members":{"name":{},"id":{},"evidenceInsights":{"shape":"S62"},"controlSetName":{},"lastUpdated":{"type":"timestamp"}}}},"nextToken":{}}}},"ListAssessmentFrameworkShareRequests":{"http":{"method":"GET","requestUri":"/assessmentFrameworkShareRequests"},"input":{"type":"structure","required":["requestType"],"members":{"requestType":{"location":"querystring","locationName":"requestType"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"assessmentFrameworkShareRequests":{"type":"list","member":{"shape":"S66"}},"nextToken":{}}}},"ListAssessmentFrameworks":{"http":{"method":"GET","requestUri":"/assessmentFrameworks"},"input":{"type":"structure","required":["frameworkType"],"members":{"frameworkType":{"location":"querystring","locationName":"frameworkType"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"frameworkMetadataList":{"type":"list","member":{"type":"structure","members":{"arn":{},"id":{},"type":{},"name":{},"description":{},"logo":{},"complianceType":{},"controlsCount":{"type":"integer"},"controlSetsCount":{"type":"integer"},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"}}}},"nextToken":{}}}},"ListAssessmentReports":{"http":{"method":"GET","requestUri":"/assessmentReports"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"assessmentReports":{"type":"list","member":{"type":"structure","members":{"id":{},"name":{},"description":{},"assessmentId":{},"assessmentName":{},"author":{},"status":{},"creationTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListAssessments":{"http":{"method":"GET","requestUri":"/assessments"},"input":{"type":"structure","members":{"status":{"location":"querystring","locationName":"status"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"assessmentMetadata":{"type":"list","member":{"type":"structure","members":{"name":{},"id":{},"complianceType":{},"status":{},"roles":{"shape":"S1i"},"delegations":{"shape":"Sj"},"creationTime":{"type":"timestamp"},"lastUpdated":{"type":"timestamp"}}}},"nextToken":{}}}},"ListControlDomainInsights":{"http":{"method":"GET","requestUri":"/insights/control-domains"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"controlDomainInsights":{"shape":"S6q"},"nextToken":{}}}},"ListControlDomainInsightsByAssessment":{"http":{"method":"GET","requestUri":"/insights/control-domains-by-assessment"},"input":{"type":"structure","required":["assessmentId"],"members":{"assessmentId":{"location":"querystring","locationName":"assessmentId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"controlDomainInsights":{"shape":"S6q"},"nextToken":{}}}},"ListControlInsightsByControlDomain":{"http":{"method":"GET","requestUri":"/insights/controls"},"input":{"type":"structure","required":["controlDomainId"],"members":{"controlDomainId":{"location":"querystring","locationName":"controlDomainId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"controlInsightsMetadata":{"type":"list","member":{"type":"structure","members":{"name":{},"id":{},"evidenceInsights":{"shape":"S62"},"lastUpdated":{"type":"timestamp"}}}},"nextToken":{}}}},"ListControls":{"http":{"method":"GET","requestUri":"/controls"},"input":{"type":"structure","required":["controlType"],"members":{"controlType":{"location":"querystring","locationName":"controlType"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"controlMetadataList":{"type":"list","member":{"type":"structure","members":{"arn":{},"id":{},"name":{},"controlSources":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"}}}},"nextToken":{}}}},"ListKeywordsForDataSource":{"http":{"method":"GET","requestUri":"/dataSourceKeywords"},"input":{"type":"structure","required":["source"],"members":{"source":{"location":"querystring","locationName":"source"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"keywords":{"type":"list","member":{}},"nextToken":{}}}},"ListNotifications":{"http":{"method":"GET","requestUri":"/notifications"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"notifications":{"type":"list","member":{"type":"structure","members":{"id":{},"assessmentId":{},"assessmentName":{},"controlSetId":{},"controlSetName":{},"description":{},"eventTime":{"type":"timestamp"},"source":{}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S1k"}}}},"RegisterAccount":{"http":{"requestUri":"/account/registerAccount"},"input":{"type":"structure","members":{"kmsKey":{},"delegatedAdminAccount":{}}},"output":{"type":"structure","members":{"status":{}}}},"RegisterOrganizationAdminAccount":{"http":{"requestUri":"/account/registerOrganizationAdminAccount"},"input":{"type":"structure","required":["adminAccountId"],"members":{"adminAccountId":{}}},"output":{"type":"structure","members":{"adminAccountId":{},"organizationId":{}}}},"StartAssessmentFrameworkShare":{"http":{"requestUri":"/assessmentFrameworks/{frameworkId}/shareRequests"},"input":{"type":"structure","required":["frameworkId","destinationAccount","destinationRegion"],"members":{"frameworkId":{"location":"uri","locationName":"frameworkId"},"destinationAccount":{},"destinationRegion":{},"comment":{}}},"output":{"type":"structure","members":{"assessmentFrameworkShareRequest":{"shape":"S66"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S1k"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateAssessment":{"http":{"method":"PUT","requestUri":"/assessments/{assessmentId}"},"input":{"type":"structure","required":["assessmentId","scope"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"assessmentName":{},"assessmentDescription":{},"scope":{"shape":"S19"},"assessmentReportsDestination":{"shape":"S17"},"roles":{"shape":"S1i"}}},"output":{"type":"structure","members":{"assessment":{"shape":"S1o"}}}},"UpdateAssessmentControl":{"http":{"method":"PUT","requestUri":"/assessments/{assessmentId}/controlSets/{controlSetId}/controls/{controlId}"},"input":{"type":"structure","required":["assessmentId","controlSetId","controlId"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"controlSetId":{"location":"uri","locationName":"controlSetId"},"controlId":{"location":"uri","locationName":"controlId"},"controlStatus":{},"commentBody":{}}},"output":{"type":"structure","members":{"control":{"shape":"S22"}}}},"UpdateAssessmentControlSetStatus":{"http":{"method":"PUT","requestUri":"/assessments/{assessmentId}/controlSets/{controlSetId}/status"},"input":{"type":"structure","required":["assessmentId","controlSetId","status","comment"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"controlSetId":{"location":"uri","locationName":"controlSetId"},"status":{},"comment":{}}},"output":{"type":"structure","members":{"controlSet":{"shape":"S1y"}}}},"UpdateAssessmentFramework":{"http":{"method":"PUT","requestUri":"/assessmentFrameworks/{frameworkId}"},"input":{"type":"structure","required":["frameworkId","name","controlSets"],"members":{"frameworkId":{"location":"uri","locationName":"frameworkId"},"name":{},"description":{},"complianceType":{},"controlSets":{"type":"list","member":{"type":"structure","required":["name"],"members":{"id":{},"name":{},"controls":{"shape":"S2j"}}}}}},"output":{"type":"structure","members":{"framework":{"shape":"S2m"}}}},"UpdateAssessmentFrameworkShare":{"http":{"method":"PUT","requestUri":"/assessmentFrameworkShareRequests/{requestId}"},"input":{"type":"structure","required":["requestId","requestType","action"],"members":{"requestId":{"location":"uri","locationName":"requestId"},"requestType":{},"action":{}}},"output":{"type":"structure","members":{"assessmentFrameworkShareRequest":{"shape":"S66"}}}},"UpdateAssessmentStatus":{"http":{"method":"PUT","requestUri":"/assessments/{assessmentId}/status"},"input":{"type":"structure","required":["assessmentId","status"],"members":{"assessmentId":{"location":"uri","locationName":"assessmentId"},"status":{}}},"output":{"type":"structure","members":{"assessment":{"shape":"S1o"}}}},"UpdateControl":{"http":{"method":"PUT","requestUri":"/controls/{controlId}"},"input":{"type":"structure","required":["controlId","name","controlMappingSources"],"members":{"controlId":{"location":"uri","locationName":"controlId"},"name":{},"description":{},"testingInformation":{},"actionPlanTitle":{},"actionPlanInstructions":{},"controlMappingSources":{"shape":"S2x"}}},"output":{"type":"structure","members":{"control":{"shape":"S2s"}}}},"UpdateSettings":{"http":{"method":"PUT","requestUri":"/settings"},"input":{"type":"structure","members":{"snsTopic":{},"defaultAssessmentReportsDestination":{"shape":"S17"},"defaultProcessOwners":{"shape":"S1i"},"kmsKey":{}}},"output":{"type":"structure","members":{"settings":{"shape":"S5u"}}}},"ValidateAssessmentReportIntegrity":{"http":{"requestUri":"/assessmentReports/integrity"},"input":{"type":"structure","required":["s3RelativePath"],"members":{"s3RelativePath":{}}},"output":{"type":"structure","members":{"signatureValid":{"type":"boolean"},"signatureAlgorithm":{},"signatureDateTime":{},"signatureKeyId":{},"validationErrors":{"type":"list","member":{}}}}}},"shapes":{"S5":{"type":"list","member":{}},"S7":{"type":"list","member":{"type":"structure","members":{"evidenceId":{},"errorCode":{},"errorMessage":{}}}},"Sd":{"type":"structure","members":{"comment":{},"controlSetId":{},"roleArn":{},"roleType":{}}},"Sj":{"type":"list","member":{"type":"structure","members":{"id":{},"assessmentName":{},"assessmentId":{},"status":{},"roleArn":{},"roleType":{},"creationTime":{"type":"timestamp"},"lastUpdated":{"type":"timestamp"},"controlSetId":{},"comment":{},"createdBy":{}}}},"S10":{"type":"structure","members":{"s3ResourcePath":{}}},"S17":{"type":"structure","members":{"destinationType":{},"destination":{}}},"S19":{"type":"structure","members":{"awsAccounts":{"type":"list","member":{"shape":"S1b"}},"awsServices":{"type":"list","member":{"type":"structure","members":{"serviceName":{}}}}}},"S1b":{"type":"structure","members":{"id":{},"emailAddress":{},"name":{}}},"S1i":{"type":"list","member":{"shape":"S1j"}},"S1j":{"type":"structure","members":{"roleType":{},"roleArn":{}}},"S1k":{"type":"map","key":{},"value":{}},"S1o":{"type":"structure","members":{"arn":{},"awsAccount":{"shape":"S1b"},"metadata":{"type":"structure","members":{"name":{},"id":{},"description":{},"complianceType":{},"status":{},"assessmentReportsDestination":{"shape":"S17"},"scope":{"shape":"S19"},"roles":{"shape":"S1i"},"delegations":{"shape":"Sj"},"creationTime":{"type":"timestamp"},"lastUpdated":{"type":"timestamp"}}},"framework":{"type":"structure","members":{"id":{},"arn":{},"metadata":{"type":"structure","members":{"name":{},"description":{},"logo":{},"complianceType":{}}},"controlSets":{"type":"list","member":{"shape":"S1y"}}}},"tags":{"shape":"S1k"}}},"S1y":{"type":"structure","members":{"id":{},"description":{},"status":{},"roles":{"shape":"S1i"},"controls":{"type":"list","member":{"shape":"S22"}},"delegations":{"shape":"Sj"},"systemEvidenceCount":{"type":"integer"},"manualEvidenceCount":{"type":"integer"}}},"S22":{"type":"structure","members":{"id":{},"name":{},"description":{},"status":{},"response":{},"comments":{"type":"list","member":{"type":"structure","members":{"authorName":{},"commentBody":{},"postedDate":{"type":"timestamp"}}}},"evidenceSources":{"type":"list","member":{}},"evidenceCount":{"type":"integer"},"assessmentReportEvidenceCount":{"type":"integer"}}},"S2j":{"type":"list","member":{"type":"structure","members":{"id":{}}}},"S2m":{"type":"structure","members":{"arn":{},"id":{},"name":{},"type":{},"complianceType":{},"description":{},"logo":{},"controlSources":{},"controlSets":{"type":"list","member":{"type":"structure","members":{"id":{},"name":{},"controls":{"type":"list","member":{"shape":"S2s"}}}}},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"createdBy":{},"lastUpdatedBy":{},"tags":{"shape":"S1k"}}},"S2s":{"type":"structure","members":{"arn":{},"id":{},"type":{},"name":{},"description":{},"testingInformation":{},"actionPlanTitle":{},"actionPlanInstructions":{},"controlSources":{},"controlMappingSources":{"shape":"S2x"},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"createdBy":{},"lastUpdatedBy":{},"tags":{"shape":"S1k"}}},"S2x":{"type":"list","member":{"type":"structure","members":{"sourceId":{},"sourceName":{},"sourceDescription":{},"sourceSetUpOption":{},"sourceType":{},"sourceKeyword":{"shape":"S33"},"sourceFrequency":{},"troubleshootingText":{}}}},"S33":{"type":"structure","members":{"keywordInputType":{},"keywordValue":{}}},"S4s":{"type":"structure","members":{"dataSource":{},"evidenceAwsAccountId":{},"time":{"type":"timestamp"},"eventSource":{},"eventName":{},"evidenceByType":{},"resourcesIncluded":{"type":"list","member":{"type":"structure","members":{"arn":{},"value":{}}}},"attributes":{"type":"map","key":{},"value":{}},"iamId":{},"complianceCheck":{},"awsOrganization":{},"awsAccountId":{},"evidenceFolderId":{},"id":{},"assessmentReportSelection":{}}},"S56":{"type":"structure","members":{"name":{},"date":{"type":"timestamp"},"assessmentId":{},"controlSetId":{},"controlId":{},"id":{},"dataSource":{},"author":{},"totalEvidence":{"type":"integer"},"assessmentReportSelectionCount":{"type":"integer"},"controlName":{},"evidenceResourcesIncludedCount":{"type":"integer"},"evidenceByTypeConfigurationDataCount":{"type":"integer"},"evidenceByTypeManualCount":{"type":"integer"},"evidenceByTypeComplianceCheckCount":{"type":"integer"},"evidenceByTypeComplianceCheckIssuesCount":{"type":"integer"},"evidenceByTypeUserActivityCount":{"type":"integer"},"evidenceAwsServiceSourceCount":{"type":"integer"}}},"S5a":{"type":"list","member":{"shape":"S56"}},"S5u":{"type":"structure","members":{"isAwsOrgEnabled":{"type":"boolean"},"snsTopic":{},"defaultAssessmentReportsDestination":{"shape":"S17"},"defaultProcessOwners":{"shape":"S1i"},"kmsKey":{}}},"S62":{"type":"structure","members":{"noncompliantEvidenceCount":{"type":"integer"},"compliantEvidenceCount":{"type":"integer"},"inconclusiveEvidenceCount":{"type":"integer"}}},"S66":{"type":"structure","members":{"id":{},"frameworkId":{},"frameworkName":{},"frameworkDescription":{},"status":{},"sourceAccount":{},"destinationAccount":{},"destinationRegion":{},"expirationTime":{"type":"timestamp"},"creationTime":{"type":"timestamp"},"lastUpdated":{"type":"timestamp"},"comment":{},"standardControlsCount":{"type":"integer"},"customControlsCount":{"type":"integer"},"complianceType":{}}},"S6q":{"type":"list","member":{"type":"structure","members":{"name":{},"id":{},"controlsCountByNoncompliantEvidence":{"type":"integer"},"totalControlsCount":{"type":"integer"},"evidenceInsights":{"shape":"S62"},"lastUpdated":{"type":"timestamp"}}}}}}');

/***/ }),

/***/ 41321:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetChangeLogs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetDelegations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetEvidenceByEvidenceFolder":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetEvidenceFoldersByAssessment":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetEvidenceFoldersByAssessmentControl":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAssessmentControlInsightsByControlDomain":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAssessmentFrameworkShareRequests":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAssessmentFrameworks":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAssessmentReports":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAssessments":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListControlDomainInsights":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListControlDomainInsightsByAssessment":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListControlInsightsByControlDomain":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListControls":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListKeywordsForDataSource":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListNotifications":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 55394:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2011-01-01","endpointPrefix":"autoscaling","protocol":"query","serviceFullName":"Auto Scaling","serviceId":"Auto Scaling","signatureVersion":"v4","uid":"autoscaling-2011-01-01","xmlNamespace":"http://autoscaling.amazonaws.com/doc/2011-01-01/"},"operations":{"AttachInstances":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"InstanceIds":{"shape":"S2"},"AutoScalingGroupName":{}}}},"AttachLoadBalancerTargetGroups":{"input":{"type":"structure","required":["AutoScalingGroupName","TargetGroupARNs"],"members":{"AutoScalingGroupName":{},"TargetGroupARNs":{"shape":"S6"}}},"output":{"resultWrapper":"AttachLoadBalancerTargetGroupsResult","type":"structure","members":{}}},"AttachLoadBalancers":{"input":{"type":"structure","required":["AutoScalingGroupName","LoadBalancerNames"],"members":{"AutoScalingGroupName":{},"LoadBalancerNames":{"shape":"Sa"}}},"output":{"resultWrapper":"AttachLoadBalancersResult","type":"structure","members":{}}},"BatchDeleteScheduledAction":{"input":{"type":"structure","required":["AutoScalingGroupName","ScheduledActionNames"],"members":{"AutoScalingGroupName":{},"ScheduledActionNames":{"shape":"Sd"}}},"output":{"resultWrapper":"BatchDeleteScheduledActionResult","type":"structure","members":{"FailedScheduledActions":{"shape":"Sf"}}}},"BatchPutScheduledUpdateGroupAction":{"input":{"type":"structure","required":["AutoScalingGroupName","ScheduledUpdateGroupActions"],"members":{"AutoScalingGroupName":{},"ScheduledUpdateGroupActions":{"type":"list","member":{"type":"structure","required":["ScheduledActionName"],"members":{"ScheduledActionName":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Recurrence":{},"MinSize":{"type":"integer"},"MaxSize":{"type":"integer"},"DesiredCapacity":{"type":"integer"},"TimeZone":{}}}}}},"output":{"resultWrapper":"BatchPutScheduledUpdateGroupActionResult","type":"structure","members":{"FailedScheduledUpdateGroupActions":{"shape":"Sf"}}}},"CancelInstanceRefresh":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{}}},"output":{"resultWrapper":"CancelInstanceRefreshResult","type":"structure","members":{"InstanceRefreshId":{}}}},"CompleteLifecycleAction":{"input":{"type":"structure","required":["LifecycleHookName","AutoScalingGroupName","LifecycleActionResult"],"members":{"LifecycleHookName":{},"AutoScalingGroupName":{},"LifecycleActionToken":{},"LifecycleActionResult":{},"InstanceId":{}}},"output":{"resultWrapper":"CompleteLifecycleActionResult","type":"structure","members":{}}},"CreateAutoScalingGroup":{"input":{"type":"structure","required":["AutoScalingGroupName","MinSize","MaxSize"],"members":{"AutoScalingGroupName":{},"LaunchConfigurationName":{},"LaunchTemplate":{"shape":"S10"},"MixedInstancesPolicy":{"shape":"S12"},"InstanceId":{},"MinSize":{"type":"integer"},"MaxSize":{"type":"integer"},"DesiredCapacity":{"type":"integer"},"DefaultCooldown":{"type":"integer"},"AvailabilityZones":{"shape":"S26"},"LoadBalancerNames":{"shape":"Sa"},"TargetGroupARNs":{"shape":"S6"},"HealthCheckType":{},"HealthCheckGracePeriod":{"type":"integer"},"PlacementGroup":{},"VPCZoneIdentifier":{},"TerminationPolicies":{"shape":"S29"},"NewInstancesProtectedFromScaleIn":{"type":"boolean"},"CapacityRebalance":{"type":"boolean"},"LifecycleHookSpecificationList":{"type":"list","member":{"type":"structure","required":["LifecycleHookName","LifecycleTransition"],"members":{"LifecycleHookName":{},"LifecycleTransition":{},"NotificationMetadata":{},"HeartbeatTimeout":{"type":"integer"},"DefaultResult":{},"NotificationTargetARN":{},"RoleARN":{}}}},"Tags":{"shape":"S2j"},"ServiceLinkedRoleARN":{},"MaxInstanceLifetime":{"type":"integer"},"Context":{},"DesiredCapacityType":{}}}},"CreateLaunchConfiguration":{"input":{"type":"structure","required":["LaunchConfigurationName"],"members":{"LaunchConfigurationName":{},"ImageId":{},"KeyName":{},"SecurityGroups":{"shape":"S2r"},"ClassicLinkVPCId":{},"ClassicLinkVPCSecurityGroups":{"shape":"S2s"},"UserData":{},"InstanceId":{},"InstanceType":{},"KernelId":{},"RamdiskId":{},"BlockDeviceMappings":{"shape":"S2u"},"InstanceMonitoring":{"shape":"S34"},"SpotPrice":{},"IamInstanceProfile":{},"EbsOptimized":{"type":"boolean"},"AssociatePublicIpAddress":{"type":"boolean"},"PlacementTenancy":{},"MetadataOptions":{"shape":"S39"}}}},"CreateOrUpdateTags":{"input":{"type":"structure","required":["Tags"],"members":{"Tags":{"shape":"S2j"}}}},"DeleteAutoScalingGroup":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{},"ForceDelete":{"type":"boolean"}}}},"DeleteLaunchConfiguration":{"input":{"type":"structure","required":["LaunchConfigurationName"],"members":{"LaunchConfigurationName":{}}}},"DeleteLifecycleHook":{"input":{"type":"structure","required":["LifecycleHookName","AutoScalingGroupName"],"members":{"LifecycleHookName":{},"AutoScalingGroupName":{}}},"output":{"resultWrapper":"DeleteLifecycleHookResult","type":"structure","members":{}}},"DeleteNotificationConfiguration":{"input":{"type":"structure","required":["AutoScalingGroupName","TopicARN"],"members":{"AutoScalingGroupName":{},"TopicARN":{}}}},"DeletePolicy":{"input":{"type":"structure","required":["PolicyName"],"members":{"AutoScalingGroupName":{},"PolicyName":{}}}},"DeleteScheduledAction":{"input":{"type":"structure","required":["AutoScalingGroupName","ScheduledActionName"],"members":{"AutoScalingGroupName":{},"ScheduledActionName":{}}}},"DeleteTags":{"input":{"type":"structure","required":["Tags"],"members":{"Tags":{"shape":"S2j"}}}},"DeleteWarmPool":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{},"ForceDelete":{"type":"boolean"}}},"output":{"resultWrapper":"DeleteWarmPoolResult","type":"structure","members":{}}},"DescribeAccountLimits":{"output":{"resultWrapper":"DescribeAccountLimitsResult","type":"structure","members":{"MaxNumberOfAutoScalingGroups":{"type":"integer"},"MaxNumberOfLaunchConfigurations":{"type":"integer"},"NumberOfAutoScalingGroups":{"type":"integer"},"NumberOfLaunchConfigurations":{"type":"integer"}}}},"DescribeAdjustmentTypes":{"output":{"resultWrapper":"DescribeAdjustmentTypesResult","type":"structure","members":{"AdjustmentTypes":{"type":"list","member":{"type":"structure","members":{"AdjustmentType":{}}}}}}},"DescribeAutoScalingGroups":{"input":{"type":"structure","members":{"AutoScalingGroupNames":{"shape":"S3y"},"NextToken":{},"MaxRecords":{"type":"integer"},"Filters":{"shape":"S40"}}},"output":{"resultWrapper":"DescribeAutoScalingGroupsResult","type":"structure","required":["AutoScalingGroups"],"members":{"AutoScalingGroups":{"type":"list","member":{"type":"structure","required":["AutoScalingGroupName","MinSize","MaxSize","DesiredCapacity","DefaultCooldown","AvailabilityZones","HealthCheckType","CreatedTime"],"members":{"AutoScalingGroupName":{},"AutoScalingGroupARN":{},"LaunchConfigurationName":{},"LaunchTemplate":{"shape":"S10"},"MixedInstancesPolicy":{"shape":"S12"},"MinSize":{"type":"integer"},"MaxSize":{"type":"integer"},"DesiredCapacity":{"type":"integer"},"PredictedCapacity":{"type":"integer"},"DefaultCooldown":{"type":"integer"},"AvailabilityZones":{"shape":"S26"},"LoadBalancerNames":{"shape":"Sa"},"TargetGroupARNs":{"shape":"S6"},"HealthCheckType":{},"HealthCheckGracePeriod":{"type":"integer"},"Instances":{"shape":"S47"},"CreatedTime":{"type":"timestamp"},"SuspendedProcesses":{"type":"list","member":{"type":"structure","members":{"ProcessName":{},"SuspensionReason":{}}}},"PlacementGroup":{},"VPCZoneIdentifier":{},"EnabledMetrics":{"type":"list","member":{"type":"structure","members":{"Metric":{},"Granularity":{}}}},"Status":{},"Tags":{"shape":"S4e"},"TerminationPolicies":{"shape":"S29"},"NewInstancesProtectedFromScaleIn":{"type":"boolean"},"ServiceLinkedRoleARN":{},"MaxInstanceLifetime":{"type":"integer"},"CapacityRebalance":{"type":"boolean"},"WarmPoolConfiguration":{"shape":"S4g"},"WarmPoolSize":{"type":"integer"},"Context":{},"DesiredCapacityType":{}}}},"NextToken":{}}}},"DescribeAutoScalingInstances":{"input":{"type":"structure","members":{"InstanceIds":{"shape":"S2"},"MaxRecords":{"type":"integer"},"NextToken":{}}},"output":{"resultWrapper":"DescribeAutoScalingInstancesResult","type":"structure","members":{"AutoScalingInstances":{"type":"list","member":{"type":"structure","required":["InstanceId","AutoScalingGroupName","AvailabilityZone","LifecycleState","HealthStatus","ProtectedFromScaleIn"],"members":{"InstanceId":{},"InstanceType":{},"AutoScalingGroupName":{},"AvailabilityZone":{},"LifecycleState":{},"HealthStatus":{},"LaunchConfigurationName":{},"LaunchTemplate":{"shape":"S10"},"ProtectedFromScaleIn":{"type":"boolean"},"WeightedCapacity":{}}}},"NextToken":{}}}},"DescribeAutoScalingNotificationTypes":{"output":{"resultWrapper":"DescribeAutoScalingNotificationTypesResult","type":"structure","members":{"AutoScalingNotificationTypes":{"shape":"S4r"}}}},"DescribeInstanceRefreshes":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{},"InstanceRefreshIds":{"type":"list","member":{}},"NextToken":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeInstanceRefreshesResult","type":"structure","members":{"InstanceRefreshes":{"type":"list","member":{"type":"structure","members":{"InstanceRefreshId":{},"AutoScalingGroupName":{},"Status":{},"StatusReason":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"PercentageComplete":{"type":"integer"},"InstancesToUpdate":{"type":"integer"},"ProgressDetails":{"type":"structure","members":{"LivePoolProgress":{"type":"structure","members":{"PercentageComplete":{"type":"integer"},"InstancesToUpdate":{"type":"integer"}}},"WarmPoolProgress":{"type":"structure","members":{"PercentageComplete":{"type":"integer"},"InstancesToUpdate":{"type":"integer"}}}}},"Preferences":{"shape":"S53"},"DesiredConfiguration":{"shape":"S59"}}}},"NextToken":{}}}},"DescribeLaunchConfigurations":{"input":{"type":"structure","members":{"LaunchConfigurationNames":{"type":"list","member":{}},"NextToken":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeLaunchConfigurationsResult","type":"structure","required":["LaunchConfigurations"],"members":{"LaunchConfigurations":{"type":"list","member":{"type":"structure","required":["LaunchConfigurationName","ImageId","InstanceType","CreatedTime"],"members":{"LaunchConfigurationName":{},"LaunchConfigurationARN":{},"ImageId":{},"KeyName":{},"SecurityGroups":{"shape":"S2r"},"ClassicLinkVPCId":{},"ClassicLinkVPCSecurityGroups":{"shape":"S2s"},"UserData":{},"InstanceType":{},"KernelId":{},"RamdiskId":{},"BlockDeviceMappings":{"shape":"S2u"},"InstanceMonitoring":{"shape":"S34"},"SpotPrice":{},"IamInstanceProfile":{},"CreatedTime":{"type":"timestamp"},"EbsOptimized":{"type":"boolean"},"AssociatePublicIpAddress":{"type":"boolean"},"PlacementTenancy":{},"MetadataOptions":{"shape":"S39"}}}},"NextToken":{}}}},"DescribeLifecycleHookTypes":{"output":{"resultWrapper":"DescribeLifecycleHookTypesResult","type":"structure","members":{"LifecycleHookTypes":{"shape":"S4r"}}}},"DescribeLifecycleHooks":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{},"LifecycleHookNames":{"type":"list","member":{}}}},"output":{"resultWrapper":"DescribeLifecycleHooksResult","type":"structure","members":{"LifecycleHooks":{"type":"list","member":{"type":"structure","members":{"LifecycleHookName":{},"AutoScalingGroupName":{},"LifecycleTransition":{},"NotificationTargetARN":{},"RoleARN":{},"NotificationMetadata":{},"HeartbeatTimeout":{"type":"integer"},"GlobalTimeout":{"type":"integer"},"DefaultResult":{}}}}}}},"DescribeLoadBalancerTargetGroups":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{},"NextToken":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeLoadBalancerTargetGroupsResult","type":"structure","members":{"LoadBalancerTargetGroups":{"type":"list","member":{"type":"structure","members":{"LoadBalancerTargetGroupARN":{},"State":{}}}},"NextToken":{}}}},"DescribeLoadBalancers":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{},"NextToken":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeLoadBalancersResult","type":"structure","members":{"LoadBalancers":{"type":"list","member":{"type":"structure","members":{"LoadBalancerName":{},"State":{}}}},"NextToken":{}}}},"DescribeMetricCollectionTypes":{"output":{"resultWrapper":"DescribeMetricCollectionTypesResult","type":"structure","members":{"Metrics":{"type":"list","member":{"type":"structure","members":{"Metric":{}}}},"Granularities":{"type":"list","member":{"type":"structure","members":{"Granularity":{}}}}}}},"DescribeNotificationConfigurations":{"input":{"type":"structure","members":{"AutoScalingGroupNames":{"shape":"S3y"},"NextToken":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeNotificationConfigurationsResult","type":"structure","required":["NotificationConfigurations"],"members":{"NotificationConfigurations":{"type":"list","member":{"type":"structure","members":{"AutoScalingGroupName":{},"TopicARN":{},"NotificationType":{}}}},"NextToken":{}}}},"DescribePolicies":{"input":{"type":"structure","members":{"AutoScalingGroupName":{},"PolicyNames":{"type":"list","member":{}},"PolicyTypes":{"type":"list","member":{}},"NextToken":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribePoliciesResult","type":"structure","members":{"ScalingPolicies":{"type":"list","member":{"type":"structure","members":{"AutoScalingGroupName":{},"PolicyName":{},"PolicyARN":{},"PolicyType":{},"AdjustmentType":{},"MinAdjustmentStep":{"shape":"S69"},"MinAdjustmentMagnitude":{"type":"integer"},"ScalingAdjustment":{"type":"integer"},"Cooldown":{"type":"integer"},"StepAdjustments":{"shape":"S6c"},"MetricAggregationType":{},"EstimatedInstanceWarmup":{"type":"integer"},"Alarms":{"shape":"S6g"},"TargetTrackingConfiguration":{"shape":"S6i"},"Enabled":{"type":"boolean"},"PredictiveScalingConfiguration":{"shape":"S6w"}}}},"NextToken":{}}}},"DescribeScalingActivities":{"input":{"type":"structure","members":{"ActivityIds":{"type":"list","member":{}},"AutoScalingGroupName":{},"IncludeDeletedGroups":{"type":"boolean"},"MaxRecords":{"type":"integer"},"NextToken":{}}},"output":{"resultWrapper":"DescribeScalingActivitiesResult","type":"structure","required":["Activities"],"members":{"Activities":{"shape":"S7n"},"NextToken":{}}}},"DescribeScalingProcessTypes":{"output":{"resultWrapper":"DescribeScalingProcessTypesResult","type":"structure","members":{"Processes":{"type":"list","member":{"type":"structure","required":["ProcessName"],"members":{"ProcessName":{}}}}}}},"DescribeScheduledActions":{"input":{"type":"structure","members":{"AutoScalingGroupName":{},"ScheduledActionNames":{"shape":"Sd"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"NextToken":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeScheduledActionsResult","type":"structure","members":{"ScheduledUpdateGroupActions":{"type":"list","member":{"type":"structure","members":{"AutoScalingGroupName":{},"ScheduledActionName":{},"ScheduledActionARN":{},"Time":{"type":"timestamp"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Recurrence":{},"MinSize":{"type":"integer"},"MaxSize":{"type":"integer"},"DesiredCapacity":{"type":"integer"},"TimeZone":{}}}},"NextToken":{}}}},"DescribeTags":{"input":{"type":"structure","members":{"Filters":{"shape":"S40"},"NextToken":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeTagsResult","type":"structure","members":{"Tags":{"shape":"S4e"},"NextToken":{}}}},"DescribeTerminationPolicyTypes":{"output":{"resultWrapper":"DescribeTerminationPolicyTypesResult","type":"structure","members":{"TerminationPolicyTypes":{"shape":"S29"}}}},"DescribeWarmPool":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{},"MaxRecords":{"type":"integer"},"NextToken":{}}},"output":{"resultWrapper":"DescribeWarmPoolResult","type":"structure","members":{"WarmPoolConfiguration":{"shape":"S4g"},"Instances":{"shape":"S47"},"NextToken":{}}}},"DetachInstances":{"input":{"type":"structure","required":["AutoScalingGroupName","ShouldDecrementDesiredCapacity"],"members":{"InstanceIds":{"shape":"S2"},"AutoScalingGroupName":{},"ShouldDecrementDesiredCapacity":{"type":"boolean"}}},"output":{"resultWrapper":"DetachInstancesResult","type":"structure","members":{"Activities":{"shape":"S7n"}}}},"DetachLoadBalancerTargetGroups":{"input":{"type":"structure","required":["AutoScalingGroupName","TargetGroupARNs"],"members":{"AutoScalingGroupName":{},"TargetGroupARNs":{"shape":"S6"}}},"output":{"resultWrapper":"DetachLoadBalancerTargetGroupsResult","type":"structure","members":{}}},"DetachLoadBalancers":{"input":{"type":"structure","required":["AutoScalingGroupName","LoadBalancerNames"],"members":{"AutoScalingGroupName":{},"LoadBalancerNames":{"shape":"Sa"}}},"output":{"resultWrapper":"DetachLoadBalancersResult","type":"structure","members":{}}},"DisableMetricsCollection":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{},"Metrics":{"shape":"S8c"}}}},"EnableMetricsCollection":{"input":{"type":"structure","required":["AutoScalingGroupName","Granularity"],"members":{"AutoScalingGroupName":{},"Metrics":{"shape":"S8c"},"Granularity":{}}}},"EnterStandby":{"input":{"type":"structure","required":["AutoScalingGroupName","ShouldDecrementDesiredCapacity"],"members":{"InstanceIds":{"shape":"S2"},"AutoScalingGroupName":{},"ShouldDecrementDesiredCapacity":{"type":"boolean"}}},"output":{"resultWrapper":"EnterStandbyResult","type":"structure","members":{"Activities":{"shape":"S7n"}}}},"ExecutePolicy":{"input":{"type":"structure","required":["PolicyName"],"members":{"AutoScalingGroupName":{},"PolicyName":{},"HonorCooldown":{"type":"boolean"},"MetricValue":{"type":"double"},"BreachThreshold":{"type":"double"}}}},"ExitStandby":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"InstanceIds":{"shape":"S2"},"AutoScalingGroupName":{}}},"output":{"resultWrapper":"ExitStandbyResult","type":"structure","members":{"Activities":{"shape":"S7n"}}}},"GetPredictiveScalingForecast":{"input":{"type":"structure","required":["AutoScalingGroupName","PolicyName","StartTime","EndTime"],"members":{"AutoScalingGroupName":{},"PolicyName":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"output":{"resultWrapper":"GetPredictiveScalingForecastResult","type":"structure","required":["LoadForecast","CapacityForecast","UpdateTime"],"members":{"LoadForecast":{"type":"list","member":{"type":"structure","required":["Timestamps","Values","MetricSpecification"],"members":{"Timestamps":{"shape":"S8o"},"Values":{"shape":"S8p"},"MetricSpecification":{"shape":"S6y"}}}},"CapacityForecast":{"type":"structure","required":["Timestamps","Values"],"members":{"Timestamps":{"shape":"S8o"},"Values":{"shape":"S8p"}}},"UpdateTime":{"type":"timestamp"}}}},"PutLifecycleHook":{"input":{"type":"structure","required":["LifecycleHookName","AutoScalingGroupName"],"members":{"LifecycleHookName":{},"AutoScalingGroupName":{},"LifecycleTransition":{},"RoleARN":{},"NotificationTargetARN":{},"NotificationMetadata":{},"HeartbeatTimeout":{"type":"integer"},"DefaultResult":{}}},"output":{"resultWrapper":"PutLifecycleHookResult","type":"structure","members":{}}},"PutNotificationConfiguration":{"input":{"type":"structure","required":["AutoScalingGroupName","TopicARN","NotificationTypes"],"members":{"AutoScalingGroupName":{},"TopicARN":{},"NotificationTypes":{"shape":"S4r"}}}},"PutScalingPolicy":{"input":{"type":"structure","required":["AutoScalingGroupName","PolicyName"],"members":{"AutoScalingGroupName":{},"PolicyName":{},"PolicyType":{},"AdjustmentType":{},"MinAdjustmentStep":{"shape":"S69"},"MinAdjustmentMagnitude":{"type":"integer"},"ScalingAdjustment":{"type":"integer"},"Cooldown":{"type":"integer"},"MetricAggregationType":{},"StepAdjustments":{"shape":"S6c"},"EstimatedInstanceWarmup":{"type":"integer"},"TargetTrackingConfiguration":{"shape":"S6i"},"Enabled":{"type":"boolean"},"PredictiveScalingConfiguration":{"shape":"S6w"}}},"output":{"resultWrapper":"PutScalingPolicyResult","type":"structure","members":{"PolicyARN":{},"Alarms":{"shape":"S6g"}}}},"PutScheduledUpdateGroupAction":{"input":{"type":"structure","required":["AutoScalingGroupName","ScheduledActionName"],"members":{"AutoScalingGroupName":{},"ScheduledActionName":{},"Time":{"type":"timestamp"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Recurrence":{},"MinSize":{"type":"integer"},"MaxSize":{"type":"integer"},"DesiredCapacity":{"type":"integer"},"TimeZone":{}}}},"PutWarmPool":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{},"MaxGroupPreparedCapacity":{"type":"integer"},"MinSize":{"type":"integer"},"PoolState":{}}},"output":{"resultWrapper":"PutWarmPoolResult","type":"structure","members":{}}},"RecordLifecycleActionHeartbeat":{"input":{"type":"structure","required":["LifecycleHookName","AutoScalingGroupName"],"members":{"LifecycleHookName":{},"AutoScalingGroupName":{},"LifecycleActionToken":{},"InstanceId":{}}},"output":{"resultWrapper":"RecordLifecycleActionHeartbeatResult","type":"structure","members":{}}},"ResumeProcesses":{"input":{"shape":"S91"}},"SetDesiredCapacity":{"input":{"type":"structure","required":["AutoScalingGroupName","DesiredCapacity"],"members":{"AutoScalingGroupName":{},"DesiredCapacity":{"type":"integer"},"HonorCooldown":{"type":"boolean"}}}},"SetInstanceHealth":{"input":{"type":"structure","required":["InstanceId","HealthStatus"],"members":{"InstanceId":{},"HealthStatus":{},"ShouldRespectGracePeriod":{"type":"boolean"}}}},"SetInstanceProtection":{"input":{"type":"structure","required":["InstanceIds","AutoScalingGroupName","ProtectedFromScaleIn"],"members":{"InstanceIds":{"shape":"S2"},"AutoScalingGroupName":{},"ProtectedFromScaleIn":{"type":"boolean"}}},"output":{"resultWrapper":"SetInstanceProtectionResult","type":"structure","members":{}}},"StartInstanceRefresh":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{},"Strategy":{},"DesiredConfiguration":{"shape":"S59"},"Preferences":{"shape":"S53"}}},"output":{"resultWrapper":"StartInstanceRefreshResult","type":"structure","members":{"InstanceRefreshId":{}}}},"SuspendProcesses":{"input":{"shape":"S91"}},"TerminateInstanceInAutoScalingGroup":{"input":{"type":"structure","required":["InstanceId","ShouldDecrementDesiredCapacity"],"members":{"InstanceId":{},"ShouldDecrementDesiredCapacity":{"type":"boolean"}}},"output":{"resultWrapper":"TerminateInstanceInAutoScalingGroupResult","type":"structure","members":{"Activity":{"shape":"S7o"}}}},"UpdateAutoScalingGroup":{"input":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{},"LaunchConfigurationName":{},"LaunchTemplate":{"shape":"S10"},"MixedInstancesPolicy":{"shape":"S12"},"MinSize":{"type":"integer"},"MaxSize":{"type":"integer"},"DesiredCapacity":{"type":"integer"},"DefaultCooldown":{"type":"integer"},"AvailabilityZones":{"shape":"S26"},"HealthCheckType":{},"HealthCheckGracePeriod":{"type":"integer"},"PlacementGroup":{},"VPCZoneIdentifier":{},"TerminationPolicies":{"shape":"S29"},"NewInstancesProtectedFromScaleIn":{"type":"boolean"},"ServiceLinkedRoleARN":{},"MaxInstanceLifetime":{"type":"integer"},"CapacityRebalance":{"type":"boolean"},"Context":{},"DesiredCapacityType":{}}}}},"shapes":{"S2":{"type":"list","member":{}},"S6":{"type":"list","member":{}},"Sa":{"type":"list","member":{}},"Sd":{"type":"list","member":{}},"Sf":{"type":"list","member":{"type":"structure","required":["ScheduledActionName"],"members":{"ScheduledActionName":{},"ErrorCode":{},"ErrorMessage":{}}}},"S10":{"type":"structure","members":{"LaunchTemplateId":{},"LaunchTemplateName":{},"Version":{}}},"S12":{"type":"structure","members":{"LaunchTemplate":{"type":"structure","members":{"LaunchTemplateSpecification":{"shape":"S10"},"Overrides":{"type":"list","member":{"type":"structure","members":{"InstanceType":{},"WeightedCapacity":{},"LaunchTemplateSpecification":{"shape":"S10"},"InstanceRequirements":{"type":"structure","required":["VCpuCount","MemoryMiB"],"members":{"VCpuCount":{"type":"structure","required":["Min"],"members":{"Min":{"type":"integer"},"Max":{"type":"integer"}}},"MemoryMiB":{"type":"structure","required":["Min"],"members":{"Min":{"type":"integer"},"Max":{"type":"integer"}}},"CpuManufacturers":{"type":"list","member":{}},"MemoryGiBPerVCpu":{"type":"structure","members":{"Min":{"type":"double"},"Max":{"type":"double"}}},"ExcludedInstanceTypes":{"type":"list","member":{}},"InstanceGenerations":{"type":"list","member":{}},"SpotMaxPricePercentageOverLowestPrice":{"type":"integer"},"OnDemandMaxPricePercentageOverLowestPrice":{"type":"integer"},"BareMetal":{},"BurstablePerformance":{},"RequireHibernateSupport":{"type":"boolean"},"NetworkInterfaceCount":{"type":"structure","members":{"Min":{"type":"integer"},"Max":{"type":"integer"}}},"LocalStorage":{},"LocalStorageTypes":{"type":"list","member":{}},"TotalLocalStorageGB":{"type":"structure","members":{"Min":{"type":"double"},"Max":{"type":"double"}}},"BaselineEbsBandwidthMbps":{"type":"structure","members":{"Min":{"type":"integer"},"Max":{"type":"integer"}}},"AcceleratorTypes":{"type":"list","member":{}},"AcceleratorCount":{"type":"structure","members":{"Min":{"type":"integer"},"Max":{"type":"integer"}}},"AcceleratorManufacturers":{"type":"list","member":{}},"AcceleratorNames":{"type":"list","member":{}},"AcceleratorTotalMemoryMiB":{"type":"structure","members":{"Min":{"type":"integer"},"Max":{"type":"integer"}}}}}}}}}},"InstancesDistribution":{"type":"structure","members":{"OnDemandAllocationStrategy":{},"OnDemandBaseCapacity":{"type":"integer"},"OnDemandPercentageAboveBaseCapacity":{"type":"integer"},"SpotAllocationStrategy":{},"SpotInstancePools":{"type":"integer"},"SpotMaxPrice":{}}}}},"S26":{"type":"list","member":{}},"S29":{"type":"list","member":{}},"S2j":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"ResourceId":{},"ResourceType":{},"Key":{},"Value":{},"PropagateAtLaunch":{"type":"boolean"}}}},"S2r":{"type":"list","member":{}},"S2s":{"type":"list","member":{}},"S2u":{"type":"list","member":{"type":"structure","required":["DeviceName"],"members":{"VirtualName":{},"DeviceName":{},"Ebs":{"type":"structure","members":{"SnapshotId":{},"VolumeSize":{"type":"integer"},"VolumeType":{},"DeleteOnTermination":{"type":"boolean"},"Iops":{"type":"integer"},"Encrypted":{"type":"boolean"},"Throughput":{"type":"integer"}}},"NoDevice":{"type":"boolean"}}}},"S34":{"type":"structure","members":{"Enabled":{"type":"boolean"}}},"S39":{"type":"structure","members":{"HttpTokens":{},"HttpPutResponseHopLimit":{"type":"integer"},"HttpEndpoint":{}}},"S3y":{"type":"list","member":{}},"S40":{"type":"list","member":{"type":"structure","members":{"Name":{},"Values":{"type":"list","member":{}}}}},"S47":{"type":"list","member":{"type":"structure","required":["InstanceId","AvailabilityZone","LifecycleState","HealthStatus","ProtectedFromScaleIn"],"members":{"InstanceId":{},"InstanceType":{},"AvailabilityZone":{},"LifecycleState":{},"HealthStatus":{},"LaunchConfigurationName":{},"LaunchTemplate":{"shape":"S10"},"ProtectedFromScaleIn":{"type":"boolean"},"WeightedCapacity":{}}}},"S4e":{"type":"list","member":{"type":"structure","members":{"ResourceId":{},"ResourceType":{},"Key":{},"Value":{},"PropagateAtLaunch":{"type":"boolean"}}}},"S4g":{"type":"structure","members":{"MaxGroupPreparedCapacity":{"type":"integer"},"MinSize":{"type":"integer"},"PoolState":{},"Status":{}}},"S4r":{"type":"list","member":{}},"S53":{"type":"structure","members":{"MinHealthyPercentage":{"type":"integer"},"InstanceWarmup":{"type":"integer"},"CheckpointPercentages":{"type":"list","member":{"type":"integer"}},"CheckpointDelay":{"type":"integer"},"SkipMatching":{"type":"boolean"}}},"S59":{"type":"structure","members":{"LaunchTemplate":{"shape":"S10"},"MixedInstancesPolicy":{"shape":"S12"}}},"S69":{"type":"integer","deprecated":true},"S6c":{"type":"list","member":{"type":"structure","required":["ScalingAdjustment"],"members":{"MetricIntervalLowerBound":{"type":"double"},"MetricIntervalUpperBound":{"type":"double"},"ScalingAdjustment":{"type":"integer"}}}},"S6g":{"type":"list","member":{"type":"structure","members":{"AlarmName":{},"AlarmARN":{}}}},"S6i":{"type":"structure","required":["TargetValue"],"members":{"PredefinedMetricSpecification":{"type":"structure","required":["PredefinedMetricType"],"members":{"PredefinedMetricType":{},"ResourceLabel":{}}},"CustomizedMetricSpecification":{"type":"structure","required":["MetricName","Namespace","Statistic"],"members":{"MetricName":{},"Namespace":{},"Dimensions":{"shape":"S6o"},"Statistic":{},"Unit":{}}},"TargetValue":{"type":"double"},"DisableScaleIn":{"type":"boolean"}}},"S6o":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"S6w":{"type":"structure","required":["MetricSpecifications"],"members":{"MetricSpecifications":{"type":"list","member":{"shape":"S6y"}},"Mode":{},"SchedulingBufferTime":{"type":"integer"},"MaxCapacityBreachBehavior":{},"MaxCapacityBuffer":{"type":"integer"}}},"S6y":{"type":"structure","required":["TargetValue"],"members":{"TargetValue":{"type":"double"},"PredefinedMetricPairSpecification":{"type":"structure","required":["PredefinedMetricType"],"members":{"PredefinedMetricType":{},"ResourceLabel":{}}},"PredefinedScalingMetricSpecification":{"type":"structure","required":["PredefinedMetricType"],"members":{"PredefinedMetricType":{},"ResourceLabel":{}}},"PredefinedLoadMetricSpecification":{"type":"structure","required":["PredefinedMetricType"],"members":{"PredefinedMetricType":{},"ResourceLabel":{}}},"CustomizedScalingMetricSpecification":{"type":"structure","required":["MetricDataQueries"],"members":{"MetricDataQueries":{"shape":"S76"}}},"CustomizedLoadMetricSpecification":{"type":"structure","required":["MetricDataQueries"],"members":{"MetricDataQueries":{"shape":"S76"}}},"CustomizedCapacityMetricSpecification":{"type":"structure","required":["MetricDataQueries"],"members":{"MetricDataQueries":{"shape":"S76"}}}}},"S76":{"type":"list","member":{"type":"structure","required":["Id"],"members":{"Id":{},"Expression":{},"MetricStat":{"type":"structure","required":["Metric","Stat"],"members":{"Metric":{"type":"structure","required":["Namespace","MetricName"],"members":{"Namespace":{},"MetricName":{},"Dimensions":{"shape":"S6o"}}},"Stat":{},"Unit":{}}},"Label":{},"ReturnData":{"type":"boolean"}}}},"S7n":{"type":"list","member":{"shape":"S7o"}},"S7o":{"type":"structure","required":["ActivityId","AutoScalingGroupName","Cause","StartTime","StatusCode"],"members":{"ActivityId":{},"AutoScalingGroupName":{},"Description":{},"Cause":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"StatusCode":{},"StatusMessage":{},"Progress":{"type":"integer"},"Details":{},"AutoScalingGroupState":{},"AutoScalingGroupARN":{}}},"S8c":{"type":"list","member":{}},"S8o":{"type":"list","member":{"type":"timestamp"}},"S8p":{"type":"list","member":{"type":"double"}},"S91":{"type":"structure","required":["AutoScalingGroupName"],"members":{"AutoScalingGroupName":{},"ScalingProcesses":{"type":"list","member":{}}}}}}');

/***/ }),

/***/ 81436:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeAutoScalingGroups":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken","result_key":"AutoScalingGroups"},"DescribeAutoScalingInstances":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken","result_key":"AutoScalingInstances"},"DescribeLaunchConfigurations":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken","result_key":"LaunchConfigurations"},"DescribeNotificationConfigurations":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken","result_key":"NotificationConfigurations"},"DescribePolicies":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken","result_key":"ScalingPolicies"},"DescribeScalingActivities":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken","result_key":"Activities"},"DescribeScheduledActions":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken","result_key":"ScheduledUpdateGroupActions"},"DescribeTags":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken","result_key":"Tags"}}}');

/***/ }),

/***/ 53216:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-01-06","endpointPrefix":"autoscaling-plans","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Auto Scaling Plans","serviceId":"Auto Scaling Plans","signatureVersion":"v4","signingName":"autoscaling-plans","targetPrefix":"AnyScaleScalingPlannerFrontendService","uid":"autoscaling-plans-2018-01-06"},"operations":{"CreateScalingPlan":{"input":{"type":"structure","required":["ScalingPlanName","ApplicationSource","ScalingInstructions"],"members":{"ScalingPlanName":{},"ApplicationSource":{"shape":"S3"},"ScalingInstructions":{"shape":"Sa"}}},"output":{"type":"structure","required":["ScalingPlanVersion"],"members":{"ScalingPlanVersion":{"type":"long"}}}},"DeleteScalingPlan":{"input":{"type":"structure","required":["ScalingPlanName","ScalingPlanVersion"],"members":{"ScalingPlanName":{},"ScalingPlanVersion":{"type":"long"}}},"output":{"type":"structure","members":{}}},"DescribeScalingPlanResources":{"input":{"type":"structure","required":["ScalingPlanName","ScalingPlanVersion"],"members":{"ScalingPlanName":{},"ScalingPlanVersion":{"type":"long"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ScalingPlanResources":{"type":"list","member":{"type":"structure","required":["ScalingPlanName","ScalingPlanVersion","ServiceNamespace","ResourceId","ScalableDimension","ScalingStatusCode"],"members":{"ScalingPlanName":{},"ScalingPlanVersion":{"type":"long"},"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{},"ScalingPolicies":{"type":"list","member":{"type":"structure","required":["PolicyName","PolicyType"],"members":{"PolicyName":{},"PolicyType":{},"TargetTrackingConfiguration":{"shape":"Sh"}}}},"ScalingStatusCode":{},"ScalingStatusMessage":{}}}},"NextToken":{}}}},"DescribeScalingPlans":{"input":{"type":"structure","members":{"ScalingPlanNames":{"type":"list","member":{}},"ScalingPlanVersion":{"type":"long"},"ApplicationSources":{"type":"list","member":{"shape":"S3"}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ScalingPlans":{"type":"list","member":{"type":"structure","required":["ScalingPlanName","ScalingPlanVersion","ApplicationSource","ScalingInstructions","StatusCode"],"members":{"ScalingPlanName":{},"ScalingPlanVersion":{"type":"long"},"ApplicationSource":{"shape":"S3"},"ScalingInstructions":{"shape":"Sa"},"StatusCode":{},"StatusMessage":{},"StatusStartTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"}}}},"NextToken":{}}}},"GetScalingPlanResourceForecastData":{"input":{"type":"structure","required":["ScalingPlanName","ScalingPlanVersion","ServiceNamespace","ResourceId","ScalableDimension","ForecastDataType","StartTime","EndTime"],"members":{"ScalingPlanName":{},"ScalingPlanVersion":{"type":"long"},"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{},"ForecastDataType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"output":{"type":"structure","required":["Datapoints"],"members":{"Datapoints":{"type":"list","member":{"type":"structure","members":{"Timestamp":{"type":"timestamp"},"Value":{"type":"double"}}}}}}},"UpdateScalingPlan":{"input":{"type":"structure","required":["ScalingPlanName","ScalingPlanVersion"],"members":{"ScalingPlanName":{},"ScalingPlanVersion":{"type":"long"},"ApplicationSource":{"shape":"S3"},"ScalingInstructions":{"shape":"Sa"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S3":{"type":"structure","members":{"CloudFormationStackARN":{},"TagFilters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Values":{"type":"list","member":{}}}}}}},"Sa":{"type":"list","member":{"type":"structure","required":["ServiceNamespace","ResourceId","ScalableDimension","MinCapacity","MaxCapacity","TargetTrackingConfigurations"],"members":{"ServiceNamespace":{},"ResourceId":{},"ScalableDimension":{},"MinCapacity":{"type":"integer"},"MaxCapacity":{"type":"integer"},"TargetTrackingConfigurations":{"type":"list","member":{"shape":"Sh"}},"PredefinedLoadMetricSpecification":{"type":"structure","required":["PredefinedLoadMetricType"],"members":{"PredefinedLoadMetricType":{},"ResourceLabel":{}}},"CustomizedLoadMetricSpecification":{"type":"structure","required":["MetricName","Namespace","Statistic"],"members":{"MetricName":{},"Namespace":{},"Dimensions":{"shape":"So"},"Statistic":{},"Unit":{}}},"ScheduledActionBufferTime":{"type":"integer"},"PredictiveScalingMaxCapacityBehavior":{},"PredictiveScalingMaxCapacityBuffer":{"type":"integer"},"PredictiveScalingMode":{},"ScalingPolicyUpdateBehavior":{},"DisableDynamicScaling":{"type":"boolean"}}}},"Sh":{"type":"structure","required":["TargetValue"],"members":{"PredefinedScalingMetricSpecification":{"type":"structure","required":["PredefinedScalingMetricType"],"members":{"PredefinedScalingMetricType":{},"ResourceLabel":{}}},"CustomizedScalingMetricSpecification":{"type":"structure","required":["MetricName","Namespace","Statistic"],"members":{"MetricName":{},"Namespace":{},"Dimensions":{"shape":"So"},"Statistic":{},"Unit":{}}},"TargetValue":{"type":"double"},"DisableScaleIn":{"type":"boolean"},"ScaleOutCooldown":{"type":"integer"},"ScaleInCooldown":{"type":"integer"},"EstimatedInstanceWarmup":{"type":"integer"}}},"So":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}}}}');

/***/ }),

/***/ 64985:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 77990:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-11-15","endpointPrefix":"backup","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS Backup","serviceId":"Backup","signatureVersion":"v4","uid":"backup-2018-11-15"},"operations":{"CreateBackupPlan":{"http":{"method":"PUT","requestUri":"/backup/plans/"},"input":{"type":"structure","required":["BackupPlan"],"members":{"BackupPlan":{"shape":"S2"},"BackupPlanTags":{"shape":"Sc"},"CreatorRequestId":{}}},"output":{"type":"structure","members":{"BackupPlanId":{},"BackupPlanArn":{},"CreationDate":{"type":"timestamp"},"VersionId":{},"AdvancedBackupSettings":{"shape":"Sj"}}},"idempotent":true},"CreateBackupSelection":{"http":{"method":"PUT","requestUri":"/backup/plans/{backupPlanId}/selections/"},"input":{"type":"structure","required":["BackupPlanId","BackupSelection"],"members":{"BackupPlanId":{"location":"uri","locationName":"backupPlanId"},"BackupSelection":{"shape":"St"},"CreatorRequestId":{}}},"output":{"type":"structure","members":{"SelectionId":{},"BackupPlanId":{},"CreationDate":{"type":"timestamp"}}},"idempotent":true},"CreateBackupVault":{"http":{"method":"PUT","requestUri":"/backup-vaults/{backupVaultName}"},"input":{"type":"structure","required":["BackupVaultName"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"},"BackupVaultTags":{"shape":"Sc"},"EncryptionKeyArn":{},"CreatorRequestId":{}}},"output":{"type":"structure","members":{"BackupVaultName":{},"BackupVaultArn":{},"CreationDate":{"type":"timestamp"}}},"idempotent":true},"CreateFramework":{"http":{"requestUri":"/audit/frameworks"},"input":{"type":"structure","required":["FrameworkName","FrameworkControls"],"members":{"FrameworkName":{},"FrameworkDescription":{},"FrameworkControls":{"shape":"S1b"},"IdempotencyToken":{"idempotencyToken":true},"FrameworkTags":{"shape":"S1l"}}},"output":{"type":"structure","members":{"FrameworkName":{},"FrameworkArn":{}}},"idempotent":true},"CreateReportPlan":{"http":{"requestUri":"/audit/report-plans"},"input":{"type":"structure","required":["ReportPlanName","ReportDeliveryChannel","ReportSetting"],"members":{"ReportPlanName":{},"ReportPlanDescription":{},"ReportDeliveryChannel":{"shape":"S1q"},"ReportSetting":{"shape":"S1s"},"ReportPlanTags":{"shape":"S1l"},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ReportPlanName":{},"ReportPlanArn":{},"CreationTime":{"type":"timestamp"}}},"idempotent":true},"DeleteBackupPlan":{"http":{"method":"DELETE","requestUri":"/backup/plans/{backupPlanId}"},"input":{"type":"structure","required":["BackupPlanId"],"members":{"BackupPlanId":{"location":"uri","locationName":"backupPlanId"}}},"output":{"type":"structure","members":{"BackupPlanId":{},"BackupPlanArn":{},"DeletionDate":{"type":"timestamp"},"VersionId":{}}}},"DeleteBackupSelection":{"http":{"method":"DELETE","requestUri":"/backup/plans/{backupPlanId}/selections/{selectionId}"},"input":{"type":"structure","required":["BackupPlanId","SelectionId"],"members":{"BackupPlanId":{"location":"uri","locationName":"backupPlanId"},"SelectionId":{"location":"uri","locationName":"selectionId"}}}},"DeleteBackupVault":{"http":{"method":"DELETE","requestUri":"/backup-vaults/{backupVaultName}"},"input":{"type":"structure","required":["BackupVaultName"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"}}}},"DeleteBackupVaultAccessPolicy":{"http":{"method":"DELETE","requestUri":"/backup-vaults/{backupVaultName}/access-policy"},"input":{"type":"structure","required":["BackupVaultName"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"}}},"idempotent":true},"DeleteBackupVaultLockConfiguration":{"http":{"method":"DELETE","requestUri":"/backup-vaults/{backupVaultName}/vault-lock"},"input":{"type":"structure","required":["BackupVaultName"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"}}},"idempotent":true},"DeleteBackupVaultNotifications":{"http":{"method":"DELETE","requestUri":"/backup-vaults/{backupVaultName}/notification-configuration"},"input":{"type":"structure","required":["BackupVaultName"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"}}},"idempotent":true},"DeleteFramework":{"http":{"method":"DELETE","requestUri":"/audit/frameworks/{frameworkName}"},"input":{"type":"structure","required":["FrameworkName"],"members":{"FrameworkName":{"location":"uri","locationName":"frameworkName"}}}},"DeleteRecoveryPoint":{"http":{"method":"DELETE","requestUri":"/backup-vaults/{backupVaultName}/recovery-points/{recoveryPointArn}"},"input":{"type":"structure","required":["BackupVaultName","RecoveryPointArn"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"},"RecoveryPointArn":{"location":"uri","locationName":"recoveryPointArn"}}},"idempotent":true},"DeleteReportPlan":{"http":{"method":"DELETE","requestUri":"/audit/report-plans/{reportPlanName}"},"input":{"type":"structure","required":["ReportPlanName"],"members":{"ReportPlanName":{"location":"uri","locationName":"reportPlanName"}}},"idempotent":true},"DescribeBackupJob":{"http":{"method":"GET","requestUri":"/backup-jobs/{backupJobId}"},"input":{"type":"structure","required":["BackupJobId"],"members":{"BackupJobId":{"location":"uri","locationName":"backupJobId"}}},"output":{"type":"structure","members":{"AccountId":{},"BackupJobId":{},"BackupVaultName":{},"BackupVaultArn":{},"RecoveryPointArn":{},"ResourceArn":{},"CreationDate":{"type":"timestamp"},"CompletionDate":{"type":"timestamp"},"State":{},"StatusMessage":{},"PercentDone":{},"BackupSizeInBytes":{"type":"long"},"IamRoleArn":{},"CreatedBy":{"shape":"S2a"},"ResourceType":{},"BytesTransferred":{"type":"long"},"ExpectedCompletionDate":{"type":"timestamp"},"StartBy":{"type":"timestamp"},"BackupOptions":{"shape":"Sm"},"BackupType":{}}},"idempotent":true},"DescribeBackupVault":{"http":{"method":"GET","requestUri":"/backup-vaults/{backupVaultName}"},"input":{"type":"structure","required":["BackupVaultName"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"}}},"output":{"type":"structure","members":{"BackupVaultName":{},"BackupVaultArn":{},"EncryptionKeyArn":{},"CreationDate":{"type":"timestamp"},"CreatorRequestId":{},"NumberOfRecoveryPoints":{"type":"long"},"Locked":{"type":"boolean"},"MinRetentionDays":{"type":"long"},"MaxRetentionDays":{"type":"long"},"LockDate":{"type":"timestamp"}}},"idempotent":true},"DescribeCopyJob":{"http":{"method":"GET","requestUri":"/copy-jobs/{copyJobId}"},"input":{"type":"structure","required":["CopyJobId"],"members":{"CopyJobId":{"location":"uri","locationName":"copyJobId"}}},"output":{"type":"structure","members":{"CopyJob":{"shape":"S2g"}}},"idempotent":true},"DescribeFramework":{"http":{"method":"GET","requestUri":"/audit/frameworks/{frameworkName}"},"input":{"type":"structure","required":["FrameworkName"],"members":{"FrameworkName":{"location":"uri","locationName":"frameworkName"}}},"output":{"type":"structure","members":{"FrameworkName":{},"FrameworkArn":{},"FrameworkDescription":{},"FrameworkControls":{"shape":"S1b"},"CreationTime":{"type":"timestamp"},"DeploymentStatus":{},"FrameworkStatus":{},"IdempotencyToken":{}}}},"DescribeGlobalSettings":{"http":{"method":"GET","requestUri":"/global-settings"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"GlobalSettings":{"shape":"S2m"},"LastUpdateTime":{"type":"timestamp"}}}},"DescribeProtectedResource":{"http":{"method":"GET","requestUri":"/resources/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"ResourceArn":{},"ResourceType":{},"LastBackupTime":{"type":"timestamp"}}},"idempotent":true},"DescribeRecoveryPoint":{"http":{"method":"GET","requestUri":"/backup-vaults/{backupVaultName}/recovery-points/{recoveryPointArn}"},"input":{"type":"structure","required":["BackupVaultName","RecoveryPointArn"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"},"RecoveryPointArn":{"location":"uri","locationName":"recoveryPointArn"}}},"output":{"type":"structure","members":{"RecoveryPointArn":{},"BackupVaultName":{},"BackupVaultArn":{},"SourceBackupVaultArn":{},"ResourceArn":{},"ResourceType":{},"CreatedBy":{"shape":"S2a"},"IamRoleArn":{},"Status":{},"StatusMessage":{},"CreationDate":{"type":"timestamp"},"CompletionDate":{"type":"timestamp"},"BackupSizeInBytes":{"type":"long"},"CalculatedLifecycle":{"shape":"S2u"},"Lifecycle":{"shape":"Sa"},"EncryptionKeyArn":{},"IsEncrypted":{"type":"boolean"},"StorageClass":{},"LastRestoreTime":{"type":"timestamp"}}},"idempotent":true},"DescribeRegionSettings":{"http":{"method":"GET","requestUri":"/account-settings"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"ResourceTypeOptInPreference":{"shape":"S2z"},"ResourceTypeManagementPreference":{"shape":"S31"}}}},"DescribeReportJob":{"http":{"method":"GET","requestUri":"/audit/report-jobs/{reportJobId}"},"input":{"type":"structure","required":["ReportJobId"],"members":{"ReportJobId":{"location":"uri","locationName":"reportJobId"}}},"output":{"type":"structure","members":{"ReportJob":{"shape":"S35"}}}},"DescribeReportPlan":{"http":{"method":"GET","requestUri":"/audit/report-plans/{reportPlanName}"},"input":{"type":"structure","required":["ReportPlanName"],"members":{"ReportPlanName":{"location":"uri","locationName":"reportPlanName"}}},"output":{"type":"structure","members":{"ReportPlan":{"shape":"S39"}}}},"DescribeRestoreJob":{"http":{"method":"GET","requestUri":"/restore-jobs/{restoreJobId}"},"input":{"type":"structure","required":["RestoreJobId"],"members":{"RestoreJobId":{"location":"uri","locationName":"restoreJobId"}}},"output":{"type":"structure","members":{"AccountId":{},"RestoreJobId":{},"RecoveryPointArn":{},"CreationDate":{"type":"timestamp"},"CompletionDate":{"type":"timestamp"},"Status":{},"StatusMessage":{},"PercentDone":{},"BackupSizeInBytes":{"type":"long"},"IamRoleArn":{},"ExpectedCompletionTimeMinutes":{"type":"long"},"CreatedResourceArn":{},"ResourceType":{}}},"idempotent":true},"DisassociateRecoveryPoint":{"http":{"requestUri":"/backup-vaults/{backupVaultName}/recovery-points/{recoveryPointArn}/disassociate"},"input":{"type":"structure","required":["BackupVaultName","RecoveryPointArn"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"},"RecoveryPointArn":{"location":"uri","locationName":"recoveryPointArn"}}}},"ExportBackupPlanTemplate":{"http":{"method":"GET","requestUri":"/backup/plans/{backupPlanId}/toTemplate/"},"input":{"type":"structure","required":["BackupPlanId"],"members":{"BackupPlanId":{"location":"uri","locationName":"backupPlanId"}}},"output":{"type":"structure","members":{"BackupPlanTemplateJson":{}}}},"GetBackupPlan":{"http":{"method":"GET","requestUri":"/backup/plans/{backupPlanId}/"},"input":{"type":"structure","required":["BackupPlanId"],"members":{"BackupPlanId":{"location":"uri","locationName":"backupPlanId"},"VersionId":{"location":"querystring","locationName":"versionId"}}},"output":{"type":"structure","members":{"BackupPlan":{"shape":"S3j"},"BackupPlanId":{},"BackupPlanArn":{},"VersionId":{},"CreatorRequestId":{},"CreationDate":{"type":"timestamp"},"DeletionDate":{"type":"timestamp"},"LastExecutionDate":{"type":"timestamp"},"AdvancedBackupSettings":{"shape":"Sj"}}},"idempotent":true},"GetBackupPlanFromJSON":{"http":{"requestUri":"/backup/template/json/toPlan"},"input":{"type":"structure","required":["BackupPlanTemplateJson"],"members":{"BackupPlanTemplateJson":{}}},"output":{"type":"structure","members":{"BackupPlan":{"shape":"S3j"}}}},"GetBackupPlanFromTemplate":{"http":{"method":"GET","requestUri":"/backup/template/plans/{templateId}/toPlan"},"input":{"type":"structure","required":["BackupPlanTemplateId"],"members":{"BackupPlanTemplateId":{"location":"uri","locationName":"templateId"}}},"output":{"type":"structure","members":{"BackupPlanDocument":{"shape":"S3j"}}}},"GetBackupSelection":{"http":{"method":"GET","requestUri":"/backup/plans/{backupPlanId}/selections/{selectionId}"},"input":{"type":"structure","required":["BackupPlanId","SelectionId"],"members":{"BackupPlanId":{"location":"uri","locationName":"backupPlanId"},"SelectionId":{"location":"uri","locationName":"selectionId"}}},"output":{"type":"structure","members":{"BackupSelection":{"shape":"St"},"SelectionId":{},"BackupPlanId":{},"CreationDate":{"type":"timestamp"},"CreatorRequestId":{}}},"idempotent":true},"GetBackupVaultAccessPolicy":{"http":{"method":"GET","requestUri":"/backup-vaults/{backupVaultName}/access-policy"},"input":{"type":"structure","required":["BackupVaultName"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"}}},"output":{"type":"structure","members":{"BackupVaultName":{},"BackupVaultArn":{},"Policy":{}}},"idempotent":true},"GetBackupVaultNotifications":{"http":{"method":"GET","requestUri":"/backup-vaults/{backupVaultName}/notification-configuration"},"input":{"type":"structure","required":["BackupVaultName"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"}}},"output":{"type":"structure","members":{"BackupVaultName":{},"BackupVaultArn":{},"SNSTopicArn":{},"BackupVaultEvents":{"shape":"S3x"}}},"idempotent":true},"GetRecoveryPointRestoreMetadata":{"http":{"method":"GET","requestUri":"/backup-vaults/{backupVaultName}/recovery-points/{recoveryPointArn}/restore-metadata"},"input":{"type":"structure","required":["BackupVaultName","RecoveryPointArn"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"},"RecoveryPointArn":{"location":"uri","locationName":"recoveryPointArn"}}},"output":{"type":"structure","members":{"BackupVaultArn":{},"RecoveryPointArn":{},"RestoreMetadata":{"shape":"S41"}}},"idempotent":true},"GetSupportedResourceTypes":{"http":{"method":"GET","requestUri":"/supported-resource-types"},"output":{"type":"structure","members":{"ResourceTypes":{"type":"list","member":{}}}}},"ListBackupJobs":{"http":{"method":"GET","requestUri":"/backup-jobs/"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"ByResourceArn":{"location":"querystring","locationName":"resourceArn"},"ByState":{"location":"querystring","locationName":"state"},"ByBackupVaultName":{"location":"querystring","locationName":"backupVaultName"},"ByCreatedBefore":{"location":"querystring","locationName":"createdBefore","type":"timestamp"},"ByCreatedAfter":{"location":"querystring","locationName":"createdAfter","type":"timestamp"},"ByResourceType":{"location":"querystring","locationName":"resourceType"},"ByAccountId":{"location":"querystring","locationName":"accountId"}}},"output":{"type":"structure","members":{"BackupJobs":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"BackupJobId":{},"BackupVaultName":{},"BackupVaultArn":{},"RecoveryPointArn":{},"ResourceArn":{},"CreationDate":{"type":"timestamp"},"CompletionDate":{"type":"timestamp"},"State":{},"StatusMessage":{},"PercentDone":{},"BackupSizeInBytes":{"type":"long"},"IamRoleArn":{},"CreatedBy":{"shape":"S2a"},"ExpectedCompletionDate":{"type":"timestamp"},"StartBy":{"type":"timestamp"},"ResourceType":{},"BytesTransferred":{"type":"long"},"BackupOptions":{"shape":"Sm"},"BackupType":{}}}},"NextToken":{}}},"idempotent":true},"ListBackupPlanTemplates":{"http":{"method":"GET","requestUri":"/backup/template/plans"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"BackupPlanTemplatesList":{"type":"list","member":{"type":"structure","members":{"BackupPlanTemplateId":{},"BackupPlanTemplateName":{}}}}}}},"ListBackupPlanVersions":{"http":{"method":"GET","requestUri":"/backup/plans/{backupPlanId}/versions/"},"input":{"type":"structure","required":["BackupPlanId"],"members":{"BackupPlanId":{"location":"uri","locationName":"backupPlanId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"BackupPlanVersionsList":{"type":"list","member":{"shape":"S4i"}}}},"idempotent":true},"ListBackupPlans":{"http":{"method":"GET","requestUri":"/backup/plans/"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"IncludeDeleted":{"location":"querystring","locationName":"includeDeleted","type":"boolean"}}},"output":{"type":"structure","members":{"NextToken":{},"BackupPlansList":{"type":"list","member":{"shape":"S4i"}}}},"idempotent":true},"ListBackupSelections":{"http":{"method":"GET","requestUri":"/backup/plans/{backupPlanId}/selections/"},"input":{"type":"structure","required":["BackupPlanId"],"members":{"BackupPlanId":{"location":"uri","locationName":"backupPlanId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"BackupSelectionsList":{"type":"list","member":{"type":"structure","members":{"SelectionId":{},"SelectionName":{},"BackupPlanId":{},"CreationDate":{"type":"timestamp"},"CreatorRequestId":{},"IamRoleArn":{}}}}}},"idempotent":true},"ListBackupVaults":{"http":{"method":"GET","requestUri":"/backup-vaults/"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"BackupVaultList":{"type":"list","member":{"type":"structure","members":{"BackupVaultName":{},"BackupVaultArn":{},"CreationDate":{"type":"timestamp"},"EncryptionKeyArn":{},"CreatorRequestId":{},"NumberOfRecoveryPoints":{"type":"long"},"Locked":{"type":"boolean"},"MinRetentionDays":{"type":"long"},"MaxRetentionDays":{"type":"long"},"LockDate":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListCopyJobs":{"http":{"method":"GET","requestUri":"/copy-jobs/"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"ByResourceArn":{"location":"querystring","locationName":"resourceArn"},"ByState":{"location":"querystring","locationName":"state"},"ByCreatedBefore":{"location":"querystring","locationName":"createdBefore","type":"timestamp"},"ByCreatedAfter":{"location":"querystring","locationName":"createdAfter","type":"timestamp"},"ByResourceType":{"location":"querystring","locationName":"resourceType"},"ByDestinationVaultArn":{"location":"querystring","locationName":"destinationVaultArn"},"ByAccountId":{"location":"querystring","locationName":"accountId"}}},"output":{"type":"structure","members":{"CopyJobs":{"type":"list","member":{"shape":"S2g"}},"NextToken":{}}}},"ListFrameworks":{"http":{"method":"GET","requestUri":"/audit/frameworks"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Frameworks":{"type":"list","member":{"type":"structure","members":{"FrameworkName":{},"FrameworkArn":{},"FrameworkDescription":{},"NumberOfControls":{"type":"integer"},"CreationTime":{"type":"timestamp"},"DeploymentStatus":{}}}},"NextToken":{}}}},"ListProtectedResources":{"http":{"method":"GET","requestUri":"/resources/"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"Results":{"type":"list","member":{"type":"structure","members":{"ResourceArn":{},"ResourceType":{},"LastBackupTime":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListRecoveryPointsByBackupVault":{"http":{"method":"GET","requestUri":"/backup-vaults/{backupVaultName}/recovery-points/"},"input":{"type":"structure","required":["BackupVaultName"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"ByResourceArn":{"location":"querystring","locationName":"resourceArn"},"ByResourceType":{"location":"querystring","locationName":"resourceType"},"ByBackupPlanId":{"location":"querystring","locationName":"backupPlanId"},"ByCreatedBefore":{"location":"querystring","locationName":"createdBefore","type":"timestamp"},"ByCreatedAfter":{"location":"querystring","locationName":"createdAfter","type":"timestamp"}}},"output":{"type":"structure","members":{"NextToken":{},"RecoveryPoints":{"type":"list","member":{"type":"structure","members":{"RecoveryPointArn":{},"BackupVaultName":{},"BackupVaultArn":{},"SourceBackupVaultArn":{},"ResourceArn":{},"ResourceType":{},"CreatedBy":{"shape":"S2a"},"IamRoleArn":{},"Status":{},"StatusMessage":{},"CreationDate":{"type":"timestamp"},"CompletionDate":{"type":"timestamp"},"BackupSizeInBytes":{"type":"long"},"CalculatedLifecycle":{"shape":"S2u"},"Lifecycle":{"shape":"Sa"},"EncryptionKeyArn":{},"IsEncrypted":{"type":"boolean"},"LastRestoreTime":{"type":"timestamp"}}}}}},"idempotent":true},"ListRecoveryPointsByResource":{"http":{"method":"GET","requestUri":"/resources/{resourceArn}/recovery-points/"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"RecoveryPoints":{"type":"list","member":{"type":"structure","members":{"RecoveryPointArn":{},"CreationDate":{"type":"timestamp"},"Status":{},"StatusMessage":{},"EncryptionKeyArn":{},"BackupSizeBytes":{"type":"long"},"BackupVaultName":{}}}}}},"idempotent":true},"ListReportJobs":{"http":{"method":"GET","requestUri":"/audit/report-jobs"},"input":{"type":"structure","members":{"ByReportPlanName":{"location":"querystring","locationName":"ReportPlanName"},"ByCreationBefore":{"location":"querystring","locationName":"CreationBefore","type":"timestamp"},"ByCreationAfter":{"location":"querystring","locationName":"CreationAfter","type":"timestamp"},"ByStatus":{"location":"querystring","locationName":"Status"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"ReportJobs":{"type":"list","member":{"shape":"S35"}},"NextToken":{}}}},"ListReportPlans":{"http":{"method":"GET","requestUri":"/audit/report-plans"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"ReportPlans":{"type":"list","member":{"shape":"S39"}},"NextToken":{}}}},"ListRestoreJobs":{"http":{"method":"GET","requestUri":"/restore-jobs/"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"ByAccountId":{"location":"querystring","locationName":"accountId"},"ByCreatedBefore":{"location":"querystring","locationName":"createdBefore","type":"timestamp"},"ByCreatedAfter":{"location":"querystring","locationName":"createdAfter","type":"timestamp"},"ByStatus":{"location":"querystring","locationName":"status"}}},"output":{"type":"structure","members":{"RestoreJobs":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"RestoreJobId":{},"RecoveryPointArn":{},"CreationDate":{"type":"timestamp"},"CompletionDate":{"type":"timestamp"},"Status":{},"StatusMessage":{},"PercentDone":{},"BackupSizeInBytes":{"type":"long"},"IamRoleArn":{},"ExpectedCompletionTimeMinutes":{"type":"long"},"CreatedResourceArn":{},"ResourceType":{}}}},"NextToken":{}}},"idempotent":true},"ListTags":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}/"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"Tags":{"shape":"Sc"}}},"idempotent":true},"PutBackupVaultAccessPolicy":{"http":{"method":"PUT","requestUri":"/backup-vaults/{backupVaultName}/access-policy"},"input":{"type":"structure","required":["BackupVaultName"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"},"Policy":{}}},"idempotent":true},"PutBackupVaultLockConfiguration":{"http":{"method":"PUT","requestUri":"/backup-vaults/{backupVaultName}/vault-lock"},"input":{"type":"structure","required":["BackupVaultName"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"},"MinRetentionDays":{"type":"long"},"MaxRetentionDays":{"type":"long"},"ChangeableForDays":{"type":"long"}}},"idempotent":true},"PutBackupVaultNotifications":{"http":{"method":"PUT","requestUri":"/backup-vaults/{backupVaultName}/notification-configuration"},"input":{"type":"structure","required":["BackupVaultName","SNSTopicArn","BackupVaultEvents"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"},"SNSTopicArn":{},"BackupVaultEvents":{"shape":"S3x"}}},"idempotent":true},"StartBackupJob":{"http":{"method":"PUT","requestUri":"/backup-jobs"},"input":{"type":"structure","required":["BackupVaultName","ResourceArn","IamRoleArn"],"members":{"BackupVaultName":{},"ResourceArn":{},"IamRoleArn":{},"IdempotencyToken":{},"StartWindowMinutes":{"type":"long"},"CompleteWindowMinutes":{"type":"long"},"Lifecycle":{"shape":"Sa"},"RecoveryPointTags":{"shape":"Sc"},"BackupOptions":{"shape":"Sm"}}},"output":{"type":"structure","members":{"BackupJobId":{},"RecoveryPointArn":{},"CreationDate":{"type":"timestamp"}}},"idempotent":true},"StartCopyJob":{"http":{"method":"PUT","requestUri":"/copy-jobs"},"input":{"type":"structure","required":["RecoveryPointArn","SourceBackupVaultName","DestinationBackupVaultArn","IamRoleArn"],"members":{"RecoveryPointArn":{},"SourceBackupVaultName":{},"DestinationBackupVaultArn":{},"IamRoleArn":{},"IdempotencyToken":{},"Lifecycle":{"shape":"Sa"}}},"output":{"type":"structure","members":{"CopyJobId":{},"CreationDate":{"type":"timestamp"}}},"idempotent":true},"StartReportJob":{"http":{"requestUri":"/audit/report-jobs/{reportPlanName}"},"input":{"type":"structure","required":["ReportPlanName"],"members":{"ReportPlanName":{"location":"uri","locationName":"reportPlanName"},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ReportJobId":{}}},"idempotent":true},"StartRestoreJob":{"http":{"method":"PUT","requestUri":"/restore-jobs"},"input":{"type":"structure","required":["RecoveryPointArn","Metadata","IamRoleArn"],"members":{"RecoveryPointArn":{},"Metadata":{"shape":"S41"},"IamRoleArn":{},"IdempotencyToken":{},"ResourceType":{}}},"output":{"type":"structure","members":{"RestoreJobId":{}}},"idempotent":true},"StopBackupJob":{"http":{"requestUri":"/backup-jobs/{backupJobId}"},"input":{"type":"structure","required":["BackupJobId"],"members":{"BackupJobId":{"location":"uri","locationName":"backupJobId"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"Sc"}}},"idempotent":true},"UntagResource":{"http":{"requestUri":"/untag/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","TagKeyList"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeyList":{"type":"list","member":{},"sensitive":true}}},"idempotent":true},"UpdateBackupPlan":{"http":{"requestUri":"/backup/plans/{backupPlanId}"},"input":{"type":"structure","required":["BackupPlanId","BackupPlan"],"members":{"BackupPlanId":{"location":"uri","locationName":"backupPlanId"},"BackupPlan":{"shape":"S2"}}},"output":{"type":"structure","members":{"BackupPlanId":{},"BackupPlanArn":{},"CreationDate":{"type":"timestamp"},"VersionId":{},"AdvancedBackupSettings":{"shape":"Sj"}}},"idempotent":true},"UpdateFramework":{"http":{"method":"PUT","requestUri":"/audit/frameworks/{frameworkName}"},"input":{"type":"structure","required":["FrameworkName"],"members":{"FrameworkName":{"location":"uri","locationName":"frameworkName"},"FrameworkDescription":{},"FrameworkControls":{"shape":"S1b"},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"FrameworkName":{},"FrameworkArn":{},"CreationTime":{"type":"timestamp"}}},"idempotent":true},"UpdateGlobalSettings":{"http":{"method":"PUT","requestUri":"/global-settings"},"input":{"type":"structure","members":{"GlobalSettings":{"shape":"S2m"}}}},"UpdateRecoveryPointLifecycle":{"http":{"requestUri":"/backup-vaults/{backupVaultName}/recovery-points/{recoveryPointArn}"},"input":{"type":"structure","required":["BackupVaultName","RecoveryPointArn"],"members":{"BackupVaultName":{"location":"uri","locationName":"backupVaultName"},"RecoveryPointArn":{"location":"uri","locationName":"recoveryPointArn"},"Lifecycle":{"shape":"Sa"}}},"output":{"type":"structure","members":{"BackupVaultArn":{},"RecoveryPointArn":{},"Lifecycle":{"shape":"Sa"},"CalculatedLifecycle":{"shape":"S2u"}}},"idempotent":true},"UpdateRegionSettings":{"http":{"method":"PUT","requestUri":"/account-settings"},"input":{"type":"structure","members":{"ResourceTypeOptInPreference":{"shape":"S2z"},"ResourceTypeManagementPreference":{"shape":"S31"}}}},"UpdateReportPlan":{"http":{"method":"PUT","requestUri":"/audit/report-plans/{reportPlanName}"},"input":{"type":"structure","required":["ReportPlanName"],"members":{"ReportPlanName":{"location":"uri","locationName":"reportPlanName"},"ReportPlanDescription":{},"ReportDeliveryChannel":{"shape":"S1q"},"ReportSetting":{"shape":"S1s"},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ReportPlanName":{},"ReportPlanArn":{},"CreationTime":{"type":"timestamp"}}},"idempotent":true}},"shapes":{"S2":{"type":"structure","required":["BackupPlanName","Rules"],"members":{"BackupPlanName":{},"Rules":{"type":"list","member":{"type":"structure","required":["RuleName","TargetBackupVaultName"],"members":{"RuleName":{},"TargetBackupVaultName":{},"ScheduleExpression":{},"StartWindowMinutes":{"type":"long"},"CompletionWindowMinutes":{"type":"long"},"Lifecycle":{"shape":"Sa"},"RecoveryPointTags":{"shape":"Sc"},"CopyActions":{"shape":"Sf"},"EnableContinuousBackup":{"type":"boolean"}}}},"AdvancedBackupSettings":{"shape":"Sj"}}},"Sa":{"type":"structure","members":{"MoveToColdStorageAfterDays":{"type":"long"},"DeleteAfterDays":{"type":"long"}}},"Sc":{"type":"map","key":{},"value":{},"sensitive":true},"Sf":{"type":"list","member":{"type":"structure","required":["DestinationBackupVaultArn"],"members":{"Lifecycle":{"shape":"Sa"},"DestinationBackupVaultArn":{}}}},"Sj":{"type":"list","member":{"type":"structure","members":{"ResourceType":{},"BackupOptions":{"shape":"Sm"}}}},"Sm":{"type":"map","key":{},"value":{}},"St":{"type":"structure","required":["SelectionName","IamRoleArn"],"members":{"SelectionName":{},"IamRoleArn":{},"Resources":{"shape":"Sw"},"ListOfTags":{"type":"list","member":{"type":"structure","required":["ConditionType","ConditionKey","ConditionValue"],"members":{"ConditionType":{},"ConditionKey":{},"ConditionValue":{}}}},"NotResources":{"shape":"Sw"},"Conditions":{"type":"structure","members":{"StringEquals":{"shape":"S13"},"StringNotEquals":{"shape":"S13"},"StringLike":{"shape":"S13"},"StringNotLike":{"shape":"S13"}}}}},"Sw":{"type":"list","member":{}},"S13":{"type":"list","member":{"type":"structure","members":{"ConditionKey":{},"ConditionValue":{}}}},"S1b":{"type":"list","member":{"type":"structure","required":["ControlName"],"members":{"ControlName":{},"ControlInputParameters":{"type":"list","member":{"type":"structure","members":{"ParameterName":{},"ParameterValue":{}}}},"ControlScope":{"type":"structure","members":{"ComplianceResourceIds":{"type":"list","member":{}},"ComplianceResourceTypes":{"type":"list","member":{}},"Tags":{"shape":"S1l"}}}}}},"S1l":{"type":"map","key":{},"value":{}},"S1q":{"type":"structure","required":["S3BucketName"],"members":{"S3BucketName":{},"S3KeyPrefix":{},"Formats":{"type":"list","member":{}}}},"S1s":{"type":"structure","required":["ReportTemplate"],"members":{"ReportTemplate":{},"FrameworkArns":{"shape":"S1t"},"NumberOfFrameworks":{"type":"integer"}}},"S1t":{"type":"list","member":{}},"S2a":{"type":"structure","members":{"BackupPlanId":{},"BackupPlanArn":{},"BackupPlanVersion":{},"BackupRuleId":{}}},"S2g":{"type":"structure","members":{"AccountId":{},"CopyJobId":{},"SourceBackupVaultArn":{},"SourceRecoveryPointArn":{},"DestinationBackupVaultArn":{},"DestinationRecoveryPointArn":{},"ResourceArn":{},"CreationDate":{"type":"timestamp"},"CompletionDate":{"type":"timestamp"},"State":{},"StatusMessage":{},"BackupSizeInBytes":{"type":"long"},"IamRoleArn":{},"CreatedBy":{"shape":"S2a"},"ResourceType":{}}},"S2m":{"type":"map","key":{},"value":{}},"S2u":{"type":"structure","members":{"MoveToColdStorageAt":{"type":"timestamp"},"DeleteAt":{"type":"timestamp"}}},"S2z":{"type":"map","key":{},"value":{"type":"boolean"}},"S31":{"type":"map","key":{},"value":{"type":"boolean"}},"S35":{"type":"structure","members":{"ReportJobId":{},"ReportPlanArn":{},"ReportTemplate":{},"CreationTime":{"type":"timestamp"},"CompletionTime":{"type":"timestamp"},"Status":{},"StatusMessage":{},"ReportDestination":{"type":"structure","members":{"S3BucketName":{},"S3Keys":{"shape":"S1t"}}}}},"S39":{"type":"structure","members":{"ReportPlanArn":{},"ReportPlanName":{},"ReportPlanDescription":{},"ReportSetting":{"shape":"S1s"},"ReportDeliveryChannel":{"shape":"S1q"},"DeploymentStatus":{},"CreationTime":{"type":"timestamp"},"LastAttemptedExecutionTime":{"type":"timestamp"},"LastSuccessfulExecutionTime":{"type":"timestamp"}}},"S3j":{"type":"structure","required":["BackupPlanName","Rules"],"members":{"BackupPlanName":{},"Rules":{"type":"list","member":{"type":"structure","required":["RuleName","TargetBackupVaultName"],"members":{"RuleName":{},"TargetBackupVaultName":{},"ScheduleExpression":{},"StartWindowMinutes":{"type":"long"},"CompletionWindowMinutes":{"type":"long"},"Lifecycle":{"shape":"Sa"},"RecoveryPointTags":{"shape":"Sc"},"RuleId":{},"CopyActions":{"shape":"Sf"},"EnableContinuousBackup":{"type":"boolean"}}}},"AdvancedBackupSettings":{"shape":"Sj"}}},"S3x":{"type":"list","member":{}},"S41":{"type":"map","key":{},"value":{},"sensitive":true},"S4i":{"type":"structure","members":{"BackupPlanArn":{},"BackupPlanId":{},"CreationDate":{"type":"timestamp"},"DeletionDate":{"type":"timestamp"},"VersionId":{},"BackupPlanName":{},"CreatorRequestId":{},"LastExecutionDate":{"type":"timestamp"},"AdvancedBackupSettings":{"shape":"Sj"}}}}}');

/***/ }),

/***/ 54869:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListBackupJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListBackupPlanTemplates":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListBackupPlanVersions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListBackupPlans":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListBackupSelections":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListBackupVaults":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListCopyJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListFrameworks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListProtectedResources":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListRecoveryPointsByBackupVault":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListRecoveryPointsByResource":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListReportJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListReportPlans":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListRestoreJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTags":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 96863:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-01-01","endpointPrefix":"backup-gateway","jsonVersion":"1.0","protocol":"json","serviceFullName":"AWS Backup Gateway","serviceId":"Backup Gateway","signatureVersion":"v4","signingName":"backup-gateway","targetPrefix":"BackupOnPremises_v20210101","uid":"backup-gateway-2021-01-01"},"operations":{"AssociateGatewayToServer":{"input":{"type":"structure","required":["GatewayArn","ServerArn"],"members":{"GatewayArn":{},"ServerArn":{}}},"output":{"type":"structure","members":{"GatewayArn":{}}}},"CreateGateway":{"input":{"type":"structure","required":["ActivationKey","GatewayDisplayName","GatewayType"],"members":{"ActivationKey":{},"GatewayDisplayName":{},"GatewayType":{},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"GatewayArn":{}}}},"DeleteGateway":{"input":{"type":"structure","required":["GatewayArn"],"members":{"GatewayArn":{}}},"output":{"type":"structure","members":{"GatewayArn":{}}},"idempotent":true},"DeleteHypervisor":{"input":{"type":"structure","required":["HypervisorArn"],"members":{"HypervisorArn":{}}},"output":{"type":"structure","members":{"HypervisorArn":{}}},"idempotent":true},"DisassociateGatewayFromServer":{"input":{"type":"structure","required":["GatewayArn"],"members":{"GatewayArn":{}}},"output":{"type":"structure","members":{"GatewayArn":{}}}},"ImportHypervisorConfiguration":{"input":{"type":"structure","required":["Host","Name"],"members":{"Host":{},"KmsKeyArn":{},"Name":{},"Password":{"shape":"Sn"},"Tags":{"shape":"S9"},"Username":{"shape":"So"}}},"output":{"type":"structure","members":{"HypervisorArn":{}}}},"ListGateways":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Gateways":{"type":"list","member":{"type":"structure","members":{"GatewayArn":{},"GatewayDisplayName":{},"GatewayType":{},"HypervisorId":{},"LastSeenTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListHypervisors":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Hypervisors":{"type":"list","member":{"type":"structure","members":{"Host":{},"HypervisorArn":{},"KmsKeyArn":{},"Name":{},"State":{}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"ResourceArn":{},"Tags":{"shape":"S9"}}}},"ListVirtualMachines":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"VirtualMachines":{"type":"list","member":{"type":"structure","members":{"HostName":{},"HypervisorId":{},"LastBackupDate":{"type":"timestamp"},"Name":{},"Path":{},"ResourceArn":{}}}}}}},"PutMaintenanceStartTime":{"input":{"type":"structure","required":["GatewayArn","HourOfDay","MinuteOfHour"],"members":{"DayOfMonth":{"type":"integer"},"DayOfWeek":{"type":"integer"},"GatewayArn":{},"HourOfDay":{"type":"integer"},"MinuteOfHour":{"type":"integer"}}},"output":{"type":"structure","members":{"GatewayArn":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"ResourceARN":{}}}},"TestHypervisorConfiguration":{"input":{"type":"structure","required":["GatewayArn","Host"],"members":{"GatewayArn":{},"Host":{},"Password":{"shape":"Sn"},"Username":{"shape":"So"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"ResourceARN":{}}}},"UpdateGatewayInformation":{"input":{"type":"structure","required":["GatewayArn"],"members":{"GatewayArn":{},"GatewayDisplayName":{}}},"output":{"type":"structure","members":{"GatewayArn":{}}}},"UpdateHypervisor":{"input":{"type":"structure","required":["HypervisorArn"],"members":{"Host":{},"HypervisorArn":{},"Password":{"shape":"Sn"},"Username":{"shape":"So"}}},"output":{"type":"structure","members":{"HypervisorArn":{}}}}},"shapes":{"S9":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sn":{"type":"string","sensitive":true},"So":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 34946:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListGateways":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Gateways"},"ListHypervisors":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Hypervisors"},"ListVirtualMachines":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"VirtualMachines"}}}');

/***/ }),

/***/ 12617:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-08-10","endpointPrefix":"batch","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"AWS Batch","serviceFullName":"AWS Batch","serviceId":"Batch","signatureVersion":"v4","uid":"batch-2016-08-10"},"operations":{"CancelJob":{"http":{"requestUri":"/v1/canceljob"},"input":{"type":"structure","required":["jobId","reason"],"members":{"jobId":{},"reason":{}}},"output":{"type":"structure","members":{}}},"CreateComputeEnvironment":{"http":{"requestUri":"/v1/createcomputeenvironment"},"input":{"type":"structure","required":["computeEnvironmentName","type"],"members":{"computeEnvironmentName":{},"type":{},"state":{},"unmanagedvCpus":{"type":"integer"},"computeResources":{"shape":"S8"},"serviceRole":{},"tags":{"shape":"Si"}}},"output":{"type":"structure","members":{"computeEnvironmentName":{},"computeEnvironmentArn":{}}}},"CreateJobQueue":{"http":{"requestUri":"/v1/createjobqueue"},"input":{"type":"structure","required":["jobQueueName","priority","computeEnvironmentOrder"],"members":{"jobQueueName":{},"state":{},"schedulingPolicyArn":{},"priority":{"type":"integer"},"computeEnvironmentOrder":{"shape":"So"},"tags":{"shape":"Si"}}},"output":{"type":"structure","required":["jobQueueName","jobQueueArn"],"members":{"jobQueueName":{},"jobQueueArn":{}}}},"CreateSchedulingPolicy":{"http":{"requestUri":"/v1/createschedulingpolicy"},"input":{"type":"structure","required":["name"],"members":{"name":{},"fairsharePolicy":{"shape":"Ss"},"tags":{"shape":"Si"}}},"output":{"type":"structure","required":["name","arn"],"members":{"name":{},"arn":{}}}},"DeleteComputeEnvironment":{"http":{"requestUri":"/v1/deletecomputeenvironment"},"input":{"type":"structure","required":["computeEnvironment"],"members":{"computeEnvironment":{}}},"output":{"type":"structure","members":{}}},"DeleteJobQueue":{"http":{"requestUri":"/v1/deletejobqueue"},"input":{"type":"structure","required":["jobQueue"],"members":{"jobQueue":{}}},"output":{"type":"structure","members":{}}},"DeleteSchedulingPolicy":{"http":{"requestUri":"/v1/deleteschedulingpolicy"},"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}}},"DeregisterJobDefinition":{"http":{"requestUri":"/v1/deregisterjobdefinition"},"input":{"type":"structure","required":["jobDefinition"],"members":{"jobDefinition":{}}},"output":{"type":"structure","members":{}}},"DescribeComputeEnvironments":{"http":{"requestUri":"/v1/describecomputeenvironments"},"input":{"type":"structure","members":{"computeEnvironments":{"shape":"Sb"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"computeEnvironments":{"type":"list","member":{"type":"structure","required":["computeEnvironmentName","computeEnvironmentArn","ecsClusterArn"],"members":{"computeEnvironmentName":{},"computeEnvironmentArn":{},"unmanagedvCpus":{"type":"integer"},"ecsClusterArn":{},"tags":{"shape":"Si"},"type":{},"state":{},"status":{},"statusReason":{},"computeResources":{"shape":"S8"},"serviceRole":{}}}},"nextToken":{}}}},"DescribeJobDefinitions":{"http":{"requestUri":"/v1/describejobdefinitions"},"input":{"type":"structure","members":{"jobDefinitions":{"shape":"Sb"},"maxResults":{"type":"integer"},"jobDefinitionName":{},"status":{},"nextToken":{}}},"output":{"type":"structure","members":{"jobDefinitions":{"type":"list","member":{"type":"structure","required":["jobDefinitionName","jobDefinitionArn","revision","type"],"members":{"jobDefinitionName":{},"jobDefinitionArn":{},"revision":{"type":"integer"},"status":{},"type":{},"schedulingPriority":{"type":"integer"},"parameters":{"shape":"S1e"},"retryStrategy":{"shape":"S1f"},"containerProperties":{"shape":"S1j"},"timeout":{"shape":"S2g"},"nodeProperties":{"shape":"S2h"},"tags":{"shape":"Si"},"propagateTags":{"type":"boolean"},"platformCapabilities":{"shape":"S2k"}}}},"nextToken":{}}}},"DescribeJobQueues":{"http":{"requestUri":"/v1/describejobqueues"},"input":{"type":"structure","members":{"jobQueues":{"shape":"Sb"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"jobQueues":{"type":"list","member":{"type":"structure","required":["jobQueueName","jobQueueArn","state","priority","computeEnvironmentOrder"],"members":{"jobQueueName":{},"jobQueueArn":{},"state":{},"schedulingPolicyArn":{},"status":{},"statusReason":{},"priority":{"type":"integer"},"computeEnvironmentOrder":{"shape":"So"},"tags":{"shape":"Si"}}}},"nextToken":{}}}},"DescribeJobs":{"http":{"requestUri":"/v1/describejobs"},"input":{"type":"structure","required":["jobs"],"members":{"jobs":{"shape":"Sb"}}},"output":{"type":"structure","members":{"jobs":{"type":"list","member":{"type":"structure","required":["jobName","jobId","jobQueue","status","startedAt","jobDefinition"],"members":{"jobArn":{},"jobName":{},"jobId":{},"jobQueue":{},"status":{},"shareIdentifier":{},"schedulingPriority":{"type":"integer"},"attempts":{"type":"list","member":{"type":"structure","members":{"container":{"type":"structure","members":{"containerInstanceArn":{},"taskArn":{},"exitCode":{"type":"integer"},"reason":{},"logStreamName":{},"networkInterfaces":{"shape":"S2z"}}},"startedAt":{"type":"long"},"stoppedAt":{"type":"long"},"statusReason":{}}}},"statusReason":{},"createdAt":{"type":"long"},"retryStrategy":{"shape":"S1f"},"startedAt":{"type":"long"},"stoppedAt":{"type":"long"},"dependsOn":{"shape":"S32"},"jobDefinition":{},"parameters":{"shape":"S1e"},"container":{"type":"structure","members":{"image":{},"vcpus":{"type":"integer"},"memory":{"type":"integer"},"command":{"shape":"Sb"},"jobRoleArn":{},"executionRoleArn":{},"volumes":{"shape":"S1k"},"environment":{"shape":"S1r"},"mountPoints":{"shape":"S1t"},"readonlyRootFilesystem":{"type":"boolean"},"ulimits":{"shape":"S1w"},"privileged":{"type":"boolean"},"user":{},"exitCode":{"type":"integer"},"reason":{},"containerInstanceArn":{},"taskArn":{},"logStreamName":{},"instanceType":{},"networkInterfaces":{"shape":"S2z"},"resourceRequirements":{"shape":"S1y"},"linuxParameters":{"shape":"S21"},"logConfiguration":{"shape":"S28"},"secrets":{"shape":"S2b"},"networkConfiguration":{"shape":"S2d"},"fargatePlatformConfiguration":{"shape":"S2f"}}},"nodeDetails":{"type":"structure","members":{"nodeIndex":{"type":"integer"},"isMainNode":{"type":"boolean"}}},"nodeProperties":{"shape":"S2h"},"arrayProperties":{"type":"structure","members":{"statusSummary":{"type":"map","key":{},"value":{"type":"integer"}},"size":{"type":"integer"},"index":{"type":"integer"}}},"timeout":{"shape":"S2g"},"tags":{"shape":"Si"},"propagateTags":{"type":"boolean"},"platformCapabilities":{"shape":"S2k"}}}}}}},"DescribeSchedulingPolicies":{"http":{"requestUri":"/v1/describeschedulingpolicies"},"input":{"type":"structure","required":["arns"],"members":{"arns":{"shape":"Sb"}}},"output":{"type":"structure","members":{"schedulingPolicies":{"type":"list","member":{"type":"structure","required":["name","arn"],"members":{"name":{},"arn":{},"fairsharePolicy":{"shape":"Ss"},"tags":{"shape":"Si"}}}}}}},"ListJobs":{"http":{"requestUri":"/v1/listjobs"},"input":{"type":"structure","members":{"jobQueue":{},"arrayJobId":{},"multiNodeJobId":{},"jobStatus":{},"maxResults":{"type":"integer"},"nextToken":{},"filters":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"shape":"Sb"}}}}}},"output":{"type":"structure","required":["jobSummaryList"],"members":{"jobSummaryList":{"type":"list","member":{"type":"structure","required":["jobId","jobName"],"members":{"jobArn":{},"jobId":{},"jobName":{},"createdAt":{"type":"long"},"status":{},"statusReason":{},"startedAt":{"type":"long"},"stoppedAt":{"type":"long"},"container":{"type":"structure","members":{"exitCode":{"type":"integer"},"reason":{}}},"arrayProperties":{"type":"structure","members":{"size":{"type":"integer"},"index":{"type":"integer"}}},"nodeProperties":{"type":"structure","members":{"isMainNode":{"type":"boolean"},"numNodes":{"type":"integer"},"nodeIndex":{"type":"integer"}}},"jobDefinition":{}}}},"nextToken":{}}}},"ListSchedulingPolicies":{"http":{"requestUri":"/v1/listschedulingpolicies"},"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"schedulingPolicies":{"type":"list","member":{"type":"structure","required":["arn"],"members":{"arn":{}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/v1/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Si"}}}},"RegisterJobDefinition":{"http":{"requestUri":"/v1/registerjobdefinition"},"input":{"type":"structure","required":["jobDefinitionName","type"],"members":{"jobDefinitionName":{},"type":{},"parameters":{"shape":"S1e"},"schedulingPriority":{"type":"integer"},"containerProperties":{"shape":"S1j"},"nodeProperties":{"shape":"S2h"},"retryStrategy":{"shape":"S1f"},"propagateTags":{"type":"boolean"},"timeout":{"shape":"S2g"},"tags":{"shape":"Si"},"platformCapabilities":{"shape":"S2k"}}},"output":{"type":"structure","required":["jobDefinitionName","jobDefinitionArn","revision"],"members":{"jobDefinitionName":{},"jobDefinitionArn":{},"revision":{"type":"integer"}}}},"SubmitJob":{"http":{"requestUri":"/v1/submitjob"},"input":{"type":"structure","required":["jobName","jobQueue","jobDefinition"],"members":{"jobName":{},"jobQueue":{},"shareIdentifier":{},"schedulingPriorityOverride":{"type":"integer"},"arrayProperties":{"type":"structure","members":{"size":{"type":"integer"}}},"dependsOn":{"shape":"S32"},"jobDefinition":{},"parameters":{"shape":"S1e"},"containerOverrides":{"shape":"S3x"},"nodeOverrides":{"type":"structure","members":{"numNodes":{"type":"integer"},"nodePropertyOverrides":{"type":"list","member":{"type":"structure","required":["targetNodes"],"members":{"targetNodes":{},"containerOverrides":{"shape":"S3x"}}}}}},"retryStrategy":{"shape":"S1f"},"propagateTags":{"type":"boolean"},"timeout":{"shape":"S2g"},"tags":{"shape":"Si"}}},"output":{"type":"structure","required":["jobName","jobId"],"members":{"jobArn":{},"jobName":{},"jobId":{}}}},"TagResource":{"http":{"requestUri":"/v1/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Si"}}},"output":{"type":"structure","members":{}}},"TerminateJob":{"http":{"requestUri":"/v1/terminatejob"},"input":{"type":"structure","required":["jobId","reason"],"members":{"jobId":{},"reason":{}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/v1/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateComputeEnvironment":{"http":{"requestUri":"/v1/updatecomputeenvironment"},"input":{"type":"structure","required":["computeEnvironment"],"members":{"computeEnvironment":{},"state":{},"unmanagedvCpus":{"type":"integer"},"computeResources":{"type":"structure","members":{"minvCpus":{"type":"integer"},"maxvCpus":{"type":"integer"},"desiredvCpus":{"type":"integer"},"subnets":{"shape":"Sb"},"securityGroupIds":{"shape":"Sb"}}},"serviceRole":{}}},"output":{"type":"structure","members":{"computeEnvironmentName":{},"computeEnvironmentArn":{}}}},"UpdateJobQueue":{"http":{"requestUri":"/v1/updatejobqueue"},"input":{"type":"structure","required":["jobQueue"],"members":{"jobQueue":{},"state":{},"schedulingPolicyArn":{},"priority":{"type":"integer"},"computeEnvironmentOrder":{"shape":"So"}}},"output":{"type":"structure","members":{"jobQueueName":{},"jobQueueArn":{}}}},"UpdateSchedulingPolicy":{"http":{"requestUri":"/v1/updateschedulingpolicy"},"input":{"type":"structure","required":["arn"],"members":{"arn":{},"fairsharePolicy":{"shape":"Ss"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S8":{"type":"structure","required":["type","maxvCpus","subnets"],"members":{"type":{},"allocationStrategy":{},"minvCpus":{"type":"integer"},"maxvCpus":{"type":"integer"},"desiredvCpus":{"type":"integer"},"instanceTypes":{"shape":"Sb"},"imageId":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use ec2Configuration[].imageIdOverride instead."},"subnets":{"shape":"Sb"},"securityGroupIds":{"shape":"Sb"},"ec2KeyPair":{},"instanceRole":{},"tags":{"type":"map","key":{},"value":{}},"placementGroup":{},"bidPercentage":{"type":"integer"},"spotIamFleetRole":{},"launchTemplate":{"type":"structure","members":{"launchTemplateId":{},"launchTemplateName":{},"version":{}}},"ec2Configuration":{"type":"list","member":{"type":"structure","required":["imageType"],"members":{"imageType":{},"imageIdOverride":{}}}}}},"Sb":{"type":"list","member":{}},"Si":{"type":"map","key":{},"value":{}},"So":{"type":"list","member":{"type":"structure","required":["order","computeEnvironment"],"members":{"order":{"type":"integer"},"computeEnvironment":{}}}},"Ss":{"type":"structure","members":{"shareDecaySeconds":{"type":"integer"},"computeReservation":{"type":"integer"},"shareDistribution":{"type":"list","member":{"type":"structure","required":["shareIdentifier"],"members":{"shareIdentifier":{},"weightFactor":{"type":"float"}}}}}},"S1e":{"type":"map","key":{},"value":{}},"S1f":{"type":"structure","members":{"attempts":{"type":"integer"},"evaluateOnExit":{"type":"list","member":{"type":"structure","required":["action"],"members":{"onStatusReason":{},"onReason":{},"onExitCode":{},"action":{}}}}}},"S1j":{"type":"structure","members":{"image":{},"vcpus":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use resourceRequirements instead.","type":"integer"},"memory":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use resourceRequirements instead.","type":"integer"},"command":{"shape":"Sb"},"jobRoleArn":{},"executionRoleArn":{},"volumes":{"shape":"S1k"},"environment":{"shape":"S1r"},"mountPoints":{"shape":"S1t"},"readonlyRootFilesystem":{"type":"boolean"},"privileged":{"type":"boolean"},"ulimits":{"shape":"S1w"},"user":{},"instanceType":{},"resourceRequirements":{"shape":"S1y"},"linuxParameters":{"shape":"S21"},"logConfiguration":{"shape":"S28"},"secrets":{"shape":"S2b"},"networkConfiguration":{"shape":"S2d"},"fargatePlatformConfiguration":{"shape":"S2f"}}},"S1k":{"type":"list","member":{"type":"structure","members":{"host":{"type":"structure","members":{"sourcePath":{}}},"name":{},"efsVolumeConfiguration":{"type":"structure","required":["fileSystemId"],"members":{"fileSystemId":{},"rootDirectory":{},"transitEncryption":{},"transitEncryptionPort":{"type":"integer"},"authorizationConfig":{"type":"structure","members":{"accessPointId":{},"iam":{}}}}}}}},"S1r":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{}}}},"S1t":{"type":"list","member":{"type":"structure","members":{"containerPath":{},"readOnly":{"type":"boolean"},"sourceVolume":{}}}},"S1w":{"type":"list","member":{"type":"structure","required":["hardLimit","name","softLimit"],"members":{"hardLimit":{"type":"integer"},"name":{},"softLimit":{"type":"integer"}}}},"S1y":{"type":"list","member":{"type":"structure","required":["value","type"],"members":{"value":{},"type":{}}}},"S21":{"type":"structure","members":{"devices":{"type":"list","member":{"type":"structure","required":["hostPath"],"members":{"hostPath":{},"containerPath":{},"permissions":{"type":"list","member":{}}}}},"initProcessEnabled":{"type":"boolean"},"sharedMemorySize":{"type":"integer"},"tmpfs":{"type":"list","member":{"type":"structure","required":["containerPath","size"],"members":{"containerPath":{},"size":{"type":"integer"},"mountOptions":{"shape":"Sb"}}}},"maxSwap":{"type":"integer"},"swappiness":{"type":"integer"}}},"S28":{"type":"structure","required":["logDriver"],"members":{"logDriver":{},"options":{"type":"map","key":{},"value":{}},"secretOptions":{"shape":"S2b"}}},"S2b":{"type":"list","member":{"type":"structure","required":["name","valueFrom"],"members":{"name":{},"valueFrom":{}}}},"S2d":{"type":"structure","members":{"assignPublicIp":{}}},"S2f":{"type":"structure","members":{"platformVersion":{}}},"S2g":{"type":"structure","members":{"attemptDurationSeconds":{"type":"integer"}}},"S2h":{"type":"structure","required":["numNodes","mainNode","nodeRangeProperties"],"members":{"numNodes":{"type":"integer"},"mainNode":{"type":"integer"},"nodeRangeProperties":{"type":"list","member":{"type":"structure","required":["targetNodes"],"members":{"targetNodes":{},"container":{"shape":"S1j"}}}}}},"S2k":{"type":"list","member":{}},"S2z":{"type":"list","member":{"type":"structure","members":{"attachmentId":{},"ipv6Address":{},"privateIpv4Address":{}}}},"S32":{"type":"list","member":{"type":"structure","members":{"jobId":{},"type":{}}}},"S3x":{"type":"structure","members":{"vcpus":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use resourceRequirements instead.","type":"integer"},"memory":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use resourceRequirements instead.","type":"integer"},"command":{"shape":"Sb"},"instanceType":{},"environment":{"shape":"S1r"},"resourceRequirements":{"shape":"S1y"}}}}}');

/***/ }),

/***/ 36988:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeComputeEnvironments":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"computeEnvironments"},"DescribeJobDefinitions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"jobDefinitions"},"DescribeJobQueues":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"jobQueues"},"ListJobs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"jobSummaryList"},"ListSchedulingPolicies":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"schedulingPolicies"}}}');

/***/ }),

/***/ 23332:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-09-01","endpointPrefix":"braket","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Braket","serviceId":"Braket","signatureVersion":"v4","signingName":"braket","uid":"braket-2019-09-01"},"operations":{"CancelJob":{"http":{"method":"PUT","requestUri":"/job/{jobArn}/cancel","responseCode":200},"input":{"type":"structure","required":["jobArn"],"members":{"jobArn":{"location":"uri","locationName":"jobArn"}}},"output":{"type":"structure","required":["cancellationStatus","jobArn"],"members":{"cancellationStatus":{},"jobArn":{}}},"idempotent":true},"CancelQuantumTask":{"http":{"method":"PUT","requestUri":"/quantum-task/{quantumTaskArn}/cancel","responseCode":200},"input":{"type":"structure","required":["clientToken","quantumTaskArn"],"members":{"clientToken":{"idempotencyToken":true},"quantumTaskArn":{"location":"uri","locationName":"quantumTaskArn"}}},"output":{"type":"structure","required":["cancellationStatus","quantumTaskArn"],"members":{"cancellationStatus":{},"quantumTaskArn":{}}},"idempotent":true},"CreateJob":{"http":{"requestUri":"/job","responseCode":201},"input":{"type":"structure","required":["algorithmSpecification","clientToken","deviceConfig","instanceConfig","jobName","outputDataConfig","roleArn"],"members":{"algorithmSpecification":{"shape":"Sa"},"checkpointConfig":{"shape":"Sh"},"clientToken":{"idempotencyToken":true},"deviceConfig":{"shape":"Sj"},"hyperParameters":{"shape":"Sl"},"inputDataConfig":{"type":"list","member":{"shape":"So"}},"instanceConfig":{"shape":"Ss"},"jobName":{},"outputDataConfig":{"shape":"Sw"},"roleArn":{},"stoppingCondition":{"shape":"Sz"},"tags":{"shape":"S11"}}},"output":{"type":"structure","required":["jobArn"],"members":{"jobArn":{}}}},"CreateQuantumTask":{"http":{"requestUri":"/quantum-task","responseCode":201},"input":{"type":"structure","required":["action","clientToken","deviceArn","outputS3Bucket","outputS3KeyPrefix","shots"],"members":{"action":{"jsonvalue":true},"clientToken":{"idempotencyToken":true},"deviceArn":{},"deviceParameters":{"jsonvalue":true},"jobToken":{},"outputS3Bucket":{},"outputS3KeyPrefix":{},"shots":{"type":"long"},"tags":{"shape":"S11"}}},"output":{"type":"structure","required":["quantumTaskArn"],"members":{"quantumTaskArn":{}}}},"GetDevice":{"http":{"method":"GET","requestUri":"/device/{deviceArn}","responseCode":200},"input":{"type":"structure","required":["deviceArn"],"members":{"deviceArn":{"location":"uri","locationName":"deviceArn"}}},"output":{"type":"structure","required":["deviceArn","deviceCapabilities","deviceName","deviceStatus","deviceType","providerName"],"members":{"deviceArn":{},"deviceCapabilities":{"jsonvalue":true},"deviceName":{},"deviceStatus":{},"deviceType":{},"providerName":{}}}},"GetJob":{"http":{"method":"GET","requestUri":"/job/{jobArn}","responseCode":200},"input":{"type":"structure","required":["jobArn"],"members":{"jobArn":{"location":"uri","locationName":"jobArn"}}},"output":{"type":"structure","required":["algorithmSpecification","createdAt","instanceConfig","jobArn","jobName","outputDataConfig","roleArn","status"],"members":{"algorithmSpecification":{"shape":"Sa"},"billableDuration":{"type":"integer"},"checkpointConfig":{"shape":"Sh"},"createdAt":{"shape":"S1j"},"deviceConfig":{"shape":"Sj"},"endedAt":{"shape":"S1j"},"events":{"type":"list","member":{"type":"structure","members":{"eventType":{},"message":{},"timeOfEvent":{"shape":"S1j"}}}},"failureReason":{},"hyperParameters":{"shape":"Sl"},"inputDataConfig":{"type":"list","member":{"shape":"So"}},"instanceConfig":{"shape":"Ss"},"jobArn":{},"jobName":{},"outputDataConfig":{"shape":"Sw"},"roleArn":{},"startedAt":{"shape":"S1j"},"status":{},"stoppingCondition":{"shape":"Sz"},"tags":{"shape":"S11"}}}},"GetQuantumTask":{"http":{"method":"GET","requestUri":"/quantum-task/{quantumTaskArn}","responseCode":200},"input":{"type":"structure","required":["quantumTaskArn"],"members":{"quantumTaskArn":{"location":"uri","locationName":"quantumTaskArn"}}},"output":{"type":"structure","required":["createdAt","deviceArn","deviceParameters","outputS3Bucket","outputS3Directory","quantumTaskArn","shots","status"],"members":{"createdAt":{"shape":"S1j"},"deviceArn":{},"deviceParameters":{"jsonvalue":true},"endedAt":{"shape":"S1j"},"failureReason":{},"jobArn":{},"outputS3Bucket":{},"outputS3Directory":{},"quantumTaskArn":{},"shots":{"type":"long"},"status":{},"tags":{"shape":"S11"}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S11"}}}},"SearchDevices":{"http":{"requestUri":"/devices","responseCode":200},"input":{"type":"structure","required":["filters"],"members":{"filters":{"type":"list","member":{"type":"structure","required":["name","values"],"members":{"name":{},"values":{"type":"list","member":{}}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["devices"],"members":{"devices":{"type":"list","member":{"type":"structure","required":["deviceArn","deviceName","deviceStatus","deviceType","providerName"],"members":{"deviceArn":{},"deviceName":{},"deviceStatus":{},"deviceType":{},"providerName":{}}}},"nextToken":{}}}},"SearchJobs":{"http":{"requestUri":"/jobs","responseCode":200},"input":{"type":"structure","required":["filters"],"members":{"filters":{"type":"list","member":{"type":"structure","required":["name","operator","values"],"members":{"name":{},"operator":{},"values":{"type":"list","member":{}}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["jobs"],"members":{"jobs":{"type":"list","member":{"type":"structure","required":["createdAt","device","jobArn","jobName","status"],"members":{"createdAt":{"shape":"S1j"},"device":{},"endedAt":{"shape":"S1j"},"jobArn":{},"jobName":{},"startedAt":{"shape":"S1j"},"status":{},"tags":{"shape":"S11"}}}},"nextToken":{}}}},"SearchQuantumTasks":{"http":{"requestUri":"/quantum-tasks","responseCode":200},"input":{"type":"structure","required":["filters"],"members":{"filters":{"type":"list","member":{"type":"structure","required":["name","operator","values"],"members":{"name":{},"operator":{},"values":{"type":"list","member":{}}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["quantumTasks"],"members":{"nextToken":{},"quantumTasks":{"type":"list","member":{"type":"structure","required":["createdAt","deviceArn","outputS3Bucket","outputS3Directory","quantumTaskArn","shots","status"],"members":{"createdAt":{"shape":"S1j"},"deviceArn":{},"endedAt":{"shape":"S1j"},"outputS3Bucket":{},"outputS3Directory":{},"quantumTaskArn":{},"shots":{"type":"long"},"status":{},"tags":{"shape":"S11"}}}}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S11"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true}},"shapes":{"Sa":{"type":"structure","members":{"containerImage":{"type":"structure","required":["uri"],"members":{"uri":{}}},"scriptModeConfig":{"type":"structure","required":["entryPoint","s3Uri"],"members":{"compressionType":{},"entryPoint":{},"s3Uri":{}}}}},"Sh":{"type":"structure","required":["s3Uri"],"members":{"localPath":{},"s3Uri":{}}},"Sj":{"type":"structure","required":["device"],"members":{"device":{}}},"Sl":{"type":"map","key":{},"value":{}},"So":{"type":"structure","required":["channelName","dataSource"],"members":{"channelName":{},"contentType":{},"dataSource":{"type":"structure","required":["s3DataSource"],"members":{"s3DataSource":{"type":"structure","required":["s3Uri"],"members":{"s3Uri":{}}}}}}},"Ss":{"type":"structure","required":["instanceType","volumeSizeInGb"],"members":{"instanceType":{},"volumeSizeInGb":{"type":"integer"}}},"Sw":{"type":"structure","required":["s3Path"],"members":{"kmsKeyId":{},"s3Path":{}}},"Sz":{"type":"structure","members":{"maxRuntimeInSeconds":{"type":"integer"}}},"S11":{"type":"map","key":{},"value":{}},"S1j":{"type":"timestamp","timestampFormat":"iso8601"}}}');

/***/ }),

/***/ 15732:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"SearchDevices":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"devices"},"SearchJobs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"jobs"},"SearchQuantumTasks":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"quantumTasks"}}}');

/***/ }),

/***/ 11978:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-10-20","endpointPrefix":"budgets","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"AWSBudgets","serviceFullName":"AWS Budgets","serviceId":"Budgets","signatureVersion":"v4","targetPrefix":"AWSBudgetServiceGateway","uid":"budgets-2016-10-20"},"operations":{"CreateBudget":{"input":{"type":"structure","required":["AccountId","Budget"],"members":{"AccountId":{},"Budget":{"shape":"S3"},"NotificationsWithSubscribers":{"type":"list","member":{"type":"structure","required":["Notification","Subscribers"],"members":{"Notification":{"shape":"Sl"},"Subscribers":{"shape":"Sr"}}}}}},"output":{"type":"structure","members":{}}},"CreateBudgetAction":{"input":{"type":"structure","required":["AccountId","BudgetName","NotificationType","ActionType","ActionThreshold","Definition","ExecutionRoleArn","ApprovalModel","Subscribers"],"members":{"AccountId":{},"BudgetName":{},"NotificationType":{},"ActionType":{},"ActionThreshold":{"shape":"Sy"},"Definition":{"shape":"Sz"},"ExecutionRoleArn":{},"ApprovalModel":{},"Subscribers":{"shape":"Sr"}}},"output":{"type":"structure","required":["AccountId","BudgetName","ActionId"],"members":{"AccountId":{},"BudgetName":{},"ActionId":{}}}},"CreateNotification":{"input":{"type":"structure","required":["AccountId","BudgetName","Notification","Subscribers"],"members":{"AccountId":{},"BudgetName":{},"Notification":{"shape":"Sl"},"Subscribers":{"shape":"Sr"}}},"output":{"type":"structure","members":{}}},"CreateSubscriber":{"input":{"type":"structure","required":["AccountId","BudgetName","Notification","Subscriber"],"members":{"AccountId":{},"BudgetName":{},"Notification":{"shape":"Sl"},"Subscriber":{"shape":"Ss"}}},"output":{"type":"structure","members":{}}},"DeleteBudget":{"input":{"type":"structure","required":["AccountId","BudgetName"],"members":{"AccountId":{},"BudgetName":{}}},"output":{"type":"structure","members":{}}},"DeleteBudgetAction":{"input":{"type":"structure","required":["AccountId","BudgetName","ActionId"],"members":{"AccountId":{},"BudgetName":{},"ActionId":{}}},"output":{"type":"structure","required":["AccountId","BudgetName","Action"],"members":{"AccountId":{},"BudgetName":{},"Action":{"shape":"S1t"}}}},"DeleteNotification":{"input":{"type":"structure","required":["AccountId","BudgetName","Notification"],"members":{"AccountId":{},"BudgetName":{},"Notification":{"shape":"Sl"}}},"output":{"type":"structure","members":{}}},"DeleteSubscriber":{"input":{"type":"structure","required":["AccountId","BudgetName","Notification","Subscriber"],"members":{"AccountId":{},"BudgetName":{},"Notification":{"shape":"Sl"},"Subscriber":{"shape":"Ss"}}},"output":{"type":"structure","members":{}}},"DescribeBudget":{"input":{"type":"structure","required":["AccountId","BudgetName"],"members":{"AccountId":{},"BudgetName":{}}},"output":{"type":"structure","members":{"Budget":{"shape":"S3"}}}},"DescribeBudgetAction":{"input":{"type":"structure","required":["AccountId","BudgetName","ActionId"],"members":{"AccountId":{},"BudgetName":{},"ActionId":{}}},"output":{"type":"structure","required":["AccountId","BudgetName","Action"],"members":{"AccountId":{},"BudgetName":{},"Action":{"shape":"S1t"}}}},"DescribeBudgetActionHistories":{"input":{"type":"structure","required":["AccountId","BudgetName","ActionId"],"members":{"AccountId":{},"BudgetName":{},"ActionId":{},"TimePeriod":{"shape":"Sf"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["ActionHistories"],"members":{"ActionHistories":{"type":"list","member":{"type":"structure","required":["Timestamp","Status","EventType","ActionHistoryDetails"],"members":{"Timestamp":{"type":"timestamp"},"Status":{},"EventType":{},"ActionHistoryDetails":{"type":"structure","required":["Message","Action"],"members":{"Message":{},"Action":{"shape":"S1t"}}}}}},"NextToken":{}}}},"DescribeBudgetActionsForAccount":{"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Actions"],"members":{"Actions":{"shape":"S2c"},"NextToken":{}}}},"DescribeBudgetActionsForBudget":{"input":{"type":"structure","required":["AccountId","BudgetName"],"members":{"AccountId":{},"BudgetName":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Actions"],"members":{"Actions":{"shape":"S2c"},"NextToken":{}}}},"DescribeBudgetPerformanceHistory":{"input":{"type":"structure","required":["AccountId","BudgetName"],"members":{"AccountId":{},"BudgetName":{},"TimePeriod":{"shape":"Sf"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"BudgetPerformanceHistory":{"type":"structure","members":{"BudgetName":{},"BudgetType":{},"CostFilters":{"shape":"Sa"},"CostTypes":{"shape":"Sc"},"TimeUnit":{},"BudgetedAndActualAmountsList":{"type":"list","member":{"type":"structure","members":{"BudgetedAmount":{"shape":"S5"},"ActualAmount":{"shape":"S5"},"TimePeriod":{"shape":"Sf"}}}}}},"NextToken":{}}}},"DescribeBudgets":{"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Budgets":{"type":"list","member":{"shape":"S3"}},"NextToken":{}}}},"DescribeNotificationsForBudget":{"input":{"type":"structure","required":["AccountId","BudgetName"],"members":{"AccountId":{},"BudgetName":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Notifications":{"type":"list","member":{"shape":"Sl"}},"NextToken":{}}}},"DescribeSubscribersForNotification":{"input":{"type":"structure","required":["AccountId","BudgetName","Notification"],"members":{"AccountId":{},"BudgetName":{},"Notification":{"shape":"Sl"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Subscribers":{"shape":"Sr"},"NextToken":{}}}},"ExecuteBudgetAction":{"input":{"type":"structure","required":["AccountId","BudgetName","ActionId","ExecutionType"],"members":{"AccountId":{},"BudgetName":{},"ActionId":{},"ExecutionType":{}}},"output":{"type":"structure","required":["AccountId","BudgetName","ActionId","ExecutionType"],"members":{"AccountId":{},"BudgetName":{},"ActionId":{},"ExecutionType":{}}}},"UpdateBudget":{"input":{"type":"structure","required":["AccountId","NewBudget"],"members":{"AccountId":{},"NewBudget":{"shape":"S3"}}},"output":{"type":"structure","members":{}}},"UpdateBudgetAction":{"input":{"type":"structure","required":["AccountId","BudgetName","ActionId"],"members":{"AccountId":{},"BudgetName":{},"ActionId":{},"NotificationType":{},"ActionThreshold":{"shape":"Sy"},"Definition":{"shape":"Sz"},"ExecutionRoleArn":{},"ApprovalModel":{},"Subscribers":{"shape":"Sr"}}},"output":{"type":"structure","required":["AccountId","BudgetName","OldAction","NewAction"],"members":{"AccountId":{},"BudgetName":{},"OldAction":{"shape":"S1t"},"NewAction":{"shape":"S1t"}}}},"UpdateNotification":{"input":{"type":"structure","required":["AccountId","BudgetName","OldNotification","NewNotification"],"members":{"AccountId":{},"BudgetName":{},"OldNotification":{"shape":"Sl"},"NewNotification":{"shape":"Sl"}}},"output":{"type":"structure","members":{}}},"UpdateSubscriber":{"input":{"type":"structure","required":["AccountId","BudgetName","Notification","OldSubscriber","NewSubscriber"],"members":{"AccountId":{},"BudgetName":{},"Notification":{"shape":"Sl"},"OldSubscriber":{"shape":"Ss"},"NewSubscriber":{"shape":"Ss"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S3":{"type":"structure","required":["BudgetName","TimeUnit","BudgetType"],"members":{"BudgetName":{},"BudgetLimit":{"shape":"S5"},"PlannedBudgetLimits":{"type":"map","key":{},"value":{"shape":"S5"}},"CostFilters":{"shape":"Sa"},"CostTypes":{"shape":"Sc"},"TimeUnit":{},"TimePeriod":{"shape":"Sf"},"CalculatedSpend":{"type":"structure","required":["ActualSpend"],"members":{"ActualSpend":{"shape":"S5"},"ForecastedSpend":{"shape":"S5"}}},"BudgetType":{},"LastUpdatedTime":{"type":"timestamp"}}},"S5":{"type":"structure","required":["Amount","Unit"],"members":{"Amount":{},"Unit":{}}},"Sa":{"type":"map","key":{},"value":{"type":"list","member":{}}},"Sc":{"type":"structure","members":{"IncludeTax":{"type":"boolean"},"IncludeSubscription":{"type":"boolean"},"UseBlended":{"type":"boolean"},"IncludeRefund":{"type":"boolean"},"IncludeCredit":{"type":"boolean"},"IncludeUpfront":{"type":"boolean"},"IncludeRecurring":{"type":"boolean"},"IncludeOtherSubscription":{"type":"boolean"},"IncludeSupport":{"type":"boolean"},"IncludeDiscount":{"type":"boolean"},"UseAmortized":{"type":"boolean"}}},"Sf":{"type":"structure","members":{"Start":{"type":"timestamp"},"End":{"type":"timestamp"}}},"Sl":{"type":"structure","required":["NotificationType","ComparisonOperator","Threshold"],"members":{"NotificationType":{},"ComparisonOperator":{},"Threshold":{"type":"double"},"ThresholdType":{},"NotificationState":{}}},"Sr":{"type":"list","member":{"shape":"Ss"}},"Ss":{"type":"structure","required":["SubscriptionType","Address"],"members":{"SubscriptionType":{},"Address":{"type":"string","sensitive":true}}},"Sy":{"type":"structure","required":["ActionThresholdValue","ActionThresholdType"],"members":{"ActionThresholdValue":{"type":"double"},"ActionThresholdType":{}}},"Sz":{"type":"structure","members":{"IamActionDefinition":{"type":"structure","required":["PolicyArn"],"members":{"PolicyArn":{},"Roles":{"type":"list","member":{}},"Groups":{"type":"list","member":{}},"Users":{"type":"list","member":{}}}},"ScpActionDefinition":{"type":"structure","required":["PolicyId","TargetIds"],"members":{"PolicyId":{},"TargetIds":{"type":"list","member":{}}}},"SsmActionDefinition":{"type":"structure","required":["ActionSubType","Region","InstanceIds"],"members":{"ActionSubType":{},"Region":{},"InstanceIds":{"type":"list","member":{}}}}}},"S1t":{"type":"structure","required":["ActionId","BudgetName","NotificationType","ActionType","ActionThreshold","Definition","ExecutionRoleArn","ApprovalModel","Status","Subscribers"],"members":{"ActionId":{},"BudgetName":{},"NotificationType":{},"ActionType":{},"ActionThreshold":{"shape":"Sy"},"Definition":{"shape":"Sz"},"ExecutionRoleArn":{},"ApprovalModel":{},"Status":{},"Subscribers":{"shape":"Sr"}}},"S2c":{"type":"list","member":{"shape":"S1t"}}}}');

/***/ }),

/***/ 23694:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeBudgetActionHistories":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ActionHistories"},"DescribeBudgetActionsForAccount":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Actions"},"DescribeBudgetActionsForBudget":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Actions"},"DescribeBudgetPerformanceHistory":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"BudgetPerformanceHistory"},"DescribeBudgets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Budgets"},"DescribeNotificationsForBudget":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Notifications"},"DescribeSubscribersForNotification":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Subscribers"}}}');

/***/ }),

/***/ 4060:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-10-25","endpointPrefix":"ce","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"AWS Cost Explorer","serviceFullName":"AWS Cost Explorer Service","serviceId":"Cost Explorer","signatureVersion":"v4","signingName":"ce","targetPrefix":"AWSInsightsIndexService","uid":"ce-2017-10-25"},"operations":{"CreateAnomalyMonitor":{"input":{"type":"structure","required":["AnomalyMonitor"],"members":{"AnomalyMonitor":{"shape":"S2"}}},"output":{"type":"structure","required":["MonitorArn"],"members":{"MonitorArn":{}}}},"CreateAnomalySubscription":{"input":{"type":"structure","required":["AnomalySubscription"],"members":{"AnomalySubscription":{"shape":"Sm"}}},"output":{"type":"structure","required":["SubscriptionArn"],"members":{"SubscriptionArn":{}}}},"CreateCostCategoryDefinition":{"input":{"type":"structure","required":["Name","RuleVersion","Rules"],"members":{"Name":{},"RuleVersion":{},"Rules":{"shape":"Sz"},"DefaultValue":{},"SplitChargeRules":{"shape":"S15"}}},"output":{"type":"structure","members":{"CostCategoryArn":{},"EffectiveStart":{}}}},"DeleteAnomalyMonitor":{"input":{"type":"structure","required":["MonitorArn"],"members":{"MonitorArn":{}}},"output":{"type":"structure","members":{}}},"DeleteAnomalySubscription":{"input":{"type":"structure","required":["SubscriptionArn"],"members":{"SubscriptionArn":{}}},"output":{"type":"structure","members":{}}},"DeleteCostCategoryDefinition":{"input":{"type":"structure","required":["CostCategoryArn"],"members":{"CostCategoryArn":{}}},"output":{"type":"structure","members":{"CostCategoryArn":{},"EffectiveEnd":{}}}},"DescribeCostCategoryDefinition":{"input":{"type":"structure","required":["CostCategoryArn"],"members":{"CostCategoryArn":{},"EffectiveOn":{}}},"output":{"type":"structure","members":{"CostCategory":{"type":"structure","required":["CostCategoryArn","EffectiveStart","Name","RuleVersion","Rules"],"members":{"CostCategoryArn":{},"EffectiveStart":{},"EffectiveEnd":{},"Name":{},"RuleVersion":{},"Rules":{"shape":"Sz"},"SplitChargeRules":{"shape":"S15"},"ProcessingStatus":{"shape":"S1o"},"DefaultValue":{}}}}}},"GetAnomalies":{"input":{"type":"structure","required":["DateInterval"],"members":{"MonitorArn":{},"DateInterval":{"type":"structure","required":["StartDate"],"members":{"StartDate":{},"EndDate":{}}},"Feedback":{},"TotalImpact":{"type":"structure","required":["NumericOperator","StartValue"],"members":{"NumericOperator":{},"StartValue":{"type":"double"},"EndValue":{"type":"double"}}},"NextPageToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["Anomalies"],"members":{"Anomalies":{"type":"list","member":{"type":"structure","required":["AnomalyId","AnomalyScore","Impact","MonitorArn"],"members":{"AnomalyId":{},"AnomalyStartDate":{},"AnomalyEndDate":{},"DimensionValue":{},"RootCauses":{"type":"list","member":{"type":"structure","members":{"Service":{},"Region":{},"LinkedAccount":{},"UsageType":{}}}},"AnomalyScore":{"type":"structure","required":["MaxScore","CurrentScore"],"members":{"MaxScore":{"type":"double"},"CurrentScore":{"type":"double"}}},"Impact":{"type":"structure","required":["MaxImpact"],"members":{"MaxImpact":{"type":"double"},"TotalImpact":{"type":"double"}}},"MonitorArn":{},"Feedback":{}}}},"NextPageToken":{}}}},"GetAnomalyMonitors":{"input":{"type":"structure","members":{"MonitorArnList":{"shape":"Sb"},"NextPageToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["AnomalyMonitors"],"members":{"AnomalyMonitors":{"type":"list","member":{"shape":"S2"}},"NextPageToken":{}}}},"GetAnomalySubscriptions":{"input":{"type":"structure","members":{"SubscriptionArnList":{"shape":"Sb"},"MonitorArn":{},"NextPageToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["AnomalySubscriptions"],"members":{"AnomalySubscriptions":{"type":"list","member":{"shape":"Sm"}},"NextPageToken":{}}}},"GetCostAndUsage":{"input":{"type":"structure","required":["TimePeriod","Granularity","Metrics"],"members":{"TimePeriod":{"shape":"S2e"},"Granularity":{},"Filter":{"shape":"S7"},"Metrics":{"shape":"S2g"},"GroupBy":{"shape":"S2i"},"NextPageToken":{}}},"output":{"type":"structure","members":{"NextPageToken":{},"GroupDefinitions":{"shape":"S2i"},"ResultsByTime":{"shape":"S2n"},"DimensionValueAttributes":{"shape":"S2y"}}}},"GetCostAndUsageWithResources":{"input":{"type":"structure","required":["TimePeriod","Granularity","Filter"],"members":{"TimePeriod":{"shape":"S2e"},"Granularity":{},"Filter":{"shape":"S7"},"Metrics":{"shape":"S2g"},"GroupBy":{"shape":"S2i"},"NextPageToken":{}}},"output":{"type":"structure","members":{"NextPageToken":{},"GroupDefinitions":{"shape":"S2i"},"ResultsByTime":{"shape":"S2n"},"DimensionValueAttributes":{"shape":"S2y"}}}},"GetCostCategories":{"input":{"type":"structure","required":["TimePeriod"],"members":{"SearchString":{},"TimePeriod":{"shape":"S2e"},"CostCategoryName":{},"Filter":{"shape":"S7"},"SortBy":{"shape":"S37"},"MaxResults":{"type":"integer"},"NextPageToken":{}}},"output":{"type":"structure","required":["ReturnSize","TotalSize"],"members":{"NextPageToken":{},"CostCategoryNames":{"type":"list","member":{}},"CostCategoryValues":{"shape":"S3e"},"ReturnSize":{"type":"integer"},"TotalSize":{"type":"integer"}}}},"GetCostForecast":{"input":{"type":"structure","required":["TimePeriod","Metric","Granularity"],"members":{"TimePeriod":{"shape":"S2e"},"Metric":{},"Granularity":{},"Filter":{"shape":"S7"},"PredictionIntervalLevel":{"type":"integer"}}},"output":{"type":"structure","members":{"Total":{"shape":"S2q"},"ForecastResultsByTime":{"shape":"S3j"}}}},"GetDimensionValues":{"input":{"type":"structure","required":["TimePeriod","Dimension"],"members":{"SearchString":{},"TimePeriod":{"shape":"S2e"},"Dimension":{},"Context":{},"Filter":{"shape":"S7"},"SortBy":{"shape":"S37"},"MaxResults":{"type":"integer"},"NextPageToken":{}}},"output":{"type":"structure","required":["DimensionValues","ReturnSize","TotalSize"],"members":{"DimensionValues":{"shape":"S2y"},"ReturnSize":{"type":"integer"},"TotalSize":{"type":"integer"},"NextPageToken":{}}}},"GetReservationCoverage":{"input":{"type":"structure","required":["TimePeriod"],"members":{"TimePeriod":{"shape":"S2e"},"GroupBy":{"shape":"S2i"},"Granularity":{},"Filter":{"shape":"S7"},"Metrics":{"shape":"S2g"},"NextPageToken":{},"SortBy":{"shape":"S38"},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["CoveragesByTime"],"members":{"CoveragesByTime":{"type":"list","member":{"type":"structure","members":{"TimePeriod":{"shape":"S2e"},"Groups":{"type":"list","member":{"type":"structure","members":{"Attributes":{"shape":"S30"},"Coverage":{"shape":"S3u"}}}},"Total":{"shape":"S3u"}}}},"Total":{"shape":"S3u"},"NextPageToken":{}}}},"GetReservationPurchaseRecommendation":{"input":{"type":"structure","required":["Service"],"members":{"AccountId":{},"Service":{},"Filter":{"shape":"S7"},"AccountScope":{},"LookbackPeriodInDays":{},"TermInYears":{},"PaymentOption":{},"ServiceSpecification":{"shape":"S4c"},"PageSize":{"type":"integer"},"NextPageToken":{}}},"output":{"type":"structure","members":{"Metadata":{"type":"structure","members":{"RecommendationId":{},"GenerationTimestamp":{}}},"Recommendations":{"type":"list","member":{"type":"structure","members":{"AccountScope":{},"LookbackPeriodInDays":{},"TermInYears":{},"PaymentOption":{},"ServiceSpecification":{"shape":"S4c"},"RecommendationDetails":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"InstanceDetails":{"type":"structure","members":{"EC2InstanceDetails":{"type":"structure","members":{"Family":{},"InstanceType":{},"Region":{},"AvailabilityZone":{},"Platform":{},"Tenancy":{},"CurrentGeneration":{"type":"boolean"},"SizeFlexEligible":{"type":"boolean"}}},"RDSInstanceDetails":{"type":"structure","members":{"Family":{},"InstanceType":{},"Region":{},"DatabaseEngine":{},"DatabaseEdition":{},"DeploymentOption":{},"LicenseModel":{},"CurrentGeneration":{"type":"boolean"},"SizeFlexEligible":{"type":"boolean"}}},"RedshiftInstanceDetails":{"type":"structure","members":{"Family":{},"NodeType":{},"Region":{},"CurrentGeneration":{"type":"boolean"},"SizeFlexEligible":{"type":"boolean"}}},"ElastiCacheInstanceDetails":{"type":"structure","members":{"Family":{},"NodeType":{},"Region":{},"ProductDescription":{},"CurrentGeneration":{"type":"boolean"},"SizeFlexEligible":{"type":"boolean"}}},"ESInstanceDetails":{"type":"structure","members":{"InstanceClass":{},"InstanceSize":{},"Region":{},"CurrentGeneration":{"type":"boolean"},"SizeFlexEligible":{"type":"boolean"}}}}},"RecommendedNumberOfInstancesToPurchase":{},"RecommendedNormalizedUnitsToPurchase":{},"MinimumNumberOfInstancesUsedPerHour":{},"MinimumNormalizedUnitsUsedPerHour":{},"MaximumNumberOfInstancesUsedPerHour":{},"MaximumNormalizedUnitsUsedPerHour":{},"AverageNumberOfInstancesUsedPerHour":{},"AverageNormalizedUnitsUsedPerHour":{},"AverageUtilization":{},"EstimatedBreakEvenInMonths":{},"CurrencyCode":{},"EstimatedMonthlySavingsAmount":{},"EstimatedMonthlySavingsPercentage":{},"EstimatedMonthlyOnDemandCost":{},"EstimatedReservationCostForLookbackPeriod":{},"UpfrontCost":{},"RecurringStandardMonthlyCost":{}}}},"RecommendationSummary":{"type":"structure","members":{"TotalEstimatedMonthlySavingsAmount":{},"TotalEstimatedMonthlySavingsPercentage":{},"CurrencyCode":{}}}}}},"NextPageToken":{}}}},"GetReservationUtilization":{"input":{"type":"structure","required":["TimePeriod"],"members":{"TimePeriod":{"shape":"S2e"},"GroupBy":{"shape":"S2i"},"Granularity":{},"Filter":{"shape":"S7"},"SortBy":{"shape":"S38"},"NextPageToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["UtilizationsByTime"],"members":{"UtilizationsByTime":{"type":"list","member":{"type":"structure","members":{"TimePeriod":{"shape":"S2e"},"Groups":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"Attributes":{"shape":"S30"},"Utilization":{"shape":"S51"}}}},"Total":{"shape":"S51"}}}},"Total":{"shape":"S51"},"NextPageToken":{}}}},"GetRightsizingRecommendation":{"input":{"type":"structure","required":["Service"],"members":{"Filter":{"shape":"S7"},"Configuration":{"shape":"S5k"},"Service":{},"PageSize":{"type":"integer"},"NextPageToken":{}}},"output":{"type":"structure","members":{"Metadata":{"type":"structure","members":{"RecommendationId":{},"GenerationTimestamp":{},"LookbackPeriodInDays":{},"AdditionalMetadata":{}}},"Summary":{"type":"structure","members":{"TotalRecommendationCount":{},"EstimatedTotalMonthlySavingsAmount":{},"SavingsCurrencyCode":{},"SavingsPercentage":{}}},"RightsizingRecommendations":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"CurrentInstance":{"type":"structure","members":{"ResourceId":{},"InstanceName":{},"Tags":{"type":"list","member":{"shape":"Sf"}},"ResourceDetails":{"shape":"S5t"},"ResourceUtilization":{"shape":"S5v"},"ReservationCoveredHoursInLookbackPeriod":{},"SavingsPlansCoveredHoursInLookbackPeriod":{},"OnDemandHoursInLookbackPeriod":{},"TotalRunningHoursInLookbackPeriod":{},"MonthlyCost":{},"CurrencyCode":{}}},"RightsizingType":{},"ModifyRecommendationDetail":{"type":"structure","members":{"TargetInstances":{"type":"list","member":{"type":"structure","members":{"EstimatedMonthlyCost":{},"EstimatedMonthlySavings":{},"CurrencyCode":{},"DefaultTargetInstance":{"type":"boolean"},"ResourceDetails":{"shape":"S5t"},"ExpectedResourceUtilization":{"shape":"S5v"},"PlatformDifferences":{"type":"list","member":{}}}}}}},"TerminateRecommendationDetail":{"type":"structure","members":{"EstimatedMonthlySavings":{},"CurrencyCode":{}}},"FindingReasonCodes":{"type":"list","member":{}}}}},"NextPageToken":{},"Configuration":{"shape":"S5k"}}}},"GetSavingsPlansCoverage":{"input":{"type":"structure","required":["TimePeriod"],"members":{"TimePeriod":{"shape":"S2e"},"GroupBy":{"shape":"S2i"},"Granularity":{},"Filter":{"shape":"S7"},"Metrics":{"shape":"S2g"},"NextToken":{},"MaxResults":{"type":"integer"},"SortBy":{"shape":"S38"}}},"output":{"type":"structure","required":["SavingsPlansCoverages"],"members":{"SavingsPlansCoverages":{"type":"list","member":{"type":"structure","members":{"Attributes":{"shape":"S30"},"Coverage":{"type":"structure","members":{"SpendCoveredBySavingsPlans":{},"OnDemandCost":{},"TotalCost":{},"CoveragePercentage":{}}},"TimePeriod":{"shape":"S2e"}}}},"NextToken":{}}}},"GetSavingsPlansPurchaseRecommendation":{"input":{"type":"structure","required":["SavingsPlansType","TermInYears","PaymentOption","LookbackPeriodInDays"],"members":{"SavingsPlansType":{},"TermInYears":{},"PaymentOption":{},"AccountScope":{},"NextPageToken":{},"PageSize":{"type":"integer"},"LookbackPeriodInDays":{},"Filter":{"shape":"S7"}}},"output":{"type":"structure","members":{"Metadata":{"type":"structure","members":{"RecommendationId":{},"GenerationTimestamp":{},"AdditionalMetadata":{}}},"SavingsPlansPurchaseRecommendation":{"type":"structure","members":{"AccountScope":{},"SavingsPlansType":{},"TermInYears":{},"PaymentOption":{},"LookbackPeriodInDays":{},"SavingsPlansPurchaseRecommendationDetails":{"type":"list","member":{"type":"structure","members":{"SavingsPlansDetails":{"type":"structure","members":{"Region":{},"InstanceFamily":{},"OfferingId":{}}},"AccountId":{},"UpfrontCost":{},"EstimatedROI":{},"CurrencyCode":{},"EstimatedSPCost":{},"EstimatedOnDemandCost":{},"EstimatedOnDemandCostWithCurrentCommitment":{},"EstimatedSavingsAmount":{},"EstimatedSavingsPercentage":{},"HourlyCommitmentToPurchase":{},"EstimatedAverageUtilization":{},"EstimatedMonthlySavingsAmount":{},"CurrentMinimumHourlyOnDemandSpend":{},"CurrentMaximumHourlyOnDemandSpend":{},"CurrentAverageHourlyOnDemandSpend":{}}}},"SavingsPlansPurchaseRecommendationSummary":{"type":"structure","members":{"EstimatedROI":{},"CurrencyCode":{},"EstimatedTotalCost":{},"CurrentOnDemandSpend":{},"EstimatedSavingsAmount":{},"TotalRecommendationCount":{},"DailyCommitmentToPurchase":{},"HourlyCommitmentToPurchase":{},"EstimatedSavingsPercentage":{},"EstimatedMonthlySavingsAmount":{},"EstimatedOnDemandCostWithCurrentCommitment":{}}}}},"NextPageToken":{}}}},"GetSavingsPlansUtilization":{"input":{"type":"structure","required":["TimePeriod"],"members":{"TimePeriod":{"shape":"S2e"},"Granularity":{},"Filter":{"shape":"S7"},"SortBy":{"shape":"S38"}}},"output":{"type":"structure","required":["Total"],"members":{"SavingsPlansUtilizationsByTime":{"type":"list","member":{"type":"structure","required":["TimePeriod","Utilization"],"members":{"TimePeriod":{"shape":"S2e"},"Utilization":{"shape":"S6r"},"Savings":{"shape":"S6s"},"AmortizedCommitment":{"shape":"S6t"}}}},"Total":{"shape":"S6u"}}}},"GetSavingsPlansUtilizationDetails":{"input":{"type":"structure","required":["TimePeriod"],"members":{"TimePeriod":{"shape":"S2e"},"Filter":{"shape":"S7"},"DataType":{"type":"list","member":{}},"NextToken":{},"MaxResults":{"type":"integer"},"SortBy":{"shape":"S38"}}},"output":{"type":"structure","required":["SavingsPlansUtilizationDetails","TimePeriod"],"members":{"SavingsPlansUtilizationDetails":{"type":"list","member":{"type":"structure","members":{"SavingsPlanArn":{},"Attributes":{"shape":"S30"},"Utilization":{"shape":"S6r"},"Savings":{"shape":"S6s"},"AmortizedCommitment":{"shape":"S6t"}}}},"Total":{"shape":"S6u"},"TimePeriod":{"shape":"S2e"},"NextToken":{}}}},"GetTags":{"input":{"type":"structure","required":["TimePeriod"],"members":{"SearchString":{},"TimePeriod":{"shape":"S2e"},"TagKey":{},"Filter":{"shape":"S7"},"SortBy":{"shape":"S37"},"MaxResults":{"type":"integer"},"NextPageToken":{}}},"output":{"type":"structure","required":["Tags","ReturnSize","TotalSize"],"members":{"NextPageToken":{},"Tags":{"type":"list","member":{}},"ReturnSize":{"type":"integer"},"TotalSize":{"type":"integer"}}}},"GetUsageForecast":{"input":{"type":"structure","required":["TimePeriod","Metric","Granularity"],"members":{"TimePeriod":{"shape":"S2e"},"Metric":{},"Granularity":{},"Filter":{"shape":"S7"},"PredictionIntervalLevel":{"type":"integer"}}},"output":{"type":"structure","members":{"Total":{"shape":"S2q"},"ForecastResultsByTime":{"shape":"S3j"}}}},"ListCostCategoryDefinitions":{"input":{"type":"structure","members":{"EffectiveOn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"CostCategoryReferences":{"type":"list","member":{"type":"structure","members":{"CostCategoryArn":{},"Name":{},"EffectiveStart":{},"EffectiveEnd":{},"NumberOfRules":{"type":"integer"},"ProcessingStatus":{"shape":"S1o"},"Values":{"shape":"S3e"},"DefaultValue":{}}}},"NextToken":{}}}},"ProvideAnomalyFeedback":{"input":{"type":"structure","required":["AnomalyId","Feedback"],"members":{"AnomalyId":{},"Feedback":{}}},"output":{"type":"structure","required":["AnomalyId"],"members":{"AnomalyId":{}}}},"UpdateAnomalyMonitor":{"input":{"type":"structure","required":["MonitorArn"],"members":{"MonitorArn":{},"MonitorName":{}}},"output":{"type":"structure","required":["MonitorArn"],"members":{"MonitorArn":{}}}},"UpdateAnomalySubscription":{"input":{"type":"structure","required":["SubscriptionArn"],"members":{"SubscriptionArn":{},"Threshold":{"type":"double"},"Frequency":{},"MonitorArnList":{"shape":"Sn"},"Subscribers":{"shape":"Sp"},"SubscriptionName":{}}},"output":{"type":"structure","required":["SubscriptionArn"],"members":{"SubscriptionArn":{}}}},"UpdateCostCategoryDefinition":{"input":{"type":"structure","required":["CostCategoryArn","RuleVersion","Rules"],"members":{"CostCategoryArn":{},"RuleVersion":{},"Rules":{"shape":"Sz"},"DefaultValue":{},"SplitChargeRules":{"shape":"S15"}}},"output":{"type":"structure","members":{"CostCategoryArn":{},"EffectiveStart":{}}}}},"shapes":{"S2":{"type":"structure","required":["MonitorName","MonitorType"],"members":{"MonitorArn":{},"MonitorName":{},"CreationDate":{},"LastUpdatedDate":{},"LastEvaluatedDate":{},"MonitorType":{},"MonitorDimension":{},"MonitorSpecification":{"shape":"S7"},"DimensionalValueCount":{"type":"integer"}}},"S7":{"type":"structure","members":{"Or":{"shape":"S8"},"And":{"shape":"S8"},"Not":{"shape":"S7"},"Dimensions":{"type":"structure","members":{"Key":{},"Values":{"shape":"Sb"},"MatchOptions":{"shape":"Sd"}}},"Tags":{"shape":"Sf"},"CostCategories":{"type":"structure","members":{"Key":{},"Values":{"shape":"Sb"},"MatchOptions":{"shape":"Sd"}}}}},"S8":{"type":"list","member":{"shape":"S7"}},"Sb":{"type":"list","member":{}},"Sd":{"type":"list","member":{}},"Sf":{"type":"structure","members":{"Key":{},"Values":{"shape":"Sb"},"MatchOptions":{"shape":"Sd"}}},"Sm":{"type":"structure","required":["MonitorArnList","Subscribers","Threshold","Frequency","SubscriptionName"],"members":{"SubscriptionArn":{},"AccountId":{},"MonitorArnList":{"shape":"Sn"},"Subscribers":{"shape":"Sp"},"Threshold":{"type":"double"},"Frequency":{},"SubscriptionName":{}}},"Sn":{"type":"list","member":{}},"Sp":{"type":"list","member":{"type":"structure","members":{"Address":{},"Type":{},"Status":{}}}},"Sz":{"type":"list","member":{"type":"structure","members":{"Value":{},"Rule":{"shape":"S7"},"InheritedValue":{"type":"structure","members":{"DimensionName":{},"DimensionKey":{}}},"Type":{}}}},"S15":{"type":"list","member":{"type":"structure","required":["Source","Targets","Method"],"members":{"Source":{},"Targets":{"type":"list","member":{}},"Method":{},"Parameters":{"type":"list","member":{"type":"structure","required":["Type","Values"],"members":{"Type":{},"Values":{"type":"list","member":{}}}}}}}},"S1o":{"type":"list","member":{"type":"structure","members":{"Component":{},"Status":{}}}},"S2e":{"type":"structure","required":["Start","End"],"members":{"Start":{},"End":{}}},"S2g":{"type":"list","member":{}},"S2i":{"type":"list","member":{"type":"structure","members":{"Type":{},"Key":{}}}},"S2n":{"type":"list","member":{"type":"structure","members":{"TimePeriod":{"shape":"S2e"},"Total":{"shape":"S2p"},"Groups":{"type":"list","member":{"type":"structure","members":{"Keys":{"type":"list","member":{}},"Metrics":{"shape":"S2p"}}}},"Estimated":{"type":"boolean"}}}},"S2p":{"type":"map","key":{},"value":{"shape":"S2q"}},"S2q":{"type":"structure","members":{"Amount":{},"Unit":{}}},"S2y":{"type":"list","member":{"type":"structure","members":{"Value":{},"Attributes":{"shape":"S30"}}}},"S30":{"type":"map","key":{},"value":{}},"S37":{"type":"list","member":{"shape":"S38"}},"S38":{"type":"structure","required":["Key"],"members":{"Key":{},"SortOrder":{}}},"S3e":{"type":"list","member":{}},"S3j":{"type":"list","member":{"type":"structure","members":{"TimePeriod":{"shape":"S2e"},"MeanValue":{},"PredictionIntervalLowerBound":{},"PredictionIntervalUpperBound":{}}}},"S3u":{"type":"structure","members":{"CoverageHours":{"type":"structure","members":{"OnDemandHours":{},"ReservedHours":{},"TotalRunningHours":{},"CoverageHoursPercentage":{}}},"CoverageNormalizedUnits":{"type":"structure","members":{"OnDemandNormalizedUnits":{},"ReservedNormalizedUnits":{},"TotalRunningNormalizedUnits":{},"CoverageNormalizedUnitsPercentage":{}}},"CoverageCost":{"type":"structure","members":{"OnDemandCost":{}}}}},"S4c":{"type":"structure","members":{"EC2Specification":{"type":"structure","members":{"OfferingClass":{}}}}},"S51":{"type":"structure","members":{"UtilizationPercentage":{},"UtilizationPercentageInUnits":{},"PurchasedHours":{},"PurchasedUnits":{},"TotalActualHours":{},"TotalActualUnits":{},"UnusedHours":{},"UnusedUnits":{},"OnDemandCostOfRIHoursUsed":{},"NetRISavings":{},"TotalPotentialRISavings":{},"AmortizedUpfrontFee":{},"AmortizedRecurringFee":{},"TotalAmortizedFee":{},"RICostForUnusedHours":{},"RealizedSavings":{},"UnrealizedSavings":{}}},"S5k":{"type":"structure","required":["RecommendationTarget","BenefitsConsidered"],"members":{"RecommendationTarget":{},"BenefitsConsidered":{"type":"boolean"}}},"S5t":{"type":"structure","members":{"EC2ResourceDetails":{"type":"structure","members":{"HourlyOnDemandRate":{},"InstanceType":{},"Platform":{},"Region":{},"Sku":{},"Memory":{},"NetworkPerformance":{},"Storage":{},"Vcpu":{}}}}},"S5v":{"type":"structure","members":{"EC2ResourceUtilization":{"type":"structure","members":{"MaxCpuUtilizationPercentage":{},"MaxMemoryUtilizationPercentage":{},"MaxStorageUtilizationPercentage":{},"EBSResourceUtilization":{"type":"structure","members":{"EbsReadOpsPerSecond":{},"EbsWriteOpsPerSecond":{},"EbsReadBytesPerSecond":{},"EbsWriteBytesPerSecond":{}}},"DiskResourceUtilization":{"type":"structure","members":{"DiskReadOpsPerSecond":{},"DiskWriteOpsPerSecond":{},"DiskReadBytesPerSecond":{},"DiskWriteBytesPerSecond":{}}},"NetworkResourceUtilization":{"type":"structure","members":{"NetworkInBytesPerSecond":{},"NetworkOutBytesPerSecond":{},"NetworkPacketsInPerSecond":{},"NetworkPacketsOutPerSecond":{}}}}}}},"S6r":{"type":"structure","members":{"TotalCommitment":{},"UsedCommitment":{},"UnusedCommitment":{},"UtilizationPercentage":{}}},"S6s":{"type":"structure","members":{"NetSavings":{},"OnDemandCostEquivalent":{}}},"S6t":{"type":"structure","members":{"AmortizedRecurringCommitment":{},"AmortizedUpfrontCommitment":{},"TotalAmortizedCommitment":{}}},"S6u":{"type":"structure","required":["Utilization"],"members":{"Utilization":{"shape":"S6r"},"Savings":{"shape":"S6s"},"AmortizedCommitment":{"shape":"S6t"}}}}}');

/***/ }),

/***/ 75642:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetSavingsPlansCoverage":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"GetSavingsPlansUtilizationDetails":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListCostCategoryDefinitions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 44811:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-05-01","endpointPrefix":"chime","protocol":"rest-json","serviceFullName":"Amazon Chime","serviceId":"Chime","signatureVersion":"v4","uid":"chime-2018-05-01"},"operations":{"AssociatePhoneNumberWithUser":{"http":{"requestUri":"/accounts/{accountId}/users/{userId}?operation=associate-phone-number","responseCode":200},"input":{"type":"structure","required":["AccountId","UserId","E164PhoneNumber"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UserId":{"location":"uri","locationName":"userId"},"E164PhoneNumber":{"shape":"S3"}}},"output":{"type":"structure","members":{}}},"AssociatePhoneNumbersWithVoiceConnector":{"http":{"requestUri":"/voice-connectors/{voiceConnectorId}?operation=associate-phone-numbers","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId","E164PhoneNumbers"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"E164PhoneNumbers":{"shape":"S7"},"ForceAssociate":{"type":"boolean"}}},"output":{"type":"structure","members":{"PhoneNumberErrors":{"shape":"Sa"}}}},"AssociatePhoneNumbersWithVoiceConnectorGroup":{"http":{"requestUri":"/voice-connector-groups/{voiceConnectorGroupId}?operation=associate-phone-numbers","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorGroupId","E164PhoneNumbers"],"members":{"VoiceConnectorGroupId":{"location":"uri","locationName":"voiceConnectorGroupId"},"E164PhoneNumbers":{"shape":"S7"},"ForceAssociate":{"type":"boolean"}}},"output":{"type":"structure","members":{"PhoneNumberErrors":{"shape":"Sa"}}}},"AssociateSigninDelegateGroupsWithAccount":{"http":{"requestUri":"/accounts/{accountId}?operation=associate-signin-delegate-groups","responseCode":200},"input":{"type":"structure","required":["AccountId","SigninDelegateGroups"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"SigninDelegateGroups":{"shape":"Sg"}}},"output":{"type":"structure","members":{}}},"BatchCreateAttendee":{"http":{"requestUri":"/meetings/{meetingId}/attendees?operation=batch-create","responseCode":201},"input":{"type":"structure","required":["MeetingId","Attendees"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"},"Attendees":{"type":"list","member":{"shape":"Sm"}}}},"output":{"type":"structure","members":{"Attendees":{"shape":"St"},"Errors":{"shape":"Sw"}}}},"BatchCreateChannelMembership":{"http":{"requestUri":"/channels/{channelArn}/memberships?operation=batch-create","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MemberArns"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"Type":{},"MemberArns":{"type":"list","member":{}},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"BatchChannelMemberships":{"type":"structure","members":{"InvitedBy":{"shape":"S14"},"Type":{},"Members":{"type":"list","member":{"shape":"S14"}},"ChannelArn":{}}},"Errors":{"type":"list","member":{"type":"structure","members":{"MemberArn":{},"ErrorCode":{},"ErrorMessage":{}}}}}},"endpoint":{"hostPrefix":"messaging-"}},"BatchCreateRoomMembership":{"http":{"requestUri":"/accounts/{accountId}/rooms/{roomId}/memberships?operation=batch-create","responseCode":201},"input":{"type":"structure","required":["AccountId","RoomId","MembershipItemList"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"RoomId":{"location":"uri","locationName":"roomId"},"MembershipItemList":{"type":"list","member":{"type":"structure","members":{"MemberId":{},"Role":{}}}}}},"output":{"type":"structure","members":{"Errors":{"type":"list","member":{"type":"structure","members":{"MemberId":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"BatchDeletePhoneNumber":{"http":{"requestUri":"/phone-numbers?operation=batch-delete","responseCode":200},"input":{"type":"structure","required":["PhoneNumberIds"],"members":{"PhoneNumberIds":{"shape":"S1h"}}},"output":{"type":"structure","members":{"PhoneNumberErrors":{"shape":"Sa"}}}},"BatchSuspendUser":{"http":{"requestUri":"/accounts/{accountId}/users?operation=suspend","responseCode":200},"input":{"type":"structure","required":["AccountId","UserIdList"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UserIdList":{"shape":"S1k"}}},"output":{"type":"structure","members":{"UserErrors":{"shape":"S1m"}}}},"BatchUnsuspendUser":{"http":{"requestUri":"/accounts/{accountId}/users?operation=unsuspend","responseCode":200},"input":{"type":"structure","required":["AccountId","UserIdList"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UserIdList":{"shape":"S1k"}}},"output":{"type":"structure","members":{"UserErrors":{"shape":"S1m"}}}},"BatchUpdatePhoneNumber":{"http":{"requestUri":"/phone-numbers?operation=batch-update","responseCode":200},"input":{"type":"structure","required":["UpdatePhoneNumberRequestItems"],"members":{"UpdatePhoneNumberRequestItems":{"type":"list","member":{"type":"structure","required":["PhoneNumberId"],"members":{"PhoneNumberId":{},"ProductType":{},"CallingName":{"shape":"S1u"}}}}}},"output":{"type":"structure","members":{"PhoneNumberErrors":{"shape":"Sa"}}}},"BatchUpdateUser":{"http":{"requestUri":"/accounts/{accountId}/users","responseCode":200},"input":{"type":"structure","required":["AccountId","UpdateUserRequestItems"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UpdateUserRequestItems":{"type":"list","member":{"type":"structure","required":["UserId"],"members":{"UserId":{},"LicenseType":{},"UserType":{},"AlexaForBusinessMetadata":{"shape":"S21"}}}}}},"output":{"type":"structure","members":{"UserErrors":{"shape":"S1m"}}}},"CreateAccount":{"http":{"requestUri":"/accounts","responseCode":201},"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Account":{"shape":"S28"}}}},"CreateAppInstance":{"http":{"requestUri":"/app-instances","responseCode":201},"input":{"type":"structure","required":["Name","ClientRequestToken"],"members":{"Name":{"shape":"S2e"},"Metadata":{"shape":"S2f"},"ClientRequestToken":{"shape":"S2g","idempotencyToken":true},"Tags":{"shape":"S2h"}}},"output":{"type":"structure","members":{"AppInstanceArn":{}}},"endpoint":{"hostPrefix":"identity-"}},"CreateAppInstanceAdmin":{"http":{"requestUri":"/app-instances/{appInstanceArn}/admins","responseCode":201},"input":{"type":"structure","required":["AppInstanceAdminArn","AppInstanceArn"],"members":{"AppInstanceAdminArn":{},"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}},"output":{"type":"structure","members":{"AppInstanceAdmin":{"shape":"S14"},"AppInstanceArn":{}}},"endpoint":{"hostPrefix":"identity-"}},"CreateAppInstanceUser":{"http":{"requestUri":"/app-instance-users","responseCode":201},"input":{"type":"structure","required":["AppInstanceArn","AppInstanceUserId","Name","ClientRequestToken"],"members":{"AppInstanceArn":{},"AppInstanceUserId":{"type":"string","sensitive":true},"Name":{"shape":"S2n"},"Metadata":{"shape":"S2f"},"ClientRequestToken":{"shape":"S2g","idempotencyToken":true},"Tags":{"shape":"S2h"}}},"output":{"type":"structure","members":{"AppInstanceUserArn":{}}},"endpoint":{"hostPrefix":"identity-"}},"CreateAttendee":{"http":{"requestUri":"/meetings/{meetingId}/attendees","responseCode":201},"input":{"type":"structure","required":["MeetingId","ExternalUserId"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"},"ExternalUserId":{"shape":"Sn"},"Tags":{"shape":"So"}}},"output":{"type":"structure","members":{"Attendee":{"shape":"Su"}}}},"CreateBot":{"http":{"requestUri":"/accounts/{accountId}/bots","responseCode":201},"input":{"type":"structure","required":["DisplayName","AccountId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"DisplayName":{"shape":"S23"},"Domain":{}}},"output":{"type":"structure","members":{"Bot":{"shape":"S2t"}}}},"CreateChannel":{"http":{"requestUri":"/channels","responseCode":201},"input":{"type":"structure","required":["AppInstanceArn","Name","ClientRequestToken"],"members":{"AppInstanceArn":{},"Name":{"shape":"S2e"},"Mode":{},"Privacy":{},"Metadata":{"shape":"S2f"},"ClientRequestToken":{"shape":"S2g","idempotencyToken":true},"Tags":{"shape":"S2h"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{}}},"endpoint":{"hostPrefix":"messaging-"}},"CreateChannelBan":{"http":{"requestUri":"/channels/{channelArn}/bans","responseCode":201},"input":{"type":"structure","required":["ChannelArn","MemberArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"Member":{"shape":"S14"}}},"endpoint":{"hostPrefix":"messaging-"}},"CreateChannelMembership":{"http":{"requestUri":"/channels/{channelArn}/memberships","responseCode":201},"input":{"type":"structure","required":["ChannelArn","MemberArn","Type"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{},"Type":{},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"Member":{"shape":"S14"}}},"endpoint":{"hostPrefix":"messaging-"}},"CreateChannelModerator":{"http":{"requestUri":"/channels/{channelArn}/moderators","responseCode":201},"input":{"type":"structure","required":["ChannelArn","ChannelModeratorArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChannelModeratorArn":{},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"ChannelModerator":{"shape":"S14"}}},"endpoint":{"hostPrefix":"messaging-"}},"CreateMediaCapturePipeline":{"http":{"requestUri":"/media-capture-pipelines","responseCode":201},"input":{"type":"structure","required":["SourceType","SourceArn","SinkType","SinkArn"],"members":{"SourceType":{},"SourceArn":{"shape":"S37"},"SinkType":{},"SinkArn":{"shape":"S37"},"ClientRequestToken":{"shape":"S2g","idempotencyToken":true},"ChimeSdkMeetingConfiguration":{"shape":"S39"}}},"output":{"type":"structure","members":{"MediaCapturePipeline":{"shape":"S3n"}}}},"CreateMeeting":{"http":{"requestUri":"/meetings","responseCode":201},"input":{"type":"structure","required":["ClientRequestToken"],"members":{"ClientRequestToken":{"shape":"S2g","idempotencyToken":true},"ExternalMeetingId":{"shape":"S3q"},"MeetingHostId":{"shape":"Sn"},"MediaRegion":{},"Tags":{"shape":"S3r"},"NotificationsConfiguration":{"shape":"S3s"}}},"output":{"type":"structure","members":{"Meeting":{"shape":"S3u"}}}},"CreateMeetingDialOut":{"http":{"requestUri":"/meetings/{meetingId}/dial-outs","responseCode":201},"input":{"type":"structure","required":["MeetingId","FromPhoneNumber","ToPhoneNumber","JoinToken"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"},"FromPhoneNumber":{"shape":"S3"},"ToPhoneNumber":{"shape":"S3"},"JoinToken":{"shape":"Sv"}}},"output":{"type":"structure","members":{"TransactionId":{}}}},"CreateMeetingWithAttendees":{"http":{"requestUri":"/meetings?operation=create-attendees","responseCode":201},"input":{"type":"structure","required":["ClientRequestToken"],"members":{"ClientRequestToken":{"shape":"S2g","idempotencyToken":true},"ExternalMeetingId":{"shape":"S3q"},"MeetingHostId":{"shape":"Sn"},"MediaRegion":{},"Tags":{"shape":"S3r"},"NotificationsConfiguration":{"shape":"S3s"},"Attendees":{"type":"list","member":{"shape":"Sm"}}}},"output":{"type":"structure","members":{"Meeting":{"shape":"S3u"},"Attendees":{"shape":"St"},"Errors":{"shape":"Sw"}}}},"CreatePhoneNumberOrder":{"http":{"requestUri":"/phone-number-orders","responseCode":201},"input":{"type":"structure","required":["ProductType","E164PhoneNumbers"],"members":{"ProductType":{},"E164PhoneNumbers":{"shape":"S7"}}},"output":{"type":"structure","members":{"PhoneNumberOrder":{"shape":"S44"}}}},"CreateProxySession":{"http":{"requestUri":"/voice-connectors/{voiceConnectorId}/proxy-sessions","responseCode":201},"input":{"type":"structure","required":["ParticipantPhoneNumbers","Capabilities","VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"ParticipantPhoneNumbers":{"type":"list","member":{"shape":"S3"}},"Name":{"type":"string","sensitive":true},"ExpiryMinutes":{"type":"integer"},"Capabilities":{"shape":"S4e"},"NumberSelectionBehavior":{},"GeoMatchLevel":{},"GeoMatchParams":{"shape":"S4i"}}},"output":{"type":"structure","members":{"ProxySession":{"shape":"S4m"}}}},"CreateRoom":{"http":{"requestUri":"/accounts/{accountId}/rooms","responseCode":201},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"Name":{"shape":"S23"},"ClientRequestToken":{"shape":"S2g","idempotencyToken":true}}},"output":{"type":"structure","members":{"Room":{"shape":"S4t"}}}},"CreateRoomMembership":{"http":{"requestUri":"/accounts/{accountId}/rooms/{roomId}/memberships","responseCode":201},"input":{"type":"structure","required":["AccountId","RoomId","MemberId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"RoomId":{"location":"uri","locationName":"roomId"},"MemberId":{},"Role":{}}},"output":{"type":"structure","members":{"RoomMembership":{"shape":"S4w"}}}},"CreateSipMediaApplication":{"http":{"requestUri":"/sip-media-applications","responseCode":201},"input":{"type":"structure","required":["AwsRegion","Name","Endpoints"],"members":{"AwsRegion":{},"Name":{},"Endpoints":{"shape":"S51"}}},"output":{"type":"structure","members":{"SipMediaApplication":{"shape":"S55"}}}},"CreateSipMediaApplicationCall":{"http":{"requestUri":"/sip-media-applications/{sipMediaApplicationId}/calls","responseCode":201},"input":{"type":"structure","required":["FromPhoneNumber","ToPhoneNumber","SipMediaApplicationId"],"members":{"FromPhoneNumber":{"shape":"S3"},"ToPhoneNumber":{"shape":"S3"},"SipMediaApplicationId":{"location":"uri","locationName":"sipMediaApplicationId"},"SipHeaders":{"type":"map","key":{"shape":"S23"},"value":{"shape":"S23"}}}},"output":{"type":"structure","members":{"SipMediaApplicationCall":{"shape":"S59"}}}},"CreateSipRule":{"http":{"requestUri":"/sip-rules","responseCode":201},"input":{"type":"structure","required":["Name","TriggerType","TriggerValue","TargetApplications"],"members":{"Name":{},"TriggerType":{},"TriggerValue":{},"Disabled":{"type":"boolean"},"TargetApplications":{"shape":"S5d"}}},"output":{"type":"structure","members":{"SipRule":{"shape":"S5h"}}}},"CreateUser":{"http":{"requestUri":"/accounts/{accountId}/users?operation=create","responseCode":201},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"Username":{},"Email":{"shape":"S5j"},"UserType":{}}},"output":{"type":"structure","members":{"User":{"shape":"S5l"}}}},"CreateVoiceConnector":{"http":{"requestUri":"/voice-connectors","responseCode":201},"input":{"type":"structure","required":["Name","RequireEncryption"],"members":{"Name":{},"AwsRegion":{},"RequireEncryption":{"type":"boolean"}}},"output":{"type":"structure","members":{"VoiceConnector":{"shape":"S5s"}}}},"CreateVoiceConnectorGroup":{"http":{"requestUri":"/voice-connector-groups","responseCode":201},"input":{"type":"structure","required":["Name"],"members":{"Name":{},"VoiceConnectorItems":{"shape":"S5v"}}},"output":{"type":"structure","members":{"VoiceConnectorGroup":{"shape":"S5z"}}}},"DeleteAccount":{"http":{"method":"DELETE","requestUri":"/accounts/{accountId}","responseCode":204},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"}}},"output":{"type":"structure","members":{}}},"DeleteAppInstance":{"http":{"method":"DELETE","requestUri":"/app-instances/{appInstanceArn}","responseCode":204},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}},"endpoint":{"hostPrefix":"identity-"}},"DeleteAppInstanceAdmin":{"http":{"method":"DELETE","requestUri":"/app-instances/{appInstanceArn}/admins/{appInstanceAdminArn}","responseCode":204},"input":{"type":"structure","required":["AppInstanceAdminArn","AppInstanceArn"],"members":{"AppInstanceAdminArn":{"location":"uri","locationName":"appInstanceAdminArn"},"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}},"endpoint":{"hostPrefix":"identity-"}},"DeleteAppInstanceStreamingConfigurations":{"http":{"method":"DELETE","requestUri":"/app-instances/{appInstanceArn}/streaming-configurations","responseCode":204},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}}},"DeleteAppInstanceUser":{"http":{"method":"DELETE","requestUri":"/app-instance-users/{appInstanceUserArn}","responseCode":204},"input":{"type":"structure","required":["AppInstanceUserArn"],"members":{"AppInstanceUserArn":{"location":"uri","locationName":"appInstanceUserArn"}}},"endpoint":{"hostPrefix":"identity-"}},"DeleteAttendee":{"http":{"method":"DELETE","requestUri":"/meetings/{meetingId}/attendees/{attendeeId}","responseCode":204},"input":{"type":"structure","required":["MeetingId","AttendeeId"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"},"AttendeeId":{"location":"uri","locationName":"attendeeId"}}}},"DeleteChannel":{"http":{"method":"DELETE","requestUri":"/channels/{channelArn}","responseCode":204},"input":{"type":"structure","required":["ChannelArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"endpoint":{"hostPrefix":"messaging-"}},"DeleteChannelBan":{"http":{"method":"DELETE","requestUri":"/channels/{channelArn}/bans/{memberArn}","responseCode":204},"input":{"type":"structure","required":["ChannelArn","MemberArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{"location":"uri","locationName":"memberArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"endpoint":{"hostPrefix":"messaging-"}},"DeleteChannelMembership":{"http":{"method":"DELETE","requestUri":"/channels/{channelArn}/memberships/{memberArn}","responseCode":204},"input":{"type":"structure","required":["ChannelArn","MemberArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{"location":"uri","locationName":"memberArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"endpoint":{"hostPrefix":"messaging-"}},"DeleteChannelMessage":{"http":{"method":"DELETE","requestUri":"/channels/{channelArn}/messages/{messageId}","responseCode":204},"input":{"type":"structure","required":["ChannelArn","MessageId"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MessageId":{"location":"uri","locationName":"messageId"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"endpoint":{"hostPrefix":"messaging-"}},"DeleteChannelModerator":{"http":{"method":"DELETE","requestUri":"/channels/{channelArn}/moderators/{channelModeratorArn}","responseCode":204},"input":{"type":"structure","required":["ChannelArn","ChannelModeratorArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChannelModeratorArn":{"location":"uri","locationName":"channelModeratorArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"endpoint":{"hostPrefix":"messaging-"}},"DeleteEventsConfiguration":{"http":{"method":"DELETE","requestUri":"/accounts/{accountId}/bots/{botId}/events-configuration","responseCode":204},"input":{"type":"structure","required":["AccountId","BotId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"BotId":{"location":"uri","locationName":"botId"}}}},"DeleteMediaCapturePipeline":{"http":{"method":"DELETE","requestUri":"/media-capture-pipelines/{mediaPipelineId}","responseCode":204},"input":{"type":"structure","required":["MediaPipelineId"],"members":{"MediaPipelineId":{"location":"uri","locationName":"mediaPipelineId"}}}},"DeleteMeeting":{"http":{"method":"DELETE","requestUri":"/meetings/{meetingId}","responseCode":204},"input":{"type":"structure","required":["MeetingId"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"}}}},"DeletePhoneNumber":{"http":{"method":"DELETE","requestUri":"/phone-numbers/{phoneNumberId}","responseCode":204},"input":{"type":"structure","required":["PhoneNumberId"],"members":{"PhoneNumberId":{"location":"uri","locationName":"phoneNumberId"}}}},"DeleteProxySession":{"http":{"method":"DELETE","requestUri":"/voice-connectors/{voiceConnectorId}/proxy-sessions/{proxySessionId}","responseCode":204},"input":{"type":"structure","required":["VoiceConnectorId","ProxySessionId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"ProxySessionId":{"location":"uri","locationName":"proxySessionId"}}}},"DeleteRoom":{"http":{"method":"DELETE","requestUri":"/accounts/{accountId}/rooms/{roomId}","responseCode":204},"input":{"type":"structure","required":["AccountId","RoomId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"RoomId":{"location":"uri","locationName":"roomId"}}}},"DeleteRoomMembership":{"http":{"method":"DELETE","requestUri":"/accounts/{accountId}/rooms/{roomId}/memberships/{memberId}","responseCode":204},"input":{"type":"structure","required":["AccountId","RoomId","MemberId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"RoomId":{"location":"uri","locationName":"roomId"},"MemberId":{"location":"uri","locationName":"memberId"}}}},"DeleteSipMediaApplication":{"http":{"method":"DELETE","requestUri":"/sip-media-applications/{sipMediaApplicationId}","responseCode":204},"input":{"type":"structure","required":["SipMediaApplicationId"],"members":{"SipMediaApplicationId":{"location":"uri","locationName":"sipMediaApplicationId"}}}},"DeleteSipRule":{"http":{"method":"DELETE","requestUri":"/sip-rules/{sipRuleId}","responseCode":204},"input":{"type":"structure","required":["SipRuleId"],"members":{"SipRuleId":{"location":"uri","locationName":"sipRuleId"}}}},"DeleteVoiceConnector":{"http":{"method":"DELETE","requestUri":"/voice-connectors/{voiceConnectorId}","responseCode":204},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}}},"DeleteVoiceConnectorEmergencyCallingConfiguration":{"http":{"method":"DELETE","requestUri":"/voice-connectors/{voiceConnectorId}/emergency-calling-configuration","responseCode":204},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}}},"DeleteVoiceConnectorGroup":{"http":{"method":"DELETE","requestUri":"/voice-connector-groups/{voiceConnectorGroupId}","responseCode":204},"input":{"type":"structure","required":["VoiceConnectorGroupId"],"members":{"VoiceConnectorGroupId":{"location":"uri","locationName":"voiceConnectorGroupId"}}}},"DeleteVoiceConnectorOrigination":{"http":{"method":"DELETE","requestUri":"/voice-connectors/{voiceConnectorId}/origination","responseCode":204},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}}},"DeleteVoiceConnectorProxy":{"http":{"method":"DELETE","requestUri":"/voice-connectors/{voiceConnectorId}/programmable-numbers/proxy","responseCode":204},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}}},"DeleteVoiceConnectorStreamingConfiguration":{"http":{"method":"DELETE","requestUri":"/voice-connectors/{voiceConnectorId}/streaming-configuration","responseCode":204},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}}},"DeleteVoiceConnectorTermination":{"http":{"method":"DELETE","requestUri":"/voice-connectors/{voiceConnectorId}/termination","responseCode":204},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}}},"DeleteVoiceConnectorTerminationCredentials":{"http":{"requestUri":"/voice-connectors/{voiceConnectorId}/termination/credentials?operation=delete","responseCode":204},"input":{"type":"structure","required":["Usernames","VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"Usernames":{"shape":"S6u"}}}},"DescribeAppInstance":{"http":{"method":"GET","requestUri":"/app-instances/{appInstanceArn}","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}},"output":{"type":"structure","members":{"AppInstance":{"type":"structure","members":{"AppInstanceArn":{},"Name":{"shape":"S2e"},"Metadata":{"shape":"S2f"},"CreatedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"}}}}},"endpoint":{"hostPrefix":"identity-"}},"DescribeAppInstanceAdmin":{"http":{"method":"GET","requestUri":"/app-instances/{appInstanceArn}/admins/{appInstanceAdminArn}","responseCode":200},"input":{"type":"structure","required":["AppInstanceAdminArn","AppInstanceArn"],"members":{"AppInstanceAdminArn":{"location":"uri","locationName":"appInstanceAdminArn"},"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}},"output":{"type":"structure","members":{"AppInstanceAdmin":{"type":"structure","members":{"Admin":{"shape":"S14"},"AppInstanceArn":{},"CreatedTimestamp":{"type":"timestamp"}}}}},"endpoint":{"hostPrefix":"identity-"}},"DescribeAppInstanceUser":{"http":{"method":"GET","requestUri":"/app-instance-users/{appInstanceUserArn}","responseCode":200},"input":{"type":"structure","required":["AppInstanceUserArn"],"members":{"AppInstanceUserArn":{"location":"uri","locationName":"appInstanceUserArn"}}},"output":{"type":"structure","members":{"AppInstanceUser":{"type":"structure","members":{"AppInstanceUserArn":{},"Name":{"shape":"S2n"},"CreatedTimestamp":{"type":"timestamp"},"Metadata":{"shape":"S2f"},"LastUpdatedTimestamp":{"type":"timestamp"}}}}},"endpoint":{"hostPrefix":"identity-"}},"DescribeChannel":{"http":{"method":"GET","requestUri":"/channels/{channelArn}","responseCode":200},"input":{"type":"structure","required":["ChannelArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"Channel":{"type":"structure","members":{"Name":{"shape":"S2e"},"ChannelArn":{},"Mode":{},"Privacy":{},"Metadata":{"shape":"S2f"},"CreatedBy":{"shape":"S14"},"CreatedTimestamp":{"type":"timestamp"},"LastMessageTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"}}}}},"endpoint":{"hostPrefix":"messaging-"}},"DescribeChannelBan":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/bans/{memberArn}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MemberArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{"location":"uri","locationName":"memberArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelBan":{"type":"structure","members":{"Member":{"shape":"S14"},"ChannelArn":{},"CreatedTimestamp":{"type":"timestamp"},"CreatedBy":{"shape":"S14"}}}}},"endpoint":{"hostPrefix":"messaging-"}},"DescribeChannelMembership":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/memberships/{memberArn}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MemberArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{"location":"uri","locationName":"memberArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelMembership":{"type":"structure","members":{"InvitedBy":{"shape":"S14"},"Type":{},"Member":{"shape":"S14"},"ChannelArn":{},"CreatedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"}}}}},"endpoint":{"hostPrefix":"messaging-"}},"DescribeChannelMembershipForAppInstanceUser":{"http":{"method":"GET","requestUri":"/channels/{channelArn}?scope=app-instance-user-membership","responseCode":200},"input":{"type":"structure","required":["ChannelArn","AppInstanceUserArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"AppInstanceUserArn":{"location":"querystring","locationName":"app-instance-user-arn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelMembership":{"shape":"S7g"}}},"endpoint":{"hostPrefix":"messaging-"}},"DescribeChannelModeratedByAppInstanceUser":{"http":{"method":"GET","requestUri":"/channels/{channelArn}?scope=app-instance-user-moderated-channel","responseCode":200},"input":{"type":"structure","required":["ChannelArn","AppInstanceUserArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"AppInstanceUserArn":{"location":"querystring","locationName":"app-instance-user-arn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"Channel":{"shape":"S7l"}}},"endpoint":{"hostPrefix":"messaging-"}},"DescribeChannelModerator":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/moderators/{channelModeratorArn}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","ChannelModeratorArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChannelModeratorArn":{"location":"uri","locationName":"channelModeratorArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelModerator":{"type":"structure","members":{"Moderator":{"shape":"S14"},"ChannelArn":{},"CreatedTimestamp":{"type":"timestamp"},"CreatedBy":{"shape":"S14"}}}}},"endpoint":{"hostPrefix":"messaging-"}},"DisassociatePhoneNumberFromUser":{"http":{"requestUri":"/accounts/{accountId}/users/{userId}?operation=disassociate-phone-number","responseCode":200},"input":{"type":"structure","required":["AccountId","UserId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UserId":{"location":"uri","locationName":"userId"}}},"output":{"type":"structure","members":{}}},"DisassociatePhoneNumbersFromVoiceConnector":{"http":{"requestUri":"/voice-connectors/{voiceConnectorId}?operation=disassociate-phone-numbers","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId","E164PhoneNumbers"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"E164PhoneNumbers":{"shape":"S7"}}},"output":{"type":"structure","members":{"PhoneNumberErrors":{"shape":"Sa"}}}},"DisassociatePhoneNumbersFromVoiceConnectorGroup":{"http":{"requestUri":"/voice-connector-groups/{voiceConnectorGroupId}?operation=disassociate-phone-numbers","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorGroupId","E164PhoneNumbers"],"members":{"VoiceConnectorGroupId":{"location":"uri","locationName":"voiceConnectorGroupId"},"E164PhoneNumbers":{"shape":"S7"}}},"output":{"type":"structure","members":{"PhoneNumberErrors":{"shape":"Sa"}}}},"DisassociateSigninDelegateGroupsFromAccount":{"http":{"requestUri":"/accounts/{accountId}?operation=disassociate-signin-delegate-groups","responseCode":200},"input":{"type":"structure","required":["AccountId","GroupNames"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"GroupNames":{"shape":"S1h"}}},"output":{"type":"structure","members":{}}},"GetAccount":{"http":{"method":"GET","requestUri":"/accounts/{accountId}"},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"}}},"output":{"type":"structure","members":{"Account":{"shape":"S28"}}}},"GetAccountSettings":{"http":{"method":"GET","requestUri":"/accounts/{accountId}/settings"},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"}}},"output":{"type":"structure","members":{"AccountSettings":{"shape":"S81"}}}},"GetAppInstanceRetentionSettings":{"http":{"method":"GET","requestUri":"/app-instances/{appInstanceArn}/retention-settings","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}},"output":{"type":"structure","members":{"AppInstanceRetentionSettings":{"shape":"S84"},"InitiateDeletionTimestamp":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"identity-"}},"GetAppInstanceStreamingConfigurations":{"http":{"method":"GET","requestUri":"/app-instances/{appInstanceArn}/streaming-configurations","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}},"output":{"type":"structure","members":{"AppInstanceStreamingConfigurations":{"shape":"S89"}}}},"GetAttendee":{"http":{"method":"GET","requestUri":"/meetings/{meetingId}/attendees/{attendeeId}","responseCode":200},"input":{"type":"structure","required":["MeetingId","AttendeeId"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"},"AttendeeId":{"location":"uri","locationName":"attendeeId"}}},"output":{"type":"structure","members":{"Attendee":{"shape":"Su"}}}},"GetBot":{"http":{"method":"GET","requestUri":"/accounts/{accountId}/bots/{botId}","responseCode":200},"input":{"type":"structure","required":["AccountId","BotId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"BotId":{"location":"uri","locationName":"botId"}}},"output":{"type":"structure","members":{"Bot":{"shape":"S2t"}}}},"GetChannelMessage":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/messages/{messageId}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MessageId"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MessageId":{"location":"uri","locationName":"messageId"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelMessage":{"type":"structure","members":{"ChannelArn":{},"MessageId":{},"Content":{"shape":"S8j"},"Metadata":{"shape":"S2f"},"Type":{},"CreatedTimestamp":{"type":"timestamp"},"LastEditedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"},"Sender":{"shape":"S14"},"Redacted":{"type":"boolean"},"Persistence":{}}}}},"endpoint":{"hostPrefix":"messaging-"}},"GetEventsConfiguration":{"http":{"method":"GET","requestUri":"/accounts/{accountId}/bots/{botId}/events-configuration","responseCode":200},"input":{"type":"structure","required":["AccountId","BotId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"BotId":{"location":"uri","locationName":"botId"}}},"output":{"type":"structure","members":{"EventsConfiguration":{"shape":"S8p"}}}},"GetGlobalSettings":{"http":{"method":"GET","requestUri":"/settings","responseCode":200},"output":{"type":"structure","members":{"BusinessCalling":{"shape":"S8r"},"VoiceConnector":{"shape":"S8s"}}}},"GetMediaCapturePipeline":{"http":{"method":"GET","requestUri":"/media-capture-pipelines/{mediaPipelineId}","responseCode":200},"input":{"type":"structure","required":["MediaPipelineId"],"members":{"MediaPipelineId":{"location":"uri","locationName":"mediaPipelineId"}}},"output":{"type":"structure","members":{"MediaCapturePipeline":{"shape":"S3n"}}}},"GetMeeting":{"http":{"method":"GET","requestUri":"/meetings/{meetingId}","responseCode":200},"input":{"type":"structure","required":["MeetingId"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"}}},"output":{"type":"structure","members":{"Meeting":{"shape":"S3u"}}}},"GetMessagingSessionEndpoint":{"http":{"method":"GET","requestUri":"/endpoints/messaging-session","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"Endpoint":{"type":"structure","members":{"Url":{}}}}},"endpoint":{"hostPrefix":"messaging-"}},"GetPhoneNumber":{"http":{"method":"GET","requestUri":"/phone-numbers/{phoneNumberId}"},"input":{"type":"structure","required":["PhoneNumberId"],"members":{"PhoneNumberId":{"location":"uri","locationName":"phoneNumberId"}}},"output":{"type":"structure","members":{"PhoneNumber":{"shape":"S93"}}}},"GetPhoneNumberOrder":{"http":{"method":"GET","requestUri":"/phone-number-orders/{phoneNumberOrderId}","responseCode":200},"input":{"type":"structure","required":["PhoneNumberOrderId"],"members":{"PhoneNumberOrderId":{"location":"uri","locationName":"phoneNumberOrderId"}}},"output":{"type":"structure","members":{"PhoneNumberOrder":{"shape":"S44"}}}},"GetPhoneNumberSettings":{"http":{"method":"GET","requestUri":"/settings/phone-number","responseCode":200},"output":{"type":"structure","members":{"CallingName":{"shape":"S1u"},"CallingNameUpdatedTimestamp":{"shape":"S2a"}}}},"GetProxySession":{"http":{"method":"GET","requestUri":"/voice-connectors/{voiceConnectorId}/proxy-sessions/{proxySessionId}","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId","ProxySessionId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"ProxySessionId":{"location":"uri","locationName":"proxySessionId"}}},"output":{"type":"structure","members":{"ProxySession":{"shape":"S4m"}}}},"GetRetentionSettings":{"http":{"method":"GET","requestUri":"/accounts/{accountId}/retention-settings"},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"}}},"output":{"type":"structure","members":{"RetentionSettings":{"shape":"S9j"},"InitiateDeletionTimestamp":{"shape":"S2a"}}}},"GetRoom":{"http":{"method":"GET","requestUri":"/accounts/{accountId}/rooms/{roomId}","responseCode":200},"input":{"type":"structure","required":["AccountId","RoomId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"RoomId":{"location":"uri","locationName":"roomId"}}},"output":{"type":"structure","members":{"Room":{"shape":"S4t"}}}},"GetSipMediaApplication":{"http":{"method":"GET","requestUri":"/sip-media-applications/{sipMediaApplicationId}","responseCode":200},"input":{"type":"structure","required":["SipMediaApplicationId"],"members":{"SipMediaApplicationId":{"location":"uri","locationName":"sipMediaApplicationId"}}},"output":{"type":"structure","members":{"SipMediaApplication":{"shape":"S55"}}}},"GetSipMediaApplicationLoggingConfiguration":{"http":{"method":"GET","requestUri":"/sip-media-applications/{sipMediaApplicationId}/logging-configuration","responseCode":200},"input":{"type":"structure","required":["SipMediaApplicationId"],"members":{"SipMediaApplicationId":{"location":"uri","locationName":"sipMediaApplicationId"}}},"output":{"type":"structure","members":{"SipMediaApplicationLoggingConfiguration":{"shape":"S9s"}}}},"GetSipRule":{"http":{"method":"GET","requestUri":"/sip-rules/{sipRuleId}","responseCode":200},"input":{"type":"structure","required":["SipRuleId"],"members":{"SipRuleId":{"location":"uri","locationName":"sipRuleId"}}},"output":{"type":"structure","members":{"SipRule":{"shape":"S5h"}}}},"GetUser":{"http":{"method":"GET","requestUri":"/accounts/{accountId}/users/{userId}","responseCode":200},"input":{"type":"structure","required":["AccountId","UserId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UserId":{"location":"uri","locationName":"userId"}}},"output":{"type":"structure","members":{"User":{"shape":"S5l"}}}},"GetUserSettings":{"http":{"method":"GET","requestUri":"/accounts/{accountId}/users/{userId}/settings","responseCode":200},"input":{"type":"structure","required":["AccountId","UserId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UserId":{"location":"uri","locationName":"userId"}}},"output":{"type":"structure","members":{"UserSettings":{"shape":"S9z"}}}},"GetVoiceConnector":{"http":{"method":"GET","requestUri":"/voice-connectors/{voiceConnectorId}","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}},"output":{"type":"structure","members":{"VoiceConnector":{"shape":"S5s"}}}},"GetVoiceConnectorEmergencyCallingConfiguration":{"http":{"method":"GET","requestUri":"/voice-connectors/{voiceConnectorId}/emergency-calling-configuration","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}},"output":{"type":"structure","members":{"EmergencyCallingConfiguration":{"shape":"Sa5"}}}},"GetVoiceConnectorGroup":{"http":{"method":"GET","requestUri":"/voice-connector-groups/{voiceConnectorGroupId}","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorGroupId"],"members":{"VoiceConnectorGroupId":{"location":"uri","locationName":"voiceConnectorGroupId"}}},"output":{"type":"structure","members":{"VoiceConnectorGroup":{"shape":"S5z"}}}},"GetVoiceConnectorLoggingConfiguration":{"http":{"method":"GET","requestUri":"/voice-connectors/{voiceConnectorId}/logging-configuration","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}},"output":{"type":"structure","members":{"LoggingConfiguration":{"shape":"Sac"}}}},"GetVoiceConnectorOrigination":{"http":{"method":"GET","requestUri":"/voice-connectors/{voiceConnectorId}/origination","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}},"output":{"type":"structure","members":{"Origination":{"shape":"Saf"}}}},"GetVoiceConnectorProxy":{"http":{"method":"GET","requestUri":"/voice-connectors/{voiceConnectorId}/programmable-numbers/proxy","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}},"output":{"type":"structure","members":{"Proxy":{"shape":"Sao"}}}},"GetVoiceConnectorStreamingConfiguration":{"http":{"method":"GET","requestUri":"/voice-connectors/{voiceConnectorId}/streaming-configuration","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}},"output":{"type":"structure","members":{"StreamingConfiguration":{"shape":"Sat"}}}},"GetVoiceConnectorTermination":{"http":{"method":"GET","requestUri":"/voice-connectors/{voiceConnectorId}/termination","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}},"output":{"type":"structure","members":{"Termination":{"shape":"Sb0"}}}},"GetVoiceConnectorTerminationHealth":{"http":{"method":"GET","requestUri":"/voice-connectors/{voiceConnectorId}/termination/health","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}},"output":{"type":"structure","members":{"TerminationHealth":{"type":"structure","members":{"Timestamp":{"shape":"S2a"},"Source":{}}}}}},"InviteUsers":{"http":{"requestUri":"/accounts/{accountId}/users?operation=add","responseCode":201},"input":{"type":"structure","required":["AccountId","UserEmailList"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UserEmailList":{"type":"list","member":{"shape":"S5j"}},"UserType":{}}},"output":{"type":"structure","members":{"Invites":{"type":"list","member":{"type":"structure","members":{"InviteId":{},"Status":{},"EmailAddress":{"shape":"S5j"},"EmailStatus":{}}}}}}},"ListAccounts":{"http":{"method":"GET","requestUri":"/accounts"},"input":{"type":"structure","members":{"Name":{"location":"querystring","locationName":"name"},"UserEmail":{"shape":"S5j","location":"querystring","locationName":"user-email"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Accounts":{"type":"list","member":{"shape":"S28"}},"NextToken":{}}}},"ListAppInstanceAdmins":{"http":{"method":"GET","requestUri":"/app-instances/{appInstanceArn}/admins","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"Sbj","location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"AppInstanceArn":{},"AppInstanceAdmins":{"type":"list","member":{"type":"structure","members":{"Admin":{"shape":"S14"}}}},"NextToken":{"shape":"Sbj"}}},"endpoint":{"hostPrefix":"identity-"}},"ListAppInstanceUsers":{"http":{"method":"GET","requestUri":"/app-instance-users","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"querystring","locationName":"app-instance-arn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"Sbj","location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"AppInstanceArn":{},"AppInstanceUsers":{"type":"list","member":{"type":"structure","members":{"AppInstanceUserArn":{},"Name":{"shape":"S2n"},"Metadata":{"shape":"S2f"}}}},"NextToken":{"shape":"Sbj"}}},"endpoint":{"hostPrefix":"identity-"}},"ListAppInstances":{"http":{"method":"GET","requestUri":"/app-instances","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"Sbj","location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"AppInstances":{"type":"list","member":{"type":"structure","members":{"AppInstanceArn":{},"Name":{"shape":"S2e"},"Metadata":{"shape":"S2f"}}}},"NextToken":{"shape":"Sbj"}}},"endpoint":{"hostPrefix":"identity-"}},"ListAttendeeTags":{"http":{"method":"GET","requestUri":"/meetings/{meetingId}/attendees/{attendeeId}/tags","responseCode":200},"input":{"type":"structure","required":["MeetingId","AttendeeId"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"},"AttendeeId":{"location":"uri","locationName":"attendeeId"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S2h"}}}},"ListAttendees":{"http":{"method":"GET","requestUri":"/meetings/{meetingId}/attendees","responseCode":200},"input":{"type":"structure","required":["MeetingId"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Attendees":{"shape":"St"},"NextToken":{}}}},"ListBots":{"http":{"method":"GET","requestUri":"/accounts/{accountId}/bots","responseCode":200},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"Bots":{"type":"list","member":{"shape":"S2t"}},"NextToken":{}}}},"ListChannelBans":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/bans","responseCode":200},"input":{"type":"structure","required":["ChannelArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"Sbj","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"NextToken":{"shape":"Sbj"},"ChannelBans":{"type":"list","member":{"type":"structure","members":{"Member":{"shape":"S14"}}}}}},"endpoint":{"hostPrefix":"messaging-"}},"ListChannelMemberships":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/memberships","responseCode":200},"input":{"type":"structure","required":["ChannelArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"Type":{"location":"querystring","locationName":"type"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"Sbj","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"ChannelMemberships":{"type":"list","member":{"type":"structure","members":{"Member":{"shape":"S14"}}}},"NextToken":{"shape":"Sbj"}}},"endpoint":{"hostPrefix":"messaging-"}},"ListChannelMembershipsForAppInstanceUser":{"http":{"method":"GET","requestUri":"/channels?scope=app-instance-user-memberships","responseCode":200},"input":{"type":"structure","members":{"AppInstanceUserArn":{"location":"querystring","locationName":"app-instance-user-arn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"Sbj","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelMemberships":{"type":"list","member":{"shape":"S7g"}},"NextToken":{"shape":"Sbj"}}},"endpoint":{"hostPrefix":"messaging-"}},"ListChannelMessages":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/messages","responseCode":200},"input":{"type":"structure","required":["ChannelArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"SortOrder":{"location":"querystring","locationName":"sort-order"},"NotBefore":{"location":"querystring","locationName":"not-before","type":"timestamp"},"NotAfter":{"location":"querystring","locationName":"not-after","type":"timestamp"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"Sbj","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"NextToken":{"shape":"Sbj"},"ChannelMessages":{"type":"list","member":{"type":"structure","members":{"MessageId":{},"Content":{"shape":"S8j"},"Metadata":{"shape":"S2f"},"Type":{},"CreatedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"},"LastEditedTimestamp":{"type":"timestamp"},"Sender":{"shape":"S14"},"Redacted":{"type":"boolean"}}}}}},"endpoint":{"hostPrefix":"messaging-"}},"ListChannelModerators":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/moderators","responseCode":200},"input":{"type":"structure","required":["ChannelArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"Sbj","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"NextToken":{"shape":"Sbj"},"ChannelModerators":{"type":"list","member":{"type":"structure","members":{"Moderator":{"shape":"S14"}}}}}},"endpoint":{"hostPrefix":"messaging-"}},"ListChannels":{"http":{"method":"GET","requestUri":"/channels","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"querystring","locationName":"app-instance-arn"},"Privacy":{"location":"querystring","locationName":"privacy"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"Sbj","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"Channels":{"type":"list","member":{"shape":"S7h"}},"NextToken":{"shape":"Sbj"}}},"endpoint":{"hostPrefix":"messaging-"}},"ListChannelsModeratedByAppInstanceUser":{"http":{"method":"GET","requestUri":"/channels?scope=app-instance-user-moderated-channels","responseCode":200},"input":{"type":"structure","members":{"AppInstanceUserArn":{"location":"querystring","locationName":"app-instance-user-arn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"Sbj","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"Channels":{"type":"list","member":{"shape":"S7l"}},"NextToken":{"shape":"Sbj"}}},"endpoint":{"hostPrefix":"messaging-"}},"ListMediaCapturePipelines":{"http":{"method":"GET","requestUri":"/media-capture-pipelines","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"MediaCapturePipelines":{"type":"list","member":{"shape":"S3n"}},"NextToken":{}}}},"ListMeetingTags":{"http":{"method":"GET","requestUri":"/meetings/{meetingId}/tags","responseCode":200},"input":{"type":"structure","required":["MeetingId"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S2h"}}}},"ListMeetings":{"http":{"method":"GET","requestUri":"/meetings","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Meetings":{"type":"list","member":{"shape":"S3u"}},"NextToken":{}}}},"ListPhoneNumberOrders":{"http":{"method":"GET","requestUri":"/phone-number-orders","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"PhoneNumberOrders":{"type":"list","member":{"shape":"S44"}},"NextToken":{}}}},"ListPhoneNumbers":{"http":{"method":"GET","requestUri":"/phone-numbers"},"input":{"type":"structure","members":{"Status":{"location":"querystring","locationName":"status"},"ProductType":{"location":"querystring","locationName":"product-type"},"FilterName":{"location":"querystring","locationName":"filter-name"},"FilterValue":{"location":"querystring","locationName":"filter-value"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"PhoneNumbers":{"type":"list","member":{"shape":"S93"}},"NextToken":{}}}},"ListProxySessions":{"http":{"method":"GET","requestUri":"/voice-connectors/{voiceConnectorId}/proxy-sessions","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"Status":{"location":"querystring","locationName":"status"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"ProxySessions":{"type":"list","member":{"shape":"S4m"}},"NextToken":{}}}},"ListRoomMemberships":{"http":{"method":"GET","requestUri":"/accounts/{accountId}/rooms/{roomId}/memberships","responseCode":200},"input":{"type":"structure","required":["AccountId","RoomId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"RoomId":{"location":"uri","locationName":"roomId"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"RoomMemberships":{"type":"list","member":{"shape":"S4w"}},"NextToken":{}}}},"ListRooms":{"http":{"method":"GET","requestUri":"/accounts/{accountId}/rooms","responseCode":200},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"MemberId":{"location":"querystring","locationName":"member-id"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"Rooms":{"type":"list","member":{"shape":"S4t"}},"NextToken":{}}}},"ListSipMediaApplications":{"http":{"method":"GET","requestUri":"/sip-media-applications","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"SipMediaApplications":{"type":"list","member":{"shape":"S55"}},"NextToken":{}}}},"ListSipRules":{"http":{"method":"GET","requestUri":"/sip-rules","responseCode":200},"input":{"type":"structure","members":{"SipMediaApplicationId":{"location":"querystring","locationName":"sip-media-application"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"SipRules":{"type":"list","member":{"shape":"S5h"}},"NextToken":{}}}},"ListSupportedPhoneNumberCountries":{"http":{"method":"GET","requestUri":"/phone-number-countries","responseCode":200},"input":{"type":"structure","required":["ProductType"],"members":{"ProductType":{"location":"querystring","locationName":"product-type"}}},"output":{"type":"structure","members":{"PhoneNumberCountries":{"type":"list","member":{"type":"structure","members":{"CountryCode":{},"SupportedPhoneNumberTypes":{"type":"list","member":{}}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags"},"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{"shape":"S37","location":"querystring","locationName":"arn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S2h"}}}},"ListUsers":{"http":{"method":"GET","requestUri":"/accounts/{accountId}/users","responseCode":200},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UserEmail":{"shape":"S5j","location":"querystring","locationName":"user-email"},"UserType":{"location":"querystring","locationName":"user-type"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"Users":{"type":"list","member":{"shape":"S5l"}},"NextToken":{}}}},"ListVoiceConnectorGroups":{"http":{"method":"GET","requestUri":"/voice-connector-groups","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"VoiceConnectorGroups":{"type":"list","member":{"shape":"S5z"}},"NextToken":{}}}},"ListVoiceConnectorTerminationCredentials":{"http":{"method":"GET","requestUri":"/voice-connectors/{voiceConnectorId}/termination/credentials","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"}}},"output":{"type":"structure","members":{"Usernames":{"shape":"S6u"}}}},"ListVoiceConnectors":{"http":{"method":"GET","requestUri":"/voice-connectors","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"VoiceConnectors":{"type":"list","member":{"shape":"S5s"}},"NextToken":{}}}},"LogoutUser":{"http":{"requestUri":"/accounts/{accountId}/users/{userId}?operation=logout","responseCode":204},"input":{"type":"structure","required":["AccountId","UserId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UserId":{"location":"uri","locationName":"userId"}}},"output":{"type":"structure","members":{}}},"PutAppInstanceRetentionSettings":{"http":{"method":"PUT","requestUri":"/app-instances/{appInstanceArn}/retention-settings","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn","AppInstanceRetentionSettings"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"},"AppInstanceRetentionSettings":{"shape":"S84"}}},"output":{"type":"structure","members":{"AppInstanceRetentionSettings":{"shape":"S84"},"InitiateDeletionTimestamp":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"identity-"}},"PutAppInstanceStreamingConfigurations":{"http":{"method":"PUT","requestUri":"/app-instances/{appInstanceArn}/streaming-configurations","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn","AppInstanceStreamingConfigurations"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"},"AppInstanceStreamingConfigurations":{"shape":"S89"}}},"output":{"type":"structure","members":{"AppInstanceStreamingConfigurations":{"shape":"S89"}}}},"PutEventsConfiguration":{"http":{"method":"PUT","requestUri":"/accounts/{accountId}/bots/{botId}/events-configuration","responseCode":201},"input":{"type":"structure","required":["AccountId","BotId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"BotId":{"location":"uri","locationName":"botId"},"OutboundEventsHTTPSEndpoint":{"shape":"S23"},"LambdaFunctionArn":{"shape":"S23"}}},"output":{"type":"structure","members":{"EventsConfiguration":{"shape":"S8p"}}}},"PutRetentionSettings":{"http":{"method":"PUT","requestUri":"/accounts/{accountId}/retention-settings","responseCode":204},"input":{"type":"structure","required":["AccountId","RetentionSettings"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"RetentionSettings":{"shape":"S9j"}}},"output":{"type":"structure","members":{"RetentionSettings":{"shape":"S9j"},"InitiateDeletionTimestamp":{"shape":"S2a"}}}},"PutSipMediaApplicationLoggingConfiguration":{"http":{"method":"PUT","requestUri":"/sip-media-applications/{sipMediaApplicationId}/logging-configuration","responseCode":200},"input":{"type":"structure","required":["SipMediaApplicationId"],"members":{"SipMediaApplicationId":{"location":"uri","locationName":"sipMediaApplicationId"},"SipMediaApplicationLoggingConfiguration":{"shape":"S9s"}}},"output":{"type":"structure","members":{"SipMediaApplicationLoggingConfiguration":{"shape":"S9s"}}}},"PutVoiceConnectorEmergencyCallingConfiguration":{"http":{"method":"PUT","requestUri":"/voice-connectors/{voiceConnectorId}/emergency-calling-configuration","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId","EmergencyCallingConfiguration"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"EmergencyCallingConfiguration":{"shape":"Sa5"}}},"output":{"type":"structure","members":{"EmergencyCallingConfiguration":{"shape":"Sa5"}}}},"PutVoiceConnectorLoggingConfiguration":{"http":{"method":"PUT","requestUri":"/voice-connectors/{voiceConnectorId}/logging-configuration","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId","LoggingConfiguration"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"LoggingConfiguration":{"shape":"Sac"}}},"output":{"type":"structure","members":{"LoggingConfiguration":{"shape":"Sac"}}}},"PutVoiceConnectorOrigination":{"http":{"method":"PUT","requestUri":"/voice-connectors/{voiceConnectorId}/origination","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId","Origination"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"Origination":{"shape":"Saf"}}},"output":{"type":"structure","members":{"Origination":{"shape":"Saf"}}}},"PutVoiceConnectorProxy":{"http":{"method":"PUT","requestUri":"/voice-connectors/{voiceConnectorId}/programmable-numbers/proxy"},"input":{"type":"structure","required":["DefaultSessionExpiryMinutes","PhoneNumberPoolCountries","VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"DefaultSessionExpiryMinutes":{"type":"integer"},"PhoneNumberPoolCountries":{"type":"list","member":{}},"FallBackPhoneNumber":{"shape":"S3"},"Disabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"Proxy":{"shape":"Sao"}}}},"PutVoiceConnectorStreamingConfiguration":{"http":{"method":"PUT","requestUri":"/voice-connectors/{voiceConnectorId}/streaming-configuration","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId","StreamingConfiguration"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"StreamingConfiguration":{"shape":"Sat"}}},"output":{"type":"structure","members":{"StreamingConfiguration":{"shape":"Sat"}}}},"PutVoiceConnectorTermination":{"http":{"method":"PUT","requestUri":"/voice-connectors/{voiceConnectorId}/termination","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId","Termination"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"Termination":{"shape":"Sb0"}}},"output":{"type":"structure","members":{"Termination":{"shape":"Sb0"}}}},"PutVoiceConnectorTerminationCredentials":{"http":{"requestUri":"/voice-connectors/{voiceConnectorId}/termination/credentials?operation=put","responseCode":204},"input":{"type":"structure","required":["VoiceConnectorId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"Credentials":{"type":"list","member":{"type":"structure","members":{"Username":{"shape":"S23"},"Password":{"shape":"S23"}}}}}}},"RedactChannelMessage":{"http":{"requestUri":"/channels/{channelArn}/messages/{messageId}?operation=redact","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MessageId"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MessageId":{"location":"uri","locationName":"messageId"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"MessageId":{}}},"endpoint":{"hostPrefix":"messaging-"}},"RedactConversationMessage":{"http":{"requestUri":"/accounts/{accountId}/conversations/{conversationId}/messages/{messageId}?operation=redact","responseCode":200},"input":{"type":"structure","required":["AccountId","ConversationId","MessageId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"ConversationId":{"location":"uri","locationName":"conversationId"},"MessageId":{"location":"uri","locationName":"messageId"}}},"output":{"type":"structure","members":{}}},"RedactRoomMessage":{"http":{"requestUri":"/accounts/{accountId}/rooms/{roomId}/messages/{messageId}?operation=redact","responseCode":200},"input":{"type":"structure","required":["AccountId","RoomId","MessageId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"RoomId":{"location":"uri","locationName":"roomId"},"MessageId":{"location":"uri","locationName":"messageId"}}},"output":{"type":"structure","members":{}}},"RegenerateSecurityToken":{"http":{"requestUri":"/accounts/{accountId}/bots/{botId}?operation=regenerate-security-token","responseCode":200},"input":{"type":"structure","required":["AccountId","BotId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"BotId":{"location":"uri","locationName":"botId"}}},"output":{"type":"structure","members":{"Bot":{"shape":"S2t"}}}},"ResetPersonalPIN":{"http":{"requestUri":"/accounts/{accountId}/users/{userId}?operation=reset-personal-pin","responseCode":200},"input":{"type":"structure","required":["AccountId","UserId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UserId":{"location":"uri","locationName":"userId"}}},"output":{"type":"structure","members":{"User":{"shape":"S5l"}}}},"RestorePhoneNumber":{"http":{"requestUri":"/phone-numbers/{phoneNumberId}?operation=restore","responseCode":200},"input":{"type":"structure","required":["PhoneNumberId"],"members":{"PhoneNumberId":{"location":"uri","locationName":"phoneNumberId"}}},"output":{"type":"structure","members":{"PhoneNumber":{"shape":"S93"}}}},"SearchAvailablePhoneNumbers":{"http":{"method":"GET","requestUri":"/search?type=phone-numbers"},"input":{"type":"structure","members":{"AreaCode":{"location":"querystring","locationName":"area-code"},"City":{"location":"querystring","locationName":"city"},"Country":{"location":"querystring","locationName":"country"},"State":{"location":"querystring","locationName":"state"},"TollFreePrefix":{"location":"querystring","locationName":"toll-free-prefix"},"PhoneNumberType":{"location":"querystring","locationName":"phone-number-type"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"E164PhoneNumbers":{"shape":"S7"},"NextToken":{}}}},"SendChannelMessage":{"http":{"requestUri":"/channels/{channelArn}/messages","responseCode":201},"input":{"type":"structure","required":["ChannelArn","Content","Type","Persistence","ClientRequestToken"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"Content":{"type":"string","sensitive":true},"Type":{},"Persistence":{},"Metadata":{"shape":"S2f"},"ClientRequestToken":{"shape":"S2g","idempotencyToken":true},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"MessageId":{}}},"endpoint":{"hostPrefix":"messaging-"}},"StartMeetingTranscription":{"http":{"requestUri":"/meetings/{meetingId}/transcription?operation=start","responseCode":200},"input":{"type":"structure","required":["MeetingId","TranscriptionConfiguration"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"},"TranscriptionConfiguration":{"type":"structure","members":{"EngineTranscribeSettings":{"type":"structure","required":["LanguageCode"],"members":{"LanguageCode":{},"VocabularyFilterMethod":{},"VocabularyFilterName":{},"VocabularyName":{},"Region":{},"EnablePartialResultsStabilization":{"type":"boolean"},"PartialResultsStability":{},"ContentIdentificationType":{},"ContentRedactionType":{},"PiiEntityTypes":{},"LanguageModelName":{}}},"EngineTranscribeMedicalSettings":{"type":"structure","required":["LanguageCode","Specialty","Type"],"members":{"LanguageCode":{},"Specialty":{},"Type":{},"VocabularyName":{},"Region":{},"ContentIdentificationType":{}}}}}}},"output":{"type":"structure","members":{}}},"StopMeetingTranscription":{"http":{"requestUri":"/meetings/{meetingId}/transcription?operation=stop","responseCode":200},"input":{"type":"structure","required":["MeetingId"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"}}},"output":{"type":"structure","members":{}}},"TagAttendee":{"http":{"requestUri":"/meetings/{meetingId}/attendees/{attendeeId}/tags?operation=add","responseCode":204},"input":{"type":"structure","required":["MeetingId","AttendeeId","Tags"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"},"AttendeeId":{"location":"uri","locationName":"attendeeId"},"Tags":{"shape":"So"}}}},"TagMeeting":{"http":{"requestUri":"/meetings/{meetingId}/tags?operation=add","responseCode":204},"input":{"type":"structure","required":["MeetingId","Tags"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"},"Tags":{"shape":"S3r"}}}},"TagResource":{"http":{"requestUri":"/tags?operation=tag-resource","responseCode":204},"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{"shape":"S37"},"Tags":{"shape":"S2h"}}}},"UntagAttendee":{"http":{"requestUri":"/meetings/{meetingId}/attendees/{attendeeId}/tags?operation=delete","responseCode":204},"input":{"type":"structure","required":["MeetingId","TagKeys","AttendeeId"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"},"AttendeeId":{"location":"uri","locationName":"attendeeId"},"TagKeys":{"type":"list","member":{"shape":"Sq"}}}}},"UntagMeeting":{"http":{"requestUri":"/meetings/{meetingId}/tags?operation=delete","responseCode":204},"input":{"type":"structure","required":["MeetingId","TagKeys"],"members":{"MeetingId":{"location":"uri","locationName":"meetingId"},"TagKeys":{"type":"list","member":{"shape":"Sq"}}}}},"UntagResource":{"http":{"requestUri":"/tags?operation=untag-resource","responseCode":204},"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{"shape":"S37"},"TagKeys":{"type":"list","member":{"shape":"Sq"}}}}},"UpdateAccount":{"http":{"requestUri":"/accounts/{accountId}","responseCode":200},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"Name":{},"DefaultLicense":{}}},"output":{"type":"structure","members":{"Account":{"shape":"S28"}}}},"UpdateAccountSettings":{"http":{"method":"PUT","requestUri":"/accounts/{accountId}/settings","responseCode":204},"input":{"type":"structure","required":["AccountId","AccountSettings"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"AccountSettings":{"shape":"S81"}}},"output":{"type":"structure","members":{}}},"UpdateAppInstance":{"http":{"method":"PUT","requestUri":"/app-instances/{appInstanceArn}","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn","Name"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"},"Name":{"shape":"S2e"},"Metadata":{"shape":"S2f"}}},"output":{"type":"structure","members":{"AppInstanceArn":{}}},"endpoint":{"hostPrefix":"identity-"}},"UpdateAppInstanceUser":{"http":{"method":"PUT","requestUri":"/app-instance-users/{appInstanceUserArn}","responseCode":200},"input":{"type":"structure","required":["AppInstanceUserArn","Name"],"members":{"AppInstanceUserArn":{"location":"uri","locationName":"appInstanceUserArn"},"Name":{"shape":"S2n"},"Metadata":{"shape":"S2f"}}},"output":{"type":"structure","members":{"AppInstanceUserArn":{}}},"endpoint":{"hostPrefix":"identity-"}},"UpdateBot":{"http":{"requestUri":"/accounts/{accountId}/bots/{botId}","responseCode":200},"input":{"type":"structure","required":["AccountId","BotId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"BotId":{"location":"uri","locationName":"botId"},"Disabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"Bot":{"shape":"S2t"}}}},"UpdateChannel":{"http":{"method":"PUT","requestUri":"/channels/{channelArn}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","Name","Mode"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"Name":{"shape":"S2e"},"Mode":{},"Metadata":{"shape":"S2f"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{}}},"endpoint":{"hostPrefix":"messaging-"}},"UpdateChannelMessage":{"http":{"method":"PUT","requestUri":"/channels/{channelArn}/messages/{messageId}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MessageId"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MessageId":{"location":"uri","locationName":"messageId"},"Content":{"shape":"S8j"},"Metadata":{"shape":"S2f"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"MessageId":{}}},"endpoint":{"hostPrefix":"messaging-"}},"UpdateChannelReadMarker":{"http":{"method":"PUT","requestUri":"/channels/{channelArn}/readMarker","responseCode":200},"input":{"type":"structure","required":["ChannelArn"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{}}},"endpoint":{"hostPrefix":"messaging-"}},"UpdateGlobalSettings":{"http":{"method":"PUT","requestUri":"/settings","responseCode":204},"input":{"type":"structure","members":{"BusinessCalling":{"shape":"S8r"},"VoiceConnector":{"shape":"S8s"}}}},"UpdatePhoneNumber":{"http":{"requestUri":"/phone-numbers/{phoneNumberId}","responseCode":200},"input":{"type":"structure","required":["PhoneNumberId"],"members":{"PhoneNumberId":{"location":"uri","locationName":"phoneNumberId"},"ProductType":{},"CallingName":{"shape":"S1u"}}},"output":{"type":"structure","members":{"PhoneNumber":{"shape":"S93"}}}},"UpdatePhoneNumberSettings":{"http":{"method":"PUT","requestUri":"/settings/phone-number","responseCode":204},"input":{"type":"structure","required":["CallingName"],"members":{"CallingName":{"shape":"S1u"}}}},"UpdateProxySession":{"http":{"requestUri":"/voice-connectors/{voiceConnectorId}/proxy-sessions/{proxySessionId}","responseCode":201},"input":{"type":"structure","required":["Capabilities","VoiceConnectorId","ProxySessionId"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"ProxySessionId":{"location":"uri","locationName":"proxySessionId"},"Capabilities":{"shape":"S4e"},"ExpiryMinutes":{"type":"integer"}}},"output":{"type":"structure","members":{"ProxySession":{"shape":"S4m"}}}},"UpdateRoom":{"http":{"requestUri":"/accounts/{accountId}/rooms/{roomId}","responseCode":200},"input":{"type":"structure","required":["AccountId","RoomId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"RoomId":{"location":"uri","locationName":"roomId"},"Name":{"shape":"S23"}}},"output":{"type":"structure","members":{"Room":{"shape":"S4t"}}}},"UpdateRoomMembership":{"http":{"requestUri":"/accounts/{accountId}/rooms/{roomId}/memberships/{memberId}","responseCode":200},"input":{"type":"structure","required":["AccountId","RoomId","MemberId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"RoomId":{"location":"uri","locationName":"roomId"},"MemberId":{"location":"uri","locationName":"memberId"},"Role":{}}},"output":{"type":"structure","members":{"RoomMembership":{"shape":"S4w"}}}},"UpdateSipMediaApplication":{"http":{"method":"PUT","requestUri":"/sip-media-applications/{sipMediaApplicationId}","responseCode":200},"input":{"type":"structure","required":["SipMediaApplicationId"],"members":{"SipMediaApplicationId":{"location":"uri","locationName":"sipMediaApplicationId"},"Name":{},"Endpoints":{"shape":"S51"}}},"output":{"type":"structure","members":{"SipMediaApplication":{"shape":"S55"}}}},"UpdateSipMediaApplicationCall":{"http":{"requestUri":"/sip-media-applications/{sipMediaApplicationId}/calls/{transactionId}","responseCode":202},"input":{"type":"structure","required":["SipMediaApplicationId","TransactionId","Arguments"],"members":{"SipMediaApplicationId":{"location":"uri","locationName":"sipMediaApplicationId"},"TransactionId":{"location":"uri","locationName":"transactionId"},"Arguments":{"type":"map","key":{"shape":"S23"},"value":{"shape":"S23"}}}},"output":{"type":"structure","members":{"SipMediaApplicationCall":{"shape":"S59"}}}},"UpdateSipRule":{"http":{"method":"PUT","requestUri":"/sip-rules/{sipRuleId}","responseCode":202},"input":{"type":"structure","required":["SipRuleId","Name"],"members":{"SipRuleId":{"location":"uri","locationName":"sipRuleId"},"Name":{},"Disabled":{"type":"boolean"},"TargetApplications":{"shape":"S5d"}}},"output":{"type":"structure","members":{"SipRule":{"shape":"S5h"}}}},"UpdateUser":{"http":{"requestUri":"/accounts/{accountId}/users/{userId}","responseCode":200},"input":{"type":"structure","required":["AccountId","UserId"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UserId":{"location":"uri","locationName":"userId"},"LicenseType":{},"UserType":{},"AlexaForBusinessMetadata":{"shape":"S21"}}},"output":{"type":"structure","members":{"User":{"shape":"S5l"}}}},"UpdateUserSettings":{"http":{"method":"PUT","requestUri":"/accounts/{accountId}/users/{userId}/settings","responseCode":204},"input":{"type":"structure","required":["AccountId","UserId","UserSettings"],"members":{"AccountId":{"location":"uri","locationName":"accountId"},"UserId":{"location":"uri","locationName":"userId"},"UserSettings":{"shape":"S9z"}}}},"UpdateVoiceConnector":{"http":{"method":"PUT","requestUri":"/voice-connectors/{voiceConnectorId}","responseCode":200},"input":{"type":"structure","required":["VoiceConnectorId","Name","RequireEncryption"],"members":{"VoiceConnectorId":{"location":"uri","locationName":"voiceConnectorId"},"Name":{},"RequireEncryption":{"type":"boolean"}}},"output":{"type":"structure","members":{"VoiceConnector":{"shape":"S5s"}}}},"UpdateVoiceConnectorGroup":{"http":{"method":"PUT","requestUri":"/voice-connector-groups/{voiceConnectorGroupId}","responseCode":202},"input":{"type":"structure","required":["VoiceConnectorGroupId","Name","VoiceConnectorItems"],"members":{"VoiceConnectorGroupId":{"location":"uri","locationName":"voiceConnectorGroupId"},"Name":{},"VoiceConnectorItems":{"shape":"S5v"}}},"output":{"type":"structure","members":{"VoiceConnectorGroup":{"shape":"S5z"}}}}},"shapes":{"S3":{"type":"string","sensitive":true},"S7":{"type":"list","member":{"shape":"S3"}},"Sa":{"type":"list","member":{"type":"structure","members":{"PhoneNumberId":{},"ErrorCode":{},"ErrorMessage":{}}}},"Sg":{"type":"list","member":{"type":"structure","members":{"GroupName":{}}}},"Sm":{"type":"structure","required":["ExternalUserId"],"members":{"ExternalUserId":{"shape":"Sn"},"Tags":{"shape":"So"}}},"Sn":{"type":"string","sensitive":true},"So":{"type":"list","member":{"shape":"Sp"}},"Sp":{"type":"structure","required":["Key","Value"],"members":{"Key":{"shape":"Sq"},"Value":{"type":"string","sensitive":true}}},"Sq":{"type":"string","sensitive":true},"St":{"type":"list","member":{"shape":"Su"}},"Su":{"type":"structure","members":{"ExternalUserId":{"shape":"Sn"},"AttendeeId":{},"JoinToken":{"shape":"Sv"}}},"Sv":{"type":"string","sensitive":true},"Sw":{"type":"list","member":{"type":"structure","members":{"ExternalUserId":{"shape":"Sn"},"ErrorCode":{},"ErrorMessage":{}}}},"S14":{"type":"structure","members":{"Arn":{},"Name":{"type":"string","sensitive":true}}},"S1h":{"type":"list","member":{}},"S1k":{"type":"list","member":{}},"S1m":{"type":"list","member":{"type":"structure","members":{"UserId":{},"ErrorCode":{},"ErrorMessage":{}}}},"S1u":{"type":"string","sensitive":true},"S21":{"type":"structure","members":{"IsAlexaForBusinessEnabled":{"type":"boolean"},"AlexaForBusinessRoomArn":{"shape":"S23"}}},"S23":{"type":"string","sensitive":true},"S28":{"type":"structure","required":["AwsAccountId","AccountId","Name"],"members":{"AwsAccountId":{},"AccountId":{},"Name":{},"AccountType":{},"CreatedTimestamp":{"shape":"S2a"},"DefaultLicense":{},"SupportedLicenses":{"type":"list","member":{}},"AccountStatus":{},"SigninDelegateGroups":{"shape":"Sg"}}},"S2a":{"type":"timestamp","timestampFormat":"iso8601"},"S2e":{"type":"string","sensitive":true},"S2f":{"type":"string","sensitive":true},"S2g":{"type":"string","sensitive":true},"S2h":{"type":"list","member":{"shape":"Sp"}},"S2n":{"type":"string","sensitive":true},"S2t":{"type":"structure","members":{"BotId":{},"UserId":{},"DisplayName":{"shape":"S23"},"BotType":{},"Disabled":{"type":"boolean"},"CreatedTimestamp":{"shape":"S2a"},"UpdatedTimestamp":{"shape":"S2a"},"BotEmail":{"shape":"S23"},"SecurityToken":{"shape":"S23"}}},"S37":{"type":"string","sensitive":true},"S39":{"type":"structure","members":{"SourceConfiguration":{"type":"structure","members":{"SelectedVideoStreams":{"type":"structure","members":{"AttendeeIds":{"type":"list","member":{}},"ExternalUserIds":{"type":"list","member":{"shape":"Sn"}}}}}},"ArtifactsConfiguration":{"type":"structure","required":["Audio","Video","Content"],"members":{"Audio":{"type":"structure","required":["MuxType"],"members":{"MuxType":{}}},"Video":{"type":"structure","required":["State"],"members":{"State":{},"MuxType":{}}},"Content":{"type":"structure","required":["State"],"members":{"State":{},"MuxType":{}}}}}}},"S3n":{"type":"structure","members":{"MediaPipelineId":{},"SourceType":{},"SourceArn":{"shape":"S37"},"Status":{},"SinkType":{},"SinkArn":{"shape":"S37"},"CreatedTimestamp":{"shape":"S2a"},"UpdatedTimestamp":{"shape":"S2a"},"ChimeSdkMeetingConfiguration":{"shape":"S39"}}},"S3q":{"type":"string","sensitive":true},"S3r":{"type":"list","member":{"shape":"Sp"}},"S3s":{"type":"structure","members":{"SnsTopicArn":{"shape":"S37"},"SqsQueueArn":{"shape":"S37"}}},"S3u":{"type":"structure","members":{"MeetingId":{},"ExternalMeetingId":{"shape":"S3q"},"MediaPlacement":{"type":"structure","members":{"AudioHostUrl":{},"AudioFallbackUrl":{},"ScreenDataUrl":{},"ScreenSharingUrl":{},"ScreenViewingUrl":{},"SignalingUrl":{},"TurnControlUrl":{},"EventIngestionUrl":{}}},"MediaRegion":{}}},"S44":{"type":"structure","members":{"PhoneNumberOrderId":{},"ProductType":{},"Status":{},"OrderedPhoneNumbers":{"type":"list","member":{"type":"structure","members":{"E164PhoneNumber":{"shape":"S3"},"Status":{}}}},"CreatedTimestamp":{"shape":"S2a"},"UpdatedTimestamp":{"shape":"S2a"}}},"S4e":{"type":"list","member":{}},"S4i":{"type":"structure","required":["Country","AreaCode"],"members":{"Country":{},"AreaCode":{}}},"S4m":{"type":"structure","members":{"VoiceConnectorId":{},"ProxySessionId":{},"Name":{},"Status":{},"ExpiryMinutes":{"type":"integer"},"Capabilities":{"shape":"S4e"},"CreatedTimestamp":{"shape":"S2a"},"UpdatedTimestamp":{"shape":"S2a"},"EndedTimestamp":{"shape":"S2a"},"Participants":{"type":"list","member":{"type":"structure","members":{"PhoneNumber":{"shape":"S3"},"ProxyPhoneNumber":{"shape":"S3"}}}},"NumberSelectionBehavior":{},"GeoMatchLevel":{},"GeoMatchParams":{"shape":"S4i"}}},"S4t":{"type":"structure","members":{"RoomId":{},"Name":{"shape":"S23"},"AccountId":{},"CreatedBy":{},"CreatedTimestamp":{"shape":"S2a"},"UpdatedTimestamp":{"shape":"S2a"}}},"S4w":{"type":"structure","members":{"RoomId":{},"Member":{"type":"structure","members":{"MemberId":{},"MemberType":{},"Email":{"shape":"S23"},"FullName":{"shape":"S23"},"AccountId":{}}},"Role":{},"InvitedBy":{},"UpdatedTimestamp":{"shape":"S2a"}}},"S51":{"type":"list","member":{"type":"structure","members":{"LambdaArn":{"type":"string","sensitive":true}}}},"S55":{"type":"structure","members":{"SipMediaApplicationId":{},"AwsRegion":{},"Name":{},"Endpoints":{"shape":"S51"},"CreatedTimestamp":{"shape":"S2a"},"UpdatedTimestamp":{"shape":"S2a"}}},"S59":{"type":"structure","members":{"TransactionId":{}}},"S5d":{"type":"list","member":{"type":"structure","members":{"SipMediaApplicationId":{},"Priority":{"type":"integer"},"AwsRegion":{}}}},"S5h":{"type":"structure","members":{"SipRuleId":{},"Name":{},"Disabled":{"type":"boolean"},"TriggerType":{},"TriggerValue":{},"TargetApplications":{"shape":"S5d"},"CreatedTimestamp":{"shape":"S2a"},"UpdatedTimestamp":{"shape":"S2a"}}},"S5j":{"type":"string","sensitive":true},"S5l":{"type":"structure","required":["UserId"],"members":{"UserId":{},"AccountId":{},"PrimaryEmail":{"shape":"S5j"},"PrimaryProvisionedNumber":{"shape":"S23"},"DisplayName":{"shape":"S23"},"LicenseType":{},"UserType":{},"UserRegistrationStatus":{},"UserInvitationStatus":{},"RegisteredOn":{"shape":"S2a"},"InvitedOn":{"shape":"S2a"},"AlexaForBusinessMetadata":{"shape":"S21"},"PersonalPIN":{}}},"S5s":{"type":"structure","members":{"VoiceConnectorId":{},"AwsRegion":{},"Name":{},"OutboundHostName":{},"RequireEncryption":{"type":"boolean"},"CreatedTimestamp":{"shape":"S2a"},"UpdatedTimestamp":{"shape":"S2a"},"VoiceConnectorArn":{}}},"S5v":{"type":"list","member":{"type":"structure","required":["VoiceConnectorId","Priority"],"members":{"VoiceConnectorId":{},"Priority":{"type":"integer"}}}},"S5z":{"type":"structure","members":{"VoiceConnectorGroupId":{},"Name":{},"VoiceConnectorItems":{"shape":"S5v"},"CreatedTimestamp":{"shape":"S2a"},"UpdatedTimestamp":{"shape":"S2a"},"VoiceConnectorGroupArn":{}}},"S6u":{"type":"list","member":{"shape":"S23"}},"S7g":{"type":"structure","members":{"ChannelSummary":{"shape":"S7h"},"AppInstanceUserMembershipSummary":{"type":"structure","members":{"Type":{},"ReadMarkerTimestamp":{"type":"timestamp"}}}}},"S7h":{"type":"structure","members":{"Name":{"shape":"S2e"},"ChannelArn":{},"Mode":{},"Privacy":{},"Metadata":{"shape":"S2f"},"LastMessageTimestamp":{"type":"timestamp"}}},"S7l":{"type":"structure","members":{"ChannelSummary":{"shape":"S7h"}}},"S81":{"type":"structure","members":{"DisableRemoteControl":{"type":"boolean"},"EnableDialOut":{"type":"boolean"}}},"S84":{"type":"structure","members":{"ChannelRetentionSettings":{"type":"structure","members":{"RetentionDays":{"type":"integer"}}}}},"S89":{"type":"list","member":{"type":"structure","required":["AppInstanceDataType","ResourceArn"],"members":{"AppInstanceDataType":{},"ResourceArn":{"shape":"S37"}}}},"S8j":{"type":"string","sensitive":true},"S8p":{"type":"structure","members":{"BotId":{},"OutboundEventsHTTPSEndpoint":{"shape":"S23"},"LambdaFunctionArn":{"shape":"S23"}}},"S8r":{"type":"structure","members":{"CdrBucket":{}}},"S8s":{"type":"structure","members":{"CdrBucket":{}}},"S93":{"type":"structure","members":{"PhoneNumberId":{},"E164PhoneNumber":{"shape":"S3"},"Country":{},"Type":{},"ProductType":{},"Status":{},"Capabilities":{"type":"structure","members":{"InboundCall":{"type":"boolean"},"OutboundCall":{"type":"boolean"},"InboundSMS":{"type":"boolean"},"OutboundSMS":{"type":"boolean"},"InboundMMS":{"type":"boolean"},"OutboundMMS":{"type":"boolean"}}},"Associations":{"type":"list","member":{"type":"structure","members":{"Value":{},"Name":{},"AssociatedTimestamp":{"shape":"S2a"}}}},"CallingName":{"shape":"S1u"},"CallingNameStatus":{},"CreatedTimestamp":{"shape":"S2a"},"UpdatedTimestamp":{"shape":"S2a"},"DeletionTimestamp":{"shape":"S2a"}}},"S9j":{"type":"structure","members":{"RoomRetentionSettings":{"type":"structure","members":{"RetentionDays":{"type":"integer"}}},"ConversationRetentionSettings":{"type":"structure","members":{"RetentionDays":{"type":"integer"}}}}},"S9s":{"type":"structure","members":{"EnableSipMediaApplicationMessageLogs":{"type":"boolean"}}},"S9z":{"type":"structure","required":["Telephony"],"members":{"Telephony":{"type":"structure","required":["InboundCalling","OutboundCalling","SMS"],"members":{"InboundCalling":{"type":"boolean"},"OutboundCalling":{"type":"boolean"},"SMS":{"type":"boolean"}}}}},"Sa5":{"type":"structure","members":{"DNIS":{"type":"list","member":{"type":"structure","required":["EmergencyPhoneNumber","CallingCountry"],"members":{"EmergencyPhoneNumber":{"shape":"S3"},"TestPhoneNumber":{"shape":"S3"},"CallingCountry":{}}}}}},"Sac":{"type":"structure","members":{"EnableSIPLogs":{"type":"boolean"}}},"Saf":{"type":"structure","members":{"Routes":{"type":"list","member":{"type":"structure","members":{"Host":{},"Port":{"type":"integer"},"Protocol":{},"Priority":{"type":"integer"},"Weight":{"type":"integer"}}}},"Disabled":{"type":"boolean"}}},"Sao":{"type":"structure","members":{"DefaultSessionExpiryMinutes":{"type":"integer"},"Disabled":{"type":"boolean"},"FallBackPhoneNumber":{"shape":"S3"},"PhoneNumberCountries":{"shape":"Saq"}}},"Saq":{"type":"list","member":{}},"Sat":{"type":"structure","required":["DataRetentionInHours"],"members":{"DataRetentionInHours":{"type":"integer"},"Disabled":{"type":"boolean"},"StreamingNotificationTargets":{"type":"list","member":{"type":"structure","required":["NotificationTarget"],"members":{"NotificationTarget":{}}}}}},"Sb0":{"type":"structure","members":{"CpsLimit":{"type":"integer"},"DefaultPhoneNumber":{"shape":"S3"},"CallingRegions":{"type":"list","member":{}},"CidrAllowedList":{"shape":"Saq"},"Disabled":{"type":"boolean"}}},"Sbj":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 31890:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAccounts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAppInstanceAdmins":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAppInstanceUsers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAppInstances":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAttendees":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListBots":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelBans":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelMemberships":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelMembershipsForAppInstanceUser":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelMessages":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelModerators":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannels":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelsModeratedByAppInstanceUser":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMediaCapturePipelines":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMeetings":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListPhoneNumberOrders":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListPhoneNumbers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListProxySessions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListRoomMemberships":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListRooms":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSipMediaApplications":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSipRules":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListUsers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListVoiceConnectorGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListVoiceConnectors":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"SearchAvailablePhoneNumbers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 97402:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-04-20","endpointPrefix":"identity-chime","protocol":"rest-json","serviceFullName":"Amazon Chime SDK Identity","serviceId":"Chime SDK Identity","signatureVersion":"v4","signingName":"chime","uid":"chime-sdk-identity-2021-04-20"},"operations":{"CreateAppInstance":{"http":{"requestUri":"/app-instances","responseCode":201},"input":{"type":"structure","required":["Name","ClientRequestToken"],"members":{"Name":{"shape":"S2"},"Metadata":{"shape":"S3"},"ClientRequestToken":{"shape":"S4","idempotencyToken":true},"Tags":{"shape":"S5"}}},"output":{"type":"structure","members":{"AppInstanceArn":{}}}},"CreateAppInstanceAdmin":{"http":{"requestUri":"/app-instances/{appInstanceArn}/admins","responseCode":201},"input":{"type":"structure","required":["AppInstanceAdminArn","AppInstanceArn"],"members":{"AppInstanceAdminArn":{},"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}},"output":{"type":"structure","members":{"AppInstanceAdmin":{"shape":"Sd"},"AppInstanceArn":{}}}},"CreateAppInstanceUser":{"http":{"requestUri":"/app-instance-users","responseCode":201},"input":{"type":"structure","required":["AppInstanceArn","AppInstanceUserId","Name","ClientRequestToken"],"members":{"AppInstanceArn":{},"AppInstanceUserId":{"type":"string","sensitive":true},"Name":{"shape":"Sh"},"Metadata":{"shape":"S3"},"ClientRequestToken":{"shape":"S4","idempotencyToken":true},"Tags":{"shape":"S5"}}},"output":{"type":"structure","members":{"AppInstanceUserArn":{}}}},"DeleteAppInstance":{"http":{"method":"DELETE","requestUri":"/app-instances/{appInstanceArn}","responseCode":204},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}}},"DeleteAppInstanceAdmin":{"http":{"method":"DELETE","requestUri":"/app-instances/{appInstanceArn}/admins/{appInstanceAdminArn}","responseCode":204},"input":{"type":"structure","required":["AppInstanceAdminArn","AppInstanceArn"],"members":{"AppInstanceAdminArn":{"location":"uri","locationName":"appInstanceAdminArn"},"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}}},"DeleteAppInstanceUser":{"http":{"method":"DELETE","requestUri":"/app-instance-users/{appInstanceUserArn}","responseCode":204},"input":{"type":"structure","required":["AppInstanceUserArn"],"members":{"AppInstanceUserArn":{"location":"uri","locationName":"appInstanceUserArn"}}}},"DeregisterAppInstanceUserEndpoint":{"http":{"method":"DELETE","requestUri":"/app-instance-users/{appInstanceUserArn}/endpoints/{endpointId}","responseCode":204},"input":{"type":"structure","required":["AppInstanceUserArn","EndpointId"],"members":{"AppInstanceUserArn":{"shape":"Sn","location":"uri","locationName":"appInstanceUserArn"},"EndpointId":{"shape":"So","location":"uri","locationName":"endpointId"}}}},"DescribeAppInstance":{"http":{"method":"GET","requestUri":"/app-instances/{appInstanceArn}"},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}},"output":{"type":"structure","members":{"AppInstance":{"type":"structure","members":{"AppInstanceArn":{},"Name":{"shape":"S2"},"CreatedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"},"Metadata":{"shape":"S3"}}}}}},"DescribeAppInstanceAdmin":{"http":{"method":"GET","requestUri":"/app-instances/{appInstanceArn}/admins/{appInstanceAdminArn}","responseCode":200},"input":{"type":"structure","required":["AppInstanceAdminArn","AppInstanceArn"],"members":{"AppInstanceAdminArn":{"location":"uri","locationName":"appInstanceAdminArn"},"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}},"output":{"type":"structure","members":{"AppInstanceAdmin":{"type":"structure","members":{"Admin":{"shape":"Sd"},"AppInstanceArn":{},"CreatedTimestamp":{"type":"timestamp"}}}}}},"DescribeAppInstanceUser":{"http":{"method":"GET","requestUri":"/app-instance-users/{appInstanceUserArn}"},"input":{"type":"structure","required":["AppInstanceUserArn"],"members":{"AppInstanceUserArn":{"location":"uri","locationName":"appInstanceUserArn"}}},"output":{"type":"structure","members":{"AppInstanceUser":{"type":"structure","members":{"AppInstanceUserArn":{},"Name":{"shape":"Sh"},"Metadata":{"shape":"S3"},"CreatedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"}}}}}},"DescribeAppInstanceUserEndpoint":{"http":{"method":"GET","requestUri":"/app-instance-users/{appInstanceUserArn}/endpoints/{endpointId}","responseCode":200},"input":{"type":"structure","required":["AppInstanceUserArn","EndpointId"],"members":{"AppInstanceUserArn":{"shape":"S10","location":"uri","locationName":"appInstanceUserArn"},"EndpointId":{"shape":"So","location":"uri","locationName":"endpointId"}}},"output":{"type":"structure","members":{"AppInstanceUserEndpoint":{"type":"structure","members":{"AppInstanceUserArn":{"shape":"Sn"},"EndpointId":{"shape":"So"},"Name":{"shape":"S10"},"Type":{},"ResourceArn":{"shape":"Sn"},"EndpointAttributes":{"shape":"S14"},"CreatedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"},"AllowMessages":{},"EndpointState":{"shape":"S17"}}}}}},"GetAppInstanceRetentionSettings":{"http":{"method":"GET","requestUri":"/app-instances/{appInstanceArn}/retention-settings","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"}}},"output":{"type":"structure","members":{"AppInstanceRetentionSettings":{"shape":"S1c"},"InitiateDeletionTimestamp":{"type":"timestamp"}}}},"ListAppInstanceAdmins":{"http":{"method":"GET","requestUri":"/app-instances/{appInstanceArn}/admins","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S1h","location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"AppInstanceArn":{},"AppInstanceAdmins":{"type":"list","member":{"type":"structure","members":{"Admin":{"shape":"Sd"}}}},"NextToken":{"shape":"S1h"}}}},"ListAppInstanceUserEndpoints":{"http":{"method":"GET","requestUri":"/app-instance-users/{appInstanceUserArn}/endpoints","responseCode":200},"input":{"type":"structure","required":["AppInstanceUserArn"],"members":{"AppInstanceUserArn":{"shape":"Sn","location":"uri","locationName":"appInstanceUserArn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S1h","location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"AppInstanceUserEndpoints":{"type":"list","member":{"type":"structure","members":{"AppInstanceUserArn":{"shape":"Sn"},"EndpointId":{"shape":"So"},"Name":{"shape":"S10"},"Type":{},"AllowMessages":{},"EndpointState":{"shape":"S17"}}}},"NextToken":{"shape":"S1h"}}}},"ListAppInstanceUsers":{"http":{"method":"GET","requestUri":"/app-instance-users"},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"querystring","locationName":"app-instance-arn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S1h","location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"AppInstanceArn":{},"AppInstanceUsers":{"type":"list","member":{"type":"structure","members":{"AppInstanceUserArn":{},"Name":{"shape":"Sh"},"Metadata":{"shape":"S3"}}}},"NextToken":{"shape":"S1h"}}}},"ListAppInstances":{"http":{"method":"GET","requestUri":"/app-instances"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S1h","location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"AppInstances":{"type":"list","member":{"type":"structure","members":{"AppInstanceArn":{},"Name":{"shape":"S2"},"Metadata":{"shape":"S3"}}}},"NextToken":{"shape":"S1h"}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags","responseCode":200},"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{"location":"querystring","locationName":"arn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S5"}}}},"PutAppInstanceRetentionSettings":{"http":{"method":"PUT","requestUri":"/app-instances/{appInstanceArn}/retention-settings","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn","AppInstanceRetentionSettings"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"},"AppInstanceRetentionSettings":{"shape":"S1c"}}},"output":{"type":"structure","members":{"AppInstanceRetentionSettings":{"shape":"S1c"},"InitiateDeletionTimestamp":{"type":"timestamp"}}}},"RegisterAppInstanceUserEndpoint":{"http":{"requestUri":"/app-instance-users/{appInstanceUserArn}/endpoints","responseCode":201},"input":{"type":"structure","required":["AppInstanceUserArn","Type","ResourceArn","EndpointAttributes","ClientRequestToken"],"members":{"AppInstanceUserArn":{"shape":"Sn","location":"uri","locationName":"appInstanceUserArn"},"Name":{"shape":"S10"},"Type":{},"ResourceArn":{"shape":"Sn"},"EndpointAttributes":{"shape":"S14"},"ClientRequestToken":{"shape":"S4","idempotencyToken":true},"AllowMessages":{}}},"output":{"type":"structure","members":{"AppInstanceUserArn":{"shape":"Sn"},"EndpointId":{"shape":"So"}}}},"TagResource":{"http":{"requestUri":"/tags?operation=tag-resource","responseCode":204},"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S5"}}}},"UntagResource":{"http":{"requestUri":"/tags?operation=untag-resource","responseCode":204},"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{"shape":"S7"}}}}},"UpdateAppInstance":{"http":{"method":"PUT","requestUri":"/app-instances/{appInstanceArn}","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn","Name","Metadata"],"members":{"AppInstanceArn":{"location":"uri","locationName":"appInstanceArn"},"Name":{"shape":"S2"},"Metadata":{"shape":"S3"}}},"output":{"type":"structure","members":{"AppInstanceArn":{}}}},"UpdateAppInstanceUser":{"http":{"method":"PUT","requestUri":"/app-instance-users/{appInstanceUserArn}","responseCode":200},"input":{"type":"structure","required":["AppInstanceUserArn","Name","Metadata"],"members":{"AppInstanceUserArn":{"location":"uri","locationName":"appInstanceUserArn"},"Name":{"shape":"Sh"},"Metadata":{"shape":"S3"}}},"output":{"type":"structure","members":{"AppInstanceUserArn":{}}}},"UpdateAppInstanceUserEndpoint":{"http":{"method":"PUT","requestUri":"/app-instance-users/{appInstanceUserArn}/endpoints/{endpointId}","responseCode":200},"input":{"type":"structure","required":["AppInstanceUserArn","EndpointId"],"members":{"AppInstanceUserArn":{"shape":"Sn","location":"uri","locationName":"appInstanceUserArn"},"EndpointId":{"shape":"So","location":"uri","locationName":"endpointId"},"Name":{"shape":"S10"},"AllowMessages":{}}},"output":{"type":"structure","members":{"AppInstanceUserArn":{"shape":"Sn"},"EndpointId":{"shape":"So"}}}}},"shapes":{"S2":{"type":"string","sensitive":true},"S3":{"type":"string","sensitive":true},"S4":{"type":"string","sensitive":true},"S5":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{"shape":"S7"},"Value":{"type":"string","sensitive":true}}}},"S7":{"type":"string","sensitive":true},"Sd":{"type":"structure","members":{"Arn":{},"Name":{"type":"string","sensitive":true}}},"Sh":{"type":"string","sensitive":true},"Sn":{"type":"string","sensitive":true},"So":{"type":"string","sensitive":true},"S10":{"type":"string","sensitive":true},"S14":{"type":"structure","required":["DeviceToken"],"members":{"DeviceToken":{"shape":"S15"},"VoipDeviceToken":{"shape":"S15"}}},"S15":{"type":"string","sensitive":true},"S17":{"type":"structure","required":["Status"],"members":{"Status":{},"StatusReason":{}}},"S1c":{"type":"structure","members":{"ChannelRetentionSettings":{"type":"structure","members":{"RetentionDays":{"type":"integer"}}}}},"S1h":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 133:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAppInstanceAdmins":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAppInstanceUserEndpoints":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAppInstanceUsers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAppInstances":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 17090:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-07-15","endpointPrefix":"meetings-chime","protocol":"rest-json","serviceFullName":"Amazon Chime SDK Meetings","serviceId":"Chime SDK Meetings","signatureVersion":"v4","signingName":"chime","uid":"chime-sdk-meetings-2021-07-15"},"operations":{"BatchCreateAttendee":{"http":{"requestUri":"/meetings/{MeetingId}/attendees?operation=batch-create"},"input":{"type":"structure","required":["MeetingId","Attendees"],"members":{"MeetingId":{"location":"uri","locationName":"MeetingId"},"Attendees":{"type":"list","member":{"shape":"S4"}}}},"output":{"type":"structure","members":{"Attendees":{"shape":"S7"},"Errors":{"shape":"Sa"}}}},"CreateAttendee":{"http":{"requestUri":"/meetings/{MeetingId}/attendees"},"input":{"type":"structure","required":["MeetingId","ExternalUserId"],"members":{"MeetingId":{"location":"uri","locationName":"MeetingId"},"ExternalUserId":{"shape":"S5"}}},"output":{"type":"structure","members":{"Attendee":{"shape":"S8"}}}},"CreateMeeting":{"http":{"requestUri":"/meetings"},"input":{"type":"structure","required":["ClientRequestToken","MediaRegion","ExternalMeetingId"],"members":{"ClientRequestToken":{"shape":"Sg","idempotencyToken":true},"MediaRegion":{},"MeetingHostId":{"shape":"S5"},"ExternalMeetingId":{"shape":"Si"},"NotificationsConfiguration":{"shape":"Sj"},"MeetingFeatures":{"shape":"Sl"}}},"output":{"type":"structure","members":{"Meeting":{"shape":"Sp"}}}},"CreateMeetingWithAttendees":{"http":{"requestUri":"/meetings?operation=create-attendees"},"input":{"type":"structure","required":["ClientRequestToken","MediaRegion","ExternalMeetingId","Attendees"],"members":{"ClientRequestToken":{"shape":"Sg","idempotencyToken":true},"MediaRegion":{},"MeetingHostId":{"shape":"S5"},"ExternalMeetingId":{"shape":"Si"},"MeetingFeatures":{"shape":"Sl"},"NotificationsConfiguration":{"shape":"Sj"},"Attendees":{"type":"list","member":{"shape":"S4"}}}},"output":{"type":"structure","members":{"Meeting":{"shape":"Sp"},"Attendees":{"shape":"S7"},"Errors":{"shape":"Sa"}}}},"DeleteAttendee":{"http":{"method":"DELETE","requestUri":"/meetings/{MeetingId}/attendees/{AttendeeId}","responseCode":204},"input":{"type":"structure","required":["MeetingId","AttendeeId"],"members":{"MeetingId":{"location":"uri","locationName":"MeetingId"},"AttendeeId":{"location":"uri","locationName":"AttendeeId"}}}},"DeleteMeeting":{"http":{"method":"DELETE","requestUri":"/meetings/{MeetingId}","responseCode":204},"input":{"type":"structure","required":["MeetingId"],"members":{"MeetingId":{"location":"uri","locationName":"MeetingId"}}}},"GetAttendee":{"http":{"method":"GET","requestUri":"/meetings/{MeetingId}/attendees/{AttendeeId}"},"input":{"type":"structure","required":["MeetingId","AttendeeId"],"members":{"MeetingId":{"location":"uri","locationName":"MeetingId"},"AttendeeId":{"location":"uri","locationName":"AttendeeId"}}},"output":{"type":"structure","members":{"Attendee":{"shape":"S8"}}}},"GetMeeting":{"http":{"method":"GET","requestUri":"/meetings/{MeetingId}"},"input":{"type":"structure","required":["MeetingId"],"members":{"MeetingId":{"location":"uri","locationName":"MeetingId"}}},"output":{"type":"structure","members":{"Meeting":{"shape":"Sp"}}}},"ListAttendees":{"http":{"method":"GET","requestUri":"/meetings/{MeetingId}/attendees","responseCode":200},"input":{"type":"structure","required":["MeetingId"],"members":{"MeetingId":{"location":"uri","locationName":"MeetingId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Attendees":{"shape":"S7"},"NextToken":{}}}},"StartMeetingTranscription":{"http":{"requestUri":"/meetings/{MeetingId}/transcription?operation=start","responseCode":200},"input":{"type":"structure","required":["MeetingId","TranscriptionConfiguration"],"members":{"MeetingId":{"location":"uri","locationName":"MeetingId"},"TranscriptionConfiguration":{"type":"structure","members":{"EngineTranscribeSettings":{"type":"structure","required":["LanguageCode"],"members":{"LanguageCode":{},"VocabularyFilterMethod":{},"VocabularyFilterName":{},"VocabularyName":{},"Region":{},"EnablePartialResultsStabilization":{"type":"boolean"},"PartialResultsStability":{},"ContentIdentificationType":{},"ContentRedactionType":{},"PiiEntityTypes":{},"LanguageModelName":{}}},"EngineTranscribeMedicalSettings":{"type":"structure","required":["LanguageCode","Specialty","Type"],"members":{"LanguageCode":{},"Specialty":{},"Type":{},"VocabularyName":{},"Region":{},"ContentIdentificationType":{}}}}}}}},"StopMeetingTranscription":{"http":{"requestUri":"/meetings/{MeetingId}/transcription?operation=stop","responseCode":200},"input":{"type":"structure","required":["MeetingId"],"members":{"MeetingId":{"location":"uri","locationName":"MeetingId"}}}}},"shapes":{"S4":{"type":"structure","required":["ExternalUserId"],"members":{"ExternalUserId":{"shape":"S5"}}},"S5":{"type":"string","sensitive":true},"S7":{"type":"list","member":{"shape":"S8"}},"S8":{"type":"structure","members":{"ExternalUserId":{"shape":"S5"},"AttendeeId":{},"JoinToken":{"type":"string","sensitive":true}}},"Sa":{"type":"list","member":{"type":"structure","members":{"ExternalUserId":{"shape":"S5"},"ErrorCode":{},"ErrorMessage":{}}}},"Sg":{"type":"string","sensitive":true},"Si":{"type":"string","sensitive":true},"Sj":{"type":"structure","members":{"LambdaFunctionArn":{"shape":"Sk"},"SnsTopicArn":{"shape":"Sk"},"SqsQueueArn":{"shape":"Sk"}}},"Sk":{"type":"string","sensitive":true},"Sl":{"type":"structure","members":{"Audio":{"type":"structure","members":{"EchoReduction":{}}}}},"Sp":{"type":"structure","members":{"MeetingId":{},"MeetingHostId":{"shape":"S5"},"ExternalMeetingId":{"shape":"Si"},"MediaRegion":{},"MediaPlacement":{"type":"structure","members":{"AudioHostUrl":{},"AudioFallbackUrl":{},"SignalingUrl":{},"TurnControlUrl":{},"ScreenDataUrl":{},"ScreenViewingUrl":{},"ScreenSharingUrl":{},"EventIngestionUrl":{}}},"MeetingFeatures":{"shape":"Sl"}}}}}');

/***/ }),

/***/ 70582:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAttendees":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 52239:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-05-15","endpointPrefix":"messaging-chime","protocol":"rest-json","serviceFullName":"Amazon Chime SDK Messaging","serviceId":"Chime SDK Messaging","signatureVersion":"v4","signingName":"chime","uid":"chime-sdk-messaging-2021-05-15"},"operations":{"AssociateChannelFlow":{"http":{"method":"PUT","requestUri":"/channels/{channelArn}/channel-flow","responseCode":200},"input":{"type":"structure","required":["ChannelArn","ChannelFlowArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChannelFlowArn":{},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}}},"BatchCreateChannelMembership":{"http":{"requestUri":"/channels/{channelArn}/memberships?operation=batch-create","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MemberArns","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"Type":{},"MemberArns":{"type":"list","member":{}},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"BatchChannelMemberships":{"type":"structure","members":{"InvitedBy":{"shape":"S8"},"Type":{},"Members":{"type":"list","member":{"shape":"S8"}},"ChannelArn":{}}},"Errors":{"type":"list","member":{"type":"structure","members":{"MemberArn":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"ChannelFlowCallback":{"http":{"requestUri":"/channels/{channelArn}?operation=channel-flow-callback","responseCode":200},"input":{"type":"structure","required":["CallbackId","ChannelArn","ChannelMessage"],"members":{"CallbackId":{"idempotencyToken":true},"ChannelArn":{"location":"uri","locationName":"channelArn"},"DeleteResource":{"type":"boolean"},"ChannelMessage":{"type":"structure","required":["MessageId"],"members":{"MessageId":{},"Content":{"shape":"Sk"},"Metadata":{"shape":"Sl"}}}}},"output":{"type":"structure","members":{"ChannelArn":{},"CallbackId":{}}}},"CreateChannel":{"http":{"requestUri":"/channels","responseCode":201},"input":{"type":"structure","required":["AppInstanceArn","Name","ClientRequestToken","ChimeBearer"],"members":{"AppInstanceArn":{},"Name":{"shape":"So"},"Mode":{},"Privacy":{},"Metadata":{"shape":"Sl"},"ClientRequestToken":{"shape":"Sr","idempotencyToken":true},"Tags":{"shape":"Ss"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{}}}},"CreateChannelBan":{"http":{"requestUri":"/channels/{channelArn}/bans","responseCode":201},"input":{"type":"structure","required":["ChannelArn","MemberArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"Member":{"shape":"S8"}}}},"CreateChannelFlow":{"http":{"requestUri":"/channel-flows","responseCode":201},"input":{"type":"structure","required":["AppInstanceArn","Processors","Name","ClientRequestToken"],"members":{"AppInstanceArn":{},"Processors":{"shape":"S10"},"Name":{"shape":"So"},"Tags":{"shape":"Ss"},"ClientRequestToken":{"shape":"Sr"}}},"output":{"type":"structure","members":{"ChannelFlowArn":{}}}},"CreateChannelMembership":{"http":{"requestUri":"/channels/{channelArn}/memberships","responseCode":201},"input":{"type":"structure","required":["ChannelArn","MemberArn","Type","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{},"Type":{},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"Member":{"shape":"S8"}}}},"CreateChannelModerator":{"http":{"requestUri":"/channels/{channelArn}/moderators","responseCode":201},"input":{"type":"structure","required":["ChannelArn","ChannelModeratorArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChannelModeratorArn":{},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"ChannelModerator":{"shape":"S8"}}}},"DeleteChannel":{"http":{"method":"DELETE","requestUri":"/channels/{channelArn}","responseCode":204},"input":{"type":"structure","required":["ChannelArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}}},"DeleteChannelBan":{"http":{"method":"DELETE","requestUri":"/channels/{channelArn}/bans/{memberArn}","responseCode":204},"input":{"type":"structure","required":["ChannelArn","MemberArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{"location":"uri","locationName":"memberArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}}},"DeleteChannelFlow":{"http":{"method":"DELETE","requestUri":"/channel-flows/{channelFlowArn}","responseCode":204},"input":{"type":"structure","required":["ChannelFlowArn"],"members":{"ChannelFlowArn":{"location":"uri","locationName":"channelFlowArn"}}}},"DeleteChannelMembership":{"http":{"method":"DELETE","requestUri":"/channels/{channelArn}/memberships/{memberArn}","responseCode":204},"input":{"type":"structure","required":["ChannelArn","MemberArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{"location":"uri","locationName":"memberArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}}},"DeleteChannelMessage":{"http":{"method":"DELETE","requestUri":"/channels/{channelArn}/messages/{messageId}","responseCode":204},"input":{"type":"structure","required":["ChannelArn","MessageId","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MessageId":{"location":"uri","locationName":"messageId"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}}},"DeleteChannelModerator":{"http":{"method":"DELETE","requestUri":"/channels/{channelArn}/moderators/{channelModeratorArn}","responseCode":204},"input":{"type":"structure","required":["ChannelArn","ChannelModeratorArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChannelModeratorArn":{"location":"uri","locationName":"channelModeratorArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}}},"DescribeChannel":{"http":{"method":"GET","requestUri":"/channels/{channelArn}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"Channel":{"type":"structure","members":{"Name":{"shape":"So"},"ChannelArn":{},"Mode":{},"Privacy":{},"Metadata":{"shape":"Sl"},"CreatedBy":{"shape":"S8"},"CreatedTimestamp":{"type":"timestamp"},"LastMessageTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"},"ChannelFlowArn":{}}}}}},"DescribeChannelBan":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/bans/{memberArn}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MemberArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{"location":"uri","locationName":"memberArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelBan":{"type":"structure","members":{"Member":{"shape":"S8"},"ChannelArn":{},"CreatedTimestamp":{"type":"timestamp"},"CreatedBy":{"shape":"S8"}}}}}},"DescribeChannelFlow":{"http":{"method":"GET","requestUri":"/channel-flows/{channelFlowArn}","responseCode":200},"input":{"type":"structure","required":["ChannelFlowArn"],"members":{"ChannelFlowArn":{"location":"uri","locationName":"channelFlowArn"}}},"output":{"type":"structure","members":{"ChannelFlow":{"type":"structure","members":{"ChannelFlowArn":{},"Processors":{"shape":"S10"},"Name":{"shape":"So"},"CreatedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"}}}}}},"DescribeChannelMembership":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/memberships/{memberArn}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MemberArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{"location":"uri","locationName":"memberArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelMembership":{"type":"structure","members":{"InvitedBy":{"shape":"S8"},"Type":{},"Member":{"shape":"S8"},"ChannelArn":{},"CreatedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"}}}}}},"DescribeChannelMembershipForAppInstanceUser":{"http":{"method":"GET","requestUri":"/channels/{channelArn}?scope=app-instance-user-membership","responseCode":200},"input":{"type":"structure","required":["ChannelArn","AppInstanceUserArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"AppInstanceUserArn":{"location":"querystring","locationName":"app-instance-user-arn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelMembership":{"shape":"S1y"}}}},"DescribeChannelModeratedByAppInstanceUser":{"http":{"method":"GET","requestUri":"/channels/{channelArn}?scope=app-instance-user-moderated-channel","responseCode":200},"input":{"type":"structure","required":["ChannelArn","AppInstanceUserArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"AppInstanceUserArn":{"location":"querystring","locationName":"app-instance-user-arn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"Channel":{"shape":"S23"}}}},"DescribeChannelModerator":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/moderators/{channelModeratorArn}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","ChannelModeratorArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChannelModeratorArn":{"location":"uri","locationName":"channelModeratorArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelModerator":{"type":"structure","members":{"Moderator":{"shape":"S8"},"ChannelArn":{},"CreatedTimestamp":{"type":"timestamp"},"CreatedBy":{"shape":"S8"}}}}}},"DisassociateChannelFlow":{"http":{"method":"DELETE","requestUri":"/channels/{channelArn}/channel-flow/{channelFlowArn}","responseCode":204},"input":{"type":"structure","required":["ChannelArn","ChannelFlowArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChannelFlowArn":{"location":"uri","locationName":"channelFlowArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}}},"GetChannelMembershipPreferences":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/memberships/{memberArn}/preferences","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MemberArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{"location":"uri","locationName":"memberArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"Member":{"shape":"S8"},"Preferences":{"shape":"S2a"}}}},"GetChannelMessage":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/messages/{messageId}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MessageId","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MessageId":{"location":"uri","locationName":"messageId"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelMessage":{"type":"structure","members":{"ChannelArn":{},"MessageId":{},"Content":{"shape":"S2h"},"Metadata":{"shape":"Sl"},"Type":{},"CreatedTimestamp":{"type":"timestamp"},"LastEditedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"},"Sender":{"shape":"S8"},"Redacted":{"type":"boolean"},"Persistence":{},"Status":{"shape":"S2k"},"MessageAttributes":{"shape":"S2n"}}}}}},"GetChannelMessageStatus":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/messages/{messageId}?scope=message-status","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MessageId","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MessageId":{"location":"uri","locationName":"messageId"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"Status":{"shape":"S2k"}}}},"GetMessagingSessionEndpoint":{"http":{"method":"GET","requestUri":"/endpoints/messaging-session","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"Endpoint":{"type":"structure","members":{"Url":{}}}}}},"ListChannelBans":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/bans","responseCode":200},"input":{"type":"structure","required":["ChannelArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S30","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"NextToken":{"shape":"S30"},"ChannelBans":{"type":"list","member":{"type":"structure","members":{"Member":{"shape":"S8"}}}}}}},"ListChannelFlows":{"http":{"method":"GET","requestUri":"/channel-flows","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn"],"members":{"AppInstanceArn":{"location":"querystring","locationName":"app-instance-arn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S30","location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"ChannelFlows":{"type":"list","member":{"type":"structure","members":{"ChannelFlowArn":{},"Name":{"shape":"So"},"Processors":{"shape":"S10"}}}},"NextToken":{"shape":"S30"}}}},"ListChannelMemberships":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/memberships","responseCode":200},"input":{"type":"structure","required":["ChannelArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"Type":{"location":"querystring","locationName":"type"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S30","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"ChannelMemberships":{"type":"list","member":{"type":"structure","members":{"Member":{"shape":"S8"}}}},"NextToken":{"shape":"S30"}}}},"ListChannelMembershipsForAppInstanceUser":{"http":{"method":"GET","requestUri":"/channels?scope=app-instance-user-memberships","responseCode":200},"input":{"type":"structure","required":["ChimeBearer"],"members":{"AppInstanceUserArn":{"location":"querystring","locationName":"app-instance-user-arn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S30","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelMemberships":{"type":"list","member":{"shape":"S1y"}},"NextToken":{"shape":"S30"}}}},"ListChannelMessages":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/messages","responseCode":200},"input":{"type":"structure","required":["ChannelArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"SortOrder":{"location":"querystring","locationName":"sort-order"},"NotBefore":{"location":"querystring","locationName":"not-before","type":"timestamp"},"NotAfter":{"location":"querystring","locationName":"not-after","type":"timestamp"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S30","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"NextToken":{"shape":"S30"},"ChannelMessages":{"type":"list","member":{"type":"structure","members":{"MessageId":{},"Content":{"shape":"S2h"},"Metadata":{"shape":"Sl"},"Type":{},"CreatedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"},"LastEditedTimestamp":{"type":"timestamp"},"Sender":{"shape":"S8"},"Redacted":{"type":"boolean"},"Status":{"shape":"S2k"},"MessageAttributes":{"shape":"S2n"}}}}}}},"ListChannelModerators":{"http":{"method":"GET","requestUri":"/channels/{channelArn}/moderators","responseCode":200},"input":{"type":"structure","required":["ChannelArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S30","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"NextToken":{"shape":"S30"},"ChannelModerators":{"type":"list","member":{"type":"structure","members":{"Moderator":{"shape":"S8"}}}}}}},"ListChannels":{"http":{"method":"GET","requestUri":"/channels","responseCode":200},"input":{"type":"structure","required":["AppInstanceArn","ChimeBearer"],"members":{"AppInstanceArn":{"location":"querystring","locationName":"app-instance-arn"},"Privacy":{"location":"querystring","locationName":"privacy"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S30","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"Channels":{"type":"list","member":{"shape":"S1z"}},"NextToken":{"shape":"S30"}}}},"ListChannelsAssociatedWithChannelFlow":{"http":{"method":"GET","requestUri":"/channels?scope=channel-flow-associations","responseCode":200},"input":{"type":"structure","required":["ChannelFlowArn"],"members":{"ChannelFlowArn":{"location":"querystring","locationName":"channel-flow-arn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S30","location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"Channels":{"type":"list","member":{"type":"structure","members":{"Name":{"shape":"So"},"ChannelArn":{},"Mode":{},"Privacy":{},"Metadata":{"shape":"Sl"}}}},"NextToken":{"shape":"S30"}}}},"ListChannelsModeratedByAppInstanceUser":{"http":{"method":"GET","requestUri":"/channels?scope=app-instance-user-moderated-channels","responseCode":200},"input":{"type":"structure","required":["ChimeBearer"],"members":{"AppInstanceUserArn":{"location":"querystring","locationName":"app-instance-user-arn"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"NextToken":{"shape":"S30","location":"querystring","locationName":"next-token"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"Channels":{"type":"list","member":{"shape":"S23"}},"NextToken":{"shape":"S30"}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags","responseCode":200},"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{"location":"querystring","locationName":"arn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Ss"}}}},"PutChannelMembershipPreferences":{"http":{"method":"PUT","requestUri":"/channels/{channelArn}/memberships/{memberArn}/preferences","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MemberArn","ChimeBearer","Preferences"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MemberArn":{"location":"uri","locationName":"memberArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"},"Preferences":{"shape":"S2a"}}},"output":{"type":"structure","members":{"ChannelArn":{},"Member":{"shape":"S8"},"Preferences":{"shape":"S2a"}}}},"RedactChannelMessage":{"http":{"requestUri":"/channels/{channelArn}/messages/{messageId}?operation=redact","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MessageId","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MessageId":{"location":"uri","locationName":"messageId"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"MessageId":{}}}},"SendChannelMessage":{"http":{"requestUri":"/channels/{channelArn}/messages","responseCode":201},"input":{"type":"structure","required":["ChannelArn","Content","Type","Persistence","ClientRequestToken","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"Content":{"shape":"Sk"},"Type":{},"Persistence":{},"Metadata":{"shape":"Sl"},"ClientRequestToken":{"shape":"Sr","idempotencyToken":true},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"},"PushNotification":{"type":"structure","required":["Title","Body","Type"],"members":{"Title":{"type":"string","sensitive":true},"Body":{"type":"string","sensitive":true},"Type":{}}},"MessageAttributes":{"shape":"S2n"}}},"output":{"type":"structure","members":{"ChannelArn":{},"MessageId":{},"Status":{"shape":"S2k"}}}},"TagResource":{"http":{"requestUri":"/tags?operation=tag-resource","responseCode":204},"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"Ss"}}}},"UntagResource":{"http":{"requestUri":"/tags?operation=untag-resource","responseCode":204},"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{"shape":"Su"}}}}},"UpdateChannel":{"http":{"method":"PUT","requestUri":"/channels/{channelArn}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","Name","Mode","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"Name":{"shape":"So"},"Mode":{},"Metadata":{"shape":"Sl"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{}}}},"UpdateChannelFlow":{"http":{"method":"PUT","requestUri":"/channel-flows/{channelFlowArn}","responseCode":200},"input":{"type":"structure","required":["ChannelFlowArn","Processors","Name"],"members":{"ChannelFlowArn":{"location":"uri","locationName":"channelFlowArn"},"Processors":{"shape":"S10"},"Name":{"shape":"So"}}},"output":{"type":"structure","members":{"ChannelFlowArn":{}}}},"UpdateChannelMessage":{"http":{"method":"PUT","requestUri":"/channels/{channelArn}/messages/{messageId}","responseCode":200},"input":{"type":"structure","required":["ChannelArn","MessageId","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"MessageId":{"location":"uri","locationName":"messageId"},"Content":{"shape":"S2h"},"Metadata":{"shape":"Sl"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{},"MessageId":{},"Status":{"shape":"S2k"}}}},"UpdateChannelReadMarker":{"http":{"method":"PUT","requestUri":"/channels/{channelArn}/readMarker","responseCode":200},"input":{"type":"structure","required":["ChannelArn","ChimeBearer"],"members":{"ChannelArn":{"location":"uri","locationName":"channelArn"},"ChimeBearer":{"location":"header","locationName":"x-amz-chime-bearer"}}},"output":{"type":"structure","members":{"ChannelArn":{}}}}},"shapes":{"S8":{"type":"structure","members":{"Arn":{},"Name":{"type":"string","sensitive":true}}},"Sk":{"type":"string","sensitive":true},"Sl":{"type":"string","sensitive":true},"So":{"type":"string","sensitive":true},"Sr":{"type":"string","sensitive":true},"Ss":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{"shape":"Su"},"Value":{"type":"string","sensitive":true}}}},"Su":{"type":"string","sensitive":true},"S10":{"type":"list","member":{"type":"structure","required":["Name","Configuration","ExecutionOrder","FallbackAction"],"members":{"Name":{"shape":"So"},"Configuration":{"type":"structure","required":["Lambda"],"members":{"Lambda":{"type":"structure","required":["ResourceArn","InvocationType"],"members":{"ResourceArn":{},"InvocationType":{}}}}},"ExecutionOrder":{"type":"integer"},"FallbackAction":{}}}},"S1y":{"type":"structure","members":{"ChannelSummary":{"shape":"S1z"},"AppInstanceUserMembershipSummary":{"type":"structure","members":{"Type":{},"ReadMarkerTimestamp":{"type":"timestamp"}}}}},"S1z":{"type":"structure","members":{"Name":{"shape":"So"},"ChannelArn":{},"Mode":{},"Privacy":{},"Metadata":{"shape":"Sl"},"LastMessageTimestamp":{"type":"timestamp"}}},"S23":{"type":"structure","members":{"ChannelSummary":{"shape":"S1z"}}},"S2a":{"type":"structure","members":{"PushNotifications":{"type":"structure","required":["AllowNotifications"],"members":{"AllowNotifications":{},"FilterRule":{"type":"string","sensitive":true}}}}},"S2h":{"type":"string","sensitive":true},"S2k":{"type":"structure","members":{"Value":{},"Detail":{}}},"S2n":{"type":"map","key":{"type":"string","sensitive":true},"value":{"type":"structure","members":{"StringValues":{"type":"list","member":{"type":"string","sensitive":true}}}}},"S30":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 60807:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListChannelBans":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelFlows":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelMemberships":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelMembershipsForAppInstanceUser":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelMessages":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelModerators":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannels":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelsAssociatedWithChannelFlow":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListChannelsModeratedByAppInstanceUser":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 82981:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-09-23","endpointPrefix":"cloud9","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Cloud9","serviceId":"Cloud9","signatureVersion":"v4","targetPrefix":"AWSCloud9WorkspaceManagementService","uid":"cloud9-2017-09-23"},"operations":{"CreateEnvironmentEC2":{"input":{"type":"structure","required":["name","instanceType"],"members":{"name":{},"description":{"shape":"S3"},"clientRequestToken":{},"instanceType":{},"subnetId":{},"imageId":{},"automaticStopTimeMinutes":{"type":"integer"},"ownerArn":{},"tags":{"shape":"Sa"},"connectionType":{},"dryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"environmentId":{}}},"idempotent":true},"CreateEnvironmentMembership":{"input":{"type":"structure","required":["environmentId","userArn","permissions"],"members":{"environmentId":{},"userArn":{},"permissions":{}}},"output":{"type":"structure","required":["membership"],"members":{"membership":{"shape":"Sl"}}},"idempotent":true},"DeleteEnvironment":{"input":{"type":"structure","required":["environmentId"],"members":{"environmentId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteEnvironmentMembership":{"input":{"type":"structure","required":["environmentId","userArn"],"members":{"environmentId":{},"userArn":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DescribeEnvironmentMemberships":{"input":{"type":"structure","members":{"userArn":{},"environmentId":{},"permissions":{"type":"list","member":{}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"memberships":{"type":"list","member":{"shape":"Sl"}},"nextToken":{}}}},"DescribeEnvironmentStatus":{"input":{"type":"structure","required":["environmentId"],"members":{"environmentId":{}}},"output":{"type":"structure","required":["status","message"],"members":{"status":{},"message":{}}}},"DescribeEnvironments":{"input":{"type":"structure","required":["environmentIds"],"members":{"environmentIds":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"environments":{"type":"list","member":{"type":"structure","required":["type","arn","ownerArn"],"members":{"id":{},"name":{},"description":{"shape":"S3"},"type":{},"connectionType":{},"arn":{},"ownerArn":{},"lifecycle":{"type":"structure","members":{"status":{},"reason":{},"failureResource":{}}},"managedCredentialsStatus":{}}}}}}},"ListEnvironments":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"nextToken":{},"environmentIds":{"type":"list","member":{}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sa"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"Sa"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{"shape":"Sc"},"sensitive":true}}},"output":{"type":"structure","members":{}}},"UpdateEnvironment":{"input":{"type":"structure","required":["environmentId"],"members":{"environmentId":{},"name":{},"description":{"shape":"S3"},"managedCredentialsAction":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateEnvironmentMembership":{"input":{"type":"structure","required":["environmentId","userArn","permissions"],"members":{"environmentId":{},"userArn":{},"permissions":{}}},"output":{"type":"structure","members":{"membership":{"shape":"Sl"}}},"idempotent":true}},"shapes":{"S3":{"type":"string","sensitive":true},"Sa":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{"shape":"Sc"},"Value":{"type":"string","sensitive":true}},"sensitive":true},"sensitive":true},"Sc":{"type":"string","sensitive":true},"Sl":{"type":"structure","required":["permissions","userId","userArn","environmentId"],"members":{"permissions":{},"userId":{},"userArn":{},"environmentId":{},"lastAccess":{"type":"timestamp"}}}}}');

/***/ }),

/***/ 9313:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeEnvironmentMemberships":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListEnvironments":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 24689:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-09-30","endpointPrefix":"cloudcontrolapi","jsonVersion":"1.0","protocol":"json","serviceAbbreviation":"CloudControlApi","serviceFullName":"AWS Cloud Control API","serviceId":"CloudControl","signatureVersion":"v4","signingName":"cloudcontrolapi","targetPrefix":"CloudApiService","uid":"cloudcontrol-2021-09-30"},"operations":{"CancelResourceRequest":{"input":{"type":"structure","required":["RequestToken"],"members":{"RequestToken":{}}},"output":{"type":"structure","members":{"ProgressEvent":{"shape":"S4"}}},"idempotent":true},"CreateResource":{"input":{"type":"structure","required":["TypeName","DesiredState"],"members":{"TypeName":{},"TypeVersionId":{},"RoleArn":{},"ClientToken":{"idempotencyToken":true},"DesiredState":{"shape":"Sa"}}},"output":{"type":"structure","members":{"ProgressEvent":{"shape":"S4"}}}},"DeleteResource":{"input":{"type":"structure","required":["TypeName","Identifier"],"members":{"TypeName":{},"TypeVersionId":{},"RoleArn":{},"ClientToken":{"idempotencyToken":true},"Identifier":{}}},"output":{"type":"structure","members":{"ProgressEvent":{"shape":"S4"}}}},"GetResource":{"input":{"type":"structure","required":["TypeName","Identifier"],"members":{"TypeName":{},"TypeVersionId":{},"RoleArn":{},"Identifier":{}}},"output":{"type":"structure","members":{"TypeName":{},"ResourceDescription":{"shape":"Sm"}}}},"GetResourceRequestStatus":{"input":{"type":"structure","required":["RequestToken"],"members":{"RequestToken":{}}},"output":{"type":"structure","members":{"ProgressEvent":{"shape":"S4"}}}},"ListResourceRequests":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"ResourceRequestStatusFilter":{"type":"structure","members":{"Operations":{"type":"list","member":{}},"OperationStatuses":{"type":"list","member":{}}}}}},"output":{"type":"structure","members":{"ResourceRequestStatusSummaries":{"type":"list","member":{"shape":"S4"}},"NextToken":{}}}},"ListResources":{"input":{"type":"structure","required":["TypeName"],"members":{"TypeName":{},"TypeVersionId":{},"RoleArn":{},"NextToken":{},"MaxResults":{"type":"integer"},"ResourceModel":{"shape":"Sa"}}},"output":{"type":"structure","members":{"TypeName":{},"ResourceDescriptions":{"type":"list","member":{"shape":"Sm"}},"NextToken":{}}}},"UpdateResource":{"input":{"type":"structure","required":["TypeName","Identifier","PatchDocument"],"members":{"TypeName":{},"TypeVersionId":{},"RoleArn":{},"ClientToken":{"idempotencyToken":true},"Identifier":{},"PatchDocument":{"type":"string","sensitive":true}}},"output":{"type":"structure","members":{"ProgressEvent":{"shape":"S4"}}}}},"shapes":{"S4":{"type":"structure","members":{"TypeName":{},"Identifier":{},"RequestToken":{},"Operation":{},"OperationStatus":{},"EventTime":{"type":"timestamp"},"ResourceModel":{"shape":"Sa"},"StatusMessage":{},"ErrorCode":{},"RetryAfter":{"type":"timestamp"}}},"Sa":{"type":"string","sensitive":true},"Sm":{"type":"structure","members":{"Identifier":{},"Properties":{"shape":"Sa"}}}}}');

/***/ }),

/***/ 16041:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListResourceRequests":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListResources":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 31933:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"ResourceRequestSuccess":{"description":"Wait until resource operation request is successful","operation":"GetResourceRequestStatus","delay":5,"maxAttempts":720,"acceptors":[{"state":"success","matcher":"path","argument":"ProgressEvent.OperationStatus","expected":"SUCCESS"},{"state":"failure","matcher":"path","argument":"ProgressEvent.OperationStatus","expected":"FAILED"},{"state":"failure","matcher":"path","argument":"ProgressEvent.OperationStatus","expected":"CANCEL_COMPLETE"}]}}}');

/***/ }),

/***/ 72862:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-05-10","endpointPrefix":"clouddirectory","protocol":"rest-json","serviceFullName":"Amazon CloudDirectory","serviceId":"CloudDirectory","signatureVersion":"v4","signingName":"clouddirectory","uid":"clouddirectory-2016-05-10"},"operations":{"AddFacetToObject":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object/facets","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","SchemaFacet","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"SchemaFacet":{"shape":"S3"},"ObjectAttributeList":{"shape":"S5"},"ObjectReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"ApplySchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/apply","responseCode":200},"input":{"type":"structure","required":["PublishedSchemaArn","DirectoryArn"],"members":{"PublishedSchemaArn":{},"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","members":{"AppliedSchemaArn":{},"DirectoryArn":{}}}},"AttachObject":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object/attach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ParentReference","ChildReference","LinkName"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ParentReference":{"shape":"Sf"},"ChildReference":{"shape":"Sf"},"LinkName":{}}},"output":{"type":"structure","members":{"AttachedObjectIdentifier":{}}}},"AttachPolicy":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/policy/attach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","PolicyReference","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"PolicyReference":{"shape":"Sf"},"ObjectReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"AttachToIndex":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/index/attach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","IndexReference","TargetReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"IndexReference":{"shape":"Sf"},"TargetReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{"AttachedObjectIdentifier":{}}}},"AttachTypedLink":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/typedlink/attach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","SourceObjectReference","TargetObjectReference","TypedLinkFacet","Attributes"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"SourceObjectReference":{"shape":"Sf"},"TargetObjectReference":{"shape":"Sf"},"TypedLinkFacet":{"shape":"St"},"Attributes":{"shape":"Sv"}}},"output":{"type":"structure","members":{"TypedLinkSpecifier":{"shape":"Sy"}}}},"BatchRead":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/batchread","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","Operations"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"Operations":{"type":"list","member":{"type":"structure","members":{"ListObjectAttributes":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"FacetFilter":{"shape":"S3"}}},"ListObjectChildren":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"ListAttachedIndices":{"type":"structure","required":["TargetReference"],"members":{"TargetReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"ListObjectParentPaths":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"GetObjectInformation":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"}}},"GetObjectAttributes":{"type":"structure","required":["ObjectReference","SchemaFacet","AttributeNames"],"members":{"ObjectReference":{"shape":"Sf"},"SchemaFacet":{"shape":"S3"},"AttributeNames":{"shape":"S1a"}}},"ListObjectPolicies":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"ListPolicyAttachments":{"type":"structure","required":["PolicyReference"],"members":{"PolicyReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"LookupPolicy":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"ListIndex":{"type":"structure","required":["IndexReference"],"members":{"RangesOnIndexedValues":{"shape":"S1f"},"IndexReference":{"shape":"Sf"},"MaxResults":{"type":"integer"},"NextToken":{}}},"ListOutgoingTypedLinks":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"FilterAttributeRanges":{"shape":"S1k"},"FilterTypedLink":{"shape":"St"},"NextToken":{},"MaxResults":{"type":"integer"}}},"ListIncomingTypedLinks":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"FilterAttributeRanges":{"shape":"S1k"},"FilterTypedLink":{"shape":"St"},"NextToken":{},"MaxResults":{"type":"integer"}}},"GetLinkAttributes":{"type":"structure","required":["TypedLinkSpecifier","AttributeNames"],"members":{"TypedLinkSpecifier":{"shape":"Sy"},"AttributeNames":{"shape":"S1a"}}}}}},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"Responses":{"type":"list","member":{"type":"structure","members":{"SuccessfulResponse":{"type":"structure","members":{"ListObjectAttributes":{"type":"structure","members":{"Attributes":{"shape":"S5"},"NextToken":{}}},"ListObjectChildren":{"type":"structure","members":{"Children":{"shape":"S1v"},"NextToken":{}}},"GetObjectInformation":{"type":"structure","members":{"SchemaFacets":{"shape":"S1x"},"ObjectIdentifier":{}}},"GetObjectAttributes":{"type":"structure","members":{"Attributes":{"shape":"S5"}}},"ListAttachedIndices":{"type":"structure","members":{"IndexAttachments":{"shape":"S20"},"NextToken":{}}},"ListObjectParentPaths":{"type":"structure","members":{"PathToObjectIdentifiersList":{"shape":"S23"},"NextToken":{}}},"ListObjectPolicies":{"type":"structure","members":{"AttachedPolicyIds":{"shape":"S26"},"NextToken":{}}},"ListPolicyAttachments":{"type":"structure","members":{"ObjectIdentifiers":{"shape":"S26"},"NextToken":{}}},"LookupPolicy":{"type":"structure","members":{"PolicyToPathList":{"shape":"S2a"},"NextToken":{}}},"ListIndex":{"type":"structure","members":{"IndexAttachments":{"shape":"S20"},"NextToken":{}}},"ListOutgoingTypedLinks":{"type":"structure","members":{"TypedLinkSpecifiers":{"shape":"S2h"},"NextToken":{}}},"ListIncomingTypedLinks":{"type":"structure","members":{"LinkSpecifiers":{"shape":"S2h"},"NextToken":{}}},"GetLinkAttributes":{"type":"structure","members":{"Attributes":{"shape":"S5"}}}}},"ExceptionResponse":{"type":"structure","members":{"Type":{},"Message":{}}}}}}}}},"BatchWrite":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/batchwrite","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","Operations"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"Operations":{"type":"list","member":{"type":"structure","members":{"CreateObject":{"type":"structure","required":["SchemaFacet","ObjectAttributeList"],"members":{"SchemaFacet":{"shape":"S1x"},"ObjectAttributeList":{"shape":"S5"},"ParentReference":{"shape":"Sf"},"LinkName":{},"BatchReferenceName":{}}},"AttachObject":{"type":"structure","required":["ParentReference","ChildReference","LinkName"],"members":{"ParentReference":{"shape":"Sf"},"ChildReference":{"shape":"Sf"},"LinkName":{}}},"DetachObject":{"type":"structure","required":["ParentReference","LinkName"],"members":{"ParentReference":{"shape":"Sf"},"LinkName":{},"BatchReferenceName":{}}},"UpdateObjectAttributes":{"type":"structure","required":["ObjectReference","AttributeUpdates"],"members":{"ObjectReference":{"shape":"Sf"},"AttributeUpdates":{"shape":"S2v"}}},"DeleteObject":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"}}},"AddFacetToObject":{"type":"structure","required":["SchemaFacet","ObjectAttributeList","ObjectReference"],"members":{"SchemaFacet":{"shape":"S3"},"ObjectAttributeList":{"shape":"S5"},"ObjectReference":{"shape":"Sf"}}},"RemoveFacetFromObject":{"type":"structure","required":["SchemaFacet","ObjectReference"],"members":{"SchemaFacet":{"shape":"S3"},"ObjectReference":{"shape":"Sf"}}},"AttachPolicy":{"type":"structure","required":["PolicyReference","ObjectReference"],"members":{"PolicyReference":{"shape":"Sf"},"ObjectReference":{"shape":"Sf"}}},"DetachPolicy":{"type":"structure","required":["PolicyReference","ObjectReference"],"members":{"PolicyReference":{"shape":"Sf"},"ObjectReference":{"shape":"Sf"}}},"CreateIndex":{"type":"structure","required":["OrderedIndexedAttributeList","IsUnique"],"members":{"OrderedIndexedAttributeList":{"shape":"S35"},"IsUnique":{"type":"boolean"},"ParentReference":{"shape":"Sf"},"LinkName":{},"BatchReferenceName":{}}},"AttachToIndex":{"type":"structure","required":["IndexReference","TargetReference"],"members":{"IndexReference":{"shape":"Sf"},"TargetReference":{"shape":"Sf"}}},"DetachFromIndex":{"type":"structure","required":["IndexReference","TargetReference"],"members":{"IndexReference":{"shape":"Sf"},"TargetReference":{"shape":"Sf"}}},"AttachTypedLink":{"type":"structure","required":["SourceObjectReference","TargetObjectReference","TypedLinkFacet","Attributes"],"members":{"SourceObjectReference":{"shape":"Sf"},"TargetObjectReference":{"shape":"Sf"},"TypedLinkFacet":{"shape":"St"},"Attributes":{"shape":"Sv"}}},"DetachTypedLink":{"type":"structure","required":["TypedLinkSpecifier"],"members":{"TypedLinkSpecifier":{"shape":"Sy"}}},"UpdateLinkAttributes":{"type":"structure","required":["TypedLinkSpecifier","AttributeUpdates"],"members":{"TypedLinkSpecifier":{"shape":"Sy"},"AttributeUpdates":{"shape":"S3c"}}}}}}}},"output":{"type":"structure","members":{"Responses":{"type":"list","member":{"type":"structure","members":{"CreateObject":{"type":"structure","members":{"ObjectIdentifier":{}}},"AttachObject":{"type":"structure","members":{"attachedObjectIdentifier":{}}},"DetachObject":{"type":"structure","members":{"detachedObjectIdentifier":{}}},"UpdateObjectAttributes":{"type":"structure","members":{"ObjectIdentifier":{}}},"DeleteObject":{"type":"structure","members":{}},"AddFacetToObject":{"type":"structure","members":{}},"RemoveFacetFromObject":{"type":"structure","members":{}},"AttachPolicy":{"type":"structure","members":{}},"DetachPolicy":{"type":"structure","members":{}},"CreateIndex":{"type":"structure","members":{"ObjectIdentifier":{}}},"AttachToIndex":{"type":"structure","members":{"AttachedObjectIdentifier":{}}},"DetachFromIndex":{"type":"structure","members":{"DetachedObjectIdentifier":{}}},"AttachTypedLink":{"type":"structure","members":{"TypedLinkSpecifier":{"shape":"Sy"}}},"DetachTypedLink":{"type":"structure","members":{}},"UpdateLinkAttributes":{"type":"structure","members":{}}}}}}}},"CreateDirectory":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/directory/create","responseCode":200},"input":{"type":"structure","required":["Name","SchemaArn"],"members":{"Name":{},"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","required":["DirectoryArn","Name","ObjectIdentifier","AppliedSchemaArn"],"members":{"DirectoryArn":{},"Name":{},"ObjectIdentifier":{},"AppliedSchemaArn":{}}}},"CreateFacet":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/facet/create","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name","ObjectType"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{},"Attributes":{"shape":"S42"},"ObjectType":{}}},"output":{"type":"structure","members":{}}},"CreateIndex":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/index","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","OrderedIndexedAttributeList","IsUnique"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"OrderedIndexedAttributeList":{"shape":"S35"},"IsUnique":{"type":"boolean"},"ParentReference":{"shape":"Sf"},"LinkName":{}}},"output":{"type":"structure","members":{"ObjectIdentifier":{}}}},"CreateObject":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","SchemaFacets"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"SchemaFacets":{"shape":"S1x"},"ObjectAttributeList":{"shape":"S5"},"ParentReference":{"shape":"Sf"},"LinkName":{}}},"output":{"type":"structure","members":{"ObjectIdentifier":{}}}},"CreateSchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/create","responseCode":200},"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"SchemaArn":{}}}},"CreateTypedLinkFacet":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/typedlink/facet/create","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Facet"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Facet":{"type":"structure","required":["Name","Attributes","IdentityAttributeOrder"],"members":{"Name":{},"Attributes":{"shape":"S4q"},"IdentityAttributeOrder":{"shape":"S1a"}}}}},"output":{"type":"structure","members":{}}},"DeleteDirectory":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/directory","responseCode":200},"input":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{}}}},"DeleteFacet":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/facet/delete","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteObject":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object/delete","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"DeleteSchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema","responseCode":200},"input":{"type":"structure","required":["SchemaArn"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","members":{"SchemaArn":{}}}},"DeleteTypedLinkFacet":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/typedlink/facet/delete","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{}}},"output":{"type":"structure","members":{}}},"DetachFromIndex":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/index/detach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","IndexReference","TargetReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"IndexReference":{"shape":"Sf"},"TargetReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{"DetachedObjectIdentifier":{}}}},"DetachObject":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object/detach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ParentReference","LinkName"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ParentReference":{"shape":"Sf"},"LinkName":{}}},"output":{"type":"structure","members":{"DetachedObjectIdentifier":{}}}},"DetachPolicy":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/policy/detach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","PolicyReference","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"PolicyReference":{"shape":"Sf"},"ObjectReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"DetachTypedLink":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/typedlink/detach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","TypedLinkSpecifier"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"TypedLinkSpecifier":{"shape":"Sy"}}}},"DisableDirectory":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/directory/disable","responseCode":200},"input":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{}}}},"EnableDirectory":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/directory/enable","responseCode":200},"input":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{}}}},"GetAppliedSchemaVersion":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/schema/getappliedschema","responseCode":200},"input":{"type":"structure","required":["SchemaArn"],"members":{"SchemaArn":{}}},"output":{"type":"structure","members":{"AppliedSchemaArn":{}}}},"GetDirectory":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/directory/get","responseCode":200},"input":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","required":["Directory"],"members":{"Directory":{"shape":"S5i"}}}},"GetFacet":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/facet","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{}}},"output":{"type":"structure","members":{"Facet":{"type":"structure","members":{"Name":{},"ObjectType":{}}}}}},"GetLinkAttributes":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/attributes/get","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","TypedLinkSpecifier","AttributeNames"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"TypedLinkSpecifier":{"shape":"Sy"},"AttributeNames":{"shape":"S1a"},"ConsistencyLevel":{}}},"output":{"type":"structure","members":{"Attributes":{"shape":"S5"}}}},"GetObjectAttributes":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/attributes/get","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference","SchemaFacet","AttributeNames"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"},"SchemaFacet":{"shape":"S3"},"AttributeNames":{"shape":"S1a"}}},"output":{"type":"structure","members":{"Attributes":{"shape":"S5"}}}},"GetObjectInformation":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/information","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"SchemaFacets":{"shape":"S1x"},"ObjectIdentifier":{}}}},"GetSchemaAsJson":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/schema/json","responseCode":200},"input":{"type":"structure","required":["SchemaArn"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","members":{"Name":{},"Document":{}}}},"GetTypedLinkFacetInformation":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/facet/get","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{}}},"output":{"type":"structure","members":{"IdentityAttributeOrder":{"shape":"S1a"}}}},"ListAppliedSchemaArns":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/schema/applied","responseCode":200},"input":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{},"SchemaArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SchemaArns":{"shape":"S61"},"NextToken":{}}}},"ListAttachedIndices":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/indices","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","TargetReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"TargetReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"IndexAttachments":{"shape":"S20"},"NextToken":{}}}},"ListDevelopmentSchemaArns":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/schema/development","responseCode":200},"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SchemaArns":{"shape":"S61"},"NextToken":{}}}},"ListDirectories":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/directory/list","responseCode":200},"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"state":{}}},"output":{"type":"structure","required":["Directories"],"members":{"Directories":{"type":"list","member":{"shape":"S5i"}},"NextToken":{}}}},"ListFacetAttributes":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/facet/attributes","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Attributes":{"shape":"S42"},"NextToken":{}}}},"ListFacetNames":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/facet/list","responseCode":200},"input":{"type":"structure","required":["SchemaArn"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"FacetNames":{"type":"list","member":{}},"NextToken":{}}}},"ListIncomingTypedLinks":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/incoming","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"FilterAttributeRanges":{"shape":"S1k"},"FilterTypedLink":{"shape":"St"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{}}},"output":{"type":"structure","members":{"LinkSpecifiers":{"shape":"S2h"},"NextToken":{}}}},"ListIndex":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/index/targets","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","IndexReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"RangesOnIndexedValues":{"shape":"S1f"},"IndexReference":{"shape":"Sf"},"MaxResults":{"type":"integer"},"NextToken":{},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"IndexAttachments":{"shape":"S20"},"NextToken":{}}}},"ListObjectAttributes":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/attributes","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"},"FacetFilter":{"shape":"S3"}}},"output":{"type":"structure","members":{"Attributes":{"shape":"S5"},"NextToken":{}}}},"ListObjectChildren":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/children","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"Children":{"shape":"S1v"},"NextToken":{}}}},"ListObjectParentPaths":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/parentpaths","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"PathToObjectIdentifiersList":{"shape":"S23"},"NextToken":{}}}},"ListObjectParents":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/parent","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"Parents":{"type":"map","key":{},"value":{}},"NextToken":{}}}},"ListObjectPolicies":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/policy","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"AttachedPolicyIds":{"shape":"S26"},"NextToken":{}}}},"ListOutgoingTypedLinks":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/outgoing","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"FilterAttributeRanges":{"shape":"S1k"},"FilterTypedLink":{"shape":"St"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{}}},"output":{"type":"structure","members":{"TypedLinkSpecifiers":{"shape":"S2h"},"NextToken":{}}}},"ListPolicyAttachments":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/policy/attachment","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","PolicyReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"PolicyReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"ObjectIdentifiers":{"shape":"S26"},"NextToken":{}}}},"ListPublishedSchemaArns":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/schema/published","responseCode":200},"input":{"type":"structure","members":{"SchemaArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SchemaArns":{"shape":"S61"},"NextToken":{}}}},"ListTagsForResource":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/tags","responseCode":200},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S72"},"NextToken":{}}}},"ListTypedLinkFacetAttributes":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/facet/attributes","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Attributes":{"shape":"S4q"},"NextToken":{}}}},"ListTypedLinkFacetNames":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/facet/list","responseCode":200},"input":{"type":"structure","required":["SchemaArn"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"FacetNames":{"type":"list","member":{}},"NextToken":{}}}},"LookupPolicy":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/policy/lookup","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"PolicyToPathList":{"shape":"S2a"},"NextToken":{}}}},"PublishSchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/publish","responseCode":200},"input":{"type":"structure","required":["DevelopmentSchemaArn","Version"],"members":{"DevelopmentSchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Version":{},"MinorVersion":{},"Name":{}}},"output":{"type":"structure","members":{"PublishedSchemaArn":{}}}},"PutSchemaFromJson":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/json","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Document"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Document":{}}},"output":{"type":"structure","members":{"Arn":{}}}},"RemoveFacetFromObject":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object/facets/delete","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","SchemaFacet","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"SchemaFacet":{"shape":"S3"},"ObjectReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/tags/add","responseCode":200},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S72"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/tags/remove","responseCode":200},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateFacet":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/facet","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{},"AttributeUpdates":{"type":"list","member":{"type":"structure","members":{"Attribute":{"shape":"S43"},"Action":{}}}},"ObjectType":{}}},"output":{"type":"structure","members":{}}},"UpdateLinkAttributes":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/attributes/update","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","TypedLinkSpecifier","AttributeUpdates"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"TypedLinkSpecifier":{"shape":"Sy"},"AttributeUpdates":{"shape":"S3c"}}},"output":{"type":"structure","members":{}}},"UpdateObjectAttributes":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object/update","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference","AttributeUpdates"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"AttributeUpdates":{"shape":"S2v"}}},"output":{"type":"structure","members":{"ObjectIdentifier":{}}}},"UpdateSchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/update","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{}}},"output":{"type":"structure","members":{"SchemaArn":{}}}},"UpdateTypedLinkFacet":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/typedlink/facet","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name","AttributeUpdates","IdentityAttributeOrder"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{},"AttributeUpdates":{"type":"list","member":{"type":"structure","required":["Attribute","Action"],"members":{"Attribute":{"shape":"S4r"},"Action":{}}}},"IdentityAttributeOrder":{"shape":"S1a"}}},"output":{"type":"structure","members":{}}},"UpgradeAppliedSchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/upgradeapplied","responseCode":200},"input":{"type":"structure","required":["PublishedSchemaArn","DirectoryArn"],"members":{"PublishedSchemaArn":{},"DirectoryArn":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"UpgradedSchemaArn":{},"DirectoryArn":{}}}},"UpgradePublishedSchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/upgradepublished","responseCode":200},"input":{"type":"structure","required":["DevelopmentSchemaArn","PublishedSchemaArn","MinorVersion"],"members":{"DevelopmentSchemaArn":{},"PublishedSchemaArn":{},"MinorVersion":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"UpgradedSchemaArn":{}}}}},"shapes":{"S3":{"type":"structure","members":{"SchemaArn":{},"FacetName":{}}},"S5":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{"shape":"S7"},"Value":{"shape":"S9"}}}},"S7":{"type":"structure","required":["SchemaArn","FacetName","Name"],"members":{"SchemaArn":{},"FacetName":{},"Name":{}}},"S9":{"type":"structure","members":{"StringValue":{},"BinaryValue":{"type":"blob"},"BooleanValue":{"type":"boolean"},"NumberValue":{},"DatetimeValue":{"type":"timestamp"}}},"Sf":{"type":"structure","members":{"Selector":{}}},"St":{"type":"structure","required":["SchemaArn","TypedLinkName"],"members":{"SchemaArn":{},"TypedLinkName":{}}},"Sv":{"type":"list","member":{"type":"structure","required":["AttributeName","Value"],"members":{"AttributeName":{},"Value":{"shape":"S9"}}}},"Sy":{"type":"structure","required":["TypedLinkFacet","SourceObjectReference","TargetObjectReference","IdentityAttributeValues"],"members":{"TypedLinkFacet":{"shape":"St"},"SourceObjectReference":{"shape":"Sf"},"TargetObjectReference":{"shape":"Sf"},"IdentityAttributeValues":{"shape":"Sv"}}},"S1a":{"type":"list","member":{}},"S1f":{"type":"list","member":{"type":"structure","members":{"AttributeKey":{"shape":"S7"},"Range":{"shape":"S1h"}}}},"S1h":{"type":"structure","required":["StartMode","EndMode"],"members":{"StartMode":{},"StartValue":{"shape":"S9"},"EndMode":{},"EndValue":{"shape":"S9"}}},"S1k":{"type":"list","member":{"type":"structure","required":["Range"],"members":{"AttributeName":{},"Range":{"shape":"S1h"}}}},"S1v":{"type":"map","key":{},"value":{}},"S1x":{"type":"list","member":{"shape":"S3"}},"S20":{"type":"list","member":{"type":"structure","members":{"IndexedAttributes":{"shape":"S5"},"ObjectIdentifier":{}}}},"S23":{"type":"list","member":{"type":"structure","members":{"Path":{},"ObjectIdentifiers":{"shape":"S26"}}}},"S26":{"type":"list","member":{}},"S2a":{"type":"list","member":{"type":"structure","members":{"Path":{},"Policies":{"type":"list","member":{"type":"structure","members":{"PolicyId":{},"ObjectIdentifier":{},"PolicyType":{}}}}}}},"S2h":{"type":"list","member":{"shape":"Sy"}},"S2v":{"type":"list","member":{"type":"structure","members":{"ObjectAttributeKey":{"shape":"S7"},"ObjectAttributeAction":{"type":"structure","members":{"ObjectAttributeActionType":{},"ObjectAttributeUpdateValue":{"shape":"S9"}}}}}},"S35":{"type":"list","member":{"shape":"S7"}},"S3c":{"type":"list","member":{"type":"structure","members":{"AttributeKey":{"shape":"S7"},"AttributeAction":{"type":"structure","members":{"AttributeActionType":{},"AttributeUpdateValue":{"shape":"S9"}}}}}},"S42":{"type":"list","member":{"shape":"S43"}},"S43":{"type":"structure","required":["Name"],"members":{"Name":{},"AttributeDefinition":{"type":"structure","required":["Type"],"members":{"Type":{},"DefaultValue":{"shape":"S9"},"IsImmutable":{"type":"boolean"},"Rules":{"shape":"S46"}}},"AttributeReference":{"type":"structure","required":["TargetFacetName","TargetAttributeName"],"members":{"TargetFacetName":{},"TargetAttributeName":{}}},"RequiredBehavior":{}}},"S46":{"type":"map","key":{},"value":{"type":"structure","members":{"Type":{},"Parameters":{"type":"map","key":{},"value":{}}}}},"S4q":{"type":"list","member":{"shape":"S4r"}},"S4r":{"type":"structure","required":["Name","Type","RequiredBehavior"],"members":{"Name":{},"Type":{},"DefaultValue":{"shape":"S9"},"IsImmutable":{"type":"boolean"},"Rules":{"shape":"S46"},"RequiredBehavior":{}}},"S5i":{"type":"structure","members":{"Name":{},"DirectoryArn":{},"State":{},"CreationDateTime":{"type":"timestamp"}}},"S61":{"type":"list","member":{}},"S72":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}}}}');

/***/ }),

/***/ 87597:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAppliedSchemaArns":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAttachedIndices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDevelopmentSchemaArns":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDirectories":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListFacetAttributes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListFacetNames":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListIndex":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListObjectAttributes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListObjectChildren":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListObjectParentPaths":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListObjectParents":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListObjectPolicies":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListPolicyAttachments":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListPublishedSchemaArns":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTagsForResource":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTypedLinkFacetAttributes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTypedLinkFacetNames":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"LookupPolicy":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 88729:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-01-11","endpointPrefix":"clouddirectory","protocol":"rest-json","serviceFullName":"Amazon CloudDirectory","serviceId":"CloudDirectory","signatureVersion":"v4","signingName":"clouddirectory","uid":"clouddirectory-2017-01-11"},"operations":{"AddFacetToObject":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object/facets","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","SchemaFacet","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"SchemaFacet":{"shape":"S3"},"ObjectAttributeList":{"shape":"S5"},"ObjectReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"ApplySchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/apply","responseCode":200},"input":{"type":"structure","required":["PublishedSchemaArn","DirectoryArn"],"members":{"PublishedSchemaArn":{},"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","members":{"AppliedSchemaArn":{},"DirectoryArn":{}}}},"AttachObject":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object/attach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ParentReference","ChildReference","LinkName"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ParentReference":{"shape":"Sf"},"ChildReference":{"shape":"Sf"},"LinkName":{}}},"output":{"type":"structure","members":{"AttachedObjectIdentifier":{}}}},"AttachPolicy":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/policy/attach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","PolicyReference","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"PolicyReference":{"shape":"Sf"},"ObjectReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"AttachToIndex":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/index/attach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","IndexReference","TargetReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"IndexReference":{"shape":"Sf"},"TargetReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{"AttachedObjectIdentifier":{}}}},"AttachTypedLink":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/typedlink/attach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","SourceObjectReference","TargetObjectReference","TypedLinkFacet","Attributes"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"SourceObjectReference":{"shape":"Sf"},"TargetObjectReference":{"shape":"Sf"},"TypedLinkFacet":{"shape":"St"},"Attributes":{"shape":"Sv"}}},"output":{"type":"structure","members":{"TypedLinkSpecifier":{"shape":"Sy"}}}},"BatchRead":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/batchread","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","Operations"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"Operations":{"type":"list","member":{"type":"structure","members":{"ListObjectAttributes":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"FacetFilter":{"shape":"S3"}}},"ListObjectChildren":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"ListAttachedIndices":{"type":"structure","required":["TargetReference"],"members":{"TargetReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"ListObjectParentPaths":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"GetObjectInformation":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"}}},"GetObjectAttributes":{"type":"structure","required":["ObjectReference","SchemaFacet","AttributeNames"],"members":{"ObjectReference":{"shape":"Sf"},"SchemaFacet":{"shape":"S3"},"AttributeNames":{"shape":"S1a"}}},"ListObjectParents":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"ListObjectPolicies":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"ListPolicyAttachments":{"type":"structure","required":["PolicyReference"],"members":{"PolicyReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"LookupPolicy":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"ListIndex":{"type":"structure","required":["IndexReference"],"members":{"RangesOnIndexedValues":{"shape":"S1g"},"IndexReference":{"shape":"Sf"},"MaxResults":{"type":"integer"},"NextToken":{}}},"ListOutgoingTypedLinks":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"FilterAttributeRanges":{"shape":"S1l"},"FilterTypedLink":{"shape":"St"},"NextToken":{},"MaxResults":{"type":"integer"}}},"ListIncomingTypedLinks":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"},"FilterAttributeRanges":{"shape":"S1l"},"FilterTypedLink":{"shape":"St"},"NextToken":{},"MaxResults":{"type":"integer"}}},"GetLinkAttributes":{"type":"structure","required":["TypedLinkSpecifier","AttributeNames"],"members":{"TypedLinkSpecifier":{"shape":"Sy"},"AttributeNames":{"shape":"S1a"}}}}}},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"Responses":{"type":"list","member":{"type":"structure","members":{"SuccessfulResponse":{"type":"structure","members":{"ListObjectAttributes":{"type":"structure","members":{"Attributes":{"shape":"S5"},"NextToken":{}}},"ListObjectChildren":{"type":"structure","members":{"Children":{"shape":"S1w"},"NextToken":{}}},"GetObjectInformation":{"type":"structure","members":{"SchemaFacets":{"shape":"S1y"},"ObjectIdentifier":{}}},"GetObjectAttributes":{"type":"structure","members":{"Attributes":{"shape":"S5"}}},"ListAttachedIndices":{"type":"structure","members":{"IndexAttachments":{"shape":"S21"},"NextToken":{}}},"ListObjectParentPaths":{"type":"structure","members":{"PathToObjectIdentifiersList":{"shape":"S24"},"NextToken":{}}},"ListObjectPolicies":{"type":"structure","members":{"AttachedPolicyIds":{"shape":"S27"},"NextToken":{}}},"ListPolicyAttachments":{"type":"structure","members":{"ObjectIdentifiers":{"shape":"S27"},"NextToken":{}}},"LookupPolicy":{"type":"structure","members":{"PolicyToPathList":{"shape":"S2b"},"NextToken":{}}},"ListIndex":{"type":"structure","members":{"IndexAttachments":{"shape":"S21"},"NextToken":{}}},"ListOutgoingTypedLinks":{"type":"structure","members":{"TypedLinkSpecifiers":{"shape":"S2i"},"NextToken":{}}},"ListIncomingTypedLinks":{"type":"structure","members":{"LinkSpecifiers":{"shape":"S2i"},"NextToken":{}}},"GetLinkAttributes":{"type":"structure","members":{"Attributes":{"shape":"S5"}}},"ListObjectParents":{"type":"structure","members":{"ParentLinks":{"shape":"S2m"},"NextToken":{}}}}},"ExceptionResponse":{"type":"structure","members":{"Type":{},"Message":{}}}}}}}}},"BatchWrite":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/batchwrite","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","Operations"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"Operations":{"type":"list","member":{"type":"structure","members":{"CreateObject":{"type":"structure","required":["SchemaFacet","ObjectAttributeList"],"members":{"SchemaFacet":{"shape":"S1y"},"ObjectAttributeList":{"shape":"S5"},"ParentReference":{"shape":"Sf"},"LinkName":{},"BatchReferenceName":{}}},"AttachObject":{"type":"structure","required":["ParentReference","ChildReference","LinkName"],"members":{"ParentReference":{"shape":"Sf"},"ChildReference":{"shape":"Sf"},"LinkName":{}}},"DetachObject":{"type":"structure","required":["ParentReference","LinkName"],"members":{"ParentReference":{"shape":"Sf"},"LinkName":{},"BatchReferenceName":{}}},"UpdateObjectAttributes":{"type":"structure","required":["ObjectReference","AttributeUpdates"],"members":{"ObjectReference":{"shape":"Sf"},"AttributeUpdates":{"shape":"S2z"}}},"DeleteObject":{"type":"structure","required":["ObjectReference"],"members":{"ObjectReference":{"shape":"Sf"}}},"AddFacetToObject":{"type":"structure","required":["SchemaFacet","ObjectAttributeList","ObjectReference"],"members":{"SchemaFacet":{"shape":"S3"},"ObjectAttributeList":{"shape":"S5"},"ObjectReference":{"shape":"Sf"}}},"RemoveFacetFromObject":{"type":"structure","required":["SchemaFacet","ObjectReference"],"members":{"SchemaFacet":{"shape":"S3"},"ObjectReference":{"shape":"Sf"}}},"AttachPolicy":{"type":"structure","required":["PolicyReference","ObjectReference"],"members":{"PolicyReference":{"shape":"Sf"},"ObjectReference":{"shape":"Sf"}}},"DetachPolicy":{"type":"structure","required":["PolicyReference","ObjectReference"],"members":{"PolicyReference":{"shape":"Sf"},"ObjectReference":{"shape":"Sf"}}},"CreateIndex":{"type":"structure","required":["OrderedIndexedAttributeList","IsUnique"],"members":{"OrderedIndexedAttributeList":{"shape":"S39"},"IsUnique":{"type":"boolean"},"ParentReference":{"shape":"Sf"},"LinkName":{},"BatchReferenceName":{}}},"AttachToIndex":{"type":"structure","required":["IndexReference","TargetReference"],"members":{"IndexReference":{"shape":"Sf"},"TargetReference":{"shape":"Sf"}}},"DetachFromIndex":{"type":"structure","required":["IndexReference","TargetReference"],"members":{"IndexReference":{"shape":"Sf"},"TargetReference":{"shape":"Sf"}}},"AttachTypedLink":{"type":"structure","required":["SourceObjectReference","TargetObjectReference","TypedLinkFacet","Attributes"],"members":{"SourceObjectReference":{"shape":"Sf"},"TargetObjectReference":{"shape":"Sf"},"TypedLinkFacet":{"shape":"St"},"Attributes":{"shape":"Sv"}}},"DetachTypedLink":{"type":"structure","required":["TypedLinkSpecifier"],"members":{"TypedLinkSpecifier":{"shape":"Sy"}}},"UpdateLinkAttributes":{"type":"structure","required":["TypedLinkSpecifier","AttributeUpdates"],"members":{"TypedLinkSpecifier":{"shape":"Sy"},"AttributeUpdates":{"shape":"S3g"}}}}}}}},"output":{"type":"structure","members":{"Responses":{"type":"list","member":{"type":"structure","members":{"CreateObject":{"type":"structure","members":{"ObjectIdentifier":{}}},"AttachObject":{"type":"structure","members":{"attachedObjectIdentifier":{}}},"DetachObject":{"type":"structure","members":{"detachedObjectIdentifier":{}}},"UpdateObjectAttributes":{"type":"structure","members":{"ObjectIdentifier":{}}},"DeleteObject":{"type":"structure","members":{}},"AddFacetToObject":{"type":"structure","members":{}},"RemoveFacetFromObject":{"type":"structure","members":{}},"AttachPolicy":{"type":"structure","members":{}},"DetachPolicy":{"type":"structure","members":{}},"CreateIndex":{"type":"structure","members":{"ObjectIdentifier":{}}},"AttachToIndex":{"type":"structure","members":{"AttachedObjectIdentifier":{}}},"DetachFromIndex":{"type":"structure","members":{"DetachedObjectIdentifier":{}}},"AttachTypedLink":{"type":"structure","members":{"TypedLinkSpecifier":{"shape":"Sy"}}},"DetachTypedLink":{"type":"structure","members":{}},"UpdateLinkAttributes":{"type":"structure","members":{}}}}}}}},"CreateDirectory":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/directory/create","responseCode":200},"input":{"type":"structure","required":["Name","SchemaArn"],"members":{"Name":{},"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","required":["DirectoryArn","Name","ObjectIdentifier","AppliedSchemaArn"],"members":{"DirectoryArn":{},"Name":{},"ObjectIdentifier":{},"AppliedSchemaArn":{}}}},"CreateFacet":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/facet/create","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{},"Attributes":{"shape":"S46"},"ObjectType":{},"FacetStyle":{}}},"output":{"type":"structure","members":{}}},"CreateIndex":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/index","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","OrderedIndexedAttributeList","IsUnique"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"OrderedIndexedAttributeList":{"shape":"S39"},"IsUnique":{"type":"boolean"},"ParentReference":{"shape":"Sf"},"LinkName":{}}},"output":{"type":"structure","members":{"ObjectIdentifier":{}}}},"CreateObject":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","SchemaFacets"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"SchemaFacets":{"shape":"S1y"},"ObjectAttributeList":{"shape":"S5"},"ParentReference":{"shape":"Sf"},"LinkName":{}}},"output":{"type":"structure","members":{"ObjectIdentifier":{}}}},"CreateSchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/create","responseCode":200},"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"SchemaArn":{}}}},"CreateTypedLinkFacet":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/typedlink/facet/create","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Facet"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Facet":{"type":"structure","required":["Name","Attributes","IdentityAttributeOrder"],"members":{"Name":{},"Attributes":{"shape":"S4v"},"IdentityAttributeOrder":{"shape":"S1a"}}}}},"output":{"type":"structure","members":{}}},"DeleteDirectory":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/directory","responseCode":200},"input":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{}}}},"DeleteFacet":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/facet/delete","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteObject":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object/delete","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"DeleteSchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema","responseCode":200},"input":{"type":"structure","required":["SchemaArn"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","members":{"SchemaArn":{}}}},"DeleteTypedLinkFacet":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/typedlink/facet/delete","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{}}},"output":{"type":"structure","members":{}}},"DetachFromIndex":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/index/detach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","IndexReference","TargetReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"IndexReference":{"shape":"Sf"},"TargetReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{"DetachedObjectIdentifier":{}}}},"DetachObject":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object/detach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ParentReference","LinkName"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ParentReference":{"shape":"Sf"},"LinkName":{}}},"output":{"type":"structure","members":{"DetachedObjectIdentifier":{}}}},"DetachPolicy":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/policy/detach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","PolicyReference","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"PolicyReference":{"shape":"Sf"},"ObjectReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"DetachTypedLink":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/typedlink/detach","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","TypedLinkSpecifier"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"TypedLinkSpecifier":{"shape":"Sy"}}}},"DisableDirectory":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/directory/disable","responseCode":200},"input":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{}}}},"EnableDirectory":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/directory/enable","responseCode":200},"input":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{}}}},"GetAppliedSchemaVersion":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/schema/getappliedschema","responseCode":200},"input":{"type":"structure","required":["SchemaArn"],"members":{"SchemaArn":{}}},"output":{"type":"structure","members":{"AppliedSchemaArn":{}}}},"GetDirectory":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/directory/get","responseCode":200},"input":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","required":["Directory"],"members":{"Directory":{"shape":"S5n"}}}},"GetFacet":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/facet","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{}}},"output":{"type":"structure","members":{"Facet":{"type":"structure","members":{"Name":{},"ObjectType":{},"FacetStyle":{}}}}}},"GetLinkAttributes":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/attributes/get","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","TypedLinkSpecifier","AttributeNames"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"TypedLinkSpecifier":{"shape":"Sy"},"AttributeNames":{"shape":"S1a"},"ConsistencyLevel":{}}},"output":{"type":"structure","members":{"Attributes":{"shape":"S5"}}}},"GetObjectAttributes":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/attributes/get","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference","SchemaFacet","AttributeNames"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"},"SchemaFacet":{"shape":"S3"},"AttributeNames":{"shape":"S1a"}}},"output":{"type":"structure","members":{"Attributes":{"shape":"S5"}}}},"GetObjectInformation":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/information","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"SchemaFacets":{"shape":"S1y"},"ObjectIdentifier":{}}}},"GetSchemaAsJson":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/schema/json","responseCode":200},"input":{"type":"structure","required":["SchemaArn"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"}}},"output":{"type":"structure","members":{"Name":{},"Document":{}}}},"GetTypedLinkFacetInformation":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/facet/get","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{}}},"output":{"type":"structure","members":{"IdentityAttributeOrder":{"shape":"S1a"}}}},"ListAppliedSchemaArns":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/schema/applied","responseCode":200},"input":{"type":"structure","required":["DirectoryArn"],"members":{"DirectoryArn":{},"SchemaArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SchemaArns":{"shape":"S66"},"NextToken":{}}}},"ListAttachedIndices":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/indices","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","TargetReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"TargetReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"IndexAttachments":{"shape":"S21"},"NextToken":{}}}},"ListDevelopmentSchemaArns":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/schema/development","responseCode":200},"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SchemaArns":{"shape":"S66"},"NextToken":{}}}},"ListDirectories":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/directory/list","responseCode":200},"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"state":{}}},"output":{"type":"structure","required":["Directories"],"members":{"Directories":{"type":"list","member":{"shape":"S5n"}},"NextToken":{}}}},"ListFacetAttributes":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/facet/attributes","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Attributes":{"shape":"S46"},"NextToken":{}}}},"ListFacetNames":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/facet/list","responseCode":200},"input":{"type":"structure","required":["SchemaArn"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"FacetNames":{"type":"list","member":{}},"NextToken":{}}}},"ListIncomingTypedLinks":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/incoming","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"FilterAttributeRanges":{"shape":"S1l"},"FilterTypedLink":{"shape":"St"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{}}},"output":{"type":"structure","members":{"LinkSpecifiers":{"shape":"S2i"},"NextToken":{}}}},"ListIndex":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/index/targets","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","IndexReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"RangesOnIndexedValues":{"shape":"S1g"},"IndexReference":{"shape":"Sf"},"MaxResults":{"type":"integer"},"NextToken":{},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"IndexAttachments":{"shape":"S21"},"NextToken":{}}}},"ListManagedSchemaArns":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/schema/managed","responseCode":200},"input":{"type":"structure","members":{"SchemaArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SchemaArns":{"shape":"S66"},"NextToken":{}}}},"ListObjectAttributes":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/attributes","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"},"FacetFilter":{"shape":"S3"}}},"output":{"type":"structure","members":{"Attributes":{"shape":"S5"},"NextToken":{}}}},"ListObjectChildren":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/children","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"Children":{"shape":"S1w"},"NextToken":{}}}},"ListObjectParentPaths":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/parentpaths","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"PathToObjectIdentifiersList":{"shape":"S24"},"NextToken":{}}}},"ListObjectParents":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/parent","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"},"IncludeAllLinksToEachParent":{"type":"boolean"}}},"output":{"type":"structure","members":{"Parents":{"type":"map","key":{},"value":{}},"NextToken":{},"ParentLinks":{"shape":"S2m"}}}},"ListObjectPolicies":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/object/policy","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"AttachedPolicyIds":{"shape":"S27"},"NextToken":{}}}},"ListOutgoingTypedLinks":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/outgoing","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"FilterAttributeRanges":{"shape":"S1l"},"FilterTypedLink":{"shape":"St"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{}}},"output":{"type":"structure","members":{"TypedLinkSpecifiers":{"shape":"S2i"},"NextToken":{}}}},"ListPolicyAttachments":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/policy/attachment","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","PolicyReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"PolicyReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"},"ConsistencyLevel":{"location":"header","locationName":"x-amz-consistency-level"}}},"output":{"type":"structure","members":{"ObjectIdentifiers":{"shape":"S27"},"NextToken":{}}}},"ListPublishedSchemaArns":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/schema/published","responseCode":200},"input":{"type":"structure","members":{"SchemaArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SchemaArns":{"shape":"S66"},"NextToken":{}}}},"ListTagsForResource":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/tags","responseCode":200},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S79"},"NextToken":{}}}},"ListTypedLinkFacetAttributes":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/facet/attributes","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Attributes":{"shape":"S4v"},"NextToken":{}}}},"ListTypedLinkFacetNames":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/facet/list","responseCode":200},"input":{"type":"structure","required":["SchemaArn"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"FacetNames":{"type":"list","member":{}},"NextToken":{}}}},"LookupPolicy":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/policy/lookup","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"PolicyToPathList":{"shape":"S2b"},"NextToken":{}}}},"PublishSchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/publish","responseCode":200},"input":{"type":"structure","required":["DevelopmentSchemaArn","Version"],"members":{"DevelopmentSchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Version":{},"MinorVersion":{},"Name":{}}},"output":{"type":"structure","members":{"PublishedSchemaArn":{}}}},"PutSchemaFromJson":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/json","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Document"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Document":{}}},"output":{"type":"structure","members":{"Arn":{}}}},"RemoveFacetFromObject":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object/facets/delete","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","SchemaFacet","ObjectReference"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"SchemaFacet":{"shape":"S3"},"ObjectReference":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/tags/add","responseCode":200},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S79"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/tags/remove","responseCode":200},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateFacet":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/facet","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{},"AttributeUpdates":{"type":"list","member":{"type":"structure","members":{"Attribute":{"shape":"S47"},"Action":{}}}},"ObjectType":{}}},"output":{"type":"structure","members":{}}},"UpdateLinkAttributes":{"http":{"requestUri":"/amazonclouddirectory/2017-01-11/typedlink/attributes/update","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","TypedLinkSpecifier","AttributeUpdates"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"TypedLinkSpecifier":{"shape":"Sy"},"AttributeUpdates":{"shape":"S3g"}}},"output":{"type":"structure","members":{}}},"UpdateObjectAttributes":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/object/update","responseCode":200},"input":{"type":"structure","required":["DirectoryArn","ObjectReference","AttributeUpdates"],"members":{"DirectoryArn":{"location":"header","locationName":"x-amz-data-partition"},"ObjectReference":{"shape":"Sf"},"AttributeUpdates":{"shape":"S2z"}}},"output":{"type":"structure","members":{"ObjectIdentifier":{}}}},"UpdateSchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/update","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{}}},"output":{"type":"structure","members":{"SchemaArn":{}}}},"UpdateTypedLinkFacet":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/typedlink/facet","responseCode":200},"input":{"type":"structure","required":["SchemaArn","Name","AttributeUpdates","IdentityAttributeOrder"],"members":{"SchemaArn":{"location":"header","locationName":"x-amz-data-partition"},"Name":{},"AttributeUpdates":{"type":"list","member":{"type":"structure","required":["Attribute","Action"],"members":{"Attribute":{"shape":"S4w"},"Action":{}}}},"IdentityAttributeOrder":{"shape":"S1a"}}},"output":{"type":"structure","members":{}}},"UpgradeAppliedSchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/upgradeapplied","responseCode":200},"input":{"type":"structure","required":["PublishedSchemaArn","DirectoryArn"],"members":{"PublishedSchemaArn":{},"DirectoryArn":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"UpgradedSchemaArn":{},"DirectoryArn":{}}}},"UpgradePublishedSchema":{"http":{"method":"PUT","requestUri":"/amazonclouddirectory/2017-01-11/schema/upgradepublished","responseCode":200},"input":{"type":"structure","required":["DevelopmentSchemaArn","PublishedSchemaArn","MinorVersion"],"members":{"DevelopmentSchemaArn":{},"PublishedSchemaArn":{},"MinorVersion":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"UpgradedSchemaArn":{}}}}},"shapes":{"S3":{"type":"structure","members":{"SchemaArn":{},"FacetName":{}}},"S5":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{"shape":"S7"},"Value":{"shape":"S9"}}}},"S7":{"type":"structure","required":["SchemaArn","FacetName","Name"],"members":{"SchemaArn":{},"FacetName":{},"Name":{}}},"S9":{"type":"structure","members":{"StringValue":{},"BinaryValue":{"type":"blob"},"BooleanValue":{"type":"boolean"},"NumberValue":{},"DatetimeValue":{"type":"timestamp"}}},"Sf":{"type":"structure","members":{"Selector":{}}},"St":{"type":"structure","required":["SchemaArn","TypedLinkName"],"members":{"SchemaArn":{},"TypedLinkName":{}}},"Sv":{"type":"list","member":{"type":"structure","required":["AttributeName","Value"],"members":{"AttributeName":{},"Value":{"shape":"S9"}}}},"Sy":{"type":"structure","required":["TypedLinkFacet","SourceObjectReference","TargetObjectReference","IdentityAttributeValues"],"members":{"TypedLinkFacet":{"shape":"St"},"SourceObjectReference":{"shape":"Sf"},"TargetObjectReference":{"shape":"Sf"},"IdentityAttributeValues":{"shape":"Sv"}}},"S1a":{"type":"list","member":{}},"S1g":{"type":"list","member":{"type":"structure","members":{"AttributeKey":{"shape":"S7"},"Range":{"shape":"S1i"}}}},"S1i":{"type":"structure","required":["StartMode","EndMode"],"members":{"StartMode":{},"StartValue":{"shape":"S9"},"EndMode":{},"EndValue":{"shape":"S9"}}},"S1l":{"type":"list","member":{"type":"structure","required":["Range"],"members":{"AttributeName":{},"Range":{"shape":"S1i"}}}},"S1w":{"type":"map","key":{},"value":{}},"S1y":{"type":"list","member":{"shape":"S3"}},"S21":{"type":"list","member":{"type":"structure","members":{"IndexedAttributes":{"shape":"S5"},"ObjectIdentifier":{}}}},"S24":{"type":"list","member":{"type":"structure","members":{"Path":{},"ObjectIdentifiers":{"shape":"S27"}}}},"S27":{"type":"list","member":{}},"S2b":{"type":"list","member":{"type":"structure","members":{"Path":{},"Policies":{"type":"list","member":{"type":"structure","members":{"PolicyId":{},"ObjectIdentifier":{},"PolicyType":{}}}}}}},"S2i":{"type":"list","member":{"shape":"Sy"}},"S2m":{"type":"list","member":{"type":"structure","members":{"ObjectIdentifier":{},"LinkName":{}}}},"S2z":{"type":"list","member":{"type":"structure","members":{"ObjectAttributeKey":{"shape":"S7"},"ObjectAttributeAction":{"type":"structure","members":{"ObjectAttributeActionType":{},"ObjectAttributeUpdateValue":{"shape":"S9"}}}}}},"S39":{"type":"list","member":{"shape":"S7"}},"S3g":{"type":"list","member":{"type":"structure","members":{"AttributeKey":{"shape":"S7"},"AttributeAction":{"type":"structure","members":{"AttributeActionType":{},"AttributeUpdateValue":{"shape":"S9"}}}}}},"S46":{"type":"list","member":{"shape":"S47"}},"S47":{"type":"structure","required":["Name"],"members":{"Name":{},"AttributeDefinition":{"type":"structure","required":["Type"],"members":{"Type":{},"DefaultValue":{"shape":"S9"},"IsImmutable":{"type":"boolean"},"Rules":{"shape":"S4a"}}},"AttributeReference":{"type":"structure","required":["TargetFacetName","TargetAttributeName"],"members":{"TargetFacetName":{},"TargetAttributeName":{}}},"RequiredBehavior":{}}},"S4a":{"type":"map","key":{},"value":{"type":"structure","members":{"Type":{},"Parameters":{"type":"map","key":{},"value":{}}}}},"S4v":{"type":"list","member":{"shape":"S4w"}},"S4w":{"type":"structure","required":["Name","Type","RequiredBehavior"],"members":{"Name":{},"Type":{},"DefaultValue":{"shape":"S9"},"IsImmutable":{"type":"boolean"},"Rules":{"shape":"S4a"},"RequiredBehavior":{}}},"S5n":{"type":"structure","members":{"Name":{},"DirectoryArn":{},"State":{},"CreationDateTime":{"type":"timestamp"}}},"S66":{"type":"list","member":{}},"S79":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}}}}');

/***/ }),

/***/ 10156:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAppliedSchemaArns":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAttachedIndices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDevelopmentSchemaArns":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDirectories":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListFacetAttributes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListFacetNames":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListIndex":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListManagedSchemaArns":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListObjectAttributes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListObjectChildren":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListObjectParentPaths":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListObjectParents":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListObjectPolicies":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListPolicyAttachments":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListPublishedSchemaArns":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTagsForResource":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTypedLinkFacetAttributes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTypedLinkFacetNames":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"LookupPolicy":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 31930:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2010-05-15","endpointPrefix":"cloudformation","protocol":"query","serviceFullName":"AWS CloudFormation","serviceId":"CloudFormation","signatureVersion":"v4","uid":"cloudformation-2010-05-15","xmlNamespace":"http://cloudformation.amazonaws.com/doc/2010-05-15/"},"operations":{"ActivateType":{"input":{"type":"structure","members":{"Type":{},"PublicTypeArn":{},"PublisherId":{},"TypeName":{},"TypeNameAlias":{},"AutoUpdate":{"type":"boolean"},"LoggingConfig":{"shape":"S7"},"ExecutionRoleArn":{},"VersionBump":{},"MajorVersion":{"type":"long"}}},"output":{"resultWrapper":"ActivateTypeResult","type":"structure","members":{"Arn":{}}},"idempotent":true},"BatchDescribeTypeConfigurations":{"input":{"type":"structure","required":["TypeConfigurationIdentifiers"],"members":{"TypeConfigurationIdentifiers":{"type":"list","member":{"shape":"Sg"}}}},"output":{"resultWrapper":"BatchDescribeTypeConfigurationsResult","type":"structure","members":{"Errors":{"type":"list","member":{"type":"structure","members":{"ErrorCode":{},"ErrorMessage":{},"TypeConfigurationIdentifier":{"shape":"Sg"}}}},"UnprocessedTypeConfigurations":{"type":"list","member":{"shape":"Sg"}},"TypeConfigurations":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Alias":{},"Configuration":{},"LastUpdated":{"type":"timestamp"},"TypeArn":{},"TypeName":{},"IsDefaultConfiguration":{"type":"boolean"}}}}}}},"CancelUpdateStack":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{},"ClientRequestToken":{}}}},"ContinueUpdateRollback":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{},"RoleARN":{},"ResourcesToSkip":{"type":"list","member":{}},"ClientRequestToken":{}}},"output":{"resultWrapper":"ContinueUpdateRollbackResult","type":"structure","members":{}}},"CreateChangeSet":{"input":{"type":"structure","required":["StackName","ChangeSetName"],"members":{"StackName":{},"TemplateBody":{},"TemplateURL":{},"UsePreviousTemplate":{"type":"boolean"},"Parameters":{"shape":"S18"},"Capabilities":{"shape":"S1d"},"ResourceTypes":{"shape":"S1f"},"RoleARN":{},"RollbackConfiguration":{"shape":"S1h"},"NotificationARNs":{"shape":"S1n"},"Tags":{"shape":"S1p"},"ChangeSetName":{},"ClientToken":{},"Description":{},"ChangeSetType":{},"ResourcesToImport":{"type":"list","member":{"type":"structure","required":["ResourceType","LogicalResourceId","ResourceIdentifier"],"members":{"ResourceType":{},"LogicalResourceId":{},"ResourceIdentifier":{"type":"map","key":{},"value":{}}}}},"IncludeNestedStacks":{"type":"boolean"}}},"output":{"resultWrapper":"CreateChangeSetResult","type":"structure","members":{"Id":{},"StackId":{}}}},"CreateStack":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{},"TemplateBody":{},"TemplateURL":{},"Parameters":{"shape":"S18"},"DisableRollback":{"type":"boolean"},"RollbackConfiguration":{"shape":"S1h"},"TimeoutInMinutes":{"type":"integer"},"NotificationARNs":{"shape":"S1n"},"Capabilities":{"shape":"S1d"},"ResourceTypes":{"shape":"S1f"},"RoleARN":{},"OnFailure":{},"StackPolicyBody":{},"StackPolicyURL":{},"Tags":{"shape":"S1p"},"ClientRequestToken":{},"EnableTerminationProtection":{"type":"boolean"}}},"output":{"resultWrapper":"CreateStackResult","type":"structure","members":{"StackId":{}}}},"CreateStackInstances":{"input":{"type":"structure","required":["StackSetName","Regions"],"members":{"StackSetName":{},"Accounts":{"shape":"S2h"},"DeploymentTargets":{"shape":"S2j"},"Regions":{"shape":"S2n"},"ParameterOverrides":{"shape":"S18"},"OperationPreferences":{"shape":"S2p"},"OperationId":{"idempotencyToken":true},"CallAs":{}}},"output":{"resultWrapper":"CreateStackInstancesResult","type":"structure","members":{"OperationId":{}}}},"CreateStackSet":{"input":{"type":"structure","required":["StackSetName"],"members":{"StackSetName":{},"Description":{},"TemplateBody":{},"TemplateURL":{},"StackId":{},"Parameters":{"shape":"S18"},"Capabilities":{"shape":"S1d"},"Tags":{"shape":"S1p"},"AdministrationRoleARN":{},"ExecutionRoleName":{},"PermissionModel":{},"AutoDeployment":{"shape":"S30"},"CallAs":{},"ClientRequestToken":{"idempotencyToken":true},"ManagedExecution":{"shape":"S33"}}},"output":{"resultWrapper":"CreateStackSetResult","type":"structure","members":{"StackSetId":{}}}},"DeactivateType":{"input":{"type":"structure","members":{"TypeName":{},"Type":{},"Arn":{}}},"output":{"resultWrapper":"DeactivateTypeResult","type":"structure","members":{}},"idempotent":true},"DeleteChangeSet":{"input":{"type":"structure","required":["ChangeSetName"],"members":{"ChangeSetName":{},"StackName":{}}},"output":{"resultWrapper":"DeleteChangeSetResult","type":"structure","members":{}}},"DeleteStack":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{},"RetainResources":{"type":"list","member":{}},"RoleARN":{},"ClientRequestToken":{}}}},"DeleteStackInstances":{"input":{"type":"structure","required":["StackSetName","Regions","RetainStacks"],"members":{"StackSetName":{},"Accounts":{"shape":"S2h"},"DeploymentTargets":{"shape":"S2j"},"Regions":{"shape":"S2n"},"OperationPreferences":{"shape":"S2p"},"RetainStacks":{"type":"boolean"},"OperationId":{"idempotencyToken":true},"CallAs":{}}},"output":{"resultWrapper":"DeleteStackInstancesResult","type":"structure","members":{"OperationId":{}}}},"DeleteStackSet":{"input":{"type":"structure","required":["StackSetName"],"members":{"StackSetName":{},"CallAs":{}}},"output":{"resultWrapper":"DeleteStackSetResult","type":"structure","members":{}}},"DeregisterType":{"input":{"type":"structure","members":{"Arn":{},"Type":{},"TypeName":{},"VersionId":{}}},"output":{"resultWrapper":"DeregisterTypeResult","type":"structure","members":{}},"idempotent":true},"DescribeAccountLimits":{"input":{"type":"structure","members":{"NextToken":{}}},"output":{"resultWrapper":"DescribeAccountLimitsResult","type":"structure","members":{"AccountLimits":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{"type":"integer"}}}},"NextToken":{}}}},"DescribeChangeSet":{"input":{"type":"structure","required":["ChangeSetName"],"members":{"ChangeSetName":{},"StackName":{},"NextToken":{}}},"output":{"resultWrapper":"DescribeChangeSetResult","type":"structure","members":{"ChangeSetName":{},"ChangeSetId":{},"StackId":{},"StackName":{},"Description":{},"Parameters":{"shape":"S18"},"CreationTime":{"type":"timestamp"},"ExecutionStatus":{},"Status":{},"StatusReason":{},"NotificationARNs":{"shape":"S1n"},"RollbackConfiguration":{"shape":"S1h"},"Capabilities":{"shape":"S1d"},"Tags":{"shape":"S1p"},"Changes":{"type":"list","member":{"type":"structure","members":{"Type":{},"ResourceChange":{"type":"structure","members":{"Action":{},"LogicalResourceId":{},"PhysicalResourceId":{},"ResourceType":{},"Replacement":{},"Scope":{"type":"list","member":{}},"Details":{"type":"list","member":{"type":"structure","members":{"Target":{"type":"structure","members":{"Attribute":{},"Name":{},"RequiresRecreation":{}}},"Evaluation":{},"ChangeSource":{},"CausingEntity":{}}}},"ChangeSetId":{},"ModuleInfo":{"shape":"S4h"}}}}}},"NextToken":{},"IncludeNestedStacks":{"type":"boolean"},"ParentChangeSetId":{},"RootChangeSetId":{}}}},"DescribePublisher":{"input":{"type":"structure","members":{"PublisherId":{}}},"output":{"resultWrapper":"DescribePublisherResult","type":"structure","members":{"PublisherId":{},"PublisherStatus":{},"IdentityProvider":{},"PublisherProfile":{}}},"idempotent":true},"DescribeStackDriftDetectionStatus":{"input":{"type":"structure","required":["StackDriftDetectionId"],"members":{"StackDriftDetectionId":{}}},"output":{"resultWrapper":"DescribeStackDriftDetectionStatusResult","type":"structure","required":["StackId","StackDriftDetectionId","DetectionStatus","Timestamp"],"members":{"StackId":{},"StackDriftDetectionId":{},"StackDriftStatus":{},"DetectionStatus":{},"DetectionStatusReason":{},"DriftedStackResourceCount":{"type":"integer"},"Timestamp":{"type":"timestamp"}}}},"DescribeStackEvents":{"input":{"type":"structure","members":{"StackName":{},"NextToken":{}}},"output":{"resultWrapper":"DescribeStackEventsResult","type":"structure","members":{"StackEvents":{"type":"list","member":{"type":"structure","required":["StackId","EventId","StackName","Timestamp"],"members":{"StackId":{},"EventId":{},"StackName":{},"LogicalResourceId":{},"PhysicalResourceId":{},"ResourceType":{},"Timestamp":{"type":"timestamp"},"ResourceStatus":{},"ResourceStatusReason":{},"ResourceProperties":{},"ClientRequestToken":{}}}},"NextToken":{}}}},"DescribeStackInstance":{"input":{"type":"structure","required":["StackSetName","StackInstanceAccount","StackInstanceRegion"],"members":{"StackSetName":{},"StackInstanceAccount":{},"StackInstanceRegion":{},"CallAs":{}}},"output":{"resultWrapper":"DescribeStackInstanceResult","type":"structure","members":{"StackInstance":{"type":"structure","members":{"StackSetId":{},"Region":{},"Account":{},"StackId":{},"ParameterOverrides":{"shape":"S18"},"Status":{},"StackInstanceStatus":{"shape":"S58"},"StatusReason":{},"OrganizationalUnitId":{},"DriftStatus":{},"LastDriftCheckTimestamp":{"type":"timestamp"}}}}}},"DescribeStackResource":{"input":{"type":"structure","required":["StackName","LogicalResourceId"],"members":{"StackName":{},"LogicalResourceId":{}}},"output":{"resultWrapper":"DescribeStackResourceResult","type":"structure","members":{"StackResourceDetail":{"type":"structure","required":["LogicalResourceId","ResourceType","LastUpdatedTimestamp","ResourceStatus"],"members":{"StackName":{},"StackId":{},"LogicalResourceId":{},"PhysicalResourceId":{},"ResourceType":{},"LastUpdatedTimestamp":{"type":"timestamp"},"ResourceStatus":{},"ResourceStatusReason":{},"Description":{},"Metadata":{},"DriftInformation":{"shape":"S5f"},"ModuleInfo":{"shape":"S4h"}}}}}},"DescribeStackResourceDrifts":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{},"StackResourceDriftStatusFilters":{"type":"list","member":{}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"resultWrapper":"DescribeStackResourceDriftsResult","type":"structure","required":["StackResourceDrifts"],"members":{"StackResourceDrifts":{"type":"list","member":{"shape":"S5m"}},"NextToken":{}}}},"DescribeStackResources":{"input":{"type":"structure","members":{"StackName":{},"LogicalResourceId":{},"PhysicalResourceId":{}}},"output":{"resultWrapper":"DescribeStackResourcesResult","type":"structure","members":{"StackResources":{"type":"list","member":{"type":"structure","required":["LogicalResourceId","ResourceType","Timestamp","ResourceStatus"],"members":{"StackName":{},"StackId":{},"LogicalResourceId":{},"PhysicalResourceId":{},"ResourceType":{},"Timestamp":{"type":"timestamp"},"ResourceStatus":{},"ResourceStatusReason":{},"Description":{},"DriftInformation":{"shape":"S5f"},"ModuleInfo":{"shape":"S4h"}}}}}}},"DescribeStackSet":{"input":{"type":"structure","required":["StackSetName"],"members":{"StackSetName":{},"CallAs":{}}},"output":{"resultWrapper":"DescribeStackSetResult","type":"structure","members":{"StackSet":{"type":"structure","members":{"StackSetName":{},"StackSetId":{},"Description":{},"Status":{},"TemplateBody":{},"Parameters":{"shape":"S18"},"Capabilities":{"shape":"S1d"},"Tags":{"shape":"S1p"},"StackSetARN":{},"AdministrationRoleARN":{},"ExecutionRoleName":{},"StackSetDriftDetectionDetails":{"shape":"S66"},"AutoDeployment":{"shape":"S30"},"PermissionModel":{},"OrganizationalUnitIds":{"shape":"S2l"},"ManagedExecution":{"shape":"S33"}}}}}},"DescribeStackSetOperation":{"input":{"type":"structure","required":["StackSetName","OperationId"],"members":{"StackSetName":{},"OperationId":{},"CallAs":{}}},"output":{"resultWrapper":"DescribeStackSetOperationResult","type":"structure","members":{"StackSetOperation":{"type":"structure","members":{"OperationId":{},"StackSetId":{},"Action":{},"Status":{},"OperationPreferences":{"shape":"S2p"},"RetainStacks":{"type":"boolean"},"AdministrationRoleARN":{},"ExecutionRoleName":{},"CreationTimestamp":{"type":"timestamp"},"EndTimestamp":{"type":"timestamp"},"DeploymentTargets":{"shape":"S2j"},"StackSetDriftDetectionDetails":{"shape":"S66"}}}}}},"DescribeStacks":{"input":{"type":"structure","members":{"StackName":{},"NextToken":{}}},"output":{"resultWrapper":"DescribeStacksResult","type":"structure","members":{"Stacks":{"type":"list","member":{"type":"structure","required":["StackName","CreationTime","StackStatus"],"members":{"StackId":{},"StackName":{},"ChangeSetId":{},"Description":{},"Parameters":{"shape":"S18"},"CreationTime":{"type":"timestamp"},"DeletionTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"RollbackConfiguration":{"shape":"S1h"},"StackStatus":{},"StackStatusReason":{},"DisableRollback":{"type":"boolean"},"NotificationARNs":{"shape":"S1n"},"TimeoutInMinutes":{"type":"integer"},"Capabilities":{"shape":"S1d"},"Outputs":{"type":"list","member":{"type":"structure","members":{"OutputKey":{},"OutputValue":{},"Description":{},"ExportName":{}}}},"RoleARN":{},"Tags":{"shape":"S1p"},"EnableTerminationProtection":{"type":"boolean"},"ParentId":{},"RootId":{},"DriftInformation":{"type":"structure","required":["StackDriftStatus"],"members":{"StackDriftStatus":{},"LastCheckTimestamp":{"type":"timestamp"}}}}}},"NextToken":{}}}},"DescribeType":{"input":{"type":"structure","members":{"Type":{},"TypeName":{},"Arn":{},"VersionId":{},"PublisherId":{},"PublicVersionNumber":{}}},"output":{"resultWrapper":"DescribeTypeResult","type":"structure","members":{"Arn":{},"Type":{},"TypeName":{},"DefaultVersionId":{},"IsDefaultVersion":{"type":"boolean"},"TypeTestsStatus":{},"TypeTestsStatusDescription":{},"Description":{},"Schema":{},"ProvisioningType":{},"DeprecatedStatus":{},"LoggingConfig":{"shape":"S7"},"RequiredActivatedTypes":{"type":"list","member":{"type":"structure","members":{"TypeNameAlias":{},"OriginalTypeName":{},"PublisherId":{},"SupportedMajorVersions":{"type":"list","member":{"type":"integer"}}}}},"ExecutionRoleArn":{},"Visibility":{},"SourceUrl":{},"DocumentationUrl":{},"LastUpdated":{"type":"timestamp"},"TimeCreated":{"type":"timestamp"},"ConfigurationSchema":{},"PublisherId":{},"OriginalTypeName":{},"OriginalTypeArn":{},"PublicVersionNumber":{},"LatestPublicVersion":{},"IsActivated":{"type":"boolean"},"AutoUpdate":{"type":"boolean"}}},"idempotent":true},"DescribeTypeRegistration":{"input":{"type":"structure","required":["RegistrationToken"],"members":{"RegistrationToken":{}}},"output":{"resultWrapper":"DescribeTypeRegistrationResult","type":"structure","members":{"ProgressStatus":{},"Description":{},"TypeArn":{},"TypeVersionArn":{}}},"idempotent":true},"DetectStackDrift":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{},"LogicalResourceIds":{"shape":"S7k"}}},"output":{"resultWrapper":"DetectStackDriftResult","type":"structure","required":["StackDriftDetectionId"],"members":{"StackDriftDetectionId":{}}}},"DetectStackResourceDrift":{"input":{"type":"structure","required":["StackName","LogicalResourceId"],"members":{"StackName":{},"LogicalResourceId":{}}},"output":{"resultWrapper":"DetectStackResourceDriftResult","type":"structure","required":["StackResourceDrift"],"members":{"StackResourceDrift":{"shape":"S5m"}}}},"DetectStackSetDrift":{"input":{"type":"structure","required":["StackSetName"],"members":{"StackSetName":{},"OperationPreferences":{"shape":"S2p"},"OperationId":{"idempotencyToken":true},"CallAs":{}}},"output":{"resultWrapper":"DetectStackSetDriftResult","type":"structure","members":{"OperationId":{}}}},"EstimateTemplateCost":{"input":{"type":"structure","members":{"TemplateBody":{},"TemplateURL":{},"Parameters":{"shape":"S18"}}},"output":{"resultWrapper":"EstimateTemplateCostResult","type":"structure","members":{"Url":{}}}},"ExecuteChangeSet":{"input":{"type":"structure","required":["ChangeSetName"],"members":{"ChangeSetName":{},"StackName":{},"ClientRequestToken":{},"DisableRollback":{"type":"boolean"}}},"output":{"resultWrapper":"ExecuteChangeSetResult","type":"structure","members":{}}},"GetStackPolicy":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{}}},"output":{"resultWrapper":"GetStackPolicyResult","type":"structure","members":{"StackPolicyBody":{}}}},"GetTemplate":{"input":{"type":"structure","members":{"StackName":{},"ChangeSetName":{},"TemplateStage":{}}},"output":{"resultWrapper":"GetTemplateResult","type":"structure","members":{"TemplateBody":{},"StagesAvailable":{"type":"list","member":{}}}}},"GetTemplateSummary":{"input":{"type":"structure","members":{"TemplateBody":{},"TemplateURL":{},"StackName":{},"StackSetName":{},"CallAs":{}}},"output":{"resultWrapper":"GetTemplateSummaryResult","type":"structure","members":{"Parameters":{"type":"list","member":{"type":"structure","members":{"ParameterKey":{},"DefaultValue":{},"ParameterType":{},"NoEcho":{"type":"boolean"},"Description":{},"ParameterConstraints":{"type":"structure","members":{"AllowedValues":{"type":"list","member":{}}}}}}},"Description":{},"Capabilities":{"shape":"S1d"},"CapabilitiesReason":{},"ResourceTypes":{"shape":"S1f"},"Version":{},"Metadata":{},"DeclaredTransforms":{"shape":"S8d"},"ResourceIdentifierSummaries":{"type":"list","member":{"type":"structure","members":{"ResourceType":{},"LogicalResourceIds":{"shape":"S7k"},"ResourceIdentifiers":{"type":"list","member":{}}}}}}}},"ImportStacksToStackSet":{"input":{"type":"structure","required":["StackSetName"],"members":{"StackSetName":{},"StackIds":{"type":"list","member":{}},"StackIdsUrl":{},"OrganizationalUnitIds":{"shape":"S2l"},"OperationPreferences":{"shape":"S2p"},"OperationId":{"idempotencyToken":true},"CallAs":{}}},"output":{"resultWrapper":"ImportStacksToStackSetResult","type":"structure","members":{"OperationId":{}}}},"ListChangeSets":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{},"NextToken":{}}},"output":{"resultWrapper":"ListChangeSetsResult","type":"structure","members":{"Summaries":{"type":"list","member":{"type":"structure","members":{"StackId":{},"StackName":{},"ChangeSetId":{},"ChangeSetName":{},"ExecutionStatus":{},"Status":{},"StatusReason":{},"CreationTime":{"type":"timestamp"},"Description":{},"IncludeNestedStacks":{"type":"boolean"},"ParentChangeSetId":{},"RootChangeSetId":{}}}},"NextToken":{}}}},"ListExports":{"input":{"type":"structure","members":{"NextToken":{}}},"output":{"resultWrapper":"ListExportsResult","type":"structure","members":{"Exports":{"type":"list","member":{"type":"structure","members":{"ExportingStackId":{},"Name":{},"Value":{}}}},"NextToken":{}}}},"ListImports":{"input":{"type":"structure","required":["ExportName"],"members":{"ExportName":{},"NextToken":{}}},"output":{"resultWrapper":"ListImportsResult","type":"structure","members":{"Imports":{"type":"list","member":{}},"NextToken":{}}}},"ListStackInstances":{"input":{"type":"structure","required":["StackSetName"],"members":{"StackSetName":{},"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Values":{}}}},"StackInstanceAccount":{},"StackInstanceRegion":{},"CallAs":{}}},"output":{"resultWrapper":"ListStackInstancesResult","type":"structure","members":{"Summaries":{"type":"list","member":{"type":"structure","members":{"StackSetId":{},"Region":{},"Account":{},"StackId":{},"Status":{},"StatusReason":{},"StackInstanceStatus":{"shape":"S58"},"OrganizationalUnitId":{},"DriftStatus":{},"LastDriftCheckTimestamp":{"type":"timestamp"}}}},"NextToken":{}}}},"ListStackResources":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{},"NextToken":{}}},"output":{"resultWrapper":"ListStackResourcesResult","type":"structure","members":{"StackResourceSummaries":{"type":"list","member":{"type":"structure","required":["LogicalResourceId","ResourceType","LastUpdatedTimestamp","ResourceStatus"],"members":{"LogicalResourceId":{},"PhysicalResourceId":{},"ResourceType":{},"LastUpdatedTimestamp":{"type":"timestamp"},"ResourceStatus":{},"ResourceStatusReason":{},"DriftInformation":{"type":"structure","required":["StackResourceDriftStatus"],"members":{"StackResourceDriftStatus":{},"LastCheckTimestamp":{"type":"timestamp"}}},"ModuleInfo":{"shape":"S4h"}}}},"NextToken":{}}}},"ListStackSetOperationResults":{"input":{"type":"structure","required":["StackSetName","OperationId"],"members":{"StackSetName":{},"OperationId":{},"NextToken":{},"MaxResults":{"type":"integer"},"CallAs":{}}},"output":{"resultWrapper":"ListStackSetOperationResultsResult","type":"structure","members":{"Summaries":{"type":"list","member":{"type":"structure","members":{"Account":{},"Region":{},"Status":{},"StatusReason":{},"AccountGateResult":{"type":"structure","members":{"Status":{},"StatusReason":{}}},"OrganizationalUnitId":{}}}},"NextToken":{}}}},"ListStackSetOperations":{"input":{"type":"structure","required":["StackSetName"],"members":{"StackSetName":{},"NextToken":{},"MaxResults":{"type":"integer"},"CallAs":{}}},"output":{"resultWrapper":"ListStackSetOperationsResult","type":"structure","members":{"Summaries":{"type":"list","member":{"type":"structure","members":{"OperationId":{},"Action":{},"Status":{},"CreationTimestamp":{"type":"timestamp"},"EndTimestamp":{"type":"timestamp"}}}},"NextToken":{}}}},"ListStackSets":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Status":{},"CallAs":{}}},"output":{"resultWrapper":"ListStackSetsResult","type":"structure","members":{"Summaries":{"type":"list","member":{"type":"structure","members":{"StackSetName":{},"StackSetId":{},"Description":{},"Status":{},"AutoDeployment":{"shape":"S30"},"PermissionModel":{},"DriftStatus":{},"LastDriftCheckTimestamp":{"type":"timestamp"},"ManagedExecution":{"shape":"S33"}}}},"NextToken":{}}}},"ListStacks":{"input":{"type":"structure","members":{"NextToken":{},"StackStatusFilter":{"type":"list","member":{}}}},"output":{"resultWrapper":"ListStacksResult","type":"structure","members":{"StackSummaries":{"type":"list","member":{"type":"structure","required":["StackName","CreationTime","StackStatus"],"members":{"StackId":{},"StackName":{},"TemplateDescription":{},"CreationTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"DeletionTime":{"type":"timestamp"},"StackStatus":{},"StackStatusReason":{},"ParentId":{},"RootId":{},"DriftInformation":{"type":"structure","required":["StackDriftStatus"],"members":{"StackDriftStatus":{},"LastCheckTimestamp":{"type":"timestamp"}}}}}},"NextToken":{}}}},"ListTypeRegistrations":{"input":{"type":"structure","members":{"Type":{},"TypeName":{},"TypeArn":{},"RegistrationStatusFilter":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"resultWrapper":"ListTypeRegistrationsResult","type":"structure","members":{"RegistrationTokenList":{"type":"list","member":{}},"NextToken":{}}},"idempotent":true},"ListTypeVersions":{"input":{"type":"structure","members":{"Type":{},"TypeName":{},"Arn":{},"MaxResults":{"type":"integer"},"NextToken":{},"DeprecatedStatus":{},"PublisherId":{}}},"output":{"resultWrapper":"ListTypeVersionsResult","type":"structure","members":{"TypeVersionSummaries":{"type":"list","member":{"type":"structure","members":{"Type":{},"TypeName":{},"VersionId":{},"IsDefaultVersion":{"type":"boolean"},"Arn":{},"TimeCreated":{"type":"timestamp"},"Description":{},"PublicVersionNumber":{}}}},"NextToken":{}}},"idempotent":true},"ListTypes":{"input":{"type":"structure","members":{"Visibility":{},"ProvisioningType":{},"DeprecatedStatus":{},"Type":{},"Filters":{"type":"structure","members":{"Category":{},"PublisherId":{},"TypeNamePrefix":{}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"resultWrapper":"ListTypesResult","type":"structure","members":{"TypeSummaries":{"type":"list","member":{"type":"structure","members":{"Type":{},"TypeName":{},"DefaultVersionId":{},"TypeArn":{},"LastUpdated":{"type":"timestamp"},"Description":{},"PublisherId":{},"OriginalTypeName":{},"PublicVersionNumber":{},"LatestPublicVersion":{},"PublisherIdentity":{},"PublisherName":{},"IsActivated":{"type":"boolean"}}}},"NextToken":{}}},"idempotent":true},"PublishType":{"input":{"type":"structure","members":{"Type":{},"Arn":{},"TypeName":{},"PublicVersionNumber":{}}},"output":{"resultWrapper":"PublishTypeResult","type":"structure","members":{"PublicTypeArn":{}}},"idempotent":true},"RecordHandlerProgress":{"input":{"type":"structure","required":["BearerToken","OperationStatus"],"members":{"BearerToken":{},"OperationStatus":{},"CurrentOperationStatus":{},"StatusMessage":{},"ErrorCode":{},"ResourceModel":{},"ClientRequestToken":{}}},"output":{"resultWrapper":"RecordHandlerProgressResult","type":"structure","members":{}},"idempotent":true},"RegisterPublisher":{"input":{"type":"structure","members":{"AcceptTermsAndConditions":{"type":"boolean"},"ConnectionArn":{}}},"output":{"resultWrapper":"RegisterPublisherResult","type":"structure","members":{"PublisherId":{}}},"idempotent":true},"RegisterType":{"input":{"type":"structure","required":["TypeName","SchemaHandlerPackage"],"members":{"Type":{},"TypeName":{},"SchemaHandlerPackage":{},"LoggingConfig":{"shape":"S7"},"ExecutionRoleArn":{},"ClientRequestToken":{}}},"output":{"resultWrapper":"RegisterTypeResult","type":"structure","members":{"RegistrationToken":{}}},"idempotent":true},"RollbackStack":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{},"RoleARN":{},"ClientRequestToken":{}}},"output":{"resultWrapper":"RollbackStackResult","type":"structure","members":{"StackId":{}}}},"SetStackPolicy":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{},"StackPolicyBody":{},"StackPolicyURL":{}}}},"SetTypeConfiguration":{"input":{"type":"structure","required":["Configuration"],"members":{"TypeArn":{},"Configuration":{},"ConfigurationAlias":{},"TypeName":{},"Type":{}}},"output":{"resultWrapper":"SetTypeConfigurationResult","type":"structure","members":{"ConfigurationArn":{}}}},"SetTypeDefaultVersion":{"input":{"type":"structure","members":{"Arn":{},"Type":{},"TypeName":{},"VersionId":{}}},"output":{"resultWrapper":"SetTypeDefaultVersionResult","type":"structure","members":{}},"idempotent":true},"SignalResource":{"input":{"type":"structure","required":["StackName","LogicalResourceId","UniqueId","Status"],"members":{"StackName":{},"LogicalResourceId":{},"UniqueId":{},"Status":{}}}},"StopStackSetOperation":{"input":{"type":"structure","required":["StackSetName","OperationId"],"members":{"StackSetName":{},"OperationId":{},"CallAs":{}}},"output":{"resultWrapper":"StopStackSetOperationResult","type":"structure","members":{}}},"TestType":{"input":{"type":"structure","members":{"Arn":{},"Type":{},"TypeName":{},"VersionId":{},"LogDeliveryBucket":{}}},"output":{"resultWrapper":"TestTypeResult","type":"structure","members":{"TypeVersionArn":{}}},"idempotent":true},"UpdateStack":{"input":{"type":"structure","required":["StackName"],"members":{"StackName":{},"TemplateBody":{},"TemplateURL":{},"UsePreviousTemplate":{"type":"boolean"},"StackPolicyDuringUpdateBody":{},"StackPolicyDuringUpdateURL":{},"Parameters":{"shape":"S18"},"Capabilities":{"shape":"S1d"},"ResourceTypes":{"shape":"S1f"},"RoleARN":{},"RollbackConfiguration":{"shape":"S1h"},"StackPolicyBody":{},"StackPolicyURL":{},"NotificationARNs":{"shape":"S1n"},"Tags":{"shape":"S1p"},"DisableRollback":{"type":"boolean"},"ClientRequestToken":{}}},"output":{"resultWrapper":"UpdateStackResult","type":"structure","members":{"StackId":{}}}},"UpdateStackInstances":{"input":{"type":"structure","required":["StackSetName","Regions"],"members":{"StackSetName":{},"Accounts":{"shape":"S2h"},"DeploymentTargets":{"shape":"S2j"},"Regions":{"shape":"S2n"},"ParameterOverrides":{"shape":"S18"},"OperationPreferences":{"shape":"S2p"},"OperationId":{"idempotencyToken":true},"CallAs":{}}},"output":{"resultWrapper":"UpdateStackInstancesResult","type":"structure","members":{"OperationId":{}}}},"UpdateStackSet":{"input":{"type":"structure","required":["StackSetName"],"members":{"StackSetName":{},"Description":{},"TemplateBody":{},"TemplateURL":{},"UsePreviousTemplate":{"type":"boolean"},"Parameters":{"shape":"S18"},"Capabilities":{"shape":"S1d"},"Tags":{"shape":"S1p"},"OperationPreferences":{"shape":"S2p"},"AdministrationRoleARN":{},"ExecutionRoleName":{},"DeploymentTargets":{"shape":"S2j"},"PermissionModel":{},"AutoDeployment":{"shape":"S30"},"OperationId":{"idempotencyToken":true},"Accounts":{"shape":"S2h"},"Regions":{"shape":"S2n"},"CallAs":{},"ManagedExecution":{"shape":"S33"}}},"output":{"resultWrapper":"UpdateStackSetResult","type":"structure","members":{"OperationId":{}}}},"UpdateTerminationProtection":{"input":{"type":"structure","required":["EnableTerminationProtection","StackName"],"members":{"EnableTerminationProtection":{"type":"boolean"},"StackName":{}}},"output":{"resultWrapper":"UpdateTerminationProtectionResult","type":"structure","members":{"StackId":{}}}},"ValidateTemplate":{"input":{"type":"structure","members":{"TemplateBody":{},"TemplateURL":{}}},"output":{"resultWrapper":"ValidateTemplateResult","type":"structure","members":{"Parameters":{"type":"list","member":{"type":"structure","members":{"ParameterKey":{},"DefaultValue":{},"NoEcho":{"type":"boolean"},"Description":{}}}},"Description":{},"Capabilities":{"shape":"S1d"},"CapabilitiesReason":{},"DeclaredTransforms":{"shape":"S8d"}}}}},"shapes":{"S7":{"type":"structure","required":["LogRoleArn","LogGroupName"],"members":{"LogRoleArn":{},"LogGroupName":{}}},"Sg":{"type":"structure","members":{"TypeArn":{},"TypeConfigurationAlias":{},"TypeConfigurationArn":{},"Type":{},"TypeName":{}}},"S18":{"type":"list","member":{"type":"structure","members":{"ParameterKey":{},"ParameterValue":{},"UsePreviousValue":{"type":"boolean"},"ResolvedValue":{}}}},"S1d":{"type":"list","member":{}},"S1f":{"type":"list","member":{}},"S1h":{"type":"structure","members":{"RollbackTriggers":{"type":"list","member":{"type":"structure","required":["Arn","Type"],"members":{"Arn":{},"Type":{}}}},"MonitoringTimeInMinutes":{"type":"integer"}}},"S1n":{"type":"list","member":{}},"S1p":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S2h":{"type":"list","member":{}},"S2j":{"type":"structure","members":{"Accounts":{"shape":"S2h"},"AccountsUrl":{},"OrganizationalUnitIds":{"shape":"S2l"}}},"S2l":{"type":"list","member":{}},"S2n":{"type":"list","member":{}},"S2p":{"type":"structure","members":{"RegionConcurrencyType":{},"RegionOrder":{"shape":"S2n"},"FailureToleranceCount":{"type":"integer"},"FailureTolerancePercentage":{"type":"integer"},"MaxConcurrentCount":{"type":"integer"},"MaxConcurrentPercentage":{"type":"integer"}}},"S30":{"type":"structure","members":{"Enabled":{"type":"boolean"},"RetainStacksOnAccountRemoval":{"type":"boolean"}}},"S33":{"type":"structure","members":{"Active":{"type":"boolean"}}},"S4h":{"type":"structure","members":{"TypeHierarchy":{},"LogicalIdHierarchy":{}}},"S58":{"type":"structure","members":{"DetailedStatus":{}}},"S5f":{"type":"structure","required":["StackResourceDriftStatus"],"members":{"StackResourceDriftStatus":{},"LastCheckTimestamp":{"type":"timestamp"}}},"S5m":{"type":"structure","required":["StackId","LogicalResourceId","ResourceType","StackResourceDriftStatus","Timestamp"],"members":{"StackId":{},"LogicalResourceId":{},"PhysicalResourceId":{},"PhysicalResourceIdContext":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"ResourceType":{},"ExpectedProperties":{},"ActualProperties":{},"PropertyDifferences":{"type":"list","member":{"type":"structure","required":["PropertyPath","ExpectedValue","ActualValue","DifferenceType"],"members":{"PropertyPath":{},"ExpectedValue":{},"ActualValue":{},"DifferenceType":{}}}},"StackResourceDriftStatus":{},"Timestamp":{"type":"timestamp"},"ModuleInfo":{"shape":"S4h"}}},"S66":{"type":"structure","members":{"DriftStatus":{},"DriftDetectionStatus":{},"LastDriftCheckTimestamp":{"type":"timestamp"},"TotalStackInstancesCount":{"type":"integer"},"DriftedStackInstancesCount":{"type":"integer"},"InSyncStackInstancesCount":{"type":"integer"},"InProgressStackInstancesCount":{"type":"integer"},"FailedStackInstancesCount":{"type":"integer"}}},"S7k":{"type":"list","member":{}},"S8d":{"type":"list","member":{}}}}');

/***/ }),

/***/ 10611:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeAccountLimits":{"input_token":"NextToken","output_token":"NextToken","result_key":"AccountLimits"},"DescribeStackEvents":{"input_token":"NextToken","output_token":"NextToken","result_key":"StackEvents"},"DescribeStackResourceDrifts":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"DescribeStackResources":{"result_key":"StackResources"},"DescribeStacks":{"input_token":"NextToken","output_token":"NextToken","result_key":"Stacks"},"ListChangeSets":{"input_token":"NextToken","output_token":"NextToken","result_key":"Summaries"},"ListExports":{"input_token":"NextToken","output_token":"NextToken","result_key":"Exports"},"ListImports":{"input_token":"NextToken","output_token":"NextToken","result_key":"Imports"},"ListStackInstances":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Summaries"},"ListStackResources":{"input_token":"NextToken","output_token":"NextToken","result_key":"StackResourceSummaries"},"ListStackSetOperationResults":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Summaries"},"ListStackSetOperations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Summaries"},"ListStackSets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Summaries"},"ListStacks":{"input_token":"NextToken","output_token":"NextToken","result_key":"StackSummaries"},"ListTypeRegistrations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListTypeVersions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListTypes":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TypeSummaries"}}}');

/***/ }),

/***/ 53732:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"StackExists":{"delay":5,"operation":"DescribeStacks","maxAttempts":20,"acceptors":[{"matcher":"status","expected":200,"state":"success"},{"matcher":"error","expected":"ValidationError","state":"retry"}]},"StackCreateComplete":{"delay":30,"operation":"DescribeStacks","maxAttempts":120,"description":"Wait until stack status is CREATE_COMPLETE.","acceptors":[{"argument":"Stacks[].StackStatus","expected":"CREATE_COMPLETE","matcher":"pathAll","state":"success"},{"argument":"Stacks[].StackStatus","expected":"CREATE_FAILED","matcher":"pathAny","state":"failure"},{"argument":"Stacks[].StackStatus","expected":"DELETE_COMPLETE","matcher":"pathAny","state":"failure"},{"argument":"Stacks[].StackStatus","expected":"DELETE_FAILED","matcher":"pathAny","state":"failure"},{"argument":"Stacks[].StackStatus","expected":"ROLLBACK_FAILED","matcher":"pathAny","state":"failure"},{"argument":"Stacks[].StackStatus","expected":"ROLLBACK_COMPLETE","matcher":"pathAny","state":"failure"},{"expected":"ValidationError","matcher":"error","state":"failure"}]},"StackDeleteComplete":{"delay":30,"operation":"DescribeStacks","maxAttempts":120,"description":"Wait until stack status is DELETE_COMPLETE.","acceptors":[{"argument":"Stacks[].StackStatus","expected":"DELETE_COMPLETE","matcher":"pathAll","state":"success"},{"expected":"ValidationError","matcher":"error","state":"success"},{"argument":"Stacks[].StackStatus","expected":"DELETE_FAILED","matcher":"pathAny","state":"failure"},{"argument":"Stacks[].StackStatus","expected":"CREATE_FAILED","matcher":"pathAny","state":"failure"},{"argument":"Stacks[].StackStatus","expected":"ROLLBACK_FAILED","matcher":"pathAny","state":"failure"},{"argument":"Stacks[].StackStatus","expected":"UPDATE_ROLLBACK_IN_PROGRESS","matcher":"pathAny","state":"failure"},{"argument":"Stacks[].StackStatus","expected":"UPDATE_ROLLBACK_FAILED","matcher":"pathAny","state":"failure"},{"argument":"Stacks[].StackStatus","expected":"UPDATE_ROLLBACK_COMPLETE","matcher":"pathAny","state":"failure"}]},"StackUpdateComplete":{"delay":30,"maxAttempts":120,"operation":"DescribeStacks","description":"Wait until stack status is UPDATE_COMPLETE.","acceptors":[{"argument":"Stacks[].StackStatus","expected":"UPDATE_COMPLETE","matcher":"pathAll","state":"success"},{"expected":"UPDATE_FAILED","matcher":"pathAny","state":"failure","argument":"Stacks[].StackStatus"},{"argument":"Stacks[].StackStatus","expected":"UPDATE_ROLLBACK_FAILED","matcher":"pathAny","state":"failure"},{"expected":"UPDATE_ROLLBACK_COMPLETE","matcher":"pathAny","state":"failure","argument":"Stacks[].StackStatus"},{"expected":"ValidationError","matcher":"error","state":"failure"}]},"StackImportComplete":{"delay":30,"maxAttempts":120,"operation":"DescribeStacks","description":"Wait until stack status is IMPORT_COMPLETE.","acceptors":[{"argument":"Stacks[].StackStatus","expected":"IMPORT_COMPLETE","matcher":"pathAll","state":"success"},{"expected":"ROLLBACK_COMPLETE","matcher":"pathAny","state":"failure","argument":"Stacks[].StackStatus"},{"expected":"ROLLBACK_FAILED","matcher":"pathAny","state":"failure","argument":"Stacks[].StackStatus"},{"argument":"Stacks[].StackStatus","expected":"IMPORT_ROLLBACK_IN_PROGRESS","matcher":"pathAny","state":"failure"},{"argument":"Stacks[].StackStatus","expected":"IMPORT_ROLLBACK_FAILED","matcher":"pathAny","state":"failure"},{"expected":"IMPORT_ROLLBACK_COMPLETE","matcher":"pathAny","state":"failure","argument":"Stacks[].StackStatus"},{"expected":"ValidationError","matcher":"error","state":"failure"}]},"StackRollbackComplete":{"delay":30,"operation":"DescribeStacks","maxAttempts":120,"description":"Wait until stack status is UPDATE_ROLLBACK_COMPLETE.","acceptors":[{"argument":"Stacks[].StackStatus","expected":"UPDATE_ROLLBACK_COMPLETE","matcher":"pathAll","state":"success"},{"argument":"Stacks[].StackStatus","expected":"UPDATE_FAILED","matcher":"pathAny","state":"failure"},{"argument":"Stacks[].StackStatus","expected":"UPDATE_ROLLBACK_FAILED","matcher":"pathAny","state":"failure"},{"argument":"Stacks[].StackStatus","expected":"DELETE_FAILED","matcher":"pathAny","state":"failure"},{"expected":"ValidationError","matcher":"error","state":"failure"}]},"ChangeSetCreateComplete":{"delay":30,"operation":"DescribeChangeSet","maxAttempts":120,"description":"Wait until change set status is CREATE_COMPLETE.","acceptors":[{"argument":"Status","expected":"CREATE_COMPLETE","matcher":"path","state":"success"},{"argument":"Status","expected":"FAILED","matcher":"path","state":"failure"},{"expected":"ValidationError","matcher":"error","state":"failure"}]},"TypeRegistrationComplete":{"delay":30,"operation":"DescribeTypeRegistration","maxAttempts":120,"description":"Wait until type registration is COMPLETE.","acceptors":[{"argument":"ProgressStatus","expected":"COMPLETE","matcher":"path","state":"success"},{"argument":"ProgressStatus","expected":"FAILED","matcher":"path","state":"failure"}]}}}');

/***/ }),

/***/ 64908:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-11-25","endpointPrefix":"cloudfront","globalEndpoint":"cloudfront.amazonaws.com","protocol":"rest-xml","serviceAbbreviation":"CloudFront","serviceFullName":"Amazon CloudFront","serviceId":"CloudFront","signatureVersion":"v4","uid":"cloudfront-2016-11-25"},"operations":{"CreateCloudFrontOriginAccessIdentity":{"http":{"requestUri":"/2016-11-25/origin-access-identity/cloudfront","responseCode":201},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2016-11-25/"}}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"CreateDistribution":{"http":{"requestUri":"/2016-11-25/distribution","responseCode":201},"input":{"type":"structure","required":["DistributionConfig"],"members":{"DistributionConfig":{"shape":"S7","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2016-11-25/"}}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S1s"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateDistributionWithTags":{"http":{"requestUri":"/2016-11-25/distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["DistributionConfigWithTags"],"members":{"DistributionConfigWithTags":{"locationName":"DistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2016-11-25/"},"type":"structure","required":["DistributionConfig","Tags"],"members":{"DistributionConfig":{"shape":"S7"},"Tags":{"shape":"S21"}}}},"payload":"DistributionConfigWithTags"},"output":{"type":"structure","members":{"Distribution":{"shape":"S1s"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateInvalidation":{"http":{"requestUri":"/2016-11-25/distribution/{DistributionId}/invalidation","responseCode":201},"input":{"type":"structure","required":["DistributionId","InvalidationBatch"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"InvalidationBatch":{"shape":"S28","locationName":"InvalidationBatch","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2016-11-25/"}}},"payload":"InvalidationBatch"},"output":{"type":"structure","members":{"Location":{"location":"header","locationName":"Location"},"Invalidation":{"shape":"S2c"}},"payload":"Invalidation"}},"CreateStreamingDistribution":{"http":{"requestUri":"/2016-11-25/streaming-distribution","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfig"],"members":{"StreamingDistributionConfig":{"shape":"S2e","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2016-11-25/"}}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S2i"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"CreateStreamingDistributionWithTags":{"http":{"requestUri":"/2016-11-25/streaming-distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfigWithTags"],"members":{"StreamingDistributionConfigWithTags":{"locationName":"StreamingDistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2016-11-25/"},"type":"structure","required":["StreamingDistributionConfig","Tags"],"members":{"StreamingDistributionConfig":{"shape":"S2e"},"Tags":{"shape":"S21"}}}},"payload":"StreamingDistributionConfigWithTags"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S2i"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"DeleteCloudFrontOriginAccessIdentity":{"http":{"method":"DELETE","requestUri":"/2016-11-25/origin-access-identity/cloudfront/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteDistribution":{"http":{"method":"DELETE","requestUri":"/2016-11-25/distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteStreamingDistribution":{"http":{"method":"DELETE","requestUri":"/2016-11-25/streaming-distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"GetCloudFrontOriginAccessIdentity":{"http":{"method":"GET","requestUri":"/2016-11-25/origin-access-identity/cloudfront/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"GetCloudFrontOriginAccessIdentityConfig":{"http":{"method":"GET","requestUri":"/2016-11-25/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentityConfig"}},"GetDistribution":{"http":{"method":"GET","requestUri":"/2016-11-25/distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Distribution":{"shape":"S1s"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"GetDistributionConfig":{"http":{"method":"GET","requestUri":"/2016-11-25/distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"DistributionConfig":{"shape":"S7"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"DistributionConfig"}},"GetInvalidation":{"http":{"method":"GET","requestUri":"/2016-11-25/distribution/{DistributionId}/invalidation/{Id}"},"input":{"type":"structure","required":["DistributionId","Id"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Invalidation":{"shape":"S2c"}},"payload":"Invalidation"}},"GetStreamingDistribution":{"http":{"method":"GET","requestUri":"/2016-11-25/streaming-distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S2i"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"GetStreamingDistributionConfig":{"http":{"method":"GET","requestUri":"/2016-11-25/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistributionConfig":{"shape":"S2e"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistributionConfig"}},"ListCloudFrontOriginAccessIdentities":{"http":{"method":"GET","requestUri":"/2016-11-25/origin-access-identity/cloudfront"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CloudFrontOriginAccessIdentitySummary","type":"structure","required":["Id","S3CanonicalUserId","Comment"],"members":{"Id":{},"S3CanonicalUserId":{},"Comment":{}}}}}}},"payload":"CloudFrontOriginAccessIdentityList"}},"ListDistributions":{"http":{"method":"GET","requestUri":"/2016-11-25/distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S3a"}},"payload":"DistributionList"}},"ListDistributionsByWebACLId":{"http":{"method":"GET","requestUri":"/2016-11-25/distributionsByWebACLId/{WebACLId}"},"input":{"type":"structure","required":["WebACLId"],"members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"},"WebACLId":{"location":"uri","locationName":"WebACLId"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S3a"}},"payload":"DistributionList"}},"ListInvalidations":{"http":{"method":"GET","requestUri":"/2016-11-25/distribution/{DistributionId}/invalidation"},"input":{"type":"structure","required":["DistributionId"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"InvalidationList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"InvalidationSummary","type":"structure","required":["Id","CreateTime","Status"],"members":{"Id":{},"CreateTime":{"type":"timestamp"},"Status":{}}}}}}},"payload":"InvalidationList"}},"ListStreamingDistributions":{"http":{"method":"GET","requestUri":"/2016-11-25/streaming-distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"StreamingDistributionList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"StreamingDistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","S3Origin","Aliases","TrustedSigners","Comment","PriceClass","Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"S3Origin":{"shape":"S2f"},"Aliases":{"shape":"S8"},"TrustedSigners":{"shape":"Sy"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"}}}}}}},"payload":"StreamingDistributionList"}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/2016-11-25/tagging"},"input":{"type":"structure","required":["Resource"],"members":{"Resource":{"location":"querystring","locationName":"Resource"}}},"output":{"type":"structure","required":["Tags"],"members":{"Tags":{"shape":"S21"}},"payload":"Tags"}},"TagResource":{"http":{"requestUri":"/2016-11-25/tagging?Operation=Tag","responseCode":204},"input":{"type":"structure","required":["Resource","Tags"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"Tags":{"shape":"S21","locationName":"Tags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2016-11-25/"}}},"payload":"Tags"}},"UntagResource":{"http":{"requestUri":"/2016-11-25/tagging?Operation=Untag","responseCode":204},"input":{"type":"structure","required":["Resource","TagKeys"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"TagKeys":{"locationName":"TagKeys","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2016-11-25/"},"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Key"}}}}},"payload":"TagKeys"}},"UpdateCloudFrontOriginAccessIdentity":{"http":{"method":"PUT","requestUri":"/2016-11-25/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig","Id"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2016-11-25/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"UpdateDistribution":{"http":{"method":"PUT","requestUri":"/2016-11-25/distribution/{Id}/config"},"input":{"type":"structure","required":["DistributionConfig","Id"],"members":{"DistributionConfig":{"shape":"S7","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2016-11-25/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S1s"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"UpdateStreamingDistribution":{"http":{"method":"PUT","requestUri":"/2016-11-25/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["StreamingDistributionConfig","Id"],"members":{"StreamingDistributionConfig":{"shape":"S2e","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2016-11-25/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S2i"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}}},"shapes":{"S2":{"type":"structure","required":["CallerReference","Comment"],"members":{"CallerReference":{},"Comment":{}}},"S5":{"type":"structure","required":["Id","S3CanonicalUserId"],"members":{"Id":{},"S3CanonicalUserId":{},"CloudFrontOriginAccessIdentityConfig":{"shape":"S2"}}},"S7":{"type":"structure","required":["CallerReference","Origins","DefaultCacheBehavior","Comment","Enabled"],"members":{"CallerReference":{},"Aliases":{"shape":"S8"},"DefaultRootObject":{},"Origins":{"shape":"Sb"},"DefaultCacheBehavior":{"shape":"Sn"},"CacheBehaviors":{"shape":"S1a"},"CustomErrorResponses":{"shape":"S1d"},"Comment":{},"Logging":{"type":"structure","required":["Enabled","IncludeCookies","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"IncludeCookies":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S1i"},"Restrictions":{"shape":"S1m"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"}}},"S8":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CNAME"}}}},"Sb":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Origin","type":"structure","required":["Id","DomainName"],"members":{"Id":{},"DomainName":{},"OriginPath":{},"CustomHeaders":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginCustomHeader","type":"structure","required":["HeaderName","HeaderValue"],"members":{"HeaderName":{},"HeaderValue":{}}}}}},"S3OriginConfig":{"type":"structure","required":["OriginAccessIdentity"],"members":{"OriginAccessIdentity":{}}},"CustomOriginConfig":{"type":"structure","required":["HTTPPort","HTTPSPort","OriginProtocolPolicy"],"members":{"HTTPPort":{"type":"integer"},"HTTPSPort":{"type":"integer"},"OriginProtocolPolicy":{},"OriginSslProtocols":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"SslProtocol"}}}}}}}}}}},"Sn":{"type":"structure","required":["TargetOriginId","ForwardedValues","TrustedSigners","ViewerProtocolPolicy","MinTTL"],"members":{"TargetOriginId":{},"ForwardedValues":{"shape":"So"},"TrustedSigners":{"shape":"Sy"},"ViewerProtocolPolicy":{},"MinTTL":{"type":"long"},"AllowedMethods":{"shape":"S12"},"SmoothStreaming":{"type":"boolean"},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S16"}}},"So":{"type":"structure","required":["QueryString","Cookies"],"members":{"QueryString":{"type":"boolean"},"Cookies":{"type":"structure","required":["Forward"],"members":{"Forward":{},"WhitelistedNames":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"Headers":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}},"QueryStringCacheKeys":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"Sy":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"AwsAccountNumber"}}}},"S12":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S13"},"CachedMethods":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S13"}}}}},"S13":{"type":"list","member":{"locationName":"Method"}},"S16":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"LambdaFunctionAssociation","type":"structure","members":{"LambdaFunctionARN":{},"EventType":{}}}}}},"S1a":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CacheBehavior","type":"structure","required":["PathPattern","TargetOriginId","ForwardedValues","TrustedSigners","ViewerProtocolPolicy","MinTTL"],"members":{"PathPattern":{},"TargetOriginId":{},"ForwardedValues":{"shape":"So"},"TrustedSigners":{"shape":"Sy"},"ViewerProtocolPolicy":{},"MinTTL":{"type":"long"},"AllowedMethods":{"shape":"S12"},"SmoothStreaming":{"type":"boolean"},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S16"}}}}}},"S1d":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CustomErrorResponse","type":"structure","required":["ErrorCode"],"members":{"ErrorCode":{"type":"integer"},"ResponsePagePath":{},"ResponseCode":{},"ErrorCachingMinTTL":{"type":"long"}}}}}},"S1i":{"type":"structure","members":{"CloudFrontDefaultCertificate":{"type":"boolean"},"IAMCertificateId":{},"ACMCertificateArn":{},"SSLSupportMethod":{},"MinimumProtocolVersion":{},"Certificate":{"deprecated":true},"CertificateSource":{"deprecated":true}}},"S1m":{"type":"structure","required":["GeoRestriction"],"members":{"GeoRestriction":{"type":"structure","required":["RestrictionType","Quantity"],"members":{"RestrictionType":{},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Location"}}}}}},"S1s":{"type":"structure","required":["Id","ARN","Status","LastModifiedTime","InProgressInvalidationBatches","DomainName","ActiveTrustedSigners","DistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"InProgressInvalidationBatches":{"type":"integer"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S1u"},"DistributionConfig":{"shape":"S7"}}},"S1u":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Signer","type":"structure","members":{"AwsAccountNumber":{},"KeyPairIds":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"KeyPairId"}}}}}}}}},"S21":{"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Tag","type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}}}},"S28":{"type":"structure","required":["Paths","CallerReference"],"members":{"Paths":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Path"}}}},"CallerReference":{}}},"S2c":{"type":"structure","required":["Id","Status","CreateTime","InvalidationBatch"],"members":{"Id":{},"Status":{},"CreateTime":{"type":"timestamp"},"InvalidationBatch":{"shape":"S28"}}},"S2e":{"type":"structure","required":["CallerReference","S3Origin","Comment","TrustedSigners","Enabled"],"members":{"CallerReference":{},"S3Origin":{"shape":"S2f"},"Aliases":{"shape":"S8"},"Comment":{},"Logging":{"type":"structure","required":["Enabled","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"TrustedSigners":{"shape":"Sy"},"PriceClass":{},"Enabled":{"type":"boolean"}}},"S2f":{"type":"structure","required":["DomainName","OriginAccessIdentity"],"members":{"DomainName":{},"OriginAccessIdentity":{}}},"S2i":{"type":"structure","required":["Id","ARN","Status","DomainName","ActiveTrustedSigners","StreamingDistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S1u"},"StreamingDistributionConfig":{"shape":"S2e"}}},"S3a":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"DistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","Aliases","Origins","DefaultCacheBehavior","CacheBehaviors","CustomErrorResponses","Comment","PriceClass","Enabled","ViewerCertificate","Restrictions","WebACLId","HttpVersion","IsIPV6Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"Aliases":{"shape":"S8"},"Origins":{"shape":"Sb"},"DefaultCacheBehavior":{"shape":"Sn"},"CacheBehaviors":{"shape":"S1a"},"CustomErrorResponses":{"shape":"S1d"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S1i"},"Restrictions":{"shape":"S1m"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"}}}}}}}}');

/***/ }),

/***/ 57305:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCloudFrontOriginAccessIdentities":{"input_token":"Marker","output_token":"CloudFrontOriginAccessIdentityList.NextMarker","limit_key":"MaxItems","more_results":"CloudFrontOriginAccessIdentityList.IsTruncated","result_key":"CloudFrontOriginAccessIdentityList.Items"},"ListDistributions":{"input_token":"Marker","output_token":"DistributionList.NextMarker","limit_key":"MaxItems","more_results":"DistributionList.IsTruncated","result_key":"DistributionList.Items"},"ListInvalidations":{"input_token":"Marker","output_token":"InvalidationList.NextMarker","limit_key":"MaxItems","more_results":"InvalidationList.IsTruncated","result_key":"InvalidationList.Items"},"ListStreamingDistributions":{"input_token":"Marker","output_token":"StreamingDistributionList.NextMarker","limit_key":"MaxItems","more_results":"StreamingDistributionList.IsTruncated","result_key":"StreamingDistributionList.Items"}}}');

/***/ }),

/***/ 71106:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DistributionDeployed":{"delay":60,"operation":"GetDistribution","maxAttempts":25,"description":"Wait until a distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"Distribution.Status"}]},"InvalidationCompleted":{"delay":20,"operation":"GetInvalidation","maxAttempts":30,"description":"Wait until an invalidation has completed.","acceptors":[{"expected":"Completed","matcher":"path","state":"success","argument":"Invalidation.Status"}]},"StreamingDistributionDeployed":{"delay":60,"operation":"GetStreamingDistribution","maxAttempts":25,"description":"Wait until a streaming distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"StreamingDistribution.Status"}]}}}');

/***/ }),

/***/ 76944:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-03-25","endpointPrefix":"cloudfront","globalEndpoint":"cloudfront.amazonaws.com","protocol":"rest-xml","serviceAbbreviation":"CloudFront","serviceFullName":"Amazon CloudFront","serviceId":"CloudFront","signatureVersion":"v4","uid":"cloudfront-2017-03-25"},"operations":{"CreateCloudFrontOriginAccessIdentity":{"http":{"requestUri":"/2017-03-25/origin-access-identity/cloudfront","responseCode":201},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-03-25/"}}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"CreateDistribution":{"http":{"requestUri":"/2017-03-25/distribution","responseCode":201},"input":{"type":"structure","required":["DistributionConfig"],"members":{"DistributionConfig":{"shape":"S7","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-03-25/"}}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S1s"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateDistributionWithTags":{"http":{"requestUri":"/2017-03-25/distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["DistributionConfigWithTags"],"members":{"DistributionConfigWithTags":{"locationName":"DistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-03-25/"},"type":"structure","required":["DistributionConfig","Tags"],"members":{"DistributionConfig":{"shape":"S7"},"Tags":{"shape":"S21"}}}},"payload":"DistributionConfigWithTags"},"output":{"type":"structure","members":{"Distribution":{"shape":"S1s"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateInvalidation":{"http":{"requestUri":"/2017-03-25/distribution/{DistributionId}/invalidation","responseCode":201},"input":{"type":"structure","required":["DistributionId","InvalidationBatch"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"InvalidationBatch":{"shape":"S28","locationName":"InvalidationBatch","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-03-25/"}}},"payload":"InvalidationBatch"},"output":{"type":"structure","members":{"Location":{"location":"header","locationName":"Location"},"Invalidation":{"shape":"S2c"}},"payload":"Invalidation"}},"CreateStreamingDistribution":{"http":{"requestUri":"/2017-03-25/streaming-distribution","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfig"],"members":{"StreamingDistributionConfig":{"shape":"S2e","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-03-25/"}}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S2i"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"CreateStreamingDistributionWithTags":{"http":{"requestUri":"/2017-03-25/streaming-distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfigWithTags"],"members":{"StreamingDistributionConfigWithTags":{"locationName":"StreamingDistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-03-25/"},"type":"structure","required":["StreamingDistributionConfig","Tags"],"members":{"StreamingDistributionConfig":{"shape":"S2e"},"Tags":{"shape":"S21"}}}},"payload":"StreamingDistributionConfigWithTags"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S2i"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"DeleteCloudFrontOriginAccessIdentity":{"http":{"method":"DELETE","requestUri":"/2017-03-25/origin-access-identity/cloudfront/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteDistribution":{"http":{"method":"DELETE","requestUri":"/2017-03-25/distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteServiceLinkedRole":{"http":{"method":"DELETE","requestUri":"/2017-03-25/service-linked-role/{RoleName}","responseCode":204},"input":{"type":"structure","required":["RoleName"],"members":{"RoleName":{"location":"uri","locationName":"RoleName"}}}},"DeleteStreamingDistribution":{"http":{"method":"DELETE","requestUri":"/2017-03-25/streaming-distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"GetCloudFrontOriginAccessIdentity":{"http":{"method":"GET","requestUri":"/2017-03-25/origin-access-identity/cloudfront/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"GetCloudFrontOriginAccessIdentityConfig":{"http":{"method":"GET","requestUri":"/2017-03-25/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentityConfig"}},"GetDistribution":{"http":{"method":"GET","requestUri":"/2017-03-25/distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Distribution":{"shape":"S1s"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"GetDistributionConfig":{"http":{"method":"GET","requestUri":"/2017-03-25/distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"DistributionConfig":{"shape":"S7"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"DistributionConfig"}},"GetInvalidation":{"http":{"method":"GET","requestUri":"/2017-03-25/distribution/{DistributionId}/invalidation/{Id}"},"input":{"type":"structure","required":["DistributionId","Id"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Invalidation":{"shape":"S2c"}},"payload":"Invalidation"}},"GetStreamingDistribution":{"http":{"method":"GET","requestUri":"/2017-03-25/streaming-distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S2i"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"GetStreamingDistributionConfig":{"http":{"method":"GET","requestUri":"/2017-03-25/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistributionConfig":{"shape":"S2e"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistributionConfig"}},"ListCloudFrontOriginAccessIdentities":{"http":{"method":"GET","requestUri":"/2017-03-25/origin-access-identity/cloudfront"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CloudFrontOriginAccessIdentitySummary","type":"structure","required":["Id","S3CanonicalUserId","Comment"],"members":{"Id":{},"S3CanonicalUserId":{},"Comment":{}}}}}}},"payload":"CloudFrontOriginAccessIdentityList"}},"ListDistributions":{"http":{"method":"GET","requestUri":"/2017-03-25/distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S3b"}},"payload":"DistributionList"}},"ListDistributionsByWebACLId":{"http":{"method":"GET","requestUri":"/2017-03-25/distributionsByWebACLId/{WebACLId}"},"input":{"type":"structure","required":["WebACLId"],"members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"},"WebACLId":{"location":"uri","locationName":"WebACLId"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S3b"}},"payload":"DistributionList"}},"ListInvalidations":{"http":{"method":"GET","requestUri":"/2017-03-25/distribution/{DistributionId}/invalidation"},"input":{"type":"structure","required":["DistributionId"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"InvalidationList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"InvalidationSummary","type":"structure","required":["Id","CreateTime","Status"],"members":{"Id":{},"CreateTime":{"type":"timestamp"},"Status":{}}}}}}},"payload":"InvalidationList"}},"ListStreamingDistributions":{"http":{"method":"GET","requestUri":"/2017-03-25/streaming-distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"StreamingDistributionList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"StreamingDistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","S3Origin","Aliases","TrustedSigners","Comment","PriceClass","Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"S3Origin":{"shape":"S2f"},"Aliases":{"shape":"S8"},"TrustedSigners":{"shape":"Sy"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"}}}}}}},"payload":"StreamingDistributionList"}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/2017-03-25/tagging"},"input":{"type":"structure","required":["Resource"],"members":{"Resource":{"location":"querystring","locationName":"Resource"}}},"output":{"type":"structure","required":["Tags"],"members":{"Tags":{"shape":"S21"}},"payload":"Tags"}},"TagResource":{"http":{"requestUri":"/2017-03-25/tagging?Operation=Tag","responseCode":204},"input":{"type":"structure","required":["Resource","Tags"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"Tags":{"shape":"S21","locationName":"Tags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-03-25/"}}},"payload":"Tags"}},"UntagResource":{"http":{"requestUri":"/2017-03-25/tagging?Operation=Untag","responseCode":204},"input":{"type":"structure","required":["Resource","TagKeys"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"TagKeys":{"locationName":"TagKeys","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-03-25/"},"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Key"}}}}},"payload":"TagKeys"}},"UpdateCloudFrontOriginAccessIdentity":{"http":{"method":"PUT","requestUri":"/2017-03-25/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig","Id"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-03-25/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"UpdateDistribution":{"http":{"method":"PUT","requestUri":"/2017-03-25/distribution/{Id}/config"},"input":{"type":"structure","required":["DistributionConfig","Id"],"members":{"DistributionConfig":{"shape":"S7","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-03-25/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S1s"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"UpdateStreamingDistribution":{"http":{"method":"PUT","requestUri":"/2017-03-25/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["StreamingDistributionConfig","Id"],"members":{"StreamingDistributionConfig":{"shape":"S2e","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-03-25/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S2i"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}}},"shapes":{"S2":{"type":"structure","required":["CallerReference","Comment"],"members":{"CallerReference":{},"Comment":{}}},"S5":{"type":"structure","required":["Id","S3CanonicalUserId"],"members":{"Id":{},"S3CanonicalUserId":{},"CloudFrontOriginAccessIdentityConfig":{"shape":"S2"}}},"S7":{"type":"structure","required":["CallerReference","Origins","DefaultCacheBehavior","Comment","Enabled"],"members":{"CallerReference":{},"Aliases":{"shape":"S8"},"DefaultRootObject":{},"Origins":{"shape":"Sb"},"DefaultCacheBehavior":{"shape":"Sn"},"CacheBehaviors":{"shape":"S1a"},"CustomErrorResponses":{"shape":"S1d"},"Comment":{},"Logging":{"type":"structure","required":["Enabled","IncludeCookies","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"IncludeCookies":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S1i"},"Restrictions":{"shape":"S1m"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"}}},"S8":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CNAME"}}}},"Sb":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Origin","type":"structure","required":["Id","DomainName"],"members":{"Id":{},"DomainName":{},"OriginPath":{},"CustomHeaders":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginCustomHeader","type":"structure","required":["HeaderName","HeaderValue"],"members":{"HeaderName":{},"HeaderValue":{}}}}}},"S3OriginConfig":{"type":"structure","required":["OriginAccessIdentity"],"members":{"OriginAccessIdentity":{}}},"CustomOriginConfig":{"type":"structure","required":["HTTPPort","HTTPSPort","OriginProtocolPolicy"],"members":{"HTTPPort":{"type":"integer"},"HTTPSPort":{"type":"integer"},"OriginProtocolPolicy":{},"OriginSslProtocols":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"SslProtocol"}}}},"OriginReadTimeout":{"type":"integer"},"OriginKeepaliveTimeout":{"type":"integer"}}}}}}}},"Sn":{"type":"structure","required":["TargetOriginId","ForwardedValues","TrustedSigners","ViewerProtocolPolicy","MinTTL"],"members":{"TargetOriginId":{},"ForwardedValues":{"shape":"So"},"TrustedSigners":{"shape":"Sy"},"ViewerProtocolPolicy":{},"MinTTL":{"type":"long"},"AllowedMethods":{"shape":"S12"},"SmoothStreaming":{"type":"boolean"},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S16"}}},"So":{"type":"structure","required":["QueryString","Cookies"],"members":{"QueryString":{"type":"boolean"},"Cookies":{"type":"structure","required":["Forward"],"members":{"Forward":{},"WhitelistedNames":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"Headers":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}},"QueryStringCacheKeys":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"Sy":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"AwsAccountNumber"}}}},"S12":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S13"},"CachedMethods":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S13"}}}}},"S13":{"type":"list","member":{"locationName":"Method"}},"S16":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"LambdaFunctionAssociation","type":"structure","members":{"LambdaFunctionARN":{},"EventType":{}}}}}},"S1a":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CacheBehavior","type":"structure","required":["PathPattern","TargetOriginId","ForwardedValues","TrustedSigners","ViewerProtocolPolicy","MinTTL"],"members":{"PathPattern":{},"TargetOriginId":{},"ForwardedValues":{"shape":"So"},"TrustedSigners":{"shape":"Sy"},"ViewerProtocolPolicy":{},"MinTTL":{"type":"long"},"AllowedMethods":{"shape":"S12"},"SmoothStreaming":{"type":"boolean"},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S16"}}}}}},"S1d":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CustomErrorResponse","type":"structure","required":["ErrorCode"],"members":{"ErrorCode":{"type":"integer"},"ResponsePagePath":{},"ResponseCode":{},"ErrorCachingMinTTL":{"type":"long"}}}}}},"S1i":{"type":"structure","members":{"CloudFrontDefaultCertificate":{"type":"boolean"},"IAMCertificateId":{},"ACMCertificateArn":{},"SSLSupportMethod":{},"MinimumProtocolVersion":{},"Certificate":{"deprecated":true},"CertificateSource":{"deprecated":true}}},"S1m":{"type":"structure","required":["GeoRestriction"],"members":{"GeoRestriction":{"type":"structure","required":["RestrictionType","Quantity"],"members":{"RestrictionType":{},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Location"}}}}}},"S1s":{"type":"structure","required":["Id","ARN","Status","LastModifiedTime","InProgressInvalidationBatches","DomainName","ActiveTrustedSigners","DistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"InProgressInvalidationBatches":{"type":"integer"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S1u"},"DistributionConfig":{"shape":"S7"}}},"S1u":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Signer","type":"structure","members":{"AwsAccountNumber":{},"KeyPairIds":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"KeyPairId"}}}}}}}}},"S21":{"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Tag","type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}}}},"S28":{"type":"structure","required":["Paths","CallerReference"],"members":{"Paths":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Path"}}}},"CallerReference":{}}},"S2c":{"type":"structure","required":["Id","Status","CreateTime","InvalidationBatch"],"members":{"Id":{},"Status":{},"CreateTime":{"type":"timestamp"},"InvalidationBatch":{"shape":"S28"}}},"S2e":{"type":"structure","required":["CallerReference","S3Origin","Comment","TrustedSigners","Enabled"],"members":{"CallerReference":{},"S3Origin":{"shape":"S2f"},"Aliases":{"shape":"S8"},"Comment":{},"Logging":{"type":"structure","required":["Enabled","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"TrustedSigners":{"shape":"Sy"},"PriceClass":{},"Enabled":{"type":"boolean"}}},"S2f":{"type":"structure","required":["DomainName","OriginAccessIdentity"],"members":{"DomainName":{},"OriginAccessIdentity":{}}},"S2i":{"type":"structure","required":["Id","ARN","Status","DomainName","ActiveTrustedSigners","StreamingDistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S1u"},"StreamingDistributionConfig":{"shape":"S2e"}}},"S3b":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"DistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","Aliases","Origins","DefaultCacheBehavior","CacheBehaviors","CustomErrorResponses","Comment","PriceClass","Enabled","ViewerCertificate","Restrictions","WebACLId","HttpVersion","IsIPV6Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"Aliases":{"shape":"S8"},"Origins":{"shape":"Sb"},"DefaultCacheBehavior":{"shape":"Sn"},"CacheBehaviors":{"shape":"S1a"},"CustomErrorResponses":{"shape":"S1d"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S1i"},"Restrictions":{"shape":"S1m"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"}}}}}}}}');

/***/ }),

/***/ 83654:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCloudFrontOriginAccessIdentities":{"input_token":"Marker","limit_key":"MaxItems","more_results":"CloudFrontOriginAccessIdentityList.IsTruncated","output_token":"CloudFrontOriginAccessIdentityList.NextMarker","result_key":"CloudFrontOriginAccessIdentityList.Items"},"ListDistributions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"DistributionList.IsTruncated","output_token":"DistributionList.NextMarker","result_key":"DistributionList.Items"},"ListInvalidations":{"input_token":"Marker","limit_key":"MaxItems","more_results":"InvalidationList.IsTruncated","output_token":"InvalidationList.NextMarker","result_key":"InvalidationList.Items"},"ListStreamingDistributions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"StreamingDistributionList.IsTruncated","output_token":"StreamingDistributionList.NextMarker","result_key":"StreamingDistributionList.Items"}}}');

/***/ }),

/***/ 83406:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DistributionDeployed":{"delay":60,"operation":"GetDistribution","maxAttempts":25,"description":"Wait until a distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"Distribution.Status"}]},"InvalidationCompleted":{"delay":20,"operation":"GetInvalidation","maxAttempts":30,"description":"Wait until an invalidation has completed.","acceptors":[{"expected":"Completed","matcher":"path","state":"success","argument":"Invalidation.Status"}]},"StreamingDistributionDeployed":{"delay":60,"operation":"GetStreamingDistribution","maxAttempts":25,"description":"Wait until a streaming distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"StreamingDistribution.Status"}]}}}');

/***/ }),

/***/ 80198:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-10-30","endpointPrefix":"cloudfront","globalEndpoint":"cloudfront.amazonaws.com","protocol":"rest-xml","serviceAbbreviation":"CloudFront","serviceFullName":"Amazon CloudFront","serviceId":"CloudFront","signatureVersion":"v4","uid":"cloudfront-2017-10-30"},"operations":{"CreateCloudFrontOriginAccessIdentity":{"http":{"requestUri":"/2017-10-30/origin-access-identity/cloudfront","responseCode":201},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"CreateDistribution":{"http":{"requestUri":"/2017-10-30/distribution","responseCode":201},"input":{"type":"structure","required":["DistributionConfig"],"members":{"DistributionConfig":{"shape":"S7","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S1t"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateDistributionWithTags":{"http":{"requestUri":"/2017-10-30/distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["DistributionConfigWithTags"],"members":{"DistributionConfigWithTags":{"locationName":"DistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"},"type":"structure","required":["DistributionConfig","Tags"],"members":{"DistributionConfig":{"shape":"S7"},"Tags":{"shape":"S22"}}}},"payload":"DistributionConfigWithTags"},"output":{"type":"structure","members":{"Distribution":{"shape":"S1t"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateFieldLevelEncryptionConfig":{"http":{"requestUri":"/2017-10-30/field-level-encryption","responseCode":201},"input":{"type":"structure","required":["FieldLevelEncryptionConfig"],"members":{"FieldLevelEncryptionConfig":{"shape":"S29","locationName":"FieldLevelEncryptionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}}},"payload":"FieldLevelEncryptionConfig"},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S2k"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"CreateFieldLevelEncryptionProfile":{"http":{"requestUri":"/2017-10-30/field-level-encryption-profile","responseCode":201},"input":{"type":"structure","required":["FieldLevelEncryptionProfileConfig"],"members":{"FieldLevelEncryptionProfileConfig":{"shape":"S2m","locationName":"FieldLevelEncryptionProfileConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}}},"payload":"FieldLevelEncryptionProfileConfig"},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S2t"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"CreateInvalidation":{"http":{"requestUri":"/2017-10-30/distribution/{DistributionId}/invalidation","responseCode":201},"input":{"type":"structure","required":["DistributionId","InvalidationBatch"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"InvalidationBatch":{"shape":"S2v","locationName":"InvalidationBatch","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}}},"payload":"InvalidationBatch"},"output":{"type":"structure","members":{"Location":{"location":"header","locationName":"Location"},"Invalidation":{"shape":"S2z"}},"payload":"Invalidation"}},"CreatePublicKey":{"http":{"requestUri":"/2017-10-30/public-key","responseCode":201},"input":{"type":"structure","required":["PublicKeyConfig"],"members":{"PublicKeyConfig":{"shape":"S31","locationName":"PublicKeyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}}},"payload":"PublicKeyConfig"},"output":{"type":"structure","members":{"PublicKey":{"shape":"S33"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"CreateStreamingDistribution":{"http":{"requestUri":"/2017-10-30/streaming-distribution","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfig"],"members":{"StreamingDistributionConfig":{"shape":"S35","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S39"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"CreateStreamingDistributionWithTags":{"http":{"requestUri":"/2017-10-30/streaming-distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfigWithTags"],"members":{"StreamingDistributionConfigWithTags":{"locationName":"StreamingDistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"},"type":"structure","required":["StreamingDistributionConfig","Tags"],"members":{"StreamingDistributionConfig":{"shape":"S35"},"Tags":{"shape":"S22"}}}},"payload":"StreamingDistributionConfigWithTags"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S39"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"DeleteCloudFrontOriginAccessIdentity":{"http":{"method":"DELETE","requestUri":"/2017-10-30/origin-access-identity/cloudfront/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteDistribution":{"http":{"method":"DELETE","requestUri":"/2017-10-30/distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteFieldLevelEncryptionConfig":{"http":{"method":"DELETE","requestUri":"/2017-10-30/field-level-encryption/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteFieldLevelEncryptionProfile":{"http":{"method":"DELETE","requestUri":"/2017-10-30/field-level-encryption-profile/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeletePublicKey":{"http":{"method":"DELETE","requestUri":"/2017-10-30/public-key/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteStreamingDistribution":{"http":{"method":"DELETE","requestUri":"/2017-10-30/streaming-distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"GetCloudFrontOriginAccessIdentity":{"http":{"method":"GET","requestUri":"/2017-10-30/origin-access-identity/cloudfront/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"GetCloudFrontOriginAccessIdentityConfig":{"http":{"method":"GET","requestUri":"/2017-10-30/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentityConfig"}},"GetDistribution":{"http":{"method":"GET","requestUri":"/2017-10-30/distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Distribution":{"shape":"S1t"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"GetDistributionConfig":{"http":{"method":"GET","requestUri":"/2017-10-30/distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"DistributionConfig":{"shape":"S7"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"DistributionConfig"}},"GetFieldLevelEncryption":{"http":{"method":"GET","requestUri":"/2017-10-30/field-level-encryption/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S2k"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"GetFieldLevelEncryptionConfig":{"http":{"method":"GET","requestUri":"/2017-10-30/field-level-encryption/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionConfig":{"shape":"S29"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionConfig"}},"GetFieldLevelEncryptionProfile":{"http":{"method":"GET","requestUri":"/2017-10-30/field-level-encryption-profile/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S2t"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"GetFieldLevelEncryptionProfileConfig":{"http":{"method":"GET","requestUri":"/2017-10-30/field-level-encryption-profile/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfileConfig":{"shape":"S2m"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfileConfig"}},"GetInvalidation":{"http":{"method":"GET","requestUri":"/2017-10-30/distribution/{DistributionId}/invalidation/{Id}"},"input":{"type":"structure","required":["DistributionId","Id"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Invalidation":{"shape":"S2z"}},"payload":"Invalidation"}},"GetPublicKey":{"http":{"method":"GET","requestUri":"/2017-10-30/public-key/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"PublicKey":{"shape":"S33"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"GetPublicKeyConfig":{"http":{"method":"GET","requestUri":"/2017-10-30/public-key/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"PublicKeyConfig":{"shape":"S31"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKeyConfig"}},"GetStreamingDistribution":{"http":{"method":"GET","requestUri":"/2017-10-30/streaming-distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S39"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"GetStreamingDistributionConfig":{"http":{"method":"GET","requestUri":"/2017-10-30/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistributionConfig":{"shape":"S35"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistributionConfig"}},"ListCloudFrontOriginAccessIdentities":{"http":{"method":"GET","requestUri":"/2017-10-30/origin-access-identity/cloudfront"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CloudFrontOriginAccessIdentitySummary","type":"structure","required":["Id","S3CanonicalUserId","Comment"],"members":{"Id":{},"S3CanonicalUserId":{},"Comment":{}}}}}}},"payload":"CloudFrontOriginAccessIdentityList"}},"ListDistributions":{"http":{"method":"GET","requestUri":"/2017-10-30/distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S4g"}},"payload":"DistributionList"}},"ListDistributionsByWebACLId":{"http":{"method":"GET","requestUri":"/2017-10-30/distributionsByWebACLId/{WebACLId}"},"input":{"type":"structure","required":["WebACLId"],"members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"},"WebACLId":{"location":"uri","locationName":"WebACLId"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S4g"}},"payload":"DistributionList"}},"ListFieldLevelEncryptionConfigs":{"http":{"method":"GET","requestUri":"/2017-10-30/field-level-encryption"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldLevelEncryptionSummary","type":"structure","required":["Id","LastModifiedTime"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"Comment":{},"QueryArgProfileConfig":{"shape":"S2a"},"ContentTypeProfileConfig":{"shape":"S2e"}}}}}}},"payload":"FieldLevelEncryptionList"}},"ListFieldLevelEncryptionProfiles":{"http":{"method":"GET","requestUri":"/2017-10-30/field-level-encryption-profile"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfileList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldLevelEncryptionProfileSummary","type":"structure","required":["Id","LastModifiedTime","Name","EncryptionEntities"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"Name":{},"EncryptionEntities":{"shape":"S2n"},"Comment":{}}}}}}},"payload":"FieldLevelEncryptionProfileList"}},"ListInvalidations":{"http":{"method":"GET","requestUri":"/2017-10-30/distribution/{DistributionId}/invalidation"},"input":{"type":"structure","required":["DistributionId"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"InvalidationList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"InvalidationSummary","type":"structure","required":["Id","CreateTime","Status"],"members":{"Id":{},"CreateTime":{"type":"timestamp"},"Status":{}}}}}}},"payload":"InvalidationList"}},"ListPublicKeys":{"http":{"method":"GET","requestUri":"/2017-10-30/public-key"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"PublicKeyList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"PublicKeySummary","type":"structure","required":["Id","Name","CreatedTime","EncodedKey"],"members":{"Id":{},"Name":{},"CreatedTime":{"type":"timestamp"},"EncodedKey":{},"Comment":{}}}}}}},"payload":"PublicKeyList"}},"ListStreamingDistributions":{"http":{"method":"GET","requestUri":"/2017-10-30/streaming-distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"StreamingDistributionList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"StreamingDistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","S3Origin","Aliases","TrustedSigners","Comment","PriceClass","Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"S3Origin":{"shape":"S36"},"Aliases":{"shape":"S8"},"TrustedSigners":{"shape":"Sy"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"}}}}}}},"payload":"StreamingDistributionList"}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/2017-10-30/tagging"},"input":{"type":"structure","required":["Resource"],"members":{"Resource":{"location":"querystring","locationName":"Resource"}}},"output":{"type":"structure","required":["Tags"],"members":{"Tags":{"shape":"S22"}},"payload":"Tags"}},"TagResource":{"http":{"requestUri":"/2017-10-30/tagging?Operation=Tag","responseCode":204},"input":{"type":"structure","required":["Resource","Tags"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"Tags":{"shape":"S22","locationName":"Tags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}}},"payload":"Tags"}},"UntagResource":{"http":{"requestUri":"/2017-10-30/tagging?Operation=Untag","responseCode":204},"input":{"type":"structure","required":["Resource","TagKeys"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"TagKeys":{"locationName":"TagKeys","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"},"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Key"}}}}},"payload":"TagKeys"}},"UpdateCloudFrontOriginAccessIdentity":{"http":{"method":"PUT","requestUri":"/2017-10-30/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig","Id"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"UpdateDistribution":{"http":{"method":"PUT","requestUri":"/2017-10-30/distribution/{Id}/config"},"input":{"type":"structure","required":["DistributionConfig","Id"],"members":{"DistributionConfig":{"shape":"S7","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S1t"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"UpdateFieldLevelEncryptionConfig":{"http":{"method":"PUT","requestUri":"/2017-10-30/field-level-encryption/{Id}/config"},"input":{"type":"structure","required":["FieldLevelEncryptionConfig","Id"],"members":{"FieldLevelEncryptionConfig":{"shape":"S29","locationName":"FieldLevelEncryptionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"FieldLevelEncryptionConfig"},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S2k"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"UpdateFieldLevelEncryptionProfile":{"http":{"method":"PUT","requestUri":"/2017-10-30/field-level-encryption-profile/{Id}/config"},"input":{"type":"structure","required":["FieldLevelEncryptionProfileConfig","Id"],"members":{"FieldLevelEncryptionProfileConfig":{"shape":"S2m","locationName":"FieldLevelEncryptionProfileConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"FieldLevelEncryptionProfileConfig"},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S2t"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"UpdatePublicKey":{"http":{"method":"PUT","requestUri":"/2017-10-30/public-key/{Id}/config"},"input":{"type":"structure","required":["PublicKeyConfig","Id"],"members":{"PublicKeyConfig":{"shape":"S31","locationName":"PublicKeyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"PublicKeyConfig"},"output":{"type":"structure","members":{"PublicKey":{"shape":"S33"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"UpdateStreamingDistribution":{"http":{"method":"PUT","requestUri":"/2017-10-30/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["StreamingDistributionConfig","Id"],"members":{"StreamingDistributionConfig":{"shape":"S35","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2017-10-30/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S39"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}}},"shapes":{"S2":{"type":"structure","required":["CallerReference","Comment"],"members":{"CallerReference":{},"Comment":{}}},"S5":{"type":"structure","required":["Id","S3CanonicalUserId"],"members":{"Id":{},"S3CanonicalUserId":{},"CloudFrontOriginAccessIdentityConfig":{"shape":"S2"}}},"S7":{"type":"structure","required":["CallerReference","Origins","DefaultCacheBehavior","Comment","Enabled"],"members":{"CallerReference":{},"Aliases":{"shape":"S8"},"DefaultRootObject":{},"Origins":{"shape":"Sb"},"DefaultCacheBehavior":{"shape":"Sn"},"CacheBehaviors":{"shape":"S1b"},"CustomErrorResponses":{"shape":"S1e"},"Comment":{},"Logging":{"type":"structure","required":["Enabled","IncludeCookies","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"IncludeCookies":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S1j"},"Restrictions":{"shape":"S1n"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"}}},"S8":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CNAME"}}}},"Sb":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Origin","type":"structure","required":["Id","DomainName"],"members":{"Id":{},"DomainName":{},"OriginPath":{},"CustomHeaders":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginCustomHeader","type":"structure","required":["HeaderName","HeaderValue"],"members":{"HeaderName":{},"HeaderValue":{}}}}}},"S3OriginConfig":{"type":"structure","required":["OriginAccessIdentity"],"members":{"OriginAccessIdentity":{}}},"CustomOriginConfig":{"type":"structure","required":["HTTPPort","HTTPSPort","OriginProtocolPolicy"],"members":{"HTTPPort":{"type":"integer"},"HTTPSPort":{"type":"integer"},"OriginProtocolPolicy":{},"OriginSslProtocols":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"SslProtocol"}}}},"OriginReadTimeout":{"type":"integer"},"OriginKeepaliveTimeout":{"type":"integer"}}}}}}}},"Sn":{"type":"structure","required":["TargetOriginId","ForwardedValues","TrustedSigners","ViewerProtocolPolicy","MinTTL"],"members":{"TargetOriginId":{},"ForwardedValues":{"shape":"So"},"TrustedSigners":{"shape":"Sy"},"ViewerProtocolPolicy":{},"MinTTL":{"type":"long"},"AllowedMethods":{"shape":"S12"},"SmoothStreaming":{"type":"boolean"},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S16"},"FieldLevelEncryptionId":{}}},"So":{"type":"structure","required":["QueryString","Cookies"],"members":{"QueryString":{"type":"boolean"},"Cookies":{"type":"structure","required":["Forward"],"members":{"Forward":{},"WhitelistedNames":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"Headers":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}},"QueryStringCacheKeys":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"Sy":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"AwsAccountNumber"}}}},"S12":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S13"},"CachedMethods":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S13"}}}}},"S13":{"type":"list","member":{"locationName":"Method"}},"S16":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"LambdaFunctionAssociation","type":"structure","required":["LambdaFunctionARN","EventType"],"members":{"LambdaFunctionARN":{},"EventType":{}}}}}},"S1b":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CacheBehavior","type":"structure","required":["PathPattern","TargetOriginId","ForwardedValues","TrustedSigners","ViewerProtocolPolicy","MinTTL"],"members":{"PathPattern":{},"TargetOriginId":{},"ForwardedValues":{"shape":"So"},"TrustedSigners":{"shape":"Sy"},"ViewerProtocolPolicy":{},"MinTTL":{"type":"long"},"AllowedMethods":{"shape":"S12"},"SmoothStreaming":{"type":"boolean"},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S16"},"FieldLevelEncryptionId":{}}}}}},"S1e":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CustomErrorResponse","type":"structure","required":["ErrorCode"],"members":{"ErrorCode":{"type":"integer"},"ResponsePagePath":{},"ResponseCode":{},"ErrorCachingMinTTL":{"type":"long"}}}}}},"S1j":{"type":"structure","members":{"CloudFrontDefaultCertificate":{"type":"boolean"},"IAMCertificateId":{},"ACMCertificateArn":{},"SSLSupportMethod":{},"MinimumProtocolVersion":{},"Certificate":{"deprecated":true},"CertificateSource":{"deprecated":true}}},"S1n":{"type":"structure","required":["GeoRestriction"],"members":{"GeoRestriction":{"type":"structure","required":["RestrictionType","Quantity"],"members":{"RestrictionType":{},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Location"}}}}}},"S1t":{"type":"structure","required":["Id","ARN","Status","LastModifiedTime","InProgressInvalidationBatches","DomainName","ActiveTrustedSigners","DistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"InProgressInvalidationBatches":{"type":"integer"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S1v"},"DistributionConfig":{"shape":"S7"}}},"S1v":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Signer","type":"structure","members":{"AwsAccountNumber":{},"KeyPairIds":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"KeyPairId"}}}}}}}}},"S22":{"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Tag","type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}}}},"S29":{"type":"structure","required":["CallerReference"],"members":{"CallerReference":{},"Comment":{},"QueryArgProfileConfig":{"shape":"S2a"},"ContentTypeProfileConfig":{"shape":"S2e"}}},"S2a":{"type":"structure","required":["ForwardWhenQueryArgProfileIsUnknown"],"members":{"ForwardWhenQueryArgProfileIsUnknown":{"type":"boolean"},"QueryArgProfiles":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"QueryArgProfile","type":"structure","required":["QueryArg","ProfileId"],"members":{"QueryArg":{},"ProfileId":{}}}}}}}},"S2e":{"type":"structure","required":["ForwardWhenContentTypeIsUnknown"],"members":{"ForwardWhenContentTypeIsUnknown":{"type":"boolean"},"ContentTypeProfiles":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"ContentTypeProfile","type":"structure","required":["Format","ContentType"],"members":{"Format":{},"ProfileId":{},"ContentType":{}}}}}}}},"S2k":{"type":"structure","required":["Id","LastModifiedTime","FieldLevelEncryptionConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"FieldLevelEncryptionConfig":{"shape":"S29"}}},"S2m":{"type":"structure","required":["Name","CallerReference","EncryptionEntities"],"members":{"Name":{},"CallerReference":{},"Comment":{},"EncryptionEntities":{"shape":"S2n"}}},"S2n":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"EncryptionEntity","type":"structure","required":["PublicKeyId","ProviderId","FieldPatterns"],"members":{"PublicKeyId":{},"ProviderId":{},"FieldPatterns":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldPattern"}}}}}}}}},"S2t":{"type":"structure","required":["Id","LastModifiedTime","FieldLevelEncryptionProfileConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"FieldLevelEncryptionProfileConfig":{"shape":"S2m"}}},"S2v":{"type":"structure","required":["Paths","CallerReference"],"members":{"Paths":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Path"}}}},"CallerReference":{}}},"S2z":{"type":"structure","required":["Id","Status","CreateTime","InvalidationBatch"],"members":{"Id":{},"Status":{},"CreateTime":{"type":"timestamp"},"InvalidationBatch":{"shape":"S2v"}}},"S31":{"type":"structure","required":["CallerReference","Name","EncodedKey"],"members":{"CallerReference":{},"Name":{},"EncodedKey":{},"Comment":{}}},"S33":{"type":"structure","required":["Id","CreatedTime","PublicKeyConfig"],"members":{"Id":{},"CreatedTime":{"type":"timestamp"},"PublicKeyConfig":{"shape":"S31"}}},"S35":{"type":"structure","required":["CallerReference","S3Origin","Comment","TrustedSigners","Enabled"],"members":{"CallerReference":{},"S3Origin":{"shape":"S36"},"Aliases":{"shape":"S8"},"Comment":{},"Logging":{"type":"structure","required":["Enabled","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"TrustedSigners":{"shape":"Sy"},"PriceClass":{},"Enabled":{"type":"boolean"}}},"S36":{"type":"structure","required":["DomainName","OriginAccessIdentity"],"members":{"DomainName":{},"OriginAccessIdentity":{}}},"S39":{"type":"structure","required":["Id","ARN","Status","DomainName","ActiveTrustedSigners","StreamingDistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S1v"},"StreamingDistributionConfig":{"shape":"S35"}}},"S4g":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"DistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","Aliases","Origins","DefaultCacheBehavior","CacheBehaviors","CustomErrorResponses","Comment","PriceClass","Enabled","ViewerCertificate","Restrictions","WebACLId","HttpVersion","IsIPV6Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"Aliases":{"shape":"S8"},"Origins":{"shape":"Sb"},"DefaultCacheBehavior":{"shape":"Sn"},"CacheBehaviors":{"shape":"S1b"},"CustomErrorResponses":{"shape":"S1e"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S1j"},"Restrictions":{"shape":"S1n"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"}}}}}}}}');

/***/ }),

/***/ 52915:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCloudFrontOriginAccessIdentities":{"input_token":"Marker","limit_key":"MaxItems","more_results":"CloudFrontOriginAccessIdentityList.IsTruncated","output_token":"CloudFrontOriginAccessIdentityList.NextMarker","result_key":"CloudFrontOriginAccessIdentityList.Items"},"ListDistributions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"DistributionList.IsTruncated","output_token":"DistributionList.NextMarker","result_key":"DistributionList.Items"},"ListInvalidations":{"input_token":"Marker","limit_key":"MaxItems","more_results":"InvalidationList.IsTruncated","output_token":"InvalidationList.NextMarker","result_key":"InvalidationList.Items"},"ListStreamingDistributions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"StreamingDistributionList.IsTruncated","output_token":"StreamingDistributionList.NextMarker","result_key":"StreamingDistributionList.Items"}}}');

/***/ }),

/***/ 13399:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DistributionDeployed":{"delay":60,"operation":"GetDistribution","maxAttempts":25,"description":"Wait until a distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"Distribution.Status"}]},"InvalidationCompleted":{"delay":20,"operation":"GetInvalidation","maxAttempts":30,"description":"Wait until an invalidation has completed.","acceptors":[{"expected":"Completed","matcher":"path","state":"success","argument":"Invalidation.Status"}]},"StreamingDistributionDeployed":{"delay":60,"operation":"GetStreamingDistribution","maxAttempts":25,"description":"Wait until a streaming distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"StreamingDistribution.Status"}]}}}');

/***/ }),

/***/ 29549:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-06-18","endpointPrefix":"cloudfront","globalEndpoint":"cloudfront.amazonaws.com","protocol":"rest-xml","serviceAbbreviation":"CloudFront","serviceFullName":"Amazon CloudFront","serviceId":"CloudFront","signatureVersion":"v4","uid":"cloudfront-2018-06-18"},"operations":{"CreateCloudFrontOriginAccessIdentity":{"http":{"requestUri":"/2018-06-18/origin-access-identity/cloudfront","responseCode":201},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"CreateDistribution":{"http":{"requestUri":"/2018-06-18/distribution","responseCode":201},"input":{"type":"structure","required":["DistributionConfig"],"members":{"DistributionConfig":{"shape":"S7","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S1t"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateDistributionWithTags":{"http":{"requestUri":"/2018-06-18/distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["DistributionConfigWithTags"],"members":{"DistributionConfigWithTags":{"locationName":"DistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"},"type":"structure","required":["DistributionConfig","Tags"],"members":{"DistributionConfig":{"shape":"S7"},"Tags":{"shape":"S22"}}}},"payload":"DistributionConfigWithTags"},"output":{"type":"structure","members":{"Distribution":{"shape":"S1t"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateFieldLevelEncryptionConfig":{"http":{"requestUri":"/2018-06-18/field-level-encryption","responseCode":201},"input":{"type":"structure","required":["FieldLevelEncryptionConfig"],"members":{"FieldLevelEncryptionConfig":{"shape":"S29","locationName":"FieldLevelEncryptionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}}},"payload":"FieldLevelEncryptionConfig"},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S2k"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"CreateFieldLevelEncryptionProfile":{"http":{"requestUri":"/2018-06-18/field-level-encryption-profile","responseCode":201},"input":{"type":"structure","required":["FieldLevelEncryptionProfileConfig"],"members":{"FieldLevelEncryptionProfileConfig":{"shape":"S2m","locationName":"FieldLevelEncryptionProfileConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}}},"payload":"FieldLevelEncryptionProfileConfig"},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S2t"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"CreateInvalidation":{"http":{"requestUri":"/2018-06-18/distribution/{DistributionId}/invalidation","responseCode":201},"input":{"type":"structure","required":["DistributionId","InvalidationBatch"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"InvalidationBatch":{"shape":"S2v","locationName":"InvalidationBatch","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}}},"payload":"InvalidationBatch"},"output":{"type":"structure","members":{"Location":{"location":"header","locationName":"Location"},"Invalidation":{"shape":"S2z"}},"payload":"Invalidation"}},"CreatePublicKey":{"http":{"requestUri":"/2018-06-18/public-key","responseCode":201},"input":{"type":"structure","required":["PublicKeyConfig"],"members":{"PublicKeyConfig":{"shape":"S31","locationName":"PublicKeyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}}},"payload":"PublicKeyConfig"},"output":{"type":"structure","members":{"PublicKey":{"shape":"S33"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"CreateStreamingDistribution":{"http":{"requestUri":"/2018-06-18/streaming-distribution","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfig"],"members":{"StreamingDistributionConfig":{"shape":"S35","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S39"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"CreateStreamingDistributionWithTags":{"http":{"requestUri":"/2018-06-18/streaming-distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfigWithTags"],"members":{"StreamingDistributionConfigWithTags":{"locationName":"StreamingDistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"},"type":"structure","required":["StreamingDistributionConfig","Tags"],"members":{"StreamingDistributionConfig":{"shape":"S35"},"Tags":{"shape":"S22"}}}},"payload":"StreamingDistributionConfigWithTags"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S39"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"DeleteCloudFrontOriginAccessIdentity":{"http":{"method":"DELETE","requestUri":"/2018-06-18/origin-access-identity/cloudfront/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteDistribution":{"http":{"method":"DELETE","requestUri":"/2018-06-18/distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteFieldLevelEncryptionConfig":{"http":{"method":"DELETE","requestUri":"/2018-06-18/field-level-encryption/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteFieldLevelEncryptionProfile":{"http":{"method":"DELETE","requestUri":"/2018-06-18/field-level-encryption-profile/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeletePublicKey":{"http":{"method":"DELETE","requestUri":"/2018-06-18/public-key/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteStreamingDistribution":{"http":{"method":"DELETE","requestUri":"/2018-06-18/streaming-distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"GetCloudFrontOriginAccessIdentity":{"http":{"method":"GET","requestUri":"/2018-06-18/origin-access-identity/cloudfront/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"GetCloudFrontOriginAccessIdentityConfig":{"http":{"method":"GET","requestUri":"/2018-06-18/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentityConfig"}},"GetDistribution":{"http":{"method":"GET","requestUri":"/2018-06-18/distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Distribution":{"shape":"S1t"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"GetDistributionConfig":{"http":{"method":"GET","requestUri":"/2018-06-18/distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"DistributionConfig":{"shape":"S7"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"DistributionConfig"}},"GetFieldLevelEncryption":{"http":{"method":"GET","requestUri":"/2018-06-18/field-level-encryption/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S2k"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"GetFieldLevelEncryptionConfig":{"http":{"method":"GET","requestUri":"/2018-06-18/field-level-encryption/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionConfig":{"shape":"S29"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionConfig"}},"GetFieldLevelEncryptionProfile":{"http":{"method":"GET","requestUri":"/2018-06-18/field-level-encryption-profile/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S2t"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"GetFieldLevelEncryptionProfileConfig":{"http":{"method":"GET","requestUri":"/2018-06-18/field-level-encryption-profile/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfileConfig":{"shape":"S2m"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfileConfig"}},"GetInvalidation":{"http":{"method":"GET","requestUri":"/2018-06-18/distribution/{DistributionId}/invalidation/{Id}"},"input":{"type":"structure","required":["DistributionId","Id"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Invalidation":{"shape":"S2z"}},"payload":"Invalidation"}},"GetPublicKey":{"http":{"method":"GET","requestUri":"/2018-06-18/public-key/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"PublicKey":{"shape":"S33"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"GetPublicKeyConfig":{"http":{"method":"GET","requestUri":"/2018-06-18/public-key/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"PublicKeyConfig":{"shape":"S31"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKeyConfig"}},"GetStreamingDistribution":{"http":{"method":"GET","requestUri":"/2018-06-18/streaming-distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S39"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"GetStreamingDistributionConfig":{"http":{"method":"GET","requestUri":"/2018-06-18/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistributionConfig":{"shape":"S35"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistributionConfig"}},"ListCloudFrontOriginAccessIdentities":{"http":{"method":"GET","requestUri":"/2018-06-18/origin-access-identity/cloudfront"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CloudFrontOriginAccessIdentitySummary","type":"structure","required":["Id","S3CanonicalUserId","Comment"],"members":{"Id":{},"S3CanonicalUserId":{},"Comment":{}}}}}}},"payload":"CloudFrontOriginAccessIdentityList"}},"ListDistributions":{"http":{"method":"GET","requestUri":"/2018-06-18/distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S4g"}},"payload":"DistributionList"}},"ListDistributionsByWebACLId":{"http":{"method":"GET","requestUri":"/2018-06-18/distributionsByWebACLId/{WebACLId}"},"input":{"type":"structure","required":["WebACLId"],"members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"},"WebACLId":{"location":"uri","locationName":"WebACLId"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S4g"}},"payload":"DistributionList"}},"ListFieldLevelEncryptionConfigs":{"http":{"method":"GET","requestUri":"/2018-06-18/field-level-encryption"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldLevelEncryptionSummary","type":"structure","required":["Id","LastModifiedTime"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"Comment":{},"QueryArgProfileConfig":{"shape":"S2a"},"ContentTypeProfileConfig":{"shape":"S2e"}}}}}}},"payload":"FieldLevelEncryptionList"}},"ListFieldLevelEncryptionProfiles":{"http":{"method":"GET","requestUri":"/2018-06-18/field-level-encryption-profile"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfileList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldLevelEncryptionProfileSummary","type":"structure","required":["Id","LastModifiedTime","Name","EncryptionEntities"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"Name":{},"EncryptionEntities":{"shape":"S2n"},"Comment":{}}}}}}},"payload":"FieldLevelEncryptionProfileList"}},"ListInvalidations":{"http":{"method":"GET","requestUri":"/2018-06-18/distribution/{DistributionId}/invalidation"},"input":{"type":"structure","required":["DistributionId"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"InvalidationList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"InvalidationSummary","type":"structure","required":["Id","CreateTime","Status"],"members":{"Id":{},"CreateTime":{"type":"timestamp"},"Status":{}}}}}}},"payload":"InvalidationList"}},"ListPublicKeys":{"http":{"method":"GET","requestUri":"/2018-06-18/public-key"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"PublicKeyList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"PublicKeySummary","type":"structure","required":["Id","Name","CreatedTime","EncodedKey"],"members":{"Id":{},"Name":{},"CreatedTime":{"type":"timestamp"},"EncodedKey":{},"Comment":{}}}}}}},"payload":"PublicKeyList"}},"ListStreamingDistributions":{"http":{"method":"GET","requestUri":"/2018-06-18/streaming-distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"StreamingDistributionList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"StreamingDistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","S3Origin","Aliases","TrustedSigners","Comment","PriceClass","Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"S3Origin":{"shape":"S36"},"Aliases":{"shape":"S8"},"TrustedSigners":{"shape":"Sy"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"}}}}}}},"payload":"StreamingDistributionList"}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/2018-06-18/tagging"},"input":{"type":"structure","required":["Resource"],"members":{"Resource":{"location":"querystring","locationName":"Resource"}}},"output":{"type":"structure","required":["Tags"],"members":{"Tags":{"shape":"S22"}},"payload":"Tags"}},"TagResource":{"http":{"requestUri":"/2018-06-18/tagging?Operation=Tag","responseCode":204},"input":{"type":"structure","required":["Resource","Tags"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"Tags":{"shape":"S22","locationName":"Tags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}}},"payload":"Tags"}},"UntagResource":{"http":{"requestUri":"/2018-06-18/tagging?Operation=Untag","responseCode":204},"input":{"type":"structure","required":["Resource","TagKeys"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"TagKeys":{"locationName":"TagKeys","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"},"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Key"}}}}},"payload":"TagKeys"}},"UpdateCloudFrontOriginAccessIdentity":{"http":{"method":"PUT","requestUri":"/2018-06-18/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig","Id"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"UpdateDistribution":{"http":{"method":"PUT","requestUri":"/2018-06-18/distribution/{Id}/config"},"input":{"type":"structure","required":["DistributionConfig","Id"],"members":{"DistributionConfig":{"shape":"S7","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S1t"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"UpdateFieldLevelEncryptionConfig":{"http":{"method":"PUT","requestUri":"/2018-06-18/field-level-encryption/{Id}/config"},"input":{"type":"structure","required":["FieldLevelEncryptionConfig","Id"],"members":{"FieldLevelEncryptionConfig":{"shape":"S29","locationName":"FieldLevelEncryptionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"FieldLevelEncryptionConfig"},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S2k"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"UpdateFieldLevelEncryptionProfile":{"http":{"method":"PUT","requestUri":"/2018-06-18/field-level-encryption-profile/{Id}/config"},"input":{"type":"structure","required":["FieldLevelEncryptionProfileConfig","Id"],"members":{"FieldLevelEncryptionProfileConfig":{"shape":"S2m","locationName":"FieldLevelEncryptionProfileConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"FieldLevelEncryptionProfileConfig"},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S2t"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"UpdatePublicKey":{"http":{"method":"PUT","requestUri":"/2018-06-18/public-key/{Id}/config"},"input":{"type":"structure","required":["PublicKeyConfig","Id"],"members":{"PublicKeyConfig":{"shape":"S31","locationName":"PublicKeyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"PublicKeyConfig"},"output":{"type":"structure","members":{"PublicKey":{"shape":"S33"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"UpdateStreamingDistribution":{"http":{"method":"PUT","requestUri":"/2018-06-18/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["StreamingDistributionConfig","Id"],"members":{"StreamingDistributionConfig":{"shape":"S35","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-06-18/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S39"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}}},"shapes":{"S2":{"type":"structure","required":["CallerReference","Comment"],"members":{"CallerReference":{},"Comment":{}}},"S5":{"type":"structure","required":["Id","S3CanonicalUserId"],"members":{"Id":{},"S3CanonicalUserId":{},"CloudFrontOriginAccessIdentityConfig":{"shape":"S2"}}},"S7":{"type":"structure","required":["CallerReference","Origins","DefaultCacheBehavior","Comment","Enabled"],"members":{"CallerReference":{},"Aliases":{"shape":"S8"},"DefaultRootObject":{},"Origins":{"shape":"Sb"},"DefaultCacheBehavior":{"shape":"Sn"},"CacheBehaviors":{"shape":"S1b"},"CustomErrorResponses":{"shape":"S1e"},"Comment":{},"Logging":{"type":"structure","required":["Enabled","IncludeCookies","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"IncludeCookies":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S1j"},"Restrictions":{"shape":"S1n"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"}}},"S8":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CNAME"}}}},"Sb":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Origin","type":"structure","required":["Id","DomainName"],"members":{"Id":{},"DomainName":{},"OriginPath":{},"CustomHeaders":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginCustomHeader","type":"structure","required":["HeaderName","HeaderValue"],"members":{"HeaderName":{},"HeaderValue":{}}}}}},"S3OriginConfig":{"type":"structure","required":["OriginAccessIdentity"],"members":{"OriginAccessIdentity":{}}},"CustomOriginConfig":{"type":"structure","required":["HTTPPort","HTTPSPort","OriginProtocolPolicy"],"members":{"HTTPPort":{"type":"integer"},"HTTPSPort":{"type":"integer"},"OriginProtocolPolicy":{},"OriginSslProtocols":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"SslProtocol"}}}},"OriginReadTimeout":{"type":"integer"},"OriginKeepaliveTimeout":{"type":"integer"}}}}}}}},"Sn":{"type":"structure","required":["TargetOriginId","ForwardedValues","TrustedSigners","ViewerProtocolPolicy","MinTTL"],"members":{"TargetOriginId":{},"ForwardedValues":{"shape":"So"},"TrustedSigners":{"shape":"Sy"},"ViewerProtocolPolicy":{},"MinTTL":{"type":"long"},"AllowedMethods":{"shape":"S12"},"SmoothStreaming":{"type":"boolean"},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S16"},"FieldLevelEncryptionId":{}}},"So":{"type":"structure","required":["QueryString","Cookies"],"members":{"QueryString":{"type":"boolean"},"Cookies":{"type":"structure","required":["Forward"],"members":{"Forward":{},"WhitelistedNames":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"Headers":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}},"QueryStringCacheKeys":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"Sy":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"AwsAccountNumber"}}}},"S12":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S13"},"CachedMethods":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S13"}}}}},"S13":{"type":"list","member":{"locationName":"Method"}},"S16":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"LambdaFunctionAssociation","type":"structure","required":["LambdaFunctionARN","EventType"],"members":{"LambdaFunctionARN":{},"EventType":{},"IncludeBody":{"type":"boolean"}}}}}},"S1b":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CacheBehavior","type":"structure","required":["PathPattern","TargetOriginId","ForwardedValues","TrustedSigners","ViewerProtocolPolicy","MinTTL"],"members":{"PathPattern":{},"TargetOriginId":{},"ForwardedValues":{"shape":"So"},"TrustedSigners":{"shape":"Sy"},"ViewerProtocolPolicy":{},"MinTTL":{"type":"long"},"AllowedMethods":{"shape":"S12"},"SmoothStreaming":{"type":"boolean"},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S16"},"FieldLevelEncryptionId":{}}}}}},"S1e":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CustomErrorResponse","type":"structure","required":["ErrorCode"],"members":{"ErrorCode":{"type":"integer"},"ResponsePagePath":{},"ResponseCode":{},"ErrorCachingMinTTL":{"type":"long"}}}}}},"S1j":{"type":"structure","members":{"CloudFrontDefaultCertificate":{"type":"boolean"},"IAMCertificateId":{},"ACMCertificateArn":{},"SSLSupportMethod":{},"MinimumProtocolVersion":{},"Certificate":{"deprecated":true},"CertificateSource":{"deprecated":true}}},"S1n":{"type":"structure","required":["GeoRestriction"],"members":{"GeoRestriction":{"type":"structure","required":["RestrictionType","Quantity"],"members":{"RestrictionType":{},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Location"}}}}}},"S1t":{"type":"structure","required":["Id","ARN","Status","LastModifiedTime","InProgressInvalidationBatches","DomainName","ActiveTrustedSigners","DistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"InProgressInvalidationBatches":{"type":"integer"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S1v"},"DistributionConfig":{"shape":"S7"}}},"S1v":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Signer","type":"structure","members":{"AwsAccountNumber":{},"KeyPairIds":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"KeyPairId"}}}}}}}}},"S22":{"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Tag","type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}}}},"S29":{"type":"structure","required":["CallerReference"],"members":{"CallerReference":{},"Comment":{},"QueryArgProfileConfig":{"shape":"S2a"},"ContentTypeProfileConfig":{"shape":"S2e"}}},"S2a":{"type":"structure","required":["ForwardWhenQueryArgProfileIsUnknown"],"members":{"ForwardWhenQueryArgProfileIsUnknown":{"type":"boolean"},"QueryArgProfiles":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"QueryArgProfile","type":"structure","required":["QueryArg","ProfileId"],"members":{"QueryArg":{},"ProfileId":{}}}}}}}},"S2e":{"type":"structure","required":["ForwardWhenContentTypeIsUnknown"],"members":{"ForwardWhenContentTypeIsUnknown":{"type":"boolean"},"ContentTypeProfiles":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"ContentTypeProfile","type":"structure","required":["Format","ContentType"],"members":{"Format":{},"ProfileId":{},"ContentType":{}}}}}}}},"S2k":{"type":"structure","required":["Id","LastModifiedTime","FieldLevelEncryptionConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"FieldLevelEncryptionConfig":{"shape":"S29"}}},"S2m":{"type":"structure","required":["Name","CallerReference","EncryptionEntities"],"members":{"Name":{},"CallerReference":{},"Comment":{},"EncryptionEntities":{"shape":"S2n"}}},"S2n":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"EncryptionEntity","type":"structure","required":["PublicKeyId","ProviderId","FieldPatterns"],"members":{"PublicKeyId":{},"ProviderId":{},"FieldPatterns":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldPattern"}}}}}}}}},"S2t":{"type":"structure","required":["Id","LastModifiedTime","FieldLevelEncryptionProfileConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"FieldLevelEncryptionProfileConfig":{"shape":"S2m"}}},"S2v":{"type":"structure","required":["Paths","CallerReference"],"members":{"Paths":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Path"}}}},"CallerReference":{}}},"S2z":{"type":"structure","required":["Id","Status","CreateTime","InvalidationBatch"],"members":{"Id":{},"Status":{},"CreateTime":{"type":"timestamp"},"InvalidationBatch":{"shape":"S2v"}}},"S31":{"type":"structure","required":["CallerReference","Name","EncodedKey"],"members":{"CallerReference":{},"Name":{},"EncodedKey":{},"Comment":{}}},"S33":{"type":"structure","required":["Id","CreatedTime","PublicKeyConfig"],"members":{"Id":{},"CreatedTime":{"type":"timestamp"},"PublicKeyConfig":{"shape":"S31"}}},"S35":{"type":"structure","required":["CallerReference","S3Origin","Comment","TrustedSigners","Enabled"],"members":{"CallerReference":{},"S3Origin":{"shape":"S36"},"Aliases":{"shape":"S8"},"Comment":{},"Logging":{"type":"structure","required":["Enabled","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"TrustedSigners":{"shape":"Sy"},"PriceClass":{},"Enabled":{"type":"boolean"}}},"S36":{"type":"structure","required":["DomainName","OriginAccessIdentity"],"members":{"DomainName":{},"OriginAccessIdentity":{}}},"S39":{"type":"structure","required":["Id","ARN","Status","DomainName","ActiveTrustedSigners","StreamingDistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S1v"},"StreamingDistributionConfig":{"shape":"S35"}}},"S4g":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"DistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","Aliases","Origins","DefaultCacheBehavior","CacheBehaviors","CustomErrorResponses","Comment","PriceClass","Enabled","ViewerCertificate","Restrictions","WebACLId","HttpVersion","IsIPV6Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"Aliases":{"shape":"S8"},"Origins":{"shape":"Sb"},"DefaultCacheBehavior":{"shape":"Sn"},"CacheBehaviors":{"shape":"S1b"},"CustomErrorResponses":{"shape":"S1e"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S1j"},"Restrictions":{"shape":"S1n"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"}}}}}}}}');

/***/ }),

/***/ 7805:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCloudFrontOriginAccessIdentities":{"input_token":"Marker","limit_key":"MaxItems","more_results":"CloudFrontOriginAccessIdentityList.IsTruncated","output_token":"CloudFrontOriginAccessIdentityList.NextMarker","result_key":"CloudFrontOriginAccessIdentityList.Items"},"ListDistributions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"DistributionList.IsTruncated","output_token":"DistributionList.NextMarker","result_key":"DistributionList.Items"},"ListInvalidations":{"input_token":"Marker","limit_key":"MaxItems","more_results":"InvalidationList.IsTruncated","output_token":"InvalidationList.NextMarker","result_key":"InvalidationList.Items"},"ListStreamingDistributions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"StreamingDistributionList.IsTruncated","output_token":"StreamingDistributionList.NextMarker","result_key":"StreamingDistributionList.Items"}}}');

/***/ }),

/***/ 2353:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DistributionDeployed":{"delay":60,"operation":"GetDistribution","maxAttempts":25,"description":"Wait until a distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"Distribution.Status"}]},"InvalidationCompleted":{"delay":20,"operation":"GetInvalidation","maxAttempts":30,"description":"Wait until an invalidation has completed.","acceptors":[{"expected":"Completed","matcher":"path","state":"success","argument":"Invalidation.Status"}]},"StreamingDistributionDeployed":{"delay":60,"operation":"GetStreamingDistribution","maxAttempts":25,"description":"Wait until a streaming distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"StreamingDistribution.Status"}]}}}');

/***/ }),

/***/ 22253:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-11-05","endpointPrefix":"cloudfront","globalEndpoint":"cloudfront.amazonaws.com","protocol":"rest-xml","serviceAbbreviation":"CloudFront","serviceFullName":"Amazon CloudFront","serviceId":"CloudFront","signatureVersion":"v4","uid":"cloudfront-2018-11-05"},"operations":{"CreateCloudFrontOriginAccessIdentity":{"http":{"requestUri":"/2018-11-05/origin-access-identity/cloudfront","responseCode":201},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"CreateDistribution":{"http":{"requestUri":"/2018-11-05/distribution","responseCode":201},"input":{"type":"structure","required":["DistributionConfig"],"members":{"DistributionConfig":{"shape":"S7","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S22"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateDistributionWithTags":{"http":{"requestUri":"/2018-11-05/distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["DistributionConfigWithTags"],"members":{"DistributionConfigWithTags":{"locationName":"DistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"},"type":"structure","required":["DistributionConfig","Tags"],"members":{"DistributionConfig":{"shape":"S7"},"Tags":{"shape":"S2b"}}}},"payload":"DistributionConfigWithTags"},"output":{"type":"structure","members":{"Distribution":{"shape":"S22"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateFieldLevelEncryptionConfig":{"http":{"requestUri":"/2018-11-05/field-level-encryption","responseCode":201},"input":{"type":"structure","required":["FieldLevelEncryptionConfig"],"members":{"FieldLevelEncryptionConfig":{"shape":"S2i","locationName":"FieldLevelEncryptionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}}},"payload":"FieldLevelEncryptionConfig"},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S2t"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"CreateFieldLevelEncryptionProfile":{"http":{"requestUri":"/2018-11-05/field-level-encryption-profile","responseCode":201},"input":{"type":"structure","required":["FieldLevelEncryptionProfileConfig"],"members":{"FieldLevelEncryptionProfileConfig":{"shape":"S2v","locationName":"FieldLevelEncryptionProfileConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}}},"payload":"FieldLevelEncryptionProfileConfig"},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S32"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"CreateInvalidation":{"http":{"requestUri":"/2018-11-05/distribution/{DistributionId}/invalidation","responseCode":201},"input":{"type":"structure","required":["DistributionId","InvalidationBatch"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"InvalidationBatch":{"shape":"S34","locationName":"InvalidationBatch","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}}},"payload":"InvalidationBatch"},"output":{"type":"structure","members":{"Location":{"location":"header","locationName":"Location"},"Invalidation":{"shape":"S38"}},"payload":"Invalidation"}},"CreatePublicKey":{"http":{"requestUri":"/2018-11-05/public-key","responseCode":201},"input":{"type":"structure","required":["PublicKeyConfig"],"members":{"PublicKeyConfig":{"shape":"S3a","locationName":"PublicKeyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}}},"payload":"PublicKeyConfig"},"output":{"type":"structure","members":{"PublicKey":{"shape":"S3c"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"CreateStreamingDistribution":{"http":{"requestUri":"/2018-11-05/streaming-distribution","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfig"],"members":{"StreamingDistributionConfig":{"shape":"S3e","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S3i"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"CreateStreamingDistributionWithTags":{"http":{"requestUri":"/2018-11-05/streaming-distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfigWithTags"],"members":{"StreamingDistributionConfigWithTags":{"locationName":"StreamingDistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"},"type":"structure","required":["StreamingDistributionConfig","Tags"],"members":{"StreamingDistributionConfig":{"shape":"S3e"},"Tags":{"shape":"S2b"}}}},"payload":"StreamingDistributionConfigWithTags"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S3i"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"DeleteCloudFrontOriginAccessIdentity":{"http":{"method":"DELETE","requestUri":"/2018-11-05/origin-access-identity/cloudfront/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteDistribution":{"http":{"method":"DELETE","requestUri":"/2018-11-05/distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteFieldLevelEncryptionConfig":{"http":{"method":"DELETE","requestUri":"/2018-11-05/field-level-encryption/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteFieldLevelEncryptionProfile":{"http":{"method":"DELETE","requestUri":"/2018-11-05/field-level-encryption-profile/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeletePublicKey":{"http":{"method":"DELETE","requestUri":"/2018-11-05/public-key/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteStreamingDistribution":{"http":{"method":"DELETE","requestUri":"/2018-11-05/streaming-distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"GetCloudFrontOriginAccessIdentity":{"http":{"method":"GET","requestUri":"/2018-11-05/origin-access-identity/cloudfront/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"GetCloudFrontOriginAccessIdentityConfig":{"http":{"method":"GET","requestUri":"/2018-11-05/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentityConfig"}},"GetDistribution":{"http":{"method":"GET","requestUri":"/2018-11-05/distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Distribution":{"shape":"S22"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"GetDistributionConfig":{"http":{"method":"GET","requestUri":"/2018-11-05/distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"DistributionConfig":{"shape":"S7"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"DistributionConfig"}},"GetFieldLevelEncryption":{"http":{"method":"GET","requestUri":"/2018-11-05/field-level-encryption/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S2t"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"GetFieldLevelEncryptionConfig":{"http":{"method":"GET","requestUri":"/2018-11-05/field-level-encryption/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionConfig":{"shape":"S2i"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionConfig"}},"GetFieldLevelEncryptionProfile":{"http":{"method":"GET","requestUri":"/2018-11-05/field-level-encryption-profile/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S32"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"GetFieldLevelEncryptionProfileConfig":{"http":{"method":"GET","requestUri":"/2018-11-05/field-level-encryption-profile/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfileConfig":{"shape":"S2v"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfileConfig"}},"GetInvalidation":{"http":{"method":"GET","requestUri":"/2018-11-05/distribution/{DistributionId}/invalidation/{Id}"},"input":{"type":"structure","required":["DistributionId","Id"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Invalidation":{"shape":"S38"}},"payload":"Invalidation"}},"GetPublicKey":{"http":{"method":"GET","requestUri":"/2018-11-05/public-key/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"PublicKey":{"shape":"S3c"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"GetPublicKeyConfig":{"http":{"method":"GET","requestUri":"/2018-11-05/public-key/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"PublicKeyConfig":{"shape":"S3a"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKeyConfig"}},"GetStreamingDistribution":{"http":{"method":"GET","requestUri":"/2018-11-05/streaming-distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S3i"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"GetStreamingDistributionConfig":{"http":{"method":"GET","requestUri":"/2018-11-05/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistributionConfig":{"shape":"S3e"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistributionConfig"}},"ListCloudFrontOriginAccessIdentities":{"http":{"method":"GET","requestUri":"/2018-11-05/origin-access-identity/cloudfront"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CloudFrontOriginAccessIdentitySummary","type":"structure","required":["Id","S3CanonicalUserId","Comment"],"members":{"Id":{},"S3CanonicalUserId":{},"Comment":{}}}}}}},"payload":"CloudFrontOriginAccessIdentityList"}},"ListDistributions":{"http":{"method":"GET","requestUri":"/2018-11-05/distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S4p"}},"payload":"DistributionList"}},"ListDistributionsByWebACLId":{"http":{"method":"GET","requestUri":"/2018-11-05/distributionsByWebACLId/{WebACLId}"},"input":{"type":"structure","required":["WebACLId"],"members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"},"WebACLId":{"location":"uri","locationName":"WebACLId"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S4p"}},"payload":"DistributionList"}},"ListFieldLevelEncryptionConfigs":{"http":{"method":"GET","requestUri":"/2018-11-05/field-level-encryption"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldLevelEncryptionSummary","type":"structure","required":["Id","LastModifiedTime"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"Comment":{},"QueryArgProfileConfig":{"shape":"S2j"},"ContentTypeProfileConfig":{"shape":"S2n"}}}}}}},"payload":"FieldLevelEncryptionList"}},"ListFieldLevelEncryptionProfiles":{"http":{"method":"GET","requestUri":"/2018-11-05/field-level-encryption-profile"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfileList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldLevelEncryptionProfileSummary","type":"structure","required":["Id","LastModifiedTime","Name","EncryptionEntities"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"Name":{},"EncryptionEntities":{"shape":"S2w"},"Comment":{}}}}}}},"payload":"FieldLevelEncryptionProfileList"}},"ListInvalidations":{"http":{"method":"GET","requestUri":"/2018-11-05/distribution/{DistributionId}/invalidation"},"input":{"type":"structure","required":["DistributionId"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"InvalidationList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"InvalidationSummary","type":"structure","required":["Id","CreateTime","Status"],"members":{"Id":{},"CreateTime":{"type":"timestamp"},"Status":{}}}}}}},"payload":"InvalidationList"}},"ListPublicKeys":{"http":{"method":"GET","requestUri":"/2018-11-05/public-key"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"PublicKeyList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"PublicKeySummary","type":"structure","required":["Id","Name","CreatedTime","EncodedKey"],"members":{"Id":{},"Name":{},"CreatedTime":{"type":"timestamp"},"EncodedKey":{},"Comment":{}}}}}}},"payload":"PublicKeyList"}},"ListStreamingDistributions":{"http":{"method":"GET","requestUri":"/2018-11-05/streaming-distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"StreamingDistributionList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"StreamingDistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","S3Origin","Aliases","TrustedSigners","Comment","PriceClass","Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"S3Origin":{"shape":"S3f"},"Aliases":{"shape":"S8"},"TrustedSigners":{"shape":"S17"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"}}}}}}},"payload":"StreamingDistributionList"}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/2018-11-05/tagging"},"input":{"type":"structure","required":["Resource"],"members":{"Resource":{"location":"querystring","locationName":"Resource"}}},"output":{"type":"structure","required":["Tags"],"members":{"Tags":{"shape":"S2b"}},"payload":"Tags"}},"TagResource":{"http":{"requestUri":"/2018-11-05/tagging?Operation=Tag","responseCode":204},"input":{"type":"structure","required":["Resource","Tags"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"Tags":{"shape":"S2b","locationName":"Tags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}}},"payload":"Tags"}},"UntagResource":{"http":{"requestUri":"/2018-11-05/tagging?Operation=Untag","responseCode":204},"input":{"type":"structure","required":["Resource","TagKeys"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"TagKeys":{"locationName":"TagKeys","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"},"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Key"}}}}},"payload":"TagKeys"}},"UpdateCloudFrontOriginAccessIdentity":{"http":{"method":"PUT","requestUri":"/2018-11-05/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig","Id"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"UpdateDistribution":{"http":{"method":"PUT","requestUri":"/2018-11-05/distribution/{Id}/config"},"input":{"type":"structure","required":["DistributionConfig","Id"],"members":{"DistributionConfig":{"shape":"S7","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S22"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"UpdateFieldLevelEncryptionConfig":{"http":{"method":"PUT","requestUri":"/2018-11-05/field-level-encryption/{Id}/config"},"input":{"type":"structure","required":["FieldLevelEncryptionConfig","Id"],"members":{"FieldLevelEncryptionConfig":{"shape":"S2i","locationName":"FieldLevelEncryptionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"FieldLevelEncryptionConfig"},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S2t"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"UpdateFieldLevelEncryptionProfile":{"http":{"method":"PUT","requestUri":"/2018-11-05/field-level-encryption-profile/{Id}/config"},"input":{"type":"structure","required":["FieldLevelEncryptionProfileConfig","Id"],"members":{"FieldLevelEncryptionProfileConfig":{"shape":"S2v","locationName":"FieldLevelEncryptionProfileConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"FieldLevelEncryptionProfileConfig"},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S32"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"UpdatePublicKey":{"http":{"method":"PUT","requestUri":"/2018-11-05/public-key/{Id}/config"},"input":{"type":"structure","required":["PublicKeyConfig","Id"],"members":{"PublicKeyConfig":{"shape":"S3a","locationName":"PublicKeyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"PublicKeyConfig"},"output":{"type":"structure","members":{"PublicKey":{"shape":"S3c"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"UpdateStreamingDistribution":{"http":{"method":"PUT","requestUri":"/2018-11-05/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["StreamingDistributionConfig","Id"],"members":{"StreamingDistributionConfig":{"shape":"S3e","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2018-11-05/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S3i"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}}},"shapes":{"S2":{"type":"structure","required":["CallerReference","Comment"],"members":{"CallerReference":{},"Comment":{}}},"S5":{"type":"structure","required":["Id","S3CanonicalUserId"],"members":{"Id":{},"S3CanonicalUserId":{},"CloudFrontOriginAccessIdentityConfig":{"shape":"S2"}}},"S7":{"type":"structure","required":["CallerReference","Origins","DefaultCacheBehavior","Comment","Enabled"],"members":{"CallerReference":{},"Aliases":{"shape":"S8"},"DefaultRootObject":{},"Origins":{"shape":"Sb"},"OriginGroups":{"shape":"Sn"},"DefaultCacheBehavior":{"shape":"Sw"},"CacheBehaviors":{"shape":"S1k"},"CustomErrorResponses":{"shape":"S1n"},"Comment":{},"Logging":{"type":"structure","required":["Enabled","IncludeCookies","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"IncludeCookies":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S1s"},"Restrictions":{"shape":"S1w"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"}}},"S8":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CNAME"}}}},"Sb":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Origin","type":"structure","required":["Id","DomainName"],"members":{"Id":{},"DomainName":{},"OriginPath":{},"CustomHeaders":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginCustomHeader","type":"structure","required":["HeaderName","HeaderValue"],"members":{"HeaderName":{},"HeaderValue":{}}}}}},"S3OriginConfig":{"type":"structure","required":["OriginAccessIdentity"],"members":{"OriginAccessIdentity":{}}},"CustomOriginConfig":{"type":"structure","required":["HTTPPort","HTTPSPort","OriginProtocolPolicy"],"members":{"HTTPPort":{"type":"integer"},"HTTPSPort":{"type":"integer"},"OriginProtocolPolicy":{},"OriginSslProtocols":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"SslProtocol"}}}},"OriginReadTimeout":{"type":"integer"},"OriginKeepaliveTimeout":{"type":"integer"}}}}}}}},"Sn":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginGroup","type":"structure","required":["Id","FailoverCriteria","Members"],"members":{"Id":{},"FailoverCriteria":{"type":"structure","required":["StatusCodes"],"members":{"StatusCodes":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"StatusCode","type":"integer"}}}}}},"Members":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginGroupMember","type":"structure","required":["OriginId"],"members":{"OriginId":{}}}}}}}}}}},"Sw":{"type":"structure","required":["TargetOriginId","ForwardedValues","TrustedSigners","ViewerProtocolPolicy","MinTTL"],"members":{"TargetOriginId":{},"ForwardedValues":{"shape":"Sx"},"TrustedSigners":{"shape":"S17"},"ViewerProtocolPolicy":{},"MinTTL":{"type":"long"},"AllowedMethods":{"shape":"S1b"},"SmoothStreaming":{"type":"boolean"},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S1f"},"FieldLevelEncryptionId":{}}},"Sx":{"type":"structure","required":["QueryString","Cookies"],"members":{"QueryString":{"type":"boolean"},"Cookies":{"type":"structure","required":["Forward"],"members":{"Forward":{},"WhitelistedNames":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"Headers":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}},"QueryStringCacheKeys":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"S17":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"AwsAccountNumber"}}}},"S1b":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S1c"},"CachedMethods":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S1c"}}}}},"S1c":{"type":"list","member":{"locationName":"Method"}},"S1f":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"LambdaFunctionAssociation","type":"structure","required":["LambdaFunctionARN","EventType"],"members":{"LambdaFunctionARN":{},"EventType":{},"IncludeBody":{"type":"boolean"}}}}}},"S1k":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CacheBehavior","type":"structure","required":["PathPattern","TargetOriginId","ForwardedValues","TrustedSigners","ViewerProtocolPolicy","MinTTL"],"members":{"PathPattern":{},"TargetOriginId":{},"ForwardedValues":{"shape":"Sx"},"TrustedSigners":{"shape":"S17"},"ViewerProtocolPolicy":{},"MinTTL":{"type":"long"},"AllowedMethods":{"shape":"S1b"},"SmoothStreaming":{"type":"boolean"},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S1f"},"FieldLevelEncryptionId":{}}}}}},"S1n":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CustomErrorResponse","type":"structure","required":["ErrorCode"],"members":{"ErrorCode":{"type":"integer"},"ResponsePagePath":{},"ResponseCode":{},"ErrorCachingMinTTL":{"type":"long"}}}}}},"S1s":{"type":"structure","members":{"CloudFrontDefaultCertificate":{"type":"boolean"},"IAMCertificateId":{},"ACMCertificateArn":{},"SSLSupportMethod":{},"MinimumProtocolVersion":{},"Certificate":{"deprecated":true},"CertificateSource":{"deprecated":true}}},"S1w":{"type":"structure","required":["GeoRestriction"],"members":{"GeoRestriction":{"type":"structure","required":["RestrictionType","Quantity"],"members":{"RestrictionType":{},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Location"}}}}}},"S22":{"type":"structure","required":["Id","ARN","Status","LastModifiedTime","InProgressInvalidationBatches","DomainName","ActiveTrustedSigners","DistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"InProgressInvalidationBatches":{"type":"integer"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S24"},"DistributionConfig":{"shape":"S7"}}},"S24":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Signer","type":"structure","members":{"AwsAccountNumber":{},"KeyPairIds":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"KeyPairId"}}}}}}}}},"S2b":{"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Tag","type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}}}},"S2i":{"type":"structure","required":["CallerReference"],"members":{"CallerReference":{},"Comment":{},"QueryArgProfileConfig":{"shape":"S2j"},"ContentTypeProfileConfig":{"shape":"S2n"}}},"S2j":{"type":"structure","required":["ForwardWhenQueryArgProfileIsUnknown"],"members":{"ForwardWhenQueryArgProfileIsUnknown":{"type":"boolean"},"QueryArgProfiles":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"QueryArgProfile","type":"structure","required":["QueryArg","ProfileId"],"members":{"QueryArg":{},"ProfileId":{}}}}}}}},"S2n":{"type":"structure","required":["ForwardWhenContentTypeIsUnknown"],"members":{"ForwardWhenContentTypeIsUnknown":{"type":"boolean"},"ContentTypeProfiles":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"ContentTypeProfile","type":"structure","required":["Format","ContentType"],"members":{"Format":{},"ProfileId":{},"ContentType":{}}}}}}}},"S2t":{"type":"structure","required":["Id","LastModifiedTime","FieldLevelEncryptionConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"FieldLevelEncryptionConfig":{"shape":"S2i"}}},"S2v":{"type":"structure","required":["Name","CallerReference","EncryptionEntities"],"members":{"Name":{},"CallerReference":{},"Comment":{},"EncryptionEntities":{"shape":"S2w"}}},"S2w":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"EncryptionEntity","type":"structure","required":["PublicKeyId","ProviderId","FieldPatterns"],"members":{"PublicKeyId":{},"ProviderId":{},"FieldPatterns":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldPattern"}}}}}}}}},"S32":{"type":"structure","required":["Id","LastModifiedTime","FieldLevelEncryptionProfileConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"FieldLevelEncryptionProfileConfig":{"shape":"S2v"}}},"S34":{"type":"structure","required":["Paths","CallerReference"],"members":{"Paths":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Path"}}}},"CallerReference":{}}},"S38":{"type":"structure","required":["Id","Status","CreateTime","InvalidationBatch"],"members":{"Id":{},"Status":{},"CreateTime":{"type":"timestamp"},"InvalidationBatch":{"shape":"S34"}}},"S3a":{"type":"structure","required":["CallerReference","Name","EncodedKey"],"members":{"CallerReference":{},"Name":{},"EncodedKey":{},"Comment":{}}},"S3c":{"type":"structure","required":["Id","CreatedTime","PublicKeyConfig"],"members":{"Id":{},"CreatedTime":{"type":"timestamp"},"PublicKeyConfig":{"shape":"S3a"}}},"S3e":{"type":"structure","required":["CallerReference","S3Origin","Comment","TrustedSigners","Enabled"],"members":{"CallerReference":{},"S3Origin":{"shape":"S3f"},"Aliases":{"shape":"S8"},"Comment":{},"Logging":{"type":"structure","required":["Enabled","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"TrustedSigners":{"shape":"S17"},"PriceClass":{},"Enabled":{"type":"boolean"}}},"S3f":{"type":"structure","required":["DomainName","OriginAccessIdentity"],"members":{"DomainName":{},"OriginAccessIdentity":{}}},"S3i":{"type":"structure","required":["Id","ARN","Status","DomainName","ActiveTrustedSigners","StreamingDistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S24"},"StreamingDistributionConfig":{"shape":"S3e"}}},"S4p":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"DistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","Aliases","Origins","DefaultCacheBehavior","CacheBehaviors","CustomErrorResponses","Comment","PriceClass","Enabled","ViewerCertificate","Restrictions","WebACLId","HttpVersion","IsIPV6Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"Aliases":{"shape":"S8"},"Origins":{"shape":"Sb"},"OriginGroups":{"shape":"Sn"},"DefaultCacheBehavior":{"shape":"Sw"},"CacheBehaviors":{"shape":"S1k"},"CustomErrorResponses":{"shape":"S1n"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S1s"},"Restrictions":{"shape":"S1w"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"}}}}}}}}');

/***/ }),

/***/ 29533:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCloudFrontOriginAccessIdentities":{"input_token":"Marker","limit_key":"MaxItems","more_results":"CloudFrontOriginAccessIdentityList.IsTruncated","output_token":"CloudFrontOriginAccessIdentityList.NextMarker","result_key":"CloudFrontOriginAccessIdentityList.Items"},"ListDistributions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"DistributionList.IsTruncated","output_token":"DistributionList.NextMarker","result_key":"DistributionList.Items"},"ListInvalidations":{"input_token":"Marker","limit_key":"MaxItems","more_results":"InvalidationList.IsTruncated","output_token":"InvalidationList.NextMarker","result_key":"InvalidationList.Items"},"ListStreamingDistributions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"StreamingDistributionList.IsTruncated","output_token":"StreamingDistributionList.NextMarker","result_key":"StreamingDistributionList.Items"}}}');

/***/ }),

/***/ 36883:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DistributionDeployed":{"delay":60,"operation":"GetDistribution","maxAttempts":25,"description":"Wait until a distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"Distribution.Status"}]},"InvalidationCompleted":{"delay":20,"operation":"GetInvalidation","maxAttempts":30,"description":"Wait until an invalidation has completed.","acceptors":[{"expected":"Completed","matcher":"path","state":"success","argument":"Invalidation.Status"}]},"StreamingDistributionDeployed":{"delay":60,"operation":"GetStreamingDistribution","maxAttempts":25,"description":"Wait until a streaming distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"StreamingDistribution.Status"}]}}}');

/***/ }),

/***/ 29574:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-03-26","endpointPrefix":"cloudfront","globalEndpoint":"cloudfront.amazonaws.com","protocol":"rest-xml","serviceAbbreviation":"CloudFront","serviceFullName":"Amazon CloudFront","serviceId":"CloudFront","signatureVersion":"v4","uid":"cloudfront-2019-03-26"},"operations":{"CreateCloudFrontOriginAccessIdentity":{"http":{"requestUri":"/2019-03-26/origin-access-identity/cloudfront","responseCode":201},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"CreateDistribution":{"http":{"requestUri":"/2019-03-26/distribution","responseCode":201},"input":{"type":"structure","required":["DistributionConfig"],"members":{"DistributionConfig":{"shape":"S7","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S23"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateDistributionWithTags":{"http":{"requestUri":"/2019-03-26/distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["DistributionConfigWithTags"],"members":{"DistributionConfigWithTags":{"locationName":"DistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"},"type":"structure","required":["DistributionConfig","Tags"],"members":{"DistributionConfig":{"shape":"S7"},"Tags":{"shape":"S2f"}}}},"payload":"DistributionConfigWithTags"},"output":{"type":"structure","members":{"Distribution":{"shape":"S23"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateFieldLevelEncryptionConfig":{"http":{"requestUri":"/2019-03-26/field-level-encryption","responseCode":201},"input":{"type":"structure","required":["FieldLevelEncryptionConfig"],"members":{"FieldLevelEncryptionConfig":{"shape":"S2m","locationName":"FieldLevelEncryptionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}}},"payload":"FieldLevelEncryptionConfig"},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S2x"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"CreateFieldLevelEncryptionProfile":{"http":{"requestUri":"/2019-03-26/field-level-encryption-profile","responseCode":201},"input":{"type":"structure","required":["FieldLevelEncryptionProfileConfig"],"members":{"FieldLevelEncryptionProfileConfig":{"shape":"S2z","locationName":"FieldLevelEncryptionProfileConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}}},"payload":"FieldLevelEncryptionProfileConfig"},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S36"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"CreateInvalidation":{"http":{"requestUri":"/2019-03-26/distribution/{DistributionId}/invalidation","responseCode":201},"input":{"type":"structure","required":["DistributionId","InvalidationBatch"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"InvalidationBatch":{"shape":"S38","locationName":"InvalidationBatch","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}}},"payload":"InvalidationBatch"},"output":{"type":"structure","members":{"Location":{"location":"header","locationName":"Location"},"Invalidation":{"shape":"S3c"}},"payload":"Invalidation"}},"CreatePublicKey":{"http":{"requestUri":"/2019-03-26/public-key","responseCode":201},"input":{"type":"structure","required":["PublicKeyConfig"],"members":{"PublicKeyConfig":{"shape":"S3e","locationName":"PublicKeyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}}},"payload":"PublicKeyConfig"},"output":{"type":"structure","members":{"PublicKey":{"shape":"S3g"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"CreateStreamingDistribution":{"http":{"requestUri":"/2019-03-26/streaming-distribution","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfig"],"members":{"StreamingDistributionConfig":{"shape":"S3i","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S3m"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"CreateStreamingDistributionWithTags":{"http":{"requestUri":"/2019-03-26/streaming-distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfigWithTags"],"members":{"StreamingDistributionConfigWithTags":{"locationName":"StreamingDistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"},"type":"structure","required":["StreamingDistributionConfig","Tags"],"members":{"StreamingDistributionConfig":{"shape":"S3i"},"Tags":{"shape":"S2f"}}}},"payload":"StreamingDistributionConfigWithTags"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S3m"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"DeleteCloudFrontOriginAccessIdentity":{"http":{"method":"DELETE","requestUri":"/2019-03-26/origin-access-identity/cloudfront/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteDistribution":{"http":{"method":"DELETE","requestUri":"/2019-03-26/distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteFieldLevelEncryptionConfig":{"http":{"method":"DELETE","requestUri":"/2019-03-26/field-level-encryption/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteFieldLevelEncryptionProfile":{"http":{"method":"DELETE","requestUri":"/2019-03-26/field-level-encryption-profile/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeletePublicKey":{"http":{"method":"DELETE","requestUri":"/2019-03-26/public-key/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteStreamingDistribution":{"http":{"method":"DELETE","requestUri":"/2019-03-26/streaming-distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"GetCloudFrontOriginAccessIdentity":{"http":{"method":"GET","requestUri":"/2019-03-26/origin-access-identity/cloudfront/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"GetCloudFrontOriginAccessIdentityConfig":{"http":{"method":"GET","requestUri":"/2019-03-26/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentityConfig"}},"GetDistribution":{"http":{"method":"GET","requestUri":"/2019-03-26/distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Distribution":{"shape":"S23"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"GetDistributionConfig":{"http":{"method":"GET","requestUri":"/2019-03-26/distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"DistributionConfig":{"shape":"S7"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"DistributionConfig"}},"GetFieldLevelEncryption":{"http":{"method":"GET","requestUri":"/2019-03-26/field-level-encryption/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S2x"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"GetFieldLevelEncryptionConfig":{"http":{"method":"GET","requestUri":"/2019-03-26/field-level-encryption/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionConfig":{"shape":"S2m"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionConfig"}},"GetFieldLevelEncryptionProfile":{"http":{"method":"GET","requestUri":"/2019-03-26/field-level-encryption-profile/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S36"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"GetFieldLevelEncryptionProfileConfig":{"http":{"method":"GET","requestUri":"/2019-03-26/field-level-encryption-profile/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfileConfig":{"shape":"S2z"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfileConfig"}},"GetInvalidation":{"http":{"method":"GET","requestUri":"/2019-03-26/distribution/{DistributionId}/invalidation/{Id}"},"input":{"type":"structure","required":["DistributionId","Id"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Invalidation":{"shape":"S3c"}},"payload":"Invalidation"}},"GetPublicKey":{"http":{"method":"GET","requestUri":"/2019-03-26/public-key/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"PublicKey":{"shape":"S3g"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"GetPublicKeyConfig":{"http":{"method":"GET","requestUri":"/2019-03-26/public-key/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"PublicKeyConfig":{"shape":"S3e"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKeyConfig"}},"GetStreamingDistribution":{"http":{"method":"GET","requestUri":"/2019-03-26/streaming-distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S3m"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"GetStreamingDistributionConfig":{"http":{"method":"GET","requestUri":"/2019-03-26/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistributionConfig":{"shape":"S3i"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistributionConfig"}},"ListCloudFrontOriginAccessIdentities":{"http":{"method":"GET","requestUri":"/2019-03-26/origin-access-identity/cloudfront"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CloudFrontOriginAccessIdentitySummary","type":"structure","required":["Id","S3CanonicalUserId","Comment"],"members":{"Id":{},"S3CanonicalUserId":{},"Comment":{}}}}}}},"payload":"CloudFrontOriginAccessIdentityList"}},"ListDistributions":{"http":{"method":"GET","requestUri":"/2019-03-26/distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S4t"}},"payload":"DistributionList"}},"ListDistributionsByWebACLId":{"http":{"method":"GET","requestUri":"/2019-03-26/distributionsByWebACLId/{WebACLId}"},"input":{"type":"structure","required":["WebACLId"],"members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"},"WebACLId":{"location":"uri","locationName":"WebACLId"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S4t"}},"payload":"DistributionList"}},"ListFieldLevelEncryptionConfigs":{"http":{"method":"GET","requestUri":"/2019-03-26/field-level-encryption"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldLevelEncryptionSummary","type":"structure","required":["Id","LastModifiedTime"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"Comment":{},"QueryArgProfileConfig":{"shape":"S2n"},"ContentTypeProfileConfig":{"shape":"S2r"}}}}}}},"payload":"FieldLevelEncryptionList"}},"ListFieldLevelEncryptionProfiles":{"http":{"method":"GET","requestUri":"/2019-03-26/field-level-encryption-profile"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfileList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldLevelEncryptionProfileSummary","type":"structure","required":["Id","LastModifiedTime","Name","EncryptionEntities"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"Name":{},"EncryptionEntities":{"shape":"S30"},"Comment":{}}}}}}},"payload":"FieldLevelEncryptionProfileList"}},"ListInvalidations":{"http":{"method":"GET","requestUri":"/2019-03-26/distribution/{DistributionId}/invalidation"},"input":{"type":"structure","required":["DistributionId"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"InvalidationList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"InvalidationSummary","type":"structure","required":["Id","CreateTime","Status"],"members":{"Id":{},"CreateTime":{"type":"timestamp"},"Status":{}}}}}}},"payload":"InvalidationList"}},"ListPublicKeys":{"http":{"method":"GET","requestUri":"/2019-03-26/public-key"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"PublicKeyList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"PublicKeySummary","type":"structure","required":["Id","Name","CreatedTime","EncodedKey"],"members":{"Id":{},"Name":{},"CreatedTime":{"type":"timestamp"},"EncodedKey":{},"Comment":{}}}}}}},"payload":"PublicKeyList"}},"ListStreamingDistributions":{"http":{"method":"GET","requestUri":"/2019-03-26/streaming-distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"StreamingDistributionList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"StreamingDistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","S3Origin","Aliases","TrustedSigners","Comment","PriceClass","Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"S3Origin":{"shape":"S3j"},"Aliases":{"shape":"S8"},"TrustedSigners":{"shape":"S17"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"}}}}}}},"payload":"StreamingDistributionList"}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/2019-03-26/tagging"},"input":{"type":"structure","required":["Resource"],"members":{"Resource":{"location":"querystring","locationName":"Resource"}}},"output":{"type":"structure","required":["Tags"],"members":{"Tags":{"shape":"S2f"}},"payload":"Tags"}},"TagResource":{"http":{"requestUri":"/2019-03-26/tagging?Operation=Tag","responseCode":204},"input":{"type":"structure","required":["Resource","Tags"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"Tags":{"shape":"S2f","locationName":"Tags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}}},"payload":"Tags"}},"UntagResource":{"http":{"requestUri":"/2019-03-26/tagging?Operation=Untag","responseCode":204},"input":{"type":"structure","required":["Resource","TagKeys"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"TagKeys":{"locationName":"TagKeys","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"},"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Key"}}}}},"payload":"TagKeys"}},"UpdateCloudFrontOriginAccessIdentity":{"http":{"method":"PUT","requestUri":"/2019-03-26/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig","Id"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"S2","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"S5"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"UpdateDistribution":{"http":{"method":"PUT","requestUri":"/2019-03-26/distribution/{Id}/config"},"input":{"type":"structure","required":["DistributionConfig","Id"],"members":{"DistributionConfig":{"shape":"S7","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S23"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"UpdateFieldLevelEncryptionConfig":{"http":{"method":"PUT","requestUri":"/2019-03-26/field-level-encryption/{Id}/config"},"input":{"type":"structure","required":["FieldLevelEncryptionConfig","Id"],"members":{"FieldLevelEncryptionConfig":{"shape":"S2m","locationName":"FieldLevelEncryptionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"FieldLevelEncryptionConfig"},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S2x"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"UpdateFieldLevelEncryptionProfile":{"http":{"method":"PUT","requestUri":"/2019-03-26/field-level-encryption-profile/{Id}/config"},"input":{"type":"structure","required":["FieldLevelEncryptionProfileConfig","Id"],"members":{"FieldLevelEncryptionProfileConfig":{"shape":"S2z","locationName":"FieldLevelEncryptionProfileConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"FieldLevelEncryptionProfileConfig"},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S36"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"UpdatePublicKey":{"http":{"method":"PUT","requestUri":"/2019-03-26/public-key/{Id}/config"},"input":{"type":"structure","required":["PublicKeyConfig","Id"],"members":{"PublicKeyConfig":{"shape":"S3e","locationName":"PublicKeyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"PublicKeyConfig"},"output":{"type":"structure","members":{"PublicKey":{"shape":"S3g"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"UpdateStreamingDistribution":{"http":{"method":"PUT","requestUri":"/2019-03-26/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["StreamingDistributionConfig","Id"],"members":{"StreamingDistributionConfig":{"shape":"S3i","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2019-03-26/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S3m"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}}},"shapes":{"S2":{"type":"structure","required":["CallerReference","Comment"],"members":{"CallerReference":{},"Comment":{}}},"S5":{"type":"structure","required":["Id","S3CanonicalUserId"],"members":{"Id":{},"S3CanonicalUserId":{},"CloudFrontOriginAccessIdentityConfig":{"shape":"S2"}}},"S7":{"type":"structure","required":["CallerReference","Origins","DefaultCacheBehavior","Comment","Enabled"],"members":{"CallerReference":{},"Aliases":{"shape":"S8"},"DefaultRootObject":{},"Origins":{"shape":"Sb"},"OriginGroups":{"shape":"Sn"},"DefaultCacheBehavior":{"shape":"Sw"},"CacheBehaviors":{"shape":"S1k"},"CustomErrorResponses":{"shape":"S1n"},"Comment":{"type":"string","sensitive":true},"Logging":{"type":"structure","required":["Enabled","IncludeCookies","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"IncludeCookies":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S1t"},"Restrictions":{"shape":"S1x"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"}}},"S8":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CNAME"}}}},"Sb":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Origin","type":"structure","required":["Id","DomainName"],"members":{"Id":{},"DomainName":{},"OriginPath":{},"CustomHeaders":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginCustomHeader","type":"structure","required":["HeaderName","HeaderValue"],"members":{"HeaderName":{},"HeaderValue":{}}}}}},"S3OriginConfig":{"type":"structure","required":["OriginAccessIdentity"],"members":{"OriginAccessIdentity":{}}},"CustomOriginConfig":{"type":"structure","required":["HTTPPort","HTTPSPort","OriginProtocolPolicy"],"members":{"HTTPPort":{"type":"integer"},"HTTPSPort":{"type":"integer"},"OriginProtocolPolicy":{},"OriginSslProtocols":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"SslProtocol"}}}},"OriginReadTimeout":{"type":"integer"},"OriginKeepaliveTimeout":{"type":"integer"}}},"ConnectionAttempts":{"type":"integer"},"ConnectionTimeout":{"type":"integer"}}}}}},"Sn":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginGroup","type":"structure","required":["Id","FailoverCriteria","Members"],"members":{"Id":{},"FailoverCriteria":{"type":"structure","required":["StatusCodes"],"members":{"StatusCodes":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"StatusCode","type":"integer"}}}}}},"Members":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginGroupMember","type":"structure","required":["OriginId"],"members":{"OriginId":{}}}}}}}}}}},"Sw":{"type":"structure","required":["TargetOriginId","ForwardedValues","TrustedSigners","ViewerProtocolPolicy","MinTTL"],"members":{"TargetOriginId":{},"ForwardedValues":{"shape":"Sx"},"TrustedSigners":{"shape":"S17"},"ViewerProtocolPolicy":{},"MinTTL":{"type":"long"},"AllowedMethods":{"shape":"S1b"},"SmoothStreaming":{"type":"boolean"},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S1f"},"FieldLevelEncryptionId":{}}},"Sx":{"type":"structure","required":["QueryString","Cookies"],"members":{"QueryString":{"type":"boolean"},"Cookies":{"type":"structure","required":["Forward"],"members":{"Forward":{},"WhitelistedNames":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"Headers":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}},"QueryStringCacheKeys":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"S17":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"AwsAccountNumber"}}}},"S1b":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S1c"},"CachedMethods":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S1c"}}}}},"S1c":{"type":"list","member":{"locationName":"Method"}},"S1f":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"LambdaFunctionAssociation","type":"structure","required":["LambdaFunctionARN","EventType"],"members":{"LambdaFunctionARN":{},"EventType":{},"IncludeBody":{"type":"boolean"}}}}}},"S1k":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CacheBehavior","type":"structure","required":["PathPattern","TargetOriginId","ForwardedValues","TrustedSigners","ViewerProtocolPolicy","MinTTL"],"members":{"PathPattern":{},"TargetOriginId":{},"ForwardedValues":{"shape":"Sx"},"TrustedSigners":{"shape":"S17"},"ViewerProtocolPolicy":{},"MinTTL":{"type":"long"},"AllowedMethods":{"shape":"S1b"},"SmoothStreaming":{"type":"boolean"},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S1f"},"FieldLevelEncryptionId":{}}}}}},"S1n":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CustomErrorResponse","type":"structure","required":["ErrorCode"],"members":{"ErrorCode":{"type":"integer"},"ResponsePagePath":{},"ResponseCode":{},"ErrorCachingMinTTL":{"type":"long"}}}}}},"S1t":{"type":"structure","members":{"CloudFrontDefaultCertificate":{"type":"boolean"},"IAMCertificateId":{},"ACMCertificateArn":{},"SSLSupportMethod":{},"MinimumProtocolVersion":{},"Certificate":{"deprecated":true},"CertificateSource":{"deprecated":true}}},"S1x":{"type":"structure","required":["GeoRestriction"],"members":{"GeoRestriction":{"type":"structure","required":["RestrictionType","Quantity"],"members":{"RestrictionType":{},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Location"}}}}}},"S23":{"type":"structure","required":["Id","ARN","Status","LastModifiedTime","InProgressInvalidationBatches","DomainName","ActiveTrustedSigners","DistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"InProgressInvalidationBatches":{"type":"integer"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S25"},"DistributionConfig":{"shape":"S7"},"AliasICPRecordals":{"shape":"S2a"}}},"S25":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Signer","type":"structure","members":{"AwsAccountNumber":{},"KeyPairIds":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"KeyPairId"}}}}}}}}},"S2a":{"type":"list","member":{"locationName":"AliasICPRecordal","type":"structure","members":{"CNAME":{},"ICPRecordalStatus":{}}}},"S2f":{"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Tag","type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}}}},"S2m":{"type":"structure","required":["CallerReference"],"members":{"CallerReference":{},"Comment":{},"QueryArgProfileConfig":{"shape":"S2n"},"ContentTypeProfileConfig":{"shape":"S2r"}}},"S2n":{"type":"structure","required":["ForwardWhenQueryArgProfileIsUnknown"],"members":{"ForwardWhenQueryArgProfileIsUnknown":{"type":"boolean"},"QueryArgProfiles":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"QueryArgProfile","type":"structure","required":["QueryArg","ProfileId"],"members":{"QueryArg":{},"ProfileId":{}}}}}}}},"S2r":{"type":"structure","required":["ForwardWhenContentTypeIsUnknown"],"members":{"ForwardWhenContentTypeIsUnknown":{"type":"boolean"},"ContentTypeProfiles":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"ContentTypeProfile","type":"structure","required":["Format","ContentType"],"members":{"Format":{},"ProfileId":{},"ContentType":{}}}}}}}},"S2x":{"type":"structure","required":["Id","LastModifiedTime","FieldLevelEncryptionConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"FieldLevelEncryptionConfig":{"shape":"S2m"}}},"S2z":{"type":"structure","required":["Name","CallerReference","EncryptionEntities"],"members":{"Name":{},"CallerReference":{},"Comment":{},"EncryptionEntities":{"shape":"S30"}}},"S30":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"EncryptionEntity","type":"structure","required":["PublicKeyId","ProviderId","FieldPatterns"],"members":{"PublicKeyId":{},"ProviderId":{},"FieldPatterns":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldPattern"}}}}}}}}},"S36":{"type":"structure","required":["Id","LastModifiedTime","FieldLevelEncryptionProfileConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"FieldLevelEncryptionProfileConfig":{"shape":"S2z"}}},"S38":{"type":"structure","required":["Paths","CallerReference"],"members":{"Paths":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Path"}}}},"CallerReference":{}}},"S3c":{"type":"structure","required":["Id","Status","CreateTime","InvalidationBatch"],"members":{"Id":{},"Status":{},"CreateTime":{"type":"timestamp"},"InvalidationBatch":{"shape":"S38"}}},"S3e":{"type":"structure","required":["CallerReference","Name","EncodedKey"],"members":{"CallerReference":{},"Name":{},"EncodedKey":{},"Comment":{}}},"S3g":{"type":"structure","required":["Id","CreatedTime","PublicKeyConfig"],"members":{"Id":{},"CreatedTime":{"type":"timestamp"},"PublicKeyConfig":{"shape":"S3e"}}},"S3i":{"type":"structure","required":["CallerReference","S3Origin","Comment","TrustedSigners","Enabled"],"members":{"CallerReference":{},"S3Origin":{"shape":"S3j"},"Aliases":{"shape":"S8"},"Comment":{},"Logging":{"type":"structure","required":["Enabled","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"TrustedSigners":{"shape":"S17"},"PriceClass":{},"Enabled":{"type":"boolean"}}},"S3j":{"type":"structure","required":["DomainName","OriginAccessIdentity"],"members":{"DomainName":{},"OriginAccessIdentity":{}}},"S3m":{"type":"structure","required":["Id","ARN","Status","DomainName","ActiveTrustedSigners","StreamingDistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S25"},"StreamingDistributionConfig":{"shape":"S3i"}}},"S4t":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"DistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","Aliases","Origins","DefaultCacheBehavior","CacheBehaviors","CustomErrorResponses","Comment","PriceClass","Enabled","ViewerCertificate","Restrictions","WebACLId","HttpVersion","IsIPV6Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"Aliases":{"shape":"S8"},"Origins":{"shape":"Sb"},"OriginGroups":{"shape":"Sn"},"DefaultCacheBehavior":{"shape":"Sw"},"CacheBehaviors":{"shape":"S1k"},"CustomErrorResponses":{"shape":"S1n"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S1t"},"Restrictions":{"shape":"S1x"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"},"AliasICPRecordals":{"shape":"S2a"}}}}}}}}');

/***/ }),

/***/ 35556:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCloudFrontOriginAccessIdentities":{"input_token":"Marker","limit_key":"MaxItems","more_results":"CloudFrontOriginAccessIdentityList.IsTruncated","output_token":"CloudFrontOriginAccessIdentityList.NextMarker","result_key":"CloudFrontOriginAccessIdentityList.Items"},"ListDistributions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"DistributionList.IsTruncated","output_token":"DistributionList.NextMarker","result_key":"DistributionList.Items"},"ListInvalidations":{"input_token":"Marker","limit_key":"MaxItems","more_results":"InvalidationList.IsTruncated","output_token":"InvalidationList.NextMarker","result_key":"InvalidationList.Items"},"ListStreamingDistributions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"StreamingDistributionList.IsTruncated","output_token":"StreamingDistributionList.NextMarker","result_key":"StreamingDistributionList.Items"}}}');

/***/ }),

/***/ 97142:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DistributionDeployed":{"delay":60,"operation":"GetDistribution","maxAttempts":35,"description":"Wait until a distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"Distribution.Status"}]},"InvalidationCompleted":{"delay":20,"operation":"GetInvalidation","maxAttempts":30,"description":"Wait until an invalidation has completed.","acceptors":[{"expected":"Completed","matcher":"path","state":"success","argument":"Invalidation.Status"}]},"StreamingDistributionDeployed":{"delay":60,"operation":"GetStreamingDistribution","maxAttempts":25,"description":"Wait until a streaming distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"StreamingDistribution.Status"}]}}}');

/***/ }),

/***/ 66310:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-05-31","endpointPrefix":"cloudfront","globalEndpoint":"cloudfront.amazonaws.com","protocol":"rest-xml","serviceAbbreviation":"CloudFront","serviceFullName":"Amazon CloudFront","serviceId":"CloudFront","signatureVersion":"v4","uid":"cloudfront-2020-05-31"},"operations":{"AssociateAlias":{"http":{"method":"PUT","requestUri":"/2020-05-31/distribution/{TargetDistributionId}/associate-alias","responseCode":200},"input":{"type":"structure","required":["TargetDistributionId","Alias"],"members":{"TargetDistributionId":{"location":"uri","locationName":"TargetDistributionId"},"Alias":{"location":"querystring","locationName":"Alias"}}}},"CreateCachePolicy":{"http":{"requestUri":"/2020-05-31/cache-policy","responseCode":201},"input":{"type":"structure","required":["CachePolicyConfig"],"members":{"CachePolicyConfig":{"shape":"S4","locationName":"CachePolicyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"CachePolicyConfig"},"output":{"type":"structure","members":{"CachePolicy":{"shape":"Sm"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CachePolicy"}},"CreateCloudFrontOriginAccessIdentity":{"http":{"requestUri":"/2020-05-31/origin-access-identity/cloudfront","responseCode":201},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"Sp","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"Sr"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"CreateDistribution":{"http":{"requestUri":"/2020-05-31/distribution","responseCode":201},"input":{"type":"structure","required":["DistributionConfig"],"members":{"DistributionConfig":{"shape":"St","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S2r"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateDistributionWithTags":{"http":{"requestUri":"/2020-05-31/distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["DistributionConfigWithTags"],"members":{"DistributionConfigWithTags":{"locationName":"DistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"},"type":"structure","required":["DistributionConfig","Tags"],"members":{"DistributionConfig":{"shape":"St"},"Tags":{"shape":"S35"}}}},"payload":"DistributionConfigWithTags"},"output":{"type":"structure","members":{"Distribution":{"shape":"S2r"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"CreateFieldLevelEncryptionConfig":{"http":{"requestUri":"/2020-05-31/field-level-encryption","responseCode":201},"input":{"type":"structure","required":["FieldLevelEncryptionConfig"],"members":{"FieldLevelEncryptionConfig":{"shape":"S3c","locationName":"FieldLevelEncryptionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"FieldLevelEncryptionConfig"},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S3n"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"CreateFieldLevelEncryptionProfile":{"http":{"requestUri":"/2020-05-31/field-level-encryption-profile","responseCode":201},"input":{"type":"structure","required":["FieldLevelEncryptionProfileConfig"],"members":{"FieldLevelEncryptionProfileConfig":{"shape":"S3p","locationName":"FieldLevelEncryptionProfileConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"FieldLevelEncryptionProfileConfig"},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S3w"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"CreateFunction":{"http":{"requestUri":"/2020-05-31/function","responseCode":201},"input":{"locationName":"CreateFunctionRequest","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"},"type":"structure","required":["Name","FunctionConfig","FunctionCode"],"members":{"Name":{},"FunctionConfig":{"shape":"S3z"},"FunctionCode":{"shape":"S41"}}},"output":{"type":"structure","members":{"FunctionSummary":{"shape":"S43"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FunctionSummary"}},"CreateInvalidation":{"http":{"requestUri":"/2020-05-31/distribution/{DistributionId}/invalidation","responseCode":201},"input":{"type":"structure","required":["DistributionId","InvalidationBatch"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"InvalidationBatch":{"shape":"S47","locationName":"InvalidationBatch","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"InvalidationBatch"},"output":{"type":"structure","members":{"Location":{"location":"header","locationName":"Location"},"Invalidation":{"shape":"S4b"}},"payload":"Invalidation"}},"CreateKeyGroup":{"http":{"requestUri":"/2020-05-31/key-group","responseCode":201},"input":{"type":"structure","required":["KeyGroupConfig"],"members":{"KeyGroupConfig":{"shape":"S4d","locationName":"KeyGroupConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"KeyGroupConfig"},"output":{"type":"structure","members":{"KeyGroup":{"shape":"S4g"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"KeyGroup"}},"CreateMonitoringSubscription":{"http":{"requestUri":"/2020-05-31/distributions/{DistributionId}/monitoring-subscription"},"input":{"type":"structure","required":["MonitoringSubscription","DistributionId"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"MonitoringSubscription":{"shape":"S4i","locationName":"MonitoringSubscription","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"MonitoringSubscription"},"output":{"type":"structure","members":{"MonitoringSubscription":{"shape":"S4i"}},"payload":"MonitoringSubscription"}},"CreateOriginRequestPolicy":{"http":{"requestUri":"/2020-05-31/origin-request-policy","responseCode":201},"input":{"type":"structure","required":["OriginRequestPolicyConfig"],"members":{"OriginRequestPolicyConfig":{"shape":"S4n","locationName":"OriginRequestPolicyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"OriginRequestPolicyConfig"},"output":{"type":"structure","members":{"OriginRequestPolicy":{"shape":"S4v"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"OriginRequestPolicy"}},"CreatePublicKey":{"http":{"requestUri":"/2020-05-31/public-key","responseCode":201},"input":{"type":"structure","required":["PublicKeyConfig"],"members":{"PublicKeyConfig":{"shape":"S4x","locationName":"PublicKeyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"PublicKeyConfig"},"output":{"type":"structure","members":{"PublicKey":{"shape":"S4z"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"CreateRealtimeLogConfig":{"http":{"requestUri":"/2020-05-31/realtime-log-config","responseCode":201},"input":{"locationName":"CreateRealtimeLogConfigRequest","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"},"type":"structure","required":["EndPoints","Fields","Name","SamplingRate"],"members":{"EndPoints":{"shape":"S51"},"Fields":{"shape":"S54"},"Name":{},"SamplingRate":{"type":"long"}}},"output":{"type":"structure","members":{"RealtimeLogConfig":{"shape":"S56"}}}},"CreateResponseHeadersPolicy":{"http":{"requestUri":"/2020-05-31/response-headers-policy","responseCode":201},"input":{"type":"structure","required":["ResponseHeadersPolicyConfig"],"members":{"ResponseHeadersPolicyConfig":{"shape":"S58","locationName":"ResponseHeadersPolicyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"ResponseHeadersPolicyConfig"},"output":{"type":"structure","members":{"ResponseHeadersPolicy":{"shape":"S5w"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"ResponseHeadersPolicy"}},"CreateStreamingDistribution":{"http":{"requestUri":"/2020-05-31/streaming-distribution","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfig"],"members":{"StreamingDistributionConfig":{"shape":"S5y","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S62"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"CreateStreamingDistributionWithTags":{"http":{"requestUri":"/2020-05-31/streaming-distribution?WithTags","responseCode":201},"input":{"type":"structure","required":["StreamingDistributionConfigWithTags"],"members":{"StreamingDistributionConfigWithTags":{"locationName":"StreamingDistributionConfigWithTags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"},"type":"structure","required":["StreamingDistributionConfig","Tags"],"members":{"StreamingDistributionConfig":{"shape":"S5y"},"Tags":{"shape":"S35"}}}},"payload":"StreamingDistributionConfigWithTags"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S62"},"Location":{"location":"header","locationName":"Location"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"DeleteCachePolicy":{"http":{"method":"DELETE","requestUri":"/2020-05-31/cache-policy/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteCloudFrontOriginAccessIdentity":{"http":{"method":"DELETE","requestUri":"/2020-05-31/origin-access-identity/cloudfront/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteDistribution":{"http":{"method":"DELETE","requestUri":"/2020-05-31/distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteFieldLevelEncryptionConfig":{"http":{"method":"DELETE","requestUri":"/2020-05-31/field-level-encryption/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteFieldLevelEncryptionProfile":{"http":{"method":"DELETE","requestUri":"/2020-05-31/field-level-encryption-profile/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteFunction":{"http":{"method":"DELETE","requestUri":"/2020-05-31/function/{Name}","responseCode":204},"input":{"type":"structure","required":["IfMatch","Name"],"members":{"Name":{"location":"uri","locationName":"Name"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteKeyGroup":{"http":{"method":"DELETE","requestUri":"/2020-05-31/key-group/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteMonitoringSubscription":{"http":{"method":"DELETE","requestUri":"/2020-05-31/distributions/{DistributionId}/monitoring-subscription"},"input":{"type":"structure","required":["DistributionId"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"}}},"output":{"type":"structure","members":{}}},"DeleteOriginRequestPolicy":{"http":{"method":"DELETE","requestUri":"/2020-05-31/origin-request-policy/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeletePublicKey":{"http":{"method":"DELETE","requestUri":"/2020-05-31/public-key/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteRealtimeLogConfig":{"http":{"requestUri":"/2020-05-31/delete-realtime-log-config/","responseCode":204},"input":{"locationName":"DeleteRealtimeLogConfigRequest","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"},"type":"structure","members":{"Name":{},"ARN":{}}}},"DeleteResponseHeadersPolicy":{"http":{"method":"DELETE","requestUri":"/2020-05-31/response-headers-policy/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DeleteStreamingDistribution":{"http":{"method":"DELETE","requestUri":"/2020-05-31/streaming-distribution/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}}}},"DescribeFunction":{"http":{"method":"GET","requestUri":"/2020-05-31/function/{Name}/describe"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"},"Stage":{"location":"querystring","locationName":"Stage"}}},"output":{"type":"structure","members":{"FunctionSummary":{"shape":"S43"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FunctionSummary"}},"GetCachePolicy":{"http":{"method":"GET","requestUri":"/2020-05-31/cache-policy/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CachePolicy":{"shape":"Sm"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CachePolicy"}},"GetCachePolicyConfig":{"http":{"method":"GET","requestUri":"/2020-05-31/cache-policy/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CachePolicyConfig":{"shape":"S4"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CachePolicyConfig"}},"GetCloudFrontOriginAccessIdentity":{"http":{"method":"GET","requestUri":"/2020-05-31/origin-access-identity/cloudfront/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"Sr"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"GetCloudFrontOriginAccessIdentityConfig":{"http":{"method":"GET","requestUri":"/2020-05-31/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"Sp"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentityConfig"}},"GetDistribution":{"http":{"method":"GET","requestUri":"/2020-05-31/distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Distribution":{"shape":"S2r"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"GetDistributionConfig":{"http":{"method":"GET","requestUri":"/2020-05-31/distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"DistributionConfig":{"shape":"St"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"DistributionConfig"}},"GetFieldLevelEncryption":{"http":{"method":"GET","requestUri":"/2020-05-31/field-level-encryption/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S3n"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"GetFieldLevelEncryptionConfig":{"http":{"method":"GET","requestUri":"/2020-05-31/field-level-encryption/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionConfig":{"shape":"S3c"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionConfig"}},"GetFieldLevelEncryptionProfile":{"http":{"method":"GET","requestUri":"/2020-05-31/field-level-encryption-profile/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S3w"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"GetFieldLevelEncryptionProfileConfig":{"http":{"method":"GET","requestUri":"/2020-05-31/field-level-encryption-profile/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfileConfig":{"shape":"S3p"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfileConfig"}},"GetFunction":{"http":{"method":"GET","requestUri":"/2020-05-31/function/{Name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"},"Stage":{"location":"querystring","locationName":"Stage"}}},"output":{"type":"structure","members":{"FunctionCode":{"shape":"S41"},"ETag":{"location":"header","locationName":"ETag"},"ContentType":{"location":"header","locationName":"Content-Type"}},"payload":"FunctionCode"}},"GetInvalidation":{"http":{"method":"GET","requestUri":"/2020-05-31/distribution/{DistributionId}/invalidation/{Id}"},"input":{"type":"structure","required":["DistributionId","Id"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Invalidation":{"shape":"S4b"}},"payload":"Invalidation"}},"GetKeyGroup":{"http":{"method":"GET","requestUri":"/2020-05-31/key-group/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"KeyGroup":{"shape":"S4g"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"KeyGroup"}},"GetKeyGroupConfig":{"http":{"method":"GET","requestUri":"/2020-05-31/key-group/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"KeyGroupConfig":{"shape":"S4d"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"KeyGroupConfig"}},"GetMonitoringSubscription":{"http":{"method":"GET","requestUri":"/2020-05-31/distributions/{DistributionId}/monitoring-subscription"},"input":{"type":"structure","required":["DistributionId"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"}}},"output":{"type":"structure","members":{"MonitoringSubscription":{"shape":"S4i"}},"payload":"MonitoringSubscription"}},"GetOriginRequestPolicy":{"http":{"method":"GET","requestUri":"/2020-05-31/origin-request-policy/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"OriginRequestPolicy":{"shape":"S4v"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"OriginRequestPolicy"}},"GetOriginRequestPolicyConfig":{"http":{"method":"GET","requestUri":"/2020-05-31/origin-request-policy/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"OriginRequestPolicyConfig":{"shape":"S4n"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"OriginRequestPolicyConfig"}},"GetPublicKey":{"http":{"method":"GET","requestUri":"/2020-05-31/public-key/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"PublicKey":{"shape":"S4z"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"GetPublicKeyConfig":{"http":{"method":"GET","requestUri":"/2020-05-31/public-key/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"PublicKeyConfig":{"shape":"S4x"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKeyConfig"}},"GetRealtimeLogConfig":{"http":{"requestUri":"/2020-05-31/get-realtime-log-config/"},"input":{"locationName":"GetRealtimeLogConfigRequest","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"},"type":"structure","members":{"Name":{},"ARN":{}}},"output":{"type":"structure","members":{"RealtimeLogConfig":{"shape":"S56"}}}},"GetResponseHeadersPolicy":{"http":{"method":"GET","requestUri":"/2020-05-31/response-headers-policy/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"ResponseHeadersPolicy":{"shape":"S5w"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"ResponseHeadersPolicy"}},"GetResponseHeadersPolicyConfig":{"http":{"method":"GET","requestUri":"/2020-05-31/response-headers-policy/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"ResponseHeadersPolicyConfig":{"shape":"S58"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"ResponseHeadersPolicyConfig"}},"GetStreamingDistribution":{"http":{"method":"GET","requestUri":"/2020-05-31/streaming-distribution/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S62"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}},"GetStreamingDistributionConfig":{"http":{"method":"GET","requestUri":"/2020-05-31/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"StreamingDistributionConfig":{"shape":"S5y"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistributionConfig"}},"ListCachePolicies":{"http":{"method":"GET","requestUri":"/2020-05-31/cache-policy"},"input":{"type":"structure","members":{"Type":{"location":"querystring","locationName":"Type"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"CachePolicyList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CachePolicySummary","type":"structure","required":["Type","CachePolicy"],"members":{"Type":{},"CachePolicy":{"shape":"Sm"}}}}}}},"payload":"CachePolicyList"}},"ListCloudFrontOriginAccessIdentities":{"http":{"method":"GET","requestUri":"/2020-05-31/origin-access-identity/cloudfront"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentityList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CloudFrontOriginAccessIdentitySummary","type":"structure","required":["Id","S3CanonicalUserId","Comment"],"members":{"Id":{},"S3CanonicalUserId":{},"Comment":{}}}}}}},"payload":"CloudFrontOriginAccessIdentityList"}},"ListConflictingAliases":{"http":{"method":"GET","requestUri":"/2020-05-31/conflicting-alias","responseCode":200},"input":{"type":"structure","required":["DistributionId","Alias"],"members":{"DistributionId":{"location":"querystring","locationName":"DistributionId"},"Alias":{"location":"querystring","locationName":"Alias"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"}}},"output":{"type":"structure","members":{"ConflictingAliasesList":{"type":"structure","members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"ConflictingAlias","type":"structure","members":{"Alias":{},"DistributionId":{},"AccountId":{}}}}}}},"payload":"ConflictingAliasesList"}},"ListDistributions":{"http":{"method":"GET","requestUri":"/2020-05-31/distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S8j"}},"payload":"DistributionList"}},"ListDistributionsByCachePolicyId":{"http":{"method":"GET","requestUri":"/2020-05-31/distributionsByCachePolicyId/{CachePolicyId}"},"input":{"type":"structure","required":["CachePolicyId"],"members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"},"CachePolicyId":{"location":"uri","locationName":"CachePolicyId"}}},"output":{"type":"structure","members":{"DistributionIdList":{"shape":"S8o"}},"payload":"DistributionIdList"}},"ListDistributionsByKeyGroup":{"http":{"method":"GET","requestUri":"/2020-05-31/distributionsByKeyGroupId/{KeyGroupId}"},"input":{"type":"structure","required":["KeyGroupId"],"members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"},"KeyGroupId":{"location":"uri","locationName":"KeyGroupId"}}},"output":{"type":"structure","members":{"DistributionIdList":{"shape":"S8o"}},"payload":"DistributionIdList"}},"ListDistributionsByOriginRequestPolicyId":{"http":{"method":"GET","requestUri":"/2020-05-31/distributionsByOriginRequestPolicyId/{OriginRequestPolicyId}"},"input":{"type":"structure","required":["OriginRequestPolicyId"],"members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"},"OriginRequestPolicyId":{"location":"uri","locationName":"OriginRequestPolicyId"}}},"output":{"type":"structure","members":{"DistributionIdList":{"shape":"S8o"}},"payload":"DistributionIdList"}},"ListDistributionsByRealtimeLogConfig":{"http":{"requestUri":"/2020-05-31/distributionsByRealtimeLogConfig/"},"input":{"locationName":"ListDistributionsByRealtimeLogConfigRequest","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"},"type":"structure","members":{"Marker":{},"MaxItems":{},"RealtimeLogConfigName":{},"RealtimeLogConfigArn":{}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S8j"}},"payload":"DistributionList"}},"ListDistributionsByResponseHeadersPolicyId":{"http":{"method":"GET","requestUri":"/2020-05-31/distributionsByResponseHeadersPolicyId/{ResponseHeadersPolicyId}"},"input":{"type":"structure","required":["ResponseHeadersPolicyId"],"members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"},"ResponseHeadersPolicyId":{"location":"uri","locationName":"ResponseHeadersPolicyId"}}},"output":{"type":"structure","members":{"DistributionIdList":{"shape":"S8o"}},"payload":"DistributionIdList"}},"ListDistributionsByWebACLId":{"http":{"method":"GET","requestUri":"/2020-05-31/distributionsByWebACLId/{WebACLId}"},"input":{"type":"structure","required":["WebACLId"],"members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"},"WebACLId":{"location":"uri","locationName":"WebACLId"}}},"output":{"type":"structure","members":{"DistributionList":{"shape":"S8j"}},"payload":"DistributionList"}},"ListFieldLevelEncryptionConfigs":{"http":{"method":"GET","requestUri":"/2020-05-31/field-level-encryption"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldLevelEncryptionSummary","type":"structure","required":["Id","LastModifiedTime"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"Comment":{},"QueryArgProfileConfig":{"shape":"S3d"},"ContentTypeProfileConfig":{"shape":"S3h"}}}}}}},"payload":"FieldLevelEncryptionList"}},"ListFieldLevelEncryptionProfiles":{"http":{"method":"GET","requestUri":"/2020-05-31/field-level-encryption-profile"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"FieldLevelEncryptionProfileList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldLevelEncryptionProfileSummary","type":"structure","required":["Id","LastModifiedTime","Name","EncryptionEntities"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"Name":{},"EncryptionEntities":{"shape":"S3q"},"Comment":{}}}}}}},"payload":"FieldLevelEncryptionProfileList"}},"ListFunctions":{"http":{"method":"GET","requestUri":"/2020-05-31/function"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"},"Stage":{"location":"querystring","locationName":"Stage"}}},"output":{"type":"structure","members":{"FunctionList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"shape":"S43","locationName":"FunctionSummary"}}}}},"payload":"FunctionList"}},"ListInvalidations":{"http":{"method":"GET","requestUri":"/2020-05-31/distribution/{DistributionId}/invalidation"},"input":{"type":"structure","required":["DistributionId"],"members":{"DistributionId":{"location":"uri","locationName":"DistributionId"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"InvalidationList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"InvalidationSummary","type":"structure","required":["Id","CreateTime","Status"],"members":{"Id":{},"CreateTime":{"type":"timestamp"},"Status":{}}}}}}},"payload":"InvalidationList"}},"ListKeyGroups":{"http":{"method":"GET","requestUri":"/2020-05-31/key-group"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"KeyGroupList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"KeyGroupSummary","type":"structure","required":["KeyGroup"],"members":{"KeyGroup":{"shape":"S4g"}}}}}}},"payload":"KeyGroupList"}},"ListOriginRequestPolicies":{"http":{"method":"GET","requestUri":"/2020-05-31/origin-request-policy"},"input":{"type":"structure","members":{"Type":{"location":"querystring","locationName":"Type"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"OriginRequestPolicyList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginRequestPolicySummary","type":"structure","required":["Type","OriginRequestPolicy"],"members":{"Type":{},"OriginRequestPolicy":{"shape":"S4v"}}}}}}},"payload":"OriginRequestPolicyList"}},"ListPublicKeys":{"http":{"method":"GET","requestUri":"/2020-05-31/public-key"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"PublicKeyList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"PublicKeySummary","type":"structure","required":["Id","Name","CreatedTime","EncodedKey"],"members":{"Id":{},"Name":{},"CreatedTime":{"type":"timestamp"},"EncodedKey":{},"Comment":{}}}}}}},"payload":"PublicKeyList"}},"ListRealtimeLogConfigs":{"http":{"method":"GET","requestUri":"/2020-05-31/realtime-log-config"},"input":{"type":"structure","members":{"MaxItems":{"location":"querystring","locationName":"MaxItems"},"Marker":{"location":"querystring","locationName":"Marker"}}},"output":{"type":"structure","members":{"RealtimeLogConfigs":{"type":"structure","required":["MaxItems","IsTruncated","Marker"],"members":{"MaxItems":{"type":"integer"},"Items":{"type":"list","member":{"shape":"S56"}},"IsTruncated":{"type":"boolean"},"Marker":{},"NextMarker":{}}}},"payload":"RealtimeLogConfigs"}},"ListResponseHeadersPolicies":{"http":{"method":"GET","requestUri":"/2020-05-31/response-headers-policy"},"input":{"type":"structure","members":{"Type":{"location":"querystring","locationName":"Type"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"ResponseHeadersPolicyList":{"type":"structure","required":["MaxItems","Quantity"],"members":{"NextMarker":{},"MaxItems":{"type":"integer"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"ResponseHeadersPolicySummary","type":"structure","required":["Type","ResponseHeadersPolicy"],"members":{"Type":{},"ResponseHeadersPolicy":{"shape":"S5w"}}}}}}},"payload":"ResponseHeadersPolicyList"}},"ListStreamingDistributions":{"http":{"method":"GET","requestUri":"/2020-05-31/streaming-distribution"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems"}}},"output":{"type":"structure","members":{"StreamingDistributionList":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"StreamingDistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","S3Origin","Aliases","TrustedSigners","Comment","PriceClass","Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"S3Origin":{"shape":"S5z"},"Aliases":{"shape":"Su"},"TrustedSigners":{"shape":"S1l"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"}}}}}}},"payload":"StreamingDistributionList"}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/2020-05-31/tagging"},"input":{"type":"structure","required":["Resource"],"members":{"Resource":{"location":"querystring","locationName":"Resource"}}},"output":{"type":"structure","required":["Tags"],"members":{"Tags":{"shape":"S35"}},"payload":"Tags"}},"PublishFunction":{"http":{"requestUri":"/2020-05-31/function/{Name}/publish"},"input":{"type":"structure","required":["Name","IfMatch"],"members":{"Name":{"location":"uri","locationName":"Name"},"IfMatch":{"location":"header","locationName":"If-Match"}}},"output":{"type":"structure","members":{"FunctionSummary":{"shape":"S43"}},"payload":"FunctionSummary"}},"TagResource":{"http":{"requestUri":"/2020-05-31/tagging?Operation=Tag","responseCode":204},"input":{"type":"structure","required":["Resource","Tags"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"Tags":{"shape":"S35","locationName":"Tags","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}}},"payload":"Tags"}},"TestFunction":{"http":{"requestUri":"/2020-05-31/function/{Name}/test"},"input":{"locationName":"TestFunctionRequest","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"},"type":"structure","required":["Name","IfMatch","EventObject"],"members":{"Name":{"location":"uri","locationName":"Name"},"IfMatch":{"location":"header","locationName":"If-Match"},"Stage":{},"EventObject":{"type":"blob","sensitive":true}}},"output":{"type":"structure","members":{"TestResult":{"type":"structure","members":{"FunctionSummary":{"shape":"S43"},"ComputeUtilization":{},"FunctionExecutionLogs":{"type":"list","member":{},"sensitive":true},"FunctionErrorMessage":{"shape":"S12"},"FunctionOutput":{"shape":"S12"}}}},"payload":"TestResult"}},"UntagResource":{"http":{"requestUri":"/2020-05-31/tagging?Operation=Untag","responseCode":204},"input":{"type":"structure","required":["Resource","TagKeys"],"members":{"Resource":{"location":"querystring","locationName":"Resource"},"TagKeys":{"locationName":"TagKeys","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"},"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Key"}}}}},"payload":"TagKeys"}},"UpdateCachePolicy":{"http":{"method":"PUT","requestUri":"/2020-05-31/cache-policy/{Id}"},"input":{"type":"structure","required":["CachePolicyConfig","Id"],"members":{"CachePolicyConfig":{"shape":"S4","locationName":"CachePolicyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"CachePolicyConfig"},"output":{"type":"structure","members":{"CachePolicy":{"shape":"Sm"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CachePolicy"}},"UpdateCloudFrontOriginAccessIdentity":{"http":{"method":"PUT","requestUri":"/2020-05-31/origin-access-identity/cloudfront/{Id}/config"},"input":{"type":"structure","required":["CloudFrontOriginAccessIdentityConfig","Id"],"members":{"CloudFrontOriginAccessIdentityConfig":{"shape":"Sp","locationName":"CloudFrontOriginAccessIdentityConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"CloudFrontOriginAccessIdentityConfig"},"output":{"type":"structure","members":{"CloudFrontOriginAccessIdentity":{"shape":"Sr"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"CloudFrontOriginAccessIdentity"}},"UpdateDistribution":{"http":{"method":"PUT","requestUri":"/2020-05-31/distribution/{Id}/config"},"input":{"type":"structure","required":["DistributionConfig","Id"],"members":{"DistributionConfig":{"shape":"St","locationName":"DistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"DistributionConfig"},"output":{"type":"structure","members":{"Distribution":{"shape":"S2r"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"Distribution"}},"UpdateFieldLevelEncryptionConfig":{"http":{"method":"PUT","requestUri":"/2020-05-31/field-level-encryption/{Id}/config"},"input":{"type":"structure","required":["FieldLevelEncryptionConfig","Id"],"members":{"FieldLevelEncryptionConfig":{"shape":"S3c","locationName":"FieldLevelEncryptionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"FieldLevelEncryptionConfig"},"output":{"type":"structure","members":{"FieldLevelEncryption":{"shape":"S3n"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryption"}},"UpdateFieldLevelEncryptionProfile":{"http":{"method":"PUT","requestUri":"/2020-05-31/field-level-encryption-profile/{Id}/config"},"input":{"type":"structure","required":["FieldLevelEncryptionProfileConfig","Id"],"members":{"FieldLevelEncryptionProfileConfig":{"shape":"S3p","locationName":"FieldLevelEncryptionProfileConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"FieldLevelEncryptionProfileConfig"},"output":{"type":"structure","members":{"FieldLevelEncryptionProfile":{"shape":"S3w"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"FieldLevelEncryptionProfile"}},"UpdateFunction":{"http":{"method":"PUT","requestUri":"/2020-05-31/function/{Name}"},"input":{"locationName":"UpdateFunctionRequest","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"},"type":"structure","required":["IfMatch","FunctionConfig","FunctionCode","Name"],"members":{"Name":{"location":"uri","locationName":"Name"},"IfMatch":{"location":"header","locationName":"If-Match"},"FunctionConfig":{"shape":"S3z"},"FunctionCode":{"shape":"S41"}}},"output":{"type":"structure","members":{"FunctionSummary":{"shape":"S43"},"ETag":{"location":"header","locationName":"ETtag"}},"payload":"FunctionSummary"}},"UpdateKeyGroup":{"http":{"method":"PUT","requestUri":"/2020-05-31/key-group/{Id}"},"input":{"type":"structure","required":["KeyGroupConfig","Id"],"members":{"KeyGroupConfig":{"shape":"S4d","locationName":"KeyGroupConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"KeyGroupConfig"},"output":{"type":"structure","members":{"KeyGroup":{"shape":"S4g"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"KeyGroup"}},"UpdateOriginRequestPolicy":{"http":{"method":"PUT","requestUri":"/2020-05-31/origin-request-policy/{Id}"},"input":{"type":"structure","required":["OriginRequestPolicyConfig","Id"],"members":{"OriginRequestPolicyConfig":{"shape":"S4n","locationName":"OriginRequestPolicyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"OriginRequestPolicyConfig"},"output":{"type":"structure","members":{"OriginRequestPolicy":{"shape":"S4v"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"OriginRequestPolicy"}},"UpdatePublicKey":{"http":{"method":"PUT","requestUri":"/2020-05-31/public-key/{Id}/config"},"input":{"type":"structure","required":["PublicKeyConfig","Id"],"members":{"PublicKeyConfig":{"shape":"S4x","locationName":"PublicKeyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"PublicKeyConfig"},"output":{"type":"structure","members":{"PublicKey":{"shape":"S4z"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"PublicKey"}},"UpdateRealtimeLogConfig":{"http":{"method":"PUT","requestUri":"/2020-05-31/realtime-log-config/"},"input":{"locationName":"UpdateRealtimeLogConfigRequest","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"},"type":"structure","members":{"EndPoints":{"shape":"S51"},"Fields":{"shape":"S54"},"Name":{},"ARN":{},"SamplingRate":{"type":"long"}}},"output":{"type":"structure","members":{"RealtimeLogConfig":{"shape":"S56"}}}},"UpdateResponseHeadersPolicy":{"http":{"method":"PUT","requestUri":"/2020-05-31/response-headers-policy/{Id}"},"input":{"type":"structure","required":["ResponseHeadersPolicyConfig","Id"],"members":{"ResponseHeadersPolicyConfig":{"shape":"S58","locationName":"ResponseHeadersPolicyConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"ResponseHeadersPolicyConfig"},"output":{"type":"structure","members":{"ResponseHeadersPolicy":{"shape":"S5w"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"ResponseHeadersPolicy"}},"UpdateStreamingDistribution":{"http":{"method":"PUT","requestUri":"/2020-05-31/streaming-distribution/{Id}/config"},"input":{"type":"structure","required":["StreamingDistributionConfig","Id"],"members":{"StreamingDistributionConfig":{"shape":"S5y","locationName":"StreamingDistributionConfig","xmlNamespace":{"uri":"http://cloudfront.amazonaws.com/doc/2020-05-31/"}},"Id":{"location":"uri","locationName":"Id"},"IfMatch":{"location":"header","locationName":"If-Match"}},"payload":"StreamingDistributionConfig"},"output":{"type":"structure","members":{"StreamingDistribution":{"shape":"S62"},"ETag":{"location":"header","locationName":"ETag"}},"payload":"StreamingDistribution"}}},"shapes":{"S4":{"type":"structure","required":["Name","MinTTL"],"members":{"Comment":{},"Name":{},"DefaultTTL":{"type":"long"},"MaxTTL":{"type":"long"},"MinTTL":{"type":"long"},"ParametersInCacheKeyAndForwardedToOrigin":{"type":"structure","required":["EnableAcceptEncodingGzip","HeadersConfig","CookiesConfig","QueryStringsConfig"],"members":{"EnableAcceptEncodingGzip":{"type":"boolean"},"EnableAcceptEncodingBrotli":{"type":"boolean"},"HeadersConfig":{"type":"structure","required":["HeaderBehavior"],"members":{"HeaderBehavior":{},"Headers":{"shape":"Sa"}}},"CookiesConfig":{"type":"structure","required":["CookieBehavior"],"members":{"CookieBehavior":{},"Cookies":{"shape":"Sf"}}},"QueryStringsConfig":{"type":"structure","required":["QueryStringBehavior"],"members":{"QueryStringBehavior":{},"QueryStrings":{"shape":"Sj"}}}}}}},"Sa":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}},"Sf":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}},"Sj":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}},"Sm":{"type":"structure","required":["Id","LastModifiedTime","CachePolicyConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"CachePolicyConfig":{"shape":"S4"}}},"Sp":{"type":"structure","required":["CallerReference","Comment"],"members":{"CallerReference":{},"Comment":{}}},"Sr":{"type":"structure","required":["Id","S3CanonicalUserId"],"members":{"Id":{},"S3CanonicalUserId":{},"CloudFrontOriginAccessIdentityConfig":{"shape":"Sp"}}},"St":{"type":"structure","required":["CallerReference","Origins","DefaultCacheBehavior","Comment","Enabled"],"members":{"CallerReference":{},"Aliases":{"shape":"Su"},"DefaultRootObject":{},"Origins":{"shape":"Sw"},"OriginGroups":{"shape":"S1b"},"DefaultCacheBehavior":{"shape":"S1k"},"CacheBehaviors":{"shape":"S28"},"CustomErrorResponses":{"shape":"S2b"},"Comment":{"type":"string","sensitive":true},"Logging":{"type":"structure","required":["Enabled","IncludeCookies","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"IncludeCookies":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S2h"},"Restrictions":{"shape":"S2l"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"}}},"Su":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CNAME"}}}},"Sw":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Origin","type":"structure","required":["Id","DomainName"],"members":{"Id":{},"DomainName":{},"OriginPath":{},"CustomHeaders":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginCustomHeader","type":"structure","required":["HeaderName","HeaderValue"],"members":{"HeaderName":{},"HeaderValue":{"shape":"S12"}}}}}},"S3OriginConfig":{"type":"structure","required":["OriginAccessIdentity"],"members":{"OriginAccessIdentity":{}}},"CustomOriginConfig":{"type":"structure","required":["HTTPPort","HTTPSPort","OriginProtocolPolicy"],"members":{"HTTPPort":{"type":"integer"},"HTTPSPort":{"type":"integer"},"OriginProtocolPolicy":{},"OriginSslProtocols":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"SslProtocol"}}}},"OriginReadTimeout":{"type":"integer"},"OriginKeepaliveTimeout":{"type":"integer"}}},"ConnectionAttempts":{"type":"integer"},"ConnectionTimeout":{"type":"integer"},"OriginShield":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"},"OriginShieldRegion":{}}}}}}}},"S12":{"type":"string","sensitive":true},"S1b":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginGroup","type":"structure","required":["Id","FailoverCriteria","Members"],"members":{"Id":{},"FailoverCriteria":{"type":"structure","required":["StatusCodes"],"members":{"StatusCodes":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"StatusCode","type":"integer"}}}}}},"Members":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"OriginGroupMember","type":"structure","required":["OriginId"],"members":{"OriginId":{}}}}}}}}}}},"S1k":{"type":"structure","required":["TargetOriginId","ViewerProtocolPolicy"],"members":{"TargetOriginId":{},"TrustedSigners":{"shape":"S1l"},"TrustedKeyGroups":{"shape":"S1n"},"ViewerProtocolPolicy":{},"AllowedMethods":{"shape":"S1q"},"SmoothStreaming":{"type":"boolean"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S1u"},"FunctionAssociations":{"shape":"S1z"},"FieldLevelEncryptionId":{},"RealtimeLogConfigArn":{},"CachePolicyId":{},"OriginRequestPolicyId":{},"ResponseHeadersPolicyId":{},"ForwardedValues":{"shape":"S23","deprecated":true},"MinTTL":{"deprecated":true,"type":"long"},"DefaultTTL":{"deprecated":true,"type":"long"},"MaxTTL":{"deprecated":true,"type":"long"}}},"S1l":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"AwsAccountNumber"}}}},"S1n":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"KeyGroup"}}}},"S1q":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S1r"},"CachedMethods":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"shape":"S1r"}}}}},"S1r":{"type":"list","member":{"locationName":"Method"}},"S1u":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"LambdaFunctionAssociation","type":"structure","required":["LambdaFunctionARN","EventType"],"members":{"LambdaFunctionARN":{},"EventType":{},"IncludeBody":{"type":"boolean"}}}}}},"S1z":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FunctionAssociation","type":"structure","required":["FunctionARN","EventType"],"members":{"FunctionARN":{},"EventType":{}}}}}},"S23":{"type":"structure","required":["QueryString","Cookies"],"members":{"QueryString":{"type":"boolean"},"Cookies":{"type":"structure","required":["Forward"],"members":{"Forward":{},"WhitelistedNames":{"shape":"Sf"}}},"Headers":{"shape":"Sa"},"QueryStringCacheKeys":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Name"}}}}}},"S28":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CacheBehavior","type":"structure","required":["PathPattern","TargetOriginId","ViewerProtocolPolicy"],"members":{"PathPattern":{},"TargetOriginId":{},"TrustedSigners":{"shape":"S1l"},"TrustedKeyGroups":{"shape":"S1n"},"ViewerProtocolPolicy":{},"AllowedMethods":{"shape":"S1q"},"SmoothStreaming":{"type":"boolean"},"Compress":{"type":"boolean"},"LambdaFunctionAssociations":{"shape":"S1u"},"FunctionAssociations":{"shape":"S1z"},"FieldLevelEncryptionId":{},"RealtimeLogConfigArn":{},"CachePolicyId":{},"OriginRequestPolicyId":{},"ResponseHeadersPolicyId":{},"ForwardedValues":{"shape":"S23","deprecated":true},"MinTTL":{"deprecated":true,"type":"long"},"DefaultTTL":{"deprecated":true,"type":"long"},"MaxTTL":{"deprecated":true,"type":"long"}}}}}},"S2b":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"CustomErrorResponse","type":"structure","required":["ErrorCode"],"members":{"ErrorCode":{"type":"integer"},"ResponsePagePath":{},"ResponseCode":{},"ErrorCachingMinTTL":{"type":"long"}}}}}},"S2h":{"type":"structure","members":{"CloudFrontDefaultCertificate":{"type":"boolean"},"IAMCertificateId":{},"ACMCertificateArn":{},"SSLSupportMethod":{},"MinimumProtocolVersion":{},"Certificate":{"deprecated":true},"CertificateSource":{"deprecated":true}}},"S2l":{"type":"structure","required":["GeoRestriction"],"members":{"GeoRestriction":{"type":"structure","required":["RestrictionType","Quantity"],"members":{"RestrictionType":{},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Location"}}}}}},"S2r":{"type":"structure","required":["Id","ARN","Status","LastModifiedTime","InProgressInvalidationBatches","DomainName","DistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"InProgressInvalidationBatches":{"type":"integer"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S2s"},"ActiveTrustedKeyGroups":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"KeyGroup","type":"structure","members":{"KeyGroupId":{},"KeyPairIds":{"shape":"S2v"}}}}}},"DistributionConfig":{"shape":"St"},"AliasICPRecordals":{"shape":"S30"}}},"S2s":{"type":"structure","required":["Enabled","Quantity"],"members":{"Enabled":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Signer","type":"structure","members":{"AwsAccountNumber":{},"KeyPairIds":{"shape":"S2v"}}}}}},"S2v":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"KeyPairId"}}}},"S30":{"type":"list","member":{"locationName":"AliasICPRecordal","type":"structure","members":{"CNAME":{},"ICPRecordalStatus":{}}}},"S35":{"type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Tag","type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}}}},"S3c":{"type":"structure","required":["CallerReference"],"members":{"CallerReference":{},"Comment":{},"QueryArgProfileConfig":{"shape":"S3d"},"ContentTypeProfileConfig":{"shape":"S3h"}}},"S3d":{"type":"structure","required":["ForwardWhenQueryArgProfileIsUnknown"],"members":{"ForwardWhenQueryArgProfileIsUnknown":{"type":"boolean"},"QueryArgProfiles":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"QueryArgProfile","type":"structure","required":["QueryArg","ProfileId"],"members":{"QueryArg":{},"ProfileId":{}}}}}}}},"S3h":{"type":"structure","required":["ForwardWhenContentTypeIsUnknown"],"members":{"ForwardWhenContentTypeIsUnknown":{"type":"boolean"},"ContentTypeProfiles":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"ContentTypeProfile","type":"structure","required":["Format","ContentType"],"members":{"Format":{},"ProfileId":{},"ContentType":{}}}}}}}},"S3n":{"type":"structure","required":["Id","LastModifiedTime","FieldLevelEncryptionConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"FieldLevelEncryptionConfig":{"shape":"S3c"}}},"S3p":{"type":"structure","required":["Name","CallerReference","EncryptionEntities"],"members":{"Name":{},"CallerReference":{},"Comment":{},"EncryptionEntities":{"shape":"S3q"}}},"S3q":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"EncryptionEntity","type":"structure","required":["PublicKeyId","ProviderId","FieldPatterns"],"members":{"PublicKeyId":{},"ProviderId":{},"FieldPatterns":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"FieldPattern"}}}}}}}}},"S3w":{"type":"structure","required":["Id","LastModifiedTime","FieldLevelEncryptionProfileConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"FieldLevelEncryptionProfileConfig":{"shape":"S3p"}}},"S3z":{"type":"structure","required":["Comment","Runtime"],"members":{"Comment":{},"Runtime":{}}},"S41":{"type":"blob","sensitive":true},"S43":{"type":"structure","required":["Name","FunctionConfig","FunctionMetadata"],"members":{"Name":{},"Status":{},"FunctionConfig":{"shape":"S3z"},"FunctionMetadata":{"type":"structure","required":["FunctionARN","LastModifiedTime"],"members":{"FunctionARN":{},"Stage":{},"CreatedTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}}},"S47":{"type":"structure","required":["Paths","CallerReference"],"members":{"Paths":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Path"}}}},"CallerReference":{}}},"S4b":{"type":"structure","required":["Id","Status","CreateTime","InvalidationBatch"],"members":{"Id":{},"Status":{},"CreateTime":{"type":"timestamp"},"InvalidationBatch":{"shape":"S47"}}},"S4d":{"type":"structure","required":["Name","Items"],"members":{"Name":{},"Items":{"type":"list","member":{"locationName":"PublicKey"}},"Comment":{}}},"S4g":{"type":"structure","required":["Id","LastModifiedTime","KeyGroupConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"KeyGroupConfig":{"shape":"S4d"}}},"S4i":{"type":"structure","members":{"RealtimeMetricsSubscriptionConfig":{"type":"structure","required":["RealtimeMetricsSubscriptionStatus"],"members":{"RealtimeMetricsSubscriptionStatus":{}}}}},"S4n":{"type":"structure","required":["Name","HeadersConfig","CookiesConfig","QueryStringsConfig"],"members":{"Comment":{},"Name":{},"HeadersConfig":{"type":"structure","required":["HeaderBehavior"],"members":{"HeaderBehavior":{},"Headers":{"shape":"Sa"}}},"CookiesConfig":{"type":"structure","required":["CookieBehavior"],"members":{"CookieBehavior":{},"Cookies":{"shape":"Sf"}}},"QueryStringsConfig":{"type":"structure","required":["QueryStringBehavior"],"members":{"QueryStringBehavior":{},"QueryStrings":{"shape":"Sj"}}}}},"S4v":{"type":"structure","required":["Id","LastModifiedTime","OriginRequestPolicyConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"OriginRequestPolicyConfig":{"shape":"S4n"}}},"S4x":{"type":"structure","required":["CallerReference","Name","EncodedKey"],"members":{"CallerReference":{},"Name":{},"EncodedKey":{},"Comment":{}}},"S4z":{"type":"structure","required":["Id","CreatedTime","PublicKeyConfig"],"members":{"Id":{},"CreatedTime":{"type":"timestamp"},"PublicKeyConfig":{"shape":"S4x"}}},"S51":{"type":"list","member":{"type":"structure","required":["StreamType"],"members":{"StreamType":{},"KinesisStreamConfig":{"type":"structure","required":["RoleARN","StreamARN"],"members":{"RoleARN":{},"StreamARN":{}}}}}},"S54":{"type":"list","member":{"locationName":"Field"}},"S56":{"type":"structure","required":["ARN","Name","SamplingRate","EndPoints","Fields"],"members":{"ARN":{},"Name":{},"SamplingRate":{"type":"long"},"EndPoints":{"shape":"S51"},"Fields":{"shape":"S54"}}},"S58":{"type":"structure","required":["Name"],"members":{"Comment":{},"Name":{},"CorsConfig":{"type":"structure","required":["AccessControlAllowOrigins","AccessControlAllowHeaders","AccessControlAllowMethods","AccessControlAllowCredentials","OriginOverride"],"members":{"AccessControlAllowOrigins":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Origin"}}}},"AccessControlAllowHeaders":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Header"}}}},"AccessControlAllowMethods":{"type":"structure","required":["Quantity","Items"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Method"}}}},"AccessControlAllowCredentials":{"type":"boolean"},"AccessControlExposeHeaders":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"Header"}}}},"AccessControlMaxAgeSec":{"type":"integer"},"OriginOverride":{"type":"boolean"}}},"SecurityHeadersConfig":{"type":"structure","members":{"XSSProtection":{"type":"structure","required":["Override","Protection"],"members":{"Override":{"type":"boolean"},"Protection":{"type":"boolean"},"ModeBlock":{"type":"boolean"},"ReportUri":{}}},"FrameOptions":{"type":"structure","required":["Override","FrameOption"],"members":{"Override":{"type":"boolean"},"FrameOption":{}}},"ReferrerPolicy":{"type":"structure","required":["Override","ReferrerPolicy"],"members":{"Override":{"type":"boolean"},"ReferrerPolicy":{}}},"ContentSecurityPolicy":{"type":"structure","required":["Override","ContentSecurityPolicy"],"members":{"Override":{"type":"boolean"},"ContentSecurityPolicy":{}}},"ContentTypeOptions":{"type":"structure","required":["Override"],"members":{"Override":{"type":"boolean"}}},"StrictTransportSecurity":{"type":"structure","required":["Override","AccessControlMaxAgeSec"],"members":{"Override":{"type":"boolean"},"IncludeSubdomains":{"type":"boolean"},"Preload":{"type":"boolean"},"AccessControlMaxAgeSec":{"type":"integer"}}}}},"CustomHeadersConfig":{"type":"structure","required":["Quantity"],"members":{"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"ResponseHeadersPolicyCustomHeader","type":"structure","required":["Header","Value","Override"],"members":{"Header":{},"Value":{},"Override":{"type":"boolean"}}}}}}}},"S5w":{"type":"structure","required":["Id","LastModifiedTime","ResponseHeadersPolicyConfig"],"members":{"Id":{},"LastModifiedTime":{"type":"timestamp"},"ResponseHeadersPolicyConfig":{"shape":"S58"}}},"S5y":{"type":"structure","required":["CallerReference","S3Origin","Comment","TrustedSigners","Enabled"],"members":{"CallerReference":{},"S3Origin":{"shape":"S5z"},"Aliases":{"shape":"Su"},"Comment":{},"Logging":{"type":"structure","required":["Enabled","Bucket","Prefix"],"members":{"Enabled":{"type":"boolean"},"Bucket":{},"Prefix":{}}},"TrustedSigners":{"shape":"S1l"},"PriceClass":{},"Enabled":{"type":"boolean"}}},"S5z":{"type":"structure","required":["DomainName","OriginAccessIdentity"],"members":{"DomainName":{},"OriginAccessIdentity":{}}},"S62":{"type":"structure","required":["Id","ARN","Status","DomainName","ActiveTrustedSigners","StreamingDistributionConfig"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"ActiveTrustedSigners":{"shape":"S2s"},"StreamingDistributionConfig":{"shape":"S5y"}}},"S8j":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"DistributionSummary","type":"structure","required":["Id","ARN","Status","LastModifiedTime","DomainName","Aliases","Origins","DefaultCacheBehavior","CacheBehaviors","CustomErrorResponses","Comment","PriceClass","Enabled","ViewerCertificate","Restrictions","WebACLId","HttpVersion","IsIPV6Enabled"],"members":{"Id":{},"ARN":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"DomainName":{},"Aliases":{"shape":"Su"},"Origins":{"shape":"Sw"},"OriginGroups":{"shape":"S1b"},"DefaultCacheBehavior":{"shape":"S1k"},"CacheBehaviors":{"shape":"S28"},"CustomErrorResponses":{"shape":"S2b"},"Comment":{},"PriceClass":{},"Enabled":{"type":"boolean"},"ViewerCertificate":{"shape":"S2h"},"Restrictions":{"shape":"S2l"},"WebACLId":{},"HttpVersion":{},"IsIPV6Enabled":{"type":"boolean"},"AliasICPRecordals":{"shape":"S30"}}}}}},"S8o":{"type":"structure","required":["Marker","MaxItems","IsTruncated","Quantity"],"members":{"Marker":{},"NextMarker":{},"MaxItems":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Quantity":{"type":"integer"},"Items":{"type":"list","member":{"locationName":"DistributionId"}}}}}}');

/***/ }),

/***/ 48335:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCloudFrontOriginAccessIdentities":{"input_token":"Marker","limit_key":"MaxItems","more_results":"CloudFrontOriginAccessIdentityList.IsTruncated","output_token":"CloudFrontOriginAccessIdentityList.NextMarker","result_key":"CloudFrontOriginAccessIdentityList.Items"},"ListDistributions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"DistributionList.IsTruncated","output_token":"DistributionList.NextMarker","result_key":"DistributionList.Items"},"ListInvalidations":{"input_token":"Marker","limit_key":"MaxItems","more_results":"InvalidationList.IsTruncated","output_token":"InvalidationList.NextMarker","result_key":"InvalidationList.Items"},"ListStreamingDistributions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"StreamingDistributionList.IsTruncated","output_token":"StreamingDistributionList.NextMarker","result_key":"StreamingDistributionList.Items"}}}');

/***/ }),

/***/ 83517:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DistributionDeployed":{"delay":60,"operation":"GetDistribution","maxAttempts":35,"description":"Wait until a distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"Distribution.Status"}]},"InvalidationCompleted":{"delay":20,"operation":"GetInvalidation","maxAttempts":30,"description":"Wait until an invalidation has completed.","acceptors":[{"expected":"Completed","matcher":"path","state":"success","argument":"Invalidation.Status"}]},"StreamingDistributionDeployed":{"delay":60,"operation":"GetStreamingDistribution","maxAttempts":25,"description":"Wait until a streaming distribution is deployed.","acceptors":[{"expected":"Deployed","matcher":"path","state":"success","argument":"StreamingDistribution.Status"}]}}}');

/***/ }),

/***/ 18637:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-05-30","endpointPrefix":"cloudhsm","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"CloudHSM","serviceFullName":"Amazon CloudHSM","serviceId":"CloudHSM","signatureVersion":"v4","targetPrefix":"CloudHsmFrontendService","uid":"cloudhsm-2014-05-30"},"operations":{"AddTagsToResource":{"input":{"type":"structure","required":["ResourceArn","TagList"],"members":{"ResourceArn":{},"TagList":{"shape":"S3"}}},"output":{"type":"structure","required":["Status"],"members":{"Status":{}}}},"CreateHapg":{"input":{"type":"structure","required":["Label"],"members":{"Label":{}}},"output":{"type":"structure","members":{"HapgArn":{}}}},"CreateHsm":{"input":{"type":"structure","required":["SubnetId","SshKey","IamRoleArn","SubscriptionType"],"members":{"SubnetId":{},"SshKey":{},"EniIp":{},"IamRoleArn":{},"ExternalId":{},"SubscriptionType":{},"ClientToken":{},"SyslogIp":{}}},"output":{"type":"structure","members":{"HsmArn":{}}}},"CreateLunaClient":{"input":{"type":"structure","required":["Certificate"],"members":{"Label":{},"Certificate":{}}},"output":{"type":"structure","members":{"ClientArn":{}}}},"DeleteHapg":{"input":{"type":"structure","required":["HapgArn"],"members":{"HapgArn":{}}},"output":{"type":"structure","required":["Status"],"members":{"Status":{}}}},"DeleteHsm":{"input":{"type":"structure","required":["HsmArn"],"members":{"HsmArn":{}}},"output":{"type":"structure","required":["Status"],"members":{"Status":{}}}},"DeleteLunaClient":{"input":{"type":"structure","required":["ClientArn"],"members":{"ClientArn":{}}},"output":{"type":"structure","required":["Status"],"members":{"Status":{}}}},"DescribeHapg":{"input":{"type":"structure","required":["HapgArn"],"members":{"HapgArn":{}}},"output":{"type":"structure","members":{"HapgArn":{},"HapgSerial":{},"HsmsLastActionFailed":{"shape":"Sz"},"HsmsPendingDeletion":{"shape":"Sz"},"HsmsPendingRegistration":{"shape":"Sz"},"Label":{},"LastModifiedTimestamp":{},"PartitionSerialList":{"shape":"S11"},"State":{}}}},"DescribeHsm":{"input":{"type":"structure","members":{"HsmArn":{},"HsmSerialNumber":{}}},"output":{"type":"structure","members":{"HsmArn":{},"Status":{},"StatusDetails":{},"AvailabilityZone":{},"EniId":{},"EniIp":{},"SubscriptionType":{},"SubscriptionStartDate":{},"SubscriptionEndDate":{},"VpcId":{},"SubnetId":{},"IamRoleArn":{},"SerialNumber":{},"VendorName":{},"HsmType":{},"SoftwareVersion":{},"SshPublicKey":{},"SshKeyLastUpdated":{},"ServerCertUri":{},"ServerCertLastUpdated":{},"Partitions":{"type":"list","member":{}}}}},"DescribeLunaClient":{"input":{"type":"structure","members":{"ClientArn":{},"CertificateFingerprint":{}}},"output":{"type":"structure","members":{"ClientArn":{},"Certificate":{},"CertificateFingerprint":{},"LastModifiedTimestamp":{},"Label":{}}}},"GetConfig":{"input":{"type":"structure","required":["ClientArn","ClientVersion","HapgList"],"members":{"ClientArn":{},"ClientVersion":{},"HapgList":{"shape":"S1i"}}},"output":{"type":"structure","members":{"ConfigType":{},"ConfigFile":{},"ConfigCred":{}}}},"ListAvailableZones":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"AZList":{"type":"list","member":{}}}}},"ListHapgs":{"input":{"type":"structure","members":{"NextToken":{}}},"output":{"type":"structure","required":["HapgList"],"members":{"HapgList":{"shape":"S1i"},"NextToken":{}}}},"ListHsms":{"input":{"type":"structure","members":{"NextToken":{}}},"output":{"type":"structure","members":{"HsmList":{"shape":"Sz"},"NextToken":{}}}},"ListLunaClients":{"input":{"type":"structure","members":{"NextToken":{}}},"output":{"type":"structure","required":["ClientList"],"members":{"ClientList":{"type":"list","member":{}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","required":["TagList"],"members":{"TagList":{"shape":"S3"}}}},"ModifyHapg":{"input":{"type":"structure","required":["HapgArn"],"members":{"HapgArn":{},"Label":{},"PartitionSerialList":{"shape":"S11"}}},"output":{"type":"structure","members":{"HapgArn":{}}}},"ModifyHsm":{"input":{"type":"structure","required":["HsmArn"],"members":{"HsmArn":{},"SubnetId":{},"EniIp":{},"IamRoleArn":{},"ExternalId":{},"SyslogIp":{}}},"output":{"type":"structure","members":{"HsmArn":{}}}},"ModifyLunaClient":{"input":{"type":"structure","required":["ClientArn","Certificate"],"members":{"ClientArn":{},"Certificate":{}}},"output":{"type":"structure","members":{"ClientArn":{}}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceArn","TagKeyList"],"members":{"ResourceArn":{},"TagKeyList":{"type":"list","member":{}}}},"output":{"type":"structure","required":["Status"],"members":{"Status":{}}}}},"shapes":{"S3":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sz":{"type":"list","member":{}},"S11":{"type":"list","member":{}},"S1i":{"type":"list","member":{}}}}');

/***/ }),

/***/ 18988:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 90554:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-04-28","endpointPrefix":"cloudhsmv2","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"CloudHSM V2","serviceFullName":"AWS CloudHSM V2","serviceId":"CloudHSM V2","signatureVersion":"v4","signingName":"cloudhsm","targetPrefix":"BaldrApiService","uid":"cloudhsmv2-2017-04-28"},"operations":{"CopyBackupToRegion":{"input":{"type":"structure","required":["DestinationRegion","BackupId"],"members":{"DestinationRegion":{},"BackupId":{},"TagList":{"shape":"S4"}}},"output":{"type":"structure","members":{"DestinationBackup":{"type":"structure","members":{"CreateTimestamp":{"type":"timestamp"},"SourceRegion":{},"SourceBackup":{},"SourceCluster":{}}}}}},"CreateCluster":{"input":{"type":"structure","required":["HsmType","SubnetIds"],"members":{"BackupRetentionPolicy":{"shape":"Sd"},"HsmType":{},"SourceBackupId":{},"SubnetIds":{"type":"list","member":{}},"TagList":{"shape":"S4"}}},"output":{"type":"structure","members":{"Cluster":{"shape":"Sk"}}}},"CreateHsm":{"input":{"type":"structure","required":["ClusterId","AvailabilityZone"],"members":{"ClusterId":{},"AvailabilityZone":{},"IpAddress":{}}},"output":{"type":"structure","members":{"Hsm":{"shape":"Sn"}}}},"DeleteBackup":{"input":{"type":"structure","required":["BackupId"],"members":{"BackupId":{}}},"output":{"type":"structure","members":{"Backup":{"shape":"S16"}}}},"DeleteCluster":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{}}},"output":{"type":"structure","members":{"Cluster":{"shape":"Sk"}}}},"DeleteHsm":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{},"HsmId":{},"EniId":{},"EniIp":{}}},"output":{"type":"structure","members":{"HsmId":{}}}},"DescribeBackups":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S1g"},"SortAscending":{"type":"boolean"}}},"output":{"type":"structure","members":{"Backups":{"type":"list","member":{"shape":"S16"}},"NextToken":{}}}},"DescribeClusters":{"input":{"type":"structure","members":{"Filters":{"shape":"S1g"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Clusters":{"type":"list","member":{"shape":"Sk"}},"NextToken":{}}}},"InitializeCluster":{"input":{"type":"structure","required":["ClusterId","SignedCert","TrustAnchor"],"members":{"ClusterId":{},"SignedCert":{},"TrustAnchor":{}}},"output":{"type":"structure","members":{"State":{},"StateMessage":{}}}},"ListTags":{"input":{"type":"structure","required":["ResourceId"],"members":{"ResourceId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["TagList"],"members":{"TagList":{"shape":"S4"},"NextToken":{}}}},"ModifyBackupAttributes":{"input":{"type":"structure","required":["BackupId","NeverExpires"],"members":{"BackupId":{},"NeverExpires":{"type":"boolean"}}},"output":{"type":"structure","members":{"Backup":{"shape":"S16"}}}},"ModifyCluster":{"input":{"type":"structure","required":["BackupRetentionPolicy","ClusterId"],"members":{"BackupRetentionPolicy":{"shape":"Sd"},"ClusterId":{}}},"output":{"type":"structure","members":{"Cluster":{"shape":"Sk"}}}},"RestoreBackup":{"input":{"type":"structure","required":["BackupId"],"members":{"BackupId":{}}},"output":{"type":"structure","members":{"Backup":{"shape":"S16"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceId","TagList"],"members":{"ResourceId":{},"TagList":{"shape":"S4"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceId","TagKeyList"],"members":{"ResourceId":{},"TagKeyList":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"S4":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sd":{"type":"structure","members":{"Type":{},"Value":{}}},"Sk":{"type":"structure","members":{"BackupPolicy":{},"BackupRetentionPolicy":{"shape":"Sd"},"ClusterId":{},"CreateTimestamp":{"type":"timestamp"},"Hsms":{"type":"list","member":{"shape":"Sn"}},"HsmType":{},"PreCoPassword":{},"SecurityGroup":{},"SourceBackupId":{},"State":{},"StateMessage":{},"SubnetMapping":{"type":"map","key":{},"value":{}},"VpcId":{},"Certificates":{"type":"structure","members":{"ClusterCsr":{},"HsmCertificate":{},"AwsHardwareCertificate":{},"ManufacturerHardwareCertificate":{},"ClusterCertificate":{}}},"TagList":{"shape":"S4"}}},"Sn":{"type":"structure","required":["HsmId"],"members":{"AvailabilityZone":{},"ClusterId":{},"SubnetId":{},"EniId":{},"EniIp":{},"HsmId":{},"State":{},"StateMessage":{}}},"S16":{"type":"structure","required":["BackupId"],"members":{"BackupId":{},"BackupState":{},"ClusterId":{},"CreateTimestamp":{"type":"timestamp"},"CopyTimestamp":{"type":"timestamp"},"NeverExpires":{"type":"boolean"},"SourceRegion":{},"SourceBackup":{},"SourceCluster":{},"DeleteTimestamp":{"type":"timestamp"},"TagList":{"shape":"S4"}}},"S1g":{"type":"map","key":{},"value":{"type":"list","member":{}}}}}');

/***/ }),

/***/ 77334:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeBackups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeClusters":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTags":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 11732:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2011-02-01","endpointPrefix":"cloudsearch","serviceFullName":"Amazon CloudSearch","serviceId":"CloudSearch","signatureVersion":"v4","xmlNamespace":"http://cloudsearch.amazonaws.com/doc/2011-02-01/","protocol":"query"},"operations":{"CreateDomain":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"CreateDomainResult","type":"structure","members":{"DomainStatus":{"shape":"S4"}}}},"DefineIndexField":{"input":{"type":"structure","required":["DomainName","IndexField"],"members":{"DomainName":{},"IndexField":{"shape":"Sf"}}},"output":{"resultWrapper":"DefineIndexFieldResult","type":"structure","required":["IndexField"],"members":{"IndexField":{"shape":"Sx"}}}},"DefineRankExpression":{"input":{"type":"structure","required":["DomainName","RankExpression"],"members":{"DomainName":{},"RankExpression":{"shape":"S12"}}},"output":{"resultWrapper":"DefineRankExpressionResult","type":"structure","required":["RankExpression"],"members":{"RankExpression":{"shape":"S15"}}}},"DeleteDomain":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"DeleteDomainResult","type":"structure","members":{"DomainStatus":{"shape":"S4"}}}},"DeleteIndexField":{"input":{"type":"structure","required":["DomainName","IndexFieldName"],"members":{"DomainName":{},"IndexFieldName":{}}},"output":{"resultWrapper":"DeleteIndexFieldResult","type":"structure","required":["IndexField"],"members":{"IndexField":{"shape":"Sx"}}}},"DeleteRankExpression":{"input":{"type":"structure","required":["DomainName","RankName"],"members":{"DomainName":{},"RankName":{}}},"output":{"resultWrapper":"DeleteRankExpressionResult","type":"structure","required":["RankExpression"],"members":{"RankExpression":{"shape":"S15"}}}},"DescribeAvailabilityOptions":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"DescribeAvailabilityOptionsResult","type":"structure","members":{"AvailabilityOptions":{"shape":"S1e"}}}},"DescribeDefaultSearchField":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"DescribeDefaultSearchFieldResult","type":"structure","required":["DefaultSearchField"],"members":{"DefaultSearchField":{"shape":"S1i"}}}},"DescribeDomains":{"input":{"type":"structure","members":{"DomainNames":{"type":"list","member":{}}}},"output":{"resultWrapper":"DescribeDomainsResult","type":"structure","required":["DomainStatusList"],"members":{"DomainStatusList":{"type":"list","member":{"shape":"S4"}}}}},"DescribeIndexFields":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"FieldNames":{"shape":"S1o"}}},"output":{"resultWrapper":"DescribeIndexFieldsResult","type":"structure","required":["IndexFields"],"members":{"IndexFields":{"type":"list","member":{"shape":"Sx"}}}}},"DescribeRankExpressions":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"RankNames":{"shape":"S1o"}}},"output":{"resultWrapper":"DescribeRankExpressionsResult","type":"structure","required":["RankExpressions"],"members":{"RankExpressions":{"type":"list","member":{"shape":"S15"}}}}},"DescribeServiceAccessPolicies":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"DescribeServiceAccessPoliciesResult","type":"structure","required":["AccessPolicies"],"members":{"AccessPolicies":{"shape":"S1w"}}}},"DescribeStemmingOptions":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"DescribeStemmingOptionsResult","type":"structure","required":["Stems"],"members":{"Stems":{"shape":"S20"}}}},"DescribeStopwordOptions":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"DescribeStopwordOptionsResult","type":"structure","required":["Stopwords"],"members":{"Stopwords":{"shape":"S24"}}}},"DescribeSynonymOptions":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"DescribeSynonymOptionsResult","type":"structure","required":["Synonyms"],"members":{"Synonyms":{"shape":"S28"}}}},"IndexDocuments":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"IndexDocumentsResult","type":"structure","members":{"FieldNames":{"shape":"S1o"}}}},"UpdateAvailabilityOptions":{"input":{"type":"structure","required":["DomainName","MultiAZ"],"members":{"DomainName":{},"MultiAZ":{"type":"boolean"}}},"output":{"resultWrapper":"UpdateAvailabilityOptionsResult","type":"structure","members":{"AvailabilityOptions":{"shape":"S1e"}}}},"UpdateDefaultSearchField":{"input":{"type":"structure","required":["DomainName","DefaultSearchField"],"members":{"DomainName":{},"DefaultSearchField":{}}},"output":{"resultWrapper":"UpdateDefaultSearchFieldResult","type":"structure","required":["DefaultSearchField"],"members":{"DefaultSearchField":{"shape":"S1i"}}}},"UpdateServiceAccessPolicies":{"input":{"type":"structure","required":["DomainName","AccessPolicies"],"members":{"DomainName":{},"AccessPolicies":{}}},"output":{"resultWrapper":"UpdateServiceAccessPoliciesResult","type":"structure","required":["AccessPolicies"],"members":{"AccessPolicies":{"shape":"S1w"}}}},"UpdateStemmingOptions":{"input":{"type":"structure","required":["DomainName","Stems"],"members":{"DomainName":{},"Stems":{}}},"output":{"resultWrapper":"UpdateStemmingOptionsResult","type":"structure","required":["Stems"],"members":{"Stems":{"shape":"S20"}}}},"UpdateStopwordOptions":{"input":{"type":"structure","required":["DomainName","Stopwords"],"members":{"DomainName":{},"Stopwords":{}}},"output":{"resultWrapper":"UpdateStopwordOptionsResult","type":"structure","required":["Stopwords"],"members":{"Stopwords":{"shape":"S24"}}}},"UpdateSynonymOptions":{"input":{"type":"structure","required":["DomainName","Synonyms"],"members":{"DomainName":{},"Synonyms":{}}},"output":{"resultWrapper":"UpdateSynonymOptionsResult","type":"structure","required":["Synonyms"],"members":{"Synonyms":{"shape":"S28"}}}}},"shapes":{"S4":{"type":"structure","required":["DomainId","DomainName","RequiresIndexDocuments"],"members":{"DomainId":{},"DomainName":{},"Created":{"type":"boolean"},"Deleted":{"type":"boolean"},"NumSearchableDocs":{"type":"long"},"DocService":{"shape":"S8"},"SearchService":{"shape":"S8"},"RequiresIndexDocuments":{"type":"boolean"},"Processing":{"type":"boolean"},"SearchInstanceType":{},"SearchPartitionCount":{"type":"integer"},"SearchInstanceCount":{"type":"integer"}}},"S8":{"type":"structure","members":{"Arn":{},"Endpoint":{}}},"Sf":{"type":"structure","required":["IndexFieldName","IndexFieldType"],"members":{"IndexFieldName":{},"IndexFieldType":{},"UIntOptions":{"type":"structure","members":{"DefaultValue":{"type":"integer"}}},"LiteralOptions":{"type":"structure","members":{"DefaultValue":{},"SearchEnabled":{"type":"boolean"},"FacetEnabled":{"type":"boolean"},"ResultEnabled":{"type":"boolean"}}},"TextOptions":{"type":"structure","members":{"DefaultValue":{},"FacetEnabled":{"type":"boolean"},"ResultEnabled":{"type":"boolean"},"TextProcessor":{}}},"SourceAttributes":{"type":"list","member":{"type":"structure","required":["SourceDataFunction"],"members":{"SourceDataFunction":{},"SourceDataCopy":{"type":"structure","required":["SourceName"],"members":{"SourceName":{},"DefaultValue":{}}},"SourceDataTrimTitle":{"type":"structure","required":["SourceName"],"members":{"SourceName":{},"DefaultValue":{},"Separator":{},"Language":{}}},"SourceDataMap":{"type":"structure","required":["SourceName"],"members":{"SourceName":{},"DefaultValue":{},"Cases":{"type":"map","key":{},"value":{}}}}}}}}},"Sx":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"Sf"},"Status":{"shape":"Sy"}}},"Sy":{"type":"structure","required":["CreationDate","UpdateDate","State"],"members":{"CreationDate":{"type":"timestamp"},"UpdateDate":{"type":"timestamp"},"UpdateVersion":{"type":"integer"},"State":{},"PendingDeletion":{"type":"boolean"}}},"S12":{"type":"structure","required":["RankName","RankExpression"],"members":{"RankName":{},"RankExpression":{}}},"S15":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S12"},"Status":{"shape":"Sy"}}},"S1e":{"type":"structure","required":["Options","Status"],"members":{"Options":{"type":"boolean"},"Status":{"shape":"Sy"}}},"S1i":{"type":"structure","required":["Options","Status"],"members":{"Options":{},"Status":{"shape":"Sy"}}},"S1o":{"type":"list","member":{}},"S1w":{"type":"structure","required":["Options","Status"],"members":{"Options":{},"Status":{"shape":"Sy"}}},"S20":{"type":"structure","required":["Options","Status"],"members":{"Options":{},"Status":{"shape":"Sy"}}},"S24":{"type":"structure","required":["Options","Status"],"members":{"Options":{},"Status":{"shape":"Sy"}}},"S28":{"type":"structure","required":["Options","Status"],"members":{"Options":{},"Status":{"shape":"Sy"}}}}}');

/***/ }),

/***/ 51357:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeDomains":{"result_key":"DomainStatusList"},"DescribeIndexFields":{"result_key":"IndexFields"},"DescribeRankExpressions":{"result_key":"RankExpressions"}}}');

/***/ }),

/***/ 56880:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2013-01-01","endpointPrefix":"cloudsearch","protocol":"query","serviceFullName":"Amazon CloudSearch","serviceId":"CloudSearch","signatureVersion":"v4","uid":"cloudsearch-2013-01-01","xmlNamespace":"http://cloudsearch.amazonaws.com/doc/2013-01-01/"},"operations":{"BuildSuggesters":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"BuildSuggestersResult","type":"structure","members":{"FieldNames":{"shape":"S4"}}}},"CreateDomain":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"CreateDomainResult","type":"structure","members":{"DomainStatus":{"shape":"S8"}}}},"DefineAnalysisScheme":{"input":{"type":"structure","required":["DomainName","AnalysisScheme"],"members":{"DomainName":{},"AnalysisScheme":{"shape":"Sl"}}},"output":{"resultWrapper":"DefineAnalysisSchemeResult","type":"structure","required":["AnalysisScheme"],"members":{"AnalysisScheme":{"shape":"Ss"}}}},"DefineExpression":{"input":{"type":"structure","required":["DomainName","Expression"],"members":{"DomainName":{},"Expression":{"shape":"Sy"}}},"output":{"resultWrapper":"DefineExpressionResult","type":"structure","required":["Expression"],"members":{"Expression":{"shape":"S11"}}}},"DefineIndexField":{"input":{"type":"structure","required":["DomainName","IndexField"],"members":{"DomainName":{},"IndexField":{"shape":"S13"}}},"output":{"resultWrapper":"DefineIndexFieldResult","type":"structure","required":["IndexField"],"members":{"IndexField":{"shape":"S1n"}}}},"DefineSuggester":{"input":{"type":"structure","required":["DomainName","Suggester"],"members":{"DomainName":{},"Suggester":{"shape":"S1p"}}},"output":{"resultWrapper":"DefineSuggesterResult","type":"structure","required":["Suggester"],"members":{"Suggester":{"shape":"S1t"}}}},"DeleteAnalysisScheme":{"input":{"type":"structure","required":["DomainName","AnalysisSchemeName"],"members":{"DomainName":{},"AnalysisSchemeName":{}}},"output":{"resultWrapper":"DeleteAnalysisSchemeResult","type":"structure","required":["AnalysisScheme"],"members":{"AnalysisScheme":{"shape":"Ss"}}}},"DeleteDomain":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"DeleteDomainResult","type":"structure","members":{"DomainStatus":{"shape":"S8"}}}},"DeleteExpression":{"input":{"type":"structure","required":["DomainName","ExpressionName"],"members":{"DomainName":{},"ExpressionName":{}}},"output":{"resultWrapper":"DeleteExpressionResult","type":"structure","required":["Expression"],"members":{"Expression":{"shape":"S11"}}}},"DeleteIndexField":{"input":{"type":"structure","required":["DomainName","IndexFieldName"],"members":{"DomainName":{},"IndexFieldName":{}}},"output":{"resultWrapper":"DeleteIndexFieldResult","type":"structure","required":["IndexField"],"members":{"IndexField":{"shape":"S1n"}}}},"DeleteSuggester":{"input":{"type":"structure","required":["DomainName","SuggesterName"],"members":{"DomainName":{},"SuggesterName":{}}},"output":{"resultWrapper":"DeleteSuggesterResult","type":"structure","required":["Suggester"],"members":{"Suggester":{"shape":"S1t"}}}},"DescribeAnalysisSchemes":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"AnalysisSchemeNames":{"shape":"S25"},"Deployed":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeAnalysisSchemesResult","type":"structure","required":["AnalysisSchemes"],"members":{"AnalysisSchemes":{"type":"list","member":{"shape":"Ss"}}}}},"DescribeAvailabilityOptions":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"Deployed":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeAvailabilityOptionsResult","type":"structure","members":{"AvailabilityOptions":{"shape":"S2a"}}}},"DescribeDomainEndpointOptions":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"Deployed":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeDomainEndpointOptionsResult","type":"structure","members":{"DomainEndpointOptions":{"shape":"S2e"}}}},"DescribeDomains":{"input":{"type":"structure","members":{"DomainNames":{"type":"list","member":{}}}},"output":{"resultWrapper":"DescribeDomainsResult","type":"structure","required":["DomainStatusList"],"members":{"DomainStatusList":{"type":"list","member":{"shape":"S8"}}}}},"DescribeExpressions":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"ExpressionNames":{"shape":"S25"},"Deployed":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeExpressionsResult","type":"structure","required":["Expressions"],"members":{"Expressions":{"type":"list","member":{"shape":"S11"}}}}},"DescribeIndexFields":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"FieldNames":{"type":"list","member":{}},"Deployed":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeIndexFieldsResult","type":"structure","required":["IndexFields"],"members":{"IndexFields":{"type":"list","member":{"shape":"S1n"}}}}},"DescribeScalingParameters":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"DescribeScalingParametersResult","type":"structure","required":["ScalingParameters"],"members":{"ScalingParameters":{"shape":"S2u"}}}},"DescribeServiceAccessPolicies":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"Deployed":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeServiceAccessPoliciesResult","type":"structure","required":["AccessPolicies"],"members":{"AccessPolicies":{"shape":"S2z"}}}},"DescribeSuggesters":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"SuggesterNames":{"shape":"S25"},"Deployed":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeSuggestersResult","type":"structure","required":["Suggesters"],"members":{"Suggesters":{"type":"list","member":{"shape":"S1t"}}}}},"IndexDocuments":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"IndexDocumentsResult","type":"structure","members":{"FieldNames":{"shape":"S4"}}}},"ListDomainNames":{"output":{"resultWrapper":"ListDomainNamesResult","type":"structure","members":{"DomainNames":{"type":"map","key":{},"value":{}}}}},"UpdateAvailabilityOptions":{"input":{"type":"structure","required":["DomainName","MultiAZ"],"members":{"DomainName":{},"MultiAZ":{"type":"boolean"}}},"output":{"resultWrapper":"UpdateAvailabilityOptionsResult","type":"structure","members":{"AvailabilityOptions":{"shape":"S2a"}}}},"UpdateDomainEndpointOptions":{"input":{"type":"structure","required":["DomainName","DomainEndpointOptions"],"members":{"DomainName":{},"DomainEndpointOptions":{"shape":"S2f"}}},"output":{"resultWrapper":"UpdateDomainEndpointOptionsResult","type":"structure","members":{"DomainEndpointOptions":{"shape":"S2e"}}}},"UpdateScalingParameters":{"input":{"type":"structure","required":["DomainName","ScalingParameters"],"members":{"DomainName":{},"ScalingParameters":{"shape":"S2v"}}},"output":{"resultWrapper":"UpdateScalingParametersResult","type":"structure","required":["ScalingParameters"],"members":{"ScalingParameters":{"shape":"S2u"}}}},"UpdateServiceAccessPolicies":{"input":{"type":"structure","required":["DomainName","AccessPolicies"],"members":{"DomainName":{},"AccessPolicies":{}}},"output":{"resultWrapper":"UpdateServiceAccessPoliciesResult","type":"structure","required":["AccessPolicies"],"members":{"AccessPolicies":{"shape":"S2z"}}}}},"shapes":{"S4":{"type":"list","member":{}},"S8":{"type":"structure","required":["DomainId","DomainName","RequiresIndexDocuments"],"members":{"DomainId":{},"DomainName":{},"ARN":{},"Created":{"type":"boolean"},"Deleted":{"type":"boolean"},"DocService":{"shape":"Sc"},"SearchService":{"shape":"Sc"},"RequiresIndexDocuments":{"type":"boolean"},"Processing":{"type":"boolean"},"SearchInstanceType":{},"SearchPartitionCount":{"type":"integer"},"SearchInstanceCount":{"type":"integer"},"Limits":{"type":"structure","required":["MaximumReplicationCount","MaximumPartitionCount"],"members":{"MaximumReplicationCount":{"type":"integer"},"MaximumPartitionCount":{"type":"integer"}}}}},"Sc":{"type":"structure","members":{"Endpoint":{}}},"Sl":{"type":"structure","required":["AnalysisSchemeName","AnalysisSchemeLanguage"],"members":{"AnalysisSchemeName":{},"AnalysisSchemeLanguage":{},"AnalysisOptions":{"type":"structure","members":{"Synonyms":{},"Stopwords":{},"StemmingDictionary":{},"JapaneseTokenizationDictionary":{},"AlgorithmicStemming":{}}}}},"Ss":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"Sl"},"Status":{"shape":"St"}}},"St":{"type":"structure","required":["CreationDate","UpdateDate","State"],"members":{"CreationDate":{"type":"timestamp"},"UpdateDate":{"type":"timestamp"},"UpdateVersion":{"type":"integer"},"State":{},"PendingDeletion":{"type":"boolean"}}},"Sy":{"type":"structure","required":["ExpressionName","ExpressionValue"],"members":{"ExpressionName":{},"ExpressionValue":{}}},"S11":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"Sy"},"Status":{"shape":"St"}}},"S13":{"type":"structure","required":["IndexFieldName","IndexFieldType"],"members":{"IndexFieldName":{},"IndexFieldType":{},"IntOptions":{"type":"structure","members":{"DefaultValue":{"type":"long"},"SourceField":{},"FacetEnabled":{"type":"boolean"},"SearchEnabled":{"type":"boolean"},"ReturnEnabled":{"type":"boolean"},"SortEnabled":{"type":"boolean"}}},"DoubleOptions":{"type":"structure","members":{"DefaultValue":{"type":"double"},"SourceField":{},"FacetEnabled":{"type":"boolean"},"SearchEnabled":{"type":"boolean"},"ReturnEnabled":{"type":"boolean"},"SortEnabled":{"type":"boolean"}}},"LiteralOptions":{"type":"structure","members":{"DefaultValue":{},"SourceField":{},"FacetEnabled":{"type":"boolean"},"SearchEnabled":{"type":"boolean"},"ReturnEnabled":{"type":"boolean"},"SortEnabled":{"type":"boolean"}}},"TextOptions":{"type":"structure","members":{"DefaultValue":{},"SourceField":{},"ReturnEnabled":{"type":"boolean"},"SortEnabled":{"type":"boolean"},"HighlightEnabled":{"type":"boolean"},"AnalysisScheme":{}}},"DateOptions":{"type":"structure","members":{"DefaultValue":{},"SourceField":{},"FacetEnabled":{"type":"boolean"},"SearchEnabled":{"type":"boolean"},"ReturnEnabled":{"type":"boolean"},"SortEnabled":{"type":"boolean"}}},"LatLonOptions":{"type":"structure","members":{"DefaultValue":{},"SourceField":{},"FacetEnabled":{"type":"boolean"},"SearchEnabled":{"type":"boolean"},"ReturnEnabled":{"type":"boolean"},"SortEnabled":{"type":"boolean"}}},"IntArrayOptions":{"type":"structure","members":{"DefaultValue":{"type":"long"},"SourceFields":{},"FacetEnabled":{"type":"boolean"},"SearchEnabled":{"type":"boolean"},"ReturnEnabled":{"type":"boolean"}}},"DoubleArrayOptions":{"type":"structure","members":{"DefaultValue":{"type":"double"},"SourceFields":{},"FacetEnabled":{"type":"boolean"},"SearchEnabled":{"type":"boolean"},"ReturnEnabled":{"type":"boolean"}}},"LiteralArrayOptions":{"type":"structure","members":{"DefaultValue":{},"SourceFields":{},"FacetEnabled":{"type":"boolean"},"SearchEnabled":{"type":"boolean"},"ReturnEnabled":{"type":"boolean"}}},"TextArrayOptions":{"type":"structure","members":{"DefaultValue":{},"SourceFields":{},"ReturnEnabled":{"type":"boolean"},"HighlightEnabled":{"type":"boolean"},"AnalysisScheme":{}}},"DateArrayOptions":{"type":"structure","members":{"DefaultValue":{},"SourceFields":{},"FacetEnabled":{"type":"boolean"},"SearchEnabled":{"type":"boolean"},"ReturnEnabled":{"type":"boolean"}}}}},"S1n":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S13"},"Status":{"shape":"St"}}},"S1p":{"type":"structure","required":["SuggesterName","DocumentSuggesterOptions"],"members":{"SuggesterName":{},"DocumentSuggesterOptions":{"type":"structure","required":["SourceField"],"members":{"SourceField":{},"FuzzyMatching":{},"SortExpression":{}}}}},"S1t":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1p"},"Status":{"shape":"St"}}},"S25":{"type":"list","member":{}},"S2a":{"type":"structure","required":["Options","Status"],"members":{"Options":{"type":"boolean"},"Status":{"shape":"St"}}},"S2e":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S2f"},"Status":{"shape":"St"}}},"S2f":{"type":"structure","members":{"EnforceHTTPS":{"type":"boolean"},"TLSSecurityPolicy":{}}},"S2u":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S2v"},"Status":{"shape":"St"}}},"S2v":{"type":"structure","members":{"DesiredInstanceType":{},"DesiredReplicationCount":{"type":"integer"},"DesiredPartitionCount":{"type":"integer"}}},"S2z":{"type":"structure","required":["Options","Status"],"members":{"Options":{},"Status":{"shape":"St"}}}}}');

/***/ }),

/***/ 81127:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeAnalysisSchemes":{"result_key":"AnalysisSchemes"},"DescribeDomains":{"result_key":"DomainStatusList"},"DescribeExpressions":{"result_key":"Expressions"},"DescribeIndexFields":{"result_key":"IndexFields"},"DescribeSuggesters":{"result_key":"Suggesters"}}}');

/***/ }),

/***/ 78255:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2013-01-01","endpointPrefix":"cloudsearchdomain","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon CloudSearch Domain","serviceId":"CloudSearch Domain","signatureVersion":"v4","signingName":"cloudsearch","uid":"cloudsearchdomain-2013-01-01"},"operations":{"Search":{"http":{"method":"GET","requestUri":"/2013-01-01/search?format=sdk&pretty=true"},"input":{"type":"structure","required":["query"],"members":{"cursor":{"location":"querystring","locationName":"cursor"},"expr":{"location":"querystring","locationName":"expr"},"facet":{"location":"querystring","locationName":"facet"},"filterQuery":{"location":"querystring","locationName":"fq"},"highlight":{"location":"querystring","locationName":"highlight"},"partial":{"location":"querystring","locationName":"partial","type":"boolean"},"query":{"location":"querystring","locationName":"q"},"queryOptions":{"location":"querystring","locationName":"q.options"},"queryParser":{"location":"querystring","locationName":"q.parser"},"return":{"location":"querystring","locationName":"return"},"size":{"location":"querystring","locationName":"size","type":"long"},"sort":{"location":"querystring","locationName":"sort"},"start":{"location":"querystring","locationName":"start","type":"long"},"stats":{"location":"querystring","locationName":"stats"}}},"output":{"type":"structure","members":{"status":{"type":"structure","members":{"timems":{"type":"long"},"rid":{}}},"hits":{"type":"structure","members":{"found":{"type":"long"},"start":{"type":"long"},"cursor":{},"hit":{"type":"list","member":{"type":"structure","members":{"id":{},"fields":{"type":"map","key":{},"value":{"type":"list","member":{}}},"exprs":{"type":"map","key":{},"value":{}},"highlights":{"type":"map","key":{},"value":{}}}}}}},"facets":{"type":"map","key":{},"value":{"type":"structure","members":{"buckets":{"type":"list","member":{"type":"structure","members":{"value":{},"count":{"type":"long"}}}}}}},"stats":{"type":"map","key":{},"value":{"type":"structure","members":{"min":{},"max":{},"count":{"type":"long"},"missing":{"type":"long"},"sum":{"type":"double"},"sumOfSquares":{"type":"double"},"mean":{},"stddev":{"type":"double"}}}}}}},"Suggest":{"http":{"method":"GET","requestUri":"/2013-01-01/suggest?format=sdk&pretty=true"},"input":{"type":"structure","required":["query","suggester"],"members":{"query":{"location":"querystring","locationName":"q"},"suggester":{"location":"querystring","locationName":"suggester"},"size":{"location":"querystring","locationName":"size","type":"long"}}},"output":{"type":"structure","members":{"status":{"type":"structure","members":{"timems":{"type":"long"},"rid":{}}},"suggest":{"type":"structure","members":{"query":{},"found":{"type":"long"},"suggestions":{"type":"list","member":{"type":"structure","members":{"suggestion":{},"score":{"type":"long"},"id":{}}}}}}}}},"UploadDocuments":{"http":{"requestUri":"/2013-01-01/documents/batch?format=sdk"},"input":{"type":"structure","required":["documents","contentType"],"members":{"documents":{"type":"blob","streaming":true},"contentType":{"location":"header","locationName":"Content-Type"}},"payload":"documents"},"output":{"type":"structure","members":{"status":{},"adds":{"type":"long"},"deletes":{"type":"long"},"warnings":{"type":"list","member":{"type":"structure","members":{"message":{}}}}}}}},"shapes":{}}');

/***/ }),

/***/ 11506:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2013-11-01","endpointPrefix":"cloudtrail","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"CloudTrail","serviceFullName":"AWS CloudTrail","serviceId":"CloudTrail","signatureVersion":"v4","targetPrefix":"com.amazonaws.cloudtrail.v20131101.CloudTrail_20131101","uid":"cloudtrail-2013-11-01"},"operations":{"AddTags":{"input":{"type":"structure","required":["ResourceId"],"members":{"ResourceId":{},"TagsList":{"shape":"S3"}}},"output":{"type":"structure","members":{}},"idempotent":true},"CreateTrail":{"input":{"type":"structure","required":["Name","S3BucketName"],"members":{"Name":{},"S3BucketName":{},"S3KeyPrefix":{},"SnsTopicName":{},"IncludeGlobalServiceEvents":{"type":"boolean"},"IsMultiRegionTrail":{"type":"boolean"},"EnableLogFileValidation":{"type":"boolean"},"CloudWatchLogsLogGroupArn":{},"CloudWatchLogsRoleArn":{},"KmsKeyId":{},"IsOrganizationTrail":{"type":"boolean"},"TagsList":{"shape":"S3"}}},"output":{"type":"structure","members":{"Name":{},"S3BucketName":{},"S3KeyPrefix":{},"SnsTopicName":{"deprecated":true},"SnsTopicARN":{},"IncludeGlobalServiceEvents":{"type":"boolean"},"IsMultiRegionTrail":{"type":"boolean"},"TrailARN":{},"LogFileValidationEnabled":{"type":"boolean"},"CloudWatchLogsLogGroupArn":{},"CloudWatchLogsRoleArn":{},"KmsKeyId":{},"IsOrganizationTrail":{"type":"boolean"}}},"idempotent":true},"DeleteTrail":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DescribeTrails":{"input":{"type":"structure","members":{"trailNameList":{"type":"list","member":{}},"includeShadowTrails":{"type":"boolean"}}},"output":{"type":"structure","members":{"trailList":{"type":"list","member":{"shape":"Sf"}}}},"idempotent":true},"GetEventSelectors":{"input":{"type":"structure","required":["TrailName"],"members":{"TrailName":{}}},"output":{"type":"structure","members":{"TrailARN":{},"EventSelectors":{"shape":"Si"},"AdvancedEventSelectors":{"shape":"Sp"}}},"idempotent":true},"GetInsightSelectors":{"input":{"type":"structure","required":["TrailName"],"members":{"TrailName":{}}},"output":{"type":"structure","members":{"TrailARN":{},"InsightSelectors":{"shape":"Sz"}}},"idempotent":true},"GetTrail":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Trail":{"shape":"Sf"}}},"idempotent":true},"GetTrailStatus":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"IsLogging":{"type":"boolean"},"LatestDeliveryError":{},"LatestNotificationError":{},"LatestDeliveryTime":{"type":"timestamp"},"LatestNotificationTime":{"type":"timestamp"},"StartLoggingTime":{"type":"timestamp"},"StopLoggingTime":{"type":"timestamp"},"LatestCloudWatchLogsDeliveryError":{},"LatestCloudWatchLogsDeliveryTime":{"type":"timestamp"},"LatestDigestDeliveryTime":{"type":"timestamp"},"LatestDigestDeliveryError":{},"LatestDeliveryAttemptTime":{},"LatestNotificationAttemptTime":{},"LatestNotificationAttemptSucceeded":{},"LatestDeliveryAttemptSucceeded":{},"TimeLoggingStarted":{},"TimeLoggingStopped":{}}},"idempotent":true},"ListPublicKeys":{"input":{"type":"structure","members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"NextToken":{}}},"output":{"type":"structure","members":{"PublicKeyList":{"type":"list","member":{"type":"structure","members":{"Value":{"type":"blob"},"ValidityStartTime":{"type":"timestamp"},"ValidityEndTime":{"type":"timestamp"},"Fingerprint":{}}}},"NextToken":{}}},"idempotent":true},"ListTags":{"input":{"type":"structure","required":["ResourceIdList"],"members":{"ResourceIdList":{"type":"list","member":{}},"NextToken":{}}},"output":{"type":"structure","members":{"ResourceTagList":{"type":"list","member":{"type":"structure","members":{"ResourceId":{},"TagsList":{"shape":"S3"}}}},"NextToken":{}}},"idempotent":true},"ListTrails":{"input":{"type":"structure","members":{"NextToken":{}}},"output":{"type":"structure","members":{"Trails":{"type":"list","member":{"type":"structure","members":{"TrailARN":{},"Name":{},"HomeRegion":{}}}},"NextToken":{}}},"idempotent":true},"LookupEvents":{"input":{"type":"structure","members":{"LookupAttributes":{"type":"list","member":{"type":"structure","required":["AttributeKey","AttributeValue"],"members":{"AttributeKey":{},"AttributeValue":{}}}},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"EventCategory":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Events":{"type":"list","member":{"type":"structure","members":{"EventId":{},"EventName":{},"ReadOnly":{},"AccessKeyId":{},"EventTime":{"type":"timestamp"},"EventSource":{},"Username":{},"Resources":{"type":"list","member":{"type":"structure","members":{"ResourceType":{},"ResourceName":{}}}},"CloudTrailEvent":{}}}},"NextToken":{}}},"idempotent":true},"PutEventSelectors":{"input":{"type":"structure","required":["TrailName"],"members":{"TrailName":{},"EventSelectors":{"shape":"Si"},"AdvancedEventSelectors":{"shape":"Sp"}}},"output":{"type":"structure","members":{"TrailARN":{},"EventSelectors":{"shape":"Si"},"AdvancedEventSelectors":{"shape":"Sp"}}},"idempotent":true},"PutInsightSelectors":{"input":{"type":"structure","required":["TrailName","InsightSelectors"],"members":{"TrailName":{},"InsightSelectors":{"shape":"Sz"}}},"output":{"type":"structure","members":{"TrailARN":{},"InsightSelectors":{"shape":"Sz"}}},"idempotent":true},"RemoveTags":{"input":{"type":"structure","required":["ResourceId"],"members":{"ResourceId":{},"TagsList":{"shape":"S3"}}},"output":{"type":"structure","members":{}},"idempotent":true},"StartLogging":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"StopLogging":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateTrail":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"S3BucketName":{},"S3KeyPrefix":{},"SnsTopicName":{},"IncludeGlobalServiceEvents":{"type":"boolean"},"IsMultiRegionTrail":{"type":"boolean"},"EnableLogFileValidation":{"type":"boolean"},"CloudWatchLogsLogGroupArn":{},"CloudWatchLogsRoleArn":{},"KmsKeyId":{},"IsOrganizationTrail":{"type":"boolean"}}},"output":{"type":"structure","members":{"Name":{},"S3BucketName":{},"S3KeyPrefix":{},"SnsTopicName":{"deprecated":true},"SnsTopicARN":{},"IncludeGlobalServiceEvents":{"type":"boolean"},"IsMultiRegionTrail":{"type":"boolean"},"TrailARN":{},"LogFileValidationEnabled":{"type":"boolean"},"CloudWatchLogsLogGroupArn":{},"CloudWatchLogsRoleArn":{},"KmsKeyId":{},"IsOrganizationTrail":{"type":"boolean"}}},"idempotent":true}},"shapes":{"S3":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"Sf":{"type":"structure","members":{"Name":{},"S3BucketName":{},"S3KeyPrefix":{},"SnsTopicName":{"deprecated":true},"SnsTopicARN":{},"IncludeGlobalServiceEvents":{"type":"boolean"},"IsMultiRegionTrail":{"type":"boolean"},"HomeRegion":{},"TrailARN":{},"LogFileValidationEnabled":{"type":"boolean"},"CloudWatchLogsLogGroupArn":{},"CloudWatchLogsRoleArn":{},"KmsKeyId":{},"HasCustomEventSelectors":{"type":"boolean"},"HasInsightSelectors":{"type":"boolean"},"IsOrganizationTrail":{"type":"boolean"}}},"Si":{"type":"list","member":{"type":"structure","members":{"ReadWriteType":{},"IncludeManagementEvents":{"type":"boolean"},"DataResources":{"type":"list","member":{"type":"structure","members":{"Type":{},"Values":{"type":"list","member":{}}}}},"ExcludeManagementEventSources":{"type":"list","member":{}}}}},"Sp":{"type":"list","member":{"type":"structure","required":["FieldSelectors"],"members":{"Name":{},"FieldSelectors":{"type":"list","member":{"type":"structure","required":["Field"],"members":{"Field":{},"Equals":{"shape":"Sv"},"StartsWith":{"shape":"Sv"},"EndsWith":{"shape":"Sv"},"NotEquals":{"shape":"Sv"},"NotStartsWith":{"shape":"Sv"},"NotEndsWith":{"shape":"Sv"}}}}}}},"Sv":{"type":"list","member":{}},"Sz":{"type":"list","member":{"type":"structure","members":{"InsightType":{}}}}}}');

/***/ }),

/***/ 27523:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeTrails":{"result_key":"trailList"},"ListPublicKeys":{"input_token":"NextToken","output_token":"NextToken","result_key":"PublicKeyList"},"ListTags":{"input_token":"NextToken","output_token":"NextToken","result_key":"ResourceTagList"},"ListTrails":{"input_token":"NextToken","output_token":"NextToken","result_key":"Trails"},"LookupEvents":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Events"}}}');

/***/ }),

/***/ 87923:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-09-22","endpointPrefix":"codeartifact","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"CodeArtifact","serviceId":"codeartifact","signatureVersion":"v4","signingName":"codeartifact","uid":"codeartifact-2018-09-22"},"operations":{"AssociateExternalConnection":{"http":{"requestUri":"/v1/repository/external-connection"},"input":{"type":"structure","required":["domain","repository","externalConnection"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"externalConnection":{"location":"querystring","locationName":"external-connection"}}},"output":{"type":"structure","members":{"repository":{"shape":"S7"}}}},"CopyPackageVersions":{"http":{"requestUri":"/v1/package/versions/copy"},"input":{"type":"structure","required":["domain","sourceRepository","destinationRepository","format","package"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"sourceRepository":{"location":"querystring","locationName":"source-repository"},"destinationRepository":{"location":"querystring","locationName":"destination-repository"},"format":{"location":"querystring","locationName":"format"},"namespace":{"location":"querystring","locationName":"namespace"},"package":{"location":"querystring","locationName":"package"},"versions":{"shape":"Sj"},"versionRevisions":{"shape":"Sl"},"allowOverwrite":{"type":"boolean"},"includeFromUpstream":{"type":"boolean"}}},"output":{"type":"structure","members":{"successfulVersions":{"shape":"Sp"},"failedVersions":{"shape":"St"}}}},"CreateDomain":{"http":{"requestUri":"/v1/domain"},"input":{"type":"structure","required":["domain"],"members":{"domain":{"location":"querystring","locationName":"domain"},"encryptionKey":{},"tags":{"shape":"Sy"}}},"output":{"type":"structure","members":{"domain":{"shape":"S13"}}}},"CreateRepository":{"http":{"requestUri":"/v1/repository"},"input":{"type":"structure","required":["domain","repository"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"description":{},"upstreams":{"shape":"S19"},"tags":{"shape":"Sy"}}},"output":{"type":"structure","members":{"repository":{"shape":"S7"}}}},"DeleteDomain":{"http":{"method":"DELETE","requestUri":"/v1/domain"},"input":{"type":"structure","required":["domain"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"}}},"output":{"type":"structure","members":{"domain":{"shape":"S13"}}}},"DeleteDomainPermissionsPolicy":{"http":{"method":"DELETE","requestUri":"/v1/domain/permissions/policy"},"input":{"type":"structure","required":["domain"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"policyRevision":{"location":"querystring","locationName":"policy-revision"}}},"output":{"type":"structure","members":{"policy":{"shape":"S1h"}}}},"DeletePackageVersions":{"http":{"requestUri":"/v1/package/versions/delete"},"input":{"type":"structure","required":["domain","repository","format","package","versions"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"format":{"location":"querystring","locationName":"format"},"namespace":{"location":"querystring","locationName":"namespace"},"package":{"location":"querystring","locationName":"package"},"versions":{"shape":"Sj"},"expectedStatus":{}}},"output":{"type":"structure","members":{"successfulVersions":{"shape":"Sp"},"failedVersions":{"shape":"St"}}}},"DeleteRepository":{"http":{"method":"DELETE","requestUri":"/v1/repository"},"input":{"type":"structure","required":["domain","repository"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"}}},"output":{"type":"structure","members":{"repository":{"shape":"S7"}}}},"DeleteRepositoryPermissionsPolicy":{"http":{"method":"DELETE","requestUri":"/v1/repository/permissions/policies"},"input":{"type":"structure","required":["domain","repository"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"policyRevision":{"location":"querystring","locationName":"policy-revision"}}},"output":{"type":"structure","members":{"policy":{"shape":"S1h"}}}},"DescribeDomain":{"http":{"method":"GET","requestUri":"/v1/domain"},"input":{"type":"structure","required":["domain"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"}}},"output":{"type":"structure","members":{"domain":{"shape":"S13"}}}},"DescribePackageVersion":{"http":{"method":"GET","requestUri":"/v1/package/version"},"input":{"type":"structure","required":["domain","repository","format","package","packageVersion"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"format":{"location":"querystring","locationName":"format"},"namespace":{"location":"querystring","locationName":"namespace"},"package":{"location":"querystring","locationName":"package"},"packageVersion":{"location":"querystring","locationName":"version"}}},"output":{"type":"structure","required":["packageVersion"],"members":{"packageVersion":{"type":"structure","members":{"format":{},"namespace":{},"packageName":{},"displayName":{},"version":{},"summary":{},"homePage":{},"sourceCodeRepository":{},"publishedTime":{"type":"timestamp"},"licenses":{"type":"list","member":{"type":"structure","members":{"name":{},"url":{}}}},"revision":{},"status":{}}}}}},"DescribeRepository":{"http":{"method":"GET","requestUri":"/v1/repository"},"input":{"type":"structure","required":["domain","repository"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"}}},"output":{"type":"structure","members":{"repository":{"shape":"S7"}}}},"DisassociateExternalConnection":{"http":{"method":"DELETE","requestUri":"/v1/repository/external-connection"},"input":{"type":"structure","required":["domain","repository","externalConnection"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"externalConnection":{"location":"querystring","locationName":"external-connection"}}},"output":{"type":"structure","members":{"repository":{"shape":"S7"}}}},"DisposePackageVersions":{"http":{"requestUri":"/v1/package/versions/dispose"},"input":{"type":"structure","required":["domain","repository","format","package","versions"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"format":{"location":"querystring","locationName":"format"},"namespace":{"location":"querystring","locationName":"namespace"},"package":{"location":"querystring","locationName":"package"},"versions":{"shape":"Sj"},"versionRevisions":{"shape":"Sl"},"expectedStatus":{}}},"output":{"type":"structure","members":{"successfulVersions":{"shape":"Sp"},"failedVersions":{"shape":"St"}}}},"GetAuthorizationToken":{"http":{"requestUri":"/v1/authorization-token"},"input":{"type":"structure","required":["domain"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"durationSeconds":{"location":"querystring","locationName":"duration","type":"long"}}},"output":{"type":"structure","members":{"authorizationToken":{},"expiration":{"type":"timestamp"}}}},"GetDomainPermissionsPolicy":{"http":{"method":"GET","requestUri":"/v1/domain/permissions/policy"},"input":{"type":"structure","required":["domain"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"}}},"output":{"type":"structure","members":{"policy":{"shape":"S1h"}}}},"GetPackageVersionAsset":{"http":{"method":"GET","requestUri":"/v1/package/version/asset"},"input":{"type":"structure","required":["domain","repository","format","package","packageVersion","asset"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"format":{"location":"querystring","locationName":"format"},"namespace":{"location":"querystring","locationName":"namespace"},"package":{"location":"querystring","locationName":"package"},"packageVersion":{"location":"querystring","locationName":"version"},"asset":{"location":"querystring","locationName":"asset"},"packageVersionRevision":{"location":"querystring","locationName":"revision"}}},"output":{"type":"structure","members":{"asset":{"type":"blob","streaming":true},"assetName":{"location":"header","locationName":"X-AssetName"},"packageVersion":{"location":"header","locationName":"X-PackageVersion"},"packageVersionRevision":{"location":"header","locationName":"X-PackageVersionRevision"}},"payload":"asset"}},"GetPackageVersionReadme":{"http":{"method":"GET","requestUri":"/v1/package/version/readme"},"input":{"type":"structure","required":["domain","repository","format","package","packageVersion"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"format":{"location":"querystring","locationName":"format"},"namespace":{"location":"querystring","locationName":"namespace"},"package":{"location":"querystring","locationName":"package"},"packageVersion":{"location":"querystring","locationName":"version"}}},"output":{"type":"structure","members":{"format":{},"namespace":{},"package":{},"version":{},"versionRevision":{},"readme":{}}}},"GetRepositoryEndpoint":{"http":{"method":"GET","requestUri":"/v1/repository/endpoint"},"input":{"type":"structure","required":["domain","repository","format"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"format":{"location":"querystring","locationName":"format"}}},"output":{"type":"structure","members":{"repositoryEndpoint":{}}}},"GetRepositoryPermissionsPolicy":{"http":{"method":"GET","requestUri":"/v1/repository/permissions/policy"},"input":{"type":"structure","required":["domain","repository"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"}}},"output":{"type":"structure","members":{"policy":{"shape":"S1h"}}}},"ListDomains":{"http":{"requestUri":"/v1/domains"},"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"domains":{"type":"list","member":{"type":"structure","members":{"name":{},"owner":{},"arn":{},"status":{},"createdTime":{"type":"timestamp"},"encryptionKey":{}}}},"nextToken":{}}}},"ListPackageVersionAssets":{"http":{"requestUri":"/v1/package/version/assets"},"input":{"type":"structure","required":["domain","repository","format","package","packageVersion"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"format":{"location":"querystring","locationName":"format"},"namespace":{"location":"querystring","locationName":"namespace"},"package":{"location":"querystring","locationName":"package"},"packageVersion":{"location":"querystring","locationName":"version"},"maxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"nextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"format":{},"namespace":{},"package":{},"version":{},"versionRevision":{},"nextToken":{},"assets":{"type":"list","member":{"type":"structure","required":["name"],"members":{"name":{},"size":{"type":"long"},"hashes":{"type":"map","key":{},"value":{}}}}}}}},"ListPackageVersionDependencies":{"http":{"requestUri":"/v1/package/version/dependencies"},"input":{"type":"structure","required":["domain","repository","format","package","packageVersion"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"format":{"location":"querystring","locationName":"format"},"namespace":{"location":"querystring","locationName":"namespace"},"package":{"location":"querystring","locationName":"package"},"packageVersion":{"location":"querystring","locationName":"version"},"nextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"format":{},"namespace":{},"package":{},"version":{},"versionRevision":{},"nextToken":{},"dependencies":{"type":"list","member":{"type":"structure","members":{"namespace":{},"package":{},"dependencyType":{},"versionRequirement":{}}}}}}},"ListPackageVersions":{"http":{"requestUri":"/v1/package/versions"},"input":{"type":"structure","required":["domain","repository","format","package"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"format":{"location":"querystring","locationName":"format"},"namespace":{"location":"querystring","locationName":"namespace"},"package":{"location":"querystring","locationName":"package"},"status":{"location":"querystring","locationName":"status"},"sortBy":{"location":"querystring","locationName":"sortBy"},"maxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"nextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"defaultDisplayVersion":{},"format":{},"namespace":{},"package":{},"versions":{"type":"list","member":{"type":"structure","required":["version","status"],"members":{"version":{},"revision":{},"status":{}}}},"nextToken":{}}}},"ListPackages":{"http":{"requestUri":"/v1/packages"},"input":{"type":"structure","required":["domain","repository"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"format":{"location":"querystring","locationName":"format"},"namespace":{"location":"querystring","locationName":"namespace"},"packagePrefix":{"location":"querystring","locationName":"package-prefix"},"maxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"nextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"packages":{"type":"list","member":{"type":"structure","members":{"format":{},"namespace":{},"package":{}}}},"nextToken":{}}}},"ListRepositories":{"http":{"requestUri":"/v1/repositories"},"input":{"type":"structure","members":{"repositoryPrefix":{"location":"querystring","locationName":"repository-prefix"},"maxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"nextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"repositories":{"shape":"S3f"},"nextToken":{}}}},"ListRepositoriesInDomain":{"http":{"requestUri":"/v1/domain/repositories"},"input":{"type":"structure","required":["domain"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"administratorAccount":{"location":"querystring","locationName":"administrator-account"},"repositoryPrefix":{"location":"querystring","locationName":"repository-prefix"},"maxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"nextToken":{"location":"querystring","locationName":"next-token"}}},"output":{"type":"structure","members":{"repositories":{"shape":"S3f"},"nextToken":{}}}},"ListTagsForResource":{"http":{"requestUri":"/v1/tags"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sy"}}}},"PutDomainPermissionsPolicy":{"http":{"method":"PUT","requestUri":"/v1/domain/permissions/policy"},"input":{"type":"structure","required":["domain","policyDocument"],"members":{"domain":{},"domainOwner":{},"policyRevision":{},"policyDocument":{}}},"output":{"type":"structure","members":{"policy":{"shape":"S1h"}}}},"PutRepositoryPermissionsPolicy":{"http":{"method":"PUT","requestUri":"/v1/repository/permissions/policy"},"input":{"type":"structure","required":["domain","repository","policyDocument"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"policyRevision":{},"policyDocument":{}}},"output":{"type":"structure","members":{"policy":{"shape":"S1h"}}}},"TagResource":{"http":{"requestUri":"/v1/tag"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"},"tags":{"shape":"Sy"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"requestUri":"/v1/untag"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdatePackageVersionsStatus":{"http":{"requestUri":"/v1/package/versions/update_status"},"input":{"type":"structure","required":["domain","repository","format","package","versions","targetStatus"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"format":{"location":"querystring","locationName":"format"},"namespace":{"location":"querystring","locationName":"namespace"},"package":{"location":"querystring","locationName":"package"},"versions":{"shape":"Sj"},"versionRevisions":{"shape":"Sl"},"expectedStatus":{},"targetStatus":{}}},"output":{"type":"structure","members":{"successfulVersions":{"shape":"Sp"},"failedVersions":{"shape":"St"}}}},"UpdateRepository":{"http":{"method":"PUT","requestUri":"/v1/repository"},"input":{"type":"structure","required":["domain","repository"],"members":{"domain":{"location":"querystring","locationName":"domain"},"domainOwner":{"location":"querystring","locationName":"domain-owner"},"repository":{"location":"querystring","locationName":"repository"},"description":{},"upstreams":{"shape":"S19"}}},"output":{"type":"structure","members":{"repository":{"shape":"S7"}}}}},"shapes":{"S7":{"type":"structure","members":{"name":{},"administratorAccount":{},"domainName":{},"domainOwner":{},"arn":{},"description":{},"upstreams":{"type":"list","member":{"type":"structure","members":{"repositoryName":{}}}},"externalConnections":{"type":"list","member":{"type":"structure","members":{"externalConnectionName":{},"packageFormat":{},"status":{}}}}}},"Sj":{"type":"list","member":{}},"Sl":{"type":"map","key":{},"value":{}},"Sp":{"type":"map","key":{},"value":{"type":"structure","members":{"revision":{},"status":{}}}},"St":{"type":"map","key":{},"value":{"type":"structure","members":{"errorCode":{},"errorMessage":{}}}},"Sy":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"S13":{"type":"structure","members":{"name":{},"owner":{},"arn":{},"status":{},"createdTime":{"type":"timestamp"},"encryptionKey":{},"repositoryCount":{"type":"integer"},"assetSizeBytes":{"type":"long"},"s3BucketArn":{}}},"S19":{"type":"list","member":{"type":"structure","required":["repositoryName"],"members":{"repositoryName":{}}}},"S1h":{"type":"structure","members":{"resourceArn":{},"revision":{},"document":{}}},"S3f":{"type":"list","member":{"type":"structure","members":{"name":{},"administratorAccount":{},"domainName":{},"domainOwner":{},"arn":{},"description":{}}}}}}');

/***/ }),

/***/ 40983:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDomains":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"domains"},"ListPackageVersionAssets":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"assets"},"ListPackageVersions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"versions"},"ListPackages":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"packages"},"ListRepositories":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"repositories"},"ListRepositoriesInDomain":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"repositories"}}}');

/***/ }),

/***/ 40893:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-10-06","endpointPrefix":"codebuild","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS CodeBuild","serviceId":"CodeBuild","signatureVersion":"v4","targetPrefix":"CodeBuild_20161006","uid":"codebuild-2016-10-06"},"operations":{"BatchDeleteBuilds":{"input":{"type":"structure","required":["ids"],"members":{"ids":{"shape":"S2"}}},"output":{"type":"structure","members":{"buildsDeleted":{"shape":"S2"},"buildsNotDeleted":{"shape":"S5"}}}},"BatchGetBuildBatches":{"input":{"type":"structure","required":["ids"],"members":{"ids":{"shape":"S9"}}},"output":{"type":"structure","members":{"buildBatches":{"type":"list","member":{"shape":"Sc"}},"buildBatchesNotFound":{"shape":"S9"}}}},"BatchGetBuilds":{"input":{"type":"structure","required":["ids"],"members":{"ids":{"shape":"S2"}}},"output":{"type":"structure","members":{"builds":{"type":"list","member":{"shape":"S23"}},"buildsNotFound":{"shape":"S2"}}}},"BatchGetProjects":{"input":{"type":"structure","required":["names"],"members":{"names":{"shape":"S2e"}}},"output":{"type":"structure","members":{"projects":{"type":"list","member":{"shape":"S2h"}},"projectsNotFound":{"shape":"S2e"}}}},"BatchGetReportGroups":{"input":{"type":"structure","required":["reportGroupArns"],"members":{"reportGroupArns":{"shape":"S32"}}},"output":{"type":"structure","members":{"reportGroups":{"type":"list","member":{"shape":"S35"}},"reportGroupsNotFound":{"shape":"S32"}}}},"BatchGetReports":{"input":{"type":"structure","required":["reportArns"],"members":{"reportArns":{"shape":"S3e"}}},"output":{"type":"structure","members":{"reports":{"type":"list","member":{"type":"structure","members":{"arn":{},"type":{},"name":{},"reportGroupArn":{},"executionId":{},"status":{},"created":{"type":"timestamp"},"expired":{"type":"timestamp"},"exportConfig":{"shape":"S38"},"truncated":{"type":"boolean"},"testSummary":{"type":"structure","required":["total","statusCounts","durationInNanoSeconds"],"members":{"total":{"type":"integer"},"statusCounts":{"type":"map","key":{},"value":{"type":"integer"}},"durationInNanoSeconds":{"type":"long"}}},"codeCoverageSummary":{"type":"structure","members":{"lineCoveragePercentage":{"type":"double"},"linesCovered":{"type":"integer"},"linesMissed":{"type":"integer"},"branchCoveragePercentage":{"type":"double"},"branchesCovered":{"type":"integer"},"branchesMissed":{"type":"integer"}}}}}},"reportsNotFound":{"shape":"S3e"}}}},"CreateProject":{"input":{"type":"structure","required":["name","source","artifacts","environment","serviceRole"],"members":{"name":{},"description":{},"source":{"shape":"Sl"},"secondarySources":{"shape":"St"},"sourceVersion":{},"secondarySourceVersions":{"shape":"Su"},"artifacts":{"shape":"S2k"},"secondaryArtifacts":{"shape":"S2n"},"cache":{"shape":"Sz"},"environment":{"shape":"S13"},"serviceRole":{},"timeoutInMinutes":{"type":"integer"},"queuedTimeoutInMinutes":{"type":"integer"},"encryptionKey":{},"tags":{"shape":"S2p"},"vpcConfig":{"shape":"S1i"},"badgeEnabled":{"type":"boolean"},"logsConfig":{"shape":"S1c"},"fileSystemLocations":{"shape":"S1l"},"buildBatchConfig":{"shape":"S1o"},"concurrentBuildLimit":{"type":"integer"}}},"output":{"type":"structure","members":{"project":{"shape":"S2h"}}}},"CreateReportGroup":{"input":{"type":"structure","required":["name","type","exportConfig"],"members":{"name":{},"type":{},"exportConfig":{"shape":"S38"},"tags":{"shape":"S2p"}}},"output":{"type":"structure","members":{"reportGroup":{"shape":"S35"}}}},"CreateWebhook":{"input":{"type":"structure","required":["projectName"],"members":{"projectName":{},"branchFilter":{},"filterGroups":{"shape":"S2u"},"buildType":{}}},"output":{"type":"structure","members":{"webhook":{"shape":"S2t"}}}},"DeleteBuildBatch":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","members":{"statusCode":{},"buildsDeleted":{"shape":"S2"},"buildsNotDeleted":{"shape":"S5"}}}},"DeleteProject":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{}}},"DeleteReport":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}}},"DeleteReportGroup":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"deleteReports":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeleteResourcePolicy":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{}}},"output":{"type":"structure","members":{}}},"DeleteSourceCredentials":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"arn":{}}}},"DeleteWebhook":{"input":{"type":"structure","required":["projectName"],"members":{"projectName":{}}},"output":{"type":"structure","members":{}}},"DescribeCodeCoverages":{"input":{"type":"structure","required":["reportArn"],"members":{"reportArn":{},"nextToken":{},"maxResults":{"type":"integer"},"sortOrder":{},"sortBy":{},"minLineCoveragePercentage":{"type":"double"},"maxLineCoveragePercentage":{"type":"double"}}},"output":{"type":"structure","members":{"nextToken":{},"codeCoverages":{"type":"list","member":{"type":"structure","members":{"id":{},"reportARN":{},"filePath":{},"lineCoveragePercentage":{"type":"double"},"linesCovered":{"type":"integer"},"linesMissed":{"type":"integer"},"branchCoveragePercentage":{"type":"double"},"branchesCovered":{"type":"integer"},"branchesMissed":{"type":"integer"},"expired":{"type":"timestamp"}}}}}}},"DescribeTestCases":{"input":{"type":"structure","required":["reportArn"],"members":{"reportArn":{},"nextToken":{},"maxResults":{"type":"integer"},"filter":{"type":"structure","members":{"status":{},"keyword":{}}}}},"output":{"type":"structure","members":{"nextToken":{},"testCases":{"type":"list","member":{"type":"structure","members":{"reportArn":{},"testRawDataPath":{},"prefix":{},"name":{},"status":{},"durationInNanoSeconds":{"type":"long"},"message":{},"expired":{"type":"timestamp"}}}}}}},"GetReportGroupTrend":{"input":{"type":"structure","required":["reportGroupArn","trendField"],"members":{"reportGroupArn":{},"numOfReports":{"type":"integer"},"trendField":{}}},"output":{"type":"structure","members":{"stats":{"type":"structure","members":{"average":{},"max":{},"min":{}}},"rawData":{"type":"list","member":{"type":"structure","members":{"reportArn":{},"data":{}}}}}}},"GetResourcePolicy":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{}}},"output":{"type":"structure","members":{"policy":{}}}},"ImportSourceCredentials":{"input":{"type":"structure","required":["token","serverType","authType"],"members":{"username":{},"token":{"type":"string","sensitive":true},"serverType":{},"authType":{},"shouldOverwrite":{"type":"boolean"}}},"output":{"type":"structure","members":{"arn":{}}}},"InvalidateProjectCache":{"input":{"type":"structure","required":["projectName"],"members":{"projectName":{}}},"output":{"type":"structure","members":{}}},"ListBuildBatches":{"input":{"type":"structure","members":{"filter":{"shape":"S50"},"maxResults":{"type":"integer"},"sortOrder":{},"nextToken":{}}},"output":{"type":"structure","members":{"ids":{"shape":"S9"},"nextToken":{}}}},"ListBuildBatchesForProject":{"input":{"type":"structure","members":{"projectName":{},"filter":{"shape":"S50"},"maxResults":{"type":"integer"},"sortOrder":{},"nextToken":{}}},"output":{"type":"structure","members":{"ids":{"shape":"S9"},"nextToken":{}}}},"ListBuilds":{"input":{"type":"structure","members":{"sortOrder":{},"nextToken":{}}},"output":{"type":"structure","members":{"ids":{"shape":"S2"},"nextToken":{}}}},"ListBuildsForProject":{"input":{"type":"structure","required":["projectName"],"members":{"projectName":{},"sortOrder":{},"nextToken":{}}},"output":{"type":"structure","members":{"ids":{"shape":"S2"},"nextToken":{}}}},"ListCuratedEnvironmentImages":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"platforms":{"type":"list","member":{"type":"structure","members":{"platform":{},"languages":{"type":"list","member":{"type":"structure","members":{"language":{},"images":{"type":"list","member":{"type":"structure","members":{"name":{},"description":{},"versions":{"type":"list","member":{}}}}}}}}}}}}}},"ListProjects":{"input":{"type":"structure","members":{"sortBy":{},"sortOrder":{},"nextToken":{}}},"output":{"type":"structure","members":{"nextToken":{},"projects":{"shape":"S2e"}}}},"ListReportGroups":{"input":{"type":"structure","members":{"sortOrder":{},"sortBy":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"nextToken":{},"reportGroups":{"shape":"S32"}}}},"ListReports":{"input":{"type":"structure","members":{"sortOrder":{},"nextToken":{},"maxResults":{"type":"integer"},"filter":{"shape":"S5q"}}},"output":{"type":"structure","members":{"nextToken":{},"reports":{"shape":"S3e"}}}},"ListReportsForReportGroup":{"input":{"type":"structure","required":["reportGroupArn"],"members":{"reportGroupArn":{},"nextToken":{},"sortOrder":{},"maxResults":{"type":"integer"},"filter":{"shape":"S5q"}}},"output":{"type":"structure","members":{"nextToken":{},"reports":{"shape":"S3e"}}}},"ListSharedProjects":{"input":{"type":"structure","members":{"sortBy":{},"sortOrder":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"nextToken":{},"projects":{"type":"list","member":{}}}}},"ListSharedReportGroups":{"input":{"type":"structure","members":{"sortOrder":{},"sortBy":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"nextToken":{},"reportGroups":{"shape":"S32"}}}},"ListSourceCredentials":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"sourceCredentialsInfos":{"type":"list","member":{"type":"structure","members":{"arn":{},"serverType":{},"authType":{}}}}}}},"PutResourcePolicy":{"input":{"type":"structure","required":["policy","resourceArn"],"members":{"policy":{},"resourceArn":{}}},"output":{"type":"structure","members":{"resourceArn":{}}}},"RetryBuild":{"input":{"type":"structure","members":{"id":{},"idempotencyToken":{}}},"output":{"type":"structure","members":{"build":{"shape":"S23"}}}},"RetryBuildBatch":{"input":{"type":"structure","members":{"id":{},"idempotencyToken":{},"retryType":{}}},"output":{"type":"structure","members":{"buildBatch":{"shape":"Sc"}}}},"StartBuild":{"input":{"type":"structure","required":["projectName"],"members":{"projectName":{},"secondarySourcesOverride":{"shape":"St"},"secondarySourcesVersionOverride":{"shape":"Su"},"sourceVersion":{},"artifactsOverride":{"shape":"S2k"},"secondaryArtifactsOverride":{"shape":"S2n"},"environmentVariablesOverride":{"shape":"S16"},"sourceTypeOverride":{},"sourceLocationOverride":{},"sourceAuthOverride":{"shape":"Sq"},"gitCloneDepthOverride":{"type":"integer"},"gitSubmodulesConfigOverride":{"shape":"So"},"buildspecOverride":{},"insecureSslOverride":{"type":"boolean"},"reportBuildStatusOverride":{"type":"boolean"},"buildStatusConfigOverride":{"shape":"Ss"},"environmentTypeOverride":{},"imageOverride":{},"computeTypeOverride":{},"certificateOverride":{},"cacheOverride":{"shape":"Sz"},"serviceRoleOverride":{},"privilegedModeOverride":{"type":"boolean"},"timeoutInMinutesOverride":{"type":"integer"},"queuedTimeoutInMinutesOverride":{"type":"integer"},"encryptionKeyOverride":{},"idempotencyToken":{},"logsConfigOverride":{"shape":"S1c"},"registryCredentialOverride":{"shape":"S19"},"imagePullCredentialsTypeOverride":{},"debugSessionEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"build":{"shape":"S23"}}}},"StartBuildBatch":{"input":{"type":"structure","required":["projectName"],"members":{"projectName":{},"secondarySourcesOverride":{"shape":"St"},"secondarySourcesVersionOverride":{"shape":"Su"},"sourceVersion":{},"artifactsOverride":{"shape":"S2k"},"secondaryArtifactsOverride":{"shape":"S2n"},"environmentVariablesOverride":{"shape":"S16"},"sourceTypeOverride":{},"sourceLocationOverride":{},"sourceAuthOverride":{"shape":"Sq"},"gitCloneDepthOverride":{"type":"integer"},"gitSubmodulesConfigOverride":{"shape":"So"},"buildspecOverride":{},"insecureSslOverride":{"type":"boolean"},"reportBuildBatchStatusOverride":{"type":"boolean"},"environmentTypeOverride":{},"imageOverride":{},"computeTypeOverride":{},"certificateOverride":{},"cacheOverride":{"shape":"Sz"},"serviceRoleOverride":{},"privilegedModeOverride":{"type":"boolean"},"buildTimeoutInMinutesOverride":{"type":"integer"},"queuedTimeoutInMinutesOverride":{"type":"integer"},"encryptionKeyOverride":{},"idempotencyToken":{},"logsConfigOverride":{"shape":"S1c"},"registryCredentialOverride":{"shape":"S19"},"imagePullCredentialsTypeOverride":{},"buildBatchConfigOverride":{"shape":"S1o"},"debugSessionEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"buildBatch":{"shape":"Sc"}}}},"StopBuild":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","members":{"build":{"shape":"S23"}}}},"StopBuildBatch":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","members":{"buildBatch":{"shape":"Sc"}}}},"UpdateProject":{"input":{"type":"structure","required":["name"],"members":{"name":{},"description":{},"source":{"shape":"Sl"},"secondarySources":{"shape":"St"},"sourceVersion":{},"secondarySourceVersions":{"shape":"Su"},"artifacts":{"shape":"S2k"},"secondaryArtifacts":{"shape":"S2n"},"cache":{"shape":"Sz"},"environment":{"shape":"S13"},"serviceRole":{},"timeoutInMinutes":{"type":"integer"},"queuedTimeoutInMinutes":{"type":"integer"},"encryptionKey":{},"tags":{"shape":"S2p"},"vpcConfig":{"shape":"S1i"},"badgeEnabled":{"type":"boolean"},"logsConfig":{"shape":"S1c"},"fileSystemLocations":{"shape":"S1l"},"buildBatchConfig":{"shape":"S1o"},"concurrentBuildLimit":{"type":"integer"}}},"output":{"type":"structure","members":{"project":{"shape":"S2h"}}}},"UpdateProjectVisibility":{"input":{"type":"structure","required":["projectArn","projectVisibility"],"members":{"projectArn":{},"projectVisibility":{},"resourceAccessRole":{}}},"output":{"type":"structure","members":{"projectArn":{},"publicProjectAlias":{},"projectVisibility":{}}}},"UpdateReportGroup":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"exportConfig":{"shape":"S38"},"tags":{"shape":"S2p"}}},"output":{"type":"structure","members":{"reportGroup":{"shape":"S35"}}}},"UpdateWebhook":{"input":{"type":"structure","required":["projectName"],"members":{"projectName":{},"branchFilter":{},"rotateSecret":{"type":"boolean"},"filterGroups":{"shape":"S2u"},"buildType":{}}},"output":{"type":"structure","members":{"webhook":{"shape":"S2t"}}}}},"shapes":{"S2":{"type":"list","member":{}},"S5":{"type":"list","member":{"type":"structure","members":{"id":{},"statusCode":{}}}},"S9":{"type":"list","member":{}},"Sc":{"type":"structure","members":{"id":{},"arn":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"currentPhase":{},"buildBatchStatus":{},"sourceVersion":{},"resolvedSourceVersion":{},"projectName":{},"phases":{"type":"list","member":{"type":"structure","members":{"phaseType":{},"phaseStatus":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"durationInSeconds":{"type":"long"},"contexts":{"shape":"Sj"}}}},"source":{"shape":"Sl"},"secondarySources":{"shape":"St"},"secondarySourceVersions":{"shape":"Su"},"artifacts":{"shape":"Sw"},"secondaryArtifacts":{"shape":"Sy"},"cache":{"shape":"Sz"},"environment":{"shape":"S13"},"serviceRole":{},"logConfig":{"shape":"S1c"},"buildTimeoutInMinutes":{"type":"integer"},"queuedTimeoutInMinutes":{"type":"integer"},"complete":{"type":"boolean"},"initiator":{},"vpcConfig":{"shape":"S1i"},"encryptionKey":{},"buildBatchNumber":{"type":"long"},"fileSystemLocations":{"shape":"S1l"},"buildBatchConfig":{"shape":"S1o"},"buildGroups":{"type":"list","member":{"type":"structure","members":{"identifier":{},"dependsOn":{"type":"list","member":{}},"ignoreFailure":{"type":"boolean"},"currentBuildSummary":{"shape":"S1v"},"priorBuildSummaryList":{"type":"list","member":{"shape":"S1v"}}}}},"debugSessionEnabled":{"type":"boolean"}}},"Sj":{"type":"list","member":{"type":"structure","members":{"statusCode":{},"message":{}}}},"Sl":{"type":"structure","required":["type"],"members":{"type":{},"location":{},"gitCloneDepth":{"type":"integer"},"gitSubmodulesConfig":{"shape":"So"},"buildspec":{},"auth":{"shape":"Sq"},"reportBuildStatus":{"type":"boolean"},"buildStatusConfig":{"shape":"Ss"},"insecureSsl":{"type":"boolean"},"sourceIdentifier":{}}},"So":{"type":"structure","required":["fetchSubmodules"],"members":{"fetchSubmodules":{"type":"boolean"}}},"Sq":{"type":"structure","required":["type"],"members":{"type":{},"resource":{}}},"Ss":{"type":"structure","members":{"context":{},"targetUrl":{}}},"St":{"type":"list","member":{"shape":"Sl"}},"Su":{"type":"list","member":{"type":"structure","required":["sourceIdentifier","sourceVersion"],"members":{"sourceIdentifier":{},"sourceVersion":{}}}},"Sw":{"type":"structure","members":{"location":{},"sha256sum":{},"md5sum":{},"overrideArtifactName":{"type":"boolean"},"encryptionDisabled":{"type":"boolean"},"artifactIdentifier":{},"bucketOwnerAccess":{}}},"Sy":{"type":"list","member":{"shape":"Sw"}},"Sz":{"type":"structure","required":["type"],"members":{"type":{},"location":{},"modes":{"type":"list","member":{}}}},"S13":{"type":"structure","required":["type","image","computeType"],"members":{"type":{},"image":{},"computeType":{},"environmentVariables":{"shape":"S16"},"privilegedMode":{"type":"boolean"},"certificate":{},"registryCredential":{"shape":"S19"},"imagePullCredentialsType":{}}},"S16":{"type":"list","member":{"type":"structure","required":["name","value"],"members":{"name":{},"value":{},"type":{}}}},"S19":{"type":"structure","required":["credential","credentialProvider"],"members":{"credential":{},"credentialProvider":{}}},"S1c":{"type":"structure","members":{"cloudWatchLogs":{"shape":"S1d"},"s3Logs":{"shape":"S1f"}}},"S1d":{"type":"structure","required":["status"],"members":{"status":{},"groupName":{},"streamName":{}}},"S1f":{"type":"structure","required":["status"],"members":{"status":{},"location":{},"encryptionDisabled":{"type":"boolean"},"bucketOwnerAccess":{}}},"S1i":{"type":"structure","members":{"vpcId":{},"subnets":{"type":"list","member":{}},"securityGroupIds":{"type":"list","member":{}}}},"S1l":{"type":"list","member":{"type":"structure","members":{"type":{},"location":{},"mountPoint":{},"identifier":{},"mountOptions":{}}}},"S1o":{"type":"structure","members":{"serviceRole":{},"combineArtifacts":{"type":"boolean"},"restrictions":{"type":"structure","members":{"maximumBuildsAllowed":{"type":"integer"},"computeTypesAllowed":{"type":"list","member":{}}}},"timeoutInMins":{"type":"integer"},"batchReportMode":{}}},"S1v":{"type":"structure","members":{"arn":{},"requestedOn":{"type":"timestamp"},"buildStatus":{},"primaryArtifact":{"shape":"S1w"},"secondaryArtifacts":{"type":"list","member":{"shape":"S1w"}}}},"S1w":{"type":"structure","members":{"type":{},"location":{},"identifier":{}}},"S23":{"type":"structure","members":{"id":{},"arn":{},"buildNumber":{"type":"long"},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"currentPhase":{},"buildStatus":{},"sourceVersion":{},"resolvedSourceVersion":{},"projectName":{},"phases":{"type":"list","member":{"type":"structure","members":{"phaseType":{},"phaseStatus":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"durationInSeconds":{"type":"long"},"contexts":{"shape":"Sj"}}}},"source":{"shape":"Sl"},"secondarySources":{"shape":"St"},"secondarySourceVersions":{"shape":"Su"},"artifacts":{"shape":"Sw"},"secondaryArtifacts":{"shape":"Sy"},"cache":{"shape":"Sz"},"environment":{"shape":"S13"},"serviceRole":{},"logs":{"type":"structure","members":{"groupName":{},"streamName":{},"deepLink":{},"s3DeepLink":{},"cloudWatchLogsArn":{},"s3LogsArn":{},"cloudWatchLogs":{"shape":"S1d"},"s3Logs":{"shape":"S1f"}}},"timeoutInMinutes":{"type":"integer"},"queuedTimeoutInMinutes":{"type":"integer"},"buildComplete":{"type":"boolean"},"initiator":{},"vpcConfig":{"shape":"S1i"},"networkInterface":{"type":"structure","members":{"subnetId":{},"networkInterfaceId":{}}},"encryptionKey":{},"exportedEnvironmentVariables":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{}}}},"reportArns":{"type":"list","member":{}},"fileSystemLocations":{"shape":"S1l"},"debugSession":{"type":"structure","members":{"sessionEnabled":{"type":"boolean"},"sessionTarget":{}}},"buildBatchArn":{}}},"S2e":{"type":"list","member":{}},"S2h":{"type":"structure","members":{"name":{},"arn":{},"description":{},"source":{"shape":"Sl"},"secondarySources":{"shape":"St"},"sourceVersion":{},"secondarySourceVersions":{"shape":"Su"},"artifacts":{"shape":"S2k"},"secondaryArtifacts":{"shape":"S2n"},"cache":{"shape":"Sz"},"environment":{"shape":"S13"},"serviceRole":{},"timeoutInMinutes":{"type":"integer"},"queuedTimeoutInMinutes":{"type":"integer"},"encryptionKey":{},"tags":{"shape":"S2p"},"created":{"type":"timestamp"},"lastModified":{"type":"timestamp"},"webhook":{"shape":"S2t"},"vpcConfig":{"shape":"S1i"},"badge":{"type":"structure","members":{"badgeEnabled":{"type":"boolean"},"badgeRequestUrl":{}}},"logsConfig":{"shape":"S1c"},"fileSystemLocations":{"shape":"S1l"},"buildBatchConfig":{"shape":"S1o"},"concurrentBuildLimit":{"type":"integer"},"projectVisibility":{},"publicProjectAlias":{},"resourceAccessRole":{}}},"S2k":{"type":"structure","required":["type"],"members":{"type":{},"location":{},"path":{},"namespaceType":{},"name":{},"packaging":{},"overrideArtifactName":{"type":"boolean"},"encryptionDisabled":{"type":"boolean"},"artifactIdentifier":{},"bucketOwnerAccess":{}}},"S2n":{"type":"list","member":{"shape":"S2k"}},"S2p":{"type":"list","member":{"type":"structure","members":{"key":{},"value":{}}}},"S2t":{"type":"structure","members":{"url":{},"payloadUrl":{},"secret":{},"branchFilter":{},"filterGroups":{"shape":"S2u"},"buildType":{},"lastModifiedSecret":{"type":"timestamp"}}},"S2u":{"type":"list","member":{"type":"list","member":{"type":"structure","required":["type","pattern"],"members":{"type":{},"pattern":{},"excludeMatchedPattern":{"type":"boolean"}}}}},"S32":{"type":"list","member":{}},"S35":{"type":"structure","members":{"arn":{},"name":{},"type":{},"exportConfig":{"shape":"S38"},"created":{"type":"timestamp"},"lastModified":{"type":"timestamp"},"tags":{"shape":"S2p"},"status":{}}},"S38":{"type":"structure","members":{"exportConfigType":{},"s3Destination":{"type":"structure","members":{"bucket":{},"bucketOwner":{},"path":{},"packaging":{},"encryptionKey":{},"encryptionDisabled":{"type":"boolean"}}}}},"S3e":{"type":"list","member":{}},"S50":{"type":"structure","members":{"status":{}}},"S5q":{"type":"structure","members":{"status":{}}}}}');

/***/ }),

/***/ 23010:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeCodeCoverages":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"codeCoverages"},"DescribeTestCases":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"testCases"},"ListBuildBatches":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"ids"},"ListBuildBatchesForProject":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"ids"},"ListBuilds":{"input_token":"nextToken","output_token":"nextToken","result_key":"ids"},"ListBuildsForProject":{"input_token":"nextToken","output_token":"nextToken","result_key":"ids"},"ListProjects":{"input_token":"nextToken","output_token":"nextToken","result_key":"projects"},"ListReportGroups":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"reportGroups"},"ListReports":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"reports"},"ListReportsForReportGroup":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"reports"},"ListSharedProjects":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"projects"},"ListSharedReportGroups":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"reportGroups"}}}');

/***/ }),

/***/ 57144:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-04-13","endpointPrefix":"codecommit","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"CodeCommit","serviceFullName":"AWS CodeCommit","serviceId":"CodeCommit","signatureVersion":"v4","targetPrefix":"CodeCommit_20150413","uid":"codecommit-2015-04-13"},"operations":{"AssociateApprovalRuleTemplateWithRepository":{"input":{"type":"structure","required":["approvalRuleTemplateName","repositoryName"],"members":{"approvalRuleTemplateName":{},"repositoryName":{}}}},"BatchAssociateApprovalRuleTemplateWithRepositories":{"input":{"type":"structure","required":["approvalRuleTemplateName","repositoryNames"],"members":{"approvalRuleTemplateName":{},"repositoryNames":{"shape":"S5"}}},"output":{"type":"structure","required":["associatedRepositoryNames","errors"],"members":{"associatedRepositoryNames":{"shape":"S5"},"errors":{"type":"list","member":{"type":"structure","members":{"repositoryName":{},"errorCode":{},"errorMessage":{}}}}}}},"BatchDescribeMergeConflicts":{"input":{"type":"structure","required":["repositoryName","destinationCommitSpecifier","sourceCommitSpecifier","mergeOption"],"members":{"repositoryName":{},"destinationCommitSpecifier":{},"sourceCommitSpecifier":{},"mergeOption":{},"maxMergeHunks":{"type":"integer"},"maxConflictFiles":{"type":"integer"},"filePaths":{"type":"list","member":{}},"conflictDetailLevel":{},"conflictResolutionStrategy":{},"nextToken":{}}},"output":{"type":"structure","required":["conflicts","destinationCommitId","sourceCommitId"],"members":{"conflicts":{"type":"list","member":{"type":"structure","members":{"conflictMetadata":{"shape":"Sn"},"mergeHunks":{"shape":"S12"}}}},"nextToken":{},"errors":{"type":"list","member":{"type":"structure","required":["filePath","exceptionName","message"],"members":{"filePath":{},"exceptionName":{},"message":{}}}},"destinationCommitId":{},"sourceCommitId":{},"baseCommitId":{}}}},"BatchDisassociateApprovalRuleTemplateFromRepositories":{"input":{"type":"structure","required":["approvalRuleTemplateName","repositoryNames"],"members":{"approvalRuleTemplateName":{},"repositoryNames":{"shape":"S5"}}},"output":{"type":"structure","required":["disassociatedRepositoryNames","errors"],"members":{"disassociatedRepositoryNames":{"shape":"S5"},"errors":{"type":"list","member":{"type":"structure","members":{"repositoryName":{},"errorCode":{},"errorMessage":{}}}}}}},"BatchGetCommits":{"input":{"type":"structure","required":["commitIds","repositoryName"],"members":{"commitIds":{"type":"list","member":{}},"repositoryName":{}}},"output":{"type":"structure","members":{"commits":{"type":"list","member":{"shape":"S1l"}},"errors":{"type":"list","member":{"type":"structure","members":{"commitId":{},"errorCode":{},"errorMessage":{}}}}}}},"BatchGetRepositories":{"input":{"type":"structure","required":["repositoryNames"],"members":{"repositoryNames":{"shape":"S5"}}},"output":{"type":"structure","members":{"repositories":{"type":"list","member":{"shape":"S1x"}},"repositoriesNotFound":{"type":"list","member":{}}}}},"CreateApprovalRuleTemplate":{"input":{"type":"structure","required":["approvalRuleTemplateName","approvalRuleTemplateContent"],"members":{"approvalRuleTemplateName":{},"approvalRuleTemplateContent":{},"approvalRuleTemplateDescription":{}}},"output":{"type":"structure","required":["approvalRuleTemplate"],"members":{"approvalRuleTemplate":{"shape":"S2c"}}}},"CreateBranch":{"input":{"type":"structure","required":["repositoryName","branchName","commitId"],"members":{"repositoryName":{},"branchName":{},"commitId":{}}}},"CreateCommit":{"input":{"type":"structure","required":["repositoryName","branchName"],"members":{"repositoryName":{},"branchName":{},"parentCommitId":{},"authorName":{},"email":{},"commitMessage":{},"keepEmptyFolders":{"type":"boolean"},"putFiles":{"type":"list","member":{"type":"structure","required":["filePath"],"members":{"filePath":{},"fileMode":{},"fileContent":{"type":"blob"},"sourceFile":{"type":"structure","required":["filePath"],"members":{"filePath":{},"isMove":{"type":"boolean"}}}}}},"deleteFiles":{"shape":"S2o"},"setFileModes":{"shape":"S2q"}}},"output":{"type":"structure","members":{"commitId":{},"treeId":{},"filesAdded":{"shape":"S2t"},"filesUpdated":{"shape":"S2t"},"filesDeleted":{"shape":"S2t"}}}},"CreatePullRequest":{"input":{"type":"structure","required":["title","targets"],"members":{"title":{},"description":{},"targets":{"type":"list","member":{"type":"structure","required":["repositoryName","sourceReference"],"members":{"repositoryName":{},"sourceReference":{},"destinationReference":{}}}},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["pullRequest"],"members":{"pullRequest":{"shape":"S33"}}}},"CreatePullRequestApprovalRule":{"input":{"type":"structure","required":["pullRequestId","approvalRuleName","approvalRuleContent"],"members":{"pullRequestId":{},"approvalRuleName":{},"approvalRuleContent":{}}},"output":{"type":"structure","required":["approvalRule"],"members":{"approvalRule":{"shape":"S3c"}}}},"CreateRepository":{"input":{"type":"structure","required":["repositoryName"],"members":{"repositoryName":{},"repositoryDescription":{},"tags":{"shape":"S3k"}}},"output":{"type":"structure","members":{"repositoryMetadata":{"shape":"S1x"}}}},"CreateUnreferencedMergeCommit":{"input":{"type":"structure","required":["repositoryName","sourceCommitSpecifier","destinationCommitSpecifier","mergeOption"],"members":{"repositoryName":{},"sourceCommitSpecifier":{},"destinationCommitSpecifier":{},"mergeOption":{},"conflictDetailLevel":{},"conflictResolutionStrategy":{},"authorName":{},"email":{},"commitMessage":{},"keepEmptyFolders":{"type":"boolean"},"conflictResolution":{"shape":"S3p"}}},"output":{"type":"structure","members":{"commitId":{},"treeId":{}}}},"DeleteApprovalRuleTemplate":{"input":{"type":"structure","required":["approvalRuleTemplateName"],"members":{"approvalRuleTemplateName":{}}},"output":{"type":"structure","required":["approvalRuleTemplateId"],"members":{"approvalRuleTemplateId":{}}}},"DeleteBranch":{"input":{"type":"structure","required":["repositoryName","branchName"],"members":{"repositoryName":{},"branchName":{}}},"output":{"type":"structure","members":{"deletedBranch":{"shape":"S3y"}}}},"DeleteCommentContent":{"input":{"type":"structure","required":["commentId"],"members":{"commentId":{}}},"output":{"type":"structure","members":{"comment":{"shape":"S42"}}}},"DeleteFile":{"input":{"type":"structure","required":["repositoryName","branchName","filePath","parentCommitId"],"members":{"repositoryName":{},"branchName":{},"filePath":{},"parentCommitId":{},"keepEmptyFolders":{"type":"boolean"},"commitMessage":{},"name":{},"email":{}}},"output":{"type":"structure","required":["commitId","blobId","treeId","filePath"],"members":{"commitId":{},"blobId":{},"treeId":{},"filePath":{}}}},"DeletePullRequestApprovalRule":{"input":{"type":"structure","required":["pullRequestId","approvalRuleName"],"members":{"pullRequestId":{},"approvalRuleName":{}}},"output":{"type":"structure","required":["approvalRuleId"],"members":{"approvalRuleId":{}}}},"DeleteRepository":{"input":{"type":"structure","required":["repositoryName"],"members":{"repositoryName":{}}},"output":{"type":"structure","members":{"repositoryId":{}}}},"DescribeMergeConflicts":{"input":{"type":"structure","required":["repositoryName","destinationCommitSpecifier","sourceCommitSpecifier","mergeOption","filePath"],"members":{"repositoryName":{},"destinationCommitSpecifier":{},"sourceCommitSpecifier":{},"mergeOption":{},"maxMergeHunks":{"type":"integer"},"filePath":{},"conflictDetailLevel":{},"conflictResolutionStrategy":{},"nextToken":{}}},"output":{"type":"structure","required":["conflictMetadata","mergeHunks","destinationCommitId","sourceCommitId"],"members":{"conflictMetadata":{"shape":"Sn"},"mergeHunks":{"shape":"S12"},"nextToken":{},"destinationCommitId":{},"sourceCommitId":{},"baseCommitId":{}}}},"DescribePullRequestEvents":{"input":{"type":"structure","required":["pullRequestId"],"members":{"pullRequestId":{},"pullRequestEventType":{},"actorArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["pullRequestEvents"],"members":{"pullRequestEvents":{"type":"list","member":{"type":"structure","members":{"pullRequestId":{},"eventDate":{"type":"timestamp"},"pullRequestEventType":{},"actorArn":{},"pullRequestCreatedEventMetadata":{"type":"structure","members":{"repositoryName":{},"sourceCommitId":{},"destinationCommitId":{},"mergeBase":{}}},"pullRequestStatusChangedEventMetadata":{"type":"structure","members":{"pullRequestStatus":{}}},"pullRequestSourceReferenceUpdatedEventMetadata":{"type":"structure","members":{"repositoryName":{},"beforeCommitId":{},"afterCommitId":{},"mergeBase":{}}},"pullRequestMergedStateChangedEventMetadata":{"type":"structure","members":{"repositoryName":{},"destinationReference":{},"mergeMetadata":{"shape":"S38"}}},"approvalRuleEventMetadata":{"type":"structure","members":{"approvalRuleName":{},"approvalRuleId":{},"approvalRuleContent":{}}},"approvalStateChangedEventMetadata":{"type":"structure","members":{"revisionId":{},"approvalStatus":{}}},"approvalRuleOverriddenEventMetadata":{"type":"structure","members":{"revisionId":{},"overrideStatus":{}}}}}},"nextToken":{}}}},"DisassociateApprovalRuleTemplateFromRepository":{"input":{"type":"structure","required":["approvalRuleTemplateName","repositoryName"],"members":{"approvalRuleTemplateName":{},"repositoryName":{}}}},"EvaluatePullRequestApprovalRules":{"input":{"type":"structure","required":["pullRequestId","revisionId"],"members":{"pullRequestId":{},"revisionId":{}}},"output":{"type":"structure","required":["evaluation"],"members":{"evaluation":{"type":"structure","members":{"approved":{"type":"boolean"},"overridden":{"type":"boolean"},"approvalRulesSatisfied":{"type":"list","member":{}},"approvalRulesNotSatisfied":{"type":"list","member":{}}}}}}},"GetApprovalRuleTemplate":{"input":{"type":"structure","required":["approvalRuleTemplateName"],"members":{"approvalRuleTemplateName":{}}},"output":{"type":"structure","required":["approvalRuleTemplate"],"members":{"approvalRuleTemplate":{"shape":"S2c"}}}},"GetBlob":{"input":{"type":"structure","required":["repositoryName","blobId"],"members":{"repositoryName":{},"blobId":{}}},"output":{"type":"structure","required":["content"],"members":{"content":{"type":"blob"}}}},"GetBranch":{"input":{"type":"structure","members":{"repositoryName":{},"branchName":{}}},"output":{"type":"structure","members":{"branch":{"shape":"S3y"}}}},"GetComment":{"input":{"type":"structure","required":["commentId"],"members":{"commentId":{}}},"output":{"type":"structure","members":{"comment":{"shape":"S42"}}}},"GetCommentReactions":{"input":{"type":"structure","required":["commentId"],"members":{"commentId":{},"reactionUserArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["reactionsForComment"],"members":{"reactionsForComment":{"type":"list","member":{"type":"structure","members":{"reaction":{"type":"structure","members":{"emoji":{},"shortCode":{},"unicode":{}}},"reactionUsers":{"type":"list","member":{}},"reactionsFromDeletedUsersCount":{"type":"integer"}}}},"nextToken":{}}}},"GetCommentsForComparedCommit":{"input":{"type":"structure","required":["repositoryName","afterCommitId"],"members":{"repositoryName":{},"beforeCommitId":{},"afterCommitId":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"commentsForComparedCommitData":{"type":"list","member":{"type":"structure","members":{"repositoryName":{},"beforeCommitId":{},"afterCommitId":{},"beforeBlobId":{},"afterBlobId":{},"location":{"shape":"S5q"},"comments":{"shape":"S5t"}}}},"nextToken":{}}}},"GetCommentsForPullRequest":{"input":{"type":"structure","required":["pullRequestId"],"members":{"pullRequestId":{},"repositoryName":{},"beforeCommitId":{},"afterCommitId":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"commentsForPullRequestData":{"type":"list","member":{"type":"structure","members":{"pullRequestId":{},"repositoryName":{},"beforeCommitId":{},"afterCommitId":{},"beforeBlobId":{},"afterBlobId":{},"location":{"shape":"S5q"},"comments":{"shape":"S5t"}}}},"nextToken":{}}}},"GetCommit":{"input":{"type":"structure","required":["repositoryName","commitId"],"members":{"repositoryName":{},"commitId":{}}},"output":{"type":"structure","required":["commit"],"members":{"commit":{"shape":"S1l"}}}},"GetDifferences":{"input":{"type":"structure","required":["repositoryName","afterCommitSpecifier"],"members":{"repositoryName":{},"beforeCommitSpecifier":{},"afterCommitSpecifier":{},"beforePath":{},"afterPath":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"differences":{"type":"list","member":{"type":"structure","members":{"beforeBlob":{"shape":"S65"},"afterBlob":{"shape":"S65"},"changeType":{}}}},"NextToken":{}}}},"GetFile":{"input":{"type":"structure","required":["repositoryName","filePath"],"members":{"repositoryName":{},"commitSpecifier":{},"filePath":{}}},"output":{"type":"structure","required":["commitId","blobId","filePath","fileMode","fileSize","fileContent"],"members":{"commitId":{},"blobId":{},"filePath":{},"fileMode":{},"fileSize":{"type":"long"},"fileContent":{"type":"blob"}}}},"GetFolder":{"input":{"type":"structure","required":["repositoryName","folderPath"],"members":{"repositoryName":{},"commitSpecifier":{},"folderPath":{}}},"output":{"type":"structure","required":["commitId","folderPath"],"members":{"commitId":{},"folderPath":{},"treeId":{},"subFolders":{"type":"list","member":{"type":"structure","members":{"treeId":{},"absolutePath":{},"relativePath":{}}}},"files":{"type":"list","member":{"type":"structure","members":{"blobId":{},"absolutePath":{},"relativePath":{},"fileMode":{}}}},"symbolicLinks":{"type":"list","member":{"type":"structure","members":{"blobId":{},"absolutePath":{},"relativePath":{},"fileMode":{}}}},"subModules":{"type":"list","member":{"type":"structure","members":{"commitId":{},"absolutePath":{},"relativePath":{}}}}}}},"GetMergeCommit":{"input":{"type":"structure","required":["repositoryName","sourceCommitSpecifier","destinationCommitSpecifier"],"members":{"repositoryName":{},"sourceCommitSpecifier":{},"destinationCommitSpecifier":{},"conflictDetailLevel":{},"conflictResolutionStrategy":{}}},"output":{"type":"structure","members":{"sourceCommitId":{},"destinationCommitId":{},"baseCommitId":{},"mergedCommitId":{}}}},"GetMergeConflicts":{"input":{"type":"structure","required":["repositoryName","destinationCommitSpecifier","sourceCommitSpecifier","mergeOption"],"members":{"repositoryName":{},"destinationCommitSpecifier":{},"sourceCommitSpecifier":{},"mergeOption":{},"conflictDetailLevel":{},"maxConflictFiles":{"type":"integer"},"conflictResolutionStrategy":{},"nextToken":{}}},"output":{"type":"structure","required":["mergeable","destinationCommitId","sourceCommitId","conflictMetadataList"],"members":{"mergeable":{"type":"boolean"},"destinationCommitId":{},"sourceCommitId":{},"baseCommitId":{},"conflictMetadataList":{"type":"list","member":{"shape":"Sn"}},"nextToken":{}}}},"GetMergeOptions":{"input":{"type":"structure","required":["repositoryName","sourceCommitSpecifier","destinationCommitSpecifier"],"members":{"repositoryName":{},"sourceCommitSpecifier":{},"destinationCommitSpecifier":{},"conflictDetailLevel":{},"conflictResolutionStrategy":{}}},"output":{"type":"structure","required":["mergeOptions","sourceCommitId","destinationCommitId","baseCommitId"],"members":{"mergeOptions":{"type":"list","member":{}},"sourceCommitId":{},"destinationCommitId":{},"baseCommitId":{}}}},"GetPullRequest":{"input":{"type":"structure","required":["pullRequestId"],"members":{"pullRequestId":{}}},"output":{"type":"structure","required":["pullRequest"],"members":{"pullRequest":{"shape":"S33"}}}},"GetPullRequestApprovalStates":{"input":{"type":"structure","required":["pullRequestId","revisionId"],"members":{"pullRequestId":{},"revisionId":{}}},"output":{"type":"structure","members":{"approvals":{"type":"list","member":{"type":"structure","members":{"userArn":{},"approvalState":{}}}}}}},"GetPullRequestOverrideState":{"input":{"type":"structure","required":["pullRequestId","revisionId"],"members":{"pullRequestId":{},"revisionId":{}}},"output":{"type":"structure","members":{"overridden":{"type":"boolean"},"overrider":{}}}},"GetRepository":{"input":{"type":"structure","required":["repositoryName"],"members":{"repositoryName":{}}},"output":{"type":"structure","members":{"repositoryMetadata":{"shape":"S1x"}}}},"GetRepositoryTriggers":{"input":{"type":"structure","required":["repositoryName"],"members":{"repositoryName":{}}},"output":{"type":"structure","members":{"configurationId":{},"triggers":{"shape":"S76"}}}},"ListApprovalRuleTemplates":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"approvalRuleTemplateNames":{"shape":"S7f"},"nextToken":{}}}},"ListAssociatedApprovalRuleTemplatesForRepository":{"input":{"type":"structure","required":["repositoryName"],"members":{"repositoryName":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"approvalRuleTemplateNames":{"shape":"S7f"},"nextToken":{}}}},"ListBranches":{"input":{"type":"structure","required":["repositoryName"],"members":{"repositoryName":{},"nextToken":{}}},"output":{"type":"structure","members":{"branches":{"shape":"S7a"},"nextToken":{}}}},"ListPullRequests":{"input":{"type":"structure","required":["repositoryName"],"members":{"repositoryName":{},"authorArn":{},"pullRequestStatus":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["pullRequestIds"],"members":{"pullRequestIds":{"type":"list","member":{}},"nextToken":{}}}},"ListRepositories":{"input":{"type":"structure","members":{"nextToken":{},"sortBy":{},"order":{}}},"output":{"type":"structure","members":{"repositories":{"type":"list","member":{"type":"structure","members":{"repositoryName":{},"repositoryId":{}}}},"nextToken":{}}}},"ListRepositoriesForApprovalRuleTemplate":{"input":{"type":"structure","required":["approvalRuleTemplateName"],"members":{"approvalRuleTemplateName":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"repositoryNames":{"shape":"S5"},"nextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{},"nextToken":{}}},"output":{"type":"structure","members":{"tags":{"shape":"S3k"},"nextToken":{}}}},"MergeBranchesByFastForward":{"input":{"type":"structure","required":["repositoryName","sourceCommitSpecifier","destinationCommitSpecifier"],"members":{"repositoryName":{},"sourceCommitSpecifier":{},"destinationCommitSpecifier":{},"targetBranch":{}}},"output":{"type":"structure","members":{"commitId":{},"treeId":{}}}},"MergeBranchesBySquash":{"input":{"type":"structure","required":["repositoryName","sourceCommitSpecifier","destinationCommitSpecifier"],"members":{"repositoryName":{},"sourceCommitSpecifier":{},"destinationCommitSpecifier":{},"targetBranch":{},"conflictDetailLevel":{},"conflictResolutionStrategy":{},"authorName":{},"email":{},"commitMessage":{},"keepEmptyFolders":{"type":"boolean"},"conflictResolution":{"shape":"S3p"}}},"output":{"type":"structure","members":{"commitId":{},"treeId":{}}}},"MergeBranchesByThreeWay":{"input":{"type":"structure","required":["repositoryName","sourceCommitSpecifier","destinationCommitSpecifier"],"members":{"repositoryName":{},"sourceCommitSpecifier":{},"destinationCommitSpecifier":{},"targetBranch":{},"conflictDetailLevel":{},"conflictResolutionStrategy":{},"authorName":{},"email":{},"commitMessage":{},"keepEmptyFolders":{"type":"boolean"},"conflictResolution":{"shape":"S3p"}}},"output":{"type":"structure","members":{"commitId":{},"treeId":{}}}},"MergePullRequestByFastForward":{"input":{"type":"structure","required":["pullRequestId","repositoryName"],"members":{"pullRequestId":{},"repositoryName":{},"sourceCommitId":{}}},"output":{"type":"structure","members":{"pullRequest":{"shape":"S33"}}}},"MergePullRequestBySquash":{"input":{"type":"structure","required":["pullRequestId","repositoryName"],"members":{"pullRequestId":{},"repositoryName":{},"sourceCommitId":{},"conflictDetailLevel":{},"conflictResolutionStrategy":{},"commitMessage":{},"authorName":{},"email":{},"keepEmptyFolders":{"type":"boolean"},"conflictResolution":{"shape":"S3p"}}},"output":{"type":"structure","members":{"pullRequest":{"shape":"S33"}}}},"MergePullRequestByThreeWay":{"input":{"type":"structure","required":["pullRequestId","repositoryName"],"members":{"pullRequestId":{},"repositoryName":{},"sourceCommitId":{},"conflictDetailLevel":{},"conflictResolutionStrategy":{},"commitMessage":{},"authorName":{},"email":{},"keepEmptyFolders":{"type":"boolean"},"conflictResolution":{"shape":"S3p"}}},"output":{"type":"structure","members":{"pullRequest":{"shape":"S33"}}}},"OverridePullRequestApprovalRules":{"input":{"type":"structure","required":["pullRequestId","revisionId","overrideStatus"],"members":{"pullRequestId":{},"revisionId":{},"overrideStatus":{}}}},"PostCommentForComparedCommit":{"input":{"type":"structure","required":["repositoryName","afterCommitId","content"],"members":{"repositoryName":{},"beforeCommitId":{},"afterCommitId":{},"location":{"shape":"S5q"},"content":{},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"repositoryName":{},"beforeCommitId":{},"afterCommitId":{},"beforeBlobId":{},"afterBlobId":{},"location":{"shape":"S5q"},"comment":{"shape":"S42"}}},"idempotent":true},"PostCommentForPullRequest":{"input":{"type":"structure","required":["pullRequestId","repositoryName","beforeCommitId","afterCommitId","content"],"members":{"pullRequestId":{},"repositoryName":{},"beforeCommitId":{},"afterCommitId":{},"location":{"shape":"S5q"},"content":{},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"repositoryName":{},"pullRequestId":{},"beforeCommitId":{},"afterCommitId":{},"beforeBlobId":{},"afterBlobId":{},"location":{"shape":"S5q"},"comment":{"shape":"S42"}}},"idempotent":true},"PostCommentReply":{"input":{"type":"structure","required":["inReplyTo","content"],"members":{"inReplyTo":{},"clientRequestToken":{"idempotencyToken":true},"content":{}}},"output":{"type":"structure","members":{"comment":{"shape":"S42"}}},"idempotent":true},"PutCommentReaction":{"input":{"type":"structure","required":["commentId","reactionValue"],"members":{"commentId":{},"reactionValue":{}}}},"PutFile":{"input":{"type":"structure","required":["repositoryName","branchName","fileContent","filePath"],"members":{"repositoryName":{},"branchName":{},"fileContent":{"type":"blob"},"filePath":{},"fileMode":{},"parentCommitId":{},"commitMessage":{},"name":{},"email":{}}},"output":{"type":"structure","required":["commitId","blobId","treeId"],"members":{"commitId":{},"blobId":{},"treeId":{}}}},"PutRepositoryTriggers":{"input":{"type":"structure","required":["repositoryName","triggers"],"members":{"repositoryName":{},"triggers":{"shape":"S76"}}},"output":{"type":"structure","members":{"configurationId":{}}}},"TagResource":{"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"S3k"}}}},"TestRepositoryTriggers":{"input":{"type":"structure","required":["repositoryName","triggers"],"members":{"repositoryName":{},"triggers":{"shape":"S76"}}},"output":{"type":"structure","members":{"successfulExecutions":{"type":"list","member":{}},"failedExecutions":{"type":"list","member":{"type":"structure","members":{"trigger":{},"failureMessage":{}}}}}}},"UntagResource":{"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}}},"UpdateApprovalRuleTemplateContent":{"input":{"type":"structure","required":["approvalRuleTemplateName","newRuleContent"],"members":{"approvalRuleTemplateName":{},"newRuleContent":{},"existingRuleContentSha256":{}}},"output":{"type":"structure","required":["approvalRuleTemplate"],"members":{"approvalRuleTemplate":{"shape":"S2c"}}}},"UpdateApprovalRuleTemplateDescription":{"input":{"type":"structure","required":["approvalRuleTemplateName","approvalRuleTemplateDescription"],"members":{"approvalRuleTemplateName":{},"approvalRuleTemplateDescription":{}}},"output":{"type":"structure","required":["approvalRuleTemplate"],"members":{"approvalRuleTemplate":{"shape":"S2c"}}}},"UpdateApprovalRuleTemplateName":{"input":{"type":"structure","required":["oldApprovalRuleTemplateName","newApprovalRuleTemplateName"],"members":{"oldApprovalRuleTemplateName":{},"newApprovalRuleTemplateName":{}}},"output":{"type":"structure","required":["approvalRuleTemplate"],"members":{"approvalRuleTemplate":{"shape":"S2c"}}}},"UpdateComment":{"input":{"type":"structure","required":["commentId","content"],"members":{"commentId":{},"content":{}}},"output":{"type":"structure","members":{"comment":{"shape":"S42"}}}},"UpdateDefaultBranch":{"input":{"type":"structure","required":["repositoryName","defaultBranchName"],"members":{"repositoryName":{},"defaultBranchName":{}}}},"UpdatePullRequestApprovalRuleContent":{"input":{"type":"structure","required":["pullRequestId","approvalRuleName","newRuleContent"],"members":{"pullRequestId":{},"approvalRuleName":{},"existingRuleContentSha256":{},"newRuleContent":{}}},"output":{"type":"structure","required":["approvalRule"],"members":{"approvalRule":{"shape":"S3c"}}}},"UpdatePullRequestApprovalState":{"input":{"type":"structure","required":["pullRequestId","revisionId","approvalState"],"members":{"pullRequestId":{},"revisionId":{},"approvalState":{}}}},"UpdatePullRequestDescription":{"input":{"type":"structure","required":["pullRequestId","description"],"members":{"pullRequestId":{},"description":{}}},"output":{"type":"structure","required":["pullRequest"],"members":{"pullRequest":{"shape":"S33"}}}},"UpdatePullRequestStatus":{"input":{"type":"structure","required":["pullRequestId","pullRequestStatus"],"members":{"pullRequestId":{},"pullRequestStatus":{}}},"output":{"type":"structure","required":["pullRequest"],"members":{"pullRequest":{"shape":"S33"}}}},"UpdatePullRequestTitle":{"input":{"type":"structure","required":["pullRequestId","title"],"members":{"pullRequestId":{},"title":{}}},"output":{"type":"structure","required":["pullRequest"],"members":{"pullRequest":{"shape":"S33"}}}},"UpdateRepositoryDescription":{"input":{"type":"structure","required":["repositoryName"],"members":{"repositoryName":{},"repositoryDescription":{}}}},"UpdateRepositoryName":{"input":{"type":"structure","required":["oldName","newName"],"members":{"oldName":{},"newName":{}}}}},"shapes":{"S5":{"type":"list","member":{}},"Sn":{"type":"structure","members":{"filePath":{},"fileSizes":{"type":"structure","members":{"source":{"type":"long"},"destination":{"type":"long"},"base":{"type":"long"}}},"fileModes":{"type":"structure","members":{"source":{},"destination":{},"base":{}}},"objectTypes":{"type":"structure","members":{"source":{},"destination":{},"base":{}}},"numberOfConflicts":{"type":"integer"},"isBinaryFile":{"type":"structure","members":{"source":{"type":"boolean"},"destination":{"type":"boolean"},"base":{"type":"boolean"}}},"contentConflict":{"type":"boolean"},"fileModeConflict":{"type":"boolean"},"objectTypeConflict":{"type":"boolean"},"mergeOperations":{"type":"structure","members":{"source":{},"destination":{}}}}},"S12":{"type":"list","member":{"type":"structure","members":{"isConflict":{"type":"boolean"},"source":{"shape":"S15"},"destination":{"shape":"S15"},"base":{"shape":"S15"}}}},"S15":{"type":"structure","members":{"startLine":{"type":"integer"},"endLine":{"type":"integer"},"hunkContent":{}}},"S1l":{"type":"structure","members":{"commitId":{},"treeId":{},"parents":{"type":"list","member":{}},"message":{},"author":{"shape":"S1n"},"committer":{"shape":"S1n"},"additionalData":{}}},"S1n":{"type":"structure","members":{"name":{},"email":{},"date":{}}},"S1x":{"type":"structure","members":{"accountId":{},"repositoryId":{},"repositoryName":{},"repositoryDescription":{},"defaultBranch":{},"lastModifiedDate":{"type":"timestamp"},"creationDate":{"type":"timestamp"},"cloneUrlHttp":{},"cloneUrlSsh":{},"Arn":{}}},"S2c":{"type":"structure","members":{"approvalRuleTemplateId":{},"approvalRuleTemplateName":{},"approvalRuleTemplateDescription":{},"approvalRuleTemplateContent":{},"ruleContentSha256":{},"lastModifiedDate":{"type":"timestamp"},"creationDate":{"type":"timestamp"},"lastModifiedUser":{}}},"S2o":{"type":"list","member":{"type":"structure","required":["filePath"],"members":{"filePath":{}}}},"S2q":{"type":"list","member":{"type":"structure","required":["filePath","fileMode"],"members":{"filePath":{},"fileMode":{}}}},"S2t":{"type":"list","member":{"type":"structure","members":{"absolutePath":{},"blobId":{},"fileMode":{}}}},"S33":{"type":"structure","members":{"pullRequestId":{},"title":{},"description":{},"lastActivityDate":{"type":"timestamp"},"creationDate":{"type":"timestamp"},"pullRequestStatus":{},"authorArn":{},"pullRequestTargets":{"type":"list","member":{"type":"structure","members":{"repositoryName":{},"sourceReference":{},"destinationReference":{},"destinationCommit":{},"sourceCommit":{},"mergeBase":{},"mergeMetadata":{"shape":"S38"}}}},"clientRequestToken":{},"revisionId":{},"approvalRules":{"type":"list","member":{"shape":"S3c"}}}},"S38":{"type":"structure","members":{"isMerged":{"type":"boolean"},"mergedBy":{},"mergeCommitId":{},"mergeOption":{}}},"S3c":{"type":"structure","members":{"approvalRuleId":{},"approvalRuleName":{},"approvalRuleContent":{},"ruleContentSha256":{},"lastModifiedDate":{"type":"timestamp"},"creationDate":{"type":"timestamp"},"lastModifiedUser":{},"originApprovalRuleTemplate":{"type":"structure","members":{"approvalRuleTemplateId":{},"approvalRuleTemplateName":{}}}}},"S3k":{"type":"map","key":{},"value":{}},"S3p":{"type":"structure","members":{"replaceContents":{"type":"list","member":{"type":"structure","required":["filePath","replacementType"],"members":{"filePath":{},"replacementType":{},"content":{"type":"blob"},"fileMode":{}}}},"deleteFiles":{"shape":"S2o"},"setFileModes":{"shape":"S2q"}}},"S3y":{"type":"structure","members":{"branchName":{},"commitId":{}}},"S42":{"type":"structure","members":{"commentId":{},"content":{},"inReplyTo":{},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"},"authorArn":{},"deleted":{"type":"boolean"},"clientRequestToken":{},"callerReactions":{"type":"list","member":{}},"reactionCounts":{"type":"map","key":{},"value":{"type":"integer"}}}},"S5q":{"type":"structure","members":{"filePath":{},"filePosition":{"type":"long"},"relativeFileVersion":{}}},"S5t":{"type":"list","member":{"shape":"S42"}},"S65":{"type":"structure","members":{"blobId":{},"path":{},"mode":{}}},"S76":{"type":"list","member":{"type":"structure","required":["name","destinationArn","events"],"members":{"name":{},"destinationArn":{},"customData":{},"branches":{"shape":"S7a"},"events":{"type":"list","member":{}}}}},"S7a":{"type":"list","member":{}},"S7f":{"type":"list","member":{}}}}');

/***/ }),

/***/ 62599:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeMergeConflicts":{"input_token":"nextToken","limit_key":"maxMergeHunks","output_token":"nextToken"},"DescribePullRequestEvents":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken"},"GetCommentReactions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken"},"GetCommentsForComparedCommit":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken"},"GetCommentsForPullRequest":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken"},"GetDifferences":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetMergeConflicts":{"input_token":"nextToken","limit_key":"maxConflictFiles","output_token":"nextToken"},"ListApprovalRuleTemplates":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken"},"ListAssociatedApprovalRuleTemplatesForRepository":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken"},"ListBranches":{"input_token":"nextToken","output_token":"nextToken","result_key":"branches"},"ListPullRequests":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken"},"ListRepositories":{"input_token":"nextToken","output_token":"nextToken","result_key":"repositories"},"ListRepositoriesForApprovalRuleTemplate":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken"}}}');

/***/ }),

/***/ 10967:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-10-06","endpointPrefix":"codedeploy","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"CodeDeploy","serviceFullName":"AWS CodeDeploy","serviceId":"CodeDeploy","signatureVersion":"v4","targetPrefix":"CodeDeploy_20141006","uid":"codedeploy-2014-10-06"},"operations":{"AddTagsToOnPremisesInstances":{"input":{"type":"structure","required":["tags","instanceNames"],"members":{"tags":{"shape":"S2"},"instanceNames":{"shape":"S6"}}}},"BatchGetApplicationRevisions":{"input":{"type":"structure","required":["applicationName","revisions"],"members":{"applicationName":{},"revisions":{"shape":"Sa"}}},"output":{"type":"structure","members":{"applicationName":{},"errorMessage":{},"revisions":{"type":"list","member":{"type":"structure","members":{"revisionLocation":{"shape":"Sb"},"genericRevisionInfo":{"shape":"Su"}}}}}}},"BatchGetApplications":{"input":{"type":"structure","required":["applicationNames"],"members":{"applicationNames":{"shape":"S10"}}},"output":{"type":"structure","members":{"applicationsInfo":{"type":"list","member":{"shape":"S13"}}}}},"BatchGetDeploymentGroups":{"input":{"type":"structure","required":["applicationName","deploymentGroupNames"],"members":{"applicationName":{},"deploymentGroupNames":{"shape":"Sw"}}},"output":{"type":"structure","members":{"deploymentGroupsInfo":{"type":"list","member":{"shape":"S1b"}},"errorMessage":{}}}},"BatchGetDeploymentInstances":{"input":{"type":"structure","required":["deploymentId","instanceIds"],"members":{"deploymentId":{},"instanceIds":{"shape":"S32"}}},"output":{"type":"structure","members":{"instancesSummary":{"type":"list","member":{"shape":"S36"}},"errorMessage":{}}},"deprecated":true,"deprecatedMessage":"This operation is deprecated, use BatchGetDeploymentTargets instead."},"BatchGetDeploymentTargets":{"input":{"type":"structure","members":{"deploymentId":{},"targetIds":{"shape":"S3j"}}},"output":{"type":"structure","members":{"deploymentTargets":{"type":"list","member":{"shape":"S3n"}}}}},"BatchGetDeployments":{"input":{"type":"structure","required":["deploymentIds"],"members":{"deploymentIds":{"shape":"S49"}}},"output":{"type":"structure","members":{"deploymentsInfo":{"type":"list","member":{"shape":"S4c"}}}}},"BatchGetOnPremisesInstances":{"input":{"type":"structure","required":["instanceNames"],"members":{"instanceNames":{"shape":"S6"}}},"output":{"type":"structure","members":{"instanceInfos":{"type":"list","member":{"shape":"S4t"}}}}},"ContinueDeployment":{"input":{"type":"structure","members":{"deploymentId":{},"deploymentWaitType":{}}}},"CreateApplication":{"input":{"type":"structure","required":["applicationName"],"members":{"applicationName":{},"computePlatform":{},"tags":{"shape":"S2"}}},"output":{"type":"structure","members":{"applicationId":{}}}},"CreateDeployment":{"input":{"type":"structure","required":["applicationName"],"members":{"applicationName":{},"deploymentGroupName":{},"revision":{"shape":"Sb"},"deploymentConfigName":{},"description":{},"ignoreApplicationStopFailures":{"type":"boolean"},"targetInstances":{"shape":"S4j"},"autoRollbackConfiguration":{"shape":"S1z"},"updateOutdatedInstancesOnly":{"type":"boolean"},"fileExistsBehavior":{}}},"output":{"type":"structure","members":{"deploymentId":{}}}},"CreateDeploymentConfig":{"input":{"type":"structure","required":["deploymentConfigName"],"members":{"deploymentConfigName":{},"minimumHealthyHosts":{"shape":"S54"},"trafficRoutingConfig":{"shape":"S57"},"computePlatform":{}}},"output":{"type":"structure","members":{"deploymentConfigId":{}}}},"CreateDeploymentGroup":{"input":{"type":"structure","required":["applicationName","deploymentGroupName","serviceRoleArn"],"members":{"applicationName":{},"deploymentGroupName":{},"deploymentConfigName":{},"ec2TagFilters":{"shape":"S1e"},"onPremisesInstanceTagFilters":{"shape":"S1h"},"autoScalingGroups":{"shape":"S4k"},"serviceRoleArn":{},"triggerConfigurations":{"shape":"S1p"},"alarmConfiguration":{"shape":"S1v"},"autoRollbackConfiguration":{"shape":"S1z"},"outdatedInstancesStrategy":{},"deploymentStyle":{"shape":"S22"},"blueGreenDeploymentConfiguration":{"shape":"S26"},"loadBalancerInfo":{"shape":"S2e"},"ec2TagSet":{"shape":"S2t"},"ecsServices":{"shape":"S2x"},"onPremisesTagSet":{"shape":"S2v"},"tags":{"shape":"S2"}}},"output":{"type":"structure","members":{"deploymentGroupId":{}}}},"DeleteApplication":{"input":{"type":"structure","required":["applicationName"],"members":{"applicationName":{}}}},"DeleteDeploymentConfig":{"input":{"type":"structure","required":["deploymentConfigName"],"members":{"deploymentConfigName":{}}}},"DeleteDeploymentGroup":{"input":{"type":"structure","required":["applicationName","deploymentGroupName"],"members":{"applicationName":{},"deploymentGroupName":{}}},"output":{"type":"structure","members":{"hooksNotCleanedUp":{"shape":"S1k"}}}},"DeleteGitHubAccountToken":{"input":{"type":"structure","members":{"tokenName":{}}},"output":{"type":"structure","members":{"tokenName":{}}}},"DeleteResourcesByExternalId":{"input":{"type":"structure","members":{"externalId":{}}},"output":{"type":"structure","members":{}}},"DeregisterOnPremisesInstance":{"input":{"type":"structure","required":["instanceName"],"members":{"instanceName":{}}}},"GetApplication":{"input":{"type":"structure","required":["applicationName"],"members":{"applicationName":{}}},"output":{"type":"structure","members":{"application":{"shape":"S13"}}}},"GetApplicationRevision":{"input":{"type":"structure","required":["applicationName","revision"],"members":{"applicationName":{},"revision":{"shape":"Sb"}}},"output":{"type":"structure","members":{"applicationName":{},"revision":{"shape":"Sb"},"revisionInfo":{"shape":"Su"}}}},"GetDeployment":{"input":{"type":"structure","required":["deploymentId"],"members":{"deploymentId":{}}},"output":{"type":"structure","members":{"deploymentInfo":{"shape":"S4c"}}}},"GetDeploymentConfig":{"input":{"type":"structure","required":["deploymentConfigName"],"members":{"deploymentConfigName":{}}},"output":{"type":"structure","members":{"deploymentConfigInfo":{"type":"structure","members":{"deploymentConfigId":{},"deploymentConfigName":{},"minimumHealthyHosts":{"shape":"S54"},"createTime":{"type":"timestamp"},"computePlatform":{},"trafficRoutingConfig":{"shape":"S57"}}}}}},"GetDeploymentGroup":{"input":{"type":"structure","required":["applicationName","deploymentGroupName"],"members":{"applicationName":{},"deploymentGroupName":{}}},"output":{"type":"structure","members":{"deploymentGroupInfo":{"shape":"S1b"}}}},"GetDeploymentInstance":{"input":{"type":"structure","required":["deploymentId","instanceId"],"members":{"deploymentId":{},"instanceId":{}}},"output":{"type":"structure","members":{"instanceSummary":{"shape":"S36"}}},"deprecated":true,"deprecatedMessage":"This operation is deprecated, use GetDeploymentTarget instead."},"GetDeploymentTarget":{"input":{"type":"structure","members":{"deploymentId":{},"targetId":{}}},"output":{"type":"structure","members":{"deploymentTarget":{"shape":"S3n"}}}},"GetOnPremisesInstance":{"input":{"type":"structure","required":["instanceName"],"members":{"instanceName":{}}},"output":{"type":"structure","members":{"instanceInfo":{"shape":"S4t"}}}},"ListApplicationRevisions":{"input":{"type":"structure","required":["applicationName"],"members":{"applicationName":{},"sortBy":{},"sortOrder":{},"s3Bucket":{},"s3KeyPrefix":{},"deployed":{},"nextToken":{}}},"output":{"type":"structure","members":{"revisions":{"shape":"Sa"},"nextToken":{}}}},"ListApplications":{"input":{"type":"structure","members":{"nextToken":{}}},"output":{"type":"structure","members":{"applications":{"shape":"S10"},"nextToken":{}}}},"ListDeploymentConfigs":{"input":{"type":"structure","members":{"nextToken":{}}},"output":{"type":"structure","members":{"deploymentConfigsList":{"type":"list","member":{}},"nextToken":{}}}},"ListDeploymentGroups":{"input":{"type":"structure","required":["applicationName"],"members":{"applicationName":{},"nextToken":{}}},"output":{"type":"structure","members":{"applicationName":{},"deploymentGroups":{"shape":"Sw"},"nextToken":{}}}},"ListDeploymentInstances":{"input":{"type":"structure","required":["deploymentId"],"members":{"deploymentId":{},"nextToken":{},"instanceStatusFilter":{"type":"list","member":{"shape":"S37"}},"instanceTypeFilter":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"instancesList":{"shape":"S32"},"nextToken":{}}},"deprecated":true,"deprecatedMessage":"This operation is deprecated, use ListDeploymentTargets instead."},"ListDeploymentTargets":{"input":{"type":"structure","members":{"deploymentId":{},"nextToken":{},"targetFilters":{"type":"map","key":{},"value":{"type":"list","member":{}}}}},"output":{"type":"structure","members":{"targetIds":{"shape":"S3j"},"nextToken":{}}}},"ListDeployments":{"input":{"type":"structure","members":{"applicationName":{},"deploymentGroupName":{},"externalId":{},"includeOnlyStatuses":{"type":"list","member":{}},"createTimeRange":{"type":"structure","members":{"start":{"type":"timestamp"},"end":{"type":"timestamp"}}},"nextToken":{}}},"output":{"type":"structure","members":{"deployments":{"shape":"S49"},"nextToken":{}}}},"ListGitHubAccountTokenNames":{"input":{"type":"structure","members":{"nextToken":{}}},"output":{"type":"structure","members":{"tokenNameList":{"type":"list","member":{}},"nextToken":{}}}},"ListOnPremisesInstances":{"input":{"type":"structure","members":{"registrationStatus":{},"tagFilters":{"shape":"S1h"},"nextToken":{}}},"output":{"type":"structure","members":{"instanceNames":{"shape":"S6"},"nextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"NextToken":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S2"},"NextToken":{}}}},"PutLifecycleEventHookExecutionStatus":{"input":{"type":"structure","members":{"deploymentId":{},"lifecycleEventHookExecutionId":{},"status":{}}},"output":{"type":"structure","members":{"lifecycleEventHookExecutionId":{}}}},"RegisterApplicationRevision":{"input":{"type":"structure","required":["applicationName","revision"],"members":{"applicationName":{},"description":{},"revision":{"shape":"Sb"}}}},"RegisterOnPremisesInstance":{"input":{"type":"structure","required":["instanceName"],"members":{"instanceName":{},"iamSessionArn":{},"iamUserArn":{}}}},"RemoveTagsFromOnPremisesInstances":{"input":{"type":"structure","required":["tags","instanceNames"],"members":{"tags":{"shape":"S2"},"instanceNames":{"shape":"S6"}}}},"SkipWaitTimeForInstanceTermination":{"input":{"type":"structure","members":{"deploymentId":{}}},"deprecated":true,"deprecatedMessage":"This operation is deprecated, use ContinueDeployment with DeploymentWaitType instead."},"StopDeployment":{"input":{"type":"structure","required":["deploymentId"],"members":{"deploymentId":{},"autoRollbackEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"status":{},"statusMessage":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S2"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateApplication":{"input":{"type":"structure","members":{"applicationName":{},"newApplicationName":{}}}},"UpdateDeploymentGroup":{"input":{"type":"structure","required":["applicationName","currentDeploymentGroupName"],"members":{"applicationName":{},"currentDeploymentGroupName":{},"newDeploymentGroupName":{},"deploymentConfigName":{},"ec2TagFilters":{"shape":"S1e"},"onPremisesInstanceTagFilters":{"shape":"S1h"},"autoScalingGroups":{"shape":"S4k"},"serviceRoleArn":{},"triggerConfigurations":{"shape":"S1p"},"alarmConfiguration":{"shape":"S1v"},"autoRollbackConfiguration":{"shape":"S1z"},"outdatedInstancesStrategy":{},"deploymentStyle":{"shape":"S22"},"blueGreenDeploymentConfiguration":{"shape":"S26"},"loadBalancerInfo":{"shape":"S2e"},"ec2TagSet":{"shape":"S2t"},"ecsServices":{"shape":"S2x"},"onPremisesTagSet":{"shape":"S2v"}}},"output":{"type":"structure","members":{"hooksNotCleanedUp":{"shape":"S1k"}}}}},"shapes":{"S2":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"S6":{"type":"list","member":{}},"Sa":{"type":"list","member":{"shape":"Sb"}},"Sb":{"type":"structure","members":{"revisionType":{},"s3Location":{"type":"structure","members":{"bucket":{},"key":{},"bundleType":{},"version":{},"eTag":{}}},"gitHubLocation":{"type":"structure","members":{"repository":{},"commitId":{}}},"string":{"type":"structure","members":{"content":{},"sha256":{}},"deprecated":true,"deprecatedMessage":"RawString and String revision type are deprecated, use AppSpecContent type instead."},"appSpecContent":{"type":"structure","members":{"content":{},"sha256":{}}}}},"Su":{"type":"structure","members":{"description":{},"deploymentGroups":{"shape":"Sw"},"firstUsedTime":{"type":"timestamp"},"lastUsedTime":{"type":"timestamp"},"registerTime":{"type":"timestamp"}}},"Sw":{"type":"list","member":{}},"S10":{"type":"list","member":{}},"S13":{"type":"structure","members":{"applicationId":{},"applicationName":{},"createTime":{"type":"timestamp"},"linkedToGitHub":{"type":"boolean"},"gitHubAccountName":{},"computePlatform":{}}},"S1b":{"type":"structure","members":{"applicationName":{},"deploymentGroupId":{},"deploymentGroupName":{},"deploymentConfigName":{},"ec2TagFilters":{"shape":"S1e"},"onPremisesInstanceTagFilters":{"shape":"S1h"},"autoScalingGroups":{"shape":"S1k"},"serviceRoleArn":{},"targetRevision":{"shape":"Sb"},"triggerConfigurations":{"shape":"S1p"},"alarmConfiguration":{"shape":"S1v"},"autoRollbackConfiguration":{"shape":"S1z"},"deploymentStyle":{"shape":"S22"},"outdatedInstancesStrategy":{},"blueGreenDeploymentConfiguration":{"shape":"S26"},"loadBalancerInfo":{"shape":"S2e"},"lastSuccessfulDeployment":{"shape":"S2q"},"lastAttemptedDeployment":{"shape":"S2q"},"ec2TagSet":{"shape":"S2t"},"onPremisesTagSet":{"shape":"S2v"},"computePlatform":{},"ecsServices":{"shape":"S2x"}}},"S1e":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"Type":{}}}},"S1h":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"Type":{}}}},"S1k":{"type":"list","member":{"type":"structure","members":{"name":{},"hook":{}}}},"S1p":{"type":"list","member":{"type":"structure","members":{"triggerName":{},"triggerTargetArn":{},"triggerEvents":{"type":"list","member":{}}}}},"S1v":{"type":"structure","members":{"enabled":{"type":"boolean"},"ignorePollAlarmFailure":{"type":"boolean"},"alarms":{"type":"list","member":{"type":"structure","members":{"name":{}}}}}},"S1z":{"type":"structure","members":{"enabled":{"type":"boolean"},"events":{"type":"list","member":{}}}},"S22":{"type":"structure","members":{"deploymentType":{},"deploymentOption":{}}},"S26":{"type":"structure","members":{"terminateBlueInstancesOnDeploymentSuccess":{"type":"structure","members":{"action":{},"terminationWaitTimeInMinutes":{"type":"integer"}}},"deploymentReadyOption":{"type":"structure","members":{"actionOnTimeout":{},"waitTimeInMinutes":{"type":"integer"}}},"greenFleetProvisioningOption":{"type":"structure","members":{"action":{}}}}},"S2e":{"type":"structure","members":{"elbInfoList":{"type":"list","member":{"type":"structure","members":{"name":{}}}},"targetGroupInfoList":{"shape":"S2i"},"targetGroupPairInfoList":{"type":"list","member":{"type":"structure","members":{"targetGroups":{"shape":"S2i"},"prodTrafficRoute":{"shape":"S2n"},"testTrafficRoute":{"shape":"S2n"}}}}}},"S2i":{"type":"list","member":{"shape":"S2j"}},"S2j":{"type":"structure","members":{"name":{}}},"S2n":{"type":"structure","members":{"listenerArns":{"type":"list","member":{}}}},"S2q":{"type":"structure","members":{"deploymentId":{},"status":{},"endTime":{"type":"timestamp"},"createTime":{"type":"timestamp"}}},"S2t":{"type":"structure","members":{"ec2TagSetList":{"type":"list","member":{"shape":"S1e"}}}},"S2v":{"type":"structure","members":{"onPremisesTagSetList":{"type":"list","member":{"shape":"S1h"}}}},"S2x":{"type":"list","member":{"type":"structure","members":{"serviceName":{},"clusterName":{}}}},"S32":{"type":"list","member":{}},"S36":{"type":"structure","members":{"deploymentId":{},"instanceId":{},"status":{"shape":"S37"},"lastUpdatedAt":{"type":"timestamp"},"lifecycleEvents":{"shape":"S38"},"instanceType":{}},"deprecated":true,"deprecatedMessage":"InstanceSummary is deprecated, use DeploymentTarget instead."},"S37":{"type":"string","deprecated":true,"deprecatedMessage":"InstanceStatus is deprecated, use TargetStatus instead."},"S38":{"type":"list","member":{"type":"structure","members":{"lifecycleEventName":{},"diagnostics":{"type":"structure","members":{"errorCode":{},"scriptName":{},"message":{},"logTail":{}}},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"status":{}}}},"S3j":{"type":"list","member":{}},"S3n":{"type":"structure","members":{"deploymentTargetType":{},"instanceTarget":{"type":"structure","members":{"deploymentId":{},"targetId":{},"targetArn":{},"status":{},"lastUpdatedAt":{"type":"timestamp"},"lifecycleEvents":{"shape":"S38"},"instanceLabel":{}}},"lambdaTarget":{"type":"structure","members":{"deploymentId":{},"targetId":{},"targetArn":{},"status":{},"lastUpdatedAt":{"type":"timestamp"},"lifecycleEvents":{"shape":"S38"},"lambdaFunctionInfo":{"type":"structure","members":{"functionName":{},"functionAlias":{},"currentVersion":{},"targetVersion":{},"targetVersionWeight":{"type":"double"}}}}},"ecsTarget":{"type":"structure","members":{"deploymentId":{},"targetId":{},"targetArn":{},"lastUpdatedAt":{"type":"timestamp"},"lifecycleEvents":{"shape":"S38"},"status":{},"taskSetsInfo":{"type":"list","member":{"type":"structure","members":{"identifer":{},"desiredCount":{"type":"long"},"pendingCount":{"type":"long"},"runningCount":{"type":"long"},"status":{},"trafficWeight":{"type":"double"},"targetGroup":{"shape":"S2j"},"taskSetLabel":{}}}}}},"cloudFormationTarget":{"type":"structure","members":{"deploymentId":{},"targetId":{},"lastUpdatedAt":{"type":"timestamp"},"lifecycleEvents":{"shape":"S38"},"status":{},"resourceType":{},"targetVersionWeight":{"type":"double"}}}}},"S49":{"type":"list","member":{}},"S4c":{"type":"structure","members":{"applicationName":{},"deploymentGroupName":{},"deploymentConfigName":{},"deploymentId":{},"previousRevision":{"shape":"Sb"},"revision":{"shape":"Sb"},"status":{},"errorInformation":{"type":"structure","members":{"code":{},"message":{}}},"createTime":{"type":"timestamp"},"startTime":{"type":"timestamp"},"completeTime":{"type":"timestamp"},"deploymentOverview":{"type":"structure","members":{"Pending":{"type":"long"},"InProgress":{"type":"long"},"Succeeded":{"type":"long"},"Failed":{"type":"long"},"Skipped":{"type":"long"},"Ready":{"type":"long"}}},"description":{},"creator":{},"ignoreApplicationStopFailures":{"type":"boolean"},"autoRollbackConfiguration":{"shape":"S1z"},"updateOutdatedInstancesOnly":{"type":"boolean"},"rollbackInfo":{"type":"structure","members":{"rollbackDeploymentId":{},"rollbackTriggeringDeploymentId":{},"rollbackMessage":{}}},"deploymentStyle":{"shape":"S22"},"targetInstances":{"shape":"S4j"},"instanceTerminationWaitTimeStarted":{"type":"boolean"},"blueGreenDeploymentConfiguration":{"shape":"S26"},"loadBalancerInfo":{"shape":"S2e"},"additionalDeploymentStatusInfo":{"type":"string","deprecated":true,"deprecatedMessage":"AdditionalDeploymentStatusInfo is deprecated, use DeploymentStatusMessageList instead."},"fileExistsBehavior":{},"deploymentStatusMessages":{"type":"list","member":{}},"computePlatform":{},"externalId":{},"relatedDeployments":{"type":"structure","members":{"autoUpdateOutdatedInstancesRootDeploymentId":{},"autoUpdateOutdatedInstancesDeploymentIds":{"shape":"S49"}}}}},"S4j":{"type":"structure","members":{"tagFilters":{"shape":"S1e"},"autoScalingGroups":{"shape":"S4k"},"ec2TagSet":{"shape":"S2t"}}},"S4k":{"type":"list","member":{}},"S4t":{"type":"structure","members":{"instanceName":{},"iamSessionArn":{},"iamUserArn":{},"instanceArn":{},"registerTime":{"type":"timestamp"},"deregisterTime":{"type":"timestamp"},"tags":{"shape":"S2"}}},"S54":{"type":"structure","members":{"type":{},"value":{"type":"integer"}}},"S57":{"type":"structure","members":{"type":{},"timeBasedCanary":{"type":"structure","members":{"canaryPercentage":{"type":"integer"},"canaryInterval":{"type":"integer"}}},"timeBasedLinear":{"type":"structure","members":{"linearPercentage":{"type":"integer"},"linearInterval":{"type":"integer"}}}}}}}');

/***/ }),

/***/ 1917:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListApplicationRevisions":{"input_token":"nextToken","output_token":"nextToken","result_key":"revisions"},"ListApplications":{"input_token":"nextToken","output_token":"nextToken","result_key":"applications"},"ListDeploymentConfigs":{"input_token":"nextToken","output_token":"nextToken","result_key":"deploymentConfigsList"},"ListDeploymentGroups":{"input_token":"nextToken","output_token":"nextToken","result_key":"deploymentGroups"},"ListDeploymentInstances":{"input_token":"nextToken","output_token":"nextToken","result_key":"instancesList"},"ListDeployments":{"input_token":"nextToken","output_token":"nextToken","result_key":"deployments"}}}');

/***/ }),

/***/ 52416:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DeploymentSuccessful":{"delay":15,"operation":"GetDeployment","maxAttempts":120,"acceptors":[{"expected":"Succeeded","matcher":"path","state":"success","argument":"deploymentInfo.status"},{"expected":"Failed","matcher":"path","state":"failure","argument":"deploymentInfo.status"},{"expected":"Stopped","matcher":"path","state":"failure","argument":"deploymentInfo.status"}]}}}');

/***/ }),

/***/ 66739:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-09-19","endpointPrefix":"codeguru-reviewer","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"CodeGuruReviewer","serviceFullName":"Amazon CodeGuru Reviewer","serviceId":"CodeGuru Reviewer","signatureVersion":"v4","signingName":"codeguru-reviewer","uid":"codeguru-reviewer-2019-09-19"},"operations":{"AssociateRepository":{"http":{"requestUri":"/associations"},"input":{"type":"structure","required":["Repository"],"members":{"Repository":{"type":"structure","members":{"CodeCommit":{"type":"structure","required":["Name"],"members":{"Name":{}}},"Bitbucket":{"shape":"S5"},"GitHubEnterpriseServer":{"shape":"S5"},"S3Bucket":{"type":"structure","required":["Name","BucketName"],"members":{"Name":{},"BucketName":{}}}}},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sb"},"KMSKeyDetails":{"shape":"Se"}}},"output":{"type":"structure","members":{"RepositoryAssociation":{"shape":"Si"},"Tags":{"shape":"Sb"}}}},"CreateCodeReview":{"http":{"requestUri":"/codereviews"},"input":{"type":"structure","required":["Name","RepositoryAssociationArn","Type"],"members":{"Name":{},"RepositoryAssociationArn":{},"Type":{"type":"structure","required":["RepositoryAnalysis"],"members":{"RepositoryAnalysis":{"type":"structure","members":{"RepositoryHead":{"shape":"Sy"},"SourceCodeType":{"shape":"S10"}}},"AnalysisTypes":{"shape":"S1c"}}},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"CodeReview":{"shape":"S1f"}}}},"DescribeCodeReview":{"http":{"method":"GET","requestUri":"/codereviews/{CodeReviewArn}"},"input":{"type":"structure","required":["CodeReviewArn"],"members":{"CodeReviewArn":{"location":"uri","locationName":"CodeReviewArn"}}},"output":{"type":"structure","members":{"CodeReview":{"shape":"S1f"}}}},"DescribeRecommendationFeedback":{"http":{"method":"GET","requestUri":"/feedback/{CodeReviewArn}"},"input":{"type":"structure","required":["CodeReviewArn","RecommendationId"],"members":{"CodeReviewArn":{"location":"uri","locationName":"CodeReviewArn"},"RecommendationId":{"location":"querystring","locationName":"RecommendationId"},"UserId":{"location":"querystring","locationName":"UserId"}}},"output":{"type":"structure","members":{"RecommendationFeedback":{"type":"structure","members":{"CodeReviewArn":{},"RecommendationId":{},"Reactions":{"shape":"S1t"},"UserId":{},"CreatedTimeStamp":{"type":"timestamp"},"LastUpdatedTimeStamp":{"type":"timestamp"}}}}}},"DescribeRepositoryAssociation":{"http":{"method":"GET","requestUri":"/associations/{AssociationArn}"},"input":{"type":"structure","required":["AssociationArn"],"members":{"AssociationArn":{"location":"uri","locationName":"AssociationArn"}}},"output":{"type":"structure","members":{"RepositoryAssociation":{"shape":"Si"},"Tags":{"shape":"Sb"}}}},"DisassociateRepository":{"http":{"method":"DELETE","requestUri":"/associations/{AssociationArn}"},"input":{"type":"structure","required":["AssociationArn"],"members":{"AssociationArn":{"location":"uri","locationName":"AssociationArn"}}},"output":{"type":"structure","members":{"RepositoryAssociation":{"shape":"Si"},"Tags":{"shape":"Sb"}}}},"ListCodeReviews":{"http":{"method":"GET","requestUri":"/codereviews"},"input":{"type":"structure","required":["Type"],"members":{"ProviderTypes":{"shape":"S20","location":"querystring","locationName":"ProviderTypes"},"States":{"location":"querystring","locationName":"States","type":"list","member":{}},"RepositoryNames":{"location":"querystring","locationName":"RepositoryNames","type":"list","member":{}},"Type":{"location":"querystring","locationName":"Type"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"CodeReviewSummaries":{"type":"list","member":{"type":"structure","members":{"Name":{},"CodeReviewArn":{},"RepositoryName":{},"Owner":{},"ProviderType":{},"State":{},"CreatedTimeStamp":{"type":"timestamp"},"LastUpdatedTimeStamp":{"type":"timestamp"},"Type":{},"PullRequestId":{},"MetricsSummary":{"type":"structure","members":{"MeteredLinesOfCodeCount":{"type":"long"},"FindingsCount":{"type":"long"}}},"SourceCodeType":{"shape":"S10"}}}},"NextToken":{}}}},"ListRecommendationFeedback":{"http":{"method":"GET","requestUri":"/feedback/{CodeReviewArn}/RecommendationFeedback"},"input":{"type":"structure","required":["CodeReviewArn"],"members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"CodeReviewArn":{"location":"uri","locationName":"CodeReviewArn"},"UserIds":{"location":"querystring","locationName":"UserIds","type":"list","member":{}},"RecommendationIds":{"location":"querystring","locationName":"RecommendationIds","type":"list","member":{}}}},"output":{"type":"structure","members":{"RecommendationFeedbackSummaries":{"type":"list","member":{"type":"structure","members":{"RecommendationId":{},"Reactions":{"shape":"S1t"},"UserId":{}}}},"NextToken":{}}}},"ListRecommendations":{"http":{"method":"GET","requestUri":"/codereviews/{CodeReviewArn}/Recommendations"},"input":{"type":"structure","required":["CodeReviewArn"],"members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"CodeReviewArn":{"location":"uri","locationName":"CodeReviewArn"}}},"output":{"type":"structure","members":{"RecommendationSummaries":{"type":"list","member":{"type":"structure","members":{"FilePath":{},"RecommendationId":{},"StartLine":{"type":"integer"},"EndLine":{"type":"integer"},"Description":{},"RecommendationCategory":{},"RuleMetadata":{"type":"structure","members":{"RuleId":{},"RuleName":{},"ShortDescription":{},"LongDescription":{},"RuleTags":{"type":"list","member":{}}}},"Severity":{}}}},"NextToken":{}}}},"ListRepositoryAssociations":{"http":{"method":"GET","requestUri":"/associations"},"input":{"type":"structure","members":{"ProviderTypes":{"shape":"S20","location":"querystring","locationName":"ProviderType"},"States":{"location":"querystring","locationName":"State","type":"list","member":{}},"Names":{"location":"querystring","locationName":"Name","type":"list","member":{}},"Owners":{"location":"querystring","locationName":"Owner","type":"list","member":{}},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"RepositoryAssociationSummaries":{"type":"list","member":{"type":"structure","members":{"AssociationArn":{},"ConnectionArn":{},"LastUpdatedTimeStamp":{"type":"timestamp"},"AssociationId":{},"Name":{},"Owner":{},"ProviderType":{},"State":{}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sb"}}}},"PutRecommendationFeedback":{"http":{"method":"PUT","requestUri":"/feedback"},"input":{"type":"structure","required":["CodeReviewArn","RecommendationId","Reactions"],"members":{"CodeReviewArn":{},"RecommendationId":{},"Reactions":{"shape":"S1t"}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","Tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","TagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"S5":{"type":"structure","required":["Name","ConnectionArn","Owner"],"members":{"Name":{},"ConnectionArn":{},"Owner":{}}},"Sb":{"type":"map","key":{},"value":{}},"Se":{"type":"structure","members":{"KMSKeyId":{},"EncryptionOption":{}}},"Si":{"type":"structure","members":{"AssociationId":{},"AssociationArn":{},"ConnectionArn":{},"Name":{},"Owner":{},"ProviderType":{},"State":{},"StateReason":{},"LastUpdatedTimeStamp":{"type":"timestamp"},"CreatedTimeStamp":{"type":"timestamp"},"KMSKeyDetails":{"shape":"Se"},"S3RepositoryDetails":{"shape":"Sp"}}},"Sp":{"type":"structure","members":{"BucketName":{},"CodeArtifacts":{"type":"structure","required":["SourceCodeArtifactsObjectKey"],"members":{"SourceCodeArtifactsObjectKey":{},"BuildArtifactsObjectKey":{}}}}},"Sy":{"type":"structure","required":["BranchName"],"members":{"BranchName":{}}},"S10":{"type":"structure","members":{"CommitDiff":{"type":"structure","members":{"SourceCommit":{},"DestinationCommit":{},"MergeBaseCommit":{}}},"RepositoryHead":{"shape":"Sy"},"BranchDiff":{"type":"structure","required":["SourceBranchName","DestinationBranchName"],"members":{"SourceBranchName":{},"DestinationBranchName":{}}},"S3BucketRepository":{"type":"structure","required":["Name"],"members":{"Name":{},"Details":{"shape":"Sp"}}},"RequestMetadata":{"type":"structure","members":{"RequestId":{},"Requester":{},"EventInfo":{"type":"structure","members":{"Name":{},"State":{}}},"VendorName":{}}}}},"S1c":{"type":"list","member":{}},"S1f":{"type":"structure","members":{"Name":{},"CodeReviewArn":{},"RepositoryName":{},"Owner":{},"ProviderType":{},"State":{},"StateReason":{},"CreatedTimeStamp":{"type":"timestamp"},"LastUpdatedTimeStamp":{"type":"timestamp"},"Type":{},"PullRequestId":{},"SourceCodeType":{"shape":"S10"},"AssociationArn":{},"Metrics":{"type":"structure","members":{"MeteredLinesOfCodeCount":{"type":"long"},"FindingsCount":{"type":"long"}}},"AnalysisTypes":{"shape":"S1c"}}},"S1t":{"type":"list","member":{}},"S20":{"type":"list","member":{}}}}');

/***/ }),

/***/ 37775:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCodeReviews":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListRecommendationFeedback":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListRecommendations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListRepositoryAssociations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"RepositoryAssociationSummaries"}}}');

/***/ }),

/***/ 69276:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"RepositoryAssociationSucceeded":{"description":"Wait until a repository association is complete.","operation":"DescribeRepositoryAssociation","delay":10,"maxAttempts":20,"acceptors":[{"state":"success","matcher":"path","argument":"RepositoryAssociation.State","expected":"Associated"},{"state":"retry","matcher":"path","argument":"RepositoryAssociation.State","expected":"Associating"}]},"CodeReviewCompleted":{"description":"Wait until a code review is complete.","operation":"DescribeCodeReview","delay":10,"maxAttempts":60,"acceptors":[{"state":"success","matcher":"path","argument":"CodeReview.State","expected":"Completed"},{"state":"retry","matcher":"path","argument":"CodeReview.State","expected":"Pending"}]}}}');

/***/ }),

/***/ 34890:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-07-18","endpointPrefix":"codeguru-profiler","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon CodeGuru Profiler","serviceId":"CodeGuruProfiler","signatureVersion":"v4","signingName":"codeguru-profiler","uid":"codeguruprofiler-2019-07-18"},"operations":{"AddNotificationChannels":{"http":{"requestUri":"/profilingGroups/{profilingGroupName}/notificationConfiguration","responseCode":200},"input":{"type":"structure","required":["channels","profilingGroupName"],"members":{"channels":{"shape":"S2"},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"}}},"output":{"type":"structure","members":{"notificationConfiguration":{"shape":"Sa"}}}},"BatchGetFrameMetricData":{"http":{"requestUri":"/profilingGroups/{profilingGroupName}/frames/-/metrics","responseCode":200},"input":{"type":"structure","required":["profilingGroupName"],"members":{"endTime":{"shape":"Sc","location":"querystring","locationName":"endTime"},"frameMetrics":{"type":"list","member":{"shape":"Se"}},"period":{"location":"querystring","locationName":"period"},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"},"startTime":{"shape":"Sc","location":"querystring","locationName":"startTime"},"targetResolution":{"location":"querystring","locationName":"targetResolution"}}},"output":{"type":"structure","required":["endTime","endTimes","frameMetricData","resolution","startTime","unprocessedEndTimes"],"members":{"endTime":{"shape":"Sc"},"endTimes":{"shape":"Sl"},"frameMetricData":{"type":"list","member":{"type":"structure","required":["frameMetric","values"],"members":{"frameMetric":{"shape":"Se"},"values":{"type":"list","member":{"type":"double"}}}}},"resolution":{},"startTime":{"shape":"Sc"},"unprocessedEndTimes":{"type":"map","key":{},"value":{"shape":"Sl"}}}}},"ConfigureAgent":{"http":{"requestUri":"/profilingGroups/{profilingGroupName}/configureAgent","responseCode":200},"input":{"type":"structure","required":["profilingGroupName"],"members":{"fleetInstanceId":{},"metadata":{"type":"map","key":{},"value":{}},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"}}},"output":{"type":"structure","required":["configuration"],"members":{"configuration":{"type":"structure","required":["periodInSeconds","shouldProfile"],"members":{"agentParameters":{"type":"map","key":{},"value":{}},"periodInSeconds":{"type":"integer"},"shouldProfile":{"type":"boolean"}}}},"payload":"configuration"}},"CreateProfilingGroup":{"http":{"requestUri":"/profilingGroups","responseCode":201},"input":{"type":"structure","required":["clientToken","profilingGroupName"],"members":{"agentOrchestrationConfig":{"shape":"S13"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"},"computePlatform":{},"profilingGroupName":{},"tags":{"shape":"S16"}}},"output":{"type":"structure","required":["profilingGroup"],"members":{"profilingGroup":{"shape":"S18"}},"payload":"profilingGroup"},"idempotent":true},"DeleteProfilingGroup":{"http":{"method":"DELETE","requestUri":"/profilingGroups/{profilingGroupName}","responseCode":204},"input":{"type":"structure","required":["profilingGroupName"],"members":{"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DescribeProfilingGroup":{"http":{"method":"GET","requestUri":"/profilingGroups/{profilingGroupName}","responseCode":200},"input":{"type":"structure","required":["profilingGroupName"],"members":{"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"}}},"output":{"type":"structure","required":["profilingGroup"],"members":{"profilingGroup":{"shape":"S18"}},"payload":"profilingGroup"}},"GetFindingsReportAccountSummary":{"http":{"method":"GET","requestUri":"/internal/findingsReports","responseCode":200},"input":{"type":"structure","members":{"dailyReportsOnly":{"location":"querystring","locationName":"dailyReportsOnly","type":"boolean"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["reportSummaries"],"members":{"nextToken":{},"reportSummaries":{"shape":"S1k"}}}},"GetNotificationConfiguration":{"http":{"method":"GET","requestUri":"/profilingGroups/{profilingGroupName}/notificationConfiguration","responseCode":200},"input":{"type":"structure","required":["profilingGroupName"],"members":{"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"}}},"output":{"type":"structure","required":["notificationConfiguration"],"members":{"notificationConfiguration":{"shape":"Sa"}}}},"GetPolicy":{"http":{"method":"GET","requestUri":"/profilingGroups/{profilingGroupName}/policy","responseCode":200},"input":{"type":"structure","required":["profilingGroupName"],"members":{"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"}}},"output":{"type":"structure","required":["policy","revisionId"],"members":{"policy":{},"revisionId":{}}}},"GetProfile":{"http":{"method":"GET","requestUri":"/profilingGroups/{profilingGroupName}/profile","responseCode":200},"input":{"type":"structure","required":["profilingGroupName"],"members":{"accept":{"location":"header","locationName":"Accept"},"endTime":{"shape":"Sc","location":"querystring","locationName":"endTime"},"maxDepth":{"location":"querystring","locationName":"maxDepth","type":"integer"},"period":{"location":"querystring","locationName":"period"},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"},"startTime":{"shape":"Sc","location":"querystring","locationName":"startTime"}}},"output":{"type":"structure","required":["contentType","profile"],"members":{"contentEncoding":{"location":"header","locationName":"Content-Encoding"},"contentType":{"location":"header","locationName":"Content-Type"},"profile":{"type":"blob"}},"payload":"profile"}},"GetRecommendations":{"http":{"method":"GET","requestUri":"/internal/profilingGroups/{profilingGroupName}/recommendations","responseCode":200},"input":{"type":"structure","required":["endTime","profilingGroupName","startTime"],"members":{"endTime":{"shape":"Sc","location":"querystring","locationName":"endTime"},"locale":{"location":"querystring","locationName":"locale"},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"},"startTime":{"shape":"Sc","location":"querystring","locationName":"startTime"}}},"output":{"type":"structure","required":["anomalies","profileEndTime","profileStartTime","profilingGroupName","recommendations"],"members":{"anomalies":{"type":"list","member":{"type":"structure","required":["instances","metric","reason"],"members":{"instances":{"type":"list","member":{"type":"structure","required":["id","startTime"],"members":{"endTime":{"shape":"Sc"},"id":{},"startTime":{"shape":"Sc"},"userFeedback":{"type":"structure","required":["type"],"members":{"type":{}}}}}},"metric":{"type":"structure","required":["frameName","threadStates","type"],"members":{"frameName":{},"threadStates":{"shape":"S26"},"type":{}}},"reason":{}}}},"profileEndTime":{"shape":"Sc"},"profileStartTime":{"shape":"Sc"},"profilingGroupName":{},"recommendations":{"type":"list","member":{"type":"structure","required":["allMatchesCount","allMatchesSum","endTime","pattern","startTime","topMatches"],"members":{"allMatchesCount":{"type":"integer"},"allMatchesSum":{"type":"double"},"endTime":{"shape":"Sc"},"pattern":{"type":"structure","members":{"countersToAggregate":{"shape":"S26"},"description":{},"id":{},"name":{},"resolutionSteps":{},"targetFrames":{"type":"list","member":{"type":"list","member":{}}},"thresholdPercent":{"type":"double"}}},"startTime":{"shape":"Sc"},"topMatches":{"type":"list","member":{"type":"structure","members":{"frameAddress":{},"targetFramesIndex":{"type":"integer"},"thresholdBreachValue":{"type":"double"}}}}}}}}}},"ListFindingsReports":{"http":{"method":"GET","requestUri":"/internal/profilingGroups/{profilingGroupName}/findingsReports","responseCode":200},"input":{"type":"structure","required":["endTime","profilingGroupName","startTime"],"members":{"dailyReportsOnly":{"location":"querystring","locationName":"dailyReportsOnly","type":"boolean"},"endTime":{"shape":"Sc","location":"querystring","locationName":"endTime"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"},"startTime":{"shape":"Sc","location":"querystring","locationName":"startTime"}}},"output":{"type":"structure","required":["findingsReportSummaries"],"members":{"findingsReportSummaries":{"shape":"S1k"},"nextToken":{}}}},"ListProfileTimes":{"http":{"method":"GET","requestUri":"/profilingGroups/{profilingGroupName}/profileTimes","responseCode":200},"input":{"type":"structure","required":["endTime","period","profilingGroupName","startTime"],"members":{"endTime":{"shape":"Sc","location":"querystring","locationName":"endTime"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"orderBy":{"location":"querystring","locationName":"orderBy"},"period":{"location":"querystring","locationName":"period"},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"},"startTime":{"shape":"Sc","location":"querystring","locationName":"startTime"}}},"output":{"type":"structure","required":["profileTimes"],"members":{"nextToken":{},"profileTimes":{"type":"list","member":{"type":"structure","members":{"start":{"shape":"Sc"}}}}}}},"ListProfilingGroups":{"http":{"method":"GET","requestUri":"/profilingGroups","responseCode":200},"input":{"type":"structure","members":{"includeDescription":{"location":"querystring","locationName":"includeDescription","type":"boolean"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["profilingGroupNames"],"members":{"nextToken":{},"profilingGroupNames":{"type":"list","member":{}},"profilingGroups":{"type":"list","member":{"shape":"S18"}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S16"}}}},"PostAgentProfile":{"http":{"requestUri":"/profilingGroups/{profilingGroupName}/agentProfile","responseCode":204},"input":{"type":"structure","required":["agentProfile","contentType","profilingGroupName"],"members":{"agentProfile":{"type":"blob"},"contentType":{"location":"header","locationName":"Content-Type"},"profileToken":{"idempotencyToken":true,"location":"querystring","locationName":"profileToken"},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"}},"payload":"agentProfile"},"output":{"type":"structure","members":{}}},"PutPermission":{"http":{"method":"PUT","requestUri":"/profilingGroups/{profilingGroupName}/policy/{actionGroup}","responseCode":200},"input":{"type":"structure","required":["actionGroup","principals","profilingGroupName"],"members":{"actionGroup":{"location":"uri","locationName":"actionGroup"},"principals":{"type":"list","member":{}},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"},"revisionId":{}}},"output":{"type":"structure","required":["policy","revisionId"],"members":{"policy":{},"revisionId":{}}},"idempotent":true},"RemoveNotificationChannel":{"http":{"method":"DELETE","requestUri":"/profilingGroups/{profilingGroupName}/notificationConfiguration/{channelId}","responseCode":200},"input":{"type":"structure","required":["channelId","profilingGroupName"],"members":{"channelId":{"location":"uri","locationName":"channelId"},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"}}},"output":{"type":"structure","members":{"notificationConfiguration":{"shape":"Sa"}}},"idempotent":true},"RemovePermission":{"http":{"method":"DELETE","requestUri":"/profilingGroups/{profilingGroupName}/policy/{actionGroup}","responseCode":200},"input":{"type":"structure","required":["actionGroup","profilingGroupName","revisionId"],"members":{"actionGroup":{"location":"uri","locationName":"actionGroup"},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"},"revisionId":{"location":"querystring","locationName":"revisionId"}}},"output":{"type":"structure","required":["policy","revisionId"],"members":{"policy":{},"revisionId":{}}}},"SubmitFeedback":{"http":{"requestUri":"/internal/profilingGroups/{profilingGroupName}/anomalies/{anomalyInstanceId}/feedback","responseCode":204},"input":{"type":"structure","required":["anomalyInstanceId","profilingGroupName","type"],"members":{"anomalyInstanceId":{"location":"uri","locationName":"anomalyInstanceId"},"comment":{},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"},"type":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S16"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateProfilingGroup":{"http":{"method":"PUT","requestUri":"/profilingGroups/{profilingGroupName}","responseCode":200},"input":{"type":"structure","required":["agentOrchestrationConfig","profilingGroupName"],"members":{"agentOrchestrationConfig":{"shape":"S13"},"profilingGroupName":{"location":"uri","locationName":"profilingGroupName"}}},"output":{"type":"structure","required":["profilingGroup"],"members":{"profilingGroup":{"shape":"S18"}},"payload":"profilingGroup"},"idempotent":true}},"shapes":{"S2":{"type":"list","member":{"type":"structure","required":["eventPublishers","uri"],"members":{"eventPublishers":{"type":"list","member":{}},"id":{},"uri":{}}}},"Sa":{"type":"structure","members":{"channels":{"shape":"S2"}}},"Sc":{"type":"timestamp","timestampFormat":"iso8601"},"Se":{"type":"structure","required":["frameName","threadStates","type"],"members":{"frameName":{},"threadStates":{"type":"list","member":{}},"type":{}}},"Sl":{"type":"list","member":{"type":"structure","required":["value"],"members":{"value":{"shape":"Sc"}}}},"S13":{"type":"structure","required":["profilingEnabled"],"members":{"profilingEnabled":{"type":"boolean"}}},"S16":{"type":"map","key":{},"value":{}},"S18":{"type":"structure","members":{"agentOrchestrationConfig":{"shape":"S13"},"arn":{},"computePlatform":{},"createdAt":{"shape":"Sc"},"name":{},"profilingStatus":{"type":"structure","members":{"latestAgentOrchestratedAt":{"shape":"Sc"},"latestAgentProfileReportedAt":{"shape":"Sc"},"latestAggregatedProfile":{"type":"structure","members":{"period":{},"start":{"shape":"Sc"}}}}},"tags":{"shape":"S16"},"updatedAt":{"shape":"Sc"}}},"S1k":{"type":"list","member":{"type":"structure","members":{"id":{},"profileEndTime":{"shape":"Sc"},"profileStartTime":{"shape":"Sc"},"profilingGroupName":{},"totalNumberOfFindings":{"type":"integer"}}}},"S26":{"type":"list","member":{}}}}');

/***/ }),

/***/ 25274:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetFindingsReportAccountSummary":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListFindingsReports":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListProfileTimes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"profileTimes"},"ListProfilingGroups":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 4039:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-07-09","endpointPrefix":"codepipeline","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"CodePipeline","serviceFullName":"AWS CodePipeline","serviceId":"CodePipeline","signatureVersion":"v4","targetPrefix":"CodePipeline_20150709","uid":"codepipeline-2015-07-09"},"operations":{"AcknowledgeJob":{"input":{"type":"structure","required":["jobId","nonce"],"members":{"jobId":{},"nonce":{}}},"output":{"type":"structure","members":{"status":{}}}},"AcknowledgeThirdPartyJob":{"input":{"type":"structure","required":["jobId","nonce","clientToken"],"members":{"jobId":{},"nonce":{},"clientToken":{}}},"output":{"type":"structure","members":{"status":{}}}},"CreateCustomActionType":{"input":{"type":"structure","required":["category","provider","version","inputArtifactDetails","outputArtifactDetails"],"members":{"category":{},"provider":{},"version":{},"settings":{"shape":"Se"},"configurationProperties":{"shape":"Sh"},"inputArtifactDetails":{"shape":"Sn"},"outputArtifactDetails":{"shape":"Sn"},"tags":{"shape":"Sq"}}},"output":{"type":"structure","required":["actionType"],"members":{"actionType":{"shape":"Sv"},"tags":{"shape":"Sq"}}}},"CreatePipeline":{"input":{"type":"structure","required":["pipeline"],"members":{"pipeline":{"shape":"Sz"},"tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{"pipeline":{"shape":"Sz"},"tags":{"shape":"Sq"}}}},"DeleteCustomActionType":{"input":{"type":"structure","required":["category","provider","version"],"members":{"category":{},"provider":{},"version":{}}}},"DeletePipeline":{"input":{"type":"structure","required":["name"],"members":{"name":{}}}},"DeleteWebhook":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{}}},"DeregisterWebhookWithThirdParty":{"input":{"type":"structure","members":{"webhookName":{}}},"output":{"type":"structure","members":{}}},"DisableStageTransition":{"input":{"type":"structure","required":["pipelineName","stageName","transitionType","reason"],"members":{"pipelineName":{},"stageName":{},"transitionType":{},"reason":{}}}},"EnableStageTransition":{"input":{"type":"structure","required":["pipelineName","stageName","transitionType"],"members":{"pipelineName":{},"stageName":{},"transitionType":{}}}},"GetActionType":{"input":{"type":"structure","required":["category","owner","provider","version"],"members":{"category":{},"owner":{},"provider":{},"version":{}}},"output":{"type":"structure","members":{"actionType":{"shape":"S29"}}}},"GetJobDetails":{"input":{"type":"structure","required":["jobId"],"members":{"jobId":{}}},"output":{"type":"structure","members":{"jobDetails":{"type":"structure","members":{"id":{},"data":{"shape":"S31"},"accountId":{}}}}}},"GetPipeline":{"input":{"type":"structure","required":["name"],"members":{"name":{},"version":{"type":"integer"}}},"output":{"type":"structure","members":{"pipeline":{"shape":"Sz"},"metadata":{"type":"structure","members":{"pipelineArn":{},"created":{"type":"timestamp"},"updated":{"type":"timestamp"}}}}}},"GetPipelineExecution":{"input":{"type":"structure","required":["pipelineName","pipelineExecutionId"],"members":{"pipelineName":{},"pipelineExecutionId":{}}},"output":{"type":"structure","members":{"pipelineExecution":{"type":"structure","members":{"pipelineName":{},"pipelineVersion":{"type":"integer"},"pipelineExecutionId":{},"status":{},"statusSummary":{},"artifactRevisions":{"type":"list","member":{"type":"structure","members":{"name":{},"revisionId":{},"revisionChangeIdentifier":{},"revisionSummary":{},"created":{"type":"timestamp"},"revisionUrl":{}}}}}}}}},"GetPipelineState":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{"pipelineName":{},"pipelineVersion":{"type":"integer"},"stageStates":{"type":"list","member":{"type":"structure","members":{"stageName":{},"inboundExecution":{"shape":"S43"},"inboundTransitionState":{"type":"structure","members":{"enabled":{"type":"boolean"},"lastChangedBy":{},"lastChangedAt":{"type":"timestamp"},"disabledReason":{}}},"actionStates":{"type":"list","member":{"type":"structure","members":{"actionName":{},"currentRevision":{"shape":"S4b"},"latestExecution":{"type":"structure","members":{"actionExecutionId":{},"status":{},"summary":{},"lastStatusChange":{"type":"timestamp"},"token":{},"lastUpdatedBy":{},"externalExecutionId":{},"externalExecutionUrl":{},"percentComplete":{"type":"integer"},"errorDetails":{"type":"structure","members":{"code":{},"message":{}}}}},"entityUrl":{},"revisionUrl":{}}}},"latestExecution":{"shape":"S43"}}}},"created":{"type":"timestamp"},"updated":{"type":"timestamp"}}}},"GetThirdPartyJobDetails":{"input":{"type":"structure","required":["jobId","clientToken"],"members":{"jobId":{},"clientToken":{}}},"output":{"type":"structure","members":{"jobDetails":{"type":"structure","members":{"id":{},"data":{"type":"structure","members":{"actionTypeId":{"shape":"Sw"},"actionConfiguration":{"shape":"S32"},"pipelineContext":{"shape":"S33"},"inputArtifacts":{"shape":"S39"},"outputArtifacts":{"shape":"S39"},"artifactCredentials":{"shape":"S3h"},"continuationToken":{},"encryptionKey":{"shape":"S15"}}},"nonce":{}}}}}},"ListActionExecutions":{"input":{"type":"structure","required":["pipelineName"],"members":{"pipelineName":{},"filter":{"type":"structure","members":{"pipelineExecutionId":{}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"actionExecutionDetails":{"type":"list","member":{"type":"structure","members":{"pipelineExecutionId":{},"actionExecutionId":{},"pipelineVersion":{"type":"integer"},"stageName":{},"actionName":{},"startTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"status":{},"input":{"type":"structure","members":{"actionTypeId":{"shape":"Sw"},"configuration":{"shape":"S1l"},"resolvedConfiguration":{"type":"map","key":{},"value":{}},"roleArn":{},"region":{},"inputArtifacts":{"shape":"S50"},"namespace":{}}},"output":{"type":"structure","members":{"outputArtifacts":{"shape":"S50"},"executionResult":{"type":"structure","members":{"externalExecutionId":{},"externalExecutionSummary":{},"externalExecutionUrl":{}}},"outputVariables":{"shape":"S59"}}}}}},"nextToken":{}}}},"ListActionTypes":{"input":{"type":"structure","members":{"actionOwnerFilter":{},"nextToken":{},"regionFilter":{}}},"output":{"type":"structure","required":["actionTypes"],"members":{"actionTypes":{"type":"list","member":{"shape":"Sv"}},"nextToken":{}}}},"ListPipelineExecutions":{"input":{"type":"structure","required":["pipelineName"],"members":{"pipelineName":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"pipelineExecutionSummaries":{"type":"list","member":{"type":"structure","members":{"pipelineExecutionId":{},"status":{},"startTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"sourceRevisions":{"type":"list","member":{"type":"structure","required":["actionName"],"members":{"actionName":{},"revisionId":{},"revisionSummary":{},"revisionUrl":{}}}},"trigger":{"type":"structure","members":{"triggerType":{},"triggerDetail":{}}},"stopTrigger":{"type":"structure","members":{"reason":{}}}}}},"nextToken":{}}}},"ListPipelines":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"pipelines":{"type":"list","member":{"type":"structure","members":{"name":{},"version":{"type":"integer"},"created":{"type":"timestamp"},"updated":{"type":"timestamp"}}}},"nextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sq"},"nextToken":{}}}},"ListWebhooks":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"webhooks":{"type":"list","member":{"shape":"S61"}},"NextToken":{}}}},"PollForJobs":{"input":{"type":"structure","required":["actionTypeId"],"members":{"actionTypeId":{"shape":"Sw"},"maxBatchSize":{"type":"integer"},"queryParam":{"type":"map","key":{},"value":{}}}},"output":{"type":"structure","members":{"jobs":{"type":"list","member":{"type":"structure","members":{"id":{},"data":{"shape":"S31"},"nonce":{},"accountId":{}}}}}}},"PollForThirdPartyJobs":{"input":{"type":"structure","required":["actionTypeId"],"members":{"actionTypeId":{"shape":"Sw"},"maxBatchSize":{"type":"integer"}}},"output":{"type":"structure","members":{"jobs":{"type":"list","member":{"type":"structure","members":{"clientId":{},"jobId":{}}}}}}},"PutActionRevision":{"input":{"type":"structure","required":["pipelineName","stageName","actionName","actionRevision"],"members":{"pipelineName":{},"stageName":{},"actionName":{},"actionRevision":{"shape":"S4b"}}},"output":{"type":"structure","members":{"newRevision":{"type":"boolean"},"pipelineExecutionId":{}}}},"PutApprovalResult":{"input":{"type":"structure","required":["pipelineName","stageName","actionName","result","token"],"members":{"pipelineName":{},"stageName":{},"actionName":{},"result":{"type":"structure","required":["summary","status"],"members":{"summary":{},"status":{}}},"token":{}}},"output":{"type":"structure","members":{"approvedAt":{"type":"timestamp"}}}},"PutJobFailureResult":{"input":{"type":"structure","required":["jobId","failureDetails"],"members":{"jobId":{},"failureDetails":{"shape":"S71"}}}},"PutJobSuccessResult":{"input":{"type":"structure","required":["jobId"],"members":{"jobId":{},"currentRevision":{"shape":"S74"},"continuationToken":{},"executionDetails":{"shape":"S76"},"outputVariables":{"shape":"S59"}}}},"PutThirdPartyJobFailureResult":{"input":{"type":"structure","required":["jobId","clientToken","failureDetails"],"members":{"jobId":{},"clientToken":{},"failureDetails":{"shape":"S71"}}}},"PutThirdPartyJobSuccessResult":{"input":{"type":"structure","required":["jobId","clientToken"],"members":{"jobId":{},"clientToken":{},"currentRevision":{"shape":"S74"},"continuationToken":{},"executionDetails":{"shape":"S76"}}}},"PutWebhook":{"input":{"type":"structure","required":["webhook"],"members":{"webhook":{"shape":"S62"},"tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{"webhook":{"shape":"S61"}}}},"RegisterWebhookWithThirdParty":{"input":{"type":"structure","members":{"webhookName":{}}},"output":{"type":"structure","members":{}}},"RetryStageExecution":{"input":{"type":"structure","required":["pipelineName","stageName","pipelineExecutionId","retryMode"],"members":{"pipelineName":{},"stageName":{},"pipelineExecutionId":{},"retryMode":{}}},"output":{"type":"structure","members":{"pipelineExecutionId":{}}}},"StartPipelineExecution":{"input":{"type":"structure","required":["name"],"members":{"name":{},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"pipelineExecutionId":{}}}},"StopPipelineExecution":{"input":{"type":"structure","required":["pipelineName","pipelineExecutionId"],"members":{"pipelineName":{},"pipelineExecutionId":{},"abandon":{"type":"boolean"},"reason":{}}},"output":{"type":"structure","members":{"pipelineExecutionId":{}}}},"TagResource":{"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateActionType":{"input":{"type":"structure","required":["actionType"],"members":{"actionType":{"shape":"S29"}}}},"UpdatePipeline":{"input":{"type":"structure","required":["pipeline"],"members":{"pipeline":{"shape":"Sz"}}},"output":{"type":"structure","members":{"pipeline":{"shape":"Sz"}}}}},"shapes":{"Se":{"type":"structure","members":{"thirdPartyConfigurationUrl":{},"entityUrlTemplate":{},"executionUrlTemplate":{},"revisionUrlTemplate":{}}},"Sh":{"type":"list","member":{"type":"structure","required":["name","required","key","secret"],"members":{"name":{},"required":{"type":"boolean"},"key":{"type":"boolean"},"secret":{"type":"boolean"},"queryable":{"type":"boolean"},"description":{},"type":{}}}},"Sn":{"type":"structure","required":["minimumCount","maximumCount"],"members":{"minimumCount":{"type":"integer"},"maximumCount":{"type":"integer"}}},"Sq":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"Sv":{"type":"structure","required":["id","inputArtifactDetails","outputArtifactDetails"],"members":{"id":{"shape":"Sw"},"settings":{"shape":"Se"},"actionConfigurationProperties":{"shape":"Sh"},"inputArtifactDetails":{"shape":"Sn"},"outputArtifactDetails":{"shape":"Sn"}}},"Sw":{"type":"structure","required":["category","owner","provider","version"],"members":{"category":{},"owner":{},"provider":{},"version":{}}},"Sz":{"type":"structure","required":["name","roleArn","stages"],"members":{"name":{},"roleArn":{},"artifactStore":{"shape":"S12"},"artifactStores":{"type":"map","key":{},"value":{"shape":"S12"}},"stages":{"type":"list","member":{"type":"structure","required":["name","actions"],"members":{"name":{},"blockers":{"type":"list","member":{"type":"structure","required":["name","type"],"members":{"name":{},"type":{}}}},"actions":{"type":"list","member":{"type":"structure","required":["name","actionTypeId"],"members":{"name":{},"actionTypeId":{"shape":"Sw"},"runOrder":{"type":"integer"},"configuration":{"shape":"S1l"},"outputArtifacts":{"type":"list","member":{"type":"structure","required":["name"],"members":{"name":{}}}},"inputArtifacts":{"type":"list","member":{"type":"structure","required":["name"],"members":{"name":{}}}},"roleArn":{},"region":{},"namespace":{}}}}}}},"version":{"type":"integer"}}},"S12":{"type":"structure","required":["type","location"],"members":{"type":{},"location":{},"encryptionKey":{"shape":"S15"}}},"S15":{"type":"structure","required":["id","type"],"members":{"id":{},"type":{}}},"S1l":{"type":"map","key":{},"value":{}},"S29":{"type":"structure","required":["executor","id","inputArtifactDetails","outputArtifactDetails"],"members":{"description":{},"executor":{"type":"structure","required":["configuration","type"],"members":{"configuration":{"type":"structure","members":{"lambdaExecutorConfiguration":{"type":"structure","required":["lambdaFunctionArn"],"members":{"lambdaFunctionArn":{}}},"jobWorkerExecutorConfiguration":{"type":"structure","members":{"pollingAccounts":{"type":"list","member":{}},"pollingServicePrincipals":{"type":"list","member":{}}}}}},"type":{},"policyStatementsTemplate":{},"jobTimeout":{"type":"integer"}}},"id":{"type":"structure","required":["category","owner","provider","version"],"members":{"category":{},"owner":{},"provider":{},"version":{}}},"inputArtifactDetails":{"shape":"S2o"},"outputArtifactDetails":{"shape":"S2o"},"permissions":{"type":"structure","required":["allowedAccounts"],"members":{"allowedAccounts":{"type":"list","member":{}}}},"properties":{"type":"list","member":{"type":"structure","required":["name","optional","key","noEcho"],"members":{"name":{},"optional":{"type":"boolean"},"key":{"type":"boolean"},"noEcho":{"type":"boolean"},"queryable":{"type":"boolean"},"description":{}}}},"urls":{"type":"structure","members":{"configurationUrl":{},"entityUrlTemplate":{},"executionUrlTemplate":{},"revisionUrlTemplate":{}}}}},"S2o":{"type":"structure","required":["minimumCount","maximumCount"],"members":{"minimumCount":{"type":"integer"},"maximumCount":{"type":"integer"}}},"S31":{"type":"structure","members":{"actionTypeId":{"shape":"Sw"},"actionConfiguration":{"shape":"S32"},"pipelineContext":{"shape":"S33"},"inputArtifacts":{"shape":"S39"},"outputArtifacts":{"shape":"S39"},"artifactCredentials":{"shape":"S3h"},"continuationToken":{},"encryptionKey":{"shape":"S15"}}},"S32":{"type":"structure","members":{"configuration":{"shape":"S1l"}}},"S33":{"type":"structure","members":{"pipelineName":{},"stage":{"type":"structure","members":{"name":{}}},"action":{"type":"structure","members":{"name":{},"actionExecutionId":{}}},"pipelineArn":{},"pipelineExecutionId":{}}},"S39":{"type":"list","member":{"type":"structure","members":{"name":{},"revision":{},"location":{"type":"structure","members":{"type":{},"s3Location":{"type":"structure","required":["bucketName","objectKey"],"members":{"bucketName":{},"objectKey":{}}}}}}}},"S3h":{"type":"structure","required":["accessKeyId","secretAccessKey","sessionToken"],"members":{"accessKeyId":{"type":"string","sensitive":true},"secretAccessKey":{"type":"string","sensitive":true},"sessionToken":{"type":"string","sensitive":true}},"sensitive":true},"S43":{"type":"structure","required":["pipelineExecutionId","status"],"members":{"pipelineExecutionId":{},"status":{}}},"S4b":{"type":"structure","required":["revisionId","revisionChangeId","created"],"members":{"revisionId":{},"revisionChangeId":{},"created":{"type":"timestamp"}}},"S50":{"type":"list","member":{"type":"structure","members":{"name":{},"s3location":{"type":"structure","members":{"bucket":{},"key":{}}}}}},"S59":{"type":"map","key":{},"value":{}},"S61":{"type":"structure","required":["definition","url"],"members":{"definition":{"shape":"S62"},"url":{},"errorMessage":{},"errorCode":{},"lastTriggered":{"type":"timestamp"},"arn":{},"tags":{"shape":"Sq"}}},"S62":{"type":"structure","required":["name","targetPipeline","targetAction","filters","authentication","authenticationConfiguration"],"members":{"name":{},"targetPipeline":{},"targetAction":{},"filters":{"type":"list","member":{"type":"structure","required":["jsonPath"],"members":{"jsonPath":{},"matchEquals":{}}}},"authentication":{},"authenticationConfiguration":{"type":"structure","members":{"AllowedIPRange":{},"SecretToken":{}}}}},"S71":{"type":"structure","required":["type","message"],"members":{"type":{},"message":{},"externalExecutionId":{}}},"S74":{"type":"structure","required":["revision","changeIdentifier"],"members":{"revision":{},"changeIdentifier":{},"created":{"type":"timestamp"},"revisionSummary":{}}},"S76":{"type":"structure","members":{"summary":{},"externalExecutionId":{},"percentComplete":{"type":"integer"}}}}}');

/***/ }),

/***/ 78953:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListActionExecutions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"actionExecutionDetails"},"ListActionTypes":{"input_token":"nextToken","output_token":"nextToken","result_key":"actionTypes"},"ListPipelineExecutions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"pipelineExecutionSummaries"},"ListPipelines":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"pipelines"},"ListTagsForResource":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"tags"},"ListWebhooks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"webhooks"}}}');

/***/ }),

/***/ 12425:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-04-19","endpointPrefix":"codestar","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"CodeStar","serviceFullName":"AWS CodeStar","serviceId":"CodeStar","signatureVersion":"v4","targetPrefix":"CodeStar_20170419","uid":"codestar-2017-04-19"},"operations":{"AssociateTeamMember":{"input":{"type":"structure","required":["projectId","userArn","projectRole"],"members":{"projectId":{},"clientRequestToken":{},"userArn":{},"projectRole":{},"remoteAccessAllowed":{"type":"boolean"}}},"output":{"type":"structure","members":{"clientRequestToken":{}}}},"CreateProject":{"input":{"type":"structure","required":["name","id"],"members":{"name":{"shape":"S9"},"id":{},"description":{"shape":"Sa"},"clientRequestToken":{},"sourceCode":{"type":"list","member":{"type":"structure","required":["source","destination"],"members":{"source":{"type":"structure","required":["s3"],"members":{"s3":{"shape":"Se"}}},"destination":{"type":"structure","members":{"codeCommit":{"type":"structure","required":["name"],"members":{"name":{}}},"gitHub":{"type":"structure","required":["name","type","owner","privateRepository","issuesEnabled","token"],"members":{"name":{},"description":{},"type":{},"owner":{},"privateRepository":{"type":"boolean"},"issuesEnabled":{"type":"boolean"},"token":{"type":"string","sensitive":true}}}}}}}},"toolchain":{"type":"structure","required":["source"],"members":{"source":{"type":"structure","required":["s3"],"members":{"s3":{"shape":"Se"}}},"roleArn":{},"stackParameters":{"type":"map","key":{},"value":{"type":"string","sensitive":true}}}},"tags":{"shape":"Sx"}}},"output":{"type":"structure","required":["id","arn"],"members":{"id":{},"arn":{},"clientRequestToken":{},"projectTemplateId":{}}}},"CreateUserProfile":{"input":{"type":"structure","required":["userArn","displayName","emailAddress"],"members":{"userArn":{},"displayName":{"shape":"S14"},"emailAddress":{"shape":"S15"},"sshPublicKey":{}}},"output":{"type":"structure","required":["userArn"],"members":{"userArn":{},"displayName":{"shape":"S14"},"emailAddress":{"shape":"S15"},"sshPublicKey":{},"createdTimestamp":{"type":"timestamp"},"lastModifiedTimestamp":{"type":"timestamp"}}}},"DeleteProject":{"input":{"type":"structure","required":["id"],"members":{"id":{},"clientRequestToken":{},"deleteStack":{"type":"boolean"}}},"output":{"type":"structure","members":{"stackId":{},"projectArn":{}}}},"DeleteUserProfile":{"input":{"type":"structure","required":["userArn"],"members":{"userArn":{}}},"output":{"type":"structure","required":["userArn"],"members":{"userArn":{}}}},"DescribeProject":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","members":{"name":{"shape":"S9"},"id":{},"arn":{},"description":{"shape":"Sa"},"clientRequestToken":{},"createdTimeStamp":{"type":"timestamp"},"stackId":{},"projectTemplateId":{},"status":{"type":"structure","required":["state"],"members":{"state":{},"reason":{}}}}}},"DescribeUserProfile":{"input":{"type":"structure","required":["userArn"],"members":{"userArn":{}}},"output":{"type":"structure","required":["userArn","createdTimestamp","lastModifiedTimestamp"],"members":{"userArn":{},"displayName":{"shape":"S14"},"emailAddress":{"shape":"S15"},"sshPublicKey":{},"createdTimestamp":{"type":"timestamp"},"lastModifiedTimestamp":{"type":"timestamp"}}}},"DisassociateTeamMember":{"input":{"type":"structure","required":["projectId","userArn"],"members":{"projectId":{},"userArn":{}}},"output":{"type":"structure","members":{}}},"ListProjects":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["projects"],"members":{"projects":{"type":"list","member":{"type":"structure","members":{"projectId":{},"projectArn":{}}}},"nextToken":{}}}},"ListResources":{"input":{"type":"structure","required":["projectId"],"members":{"projectId":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"resources":{"type":"list","member":{"type":"structure","required":["id"],"members":{"id":{}}}},"nextToken":{}}}},"ListTagsForProject":{"input":{"type":"structure","required":["id"],"members":{"id":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sx"},"nextToken":{}}}},"ListTeamMembers":{"input":{"type":"structure","required":["projectId"],"members":{"projectId":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["teamMembers"],"members":{"teamMembers":{"type":"list","member":{"type":"structure","required":["userArn","projectRole"],"members":{"userArn":{},"projectRole":{},"remoteAccessAllowed":{"type":"boolean"}}}},"nextToken":{}}}},"ListUserProfiles":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["userProfiles"],"members":{"userProfiles":{"type":"list","member":{"type":"structure","members":{"userArn":{},"displayName":{"shape":"S14"},"emailAddress":{"shape":"S15"},"sshPublicKey":{}}}},"nextToken":{}}}},"TagProject":{"input":{"type":"structure","required":["id","tags"],"members":{"id":{},"tags":{"shape":"Sx"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sx"}}}},"UntagProject":{"input":{"type":"structure","required":["id","tags"],"members":{"id":{},"tags":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateProject":{"input":{"type":"structure","required":["id"],"members":{"id":{},"name":{"shape":"S9"},"description":{"shape":"Sa"}}},"output":{"type":"structure","members":{}}},"UpdateTeamMember":{"input":{"type":"structure","required":["projectId","userArn"],"members":{"projectId":{},"userArn":{},"projectRole":{},"remoteAccessAllowed":{"type":"boolean"}}},"output":{"type":"structure","members":{"userArn":{},"projectRole":{},"remoteAccessAllowed":{"type":"boolean"}}}},"UpdateUserProfile":{"input":{"type":"structure","required":["userArn"],"members":{"userArn":{},"displayName":{"shape":"S14"},"emailAddress":{"shape":"S15"},"sshPublicKey":{}}},"output":{"type":"structure","required":["userArn"],"members":{"userArn":{},"displayName":{"shape":"S14"},"emailAddress":{"shape":"S15"},"sshPublicKey":{},"createdTimestamp":{"type":"timestamp"},"lastModifiedTimestamp":{"type":"timestamp"}}}}},"shapes":{"S9":{"type":"string","sensitive":true},"Sa":{"type":"string","sensitive":true},"Se":{"type":"structure","members":{"bucketName":{},"bucketKey":{}}},"Sx":{"type":"map","key":{},"value":{}},"S14":{"type":"string","sensitive":true},"S15":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 70046:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 88428:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-12-01","endpointPrefix":"codestar-connections","jsonVersion":"1.0","protocol":"json","serviceFullName":"AWS CodeStar connections","serviceId":"CodeStar connections","signatureVersion":"v4","signingName":"codestar-connections","targetPrefix":"com.amazonaws.codestar.connections.CodeStar_connections_20191201","uid":"codestar-connections-2019-12-01"},"operations":{"CreateConnection":{"input":{"type":"structure","required":["ConnectionName"],"members":{"ProviderType":{},"ConnectionName":{},"Tags":{"shape":"S4"},"HostArn":{}}},"output":{"type":"structure","required":["ConnectionArn"],"members":{"ConnectionArn":{},"Tags":{"shape":"S4"}}}},"CreateHost":{"input":{"type":"structure","required":["Name","ProviderType","ProviderEndpoint"],"members":{"Name":{},"ProviderType":{},"ProviderEndpoint":{},"VpcConfiguration":{"shape":"Se"},"Tags":{"shape":"S4"}}},"output":{"type":"structure","members":{"HostArn":{},"Tags":{"shape":"S4"}}}},"DeleteConnection":{"input":{"type":"structure","required":["ConnectionArn"],"members":{"ConnectionArn":{}}},"output":{"type":"structure","members":{}}},"DeleteHost":{"input":{"type":"structure","required":["HostArn"],"members":{"HostArn":{}}},"output":{"type":"structure","members":{}}},"GetConnection":{"input":{"type":"structure","required":["ConnectionArn"],"members":{"ConnectionArn":{}}},"output":{"type":"structure","members":{"Connection":{"shape":"Ss"}}}},"GetHost":{"input":{"type":"structure","required":["HostArn"],"members":{"HostArn":{}}},"output":{"type":"structure","members":{"Name":{},"Status":{},"ProviderType":{},"ProviderEndpoint":{},"VpcConfiguration":{"shape":"Se"}}}},"ListConnections":{"input":{"type":"structure","members":{"ProviderTypeFilter":{},"HostArnFilter":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Connections":{"type":"list","member":{"shape":"Ss"}},"NextToken":{}}}},"ListHosts":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Hosts":{"type":"list","member":{"type":"structure","members":{"Name":{},"HostArn":{},"ProviderType":{},"ProviderEndpoint":{},"VpcConfiguration":{"shape":"Se"},"Status":{},"StatusMessage":{}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S4"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S4"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateHost":{"input":{"type":"structure","required":["HostArn"],"members":{"HostArn":{},"ProviderEndpoint":{},"VpcConfiguration":{"shape":"Se"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S4":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Se":{"type":"structure","required":["VpcId","SubnetIds","SecurityGroupIds"],"members":{"VpcId":{},"SubnetIds":{"type":"list","member":{}},"SecurityGroupIds":{"type":"list","member":{}},"TlsCertificate":{}}},"Ss":{"type":"structure","members":{"ConnectionName":{},"ConnectionArn":{},"ProviderType":{},"OwnerAccountId":{},"ConnectionStatus":{},"HostArn":{}}}}}');

/***/ }),

/***/ 31506:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListConnections":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListHosts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 33362:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-10-15","endpointPrefix":"codestar-notifications","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS CodeStar Notifications","serviceId":"codestar notifications","signatureVersion":"v4","signingName":"codestar-notifications","uid":"codestar-notifications-2019-10-15"},"operations":{"CreateNotificationRule":{"http":{"requestUri":"/createNotificationRule"},"input":{"type":"structure","required":["Name","EventTypeIds","Resource","Targets","DetailType"],"members":{"Name":{"shape":"S2"},"EventTypeIds":{"shape":"S3"},"Resource":{},"Targets":{"shape":"S6"},"DetailType":{},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sc"},"Status":{}}},"output":{"type":"structure","members":{"Arn":{}}}},"DeleteNotificationRule":{"http":{"requestUri":"/deleteNotificationRule"},"input":{"type":"structure","required":["Arn"],"members":{"Arn":{}}},"output":{"type":"structure","members":{"Arn":{}}}},"DeleteTarget":{"http":{"requestUri":"/deleteTarget"},"input":{"type":"structure","required":["TargetAddress"],"members":{"TargetAddress":{"shape":"S9"},"ForceUnsubscribeAll":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DescribeNotificationRule":{"http":{"requestUri":"/describeNotificationRule"},"input":{"type":"structure","required":["Arn"],"members":{"Arn":{}}},"output":{"type":"structure","required":["Arn"],"members":{"Arn":{},"Name":{"shape":"S2"},"EventTypes":{"shape":"Sp"},"Resource":{},"Targets":{"shape":"Su"},"DetailType":{},"CreatedBy":{},"Status":{},"CreatedTimestamp":{"type":"timestamp"},"LastModifiedTimestamp":{"type":"timestamp"},"Tags":{"shape":"Sc"}}}},"ListEventTypes":{"http":{"requestUri":"/listEventTypes"},"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"EventTypes":{"shape":"Sp"},"NextToken":{}}}},"ListNotificationRules":{"http":{"requestUri":"/listNotificationRules"},"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"NotificationRules":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{}}}}}}},"ListTagsForResource":{"http":{"requestUri":"/listTagsForResource"},"input":{"type":"structure","required":["Arn"],"members":{"Arn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sc"}}}},"ListTargets":{"http":{"requestUri":"/listTargets"},"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Targets":{"shape":"Su"},"NextToken":{}}}},"Subscribe":{"http":{"requestUri":"/subscribe"},"input":{"type":"structure","required":["Arn","Target"],"members":{"Arn":{},"Target":{"shape":"S7"},"ClientRequestToken":{}}},"output":{"type":"structure","members":{"Arn":{}}}},"TagResource":{"http":{"requestUri":"/tagResource"},"input":{"type":"structure","required":["Arn","Tags"],"members":{"Arn":{},"Tags":{"shape":"Sc"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sc"}}}},"Unsubscribe":{"http":{"requestUri":"/unsubscribe"},"input":{"type":"structure","required":["Arn","TargetAddress"],"members":{"Arn":{},"TargetAddress":{"shape":"S9"}}},"output":{"type":"structure","required":["Arn"],"members":{"Arn":{}}}},"UntagResource":{"http":{"requestUri":"/untagResource"},"input":{"type":"structure","required":["Arn","TagKeys"],"members":{"Arn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateNotificationRule":{"http":{"requestUri":"/updateNotificationRule"},"input":{"type":"structure","required":["Arn"],"members":{"Arn":{},"Name":{"shape":"S2"},"Status":{},"EventTypeIds":{"shape":"S3"},"Targets":{"shape":"S6"},"DetailType":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"S2":{"type":"string","sensitive":true},"S3":{"type":"list","member":{}},"S6":{"type":"list","member":{"shape":"S7"}},"S7":{"type":"structure","members":{"TargetType":{},"TargetAddress":{"shape":"S9"}}},"S9":{"type":"string","sensitive":true},"Sc":{"type":"map","key":{},"value":{}},"Sp":{"type":"list","member":{"type":"structure","members":{"EventTypeId":{},"ServiceName":{},"EventTypeName":{},"ResourceType":{}}}},"Su":{"type":"list","member":{"type":"structure","members":{"TargetAddress":{"shape":"S9"},"TargetType":{},"TargetStatus":{}}}}}}');

/***/ }),

/***/ 44301:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListEventTypes":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"EventTypes"},"ListNotificationRules":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"NotificationRules"},"ListTargets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Targets"}}}');

/***/ }),

/***/ 57377:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-06-30","endpointPrefix":"cognito-identity","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Cognito Identity","serviceId":"Cognito Identity","signatureVersion":"v4","targetPrefix":"AWSCognitoIdentityService","uid":"cognito-identity-2014-06-30"},"operations":{"CreateIdentityPool":{"input":{"type":"structure","required":["IdentityPoolName","AllowUnauthenticatedIdentities"],"members":{"IdentityPoolName":{},"AllowUnauthenticatedIdentities":{"type":"boolean"},"AllowClassicFlow":{"type":"boolean"},"SupportedLoginProviders":{"shape":"S5"},"DeveloperProviderName":{},"OpenIdConnectProviderARNs":{"shape":"S9"},"CognitoIdentityProviders":{"shape":"Sb"},"SamlProviderARNs":{"shape":"Sg"},"IdentityPoolTags":{"shape":"Sh"}}},"output":{"shape":"Sk"}},"DeleteIdentities":{"input":{"type":"structure","required":["IdentityIdsToDelete"],"members":{"IdentityIdsToDelete":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"UnprocessedIdentityIds":{"type":"list","member":{"type":"structure","members":{"IdentityId":{},"ErrorCode":{}}}}}}},"DeleteIdentityPool":{"input":{"type":"structure","required":["IdentityPoolId"],"members":{"IdentityPoolId":{}}}},"DescribeIdentity":{"input":{"type":"structure","required":["IdentityId"],"members":{"IdentityId":{}}},"output":{"shape":"Sv"}},"DescribeIdentityPool":{"input":{"type":"structure","required":["IdentityPoolId"],"members":{"IdentityPoolId":{}}},"output":{"shape":"Sk"}},"GetCredentialsForIdentity":{"input":{"type":"structure","required":["IdentityId"],"members":{"IdentityId":{},"Logins":{"shape":"S10"},"CustomRoleArn":{}}},"output":{"type":"structure","members":{"IdentityId":{},"Credentials":{"type":"structure","members":{"AccessKeyId":{},"SecretKey":{},"SessionToken":{},"Expiration":{"type":"timestamp"}}}}},"authtype":"none"},"GetId":{"input":{"type":"structure","required":["IdentityPoolId"],"members":{"AccountId":{},"IdentityPoolId":{},"Logins":{"shape":"S10"}}},"output":{"type":"structure","members":{"IdentityId":{}}},"authtype":"none"},"GetIdentityPoolRoles":{"input":{"type":"structure","required":["IdentityPoolId"],"members":{"IdentityPoolId":{}}},"output":{"type":"structure","members":{"IdentityPoolId":{},"Roles":{"shape":"S1c"},"RoleMappings":{"shape":"S1e"}}}},"GetOpenIdToken":{"input":{"type":"structure","required":["IdentityId"],"members":{"IdentityId":{},"Logins":{"shape":"S10"}}},"output":{"type":"structure","members":{"IdentityId":{},"Token":{}}},"authtype":"none"},"GetOpenIdTokenForDeveloperIdentity":{"input":{"type":"structure","required":["IdentityPoolId","Logins"],"members":{"IdentityPoolId":{},"IdentityId":{},"Logins":{"shape":"S10"},"PrincipalTags":{"shape":"S1s"},"TokenDuration":{"type":"long"}}},"output":{"type":"structure","members":{"IdentityId":{},"Token":{}}}},"GetPrincipalTagAttributeMap":{"input":{"type":"structure","required":["IdentityPoolId","IdentityProviderName"],"members":{"IdentityPoolId":{},"IdentityProviderName":{}}},"output":{"type":"structure","members":{"IdentityPoolId":{},"IdentityProviderName":{},"UseDefaults":{"type":"boolean"},"PrincipalTags":{"shape":"S1s"}}}},"ListIdentities":{"input":{"type":"structure","required":["IdentityPoolId","MaxResults"],"members":{"IdentityPoolId":{},"MaxResults":{"type":"integer"},"NextToken":{},"HideDisabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"IdentityPoolId":{},"Identities":{"type":"list","member":{"shape":"Sv"}},"NextToken":{}}}},"ListIdentityPools":{"input":{"type":"structure","required":["MaxResults"],"members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"IdentityPools":{"type":"list","member":{"type":"structure","members":{"IdentityPoolId":{},"IdentityPoolName":{}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sh"}}}},"LookupDeveloperIdentity":{"input":{"type":"structure","required":["IdentityPoolId"],"members":{"IdentityPoolId":{},"IdentityId":{},"DeveloperUserIdentifier":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"IdentityId":{},"DeveloperUserIdentifierList":{"type":"list","member":{}},"NextToken":{}}}},"MergeDeveloperIdentities":{"input":{"type":"structure","required":["SourceUserIdentifier","DestinationUserIdentifier","DeveloperProviderName","IdentityPoolId"],"members":{"SourceUserIdentifier":{},"DestinationUserIdentifier":{},"DeveloperProviderName":{},"IdentityPoolId":{}}},"output":{"type":"structure","members":{"IdentityId":{}}}},"SetIdentityPoolRoles":{"input":{"type":"structure","required":["IdentityPoolId","Roles"],"members":{"IdentityPoolId":{},"Roles":{"shape":"S1c"},"RoleMappings":{"shape":"S1e"}}}},"SetPrincipalTagAttributeMap":{"input":{"type":"structure","required":["IdentityPoolId","IdentityProviderName"],"members":{"IdentityPoolId":{},"IdentityProviderName":{},"UseDefaults":{"type":"boolean"},"PrincipalTags":{"shape":"S1s"}}},"output":{"type":"structure","members":{"IdentityPoolId":{},"IdentityProviderName":{},"UseDefaults":{"type":"boolean"},"PrincipalTags":{"shape":"S1s"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sh"}}},"output":{"type":"structure","members":{}}},"UnlinkDeveloperIdentity":{"input":{"type":"structure","required":["IdentityId","IdentityPoolId","DeveloperProviderName","DeveloperUserIdentifier"],"members":{"IdentityId":{},"IdentityPoolId":{},"DeveloperProviderName":{},"DeveloperUserIdentifier":{}}}},"UnlinkIdentity":{"input":{"type":"structure","required":["IdentityId","Logins","LoginsToRemove"],"members":{"IdentityId":{},"Logins":{"shape":"S10"},"LoginsToRemove":{"shape":"Sw"}}},"authtype":"none"},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateIdentityPool":{"input":{"shape":"Sk"},"output":{"shape":"Sk"}}},"shapes":{"S5":{"type":"map","key":{},"value":{}},"S9":{"type":"list","member":{}},"Sb":{"type":"list","member":{"type":"structure","members":{"ProviderName":{},"ClientId":{},"ServerSideTokenCheck":{"type":"boolean"}}}},"Sg":{"type":"list","member":{}},"Sh":{"type":"map","key":{},"value":{}},"Sk":{"type":"structure","required":["IdentityPoolId","IdentityPoolName","AllowUnauthenticatedIdentities"],"members":{"IdentityPoolId":{},"IdentityPoolName":{},"AllowUnauthenticatedIdentities":{"type":"boolean"},"AllowClassicFlow":{"type":"boolean"},"SupportedLoginProviders":{"shape":"S5"},"DeveloperProviderName":{},"OpenIdConnectProviderARNs":{"shape":"S9"},"CognitoIdentityProviders":{"shape":"Sb"},"SamlProviderARNs":{"shape":"Sg"},"IdentityPoolTags":{"shape":"Sh"}}},"Sv":{"type":"structure","members":{"IdentityId":{},"Logins":{"shape":"Sw"},"CreationDate":{"type":"timestamp"},"LastModifiedDate":{"type":"timestamp"}}},"Sw":{"type":"list","member":{}},"S10":{"type":"map","key":{},"value":{}},"S1c":{"type":"map","key":{},"value":{}},"S1e":{"type":"map","key":{},"value":{"type":"structure","required":["Type"],"members":{"Type":{},"AmbiguousRoleResolution":{},"RulesConfiguration":{"type":"structure","required":["Rules"],"members":{"Rules":{"type":"list","member":{"type":"structure","required":["Claim","MatchType","Value","RoleARN"],"members":{"Claim":{},"MatchType":{},"Value":{},"RoleARN":{}}}}}}}}},"S1s":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 85010:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListIdentityPools":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"IdentityPools"}}}');

/***/ }),

/***/ 53166:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-04-18","endpointPrefix":"cognito-idp","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Cognito Identity Provider","serviceId":"Cognito Identity Provider","signatureVersion":"v4","targetPrefix":"AWSCognitoIdentityProviderService","uid":"cognito-idp-2016-04-18"},"operations":{"AddCustomAttributes":{"input":{"type":"structure","required":["UserPoolId","CustomAttributes"],"members":{"UserPoolId":{},"CustomAttributes":{"type":"list","member":{"shape":"S4"}}}},"output":{"type":"structure","members":{}}},"AdminAddUserToGroup":{"input":{"type":"structure","required":["UserPoolId","Username","GroupName"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"GroupName":{}}}},"AdminConfirmSignUp":{"input":{"type":"structure","required":["UserPoolId","Username"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","members":{}}},"AdminCreateUser":{"input":{"type":"structure","required":["UserPoolId","Username"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"UserAttributes":{"shape":"Sj"},"ValidationData":{"shape":"Sj"},"TemporaryPassword":{"shape":"Sn"},"ForceAliasCreation":{"type":"boolean"},"MessageAction":{},"DesiredDeliveryMediums":{"type":"list","member":{}},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","members":{"User":{"shape":"St"}}}},"AdminDeleteUser":{"input":{"type":"structure","required":["UserPoolId","Username"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"}}}},"AdminDeleteUserAttributes":{"input":{"type":"structure","required":["UserPoolId","Username","UserAttributeNames"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"UserAttributeNames":{"shape":"S10"}}},"output":{"type":"structure","members":{}}},"AdminDisableProviderForUser":{"input":{"type":"structure","required":["UserPoolId","User"],"members":{"UserPoolId":{},"User":{"shape":"S13"}}},"output":{"type":"structure","members":{}}},"AdminDisableUser":{"input":{"type":"structure","required":["UserPoolId","Username"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"}}},"output":{"type":"structure","members":{}}},"AdminEnableUser":{"input":{"type":"structure","required":["UserPoolId","Username"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"}}},"output":{"type":"structure","members":{}}},"AdminForgetDevice":{"input":{"type":"structure","required":["UserPoolId","Username","DeviceKey"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"DeviceKey":{}}}},"AdminGetDevice":{"input":{"type":"structure","required":["DeviceKey","UserPoolId","Username"],"members":{"DeviceKey":{},"UserPoolId":{},"Username":{"shape":"Sd"}}},"output":{"type":"structure","required":["Device"],"members":{"Device":{"shape":"S1e"}}}},"AdminGetUser":{"input":{"type":"structure","required":["UserPoolId","Username"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"}}},"output":{"type":"structure","required":["Username"],"members":{"Username":{"shape":"Sd"},"UserAttributes":{"shape":"Sj"},"UserCreateDate":{"type":"timestamp"},"UserLastModifiedDate":{"type":"timestamp"},"Enabled":{"type":"boolean"},"UserStatus":{},"MFAOptions":{"shape":"Sw"},"PreferredMfaSetting":{},"UserMFASettingList":{"shape":"S1h"}}}},"AdminInitiateAuth":{"input":{"type":"structure","required":["UserPoolId","ClientId","AuthFlow"],"members":{"UserPoolId":{},"ClientId":{"shape":"S1j"},"AuthFlow":{},"AuthParameters":{"shape":"S1l"},"ClientMetadata":{"shape":"Sg"},"AnalyticsMetadata":{"shape":"S1m"},"ContextData":{"shape":"S1n"}}},"output":{"type":"structure","members":{"ChallengeName":{},"Session":{},"ChallengeParameters":{"shape":"S1t"},"AuthenticationResult":{"shape":"S1u"}}}},"AdminLinkProviderForUser":{"input":{"type":"structure","required":["UserPoolId","DestinationUser","SourceUser"],"members":{"UserPoolId":{},"DestinationUser":{"shape":"S13"},"SourceUser":{"shape":"S13"}}},"output":{"type":"structure","members":{}}},"AdminListDevices":{"input":{"type":"structure","required":["UserPoolId","Username"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"Limit":{"type":"integer"},"PaginationToken":{}}},"output":{"type":"structure","members":{"Devices":{"shape":"S24"},"PaginationToken":{}}}},"AdminListGroupsForUser":{"input":{"type":"structure","required":["Username","UserPoolId"],"members":{"Username":{"shape":"Sd"},"UserPoolId":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Groups":{"shape":"S28"},"NextToken":{}}}},"AdminListUserAuthEvents":{"input":{"type":"structure","required":["UserPoolId","Username"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AuthEvents":{"type":"list","member":{"type":"structure","members":{"EventId":{},"EventType":{},"CreationDate":{"type":"timestamp"},"EventResponse":{},"EventRisk":{"type":"structure","members":{"RiskDecision":{},"RiskLevel":{},"CompromisedCredentialsDetected":{"type":"boolean"}}},"ChallengeResponses":{"type":"list","member":{"type":"structure","members":{"ChallengeName":{},"ChallengeResponse":{}}}},"EventContextData":{"type":"structure","members":{"IpAddress":{},"DeviceName":{},"Timezone":{},"City":{},"Country":{}}},"EventFeedback":{"type":"structure","required":["FeedbackValue","Provider"],"members":{"FeedbackValue":{},"Provider":{},"FeedbackDate":{"type":"timestamp"}}}}}},"NextToken":{}}}},"AdminRemoveUserFromGroup":{"input":{"type":"structure","required":["UserPoolId","Username","GroupName"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"GroupName":{}}}},"AdminResetUserPassword":{"input":{"type":"structure","required":["UserPoolId","Username"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","members":{}}},"AdminRespondToAuthChallenge":{"input":{"type":"structure","required":["UserPoolId","ClientId","ChallengeName"],"members":{"UserPoolId":{},"ClientId":{"shape":"S1j"},"ChallengeName":{},"ChallengeResponses":{"shape":"S2y"},"Session":{},"AnalyticsMetadata":{"shape":"S1m"},"ContextData":{"shape":"S1n"},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","members":{"ChallengeName":{},"Session":{},"ChallengeParameters":{"shape":"S1t"},"AuthenticationResult":{"shape":"S1u"}}}},"AdminSetUserMFAPreference":{"input":{"type":"structure","required":["Username","UserPoolId"],"members":{"SMSMfaSettings":{"shape":"S31"},"SoftwareTokenMfaSettings":{"shape":"S32"},"Username":{"shape":"Sd"},"UserPoolId":{}}},"output":{"type":"structure","members":{}}},"AdminSetUserPassword":{"input":{"type":"structure","required":["UserPoolId","Username","Password"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"Password":{"shape":"Sn"},"Permanent":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"AdminSetUserSettings":{"input":{"type":"structure","required":["UserPoolId","Username","MFAOptions"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"MFAOptions":{"shape":"Sw"}}},"output":{"type":"structure","members":{}}},"AdminUpdateAuthEventFeedback":{"input":{"type":"structure","required":["UserPoolId","Username","EventId","FeedbackValue"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"EventId":{},"FeedbackValue":{}}},"output":{"type":"structure","members":{}}},"AdminUpdateDeviceStatus":{"input":{"type":"structure","required":["UserPoolId","Username","DeviceKey"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"DeviceKey":{},"DeviceRememberedStatus":{}}},"output":{"type":"structure","members":{}}},"AdminUpdateUserAttributes":{"input":{"type":"structure","required":["UserPoolId","Username","UserAttributes"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"UserAttributes":{"shape":"Sj"},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","members":{}}},"AdminUserGlobalSignOut":{"input":{"type":"structure","required":["UserPoolId","Username"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"}}},"output":{"type":"structure","members":{}}},"AssociateSoftwareToken":{"input":{"type":"structure","members":{"AccessToken":{"shape":"S1v"},"Session":{}}},"output":{"type":"structure","members":{"SecretCode":{"type":"string","sensitive":true},"Session":{}}}},"ChangePassword":{"input":{"type":"structure","required":["PreviousPassword","ProposedPassword","AccessToken"],"members":{"PreviousPassword":{"shape":"Sn"},"ProposedPassword":{"shape":"Sn"},"AccessToken":{"shape":"S1v"}}},"output":{"type":"structure","members":{}},"authtype":"none"},"ConfirmDevice":{"input":{"type":"structure","required":["AccessToken","DeviceKey"],"members":{"AccessToken":{"shape":"S1v"},"DeviceKey":{},"DeviceSecretVerifierConfig":{"type":"structure","members":{"PasswordVerifier":{},"Salt":{}}},"DeviceName":{}}},"output":{"type":"structure","members":{"UserConfirmationNecessary":{"type":"boolean"}}}},"ConfirmForgotPassword":{"input":{"type":"structure","required":["ClientId","Username","ConfirmationCode","Password"],"members":{"ClientId":{"shape":"S1j"},"SecretHash":{"shape":"S3s"},"Username":{"shape":"Sd"},"ConfirmationCode":{},"Password":{"shape":"Sn"},"AnalyticsMetadata":{"shape":"S1m"},"UserContextData":{"shape":"S3u"},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","members":{}},"authtype":"none"},"ConfirmSignUp":{"input":{"type":"structure","required":["ClientId","Username","ConfirmationCode"],"members":{"ClientId":{"shape":"S1j"},"SecretHash":{"shape":"S3s"},"Username":{"shape":"Sd"},"ConfirmationCode":{},"ForceAliasCreation":{"type":"boolean"},"AnalyticsMetadata":{"shape":"S1m"},"UserContextData":{"shape":"S3u"},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","members":{}},"authtype":"none"},"CreateGroup":{"input":{"type":"structure","required":["GroupName","UserPoolId"],"members":{"GroupName":{},"UserPoolId":{},"Description":{},"RoleArn":{},"Precedence":{"type":"integer"}}},"output":{"type":"structure","members":{"Group":{"shape":"S29"}}}},"CreateIdentityProvider":{"input":{"type":"structure","required":["UserPoolId","ProviderName","ProviderType","ProviderDetails"],"members":{"UserPoolId":{},"ProviderName":{},"ProviderType":{},"ProviderDetails":{"shape":"S43"},"AttributeMapping":{"shape":"S44"},"IdpIdentifiers":{"shape":"S46"}}},"output":{"type":"structure","required":["IdentityProvider"],"members":{"IdentityProvider":{"shape":"S49"}}}},"CreateResourceServer":{"input":{"type":"structure","required":["UserPoolId","Identifier","Name"],"members":{"UserPoolId":{},"Identifier":{},"Name":{},"Scopes":{"shape":"S4d"}}},"output":{"type":"structure","required":["ResourceServer"],"members":{"ResourceServer":{"shape":"S4i"}}}},"CreateUserImportJob":{"input":{"type":"structure","required":["JobName","UserPoolId","CloudWatchLogsRoleArn"],"members":{"JobName":{},"UserPoolId":{},"CloudWatchLogsRoleArn":{}}},"output":{"type":"structure","members":{"UserImportJob":{"shape":"S4m"}}}},"CreateUserPool":{"input":{"type":"structure","required":["PoolName"],"members":{"PoolName":{},"Policies":{"shape":"S4u"},"LambdaConfig":{"shape":"S4y"},"AutoVerifiedAttributes":{"shape":"S53"},"AliasAttributes":{"shape":"S55"},"UsernameAttributes":{"shape":"S57"},"SmsVerificationMessage":{},"EmailVerificationMessage":{},"EmailVerificationSubject":{},"VerificationMessageTemplate":{"shape":"S5c"},"SmsAuthenticationMessage":{},"MfaConfiguration":{},"DeviceConfiguration":{"shape":"S5h"},"EmailConfiguration":{"shape":"S5i"},"SmsConfiguration":{"shape":"S5m"},"UserPoolTags":{"shape":"S5n"},"AdminCreateUserConfig":{"shape":"S5q"},"Schema":{"shape":"S5t"},"UserPoolAddOns":{"shape":"S5u"},"UsernameConfiguration":{"shape":"S5w"},"AccountRecoverySetting":{"shape":"S5x"}}},"output":{"type":"structure","members":{"UserPool":{"shape":"S63"}}}},"CreateUserPoolClient":{"input":{"type":"structure","required":["UserPoolId","ClientName"],"members":{"UserPoolId":{},"ClientName":{},"GenerateSecret":{"type":"boolean"},"RefreshTokenValidity":{"type":"integer"},"AccessTokenValidity":{"type":"integer"},"IdTokenValidity":{"type":"integer"},"TokenValidityUnits":{"shape":"S6c"},"ReadAttributes":{"shape":"S6e"},"WriteAttributes":{"shape":"S6e"},"ExplicitAuthFlows":{"shape":"S6g"},"SupportedIdentityProviders":{"shape":"S6i"},"CallbackURLs":{"shape":"S6j"},"LogoutURLs":{"shape":"S6l"},"DefaultRedirectURI":{},"AllowedOAuthFlows":{"shape":"S6m"},"AllowedOAuthScopes":{"shape":"S6o"},"AllowedOAuthFlowsUserPoolClient":{"type":"boolean"},"AnalyticsConfiguration":{"shape":"S6q"},"PreventUserExistenceErrors":{},"EnableTokenRevocation":{"type":"boolean"}}},"output":{"type":"structure","members":{"UserPoolClient":{"shape":"S6u"}}}},"CreateUserPoolDomain":{"input":{"type":"structure","required":["Domain","UserPoolId"],"members":{"Domain":{},"UserPoolId":{},"CustomDomainConfig":{"shape":"S6x"}}},"output":{"type":"structure","members":{"CloudFrontDomain":{}}}},"DeleteGroup":{"input":{"type":"structure","required":["GroupName","UserPoolId"],"members":{"GroupName":{},"UserPoolId":{}}}},"DeleteIdentityProvider":{"input":{"type":"structure","required":["UserPoolId","ProviderName"],"members":{"UserPoolId":{},"ProviderName":{}}}},"DeleteResourceServer":{"input":{"type":"structure","required":["UserPoolId","Identifier"],"members":{"UserPoolId":{},"Identifier":{}}}},"DeleteUser":{"input":{"type":"structure","required":["AccessToken"],"members":{"AccessToken":{"shape":"S1v"}}},"authtype":"none"},"DeleteUserAttributes":{"input":{"type":"structure","required":["UserAttributeNames","AccessToken"],"members":{"UserAttributeNames":{"shape":"S10"},"AccessToken":{"shape":"S1v"}}},"output":{"type":"structure","members":{}},"authtype":"none"},"DeleteUserPool":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{}}}},"DeleteUserPoolClient":{"input":{"type":"structure","required":["UserPoolId","ClientId"],"members":{"UserPoolId":{},"ClientId":{"shape":"S1j"}}}},"DeleteUserPoolDomain":{"input":{"type":"structure","required":["Domain","UserPoolId"],"members":{"Domain":{},"UserPoolId":{}}},"output":{"type":"structure","members":{}}},"DescribeIdentityProvider":{"input":{"type":"structure","required":["UserPoolId","ProviderName"],"members":{"UserPoolId":{},"ProviderName":{}}},"output":{"type":"structure","required":["IdentityProvider"],"members":{"IdentityProvider":{"shape":"S49"}}}},"DescribeResourceServer":{"input":{"type":"structure","required":["UserPoolId","Identifier"],"members":{"UserPoolId":{},"Identifier":{}}},"output":{"type":"structure","required":["ResourceServer"],"members":{"ResourceServer":{"shape":"S4i"}}}},"DescribeRiskConfiguration":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{},"ClientId":{"shape":"S1j"}}},"output":{"type":"structure","required":["RiskConfiguration"],"members":{"RiskConfiguration":{"shape":"S7f"}}}},"DescribeUserImportJob":{"input":{"type":"structure","required":["UserPoolId","JobId"],"members":{"UserPoolId":{},"JobId":{}}},"output":{"type":"structure","members":{"UserImportJob":{"shape":"S4m"}}}},"DescribeUserPool":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{}}},"output":{"type":"structure","members":{"UserPool":{"shape":"S63"}}}},"DescribeUserPoolClient":{"input":{"type":"structure","required":["UserPoolId","ClientId"],"members":{"UserPoolId":{},"ClientId":{"shape":"S1j"}}},"output":{"type":"structure","members":{"UserPoolClient":{"shape":"S6u"}}}},"DescribeUserPoolDomain":{"input":{"type":"structure","required":["Domain"],"members":{"Domain":{}}},"output":{"type":"structure","members":{"DomainDescription":{"type":"structure","members":{"UserPoolId":{},"AWSAccountId":{},"Domain":{},"S3Bucket":{},"CloudFrontDistribution":{},"Version":{},"Status":{},"CustomDomainConfig":{"shape":"S6x"}}}}}},"ForgetDevice":{"input":{"type":"structure","required":["DeviceKey"],"members":{"AccessToken":{"shape":"S1v"},"DeviceKey":{}}}},"ForgotPassword":{"input":{"type":"structure","required":["ClientId","Username"],"members":{"ClientId":{"shape":"S1j"},"SecretHash":{"shape":"S3s"},"UserContextData":{"shape":"S3u"},"Username":{"shape":"Sd"},"AnalyticsMetadata":{"shape":"S1m"},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","members":{"CodeDeliveryDetails":{"shape":"S8d"}}},"authtype":"none"},"GetCSVHeader":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{}}},"output":{"type":"structure","members":{"UserPoolId":{},"CSVHeader":{"type":"list","member":{}}}}},"GetDevice":{"input":{"type":"structure","required":["DeviceKey"],"members":{"DeviceKey":{},"AccessToken":{"shape":"S1v"}}},"output":{"type":"structure","required":["Device"],"members":{"Device":{"shape":"S1e"}}}},"GetGroup":{"input":{"type":"structure","required":["GroupName","UserPoolId"],"members":{"GroupName":{},"UserPoolId":{}}},"output":{"type":"structure","members":{"Group":{"shape":"S29"}}}},"GetIdentityProviderByIdentifier":{"input":{"type":"structure","required":["UserPoolId","IdpIdentifier"],"members":{"UserPoolId":{},"IdpIdentifier":{}}},"output":{"type":"structure","required":["IdentityProvider"],"members":{"IdentityProvider":{"shape":"S49"}}}},"GetSigningCertificate":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{}}},"output":{"type":"structure","members":{"Certificate":{}}}},"GetUICustomization":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{},"ClientId":{"shape":"S1j"}}},"output":{"type":"structure","required":["UICustomization"],"members":{"UICustomization":{"shape":"S8r"}}}},"GetUser":{"input":{"type":"structure","required":["AccessToken"],"members":{"AccessToken":{"shape":"S1v"}}},"output":{"type":"structure","required":["Username","UserAttributes"],"members":{"Username":{"shape":"Sd"},"UserAttributes":{"shape":"Sj"},"MFAOptions":{"shape":"Sw"},"PreferredMfaSetting":{},"UserMFASettingList":{"shape":"S1h"}}},"authtype":"none"},"GetUserAttributeVerificationCode":{"input":{"type":"structure","required":["AccessToken","AttributeName"],"members":{"AccessToken":{"shape":"S1v"},"AttributeName":{},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","members":{"CodeDeliveryDetails":{"shape":"S8d"}}},"authtype":"none"},"GetUserPoolMfaConfig":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{}}},"output":{"type":"structure","members":{"SmsMfaConfiguration":{"shape":"S91"},"SoftwareTokenMfaConfiguration":{"shape":"S92"},"MfaConfiguration":{}}}},"GlobalSignOut":{"input":{"type":"structure","required":["AccessToken"],"members":{"AccessToken":{"shape":"S1v"}}},"output":{"type":"structure","members":{}}},"InitiateAuth":{"input":{"type":"structure","required":["AuthFlow","ClientId"],"members":{"AuthFlow":{},"AuthParameters":{"shape":"S1l"},"ClientMetadata":{"shape":"Sg"},"ClientId":{"shape":"S1j"},"AnalyticsMetadata":{"shape":"S1m"},"UserContextData":{"shape":"S3u"}}},"output":{"type":"structure","members":{"ChallengeName":{},"Session":{},"ChallengeParameters":{"shape":"S1t"},"AuthenticationResult":{"shape":"S1u"}}},"authtype":"none"},"ListDevices":{"input":{"type":"structure","required":["AccessToken"],"members":{"AccessToken":{"shape":"S1v"},"Limit":{"type":"integer"},"PaginationToken":{}}},"output":{"type":"structure","members":{"Devices":{"shape":"S24"},"PaginationToken":{}}}},"ListGroups":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Groups":{"shape":"S28"},"NextToken":{}}}},"ListIdentityProviders":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Providers"],"members":{"Providers":{"type":"list","member":{"type":"structure","members":{"ProviderName":{},"ProviderType":{},"LastModifiedDate":{"type":"timestamp"},"CreationDate":{"type":"timestamp"}}}},"NextToken":{}}}},"ListResourceServers":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["ResourceServers"],"members":{"ResourceServers":{"type":"list","member":{"shape":"S4i"}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S5n"}}}},"ListUserImportJobs":{"input":{"type":"structure","required":["UserPoolId","MaxResults"],"members":{"UserPoolId":{},"MaxResults":{"type":"integer"},"PaginationToken":{}}},"output":{"type":"structure","members":{"UserImportJobs":{"type":"list","member":{"shape":"S4m"}},"PaginationToken":{}}}},"ListUserPoolClients":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"UserPoolClients":{"type":"list","member":{"type":"structure","members":{"ClientId":{"shape":"S1j"},"UserPoolId":{},"ClientName":{}}}},"NextToken":{}}}},"ListUserPools":{"input":{"type":"structure","required":["MaxResults"],"members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"UserPools":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"LambdaConfig":{"shape":"S4y"},"Status":{},"LastModifiedDate":{"type":"timestamp"},"CreationDate":{"type":"timestamp"}}}},"NextToken":{}}}},"ListUsers":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{},"AttributesToGet":{"type":"list","member":{}},"Limit":{"type":"integer"},"PaginationToken":{},"Filter":{}}},"output":{"type":"structure","members":{"Users":{"shape":"Sa4"},"PaginationToken":{}}}},"ListUsersInGroup":{"input":{"type":"structure","required":["UserPoolId","GroupName"],"members":{"UserPoolId":{},"GroupName":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Users":{"shape":"Sa4"},"NextToken":{}}}},"ResendConfirmationCode":{"input":{"type":"structure","required":["ClientId","Username"],"members":{"ClientId":{"shape":"S1j"},"SecretHash":{"shape":"S3s"},"UserContextData":{"shape":"S3u"},"Username":{"shape":"Sd"},"AnalyticsMetadata":{"shape":"S1m"},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","members":{"CodeDeliveryDetails":{"shape":"S8d"}}},"authtype":"none"},"RespondToAuthChallenge":{"input":{"type":"structure","required":["ClientId","ChallengeName"],"members":{"ClientId":{"shape":"S1j"},"ChallengeName":{},"Session":{},"ChallengeResponses":{"shape":"S2y"},"AnalyticsMetadata":{"shape":"S1m"},"UserContextData":{"shape":"S3u"},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","members":{"ChallengeName":{},"Session":{},"ChallengeParameters":{"shape":"S1t"},"AuthenticationResult":{"shape":"S1u"}}},"authtype":"none"},"RevokeToken":{"input":{"type":"structure","required":["Token","ClientId"],"members":{"Token":{"shape":"S1v"},"ClientId":{"shape":"S1j"},"ClientSecret":{"shape":"S6v"}}},"output":{"type":"structure","members":{}}},"SetRiskConfiguration":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{},"ClientId":{"shape":"S1j"},"CompromisedCredentialsRiskConfiguration":{"shape":"S7g"},"AccountTakeoverRiskConfiguration":{"shape":"S7l"},"RiskExceptionConfiguration":{"shape":"S7u"}}},"output":{"type":"structure","required":["RiskConfiguration"],"members":{"RiskConfiguration":{"shape":"S7f"}}}},"SetUICustomization":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{},"ClientId":{"shape":"S1j"},"CSS":{},"ImageFile":{"type":"blob"}}},"output":{"type":"structure","required":["UICustomization"],"members":{"UICustomization":{"shape":"S8r"}}}},"SetUserMFAPreference":{"input":{"type":"structure","required":["AccessToken"],"members":{"SMSMfaSettings":{"shape":"S31"},"SoftwareTokenMfaSettings":{"shape":"S32"},"AccessToken":{"shape":"S1v"}}},"output":{"type":"structure","members":{}}},"SetUserPoolMfaConfig":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{},"SmsMfaConfiguration":{"shape":"S91"},"SoftwareTokenMfaConfiguration":{"shape":"S92"},"MfaConfiguration":{}}},"output":{"type":"structure","members":{"SmsMfaConfiguration":{"shape":"S91"},"SoftwareTokenMfaConfiguration":{"shape":"S92"},"MfaConfiguration":{}}}},"SetUserSettings":{"input":{"type":"structure","required":["AccessToken","MFAOptions"],"members":{"AccessToken":{"shape":"S1v"},"MFAOptions":{"shape":"Sw"}}},"output":{"type":"structure","members":{}},"authtype":"none"},"SignUp":{"input":{"type":"structure","required":["ClientId","Username","Password"],"members":{"ClientId":{"shape":"S1j"},"SecretHash":{"shape":"S3s"},"Username":{"shape":"Sd"},"Password":{"shape":"Sn"},"UserAttributes":{"shape":"Sj"},"ValidationData":{"shape":"Sj"},"AnalyticsMetadata":{"shape":"S1m"},"UserContextData":{"shape":"S3u"},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","required":["UserConfirmed","UserSub"],"members":{"UserConfirmed":{"type":"boolean"},"CodeDeliveryDetails":{"shape":"S8d"},"UserSub":{}}},"authtype":"none"},"StartUserImportJob":{"input":{"type":"structure","required":["UserPoolId","JobId"],"members":{"UserPoolId":{},"JobId":{}}},"output":{"type":"structure","members":{"UserImportJob":{"shape":"S4m"}}}},"StopUserImportJob":{"input":{"type":"structure","required":["UserPoolId","JobId"],"members":{"UserPoolId":{},"JobId":{}}},"output":{"type":"structure","members":{"UserImportJob":{"shape":"S4m"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S5n"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateAuthEventFeedback":{"input":{"type":"structure","required":["UserPoolId","Username","EventId","FeedbackToken","FeedbackValue"],"members":{"UserPoolId":{},"Username":{"shape":"Sd"},"EventId":{},"FeedbackToken":{"shape":"S1v"},"FeedbackValue":{}}},"output":{"type":"structure","members":{}}},"UpdateDeviceStatus":{"input":{"type":"structure","required":["AccessToken","DeviceKey"],"members":{"AccessToken":{"shape":"S1v"},"DeviceKey":{},"DeviceRememberedStatus":{}}},"output":{"type":"structure","members":{}}},"UpdateGroup":{"input":{"type":"structure","required":["GroupName","UserPoolId"],"members":{"GroupName":{},"UserPoolId":{},"Description":{},"RoleArn":{},"Precedence":{"type":"integer"}}},"output":{"type":"structure","members":{"Group":{"shape":"S29"}}}},"UpdateIdentityProvider":{"input":{"type":"structure","required":["UserPoolId","ProviderName"],"members":{"UserPoolId":{},"ProviderName":{},"ProviderDetails":{"shape":"S43"},"AttributeMapping":{"shape":"S44"},"IdpIdentifiers":{"shape":"S46"}}},"output":{"type":"structure","required":["IdentityProvider"],"members":{"IdentityProvider":{"shape":"S49"}}}},"UpdateResourceServer":{"input":{"type":"structure","required":["UserPoolId","Identifier","Name"],"members":{"UserPoolId":{},"Identifier":{},"Name":{},"Scopes":{"shape":"S4d"}}},"output":{"type":"structure","required":["ResourceServer"],"members":{"ResourceServer":{"shape":"S4i"}}}},"UpdateUserAttributes":{"input":{"type":"structure","required":["UserAttributes","AccessToken"],"members":{"UserAttributes":{"shape":"Sj"},"AccessToken":{"shape":"S1v"},"ClientMetadata":{"shape":"Sg"}}},"output":{"type":"structure","members":{"CodeDeliveryDetailsList":{"type":"list","member":{"shape":"S8d"}}}},"authtype":"none"},"UpdateUserPool":{"input":{"type":"structure","required":["UserPoolId"],"members":{"UserPoolId":{},"Policies":{"shape":"S4u"},"LambdaConfig":{"shape":"S4y"},"AutoVerifiedAttributes":{"shape":"S53"},"SmsVerificationMessage":{},"EmailVerificationMessage":{},"EmailVerificationSubject":{},"VerificationMessageTemplate":{"shape":"S5c"},"SmsAuthenticationMessage":{},"MfaConfiguration":{},"DeviceConfiguration":{"shape":"S5h"},"EmailConfiguration":{"shape":"S5i"},"SmsConfiguration":{"shape":"S5m"},"UserPoolTags":{"shape":"S5n"},"AdminCreateUserConfig":{"shape":"S5q"},"UserPoolAddOns":{"shape":"S5u"},"AccountRecoverySetting":{"shape":"S5x"}}},"output":{"type":"structure","members":{}}},"UpdateUserPoolClient":{"input":{"type":"structure","required":["UserPoolId","ClientId"],"members":{"UserPoolId":{},"ClientId":{"shape":"S1j"},"ClientName":{},"RefreshTokenValidity":{"type":"integer"},"AccessTokenValidity":{"type":"integer"},"IdTokenValidity":{"type":"integer"},"TokenValidityUnits":{"shape":"S6c"},"ReadAttributes":{"shape":"S6e"},"WriteAttributes":{"shape":"S6e"},"ExplicitAuthFlows":{"shape":"S6g"},"SupportedIdentityProviders":{"shape":"S6i"},"CallbackURLs":{"shape":"S6j"},"LogoutURLs":{"shape":"S6l"},"DefaultRedirectURI":{},"AllowedOAuthFlows":{"shape":"S6m"},"AllowedOAuthScopes":{"shape":"S6o"},"AllowedOAuthFlowsUserPoolClient":{"type":"boolean"},"AnalyticsConfiguration":{"shape":"S6q"},"PreventUserExistenceErrors":{},"EnableTokenRevocation":{"type":"boolean"}}},"output":{"type":"structure","members":{"UserPoolClient":{"shape":"S6u"}}}},"UpdateUserPoolDomain":{"input":{"type":"structure","required":["Domain","UserPoolId","CustomDomainConfig"],"members":{"Domain":{},"UserPoolId":{},"CustomDomainConfig":{"shape":"S6x"}}},"output":{"type":"structure","members":{"CloudFrontDomain":{}}}},"VerifySoftwareToken":{"input":{"type":"structure","required":["UserCode"],"members":{"AccessToken":{"shape":"S1v"},"Session":{},"UserCode":{},"FriendlyDeviceName":{}}},"output":{"type":"structure","members":{"Status":{},"Session":{}}}},"VerifyUserAttribute":{"input":{"type":"structure","required":["AccessToken","AttributeName","Code"],"members":{"AccessToken":{"shape":"S1v"},"AttributeName":{},"Code":{}}},"output":{"type":"structure","members":{}},"authtype":"none"}},"shapes":{"S4":{"type":"structure","members":{"Name":{},"AttributeDataType":{},"DeveloperOnlyAttribute":{"type":"boolean"},"Mutable":{"type":"boolean"},"Required":{"type":"boolean"},"NumberAttributeConstraints":{"type":"structure","members":{"MinValue":{},"MaxValue":{}}},"StringAttributeConstraints":{"type":"structure","members":{"MinLength":{},"MaxLength":{}}}}},"Sd":{"type":"string","sensitive":true},"Sg":{"type":"map","key":{},"value":{}},"Sj":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{},"Value":{"type":"string","sensitive":true}}}},"Sn":{"type":"string","sensitive":true},"St":{"type":"structure","members":{"Username":{"shape":"Sd"},"Attributes":{"shape":"Sj"},"UserCreateDate":{"type":"timestamp"},"UserLastModifiedDate":{"type":"timestamp"},"Enabled":{"type":"boolean"},"UserStatus":{},"MFAOptions":{"shape":"Sw"}}},"Sw":{"type":"list","member":{"type":"structure","members":{"DeliveryMedium":{},"AttributeName":{}}}},"S10":{"type":"list","member":{}},"S13":{"type":"structure","members":{"ProviderName":{},"ProviderAttributeName":{},"ProviderAttributeValue":{}}},"S1e":{"type":"structure","members":{"DeviceKey":{},"DeviceAttributes":{"shape":"Sj"},"DeviceCreateDate":{"type":"timestamp"},"DeviceLastModifiedDate":{"type":"timestamp"},"DeviceLastAuthenticatedDate":{"type":"timestamp"}}},"S1h":{"type":"list","member":{}},"S1j":{"type":"string","sensitive":true},"S1l":{"type":"map","key":{},"value":{},"sensitive":true},"S1m":{"type":"structure","members":{"AnalyticsEndpointId":{}}},"S1n":{"type":"structure","required":["IpAddress","ServerName","ServerPath","HttpHeaders"],"members":{"IpAddress":{},"ServerName":{},"ServerPath":{},"HttpHeaders":{"type":"list","member":{"type":"structure","members":{"headerName":{},"headerValue":{}}}},"EncodedData":{}}},"S1t":{"type":"map","key":{},"value":{}},"S1u":{"type":"structure","members":{"AccessToken":{"shape":"S1v"},"ExpiresIn":{"type":"integer"},"TokenType":{},"RefreshToken":{"shape":"S1v"},"IdToken":{"shape":"S1v"},"NewDeviceMetadata":{"type":"structure","members":{"DeviceKey":{},"DeviceGroupKey":{}}}}},"S1v":{"type":"string","sensitive":true},"S24":{"type":"list","member":{"shape":"S1e"}},"S28":{"type":"list","member":{"shape":"S29"}},"S29":{"type":"structure","members":{"GroupName":{},"UserPoolId":{},"Description":{},"RoleArn":{},"Precedence":{"type":"integer"},"LastModifiedDate":{"type":"timestamp"},"CreationDate":{"type":"timestamp"}}},"S2y":{"type":"map","key":{},"value":{}},"S31":{"type":"structure","members":{"Enabled":{"type":"boolean"},"PreferredMfa":{"type":"boolean"}}},"S32":{"type":"structure","members":{"Enabled":{"type":"boolean"},"PreferredMfa":{"type":"boolean"}}},"S3s":{"type":"string","sensitive":true},"S3u":{"type":"structure","members":{"EncodedData":{}}},"S43":{"type":"map","key":{},"value":{}},"S44":{"type":"map","key":{},"value":{}},"S46":{"type":"list","member":{}},"S49":{"type":"structure","members":{"UserPoolId":{},"ProviderName":{},"ProviderType":{},"ProviderDetails":{"shape":"S43"},"AttributeMapping":{"shape":"S44"},"IdpIdentifiers":{"shape":"S46"},"LastModifiedDate":{"type":"timestamp"},"CreationDate":{"type":"timestamp"}}},"S4d":{"type":"list","member":{"type":"structure","required":["ScopeName","ScopeDescription"],"members":{"ScopeName":{},"ScopeDescription":{}}}},"S4i":{"type":"structure","members":{"UserPoolId":{},"Identifier":{},"Name":{},"Scopes":{"shape":"S4d"}}},"S4m":{"type":"structure","members":{"JobName":{},"JobId":{},"UserPoolId":{},"PreSignedUrl":{},"CreationDate":{"type":"timestamp"},"StartDate":{"type":"timestamp"},"CompletionDate":{"type":"timestamp"},"Status":{},"CloudWatchLogsRoleArn":{},"ImportedUsers":{"type":"long"},"SkippedUsers":{"type":"long"},"FailedUsers":{"type":"long"},"CompletionMessage":{}}},"S4u":{"type":"structure","members":{"PasswordPolicy":{"type":"structure","members":{"MinimumLength":{"type":"integer"},"RequireUppercase":{"type":"boolean"},"RequireLowercase":{"type":"boolean"},"RequireNumbers":{"type":"boolean"},"RequireSymbols":{"type":"boolean"},"TemporaryPasswordValidityDays":{"type":"integer"}}}}},"S4y":{"type":"structure","members":{"PreSignUp":{},"CustomMessage":{},"PostConfirmation":{},"PreAuthentication":{},"PostAuthentication":{},"DefineAuthChallenge":{},"CreateAuthChallenge":{},"VerifyAuthChallengeResponse":{},"PreTokenGeneration":{},"UserMigration":{},"CustomSMSSender":{"type":"structure","required":["LambdaVersion","LambdaArn"],"members":{"LambdaVersion":{},"LambdaArn":{}}},"CustomEmailSender":{"type":"structure","required":["LambdaVersion","LambdaArn"],"members":{"LambdaVersion":{},"LambdaArn":{}}},"KMSKeyID":{}}},"S53":{"type":"list","member":{}},"S55":{"type":"list","member":{}},"S57":{"type":"list","member":{}},"S5c":{"type":"structure","members":{"SmsMessage":{},"EmailMessage":{},"EmailSubject":{},"EmailMessageByLink":{},"EmailSubjectByLink":{},"DefaultEmailOption":{}}},"S5h":{"type":"structure","members":{"ChallengeRequiredOnNewDevice":{"type":"boolean"},"DeviceOnlyRememberedOnUserPrompt":{"type":"boolean"}}},"S5i":{"type":"structure","members":{"SourceArn":{},"ReplyToEmailAddress":{},"EmailSendingAccount":{},"From":{},"ConfigurationSet":{}}},"S5m":{"type":"structure","required":["SnsCallerArn"],"members":{"SnsCallerArn":{},"ExternalId":{}}},"S5n":{"type":"map","key":{},"value":{}},"S5q":{"type":"structure","members":{"AllowAdminCreateUserOnly":{"type":"boolean"},"UnusedAccountValidityDays":{"type":"integer"},"InviteMessageTemplate":{"type":"structure","members":{"SMSMessage":{},"EmailMessage":{},"EmailSubject":{}}}}},"S5t":{"type":"list","member":{"shape":"S4"}},"S5u":{"type":"structure","required":["AdvancedSecurityMode"],"members":{"AdvancedSecurityMode":{}}},"S5w":{"type":"structure","required":["CaseSensitive"],"members":{"CaseSensitive":{"type":"boolean"}}},"S5x":{"type":"structure","members":{"RecoveryMechanisms":{"type":"list","member":{"type":"structure","required":["Priority","Name"],"members":{"Priority":{"type":"integer"},"Name":{}}}}}},"S63":{"type":"structure","members":{"Id":{},"Name":{},"Policies":{"shape":"S4u"},"LambdaConfig":{"shape":"S4y"},"Status":{},"LastModifiedDate":{"type":"timestamp"},"CreationDate":{"type":"timestamp"},"SchemaAttributes":{"shape":"S5t"},"AutoVerifiedAttributes":{"shape":"S53"},"AliasAttributes":{"shape":"S55"},"UsernameAttributes":{"shape":"S57"},"SmsVerificationMessage":{},"EmailVerificationMessage":{},"EmailVerificationSubject":{},"VerificationMessageTemplate":{"shape":"S5c"},"SmsAuthenticationMessage":{},"MfaConfiguration":{},"DeviceConfiguration":{"shape":"S5h"},"EstimatedNumberOfUsers":{"type":"integer"},"EmailConfiguration":{"shape":"S5i"},"SmsConfiguration":{"shape":"S5m"},"UserPoolTags":{"shape":"S5n"},"SmsConfigurationFailure":{},"EmailConfigurationFailure":{},"Domain":{},"CustomDomain":{},"AdminCreateUserConfig":{"shape":"S5q"},"UserPoolAddOns":{"shape":"S5u"},"UsernameConfiguration":{"shape":"S5w"},"Arn":{},"AccountRecoverySetting":{"shape":"S5x"}}},"S6c":{"type":"structure","members":{"AccessToken":{},"IdToken":{},"RefreshToken":{}}},"S6e":{"type":"list","member":{}},"S6g":{"type":"list","member":{}},"S6i":{"type":"list","member":{}},"S6j":{"type":"list","member":{}},"S6l":{"type":"list","member":{}},"S6m":{"type":"list","member":{}},"S6o":{"type":"list","member":{}},"S6q":{"type":"structure","members":{"ApplicationId":{},"ApplicationArn":{},"RoleArn":{},"ExternalId":{},"UserDataShared":{"type":"boolean"}}},"S6u":{"type":"structure","members":{"UserPoolId":{},"ClientName":{},"ClientId":{"shape":"S1j"},"ClientSecret":{"shape":"S6v"},"LastModifiedDate":{"type":"timestamp"},"CreationDate":{"type":"timestamp"},"RefreshTokenValidity":{"type":"integer"},"AccessTokenValidity":{"type":"integer"},"IdTokenValidity":{"type":"integer"},"TokenValidityUnits":{"shape":"S6c"},"ReadAttributes":{"shape":"S6e"},"WriteAttributes":{"shape":"S6e"},"ExplicitAuthFlows":{"shape":"S6g"},"SupportedIdentityProviders":{"shape":"S6i"},"CallbackURLs":{"shape":"S6j"},"LogoutURLs":{"shape":"S6l"},"DefaultRedirectURI":{},"AllowedOAuthFlows":{"shape":"S6m"},"AllowedOAuthScopes":{"shape":"S6o"},"AllowedOAuthFlowsUserPoolClient":{"type":"boolean"},"AnalyticsConfiguration":{"shape":"S6q"},"PreventUserExistenceErrors":{},"EnableTokenRevocation":{"type":"boolean"}}},"S6v":{"type":"string","sensitive":true},"S6x":{"type":"structure","required":["CertificateArn"],"members":{"CertificateArn":{}}},"S7f":{"type":"structure","members":{"UserPoolId":{},"ClientId":{"shape":"S1j"},"CompromisedCredentialsRiskConfiguration":{"shape":"S7g"},"AccountTakeoverRiskConfiguration":{"shape":"S7l"},"RiskExceptionConfiguration":{"shape":"S7u"},"LastModifiedDate":{"type":"timestamp"}}},"S7g":{"type":"structure","required":["Actions"],"members":{"EventFilter":{"type":"list","member":{}},"Actions":{"type":"structure","required":["EventAction"],"members":{"EventAction":{}}}}},"S7l":{"type":"structure","required":["Actions"],"members":{"NotifyConfiguration":{"type":"structure","required":["SourceArn"],"members":{"From":{},"ReplyTo":{},"SourceArn":{},"BlockEmail":{"shape":"S7n"},"NoActionEmail":{"shape":"S7n"},"MfaEmail":{"shape":"S7n"}}},"Actions":{"type":"structure","members":{"LowAction":{"shape":"S7r"},"MediumAction":{"shape":"S7r"},"HighAction":{"shape":"S7r"}}}}},"S7n":{"type":"structure","required":["Subject"],"members":{"Subject":{},"HtmlBody":{},"TextBody":{}}},"S7r":{"type":"structure","required":["Notify","EventAction"],"members":{"Notify":{"type":"boolean"},"EventAction":{}}},"S7u":{"type":"structure","members":{"BlockedIPRangeList":{"type":"list","member":{}},"SkippedIPRangeList":{"type":"list","member":{}}}},"S8d":{"type":"structure","members":{"Destination":{},"DeliveryMedium":{},"AttributeName":{}}},"S8r":{"type":"structure","members":{"UserPoolId":{},"ClientId":{"shape":"S1j"},"ImageUrl":{},"CSS":{},"CSSVersion":{},"LastModifiedDate":{"type":"timestamp"},"CreationDate":{"type":"timestamp"}}},"S91":{"type":"structure","members":{"SmsAuthenticationMessage":{},"SmsConfiguration":{"shape":"S5m"}}},"S92":{"type":"structure","members":{"Enabled":{"type":"boolean"}}},"Sa4":{"type":"list","member":{"shape":"St"}}}}');

/***/ }),

/***/ 17149:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"AdminListGroupsForUser":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"Groups"},"AdminListUserAuthEvents":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AuthEvents"},"ListGroups":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"Groups"},"ListIdentityProviders":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Providers"},"ListResourceServers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ResourceServers"},"ListUserPoolClients":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"UserPoolClients"},"ListUserPools":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"UserPools"},"ListUsers":{"input_token":"PaginationToken","limit_key":"Limit","output_token":"PaginationToken","result_key":"Users"},"ListUsersInGroup":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"Users"}}}');

/***/ }),

/***/ 29128:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-06-30","endpointPrefix":"cognito-sync","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Cognito Sync","serviceId":"Cognito Sync","signatureVersion":"v4","uid":"cognito-sync-2014-06-30"},"operations":{"BulkPublish":{"http":{"requestUri":"/identitypools/{IdentityPoolId}/bulkpublish","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"}}},"output":{"type":"structure","members":{"IdentityPoolId":{}}}},"DeleteDataset":{"http":{"method":"DELETE","requestUri":"/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId","IdentityId","DatasetName"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"},"IdentityId":{"location":"uri","locationName":"IdentityId"},"DatasetName":{"location":"uri","locationName":"DatasetName"}}},"output":{"type":"structure","members":{"Dataset":{"shape":"S8"}}}},"DescribeDataset":{"http":{"method":"GET","requestUri":"/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId","IdentityId","DatasetName"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"},"IdentityId":{"location":"uri","locationName":"IdentityId"},"DatasetName":{"location":"uri","locationName":"DatasetName"}}},"output":{"type":"structure","members":{"Dataset":{"shape":"S8"}}}},"DescribeIdentityPoolUsage":{"http":{"method":"GET","requestUri":"/identitypools/{IdentityPoolId}","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"}}},"output":{"type":"structure","members":{"IdentityPoolUsage":{"shape":"Sg"}}}},"DescribeIdentityUsage":{"http":{"method":"GET","requestUri":"/identitypools/{IdentityPoolId}/identities/{IdentityId}","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId","IdentityId"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"},"IdentityId":{"location":"uri","locationName":"IdentityId"}}},"output":{"type":"structure","members":{"IdentityUsage":{"type":"structure","members":{"IdentityId":{},"IdentityPoolId":{},"LastModifiedDate":{"type":"timestamp"},"DatasetCount":{"type":"integer"},"DataStorage":{"type":"long"}}}}}},"GetBulkPublishDetails":{"http":{"requestUri":"/identitypools/{IdentityPoolId}/getBulkPublishDetails","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"}}},"output":{"type":"structure","members":{"IdentityPoolId":{},"BulkPublishStartTime":{"type":"timestamp"},"BulkPublishCompleteTime":{"type":"timestamp"},"BulkPublishStatus":{},"FailureMessage":{}}}},"GetCognitoEvents":{"http":{"method":"GET","requestUri":"/identitypools/{IdentityPoolId}/events","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"}}},"output":{"type":"structure","members":{"Events":{"shape":"Sq"}}}},"GetIdentityPoolConfiguration":{"http":{"method":"GET","requestUri":"/identitypools/{IdentityPoolId}/configuration","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"}}},"output":{"type":"structure","members":{"IdentityPoolId":{},"PushSync":{"shape":"Sv"},"CognitoStreams":{"shape":"Sz"}}}},"ListDatasets":{"http":{"method":"GET","requestUri":"/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets","responseCode":200},"input":{"type":"structure","required":["IdentityId","IdentityPoolId"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"},"IdentityId":{"location":"uri","locationName":"IdentityId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"Datasets":{"type":"list","member":{"shape":"S8"}},"Count":{"type":"integer"},"NextToken":{}}}},"ListIdentityPoolUsage":{"http":{"method":"GET","requestUri":"/identitypools","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"IdentityPoolUsages":{"type":"list","member":{"shape":"Sg"}},"MaxResults":{"type":"integer"},"Count":{"type":"integer"},"NextToken":{}}}},"ListRecords":{"http":{"method":"GET","requestUri":"/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}/records","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId","IdentityId","DatasetName"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"},"IdentityId":{"location":"uri","locationName":"IdentityId"},"DatasetName":{"location":"uri","locationName":"DatasetName"},"LastSyncCount":{"location":"querystring","locationName":"lastSyncCount","type":"long"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"SyncSessionToken":{"location":"querystring","locationName":"syncSessionToken"}}},"output":{"type":"structure","members":{"Records":{"shape":"S1c"},"NextToken":{},"Count":{"type":"integer"},"DatasetSyncCount":{"type":"long"},"LastModifiedBy":{},"MergedDatasetNames":{"type":"list","member":{}},"DatasetExists":{"type":"boolean"},"DatasetDeletedAfterRequestedSyncCount":{"type":"boolean"},"SyncSessionToken":{}}}},"RegisterDevice":{"http":{"requestUri":"/identitypools/{IdentityPoolId}/identity/{IdentityId}/device","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId","IdentityId","Platform","Token"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"},"IdentityId":{"location":"uri","locationName":"IdentityId"},"Platform":{},"Token":{}}},"output":{"type":"structure","members":{"DeviceId":{}}}},"SetCognitoEvents":{"http":{"requestUri":"/identitypools/{IdentityPoolId}/events","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId","Events"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"},"Events":{"shape":"Sq"}}}},"SetIdentityPoolConfiguration":{"http":{"requestUri":"/identitypools/{IdentityPoolId}/configuration","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"},"PushSync":{"shape":"Sv"},"CognitoStreams":{"shape":"Sz"}}},"output":{"type":"structure","members":{"IdentityPoolId":{},"PushSync":{"shape":"Sv"},"CognitoStreams":{"shape":"Sz"}}}},"SubscribeToDataset":{"http":{"requestUri":"/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}/subscriptions/{DeviceId}","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId","IdentityId","DatasetName","DeviceId"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"},"IdentityId":{"location":"uri","locationName":"IdentityId"},"DatasetName":{"location":"uri","locationName":"DatasetName"},"DeviceId":{"location":"uri","locationName":"DeviceId"}}},"output":{"type":"structure","members":{}}},"UnsubscribeFromDataset":{"http":{"method":"DELETE","requestUri":"/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}/subscriptions/{DeviceId}","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId","IdentityId","DatasetName","DeviceId"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"},"IdentityId":{"location":"uri","locationName":"IdentityId"},"DatasetName":{"location":"uri","locationName":"DatasetName"},"DeviceId":{"location":"uri","locationName":"DeviceId"}}},"output":{"type":"structure","members":{}}},"UpdateRecords":{"http":{"requestUri":"/identitypools/{IdentityPoolId}/identities/{IdentityId}/datasets/{DatasetName}","responseCode":200},"input":{"type":"structure","required":["IdentityPoolId","IdentityId","DatasetName","SyncSessionToken"],"members":{"IdentityPoolId":{"location":"uri","locationName":"IdentityPoolId"},"IdentityId":{"location":"uri","locationName":"IdentityId"},"DatasetName":{"location":"uri","locationName":"DatasetName"},"DeviceId":{},"RecordPatches":{"type":"list","member":{"type":"structure","required":["Op","Key","SyncCount"],"members":{"Op":{},"Key":{},"Value":{},"SyncCount":{"type":"long"},"DeviceLastModifiedDate":{"type":"timestamp"}}}},"SyncSessionToken":{},"ClientContext":{"location":"header","locationName":"x-amz-Client-Context"}}},"output":{"type":"structure","members":{"Records":{"shape":"S1c"}}}}},"shapes":{"S8":{"type":"structure","members":{"IdentityId":{},"DatasetName":{},"CreationDate":{"type":"timestamp"},"LastModifiedDate":{"type":"timestamp"},"LastModifiedBy":{},"DataStorage":{"type":"long"},"NumRecords":{"type":"long"}}},"Sg":{"type":"structure","members":{"IdentityPoolId":{},"SyncSessionsCount":{"type":"long"},"DataStorage":{"type":"long"},"LastModifiedDate":{"type":"timestamp"}}},"Sq":{"type":"map","key":{},"value":{}},"Sv":{"type":"structure","members":{"ApplicationArns":{"type":"list","member":{}},"RoleArn":{}}},"Sz":{"type":"structure","members":{"StreamName":{},"RoleArn":{},"StreamingStatus":{}}},"S1c":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"SyncCount":{"type":"long"},"LastModifiedDate":{"type":"timestamp"},"LastModifiedBy":{},"DeviceLastModifiedDate":{"type":"timestamp"}}}}}}');

/***/ }),

/***/ 5865:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 24433:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-11-27","endpointPrefix":"comprehend","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Comprehend","serviceId":"Comprehend","signatureVersion":"v4","signingName":"comprehend","targetPrefix":"Comprehend_20171127","uid":"comprehend-2017-11-27"},"operations":{"BatchDetectDominantLanguage":{"input":{"type":"structure","required":["TextList"],"members":{"TextList":{"shape":"S2"}}},"output":{"type":"structure","required":["ResultList","ErrorList"],"members":{"ResultList":{"type":"list","member":{"type":"structure","members":{"Index":{"type":"integer"},"Languages":{"shape":"S8"}}}},"ErrorList":{"shape":"Sc"}},"sensitive":true}},"BatchDetectEntities":{"input":{"type":"structure","required":["TextList","LanguageCode"],"members":{"TextList":{"shape":"S2"},"LanguageCode":{}}},"output":{"type":"structure","required":["ResultList","ErrorList"],"members":{"ResultList":{"type":"list","member":{"type":"structure","members":{"Index":{"type":"integer"},"Entities":{"shape":"Sj"}}}},"ErrorList":{"shape":"Sc"}},"sensitive":true}},"BatchDetectKeyPhrases":{"input":{"type":"structure","required":["TextList","LanguageCode"],"members":{"TextList":{"shape":"S2"},"LanguageCode":{}}},"output":{"type":"structure","required":["ResultList","ErrorList"],"members":{"ResultList":{"type":"list","member":{"type":"structure","members":{"Index":{"type":"integer"},"KeyPhrases":{"shape":"Sq"}}}},"ErrorList":{"shape":"Sc"}},"sensitive":true}},"BatchDetectSentiment":{"input":{"type":"structure","required":["TextList","LanguageCode"],"members":{"TextList":{"shape":"S2"},"LanguageCode":{}}},"output":{"type":"structure","required":["ResultList","ErrorList"],"members":{"ResultList":{"type":"list","member":{"type":"structure","members":{"Index":{"type":"integer"},"Sentiment":{},"SentimentScore":{"shape":"Sx"}}}},"ErrorList":{"shape":"Sc"}},"sensitive":true}},"BatchDetectSyntax":{"input":{"type":"structure","required":["TextList","LanguageCode"],"members":{"TextList":{"shape":"S2"},"LanguageCode":{}}},"output":{"type":"structure","required":["ResultList","ErrorList"],"members":{"ResultList":{"type":"list","member":{"type":"structure","members":{"Index":{"type":"integer"},"SyntaxTokens":{"shape":"S13"}}}},"ErrorList":{"shape":"Sc"}},"sensitive":true}},"ClassifyDocument":{"input":{"type":"structure","required":["Text","EndpointArn"],"members":{"Text":{"shape":"S3"},"EndpointArn":{}}},"output":{"type":"structure","members":{"Classes":{"type":"list","member":{"type":"structure","members":{"Name":{},"Score":{"type":"float"}}}},"Labels":{"type":"list","member":{"type":"structure","members":{"Name":{},"Score":{"type":"float"}}}}},"sensitive":true}},"ContainsPiiEntities":{"input":{"type":"structure","required":["Text","LanguageCode"],"members":{"Text":{},"LanguageCode":{}}},"output":{"type":"structure","members":{"Labels":{"type":"list","member":{"type":"structure","members":{"Name":{},"Score":{"type":"float"}}}}}}},"CreateDocumentClassifier":{"input":{"type":"structure","required":["DocumentClassifierName","DataAccessRoleArn","InputDataConfig","LanguageCode"],"members":{"DocumentClassifierName":{},"VersionName":{},"DataAccessRoleArn":{},"Tags":{"shape":"S1n"},"InputDataConfig":{"shape":"S1r"},"OutputDataConfig":{"shape":"S21"},"ClientRequestToken":{"idempotencyToken":true},"LanguageCode":{},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"},"Mode":{},"ModelKmsKeyId":{}}},"output":{"type":"structure","members":{"DocumentClassifierArn":{}}}},"CreateEndpoint":{"input":{"type":"structure","required":["EndpointName","ModelArn","DesiredInferenceUnits"],"members":{"EndpointName":{},"ModelArn":{},"DesiredInferenceUnits":{"type":"integer"},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"S1n"},"DataAccessRoleArn":{}}},"output":{"type":"structure","members":{"EndpointArn":{}}}},"CreateEntityRecognizer":{"input":{"type":"structure","required":["RecognizerName","DataAccessRoleArn","InputDataConfig","LanguageCode"],"members":{"RecognizerName":{},"VersionName":{},"DataAccessRoleArn":{},"Tags":{"shape":"S1n"},"InputDataConfig":{"shape":"S2j"},"ClientRequestToken":{"idempotencyToken":true},"LanguageCode":{},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"},"ModelKmsKeyId":{}}},"output":{"type":"structure","members":{"EntityRecognizerArn":{}}}},"DeleteDocumentClassifier":{"input":{"type":"structure","required":["DocumentClassifierArn"],"members":{"DocumentClassifierArn":{}}},"output":{"type":"structure","members":{}}},"DeleteEndpoint":{"input":{"type":"structure","required":["EndpointArn"],"members":{"EndpointArn":{}}},"output":{"type":"structure","members":{}}},"DeleteEntityRecognizer":{"input":{"type":"structure","required":["EntityRecognizerArn"],"members":{"EntityRecognizerArn":{}}},"output":{"type":"structure","members":{}}},"DescribeDocumentClassificationJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"DocumentClassificationJobProperties":{"shape":"S34"}}}},"DescribeDocumentClassifier":{"input":{"type":"structure","required":["DocumentClassifierArn"],"members":{"DocumentClassifierArn":{}}},"output":{"type":"structure","members":{"DocumentClassifierProperties":{"shape":"S3j"}}}},"DescribeDominantLanguageDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"DominantLanguageDetectionJobProperties":{"shape":"S3q"}}}},"DescribeEndpoint":{"input":{"type":"structure","required":["EndpointArn"],"members":{"EndpointArn":{}}},"output":{"type":"structure","members":{"EndpointProperties":{"shape":"S3t"}}}},"DescribeEntitiesDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"EntitiesDetectionJobProperties":{"shape":"S3x"}}}},"DescribeEntityRecognizer":{"input":{"type":"structure","required":["EntityRecognizerArn"],"members":{"EntityRecognizerArn":{}}},"output":{"type":"structure","members":{"EntityRecognizerProperties":{"shape":"S40"}}}},"DescribeEventsDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"EventsDetectionJobProperties":{"shape":"S48"}}}},"DescribeKeyPhrasesDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"KeyPhrasesDetectionJobProperties":{"shape":"S4d"}}}},"DescribePiiEntitiesDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"PiiEntitiesDetectionJobProperties":{"shape":"S4g"}}}},"DescribeSentimentDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"SentimentDetectionJobProperties":{"shape":"S4p"}}}},"DescribeTopicsDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"TopicsDetectionJobProperties":{"shape":"S4s"}}}},"DetectDominantLanguage":{"input":{"type":"structure","required":["Text"],"members":{"Text":{"shape":"S3"}}},"output":{"type":"structure","members":{"Languages":{"shape":"S8"}},"sensitive":true}},"DetectEntities":{"input":{"type":"structure","required":["Text"],"members":{"Text":{"shape":"S3"},"LanguageCode":{},"EndpointArn":{}}},"output":{"type":"structure","members":{"Entities":{"shape":"Sj"}},"sensitive":true}},"DetectKeyPhrases":{"input":{"type":"structure","required":["Text","LanguageCode"],"members":{"Text":{"shape":"S3"},"LanguageCode":{}}},"output":{"type":"structure","members":{"KeyPhrases":{"shape":"Sq"}},"sensitive":true}},"DetectPiiEntities":{"input":{"type":"structure","required":["Text","LanguageCode"],"members":{"Text":{},"LanguageCode":{}}},"output":{"type":"structure","members":{"Entities":{"type":"list","member":{"type":"structure","members":{"Score":{"type":"float"},"Type":{},"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"}}}}}}},"DetectSentiment":{"input":{"type":"structure","required":["Text","LanguageCode"],"members":{"Text":{"shape":"S3"},"LanguageCode":{}}},"output":{"type":"structure","members":{"Sentiment":{},"SentimentScore":{"shape":"Sx"}},"sensitive":true}},"DetectSyntax":{"input":{"type":"structure","required":["Text","LanguageCode"],"members":{"Text":{"shape":"S3"},"LanguageCode":{}}},"output":{"type":"structure","members":{"SyntaxTokens":{"shape":"S13"}},"sensitive":true}},"ListDocumentClassificationJobs":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"JobName":{},"JobStatus":{},"SubmitTimeBefore":{"type":"timestamp"},"SubmitTimeAfter":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DocumentClassificationJobPropertiesList":{"type":"list","member":{"shape":"S34"}},"NextToken":{}}}},"ListDocumentClassifierSummaries":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DocumentClassifierSummariesList":{"type":"list","member":{"type":"structure","members":{"DocumentClassifierName":{},"NumberOfVersions":{"type":"integer"},"LatestVersionCreatedAt":{"type":"timestamp"},"LatestVersionName":{},"LatestVersionStatus":{}}}},"NextToken":{}}}},"ListDocumentClassifiers":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"Status":{},"DocumentClassifierName":{},"SubmitTimeBefore":{"type":"timestamp"},"SubmitTimeAfter":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DocumentClassifierPropertiesList":{"type":"list","member":{"shape":"S3j"}},"NextToken":{}}}},"ListDominantLanguageDetectionJobs":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"JobName":{},"JobStatus":{},"SubmitTimeBefore":{"type":"timestamp"},"SubmitTimeAfter":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DominantLanguageDetectionJobPropertiesList":{"type":"list","member":{"shape":"S3q"}},"NextToken":{}}}},"ListEndpoints":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"ModelArn":{},"Status":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"EndpointPropertiesList":{"type":"list","member":{"shape":"S3t"}},"NextToken":{}}}},"ListEntitiesDetectionJobs":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"JobName":{},"JobStatus":{},"SubmitTimeBefore":{"type":"timestamp"},"SubmitTimeAfter":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"EntitiesDetectionJobPropertiesList":{"type":"list","member":{"shape":"S3x"}},"NextToken":{}}}},"ListEntityRecognizerSummaries":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"EntityRecognizerSummariesList":{"type":"list","member":{"type":"structure","members":{"RecognizerName":{},"NumberOfVersions":{"type":"integer"},"LatestVersionCreatedAt":{"type":"timestamp"},"LatestVersionName":{},"LatestVersionStatus":{}}}},"NextToken":{}}}},"ListEntityRecognizers":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"Status":{},"RecognizerName":{},"SubmitTimeBefore":{"type":"timestamp"},"SubmitTimeAfter":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"EntityRecognizerPropertiesList":{"type":"list","member":{"shape":"S40"}},"NextToken":{}}}},"ListEventsDetectionJobs":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"JobName":{},"JobStatus":{},"SubmitTimeBefore":{"type":"timestamp"},"SubmitTimeAfter":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"EventsDetectionJobPropertiesList":{"type":"list","member":{"shape":"S48"}},"NextToken":{}}}},"ListKeyPhrasesDetectionJobs":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"JobName":{},"JobStatus":{},"SubmitTimeBefore":{"type":"timestamp"},"SubmitTimeAfter":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"KeyPhrasesDetectionJobPropertiesList":{"type":"list","member":{"shape":"S4d"}},"NextToken":{}}}},"ListPiiEntitiesDetectionJobs":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"JobName":{},"JobStatus":{},"SubmitTimeBefore":{"type":"timestamp"},"SubmitTimeAfter":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"PiiEntitiesDetectionJobPropertiesList":{"type":"list","member":{"shape":"S4g"}},"NextToken":{}}}},"ListSentimentDetectionJobs":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"JobName":{},"JobStatus":{},"SubmitTimeBefore":{"type":"timestamp"},"SubmitTimeAfter":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SentimentDetectionJobPropertiesList":{"type":"list","member":{"shape":"S4p"}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"ResourceArn":{},"Tags":{"shape":"S1n"}}}},"ListTopicsDetectionJobs":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"JobName":{},"JobStatus":{},"SubmitTimeBefore":{"type":"timestamp"},"SubmitTimeAfter":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"TopicsDetectionJobPropertiesList":{"type":"list","member":{"shape":"S4s"}},"NextToken":{}}}},"StartDocumentClassificationJob":{"input":{"type":"structure","required":["DocumentClassifierArn","InputDataConfig","OutputDataConfig","DataAccessRoleArn"],"members":{"JobName":{},"DocumentClassifierArn":{},"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"DataAccessRoleArn":{},"ClientRequestToken":{"idempotencyToken":true},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"},"Tags":{"shape":"S1n"}}},"output":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobStatus":{}}}},"StartDominantLanguageDetectionJob":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","DataAccessRoleArn"],"members":{"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"DataAccessRoleArn":{},"JobName":{},"ClientRequestToken":{"idempotencyToken":true},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"},"Tags":{"shape":"S1n"}}},"output":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobStatus":{}}}},"StartEntitiesDetectionJob":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","DataAccessRoleArn","LanguageCode"],"members":{"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"DataAccessRoleArn":{},"JobName":{},"EntityRecognizerArn":{},"LanguageCode":{},"ClientRequestToken":{"idempotencyToken":true},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"},"Tags":{"shape":"S1n"}}},"output":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobStatus":{}}}},"StartEventsDetectionJob":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","DataAccessRoleArn","LanguageCode","TargetEventTypes"],"members":{"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"DataAccessRoleArn":{},"JobName":{},"LanguageCode":{},"ClientRequestToken":{"idempotencyToken":true},"TargetEventTypes":{"shape":"S49"},"Tags":{"shape":"S1n"}}},"output":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobStatus":{}}}},"StartKeyPhrasesDetectionJob":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","DataAccessRoleArn","LanguageCode"],"members":{"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"DataAccessRoleArn":{},"JobName":{},"LanguageCode":{},"ClientRequestToken":{"idempotencyToken":true},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"},"Tags":{"shape":"S1n"}}},"output":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobStatus":{}}}},"StartPiiEntitiesDetectionJob":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","Mode","DataAccessRoleArn","LanguageCode"],"members":{"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"Mode":{},"RedactionConfig":{"shape":"S4i"},"DataAccessRoleArn":{},"JobName":{},"LanguageCode":{},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"S1n"}}},"output":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobStatus":{}}}},"StartSentimentDetectionJob":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","DataAccessRoleArn","LanguageCode"],"members":{"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"DataAccessRoleArn":{},"JobName":{},"LanguageCode":{},"ClientRequestToken":{"idempotencyToken":true},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"},"Tags":{"shape":"S1n"}}},"output":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobStatus":{}}}},"StartTopicsDetectionJob":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","DataAccessRoleArn"],"members":{"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"DataAccessRoleArn":{},"JobName":{},"NumberOfTopics":{"type":"integer"},"ClientRequestToken":{"idempotencyToken":true},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"},"Tags":{"shape":"S1n"}}},"output":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobStatus":{}}}},"StopDominantLanguageDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{},"JobStatus":{}}}},"StopEntitiesDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{},"JobStatus":{}}}},"StopEventsDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{},"JobStatus":{}}}},"StopKeyPhrasesDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{},"JobStatus":{}}}},"StopPiiEntitiesDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{},"JobStatus":{}}}},"StopSentimentDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{},"JobStatus":{}}}},"StopTrainingDocumentClassifier":{"input":{"type":"structure","required":["DocumentClassifierArn"],"members":{"DocumentClassifierArn":{}}},"output":{"type":"structure","members":{}}},"StopTrainingEntityRecognizer":{"input":{"type":"structure","required":["EntityRecognizerArn"],"members":{"EntityRecognizerArn":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S1n"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateEndpoint":{"input":{"type":"structure","required":["EndpointArn"],"members":{"EndpointArn":{},"DesiredModelArn":{},"DesiredInferenceUnits":{"type":"integer"},"DesiredDataAccessRoleArn":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"S2":{"type":"list","member":{"shape":"S3"},"sensitive":true},"S3":{"type":"string","sensitive":true},"S8":{"type":"list","member":{"type":"structure","members":{"LanguageCode":{},"Score":{"type":"float"}}}},"Sc":{"type":"list","member":{"type":"structure","members":{"Index":{"type":"integer"},"ErrorCode":{},"ErrorMessage":{}}}},"Sj":{"type":"list","member":{"type":"structure","members":{"Score":{"type":"float"},"Type":{},"Text":{},"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"}}}},"Sq":{"type":"list","member":{"type":"structure","members":{"Score":{"type":"float"},"Text":{},"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"}}}},"Sx":{"type":"structure","members":{"Positive":{"type":"float"},"Negative":{"type":"float"},"Neutral":{"type":"float"},"Mixed":{"type":"float"}}},"S13":{"type":"list","member":{"type":"structure","members":{"TokenId":{"type":"integer"},"Text":{},"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"},"PartOfSpeech":{"type":"structure","members":{"Tag":{},"Score":{"type":"float"}}}}}},"S1n":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"S1r":{"type":"structure","members":{"DataFormat":{},"S3Uri":{},"TestS3Uri":{},"LabelDelimiter":{},"AugmentedManifests":{"type":"list","member":{"shape":"S1w"}}}},"S1w":{"type":"structure","required":["S3Uri","AttributeNames"],"members":{"S3Uri":{},"Split":{},"AttributeNames":{"type":"list","member":{}},"AnnotationDataS3Uri":{},"SourceDocumentsS3Uri":{},"DocumentType":{}}},"S21":{"type":"structure","members":{"S3Uri":{},"KmsKeyId":{}}},"S24":{"type":"structure","required":["SecurityGroupIds","Subnets"],"members":{"SecurityGroupIds":{"type":"list","member":{}},"Subnets":{"type":"list","member":{}}}},"S2j":{"type":"structure","required":["EntityTypes"],"members":{"DataFormat":{},"EntityTypes":{"type":"list","member":{"type":"structure","required":["Type"],"members":{"Type":{}}}},"Documents":{"type":"structure","required":["S3Uri"],"members":{"S3Uri":{},"TestS3Uri":{},"InputFormat":{}}},"Annotations":{"type":"structure","required":["S3Uri"],"members":{"S3Uri":{},"TestS3Uri":{}}},"EntityList":{"type":"structure","required":["S3Uri"],"members":{"S3Uri":{}}},"AugmentedManifests":{"type":"list","member":{"shape":"S1w"}}}},"S34":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobName":{},"JobStatus":{},"Message":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"DocumentClassifierArn":{},"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"DataAccessRoleArn":{},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"}}},"S3a":{"type":"structure","required":["S3Uri"],"members":{"S3Uri":{},"InputFormat":{},"DocumentReaderConfig":{"type":"structure","required":["DocumentReadAction"],"members":{"DocumentReadAction":{},"DocumentReadMode":{},"FeatureTypes":{"type":"list","member":{}}}}}},"S3g":{"type":"structure","required":["S3Uri"],"members":{"S3Uri":{},"KmsKeyId":{}}},"S3j":{"type":"structure","members":{"DocumentClassifierArn":{},"LanguageCode":{},"Status":{},"Message":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"TrainingStartTime":{"type":"timestamp"},"TrainingEndTime":{"type":"timestamp"},"InputDataConfig":{"shape":"S1r"},"OutputDataConfig":{"shape":"S21"},"ClassifierMetadata":{"type":"structure","members":{"NumberOfLabels":{"type":"integer"},"NumberOfTrainedDocuments":{"type":"integer"},"NumberOfTestDocuments":{"type":"integer"},"EvaluationMetrics":{"type":"structure","members":{"Accuracy":{"type":"double"},"Precision":{"type":"double"},"Recall":{"type":"double"},"F1Score":{"type":"double"},"MicroPrecision":{"type":"double"},"MicroRecall":{"type":"double"},"MicroF1Score":{"type":"double"},"HammingLoss":{"type":"double"}}}},"sensitive":true},"DataAccessRoleArn":{},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"},"Mode":{},"ModelKmsKeyId":{},"VersionName":{}}},"S3q":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobName":{},"JobStatus":{},"Message":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"DataAccessRoleArn":{},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"}}},"S3t":{"type":"structure","members":{"EndpointArn":{},"Status":{},"Message":{},"ModelArn":{},"DesiredModelArn":{},"DesiredInferenceUnits":{"type":"integer"},"CurrentInferenceUnits":{"type":"integer"},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"DataAccessRoleArn":{},"DesiredDataAccessRoleArn":{}}},"S3x":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobName":{},"JobStatus":{},"Message":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"EntityRecognizerArn":{},"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"LanguageCode":{},"DataAccessRoleArn":{},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"}}},"S40":{"type":"structure","members":{"EntityRecognizerArn":{},"LanguageCode":{},"Status":{},"Message":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"TrainingStartTime":{"type":"timestamp"},"TrainingEndTime":{"type":"timestamp"},"InputDataConfig":{"shape":"S2j"},"RecognizerMetadata":{"type":"structure","members":{"NumberOfTrainedDocuments":{"type":"integer"},"NumberOfTestDocuments":{"type":"integer"},"EvaluationMetrics":{"type":"structure","members":{"Precision":{"type":"double"},"Recall":{"type":"double"},"F1Score":{"type":"double"}}},"EntityTypes":{"type":"list","member":{"type":"structure","members":{"Type":{},"EvaluationMetrics":{"type":"structure","members":{"Precision":{"type":"double"},"Recall":{"type":"double"},"F1Score":{"type":"double"}}},"NumberOfTrainMentions":{"type":"integer"}}}}},"sensitive":true},"DataAccessRoleArn":{},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"},"ModelKmsKeyId":{},"VersionName":{}}},"S48":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobName":{},"JobStatus":{},"Message":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"LanguageCode":{},"DataAccessRoleArn":{},"TargetEventTypes":{"shape":"S49"}}},"S49":{"type":"list","member":{}},"S4d":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobName":{},"JobStatus":{},"Message":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"LanguageCode":{},"DataAccessRoleArn":{},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"}}},"S4g":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobName":{},"JobStatus":{},"Message":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"type":"structure","required":["S3Uri"],"members":{"S3Uri":{},"KmsKeyId":{}}},"RedactionConfig":{"shape":"S4i"},"LanguageCode":{},"DataAccessRoleArn":{},"Mode":{}}},"S4i":{"type":"structure","members":{"PiiEntityTypes":{"type":"list","member":{}},"MaskMode":{},"MaskCharacter":{}}},"S4p":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobName":{},"JobStatus":{},"Message":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"LanguageCode":{},"DataAccessRoleArn":{},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"}}},"S4s":{"type":"structure","members":{"JobId":{},"JobArn":{},"JobName":{},"JobStatus":{},"Message":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"InputDataConfig":{"shape":"S3a"},"OutputDataConfig":{"shape":"S3g"},"NumberOfTopics":{"type":"integer"},"DataAccessRoleArn":{},"VolumeKmsKeyId":{},"VpcConfig":{"shape":"S24"}}}}}');

/***/ }),

/***/ 82518:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDocumentClassificationJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDocumentClassifierSummaries":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDocumentClassifiers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDominantLanguageDetectionJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListEntitiesDetectionJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListEntityRecognizerSummaries":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListEntityRecognizers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListEventsDetectionJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListKeyPhrasesDetectionJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSentimentDetectionJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTopicsDetectionJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 96649:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-10-30","endpointPrefix":"comprehendmedical","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"ComprehendMedical","serviceFullName":"AWS Comprehend Medical","serviceId":"ComprehendMedical","signatureVersion":"v4","signingName":"comprehendmedical","targetPrefix":"ComprehendMedical_20181030","uid":"comprehendmedical-2018-10-30"},"operations":{"DescribeEntitiesDetectionV2Job":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"ComprehendMedicalAsyncJobProperties":{"shape":"S4"}}}},"DescribeICD10CMInferenceJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"ComprehendMedicalAsyncJobProperties":{"shape":"S4"}}}},"DescribePHIDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"ComprehendMedicalAsyncJobProperties":{"shape":"S4"}}}},"DescribeRxNormInferenceJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"ComprehendMedicalAsyncJobProperties":{"shape":"S4"}}}},"DescribeSNOMEDCTInferenceJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"ComprehendMedicalAsyncJobProperties":{"shape":"S4"}}}},"DetectEntities":{"input":{"type":"structure","required":["Text"],"members":{"Text":{}}},"output":{"type":"structure","required":["Entities","ModelVersion"],"members":{"Entities":{"shape":"St"},"UnmappedAttributes":{"shape":"S16"},"PaginationToken":{},"ModelVersion":{}}},"deprecated":true,"deprecatedMessage":"This operation is deprecated, use DetectEntitiesV2 instead."},"DetectEntitiesV2":{"input":{"type":"structure","required":["Text"],"members":{"Text":{}}},"output":{"type":"structure","required":["Entities","ModelVersion"],"members":{"Entities":{"shape":"St"},"UnmappedAttributes":{"shape":"S16"},"PaginationToken":{},"ModelVersion":{}}}},"DetectPHI":{"input":{"type":"structure","required":["Text"],"members":{"Text":{}}},"output":{"type":"structure","required":["Entities","ModelVersion"],"members":{"Entities":{"shape":"St"},"PaginationToken":{},"ModelVersion":{}}}},"InferICD10CM":{"input":{"type":"structure","required":["Text"],"members":{"Text":{}}},"output":{"type":"structure","required":["Entities"],"members":{"Entities":{"type":"list","member":{"type":"structure","members":{"Id":{"type":"integer"},"Text":{},"Category":{},"Type":{},"Score":{"type":"float"},"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"},"Attributes":{"type":"list","member":{"type":"structure","members":{"Type":{},"Score":{"type":"float"},"RelationshipScore":{"type":"float"},"Id":{"type":"integer"},"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"},"Text":{},"Traits":{"shape":"S1m"},"Category":{},"RelationshipType":{}}}},"Traits":{"shape":"S1m"},"ICD10CMConcepts":{"type":"list","member":{"type":"structure","members":{"Description":{},"Code":{},"Score":{"type":"float"}}}}}}},"PaginationToken":{},"ModelVersion":{}}}},"InferRxNorm":{"input":{"type":"structure","required":["Text"],"members":{"Text":{}}},"output":{"type":"structure","required":["Entities"],"members":{"Entities":{"type":"list","member":{"type":"structure","members":{"Id":{"type":"integer"},"Text":{},"Category":{},"Type":{},"Score":{"type":"float"},"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"},"Attributes":{"type":"list","member":{"type":"structure","members":{"Type":{},"Score":{"type":"float"},"RelationshipScore":{"type":"float"},"Id":{"type":"integer"},"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"},"Text":{},"Traits":{"shape":"S21"}}}},"Traits":{"shape":"S21"},"RxNormConcepts":{"type":"list","member":{"type":"structure","members":{"Description":{},"Code":{},"Score":{"type":"float"}}}}}}},"PaginationToken":{},"ModelVersion":{}}}},"InferSNOMEDCT":{"input":{"type":"structure","required":["Text"],"members":{"Text":{}}},"output":{"type":"structure","required":["Entities"],"members":{"Entities":{"type":"list","member":{"type":"structure","members":{"Id":{"type":"integer"},"Text":{},"Category":{},"Type":{},"Score":{"type":"float"},"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"},"Attributes":{"type":"list","member":{"type":"structure","members":{"Category":{},"Type":{},"Score":{"type":"float"},"RelationshipScore":{"type":"float"},"RelationshipType":{},"Id":{"type":"integer"},"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"},"Text":{},"Traits":{"shape":"S2g"},"SNOMEDCTConcepts":{"shape":"S2j"}}}},"Traits":{"shape":"S2g"},"SNOMEDCTConcepts":{"shape":"S2j"}}}},"PaginationToken":{},"ModelVersion":{},"SNOMEDCTDetails":{"type":"structure","members":{"Edition":{},"Language":{},"VersionDate":{}}},"Characters":{"type":"structure","members":{"OriginalTextCharacters":{"type":"integer"}}}}}},"ListEntitiesDetectionV2Jobs":{"input":{"type":"structure","members":{"Filter":{"shape":"S2o"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ComprehendMedicalAsyncJobPropertiesList":{"shape":"S2r"},"NextToken":{}}}},"ListICD10CMInferenceJobs":{"input":{"type":"structure","members":{"Filter":{"shape":"S2o"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ComprehendMedicalAsyncJobPropertiesList":{"shape":"S2r"},"NextToken":{}}}},"ListPHIDetectionJobs":{"input":{"type":"structure","members":{"Filter":{"shape":"S2o"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ComprehendMedicalAsyncJobPropertiesList":{"shape":"S2r"},"NextToken":{}}}},"ListRxNormInferenceJobs":{"input":{"type":"structure","members":{"Filter":{"shape":"S2o"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ComprehendMedicalAsyncJobPropertiesList":{"shape":"S2r"},"NextToken":{}}}},"ListSNOMEDCTInferenceJobs":{"input":{"type":"structure","members":{"Filter":{"shape":"S2o"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ComprehendMedicalAsyncJobPropertiesList":{"shape":"S2r"},"NextToken":{}}}},"StartEntitiesDetectionV2Job":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","DataAccessRoleArn","LanguageCode"],"members":{"InputDataConfig":{"shape":"S9"},"OutputDataConfig":{"shape":"Sc"},"DataAccessRoleArn":{},"JobName":{},"ClientRequestToken":{"idempotencyToken":true},"KMSKey":{},"LanguageCode":{}}},"output":{"type":"structure","members":{"JobId":{}}}},"StartICD10CMInferenceJob":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","DataAccessRoleArn","LanguageCode"],"members":{"InputDataConfig":{"shape":"S9"},"OutputDataConfig":{"shape":"Sc"},"DataAccessRoleArn":{},"JobName":{},"ClientRequestToken":{"idempotencyToken":true},"KMSKey":{},"LanguageCode":{}}},"output":{"type":"structure","members":{"JobId":{}}}},"StartPHIDetectionJob":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","DataAccessRoleArn","LanguageCode"],"members":{"InputDataConfig":{"shape":"S9"},"OutputDataConfig":{"shape":"Sc"},"DataAccessRoleArn":{},"JobName":{},"ClientRequestToken":{"idempotencyToken":true},"KMSKey":{},"LanguageCode":{}}},"output":{"type":"structure","members":{"JobId":{}}}},"StartRxNormInferenceJob":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","DataAccessRoleArn","LanguageCode"],"members":{"InputDataConfig":{"shape":"S9"},"OutputDataConfig":{"shape":"Sc"},"DataAccessRoleArn":{},"JobName":{},"ClientRequestToken":{"idempotencyToken":true},"KMSKey":{},"LanguageCode":{}}},"output":{"type":"structure","members":{"JobId":{}}}},"StartSNOMEDCTInferenceJob":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","DataAccessRoleArn","LanguageCode"],"members":{"InputDataConfig":{"shape":"S9"},"OutputDataConfig":{"shape":"Sc"},"DataAccessRoleArn":{},"JobName":{},"ClientRequestToken":{"idempotencyToken":true},"KMSKey":{},"LanguageCode":{}}},"output":{"type":"structure","members":{"JobId":{}}}},"StopEntitiesDetectionV2Job":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{}}}},"StopICD10CMInferenceJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{}}}},"StopPHIDetectionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{}}}},"StopRxNormInferenceJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{}}}},"StopSNOMEDCTInferenceJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{}}}}},"shapes":{"S4":{"type":"structure","members":{"JobId":{},"JobName":{},"JobStatus":{},"Message":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"ExpirationTime":{"type":"timestamp"},"InputDataConfig":{"shape":"S9"},"OutputDataConfig":{"shape":"Sc"},"LanguageCode":{},"DataAccessRoleArn":{},"ManifestFilePath":{},"KMSKey":{},"ModelVersion":{}}},"S9":{"type":"structure","required":["S3Bucket"],"members":{"S3Bucket":{},"S3Key":{}}},"Sc":{"type":"structure","required":["S3Bucket"],"members":{"S3Bucket":{},"S3Key":{}}},"St":{"type":"list","member":{"type":"structure","members":{"Id":{"type":"integer"},"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"},"Score":{"type":"float"},"Text":{},"Category":{},"Type":{},"Traits":{"shape":"S10"},"Attributes":{"type":"list","member":{"shape":"S14"}}}}},"S10":{"type":"list","member":{"type":"structure","members":{"Name":{},"Score":{"type":"float"}}}},"S14":{"type":"structure","members":{"Type":{},"Score":{"type":"float"},"RelationshipScore":{"type":"float"},"RelationshipType":{},"Id":{"type":"integer"},"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"},"Text":{},"Category":{},"Traits":{"shape":"S10"}}},"S16":{"type":"list","member":{"type":"structure","members":{"Type":{},"Attribute":{"shape":"S14"}}}},"S1m":{"type":"list","member":{"type":"structure","members":{"Name":{},"Score":{"type":"float"}}}},"S21":{"type":"list","member":{"type":"structure","members":{"Name":{},"Score":{"type":"float"}}}},"S2g":{"type":"list","member":{"type":"structure","members":{"Name":{},"Score":{"type":"float"}}}},"S2j":{"type":"list","member":{"type":"structure","members":{"Description":{},"Code":{},"Score":{"type":"float"}}}},"S2o":{"type":"structure","members":{"JobName":{},"JobStatus":{},"SubmitTimeBefore":{"type":"timestamp"},"SubmitTimeAfter":{"type":"timestamp"}}},"S2r":{"type":"list","member":{"shape":"S4"}}}}');

/***/ }),

/***/ 43172:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 85802:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-11-01","endpointPrefix":"compute-optimizer","jsonVersion":"1.0","protocol":"json","serviceFullName":"AWS Compute Optimizer","serviceId":"Compute Optimizer","signatureVersion":"v4","signingName":"compute-optimizer","targetPrefix":"ComputeOptimizerService","uid":"compute-optimizer-2019-11-01"},"operations":{"DeleteRecommendationPreferences":{"input":{"type":"structure","required":["resourceType","recommendationPreferenceNames"],"members":{"resourceType":{},"scope":{"shape":"S3"},"recommendationPreferenceNames":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"DescribeRecommendationExportJobs":{"input":{"type":"structure","members":{"jobIds":{"type":"list","member":{}},"filters":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"shape":"Sf"}}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"recommendationExportJobs":{"type":"list","member":{"type":"structure","members":{"jobId":{},"destination":{"type":"structure","members":{"s3":{"shape":"Sn"}}},"resourceType":{},"status":{},"creationTimestamp":{"type":"timestamp"},"lastUpdatedTimestamp":{"type":"timestamp"},"failureReason":{}}}},"nextToken":{}}}},"ExportAutoScalingGroupRecommendations":{"input":{"type":"structure","required":["s3DestinationConfig"],"members":{"accountIds":{"shape":"Sw"},"filters":{"shape":"Sy"},"fieldsToExport":{"type":"list","member":{}},"s3DestinationConfig":{"shape":"S13"},"fileFormat":{},"includeMemberAccounts":{"type":"boolean"},"recommendationPreferences":{"shape":"S17"}}},"output":{"type":"structure","members":{"jobId":{},"s3Destination":{"shape":"Sn"}}}},"ExportEBSVolumeRecommendations":{"input":{"type":"structure","required":["s3DestinationConfig"],"members":{"accountIds":{"shape":"Sw"},"filters":{"shape":"S1c"},"fieldsToExport":{"type":"list","member":{}},"s3DestinationConfig":{"shape":"S13"},"fileFormat":{},"includeMemberAccounts":{"type":"boolean"}}},"output":{"type":"structure","members":{"jobId":{},"s3Destination":{"shape":"Sn"}}}},"ExportEC2InstanceRecommendations":{"input":{"type":"structure","required":["s3DestinationConfig"],"members":{"accountIds":{"shape":"Sw"},"filters":{"shape":"Sy"},"fieldsToExport":{"type":"list","member":{}},"s3DestinationConfig":{"shape":"S13"},"fileFormat":{},"includeMemberAccounts":{"type":"boolean"},"recommendationPreferences":{"shape":"S17"}}},"output":{"type":"structure","members":{"jobId":{},"s3Destination":{"shape":"Sn"}}}},"ExportLambdaFunctionRecommendations":{"input":{"type":"structure","required":["s3DestinationConfig"],"members":{"accountIds":{"shape":"Sw"},"filters":{"shape":"S1n"},"fieldsToExport":{"type":"list","member":{}},"s3DestinationConfig":{"shape":"S13"},"fileFormat":{},"includeMemberAccounts":{"type":"boolean"}}},"output":{"type":"structure","members":{"jobId":{},"s3Destination":{"shape":"Sn"}}}},"GetAutoScalingGroupRecommendations":{"input":{"type":"structure","members":{"accountIds":{"shape":"Sw"},"autoScalingGroupArns":{"type":"list","member":{}},"nextToken":{},"maxResults":{"type":"integer"},"filters":{"shape":"Sy"},"recommendationPreferences":{"shape":"S17"}}},"output":{"type":"structure","members":{"nextToken":{},"autoScalingGroupRecommendations":{"type":"list","member":{"type":"structure","members":{"accountId":{},"autoScalingGroupArn":{},"autoScalingGroupName":{},"finding":{},"utilizationMetrics":{"shape":"S21"},"lookBackPeriodInDays":{"type":"double"},"currentConfiguration":{"shape":"S27"},"recommendationOptions":{"type":"list","member":{"type":"structure","members":{"configuration":{"shape":"S27"},"projectedUtilizationMetrics":{"shape":"S2e"},"performanceRisk":{"type":"double"},"rank":{"type":"integer"},"savingsOpportunity":{"shape":"S2h"}}}},"lastRefreshTimestamp":{"type":"timestamp"},"currentPerformanceRisk":{},"effectiveRecommendationPreferences":{"shape":"S2o"}}}},"errors":{"shape":"S2q"}}}},"GetEBSVolumeRecommendations":{"input":{"type":"structure","members":{"volumeArns":{"type":"list","member":{}},"nextToken":{},"maxResults":{"type":"integer"},"filters":{"shape":"S1c"},"accountIds":{"shape":"Sw"}}},"output":{"type":"structure","members":{"nextToken":{},"volumeRecommendations":{"type":"list","member":{"type":"structure","members":{"volumeArn":{},"accountId":{},"currentConfiguration":{"shape":"S31"},"finding":{},"utilizationMetrics":{"type":"list","member":{"type":"structure","members":{"name":{},"statistic":{},"value":{"type":"double"}}}},"lookBackPeriodInDays":{"type":"double"},"volumeRecommendationOptions":{"type":"list","member":{"type":"structure","members":{"configuration":{"shape":"S31"},"performanceRisk":{"type":"double"},"rank":{"type":"integer"},"savingsOpportunity":{"shape":"S2h"}}}},"lastRefreshTimestamp":{"type":"timestamp"},"currentPerformanceRisk":{}}}},"errors":{"shape":"S2q"}}}},"GetEC2InstanceRecommendations":{"input":{"type":"structure","members":{"instanceArns":{"type":"list","member":{}},"nextToken":{},"maxResults":{"type":"integer"},"filters":{"shape":"Sy"},"accountIds":{"shape":"Sw"},"recommendationPreferences":{"shape":"S17"}}},"output":{"type":"structure","members":{"nextToken":{},"instanceRecommendations":{"type":"list","member":{"type":"structure","members":{"instanceArn":{},"accountId":{},"instanceName":{},"currentInstanceType":{},"finding":{},"findingReasonCodes":{"type":"list","member":{}},"utilizationMetrics":{"shape":"S21"},"lookBackPeriodInDays":{"type":"double"},"recommendationOptions":{"type":"list","member":{"type":"structure","members":{"instanceType":{},"projectedUtilizationMetrics":{"shape":"S2e"},"platformDifferences":{"type":"list","member":{}},"performanceRisk":{"type":"double"},"rank":{"type":"integer"},"savingsOpportunity":{"shape":"S2h"}}}},"recommendationSources":{"type":"list","member":{"type":"structure","members":{"recommendationSourceArn":{},"recommendationSourceType":{}}}},"lastRefreshTimestamp":{"type":"timestamp"},"currentPerformanceRisk":{},"effectiveRecommendationPreferences":{"shape":"S2o"}}}},"errors":{"shape":"S2q"}}}},"GetEC2RecommendationProjectedMetrics":{"input":{"type":"structure","required":["instanceArn","stat","period","startTime","endTime"],"members":{"instanceArn":{},"stat":{},"period":{"type":"integer"},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"recommendationPreferences":{"shape":"S17"}}},"output":{"type":"structure","members":{"recommendedOptionProjectedMetrics":{"type":"list","member":{"type":"structure","members":{"recommendedInstanceType":{},"rank":{"type":"integer"},"projectedMetrics":{"type":"list","member":{"type":"structure","members":{"name":{},"timestamps":{"type":"list","member":{"type":"timestamp"}},"values":{"type":"list","member":{"type":"double"}}}}}}}}}}},"GetEffectiveRecommendationPreferences":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{}}},"output":{"type":"structure","members":{"enhancedInfrastructureMetrics":{}}}},"GetEnrollmentStatus":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"status":{},"statusReason":{},"memberAccountsEnrolled":{"type":"boolean"},"lastUpdatedTimestamp":{"type":"timestamp"},"numberOfMemberAccountsOptedIn":{"type":"integer"}}}},"GetEnrollmentStatusesForOrganization":{"input":{"type":"structure","members":{"filters":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"shape":"Sf"}}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"accountEnrollmentStatuses":{"type":"list","member":{"type":"structure","members":{"accountId":{},"status":{},"statusReason":{},"lastUpdatedTimestamp":{"type":"timestamp"}}}},"nextToken":{}}}},"GetLambdaFunctionRecommendations":{"input":{"type":"structure","members":{"functionArns":{"type":"list","member":{}},"accountIds":{"shape":"Sw"},"filters":{"shape":"S1n"},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"nextToken":{},"lambdaFunctionRecommendations":{"type":"list","member":{"type":"structure","members":{"functionArn":{},"functionVersion":{},"accountId":{},"currentMemorySize":{"type":"integer"},"numberOfInvocations":{"type":"long"},"utilizationMetrics":{"type":"list","member":{"type":"structure","members":{"name":{},"statistic":{},"value":{"type":"double"}}}},"lookbackPeriodInDays":{"type":"double"},"lastRefreshTimestamp":{"type":"timestamp"},"finding":{},"findingReasonCodes":{"type":"list","member":{}},"memorySizeRecommendationOptions":{"type":"list","member":{"type":"structure","members":{"rank":{"type":"integer"},"memorySize":{"type":"integer"},"projectedUtilizationMetrics":{"type":"list","member":{"type":"structure","members":{"name":{},"statistic":{},"value":{"type":"double"}}}},"savingsOpportunity":{"shape":"S2h"}}}},"currentPerformanceRisk":{}}}}}}},"GetRecommendationPreferences":{"input":{"type":"structure","required":["resourceType"],"members":{"resourceType":{},"scope":{"shape":"S3"},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"nextToken":{},"recommendationPreferencesDetails":{"type":"list","member":{"type":"structure","members":{"scope":{"shape":"S3"},"resourceType":{},"enhancedInfrastructureMetrics":{}}}}}}},"GetRecommendationSummaries":{"input":{"type":"structure","members":{"accountIds":{"shape":"Sw"},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"nextToken":{},"recommendationSummaries":{"type":"list","member":{"type":"structure","members":{"summaries":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{"type":"double"},"reasonCodeSummaries":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{"type":"double"}}}}}}},"recommendationResourceType":{},"accountId":{},"savingsOpportunity":{"shape":"S2h"},"currentPerformanceRiskRatings":{"type":"structure","members":{"high":{"type":"long"},"medium":{"type":"long"},"low":{"type":"long"},"veryLow":{"type":"long"}}}}}}}}},"PutRecommendationPreferences":{"input":{"type":"structure","required":["resourceType"],"members":{"resourceType":{},"scope":{"shape":"S3"},"enhancedInfrastructureMetrics":{}}},"output":{"type":"structure","members":{}}},"UpdateEnrollmentStatus":{"input":{"type":"structure","required":["status"],"members":{"status":{},"includeMemberAccounts":{"type":"boolean"}}},"output":{"type":"structure","members":{"status":{},"statusReason":{}}}}},"shapes":{"S3":{"type":"structure","members":{"name":{},"value":{}}},"Sf":{"type":"list","member":{}},"Sn":{"type":"structure","members":{"bucket":{},"key":{},"metadataKey":{}}},"Sw":{"type":"list","member":{}},"Sy":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"shape":"Sf"}}}},"S13":{"type":"structure","members":{"bucket":{},"keyPrefix":{}}},"S17":{"type":"structure","members":{"cpuVendorArchitectures":{"shape":"S18"}}},"S18":{"type":"list","member":{}},"S1c":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"shape":"Sf"}}}},"S1n":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"shape":"Sf"}}}},"S21":{"type":"list","member":{"shape":"S22"}},"S22":{"type":"structure","members":{"name":{},"statistic":{},"value":{"type":"double"}}},"S27":{"type":"structure","members":{"desiredCapacity":{"type":"integer"},"minSize":{"type":"integer"},"maxSize":{"type":"integer"},"instanceType":{}}},"S2e":{"type":"list","member":{"shape":"S22"}},"S2h":{"type":"structure","members":{"savingsOpportunityPercentage":{"type":"double"},"estimatedMonthlySavings":{"type":"structure","members":{"currency":{},"value":{"type":"double"}}}}},"S2o":{"type":"structure","members":{"cpuVendorArchitectures":{"shape":"S18"},"enhancedInfrastructureMetrics":{}}},"S2q":{"type":"list","member":{"type":"structure","members":{"identifier":{},"code":{},"message":{}}}},"S31":{"type":"structure","members":{"volumeType":{},"volumeSize":{"type":"integer"},"volumeBaselineIOPS":{"type":"integer"},"volumeBurstIOPS":{"type":"integer"},"volumeBaselineThroughput":{"type":"integer"},"volumeBurstThroughput":{"type":"integer"}}}}}');

/***/ }),

/***/ 6831:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 47124:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-11-12","endpointPrefix":"config","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Config Service","serviceFullName":"AWS Config","serviceId":"Config Service","signatureVersion":"v4","targetPrefix":"StarlingDoveService","uid":"config-2014-11-12"},"operations":{"BatchGetAggregateResourceConfig":{"input":{"type":"structure","required":["ConfigurationAggregatorName","ResourceIdentifiers"],"members":{"ConfigurationAggregatorName":{},"ResourceIdentifiers":{"type":"list","member":{"shape":"S4"}}}},"output":{"type":"structure","members":{"BaseConfigurationItems":{"shape":"Sb"},"UnprocessedResourceIdentifiers":{"type":"list","member":{"shape":"S4"}}}}},"BatchGetResourceConfig":{"input":{"type":"structure","required":["resourceKeys"],"members":{"resourceKeys":{"shape":"Sq"}}},"output":{"type":"structure","members":{"baseConfigurationItems":{"shape":"Sb"},"unprocessedResourceKeys":{"shape":"Sq"}}}},"DeleteAggregationAuthorization":{"input":{"type":"structure","required":["AuthorizedAccountId","AuthorizedAwsRegion"],"members":{"AuthorizedAccountId":{},"AuthorizedAwsRegion":{}}}},"DeleteConfigRule":{"input":{"type":"structure","required":["ConfigRuleName"],"members":{"ConfigRuleName":{}}}},"DeleteConfigurationAggregator":{"input":{"type":"structure","required":["ConfigurationAggregatorName"],"members":{"ConfigurationAggregatorName":{}}}},"DeleteConfigurationRecorder":{"input":{"type":"structure","required":["ConfigurationRecorderName"],"members":{"ConfigurationRecorderName":{}}}},"DeleteConformancePack":{"input":{"type":"structure","required":["ConformancePackName"],"members":{"ConformancePackName":{}}}},"DeleteDeliveryChannel":{"input":{"type":"structure","required":["DeliveryChannelName"],"members":{"DeliveryChannelName":{}}}},"DeleteEvaluationResults":{"input":{"type":"structure","required":["ConfigRuleName"],"members":{"ConfigRuleName":{}}},"output":{"type":"structure","members":{}}},"DeleteOrganizationConfigRule":{"input":{"type":"structure","required":["OrganizationConfigRuleName"],"members":{"OrganizationConfigRuleName":{}}}},"DeleteOrganizationConformancePack":{"input":{"type":"structure","required":["OrganizationConformancePackName"],"members":{"OrganizationConformancePackName":{}}}},"DeletePendingAggregationRequest":{"input":{"type":"structure","required":["RequesterAccountId","RequesterAwsRegion"],"members":{"RequesterAccountId":{},"RequesterAwsRegion":{}}}},"DeleteRemediationConfiguration":{"input":{"type":"structure","required":["ConfigRuleName"],"members":{"ConfigRuleName":{},"ResourceType":{}}},"output":{"type":"structure","members":{}}},"DeleteRemediationExceptions":{"input":{"type":"structure","required":["ConfigRuleName","ResourceKeys"],"members":{"ConfigRuleName":{},"ResourceKeys":{"shape":"S1f"}}},"output":{"type":"structure","members":{"FailedBatches":{"type":"list","member":{"type":"structure","members":{"FailureMessage":{},"FailedItems":{"shape":"S1f"}}}}}}},"DeleteResourceConfig":{"input":{"type":"structure","required":["ResourceType","ResourceId"],"members":{"ResourceType":{},"ResourceId":{}}}},"DeleteRetentionConfiguration":{"input":{"type":"structure","required":["RetentionConfigurationName"],"members":{"RetentionConfigurationName":{}}}},"DeleteStoredQuery":{"input":{"type":"structure","required":["QueryName"],"members":{"QueryName":{}}},"output":{"type":"structure","members":{}}},"DeliverConfigSnapshot":{"input":{"type":"structure","required":["deliveryChannelName"],"members":{"deliveryChannelName":{}}},"output":{"type":"structure","members":{"configSnapshotId":{}}}},"DescribeAggregateComplianceByConfigRules":{"input":{"type":"structure","required":["ConfigurationAggregatorName"],"members":{"ConfigurationAggregatorName":{},"Filters":{"type":"structure","members":{"ConfigRuleName":{},"ComplianceType":{},"AccountId":{},"AwsRegion":{}}},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AggregateComplianceByConfigRules":{"type":"list","member":{"type":"structure","members":{"ConfigRuleName":{},"Compliance":{"shape":"S23"},"AccountId":{},"AwsRegion":{}}}},"NextToken":{}}}},"DescribeAggregateComplianceByConformancePacks":{"input":{"type":"structure","required":["ConfigurationAggregatorName"],"members":{"ConfigurationAggregatorName":{},"Filters":{"type":"structure","members":{"ConformancePackName":{},"ComplianceType":{},"AccountId":{},"AwsRegion":{}}},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AggregateComplianceByConformancePacks":{"type":"list","member":{"type":"structure","members":{"ConformancePackName":{},"Compliance":{"type":"structure","members":{"ComplianceType":{},"CompliantRuleCount":{"type":"integer"},"NonCompliantRuleCount":{"type":"integer"},"TotalRuleCount":{"type":"integer"}}},"AccountId":{},"AwsRegion":{}}}},"NextToken":{}}}},"DescribeAggregationAuthorizations":{"input":{"type":"structure","members":{"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AggregationAuthorizations":{"type":"list","member":{"shape":"S2i"}},"NextToken":{}}}},"DescribeComplianceByConfigRule":{"input":{"type":"structure","members":{"ConfigRuleNames":{"shape":"S2l"},"ComplianceTypes":{"shape":"S2m"},"NextToken":{}}},"output":{"type":"structure","members":{"ComplianceByConfigRules":{"type":"list","member":{"type":"structure","members":{"ConfigRuleName":{},"Compliance":{"shape":"S23"}}}},"NextToken":{}}}},"DescribeComplianceByResource":{"input":{"type":"structure","members":{"ResourceType":{},"ResourceId":{},"ComplianceTypes":{"shape":"S2m"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ComplianceByResources":{"type":"list","member":{"type":"structure","members":{"ResourceType":{},"ResourceId":{},"Compliance":{"shape":"S23"}}}},"NextToken":{}}}},"DescribeConfigRuleEvaluationStatus":{"input":{"type":"structure","members":{"ConfigRuleNames":{"shape":"S2l"},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"ConfigRulesEvaluationStatus":{"type":"list","member":{"type":"structure","members":{"ConfigRuleName":{},"ConfigRuleArn":{},"ConfigRuleId":{},"LastSuccessfulInvocationTime":{"type":"timestamp"},"LastFailedInvocationTime":{"type":"timestamp"},"LastSuccessfulEvaluationTime":{"type":"timestamp"},"LastFailedEvaluationTime":{"type":"timestamp"},"FirstActivatedTime":{"type":"timestamp"},"LastDeactivatedTime":{"type":"timestamp"},"LastErrorCode":{},"LastErrorMessage":{},"FirstEvaluationStarted":{"type":"boolean"}}}},"NextToken":{}}}},"DescribeConfigRules":{"input":{"type":"structure","members":{"ConfigRuleNames":{"shape":"S2l"},"NextToken":{}}},"output":{"type":"structure","members":{"ConfigRules":{"type":"list","member":{"shape":"S33"}},"NextToken":{}}}},"DescribeConfigurationAggregatorSourcesStatus":{"input":{"type":"structure","required":["ConfigurationAggregatorName"],"members":{"ConfigurationAggregatorName":{},"UpdateStatus":{"type":"list","member":{}},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"AggregatedSourceStatusList":{"type":"list","member":{"type":"structure","members":{"SourceId":{},"SourceType":{},"AwsRegion":{},"LastUpdateStatus":{},"LastUpdateTime":{"type":"timestamp"},"LastErrorCode":{},"LastErrorMessage":{}}}},"NextToken":{}}}},"DescribeConfigurationAggregators":{"input":{"type":"structure","members":{"ConfigurationAggregatorNames":{"type":"list","member":{}},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"ConfigurationAggregators":{"type":"list","member":{"shape":"S3r"}},"NextToken":{}}}},"DescribeConfigurationRecorderStatus":{"input":{"type":"structure","members":{"ConfigurationRecorderNames":{"shape":"S3z"}}},"output":{"type":"structure","members":{"ConfigurationRecordersStatus":{"type":"list","member":{"type":"structure","members":{"name":{},"lastStartTime":{"type":"timestamp"},"lastStopTime":{"type":"timestamp"},"recording":{"type":"boolean"},"lastStatus":{},"lastErrorCode":{},"lastErrorMessage":{},"lastStatusChangeTime":{"type":"timestamp"}}}}}}},"DescribeConfigurationRecorders":{"input":{"type":"structure","members":{"ConfigurationRecorderNames":{"shape":"S3z"}}},"output":{"type":"structure","members":{"ConfigurationRecorders":{"type":"list","member":{"shape":"S47"}}}}},"DescribeConformancePackCompliance":{"input":{"type":"structure","required":["ConformancePackName"],"members":{"ConformancePackName":{},"Filters":{"type":"structure","members":{"ConfigRuleNames":{"shape":"S4e"},"ComplianceType":{}}},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["ConformancePackName","ConformancePackRuleComplianceList"],"members":{"ConformancePackName":{},"ConformancePackRuleComplianceList":{"type":"list","member":{"type":"structure","members":{"ConfigRuleName":{},"ComplianceType":{},"Controls":{"type":"list","member":{}}}}},"NextToken":{}}}},"DescribeConformancePackStatus":{"input":{"type":"structure","members":{"ConformancePackNames":{"shape":"S4l"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ConformancePackStatusDetails":{"type":"list","member":{"type":"structure","required":["ConformancePackName","ConformancePackId","ConformancePackArn","ConformancePackState","StackArn","LastUpdateRequestedTime"],"members":{"ConformancePackName":{},"ConformancePackId":{},"ConformancePackArn":{},"ConformancePackState":{},"StackArn":{},"ConformancePackStatusReason":{},"LastUpdateRequestedTime":{"type":"timestamp"},"LastUpdateCompletedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeConformancePacks":{"input":{"type":"structure","members":{"ConformancePackNames":{"shape":"S4l"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ConformancePackDetails":{"type":"list","member":{"type":"structure","required":["ConformancePackName","ConformancePackArn","ConformancePackId"],"members":{"ConformancePackName":{},"ConformancePackArn":{},"ConformancePackId":{},"DeliveryS3Bucket":{},"DeliveryS3KeyPrefix":{},"ConformancePackInputParameters":{"shape":"S51"},"LastUpdateRequestedTime":{"type":"timestamp"},"CreatedBy":{}}}},"NextToken":{}}}},"DescribeDeliveryChannelStatus":{"input":{"type":"structure","members":{"DeliveryChannelNames":{"shape":"S56"}}},"output":{"type":"structure","members":{"DeliveryChannelsStatus":{"type":"list","member":{"type":"structure","members":{"name":{},"configSnapshotDeliveryInfo":{"shape":"S5a"},"configHistoryDeliveryInfo":{"shape":"S5a"},"configStreamDeliveryInfo":{"type":"structure","members":{"lastStatus":{},"lastErrorCode":{},"lastErrorMessage":{},"lastStatusChangeTime":{"type":"timestamp"}}}}}}}}},"DescribeDeliveryChannels":{"input":{"type":"structure","members":{"DeliveryChannelNames":{"shape":"S56"}}},"output":{"type":"structure","members":{"DeliveryChannels":{"type":"list","member":{"shape":"S5g"}}}}},"DescribeOrganizationConfigRuleStatuses":{"input":{"type":"structure","members":{"OrganizationConfigRuleNames":{"shape":"S5j"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"OrganizationConfigRuleStatuses":{"type":"list","member":{"type":"structure","required":["OrganizationConfigRuleName","OrganizationRuleStatus"],"members":{"OrganizationConfigRuleName":{},"OrganizationRuleStatus":{},"ErrorCode":{},"ErrorMessage":{},"LastUpdateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeOrganizationConfigRules":{"input":{"type":"structure","members":{"OrganizationConfigRuleNames":{"shape":"S5j"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"OrganizationConfigRules":{"type":"list","member":{"type":"structure","required":["OrganizationConfigRuleName","OrganizationConfigRuleArn"],"members":{"OrganizationConfigRuleName":{},"OrganizationConfigRuleArn":{},"OrganizationManagedRuleMetadata":{"shape":"S5t"},"OrganizationCustomRuleMetadata":{"shape":"S5y"},"ExcludedAccounts":{"shape":"S61"},"LastUpdateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeOrganizationConformancePackStatuses":{"input":{"type":"structure","members":{"OrganizationConformancePackNames":{"shape":"S63"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"OrganizationConformancePackStatuses":{"type":"list","member":{"type":"structure","required":["OrganizationConformancePackName","Status"],"members":{"OrganizationConformancePackName":{},"Status":{},"ErrorCode":{},"ErrorMessage":{},"LastUpdateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeOrganizationConformancePacks":{"input":{"type":"structure","members":{"OrganizationConformancePackNames":{"shape":"S63"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"OrganizationConformancePacks":{"type":"list","member":{"type":"structure","required":["OrganizationConformancePackName","OrganizationConformancePackArn","LastUpdateTime"],"members":{"OrganizationConformancePackName":{},"OrganizationConformancePackArn":{},"DeliveryS3Bucket":{},"DeliveryS3KeyPrefix":{},"ConformancePackInputParameters":{"shape":"S51"},"ExcludedAccounts":{"shape":"S61"},"LastUpdateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribePendingAggregationRequests":{"input":{"type":"structure","members":{"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"PendingAggregationRequests":{"type":"list","member":{"type":"structure","members":{"RequesterAccountId":{},"RequesterAwsRegion":{}}}},"NextToken":{}}}},"DescribeRemediationConfigurations":{"input":{"type":"structure","required":["ConfigRuleNames"],"members":{"ConfigRuleNames":{"shape":"S2l"}}},"output":{"type":"structure","members":{"RemediationConfigurations":{"shape":"S6j"}}}},"DescribeRemediationExceptions":{"input":{"type":"structure","required":["ConfigRuleName"],"members":{"ConfigRuleName":{},"ResourceKeys":{"shape":"S1f"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"RemediationExceptions":{"shape":"S6z"},"NextToken":{}}}},"DescribeRemediationExecutionStatus":{"input":{"type":"structure","required":["ConfigRuleName"],"members":{"ConfigRuleName":{},"ResourceKeys":{"shape":"Sq"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"RemediationExecutionStatuses":{"type":"list","member":{"type":"structure","members":{"ResourceKey":{"shape":"Sr"},"State":{},"StepDetails":{"type":"list","member":{"type":"structure","members":{"Name":{},"State":{},"ErrorMessage":{},"StartTime":{"type":"timestamp"},"StopTime":{"type":"timestamp"}}}},"InvocationTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeRetentionConfigurations":{"input":{"type":"structure","members":{"RetentionConfigurationNames":{"type":"list","member":{}},"NextToken":{}}},"output":{"type":"structure","members":{"RetentionConfigurations":{"type":"list","member":{"shape":"S7d"}},"NextToken":{}}}},"GetAggregateComplianceDetailsByConfigRule":{"input":{"type":"structure","required":["ConfigurationAggregatorName","ConfigRuleName","AccountId","AwsRegion"],"members":{"ConfigurationAggregatorName":{},"ConfigRuleName":{},"AccountId":{},"AwsRegion":{},"ComplianceType":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AggregateEvaluationResults":{"type":"list","member":{"type":"structure","members":{"EvaluationResultIdentifier":{"shape":"S7j"},"ComplianceType":{},"ResultRecordedTime":{"type":"timestamp"},"ConfigRuleInvokedTime":{"type":"timestamp"},"Annotation":{},"AccountId":{},"AwsRegion":{}}}},"NextToken":{}}}},"GetAggregateConfigRuleComplianceSummary":{"input":{"type":"structure","required":["ConfigurationAggregatorName"],"members":{"ConfigurationAggregatorName":{},"Filters":{"type":"structure","members":{"AccountId":{},"AwsRegion":{}}},"GroupByKey":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"GroupByKey":{},"AggregateComplianceCounts":{"type":"list","member":{"type":"structure","members":{"GroupName":{},"ComplianceSummary":{"shape":"S7r"}}}},"NextToken":{}}}},"GetAggregateConformancePackComplianceSummary":{"input":{"type":"structure","required":["ConfigurationAggregatorName"],"members":{"ConfigurationAggregatorName":{},"Filters":{"type":"structure","members":{"AccountId":{},"AwsRegion":{}}},"GroupByKey":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AggregateConformancePackComplianceSummaries":{"type":"list","member":{"type":"structure","members":{"ComplianceSummary":{"type":"structure","members":{"CompliantConformancePackCount":{"type":"integer"},"NonCompliantConformancePackCount":{"type":"integer"}}},"GroupName":{}}}},"GroupByKey":{},"NextToken":{}}}},"GetAggregateDiscoveredResourceCounts":{"input":{"type":"structure","required":["ConfigurationAggregatorName"],"members":{"ConfigurationAggregatorName":{},"Filters":{"type":"structure","members":{"ResourceType":{},"AccountId":{},"Region":{}}},"GroupByKey":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["TotalDiscoveredResources"],"members":{"TotalDiscoveredResources":{"type":"long"},"GroupByKey":{},"GroupedResourceCounts":{"type":"list","member":{"type":"structure","required":["GroupName","ResourceCount"],"members":{"GroupName":{},"ResourceCount":{"type":"long"}}}},"NextToken":{}}}},"GetAggregateResourceConfig":{"input":{"type":"structure","required":["ConfigurationAggregatorName","ResourceIdentifier"],"members":{"ConfigurationAggregatorName":{},"ResourceIdentifier":{"shape":"S4"}}},"output":{"type":"structure","members":{"ConfigurationItem":{"shape":"S88"}}}},"GetComplianceDetailsByConfigRule":{"input":{"type":"structure","required":["ConfigRuleName"],"members":{"ConfigRuleName":{},"ComplianceTypes":{"shape":"S2m"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"EvaluationResults":{"shape":"S8k"},"NextToken":{}}}},"GetComplianceDetailsByResource":{"input":{"type":"structure","required":["ResourceType","ResourceId"],"members":{"ResourceType":{},"ResourceId":{},"ComplianceTypes":{"shape":"S2m"},"NextToken":{}}},"output":{"type":"structure","members":{"EvaluationResults":{"shape":"S8k"},"NextToken":{}}}},"GetComplianceSummaryByConfigRule":{"output":{"type":"structure","members":{"ComplianceSummary":{"shape":"S7r"}}}},"GetComplianceSummaryByResourceType":{"input":{"type":"structure","members":{"ResourceTypes":{"shape":"S8q"}}},"output":{"type":"structure","members":{"ComplianceSummariesByResourceType":{"type":"list","member":{"type":"structure","members":{"ResourceType":{},"ComplianceSummary":{"shape":"S7r"}}}}}}},"GetConformancePackComplianceDetails":{"input":{"type":"structure","required":["ConformancePackName"],"members":{"ConformancePackName":{},"Filters":{"type":"structure","members":{"ConfigRuleNames":{"shape":"S4e"},"ComplianceType":{},"ResourceType":{},"ResourceIds":{"type":"list","member":{}}}},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["ConformancePackName"],"members":{"ConformancePackName":{},"ConformancePackRuleEvaluationResults":{"type":"list","member":{"type":"structure","required":["ComplianceType","EvaluationResultIdentifier","ConfigRuleInvokedTime","ResultRecordedTime"],"members":{"ComplianceType":{},"EvaluationResultIdentifier":{"shape":"S7j"},"ConfigRuleInvokedTime":{"type":"timestamp"},"ResultRecordedTime":{"type":"timestamp"},"Annotation":{}}}},"NextToken":{}}}},"GetConformancePackComplianceSummary":{"input":{"type":"structure","required":["ConformancePackNames"],"members":{"ConformancePackNames":{"type":"list","member":{}},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ConformancePackComplianceSummaryList":{"type":"list","member":{"type":"structure","required":["ConformancePackName","ConformancePackComplianceStatus"],"members":{"ConformancePackName":{},"ConformancePackComplianceStatus":{}}}},"NextToken":{}}}},"GetDiscoveredResourceCounts":{"input":{"type":"structure","members":{"resourceTypes":{"shape":"S8q"},"limit":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"totalDiscoveredResources":{"type":"long"},"resourceCounts":{"type":"list","member":{"type":"structure","members":{"resourceType":{},"count":{"type":"long"}}}},"nextToken":{}}}},"GetOrganizationConfigRuleDetailedStatus":{"input":{"type":"structure","required":["OrganizationConfigRuleName"],"members":{"OrganizationConfigRuleName":{},"Filters":{"type":"structure","members":{"AccountId":{},"MemberAccountRuleStatus":{}}},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"OrganizationConfigRuleDetailedStatus":{"type":"list","member":{"type":"structure","required":["AccountId","ConfigRuleName","MemberAccountRuleStatus"],"members":{"AccountId":{},"ConfigRuleName":{},"MemberAccountRuleStatus":{},"ErrorCode":{},"ErrorMessage":{},"LastUpdateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"GetOrganizationConformancePackDetailedStatus":{"input":{"type":"structure","required":["OrganizationConformancePackName"],"members":{"OrganizationConformancePackName":{},"Filters":{"type":"structure","members":{"AccountId":{},"Status":{}}},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"OrganizationConformancePackDetailedStatuses":{"type":"list","member":{"type":"structure","required":["AccountId","ConformancePackName","Status"],"members":{"AccountId":{},"ConformancePackName":{},"Status":{},"ErrorCode":{},"ErrorMessage":{},"LastUpdateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"GetResourceConfigHistory":{"input":{"type":"structure","required":["resourceType","resourceId"],"members":{"resourceType":{},"resourceId":{},"laterTime":{"type":"timestamp"},"earlierTime":{"type":"timestamp"},"chronologicalOrder":{},"limit":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"configurationItems":{"type":"list","member":{"shape":"S88"}},"nextToken":{}}}},"GetStoredQuery":{"input":{"type":"structure","required":["QueryName"],"members":{"QueryName":{}}},"output":{"type":"structure","members":{"StoredQuery":{"shape":"S9v"}}}},"ListAggregateDiscoveredResources":{"input":{"type":"structure","required":["ConfigurationAggregatorName","ResourceType"],"members":{"ConfigurationAggregatorName":{},"ResourceType":{},"Filters":{"type":"structure","members":{"AccountId":{},"ResourceId":{},"ResourceName":{},"Region":{}}},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ResourceIdentifiers":{"type":"list","member":{"shape":"S4"}},"NextToken":{}}}},"ListDiscoveredResources":{"input":{"type":"structure","required":["resourceType"],"members":{"resourceType":{},"resourceIds":{"type":"list","member":{}},"resourceName":{},"limit":{"type":"integer"},"includeDeletedResources":{"type":"boolean"},"nextToken":{}}},"output":{"type":"structure","members":{"resourceIdentifiers":{"type":"list","member":{"type":"structure","members":{"resourceType":{},"resourceId":{},"resourceName":{},"resourceDeletionTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListStoredQueries":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"StoredQueryMetadata":{"type":"list","member":{"type":"structure","required":["QueryId","QueryArn","QueryName"],"members":{"QueryId":{},"QueryArn":{},"QueryName":{},"Description":{}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sah"},"NextToken":{}}}},"PutAggregationAuthorization":{"input":{"type":"structure","required":["AuthorizedAccountId","AuthorizedAwsRegion"],"members":{"AuthorizedAccountId":{},"AuthorizedAwsRegion":{},"Tags":{"shape":"Sam"}}},"output":{"type":"structure","members":{"AggregationAuthorization":{"shape":"S2i"}}}},"PutConfigRule":{"input":{"type":"structure","required":["ConfigRule"],"members":{"ConfigRule":{"shape":"S33"},"Tags":{"shape":"Sam"}}}},"PutConfigurationAggregator":{"input":{"type":"structure","required":["ConfigurationAggregatorName"],"members":{"ConfigurationAggregatorName":{},"AccountAggregationSources":{"shape":"S3t"},"OrganizationAggregationSource":{"shape":"S3x"},"Tags":{"shape":"Sam"}}},"output":{"type":"structure","members":{"ConfigurationAggregator":{"shape":"S3r"}}}},"PutConfigurationRecorder":{"input":{"type":"structure","required":["ConfigurationRecorder"],"members":{"ConfigurationRecorder":{"shape":"S47"}}}},"PutConformancePack":{"input":{"type":"structure","required":["ConformancePackName"],"members":{"ConformancePackName":{},"TemplateS3Uri":{},"TemplateBody":{},"DeliveryS3Bucket":{},"DeliveryS3KeyPrefix":{},"ConformancePackInputParameters":{"shape":"S51"}}},"output":{"type":"structure","members":{"ConformancePackArn":{}}}},"PutDeliveryChannel":{"input":{"type":"structure","required":["DeliveryChannel"],"members":{"DeliveryChannel":{"shape":"S5g"}}}},"PutEvaluations":{"input":{"type":"structure","required":["ResultToken"],"members":{"Evaluations":{"shape":"Say"},"ResultToken":{},"TestMode":{"type":"boolean"}}},"output":{"type":"structure","members":{"FailedEvaluations":{"shape":"Say"}}}},"PutExternalEvaluation":{"input":{"type":"structure","required":["ConfigRuleName","ExternalEvaluation"],"members":{"ConfigRuleName":{},"ExternalEvaluation":{"type":"structure","required":["ComplianceResourceType","ComplianceResourceId","ComplianceType","OrderingTimestamp"],"members":{"ComplianceResourceType":{},"ComplianceResourceId":{},"ComplianceType":{},"Annotation":{},"OrderingTimestamp":{"type":"timestamp"}}}}},"output":{"type":"structure","members":{}}},"PutOrganizationConfigRule":{"input":{"type":"structure","required":["OrganizationConfigRuleName"],"members":{"OrganizationConfigRuleName":{},"OrganizationManagedRuleMetadata":{"shape":"S5t"},"OrganizationCustomRuleMetadata":{"shape":"S5y"},"ExcludedAccounts":{"shape":"S61"}}},"output":{"type":"structure","members":{"OrganizationConfigRuleArn":{}}}},"PutOrganizationConformancePack":{"input":{"type":"structure","required":["OrganizationConformancePackName"],"members":{"OrganizationConformancePackName":{},"TemplateS3Uri":{},"TemplateBody":{},"DeliveryS3Bucket":{},"DeliveryS3KeyPrefix":{},"ConformancePackInputParameters":{"shape":"S51"},"ExcludedAccounts":{"shape":"S61"}}},"output":{"type":"structure","members":{"OrganizationConformancePackArn":{}}}},"PutRemediationConfigurations":{"input":{"type":"structure","required":["RemediationConfigurations"],"members":{"RemediationConfigurations":{"shape":"S6j"}}},"output":{"type":"structure","members":{"FailedBatches":{"type":"list","member":{"type":"structure","members":{"FailureMessage":{},"FailedItems":{"shape":"S6j"}}}}}}},"PutRemediationExceptions":{"input":{"type":"structure","required":["ConfigRuleName","ResourceKeys"],"members":{"ConfigRuleName":{},"ResourceKeys":{"shape":"S1f"},"Message":{},"ExpirationTime":{"type":"timestamp"}}},"output":{"type":"structure","members":{"FailedBatches":{"type":"list","member":{"type":"structure","members":{"FailureMessage":{},"FailedItems":{"shape":"S6z"}}}}}}},"PutResourceConfig":{"input":{"type":"structure","required":["ResourceType","SchemaVersionId","ResourceId","Configuration"],"members":{"ResourceType":{},"SchemaVersionId":{},"ResourceId":{},"ResourceName":{},"Configuration":{},"Tags":{"shape":"S8a"}}}},"PutRetentionConfiguration":{"input":{"type":"structure","required":["RetentionPeriodInDays"],"members":{"RetentionPeriodInDays":{"type":"integer"}}},"output":{"type":"structure","members":{"RetentionConfiguration":{"shape":"S7d"}}}},"PutStoredQuery":{"input":{"type":"structure","required":["StoredQuery"],"members":{"StoredQuery":{"shape":"S9v"},"Tags":{"shape":"Sam"}}},"output":{"type":"structure","members":{"QueryArn":{}}}},"SelectAggregateResourceConfig":{"input":{"type":"structure","required":["Expression","ConfigurationAggregatorName"],"members":{"Expression":{},"ConfigurationAggregatorName":{},"Limit":{"type":"integer"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Results":{"shape":"Sbq"},"QueryInfo":{"shape":"Sbr"},"NextToken":{}}}},"SelectResourceConfig":{"input":{"type":"structure","required":["Expression"],"members":{"Expression":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Results":{"shape":"Sbq"},"QueryInfo":{"shape":"Sbr"},"NextToken":{}}}},"StartConfigRulesEvaluation":{"input":{"type":"structure","members":{"ConfigRuleNames":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"StartConfigurationRecorder":{"input":{"type":"structure","required":["ConfigurationRecorderName"],"members":{"ConfigurationRecorderName":{}}}},"StartRemediationExecution":{"input":{"type":"structure","required":["ConfigRuleName","ResourceKeys"],"members":{"ConfigRuleName":{},"ResourceKeys":{"shape":"Sq"}}},"output":{"type":"structure","members":{"FailureMessage":{},"FailedItems":{"shape":"Sq"}}}},"StopConfigurationRecorder":{"input":{"type":"structure","required":["ConfigurationRecorderName"],"members":{"ConfigurationRecorderName":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sah"}}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}}}},"shapes":{"S4":{"type":"structure","required":["SourceAccountId","SourceRegion","ResourceId","ResourceType"],"members":{"SourceAccountId":{},"SourceRegion":{},"ResourceId":{},"ResourceType":{},"ResourceName":{}}},"Sb":{"type":"list","member":{"type":"structure","members":{"version":{},"accountId":{},"configurationItemCaptureTime":{"type":"timestamp"},"configurationItemStatus":{},"configurationStateId":{},"arn":{},"resourceType":{},"resourceId":{},"resourceName":{},"awsRegion":{},"availabilityZone":{},"resourceCreationTime":{"type":"timestamp"},"configuration":{},"supplementaryConfiguration":{"shape":"Sl"}}}},"Sl":{"type":"map","key":{},"value":{}},"Sq":{"type":"list","member":{"shape":"Sr"}},"Sr":{"type":"structure","required":["resourceType","resourceId"],"members":{"resourceType":{},"resourceId":{}}},"S1f":{"type":"list","member":{"type":"structure","members":{"ResourceType":{},"ResourceId":{}}}},"S23":{"type":"structure","members":{"ComplianceType":{},"ComplianceContributorCount":{"shape":"S24"}}},"S24":{"type":"structure","members":{"CappedCount":{"type":"integer"},"CapExceeded":{"type":"boolean"}}},"S2i":{"type":"structure","members":{"AggregationAuthorizationArn":{},"AuthorizedAccountId":{},"AuthorizedAwsRegion":{},"CreationTime":{"type":"timestamp"}}},"S2l":{"type":"list","member":{}},"S2m":{"type":"list","member":{}},"S33":{"type":"structure","required":["Source"],"members":{"ConfigRuleName":{},"ConfigRuleArn":{},"ConfigRuleId":{},"Description":{},"Scope":{"type":"structure","members":{"ComplianceResourceTypes":{"type":"list","member":{}},"TagKey":{},"TagValue":{},"ComplianceResourceId":{}}},"Source":{"type":"structure","required":["Owner","SourceIdentifier"],"members":{"Owner":{},"SourceIdentifier":{},"SourceDetails":{"type":"list","member":{"type":"structure","members":{"EventSource":{},"MessageType":{},"MaximumExecutionFrequency":{}}}}}},"InputParameters":{},"MaximumExecutionFrequency":{},"ConfigRuleState":{},"CreatedBy":{}}},"S3r":{"type":"structure","members":{"ConfigurationAggregatorName":{},"ConfigurationAggregatorArn":{},"AccountAggregationSources":{"shape":"S3t"},"OrganizationAggregationSource":{"shape":"S3x"},"CreationTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"CreatedBy":{}}},"S3t":{"type":"list","member":{"type":"structure","required":["AccountIds"],"members":{"AccountIds":{"type":"list","member":{}},"AllAwsRegions":{"type":"boolean"},"AwsRegions":{"shape":"S3w"}}}},"S3w":{"type":"list","member":{}},"S3x":{"type":"structure","required":["RoleArn"],"members":{"RoleArn":{},"AwsRegions":{"shape":"S3w"},"AllAwsRegions":{"type":"boolean"}}},"S3z":{"type":"list","member":{}},"S47":{"type":"structure","members":{"name":{},"roleARN":{},"recordingGroup":{"type":"structure","members":{"allSupported":{"type":"boolean"},"includeGlobalResourceTypes":{"type":"boolean"},"resourceTypes":{"type":"list","member":{}}}}}},"S4e":{"type":"list","member":{}},"S4l":{"type":"list","member":{}},"S51":{"type":"list","member":{"type":"structure","required":["ParameterName","ParameterValue"],"members":{"ParameterName":{},"ParameterValue":{}}}},"S56":{"type":"list","member":{}},"S5a":{"type":"structure","members":{"lastStatus":{},"lastErrorCode":{},"lastErrorMessage":{},"lastAttemptTime":{"type":"timestamp"},"lastSuccessfulTime":{"type":"timestamp"},"nextDeliveryTime":{"type":"timestamp"}}},"S5g":{"type":"structure","members":{"name":{},"s3BucketName":{},"s3KeyPrefix":{},"s3KmsKeyArn":{},"snsTopicARN":{},"configSnapshotDeliveryProperties":{"type":"structure","members":{"deliveryFrequency":{}}}}},"S5j":{"type":"list","member":{}},"S5t":{"type":"structure","required":["RuleIdentifier"],"members":{"Description":{},"RuleIdentifier":{},"InputParameters":{},"MaximumExecutionFrequency":{},"ResourceTypesScope":{"shape":"S5w"},"ResourceIdScope":{},"TagKeyScope":{},"TagValueScope":{}}},"S5w":{"type":"list","member":{}},"S5y":{"type":"structure","required":["LambdaFunctionArn","OrganizationConfigRuleTriggerTypes"],"members":{"Description":{},"LambdaFunctionArn":{},"OrganizationConfigRuleTriggerTypes":{"type":"list","member":{}},"InputParameters":{},"MaximumExecutionFrequency":{},"ResourceTypesScope":{"shape":"S5w"},"ResourceIdScope":{},"TagKeyScope":{},"TagValueScope":{}}},"S61":{"type":"list","member":{}},"S63":{"type":"list","member":{}},"S6j":{"type":"list","member":{"type":"structure","required":["ConfigRuleName","TargetType","TargetId"],"members":{"ConfigRuleName":{},"TargetType":{},"TargetId":{},"TargetVersion":{},"Parameters":{"type":"map","key":{},"value":{"type":"structure","members":{"ResourceValue":{"type":"structure","required":["Value"],"members":{"Value":{}}},"StaticValue":{"type":"structure","required":["Values"],"members":{"Values":{"type":"list","member":{}}}}}}},"ResourceType":{},"Automatic":{"type":"boolean"},"ExecutionControls":{"type":"structure","members":{"SsmControls":{"type":"structure","members":{"ConcurrentExecutionRatePercentage":{"type":"integer"},"ErrorPercentage":{"type":"integer"}}}}},"MaximumAutomaticAttempts":{"type":"integer"},"RetryAttemptSeconds":{"type":"long"},"Arn":{},"CreatedByService":{}}}},"S6z":{"type":"list","member":{"type":"structure","required":["ConfigRuleName","ResourceType","ResourceId"],"members":{"ConfigRuleName":{},"ResourceType":{},"ResourceId":{},"Message":{},"ExpirationTime":{"type":"timestamp"}}}},"S7d":{"type":"structure","required":["Name","RetentionPeriodInDays"],"members":{"Name":{},"RetentionPeriodInDays":{"type":"integer"}}},"S7j":{"type":"structure","members":{"EvaluationResultQualifier":{"type":"structure","members":{"ConfigRuleName":{},"ResourceType":{},"ResourceId":{}}},"OrderingTimestamp":{"type":"timestamp"}}},"S7r":{"type":"structure","members":{"CompliantResourceCount":{"shape":"S24"},"NonCompliantResourceCount":{"shape":"S24"},"ComplianceSummaryTimestamp":{"type":"timestamp"}}},"S88":{"type":"structure","members":{"version":{},"accountId":{},"configurationItemCaptureTime":{"type":"timestamp"},"configurationItemStatus":{},"configurationStateId":{},"configurationItemMD5Hash":{},"arn":{},"resourceType":{},"resourceId":{},"resourceName":{},"awsRegion":{},"availabilityZone":{},"resourceCreationTime":{"type":"timestamp"},"tags":{"shape":"S8a"},"relatedEvents":{"type":"list","member":{}},"relationships":{"type":"list","member":{"type":"structure","members":{"resourceType":{},"resourceId":{},"resourceName":{},"relationshipName":{}}}},"configuration":{},"supplementaryConfiguration":{"shape":"Sl"}}},"S8a":{"type":"map","key":{},"value":{}},"S8k":{"type":"list","member":{"type":"structure","members":{"EvaluationResultIdentifier":{"shape":"S7j"},"ComplianceType":{},"ResultRecordedTime":{"type":"timestamp"},"ConfigRuleInvokedTime":{"type":"timestamp"},"Annotation":{},"ResultToken":{}}}},"S8q":{"type":"list","member":{}},"S9v":{"type":"structure","required":["QueryName"],"members":{"QueryId":{},"QueryArn":{},"QueryName":{},"Description":{},"Expression":{}}},"Sah":{"type":"list","member":{"shape":"Sai"}},"Sai":{"type":"structure","members":{"Key":{},"Value":{}}},"Sam":{"type":"list","member":{"shape":"Sai"}},"Say":{"type":"list","member":{"type":"structure","required":["ComplianceResourceType","ComplianceResourceId","ComplianceType","OrderingTimestamp"],"members":{"ComplianceResourceType":{},"ComplianceResourceId":{},"ComplianceType":{},"Annotation":{},"OrderingTimestamp":{"type":"timestamp"}}}},"Sbq":{"type":"list","member":{}},"Sbr":{"type":"structure","members":{"SelectFields":{"type":"list","member":{"type":"structure","members":{"Name":{}}}}}}}}');

/***/ }),

/***/ 85980:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeAggregateComplianceByConfigRules":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken"},"DescribeAggregateComplianceByConformancePacks":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"AggregateComplianceByConformancePacks"},"DescribeAggregationAuthorizations":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"AggregationAuthorizations"},"DescribeComplianceByConfigRule":{"input_token":"NextToken","output_token":"NextToken","result_key":"ComplianceByConfigRules"},"DescribeComplianceByResource":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"ComplianceByResources"},"DescribeConfigRuleEvaluationStatus":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"ConfigRulesEvaluationStatus"},"DescribeConfigRules":{"input_token":"NextToken","output_token":"NextToken","result_key":"ConfigRules"},"DescribeConfigurationAggregatorSourcesStatus":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"AggregatedSourceStatusList"},"DescribeConfigurationAggregators":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"ConfigurationAggregators"},"DescribeConformancePackCompliance":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken"},"DescribeConformancePackStatus":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"ConformancePackStatusDetails"},"DescribeConformancePacks":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"ConformancePackDetails"},"DescribeOrganizationConfigRuleStatuses":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"OrganizationConfigRuleStatuses"},"DescribeOrganizationConfigRules":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"OrganizationConfigRules"},"DescribeOrganizationConformancePackStatuses":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"OrganizationConformancePackStatuses"},"DescribeOrganizationConformancePacks":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"OrganizationConformancePacks"},"DescribePendingAggregationRequests":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"PendingAggregationRequests"},"DescribeRemediationExceptions":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken"},"DescribeRemediationExecutionStatus":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"RemediationExecutionStatuses"},"DescribeRetentionConfigurations":{"input_token":"NextToken","output_token":"NextToken","result_key":"RetentionConfigurations"},"GetAggregateComplianceDetailsByConfigRule":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"AggregateEvaluationResults"},"GetAggregateConfigRuleComplianceSummary":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken"},"GetAggregateConformancePackComplianceSummary":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken"},"GetAggregateDiscoveredResourceCounts":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken"},"GetComplianceDetailsByConfigRule":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"EvaluationResults"},"GetComplianceDetailsByResource":{"input_token":"NextToken","output_token":"NextToken","result_key":"EvaluationResults"},"GetConformancePackComplianceDetails":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken"},"GetConformancePackComplianceSummary":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"ConformancePackComplianceSummaryList"},"GetDiscoveredResourceCounts":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken"},"GetOrganizationConfigRuleDetailedStatus":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"OrganizationConfigRuleDetailedStatus"},"GetOrganizationConformancePackDetailedStatus":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"OrganizationConformancePackDetailedStatuses"},"GetResourceConfigHistory":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken","result_key":"configurationItems"},"ListAggregateDiscoveredResources":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"ResourceIdentifiers"},"ListDiscoveredResources":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken","result_key":"resourceIdentifiers"},"ListStoredQueries":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListTagsForResource":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"Tags"},"SelectAggregateResourceConfig":{"input_token":"NextToken","limit_key":"Limit","non_aggregate_keys":["QueryInfo"],"output_token":"NextToken","result_key":"Results"},"SelectResourceConfig":{"input_token":"NextToken","limit_key":"Limit","non_aggregate_keys":["QueryInfo"],"output_token":"NextToken","result_key":"Results"}}}');

/***/ }),

/***/ 54511:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-08-08","endpointPrefix":"connect","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Amazon Connect","serviceFullName":"Amazon Connect Service","serviceId":"Connect","signatureVersion":"v4","signingName":"connect","uid":"connect-2017-08-08"},"operations":{"AssociateApprovedOrigin":{"http":{"method":"PUT","requestUri":"/instance/{InstanceId}/approved-origin"},"input":{"type":"structure","required":["InstanceId","Origin"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"Origin":{}}}},"AssociateBot":{"http":{"method":"PUT","requestUri":"/instance/{InstanceId}/bot"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"LexBot":{"shape":"S5"},"LexV2Bot":{"shape":"S8"}}}},"AssociateInstanceStorageConfig":{"http":{"method":"PUT","requestUri":"/instance/{InstanceId}/storage-config"},"input":{"type":"structure","required":["InstanceId","ResourceType","StorageConfig"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ResourceType":{},"StorageConfig":{"shape":"Sc"}}},"output":{"type":"structure","members":{"AssociationId":{}}}},"AssociateLambdaFunction":{"http":{"method":"PUT","requestUri":"/instance/{InstanceId}/lambda-function"},"input":{"type":"structure","required":["InstanceId","FunctionArn"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"FunctionArn":{}}}},"AssociateLexBot":{"http":{"method":"PUT","requestUri":"/instance/{InstanceId}/lex-bot"},"input":{"type":"structure","required":["InstanceId","LexBot"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"LexBot":{"shape":"S5"}}}},"AssociateQueueQuickConnects":{"http":{"requestUri":"/queues/{InstanceId}/{QueueId}/associate-quick-connects"},"input":{"type":"structure","required":["InstanceId","QueueId","QuickConnectIds"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QueueId":{"location":"uri","locationName":"QueueId"},"QuickConnectIds":{"shape":"Sw"}}}},"AssociateRoutingProfileQueues":{"http":{"requestUri":"/routing-profiles/{InstanceId}/{RoutingProfileId}/associate-queues"},"input":{"type":"structure","required":["InstanceId","RoutingProfileId","QueueConfigs"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"RoutingProfileId":{"location":"uri","locationName":"RoutingProfileId"},"QueueConfigs":{"shape":"S10"}}}},"AssociateSecurityKey":{"http":{"method":"PUT","requestUri":"/instance/{InstanceId}/security-key"},"input":{"type":"structure","required":["InstanceId","Key"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"Key":{}}},"output":{"type":"structure","members":{"AssociationId":{}}}},"CreateAgentStatus":{"http":{"method":"PUT","requestUri":"/agent-status/{InstanceId}"},"input":{"type":"structure","required":["InstanceId","Name","State"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"Name":{},"Description":{},"State":{},"DisplayOrder":{"type":"integer"},"Tags":{"shape":"S1e"}}},"output":{"type":"structure","members":{"AgentStatusARN":{},"AgentStatusId":{}}}},"CreateContactFlow":{"http":{"method":"PUT","requestUri":"/contact-flows/{InstanceId}"},"input":{"type":"structure","required":["InstanceId","Name","Type","Content"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"Name":{},"Type":{},"Description":{},"Content":{},"Tags":{"shape":"S1e"}}},"output":{"type":"structure","members":{"ContactFlowId":{},"ContactFlowArn":{}}}},"CreateContactFlowModule":{"http":{"method":"PUT","requestUri":"/contact-flow-modules/{InstanceId}"},"input":{"type":"structure","required":["InstanceId","Name","Content"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"Name":{},"Description":{},"Content":{},"Tags":{"shape":"S1e"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"Id":{},"Arn":{}}}},"CreateHoursOfOperation":{"http":{"method":"PUT","requestUri":"/hours-of-operations/{InstanceId}"},"input":{"type":"structure","required":["InstanceId","Name","TimeZone","Config"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"Name":{},"Description":{},"TimeZone":{},"Config":{"shape":"S21"},"Tags":{"shape":"S1e"}}},"output":{"type":"structure","members":{"HoursOfOperationId":{},"HoursOfOperationArn":{}}}},"CreateInstance":{"http":{"method":"PUT","requestUri":"/instance"},"input":{"type":"structure","required":["IdentityManagementType","InboundCallsEnabled","OutboundCallsEnabled"],"members":{"ClientToken":{},"IdentityManagementType":{},"InstanceAlias":{"shape":"S2b"},"DirectoryId":{},"InboundCallsEnabled":{"type":"boolean"},"OutboundCallsEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"Id":{},"Arn":{}}}},"CreateIntegrationAssociation":{"http":{"method":"PUT","requestUri":"/instance/{InstanceId}/integration-associations"},"input":{"type":"structure","required":["InstanceId","IntegrationType","IntegrationArn"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"IntegrationType":{},"IntegrationArn":{},"SourceApplicationUrl":{},"SourceApplicationName":{},"SourceType":{},"Tags":{"shape":"S1e"}}},"output":{"type":"structure","members":{"IntegrationAssociationId":{},"IntegrationAssociationArn":{}}}},"CreateQueue":{"http":{"method":"PUT","requestUri":"/queues/{InstanceId}"},"input":{"type":"structure","required":["InstanceId","Name","HoursOfOperationId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"Name":{},"Description":{},"OutboundCallerConfig":{"shape":"S2p"},"HoursOfOperationId":{},"MaxContacts":{"type":"integer"},"QuickConnectIds":{"shape":"Sw"},"Tags":{"shape":"S1e"}}},"output":{"type":"structure","members":{"QueueArn":{},"QueueId":{}}}},"CreateQuickConnect":{"http":{"method":"PUT","requestUri":"/quick-connects/{InstanceId}"},"input":{"type":"structure","required":["InstanceId","Name","QuickConnectConfig"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"Name":{},"Description":{},"QuickConnectConfig":{"shape":"S2x"},"Tags":{"shape":"S1e"}}},"output":{"type":"structure","members":{"QuickConnectARN":{},"QuickConnectId":{}}}},"CreateRoutingProfile":{"http":{"method":"PUT","requestUri":"/routing-profiles/{InstanceId}"},"input":{"type":"structure","required":["InstanceId","Name","Description","DefaultOutboundQueueId","MediaConcurrencies"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"Name":{},"Description":{},"DefaultOutboundQueueId":{},"QueueConfigs":{"shape":"S10"},"MediaConcurrencies":{"shape":"S38"},"Tags":{"shape":"S1e"}}},"output":{"type":"structure","members":{"RoutingProfileArn":{},"RoutingProfileId":{}}}},"CreateSecurityProfile":{"http":{"method":"PUT","requestUri":"/security-profiles/{InstanceId}"},"input":{"type":"structure","required":["SecurityProfileName","InstanceId"],"members":{"SecurityProfileName":{},"Description":{},"Permissions":{"shape":"S3f"},"InstanceId":{"location":"uri","locationName":"InstanceId"},"Tags":{"shape":"S1e"}}},"output":{"type":"structure","members":{"SecurityProfileId":{},"SecurityProfileArn":{}}}},"CreateUseCase":{"http":{"method":"PUT","requestUri":"/instance/{InstanceId}/integration-associations/{IntegrationAssociationId}/use-cases"},"input":{"type":"structure","required":["InstanceId","IntegrationAssociationId","UseCaseType"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"IntegrationAssociationId":{"location":"uri","locationName":"IntegrationAssociationId"},"UseCaseType":{},"Tags":{"shape":"S1e"}}},"output":{"type":"structure","members":{"UseCaseId":{},"UseCaseArn":{}}}},"CreateUser":{"http":{"method":"PUT","requestUri":"/users/{InstanceId}"},"input":{"type":"structure","required":["Username","PhoneConfig","SecurityProfileIds","RoutingProfileId","InstanceId"],"members":{"Username":{},"Password":{},"IdentityInfo":{"shape":"S3q"},"PhoneConfig":{"shape":"S3u"},"DirectoryUserId":{},"SecurityProfileIds":{"shape":"S3z"},"RoutingProfileId":{},"HierarchyGroupId":{},"InstanceId":{"location":"uri","locationName":"InstanceId"},"Tags":{"shape":"S1e"}}},"output":{"type":"structure","members":{"UserId":{},"UserArn":{}}}},"CreateUserHierarchyGroup":{"http":{"method":"PUT","requestUri":"/user-hierarchy-groups/{InstanceId}"},"input":{"type":"structure","required":["Name","InstanceId"],"members":{"Name":{},"ParentGroupId":{},"InstanceId":{"location":"uri","locationName":"InstanceId"}}},"output":{"type":"structure","members":{"HierarchyGroupId":{},"HierarchyGroupArn":{}}}},"DeleteContactFlow":{"http":{"method":"DELETE","requestUri":"/contact-flows/{InstanceId}/{ContactFlowId}"},"input":{"type":"structure","required":["InstanceId","ContactFlowId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactFlowId":{"location":"uri","locationName":"ContactFlowId"}}}},"DeleteContactFlowModule":{"http":{"method":"DELETE","requestUri":"/contact-flow-modules/{InstanceId}/{ContactFlowModuleId}"},"input":{"type":"structure","required":["InstanceId","ContactFlowModuleId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactFlowModuleId":{"location":"uri","locationName":"ContactFlowModuleId"}}},"output":{"type":"structure","members":{}}},"DeleteHoursOfOperation":{"http":{"method":"DELETE","requestUri":"/hours-of-operations/{InstanceId}/{HoursOfOperationId}"},"input":{"type":"structure","required":["InstanceId","HoursOfOperationId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"HoursOfOperationId":{"location":"uri","locationName":"HoursOfOperationId"}}}},"DeleteInstance":{"http":{"method":"DELETE","requestUri":"/instance/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"}}}},"DeleteIntegrationAssociation":{"http":{"method":"DELETE","requestUri":"/instance/{InstanceId}/integration-associations/{IntegrationAssociationId}"},"input":{"type":"structure","required":["InstanceId","IntegrationAssociationId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"IntegrationAssociationId":{"location":"uri","locationName":"IntegrationAssociationId"}}}},"DeleteQuickConnect":{"http":{"method":"DELETE","requestUri":"/quick-connects/{InstanceId}/{QuickConnectId}"},"input":{"type":"structure","required":["InstanceId","QuickConnectId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QuickConnectId":{"location":"uri","locationName":"QuickConnectId"}}}},"DeleteSecurityProfile":{"http":{"method":"DELETE","requestUri":"/security-profiles/{InstanceId}/{SecurityProfileId}"},"input":{"type":"structure","required":["InstanceId","SecurityProfileId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"SecurityProfileId":{"location":"uri","locationName":"SecurityProfileId"}}}},"DeleteUseCase":{"http":{"method":"DELETE","requestUri":"/instance/{InstanceId}/integration-associations/{IntegrationAssociationId}/use-cases/{UseCaseId}"},"input":{"type":"structure","required":["InstanceId","IntegrationAssociationId","UseCaseId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"IntegrationAssociationId":{"location":"uri","locationName":"IntegrationAssociationId"},"UseCaseId":{"location":"uri","locationName":"UseCaseId"}}}},"DeleteUser":{"http":{"method":"DELETE","requestUri":"/users/{InstanceId}/{UserId}"},"input":{"type":"structure","required":["InstanceId","UserId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"UserId":{"location":"uri","locationName":"UserId"}}}},"DeleteUserHierarchyGroup":{"http":{"method":"DELETE","requestUri":"/user-hierarchy-groups/{InstanceId}/{HierarchyGroupId}"},"input":{"type":"structure","required":["HierarchyGroupId","InstanceId"],"members":{"HierarchyGroupId":{"location":"uri","locationName":"HierarchyGroupId"},"InstanceId":{"location":"uri","locationName":"InstanceId"}}}},"DescribeAgentStatus":{"http":{"method":"GET","requestUri":"/agent-status/{InstanceId}/{AgentStatusId}"},"input":{"type":"structure","required":["InstanceId","AgentStatusId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"AgentStatusId":{"location":"uri","locationName":"AgentStatusId"}}},"output":{"type":"structure","members":{"AgentStatus":{"type":"structure","members":{"AgentStatusARN":{},"AgentStatusId":{},"Name":{},"Description":{},"Type":{},"DisplayOrder":{"type":"integer"},"State":{},"Tags":{"shape":"S1e"}}}}}},"DescribeContact":{"http":{"method":"GET","requestUri":"/contacts/{InstanceId}/{ContactId}"},"input":{"type":"structure","required":["InstanceId","ContactId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactId":{"location":"uri","locationName":"ContactId"}}},"output":{"type":"structure","members":{"Contact":{"type":"structure","members":{"Arn":{},"Id":{},"InitialContactId":{},"PreviousContactId":{},"InitiationMethod":{},"Name":{},"Description":{},"Channel":{},"QueueInfo":{"type":"structure","members":{"Id":{},"EnqueueTimestamp":{"type":"timestamp"}}},"AgentInfo":{"type":"structure","members":{"Id":{},"ConnectedToAgentTimestamp":{"type":"timestamp"}}},"InitiationTimestamp":{"type":"timestamp"},"DisconnectTimestamp":{"type":"timestamp"},"LastUpdateTimestamp":{"type":"timestamp"},"ScheduledTimestamp":{"type":"timestamp"}}}}}},"DescribeContactFlow":{"http":{"method":"GET","requestUri":"/contact-flows/{InstanceId}/{ContactFlowId}"},"input":{"type":"structure","required":["InstanceId","ContactFlowId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactFlowId":{"location":"uri","locationName":"ContactFlowId"}}},"output":{"type":"structure","members":{"ContactFlow":{"type":"structure","members":{"Arn":{},"Id":{},"Name":{},"Type":{},"State":{},"Description":{},"Content":{},"Tags":{"shape":"S1e"}}}}}},"DescribeContactFlowModule":{"http":{"method":"GET","requestUri":"/contact-flow-modules/{InstanceId}/{ContactFlowModuleId}"},"input":{"type":"structure","required":["InstanceId","ContactFlowModuleId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactFlowModuleId":{"location":"uri","locationName":"ContactFlowModuleId"}}},"output":{"type":"structure","members":{"ContactFlowModule":{"type":"structure","members":{"Arn":{},"Id":{},"Name":{},"Content":{},"Description":{},"State":{},"Status":{},"Tags":{"shape":"S1e"}}}}}},"DescribeHoursOfOperation":{"http":{"method":"GET","requestUri":"/hours-of-operations/{InstanceId}/{HoursOfOperationId}"},"input":{"type":"structure","required":["InstanceId","HoursOfOperationId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"HoursOfOperationId":{"location":"uri","locationName":"HoursOfOperationId"}}},"output":{"type":"structure","members":{"HoursOfOperation":{"type":"structure","members":{"HoursOfOperationId":{},"HoursOfOperationArn":{},"Name":{},"Description":{},"TimeZone":{},"Config":{"shape":"S21"},"Tags":{"shape":"S1e"}}}}}},"DescribeInstance":{"http":{"method":"GET","requestUri":"/instance/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"}}},"output":{"type":"structure","members":{"Instance":{"type":"structure","members":{"Id":{},"Arn":{},"IdentityManagementType":{},"InstanceAlias":{"shape":"S2b"},"CreatedTime":{"type":"timestamp"},"ServiceRole":{},"InstanceStatus":{},"StatusReason":{"type":"structure","members":{"Message":{}}},"InboundCallsEnabled":{"type":"boolean"},"OutboundCallsEnabled":{"type":"boolean"}}}}}},"DescribeInstanceAttribute":{"http":{"method":"GET","requestUri":"/instance/{InstanceId}/attribute/{AttributeType}"},"input":{"type":"structure","required":["InstanceId","AttributeType"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"AttributeType":{"location":"uri","locationName":"AttributeType"}}},"output":{"type":"structure","members":{"Attribute":{"shape":"S5h"}}}},"DescribeInstanceStorageConfig":{"http":{"method":"GET","requestUri":"/instance/{InstanceId}/storage-config/{AssociationId}"},"input":{"type":"structure","required":["InstanceId","AssociationId","ResourceType"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"AssociationId":{"location":"uri","locationName":"AssociationId"},"ResourceType":{"location":"querystring","locationName":"resourceType"}}},"output":{"type":"structure","members":{"StorageConfig":{"shape":"Sc"}}}},"DescribeQueue":{"http":{"method":"GET","requestUri":"/queues/{InstanceId}/{QueueId}"},"input":{"type":"structure","required":["InstanceId","QueueId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QueueId":{"location":"uri","locationName":"QueueId"}}},"output":{"type":"structure","members":{"Queue":{"type":"structure","members":{"Name":{},"QueueArn":{},"QueueId":{},"Description":{},"OutboundCallerConfig":{"shape":"S2p"},"HoursOfOperationId":{},"MaxContacts":{"type":"integer"},"Status":{},"Tags":{"shape":"S1e"}}}}}},"DescribeQuickConnect":{"http":{"method":"GET","requestUri":"/quick-connects/{InstanceId}/{QuickConnectId}"},"input":{"type":"structure","required":["InstanceId","QuickConnectId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QuickConnectId":{"location":"uri","locationName":"QuickConnectId"}}},"output":{"type":"structure","members":{"QuickConnect":{"type":"structure","members":{"QuickConnectARN":{},"QuickConnectId":{},"Name":{},"Description":{},"QuickConnectConfig":{"shape":"S2x"},"Tags":{"shape":"S1e"}}}}}},"DescribeRoutingProfile":{"http":{"method":"GET","requestUri":"/routing-profiles/{InstanceId}/{RoutingProfileId}"},"input":{"type":"structure","required":["InstanceId","RoutingProfileId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"RoutingProfileId":{"location":"uri","locationName":"RoutingProfileId"}}},"output":{"type":"structure","members":{"RoutingProfile":{"type":"structure","members":{"InstanceId":{},"Name":{},"RoutingProfileArn":{},"RoutingProfileId":{},"Description":{},"MediaConcurrencies":{"shape":"S38"},"DefaultOutboundQueueId":{},"Tags":{"shape":"S1e"}}}}}},"DescribeSecurityProfile":{"http":{"method":"GET","requestUri":"/security-profiles/{InstanceId}/{SecurityProfileId}"},"input":{"type":"structure","required":["SecurityProfileId","InstanceId"],"members":{"SecurityProfileId":{"location":"uri","locationName":"SecurityProfileId"},"InstanceId":{"location":"uri","locationName":"InstanceId"}}},"output":{"type":"structure","members":{"SecurityProfile":{"type":"structure","members":{"Id":{},"OrganizationResourceId":{},"Arn":{},"SecurityProfileName":{},"Description":{},"Tags":{"shape":"S1e"}}}}}},"DescribeUser":{"http":{"method":"GET","requestUri":"/users/{InstanceId}/{UserId}"},"input":{"type":"structure","required":["UserId","InstanceId"],"members":{"UserId":{"location":"uri","locationName":"UserId"},"InstanceId":{"location":"uri","locationName":"InstanceId"}}},"output":{"type":"structure","members":{"User":{"type":"structure","members":{"Id":{},"Arn":{},"Username":{},"IdentityInfo":{"shape":"S3q"},"PhoneConfig":{"shape":"S3u"},"DirectoryUserId":{},"SecurityProfileIds":{"shape":"S3z"},"RoutingProfileId":{},"HierarchyGroupId":{},"Tags":{"shape":"S1e"}}}}}},"DescribeUserHierarchyGroup":{"http":{"method":"GET","requestUri":"/user-hierarchy-groups/{InstanceId}/{HierarchyGroupId}"},"input":{"type":"structure","required":["HierarchyGroupId","InstanceId"],"members":{"HierarchyGroupId":{"location":"uri","locationName":"HierarchyGroupId"},"InstanceId":{"location":"uri","locationName":"InstanceId"}}},"output":{"type":"structure","members":{"HierarchyGroup":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"LevelId":{},"HierarchyPath":{"type":"structure","members":{"LevelOne":{"shape":"S66"},"LevelTwo":{"shape":"S66"},"LevelThree":{"shape":"S66"},"LevelFour":{"shape":"S66"},"LevelFive":{"shape":"S66"}}}}}}}},"DescribeUserHierarchyStructure":{"http":{"method":"GET","requestUri":"/user-hierarchy-structure/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"}}},"output":{"type":"structure","members":{"HierarchyStructure":{"type":"structure","members":{"LevelOne":{"shape":"S6a"},"LevelTwo":{"shape":"S6a"},"LevelThree":{"shape":"S6a"},"LevelFour":{"shape":"S6a"},"LevelFive":{"shape":"S6a"}}}}}},"DisassociateApprovedOrigin":{"http":{"method":"DELETE","requestUri":"/instance/{InstanceId}/approved-origin"},"input":{"type":"structure","required":["InstanceId","Origin"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"Origin":{"location":"querystring","locationName":"origin"}}}},"DisassociateBot":{"http":{"requestUri":"/instance/{InstanceId}/bot"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"LexBot":{"shape":"S5"},"LexV2Bot":{"shape":"S8"}}}},"DisassociateInstanceStorageConfig":{"http":{"method":"DELETE","requestUri":"/instance/{InstanceId}/storage-config/{AssociationId}"},"input":{"type":"structure","required":["InstanceId","AssociationId","ResourceType"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"AssociationId":{"location":"uri","locationName":"AssociationId"},"ResourceType":{"location":"querystring","locationName":"resourceType"}}}},"DisassociateLambdaFunction":{"http":{"method":"DELETE","requestUri":"/instance/{InstanceId}/lambda-function"},"input":{"type":"structure","required":["InstanceId","FunctionArn"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"FunctionArn":{"location":"querystring","locationName":"functionArn"}}}},"DisassociateLexBot":{"http":{"method":"DELETE","requestUri":"/instance/{InstanceId}/lex-bot"},"input":{"type":"structure","required":["InstanceId","BotName","LexRegion"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"BotName":{"location":"querystring","locationName":"botName"},"LexRegion":{"location":"querystring","locationName":"lexRegion"}}}},"DisassociateQueueQuickConnects":{"http":{"requestUri":"/queues/{InstanceId}/{QueueId}/disassociate-quick-connects"},"input":{"type":"structure","required":["InstanceId","QueueId","QuickConnectIds"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QueueId":{"location":"uri","locationName":"QueueId"},"QuickConnectIds":{"shape":"Sw"}}}},"DisassociateRoutingProfileQueues":{"http":{"requestUri":"/routing-profiles/{InstanceId}/{RoutingProfileId}/disassociate-queues"},"input":{"type":"structure","required":["InstanceId","RoutingProfileId","QueueReferences"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"RoutingProfileId":{"location":"uri","locationName":"RoutingProfileId"},"QueueReferences":{"type":"list","member":{"shape":"S12"}}}}},"DisassociateSecurityKey":{"http":{"method":"DELETE","requestUri":"/instance/{InstanceId}/security-key/{AssociationId}"},"input":{"type":"structure","required":["InstanceId","AssociationId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"AssociationId":{"location":"uri","locationName":"AssociationId"}}}},"GetContactAttributes":{"http":{"method":"GET","requestUri":"/contact/attributes/{InstanceId}/{InitialContactId}"},"input":{"type":"structure","required":["InstanceId","InitialContactId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"InitialContactId":{"location":"uri","locationName":"InitialContactId"}}},"output":{"type":"structure","members":{"Attributes":{"shape":"S6n"}}}},"GetCurrentMetricData":{"http":{"requestUri":"/metrics/current/{InstanceId}"},"input":{"type":"structure","required":["InstanceId","Filters","CurrentMetrics"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"Filters":{"shape":"S6r"},"Groupings":{"shape":"S6u"},"CurrentMetrics":{"type":"list","member":{"shape":"S6x"}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"MetricResults":{"type":"list","member":{"type":"structure","members":{"Dimensions":{"shape":"S75"},"Collections":{"type":"list","member":{"type":"structure","members":{"Metric":{"shape":"S6x"},"Value":{"type":"double"}}}}}}},"DataSnapshotTime":{"type":"timestamp"}}}},"GetFederationToken":{"http":{"method":"GET","requestUri":"/user/federate/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"}}},"output":{"type":"structure","members":{"Credentials":{"type":"structure","members":{"AccessToken":{"shape":"S7d"},"AccessTokenExpiration":{"type":"timestamp"},"RefreshToken":{"shape":"S7d"},"RefreshTokenExpiration":{"type":"timestamp"}}}}}},"GetMetricData":{"http":{"requestUri":"/metrics/historical/{InstanceId}"},"input":{"type":"structure","required":["InstanceId","StartTime","EndTime","Filters","HistoricalMetrics"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Filters":{"shape":"S6r"},"Groupings":{"shape":"S6u"},"HistoricalMetrics":{"type":"list","member":{"shape":"S7g"}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"MetricResults":{"type":"list","member":{"type":"structure","members":{"Dimensions":{"shape":"S75"},"Collections":{"type":"list","member":{"type":"structure","members":{"Metric":{"shape":"S7g"},"Value":{"type":"double"}}}}}}}}}},"ListAgentStatuses":{"http":{"method":"GET","requestUri":"/agent-status/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"AgentStatusTypes":{"location":"querystring","locationName":"AgentStatusTypes","type":"list","member":{}}}},"output":{"type":"structure","members":{"NextToken":{},"AgentStatusSummaryList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"Type":{}}}}}}},"ListApprovedOrigins":{"http":{"method":"GET","requestUri":"/instance/{InstanceId}/approved-origins"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"Origins":{"type":"list","member":{}},"NextToken":{}}}},"ListBots":{"http":{"method":"GET","requestUri":"/instance/{InstanceId}/bots"},"input":{"type":"structure","required":["InstanceId","LexVersion"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"LexVersion":{"location":"querystring","locationName":"lexVersion"}}},"output":{"type":"structure","members":{"LexBots":{"type":"list","member":{"type":"structure","members":{"LexBot":{"shape":"S5"},"LexV2Bot":{"shape":"S8"}}}},"NextToken":{}}}},"ListContactFlowModules":{"http":{"method":"GET","requestUri":"/contact-flow-modules-summary/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"ContactFlowModuleState":{"location":"querystring","locationName":"state"}}},"output":{"type":"structure","members":{"ContactFlowModulesSummaryList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"State":{}}}},"NextToken":{}}}},"ListContactFlows":{"http":{"method":"GET","requestUri":"/contact-flows-summary/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactFlowTypes":{"location":"querystring","locationName":"contactFlowTypes","type":"list","member":{}},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"ContactFlowSummaryList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"ContactFlowType":{},"ContactFlowState":{}}}},"NextToken":{}}}},"ListContactReferences":{"http":{"method":"GET","requestUri":"/contact/references/{InstanceId}/{ContactId}"},"input":{"type":"structure","required":["InstanceId","ContactId","ReferenceTypes"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactId":{"location":"uri","locationName":"ContactId"},"ReferenceTypes":{"location":"querystring","locationName":"referenceTypes","type":"list","member":{}},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"ReferenceSummaryList":{"type":"list","member":{"type":"structure","members":{"Url":{"type":"structure","members":{"Name":{},"Value":{}}},"Attachment":{"type":"structure","members":{"Name":{},"Value":{},"Status":{}}}},"union":true}},"NextToken":{}}}},"ListHoursOfOperations":{"http":{"method":"GET","requestUri":"/hours-of-operations-summary/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"HoursOfOperationSummaryList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{}}}},"NextToken":{}}}},"ListInstanceAttributes":{"http":{"method":"GET","requestUri":"/instance/{InstanceId}/attributes"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"Attributes":{"type":"list","member":{"shape":"S5h"}},"NextToken":{}}}},"ListInstanceStorageConfigs":{"http":{"method":"GET","requestUri":"/instance/{InstanceId}/storage-configs"},"input":{"type":"structure","required":["InstanceId","ResourceType"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ResourceType":{"location":"querystring","locationName":"resourceType"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"StorageConfigs":{"type":"list","member":{"shape":"Sc"}},"NextToken":{}}}},"ListInstances":{"http":{"method":"GET","requestUri":"/instance"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"InstanceSummaryList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"IdentityManagementType":{},"InstanceAlias":{"shape":"S2b"},"CreatedTime":{"type":"timestamp"},"ServiceRole":{},"InstanceStatus":{},"InboundCallsEnabled":{"type":"boolean"},"OutboundCallsEnabled":{"type":"boolean"}}}},"NextToken":{}}}},"ListIntegrationAssociations":{"http":{"method":"GET","requestUri":"/instance/{InstanceId}/integration-associations"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"IntegrationType":{"location":"querystring","locationName":"integrationType"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"IntegrationAssociationSummaryList":{"type":"list","member":{"type":"structure","members":{"IntegrationAssociationId":{},"IntegrationAssociationArn":{},"InstanceId":{},"IntegrationType":{},"IntegrationArn":{},"SourceApplicationUrl":{},"SourceApplicationName":{},"SourceType":{}}}},"NextToken":{}}}},"ListLambdaFunctions":{"http":{"method":"GET","requestUri":"/instance/{InstanceId}/lambda-functions"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"LambdaFunctions":{"type":"list","member":{}},"NextToken":{}}}},"ListLexBots":{"http":{"method":"GET","requestUri":"/instance/{InstanceId}/lex-bots"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"LexBots":{"type":"list","member":{"shape":"S5"}},"NextToken":{}}}},"ListPhoneNumbers":{"http":{"method":"GET","requestUri":"/phone-numbers-summary/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"PhoneNumberTypes":{"location":"querystring","locationName":"phoneNumberTypes","type":"list","member":{}},"PhoneNumberCountryCodes":{"location":"querystring","locationName":"phoneNumberCountryCodes","type":"list","member":{}},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"PhoneNumberSummaryList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"PhoneNumber":{},"PhoneNumberType":{},"PhoneNumberCountryCode":{}}}},"NextToken":{}}}},"ListPrompts":{"http":{"method":"GET","requestUri":"/prompts-summary/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"PromptSummaryList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{}}}},"NextToken":{}}}},"ListQueueQuickConnects":{"http":{"method":"GET","requestUri":"/queues/{InstanceId}/{QueueId}/quick-connects"},"input":{"type":"structure","required":["InstanceId","QueueId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QueueId":{"location":"uri","locationName":"QueueId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"QuickConnectSummaryList":{"shape":"S9x"}}}},"ListQueues":{"http":{"method":"GET","requestUri":"/queues-summary/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QueueTypes":{"location":"querystring","locationName":"queueTypes","type":"list","member":{}},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"QueueSummaryList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"QueueType":{}}}},"NextToken":{}}}},"ListQuickConnects":{"http":{"method":"GET","requestUri":"/quick-connects/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"QuickConnectTypes":{"location":"querystring","locationName":"QuickConnectTypes","type":"list","member":{}}}},"output":{"type":"structure","members":{"QuickConnectSummaryList":{"shape":"S9x"},"NextToken":{}}}},"ListRoutingProfileQueues":{"http":{"method":"GET","requestUri":"/routing-profiles/{InstanceId}/{RoutingProfileId}/queues"},"input":{"type":"structure","required":["InstanceId","RoutingProfileId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"RoutingProfileId":{"location":"uri","locationName":"RoutingProfileId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"RoutingProfileQueueConfigSummaryList":{"type":"list","member":{"type":"structure","required":["QueueId","QueueArn","QueueName","Priority","Delay","Channel"],"members":{"QueueId":{},"QueueArn":{},"QueueName":{},"Priority":{"type":"integer"},"Delay":{"type":"integer"},"Channel":{}}}}}}},"ListRoutingProfiles":{"http":{"method":"GET","requestUri":"/routing-profiles-summary/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"RoutingProfileSummaryList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{}}}},"NextToken":{}}}},"ListSecurityKeys":{"http":{"method":"GET","requestUri":"/instance/{InstanceId}/security-keys"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"SecurityKeys":{"type":"list","member":{"type":"structure","members":{"AssociationId":{},"Key":{},"CreationTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListSecurityProfilePermissions":{"http":{"method":"GET","requestUri":"/security-profiles-permissions/{InstanceId}/{SecurityProfileId}"},"input":{"type":"structure","required":["SecurityProfileId","InstanceId"],"members":{"SecurityProfileId":{"location":"uri","locationName":"SecurityProfileId"},"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"Permissions":{"shape":"S3f"},"NextToken":{}}}},"ListSecurityProfiles":{"http":{"method":"GET","requestUri":"/security-profiles-summary/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"SecurityProfileSummaryList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S1e"}}}},"ListUseCases":{"http":{"method":"GET","requestUri":"/instance/{InstanceId}/integration-associations/{IntegrationAssociationId}/use-cases"},"input":{"type":"structure","required":["InstanceId","IntegrationAssociationId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"IntegrationAssociationId":{"location":"uri","locationName":"IntegrationAssociationId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"UseCaseSummaryList":{"type":"list","member":{"type":"structure","members":{"UseCaseId":{},"UseCaseArn":{},"UseCaseType":{}}}},"NextToken":{}}}},"ListUserHierarchyGroups":{"http":{"method":"GET","requestUri":"/user-hierarchy-groups-summary/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"UserHierarchyGroupSummaryList":{"type":"list","member":{"shape":"S66"}},"NextToken":{}}}},"ListUsers":{"http":{"method":"GET","requestUri":"/users-summary/{InstanceId}"},"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"UserSummaryList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Username":{}}}},"NextToken":{}}}},"ResumeContactRecording":{"http":{"requestUri":"/contact/resume-recording"},"input":{"type":"structure","required":["InstanceId","ContactId","InitialContactId"],"members":{"InstanceId":{},"ContactId":{},"InitialContactId":{}}},"output":{"type":"structure","members":{}}},"StartChatContact":{"http":{"method":"PUT","requestUri":"/contact/chat"},"input":{"type":"structure","required":["InstanceId","ContactFlowId","ParticipantDetails"],"members":{"InstanceId":{},"ContactFlowId":{},"Attributes":{"shape":"S6n"},"ParticipantDetails":{"type":"structure","required":["DisplayName"],"members":{"DisplayName":{}}},"InitialMessage":{"type":"structure","required":["ContentType","Content"],"members":{"ContentType":{},"Content":{}}},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ContactId":{},"ParticipantId":{},"ParticipantToken":{}}}},"StartContactRecording":{"http":{"requestUri":"/contact/start-recording"},"input":{"type":"structure","required":["InstanceId","ContactId","InitialContactId","VoiceRecordingConfiguration"],"members":{"InstanceId":{},"ContactId":{},"InitialContactId":{},"VoiceRecordingConfiguration":{"type":"structure","members":{"VoiceRecordingTrack":{}}}}},"output":{"type":"structure","members":{}}},"StartContactStreaming":{"http":{"requestUri":"/contact/start-streaming"},"input":{"type":"structure","required":["InstanceId","ContactId","ChatStreamingConfiguration","ClientToken"],"members":{"InstanceId":{},"ContactId":{},"ChatStreamingConfiguration":{"type":"structure","required":["StreamingEndpointArn"],"members":{"StreamingEndpointArn":{}}},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["StreamingId"],"members":{"StreamingId":{}}}},"StartOutboundVoiceContact":{"http":{"method":"PUT","requestUri":"/contact/outbound-voice"},"input":{"type":"structure","required":["DestinationPhoneNumber","ContactFlowId","InstanceId"],"members":{"DestinationPhoneNumber":{},"ContactFlowId":{},"InstanceId":{},"ClientToken":{"idempotencyToken":true},"SourcePhoneNumber":{},"QueueId":{},"Attributes":{"shape":"S6n"},"AnswerMachineDetectionConfig":{"type":"structure","members":{"EnableAnswerMachineDetection":{"type":"boolean"},"AwaitAnswerMachinePrompt":{"type":"boolean"}}},"CampaignId":{},"TrafficType":{}}},"output":{"type":"structure","members":{"ContactId":{}}}},"StartTaskContact":{"http":{"method":"PUT","requestUri":"/contact/task"},"input":{"type":"structure","required":["InstanceId","ContactFlowId","Name"],"members":{"InstanceId":{},"PreviousContactId":{},"ContactFlowId":{},"Attributes":{"shape":"S6n"},"Name":{},"References":{"shape":"Sbw"},"Description":{},"ClientToken":{"idempotencyToken":true},"ScheduledTime":{"type":"timestamp"}}},"output":{"type":"structure","members":{"ContactId":{}}}},"StopContact":{"http":{"requestUri":"/contact/stop"},"input":{"type":"structure","required":["ContactId","InstanceId"],"members":{"ContactId":{},"InstanceId":{}}},"output":{"type":"structure","members":{}}},"StopContactRecording":{"http":{"requestUri":"/contact/stop-recording"},"input":{"type":"structure","required":["InstanceId","ContactId","InitialContactId"],"members":{"InstanceId":{},"ContactId":{},"InitialContactId":{}}},"output":{"type":"structure","members":{}}},"StopContactStreaming":{"http":{"requestUri":"/contact/stop-streaming"},"input":{"type":"structure","required":["InstanceId","ContactId","StreamingId"],"members":{"InstanceId":{},"ContactId":{},"StreamingId":{}}},"output":{"type":"structure","members":{}}},"SuspendContactRecording":{"http":{"requestUri":"/contact/suspend-recording"},"input":{"type":"structure","required":["InstanceId","ContactId","InitialContactId"],"members":{"InstanceId":{},"ContactId":{},"InitialContactId":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S1e"}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}}},"UpdateAgentStatus":{"http":{"requestUri":"/agent-status/{InstanceId}/{AgentStatusId}"},"input":{"type":"structure","required":["InstanceId","AgentStatusId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"AgentStatusId":{"location":"uri","locationName":"AgentStatusId"},"Name":{},"Description":{},"State":{},"DisplayOrder":{"type":"integer"},"ResetOrderNumber":{"type":"boolean"}}}},"UpdateContact":{"http":{"requestUri":"/contacts/{InstanceId}/{ContactId}"},"input":{"type":"structure","required":["InstanceId","ContactId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactId":{"location":"uri","locationName":"ContactId"},"Name":{},"Description":{},"References":{"shape":"Sbw"}}},"output":{"type":"structure","members":{}}},"UpdateContactAttributes":{"http":{"requestUri":"/contact/attributes"},"input":{"type":"structure","required":["InitialContactId","InstanceId","Attributes"],"members":{"InitialContactId":{},"InstanceId":{},"Attributes":{"shape":"S6n"}}},"output":{"type":"structure","members":{}}},"UpdateContactFlowContent":{"http":{"requestUri":"/contact-flows/{InstanceId}/{ContactFlowId}/content"},"input":{"type":"structure","required":["InstanceId","ContactFlowId","Content"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactFlowId":{"location":"uri","locationName":"ContactFlowId"},"Content":{}}}},"UpdateContactFlowMetadata":{"http":{"requestUri":"/contact-flows/{InstanceId}/{ContactFlowId}/metadata"},"input":{"type":"structure","required":["InstanceId","ContactFlowId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactFlowId":{"location":"uri","locationName":"ContactFlowId"},"Name":{},"Description":{},"ContactFlowState":{}}}},"UpdateContactFlowModuleContent":{"http":{"requestUri":"/contact-flow-modules/{InstanceId}/{ContactFlowModuleId}/content"},"input":{"type":"structure","required":["InstanceId","ContactFlowModuleId","Content"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactFlowModuleId":{"location":"uri","locationName":"ContactFlowModuleId"},"Content":{}}},"output":{"type":"structure","members":{}}},"UpdateContactFlowModuleMetadata":{"http":{"requestUri":"/contact-flow-modules/{InstanceId}/{ContactFlowModuleId}/metadata"},"input":{"type":"structure","required":["InstanceId","ContactFlowModuleId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactFlowModuleId":{"location":"uri","locationName":"ContactFlowModuleId"},"Name":{},"Description":{},"State":{}}},"output":{"type":"structure","members":{}}},"UpdateContactFlowName":{"http":{"requestUri":"/contact-flows/{InstanceId}/{ContactFlowId}/name"},"input":{"type":"structure","required":["InstanceId","ContactFlowId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"ContactFlowId":{"location":"uri","locationName":"ContactFlowId"},"Name":{},"Description":{}}}},"UpdateContactSchedule":{"http":{"requestUri":"/contact/schedule"},"input":{"type":"structure","required":["InstanceId","ContactId","ScheduledTime"],"members":{"InstanceId":{},"ContactId":{},"ScheduledTime":{"type":"timestamp"}}},"output":{"type":"structure","members":{}}},"UpdateHoursOfOperation":{"http":{"requestUri":"/hours-of-operations/{InstanceId}/{HoursOfOperationId}"},"input":{"type":"structure","required":["InstanceId","HoursOfOperationId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"HoursOfOperationId":{"location":"uri","locationName":"HoursOfOperationId"},"Name":{},"Description":{},"TimeZone":{},"Config":{"shape":"S21"}}}},"UpdateInstanceAttribute":{"http":{"requestUri":"/instance/{InstanceId}/attribute/{AttributeType}"},"input":{"type":"structure","required":["InstanceId","AttributeType","Value"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"AttributeType":{"location":"uri","locationName":"AttributeType"},"Value":{}}}},"UpdateInstanceStorageConfig":{"http":{"requestUri":"/instance/{InstanceId}/storage-config/{AssociationId}"},"input":{"type":"structure","required":["InstanceId","AssociationId","ResourceType","StorageConfig"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"AssociationId":{"location":"uri","locationName":"AssociationId"},"ResourceType":{"location":"querystring","locationName":"resourceType"},"StorageConfig":{"shape":"Sc"}}}},"UpdateQueueHoursOfOperation":{"http":{"requestUri":"/queues/{InstanceId}/{QueueId}/hours-of-operation"},"input":{"type":"structure","required":["InstanceId","QueueId","HoursOfOperationId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QueueId":{"location":"uri","locationName":"QueueId"},"HoursOfOperationId":{}}}},"UpdateQueueMaxContacts":{"http":{"requestUri":"/queues/{InstanceId}/{QueueId}/max-contacts"},"input":{"type":"structure","required":["InstanceId","QueueId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QueueId":{"location":"uri","locationName":"QueueId"},"MaxContacts":{"type":"integer"}}}},"UpdateQueueName":{"http":{"requestUri":"/queues/{InstanceId}/{QueueId}/name"},"input":{"type":"structure","required":["InstanceId","QueueId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QueueId":{"location":"uri","locationName":"QueueId"},"Name":{},"Description":{}}}},"UpdateQueueOutboundCallerConfig":{"http":{"requestUri":"/queues/{InstanceId}/{QueueId}/outbound-caller-config"},"input":{"type":"structure","required":["InstanceId","QueueId","OutboundCallerConfig"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QueueId":{"location":"uri","locationName":"QueueId"},"OutboundCallerConfig":{"shape":"S2p"}}}},"UpdateQueueStatus":{"http":{"requestUri":"/queues/{InstanceId}/{QueueId}/status"},"input":{"type":"structure","required":["InstanceId","QueueId","Status"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QueueId":{"location":"uri","locationName":"QueueId"},"Status":{}}}},"UpdateQuickConnectConfig":{"http":{"requestUri":"/quick-connects/{InstanceId}/{QuickConnectId}/config"},"input":{"type":"structure","required":["InstanceId","QuickConnectId","QuickConnectConfig"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QuickConnectId":{"location":"uri","locationName":"QuickConnectId"},"QuickConnectConfig":{"shape":"S2x"}}}},"UpdateQuickConnectName":{"http":{"requestUri":"/quick-connects/{InstanceId}/{QuickConnectId}/name"},"input":{"type":"structure","required":["InstanceId","QuickConnectId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"QuickConnectId":{"location":"uri","locationName":"QuickConnectId"},"Name":{},"Description":{}}}},"UpdateRoutingProfileConcurrency":{"http":{"requestUri":"/routing-profiles/{InstanceId}/{RoutingProfileId}/concurrency"},"input":{"type":"structure","required":["InstanceId","RoutingProfileId","MediaConcurrencies"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"RoutingProfileId":{"location":"uri","locationName":"RoutingProfileId"},"MediaConcurrencies":{"shape":"S38"}}}},"UpdateRoutingProfileDefaultOutboundQueue":{"http":{"requestUri":"/routing-profiles/{InstanceId}/{RoutingProfileId}/default-outbound-queue"},"input":{"type":"structure","required":["InstanceId","RoutingProfileId","DefaultOutboundQueueId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"RoutingProfileId":{"location":"uri","locationName":"RoutingProfileId"},"DefaultOutboundQueueId":{}}}},"UpdateRoutingProfileName":{"http":{"requestUri":"/routing-profiles/{InstanceId}/{RoutingProfileId}/name"},"input":{"type":"structure","required":["InstanceId","RoutingProfileId"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"RoutingProfileId":{"location":"uri","locationName":"RoutingProfileId"},"Name":{},"Description":{}}}},"UpdateRoutingProfileQueues":{"http":{"requestUri":"/routing-profiles/{InstanceId}/{RoutingProfileId}/queues"},"input":{"type":"structure","required":["InstanceId","RoutingProfileId","QueueConfigs"],"members":{"InstanceId":{"location":"uri","locationName":"InstanceId"},"RoutingProfileId":{"location":"uri","locationName":"RoutingProfileId"},"QueueConfigs":{"shape":"S10"}}}},"UpdateSecurityProfile":{"http":{"requestUri":"/security-profiles/{InstanceId}/{SecurityProfileId}"},"input":{"type":"structure","required":["SecurityProfileId","InstanceId"],"members":{"Description":{},"Permissions":{"shape":"S3f"},"SecurityProfileId":{"location":"uri","locationName":"SecurityProfileId"},"InstanceId":{"location":"uri","locationName":"InstanceId"}}}},"UpdateUserHierarchy":{"http":{"requestUri":"/users/{InstanceId}/{UserId}/hierarchy"},"input":{"type":"structure","required":["UserId","InstanceId"],"members":{"HierarchyGroupId":{},"UserId":{"location":"uri","locationName":"UserId"},"InstanceId":{"location":"uri","locationName":"InstanceId"}}}},"UpdateUserHierarchyGroupName":{"http":{"requestUri":"/user-hierarchy-groups/{InstanceId}/{HierarchyGroupId}/name"},"input":{"type":"structure","required":["Name","HierarchyGroupId","InstanceId"],"members":{"Name":{},"HierarchyGroupId":{"location":"uri","locationName":"HierarchyGroupId"},"InstanceId":{"location":"uri","locationName":"InstanceId"}}}},"UpdateUserHierarchyStructure":{"http":{"requestUri":"/user-hierarchy-structure/{InstanceId}"},"input":{"type":"structure","required":["HierarchyStructure","InstanceId"],"members":{"HierarchyStructure":{"type":"structure","members":{"LevelOne":{"shape":"Sda"},"LevelTwo":{"shape":"Sda"},"LevelThree":{"shape":"Sda"},"LevelFour":{"shape":"Sda"},"LevelFive":{"shape":"Sda"}}},"InstanceId":{"location":"uri","locationName":"InstanceId"}}}},"UpdateUserIdentityInfo":{"http":{"requestUri":"/users/{InstanceId}/{UserId}/identity-info"},"input":{"type":"structure","required":["IdentityInfo","UserId","InstanceId"],"members":{"IdentityInfo":{"shape":"S3q"},"UserId":{"location":"uri","locationName":"UserId"},"InstanceId":{"location":"uri","locationName":"InstanceId"}}}},"UpdateUserPhoneConfig":{"http":{"requestUri":"/users/{InstanceId}/{UserId}/phone-config"},"input":{"type":"structure","required":["PhoneConfig","UserId","InstanceId"],"members":{"PhoneConfig":{"shape":"S3u"},"UserId":{"location":"uri","locationName":"UserId"},"InstanceId":{"location":"uri","locationName":"InstanceId"}}}},"UpdateUserRoutingProfile":{"http":{"requestUri":"/users/{InstanceId}/{UserId}/routing-profile"},"input":{"type":"structure","required":["RoutingProfileId","UserId","InstanceId"],"members":{"RoutingProfileId":{},"UserId":{"location":"uri","locationName":"UserId"},"InstanceId":{"location":"uri","locationName":"InstanceId"}}}},"UpdateUserSecurityProfiles":{"http":{"requestUri":"/users/{InstanceId}/{UserId}/security-profiles"},"input":{"type":"structure","required":["SecurityProfileIds","UserId","InstanceId"],"members":{"SecurityProfileIds":{"shape":"S3z"},"UserId":{"location":"uri","locationName":"UserId"},"InstanceId":{"location":"uri","locationName":"InstanceId"}}}}},"shapes":{"S5":{"type":"structure","members":{"Name":{},"LexRegion":{}}},"S8":{"type":"structure","members":{"AliasArn":{}}},"Sc":{"type":"structure","required":["StorageType"],"members":{"AssociationId":{},"StorageType":{},"S3Config":{"type":"structure","required":["BucketName","BucketPrefix"],"members":{"BucketName":{},"BucketPrefix":{},"EncryptionConfig":{"shape":"Si"}}},"KinesisVideoStreamConfig":{"type":"structure","required":["Prefix","RetentionPeriodHours","EncryptionConfig"],"members":{"Prefix":{},"RetentionPeriodHours":{"type":"integer"},"EncryptionConfig":{"shape":"Si"}}},"KinesisStreamConfig":{"type":"structure","required":["StreamArn"],"members":{"StreamArn":{}}},"KinesisFirehoseConfig":{"type":"structure","required":["FirehoseArn"],"members":{"FirehoseArn":{}}}}},"Si":{"type":"structure","required":["EncryptionType","KeyId"],"members":{"EncryptionType":{},"KeyId":{}}},"Sw":{"type":"list","member":{}},"S10":{"type":"list","member":{"type":"structure","required":["QueueReference","Priority","Delay"],"members":{"QueueReference":{"shape":"S12"},"Priority":{"type":"integer"},"Delay":{"type":"integer"}}}},"S12":{"type":"structure","required":["QueueId","Channel"],"members":{"QueueId":{},"Channel":{}}},"S1e":{"type":"map","key":{},"value":{}},"S21":{"type":"list","member":{"type":"structure","required":["Day","StartTime","EndTime"],"members":{"Day":{},"StartTime":{"shape":"S24"},"EndTime":{"shape":"S24"}}}},"S24":{"type":"structure","required":["Hours","Minutes"],"members":{"Hours":{"type":"integer"},"Minutes":{"type":"integer"}}},"S2b":{"type":"string","sensitive":true},"S2p":{"type":"structure","members":{"OutboundCallerIdName":{},"OutboundCallerIdNumberId":{},"OutboundFlowId":{}}},"S2x":{"type":"structure","required":["QuickConnectType"],"members":{"QuickConnectType":{},"UserConfig":{"type":"structure","required":["UserId","ContactFlowId"],"members":{"UserId":{},"ContactFlowId":{}}},"QueueConfig":{"type":"structure","required":["QueueId","ContactFlowId"],"members":{"QueueId":{},"ContactFlowId":{}}},"PhoneConfig":{"type":"structure","required":["PhoneNumber"],"members":{"PhoneNumber":{}}}}},"S38":{"type":"list","member":{"type":"structure","required":["Channel","Concurrency"],"members":{"Channel":{},"Concurrency":{"type":"integer"}}}},"S3f":{"type":"list","member":{}},"S3q":{"type":"structure","members":{"FirstName":{},"LastName":{},"Email":{}}},"S3u":{"type":"structure","required":["PhoneType"],"members":{"PhoneType":{},"AutoAccept":{"type":"boolean"},"AfterContactWorkTimeLimit":{"type":"integer"},"DeskPhoneNumber":{}}},"S3z":{"type":"list","member":{}},"S5h":{"type":"structure","members":{"AttributeType":{},"Value":{}}},"S66":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{}}},"S6a":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{}}},"S6n":{"type":"map","key":{},"value":{}},"S6r":{"type":"structure","members":{"Queues":{"type":"list","member":{}},"Channels":{"type":"list","member":{}}}},"S6u":{"type":"list","member":{}},"S6x":{"type":"structure","members":{"Name":{},"Unit":{}}},"S75":{"type":"structure","members":{"Queue":{"type":"structure","members":{"Id":{},"Arn":{}}},"Channel":{}}},"S7d":{"type":"string","sensitive":true},"S7g":{"type":"structure","members":{"Name":{},"Threshold":{"type":"structure","members":{"Comparison":{},"ThresholdValue":{"type":"double"}}},"Statistic":{},"Unit":{}}},"S9x":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"QuickConnectType":{}}}},"Sbw":{"type":"map","key":{},"value":{"type":"structure","required":["Value","Type"],"members":{"Value":{},"Type":{}}}},"Sda":{"type":"structure","required":["Name"],"members":{"Name":{}}}}}');

/***/ }),

/***/ 19742:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetCurrentMetricData":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetMetricData":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListAgentStatuses":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AgentStatusSummaryList"},"ListApprovedOrigins":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Origins"},"ListBots":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"LexBots"},"ListContactFlowModules":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ContactFlowModulesSummaryList"},"ListContactFlows":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ContactFlowSummaryList"},"ListContactReferences":{"input_token":"NextToken","output_token":"NextToken","result_key":"ReferenceSummaryList"},"ListHoursOfOperations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"HoursOfOperationSummaryList"},"ListInstanceAttributes":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Attributes"},"ListInstanceStorageConfigs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"StorageConfigs"},"ListInstances":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InstanceSummaryList"},"ListIntegrationAssociations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"IntegrationAssociationSummaryList"},"ListLambdaFunctions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"LambdaFunctions"},"ListLexBots":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"LexBots"},"ListPhoneNumbers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PhoneNumberSummaryList"},"ListPrompts":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PromptSummaryList"},"ListQueueQuickConnects":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"QuickConnectSummaryList"},"ListQueues":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"QueueSummaryList"},"ListQuickConnects":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"QuickConnectSummaryList"},"ListRoutingProfileQueues":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"RoutingProfileQueueConfigSummaryList"},"ListRoutingProfiles":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"RoutingProfileSummaryList"},"ListSecurityKeys":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"SecurityKeys"},"ListSecurityProfilePermissions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Permissions"},"ListSecurityProfiles":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"SecurityProfileSummaryList"},"ListUseCases":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"UseCaseSummaryList"},"ListUserHierarchyGroups":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"UserHierarchyGroupSummaryList"},"ListUsers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"UserSummaryList"}}}');

/***/ }),

/***/ 16527:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-08-21","endpointPrefix":"contact-lens","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Amazon Connect Contact Lens","serviceFullName":"Amazon Connect Contact Lens","serviceId":"Connect Contact Lens","signatureVersion":"v4","signingName":"connect","uid":"connect-contact-lens-2020-08-21"},"operations":{"ListRealtimeContactAnalysisSegments":{"http":{"requestUri":"/realtime-contact-analysis/analysis-segments"},"input":{"type":"structure","required":["InstanceId","ContactId"],"members":{"InstanceId":{},"ContactId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Segments"],"members":{"Segments":{"type":"list","member":{"type":"structure","members":{"Transcript":{"type":"structure","required":["Id","ParticipantId","ParticipantRole","Content","BeginOffsetMillis","EndOffsetMillis","Sentiment"],"members":{"Id":{},"ParticipantId":{},"ParticipantRole":{},"Content":{},"BeginOffsetMillis":{"type":"integer"},"EndOffsetMillis":{"type":"integer"},"Sentiment":{},"IssuesDetected":{"type":"list","member":{"type":"structure","required":["CharacterOffsets"],"members":{"CharacterOffsets":{"type":"structure","required":["BeginOffsetChar","EndOffsetChar"],"members":{"BeginOffsetChar":{"type":"integer"},"EndOffsetChar":{"type":"integer"}}}}}}}},"Categories":{"type":"structure","required":["MatchedCategories","MatchedDetails"],"members":{"MatchedCategories":{"type":"list","member":{}},"MatchedDetails":{"type":"map","key":{},"value":{"type":"structure","required":["PointsOfInterest"],"members":{"PointsOfInterest":{"type":"list","member":{"type":"structure","required":["BeginOffsetMillis","EndOffsetMillis"],"members":{"BeginOffsetMillis":{"type":"integer"},"EndOffsetMillis":{"type":"integer"}}}}}}}}}}}},"NextToken":{}}}}},"shapes":{}}');

/***/ }),

/***/ 76658:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListRealtimeContactAnalysisSegments":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 70132:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-09-07","endpointPrefix":"participant.connect","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Amazon Connect Participant","serviceFullName":"Amazon Connect Participant Service","serviceId":"ConnectParticipant","signatureVersion":"v4","signingName":"execute-api","uid":"connectparticipant-2018-09-07"},"operations":{"CompleteAttachmentUpload":{"http":{"requestUri":"/participant/complete-attachment-upload"},"input":{"type":"structure","required":["AttachmentIds","ClientToken","ConnectionToken"],"members":{"AttachmentIds":{"type":"list","member":{}},"ClientToken":{"idempotencyToken":true},"ConnectionToken":{"location":"header","locationName":"X-Amz-Bearer"}}},"output":{"type":"structure","members":{}}},"CreateParticipantConnection":{"http":{"requestUri":"/participant/connection"},"input":{"type":"structure","required":["Type","ParticipantToken"],"members":{"Type":{"type":"list","member":{}},"ParticipantToken":{"location":"header","locationName":"X-Amz-Bearer"},"ConnectParticipant":{"type":"boolean"}}},"output":{"type":"structure","members":{"Websocket":{"type":"structure","members":{"Url":{},"ConnectionExpiry":{}}},"ConnectionCredentials":{"type":"structure","members":{"ConnectionToken":{},"Expiry":{}}}}}},"DisconnectParticipant":{"http":{"requestUri":"/participant/disconnect"},"input":{"type":"structure","required":["ConnectionToken"],"members":{"ClientToken":{"idempotencyToken":true},"ConnectionToken":{"location":"header","locationName":"X-Amz-Bearer"}}},"output":{"type":"structure","members":{}}},"GetAttachment":{"http":{"requestUri":"/participant/attachment"},"input":{"type":"structure","required":["AttachmentId","ConnectionToken"],"members":{"AttachmentId":{},"ConnectionToken":{"location":"header","locationName":"X-Amz-Bearer"}}},"output":{"type":"structure","members":{"Url":{},"UrlExpiry":{}}}},"GetTranscript":{"http":{"requestUri":"/participant/transcript"},"input":{"type":"structure","required":["ConnectionToken"],"members":{"ContactId":{},"MaxResults":{"type":"integer"},"NextToken":{},"ScanDirection":{},"SortOrder":{},"StartPosition":{"type":"structure","members":{"Id":{},"AbsoluteTime":{},"MostRecent":{"type":"integer"}}},"ConnectionToken":{"location":"header","locationName":"X-Amz-Bearer"}}},"output":{"type":"structure","members":{"InitialContactId":{},"Transcript":{"type":"list","member":{"type":"structure","members":{"AbsoluteTime":{},"Content":{},"ContentType":{},"Id":{},"Type":{},"ParticipantId":{},"DisplayName":{},"ParticipantRole":{},"Attachments":{"type":"list","member":{"type":"structure","members":{"ContentType":{},"AttachmentId":{},"AttachmentName":{},"Status":{}}}}}}},"NextToken":{}}}},"SendEvent":{"http":{"requestUri":"/participant/event"},"input":{"type":"structure","required":["ContentType","ConnectionToken"],"members":{"ContentType":{},"Content":{},"ClientToken":{"idempotencyToken":true},"ConnectionToken":{"location":"header","locationName":"X-Amz-Bearer"}}},"output":{"type":"structure","members":{"Id":{},"AbsoluteTime":{}}}},"SendMessage":{"http":{"requestUri":"/participant/message"},"input":{"type":"structure","required":["ContentType","Content","ConnectionToken"],"members":{"ContentType":{},"Content":{},"ClientToken":{"idempotencyToken":true},"ConnectionToken":{"location":"header","locationName":"X-Amz-Bearer"}}},"output":{"type":"structure","members":{"Id":{},"AbsoluteTime":{}}}},"StartAttachmentUpload":{"http":{"requestUri":"/participant/start-attachment-upload"},"input":{"type":"structure","required":["ContentType","AttachmentSizeInBytes","AttachmentName","ClientToken","ConnectionToken"],"members":{"ContentType":{},"AttachmentSizeInBytes":{"type":"long"},"AttachmentName":{},"ClientToken":{"idempotencyToken":true},"ConnectionToken":{"location":"header","locationName":"X-Amz-Bearer"}}},"output":{"type":"structure","members":{"AttachmentId":{},"UploadMetadata":{"type":"structure","members":{"Url":{},"UrlExpiry":{},"HeadersToInclude":{"type":"map","key":{},"value":{}}}}}}}},"shapes":{}}');

/***/ }),

/***/ 29947:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetTranscript":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 46858:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-01-06","endpointPrefix":"cur","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Cost and Usage Report Service","serviceId":"Cost and Usage Report Service","signatureVersion":"v4","signingName":"cur","targetPrefix":"AWSOrigamiServiceGatewayService","uid":"cur-2017-01-06"},"operations":{"DeleteReportDefinition":{"input":{"type":"structure","members":{"ReportName":{}}},"output":{"type":"structure","members":{"ResponseMessage":{}}}},"DescribeReportDefinitions":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ReportDefinitions":{"type":"list","member":{"shape":"Sa"}},"NextToken":{}}}},"ModifyReportDefinition":{"input":{"type":"structure","required":["ReportName","ReportDefinition"],"members":{"ReportName":{},"ReportDefinition":{"shape":"Sa"}}},"output":{"type":"structure","members":{}}},"PutReportDefinition":{"input":{"type":"structure","required":["ReportDefinition"],"members":{"ReportDefinition":{"shape":"Sa"}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sa":{"type":"structure","required":["ReportName","TimeUnit","Format","Compression","AdditionalSchemaElements","S3Bucket","S3Prefix","S3Region"],"members":{"ReportName":{},"TimeUnit":{},"Format":{},"Compression":{},"AdditionalSchemaElements":{"type":"list","member":{}},"S3Bucket":{},"S3Prefix":{},"S3Region":{},"AdditionalArtifacts":{"type":"list","member":{}},"RefreshClosedReports":{"type":"boolean"},"ReportVersioning":{},"BillingViewArn":{}}}}}');

/***/ }),

/***/ 40528:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeReportDefinitions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 56793:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-08-15","endpointPrefix":"profile","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Customer Profiles","serviceFullName":"Amazon Connect Customer Profiles","serviceId":"Customer Profiles","signatureVersion":"v4","signingName":"profile","uid":"customer-profiles-2020-08-15"},"operations":{"AddProfileKey":{"http":{"requestUri":"/domains/{DomainName}/profiles/keys"},"input":{"type":"structure","required":["ProfileId","KeyName","Values","DomainName"],"members":{"ProfileId":{},"KeyName":{},"Values":{"shape":"S4"},"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"KeyName":{},"Values":{"shape":"S4"}}}},"CreateDomain":{"http":{"requestUri":"/domains/{DomainName}"},"input":{"type":"structure","required":["DomainName","DefaultExpirationDays"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"DefaultExpirationDays":{"type":"integer"},"DefaultEncryptionKey":{},"DeadLetterQueueUrl":{},"Matching":{"shape":"Sb"},"Tags":{"shape":"Sq"}}},"output":{"type":"structure","required":["DomainName","DefaultExpirationDays","CreatedAt","LastUpdatedAt"],"members":{"DomainName":{},"DefaultExpirationDays":{"type":"integer"},"DefaultEncryptionKey":{},"DeadLetterQueueUrl":{},"Matching":{"shape":"Su"},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Tags":{"shape":"Sq"}}}},"CreateProfile":{"http":{"requestUri":"/domains/{DomainName}/profiles"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"AccountNumber":{},"AdditionalInformation":{},"PartyType":{},"BusinessName":{},"FirstName":{},"MiddleName":{},"LastName":{},"BirthDate":{},"Gender":{},"PhoneNumber":{},"MobilePhoneNumber":{},"HomePhoneNumber":{},"BusinessPhoneNumber":{},"EmailAddress":{},"PersonalEmailAddress":{},"BusinessEmailAddress":{},"Address":{"shape":"S10"},"ShippingAddress":{"shape":"S10"},"MailingAddress":{"shape":"S10"},"BillingAddress":{"shape":"S10"},"Attributes":{"shape":"S11"}}},"output":{"type":"structure","required":["ProfileId"],"members":{"ProfileId":{}}}},"DeleteDomain":{"http":{"method":"DELETE","requestUri":"/domains/{DomainName}"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","required":["Message"],"members":{"Message":{}}}},"DeleteIntegration":{"http":{"requestUri":"/domains/{DomainName}/integrations/delete"},"input":{"type":"structure","required":["DomainName","Uri"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"Uri":{}}},"output":{"type":"structure","required":["Message"],"members":{"Message":{}}}},"DeleteProfile":{"http":{"requestUri":"/domains/{DomainName}/profiles/delete"},"input":{"type":"structure","required":["ProfileId","DomainName"],"members":{"ProfileId":{},"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"Message":{}}}},"DeleteProfileKey":{"http":{"requestUri":"/domains/{DomainName}/profiles/keys/delete"},"input":{"type":"structure","required":["ProfileId","KeyName","Values","DomainName"],"members":{"ProfileId":{},"KeyName":{},"Values":{"shape":"S4"},"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"Message":{}}}},"DeleteProfileObject":{"http":{"requestUri":"/domains/{DomainName}/profiles/objects/delete"},"input":{"type":"structure","required":["ProfileId","ProfileObjectUniqueKey","ObjectTypeName","DomainName"],"members":{"ProfileId":{},"ProfileObjectUniqueKey":{},"ObjectTypeName":{},"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"Message":{}}}},"DeleteProfileObjectType":{"http":{"method":"DELETE","requestUri":"/domains/{DomainName}/object-types/{ObjectTypeName}"},"input":{"type":"structure","required":["DomainName","ObjectTypeName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"ObjectTypeName":{"location":"uri","locationName":"ObjectTypeName"}}},"output":{"type":"structure","required":["Message"],"members":{"Message":{}}}},"GetAutoMergingPreview":{"http":{"requestUri":"/domains/{DomainName}/identity-resolution-jobs/auto-merging-preview"},"input":{"type":"structure","required":["DomainName","Consolidation","ConflictResolution"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"Consolidation":{"shape":"Sh"},"ConflictResolution":{"shape":"Sk"}}},"output":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"NumberOfMatchesInSample":{"type":"long"},"NumberOfProfilesInSample":{"type":"long"},"NumberOfProfilesWillBeMerged":{"type":"long"}}}},"GetDomain":{"http":{"method":"GET","requestUri":"/domains/{DomainName}"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","required":["DomainName","CreatedAt","LastUpdatedAt"],"members":{"DomainName":{},"DefaultExpirationDays":{"type":"integer"},"DefaultEncryptionKey":{},"DeadLetterQueueUrl":{},"Stats":{"type":"structure","members":{"ProfileCount":{"type":"long"},"MeteringProfileCount":{"type":"long"},"ObjectCount":{"type":"long"},"TotalSize":{"type":"long"}}},"Matching":{"shape":"Su"},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Tags":{"shape":"Sq"}}}},"GetIdentityResolutionJob":{"http":{"method":"GET","requestUri":"/domains/{DomainName}/identity-resolution-jobs/{JobId}"},"input":{"type":"structure","required":["DomainName","JobId"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"JobId":{"location":"uri","locationName":"JobId"}}},"output":{"type":"structure","members":{"DomainName":{},"JobId":{},"Status":{},"Message":{},"JobStartTime":{"type":"timestamp"},"JobEndTime":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"JobExpirationTime":{"type":"timestamp"},"AutoMerging":{"shape":"Sg"},"ExportingLocation":{"shape":"S1r"},"JobStats":{"shape":"S1u"}}}},"GetIntegration":{"http":{"requestUri":"/domains/{DomainName}/integrations"},"input":{"type":"structure","required":["DomainName","Uri"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"Uri":{}}},"output":{"type":"structure","required":["DomainName","Uri","ObjectTypeName","CreatedAt","LastUpdatedAt"],"members":{"DomainName":{},"Uri":{},"ObjectTypeName":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Tags":{"shape":"Sq"}}}},"GetMatches":{"http":{"method":"GET","requestUri":"/domains/{DomainName}/matches"},"input":{"type":"structure","required":["DomainName"],"members":{"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"NextToken":{},"MatchGenerationDate":{"type":"timestamp"},"PotentialMatches":{"type":"integer"},"Matches":{"type":"list","member":{"type":"structure","members":{"MatchId":{},"ProfileIds":{"type":"list","member":{}},"ConfidenceScore":{"type":"double"}}}}}}},"GetProfileObjectType":{"http":{"method":"GET","requestUri":"/domains/{DomainName}/object-types/{ObjectTypeName}"},"input":{"type":"structure","required":["DomainName","ObjectTypeName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"ObjectTypeName":{"location":"uri","locationName":"ObjectTypeName"}}},"output":{"type":"structure","required":["ObjectTypeName","Description"],"members":{"ObjectTypeName":{},"Description":{},"TemplateId":{},"ExpirationDays":{"type":"integer"},"EncryptionKey":{},"AllowProfileCreation":{"type":"boolean"},"SourceLastUpdatedTimestampFormat":{},"Fields":{"shape":"S2a"},"Keys":{"shape":"S2d"},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Tags":{"shape":"Sq"}}}},"GetProfileObjectTypeTemplate":{"http":{"method":"GET","requestUri":"/templates/{TemplateId}"},"input":{"type":"structure","required":["TemplateId"],"members":{"TemplateId":{"location":"uri","locationName":"TemplateId"}}},"output":{"type":"structure","members":{"TemplateId":{},"SourceName":{},"SourceObject":{},"AllowProfileCreation":{"type":"boolean"},"SourceLastUpdatedTimestampFormat":{},"Fields":{"shape":"S2a"},"Keys":{"shape":"S2d"}}}},"ListAccountIntegrations":{"http":{"requestUri":"/integrations"},"input":{"type":"structure","required":["Uri"],"members":{"Uri":{},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Items":{"shape":"S2n"},"NextToken":{}}}},"ListDomains":{"http":{"method":"GET","requestUri":"/domains"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"structure","required":["DomainName","CreatedAt","LastUpdatedAt"],"members":{"DomainName":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Tags":{"shape":"Sq"}}}},"NextToken":{}}}},"ListIdentityResolutionJobs":{"http":{"method":"GET","requestUri":"/domains/{DomainName}/identity-resolution-jobs"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"IdentityResolutionJobsList":{"type":"list","member":{"type":"structure","members":{"DomainName":{},"JobId":{},"Status":{},"JobStartTime":{"type":"timestamp"},"JobEndTime":{"type":"timestamp"},"JobStats":{"shape":"S1u"},"ExportingLocation":{"shape":"S1r"},"Message":{}}}},"NextToken":{}}}},"ListIntegrations":{"http":{"method":"GET","requestUri":"/domains/{DomainName}/integrations"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Items":{"shape":"S2n"},"NextToken":{}}}},"ListProfileObjectTypeTemplates":{"http":{"method":"GET","requestUri":"/templates"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"structure","members":{"TemplateId":{},"SourceName":{},"SourceObject":{}}}},"NextToken":{}}}},"ListProfileObjectTypes":{"http":{"method":"GET","requestUri":"/domains/{DomainName}/object-types"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"structure","required":["ObjectTypeName","Description"],"members":{"ObjectTypeName":{},"Description":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Tags":{"shape":"Sq"}}}},"NextToken":{}}}},"ListProfileObjects":{"http":{"requestUri":"/domains/{DomainName}/profiles/objects"},"input":{"type":"structure","required":["DomainName","ObjectTypeName","ProfileId"],"members":{"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"DomainName":{"location":"uri","locationName":"DomainName"},"ObjectTypeName":{},"ProfileId":{},"ObjectFilter":{"type":"structure","required":["KeyName","Values"],"members":{"KeyName":{},"Values":{"shape":"S4"}}}}},"output":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"structure","members":{"ObjectTypeName":{},"ProfileObjectUniqueKey":{},"Object":{}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sq"}}}},"MergeProfiles":{"http":{"requestUri":"/domains/{DomainName}/profiles/objects/merge"},"input":{"type":"structure","required":["DomainName","MainProfileId","ProfileIdsToBeMerged"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"MainProfileId":{},"ProfileIdsToBeMerged":{"type":"list","member":{}},"FieldSourceProfileIds":{"type":"structure","members":{"AccountNumber":{},"AdditionalInformation":{},"PartyType":{},"BusinessName":{},"FirstName":{},"MiddleName":{},"LastName":{},"BirthDate":{},"Gender":{},"PhoneNumber":{},"MobilePhoneNumber":{},"HomePhoneNumber":{},"BusinessPhoneNumber":{},"EmailAddress":{},"PersonalEmailAddress":{},"BusinessEmailAddress":{},"Address":{},"ShippingAddress":{},"MailingAddress":{},"BillingAddress":{},"Attributes":{"type":"map","key":{},"value":{}}}}}},"output":{"type":"structure","members":{"Message":{}}}},"PutIntegration":{"http":{"method":"PUT","requestUri":"/domains/{DomainName}/integrations"},"input":{"type":"structure","required":["DomainName","ObjectTypeName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"Uri":{},"ObjectTypeName":{},"Tags":{"shape":"Sq"},"FlowDefinition":{"type":"structure","required":["FlowName","KmsArn","SourceFlowConfig","Tasks","TriggerConfig"],"members":{"Description":{},"FlowName":{},"KmsArn":{},"SourceFlowConfig":{"type":"structure","required":["ConnectorType","SourceConnectorProperties"],"members":{"ConnectorProfileName":{},"ConnectorType":{},"IncrementalPullConfig":{"type":"structure","members":{"DatetimeTypeFieldName":{}}},"SourceConnectorProperties":{"type":"structure","members":{"Marketo":{"type":"structure","required":["Object"],"members":{"Object":{}}},"S3":{"type":"structure","required":["BucketName"],"members":{"BucketName":{},"BucketPrefix":{}}},"Salesforce":{"type":"structure","required":["Object"],"members":{"Object":{},"EnableDynamicFieldUpdate":{"type":"boolean"},"IncludeDeletedRecords":{"type":"boolean"}}},"ServiceNow":{"type":"structure","required":["Object"],"members":{"Object":{}}},"Zendesk":{"type":"structure","required":["Object"],"members":{"Object":{}}}}}}},"Tasks":{"type":"list","member":{"type":"structure","required":["SourceFields","TaskType"],"members":{"ConnectorOperator":{"type":"structure","members":{"Marketo":{},"S3":{},"Salesforce":{},"ServiceNow":{},"Zendesk":{}}},"DestinationField":{},"SourceFields":{"type":"list","member":{}},"TaskProperties":{"type":"map","key":{},"value":{}},"TaskType":{}}}},"TriggerConfig":{"type":"structure","required":["TriggerType"],"members":{"TriggerType":{},"TriggerProperties":{"type":"structure","members":{"Scheduled":{"type":"structure","required":["ScheduleExpression"],"members":{"ScheduleExpression":{},"DataPullMode":{},"ScheduleStartTime":{"type":"timestamp"},"ScheduleEndTime":{"type":"timestamp"},"Timezone":{},"ScheduleOffset":{"type":"long"},"FirstExecutionFrom":{"type":"timestamp"}}}}}}}}}}},"output":{"type":"structure","required":["DomainName","Uri","ObjectTypeName","CreatedAt","LastUpdatedAt"],"members":{"DomainName":{},"Uri":{},"ObjectTypeName":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Tags":{"shape":"Sq"}}}},"PutProfileObject":{"http":{"method":"PUT","requestUri":"/domains/{DomainName}/profiles/objects"},"input":{"type":"structure","required":["ObjectTypeName","Object","DomainName"],"members":{"ObjectTypeName":{},"Object":{},"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"ProfileObjectUniqueKey":{}}}},"PutProfileObjectType":{"http":{"method":"PUT","requestUri":"/domains/{DomainName}/object-types/{ObjectTypeName}"},"input":{"type":"structure","required":["DomainName","ObjectTypeName","Description"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"ObjectTypeName":{"location":"uri","locationName":"ObjectTypeName"},"Description":{},"TemplateId":{},"ExpirationDays":{"type":"integer"},"EncryptionKey":{},"AllowProfileCreation":{"type":"boolean"},"SourceLastUpdatedTimestampFormat":{},"Fields":{"shape":"S2a"},"Keys":{"shape":"S2d"},"Tags":{"shape":"Sq"}}},"output":{"type":"structure","required":["ObjectTypeName","Description"],"members":{"ObjectTypeName":{},"Description":{},"TemplateId":{},"ExpirationDays":{"type":"integer"},"EncryptionKey":{},"AllowProfileCreation":{"type":"boolean"},"SourceLastUpdatedTimestampFormat":{},"Fields":{"shape":"S2a"},"Keys":{"shape":"S2d"},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Tags":{"shape":"Sq"}}}},"SearchProfiles":{"http":{"requestUri":"/domains/{DomainName}/profiles/search"},"input":{"type":"structure","required":["DomainName","KeyName","Values"],"members":{"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"DomainName":{"location":"uri","locationName":"DomainName"},"KeyName":{},"Values":{"shape":"S4"}}},"output":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"structure","members":{"ProfileId":{},"AccountNumber":{},"AdditionalInformation":{},"PartyType":{},"BusinessName":{},"FirstName":{},"MiddleName":{},"LastName":{},"BirthDate":{},"Gender":{},"PhoneNumber":{},"MobilePhoneNumber":{},"HomePhoneNumber":{},"BusinessPhoneNumber":{},"EmailAddress":{},"PersonalEmailAddress":{},"BusinessEmailAddress":{},"Address":{"shape":"S10"},"ShippingAddress":{"shape":"S10"},"MailingAddress":{"shape":"S10"},"BillingAddress":{"shape":"S10"},"Attributes":{"shape":"S11"}}}},"NextToken":{}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDomain":{"http":{"method":"PUT","requestUri":"/domains/{DomainName}"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"DefaultExpirationDays":{"type":"integer"},"DefaultEncryptionKey":{},"DeadLetterQueueUrl":{},"Matching":{"shape":"Sb"},"Tags":{"shape":"Sq"}}},"output":{"type":"structure","required":["DomainName","CreatedAt","LastUpdatedAt"],"members":{"DomainName":{},"DefaultExpirationDays":{"type":"integer"},"DefaultEncryptionKey":{},"DeadLetterQueueUrl":{},"Matching":{"shape":"Su"},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Tags":{"shape":"Sq"}}}},"UpdateProfile":{"http":{"method":"PUT","requestUri":"/domains/{DomainName}/profiles"},"input":{"type":"structure","required":["DomainName","ProfileId"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"ProfileId":{},"AdditionalInformation":{},"AccountNumber":{},"PartyType":{},"BusinessName":{},"FirstName":{},"MiddleName":{},"LastName":{},"BirthDate":{},"Gender":{},"PhoneNumber":{},"MobilePhoneNumber":{},"HomePhoneNumber":{},"BusinessPhoneNumber":{},"EmailAddress":{},"PersonalEmailAddress":{},"BusinessEmailAddress":{},"Address":{"shape":"S5a"},"ShippingAddress":{"shape":"S5a"},"MailingAddress":{"shape":"S5a"},"BillingAddress":{"shape":"S5a"},"Attributes":{"type":"map","key":{},"value":{}}}},"output":{"type":"structure","required":["ProfileId"],"members":{"ProfileId":{}}}}},"shapes":{"S4":{"type":"list","member":{}},"Sb":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"},"JobSchedule":{"shape":"Sd"},"AutoMerging":{"shape":"Sg"},"ExportingConfig":{"shape":"Sm"}}},"Sd":{"type":"structure","required":["DayOfTheWeek","Time"],"members":{"DayOfTheWeek":{},"Time":{}}},"Sg":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"},"Consolidation":{"shape":"Sh"},"ConflictResolution":{"shape":"Sk"}}},"Sh":{"type":"structure","required":["MatchingAttributesList"],"members":{"MatchingAttributesList":{"type":"list","member":{"type":"list","member":{}}}}},"Sk":{"type":"structure","required":["ConflictResolvingModel"],"members":{"ConflictResolvingModel":{},"SourceName":{}}},"Sm":{"type":"structure","members":{"S3Exporting":{"type":"structure","required":["S3BucketName"],"members":{"S3BucketName":{},"S3KeyName":{}}}}},"Sq":{"type":"map","key":{},"value":{}},"Su":{"type":"structure","members":{"Enabled":{"type":"boolean"},"JobSchedule":{"shape":"Sd"},"AutoMerging":{"shape":"Sg"},"ExportingConfig":{"shape":"Sm"}}},"S10":{"type":"structure","members":{"Address1":{},"Address2":{},"Address3":{},"Address4":{},"City":{},"County":{},"State":{},"Province":{},"Country":{},"PostalCode":{}}},"S11":{"type":"map","key":{},"value":{}},"S1r":{"type":"structure","members":{"S3Exporting":{"type":"structure","members":{"S3BucketName":{},"S3KeyName":{}}}}},"S1u":{"type":"structure","members":{"NumberOfProfilesReviewed":{"type":"long"},"NumberOfMatchesFound":{"type":"long"},"NumberOfMergesDone":{"type":"long"}}},"S2a":{"type":"map","key":{},"value":{"type":"structure","members":{"Source":{},"Target":{},"ContentType":{}}}},"S2d":{"type":"map","key":{},"value":{"type":"list","member":{"type":"structure","members":{"StandardIdentifiers":{"type":"list","member":{}},"FieldNames":{"type":"list","member":{}}}}}},"S2n":{"type":"list","member":{"type":"structure","required":["DomainName","Uri","ObjectTypeName","CreatedAt","LastUpdatedAt"],"members":{"DomainName":{},"Uri":{},"ObjectTypeName":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Tags":{"shape":"Sq"}}}},"S5a":{"type":"structure","members":{"Address1":{},"Address2":{},"Address3":{},"Address4":{},"City":{},"County":{},"State":{},"Province":{},"Country":{},"PostalCode":{}}}}}');

/***/ }),

/***/ 53892:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 96089:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-07-25","endpointPrefix":"databrew","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS Glue DataBrew","serviceId":"DataBrew","signatureVersion":"v4","signingName":"databrew","uid":"databrew-2017-07-25"},"operations":{"BatchDeleteRecipeVersion":{"http":{"requestUri":"/recipes/{name}/batchDeleteRecipeVersion"},"input":{"type":"structure","required":["Name","RecipeVersions"],"members":{"Name":{"location":"uri","locationName":"name"},"RecipeVersions":{"type":"list","member":{}}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{},"Errors":{"type":"list","member":{"type":"structure","members":{"ErrorCode":{},"ErrorMessage":{},"RecipeVersion":{}}}}}}},"CreateDataset":{"http":{"requestUri":"/datasets"},"input":{"type":"structure","required":["Name","Input"],"members":{"Name":{},"Format":{},"FormatOptions":{"shape":"Sd"},"Input":{"shape":"So"},"PathOptions":{"shape":"S12"},"Tags":{"shape":"S1l"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"CreateProfileJob":{"http":{"requestUri":"/profileJobs"},"input":{"type":"structure","required":["DatasetName","Name","OutputLocation","RoleArn"],"members":{"DatasetName":{},"EncryptionKeyArn":{},"EncryptionMode":{},"Name":{},"LogSubscription":{},"MaxCapacity":{"type":"integer"},"MaxRetries":{"type":"integer"},"OutputLocation":{"shape":"Sp"},"Configuration":{"shape":"S1w"},"ValidationConfigurations":{"shape":"S2f"},"RoleArn":{},"Tags":{"shape":"S1l"},"Timeout":{"type":"integer"},"JobSample":{"shape":"S2j"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"CreateProject":{"http":{"requestUri":"/projects"},"input":{"type":"structure","required":["DatasetName","Name","RecipeName","RoleArn"],"members":{"DatasetName":{},"Name":{},"RecipeName":{},"Sample":{"shape":"S2p"},"RoleArn":{},"Tags":{"shape":"S1l"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"CreateRecipe":{"http":{"requestUri":"/recipes"},"input":{"type":"structure","required":["Name","Steps"],"members":{"Description":{},"Name":{},"Steps":{"shape":"S2v"},"Tags":{"shape":"S1l"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"CreateRecipeJob":{"http":{"requestUri":"/recipeJobs"},"input":{"type":"structure","required":["Name","RoleArn"],"members":{"DatasetName":{},"EncryptionKeyArn":{},"EncryptionMode":{},"Name":{},"LogSubscription":{},"MaxCapacity":{"type":"integer"},"MaxRetries":{"type":"integer"},"Outputs":{"shape":"S35"},"DataCatalogOutputs":{"shape":"S3d"},"DatabaseOutputs":{"shape":"S3h"},"ProjectName":{},"RecipeReference":{"shape":"S3k"},"RoleArn":{},"Tags":{"shape":"S1l"},"Timeout":{"type":"integer"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"CreateRuleset":{"http":{"requestUri":"/rulesets"},"input":{"type":"structure","required":["Name","TargetArn","Rules"],"members":{"Name":{},"Description":{},"TargetArn":{},"Rules":{"shape":"S3p"},"Tags":{"shape":"S1l"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"CreateSchedule":{"http":{"requestUri":"/schedules"},"input":{"type":"structure","required":["CronExpression","Name"],"members":{"JobNames":{"shape":"S3z"},"CronExpression":{},"Tags":{"shape":"S1l"},"Name":{}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"DeleteDataset":{"http":{"method":"DELETE","requestUri":"/datasets/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"DeleteJob":{"http":{"method":"DELETE","requestUri":"/jobs/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"DeleteProject":{"http":{"method":"DELETE","requestUri":"/projects/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"DeleteRecipeVersion":{"http":{"method":"DELETE","requestUri":"/recipes/{name}/recipeVersion/{recipeVersion}"},"input":{"type":"structure","required":["Name","RecipeVersion"],"members":{"Name":{"location":"uri","locationName":"name"},"RecipeVersion":{"location":"uri","locationName":"recipeVersion"}}},"output":{"type":"structure","required":["Name","RecipeVersion"],"members":{"Name":{},"RecipeVersion":{}}}},"DeleteRuleset":{"http":{"method":"DELETE","requestUri":"/rulesets/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"DeleteSchedule":{"http":{"method":"DELETE","requestUri":"/schedules/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"DescribeDataset":{"http":{"method":"GET","requestUri":"/datasets/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name","Input"],"members":{"CreatedBy":{},"CreateDate":{"type":"timestamp"},"Name":{},"Format":{},"FormatOptions":{"shape":"Sd"},"Input":{"shape":"So"},"LastModifiedDate":{"type":"timestamp"},"LastModifiedBy":{},"Source":{},"PathOptions":{"shape":"S12"},"Tags":{"shape":"S1l"},"ResourceArn":{}}}},"DescribeJob":{"http":{"method":"GET","requestUri":"/jobs/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name"],"members":{"CreateDate":{"type":"timestamp"},"CreatedBy":{},"DatasetName":{},"EncryptionKeyArn":{},"EncryptionMode":{},"Name":{},"Type":{},"LastModifiedBy":{},"LastModifiedDate":{"type":"timestamp"},"LogSubscription":{},"MaxCapacity":{"type":"integer"},"MaxRetries":{"type":"integer"},"Outputs":{"shape":"S35"},"DataCatalogOutputs":{"shape":"S3d"},"DatabaseOutputs":{"shape":"S3h"},"ProjectName":{},"ProfileConfiguration":{"shape":"S1w"},"ValidationConfigurations":{"shape":"S2f"},"RecipeReference":{"shape":"S3k"},"ResourceArn":{},"RoleArn":{},"Tags":{"shape":"S1l"},"Timeout":{"type":"integer"},"JobSample":{"shape":"S2j"}}}},"DescribeJobRun":{"http":{"method":"GET","requestUri":"/jobs/{name}/jobRun/{runId}"},"input":{"type":"structure","required":["Name","RunId"],"members":{"Name":{"location":"uri","locationName":"name"},"RunId":{"location":"uri","locationName":"runId"}}},"output":{"type":"structure","required":["JobName"],"members":{"Attempt":{"type":"integer"},"CompletedOn":{"type":"timestamp"},"DatasetName":{},"ErrorMessage":{},"ExecutionTime":{"type":"integer"},"JobName":{},"ProfileConfiguration":{"shape":"S1w"},"ValidationConfigurations":{"shape":"S2f"},"RunId":{},"State":{},"LogSubscription":{},"LogGroupName":{},"Outputs":{"shape":"S35"},"DataCatalogOutputs":{"shape":"S3d"},"DatabaseOutputs":{"shape":"S3h"},"RecipeReference":{"shape":"S3k"},"StartedBy":{},"StartedOn":{"type":"timestamp"},"JobSample":{"shape":"S2j"}}}},"DescribeProject":{"http":{"method":"GET","requestUri":"/projects/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name"],"members":{"CreateDate":{"type":"timestamp"},"CreatedBy":{},"DatasetName":{},"LastModifiedDate":{"type":"timestamp"},"LastModifiedBy":{},"Name":{},"RecipeName":{},"ResourceArn":{},"Sample":{"shape":"S2p"},"RoleArn":{},"Tags":{"shape":"S1l"},"SessionStatus":{},"OpenedBy":{},"OpenDate":{"type":"timestamp"}}}},"DescribeRecipe":{"http":{"method":"GET","requestUri":"/recipes/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"},"RecipeVersion":{"location":"querystring","locationName":"recipeVersion"}}},"output":{"type":"structure","required":["Name"],"members":{"CreatedBy":{},"CreateDate":{"type":"timestamp"},"LastModifiedBy":{},"LastModifiedDate":{"type":"timestamp"},"ProjectName":{},"PublishedBy":{},"PublishedDate":{"type":"timestamp"},"Description":{},"Name":{},"Steps":{"shape":"S2v"},"Tags":{"shape":"S1l"},"ResourceArn":{},"RecipeVersion":{}}}},"DescribeRuleset":{"http":{"method":"GET","requestUri":"/rulesets/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"TargetArn":{},"Rules":{"shape":"S3p"},"CreateDate":{"type":"timestamp"},"CreatedBy":{},"LastModifiedBy":{},"LastModifiedDate":{"type":"timestamp"},"ResourceArn":{},"Tags":{"shape":"S1l"}}}},"DescribeSchedule":{"http":{"method":"GET","requestUri":"/schedules/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name"],"members":{"CreateDate":{"type":"timestamp"},"CreatedBy":{},"JobNames":{"shape":"S3z"},"LastModifiedBy":{},"LastModifiedDate":{"type":"timestamp"},"ResourceArn":{},"CronExpression":{},"Tags":{"shape":"S1l"},"Name":{}}}},"ListDatasets":{"http":{"method":"GET","requestUri":"/datasets"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["Datasets"],"members":{"Datasets":{"type":"list","member":{"type":"structure","required":["Name","Input"],"members":{"AccountId":{},"CreatedBy":{},"CreateDate":{"type":"timestamp"},"Name":{},"Format":{},"FormatOptions":{"shape":"Sd"},"Input":{"shape":"So"},"LastModifiedDate":{"type":"timestamp"},"LastModifiedBy":{},"Source":{},"PathOptions":{"shape":"S12"},"Tags":{"shape":"S1l"},"ResourceArn":{}}}},"NextToken":{}}}},"ListJobRuns":{"http":{"method":"GET","requestUri":"/jobs/{name}/jobRuns"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["JobRuns"],"members":{"JobRuns":{"type":"list","member":{"type":"structure","members":{"Attempt":{"type":"integer"},"CompletedOn":{"type":"timestamp"},"DatasetName":{},"ErrorMessage":{},"ExecutionTime":{"type":"integer"},"JobName":{},"RunId":{},"State":{},"LogSubscription":{},"LogGroupName":{},"Outputs":{"shape":"S35"},"DataCatalogOutputs":{"shape":"S3d"},"DatabaseOutputs":{"shape":"S3h"},"RecipeReference":{"shape":"S3k"},"StartedBy":{},"StartedOn":{"type":"timestamp"},"JobSample":{"shape":"S2j"},"ValidationConfigurations":{"shape":"S2f"}}}},"NextToken":{}}}},"ListJobs":{"http":{"method":"GET","requestUri":"/jobs"},"input":{"type":"structure","members":{"DatasetName":{"location":"querystring","locationName":"datasetName"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"ProjectName":{"location":"querystring","locationName":"projectName"}}},"output":{"type":"structure","required":["Jobs"],"members":{"Jobs":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"AccountId":{},"CreatedBy":{},"CreateDate":{"type":"timestamp"},"DatasetName":{},"EncryptionKeyArn":{},"EncryptionMode":{},"Name":{},"Type":{},"LastModifiedBy":{},"LastModifiedDate":{"type":"timestamp"},"LogSubscription":{},"MaxCapacity":{"type":"integer"},"MaxRetries":{"type":"integer"},"Outputs":{"shape":"S35"},"DataCatalogOutputs":{"shape":"S3d"},"DatabaseOutputs":{"shape":"S3h"},"ProjectName":{},"RecipeReference":{"shape":"S3k"},"ResourceArn":{},"RoleArn":{},"Timeout":{"type":"integer"},"Tags":{"shape":"S1l"},"JobSample":{"shape":"S2j"},"ValidationConfigurations":{"shape":"S2f"}}}},"NextToken":{}}}},"ListProjects":{"http":{"method":"GET","requestUri":"/projects"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["Projects"],"members":{"Projects":{"type":"list","member":{"type":"structure","required":["Name","RecipeName"],"members":{"AccountId":{},"CreateDate":{"type":"timestamp"},"CreatedBy":{},"DatasetName":{},"LastModifiedDate":{"type":"timestamp"},"LastModifiedBy":{},"Name":{},"RecipeName":{},"ResourceArn":{},"Sample":{"shape":"S2p"},"Tags":{"shape":"S1l"},"RoleArn":{},"OpenedBy":{},"OpenDate":{"type":"timestamp"}}}},"NextToken":{}}}},"ListRecipeVersions":{"http":{"method":"GET","requestUri":"/recipeVersions"},"input":{"type":"structure","required":["Name"],"members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"Name":{"location":"querystring","locationName":"name"}}},"output":{"type":"structure","required":["Recipes"],"members":{"NextToken":{},"Recipes":{"shape":"S5t"}}}},"ListRecipes":{"http":{"method":"GET","requestUri":"/recipes"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"RecipeVersion":{"location":"querystring","locationName":"recipeVersion"}}},"output":{"type":"structure","required":["Recipes"],"members":{"Recipes":{"shape":"S5t"},"NextToken":{}}}},"ListRulesets":{"http":{"method":"GET","requestUri":"/rulesets"},"input":{"type":"structure","members":{"TargetArn":{"location":"querystring","locationName":"targetArn"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["Rulesets"],"members":{"Rulesets":{"type":"list","member":{"type":"structure","required":["Name","TargetArn"],"members":{"AccountId":{},"CreatedBy":{},"CreateDate":{"type":"timestamp"},"Description":{},"LastModifiedBy":{},"LastModifiedDate":{"type":"timestamp"},"Name":{},"ResourceArn":{},"RuleCount":{"type":"integer"},"Tags":{"shape":"S1l"},"TargetArn":{}}}},"NextToken":{}}}},"ListSchedules":{"http":{"method":"GET","requestUri":"/schedules"},"input":{"type":"structure","members":{"JobName":{"location":"querystring","locationName":"jobName"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["Schedules"],"members":{"Schedules":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"AccountId":{},"CreatedBy":{},"CreateDate":{"type":"timestamp"},"JobNames":{"shape":"S3z"},"LastModifiedBy":{},"LastModifiedDate":{"type":"timestamp"},"ResourceArn":{},"CronExpression":{},"Tags":{"shape":"S1l"},"Name":{}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S1l"}}}},"PublishRecipe":{"http":{"requestUri":"/recipes/{name}/publishRecipe"},"input":{"type":"structure","required":["Name"],"members":{"Description":{},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"SendProjectSessionAction":{"http":{"method":"PUT","requestUri":"/projects/{name}/sendProjectSessionAction"},"input":{"type":"structure","required":["Name"],"members":{"Preview":{"type":"boolean"},"Name":{"location":"uri","locationName":"name"},"RecipeStep":{"shape":"S2w"},"StepIndex":{"type":"integer"},"ClientSessionId":{"shape":"S6d"},"ViewFrame":{"type":"structure","required":["StartColumnIndex"],"members":{"StartColumnIndex":{"type":"integer"},"ColumnRange":{"type":"integer"},"HiddenColumns":{"type":"list","member":{}},"StartRowIndex":{"type":"integer"},"RowRange":{"type":"integer"},"Analytics":{}}}}},"output":{"type":"structure","required":["Name"],"members":{"Result":{},"Name":{},"ActionId":{"type":"integer"}}}},"StartJobRun":{"http":{"requestUri":"/jobs/{name}/startJobRun"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["RunId"],"members":{"RunId":{}}}},"StartProjectSession":{"http":{"method":"PUT","requestUri":"/projects/{name}/startProjectSession"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"},"AssumeControl":{"type":"boolean"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{},"ClientSessionId":{"shape":"S6d"}}}},"StopJobRun":{"http":{"requestUri":"/jobs/{name}/jobRun/{runId}/stopJobRun"},"input":{"type":"structure","required":["Name","RunId"],"members":{"Name":{"location":"uri","locationName":"name"},"RunId":{"location":"uri","locationName":"runId"}}},"output":{"type":"structure","required":["RunId"],"members":{"RunId":{}}}},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"S1l"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDataset":{"http":{"method":"PUT","requestUri":"/datasets/{name}"},"input":{"type":"structure","required":["Name","Input"],"members":{"Name":{"location":"uri","locationName":"name"},"Format":{},"FormatOptions":{"shape":"Sd"},"Input":{"shape":"So"},"PathOptions":{"shape":"S12"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"UpdateProfileJob":{"http":{"method":"PUT","requestUri":"/profileJobs/{name}"},"input":{"type":"structure","required":["Name","OutputLocation","RoleArn"],"members":{"Configuration":{"shape":"S1w"},"EncryptionKeyArn":{},"EncryptionMode":{},"Name":{"location":"uri","locationName":"name"},"LogSubscription":{},"MaxCapacity":{"type":"integer"},"MaxRetries":{"type":"integer"},"OutputLocation":{"shape":"Sp"},"ValidationConfigurations":{"shape":"S2f"},"RoleArn":{},"Timeout":{"type":"integer"},"JobSample":{"shape":"S2j"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"UpdateProject":{"http":{"method":"PUT","requestUri":"/projects/{name}"},"input":{"type":"structure","required":["RoleArn","Name"],"members":{"Sample":{"shape":"S2p"},"RoleArn":{},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name"],"members":{"LastModifiedDate":{"type":"timestamp"},"Name":{}}}},"UpdateRecipe":{"http":{"method":"PUT","requestUri":"/recipes/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Description":{},"Name":{"location":"uri","locationName":"name"},"Steps":{"shape":"S2v"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"UpdateRecipeJob":{"http":{"method":"PUT","requestUri":"/recipeJobs/{name}"},"input":{"type":"structure","required":["Name","RoleArn"],"members":{"EncryptionKeyArn":{},"EncryptionMode":{},"Name":{"location":"uri","locationName":"name"},"LogSubscription":{},"MaxCapacity":{"type":"integer"},"MaxRetries":{"type":"integer"},"Outputs":{"shape":"S35"},"DataCatalogOutputs":{"shape":"S3d"},"DatabaseOutputs":{"shape":"S3h"},"RoleArn":{},"Timeout":{"type":"integer"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"UpdateRuleset":{"http":{"method":"PUT","requestUri":"/rulesets/{name}"},"input":{"type":"structure","required":["Name","Rules"],"members":{"Name":{"location":"uri","locationName":"name"},"Description":{},"Rules":{"shape":"S3p"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"UpdateSchedule":{"http":{"method":"PUT","requestUri":"/schedules/{name}"},"input":{"type":"structure","required":["CronExpression","Name"],"members":{"JobNames":{"shape":"S3z"},"CronExpression":{},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{}}}}},"shapes":{"Sd":{"type":"structure","members":{"Json":{"type":"structure","members":{"MultiLine":{"type":"boolean"}}},"Excel":{"type":"structure","members":{"SheetNames":{"type":"list","member":{}},"SheetIndexes":{"type":"list","member":{"type":"integer"}},"HeaderRow":{"type":"boolean"}}},"Csv":{"type":"structure","members":{"Delimiter":{},"HeaderRow":{"type":"boolean"}}}}},"So":{"type":"structure","members":{"S3InputDefinition":{"shape":"Sp"},"DataCatalogInputDefinition":{"type":"structure","required":["DatabaseName","TableName"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"TempDirectory":{"shape":"Sp"}}},"DatabaseInputDefinition":{"type":"structure","required":["GlueConnectionName"],"members":{"GlueConnectionName":{},"DatabaseTableName":{},"TempDirectory":{"shape":"Sp"},"QueryString":{}}},"Metadata":{"type":"structure","members":{"SourceArn":{}}}}},"Sp":{"type":"structure","required":["Bucket"],"members":{"Bucket":{},"Key":{}}},"S12":{"type":"structure","members":{"LastModifiedDateCondition":{"shape":"S13"},"FilesLimit":{"type":"structure","required":["MaxFiles"],"members":{"MaxFiles":{"type":"integer"},"OrderedBy":{},"Order":{}}},"Parameters":{"type":"map","key":{},"value":{"type":"structure","required":["Name","Type"],"members":{"Name":{},"Type":{},"DatetimeOptions":{"type":"structure","required":["Format"],"members":{"Format":{},"TimezoneOffset":{},"LocaleCode":{}}},"CreateColumn":{"type":"boolean"},"Filter":{"shape":"S13"}}}}}},"S13":{"type":"structure","required":["Expression","ValuesMap"],"members":{"Expression":{},"ValuesMap":{"shape":"S15"}}},"S15":{"type":"map","key":{},"value":{}},"S1l":{"type":"map","key":{},"value":{}},"S1w":{"type":"structure","members":{"DatasetStatisticsConfiguration":{"shape":"S1x"},"ProfileColumns":{"shape":"S25"},"ColumnStatisticsConfigurations":{"type":"list","member":{"type":"structure","required":["Statistics"],"members":{"Selectors":{"shape":"S25"},"Statistics":{"shape":"S1x"}}}},"EntityDetectorConfiguration":{"type":"structure","required":["EntityTypes"],"members":{"EntityTypes":{"type":"list","member":{}},"AllowedStatistics":{"type":"list","member":{"type":"structure","required":["Statistics"],"members":{"Statistics":{"shape":"S1y"}}}}}}}},"S1x":{"type":"structure","members":{"IncludedStatistics":{"shape":"S1y"},"Overrides":{"type":"list","member":{"type":"structure","required":["Statistic","Parameters"],"members":{"Statistic":{},"Parameters":{"shape":"S22"}}}}}},"S1y":{"type":"list","member":{}},"S22":{"type":"map","key":{},"value":{}},"S25":{"type":"list","member":{"type":"structure","members":{"Regex":{},"Name":{}}}},"S2f":{"type":"list","member":{"type":"structure","required":["RulesetArn"],"members":{"RulesetArn":{},"ValidationMode":{}}}},"S2j":{"type":"structure","members":{"Mode":{},"Size":{"type":"long"}}},"S2p":{"type":"structure","required":["Type"],"members":{"Size":{"type":"integer"},"Type":{}}},"S2v":{"type":"list","member":{"shape":"S2w"}},"S2w":{"type":"structure","required":["Action"],"members":{"Action":{"type":"structure","required":["Operation"],"members":{"Operation":{},"Parameters":{"shape":"S22"}}},"ConditionExpressions":{"type":"list","member":{"type":"structure","required":["Condition","TargetColumn"],"members":{"Condition":{},"Value":{},"TargetColumn":{}}}}}},"S35":{"type":"list","member":{"type":"structure","required":["Location"],"members":{"CompressionFormat":{},"Format":{},"PartitionColumns":{"type":"list","member":{}},"Location":{"shape":"Sp"},"Overwrite":{"type":"boolean"},"FormatOptions":{"type":"structure","members":{"Csv":{"type":"structure","members":{"Delimiter":{}}}}}}}},"S3d":{"type":"list","member":{"type":"structure","required":["DatabaseName","TableName"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"S3Options":{"type":"structure","required":["Location"],"members":{"Location":{"shape":"Sp"}}},"DatabaseOptions":{"shape":"S3g"},"Overwrite":{"type":"boolean"}}}},"S3g":{"type":"structure","required":["TableName"],"members":{"TempDirectory":{"shape":"Sp"},"TableName":{}}},"S3h":{"type":"list","member":{"type":"structure","required":["GlueConnectionName","DatabaseOptions"],"members":{"GlueConnectionName":{},"DatabaseOptions":{"shape":"S3g"},"DatabaseOutputMode":{}}}},"S3k":{"type":"structure","required":["Name"],"members":{"Name":{},"RecipeVersion":{}}},"S3p":{"type":"list","member":{"type":"structure","required":["Name","CheckExpression"],"members":{"Name":{},"Disabled":{"type":"boolean"},"CheckExpression":{},"SubstitutionMap":{"shape":"S15"},"Threshold":{"type":"structure","required":["Value"],"members":{"Value":{"type":"double"},"Type":{},"Unit":{}}},"ColumnSelectors":{"shape":"S25"}}}},"S3z":{"type":"list","member":{}},"S5t":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"CreatedBy":{},"CreateDate":{"type":"timestamp"},"LastModifiedBy":{},"LastModifiedDate":{"type":"timestamp"},"ProjectName":{},"PublishedBy":{},"PublishedDate":{"type":"timestamp"},"Description":{},"Name":{},"ResourceArn":{},"Steps":{"shape":"S2v"},"Tags":{"shape":"S1l"},"RecipeVersion":{}}}},"S6d":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 92224:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDatasets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Datasets"},"ListJobRuns":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"JobRuns"},"ListJobs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Jobs"},"ListProjects":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Projects"},"ListRecipeVersions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Recipes"},"ListRecipes":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Recipes"},"ListRulesets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Rulesets"},"ListSchedules":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Schedules"}}}');

/***/ }),

/***/ 42346:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2017-07-25","endpointPrefix":"dataexchange","signingName":"dataexchange","serviceFullName":"AWS Data Exchange","serviceId":"DataExchange","protocol":"rest-json","jsonVersion":"1.1","uid":"dataexchange-2017-07-25","signatureVersion":"v4"},"operations":{"CancelJob":{"http":{"method":"DELETE","requestUri":"/v1/jobs/{JobId}","responseCode":204},"input":{"type":"structure","members":{"JobId":{"location":"uri","locationName":"JobId"}},"required":["JobId"]}},"CreateDataSet":{"http":{"requestUri":"/v1/data-sets","responseCode":201},"input":{"type":"structure","members":{"AssetType":{},"Description":{},"Name":{},"Tags":{"shape":"S7"}},"required":["AssetType","Description","Name"]},"output":{"type":"structure","members":{"Arn":{},"AssetType":{},"CreatedAt":{"shape":"Sa"},"Description":{},"Id":{},"Name":{},"Origin":{},"OriginDetails":{"shape":"Sd"},"SourceId":{},"Tags":{"shape":"S7"},"UpdatedAt":{"shape":"Sa"}}}},"CreateEventAction":{"http":{"requestUri":"/v1/event-actions","responseCode":201},"input":{"type":"structure","members":{"Action":{"shape":"Sf"},"Event":{"shape":"Sk"}},"required":["Action","Event"]},"output":{"type":"structure","members":{"Action":{"shape":"Sf"},"Arn":{},"CreatedAt":{"shape":"Sa"},"Event":{"shape":"Sk"},"Id":{},"UpdatedAt":{"shape":"Sa"}}}},"CreateJob":{"http":{"requestUri":"/v1/jobs","responseCode":201},"input":{"type":"structure","members":{"Details":{"type":"structure","members":{"ExportAssetToSignedUrl":{"type":"structure","members":{"AssetId":{},"DataSetId":{},"RevisionId":{}},"required":["DataSetId","AssetId","RevisionId"]},"ExportAssetsToS3":{"type":"structure","members":{"AssetDestinations":{"shape":"Sr"},"DataSetId":{},"Encryption":{"shape":"Sh"},"RevisionId":{}},"required":["AssetDestinations","DataSetId","RevisionId"]},"ExportRevisionsToS3":{"type":"structure","members":{"DataSetId":{},"Encryption":{"shape":"Sh"},"RevisionDestinations":{"shape":"Su"}},"required":["RevisionDestinations","DataSetId"]},"ImportAssetFromSignedUrl":{"type":"structure","members":{"AssetName":{},"DataSetId":{},"Md5Hash":{},"RevisionId":{}},"required":["DataSetId","Md5Hash","AssetName","RevisionId"]},"ImportAssetsFromS3":{"type":"structure","members":{"AssetSources":{"shape":"S10"},"DataSetId":{},"RevisionId":{}},"required":["DataSetId","AssetSources","RevisionId"]},"ImportAssetsFromRedshiftDataShares":{"type":"structure","members":{"AssetSources":{"shape":"S13"},"DataSetId":{},"RevisionId":{}},"required":["DataSetId","AssetSources","RevisionId"]},"ImportAssetFromApiGatewayApi":{"type":"structure","members":{"ApiDescription":{},"ApiId":{},"ApiKey":{},"ApiName":{},"ApiSpecificationMd5Hash":{},"DataSetId":{},"ProtocolType":{},"RevisionId":{},"Stage":{}},"required":["ApiName","ProtocolType","ApiSpecificationMd5Hash","Stage","DataSetId","ApiId","RevisionId"]}}},"Type":{}},"required":["Type","Details"]},"output":{"type":"structure","members":{"Arn":{},"CreatedAt":{"shape":"Sa"},"Details":{"shape":"S1a"},"Errors":{"shape":"S1i"},"Id":{},"State":{},"Type":{},"UpdatedAt":{"shape":"Sa"}}}},"CreateRevision":{"http":{"requestUri":"/v1/data-sets/{DataSetId}/revisions","responseCode":201},"input":{"type":"structure","members":{"Comment":{},"DataSetId":{"location":"uri","locationName":"DataSetId"},"Tags":{"shape":"S7"}},"required":["DataSetId"]},"output":{"type":"structure","members":{"Arn":{},"Comment":{},"CreatedAt":{"shape":"Sa"},"DataSetId":{},"Finalized":{"type":"boolean"},"Id":{},"SourceId":{},"Tags":{"shape":"S7"},"UpdatedAt":{"shape":"Sa"}}}},"DeleteAsset":{"http":{"method":"DELETE","requestUri":"/v1/data-sets/{DataSetId}/revisions/{RevisionId}/assets/{AssetId}","responseCode":204},"input":{"type":"structure","members":{"AssetId":{"location":"uri","locationName":"AssetId"},"DataSetId":{"location":"uri","locationName":"DataSetId"},"RevisionId":{"location":"uri","locationName":"RevisionId"}},"required":["RevisionId","AssetId","DataSetId"]}},"DeleteDataSet":{"http":{"method":"DELETE","requestUri":"/v1/data-sets/{DataSetId}","responseCode":204},"input":{"type":"structure","members":{"DataSetId":{"location":"uri","locationName":"DataSetId"}},"required":["DataSetId"]}},"DeleteEventAction":{"http":{"method":"DELETE","requestUri":"/v1/event-actions/{EventActionId}","responseCode":204},"input":{"type":"structure","members":{"EventActionId":{"location":"uri","locationName":"EventActionId"}},"required":["EventActionId"]}},"DeleteRevision":{"http":{"method":"DELETE","requestUri":"/v1/data-sets/{DataSetId}/revisions/{RevisionId}","responseCode":204},"input":{"type":"structure","members":{"DataSetId":{"location":"uri","locationName":"DataSetId"},"RevisionId":{"location":"uri","locationName":"RevisionId"}},"required":["RevisionId","DataSetId"]}},"GetAsset":{"http":{"method":"GET","requestUri":"/v1/data-sets/{DataSetId}/revisions/{RevisionId}/assets/{AssetId}","responseCode":200},"input":{"type":"structure","members":{"AssetId":{"location":"uri","locationName":"AssetId"},"DataSetId":{"location":"uri","locationName":"DataSetId"},"RevisionId":{"location":"uri","locationName":"RevisionId"}},"required":["RevisionId","AssetId","DataSetId"]},"output":{"type":"structure","members":{"Arn":{},"AssetDetails":{"shape":"S21"},"AssetType":{},"CreatedAt":{"shape":"Sa"},"DataSetId":{},"Id":{},"Name":{},"RevisionId":{},"SourceId":{},"UpdatedAt":{"shape":"Sa"}}}},"GetDataSet":{"http":{"method":"GET","requestUri":"/v1/data-sets/{DataSetId}","responseCode":200},"input":{"type":"structure","members":{"DataSetId":{"location":"uri","locationName":"DataSetId"}},"required":["DataSetId"]},"output":{"type":"structure","members":{"Arn":{},"AssetType":{},"CreatedAt":{"shape":"Sa"},"Description":{},"Id":{},"Name":{},"Origin":{},"OriginDetails":{"shape":"Sd"},"SourceId":{},"Tags":{"shape":"S7"},"UpdatedAt":{"shape":"Sa"}}}},"GetEventAction":{"http":{"method":"GET","requestUri":"/v1/event-actions/{EventActionId}","responseCode":200},"input":{"type":"structure","members":{"EventActionId":{"location":"uri","locationName":"EventActionId"}},"required":["EventActionId"]},"output":{"type":"structure","members":{"Action":{"shape":"Sf"},"Arn":{},"CreatedAt":{"shape":"Sa"},"Event":{"shape":"Sk"},"Id":{},"UpdatedAt":{"shape":"Sa"}}}},"GetJob":{"http":{"method":"GET","requestUri":"/v1/jobs/{JobId}","responseCode":200},"input":{"type":"structure","members":{"JobId":{"location":"uri","locationName":"JobId"}},"required":["JobId"]},"output":{"type":"structure","members":{"Arn":{},"CreatedAt":{"shape":"Sa"},"Details":{"shape":"S1a"},"Errors":{"shape":"S1i"},"Id":{},"State":{},"Type":{},"UpdatedAt":{"shape":"Sa"}}}},"GetRevision":{"http":{"method":"GET","requestUri":"/v1/data-sets/{DataSetId}/revisions/{RevisionId}","responseCode":200},"input":{"type":"structure","members":{"DataSetId":{"location":"uri","locationName":"DataSetId"},"RevisionId":{"location":"uri","locationName":"RevisionId"}},"required":["RevisionId","DataSetId"]},"output":{"type":"structure","members":{"Arn":{},"Comment":{},"CreatedAt":{"shape":"Sa"},"DataSetId":{},"Finalized":{"type":"boolean"},"Id":{},"SourceId":{},"Tags":{"shape":"S7"},"UpdatedAt":{"shape":"Sa"}}}},"ListDataSetRevisions":{"http":{"method":"GET","requestUri":"/v1/data-sets/{DataSetId}/revisions","responseCode":200},"input":{"type":"structure","members":{"DataSetId":{"location":"uri","locationName":"DataSetId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["DataSetId"]},"output":{"type":"structure","members":{"NextToken":{},"Revisions":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Comment":{},"CreatedAt":{"shape":"Sa"},"DataSetId":{},"Finalized":{"type":"boolean"},"Id":{},"SourceId":{},"UpdatedAt":{"shape":"Sa"}},"required":["CreatedAt","DataSetId","Id","Arn","UpdatedAt"]}}}}},"ListDataSets":{"http":{"method":"GET","requestUri":"/v1/data-sets","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"Origin":{"location":"querystring","locationName":"origin"}}},"output":{"type":"structure","members":{"DataSets":{"type":"list","member":{"type":"structure","members":{"Arn":{},"AssetType":{},"CreatedAt":{"shape":"Sa"},"Description":{},"Id":{},"Name":{},"Origin":{},"OriginDetails":{"shape":"Sd"},"SourceId":{},"UpdatedAt":{"shape":"Sa"}},"required":["Origin","AssetType","Description","CreatedAt","Id","Arn","UpdatedAt","Name"]}},"NextToken":{}}}},"ListEventActions":{"http":{"method":"GET","requestUri":"/v1/event-actions","responseCode":200},"input":{"type":"structure","members":{"EventSourceId":{"location":"querystring","locationName":"eventSourceId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"EventActions":{"type":"list","member":{"type":"structure","members":{"Action":{"shape":"Sf"},"Arn":{},"CreatedAt":{"shape":"Sa"},"Event":{"shape":"Sk"},"Id":{},"UpdatedAt":{"shape":"Sa"}},"required":["Action","CreatedAt","Event","Id","Arn","UpdatedAt"]}},"NextToken":{}}}},"ListJobs":{"http":{"method":"GET","requestUri":"/v1/jobs","responseCode":200},"input":{"type":"structure","members":{"DataSetId":{"location":"querystring","locationName":"dataSetId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"RevisionId":{"location":"querystring","locationName":"revisionId"}}},"output":{"type":"structure","members":{"Jobs":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreatedAt":{"shape":"Sa"},"Details":{"shape":"S1a"},"Errors":{"shape":"S1i"},"Id":{},"State":{},"Type":{},"UpdatedAt":{"shape":"Sa"}},"required":["Type","Details","State","CreatedAt","Id","Arn","UpdatedAt"]}},"NextToken":{}}}},"ListRevisionAssets":{"http":{"method":"GET","requestUri":"/v1/data-sets/{DataSetId}/revisions/{RevisionId}/assets","responseCode":200},"input":{"type":"structure","members":{"DataSetId":{"location":"uri","locationName":"DataSetId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"RevisionId":{"location":"uri","locationName":"RevisionId"}},"required":["RevisionId","DataSetId"]},"output":{"type":"structure","members":{"Assets":{"type":"list","member":{"type":"structure","members":{"Arn":{},"AssetDetails":{"shape":"S21"},"AssetType":{},"CreatedAt":{"shape":"Sa"},"DataSetId":{},"Id":{},"Name":{},"RevisionId":{},"SourceId":{},"UpdatedAt":{"shape":"Sa"}},"required":["AssetType","CreatedAt","DataSetId","Id","Arn","AssetDetails","UpdatedAt","RevisionId","Name"]}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resource-arn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{"Tags":{"shape":"S7","locationName":"tags"}}}},"SendApiAsset":{"http":{"requestUri":"/v1","responseCode":200},"input":{"type":"structure","members":{"Body":{},"QueryStringParameters":{"shape":"S7","location":"querystring"},"AssetId":{"location":"header","locationName":"x-amzn-dataexchange-asset-id"},"DataSetId":{"location":"header","locationName":"x-amzn-dataexchange-data-set-id"},"RequestHeaders":{"shape":"S7","location":"headers","locationName":"x-amzn-dataexchange-header-"},"Method":{"location":"header","locationName":"x-amzn-dataexchange-http-method"},"Path":{"location":"header","locationName":"x-amzn-dataexchange-path"},"RevisionId":{"location":"header","locationName":"x-amzn-dataexchange-revision-id"}},"required":["DataSetId","RevisionId","AssetId"],"payload":"Body"},"output":{"type":"structure","members":{"Body":{},"ResponseHeaders":{"shape":"S7","location":"headers","locationName":""}},"payload":"Body"},"endpoint":{"hostPrefix":"api-fulfill."}},"StartJob":{"http":{"method":"PATCH","requestUri":"/v1/jobs/{JobId}","responseCode":202},"input":{"type":"structure","members":{"JobId":{"location":"uri","locationName":"JobId"}},"required":["JobId"]},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"Tags":{"shape":"S7","locationName":"tags"}},"required":["ResourceArn","Tags"]}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}},"required":["TagKeys","ResourceArn"]}},"UpdateAsset":{"http":{"method":"PATCH","requestUri":"/v1/data-sets/{DataSetId}/revisions/{RevisionId}/assets/{AssetId}","responseCode":200},"input":{"type":"structure","members":{"AssetId":{"location":"uri","locationName":"AssetId"},"DataSetId":{"location":"uri","locationName":"DataSetId"},"Name":{},"RevisionId":{"location":"uri","locationName":"RevisionId"}},"required":["RevisionId","AssetId","DataSetId","Name"]},"output":{"type":"structure","members":{"Arn":{},"AssetDetails":{"shape":"S21"},"AssetType":{},"CreatedAt":{"shape":"Sa"},"DataSetId":{},"Id":{},"Name":{},"RevisionId":{},"SourceId":{},"UpdatedAt":{"shape":"Sa"}}}},"UpdateDataSet":{"http":{"method":"PATCH","requestUri":"/v1/data-sets/{DataSetId}","responseCode":200},"input":{"type":"structure","members":{"DataSetId":{"location":"uri","locationName":"DataSetId"},"Description":{},"Name":{}},"required":["DataSetId"]},"output":{"type":"structure","members":{"Arn":{},"AssetType":{},"CreatedAt":{"shape":"Sa"},"Description":{},"Id":{},"Name":{},"Origin":{},"OriginDetails":{"shape":"Sd"},"SourceId":{},"UpdatedAt":{"shape":"Sa"}}}},"UpdateEventAction":{"http":{"method":"PATCH","requestUri":"/v1/event-actions/{EventActionId}","responseCode":200},"input":{"type":"structure","members":{"Action":{"shape":"Sf"},"EventActionId":{"location":"uri","locationName":"EventActionId"}},"required":["EventActionId"]},"output":{"type":"structure","members":{"Action":{"shape":"Sf"},"Arn":{},"CreatedAt":{"shape":"Sa"},"Event":{"shape":"Sk"},"Id":{},"UpdatedAt":{"shape":"Sa"}}}},"UpdateRevision":{"http":{"method":"PATCH","requestUri":"/v1/data-sets/{DataSetId}/revisions/{RevisionId}","responseCode":200},"input":{"type":"structure","members":{"Comment":{},"DataSetId":{"location":"uri","locationName":"DataSetId"},"Finalized":{"type":"boolean"},"RevisionId":{"location":"uri","locationName":"RevisionId"}},"required":["RevisionId","DataSetId"]},"output":{"type":"structure","members":{"Arn":{},"Comment":{},"CreatedAt":{"shape":"Sa"},"DataSetId":{},"Finalized":{"type":"boolean"},"Id":{},"SourceId":{},"UpdatedAt":{"shape":"Sa"}}}}},"shapes":{"S7":{"type":"map","key":{},"value":{}},"Sa":{"type":"timestamp","timestampFormat":"iso8601"},"Sd":{"type":"structure","members":{"ProductId":{}},"required":["ProductId"]},"Sf":{"type":"structure","members":{"ExportRevisionToS3":{"type":"structure","members":{"Encryption":{"shape":"Sh"},"RevisionDestination":{"type":"structure","members":{"Bucket":{},"KeyPattern":{}},"required":["Bucket"]}},"required":["RevisionDestination"]}}},"Sh":{"type":"structure","members":{"KmsKeyArn":{},"Type":{}},"required":["Type"]},"Sk":{"type":"structure","members":{"RevisionPublished":{"type":"structure","members":{"DataSetId":{}},"required":["DataSetId"]}}},"Sr":{"type":"list","member":{"type":"structure","members":{"AssetId":{},"Bucket":{},"Key":{}},"required":["Bucket","AssetId"]}},"Su":{"type":"list","member":{"type":"structure","members":{"Bucket":{},"KeyPattern":{},"RevisionId":{}},"required":["Bucket","RevisionId"]}},"S10":{"type":"list","member":{"type":"structure","members":{"Bucket":{},"Key":{}},"required":["Bucket","Key"]}},"S13":{"type":"list","member":{"type":"structure","members":{"DataShareArn":{}},"required":["DataShareArn"]}},"S1a":{"type":"structure","members":{"ExportAssetToSignedUrl":{"type":"structure","members":{"AssetId":{},"DataSetId":{},"RevisionId":{},"SignedUrl":{},"SignedUrlExpiresAt":{"shape":"Sa"}},"required":["DataSetId","AssetId","RevisionId"]},"ExportAssetsToS3":{"type":"structure","members":{"AssetDestinations":{"shape":"Sr"},"DataSetId":{},"Encryption":{"shape":"Sh"},"RevisionId":{}},"required":["AssetDestinations","DataSetId","RevisionId"]},"ExportRevisionsToS3":{"type":"structure","members":{"DataSetId":{},"Encryption":{"shape":"Sh"},"RevisionDestinations":{"shape":"Su"},"EventActionArn":{}},"required":["RevisionDestinations","DataSetId"]},"ImportAssetFromSignedUrl":{"type":"structure","members":{"AssetName":{},"DataSetId":{},"Md5Hash":{},"RevisionId":{},"SignedUrl":{},"SignedUrlExpiresAt":{"shape":"Sa"}},"required":["DataSetId","AssetName","RevisionId"]},"ImportAssetsFromS3":{"type":"structure","members":{"AssetSources":{"shape":"S10"},"DataSetId":{},"RevisionId":{}},"required":["DataSetId","AssetSources","RevisionId"]},"ImportAssetsFromRedshiftDataShares":{"type":"structure","members":{"AssetSources":{"shape":"S13"},"DataSetId":{},"RevisionId":{}},"required":["DataSetId","AssetSources","RevisionId"]},"ImportAssetFromApiGatewayApi":{"type":"structure","members":{"ApiDescription":{},"ApiId":{},"ApiKey":{},"ApiName":{},"ApiSpecificationMd5Hash":{},"ApiSpecificationUploadUrl":{},"ApiSpecificationUploadUrlExpiresAt":{"shape":"Sa"},"DataSetId":{},"ProtocolType":{},"RevisionId":{},"Stage":{}},"required":["ApiSpecificationUploadUrlExpiresAt","ApiName","ProtocolType","ApiSpecificationMd5Hash","Stage","DataSetId","ApiId","RevisionId","ApiSpecificationUploadUrl"]}}},"S1i":{"type":"list","member":{"type":"structure","members":{"Code":{},"Details":{"type":"structure","members":{"ImportAssetFromSignedUrlJobErrorDetails":{"type":"structure","members":{"AssetName":{}},"required":["AssetName"]},"ImportAssetsFromS3JobErrorDetails":{"shape":"S10"}}},"LimitName":{},"LimitValue":{"type":"double"},"Message":{},"ResourceId":{},"ResourceType":{}},"required":["Message","Code"]}},"S21":{"type":"structure","members":{"S3SnapshotAsset":{"type":"structure","members":{"Size":{"type":"double"}},"required":["Size"]},"RedshiftDataShareAsset":{"type":"structure","members":{"Arn":{}},"required":["Arn"]},"ApiGatewayApiAsset":{"type":"structure","members":{"ApiDescription":{},"ApiEndpoint":{},"ApiId":{},"ApiKey":{},"ApiName":{},"ApiSpecificationDownloadUrl":{},"ApiSpecificationDownloadUrlExpiresAt":{"shape":"Sa"},"ProtocolType":{},"Stage":{}}}}}}}');

/***/ }),

/***/ 55607:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDataSetRevisions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Revisions"},"ListDataSets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"DataSets"},"ListEventActions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"EventActions"},"ListJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Jobs"},"ListRevisionAssets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Assets"}}}');

/***/ }),

/***/ 79908:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2012-10-29","endpointPrefix":"datapipeline","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Data Pipeline","serviceId":"Data Pipeline","signatureVersion":"v4","targetPrefix":"DataPipeline","uid":"datapipeline-2012-10-29"},"operations":{"ActivatePipeline":{"input":{"type":"structure","required":["pipelineId"],"members":{"pipelineId":{},"parameterValues":{"shape":"S3"},"startTimestamp":{"type":"timestamp"}}},"output":{"type":"structure","members":{}}},"AddTags":{"input":{"type":"structure","required":["pipelineId","tags"],"members":{"pipelineId":{},"tags":{"shape":"Sa"}}},"output":{"type":"structure","members":{}}},"CreatePipeline":{"input":{"type":"structure","required":["name","uniqueId"],"members":{"name":{},"uniqueId":{},"description":{},"tags":{"shape":"Sa"}}},"output":{"type":"structure","required":["pipelineId"],"members":{"pipelineId":{}}}},"DeactivatePipeline":{"input":{"type":"structure","required":["pipelineId"],"members":{"pipelineId":{},"cancelActive":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeletePipeline":{"input":{"type":"structure","required":["pipelineId"],"members":{"pipelineId":{}}}},"DescribeObjects":{"input":{"type":"structure","required":["pipelineId","objectIds"],"members":{"pipelineId":{},"objectIds":{"shape":"Sn"},"evaluateExpressions":{"type":"boolean"},"marker":{}}},"output":{"type":"structure","required":["pipelineObjects"],"members":{"pipelineObjects":{"shape":"Sq"},"marker":{},"hasMoreResults":{"type":"boolean"}}}},"DescribePipelines":{"input":{"type":"structure","required":["pipelineIds"],"members":{"pipelineIds":{"shape":"Sn"}}},"output":{"type":"structure","required":["pipelineDescriptionList"],"members":{"pipelineDescriptionList":{"type":"list","member":{"type":"structure","required":["pipelineId","name","fields"],"members":{"pipelineId":{},"name":{},"fields":{"shape":"Ss"},"description":{},"tags":{"shape":"Sa"}}}}}}},"EvaluateExpression":{"input":{"type":"structure","required":["pipelineId","objectId","expression"],"members":{"pipelineId":{},"objectId":{},"expression":{}}},"output":{"type":"structure","required":["evaluatedExpression"],"members":{"evaluatedExpression":{}}}},"GetPipelineDefinition":{"input":{"type":"structure","required":["pipelineId"],"members":{"pipelineId":{},"version":{}}},"output":{"type":"structure","members":{"pipelineObjects":{"shape":"Sq"},"parameterObjects":{"shape":"S13"},"parameterValues":{"shape":"S3"}}}},"ListPipelines":{"input":{"type":"structure","members":{"marker":{}}},"output":{"type":"structure","required":["pipelineIdList"],"members":{"pipelineIdList":{"type":"list","member":{"type":"structure","members":{"id":{},"name":{}}}},"marker":{},"hasMoreResults":{"type":"boolean"}}}},"PollForTask":{"input":{"type":"structure","required":["workerGroup"],"members":{"workerGroup":{},"hostname":{},"instanceIdentity":{"type":"structure","members":{"document":{},"signature":{}}}}},"output":{"type":"structure","members":{"taskObject":{"type":"structure","members":{"taskId":{},"pipelineId":{},"attemptId":{},"objects":{"type":"map","key":{},"value":{"shape":"Sr"}}}}}}},"PutPipelineDefinition":{"input":{"type":"structure","required":["pipelineId","pipelineObjects"],"members":{"pipelineId":{},"pipelineObjects":{"shape":"Sq"},"parameterObjects":{"shape":"S13"},"parameterValues":{"shape":"S3"}}},"output":{"type":"structure","required":["errored"],"members":{"validationErrors":{"shape":"S1l"},"validationWarnings":{"shape":"S1p"},"errored":{"type":"boolean"}}}},"QueryObjects":{"input":{"type":"structure","required":["pipelineId","sphere"],"members":{"pipelineId":{},"query":{"type":"structure","members":{"selectors":{"type":"list","member":{"type":"structure","members":{"fieldName":{},"operator":{"type":"structure","members":{"type":{},"values":{"shape":"S1x"}}}}}}}},"sphere":{},"marker":{},"limit":{"type":"integer"}}},"output":{"type":"structure","members":{"ids":{"shape":"Sn"},"marker":{},"hasMoreResults":{"type":"boolean"}}}},"RemoveTags":{"input":{"type":"structure","required":["pipelineId","tagKeys"],"members":{"pipelineId":{},"tagKeys":{"shape":"S1x"}}},"output":{"type":"structure","members":{}}},"ReportTaskProgress":{"input":{"type":"structure","required":["taskId"],"members":{"taskId":{},"fields":{"shape":"Ss"}}},"output":{"type":"structure","required":["canceled"],"members":{"canceled":{"type":"boolean"}}}},"ReportTaskRunnerHeartbeat":{"input":{"type":"structure","required":["taskrunnerId"],"members":{"taskrunnerId":{},"workerGroup":{},"hostname":{}}},"output":{"type":"structure","required":["terminate"],"members":{"terminate":{"type":"boolean"}}}},"SetStatus":{"input":{"type":"structure","required":["pipelineId","objectIds","status"],"members":{"pipelineId":{},"objectIds":{"shape":"Sn"},"status":{}}}},"SetTaskStatus":{"input":{"type":"structure","required":["taskId","taskStatus"],"members":{"taskId":{},"taskStatus":{},"errorId":{},"errorMessage":{},"errorStackTrace":{}}},"output":{"type":"structure","members":{}}},"ValidatePipelineDefinition":{"input":{"type":"structure","required":["pipelineId","pipelineObjects"],"members":{"pipelineId":{},"pipelineObjects":{"shape":"Sq"},"parameterObjects":{"shape":"S13"},"parameterValues":{"shape":"S3"}}},"output":{"type":"structure","required":["errored"],"members":{"validationErrors":{"shape":"S1l"},"validationWarnings":{"shape":"S1p"},"errored":{"type":"boolean"}}}}},"shapes":{"S3":{"type":"list","member":{"type":"structure","required":["id","stringValue"],"members":{"id":{},"stringValue":{}}}},"Sa":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"Sn":{"type":"list","member":{}},"Sq":{"type":"list","member":{"shape":"Sr"}},"Sr":{"type":"structure","required":["id","name","fields"],"members":{"id":{},"name":{},"fields":{"shape":"Ss"}}},"Ss":{"type":"list","member":{"type":"structure","required":["key"],"members":{"key":{},"stringValue":{},"refValue":{}}}},"S13":{"type":"list","member":{"type":"structure","required":["id","attributes"],"members":{"id":{},"attributes":{"type":"list","member":{"type":"structure","required":["key","stringValue"],"members":{"key":{},"stringValue":{}}}}}}},"S1l":{"type":"list","member":{"type":"structure","members":{"id":{},"errors":{"shape":"S1n"}}}},"S1n":{"type":"list","member":{}},"S1p":{"type":"list","member":{"type":"structure","members":{"id":{},"warnings":{"shape":"S1n"}}}},"S1x":{"type":"list","member":{}}}}');

/***/ }),

/***/ 89659:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeObjects":{"input_token":"marker","more_results":"hasMoreResults","output_token":"marker","result_key":"pipelineObjects"},"DescribePipelines":{"result_key":"pipelineDescriptionList"},"ListPipelines":{"input_token":"marker","more_results":"hasMoreResults","output_token":"marker","result_key":"pipelineIdList"},"QueryObjects":{"input_token":"marker","limit_key":"limit","more_results":"hasMoreResults","output_token":"marker","result_key":"ids"}}}');

/***/ }),

/***/ 93640:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-11-09","endpointPrefix":"datasync","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"DataSync","serviceFullName":"AWS DataSync","serviceId":"DataSync","signatureVersion":"v4","signingName":"datasync","targetPrefix":"FmrsService","uid":"datasync-2018-11-09"},"operations":{"CancelTaskExecution":{"input":{"type":"structure","required":["TaskExecutionArn"],"members":{"TaskExecutionArn":{}}},"output":{"type":"structure","members":{}}},"CreateAgent":{"input":{"type":"structure","required":["ActivationKey"],"members":{"ActivationKey":{},"AgentName":{},"Tags":{"shape":"S7"},"VpcEndpointId":{},"SubnetArns":{"shape":"Sb"},"SecurityGroupArns":{"shape":"Sd"}}},"output":{"type":"structure","members":{"AgentArn":{}}}},"CreateLocationEfs":{"input":{"type":"structure","required":["EfsFilesystemArn","Ec2Config"],"members":{"Subdirectory":{},"EfsFilesystemArn":{},"Ec2Config":{"shape":"Sk"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"LocationArn":{}}}},"CreateLocationFsxWindows":{"input":{"type":"structure","required":["FsxFilesystemArn","SecurityGroupArns","User","Password"],"members":{"Subdirectory":{},"FsxFilesystemArn":{},"SecurityGroupArns":{"shape":"Sl"},"Tags":{"shape":"S7"},"User":{},"Domain":{},"Password":{"shape":"St"}}},"output":{"type":"structure","members":{"LocationArn":{}}}},"CreateLocationHdfs":{"input":{"type":"structure","required":["NameNodes","AuthenticationType","AgentArns"],"members":{"Subdirectory":{},"NameNodes":{"shape":"Sx"},"BlockSize":{"type":"integer"},"ReplicationFactor":{"type":"integer"},"KmsKeyProviderUri":{},"QopConfiguration":{"shape":"S14"},"AuthenticationType":{},"SimpleUser":{},"KerberosPrincipal":{},"KerberosKeytab":{"type":"blob"},"KerberosKrb5Conf":{"type":"blob"},"AgentArns":{"shape":"S1c"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"LocationArn":{}}}},"CreateLocationNfs":{"input":{"type":"structure","required":["Subdirectory","ServerHostname","OnPremConfig"],"members":{"Subdirectory":{},"ServerHostname":{},"OnPremConfig":{"shape":"S1h"},"MountOptions":{"shape":"S1i"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"LocationArn":{}}}},"CreateLocationObjectStorage":{"input":{"type":"structure","required":["ServerHostname","BucketName","AgentArns"],"members":{"ServerHostname":{},"ServerPort":{"type":"integer"},"ServerProtocol":{},"Subdirectory":{},"BucketName":{},"AccessKey":{},"SecretKey":{"shape":"S1r"},"AgentArns":{"shape":"S1c"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"LocationArn":{}}}},"CreateLocationS3":{"input":{"type":"structure","required":["S3BucketArn","S3Config"],"members":{"Subdirectory":{},"S3BucketArn":{},"S3StorageClass":{},"S3Config":{"shape":"S1w"},"AgentArns":{"shape":"S1c"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"LocationArn":{}}}},"CreateLocationSmb":{"input":{"type":"structure","required":["Subdirectory","ServerHostname","User","Password","AgentArns"],"members":{"Subdirectory":{},"ServerHostname":{},"User":{},"Domain":{},"Password":{"shape":"St"},"AgentArns":{"shape":"S1c"},"MountOptions":{"shape":"S21"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"LocationArn":{}}}},"CreateTask":{"input":{"type":"structure","required":["SourceLocationArn","DestinationLocationArn"],"members":{"SourceLocationArn":{},"DestinationLocationArn":{},"CloudWatchLogGroupArn":{},"Name":{},"Options":{"shape":"S26"},"Excludes":{"shape":"S2l"},"Schedule":{"shape":"S2p"},"Tags":{"shape":"S7"},"Includes":{"shape":"S2l"}}},"output":{"type":"structure","members":{"TaskArn":{}}}},"DeleteAgent":{"input":{"type":"structure","required":["AgentArn"],"members":{"AgentArn":{}}},"output":{"type":"structure","members":{}}},"DeleteLocation":{"input":{"type":"structure","required":["LocationArn"],"members":{"LocationArn":{}}},"output":{"type":"structure","members":{}}},"DeleteTask":{"input":{"type":"structure","required":["TaskArn"],"members":{"TaskArn":{}}},"output":{"type":"structure","members":{}}},"DescribeAgent":{"input":{"type":"structure","required":["AgentArn"],"members":{"AgentArn":{}}},"output":{"type":"structure","members":{"AgentArn":{},"Name":{},"Status":{},"LastConnectionTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"EndpointType":{},"PrivateLinkConfig":{"type":"structure","members":{"VpcEndpointId":{},"PrivateLinkEndpoint":{},"SubnetArns":{"shape":"Sb"},"SecurityGroupArns":{"shape":"Sd"}}}}}},"DescribeLocationEfs":{"input":{"type":"structure","required":["LocationArn"],"members":{"LocationArn":{}}},"output":{"type":"structure","members":{"LocationArn":{},"LocationUri":{},"Ec2Config":{"shape":"Sk"},"CreationTime":{"type":"timestamp"}}}},"DescribeLocationFsxWindows":{"input":{"type":"structure","required":["LocationArn"],"members":{"LocationArn":{}}},"output":{"type":"structure","members":{"LocationArn":{},"LocationUri":{},"SecurityGroupArns":{"shape":"Sl"},"CreationTime":{"type":"timestamp"},"User":{},"Domain":{}}}},"DescribeLocationHdfs":{"input":{"type":"structure","required":["LocationArn"],"members":{"LocationArn":{}}},"output":{"type":"structure","members":{"LocationArn":{},"LocationUri":{},"NameNodes":{"shape":"Sx"},"BlockSize":{"type":"integer"},"ReplicationFactor":{"type":"integer"},"KmsKeyProviderUri":{},"QopConfiguration":{"shape":"S14"},"AuthenticationType":{},"SimpleUser":{},"KerberosPrincipal":{},"AgentArns":{"shape":"S1c"},"CreationTime":{"type":"timestamp"}}}},"DescribeLocationNfs":{"input":{"type":"structure","required":["LocationArn"],"members":{"LocationArn":{}}},"output":{"type":"structure","members":{"LocationArn":{},"LocationUri":{},"OnPremConfig":{"shape":"S1h"},"MountOptions":{"shape":"S1i"},"CreationTime":{"type":"timestamp"}}}},"DescribeLocationObjectStorage":{"input":{"type":"structure","required":["LocationArn"],"members":{"LocationArn":{}}},"output":{"type":"structure","members":{"LocationArn":{},"LocationUri":{},"AccessKey":{},"ServerPort":{"type":"integer"},"ServerProtocol":{},"AgentArns":{"shape":"S1c"},"CreationTime":{"type":"timestamp"}}}},"DescribeLocationS3":{"input":{"type":"structure","required":["LocationArn"],"members":{"LocationArn":{}}},"output":{"type":"structure","members":{"LocationArn":{},"LocationUri":{},"S3StorageClass":{},"S3Config":{"shape":"S1w"},"AgentArns":{"shape":"S1c"},"CreationTime":{"type":"timestamp"}}}},"DescribeLocationSmb":{"input":{"type":"structure","required":["LocationArn"],"members":{"LocationArn":{}}},"output":{"type":"structure","members":{"LocationArn":{},"LocationUri":{},"AgentArns":{"shape":"S1c"},"User":{},"Domain":{},"MountOptions":{"shape":"S21"},"CreationTime":{"type":"timestamp"}}}},"DescribeTask":{"input":{"type":"structure","required":["TaskArn"],"members":{"TaskArn":{}}},"output":{"type":"structure","members":{"TaskArn":{},"Status":{},"Name":{},"CurrentTaskExecutionArn":{},"SourceLocationArn":{},"DestinationLocationArn":{},"CloudWatchLogGroupArn":{},"SourceNetworkInterfaceArns":{"type":"list","member":{}},"DestinationNetworkInterfaceArns":{"type":"list","member":{}},"Options":{"shape":"S26"},"Excludes":{"shape":"S2l"},"Schedule":{"shape":"S2p"},"ErrorCode":{},"ErrorDetail":{},"CreationTime":{"type":"timestamp"},"Includes":{"shape":"S2l"}}}},"DescribeTaskExecution":{"input":{"type":"structure","required":["TaskExecutionArn"],"members":{"TaskExecutionArn":{}}},"output":{"type":"structure","members":{"TaskExecutionArn":{},"Status":{},"Options":{"shape":"S26"},"Excludes":{"shape":"S2l"},"Includes":{"shape":"S2l"},"StartTime":{"type":"timestamp"},"EstimatedFilesToTransfer":{"type":"long"},"EstimatedBytesToTransfer":{"type":"long"},"FilesTransferred":{"type":"long"},"BytesWritten":{"type":"long"},"BytesTransferred":{"type":"long"},"Result":{"type":"structure","members":{"PrepareDuration":{"type":"long"},"PrepareStatus":{},"TotalDuration":{"type":"long"},"TransferDuration":{"type":"long"},"TransferStatus":{},"VerifyDuration":{"type":"long"},"VerifyStatus":{},"ErrorCode":{},"ErrorDetail":{}}}}}},"ListAgents":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Agents":{"type":"list","member":{"type":"structure","members":{"AgentArn":{},"Name":{},"Status":{}}}},"NextToken":{}}}},"ListLocations":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"type":"list","member":{"type":"structure","required":["Name","Values","Operator"],"members":{"Name":{},"Values":{"shape":"S49"},"Operator":{}}}}}},"output":{"type":"structure","members":{"Locations":{"type":"list","member":{"type":"structure","members":{"LocationArn":{},"LocationUri":{}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Tags":{"type":"list","member":{"shape":"S8"}},"NextToken":{}}}},"ListTaskExecutions":{"input":{"type":"structure","members":{"TaskArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"TaskExecutions":{"type":"list","member":{"type":"structure","members":{"TaskExecutionArn":{},"Status":{}}}},"NextToken":{}}}},"ListTasks":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"type":"list","member":{"type":"structure","required":["Name","Values","Operator"],"members":{"Name":{},"Values":{"shape":"S49"},"Operator":{}}}}}},"output":{"type":"structure","members":{"Tasks":{"type":"list","member":{"type":"structure","members":{"TaskArn":{},"Status":{},"Name":{}}}},"NextToken":{}}}},"StartTaskExecution":{"input":{"type":"structure","required":["TaskArn"],"members":{"TaskArn":{},"OverrideOptions":{"shape":"S26"},"Includes":{"shape":"S2l"},"Excludes":{"shape":"S2l"}}},"output":{"type":"structure","members":{"TaskExecutionArn":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","Keys"],"members":{"ResourceArn":{},"Keys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateAgent":{"input":{"type":"structure","required":["AgentArn"],"members":{"AgentArn":{},"Name":{}}},"output":{"type":"structure","members":{}}},"UpdateLocationHdfs":{"input":{"type":"structure","required":["LocationArn"],"members":{"LocationArn":{},"Subdirectory":{},"NameNodes":{"shape":"Sx"},"BlockSize":{"type":"integer"},"ReplicationFactor":{"type":"integer"},"KmsKeyProviderUri":{},"QopConfiguration":{"shape":"S14"},"AuthenticationType":{},"SimpleUser":{},"KerberosPrincipal":{},"KerberosKeytab":{"type":"blob"},"KerberosKrb5Conf":{"type":"blob"},"AgentArns":{"shape":"S1c"}}},"output":{"type":"structure","members":{}}},"UpdateLocationNfs":{"input":{"type":"structure","required":["LocationArn"],"members":{"LocationArn":{},"Subdirectory":{},"OnPremConfig":{"shape":"S1h"},"MountOptions":{"shape":"S1i"}}},"output":{"type":"structure","members":{}}},"UpdateLocationObjectStorage":{"input":{"type":"structure","required":["LocationArn"],"members":{"LocationArn":{},"ServerPort":{"type":"integer"},"ServerProtocol":{},"Subdirectory":{},"AccessKey":{},"SecretKey":{"shape":"S1r"},"AgentArns":{"shape":"S1c"}}},"output":{"type":"structure","members":{}}},"UpdateLocationSmb":{"input":{"type":"structure","required":["LocationArn"],"members":{"LocationArn":{},"Subdirectory":{},"User":{},"Domain":{},"Password":{"shape":"St"},"AgentArns":{"shape":"S1c"},"MountOptions":{"shape":"S21"}}},"output":{"type":"structure","members":{}}},"UpdateTask":{"input":{"type":"structure","required":["TaskArn"],"members":{"TaskArn":{},"Options":{"shape":"S26"},"Excludes":{"shape":"S2l"},"Schedule":{"shape":"S2p"},"Name":{},"CloudWatchLogGroupArn":{},"Includes":{"shape":"S2l"}}},"output":{"type":"structure","members":{}}},"UpdateTaskExecution":{"input":{"type":"structure","required":["TaskExecutionArn","Options"],"members":{"TaskExecutionArn":{},"Options":{"shape":"S26"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S7":{"type":"list","member":{"shape":"S8"}},"S8":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}},"Sb":{"type":"list","member":{}},"Sd":{"type":"list","member":{}},"Sk":{"type":"structure","required":["SubnetArn","SecurityGroupArns"],"members":{"SubnetArn":{},"SecurityGroupArns":{"shape":"Sl"}}},"Sl":{"type":"list","member":{}},"St":{"type":"string","sensitive":true},"Sx":{"type":"list","member":{"type":"structure","required":["Hostname","Port"],"members":{"Hostname":{},"Port":{"type":"integer"}}}},"S14":{"type":"structure","members":{"RpcProtection":{},"DataTransferProtection":{}}},"S1c":{"type":"list","member":{}},"S1h":{"type":"structure","required":["AgentArns"],"members":{"AgentArns":{"shape":"S1c"}}},"S1i":{"type":"structure","members":{"Version":{}}},"S1r":{"type":"string","sensitive":true},"S1w":{"type":"structure","required":["BucketAccessRoleArn"],"members":{"BucketAccessRoleArn":{}}},"S21":{"type":"structure","members":{"Version":{}}},"S26":{"type":"structure","members":{"VerifyMode":{},"OverwriteMode":{},"Atime":{},"Mtime":{},"Uid":{},"Gid":{},"PreserveDeletedFiles":{},"PreserveDevices":{},"PosixPermissions":{},"BytesPerSecond":{"type":"long"},"TaskQueueing":{},"LogLevel":{},"TransferMode":{},"SecurityDescriptorCopyFlags":{}}},"S2l":{"type":"list","member":{"type":"structure","members":{"FilterType":{},"Value":{}}}},"S2p":{"type":"structure","required":["ScheduleExpression"],"members":{"ScheduleExpression":{}}},"S49":{"type":"list","member":{}}}}');

/***/ }),

/***/ 80063:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAgents":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListLocations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTagsForResource":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTaskExecutions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTasks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 24709:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-04-19","endpointPrefix":"dax","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Amazon DAX","serviceFullName":"Amazon DynamoDB Accelerator (DAX)","serviceId":"DAX","signatureVersion":"v4","targetPrefix":"AmazonDAXV3","uid":"dax-2017-04-19"},"operations":{"CreateCluster":{"input":{"type":"structure","required":["ClusterName","NodeType","ReplicationFactor","IamRoleArn"],"members":{"ClusterName":{},"NodeType":{},"Description":{},"ReplicationFactor":{"type":"integer"},"AvailabilityZones":{"shape":"S4"},"SubnetGroupName":{},"SecurityGroupIds":{"shape":"S5"},"PreferredMaintenanceWindow":{},"NotificationTopicArn":{},"IamRoleArn":{},"ParameterGroupName":{},"Tags":{"shape":"S6"},"SSESpecification":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"}}},"ClusterEndpointEncryptionType":{}}},"output":{"type":"structure","members":{"Cluster":{"shape":"Sc"}}}},"CreateParameterGroup":{"input":{"type":"structure","required":["ParameterGroupName"],"members":{"ParameterGroupName":{},"Description":{}}},"output":{"type":"structure","members":{"ParameterGroup":{"shape":"Sr"}}}},"CreateSubnetGroup":{"input":{"type":"structure","required":["SubnetGroupName","SubnetIds"],"members":{"SubnetGroupName":{},"Description":{},"SubnetIds":{"shape":"St"}}},"output":{"type":"structure","members":{"SubnetGroup":{"shape":"Sv"}}}},"DecreaseReplicationFactor":{"input":{"type":"structure","required":["ClusterName","NewReplicationFactor"],"members":{"ClusterName":{},"NewReplicationFactor":{"type":"integer"},"AvailabilityZones":{"shape":"S4"},"NodeIdsToRemove":{"shape":"Sf"}}},"output":{"type":"structure","members":{"Cluster":{"shape":"Sc"}}}},"DeleteCluster":{"input":{"type":"structure","required":["ClusterName"],"members":{"ClusterName":{}}},"output":{"type":"structure","members":{"Cluster":{"shape":"Sc"}}}},"DeleteParameterGroup":{"input":{"type":"structure","required":["ParameterGroupName"],"members":{"ParameterGroupName":{}}},"output":{"type":"structure","members":{"DeletionMessage":{}}}},"DeleteSubnetGroup":{"input":{"type":"structure","required":["SubnetGroupName"],"members":{"SubnetGroupName":{}}},"output":{"type":"structure","members":{"DeletionMessage":{}}}},"DescribeClusters":{"input":{"type":"structure","members":{"ClusterNames":{"type":"list","member":{}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"Clusters":{"type":"list","member":{"shape":"Sc"}}}}},"DescribeDefaultParameters":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"Parameters":{"shape":"S1c"}}}},"DescribeEvents":{"input":{"type":"structure","members":{"SourceName":{},"SourceType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Duration":{"type":"integer"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"Events":{"type":"list","member":{"type":"structure","members":{"SourceName":{},"SourceType":{},"Message":{},"Date":{"type":"timestamp"}}}}}}},"DescribeParameterGroups":{"input":{"type":"structure","members":{"ParameterGroupNames":{"type":"list","member":{}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"ParameterGroups":{"type":"list","member":{"shape":"Sr"}}}}},"DescribeParameters":{"input":{"type":"structure","required":["ParameterGroupName"],"members":{"ParameterGroupName":{},"Source":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"Parameters":{"shape":"S1c"}}}},"DescribeSubnetGroups":{"input":{"type":"structure","members":{"SubnetGroupNames":{"type":"list","member":{}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"SubnetGroups":{"type":"list","member":{"shape":"Sv"}}}}},"IncreaseReplicationFactor":{"input":{"type":"structure","required":["ClusterName","NewReplicationFactor"],"members":{"ClusterName":{},"NewReplicationFactor":{"type":"integer"},"AvailabilityZones":{"shape":"S4"}}},"output":{"type":"structure","members":{"Cluster":{"shape":"Sc"}}}},"ListTags":{"input":{"type":"structure","required":["ResourceName"],"members":{"ResourceName":{},"NextToken":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S6"},"NextToken":{}}}},"RebootNode":{"input":{"type":"structure","required":["ClusterName","NodeId"],"members":{"ClusterName":{},"NodeId":{}}},"output":{"type":"structure","members":{"Cluster":{"shape":"Sc"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceName","Tags"],"members":{"ResourceName":{},"Tags":{"shape":"S6"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S6"}}}},"UntagResource":{"input":{"type":"structure","required":["ResourceName","TagKeys"],"members":{"ResourceName":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"Tags":{"shape":"S6"}}}},"UpdateCluster":{"input":{"type":"structure","required":["ClusterName"],"members":{"ClusterName":{},"Description":{},"PreferredMaintenanceWindow":{},"NotificationTopicArn":{},"NotificationTopicStatus":{},"ParameterGroupName":{},"SecurityGroupIds":{"shape":"S5"}}},"output":{"type":"structure","members":{"Cluster":{"shape":"Sc"}}}},"UpdateParameterGroup":{"input":{"type":"structure","required":["ParameterGroupName","ParameterNameValues"],"members":{"ParameterGroupName":{},"ParameterNameValues":{"type":"list","member":{"type":"structure","members":{"ParameterName":{},"ParameterValue":{}}}}}},"output":{"type":"structure","members":{"ParameterGroup":{"shape":"Sr"}}}},"UpdateSubnetGroup":{"input":{"type":"structure","required":["SubnetGroupName"],"members":{"SubnetGroupName":{},"Description":{},"SubnetIds":{"shape":"St"}}},"output":{"type":"structure","members":{"SubnetGroup":{"shape":"Sv"}}}}},"shapes":{"S4":{"type":"list","member":{}},"S5":{"type":"list","member":{}},"S6":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"Sc":{"type":"structure","members":{"ClusterName":{},"Description":{},"ClusterArn":{},"TotalNodes":{"type":"integer"},"ActiveNodes":{"type":"integer"},"NodeType":{},"Status":{},"ClusterDiscoveryEndpoint":{"shape":"Se"},"NodeIdsToRemove":{"shape":"Sf"},"Nodes":{"type":"list","member":{"type":"structure","members":{"NodeId":{},"Endpoint":{"shape":"Se"},"NodeCreateTime":{"type":"timestamp"},"AvailabilityZone":{},"NodeStatus":{},"ParameterGroupStatus":{}}}},"PreferredMaintenanceWindow":{},"NotificationConfiguration":{"type":"structure","members":{"TopicArn":{},"TopicStatus":{}}},"SubnetGroup":{},"SecurityGroups":{"type":"list","member":{"type":"structure","members":{"SecurityGroupIdentifier":{},"Status":{}}}},"IamRoleArn":{},"ParameterGroup":{"type":"structure","members":{"ParameterGroupName":{},"ParameterApplyStatus":{},"NodeIdsToReboot":{"shape":"Sf"}}},"SSEDescription":{"type":"structure","members":{"Status":{}}},"ClusterEndpointEncryptionType":{}}},"Se":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"},"URL":{}}},"Sf":{"type":"list","member":{}},"Sr":{"type":"structure","members":{"ParameterGroupName":{},"Description":{}}},"St":{"type":"list","member":{}},"Sv":{"type":"structure","members":{"SubnetGroupName":{},"Description":{},"VpcId":{},"Subnets":{"type":"list","member":{"type":"structure","members":{"SubnetIdentifier":{},"SubnetAvailabilityZone":{}}}}}},"S1c":{"type":"list","member":{"type":"structure","members":{"ParameterName":{},"ParameterType":{},"ParameterValue":{},"NodeTypeSpecificValues":{"type":"list","member":{"type":"structure","members":{"NodeType":{},"Value":{}}}},"Description":{},"Source":{},"DataType":{},"AllowedValues":{},"IsModifiable":{},"ChangeType":{}}}}}}');

/***/ }),

/***/ 87564:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 25236:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-10-26","endpointPrefix":"api.detective","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Detective","serviceId":"Detective","signatureVersion":"v4","signingName":"detective","uid":"detective-2018-10-26"},"operations":{"AcceptInvitation":{"http":{"method":"PUT","requestUri":"/invitation"},"input":{"type":"structure","required":["GraphArn"],"members":{"GraphArn":{}}}},"CreateGraph":{"http":{"requestUri":"/graph"},"input":{"type":"structure","members":{"Tags":{"shape":"S4"}}},"output":{"type":"structure","members":{"GraphArn":{}}}},"CreateMembers":{"http":{"requestUri":"/graph/members"},"input":{"type":"structure","required":["GraphArn","Accounts"],"members":{"GraphArn":{},"Message":{},"DisableEmailNotification":{"type":"boolean"},"Accounts":{"type":"list","member":{"type":"structure","required":["AccountId","EmailAddress"],"members":{"AccountId":{},"EmailAddress":{}}}}}},"output":{"type":"structure","members":{"Members":{"shape":"Sg"},"UnprocessedAccounts":{"shape":"Sn"}}}},"DeleteGraph":{"http":{"requestUri":"/graph/removal"},"input":{"type":"structure","required":["GraphArn"],"members":{"GraphArn":{}}}},"DeleteMembers":{"http":{"requestUri":"/graph/members/removal"},"input":{"type":"structure","required":["GraphArn","AccountIds"],"members":{"GraphArn":{},"AccountIds":{"shape":"Ss"}}},"output":{"type":"structure","members":{"AccountIds":{"shape":"Ss"},"UnprocessedAccounts":{"shape":"Sn"}}}},"DisassociateMembership":{"http":{"requestUri":"/membership/removal"},"input":{"type":"structure","required":["GraphArn"],"members":{"GraphArn":{}}}},"GetMembers":{"http":{"requestUri":"/graph/members/get"},"input":{"type":"structure","required":["GraphArn","AccountIds"],"members":{"GraphArn":{},"AccountIds":{"shape":"Ss"}}},"output":{"type":"structure","members":{"MemberDetails":{"shape":"Sg"},"UnprocessedAccounts":{"shape":"Sn"}}}},"ListGraphs":{"http":{"requestUri":"/graphs/list"},"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"GraphList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreatedTime":{"shape":"Sk"}}}},"NextToken":{}}}},"ListInvitations":{"http":{"requestUri":"/invitations/list"},"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Invitations":{"shape":"Sg"},"NextToken":{}}}},"ListMembers":{"http":{"requestUri":"/graph/members/list"},"input":{"type":"structure","required":["GraphArn"],"members":{"GraphArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"MemberDetails":{"shape":"Sg"},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S4"}}}},"RejectInvitation":{"http":{"requestUri":"/invitation/removal"},"input":{"type":"structure","required":["GraphArn"],"members":{"GraphArn":{}}}},"StartMonitoringMember":{"http":{"requestUri":"/graph/member/monitoringstate"},"input":{"type":"structure","required":["GraphArn","AccountId"],"members":{"GraphArn":{},"AccountId":{}}}},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}","responseCode":204},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"S4"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}","responseCode":204},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"S4":{"type":"map","key":{},"value":{}},"Sg":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"EmailAddress":{},"GraphArn":{},"MasterId":{"deprecated":true,"deprecatedMessage":"This property is deprecated. Use AdministratorId instead."},"AdministratorId":{},"Status":{},"DisabledReason":{},"InvitedTime":{"shape":"Sk"},"UpdatedTime":{"shape":"Sk"},"VolumeUsageInBytes":{"type":"long"},"VolumeUsageUpdatedTime":{"shape":"Sk"},"PercentOfGraphUtilization":{"deprecated":true,"deprecatedMessage":"This property is deprecated. Use VolumeUsageInBytes instead.","type":"double"},"PercentOfGraphUtilizationUpdatedTime":{"shape":"Sk","deprecated":true,"deprecatedMessage":"This property is deprecated. Use VolumeUsageUpdatedTime instead."}}}},"Sk":{"type":"timestamp","timestampFormat":"iso8601"},"Sn":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"Reason":{}}}},"Ss":{"type":"list","member":{}}}}');

/***/ }),

/***/ 46384:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListGraphs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListInvitations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMembers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 34023:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-06-23","endpointPrefix":"devicefarm","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Device Farm","serviceId":"Device Farm","signatureVersion":"v4","targetPrefix":"DeviceFarm_20150623","uid":"devicefarm-2015-06-23"},"operations":{"CreateDevicePool":{"input":{"type":"structure","required":["projectArn","name","rules"],"members":{"projectArn":{},"name":{},"description":{},"rules":{"shape":"S5"},"maxDevices":{"type":"integer"}}},"output":{"type":"structure","members":{"devicePool":{"shape":"Sc"}}}},"CreateInstanceProfile":{"input":{"type":"structure","required":["name"],"members":{"name":{},"description":{},"packageCleanup":{"type":"boolean"},"excludeAppPackagesFromCleanup":{"shape":"Sg"},"rebootAfterUse":{"type":"boolean"}}},"output":{"type":"structure","members":{"instanceProfile":{"shape":"Si"}}}},"CreateNetworkProfile":{"input":{"type":"structure","required":["projectArn","name"],"members":{"projectArn":{},"name":{},"description":{},"type":{},"uplinkBandwidthBits":{"type":"long"},"downlinkBandwidthBits":{"type":"long"},"uplinkDelayMs":{"type":"long"},"downlinkDelayMs":{"type":"long"},"uplinkJitterMs":{"type":"long"},"downlinkJitterMs":{"type":"long"},"uplinkLossPercent":{"type":"integer"},"downlinkLossPercent":{"type":"integer"}}},"output":{"type":"structure","members":{"networkProfile":{"shape":"So"}}}},"CreateProject":{"input":{"type":"structure","required":["name"],"members":{"name":{},"defaultJobTimeoutMinutes":{"type":"integer"}}},"output":{"type":"structure","members":{"project":{"shape":"Ss"}}}},"CreateRemoteAccessSession":{"input":{"type":"structure","required":["projectArn","deviceArn"],"members":{"projectArn":{},"deviceArn":{},"instanceArn":{},"sshPublicKey":{},"remoteDebugEnabled":{"type":"boolean"},"remoteRecordEnabled":{"type":"boolean"},"remoteRecordAppArn":{},"name":{},"clientId":{},"configuration":{"type":"structure","members":{"billingMethod":{},"vpceConfigurationArns":{"shape":"Sz"}}},"interactionMode":{},"skipAppResign":{"type":"boolean"}}},"output":{"type":"structure","members":{"remoteAccessSession":{"shape":"S12"}}}},"CreateTestGridProject":{"input":{"type":"structure","required":["name"],"members":{"name":{},"description":{},"vpcConfig":{"shape":"S1m"}}},"output":{"type":"structure","members":{"testGridProject":{"shape":"S1r"}}}},"CreateTestGridUrl":{"input":{"type":"structure","required":["projectArn","expiresInSeconds"],"members":{"projectArn":{},"expiresInSeconds":{"type":"integer"}}},"output":{"type":"structure","members":{"url":{"shape":"S1w"},"expires":{"type":"timestamp"}}}},"CreateUpload":{"input":{"type":"structure","required":["projectArn","name","type"],"members":{"projectArn":{},"name":{},"type":{},"contentType":{}}},"output":{"type":"structure","members":{"upload":{"shape":"S21"}}}},"CreateVPCEConfiguration":{"input":{"type":"structure","required":["vpceConfigurationName","vpceServiceName","serviceDnsName"],"members":{"vpceConfigurationName":{},"vpceServiceName":{},"serviceDnsName":{},"vpceConfigurationDescription":{}}},"output":{"type":"structure","members":{"vpceConfiguration":{"shape":"S2c"}}}},"DeleteDevicePool":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}}},"DeleteInstanceProfile":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}}},"DeleteNetworkProfile":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}}},"DeleteProject":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}}},"DeleteRemoteAccessSession":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}}},"DeleteRun":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}}},"DeleteTestGridProject":{"input":{"type":"structure","required":["projectArn"],"members":{"projectArn":{}}},"output":{"type":"structure","members":{}}},"DeleteUpload":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}}},"DeleteVPCEConfiguration":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}}},"GetAccountSettings":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"accountSettings":{"type":"structure","members":{"awsAccountNumber":{},"unmeteredDevices":{"shape":"S2z"},"unmeteredRemoteAccessDevices":{"shape":"S2z"},"maxJobTimeoutMinutes":{"type":"integer"},"trialMinutes":{"type":"structure","members":{"total":{"type":"double"},"remaining":{"type":"double"}}},"maxSlots":{"type":"map","key":{},"value":{"type":"integer"}},"defaultJobTimeoutMinutes":{"type":"integer"},"skipAppResign":{"type":"boolean"}}}}}},"GetDevice":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"device":{"shape":"S15"}}}},"GetDeviceInstance":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"deviceInstance":{"shape":"S1c"}}}},"GetDevicePool":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"devicePool":{"shape":"Sc"}}}},"GetDevicePoolCompatibility":{"input":{"type":"structure","required":["devicePoolArn"],"members":{"devicePoolArn":{},"appArn":{},"testType":{},"test":{"shape":"S3a"},"configuration":{"shape":"S3d"}}},"output":{"type":"structure","members":{"compatibleDevices":{"shape":"S3l"},"incompatibleDevices":{"shape":"S3l"}}}},"GetInstanceProfile":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"instanceProfile":{"shape":"Si"}}}},"GetJob":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"job":{"shape":"S3t"}}}},"GetNetworkProfile":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"networkProfile":{"shape":"So"}}}},"GetOfferingStatus":{"input":{"type":"structure","members":{"nextToken":{}}},"output":{"type":"structure","members":{"current":{"shape":"S41"},"nextPeriod":{"shape":"S41"},"nextToken":{}}}},"GetProject":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"project":{"shape":"Ss"}}}},"GetRemoteAccessSession":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"remoteAccessSession":{"shape":"S12"}}}},"GetRun":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"run":{"shape":"S4i"}}}},"GetSuite":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"suite":{"shape":"S4r"}}}},"GetTest":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"test":{"shape":"S4u"}}}},"GetTestGridProject":{"input":{"type":"structure","required":["projectArn"],"members":{"projectArn":{}}},"output":{"type":"structure","members":{"testGridProject":{"shape":"S1r"}}}},"GetTestGridSession":{"input":{"type":"structure","members":{"projectArn":{},"sessionId":{},"sessionArn":{}}},"output":{"type":"structure","members":{"testGridSession":{"shape":"S50"}}}},"GetUpload":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"upload":{"shape":"S21"}}}},"GetVPCEConfiguration":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"vpceConfiguration":{"shape":"S2c"}}}},"InstallToRemoteAccessSession":{"input":{"type":"structure","required":["remoteAccessSessionArn","appArn"],"members":{"remoteAccessSessionArn":{},"appArn":{}}},"output":{"type":"structure","members":{"appUpload":{"shape":"S21"}}}},"ListArtifacts":{"input":{"type":"structure","required":["arn","type"],"members":{"arn":{},"type":{},"nextToken":{}}},"output":{"type":"structure","members":{"artifacts":{"type":"list","member":{"type":"structure","members":{"arn":{},"name":{},"type":{},"extension":{},"url":{}}}},"nextToken":{}}}},"ListDeviceInstances":{"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"deviceInstances":{"shape":"S1b"},"nextToken":{}}}},"ListDevicePools":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"type":{},"nextToken":{}}},"output":{"type":"structure","members":{"devicePools":{"type":"list","member":{"shape":"Sc"}},"nextToken":{}}}},"ListDevices":{"input":{"type":"structure","members":{"arn":{},"nextToken":{},"filters":{"shape":"S4l"}}},"output":{"type":"structure","members":{"devices":{"type":"list","member":{"shape":"S15"}},"nextToken":{}}}},"ListInstanceProfiles":{"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"instanceProfiles":{"type":"list","member":{"shape":"Si"}},"nextToken":{}}}},"ListJobs":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"nextToken":{}}},"output":{"type":"structure","members":{"jobs":{"type":"list","member":{"shape":"S3t"}},"nextToken":{}}}},"ListNetworkProfiles":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"type":{},"nextToken":{}}},"output":{"type":"structure","members":{"networkProfiles":{"type":"list","member":{"shape":"So"}},"nextToken":{}}}},"ListOfferingPromotions":{"input":{"type":"structure","members":{"nextToken":{}}},"output":{"type":"structure","members":{"offeringPromotions":{"type":"list","member":{"type":"structure","members":{"id":{},"description":{}}}},"nextToken":{}}}},"ListOfferingTransactions":{"input":{"type":"structure","members":{"nextToken":{}}},"output":{"type":"structure","members":{"offeringTransactions":{"type":"list","member":{"shape":"S64"}},"nextToken":{}}}},"ListOfferings":{"input":{"type":"structure","members":{"nextToken":{}}},"output":{"type":"structure","members":{"offerings":{"type":"list","member":{"shape":"S45"}},"nextToken":{}}}},"ListProjects":{"input":{"type":"structure","members":{"arn":{},"nextToken":{}}},"output":{"type":"structure","members":{"projects":{"type":"list","member":{"shape":"Ss"}},"nextToken":{}}}},"ListRemoteAccessSessions":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"nextToken":{}}},"output":{"type":"structure","members":{"remoteAccessSessions":{"type":"list","member":{"shape":"S12"}},"nextToken":{}}}},"ListRuns":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"nextToken":{}}},"output":{"type":"structure","members":{"runs":{"type":"list","member":{"shape":"S4i"}},"nextToken":{}}}},"ListSamples":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"nextToken":{}}},"output":{"type":"structure","members":{"samples":{"type":"list","member":{"type":"structure","members":{"arn":{},"type":{},"url":{}}}},"nextToken":{}}}},"ListSuites":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"nextToken":{}}},"output":{"type":"structure","members":{"suites":{"type":"list","member":{"shape":"S4r"}},"nextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S6s"}}}},"ListTestGridProjects":{"input":{"type":"structure","members":{"maxResult":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"testGridProjects":{"type":"list","member":{"shape":"S1r"}},"nextToken":{}}}},"ListTestGridSessionActions":{"input":{"type":"structure","required":["sessionArn"],"members":{"sessionArn":{},"maxResult":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"actions":{"type":"list","member":{"type":"structure","members":{"action":{},"started":{"type":"timestamp"},"duration":{"type":"long"},"statusCode":{},"requestMethod":{}}}},"nextToken":{}}}},"ListTestGridSessionArtifacts":{"input":{"type":"structure","required":["sessionArn"],"members":{"sessionArn":{},"type":{},"maxResult":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"artifacts":{"type":"list","member":{"type":"structure","members":{"filename":{},"type":{},"url":{"shape":"S1w"}}}},"nextToken":{}}}},"ListTestGridSessions":{"input":{"type":"structure","required":["projectArn"],"members":{"projectArn":{},"status":{},"creationTimeAfter":{"type":"timestamp"},"creationTimeBefore":{"type":"timestamp"},"endTimeAfter":{"type":"timestamp"},"endTimeBefore":{"type":"timestamp"},"maxResult":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"testGridSessions":{"type":"list","member":{"shape":"S50"}},"nextToken":{}}}},"ListTests":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"nextToken":{}}},"output":{"type":"structure","members":{"tests":{"type":"list","member":{"shape":"S4u"}},"nextToken":{}}}},"ListUniqueProblems":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"nextToken":{}}},"output":{"type":"structure","members":{"uniqueProblems":{"type":"map","key":{},"value":{"type":"list","member":{"type":"structure","members":{"message":{},"problems":{"type":"list","member":{"type":"structure","members":{"run":{"shape":"S7n"},"job":{"shape":"S7n"},"suite":{"shape":"S7n"},"test":{"shape":"S7n"},"device":{"shape":"S15"},"result":{},"message":{}}}}}}}},"nextToken":{}}}},"ListUploads":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"type":{},"nextToken":{}}},"output":{"type":"structure","members":{"uploads":{"type":"list","member":{"shape":"S21"}},"nextToken":{}}}},"ListVPCEConfigurations":{"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"vpceConfigurations":{"type":"list","member":{"shape":"S2c"}},"nextToken":{}}}},"PurchaseOffering":{"input":{"type":"structure","required":["offeringId","quantity"],"members":{"offeringId":{},"quantity":{"type":"integer"},"offeringPromotionId":{}}},"output":{"type":"structure","members":{"offeringTransaction":{"shape":"S64"}}}},"RenewOffering":{"input":{"type":"structure","required":["offeringId","quantity"],"members":{"offeringId":{},"quantity":{"type":"integer"}}},"output":{"type":"structure","members":{"offeringTransaction":{"shape":"S64"}}}},"ScheduleRun":{"input":{"type":"structure","required":["projectArn","test"],"members":{"projectArn":{},"appArn":{},"devicePoolArn":{},"deviceSelectionConfiguration":{"type":"structure","required":["filters","maxDevices"],"members":{"filters":{"shape":"S4l"},"maxDevices":{"type":"integer"}}},"name":{},"test":{"shape":"S3a"},"configuration":{"shape":"S3d"},"executionConfiguration":{"type":"structure","members":{"jobTimeoutMinutes":{"type":"integer"},"accountsCleanup":{"type":"boolean"},"appPackagesCleanup":{"type":"boolean"},"videoCapture":{"type":"boolean"},"skipAppResign":{"type":"boolean"}}}}},"output":{"type":"structure","members":{"run":{"shape":"S4i"}}}},"StopJob":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"job":{"shape":"S3t"}}}},"StopRemoteAccessSession":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"remoteAccessSession":{"shape":"S12"}}}},"StopRun":{"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"run":{"shape":"S4i"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S6s"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDeviceInstance":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"profileArn":{},"labels":{"shape":"S1d"}}},"output":{"type":"structure","members":{"deviceInstance":{"shape":"S1c"}}}},"UpdateDevicePool":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"name":{},"description":{},"rules":{"shape":"S5"},"maxDevices":{"type":"integer"},"clearMaxDevices":{"type":"boolean"}}},"output":{"type":"structure","members":{"devicePool":{"shape":"Sc"}}}},"UpdateInstanceProfile":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"name":{},"description":{},"packageCleanup":{"type":"boolean"},"excludeAppPackagesFromCleanup":{"shape":"Sg"},"rebootAfterUse":{"type":"boolean"}}},"output":{"type":"structure","members":{"instanceProfile":{"shape":"Si"}}}},"UpdateNetworkProfile":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"name":{},"description":{},"type":{},"uplinkBandwidthBits":{"type":"long"},"downlinkBandwidthBits":{"type":"long"},"uplinkDelayMs":{"type":"long"},"downlinkDelayMs":{"type":"long"},"uplinkJitterMs":{"type":"long"},"downlinkJitterMs":{"type":"long"},"uplinkLossPercent":{"type":"integer"},"downlinkLossPercent":{"type":"integer"}}},"output":{"type":"structure","members":{"networkProfile":{"shape":"So"}}}},"UpdateProject":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"name":{},"defaultJobTimeoutMinutes":{"type":"integer"}}},"output":{"type":"structure","members":{"project":{"shape":"Ss"}}}},"UpdateTestGridProject":{"input":{"type":"structure","required":["projectArn"],"members":{"projectArn":{},"name":{},"description":{},"vpcConfig":{"shape":"S1m"}}},"output":{"type":"structure","members":{"testGridProject":{"shape":"S1r"}}}},"UpdateUpload":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"name":{},"contentType":{},"editContent":{"type":"boolean"}}},"output":{"type":"structure","members":{"upload":{"shape":"S21"}}}},"UpdateVPCEConfiguration":{"input":{"type":"structure","required":["arn"],"members":{"arn":{},"vpceConfigurationName":{},"vpceServiceName":{},"serviceDnsName":{},"vpceConfigurationDescription":{}}},"output":{"type":"structure","members":{"vpceConfiguration":{"shape":"S2c"}}}}},"shapes":{"S5":{"type":"list","member":{"type":"structure","members":{"attribute":{},"operator":{},"value":{}}}},"Sc":{"type":"structure","members":{"arn":{},"name":{},"description":{},"type":{},"rules":{"shape":"S5"},"maxDevices":{"type":"integer"}}},"Sg":{"type":"list","member":{}},"Si":{"type":"structure","members":{"arn":{},"packageCleanup":{"type":"boolean"},"excludeAppPackagesFromCleanup":{"shape":"Sg"},"rebootAfterUse":{"type":"boolean"},"name":{},"description":{}}},"So":{"type":"structure","members":{"arn":{},"name":{},"description":{},"type":{},"uplinkBandwidthBits":{"type":"long"},"downlinkBandwidthBits":{"type":"long"},"uplinkDelayMs":{"type":"long"},"downlinkDelayMs":{"type":"long"},"uplinkJitterMs":{"type":"long"},"downlinkJitterMs":{"type":"long"},"uplinkLossPercent":{"type":"integer"},"downlinkLossPercent":{"type":"integer"}}},"Ss":{"type":"structure","members":{"arn":{},"name":{},"defaultJobTimeoutMinutes":{"type":"integer"},"created":{"type":"timestamp"}}},"Sz":{"type":"list","member":{}},"S12":{"type":"structure","members":{"arn":{},"name":{},"created":{"type":"timestamp"},"status":{},"result":{},"message":{},"started":{"type":"timestamp"},"stopped":{"type":"timestamp"},"device":{"shape":"S15"},"instanceArn":{},"remoteDebugEnabled":{"type":"boolean"},"remoteRecordEnabled":{"type":"boolean"},"remoteRecordAppArn":{},"hostAddress":{},"clientId":{},"billingMethod":{},"deviceMinutes":{"shape":"S1h"},"endpoint":{},"deviceUdid":{},"interactionMode":{},"skipAppResign":{"type":"boolean"}}},"S15":{"type":"structure","members":{"arn":{},"name":{},"manufacturer":{},"model":{},"modelId":{},"formFactor":{},"platform":{},"os":{},"cpu":{"type":"structure","members":{"frequency":{},"architecture":{},"clock":{"type":"double"}}},"resolution":{"type":"structure","members":{"width":{"type":"integer"},"height":{"type":"integer"}}},"heapSize":{"type":"long"},"memory":{"type":"long"},"image":{},"carrier":{},"radio":{},"remoteAccessEnabled":{"type":"boolean"},"remoteDebugEnabled":{"type":"boolean"},"fleetType":{},"fleetName":{},"instances":{"shape":"S1b"},"availability":{}}},"S1b":{"type":"list","member":{"shape":"S1c"}},"S1c":{"type":"structure","members":{"arn":{},"deviceArn":{},"labels":{"shape":"S1d"},"status":{},"udid":{},"instanceProfile":{"shape":"Si"}}},"S1d":{"type":"list","member":{}},"S1h":{"type":"structure","members":{"total":{"type":"double"},"metered":{"type":"double"},"unmetered":{"type":"double"}}},"S1m":{"type":"structure","required":["securityGroupIds","subnetIds","vpcId"],"members":{"securityGroupIds":{"type":"list","member":{}},"subnetIds":{"type":"list","member":{}},"vpcId":{}}},"S1r":{"type":"structure","members":{"arn":{},"name":{},"description":{},"vpcConfig":{"shape":"S1m"},"created":{"type":"timestamp"}}},"S1w":{"type":"string","sensitive":true},"S21":{"type":"structure","members":{"arn":{},"name":{},"created":{"type":"timestamp"},"type":{},"status":{},"url":{"type":"string","sensitive":true},"metadata":{},"contentType":{},"message":{},"category":{}}},"S2c":{"type":"structure","members":{"arn":{},"vpceConfigurationName":{},"vpceServiceName":{},"serviceDnsName":{},"vpceConfigurationDescription":{}}},"S2z":{"type":"map","key":{},"value":{"type":"integer"}},"S3a":{"type":"structure","required":["type"],"members":{"type":{},"testPackageArn":{},"testSpecArn":{},"filter":{},"parameters":{"type":"map","key":{},"value":{}}}},"S3d":{"type":"structure","members":{"extraDataPackageArn":{},"networkProfileArn":{},"locale":{},"location":{"shape":"S3e"},"vpceConfigurationArns":{"shape":"Sz"},"customerArtifactPaths":{"shape":"S3f"},"radios":{"shape":"S3j"},"auxiliaryApps":{"shape":"Sz"},"billingMethod":{}}},"S3e":{"type":"structure","required":["latitude","longitude"],"members":{"latitude":{"type":"double"},"longitude":{"type":"double"}}},"S3f":{"type":"structure","members":{"iosPaths":{"type":"list","member":{}},"androidPaths":{"type":"list","member":{}},"deviceHostPaths":{"type":"list","member":{}}}},"S3j":{"type":"structure","members":{"wifi":{"type":"boolean"},"bluetooth":{"type":"boolean"},"nfc":{"type":"boolean"},"gps":{"type":"boolean"}}},"S3l":{"type":"list","member":{"type":"structure","members":{"device":{"shape":"S15"},"compatible":{"type":"boolean"},"incompatibilityMessages":{"type":"list","member":{"type":"structure","members":{"message":{},"type":{}}}}}}},"S3t":{"type":"structure","members":{"arn":{},"name":{},"type":{},"created":{"type":"timestamp"},"status":{},"result":{},"started":{"type":"timestamp"},"stopped":{"type":"timestamp"},"counters":{"shape":"S3u"},"message":{},"device":{"shape":"S15"},"instanceArn":{},"deviceMinutes":{"shape":"S1h"},"videoEndpoint":{},"videoCapture":{"type":"boolean"}}},"S3u":{"type":"structure","members":{"total":{"type":"integer"},"passed":{"type":"integer"},"failed":{"type":"integer"},"warned":{"type":"integer"},"errored":{"type":"integer"},"stopped":{"type":"integer"},"skipped":{"type":"integer"}}},"S41":{"type":"map","key":{},"value":{"shape":"S43"}},"S43":{"type":"structure","members":{"type":{},"offering":{"shape":"S45"},"quantity":{"type":"integer"},"effectiveOn":{"type":"timestamp"}}},"S45":{"type":"structure","members":{"id":{},"description":{},"type":{},"platform":{},"recurringCharges":{"type":"list","member":{"type":"structure","members":{"cost":{"shape":"S49"},"frequency":{}}}}}},"S49":{"type":"structure","members":{"amount":{"type":"double"},"currencyCode":{}}},"S4i":{"type":"structure","members":{"arn":{},"name":{},"type":{},"platform":{},"created":{"type":"timestamp"},"status":{},"result":{},"started":{"type":"timestamp"},"stopped":{"type":"timestamp"},"counters":{"shape":"S3u"},"message":{},"totalJobs":{"type":"integer"},"completedJobs":{"type":"integer"},"billingMethod":{},"deviceMinutes":{"shape":"S1h"},"networkProfile":{"shape":"So"},"parsingResultUrl":{},"resultCode":{},"seed":{"type":"integer"},"appUpload":{},"eventCount":{"type":"integer"},"jobTimeoutMinutes":{"type":"integer"},"devicePoolArn":{},"locale":{},"radios":{"shape":"S3j"},"location":{"shape":"S3e"},"customerArtifactPaths":{"shape":"S3f"},"webUrl":{},"skipAppResign":{"type":"boolean"},"testSpecArn":{},"deviceSelectionResult":{"type":"structure","members":{"filters":{"shape":"S4l"},"matchedDevicesCount":{"type":"integer"},"maxDevices":{"type":"integer"}}}}},"S4l":{"type":"list","member":{"type":"structure","required":["attribute","operator","values"],"members":{"attribute":{},"operator":{},"values":{"type":"list","member":{}}}}},"S4r":{"type":"structure","members":{"arn":{},"name":{},"type":{},"created":{"type":"timestamp"},"status":{},"result":{},"started":{"type":"timestamp"},"stopped":{"type":"timestamp"},"counters":{"shape":"S3u"},"message":{},"deviceMinutes":{"shape":"S1h"}}},"S4u":{"type":"structure","members":{"arn":{},"name":{},"type":{},"created":{"type":"timestamp"},"status":{},"result":{},"started":{"type":"timestamp"},"stopped":{"type":"timestamp"},"counters":{"shape":"S3u"},"message":{},"deviceMinutes":{"shape":"S1h"}}},"S50":{"type":"structure","members":{"arn":{},"status":{},"created":{"type":"timestamp"},"ended":{"type":"timestamp"},"billingMinutes":{"type":"double"},"seleniumProperties":{}}},"S64":{"type":"structure","members":{"offeringStatus":{"shape":"S43"},"transactionId":{},"offeringPromotionId":{},"createdOn":{"type":"timestamp"},"cost":{"shape":"S49"}}},"S6s":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S7n":{"type":"structure","members":{"arn":{},"name":{}}}}}');

/***/ }),

/***/ 37161:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetOfferingStatus":{"input_token":"nextToken","output_token":"nextToken","result_key":["current","nextPeriod"]},"ListArtifacts":{"input_token":"nextToken","output_token":"nextToken","result_key":"artifacts"},"ListDevicePools":{"input_token":"nextToken","output_token":"nextToken","result_key":"devicePools"},"ListDevices":{"input_token":"nextToken","output_token":"nextToken","result_key":"devices"},"ListJobs":{"input_token":"nextToken","output_token":"nextToken","result_key":"jobs"},"ListOfferingTransactions":{"input_token":"nextToken","output_token":"nextToken","result_key":"offeringTransactions"},"ListOfferings":{"input_token":"nextToken","output_token":"nextToken","result_key":"offerings"},"ListProjects":{"input_token":"nextToken","output_token":"nextToken","result_key":"projects"},"ListRuns":{"input_token":"nextToken","output_token":"nextToken","result_key":"runs"},"ListSamples":{"input_token":"nextToken","output_token":"nextToken","result_key":"samples"},"ListSuites":{"input_token":"nextToken","output_token":"nextToken","result_key":"suites"},"ListTestGridProjects":{"input_token":"nextToken","limit_key":"maxResult","output_token":"nextToken"},"ListTestGridSessionActions":{"input_token":"nextToken","limit_key":"maxResult","output_token":"nextToken"},"ListTestGridSessionArtifacts":{"input_token":"nextToken","limit_key":"maxResult","output_token":"nextToken"},"ListTestGridSessions":{"input_token":"nextToken","limit_key":"maxResult","output_token":"nextToken"},"ListTests":{"input_token":"nextToken","output_token":"nextToken","result_key":"tests"},"ListUniqueProblems":{"input_token":"nextToken","output_token":"nextToken","result_key":"uniqueProblems"},"ListUploads":{"input_token":"nextToken","output_token":"nextToken","result_key":"uploads"}}}');

/***/ }),

/***/ 36592:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-12-01","endpointPrefix":"devops-guru","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon DevOps Guru","serviceId":"DevOps Guru","signatureVersion":"v4","signingName":"devops-guru","uid":"devops-guru-2020-12-01"},"operations":{"AddNotificationChannel":{"http":{"method":"PUT","requestUri":"/channels","responseCode":200},"input":{"type":"structure","required":["Config"],"members":{"Config":{"shape":"S2"}}},"output":{"type":"structure","required":["Id"],"members":{"Id":{}}}},"DescribeAccountHealth":{"http":{"method":"GET","requestUri":"/accounts/health","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["OpenReactiveInsights","OpenProactiveInsights","MetricsAnalyzed","ResourceHours"],"members":{"OpenReactiveInsights":{"type":"integer"},"OpenProactiveInsights":{"type":"integer"},"MetricsAnalyzed":{"type":"integer"},"ResourceHours":{"type":"long"}}}},"DescribeAccountOverview":{"http":{"requestUri":"/accounts/overview","responseCode":200},"input":{"type":"structure","required":["FromTime"],"members":{"FromTime":{"type":"timestamp"},"ToTime":{"type":"timestamp"}}},"output":{"type":"structure","required":["ReactiveInsights","ProactiveInsights","MeanTimeToRecoverInMilliseconds"],"members":{"ReactiveInsights":{"type":"integer"},"ProactiveInsights":{"type":"integer"},"MeanTimeToRecoverInMilliseconds":{"type":"long"}}}},"DescribeAnomaly":{"http":{"method":"GET","requestUri":"/anomalies/{Id}","responseCode":200},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"AccountId":{"location":"querystring","locationName":"AccountId"}}},"output":{"type":"structure","members":{"ProactiveAnomaly":{"type":"structure","members":{"Id":{},"Severity":{},"Status":{},"UpdateTime":{"type":"timestamp"},"AnomalyTimeRange":{"shape":"Sq"},"AnomalyReportedTimeRange":{"shape":"Sr"},"PredictionTimeRange":{"shape":"Ss"},"SourceDetails":{"shape":"St"},"AssociatedInsightId":{},"ResourceCollection":{"shape":"S1z"},"Limit":{"type":"double"}}},"ReactiveAnomaly":{"type":"structure","members":{"Id":{},"Severity":{},"Status":{},"AnomalyTimeRange":{"shape":"Sq"},"AnomalyReportedTimeRange":{"shape":"Sr"},"SourceDetails":{"shape":"St"},"AssociatedInsightId":{},"ResourceCollection":{"shape":"S1z"},"Type":{},"Name":{},"Description":{},"CausalAnomalyId":{},"AnomalyResources":{"shape":"S2d"}}}}}},"DescribeFeedback":{"http":{"requestUri":"/feedback","responseCode":200},"input":{"type":"structure","members":{"InsightId":{}}},"output":{"type":"structure","members":{"InsightFeedback":{"shape":"S2j"}}}},"DescribeInsight":{"http":{"method":"GET","requestUri":"/insights/{Id}","responseCode":200},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"AccountId":{"location":"querystring","locationName":"AccountId"}}},"output":{"type":"structure","members":{"ProactiveInsight":{"type":"structure","members":{"Id":{},"Name":{},"Severity":{},"Status":{},"InsightTimeRange":{"shape":"S2r"},"PredictionTimeRange":{"shape":"Ss"},"ResourceCollection":{"shape":"S1z"},"SsmOpsItemId":{}}},"ReactiveInsight":{"type":"structure","members":{"Id":{},"Name":{},"Severity":{},"Status":{},"InsightTimeRange":{"shape":"S2r"},"ResourceCollection":{"shape":"S1z"},"SsmOpsItemId":{}}}}}},"DescribeOrganizationHealth":{"http":{"requestUri":"/organization/health","responseCode":200},"input":{"type":"structure","members":{"AccountIds":{"shape":"S2v"},"OrganizationalUnitIds":{"shape":"S2w"}}},"output":{"type":"structure","required":["OpenReactiveInsights","OpenProactiveInsights","MetricsAnalyzed","ResourceHours"],"members":{"OpenReactiveInsights":{"type":"integer"},"OpenProactiveInsights":{"type":"integer"},"MetricsAnalyzed":{"type":"integer"},"ResourceHours":{"type":"long"}}}},"DescribeOrganizationOverview":{"http":{"requestUri":"/organization/overview","responseCode":200},"input":{"type":"structure","required":["FromTime"],"members":{"FromTime":{"type":"timestamp"},"ToTime":{"type":"timestamp"},"AccountIds":{"shape":"S2v"},"OrganizationalUnitIds":{"shape":"S2w"}}},"output":{"type":"structure","required":["ReactiveInsights","ProactiveInsights"],"members":{"ReactiveInsights":{"type":"integer"},"ProactiveInsights":{"type":"integer"}}}},"DescribeOrganizationResourceCollectionHealth":{"http":{"requestUri":"/organization/health/resource-collection","responseCode":200},"input":{"type":"structure","required":["OrganizationResourceCollectionType"],"members":{"OrganizationResourceCollectionType":{},"AccountIds":{"shape":"S2v"},"OrganizationalUnitIds":{"shape":"S2w"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"CloudFormation":{"shape":"S36"},"Service":{"shape":"S39"},"Account":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"Insight":{"type":"structure","members":{"OpenProactiveInsights":{"type":"integer"},"OpenReactiveInsights":{"type":"integer"}}}}}},"NextToken":{}}}},"DescribeResourceCollectionHealth":{"http":{"method":"GET","requestUri":"/accounts/health/resource-collection/{ResourceCollectionType}","responseCode":200},"input":{"type":"structure","required":["ResourceCollectionType"],"members":{"ResourceCollectionType":{"location":"uri","locationName":"ResourceCollectionType"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"CloudFormation":{"shape":"S36"},"Service":{"shape":"S39"},"NextToken":{},"Tags":{"type":"list","member":{"type":"structure","members":{"AppBoundaryKey":{},"TagValue":{},"Insight":{"shape":"S38"}}}}}}},"DescribeServiceIntegration":{"http":{"method":"GET","requestUri":"/service-integrations","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"ServiceIntegration":{"type":"structure","members":{"OpsCenter":{"type":"structure","members":{"OptInStatus":{}}}}}}}},"GetCostEstimation":{"http":{"method":"GET","requestUri":"/cost-estimation","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"ResourceCollection":{"shape":"S3s"},"Status":{},"Costs":{"type":"list","member":{"type":"structure","members":{"Type":{},"State":{},"Count":{"type":"integer"},"UnitCost":{"type":"double"},"Cost":{"type":"double"}}}},"TimeRange":{"type":"structure","members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"TotalCost":{"type":"double"},"NextToken":{}}}},"GetResourceCollection":{"http":{"method":"GET","requestUri":"/resource-collections/{ResourceCollectionType}","responseCode":200},"input":{"type":"structure","required":["ResourceCollectionType"],"members":{"ResourceCollectionType":{"location":"uri","locationName":"ResourceCollectionType"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"ResourceCollection":{"type":"structure","members":{"CloudFormation":{"type":"structure","members":{"StackNames":{"shape":"S21"}}},"Tags":{"type":"list","member":{"type":"structure","required":["AppBoundaryKey","TagValues"],"members":{"AppBoundaryKey":{},"TagValues":{"shape":"S26"}}}}}},"NextToken":{}}}},"ListAnomaliesForInsight":{"http":{"requestUri":"/anomalies/insight/{InsightId}","responseCode":200},"input":{"type":"structure","required":["InsightId"],"members":{"InsightId":{"location":"uri","locationName":"InsightId"},"StartTimeRange":{"shape":"S4c"},"MaxResults":{"type":"integer"},"NextToken":{},"AccountId":{}}},"output":{"type":"structure","members":{"ProactiveAnomalies":{"type":"list","member":{"type":"structure","members":{"Id":{},"Severity":{},"Status":{},"UpdateTime":{"type":"timestamp"},"AnomalyTimeRange":{"shape":"Sq"},"AnomalyReportedTimeRange":{"shape":"Sr"},"PredictionTimeRange":{"shape":"Ss"},"SourceDetails":{"shape":"St"},"AssociatedInsightId":{},"ResourceCollection":{"shape":"S1z"},"Limit":{"type":"double"}}}},"ReactiveAnomalies":{"type":"list","member":{"type":"structure","members":{"Id":{},"Severity":{},"Status":{},"AnomalyTimeRange":{"shape":"Sq"},"AnomalyReportedTimeRange":{"shape":"Sr"},"SourceDetails":{"shape":"St"},"AssociatedInsightId":{},"ResourceCollection":{"shape":"S1z"},"Type":{},"Name":{},"Description":{},"CausalAnomalyId":{},"AnomalyResources":{"shape":"S2d"}}}},"NextToken":{}}}},"ListEvents":{"http":{"requestUri":"/events","responseCode":200},"input":{"type":"structure","required":["Filters"],"members":{"Filters":{"type":"structure","members":{"InsightId":{},"EventTimeRange":{"type":"structure","required":["FromTime","ToTime"],"members":{"FromTime":{"type":"timestamp"},"ToTime":{"type":"timestamp"}}},"EventClass":{},"EventSource":{},"DataSource":{},"ResourceCollection":{"shape":"S1z"}}},"MaxResults":{"type":"integer"},"NextToken":{},"AccountId":{}}},"output":{"type":"structure","required":["Events"],"members":{"Events":{"type":"list","member":{"type":"structure","members":{"ResourceCollection":{"shape":"S1z"},"Id":{},"Time":{"type":"timestamp"},"EventSource":{},"Name":{},"DataSource":{},"EventClass":{},"Resources":{"type":"list","member":{"type":"structure","members":{"Type":{},"Name":{},"Arn":{}}}}}}},"NextToken":{}}}},"ListInsights":{"http":{"requestUri":"/insights","responseCode":200},"input":{"type":"structure","required":["StatusFilter"],"members":{"StatusFilter":{"shape":"S51"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ProactiveInsights":{"shape":"S59"},"ReactiveInsights":{"shape":"S5f"},"NextToken":{}}}},"ListNotificationChannels":{"http":{"requestUri":"/channels","responseCode":200},"input":{"type":"structure","members":{"NextToken":{}}},"output":{"type":"structure","members":{"Channels":{"type":"list","member":{"type":"structure","members":{"Id":{},"Config":{"shape":"S2"}}}},"NextToken":{}}}},"ListOrganizationInsights":{"http":{"requestUri":"/organization/insights","responseCode":200},"input":{"type":"structure","required":["StatusFilter"],"members":{"StatusFilter":{"shape":"S51"},"MaxResults":{"type":"integer"},"AccountIds":{"type":"list","member":{}},"OrganizationalUnitIds":{"type":"list","member":{}},"NextToken":{}}},"output":{"type":"structure","members":{"ProactiveInsights":{"type":"list","member":{"type":"structure","members":{"Id":{},"AccountId":{},"OrganizationalUnitId":{},"Name":{},"Severity":{},"Status":{},"InsightTimeRange":{"shape":"S2r"},"PredictionTimeRange":{"shape":"Ss"},"ResourceCollection":{"shape":"S1z"},"ServiceCollection":{"shape":"S5b"}}}},"ReactiveInsights":{"type":"list","member":{"type":"structure","members":{"Id":{},"AccountId":{},"OrganizationalUnitId":{},"Name":{},"Severity":{},"Status":{},"InsightTimeRange":{"shape":"S2r"},"ResourceCollection":{"shape":"S1z"},"ServiceCollection":{"shape":"S5b"}}}},"NextToken":{}}}},"ListRecommendations":{"http":{"requestUri":"/recommendations","responseCode":200},"input":{"type":"structure","required":["InsightId"],"members":{"InsightId":{},"NextToken":{},"Locale":{},"AccountId":{}}},"output":{"type":"structure","members":{"Recommendations":{"type":"list","member":{"type":"structure","members":{"Description":{},"Link":{},"Name":{},"Reason":{},"RelatedEvents":{"type":"list","member":{"type":"structure","members":{"Name":{},"Resources":{"type":"list","member":{"type":"structure","members":{"Name":{},"Type":{}}}}}}},"RelatedAnomalies":{"type":"list","member":{"type":"structure","members":{"Resources":{"type":"list","member":{"type":"structure","members":{"Name":{},"Type":{}}}},"SourceDetails":{"type":"list","member":{"type":"structure","members":{"CloudWatchMetrics":{"type":"list","member":{"type":"structure","members":{"MetricName":{},"Namespace":{}}}}}}},"AnomalyId":{}}}}}}},"NextToken":{}}}},"PutFeedback":{"http":{"method":"PUT","requestUri":"/feedback","responseCode":200},"input":{"type":"structure","members":{"InsightFeedback":{"shape":"S2j"}}},"output":{"type":"structure","members":{}}},"RemoveNotificationChannel":{"http":{"method":"DELETE","requestUri":"/channels/{Id}","responseCode":200},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"SearchInsights":{"http":{"requestUri":"/insights/search","responseCode":200},"input":{"type":"structure","required":["StartTimeRange","Type"],"members":{"StartTimeRange":{"shape":"S4c"},"Filters":{"type":"structure","members":{"Severities":{"shape":"S6r"},"Statuses":{"shape":"S6s"},"ResourceCollection":{"shape":"S1z"},"ServiceCollection":{"shape":"S5b"}}},"MaxResults":{"type":"integer"},"NextToken":{},"Type":{}}},"output":{"type":"structure","members":{"ProactiveInsights":{"shape":"S59"},"ReactiveInsights":{"shape":"S5f"},"NextToken":{}}}},"SearchOrganizationInsights":{"http":{"requestUri":"/organization/insights/search","responseCode":200},"input":{"type":"structure","required":["AccountIds","StartTimeRange","Type"],"members":{"AccountIds":{"type":"list","member":{}},"StartTimeRange":{"shape":"S4c"},"Filters":{"type":"structure","members":{"Severities":{"shape":"S6r"},"Statuses":{"shape":"S6s"},"ResourceCollection":{"shape":"S1z"},"ServiceCollection":{"shape":"S5b"}}},"MaxResults":{"type":"integer"},"NextToken":{},"Type":{}}},"output":{"type":"structure","members":{"ProactiveInsights":{"shape":"S59"},"ReactiveInsights":{"shape":"S5f"},"NextToken":{}}}},"StartCostEstimation":{"http":{"method":"PUT","requestUri":"/cost-estimation","responseCode":200},"input":{"type":"structure","required":["ResourceCollection"],"members":{"ResourceCollection":{"shape":"S3s"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{}}},"UpdateResourceCollection":{"http":{"method":"PUT","requestUri":"/resource-collections","responseCode":200},"input":{"type":"structure","required":["Action","ResourceCollection"],"members":{"Action":{},"ResourceCollection":{"type":"structure","members":{"CloudFormation":{"type":"structure","members":{"StackNames":{"type":"list","member":{}}}},"Tags":{"type":"list","member":{"type":"structure","required":["AppBoundaryKey","TagValues"],"members":{"AppBoundaryKey":{},"TagValues":{"type":"list","member":{}}}}}}}}},"output":{"type":"structure","members":{}}},"UpdateServiceIntegration":{"http":{"method":"PUT","requestUri":"/service-integrations","responseCode":200},"input":{"type":"structure","required":["ServiceIntegration"],"members":{"ServiceIntegration":{"type":"structure","members":{"OpsCenter":{"type":"structure","members":{"OptInStatus":{}}}}}}},"output":{"type":"structure","members":{}}}},"shapes":{"S2":{"type":"structure","required":["Sns"],"members":{"Sns":{"type":"structure","members":{"TopicArn":{}}}}},"Sq":{"type":"structure","required":["StartTime"],"members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"Sr":{"type":"structure","required":["OpenTime"],"members":{"OpenTime":{"type":"timestamp"},"CloseTime":{"type":"timestamp"}}},"Ss":{"type":"structure","required":["StartTime"],"members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"St":{"type":"structure","members":{"CloudWatchMetrics":{"type":"list","member":{"type":"structure","members":{"MetricName":{},"Namespace":{},"Dimensions":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{}}}},"Stat":{},"Unit":{},"Period":{"type":"integer"},"MetricDataSummary":{"type":"structure","members":{"TimestampMetricValuePairList":{"type":"list","member":{"type":"structure","members":{"Timestamp":{"type":"timestamp"},"MetricValue":{"type":"double"}}}},"StatusCode":{}}}}}},"PerformanceInsightsMetrics":{"type":"list","member":{"type":"structure","members":{"MetricDisplayName":{},"Unit":{},"MetricQuery":{"shape":"S1e"},"ReferenceData":{"type":"list","member":{"type":"structure","members":{"Name":{},"ComparisonValues":{"type":"structure","members":{"ReferenceScalar":{"type":"structure","members":{"Value":{"type":"double"}}},"ReferenceMetric":{"type":"structure","members":{"MetricQuery":{"shape":"S1e"}}}}}}}},"StatsAtAnomaly":{"shape":"S1v"},"StatsAtBaseline":{"shape":"S1v"}}}}}},"S1e":{"type":"structure","members":{"Metric":{},"GroupBy":{"type":"structure","members":{"Group":{},"Dimensions":{"type":"list","member":{}},"Limit":{"type":"integer"}}},"Filter":{"type":"map","key":{},"value":{}}}},"S1v":{"type":"list","member":{"type":"structure","members":{"Type":{},"Value":{"type":"double"}}}},"S1z":{"type":"structure","members":{"CloudFormation":{"type":"structure","members":{"StackNames":{"shape":"S21"}}},"Tags":{"type":"list","member":{"type":"structure","required":["AppBoundaryKey","TagValues"],"members":{"AppBoundaryKey":{},"TagValues":{"shape":"S26"}}}}}},"S21":{"type":"list","member":{}},"S26":{"type":"list","member":{}},"S2d":{"type":"list","member":{"type":"structure","members":{"Name":{},"Type":{}}}},"S2j":{"type":"structure","members":{"Id":{},"Feedback":{}}},"S2r":{"type":"structure","required":["StartTime"],"members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"S2v":{"type":"list","member":{}},"S2w":{"type":"list","member":{}},"S36":{"type":"list","member":{"type":"structure","members":{"StackName":{},"Insight":{"shape":"S38"}}}},"S38":{"type":"structure","members":{"OpenProactiveInsights":{"type":"integer"},"OpenReactiveInsights":{"type":"integer"},"MeanTimeToRecoverInMilliseconds":{"type":"long"}}},"S39":{"type":"list","member":{"type":"structure","members":{"ServiceName":{},"Insight":{"type":"structure","members":{"OpenProactiveInsights":{"type":"integer"},"OpenReactiveInsights":{"type":"integer"}}}}}},"S3s":{"type":"structure","members":{"CloudFormation":{"type":"structure","members":{"StackNames":{"type":"list","member":{}}}},"Tags":{"type":"list","member":{"type":"structure","required":["AppBoundaryKey","TagValues"],"members":{"AppBoundaryKey":{},"TagValues":{"type":"list","member":{}}}}}}},"S4c":{"type":"structure","members":{"FromTime":{"type":"timestamp"},"ToTime":{"type":"timestamp"}}},"S51":{"type":"structure","members":{"Ongoing":{"type":"structure","required":["Type"],"members":{"Type":{}}},"Closed":{"type":"structure","required":["Type","EndTimeRange"],"members":{"Type":{},"EndTimeRange":{"type":"structure","members":{"FromTime":{"type":"timestamp"},"ToTime":{"type":"timestamp"}}}}},"Any":{"type":"structure","required":["Type","StartTimeRange"],"members":{"Type":{},"StartTimeRange":{"shape":"S4c"}}}}},"S59":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"Severity":{},"Status":{},"InsightTimeRange":{"shape":"S2r"},"PredictionTimeRange":{"shape":"Ss"},"ResourceCollection":{"shape":"S1z"},"ServiceCollection":{"shape":"S5b"},"AssociatedResourceArns":{"shape":"S5d"}}}},"S5b":{"type":"structure","members":{"ServiceNames":{"type":"list","member":{}}}},"S5d":{"type":"list","member":{}},"S5f":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"Severity":{},"Status":{},"InsightTimeRange":{"shape":"S2r"},"ResourceCollection":{"shape":"S1z"},"ServiceCollection":{"shape":"S5b"},"AssociatedResourceArns":{"shape":"S5d"}}}},"S6r":{"type":"list","member":{}},"S6s":{"type":"list","member":{}}}}');

/***/ }),

/***/ 95551:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeOrganizationResourceCollectionHealth":{"input_token":"NextToken","output_token":"NextToken","result_key":["CloudFormation","Account","Service"]},"DescribeResourceCollectionHealth":{"input_token":"NextToken","output_token":"NextToken","result_key":["CloudFormation","Service","Tags"]},"GetCostEstimation":{"input_token":"NextToken","non_aggregate_keys":["Status","TotalCost","TimeRange","ResourceCollection"],"output_token":"NextToken","result_key":["Costs"]},"GetResourceCollection":{"input_token":"NextToken","non_aggregate_keys":["ResourceCollection"],"output_token":"NextToken","result_key":["ResourceCollection.CloudFormation.StackNames","ResourceCollection.Tags"]},"ListAnomaliesForInsight":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":["ReactiveAnomalies","ProactiveAnomalies"]},"ListEvents":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Events"},"ListInsights":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":["ProactiveInsights","ReactiveInsights"]},"ListNotificationChannels":{"input_token":"NextToken","output_token":"NextToken","result_key":"Channels"},"ListOrganizationInsights":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":["ProactiveInsights","ReactiveInsights"]},"ListRecommendations":{"input_token":"NextToken","output_token":"NextToken","result_key":"Recommendations"},"SearchInsights":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":["ProactiveInsights","ReactiveInsights"]},"SearchOrganizationInsights":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":["ProactiveInsights","ReactiveInsights"]}}}');

/***/ }),

/***/ 45125:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2012-10-25","endpointPrefix":"directconnect","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Direct Connect","serviceId":"Direct Connect","signatureVersion":"v4","targetPrefix":"OvertureService","uid":"directconnect-2012-10-25"},"operations":{"AcceptDirectConnectGatewayAssociationProposal":{"input":{"type":"structure","required":["directConnectGatewayId","proposalId","associatedGatewayOwnerAccount"],"members":{"directConnectGatewayId":{},"proposalId":{},"associatedGatewayOwnerAccount":{},"overrideAllowedPrefixesToDirectConnectGateway":{"shape":"S5"}}},"output":{"type":"structure","members":{"directConnectGatewayAssociation":{"shape":"S9"}}}},"AllocateConnectionOnInterconnect":{"input":{"type":"structure","required":["bandwidth","connectionName","ownerAccount","interconnectId","vlan"],"members":{"bandwidth":{},"connectionName":{},"ownerAccount":{},"interconnectId":{},"vlan":{"type":"integer"}}},"output":{"shape":"So"},"deprecated":true},"AllocateHostedConnection":{"input":{"type":"structure","required":["connectionId","ownerAccount","bandwidth","connectionName","vlan"],"members":{"connectionId":{},"ownerAccount":{},"bandwidth":{},"connectionName":{},"vlan":{"type":"integer"},"tags":{"shape":"S10"}}},"output":{"shape":"So"}},"AllocatePrivateVirtualInterface":{"input":{"type":"structure","required":["connectionId","ownerAccount","newPrivateVirtualInterfaceAllocation"],"members":{"connectionId":{},"ownerAccount":{},"newPrivateVirtualInterfaceAllocation":{"type":"structure","required":["virtualInterfaceName","vlan","asn"],"members":{"virtualInterfaceName":{},"vlan":{"type":"integer"},"asn":{"type":"integer"},"mtu":{"type":"integer"},"authKey":{},"amazonAddress":{},"addressFamily":{},"customerAddress":{},"tags":{"shape":"S10"}}}}},"output":{"shape":"S1o"}},"AllocatePublicVirtualInterface":{"input":{"type":"structure","required":["connectionId","ownerAccount","newPublicVirtualInterfaceAllocation"],"members":{"connectionId":{},"ownerAccount":{},"newPublicVirtualInterfaceAllocation":{"type":"structure","required":["virtualInterfaceName","vlan","asn"],"members":{"virtualInterfaceName":{},"vlan":{"type":"integer"},"asn":{"type":"integer"},"authKey":{},"amazonAddress":{},"customerAddress":{},"addressFamily":{},"routeFilterPrefixes":{"shape":"S5"},"tags":{"shape":"S10"}}}}},"output":{"shape":"S1o"}},"AllocateTransitVirtualInterface":{"input":{"type":"structure","required":["connectionId","ownerAccount","newTransitVirtualInterfaceAllocation"],"members":{"connectionId":{},"ownerAccount":{},"newTransitVirtualInterfaceAllocation":{"type":"structure","members":{"virtualInterfaceName":{},"vlan":{"type":"integer"},"asn":{"type":"integer"},"mtu":{"type":"integer"},"authKey":{},"amazonAddress":{},"customerAddress":{},"addressFamily":{},"tags":{"shape":"S10"}}}}},"output":{"type":"structure","members":{"virtualInterface":{"shape":"S1o"}}}},"AssociateConnectionWithLag":{"input":{"type":"structure","required":["connectionId","lagId"],"members":{"connectionId":{},"lagId":{}}},"output":{"shape":"So"}},"AssociateHostedConnection":{"input":{"type":"structure","required":["connectionId","parentConnectionId"],"members":{"connectionId":{},"parentConnectionId":{}}},"output":{"shape":"So"}},"AssociateMacSecKey":{"input":{"type":"structure","required":["connectionId"],"members":{"connectionId":{},"secretARN":{},"ckn":{},"cak":{}}},"output":{"type":"structure","members":{"connectionId":{},"macSecKeys":{"shape":"S18"}}}},"AssociateVirtualInterface":{"input":{"type":"structure","required":["virtualInterfaceId","connectionId"],"members":{"virtualInterfaceId":{},"connectionId":{}}},"output":{"shape":"S1o"}},"ConfirmConnection":{"input":{"type":"structure","required":["connectionId"],"members":{"connectionId":{}}},"output":{"type":"structure","members":{"connectionState":{}}}},"ConfirmCustomerAgreement":{"input":{"type":"structure","members":{"agreementName":{}}},"output":{"type":"structure","members":{"status":{}}}},"ConfirmPrivateVirtualInterface":{"input":{"type":"structure","required":["virtualInterfaceId"],"members":{"virtualInterfaceId":{},"virtualGatewayId":{},"directConnectGatewayId":{}}},"output":{"type":"structure","members":{"virtualInterfaceState":{}}}},"ConfirmPublicVirtualInterface":{"input":{"type":"structure","required":["virtualInterfaceId"],"members":{"virtualInterfaceId":{}}},"output":{"type":"structure","members":{"virtualInterfaceState":{}}}},"ConfirmTransitVirtualInterface":{"input":{"type":"structure","required":["virtualInterfaceId","directConnectGatewayId"],"members":{"virtualInterfaceId":{},"directConnectGatewayId":{}}},"output":{"type":"structure","members":{"virtualInterfaceState":{}}}},"CreateBGPPeer":{"input":{"type":"structure","members":{"virtualInterfaceId":{},"newBGPPeer":{"type":"structure","members":{"asn":{"type":"integer"},"authKey":{},"addressFamily":{},"amazonAddress":{},"customerAddress":{}}}}},"output":{"type":"structure","members":{"virtualInterface":{"shape":"S1o"}}}},"CreateConnection":{"input":{"type":"structure","required":["location","bandwidth","connectionName"],"members":{"location":{},"bandwidth":{},"connectionName":{},"lagId":{},"tags":{"shape":"S10"},"providerName":{},"requestMACSec":{"type":"boolean"}}},"output":{"shape":"So"}},"CreateDirectConnectGateway":{"input":{"type":"structure","required":["directConnectGatewayName"],"members":{"directConnectGatewayName":{},"amazonSideAsn":{"type":"long"}}},"output":{"type":"structure","members":{"directConnectGateway":{"shape":"S2v"}}}},"CreateDirectConnectGatewayAssociation":{"input":{"type":"structure","required":["directConnectGatewayId"],"members":{"directConnectGatewayId":{},"gatewayId":{},"addAllowedPrefixesToDirectConnectGateway":{"shape":"S5"},"virtualGatewayId":{}}},"output":{"type":"structure","members":{"directConnectGatewayAssociation":{"shape":"S9"}}}},"CreateDirectConnectGatewayAssociationProposal":{"input":{"type":"structure","required":["directConnectGatewayId","directConnectGatewayOwnerAccount","gatewayId"],"members":{"directConnectGatewayId":{},"directConnectGatewayOwnerAccount":{},"gatewayId":{},"addAllowedPrefixesToDirectConnectGateway":{"shape":"S5"},"removeAllowedPrefixesToDirectConnectGateway":{"shape":"S5"}}},"output":{"type":"structure","members":{"directConnectGatewayAssociationProposal":{"shape":"S32"}}}},"CreateInterconnect":{"input":{"type":"structure","required":["interconnectName","bandwidth","location"],"members":{"interconnectName":{},"bandwidth":{},"location":{},"lagId":{},"tags":{"shape":"S10"},"providerName":{}}},"output":{"shape":"S36"}},"CreateLag":{"input":{"type":"structure","required":["numberOfConnections","location","connectionsBandwidth","lagName"],"members":{"numberOfConnections":{"type":"integer"},"location":{},"connectionsBandwidth":{},"lagName":{},"connectionId":{},"tags":{"shape":"S10"},"childConnectionTags":{"shape":"S10"},"providerName":{},"requestMACSec":{"type":"boolean"}}},"output":{"shape":"S3b"}},"CreatePrivateVirtualInterface":{"input":{"type":"structure","required":["connectionId","newPrivateVirtualInterface"],"members":{"connectionId":{},"newPrivateVirtualInterface":{"type":"structure","required":["virtualInterfaceName","vlan","asn"],"members":{"virtualInterfaceName":{},"vlan":{"type":"integer"},"asn":{"type":"integer"},"mtu":{"type":"integer"},"authKey":{},"amazonAddress":{},"customerAddress":{},"addressFamily":{},"virtualGatewayId":{},"directConnectGatewayId":{},"tags":{"shape":"S10"},"enableSiteLink":{"type":"boolean"}}}}},"output":{"shape":"S1o"}},"CreatePublicVirtualInterface":{"input":{"type":"structure","required":["connectionId","newPublicVirtualInterface"],"members":{"connectionId":{},"newPublicVirtualInterface":{"type":"structure","required":["virtualInterfaceName","vlan","asn"],"members":{"virtualInterfaceName":{},"vlan":{"type":"integer"},"asn":{"type":"integer"},"authKey":{},"amazonAddress":{},"customerAddress":{},"addressFamily":{},"routeFilterPrefixes":{"shape":"S5"},"tags":{"shape":"S10"}}}}},"output":{"shape":"S1o"}},"CreateTransitVirtualInterface":{"input":{"type":"structure","required":["connectionId","newTransitVirtualInterface"],"members":{"connectionId":{},"newTransitVirtualInterface":{"type":"structure","members":{"virtualInterfaceName":{},"vlan":{"type":"integer"},"asn":{"type":"integer"},"mtu":{"type":"integer"},"authKey":{},"amazonAddress":{},"customerAddress":{},"addressFamily":{},"directConnectGatewayId":{},"tags":{"shape":"S10"},"enableSiteLink":{"type":"boolean"}}}}},"output":{"type":"structure","members":{"virtualInterface":{"shape":"S1o"}}}},"DeleteBGPPeer":{"input":{"type":"structure","members":{"virtualInterfaceId":{},"asn":{"type":"integer"},"customerAddress":{},"bgpPeerId":{}}},"output":{"type":"structure","members":{"virtualInterface":{"shape":"S1o"}}}},"DeleteConnection":{"input":{"type":"structure","required":["connectionId"],"members":{"connectionId":{}}},"output":{"shape":"So"}},"DeleteDirectConnectGateway":{"input":{"type":"structure","required":["directConnectGatewayId"],"members":{"directConnectGatewayId":{}}},"output":{"type":"structure","members":{"directConnectGateway":{"shape":"S2v"}}}},"DeleteDirectConnectGatewayAssociation":{"input":{"type":"structure","members":{"associationId":{},"directConnectGatewayId":{},"virtualGatewayId":{}}},"output":{"type":"structure","members":{"directConnectGatewayAssociation":{"shape":"S9"}}}},"DeleteDirectConnectGatewayAssociationProposal":{"input":{"type":"structure","required":["proposalId"],"members":{"proposalId":{}}},"output":{"type":"structure","members":{"directConnectGatewayAssociationProposal":{"shape":"S32"}}}},"DeleteInterconnect":{"input":{"type":"structure","required":["interconnectId"],"members":{"interconnectId":{}}},"output":{"type":"structure","members":{"interconnectState":{}}}},"DeleteLag":{"input":{"type":"structure","required":["lagId"],"members":{"lagId":{}}},"output":{"shape":"S3b"}},"DeleteVirtualInterface":{"input":{"type":"structure","required":["virtualInterfaceId"],"members":{"virtualInterfaceId":{}}},"output":{"type":"structure","members":{"virtualInterfaceState":{}}}},"DescribeConnectionLoa":{"input":{"type":"structure","required":["connectionId"],"members":{"connectionId":{},"providerName":{},"loaContentType":{}}},"output":{"type":"structure","members":{"loa":{"shape":"S44"}}},"deprecated":true},"DescribeConnections":{"input":{"type":"structure","members":{"connectionId":{}}},"output":{"shape":"S47"}},"DescribeConnectionsOnInterconnect":{"input":{"type":"structure","required":["interconnectId"],"members":{"interconnectId":{}}},"output":{"shape":"S47"},"deprecated":true},"DescribeCustomerMetadata":{"output":{"type":"structure","members":{"agreements":{"type":"list","member":{"type":"structure","members":{"agreementName":{},"status":{}}}},"nniPartnerType":{}}}},"DescribeDirectConnectGatewayAssociationProposals":{"input":{"type":"structure","members":{"directConnectGatewayId":{},"proposalId":{},"associatedGatewayId":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"directConnectGatewayAssociationProposals":{"type":"list","member":{"shape":"S32"}},"nextToken":{}}}},"DescribeDirectConnectGatewayAssociations":{"input":{"type":"structure","members":{"associationId":{},"associatedGatewayId":{},"directConnectGatewayId":{},"maxResults":{"type":"integer"},"nextToken":{},"virtualGatewayId":{}}},"output":{"type":"structure","members":{"directConnectGatewayAssociations":{"type":"list","member":{"shape":"S9"}},"nextToken":{}}}},"DescribeDirectConnectGatewayAttachments":{"input":{"type":"structure","members":{"directConnectGatewayId":{},"virtualInterfaceId":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"directConnectGatewayAttachments":{"type":"list","member":{"type":"structure","members":{"directConnectGatewayId":{},"virtualInterfaceId":{},"virtualInterfaceRegion":{},"virtualInterfaceOwnerAccount":{},"attachmentState":{},"attachmentType":{},"stateChangeError":{}}}},"nextToken":{}}}},"DescribeDirectConnectGateways":{"input":{"type":"structure","members":{"directConnectGatewayId":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"directConnectGateways":{"type":"list","member":{"shape":"S2v"}},"nextToken":{}}}},"DescribeHostedConnections":{"input":{"type":"structure","required":["connectionId"],"members":{"connectionId":{}}},"output":{"shape":"S47"}},"DescribeInterconnectLoa":{"input":{"type":"structure","required":["interconnectId"],"members":{"interconnectId":{},"providerName":{},"loaContentType":{}}},"output":{"type":"structure","members":{"loa":{"shape":"S44"}}},"deprecated":true},"DescribeInterconnects":{"input":{"type":"structure","members":{"interconnectId":{}}},"output":{"type":"structure","members":{"interconnects":{"type":"list","member":{"shape":"S36"}}}}},"DescribeLags":{"input":{"type":"structure","members":{"lagId":{}}},"output":{"type":"structure","members":{"lags":{"type":"list","member":{"shape":"S3b"}}}}},"DescribeLoa":{"input":{"type":"structure","required":["connectionId"],"members":{"connectionId":{},"providerName":{},"loaContentType":{}}},"output":{"shape":"S44"}},"DescribeLocations":{"output":{"type":"structure","members":{"locations":{"type":"list","member":{"type":"structure","members":{"locationCode":{},"locationName":{},"region":{},"availablePortSpeeds":{"type":"list","member":{}},"availableProviders":{"type":"list","member":{}},"availableMacSecPortSpeeds":{"type":"list","member":{}}}}}}}},"DescribeRouterConfiguration":{"input":{"type":"structure","required":["virtualInterfaceId"],"members":{"virtualInterfaceId":{},"routerTypeIdentifier":{}}},"output":{"type":"structure","members":{"customerRouterConfig":{},"router":{"type":"structure","members":{"vendor":{},"platform":{},"software":{},"xsltTemplateName":{},"xsltTemplateNameForMacSec":{},"routerTypeIdentifier":{}}},"virtualInterfaceId":{},"virtualInterfaceName":{}}}},"DescribeTags":{"input":{"type":"structure","required":["resourceArns"],"members":{"resourceArns":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"resourceTags":{"type":"list","member":{"type":"structure","members":{"resourceArn":{},"tags":{"shape":"S10"}}}}}}},"DescribeVirtualGateways":{"output":{"type":"structure","members":{"virtualGateways":{"type":"list","member":{"type":"structure","members":{"virtualGatewayId":{},"virtualGatewayState":{}}}}}}},"DescribeVirtualInterfaces":{"input":{"type":"structure","members":{"connectionId":{},"virtualInterfaceId":{}}},"output":{"type":"structure","members":{"virtualInterfaces":{"type":"list","member":{"shape":"S1o"}}}}},"DisassociateConnectionFromLag":{"input":{"type":"structure","required":["connectionId","lagId"],"members":{"connectionId":{},"lagId":{}}},"output":{"shape":"So"}},"DisassociateMacSecKey":{"input":{"type":"structure","required":["connectionId","secretARN"],"members":{"connectionId":{},"secretARN":{}}},"output":{"type":"structure","members":{"connectionId":{},"macSecKeys":{"shape":"S18"}}}},"ListVirtualInterfaceTestHistory":{"input":{"type":"structure","members":{"testId":{},"virtualInterfaceId":{},"bgpPeers":{"shape":"S65"},"status":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"virtualInterfaceTestHistory":{"type":"list","member":{"shape":"S69"}},"nextToken":{}}}},"StartBgpFailoverTest":{"input":{"type":"structure","required":["virtualInterfaceId"],"members":{"virtualInterfaceId":{},"bgpPeers":{"shape":"S65"},"testDurationInMinutes":{"type":"integer"}}},"output":{"type":"structure","members":{"virtualInterfaceTest":{"shape":"S69"}}}},"StopBgpFailoverTest":{"input":{"type":"structure","required":["virtualInterfaceId"],"members":{"virtualInterfaceId":{}}},"output":{"type":"structure","members":{"virtualInterfaceTest":{"shape":"S69"}}}},"TagResource":{"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateConnection":{"input":{"type":"structure","required":["connectionId"],"members":{"connectionId":{},"connectionName":{},"encryptionMode":{}}},"output":{"shape":"So"}},"UpdateDirectConnectGateway":{"input":{"type":"structure","required":["directConnectGatewayId","newDirectConnectGatewayName"],"members":{"directConnectGatewayId":{},"newDirectConnectGatewayName":{}}},"output":{"type":"structure","members":{"directConnectGateway":{"shape":"S2v"}}}},"UpdateDirectConnectGatewayAssociation":{"input":{"type":"structure","members":{"associationId":{},"addAllowedPrefixesToDirectConnectGateway":{"shape":"S5"},"removeAllowedPrefixesToDirectConnectGateway":{"shape":"S5"}}},"output":{"type":"structure","members":{"directConnectGatewayAssociation":{"shape":"S9"}}}},"UpdateLag":{"input":{"type":"structure","required":["lagId"],"members":{"lagId":{},"lagName":{},"minimumLinks":{"type":"integer"},"encryptionMode":{}}},"output":{"shape":"S3b"}},"UpdateVirtualInterfaceAttributes":{"input":{"type":"structure","required":["virtualInterfaceId"],"members":{"virtualInterfaceId":{},"mtu":{"type":"integer"},"enableSiteLink":{"type":"boolean"},"virtualInterfaceName":{}}},"output":{"shape":"S1o"}}},"shapes":{"S5":{"type":"list","member":{"type":"structure","members":{"cidr":{}}}},"S9":{"type":"structure","members":{"directConnectGatewayId":{},"directConnectGatewayOwnerAccount":{},"associationState":{},"stateChangeError":{},"associatedGateway":{"shape":"Sc"},"associationId":{},"allowedPrefixesToDirectConnectGateway":{"shape":"S5"},"virtualGatewayId":{},"virtualGatewayRegion":{"type":"string","deprecated":true},"virtualGatewayOwnerAccount":{}}},"Sc":{"type":"structure","members":{"id":{},"type":{},"ownerAccount":{},"region":{}}},"So":{"type":"structure","members":{"ownerAccount":{},"connectionId":{},"connectionName":{},"connectionState":{},"region":{},"location":{},"bandwidth":{},"vlan":{"type":"integer"},"partnerName":{},"loaIssueTime":{"type":"timestamp"},"lagId":{},"awsDevice":{"shape":"Sv"},"jumboFrameCapable":{"type":"boolean"},"awsDeviceV2":{},"awsLogicalDeviceId":{},"hasLogicalRedundancy":{},"tags":{"shape":"S10"},"providerName":{},"macSecCapable":{"type":"boolean"},"portEncryptionStatus":{},"encryptionMode":{},"macSecKeys":{"shape":"S18"}}},"Sv":{"type":"string","deprecated":true},"S10":{"type":"list","member":{"type":"structure","required":["key"],"members":{"key":{},"value":{}}}},"S18":{"type":"list","member":{"type":"structure","members":{"secretARN":{},"ckn":{},"state":{},"startOn":{}}}},"S1o":{"type":"structure","members":{"ownerAccount":{},"virtualInterfaceId":{},"location":{},"connectionId":{},"virtualInterfaceType":{},"virtualInterfaceName":{},"vlan":{"type":"integer"},"asn":{"type":"integer"},"amazonSideAsn":{"type":"long"},"authKey":{},"amazonAddress":{},"customerAddress":{},"addressFamily":{},"virtualInterfaceState":{},"customerRouterConfig":{},"mtu":{"type":"integer"},"jumboFrameCapable":{"type":"boolean"},"virtualGatewayId":{},"directConnectGatewayId":{},"routeFilterPrefixes":{"shape":"S5"},"bgpPeers":{"type":"list","member":{"type":"structure","members":{"bgpPeerId":{},"asn":{"type":"integer"},"authKey":{},"addressFamily":{},"amazonAddress":{},"customerAddress":{},"bgpPeerState":{},"bgpStatus":{},"awsDeviceV2":{},"awsLogicalDeviceId":{}}}},"region":{},"awsDeviceV2":{},"awsLogicalDeviceId":{},"tags":{"shape":"S10"},"siteLinkEnabled":{"type":"boolean"}}},"S2v":{"type":"structure","members":{"directConnectGatewayId":{},"directConnectGatewayName":{},"amazonSideAsn":{"type":"long"},"ownerAccount":{},"directConnectGatewayState":{},"stateChangeError":{}}},"S32":{"type":"structure","members":{"proposalId":{},"directConnectGatewayId":{},"directConnectGatewayOwnerAccount":{},"proposalState":{},"associatedGateway":{"shape":"Sc"},"existingAllowedPrefixesToDirectConnectGateway":{"shape":"S5"},"requestedAllowedPrefixesToDirectConnectGateway":{"shape":"S5"}}},"S36":{"type":"structure","members":{"interconnectId":{},"interconnectName":{},"interconnectState":{},"region":{},"location":{},"bandwidth":{},"loaIssueTime":{"type":"timestamp"},"lagId":{},"awsDevice":{"shape":"Sv"},"jumboFrameCapable":{"type":"boolean"},"awsDeviceV2":{},"awsLogicalDeviceId":{},"hasLogicalRedundancy":{},"tags":{"shape":"S10"},"providerName":{}}},"S3b":{"type":"structure","members":{"connectionsBandwidth":{},"numberOfConnections":{"type":"integer"},"lagId":{},"ownerAccount":{},"lagName":{},"lagState":{},"location":{},"region":{},"minimumLinks":{"type":"integer"},"awsDevice":{"shape":"Sv"},"awsDeviceV2":{},"awsLogicalDeviceId":{},"connections":{"shape":"S3d"},"allowsHostedConnections":{"type":"boolean"},"jumboFrameCapable":{"type":"boolean"},"hasLogicalRedundancy":{},"tags":{"shape":"S10"},"providerName":{},"macSecCapable":{"type":"boolean"},"encryptionMode":{},"macSecKeys":{"shape":"S18"}}},"S3d":{"type":"list","member":{"shape":"So"}},"S44":{"type":"structure","members":{"loaContent":{"type":"blob"},"loaContentType":{}}},"S47":{"type":"structure","members":{"connections":{"shape":"S3d"}}},"S65":{"type":"list","member":{}},"S69":{"type":"structure","members":{"testId":{},"virtualInterfaceId":{},"bgpPeers":{"shape":"S65"},"status":{},"ownerAccount":{},"testDurationInMinutes":{"type":"integer"},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"}}}}}');

/***/ }),

/***/ 26404:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeConnections":{"result_key":"connections"},"DescribeConnectionsOnInterconnect":{"result_key":"connections"},"DescribeInterconnects":{"result_key":"interconnects"},"DescribeLocations":{"result_key":"locations"},"DescribeVirtualGateways":{"result_key":"virtualGateways"},"DescribeVirtualInterfaces":{"result_key":"virtualInterfaces"}}}');

/***/ }),

/***/ 68951:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-11-01","endpointPrefix":"discovery","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Application Discovery Service","serviceId":"Application Discovery Service","signatureVersion":"v4","targetPrefix":"AWSPoseidonService_V2015_11_01","uid":"discovery-2015-11-01"},"operations":{"AssociateConfigurationItemsToApplication":{"input":{"type":"structure","required":["applicationConfigurationId","configurationIds"],"members":{"applicationConfigurationId":{},"configurationIds":{"shape":"S3"}}},"output":{"type":"structure","members":{}}},"BatchDeleteImportData":{"input":{"type":"structure","required":["importTaskIds"],"members":{"importTaskIds":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"errors":{"type":"list","member":{"type":"structure","members":{"importTaskId":{},"errorCode":{},"errorDescription":{}}}}}}},"CreateApplication":{"input":{"type":"structure","required":["name"],"members":{"name":{},"description":{}}},"output":{"type":"structure","members":{"configurationId":{}}}},"CreateTags":{"input":{"type":"structure","required":["configurationIds","tags"],"members":{"configurationIds":{"shape":"S3"},"tags":{"shape":"Si"}}},"output":{"type":"structure","members":{}}},"DeleteApplications":{"input":{"type":"structure","required":["configurationIds"],"members":{"configurationIds":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"DeleteTags":{"input":{"type":"structure","required":["configurationIds"],"members":{"configurationIds":{"shape":"S3"},"tags":{"shape":"Si"}}},"output":{"type":"structure","members":{}}},"DescribeAgents":{"input":{"type":"structure","members":{"agentIds":{"shape":"St"},"filters":{"shape":"Sv"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"agentsInfo":{"type":"list","member":{"type":"structure","members":{"agentId":{},"hostName":{},"agentNetworkInfoList":{"type":"list","member":{"type":"structure","members":{"ipAddress":{},"macAddress":{}}}},"connectorId":{},"version":{},"health":{},"lastHealthPingTime":{},"collectionStatus":{},"agentType":{},"registeredTime":{}}}},"nextToken":{}}}},"DescribeConfigurations":{"input":{"type":"structure","required":["configurationIds"],"members":{"configurationIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"configurations":{"type":"list","member":{"type":"map","key":{},"value":{}}}}}},"DescribeContinuousExports":{"input":{"type":"structure","members":{"exportIds":{"type":"list","member":{}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"descriptions":{"type":"list","member":{"type":"structure","members":{"exportId":{},"status":{},"statusDetail":{},"s3Bucket":{},"startTime":{"type":"timestamp"},"stopTime":{"type":"timestamp"},"dataSource":{},"schemaStorageConfig":{"shape":"S1o"}}}},"nextToken":{}}}},"DescribeExportConfigurations":{"input":{"type":"structure","members":{"exportIds":{"shape":"S1r"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"exportsInfo":{"shape":"S1t"},"nextToken":{}}},"deprecated":true},"DescribeExportTasks":{"input":{"type":"structure","members":{"exportIds":{"shape":"S1r"},"filters":{"shape":"S21"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"exportsInfo":{"shape":"S1t"},"nextToken":{}}}},"DescribeImportTasks":{"input":{"type":"structure","members":{"filters":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"type":"list","member":{}}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"nextToken":{},"tasks":{"type":"list","member":{"shape":"S2e"}}}}},"DescribeTags":{"input":{"type":"structure","members":{"filters":{"type":"list","member":{"type":"structure","required":["name","values"],"members":{"name":{},"values":{"shape":"Sx"}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"tags":{"type":"list","member":{"type":"structure","members":{"configurationType":{},"configurationId":{},"key":{},"value":{},"timeOfCreation":{"type":"timestamp"}}}},"nextToken":{}}}},"DisassociateConfigurationItemsFromApplication":{"input":{"type":"structure","required":["applicationConfigurationId","configurationIds"],"members":{"applicationConfigurationId":{},"configurationIds":{"shape":"S3"}}},"output":{"type":"structure","members":{}}},"ExportConfigurations":{"output":{"type":"structure","members":{"exportId":{}}},"deprecated":true},"GetDiscoverySummary":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"servers":{"type":"long"},"applications":{"type":"long"},"serversMappedToApplications":{"type":"long"},"serversMappedtoTags":{"type":"long"},"agentSummary":{"type":"structure","required":["activeAgents","healthyAgents","blackListedAgents","shutdownAgents","unhealthyAgents","totalAgents","unknownAgents"],"members":{"activeAgents":{"type":"integer"},"healthyAgents":{"type":"integer"},"blackListedAgents":{"type":"integer"},"shutdownAgents":{"type":"integer"},"unhealthyAgents":{"type":"integer"},"totalAgents":{"type":"integer"},"unknownAgents":{"type":"integer"}}},"connectorSummary":{"type":"structure","required":["activeConnectors","healthyConnectors","blackListedConnectors","shutdownConnectors","unhealthyConnectors","totalConnectors","unknownConnectors"],"members":{"activeConnectors":{"type":"integer"},"healthyConnectors":{"type":"integer"},"blackListedConnectors":{"type":"integer"},"shutdownConnectors":{"type":"integer"},"unhealthyConnectors":{"type":"integer"},"totalConnectors":{"type":"integer"},"unknownConnectors":{"type":"integer"}}}}}},"ListConfigurations":{"input":{"type":"structure","required":["configurationType"],"members":{"configurationType":{},"filters":{"shape":"Sv"},"maxResults":{"type":"integer"},"nextToken":{},"orderBy":{"type":"list","member":{"type":"structure","required":["fieldName"],"members":{"fieldName":{},"sortOrder":{}}}}}},"output":{"type":"structure","members":{"configurations":{"type":"list","member":{"type":"map","key":{},"value":{}}},"nextToken":{}}}},"ListServerNeighbors":{"input":{"type":"structure","required":["configurationId"],"members":{"configurationId":{},"portInformationNeeded":{"type":"boolean"},"neighborConfigurationIds":{"shape":"S3"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["neighbors"],"members":{"neighbors":{"type":"list","member":{"type":"structure","required":["sourceServerId","destinationServerId","connectionsCount"],"members":{"sourceServerId":{},"destinationServerId":{},"destinationPort":{"type":"integer"},"transportProtocol":{},"connectionsCount":{"type":"long"}}}},"nextToken":{},"knownDependencyCount":{"type":"long"}}}},"StartContinuousExport":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"exportId":{},"s3Bucket":{},"startTime":{"type":"timestamp"},"dataSource":{},"schemaStorageConfig":{"shape":"S1o"}}}},"StartDataCollectionByAgentIds":{"input":{"type":"structure","required":["agentIds"],"members":{"agentIds":{"shape":"St"}}},"output":{"type":"structure","members":{"agentsConfigurationStatus":{"shape":"S3f"}}}},"StartExportTask":{"input":{"type":"structure","members":{"exportDataFormat":{"type":"list","member":{}},"filters":{"shape":"S21"},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"}}},"output":{"type":"structure","members":{"exportId":{}}}},"StartImportTask":{"input":{"type":"structure","required":["name","importUrl"],"members":{"clientRequestToken":{"idempotencyToken":true},"name":{},"importUrl":{}}},"output":{"type":"structure","members":{"task":{"shape":"S2e"}}}},"StopContinuousExport":{"input":{"type":"structure","required":["exportId"],"members":{"exportId":{}}},"output":{"type":"structure","members":{"startTime":{"type":"timestamp"},"stopTime":{"type":"timestamp"}}}},"StopDataCollectionByAgentIds":{"input":{"type":"structure","required":["agentIds"],"members":{"agentIds":{"shape":"St"}}},"output":{"type":"structure","members":{"agentsConfigurationStatus":{"shape":"S3f"}}}},"UpdateApplication":{"input":{"type":"structure","required":["configurationId"],"members":{"configurationId":{},"name":{},"description":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"S3":{"type":"list","member":{}},"Si":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"St":{"type":"list","member":{}},"Sv":{"type":"list","member":{"type":"structure","required":["name","values","condition"],"members":{"name":{},"values":{"shape":"Sx"},"condition":{}}}},"Sx":{"type":"list","member":{}},"S1o":{"type":"map","key":{},"value":{}},"S1r":{"type":"list","member":{}},"S1t":{"type":"list","member":{"type":"structure","required":["exportId","exportStatus","statusMessage","exportRequestTime"],"members":{"exportId":{},"exportStatus":{},"statusMessage":{},"configurationsDownloadUrl":{},"exportRequestTime":{"type":"timestamp"},"isTruncated":{"type":"boolean"},"requestedStartTime":{"type":"timestamp"},"requestedEndTime":{"type":"timestamp"}}}},"S21":{"type":"list","member":{"type":"structure","required":["name","values","condition"],"members":{"name":{},"values":{"shape":"Sx"},"condition":{}}}},"S2e":{"type":"structure","members":{"importTaskId":{},"clientRequestToken":{},"name":{},"importUrl":{},"status":{},"importRequestTime":{"type":"timestamp"},"importCompletionTime":{"type":"timestamp"},"importDeletedTime":{"type":"timestamp"},"serverImportSuccess":{"type":"integer"},"serverImportFailure":{"type":"integer"},"applicationImportSuccess":{"type":"integer"},"applicationImportFailure":{"type":"integer"},"errorsAndFailedEntriesZip":{}}},"S3f":{"type":"list","member":{"type":"structure","members":{"agentId":{},"operationSucceeded":{"type":"boolean"},"description":{}}}}}}');

/***/ }),

/***/ 19822:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeContinuousExports":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"DescribeImportTasks":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 75485:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-01-12","endpointPrefix":"dlm","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Amazon DLM","serviceFullName":"Amazon Data Lifecycle Manager","serviceId":"DLM","signatureVersion":"v4","signingName":"dlm","uid":"dlm-2018-01-12"},"operations":{"CreateLifecyclePolicy":{"http":{"requestUri":"/policies"},"input":{"type":"structure","required":["ExecutionRoleArn","Description","State","PolicyDetails"],"members":{"ExecutionRoleArn":{},"Description":{},"State":{},"PolicyDetails":{"shape":"S5"},"Tags":{"shape":"S1q"}}},"output":{"type":"structure","members":{"PolicyId":{}}}},"DeleteLifecyclePolicy":{"http":{"method":"DELETE","requestUri":"/policies/{policyId}/"},"input":{"type":"structure","required":["PolicyId"],"members":{"PolicyId":{"location":"uri","locationName":"policyId"}}},"output":{"type":"structure","members":{}}},"GetLifecyclePolicies":{"http":{"method":"GET","requestUri":"/policies"},"input":{"type":"structure","members":{"PolicyIds":{"location":"querystring","locationName":"policyIds","type":"list","member":{}},"State":{"location":"querystring","locationName":"state"},"ResourceTypes":{"shape":"S7","location":"querystring","locationName":"resourceTypes"},"TargetTags":{"location":"querystring","locationName":"targetTags","type":"list","member":{}},"TagsToAdd":{"location":"querystring","locationName":"tagsToAdd","type":"list","member":{}}}},"output":{"type":"structure","members":{"Policies":{"type":"list","member":{"type":"structure","members":{"PolicyId":{},"Description":{},"State":{},"Tags":{"shape":"S1q"},"PolicyType":{}}}}}}},"GetLifecyclePolicy":{"http":{"method":"GET","requestUri":"/policies/{policyId}/"},"input":{"type":"structure","required":["PolicyId"],"members":{"PolicyId":{"location":"uri","locationName":"policyId"}}},"output":{"type":"structure","members":{"Policy":{"type":"structure","members":{"PolicyId":{},"Description":{},"State":{},"StatusMessage":{},"ExecutionRoleArn":{},"DateCreated":{"shape":"S2a"},"DateModified":{"shape":"S2a"},"PolicyDetails":{"shape":"S5"},"Tags":{"shape":"S1q"},"PolicyArn":{}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S1q"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"S1q"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateLifecyclePolicy":{"http":{"method":"PATCH","requestUri":"/policies/{policyId}"},"input":{"type":"structure","required":["PolicyId"],"members":{"PolicyId":{"location":"uri","locationName":"policyId"},"ExecutionRoleArn":{},"State":{},"Description":{},"PolicyDetails":{"shape":"S5"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S5":{"type":"structure","members":{"PolicyType":{},"ResourceTypes":{"shape":"S7"},"ResourceLocations":{"type":"list","member":{}},"TargetTags":{"type":"list","member":{"shape":"Sc"}},"Schedules":{"type":"list","member":{"type":"structure","members":{"Name":{},"CopyTags":{"type":"boolean"},"TagsToAdd":{"type":"list","member":{"shape":"Sc"}},"VariableTags":{"type":"list","member":{"shape":"Sc"}},"CreateRule":{"type":"structure","members":{"Location":{},"Interval":{"type":"integer"},"IntervalUnit":{},"Times":{"type":"list","member":{}},"CronExpression":{}}},"RetainRule":{"type":"structure","members":{"Count":{"type":"integer"},"Interval":{"type":"integer"},"IntervalUnit":{}}},"FastRestoreRule":{"type":"structure","required":["AvailabilityZones"],"members":{"Count":{"type":"integer"},"Interval":{"type":"integer"},"IntervalUnit":{},"AvailabilityZones":{"type":"list","member":{}}}},"CrossRegionCopyRules":{"type":"list","member":{"type":"structure","required":["Encrypted"],"members":{"TargetRegion":{},"Target":{},"Encrypted":{"type":"boolean"},"CmkArn":{},"CopyTags":{"type":"boolean"},"RetainRule":{"shape":"S14"},"DeprecateRule":{"type":"structure","members":{"Interval":{"type":"integer"},"IntervalUnit":{}}}}}},"ShareRules":{"type":"list","member":{"type":"structure","required":["TargetAccounts"],"members":{"TargetAccounts":{"type":"list","member":{}},"UnshareInterval":{"type":"integer"},"UnshareIntervalUnit":{}}}},"DeprecateRule":{"type":"structure","members":{"Count":{"type":"integer"},"Interval":{"type":"integer"},"IntervalUnit":{}}}}}},"Parameters":{"type":"structure","members":{"ExcludeBootVolume":{"type":"boolean"},"NoReboot":{"type":"boolean"}}},"EventSource":{"type":"structure","required":["Type"],"members":{"Type":{},"Parameters":{"type":"structure","required":["EventType","SnapshotOwner","DescriptionRegex"],"members":{"EventType":{},"SnapshotOwner":{"type":"list","member":{}},"DescriptionRegex":{}}}}},"Actions":{"type":"list","member":{"type":"structure","required":["Name","CrossRegionCopy"],"members":{"Name":{},"CrossRegionCopy":{"type":"list","member":{"type":"structure","required":["Target","EncryptionConfiguration"],"members":{"Target":{},"EncryptionConfiguration":{"type":"structure","required":["Encrypted"],"members":{"Encrypted":{"type":"boolean"},"CmkArn":{}}},"RetainRule":{"shape":"S14"}}}}}}}}},"S7":{"type":"list","member":{}},"Sc":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}},"S14":{"type":"structure","members":{"Interval":{"type":"integer"},"IntervalUnit":{}}},"S1q":{"type":"map","key":{},"value":{}},"S2a":{"type":"timestamp","timestampFormat":"iso8601"}}}');

/***/ }),

/***/ 98881:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 77953:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-01-01","endpointPrefix":"dms","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Database Migration Service","serviceId":"Database Migration Service","signatureVersion":"v4","targetPrefix":"AmazonDMSv20160101","uid":"dms-2016-01-01"},"operations":{"AddTagsToResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S3"}}},"output":{"type":"structure","members":{}}},"ApplyPendingMaintenanceAction":{"input":{"type":"structure","required":["ReplicationInstanceArn","ApplyAction","OptInType"],"members":{"ReplicationInstanceArn":{},"ApplyAction":{},"OptInType":{}}},"output":{"type":"structure","members":{"ResourcePendingMaintenanceActions":{"shape":"S8"}}}},"CancelReplicationTaskAssessmentRun":{"input":{"type":"structure","required":["ReplicationTaskAssessmentRunArn"],"members":{"ReplicationTaskAssessmentRunArn":{}}},"output":{"type":"structure","members":{"ReplicationTaskAssessmentRun":{"shape":"Se"}}}},"CreateEndpoint":{"input":{"type":"structure","required":["EndpointIdentifier","EndpointType","EngineName"],"members":{"EndpointIdentifier":{},"EndpointType":{},"EngineName":{},"Username":{},"Password":{"shape":"Sj"},"ServerName":{},"Port":{"type":"integer"},"DatabaseName":{},"ExtraConnectionAttributes":{},"KmsKeyId":{},"Tags":{"shape":"S3"},"CertificateArn":{},"SslMode":{},"ServiceAccessRoleArn":{},"ExternalTableDefinition":{},"DynamoDbSettings":{"shape":"Sm"},"S3Settings":{"shape":"Sn"},"DmsTransferSettings":{"shape":"Sx"},"MongoDbSettings":{"shape":"Sy"},"KinesisSettings":{"shape":"S12"},"KafkaSettings":{"shape":"S14"},"ElasticsearchSettings":{"shape":"S16"},"NeptuneSettings":{"shape":"S17"},"RedshiftSettings":{"shape":"S18"},"PostgreSQLSettings":{"shape":"S19"},"MySQLSettings":{"shape":"S1b"},"OracleSettings":{"shape":"S1d"},"SybaseSettings":{"shape":"S1g"},"MicrosoftSQLServerSettings":{"shape":"S1h"},"IBMDb2Settings":{"shape":"S1j"},"ResourceIdentifier":{},"DocDbSettings":{"shape":"S1k"},"RedisSettings":{"shape":"S1l"},"GcpMySQLSettings":{"shape":"S1o"}}},"output":{"type":"structure","members":{"Endpoint":{"shape":"S1q"}}}},"CreateEventSubscription":{"input":{"type":"structure","required":["SubscriptionName","SnsTopicArn"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S1s"},"SourceIds":{"shape":"S1t"},"Enabled":{"type":"boolean"},"Tags":{"shape":"S3"}}},"output":{"type":"structure","members":{"EventSubscription":{"shape":"S1v"}}}},"CreateReplicationInstance":{"input":{"type":"structure","required":["ReplicationInstanceIdentifier","ReplicationInstanceClass"],"members":{"ReplicationInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"ReplicationInstanceClass":{},"VpcSecurityGroupIds":{"shape":"S1y"},"AvailabilityZone":{},"ReplicationSubnetGroupIdentifier":{},"PreferredMaintenanceWindow":{},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"Tags":{"shape":"S3"},"KmsKeyId":{},"PubliclyAccessible":{"type":"boolean"},"DnsNameServers":{},"ResourceIdentifier":{}}},"output":{"type":"structure","members":{"ReplicationInstance":{"shape":"S20"}}}},"CreateReplicationSubnetGroup":{"input":{"type":"structure","required":["ReplicationSubnetGroupIdentifier","ReplicationSubnetGroupDescription","SubnetIds"],"members":{"ReplicationSubnetGroupIdentifier":{},"ReplicationSubnetGroupDescription":{},"SubnetIds":{"shape":"S2b"},"Tags":{"shape":"S3"}}},"output":{"type":"structure","members":{"ReplicationSubnetGroup":{"shape":"S23"}}}},"CreateReplicationTask":{"input":{"type":"structure","required":["ReplicationTaskIdentifier","SourceEndpointArn","TargetEndpointArn","ReplicationInstanceArn","MigrationType","TableMappings"],"members":{"ReplicationTaskIdentifier":{},"SourceEndpointArn":{},"TargetEndpointArn":{},"ReplicationInstanceArn":{},"MigrationType":{},"TableMappings":{},"ReplicationTaskSettings":{},"CdcStartTime":{"type":"timestamp"},"CdcStartPosition":{},"CdcStopPosition":{},"Tags":{"shape":"S3"},"TaskData":{},"ResourceIdentifier":{}}},"output":{"type":"structure","members":{"ReplicationTask":{"shape":"S2g"}}}},"DeleteCertificate":{"input":{"type":"structure","required":["CertificateArn"],"members":{"CertificateArn":{}}},"output":{"type":"structure","members":{"Certificate":{"shape":"S2l"}}}},"DeleteConnection":{"input":{"type":"structure","required":["EndpointArn","ReplicationInstanceArn"],"members":{"EndpointArn":{},"ReplicationInstanceArn":{}}},"output":{"type":"structure","members":{"Connection":{"shape":"S2p"}}}},"DeleteEndpoint":{"input":{"type":"structure","required":["EndpointArn"],"members":{"EndpointArn":{}}},"output":{"type":"structure","members":{"Endpoint":{"shape":"S1q"}}}},"DeleteEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{}}},"output":{"type":"structure","members":{"EventSubscription":{"shape":"S1v"}}}},"DeleteReplicationInstance":{"input":{"type":"structure","required":["ReplicationInstanceArn"],"members":{"ReplicationInstanceArn":{}}},"output":{"type":"structure","members":{"ReplicationInstance":{"shape":"S20"}}}},"DeleteReplicationSubnetGroup":{"input":{"type":"structure","required":["ReplicationSubnetGroupIdentifier"],"members":{"ReplicationSubnetGroupIdentifier":{}}},"output":{"type":"structure","members":{}}},"DeleteReplicationTask":{"input":{"type":"structure","required":["ReplicationTaskArn"],"members":{"ReplicationTaskArn":{}}},"output":{"type":"structure","members":{"ReplicationTask":{"shape":"S2g"}}}},"DeleteReplicationTaskAssessmentRun":{"input":{"type":"structure","required":["ReplicationTaskAssessmentRunArn"],"members":{"ReplicationTaskAssessmentRunArn":{}}},"output":{"type":"structure","members":{"ReplicationTaskAssessmentRun":{"shape":"Se"}}}},"DescribeAccountAttributes":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"AccountQuotas":{"type":"list","member":{"type":"structure","members":{"AccountQuotaName":{},"Used":{"type":"long"},"Max":{"type":"long"}}}},"UniqueAccountIdentifier":{}}}},"DescribeApplicableIndividualAssessments":{"input":{"type":"structure","members":{"ReplicationTaskArn":{},"ReplicationInstanceArn":{},"SourceEngineName":{},"TargetEngineName":{},"MigrationType":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"IndividualAssessmentNames":{"type":"list","member":{}},"Marker":{}}}},"DescribeCertificates":{"input":{"type":"structure","members":{"Filters":{"shape":"S3a"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"Certificates":{"type":"list","member":{"shape":"S2l"}}}}},"DescribeConnections":{"input":{"type":"structure","members":{"Filters":{"shape":"S3a"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"Connections":{"type":"list","member":{"shape":"S2p"}}}}},"DescribeEndpointSettings":{"input":{"type":"structure","required":["EngineName"],"members":{"EngineName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"EndpointSettings":{"type":"list","member":{"type":"structure","members":{"Name":{},"Type":{},"EnumValues":{"type":"list","member":{}},"Sensitive":{"type":"boolean"},"Units":{},"Applicability":{},"IntValueMin":{"type":"integer"},"IntValueMax":{"type":"integer"},"DefaultValue":{}}}}}}},"DescribeEndpointTypes":{"input":{"type":"structure","members":{"Filters":{"shape":"S3a"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"SupportedEndpointTypes":{"type":"list","member":{"type":"structure","members":{"EngineName":{},"SupportsCDC":{"type":"boolean"},"EndpointType":{},"ReplicationInstanceEngineMinimumVersion":{},"EngineDisplayName":{}}}}}}},"DescribeEndpoints":{"input":{"type":"structure","members":{"Filters":{"shape":"S3a"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"Endpoints":{"type":"list","member":{"shape":"S1q"}}}}},"DescribeEventCategories":{"input":{"type":"structure","members":{"SourceType":{},"Filters":{"shape":"S3a"}}},"output":{"type":"structure","members":{"EventCategoryGroupList":{"type":"list","member":{"type":"structure","members":{"SourceType":{},"EventCategories":{"shape":"S1s"}}}}}}},"DescribeEventSubscriptions":{"input":{"type":"structure","members":{"SubscriptionName":{},"Filters":{"shape":"S3a"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"EventSubscriptionsList":{"type":"list","member":{"shape":"S1v"}}}}},"DescribeEvents":{"input":{"type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Duration":{"type":"integer"},"EventCategories":{"shape":"S1s"},"Filters":{"shape":"S3a"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"Events":{"type":"list","member":{"type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"Message":{},"EventCategories":{"shape":"S1s"},"Date":{"type":"timestamp"}}}}}}},"DescribeOrderableReplicationInstances":{"input":{"type":"structure","members":{"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"OrderableReplicationInstances":{"type":"list","member":{"type":"structure","members":{"EngineVersion":{},"ReplicationInstanceClass":{},"StorageType":{},"MinAllocatedStorage":{"type":"integer"},"MaxAllocatedStorage":{"type":"integer"},"DefaultAllocatedStorage":{"type":"integer"},"IncludedAllocatedStorage":{"type":"integer"},"AvailabilityZones":{"type":"list","member":{}},"ReleaseStatus":{}}}},"Marker":{}}}},"DescribePendingMaintenanceActions":{"input":{"type":"structure","members":{"ReplicationInstanceArn":{},"Filters":{"shape":"S3a"},"Marker":{},"MaxRecords":{"type":"integer"}}},"output":{"type":"structure","members":{"PendingMaintenanceActions":{"type":"list","member":{"shape":"S8"}},"Marker":{}}}},"DescribeRefreshSchemasStatus":{"input":{"type":"structure","required":["EndpointArn"],"members":{"EndpointArn":{}}},"output":{"type":"structure","members":{"RefreshSchemasStatus":{"shape":"S4i"}}}},"DescribeReplicationInstanceTaskLogs":{"input":{"type":"structure","required":["ReplicationInstanceArn"],"members":{"ReplicationInstanceArn":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"ReplicationInstanceArn":{},"ReplicationInstanceTaskLogs":{"type":"list","member":{"type":"structure","members":{"ReplicationTaskName":{},"ReplicationTaskArn":{},"ReplicationInstanceTaskLogSize":{"type":"long"}}}},"Marker":{}}}},"DescribeReplicationInstances":{"input":{"type":"structure","members":{"Filters":{"shape":"S3a"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"ReplicationInstances":{"type":"list","member":{"shape":"S20"}}}}},"DescribeReplicationSubnetGroups":{"input":{"type":"structure","members":{"Filters":{"shape":"S3a"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"ReplicationSubnetGroups":{"type":"list","member":{"shape":"S23"}}}}},"DescribeReplicationTaskAssessmentResults":{"input":{"type":"structure","members":{"ReplicationTaskArn":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"BucketName":{},"ReplicationTaskAssessmentResults":{"type":"list","member":{"type":"structure","members":{"ReplicationTaskIdentifier":{},"ReplicationTaskArn":{},"ReplicationTaskLastAssessmentDate":{"type":"timestamp"},"AssessmentStatus":{},"AssessmentResultsFile":{},"AssessmentResults":{},"S3ObjectUrl":{}}}}}}},"DescribeReplicationTaskAssessmentRuns":{"input":{"type":"structure","members":{"Filters":{"shape":"S3a"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"ReplicationTaskAssessmentRuns":{"type":"list","member":{"shape":"Se"}}}}},"DescribeReplicationTaskIndividualAssessments":{"input":{"type":"structure","members":{"Filters":{"shape":"S3a"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"ReplicationTaskIndividualAssessments":{"type":"list","member":{"type":"structure","members":{"ReplicationTaskIndividualAssessmentArn":{},"ReplicationTaskAssessmentRunArn":{},"IndividualAssessmentName":{},"Status":{},"ReplicationTaskIndividualAssessmentStartDate":{"type":"timestamp"}}}}}}},"DescribeReplicationTasks":{"input":{"type":"structure","members":{"Filters":{"shape":"S3a"},"MaxRecords":{"type":"integer"},"Marker":{},"WithoutSettings":{"type":"boolean"}}},"output":{"type":"structure","members":{"Marker":{},"ReplicationTasks":{"type":"list","member":{"shape":"S2g"}}}}},"DescribeSchemas":{"input":{"type":"structure","required":["EndpointArn"],"members":{"EndpointArn":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"Schemas":{"type":"list","member":{}}}}},"DescribeTableStatistics":{"input":{"type":"structure","required":["ReplicationTaskArn"],"members":{"ReplicationTaskArn":{},"MaxRecords":{"type":"integer"},"Marker":{},"Filters":{"shape":"S3a"}}},"output":{"type":"structure","members":{"ReplicationTaskArn":{},"TableStatistics":{"type":"list","member":{"type":"structure","members":{"SchemaName":{},"TableName":{},"Inserts":{"type":"long"},"Deletes":{"type":"long"},"Updates":{"type":"long"},"Ddls":{"type":"long"},"FullLoadRows":{"type":"long"},"FullLoadCondtnlChkFailedRows":{"type":"long"},"FullLoadErrorRows":{"type":"long"},"FullLoadStartTime":{"type":"timestamp"},"FullLoadEndTime":{"type":"timestamp"},"FullLoadReloaded":{"type":"boolean"},"LastUpdateTime":{"type":"timestamp"},"TableState":{},"ValidationPendingRecords":{"type":"long"},"ValidationFailedRecords":{"type":"long"},"ValidationSuspendedRecords":{"type":"long"},"ValidationState":{},"ValidationStateDetails":{}}}},"Marker":{}}}},"ImportCertificate":{"input":{"type":"structure","required":["CertificateIdentifier"],"members":{"CertificateIdentifier":{},"CertificatePem":{"shape":"Sj"},"CertificateWallet":{"type":"blob"},"Tags":{"shape":"S3"}}},"output":{"type":"structure","members":{"Certificate":{"shape":"S2l"}}}},"ListTagsForResource":{"input":{"type":"structure","members":{"ResourceArn":{},"ResourceArnList":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"TagList":{"shape":"S3"}}}},"ModifyEndpoint":{"input":{"type":"structure","required":["EndpointArn"],"members":{"EndpointArn":{},"EndpointIdentifier":{},"EndpointType":{},"EngineName":{},"Username":{},"Password":{"shape":"Sj"},"ServerName":{},"Port":{"type":"integer"},"DatabaseName":{},"ExtraConnectionAttributes":{},"CertificateArn":{},"SslMode":{},"ServiceAccessRoleArn":{},"ExternalTableDefinition":{},"DynamoDbSettings":{"shape":"Sm"},"S3Settings":{"shape":"Sn"},"DmsTransferSettings":{"shape":"Sx"},"MongoDbSettings":{"shape":"Sy"},"KinesisSettings":{"shape":"S12"},"KafkaSettings":{"shape":"S14"},"ElasticsearchSettings":{"shape":"S16"},"NeptuneSettings":{"shape":"S17"},"RedshiftSettings":{"shape":"S18"},"PostgreSQLSettings":{"shape":"S19"},"MySQLSettings":{"shape":"S1b"},"OracleSettings":{"shape":"S1d"},"SybaseSettings":{"shape":"S1g"},"MicrosoftSQLServerSettings":{"shape":"S1h"},"IBMDb2Settings":{"shape":"S1j"},"DocDbSettings":{"shape":"S1k"},"RedisSettings":{"shape":"S1l"},"ExactSettings":{"type":"boolean"},"GcpMySQLSettings":{"shape":"S1o"}}},"output":{"type":"structure","members":{"Endpoint":{"shape":"S1q"}}}},"ModifyEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S1s"},"Enabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"EventSubscription":{"shape":"S1v"}}}},"ModifyReplicationInstance":{"input":{"type":"structure","required":["ReplicationInstanceArn"],"members":{"ReplicationInstanceArn":{},"AllocatedStorage":{"type":"integer"},"ApplyImmediately":{"type":"boolean"},"ReplicationInstanceClass":{},"VpcSecurityGroupIds":{"shape":"S1y"},"PreferredMaintenanceWindow":{},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AllowMajorVersionUpgrade":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"ReplicationInstanceIdentifier":{}}},"output":{"type":"structure","members":{"ReplicationInstance":{"shape":"S20"}}}},"ModifyReplicationSubnetGroup":{"input":{"type":"structure","required":["ReplicationSubnetGroupIdentifier","SubnetIds"],"members":{"ReplicationSubnetGroupIdentifier":{},"ReplicationSubnetGroupDescription":{},"SubnetIds":{"shape":"S2b"}}},"output":{"type":"structure","members":{"ReplicationSubnetGroup":{"shape":"S23"}}}},"ModifyReplicationTask":{"input":{"type":"structure","required":["ReplicationTaskArn"],"members":{"ReplicationTaskArn":{},"ReplicationTaskIdentifier":{},"MigrationType":{},"TableMappings":{},"ReplicationTaskSettings":{},"CdcStartTime":{"type":"timestamp"},"CdcStartPosition":{},"CdcStopPosition":{},"TaskData":{}}},"output":{"type":"structure","members":{"ReplicationTask":{"shape":"S2g"}}}},"MoveReplicationTask":{"input":{"type":"structure","required":["ReplicationTaskArn","TargetReplicationInstanceArn"],"members":{"ReplicationTaskArn":{},"TargetReplicationInstanceArn":{}}},"output":{"type":"structure","members":{"ReplicationTask":{"shape":"S2g"}}}},"RebootReplicationInstance":{"input":{"type":"structure","required":["ReplicationInstanceArn"],"members":{"ReplicationInstanceArn":{},"ForceFailover":{"type":"boolean"},"ForcePlannedFailover":{"type":"boolean"}}},"output":{"type":"structure","members":{"ReplicationInstance":{"shape":"S20"}}}},"RefreshSchemas":{"input":{"type":"structure","required":["EndpointArn","ReplicationInstanceArn"],"members":{"EndpointArn":{},"ReplicationInstanceArn":{}}},"output":{"type":"structure","members":{"RefreshSchemasStatus":{"shape":"S4i"}}}},"ReloadTables":{"input":{"type":"structure","required":["ReplicationTaskArn","TablesToReload"],"members":{"ReplicationTaskArn":{},"TablesToReload":{"type":"list","member":{"type":"structure","required":["SchemaName","TableName"],"members":{"SchemaName":{},"TableName":{}}}},"ReloadOption":{}}},"output":{"type":"structure","members":{"ReplicationTaskArn":{}}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"StartReplicationTask":{"input":{"type":"structure","required":["ReplicationTaskArn","StartReplicationTaskType"],"members":{"ReplicationTaskArn":{},"StartReplicationTaskType":{},"CdcStartTime":{"type":"timestamp"},"CdcStartPosition":{},"CdcStopPosition":{}}},"output":{"type":"structure","members":{"ReplicationTask":{"shape":"S2g"}}}},"StartReplicationTaskAssessment":{"input":{"type":"structure","required":["ReplicationTaskArn"],"members":{"ReplicationTaskArn":{}}},"output":{"type":"structure","members":{"ReplicationTask":{"shape":"S2g"}}}},"StartReplicationTaskAssessmentRun":{"input":{"type":"structure","required":["ReplicationTaskArn","ServiceAccessRoleArn","ResultLocationBucket","AssessmentRunName"],"members":{"ReplicationTaskArn":{},"ServiceAccessRoleArn":{},"ResultLocationBucket":{},"ResultLocationFolder":{},"ResultEncryptionMode":{},"ResultKmsKeyArn":{},"AssessmentRunName":{},"IncludeOnly":{"type":"list","member":{}},"Exclude":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"ReplicationTaskAssessmentRun":{"shape":"Se"}}}},"StopReplicationTask":{"input":{"type":"structure","required":["ReplicationTaskArn"],"members":{"ReplicationTaskArn":{}}},"output":{"type":"structure","members":{"ReplicationTask":{"shape":"S2g"}}}},"TestConnection":{"input":{"type":"structure","required":["ReplicationInstanceArn","EndpointArn"],"members":{"ReplicationInstanceArn":{},"EndpointArn":{}}},"output":{"type":"structure","members":{"Connection":{"shape":"S2p"}}}}},"shapes":{"S3":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"ResourceArn":{}}}},"S8":{"type":"structure","members":{"ResourceIdentifier":{},"PendingMaintenanceActionDetails":{"type":"list","member":{"type":"structure","members":{"Action":{},"AutoAppliedAfterDate":{"type":"timestamp"},"ForcedApplyDate":{"type":"timestamp"},"OptInStatus":{},"CurrentApplyDate":{"type":"timestamp"},"Description":{}}}}}},"Se":{"type":"structure","members":{"ReplicationTaskAssessmentRunArn":{},"ReplicationTaskArn":{},"Status":{},"ReplicationTaskAssessmentRunCreationDate":{"type":"timestamp"},"AssessmentProgress":{"type":"structure","members":{"IndividualAssessmentCount":{"type":"integer"},"IndividualAssessmentCompletedCount":{"type":"integer"}}},"LastFailureMessage":{},"ServiceAccessRoleArn":{},"ResultLocationBucket":{},"ResultLocationFolder":{},"ResultEncryptionMode":{},"ResultKmsKeyArn":{},"AssessmentRunName":{}}},"Sj":{"type":"string","sensitive":true},"Sm":{"type":"structure","required":["ServiceAccessRoleArn"],"members":{"ServiceAccessRoleArn":{}}},"Sn":{"type":"structure","members":{"ServiceAccessRoleArn":{},"ExternalTableDefinition":{},"CsvRowDelimiter":{},"CsvDelimiter":{},"BucketFolder":{},"BucketName":{},"CompressionType":{},"EncryptionMode":{},"ServerSideEncryptionKmsKeyId":{},"DataFormat":{},"EncodingType":{},"DictPageSizeLimit":{"type":"integer"},"RowGroupLength":{"type":"integer"},"DataPageSize":{"type":"integer"},"ParquetVersion":{},"EnableStatistics":{"type":"boolean"},"IncludeOpForFullLoad":{"type":"boolean"},"CdcInsertsOnly":{"type":"boolean"},"TimestampColumnName":{},"ParquetTimestampInMillisecond":{"type":"boolean"},"CdcInsertsAndUpdates":{"type":"boolean"},"DatePartitionEnabled":{"type":"boolean"},"DatePartitionSequence":{},"DatePartitionDelimiter":{},"UseCsvNoSupValue":{"type":"boolean"},"CsvNoSupValue":{},"PreserveTransactions":{"type":"boolean"},"CdcPath":{},"UseTaskStartTimeForFullLoadTimestamp":{"type":"boolean"},"CannedAclForObjects":{},"AddColumnName":{"type":"boolean"},"CdcMaxBatchInterval":{"type":"integer"},"CdcMinFileSize":{"type":"integer"},"CsvNullValue":{},"IgnoreHeaderRows":{"type":"integer"},"MaxFileSize":{"type":"integer"},"Rfc4180":{"type":"boolean"},"DatePartitionTimezone":{}}},"Sx":{"type":"structure","members":{"ServiceAccessRoleArn":{},"BucketName":{}}},"Sy":{"type":"structure","members":{"Username":{},"Password":{"shape":"Sj"},"ServerName":{},"Port":{"type":"integer"},"DatabaseName":{},"AuthType":{},"AuthMechanism":{},"NestingLevel":{},"ExtractDocId":{},"DocsToInvestigate":{},"AuthSource":{},"KmsKeyId":{},"SecretsManagerAccessRoleArn":{},"SecretsManagerSecretId":{}}},"S12":{"type":"structure","members":{"StreamArn":{},"MessageFormat":{},"ServiceAccessRoleArn":{},"IncludeTransactionDetails":{"type":"boolean"},"IncludePartitionValue":{"type":"boolean"},"PartitionIncludeSchemaTable":{"type":"boolean"},"IncludeTableAlterOperations":{"type":"boolean"},"IncludeControlDetails":{"type":"boolean"},"IncludeNullAndEmpty":{"type":"boolean"},"NoHexPrefix":{"type":"boolean"}}},"S14":{"type":"structure","members":{"Broker":{},"Topic":{},"MessageFormat":{},"IncludeTransactionDetails":{"type":"boolean"},"IncludePartitionValue":{"type":"boolean"},"PartitionIncludeSchemaTable":{"type":"boolean"},"IncludeTableAlterOperations":{"type":"boolean"},"IncludeControlDetails":{"type":"boolean"},"MessageMaxBytes":{"type":"integer"},"IncludeNullAndEmpty":{"type":"boolean"},"SecurityProtocol":{},"SslClientCertificateArn":{},"SslClientKeyArn":{},"SslClientKeyPassword":{"shape":"Sj"},"SslCaCertificateArn":{},"SaslUsername":{},"SaslPassword":{"shape":"Sj"},"NoHexPrefix":{"type":"boolean"}}},"S16":{"type":"structure","required":["ServiceAccessRoleArn","EndpointUri"],"members":{"ServiceAccessRoleArn":{},"EndpointUri":{},"FullLoadErrorPercentage":{"type":"integer"},"ErrorRetryDuration":{"type":"integer"}}},"S17":{"type":"structure","required":["S3BucketName","S3BucketFolder"],"members":{"ServiceAccessRoleArn":{},"S3BucketName":{},"S3BucketFolder":{},"ErrorRetryDuration":{"type":"integer"},"MaxFileSize":{"type":"integer"},"MaxRetryCount":{"type":"integer"},"IamAuthEnabled":{"type":"boolean"}}},"S18":{"type":"structure","members":{"AcceptAnyDate":{"type":"boolean"},"AfterConnectScript":{},"BucketFolder":{},"BucketName":{},"CaseSensitiveNames":{"type":"boolean"},"CompUpdate":{"type":"boolean"},"ConnectionTimeout":{"type":"integer"},"DatabaseName":{},"DateFormat":{},"EmptyAsNull":{"type":"boolean"},"EncryptionMode":{},"ExplicitIds":{"type":"boolean"},"FileTransferUploadStreams":{"type":"integer"},"LoadTimeout":{"type":"integer"},"MaxFileSize":{"type":"integer"},"Password":{"shape":"Sj"},"Port":{"type":"integer"},"RemoveQuotes":{"type":"boolean"},"ReplaceInvalidChars":{},"ReplaceChars":{},"ServerName":{},"ServiceAccessRoleArn":{},"ServerSideEncryptionKmsKeyId":{},"TimeFormat":{},"TrimBlanks":{"type":"boolean"},"TruncateColumns":{"type":"boolean"},"Username":{},"WriteBufferSize":{"type":"integer"},"SecretsManagerAccessRoleArn":{},"SecretsManagerSecretId":{}}},"S19":{"type":"structure","members":{"AfterConnectScript":{},"CaptureDdls":{"type":"boolean"},"MaxFileSize":{"type":"integer"},"DatabaseName":{},"DdlArtifactsSchema":{},"ExecuteTimeout":{"type":"integer"},"FailTasksOnLobTruncation":{"type":"boolean"},"HeartbeatEnable":{"type":"boolean"},"HeartbeatSchema":{},"HeartbeatFrequency":{"type":"integer"},"Password":{"shape":"Sj"},"Port":{"type":"integer"},"ServerName":{},"Username":{},"SlotName":{},"PluginName":{},"SecretsManagerAccessRoleArn":{},"SecretsManagerSecretId":{}}},"S1b":{"type":"structure","members":{"AfterConnectScript":{},"CleanSourceMetadataOnMismatch":{"type":"boolean"},"DatabaseName":{},"EventsPollInterval":{"type":"integer"},"TargetDbType":{},"MaxFileSize":{"type":"integer"},"ParallelLoadThreads":{"type":"integer"},"Password":{"shape":"Sj"},"Port":{"type":"integer"},"ServerName":{},"ServerTimezone":{},"Username":{},"SecretsManagerAccessRoleArn":{},"SecretsManagerSecretId":{}}},"S1d":{"type":"structure","members":{"AddSupplementalLogging":{"type":"boolean"},"ArchivedLogDestId":{"type":"integer"},"AdditionalArchivedLogDestId":{"type":"integer"},"ExtraArchivedLogDestIds":{"type":"list","member":{"type":"integer"}},"AllowSelectNestedTables":{"type":"boolean"},"ParallelAsmReadThreads":{"type":"integer"},"ReadAheadBlocks":{"type":"integer"},"AccessAlternateDirectly":{"type":"boolean"},"UseAlternateFolderForOnline":{"type":"boolean"},"OraclePathPrefix":{},"UsePathPrefix":{},"ReplacePathPrefix":{"type":"boolean"},"EnableHomogenousTablespace":{"type":"boolean"},"DirectPathNoLog":{"type":"boolean"},"ArchivedLogsOnly":{"type":"boolean"},"AsmPassword":{"shape":"Sj"},"AsmServer":{},"AsmUser":{},"CharLengthSemantics":{},"DatabaseName":{},"DirectPathParallelLoad":{"type":"boolean"},"FailTasksOnLobTruncation":{"type":"boolean"},"NumberDatatypeScale":{"type":"integer"},"Password":{"shape":"Sj"},"Port":{"type":"integer"},"ReadTableSpaceName":{"type":"boolean"},"RetryInterval":{"type":"integer"},"SecurityDbEncryption":{"shape":"Sj"},"SecurityDbEncryptionName":{},"ServerName":{},"SpatialDataOptionToGeoJsonFunctionName":{},"StandbyDelayTime":{"type":"integer"},"Username":{},"UseBFile":{"type":"boolean"},"UseDirectPathFullLoad":{"type":"boolean"},"UseLogminerReader":{"type":"boolean"},"SecretsManagerAccessRoleArn":{},"SecretsManagerSecretId":{},"SecretsManagerOracleAsmAccessRoleArn":{},"SecretsManagerOracleAsmSecretId":{}}},"S1g":{"type":"structure","members":{"DatabaseName":{},"Password":{"shape":"Sj"},"Port":{"type":"integer"},"ServerName":{},"Username":{},"SecretsManagerAccessRoleArn":{},"SecretsManagerSecretId":{}}},"S1h":{"type":"structure","members":{"Port":{"type":"integer"},"BcpPacketSize":{"type":"integer"},"DatabaseName":{},"ControlTablesFileGroup":{},"Password":{"shape":"Sj"},"QuerySingleAlwaysOnNode":{"type":"boolean"},"ReadBackupOnly":{"type":"boolean"},"SafeguardPolicy":{},"ServerName":{},"Username":{},"UseBcpFullLoad":{"type":"boolean"},"UseThirdPartyBackupDevice":{"type":"boolean"},"SecretsManagerAccessRoleArn":{},"SecretsManagerSecretId":{}}},"S1j":{"type":"structure","members":{"DatabaseName":{},"Password":{"shape":"Sj"},"Port":{"type":"integer"},"ServerName":{},"SetDataCaptureChanges":{"type":"boolean"},"CurrentLsn":{},"MaxKBytesPerRead":{"type":"integer"},"Username":{},"SecretsManagerAccessRoleArn":{},"SecretsManagerSecretId":{}}},"S1k":{"type":"structure","members":{"Username":{},"Password":{"shape":"Sj"},"ServerName":{},"Port":{"type":"integer"},"DatabaseName":{},"NestingLevel":{},"ExtractDocId":{"type":"boolean"},"DocsToInvestigate":{"type":"integer"},"KmsKeyId":{},"SecretsManagerAccessRoleArn":{},"SecretsManagerSecretId":{}}},"S1l":{"type":"structure","required":["ServerName","Port"],"members":{"ServerName":{},"Port":{"type":"integer"},"SslSecurityProtocol":{},"AuthType":{},"AuthUserName":{},"AuthPassword":{"shape":"Sj"},"SslCaCertificateArn":{}}},"S1o":{"type":"structure","members":{"AfterConnectScript":{},"CleanSourceMetadataOnMismatch":{"type":"boolean"},"DatabaseName":{},"EventsPollInterval":{"type":"integer"},"TargetDbType":{},"MaxFileSize":{"type":"integer"},"ParallelLoadThreads":{"type":"integer"},"Password":{"shape":"Sj"},"Port":{"type":"integer"},"ServerName":{},"ServerTimezone":{},"Username":{},"SecretsManagerAccessRoleArn":{},"SecretsManagerSecretId":{}}},"S1q":{"type":"structure","members":{"EndpointIdentifier":{},"EndpointType":{},"EngineName":{},"EngineDisplayName":{},"Username":{},"ServerName":{},"Port":{"type":"integer"},"DatabaseName":{},"ExtraConnectionAttributes":{},"Status":{},"KmsKeyId":{},"EndpointArn":{},"CertificateArn":{},"SslMode":{},"ServiceAccessRoleArn":{},"ExternalTableDefinition":{},"ExternalId":{},"DynamoDbSettings":{"shape":"Sm"},"S3Settings":{"shape":"Sn"},"DmsTransferSettings":{"shape":"Sx"},"MongoDbSettings":{"shape":"Sy"},"KinesisSettings":{"shape":"S12"},"KafkaSettings":{"shape":"S14"},"ElasticsearchSettings":{"shape":"S16"},"NeptuneSettings":{"shape":"S17"},"RedshiftSettings":{"shape":"S18"},"PostgreSQLSettings":{"shape":"S19"},"MySQLSettings":{"shape":"S1b"},"OracleSettings":{"shape":"S1d"},"SybaseSettings":{"shape":"S1g"},"MicrosoftSQLServerSettings":{"shape":"S1h"},"IBMDb2Settings":{"shape":"S1j"},"DocDbSettings":{"shape":"S1k"},"RedisSettings":{"shape":"S1l"},"GcpMySQLSettings":{"shape":"S1o"}}},"S1s":{"type":"list","member":{}},"S1t":{"type":"list","member":{}},"S1v":{"type":"structure","members":{"CustomerAwsId":{},"CustSubscriptionId":{},"SnsTopicArn":{},"Status":{},"SubscriptionCreationTime":{},"SourceType":{},"SourceIdsList":{"shape":"S1t"},"EventCategoriesList":{"shape":"S1s"},"Enabled":{"type":"boolean"}}},"S1y":{"type":"list","member":{}},"S20":{"type":"structure","members":{"ReplicationInstanceIdentifier":{},"ReplicationInstanceClass":{},"ReplicationInstanceStatus":{},"AllocatedStorage":{"type":"integer"},"InstanceCreateTime":{"type":"timestamp"},"VpcSecurityGroups":{"type":"list","member":{"type":"structure","members":{"VpcSecurityGroupId":{},"Status":{}}}},"AvailabilityZone":{},"ReplicationSubnetGroup":{"shape":"S23"},"PreferredMaintenanceWindow":{},"PendingModifiedValues":{"type":"structure","members":{"ReplicationInstanceClass":{},"AllocatedStorage":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{}}},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"KmsKeyId":{},"ReplicationInstanceArn":{},"ReplicationInstancePublicIpAddress":{"deprecated":true},"ReplicationInstancePrivateIpAddress":{"deprecated":true},"ReplicationInstancePublicIpAddresses":{"type":"list","member":{}},"ReplicationInstancePrivateIpAddresses":{"type":"list","member":{}},"PubliclyAccessible":{"type":"boolean"},"SecondaryAvailabilityZone":{},"FreeUntil":{"type":"timestamp"},"DnsNameServers":{}}},"S23":{"type":"structure","members":{"ReplicationSubnetGroupIdentifier":{},"ReplicationSubnetGroupDescription":{},"VpcId":{},"SubnetGroupStatus":{},"Subnets":{"type":"list","member":{"type":"structure","members":{"SubnetIdentifier":{},"SubnetAvailabilityZone":{"type":"structure","members":{"Name":{}}},"SubnetStatus":{}}}}}},"S2b":{"type":"list","member":{}},"S2g":{"type":"structure","members":{"ReplicationTaskIdentifier":{},"SourceEndpointArn":{},"TargetEndpointArn":{},"ReplicationInstanceArn":{},"MigrationType":{},"TableMappings":{},"ReplicationTaskSettings":{},"Status":{},"LastFailureMessage":{},"StopReason":{},"ReplicationTaskCreationDate":{"type":"timestamp"},"ReplicationTaskStartDate":{"type":"timestamp"},"CdcStartPosition":{},"CdcStopPosition":{},"RecoveryCheckpoint":{},"ReplicationTaskArn":{},"ReplicationTaskStats":{"type":"structure","members":{"FullLoadProgressPercent":{"type":"integer"},"ElapsedTimeMillis":{"type":"long"},"TablesLoaded":{"type":"integer"},"TablesLoading":{"type":"integer"},"TablesQueued":{"type":"integer"},"TablesErrored":{"type":"integer"},"FreshStartDate":{"type":"timestamp"},"StartDate":{"type":"timestamp"},"StopDate":{"type":"timestamp"},"FullLoadStartDate":{"type":"timestamp"},"FullLoadFinishDate":{"type":"timestamp"}}},"TaskData":{},"TargetReplicationInstanceArn":{}}},"S2l":{"type":"structure","members":{"CertificateIdentifier":{},"CertificateCreationDate":{"type":"timestamp"},"CertificatePem":{},"CertificateWallet":{"type":"blob"},"CertificateArn":{},"CertificateOwner":{},"ValidFromDate":{"type":"timestamp"},"ValidToDate":{"type":"timestamp"},"SigningAlgorithm":{},"KeyLength":{"type":"integer"}}},"S2p":{"type":"structure","members":{"ReplicationInstanceArn":{},"EndpointArn":{},"Status":{},"LastFailureMessage":{},"EndpointIdentifier":{},"ReplicationInstanceIdentifier":{}}},"S3a":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{}}}}},"S4i":{"type":"structure","members":{"EndpointArn":{},"ReplicationInstanceArn":{},"Status":{},"LastRefreshDate":{"type":"timestamp"},"LastFailureMessage":{}}}}}');

/***/ }),

/***/ 36772:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeApplicableIndividualAssessments":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeCertificates":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeConnections":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeEndpointSettings":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeEndpointTypes":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeEndpoints":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeEventSubscriptions":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeEvents":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeOrderableReplicationInstances":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribePendingMaintenanceActions":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeReplicationInstanceTaskLogs":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeReplicationInstances":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeReplicationSubnetGroups":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeReplicationTaskAssessmentResults":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeReplicationTaskAssessmentRuns":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeReplicationTaskIndividualAssessments":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeReplicationTasks":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeSchemas":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"},"DescribeTableStatistics":{"input_token":"Marker","output_token":"Marker","limit_key":"MaxRecords"}}}');

/***/ }),

/***/ 3500:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"TestConnectionSucceeds":{"acceptors":[{"argument":"Connections[].Status","expected":"successful","matcher":"pathAll","state":"success"},{"argument":"Connections[].Status","expected":"failed","matcher":"pathAny","state":"failure"}],"delay":5,"description":"Wait until testing connection succeeds.","maxAttempts":60,"operation":"DescribeConnections"},"EndpointDeleted":{"acceptors":[{"expected":"ResourceNotFoundFault","matcher":"error","state":"success"},{"argument":"Endpoints[].Status","expected":"active","matcher":"pathAny","state":"failure"},{"argument":"Endpoints[].Status","expected":"creating","matcher":"pathAny","state":"failure"}],"delay":5,"description":"Wait until testing endpoint is deleted.","maxAttempts":60,"operation":"DescribeEndpoints"},"ReplicationInstanceAvailable":{"acceptors":[{"argument":"ReplicationInstances[].ReplicationInstanceStatus","expected":"available","matcher":"pathAll","state":"success"},{"argument":"ReplicationInstances[].ReplicationInstanceStatus","expected":"deleting","matcher":"pathAny","state":"failure"},{"argument":"ReplicationInstances[].ReplicationInstanceStatus","expected":"incompatible-credentials","matcher":"pathAny","state":"failure"},{"argument":"ReplicationInstances[].ReplicationInstanceStatus","expected":"incompatible-network","matcher":"pathAny","state":"failure"},{"argument":"ReplicationInstances[].ReplicationInstanceStatus","expected":"inaccessible-encryption-credentials","matcher":"pathAny","state":"failure"}],"delay":60,"description":"Wait until DMS replication instance is available.","maxAttempts":60,"operation":"DescribeReplicationInstances"},"ReplicationInstanceDeleted":{"acceptors":[{"argument":"ReplicationInstances[].ReplicationInstanceStatus","expected":"available","matcher":"pathAny","state":"failure"},{"expected":"ResourceNotFoundFault","matcher":"error","state":"success"}],"delay":15,"description":"Wait until DMS replication instance is deleted.","maxAttempts":60,"operation":"DescribeReplicationInstances"},"ReplicationTaskReady":{"acceptors":[{"argument":"ReplicationTasks[].Status","expected":"ready","matcher":"pathAll","state":"success"},{"argument":"ReplicationTasks[].Status","expected":"starting","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"running","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"stopping","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"stopped","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"failed","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"modifying","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"testing","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"deleting","matcher":"pathAny","state":"failure"}],"delay":15,"description":"Wait until DMS replication task is ready.","maxAttempts":60,"operation":"DescribeReplicationTasks"},"ReplicationTaskStopped":{"acceptors":[{"argument":"ReplicationTasks[].Status","expected":"stopped","matcher":"pathAll","state":"success"},{"argument":"ReplicationTasks[].Status","expected":"ready","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"creating","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"starting","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"failed","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"modifying","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"testing","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"deleting","matcher":"pathAny","state":"failure"}],"delay":15,"description":"Wait until DMS replication task is stopped.","maxAttempts":60,"operation":"DescribeReplicationTasks"},"ReplicationTaskRunning":{"acceptors":[{"argument":"ReplicationTasks[].Status","expected":"running","matcher":"pathAll","state":"success"},{"argument":"ReplicationTasks[].Status","expected":"ready","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"creating","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"stopping","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"stopped","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"failed","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"modifying","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"testing","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"deleting","matcher":"pathAny","state":"failure"}],"delay":15,"description":"Wait until DMS replication task is running.","maxAttempts":60,"operation":"DescribeReplicationTasks"},"ReplicationTaskDeleted":{"acceptors":[{"argument":"ReplicationTasks[].Status","expected":"ready","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"creating","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"stopped","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"running","matcher":"pathAny","state":"failure"},{"argument":"ReplicationTasks[].Status","expected":"failed","matcher":"pathAny","state":"failure"},{"expected":"ResourceNotFoundFault","matcher":"error","state":"success"}],"delay":15,"description":"Wait until DMS replication task is deleted.","maxAttempts":60,"operation":"DescribeReplicationTasks"}}}');

/***/ }),

/***/ 4932:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-10-31","endpointPrefix":"rds","protocol":"query","serviceAbbreviation":"Amazon DocDB","serviceFullName":"Amazon DocumentDB with MongoDB compatibility","serviceId":"DocDB","signatureVersion":"v4","signingName":"rds","uid":"docdb-2014-10-31","xmlNamespace":"http://rds.amazonaws.com/doc/2014-10-31/"},"operations":{"AddSourceIdentifierToSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"AddSourceIdentifierToSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"AddTagsToResource":{"input":{"type":"structure","required":["ResourceName","Tags"],"members":{"ResourceName":{},"Tags":{"shape":"S9"}}}},"ApplyPendingMaintenanceAction":{"input":{"type":"structure","required":["ResourceIdentifier","ApplyAction","OptInType"],"members":{"ResourceIdentifier":{},"ApplyAction":{},"OptInType":{}}},"output":{"resultWrapper":"ApplyPendingMaintenanceActionResult","type":"structure","members":{"ResourcePendingMaintenanceActions":{"shape":"Sd"}}}},"CopyDBClusterParameterGroup":{"input":{"type":"structure","required":["SourceDBClusterParameterGroupIdentifier","TargetDBClusterParameterGroupIdentifier","TargetDBClusterParameterGroupDescription"],"members":{"SourceDBClusterParameterGroupIdentifier":{},"TargetDBClusterParameterGroupIdentifier":{},"TargetDBClusterParameterGroupDescription":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CopyDBClusterParameterGroupResult","type":"structure","members":{"DBClusterParameterGroup":{"shape":"Sj"}}}},"CopyDBClusterSnapshot":{"input":{"type":"structure","required":["SourceDBClusterSnapshotIdentifier","TargetDBClusterSnapshotIdentifier"],"members":{"SourceDBClusterSnapshotIdentifier":{},"TargetDBClusterSnapshotIdentifier":{},"KmsKeyId":{},"PreSignedUrl":{},"CopyTags":{"type":"boolean"},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CopyDBClusterSnapshotResult","type":"structure","members":{"DBClusterSnapshot":{"shape":"Sn"}}}},"CreateDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier","Engine"],"members":{"AvailabilityZones":{"shape":"So"},"BackupRetentionPeriod":{"type":"integer"},"DBClusterIdentifier":{},"DBClusterParameterGroupName":{},"VpcSecurityGroupIds":{"shape":"Ss"},"DBSubnetGroupName":{},"Engine":{},"EngineVersion":{},"Port":{"type":"integer"},"MasterUsername":{},"MasterUserPassword":{},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"Tags":{"shape":"S9"},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"PreSignedUrl":{},"EnableCloudwatchLogsExports":{"shape":"St"},"DeletionProtection":{"type":"boolean"},"GlobalClusterIdentifier":{}}},"output":{"resultWrapper":"CreateDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sw"}}}},"CreateDBClusterParameterGroup":{"input":{"type":"structure","required":["DBClusterParameterGroupName","DBParameterGroupFamily","Description"],"members":{"DBClusterParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateDBClusterParameterGroupResult","type":"structure","members":{"DBClusterParameterGroup":{"shape":"Sj"}}}},"CreateDBClusterSnapshot":{"input":{"type":"structure","required":["DBClusterSnapshotIdentifier","DBClusterIdentifier"],"members":{"DBClusterSnapshotIdentifier":{},"DBClusterIdentifier":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateDBClusterSnapshotResult","type":"structure","members":{"DBClusterSnapshot":{"shape":"Sn"}}}},"CreateDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier","DBInstanceClass","Engine","DBClusterIdentifier"],"members":{"DBInstanceIdentifier":{},"DBInstanceClass":{},"Engine":{},"AvailabilityZone":{},"PreferredMaintenanceWindow":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"Tags":{"shape":"S9"},"DBClusterIdentifier":{},"PromotionTier":{"type":"integer"}}},"output":{"resultWrapper":"CreateDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S1a"}}}},"CreateDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","DBSubnetGroupDescription","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S1l"},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S1c"}}}},"CreateEventSubscription":{"input":{"type":"structure","required":["SubscriptionName","SnsTopicArn"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S6"},"SourceIds":{"shape":"S5"},"Enabled":{"type":"boolean"},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"CreateGlobalCluster":{"input":{"type":"structure","required":["GlobalClusterIdentifier"],"members":{"GlobalClusterIdentifier":{},"SourceDBClusterIdentifier":{},"Engine":{},"EngineVersion":{},"DeletionProtection":{"type":"boolean"},"DatabaseName":{},"StorageEncrypted":{"type":"boolean"}}},"output":{"resultWrapper":"CreateGlobalClusterResult","type":"structure","members":{"GlobalCluster":{"shape":"S1r"}}}},"DeleteDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{},"SkipFinalSnapshot":{"type":"boolean"},"FinalDBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sw"}}}},"DeleteDBClusterParameterGroup":{"input":{"type":"structure","required":["DBClusterParameterGroupName"],"members":{"DBClusterParameterGroupName":{}}}},"DeleteDBClusterSnapshot":{"input":{"type":"structure","required":["DBClusterSnapshotIdentifier"],"members":{"DBClusterSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBClusterSnapshotResult","type":"structure","members":{"DBClusterSnapshot":{"shape":"Sn"}}}},"DeleteDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{}}},"output":{"resultWrapper":"DeleteDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S1a"}}}},"DeleteDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName"],"members":{"DBSubnetGroupName":{}}}},"DeleteEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{}}},"output":{"resultWrapper":"DeleteEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"DeleteGlobalCluster":{"input":{"type":"structure","required":["GlobalClusterIdentifier"],"members":{"GlobalClusterIdentifier":{}}},"output":{"resultWrapper":"DeleteGlobalClusterResult","type":"structure","members":{"GlobalCluster":{"shape":"S1r"}}}},"DescribeCertificates":{"input":{"type":"structure","members":{"CertificateIdentifier":{},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeCertificatesResult","type":"structure","members":{"Certificates":{"type":"list","member":{"locationName":"Certificate","type":"structure","members":{"CertificateIdentifier":{},"CertificateType":{},"Thumbprint":{},"ValidFrom":{"type":"timestamp"},"ValidTill":{"type":"timestamp"},"CertificateArn":{}},"wrapper":true}},"Marker":{}}}},"DescribeDBClusterParameterGroups":{"input":{"type":"structure","members":{"DBClusterParameterGroupName":{},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBClusterParameterGroupsResult","type":"structure","members":{"Marker":{},"DBClusterParameterGroups":{"type":"list","member":{"shape":"Sj","locationName":"DBClusterParameterGroup"}}}}},"DescribeDBClusterParameters":{"input":{"type":"structure","required":["DBClusterParameterGroupName"],"members":{"DBClusterParameterGroupName":{},"Source":{},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBClusterParametersResult","type":"structure","members":{"Parameters":{"shape":"S2j"},"Marker":{}}}},"DescribeDBClusterSnapshotAttributes":{"input":{"type":"structure","required":["DBClusterSnapshotIdentifier"],"members":{"DBClusterSnapshotIdentifier":{}}},"output":{"resultWrapper":"DescribeDBClusterSnapshotAttributesResult","type":"structure","members":{"DBClusterSnapshotAttributesResult":{"shape":"S2o"}}}},"DescribeDBClusterSnapshots":{"input":{"type":"structure","members":{"DBClusterIdentifier":{},"DBClusterSnapshotIdentifier":{},"SnapshotType":{},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{},"IncludeShared":{"type":"boolean"},"IncludePublic":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeDBClusterSnapshotsResult","type":"structure","members":{"Marker":{},"DBClusterSnapshots":{"type":"list","member":{"shape":"Sn","locationName":"DBClusterSnapshot"}}}}},"DescribeDBClusters":{"input":{"type":"structure","members":{"DBClusterIdentifier":{},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBClustersResult","type":"structure","members":{"Marker":{},"DBClusters":{"type":"list","member":{"shape":"Sw","locationName":"DBCluster"}}}}},"DescribeDBEngineVersions":{"input":{"type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{},"DefaultOnly":{"type":"boolean"},"ListSupportedCharacterSets":{"type":"boolean"},"ListSupportedTimezones":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeDBEngineVersionsResult","type":"structure","members":{"Marker":{},"DBEngineVersions":{"type":"list","member":{"locationName":"DBEngineVersion","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"DBEngineDescription":{},"DBEngineVersionDescription":{},"ValidUpgradeTarget":{"type":"list","member":{"locationName":"UpgradeTarget","type":"structure","members":{"Engine":{},"EngineVersion":{},"Description":{},"AutoUpgrade":{"type":"boolean"},"IsMajorVersionUpgrade":{"type":"boolean"}}}},"ExportableLogTypes":{"shape":"St"},"SupportsLogExportsToCloudwatchLogs":{"type":"boolean"}}}}}}},"DescribeDBInstances":{"input":{"type":"structure","members":{"DBInstanceIdentifier":{},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBInstancesResult","type":"structure","members":{"Marker":{},"DBInstances":{"type":"list","member":{"shape":"S1a","locationName":"DBInstance"}}}}},"DescribeDBSubnetGroups":{"input":{"type":"structure","members":{"DBSubnetGroupName":{},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSubnetGroupsResult","type":"structure","members":{"Marker":{},"DBSubnetGroups":{"type":"list","member":{"shape":"S1c","locationName":"DBSubnetGroup"}}}}},"DescribeEngineDefaultClusterParameters":{"input":{"type":"structure","required":["DBParameterGroupFamily"],"members":{"DBParameterGroupFamily":{},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEngineDefaultClusterParametersResult","type":"structure","members":{"EngineDefaults":{"type":"structure","members":{"DBParameterGroupFamily":{},"Marker":{},"Parameters":{"shape":"S2j"}},"wrapper":true}}}},"DescribeEventCategories":{"input":{"type":"structure","members":{"SourceType":{},"Filters":{"shape":"S28"}}},"output":{"resultWrapper":"DescribeEventCategoriesResult","type":"structure","members":{"EventCategoriesMapList":{"type":"list","member":{"locationName":"EventCategoriesMap","type":"structure","members":{"SourceType":{},"EventCategories":{"shape":"S6"}},"wrapper":true}}}}},"DescribeEventSubscriptions":{"input":{"type":"structure","members":{"SubscriptionName":{},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventSubscriptionsResult","type":"structure","members":{"Marker":{},"EventSubscriptionsList":{"type":"list","member":{"shape":"S4","locationName":"EventSubscription"}}}}},"DescribeEvents":{"input":{"type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Duration":{"type":"integer"},"EventCategories":{"shape":"S6"},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventsResult","type":"structure","members":{"Marker":{},"Events":{"type":"list","member":{"locationName":"Event","type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"Message":{},"EventCategories":{"shape":"S6"},"Date":{"type":"timestamp"},"SourceArn":{}}}}}}},"DescribeGlobalClusters":{"input":{"type":"structure","members":{"GlobalClusterIdentifier":{},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeGlobalClustersResult","type":"structure","members":{"Marker":{},"GlobalClusters":{"type":"list","member":{"shape":"S1r","locationName":"GlobalClusterMember"}}}}},"DescribeOrderableDBInstanceOptions":{"input":{"type":"structure","required":["Engine"],"members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"Vpc":{"type":"boolean"},"Filters":{"shape":"S28"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOrderableDBInstanceOptionsResult","type":"structure","members":{"OrderableDBInstanceOptions":{"type":"list","member":{"locationName":"OrderableDBInstanceOption","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"AvailabilityZones":{"type":"list","member":{"shape":"S1f","locationName":"AvailabilityZone"}},"Vpc":{"type":"boolean"}},"wrapper":true}},"Marker":{}}}},"DescribePendingMaintenanceActions":{"input":{"type":"structure","members":{"ResourceIdentifier":{},"Filters":{"shape":"S28"},"Marker":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribePendingMaintenanceActionsResult","type":"structure","members":{"PendingMaintenanceActions":{"type":"list","member":{"shape":"Sd","locationName":"ResourcePendingMaintenanceActions"}},"Marker":{}}}},"FailoverDBCluster":{"input":{"type":"structure","members":{"DBClusterIdentifier":{},"TargetDBInstanceIdentifier":{}}},"output":{"resultWrapper":"FailoverDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sw"}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceName"],"members":{"ResourceName":{},"Filters":{"shape":"S28"}}},"output":{"resultWrapper":"ListTagsForResourceResult","type":"structure","members":{"TagList":{"shape":"S9"}}}},"ModifyDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{},"NewDBClusterIdentifier":{},"ApplyImmediately":{"type":"boolean"},"BackupRetentionPeriod":{"type":"integer"},"DBClusterParameterGroupName":{},"VpcSecurityGroupIds":{"shape":"Ss"},"Port":{"type":"integer"},"MasterUserPassword":{},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"CloudwatchLogsExportConfiguration":{"type":"structure","members":{"EnableLogTypes":{"shape":"St"},"DisableLogTypes":{"shape":"St"}}},"EngineVersion":{},"DeletionProtection":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sw"}}}},"ModifyDBClusterParameterGroup":{"input":{"type":"structure","required":["DBClusterParameterGroupName","Parameters"],"members":{"DBClusterParameterGroupName":{},"Parameters":{"shape":"S2j"}}},"output":{"shape":"S48","resultWrapper":"ModifyDBClusterParameterGroupResult"}},"ModifyDBClusterSnapshotAttribute":{"input":{"type":"structure","required":["DBClusterSnapshotIdentifier","AttributeName"],"members":{"DBClusterSnapshotIdentifier":{},"AttributeName":{},"ValuesToAdd":{"shape":"S2r"},"ValuesToRemove":{"shape":"S2r"}}},"output":{"resultWrapper":"ModifyDBClusterSnapshotAttributeResult","type":"structure","members":{"DBClusterSnapshotAttributesResult":{"shape":"S2o"}}}},"ModifyDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"DBInstanceClass":{},"ApplyImmediately":{"type":"boolean"},"PreferredMaintenanceWindow":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"NewDBInstanceIdentifier":{},"CACertificateIdentifier":{},"PromotionTier":{"type":"integer"}}},"output":{"resultWrapper":"ModifyDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S1a"}}}},"ModifyDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S1l"}}},"output":{"resultWrapper":"ModifyDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S1c"}}}},"ModifyEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S6"},"Enabled":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"ModifyGlobalCluster":{"input":{"type":"structure","required":["GlobalClusterIdentifier"],"members":{"GlobalClusterIdentifier":{},"NewGlobalClusterIdentifier":{},"DeletionProtection":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyGlobalClusterResult","type":"structure","members":{"GlobalCluster":{"shape":"S1r"}}}},"RebootDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"ForceFailover":{"type":"boolean"}}},"output":{"resultWrapper":"RebootDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S1a"}}}},"RemoveFromGlobalCluster":{"input":{"type":"structure","required":["GlobalClusterIdentifier","DbClusterIdentifier"],"members":{"GlobalClusterIdentifier":{},"DbClusterIdentifier":{}}},"output":{"resultWrapper":"RemoveFromGlobalClusterResult","type":"structure","members":{"GlobalCluster":{"shape":"S1r"}}}},"RemoveSourceIdentifierFromSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"RemoveSourceIdentifierFromSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceName","TagKeys"],"members":{"ResourceName":{},"TagKeys":{"type":"list","member":{}}}}},"ResetDBClusterParameterGroup":{"input":{"type":"structure","required":["DBClusterParameterGroupName"],"members":{"DBClusterParameterGroupName":{},"ResetAllParameters":{"type":"boolean"},"Parameters":{"shape":"S2j"}}},"output":{"shape":"S48","resultWrapper":"ResetDBClusterParameterGroupResult"}},"RestoreDBClusterFromSnapshot":{"input":{"type":"structure","required":["DBClusterIdentifier","SnapshotIdentifier","Engine"],"members":{"AvailabilityZones":{"shape":"So"},"DBClusterIdentifier":{},"SnapshotIdentifier":{},"Engine":{},"EngineVersion":{},"Port":{"type":"integer"},"DBSubnetGroupName":{},"VpcSecurityGroupIds":{"shape":"Ss"},"Tags":{"shape":"S9"},"KmsKeyId":{},"EnableCloudwatchLogsExports":{"shape":"St"},"DeletionProtection":{"type":"boolean"}}},"output":{"resultWrapper":"RestoreDBClusterFromSnapshotResult","type":"structure","members":{"DBCluster":{"shape":"Sw"}}}},"RestoreDBClusterToPointInTime":{"input":{"type":"structure","required":["DBClusterIdentifier","SourceDBClusterIdentifier"],"members":{"DBClusterIdentifier":{},"SourceDBClusterIdentifier":{},"RestoreToTime":{"type":"timestamp"},"UseLatestRestorableTime":{"type":"boolean"},"Port":{"type":"integer"},"DBSubnetGroupName":{},"VpcSecurityGroupIds":{"shape":"Ss"},"Tags":{"shape":"S9"},"KmsKeyId":{},"EnableCloudwatchLogsExports":{"shape":"St"},"DeletionProtection":{"type":"boolean"}}},"output":{"resultWrapper":"RestoreDBClusterToPointInTimeResult","type":"structure","members":{"DBCluster":{"shape":"Sw"}}}},"StartDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{}}},"output":{"resultWrapper":"StartDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sw"}}}},"StopDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{}}},"output":{"resultWrapper":"StopDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sw"}}}}},"shapes":{"S4":{"type":"structure","members":{"CustomerAwsId":{},"CustSubscriptionId":{},"SnsTopicArn":{},"Status":{},"SubscriptionCreationTime":{},"SourceType":{},"SourceIdsList":{"shape":"S5"},"EventCategoriesList":{"shape":"S6"},"Enabled":{"type":"boolean"},"EventSubscriptionArn":{}},"wrapper":true},"S5":{"type":"list","member":{"locationName":"SourceId"}},"S6":{"type":"list","member":{"locationName":"EventCategory"}},"S9":{"type":"list","member":{"locationName":"Tag","type":"structure","members":{"Key":{},"Value":{}}}},"Sd":{"type":"structure","members":{"ResourceIdentifier":{},"PendingMaintenanceActionDetails":{"type":"list","member":{"locationName":"PendingMaintenanceAction","type":"structure","members":{"Action":{},"AutoAppliedAfterDate":{"type":"timestamp"},"ForcedApplyDate":{"type":"timestamp"},"OptInStatus":{},"CurrentApplyDate":{"type":"timestamp"},"Description":{}}}}},"wrapper":true},"Sj":{"type":"structure","members":{"DBClusterParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{},"DBClusterParameterGroupArn":{}},"wrapper":true},"Sn":{"type":"structure","members":{"AvailabilityZones":{"shape":"So"},"DBClusterSnapshotIdentifier":{},"DBClusterIdentifier":{},"SnapshotCreateTime":{"type":"timestamp"},"Engine":{},"Status":{},"Port":{"type":"integer"},"VpcId":{},"ClusterCreateTime":{"type":"timestamp"},"MasterUsername":{},"EngineVersion":{},"SnapshotType":{},"PercentProgress":{"type":"integer"},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"DBClusterSnapshotArn":{},"SourceDBClusterSnapshotArn":{}},"wrapper":true},"So":{"type":"list","member":{"locationName":"AvailabilityZone"}},"Ss":{"type":"list","member":{"locationName":"VpcSecurityGroupId"}},"St":{"type":"list","member":{}},"Sw":{"type":"structure","members":{"AvailabilityZones":{"shape":"So"},"BackupRetentionPeriod":{"type":"integer"},"DBClusterIdentifier":{},"DBClusterParameterGroup":{},"DBSubnetGroup":{},"Status":{},"PercentProgress":{},"EarliestRestorableTime":{"type":"timestamp"},"Endpoint":{},"ReaderEndpoint":{},"MultiAZ":{"type":"boolean"},"Engine":{},"EngineVersion":{},"LatestRestorableTime":{"type":"timestamp"},"Port":{"type":"integer"},"MasterUsername":{},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"ReplicationSourceIdentifier":{},"ReadReplicaIdentifiers":{"type":"list","member":{"locationName":"ReadReplicaIdentifier"}},"DBClusterMembers":{"type":"list","member":{"locationName":"DBClusterMember","type":"structure","members":{"DBInstanceIdentifier":{},"IsClusterWriter":{"type":"boolean"},"DBClusterParameterGroupStatus":{},"PromotionTier":{"type":"integer"}},"wrapper":true}},"VpcSecurityGroups":{"shape":"S10"},"HostedZoneId":{},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"DbClusterResourceId":{},"DBClusterArn":{},"AssociatedRoles":{"type":"list","member":{"locationName":"DBClusterRole","type":"structure","members":{"RoleArn":{},"Status":{}}}},"ClusterCreateTime":{"type":"timestamp"},"EnabledCloudwatchLogsExports":{"shape":"St"},"DeletionProtection":{"type":"boolean"}},"wrapper":true},"S10":{"type":"list","member":{"locationName":"VpcSecurityGroupMembership","type":"structure","members":{"VpcSecurityGroupId":{},"Status":{}}}},"S1a":{"type":"structure","members":{"DBInstanceIdentifier":{},"DBInstanceClass":{},"Engine":{},"DBInstanceStatus":{},"Endpoint":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"},"HostedZoneId":{}}},"InstanceCreateTime":{"type":"timestamp"},"PreferredBackupWindow":{},"BackupRetentionPeriod":{"type":"integer"},"VpcSecurityGroups":{"shape":"S10"},"AvailabilityZone":{},"DBSubnetGroup":{"shape":"S1c"},"PreferredMaintenanceWindow":{},"PendingModifiedValues":{"type":"structure","members":{"DBInstanceClass":{},"AllocatedStorage":{"type":"integer"},"MasterUserPassword":{},"Port":{"type":"integer"},"BackupRetentionPeriod":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"LicenseModel":{},"Iops":{"type":"integer"},"DBInstanceIdentifier":{},"StorageType":{},"CACertificateIdentifier":{},"DBSubnetGroupName":{},"PendingCloudwatchLogsExports":{"type":"structure","members":{"LogTypesToEnable":{"shape":"St"},"LogTypesToDisable":{"shape":"St"}}}}},"LatestRestorableTime":{"type":"timestamp"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"PubliclyAccessible":{"type":"boolean"},"StatusInfos":{"type":"list","member":{"locationName":"DBInstanceStatusInfo","type":"structure","members":{"StatusType":{},"Normal":{"type":"boolean"},"Status":{},"Message":{}}}},"DBClusterIdentifier":{},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"DbiResourceId":{},"CACertificateIdentifier":{},"PromotionTier":{"type":"integer"},"DBInstanceArn":{},"EnabledCloudwatchLogsExports":{"shape":"St"}},"wrapper":true},"S1c":{"type":"structure","members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"VpcId":{},"SubnetGroupStatus":{},"Subnets":{"type":"list","member":{"locationName":"Subnet","type":"structure","members":{"SubnetIdentifier":{},"SubnetAvailabilityZone":{"shape":"S1f"},"SubnetStatus":{}}}},"DBSubnetGroupArn":{}},"wrapper":true},"S1f":{"type":"structure","members":{"Name":{}},"wrapper":true},"S1l":{"type":"list","member":{"locationName":"SubnetIdentifier"}},"S1r":{"type":"structure","members":{"GlobalClusterIdentifier":{},"GlobalClusterResourceId":{},"GlobalClusterArn":{},"Status":{},"Engine":{},"EngineVersion":{},"DatabaseName":{},"StorageEncrypted":{"type":"boolean"},"DeletionProtection":{"type":"boolean"},"GlobalClusterMembers":{"type":"list","member":{"locationName":"GlobalClusterMember","type":"structure","members":{"DBClusterArn":{},"Readers":{"type":"list","member":{}},"IsWriter":{"type":"boolean"}},"wrapper":true}}},"wrapper":true},"S28":{"type":"list","member":{"locationName":"Filter","type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{"locationName":"Value"}}}}},"S2j":{"type":"list","member":{"locationName":"Parameter","type":"structure","members":{"ParameterName":{},"ParameterValue":{},"Description":{},"Source":{},"ApplyType":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"MinimumEngineVersion":{},"ApplyMethod":{}}}},"S2o":{"type":"structure","members":{"DBClusterSnapshotIdentifier":{},"DBClusterSnapshotAttributes":{"type":"list","member":{"locationName":"DBClusterSnapshotAttribute","type":"structure","members":{"AttributeName":{},"AttributeValues":{"shape":"S2r"}}}}},"wrapper":true},"S2r":{"type":"list","member":{"locationName":"AttributeValue"}},"S48":{"type":"structure","members":{"DBClusterParameterGroupName":{}}}}}');

/***/ }),

/***/ 41408:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeCertificates":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Certificates"},"DescribeDBClusterParameterGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBClusterParameterGroups"},"DescribeDBClusterParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Parameters"},"DescribeDBClusterSnapshots":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBClusterSnapshots"},"DescribeDBClusters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBClusters"},"DescribeDBEngineVersions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBEngineVersions"},"DescribeDBInstances":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBInstances"},"DescribeDBSubnetGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSubnetGroups"},"DescribeEventSubscriptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"EventSubscriptionsList"},"DescribeEvents":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Events"},"DescribeGlobalClusters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"GlobalClusters"},"DescribeOrderableDBInstanceOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OrderableDBInstanceOptions"},"DescribePendingMaintenanceActions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"PendingMaintenanceActions"},"ListTagsForResource":{"result_key":"TagList"}}}');

/***/ }),

/***/ 36607:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DBInstanceAvailable":{"delay":30,"operation":"DescribeDBInstances","maxAttempts":60,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"DBInstances[].DBInstanceStatus"},{"expected":"deleted","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"deleting","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"failed","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"incompatible-restore","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"incompatible-parameters","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"}]},"DBInstanceDeleted":{"delay":30,"operation":"DescribeDBInstances","maxAttempts":60,"acceptors":[{"expected":"deleted","matcher":"pathAll","state":"success","argument":"DBInstances[].DBInstanceStatus"},{"expected":"DBInstanceNotFound","matcher":"error","state":"success"},{"expected":"creating","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"modifying","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"rebooting","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"resetting-master-credentials","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"}]}}}');

/***/ }),

/***/ 42548:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-02-26","endpointPrefix":"drs","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"drs","serviceFullName":"Elastic Disaster Recovery Service","serviceId":"drs","signatureVersion":"v4","signingName":"drs","uid":"drs-2020-02-26"},"operations":{"CreateReplicationConfigurationTemplate":{"http":{"requestUri":"/CreateReplicationConfigurationTemplate","responseCode":201},"input":{"type":"structure","required":["associateDefaultSecurityGroup","bandwidthThrottling","createPublicIP","dataPlaneRouting","defaultLargeStagingDiskType","ebsEncryption","pitPolicy","replicationServerInstanceType","replicationServersSecurityGroupsIDs","stagingAreaSubnetId","stagingAreaTags","useDedicatedReplicationServer"],"members":{"associateDefaultSecurityGroup":{"type":"boolean"},"bandwidthThrottling":{"type":"long"},"createPublicIP":{"type":"boolean"},"dataPlaneRouting":{},"defaultLargeStagingDiskType":{},"ebsEncryption":{},"ebsEncryptionKeyArn":{},"pitPolicy":{"shape":"S8"},"replicationServerInstanceType":{},"replicationServersSecurityGroupsIDs":{"shape":"Sd"},"stagingAreaSubnetId":{},"stagingAreaTags":{"shape":"Sg"},"tags":{"shape":"Sg"},"useDedicatedReplicationServer":{"type":"boolean"}}},"output":{"shape":"Sj"}},"DeleteJob":{"http":{"requestUri":"/DeleteJob","responseCode":204},"input":{"type":"structure","required":["jobID"],"members":{"jobID":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteRecoveryInstance":{"http":{"requestUri":"/DeleteRecoveryInstance","responseCode":200},"input":{"type":"structure","required":["recoveryInstanceID"],"members":{"recoveryInstanceID":{}}}},"DeleteReplicationConfigurationTemplate":{"http":{"requestUri":"/DeleteReplicationConfigurationTemplate","responseCode":204},"input":{"type":"structure","required":["replicationConfigurationTemplateID"],"members":{"replicationConfigurationTemplateID":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteSourceServer":{"http":{"requestUri":"/DeleteSourceServer","responseCode":204},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DescribeJobLogItems":{"http":{"requestUri":"/DescribeJobLogItems","responseCode":200},"input":{"type":"structure","required":["jobID"],"members":{"jobID":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"items":{"type":"list","member":{"type":"structure","members":{"event":{},"eventData":{"type":"structure","members":{"conversionServerID":{},"rawError":{},"sourceServerID":{},"targetInstanceID":{}}},"logDateTime":{}}}},"nextToken":{}}}},"DescribeJobs":{"http":{"requestUri":"/DescribeJobs","responseCode":200},"input":{"type":"structure","required":["filters"],"members":{"filters":{"type":"structure","members":{"fromDate":{},"jobIDs":{"type":"list","member":{}},"toDate":{}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"items":{"type":"list","member":{"shape":"S1a"}},"nextToken":{}}}},"DescribeRecoveryInstances":{"http":{"requestUri":"/DescribeRecoveryInstances","responseCode":200},"input":{"type":"structure","required":["filters"],"members":{"filters":{"type":"structure","members":{"recoveryInstanceIDs":{"type":"list","member":{}},"sourceServerIDs":{"type":"list","member":{}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"items":{"type":"list","member":{"type":"structure","members":{"arn":{},"dataReplicationInfo":{"type":"structure","members":{"dataReplicationError":{"type":"structure","members":{"error":{},"rawError":{}}},"dataReplicationInitiation":{"type":"structure","members":{"startDateTime":{},"steps":{"type":"list","member":{"type":"structure","members":{"name":{},"status":{}}}}}},"dataReplicationState":{},"etaDateTime":{},"lagDuration":{},"replicatedDisks":{"type":"list","member":{"type":"structure","members":{"backloggedStorageBytes":{"type":"long"},"deviceName":{},"replicatedStorageBytes":{"type":"long"},"rescannedStorageBytes":{"type":"long"},"totalStorageBytes":{"type":"long"}}}}}},"ec2InstanceID":{},"ec2InstanceState":{},"failback":{"type":"structure","members":{"agentLastSeenByServiceDateTime":{},"elapsedReplicationDuration":{},"failbackClientID":{},"failbackClientLastSeenByServiceDateTime":{},"failbackInitiationTime":{},"failbackJobID":{},"failbackToOriginalServer":{"type":"boolean"},"firstByteDateTime":{},"state":{}}},"isDrill":{"type":"boolean"},"jobID":{},"pointInTimeSnapshotDateTime":{},"recoveryInstanceID":{},"recoveryInstanceProperties":{"type":"structure","members":{"cpus":{"shape":"S24"},"disks":{"type":"list","member":{"type":"structure","members":{"bytes":{"type":"long"},"ebsVolumeID":{},"internalDeviceName":{}}}},"identificationHints":{"shape":"S29"},"lastUpdatedDateTime":{},"networkInterfaces":{"shape":"S2a"},"os":{"shape":"S2d"},"ramBytes":{"type":"long"}}},"sourceServerID":{},"tags":{"shape":"Sg"}}}},"nextToken":{}}}},"DescribeRecoverySnapshots":{"http":{"requestUri":"/DescribeRecoverySnapshots","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"filters":{"type":"structure","members":{"fromDateTime":{},"toDateTime":{}}},"maxResults":{"type":"integer"},"nextToken":{},"order":{},"sourceServerID":{}}},"output":{"type":"structure","members":{"items":{"type":"list","member":{"type":"structure","required":["expectedTimestamp","snapshotID","sourceServerID"],"members":{"ebsSnapshots":{"type":"list","member":{}},"expectedTimestamp":{},"snapshotID":{},"sourceServerID":{},"timestamp":{}}}},"nextToken":{}}}},"DescribeReplicationConfigurationTemplates":{"http":{"requestUri":"/DescribeReplicationConfigurationTemplates","responseCode":200},"input":{"type":"structure","required":["replicationConfigurationTemplateIDs"],"members":{"maxResults":{"type":"integer"},"nextToken":{},"replicationConfigurationTemplateIDs":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"items":{"type":"list","member":{"shape":"Sj"}},"nextToken":{}}}},"DescribeSourceServers":{"http":{"requestUri":"/DescribeSourceServers","responseCode":200},"input":{"type":"structure","required":["filters"],"members":{"filters":{"type":"structure","members":{"hardwareId":{},"sourceServerIDs":{"type":"list","member":{}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"items":{"type":"list","member":{"shape":"S2w"}},"nextToken":{}}}},"DisconnectRecoveryInstance":{"http":{"requestUri":"/DisconnectRecoveryInstance","responseCode":200},"input":{"type":"structure","required":["recoveryInstanceID"],"members":{"recoveryInstanceID":{}}}},"DisconnectSourceServer":{"http":{"requestUri":"/DisconnectSourceServer","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"shape":"S2w"}},"GetFailbackReplicationConfiguration":{"http":{"requestUri":"/GetFailbackReplicationConfiguration","responseCode":200},"input":{"type":"structure","required":["recoveryInstanceID"],"members":{"recoveryInstanceID":{}}},"output":{"type":"structure","required":["recoveryInstanceID"],"members":{"bandwidthThrottling":{"type":"long"},"name":{},"recoveryInstanceID":{},"usePrivateIP":{"type":"boolean"}}}},"GetLaunchConfiguration":{"http":{"requestUri":"/GetLaunchConfiguration","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"shape":"S3l"}},"GetReplicationConfiguration":{"http":{"requestUri":"/GetReplicationConfiguration","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"shape":"S3r"}},"InitializeService":{"http":{"requestUri":"/InitializeService","responseCode":204},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sg"}}}},"RetryDataReplication":{"http":{"requestUri":"/RetryDataReplication","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"shape":"S2w"}},"StartFailbackLaunch":{"http":{"requestUri":"/StartFailbackLaunch","responseCode":200},"input":{"type":"structure","required":["recoveryInstanceIDs"],"members":{"recoveryInstanceIDs":{"type":"list","member":{}},"tags":{"shape":"Sg"}}},"output":{"type":"structure","members":{"job":{"shape":"S1a"}}}},"StartRecovery":{"http":{"requestUri":"/StartRecovery","responseCode":202},"input":{"type":"structure","required":["sourceServers"],"members":{"isDrill":{"type":"boolean"},"sourceServers":{"type":"list","member":{"type":"structure","required":["sourceServerID"],"members":{"recoverySnapshotID":{},"sourceServerID":{}}}},"tags":{"shape":"Sg"}}},"output":{"type":"structure","members":{"job":{"shape":"S1a"}}}},"StopFailback":{"http":{"requestUri":"/StopFailback","responseCode":200},"input":{"type":"structure","required":["recoveryInstanceID"],"members":{"recoveryInstanceID":{}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sg"}}},"idempotent":true},"TerminateRecoveryInstances":{"http":{"requestUri":"/TerminateRecoveryInstances","responseCode":200},"input":{"type":"structure","required":["recoveryInstanceIDs"],"members":{"recoveryInstanceIDs":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"job":{"shape":"S1a"}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{},"sensitive":true}}},"idempotent":true},"UpdateFailbackReplicationConfiguration":{"http":{"requestUri":"/UpdateFailbackReplicationConfiguration","responseCode":200},"input":{"type":"structure","required":["recoveryInstanceID"],"members":{"bandwidthThrottling":{"type":"long"},"name":{},"recoveryInstanceID":{},"usePrivateIP":{"type":"boolean"}}}},"UpdateLaunchConfiguration":{"http":{"requestUri":"/UpdateLaunchConfiguration","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"copyPrivateIp":{"type":"boolean"},"copyTags":{"type":"boolean"},"launchDisposition":{},"licensing":{"shape":"S3n"},"name":{},"sourceServerID":{},"targetInstanceTypeRightSizingMethod":{}}},"output":{"shape":"S3l"},"idempotent":true},"UpdateReplicationConfiguration":{"http":{"requestUri":"/UpdateReplicationConfiguration","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"associateDefaultSecurityGroup":{"type":"boolean"},"bandwidthThrottling":{"type":"long"},"createPublicIP":{"type":"boolean"},"dataPlaneRouting":{},"defaultLargeStagingDiskType":{},"ebsEncryption":{},"ebsEncryptionKeyArn":{},"name":{},"pitPolicy":{"shape":"S8"},"replicatedDisks":{"shape":"S3s"},"replicationServerInstanceType":{},"replicationServersSecurityGroupsIDs":{"shape":"Sd"},"sourceServerID":{},"stagingAreaSubnetId":{},"stagingAreaTags":{"shape":"Sg"},"useDedicatedReplicationServer":{"type":"boolean"}}},"output":{"shape":"S3r"},"idempotent":true},"UpdateReplicationConfigurationTemplate":{"http":{"requestUri":"/UpdateReplicationConfigurationTemplate","responseCode":200},"input":{"type":"structure","required":["replicationConfigurationTemplateID"],"members":{"arn":{},"associateDefaultSecurityGroup":{"type":"boolean"},"bandwidthThrottling":{"type":"long"},"createPublicIP":{"type":"boolean"},"dataPlaneRouting":{},"defaultLargeStagingDiskType":{},"ebsEncryption":{},"ebsEncryptionKeyArn":{},"pitPolicy":{"shape":"S8"},"replicationConfigurationTemplateID":{},"replicationServerInstanceType":{},"replicationServersSecurityGroupsIDs":{"shape":"Sd"},"stagingAreaSubnetId":{},"stagingAreaTags":{"shape":"Sg"},"useDedicatedReplicationServer":{"type":"boolean"}}},"output":{"shape":"Sj"}}},"shapes":{"S8":{"type":"list","member":{"type":"structure","required":["interval","retentionDuration","units"],"members":{"enabled":{"type":"boolean"},"interval":{"type":"integer"},"retentionDuration":{"type":"integer"},"ruleID":{"type":"long"},"units":{}}}},"Sd":{"type":"list","member":{}},"Sg":{"type":"map","key":{},"value":{},"sensitive":true},"Sj":{"type":"structure","required":["replicationConfigurationTemplateID"],"members":{"arn":{},"associateDefaultSecurityGroup":{"type":"boolean"},"bandwidthThrottling":{"type":"long"},"createPublicIP":{"type":"boolean"},"dataPlaneRouting":{},"defaultLargeStagingDiskType":{},"ebsEncryption":{},"ebsEncryptionKeyArn":{},"pitPolicy":{"shape":"S8"},"replicationConfigurationTemplateID":{},"replicationServerInstanceType":{},"replicationServersSecurityGroupsIDs":{"shape":"Sd"},"stagingAreaSubnetId":{},"stagingAreaTags":{"shape":"Sg"},"tags":{"shape":"Sg"},"useDedicatedReplicationServer":{"type":"boolean"}}},"S1a":{"type":"structure","required":["jobID"],"members":{"arn":{},"creationDateTime":{},"endDateTime":{},"initiatedBy":{},"jobID":{},"participatingServers":{"type":"list","member":{"type":"structure","members":{"launchStatus":{},"recoveryInstanceID":{},"sourceServerID":{}}}},"status":{},"tags":{"shape":"Sg"},"type":{}}},"S24":{"type":"list","member":{"type":"structure","members":{"cores":{"type":"long"},"modelName":{}}}},"S29":{"type":"structure","members":{"awsInstanceID":{},"fqdn":{},"hostname":{},"vmWareUuid":{}}},"S2a":{"type":"list","member":{"type":"structure","members":{"ips":{"type":"list","member":{}},"isPrimary":{"type":"boolean"},"macAddress":{}}}},"S2d":{"type":"structure","members":{"fullString":{}}},"S2w":{"type":"structure","members":{"arn":{},"dataReplicationInfo":{"type":"structure","members":{"dataReplicationError":{"type":"structure","members":{"error":{},"rawError":{}}},"dataReplicationInitiation":{"type":"structure","members":{"nextAttemptDateTime":{},"startDateTime":{},"steps":{"type":"list","member":{"type":"structure","members":{"name":{},"status":{}}}}}},"dataReplicationState":{},"etaDateTime":{},"lagDuration":{},"replicatedDisks":{"type":"list","member":{"type":"structure","members":{"backloggedStorageBytes":{"type":"long"},"deviceName":{},"replicatedStorageBytes":{"type":"long"},"rescannedStorageBytes":{"type":"long"},"totalStorageBytes":{"type":"long"}}}}}},"lastLaunchResult":{},"lifeCycle":{"type":"structure","members":{"addedToServiceDateTime":{},"elapsedReplicationDuration":{},"firstByteDateTime":{},"lastLaunch":{"type":"structure","members":{"initiated":{"type":"structure","members":{"apiCallDateTime":{},"jobID":{},"type":{}}}}},"lastSeenByServiceDateTime":{}}},"recoveryInstanceId":{},"sourceProperties":{"type":"structure","members":{"cpus":{"shape":"S24"},"disks":{"type":"list","member":{"type":"structure","members":{"bytes":{"type":"long"},"deviceName":{}}}},"identificationHints":{"shape":"S29"},"lastUpdatedDateTime":{},"networkInterfaces":{"shape":"S2a"},"os":{"shape":"S2d"},"ramBytes":{"type":"long"},"recommendedInstanceType":{}}},"sourceServerID":{},"tags":{"shape":"Sg"}}},"S3l":{"type":"structure","members":{"copyPrivateIp":{"type":"boolean"},"copyTags":{"type":"boolean"},"ec2LaunchTemplateID":{},"launchDisposition":{},"licensing":{"shape":"S3n"},"name":{},"sourceServerID":{},"targetInstanceTypeRightSizingMethod":{}}},"S3n":{"type":"structure","members":{"osByol":{"type":"boolean"}}},"S3r":{"type":"structure","members":{"associateDefaultSecurityGroup":{"type":"boolean"},"bandwidthThrottling":{"type":"long"},"createPublicIP":{"type":"boolean"},"dataPlaneRouting":{},"defaultLargeStagingDiskType":{},"ebsEncryption":{},"ebsEncryptionKeyArn":{},"name":{},"pitPolicy":{"shape":"S8"},"replicatedDisks":{"shape":"S3s"},"replicationServerInstanceType":{},"replicationServersSecurityGroupsIDs":{"shape":"Sd"},"sourceServerID":{},"stagingAreaSubnetId":{},"stagingAreaTags":{"shape":"Sg"},"useDedicatedReplicationServer":{"type":"boolean"}}},"S3s":{"type":"list","member":{"type":"structure","members":{"deviceName":{},"iops":{"type":"long"},"isBootDisk":{"type":"boolean"},"stagingDiskType":{},"throughput":{"type":"long"}}}}}}');

/***/ }),

/***/ 44057:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeJobLogItems":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"},"DescribeJobs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"},"DescribeRecoveryInstances":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"},"DescribeRecoverySnapshots":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"},"DescribeReplicationConfigurationTemplates":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"},"DescribeSourceServers":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"}}}');

/***/ }),

/***/ 47357:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-04-16","endpointPrefix":"ds","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Directory Service","serviceFullName":"AWS Directory Service","serviceId":"Directory Service","signatureVersion":"v4","targetPrefix":"DirectoryService_20150416","uid":"ds-2015-04-16"},"operations":{"AcceptSharedDirectory":{"input":{"type":"structure","required":["SharedDirectoryId"],"members":{"SharedDirectoryId":{}}},"output":{"type":"structure","members":{"SharedDirectory":{"shape":"S4"}}}},"AddIpRoutes":{"input":{"type":"structure","required":["DirectoryId","IpRoutes"],"members":{"DirectoryId":{},"IpRoutes":{"type":"list","member":{"type":"structure","members":{"CidrIp":{},"Description":{}}}},"UpdateSecurityGroupForDirectoryControllers":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"AddRegion":{"input":{"type":"structure","required":["DirectoryId","RegionName","VPCSettings"],"members":{"DirectoryId":{},"RegionName":{},"VPCSettings":{"shape":"Sk"}}},"output":{"type":"structure","members":{}}},"AddTagsToResource":{"input":{"type":"structure","required":["ResourceId","Tags"],"members":{"ResourceId":{},"Tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{}}},"CancelSchemaExtension":{"input":{"type":"structure","required":["DirectoryId","SchemaExtensionId"],"members":{"DirectoryId":{},"SchemaExtensionId":{}}},"output":{"type":"structure","members":{}}},"ConnectDirectory":{"input":{"type":"structure","required":["Name","Password","Size","ConnectSettings"],"members":{"Name":{},"ShortName":{},"Password":{"shape":"S12"},"Description":{},"Size":{},"ConnectSettings":{"type":"structure","required":["VpcId","SubnetIds","CustomerDnsIps","CustomerUserName"],"members":{"VpcId":{},"SubnetIds":{"shape":"Sm"},"CustomerDnsIps":{"shape":"S15"},"CustomerUserName":{}}},"Tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{"DirectoryId":{}}}},"CreateAlias":{"input":{"type":"structure","required":["DirectoryId","Alias"],"members":{"DirectoryId":{},"Alias":{}}},"output":{"type":"structure","members":{"DirectoryId":{},"Alias":{}}}},"CreateComputer":{"input":{"type":"structure","required":["DirectoryId","ComputerName","Password"],"members":{"DirectoryId":{},"ComputerName":{},"Password":{"type":"string","sensitive":true},"OrganizationalUnitDistinguishedName":{},"ComputerAttributes":{"shape":"S1g"}}},"output":{"type":"structure","members":{"Computer":{"type":"structure","members":{"ComputerId":{},"ComputerName":{},"ComputerAttributes":{"shape":"S1g"}}}}}},"CreateConditionalForwarder":{"input":{"type":"structure","required":["DirectoryId","RemoteDomainName","DnsIpAddrs"],"members":{"DirectoryId":{},"RemoteDomainName":{},"DnsIpAddrs":{"shape":"S15"}}},"output":{"type":"structure","members":{}}},"CreateDirectory":{"input":{"type":"structure","required":["Name","Password","Size"],"members":{"Name":{},"ShortName":{},"Password":{"shape":"S1r"},"Description":{},"Size":{},"VpcSettings":{"shape":"Sk"},"Tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{"DirectoryId":{}}}},"CreateLogSubscription":{"input":{"type":"structure","required":["DirectoryId","LogGroupName"],"members":{"DirectoryId":{},"LogGroupName":{}}},"output":{"type":"structure","members":{}}},"CreateMicrosoftAD":{"input":{"type":"structure","required":["Name","Password","VpcSettings"],"members":{"Name":{},"ShortName":{},"Password":{"shape":"S1r"},"Description":{},"VpcSettings":{"shape":"Sk"},"Edition":{},"Tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{"DirectoryId":{}}}},"CreateSnapshot":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{},"Name":{}}},"output":{"type":"structure","members":{"SnapshotId":{}}}},"CreateTrust":{"input":{"type":"structure","required":["DirectoryId","RemoteDomainName","TrustPassword","TrustDirection"],"members":{"DirectoryId":{},"RemoteDomainName":{},"TrustPassword":{"type":"string","sensitive":true},"TrustDirection":{},"TrustType":{},"ConditionalForwarderIpAddrs":{"shape":"S15"},"SelectiveAuth":{}}},"output":{"type":"structure","members":{"TrustId":{}}}},"DeleteConditionalForwarder":{"input":{"type":"structure","required":["DirectoryId","RemoteDomainName"],"members":{"DirectoryId":{},"RemoteDomainName":{}}},"output":{"type":"structure","members":{}}},"DeleteDirectory":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{}}},"output":{"type":"structure","members":{"DirectoryId":{}}}},"DeleteLogSubscription":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{}}},"output":{"type":"structure","members":{}}},"DeleteSnapshot":{"input":{"type":"structure","required":["SnapshotId"],"members":{"SnapshotId":{}}},"output":{"type":"structure","members":{"SnapshotId":{}}}},"DeleteTrust":{"input":{"type":"structure","required":["TrustId"],"members":{"TrustId":{},"DeleteAssociatedConditionalForwarder":{"type":"boolean"}}},"output":{"type":"structure","members":{"TrustId":{}}}},"DeregisterCertificate":{"input":{"type":"structure","required":["DirectoryId","CertificateId"],"members":{"DirectoryId":{},"CertificateId":{}}},"output":{"type":"structure","members":{}}},"DeregisterEventTopic":{"input":{"type":"structure","required":["DirectoryId","TopicName"],"members":{"DirectoryId":{},"TopicName":{}}},"output":{"type":"structure","members":{}}},"DescribeCertificate":{"input":{"type":"structure","required":["DirectoryId","CertificateId"],"members":{"DirectoryId":{},"CertificateId":{}}},"output":{"type":"structure","members":{"Certificate":{"type":"structure","members":{"CertificateId":{},"State":{},"StateReason":{},"CommonName":{},"RegisteredDateTime":{"type":"timestamp"},"ExpiryDateTime":{"type":"timestamp"},"Type":{},"ClientCertAuthSettings":{"shape":"S30"}}}}}},"DescribeClientAuthenticationSettings":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{},"Type":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"ClientAuthenticationSettingsInfo":{"type":"list","member":{"type":"structure","members":{"Type":{},"Status":{},"LastUpdatedDateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeConditionalForwarders":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{},"RemoteDomainNames":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"ConditionalForwarders":{"type":"list","member":{"type":"structure","members":{"RemoteDomainName":{},"DnsIpAddrs":{"shape":"S15"},"ReplicationScope":{}}}}}}},"DescribeDirectories":{"input":{"type":"structure","members":{"DirectoryIds":{"shape":"S3h"},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"DirectoryDescriptions":{"type":"list","member":{"type":"structure","members":{"DirectoryId":{},"Name":{},"ShortName":{},"Size":{},"Edition":{},"Alias":{},"AccessUrl":{},"Description":{},"DnsIpAddrs":{"shape":"S15"},"Stage":{},"ShareStatus":{},"ShareMethod":{},"ShareNotes":{"shape":"S8"},"LaunchTime":{"type":"timestamp"},"StageLastUpdatedDateTime":{"type":"timestamp"},"Type":{},"VpcSettings":{"shape":"S3q"},"ConnectSettings":{"type":"structure","members":{"VpcId":{},"SubnetIds":{"shape":"Sm"},"CustomerUserName":{},"SecurityGroupId":{},"AvailabilityZones":{"shape":"S3s"},"ConnectIps":{"type":"list","member":{}}}},"RadiusSettings":{"shape":"S3w"},"RadiusStatus":{},"StageReason":{},"SsoEnabled":{"type":"boolean"},"DesiredNumberOfDomainControllers":{"type":"integer"},"OwnerDirectoryDescription":{"type":"structure","members":{"DirectoryId":{},"AccountId":{},"DnsIpAddrs":{"shape":"S15"},"VpcSettings":{"shape":"S3q"},"RadiusSettings":{"shape":"S3w"},"RadiusStatus":{}}},"RegionsInfo":{"type":"structure","members":{"PrimaryRegion":{},"AdditionalRegions":{"type":"list","member":{}}}}}}},"NextToken":{}}}},"DescribeDomainControllers":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{},"DomainControllerIds":{"type":"list","member":{}},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"DomainControllers":{"type":"list","member":{"type":"structure","members":{"DirectoryId":{},"DomainControllerId":{},"DnsIpAddr":{},"VpcId":{},"SubnetId":{},"AvailabilityZone":{},"Status":{},"StatusReason":{},"LaunchTime":{"type":"timestamp"},"StatusLastUpdatedDateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeEventTopics":{"input":{"type":"structure","members":{"DirectoryId":{},"TopicNames":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"EventTopics":{"type":"list","member":{"type":"structure","members":{"DirectoryId":{},"TopicName":{},"TopicArn":{},"CreatedDateTime":{"type":"timestamp"},"Status":{}}}}}}},"DescribeLDAPSSettings":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{},"Type":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"LDAPSSettingsInfo":{"type":"list","member":{"type":"structure","members":{"LDAPSStatus":{},"LDAPSStatusReason":{},"LastUpdatedDateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeRegions":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{},"RegionName":{},"NextToken":{}}},"output":{"type":"structure","members":{"RegionsDescription":{"type":"list","member":{"type":"structure","members":{"DirectoryId":{},"RegionName":{},"RegionType":{},"Status":{},"VpcSettings":{"shape":"Sk"},"DesiredNumberOfDomainControllers":{"type":"integer"},"LaunchTime":{"type":"timestamp"},"StatusLastUpdatedDateTime":{"type":"timestamp"},"LastUpdatedDateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeSharedDirectories":{"input":{"type":"structure","required":["OwnerDirectoryId"],"members":{"OwnerDirectoryId":{},"SharedDirectoryIds":{"shape":"S3h"},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"SharedDirectories":{"type":"list","member":{"shape":"S4"}},"NextToken":{}}}},"DescribeSnapshots":{"input":{"type":"structure","members":{"DirectoryId":{},"SnapshotIds":{"type":"list","member":{}},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Snapshots":{"type":"list","member":{"type":"structure","members":{"DirectoryId":{},"SnapshotId":{},"Type":{},"Name":{},"Status":{},"StartTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeTrusts":{"input":{"type":"structure","members":{"DirectoryId":{},"TrustIds":{"type":"list","member":{}},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Trusts":{"type":"list","member":{"type":"structure","members":{"DirectoryId":{},"TrustId":{},"RemoteDomainName":{},"TrustType":{},"TrustDirection":{},"TrustState":{},"CreatedDateTime":{"type":"timestamp"},"LastUpdatedDateTime":{"type":"timestamp"},"StateLastUpdatedDateTime":{"type":"timestamp"},"TrustStateReason":{},"SelectiveAuth":{}}}},"NextToken":{}}}},"DisableClientAuthentication":{"input":{"type":"structure","required":["DirectoryId","Type"],"members":{"DirectoryId":{},"Type":{}}},"output":{"type":"structure","members":{}}},"DisableLDAPS":{"input":{"type":"structure","required":["DirectoryId","Type"],"members":{"DirectoryId":{},"Type":{}}},"output":{"type":"structure","members":{}}},"DisableRadius":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{}}},"output":{"type":"structure","members":{}}},"DisableSso":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{},"UserName":{},"Password":{"shape":"S12"}}},"output":{"type":"structure","members":{}}},"EnableClientAuthentication":{"input":{"type":"structure","required":["DirectoryId","Type"],"members":{"DirectoryId":{},"Type":{}}},"output":{"type":"structure","members":{}}},"EnableLDAPS":{"input":{"type":"structure","required":["DirectoryId","Type"],"members":{"DirectoryId":{},"Type":{}}},"output":{"type":"structure","members":{}}},"EnableRadius":{"input":{"type":"structure","required":["DirectoryId","RadiusSettings"],"members":{"DirectoryId":{},"RadiusSettings":{"shape":"S3w"}}},"output":{"type":"structure","members":{}}},"EnableSso":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{},"UserName":{},"Password":{"shape":"S12"}}},"output":{"type":"structure","members":{}}},"GetDirectoryLimits":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"DirectoryLimits":{"type":"structure","members":{"CloudOnlyDirectoriesLimit":{"type":"integer"},"CloudOnlyDirectoriesCurrentCount":{"type":"integer"},"CloudOnlyDirectoriesLimitReached":{"type":"boolean"},"CloudOnlyMicrosoftADLimit":{"type":"integer"},"CloudOnlyMicrosoftADCurrentCount":{"type":"integer"},"CloudOnlyMicrosoftADLimitReached":{"type":"boolean"},"ConnectedDirectoriesLimit":{"type":"integer"},"ConnectedDirectoriesCurrentCount":{"type":"integer"},"ConnectedDirectoriesLimitReached":{"type":"boolean"}}}}}},"GetSnapshotLimits":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{}}},"output":{"type":"structure","members":{"SnapshotLimits":{"type":"structure","members":{"ManualSnapshotsLimit":{"type":"integer"},"ManualSnapshotsCurrentCount":{"type":"integer"},"ManualSnapshotsLimitReached":{"type":"boolean"}}}}}},"ListCertificates":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"CertificatesInfo":{"type":"list","member":{"type":"structure","members":{"CertificateId":{},"CommonName":{},"State":{},"ExpiryDateTime":{"type":"timestamp"},"Type":{}}}}}}},"ListIpRoutes":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"IpRoutesInfo":{"type":"list","member":{"type":"structure","members":{"DirectoryId":{},"CidrIp":{},"IpRouteStatusMsg":{},"AddedDateTime":{"type":"timestamp"},"IpRouteStatusReason":{},"Description":{}}}},"NextToken":{}}}},"ListLogSubscriptions":{"input":{"type":"structure","members":{"DirectoryId":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"LogSubscriptions":{"type":"list","member":{"type":"structure","members":{"DirectoryId":{},"LogGroupName":{},"SubscriptionCreatedDateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListSchemaExtensions":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"SchemaExtensionsInfo":{"type":"list","member":{"type":"structure","members":{"DirectoryId":{},"SchemaExtensionId":{},"Description":{},"SchemaExtensionStatus":{},"SchemaExtensionStatusReason":{},"StartDateTime":{"type":"timestamp"},"EndDateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceId"],"members":{"ResourceId":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sr"},"NextToken":{}}}},"RegisterCertificate":{"input":{"type":"structure","required":["DirectoryId","CertificateData"],"members":{"DirectoryId":{},"CertificateData":{},"Type":{},"ClientCertAuthSettings":{"shape":"S30"}}},"output":{"type":"structure","members":{"CertificateId":{}}}},"RegisterEventTopic":{"input":{"type":"structure","required":["DirectoryId","TopicName"],"members":{"DirectoryId":{},"TopicName":{}}},"output":{"type":"structure","members":{}}},"RejectSharedDirectory":{"input":{"type":"structure","required":["SharedDirectoryId"],"members":{"SharedDirectoryId":{}}},"output":{"type":"structure","members":{"SharedDirectoryId":{}}}},"RemoveIpRoutes":{"input":{"type":"structure","required":["DirectoryId","CidrIps"],"members":{"DirectoryId":{},"CidrIps":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"RemoveRegion":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{}}},"output":{"type":"structure","members":{}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceId","TagKeys"],"members":{"ResourceId":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"ResetUserPassword":{"input":{"type":"structure","required":["DirectoryId","UserName","NewPassword"],"members":{"DirectoryId":{},"UserName":{},"NewPassword":{"type":"string","sensitive":true}}},"output":{"type":"structure","members":{}}},"RestoreFromSnapshot":{"input":{"type":"structure","required":["SnapshotId"],"members":{"SnapshotId":{}}},"output":{"type":"structure","members":{}}},"ShareDirectory":{"input":{"type":"structure","required":["DirectoryId","ShareTarget","ShareMethod"],"members":{"DirectoryId":{},"ShareNotes":{"shape":"S8"},"ShareTarget":{"type":"structure","required":["Id","Type"],"members":{"Id":{},"Type":{}}},"ShareMethod":{}}},"output":{"type":"structure","members":{"SharedDirectoryId":{}}}},"StartSchemaExtension":{"input":{"type":"structure","required":["DirectoryId","CreateSnapshotBeforeSchemaExtension","LdifContent","Description"],"members":{"DirectoryId":{},"CreateSnapshotBeforeSchemaExtension":{"type":"boolean"},"LdifContent":{},"Description":{}}},"output":{"type":"structure","members":{"SchemaExtensionId":{}}}},"UnshareDirectory":{"input":{"type":"structure","required":["DirectoryId","UnshareTarget"],"members":{"DirectoryId":{},"UnshareTarget":{"type":"structure","required":["Id","Type"],"members":{"Id":{},"Type":{}}}}},"output":{"type":"structure","members":{"SharedDirectoryId":{}}}},"UpdateConditionalForwarder":{"input":{"type":"structure","required":["DirectoryId","RemoteDomainName","DnsIpAddrs"],"members":{"DirectoryId":{},"RemoteDomainName":{},"DnsIpAddrs":{"shape":"S15"}}},"output":{"type":"structure","members":{}}},"UpdateNumberOfDomainControllers":{"input":{"type":"structure","required":["DirectoryId","DesiredNumber"],"members":{"DirectoryId":{},"DesiredNumber":{"type":"integer"}}},"output":{"type":"structure","members":{}}},"UpdateRadius":{"input":{"type":"structure","required":["DirectoryId","RadiusSettings"],"members":{"DirectoryId":{},"RadiusSettings":{"shape":"S3w"}}},"output":{"type":"structure","members":{}}},"UpdateTrust":{"input":{"type":"structure","required":["TrustId"],"members":{"TrustId":{},"SelectiveAuth":{}}},"output":{"type":"structure","members":{"RequestId":{},"TrustId":{}}}},"VerifyTrust":{"input":{"type":"structure","required":["TrustId"],"members":{"TrustId":{}}},"output":{"type":"structure","members":{"TrustId":{}}}}},"shapes":{"S4":{"type":"structure","members":{"OwnerAccountId":{},"OwnerDirectoryId":{},"ShareMethod":{},"SharedAccountId":{},"SharedDirectoryId":{},"ShareStatus":{},"ShareNotes":{"shape":"S8"},"CreatedDateTime":{"type":"timestamp"},"LastUpdatedDateTime":{"type":"timestamp"}}},"S8":{"type":"string","sensitive":true},"Sk":{"type":"structure","required":["VpcId","SubnetIds"],"members":{"VpcId":{},"SubnetIds":{"shape":"Sm"}}},"Sm":{"type":"list","member":{}},"Sr":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S12":{"type":"string","sensitive":true},"S15":{"type":"list","member":{}},"S1g":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{}}}},"S1r":{"type":"string","sensitive":true},"S30":{"type":"structure","members":{"OCSPUrl":{}}},"S3h":{"type":"list","member":{}},"S3q":{"type":"structure","members":{"VpcId":{},"SubnetIds":{"shape":"Sm"},"SecurityGroupId":{},"AvailabilityZones":{"shape":"S3s"}}},"S3s":{"type":"list","member":{}},"S3w":{"type":"structure","members":{"RadiusServers":{"type":"list","member":{}},"RadiusPort":{"type":"integer"},"RadiusTimeout":{"type":"integer"},"RadiusRetries":{"type":"integer"},"SharedSecret":{"type":"string","sensitive":true},"AuthenticationProtocol":{},"DisplayLabel":{},"UseSameUsername":{"type":"boolean"}}}}}');

/***/ }),

/***/ 93412:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeDomainControllers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit"}}}');

/***/ }),

/***/ 46148:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2011-12-05","endpointPrefix":"dynamodb","jsonVersion":"1.0","protocol":"json","serviceAbbreviation":"DynamoDB","serviceFullName":"Amazon DynamoDB","serviceId":"DynamoDB","signatureVersion":"v4","targetPrefix":"DynamoDB_20111205","uid":"dynamodb-2011-12-05"},"operations":{"BatchGetItem":{"input":{"type":"structure","required":["RequestItems"],"members":{"RequestItems":{"shape":"S2"}}},"output":{"type":"structure","members":{"Responses":{"type":"map","key":{},"value":{"type":"structure","members":{"Items":{"shape":"Sk"},"ConsumedCapacityUnits":{"type":"double"}}}},"UnprocessedKeys":{"shape":"S2"}}}},"BatchWriteItem":{"input":{"type":"structure","required":["RequestItems"],"members":{"RequestItems":{"shape":"So"}}},"output":{"type":"structure","members":{"Responses":{"type":"map","key":{},"value":{"type":"structure","members":{"ConsumedCapacityUnits":{"type":"double"}}}},"UnprocessedItems":{"shape":"So"}}}},"CreateTable":{"input":{"type":"structure","required":["TableName","KeySchema","ProvisionedThroughput"],"members":{"TableName":{},"KeySchema":{"shape":"Sy"},"ProvisionedThroughput":{"shape":"S12"}}},"output":{"type":"structure","members":{"TableDescription":{"shape":"S15"}}}},"DeleteItem":{"input":{"type":"structure","required":["TableName","Key"],"members":{"TableName":{},"Key":{"shape":"S6"},"Expected":{"shape":"S1b"},"ReturnValues":{}}},"output":{"type":"structure","members":{"Attributes":{"shape":"Sl"},"ConsumedCapacityUnits":{"type":"double"}}}},"DeleteTable":{"input":{"type":"structure","required":["TableName"],"members":{"TableName":{}}},"output":{"type":"structure","members":{"TableDescription":{"shape":"S15"}}}},"DescribeTable":{"input":{"type":"structure","required":["TableName"],"members":{"TableName":{}}},"output":{"type":"structure","members":{"Table":{"shape":"S15"}}}},"GetItem":{"input":{"type":"structure","required":["TableName","Key"],"members":{"TableName":{},"Key":{"shape":"S6"},"AttributesToGet":{"shape":"Se"},"ConsistentRead":{"type":"boolean"}}},"output":{"type":"structure","members":{"Item":{"shape":"Sl"},"ConsumedCapacityUnits":{"type":"double"}}}},"ListTables":{"input":{"type":"structure","members":{"ExclusiveStartTableName":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"TableNames":{"type":"list","member":{}},"LastEvaluatedTableName":{}}}},"PutItem":{"input":{"type":"structure","required":["TableName","Item"],"members":{"TableName":{},"Item":{"shape":"Ss"},"Expected":{"shape":"S1b"},"ReturnValues":{}}},"output":{"type":"structure","members":{"Attributes":{"shape":"Sl"},"ConsumedCapacityUnits":{"type":"double"}}}},"Query":{"input":{"type":"structure","required":["TableName","HashKeyValue"],"members":{"TableName":{},"AttributesToGet":{"shape":"Se"},"Limit":{"type":"integer"},"ConsistentRead":{"type":"boolean"},"Count":{"type":"boolean"},"HashKeyValue":{"shape":"S7"},"RangeKeyCondition":{"shape":"S1u"},"ScanIndexForward":{"type":"boolean"},"ExclusiveStartKey":{"shape":"S6"}}},"output":{"type":"structure","members":{"Items":{"shape":"Sk"},"Count":{"type":"integer"},"LastEvaluatedKey":{"shape":"S6"},"ConsumedCapacityUnits":{"type":"double"}}}},"Scan":{"input":{"type":"structure","required":["TableName"],"members":{"TableName":{},"AttributesToGet":{"shape":"Se"},"Limit":{"type":"integer"},"Count":{"type":"boolean"},"ScanFilter":{"type":"map","key":{},"value":{"shape":"S1u"}},"ExclusiveStartKey":{"shape":"S6"}}},"output":{"type":"structure","members":{"Items":{"shape":"Sk"},"Count":{"type":"integer"},"ScannedCount":{"type":"integer"},"LastEvaluatedKey":{"shape":"S6"},"ConsumedCapacityUnits":{"type":"double"}}}},"UpdateItem":{"input":{"type":"structure","required":["TableName","Key","AttributeUpdates"],"members":{"TableName":{},"Key":{"shape":"S6"},"AttributeUpdates":{"type":"map","key":{},"value":{"type":"structure","members":{"Value":{"shape":"S7"},"Action":{}}}},"Expected":{"shape":"S1b"},"ReturnValues":{}}},"output":{"type":"structure","members":{"Attributes":{"shape":"Sl"},"ConsumedCapacityUnits":{"type":"double"}}}},"UpdateTable":{"input":{"type":"structure","required":["TableName","ProvisionedThroughput"],"members":{"TableName":{},"ProvisionedThroughput":{"shape":"S12"}}},"output":{"type":"structure","members":{"TableDescription":{"shape":"S15"}}}}},"shapes":{"S2":{"type":"map","key":{},"value":{"type":"structure","required":["Keys"],"members":{"Keys":{"type":"list","member":{"shape":"S6"}},"AttributesToGet":{"shape":"Se"},"ConsistentRead":{"type":"boolean"}}}},"S6":{"type":"structure","required":["HashKeyElement"],"members":{"HashKeyElement":{"shape":"S7"},"RangeKeyElement":{"shape":"S7"}}},"S7":{"type":"structure","members":{"S":{},"N":{},"B":{"type":"blob"},"SS":{"type":"list","member":{}},"NS":{"type":"list","member":{}},"BS":{"type":"list","member":{"type":"blob"}}}},"Se":{"type":"list","member":{}},"Sk":{"type":"list","member":{"shape":"Sl"}},"Sl":{"type":"map","key":{},"value":{"shape":"S7"}},"So":{"type":"map","key":{},"value":{"type":"list","member":{"type":"structure","members":{"PutRequest":{"type":"structure","required":["Item"],"members":{"Item":{"shape":"Ss"}}},"DeleteRequest":{"type":"structure","required":["Key"],"members":{"Key":{"shape":"S6"}}}}}}},"Ss":{"type":"map","key":{},"value":{"shape":"S7"}},"Sy":{"type":"structure","required":["HashKeyElement"],"members":{"HashKeyElement":{"shape":"Sz"},"RangeKeyElement":{"shape":"Sz"}}},"Sz":{"type":"structure","required":["AttributeName","AttributeType"],"members":{"AttributeName":{},"AttributeType":{}}},"S12":{"type":"structure","required":["ReadCapacityUnits","WriteCapacityUnits"],"members":{"ReadCapacityUnits":{"type":"long"},"WriteCapacityUnits":{"type":"long"}}},"S15":{"type":"structure","members":{"TableName":{},"KeySchema":{"shape":"Sy"},"TableStatus":{},"CreationDateTime":{"type":"timestamp"},"ProvisionedThroughput":{"type":"structure","members":{"LastIncreaseDateTime":{"type":"timestamp"},"LastDecreaseDateTime":{"type":"timestamp"},"NumberOfDecreasesToday":{"type":"long"},"ReadCapacityUnits":{"type":"long"},"WriteCapacityUnits":{"type":"long"}}},"TableSizeBytes":{"type":"long"},"ItemCount":{"type":"long"}}},"S1b":{"type":"map","key":{},"value":{"type":"structure","members":{"Value":{"shape":"S7"},"Exists":{"type":"boolean"}}}},"S1u":{"type":"structure","required":["ComparisonOperator"],"members":{"AttributeValueList":{"type":"list","member":{"shape":"S7"}},"ComparisonOperator":{}}}}}');

/***/ }),

/***/ 86884:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"BatchGetItem":{"input_token":"RequestItems","output_token":"UnprocessedKeys"},"ListTables":{"input_token":"ExclusiveStartTableName","limit_key":"Limit","output_token":"LastEvaluatedTableName","result_key":"TableNames"},"Query":{"input_token":"ExclusiveStartKey","limit_key":"Limit","output_token":"LastEvaluatedKey","result_key":"Items"},"Scan":{"input_token":"ExclusiveStartKey","limit_key":"Limit","output_token":"LastEvaluatedKey","result_key":"Items"}}}');

/***/ }),

/***/ 24864:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"TableExists":{"delay":20,"operation":"DescribeTable","maxAttempts":25,"acceptors":[{"expected":"ACTIVE","matcher":"path","state":"success","argument":"Table.TableStatus"},{"expected":"ResourceNotFoundException","matcher":"error","state":"retry"}]},"TableNotExists":{"delay":20,"operation":"DescribeTable","maxAttempts":25,"acceptors":[{"expected":"ResourceNotFoundException","matcher":"error","state":"success"}]}}}');

/***/ }),

/***/ 54047:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2012-08-10","endpointPrefix":"dynamodb","jsonVersion":"1.0","protocol":"json","serviceAbbreviation":"DynamoDB","serviceFullName":"Amazon DynamoDB","serviceId":"DynamoDB","signatureVersion":"v4","targetPrefix":"DynamoDB_20120810","uid":"dynamodb-2012-08-10"},"operations":{"BatchExecuteStatement":{"input":{"type":"structure","required":["Statements"],"members":{"Statements":{"type":"list","member":{"type":"structure","required":["Statement"],"members":{"Statement":{},"Parameters":{"shape":"S5"},"ConsistentRead":{"type":"boolean"}}}},"ReturnConsumedCapacity":{}}},"output":{"type":"structure","members":{"Responses":{"type":"list","member":{"type":"structure","members":{"Error":{"type":"structure","members":{"Code":{},"Message":{}}},"TableName":{},"Item":{"shape":"Sr"}}}},"ConsumedCapacity":{"shape":"Ss"}}}},"BatchGetItem":{"input":{"type":"structure","required":["RequestItems"],"members":{"RequestItems":{"shape":"Sz"},"ReturnConsumedCapacity":{}}},"output":{"type":"structure","members":{"Responses":{"type":"map","key":{},"value":{"shape":"S19"}},"UnprocessedKeys":{"shape":"Sz"},"ConsumedCapacity":{"shape":"Ss"}}},"endpointdiscovery":{}},"BatchWriteItem":{"input":{"type":"structure","required":["RequestItems"],"members":{"RequestItems":{"shape":"S1b"},"ReturnConsumedCapacity":{},"ReturnItemCollectionMetrics":{}}},"output":{"type":"structure","members":{"UnprocessedItems":{"shape":"S1b"},"ItemCollectionMetrics":{"shape":"S1j"},"ConsumedCapacity":{"shape":"Ss"}}},"endpointdiscovery":{}},"CreateBackup":{"input":{"type":"structure","required":["TableName","BackupName"],"members":{"TableName":{},"BackupName":{}}},"output":{"type":"structure","members":{"BackupDetails":{"shape":"S1s"}}},"endpointdiscovery":{}},"CreateGlobalTable":{"input":{"type":"structure","required":["GlobalTableName","ReplicationGroup"],"members":{"GlobalTableName":{},"ReplicationGroup":{"shape":"S20"}}},"output":{"type":"structure","members":{"GlobalTableDescription":{"shape":"S24"}}},"endpointdiscovery":{}},"CreateTable":{"input":{"type":"structure","required":["AttributeDefinitions","TableName","KeySchema"],"members":{"AttributeDefinitions":{"shape":"S2k"},"TableName":{},"KeySchema":{"shape":"S2o"},"LocalSecondaryIndexes":{"shape":"S2r"},"GlobalSecondaryIndexes":{"shape":"S2x"},"BillingMode":{},"ProvisionedThroughput":{"shape":"S2z"},"StreamSpecification":{"shape":"S31"},"SSESpecification":{"shape":"S34"},"Tags":{"shape":"S37"},"TableClass":{}}},"output":{"type":"structure","members":{"TableDescription":{"shape":"S3c"}}},"endpointdiscovery":{}},"DeleteBackup":{"input":{"type":"structure","required":["BackupArn"],"members":{"BackupArn":{}}},"output":{"type":"structure","members":{"BackupDescription":{"shape":"S40"}}},"endpointdiscovery":{}},"DeleteItem":{"input":{"type":"structure","required":["TableName","Key"],"members":{"TableName":{},"Key":{"shape":"S12"},"Expected":{"shape":"S4d"},"ConditionalOperator":{},"ReturnValues":{},"ReturnConsumedCapacity":{},"ReturnItemCollectionMetrics":{},"ConditionExpression":{},"ExpressionAttributeNames":{"shape":"S15"},"ExpressionAttributeValues":{"shape":"S4l"}}},"output":{"type":"structure","members":{"Attributes":{"shape":"Sr"},"ConsumedCapacity":{"shape":"St"},"ItemCollectionMetrics":{"shape":"S1l"}}},"endpointdiscovery":{}},"DeleteTable":{"input":{"type":"structure","required":["TableName"],"members":{"TableName":{}}},"output":{"type":"structure","members":{"TableDescription":{"shape":"S3c"}}},"endpointdiscovery":{}},"DescribeBackup":{"input":{"type":"structure","required":["BackupArn"],"members":{"BackupArn":{}}},"output":{"type":"structure","members":{"BackupDescription":{"shape":"S40"}}},"endpointdiscovery":{}},"DescribeContinuousBackups":{"input":{"type":"structure","required":["TableName"],"members":{"TableName":{}}},"output":{"type":"structure","members":{"ContinuousBackupsDescription":{"shape":"S4u"}}},"endpointdiscovery":{}},"DescribeContributorInsights":{"input":{"type":"structure","required":["TableName"],"members":{"TableName":{},"IndexName":{}}},"output":{"type":"structure","members":{"TableName":{},"IndexName":{},"ContributorInsightsRuleList":{"type":"list","member":{}},"ContributorInsightsStatus":{},"LastUpdateDateTime":{"type":"timestamp"},"FailureException":{"type":"structure","members":{"ExceptionName":{},"ExceptionDescription":{}}}}}},"DescribeEndpoints":{"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["Endpoints"],"members":{"Endpoints":{"type":"list","member":{"type":"structure","required":["Address","CachePeriodInMinutes"],"members":{"Address":{},"CachePeriodInMinutes":{"type":"long"}}}}}},"endpointoperation":true},"DescribeExport":{"input":{"type":"structure","required":["ExportArn"],"members":{"ExportArn":{}}},"output":{"type":"structure","members":{"ExportDescription":{"shape":"S5e"}}}},"DescribeGlobalTable":{"input":{"type":"structure","required":["GlobalTableName"],"members":{"GlobalTableName":{}}},"output":{"type":"structure","members":{"GlobalTableDescription":{"shape":"S24"}}},"endpointdiscovery":{}},"DescribeGlobalTableSettings":{"input":{"type":"structure","required":["GlobalTableName"],"members":{"GlobalTableName":{}}},"output":{"type":"structure","members":{"GlobalTableName":{},"ReplicaSettings":{"shape":"S5y"}}},"endpointdiscovery":{}},"DescribeKinesisStreamingDestination":{"input":{"type":"structure","required":["TableName"],"members":{"TableName":{}}},"output":{"type":"structure","members":{"TableName":{},"KinesisDataStreamDestinations":{"type":"list","member":{"type":"structure","members":{"StreamArn":{},"DestinationStatus":{},"DestinationStatusDescription":{}}}}}},"endpointdiscovery":{}},"DescribeLimits":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"AccountMaxReadCapacityUnits":{"type":"long"},"AccountMaxWriteCapacityUnits":{"type":"long"},"TableMaxReadCapacityUnits":{"type":"long"},"TableMaxWriteCapacityUnits":{"type":"long"}}},"endpointdiscovery":{}},"DescribeTable":{"input":{"type":"structure","required":["TableName"],"members":{"TableName":{}}},"output":{"type":"structure","members":{"Table":{"shape":"S3c"}}},"endpointdiscovery":{}},"DescribeTableReplicaAutoScaling":{"input":{"type":"structure","required":["TableName"],"members":{"TableName":{}}},"output":{"type":"structure","members":{"TableAutoScalingDescription":{"shape":"S6k"}}}},"DescribeTimeToLive":{"input":{"type":"structure","required":["TableName"],"members":{"TableName":{}}},"output":{"type":"structure","members":{"TimeToLiveDescription":{"shape":"S49"}}},"endpointdiscovery":{}},"DisableKinesisStreamingDestination":{"input":{"shape":"S6r"},"output":{"shape":"S6s"},"endpointdiscovery":{}},"EnableKinesisStreamingDestination":{"input":{"shape":"S6r"},"output":{"shape":"S6s"},"endpointdiscovery":{}},"ExecuteStatement":{"input":{"type":"structure","required":["Statement"],"members":{"Statement":{},"Parameters":{"shape":"S5"},"ConsistentRead":{"type":"boolean"},"NextToken":{},"ReturnConsumedCapacity":{}}},"output":{"type":"structure","members":{"Items":{"shape":"S19"},"NextToken":{},"ConsumedCapacity":{"shape":"St"}}}},"ExecuteTransaction":{"input":{"type":"structure","required":["TransactStatements"],"members":{"TransactStatements":{"type":"list","member":{"type":"structure","required":["Statement"],"members":{"Statement":{},"Parameters":{"shape":"S5"}}}},"ClientRequestToken":{"idempotencyToken":true},"ReturnConsumedCapacity":{}}},"output":{"type":"structure","members":{"Responses":{"shape":"S71"},"ConsumedCapacity":{"shape":"Ss"}}}},"ExportTableToPointInTime":{"input":{"type":"structure","required":["TableArn","S3Bucket"],"members":{"TableArn":{},"ExportTime":{"type":"timestamp"},"ClientToken":{"idempotencyToken":true},"S3Bucket":{},"S3BucketOwner":{},"S3Prefix":{},"S3SseAlgorithm":{},"S3SseKmsKeyId":{},"ExportFormat":{}}},"output":{"type":"structure","members":{"ExportDescription":{"shape":"S5e"}}}},"GetItem":{"input":{"type":"structure","required":["TableName","Key"],"members":{"TableName":{},"Key":{"shape":"S12"},"AttributesToGet":{"shape":"S13"},"ConsistentRead":{"type":"boolean"},"ReturnConsumedCapacity":{},"ProjectionExpression":{},"ExpressionAttributeNames":{"shape":"S15"}}},"output":{"type":"structure","members":{"Item":{"shape":"Sr"},"ConsumedCapacity":{"shape":"St"}}},"endpointdiscovery":{}},"ListBackups":{"input":{"type":"structure","members":{"TableName":{},"Limit":{"type":"integer"},"TimeRangeLowerBound":{"type":"timestamp"},"TimeRangeUpperBound":{"type":"timestamp"},"ExclusiveStartBackupArn":{},"BackupType":{}}},"output":{"type":"structure","members":{"BackupSummaries":{"type":"list","member":{"type":"structure","members":{"TableName":{},"TableId":{},"TableArn":{},"BackupArn":{},"BackupName":{},"BackupCreationDateTime":{"type":"timestamp"},"BackupExpiryDateTime":{"type":"timestamp"},"BackupStatus":{},"BackupType":{},"BackupSizeBytes":{"type":"long"}}}},"LastEvaluatedBackupArn":{}}},"endpointdiscovery":{}},"ListContributorInsights":{"input":{"type":"structure","members":{"TableName":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ContributorInsightsSummaries":{"type":"list","member":{"type":"structure","members":{"TableName":{},"IndexName":{},"ContributorInsightsStatus":{}}}},"NextToken":{}}}},"ListExports":{"input":{"type":"structure","members":{"TableArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ExportSummaries":{"type":"list","member":{"type":"structure","members":{"ExportArn":{},"ExportStatus":{}}}},"NextToken":{}}}},"ListGlobalTables":{"input":{"type":"structure","members":{"ExclusiveStartGlobalTableName":{},"Limit":{"type":"integer"},"RegionName":{}}},"output":{"type":"structure","members":{"GlobalTables":{"type":"list","member":{"type":"structure","members":{"GlobalTableName":{},"ReplicationGroup":{"shape":"S20"}}}},"LastEvaluatedGlobalTableName":{}}},"endpointdiscovery":{}},"ListTables":{"input":{"type":"structure","members":{"ExclusiveStartTableName":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"TableNames":{"type":"list","member":{}},"LastEvaluatedTableName":{}}},"endpointdiscovery":{}},"ListTagsOfResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"NextToken":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S37"},"NextToken":{}}},"endpointdiscovery":{}},"PutItem":{"input":{"type":"structure","required":["TableName","Item"],"members":{"TableName":{},"Item":{"shape":"S1f"},"Expected":{"shape":"S4d"},"ReturnValues":{},"ReturnConsumedCapacity":{},"ReturnItemCollectionMetrics":{},"ConditionalOperator":{},"ConditionExpression":{},"ExpressionAttributeNames":{"shape":"S15"},"ExpressionAttributeValues":{"shape":"S4l"}}},"output":{"type":"structure","members":{"Attributes":{"shape":"Sr"},"ConsumedCapacity":{"shape":"St"},"ItemCollectionMetrics":{"shape":"S1l"}}},"endpointdiscovery":{}},"Query":{"input":{"type":"structure","required":["TableName"],"members":{"TableName":{},"IndexName":{},"Select":{},"AttributesToGet":{"shape":"S13"},"Limit":{"type":"integer"},"ConsistentRead":{"type":"boolean"},"KeyConditions":{"type":"map","key":{},"value":{"shape":"S88"}},"QueryFilter":{"shape":"S89"},"ConditionalOperator":{},"ScanIndexForward":{"type":"boolean"},"ExclusiveStartKey":{"shape":"S12"},"ReturnConsumedCapacity":{},"ProjectionExpression":{},"FilterExpression":{},"KeyConditionExpression":{},"ExpressionAttributeNames":{"shape":"S15"},"ExpressionAttributeValues":{"shape":"S4l"}}},"output":{"type":"structure","members":{"Items":{"shape":"S19"},"Count":{"type":"integer"},"ScannedCount":{"type":"integer"},"LastEvaluatedKey":{"shape":"S12"},"ConsumedCapacity":{"shape":"St"}}},"endpointdiscovery":{}},"RestoreTableFromBackup":{"input":{"type":"structure","required":["TargetTableName","BackupArn"],"members":{"TargetTableName":{},"BackupArn":{},"BillingModeOverride":{},"GlobalSecondaryIndexOverride":{"shape":"S2x"},"LocalSecondaryIndexOverride":{"shape":"S2r"},"ProvisionedThroughputOverride":{"shape":"S2z"},"SSESpecificationOverride":{"shape":"S34"}}},"output":{"type":"structure","members":{"TableDescription":{"shape":"S3c"}}},"endpointdiscovery":{}},"RestoreTableToPointInTime":{"input":{"type":"structure","required":["TargetTableName"],"members":{"SourceTableArn":{},"SourceTableName":{},"TargetTableName":{},"UseLatestRestorableTime":{"type":"boolean"},"RestoreDateTime":{"type":"timestamp"},"BillingModeOverride":{},"GlobalSecondaryIndexOverride":{"shape":"S2x"},"LocalSecondaryIndexOverride":{"shape":"S2r"},"ProvisionedThroughputOverride":{"shape":"S2z"},"SSESpecificationOverride":{"shape":"S34"}}},"output":{"type":"structure","members":{"TableDescription":{"shape":"S3c"}}},"endpointdiscovery":{}},"Scan":{"input":{"type":"structure","required":["TableName"],"members":{"TableName":{},"IndexName":{},"AttributesToGet":{"shape":"S13"},"Limit":{"type":"integer"},"Select":{},"ScanFilter":{"shape":"S89"},"ConditionalOperator":{},"ExclusiveStartKey":{"shape":"S12"},"ReturnConsumedCapacity":{},"TotalSegments":{"type":"integer"},"Segment":{"type":"integer"},"ProjectionExpression":{},"FilterExpression":{},"ExpressionAttributeNames":{"shape":"S15"},"ExpressionAttributeValues":{"shape":"S4l"},"ConsistentRead":{"type":"boolean"}}},"output":{"type":"structure","members":{"Items":{"shape":"S19"},"Count":{"type":"integer"},"ScannedCount":{"type":"integer"},"LastEvaluatedKey":{"shape":"S12"},"ConsumedCapacity":{"shape":"St"}}},"endpointdiscovery":{}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S37"}}},"endpointdiscovery":{}},"TransactGetItems":{"input":{"type":"structure","required":["TransactItems"],"members":{"TransactItems":{"type":"list","member":{"type":"structure","required":["Get"],"members":{"Get":{"type":"structure","required":["Key","TableName"],"members":{"Key":{"shape":"S12"},"TableName":{},"ProjectionExpression":{},"ExpressionAttributeNames":{"shape":"S15"}}}}}},"ReturnConsumedCapacity":{}}},"output":{"type":"structure","members":{"ConsumedCapacity":{"shape":"Ss"},"Responses":{"shape":"S71"}}},"endpointdiscovery":{}},"TransactWriteItems":{"input":{"type":"structure","required":["TransactItems"],"members":{"TransactItems":{"type":"list","member":{"type":"structure","members":{"ConditionCheck":{"type":"structure","required":["Key","TableName","ConditionExpression"],"members":{"Key":{"shape":"S12"},"TableName":{},"ConditionExpression":{},"ExpressionAttributeNames":{"shape":"S15"},"ExpressionAttributeValues":{"shape":"S4l"},"ReturnValuesOnConditionCheckFailure":{}}},"Put":{"type":"structure","required":["Item","TableName"],"members":{"Item":{"shape":"S1f"},"TableName":{},"ConditionExpression":{},"ExpressionAttributeNames":{"shape":"S15"},"ExpressionAttributeValues":{"shape":"S4l"},"ReturnValuesOnConditionCheckFailure":{}}},"Delete":{"type":"structure","required":["Key","TableName"],"members":{"Key":{"shape":"S12"},"TableName":{},"ConditionExpression":{},"ExpressionAttributeNames":{"shape":"S15"},"ExpressionAttributeValues":{"shape":"S4l"},"ReturnValuesOnConditionCheckFailure":{}}},"Update":{"type":"structure","required":["Key","UpdateExpression","TableName"],"members":{"Key":{"shape":"S12"},"UpdateExpression":{},"TableName":{},"ConditionExpression":{},"ExpressionAttributeNames":{"shape":"S15"},"ExpressionAttributeValues":{"shape":"S4l"},"ReturnValuesOnConditionCheckFailure":{}}}}}},"ReturnConsumedCapacity":{},"ReturnItemCollectionMetrics":{},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ConsumedCapacity":{"shape":"Ss"},"ItemCollectionMetrics":{"shape":"S1j"}}},"endpointdiscovery":{}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"endpointdiscovery":{}},"UpdateContinuousBackups":{"input":{"type":"structure","required":["TableName","PointInTimeRecoverySpecification"],"members":{"TableName":{},"PointInTimeRecoverySpecification":{"type":"structure","required":["PointInTimeRecoveryEnabled"],"members":{"PointInTimeRecoveryEnabled":{"type":"boolean"}}}}},"output":{"type":"structure","members":{"ContinuousBackupsDescription":{"shape":"S4u"}}},"endpointdiscovery":{}},"UpdateContributorInsights":{"input":{"type":"structure","required":["TableName","ContributorInsightsAction"],"members":{"TableName":{},"IndexName":{},"ContributorInsightsAction":{}}},"output":{"type":"structure","members":{"TableName":{},"IndexName":{},"ContributorInsightsStatus":{}}}},"UpdateGlobalTable":{"input":{"type":"structure","required":["GlobalTableName","ReplicaUpdates"],"members":{"GlobalTableName":{},"ReplicaUpdates":{"type":"list","member":{"type":"structure","members":{"Create":{"type":"structure","required":["RegionName"],"members":{"RegionName":{}}},"Delete":{"type":"structure","required":["RegionName"],"members":{"RegionName":{}}}}}}}},"output":{"type":"structure","members":{"GlobalTableDescription":{"shape":"S24"}}},"endpointdiscovery":{}},"UpdateGlobalTableSettings":{"input":{"type":"structure","required":["GlobalTableName"],"members":{"GlobalTableName":{},"GlobalTableBillingMode":{},"GlobalTableProvisionedWriteCapacityUnits":{"type":"long"},"GlobalTableProvisionedWriteCapacityAutoScalingSettingsUpdate":{"shape":"S9g"},"GlobalTableGlobalSecondaryIndexSettingsUpdate":{"type":"list","member":{"type":"structure","required":["IndexName"],"members":{"IndexName":{},"ProvisionedWriteCapacityUnits":{"type":"long"},"ProvisionedWriteCapacityAutoScalingSettingsUpdate":{"shape":"S9g"}}}},"ReplicaSettingsUpdate":{"type":"list","member":{"type":"structure","required":["RegionName"],"members":{"RegionName":{},"ReplicaProvisionedReadCapacityUnits":{"type":"long"},"ReplicaProvisionedReadCapacityAutoScalingSettingsUpdate":{"shape":"S9g"},"ReplicaGlobalSecondaryIndexSettingsUpdate":{"type":"list","member":{"type":"structure","required":["IndexName"],"members":{"IndexName":{},"ProvisionedReadCapacityUnits":{"type":"long"},"ProvisionedReadCapacityAutoScalingSettingsUpdate":{"shape":"S9g"}}}},"ReplicaTableClass":{}}}}}},"output":{"type":"structure","members":{"GlobalTableName":{},"ReplicaSettings":{"shape":"S5y"}}},"endpointdiscovery":{}},"UpdateItem":{"input":{"type":"structure","required":["TableName","Key"],"members":{"TableName":{},"Key":{"shape":"S12"},"AttributeUpdates":{"type":"map","key":{},"value":{"type":"structure","members":{"Value":{"shape":"S6"},"Action":{}}}},"Expected":{"shape":"S4d"},"ConditionalOperator":{},"ReturnValues":{},"ReturnConsumedCapacity":{},"ReturnItemCollectionMetrics":{},"UpdateExpression":{},"ConditionExpression":{},"ExpressionAttributeNames":{"shape":"S15"},"ExpressionAttributeValues":{"shape":"S4l"}}},"output":{"type":"structure","members":{"Attributes":{"shape":"Sr"},"ConsumedCapacity":{"shape":"St"},"ItemCollectionMetrics":{"shape":"S1l"}}},"endpointdiscovery":{}},"UpdateTable":{"input":{"type":"structure","required":["TableName"],"members":{"AttributeDefinitions":{"shape":"S2k"},"TableName":{},"BillingMode":{},"ProvisionedThroughput":{"shape":"S2z"},"GlobalSecondaryIndexUpdates":{"type":"list","member":{"type":"structure","members":{"Update":{"type":"structure","required":["IndexName","ProvisionedThroughput"],"members":{"IndexName":{},"ProvisionedThroughput":{"shape":"S2z"}}},"Create":{"type":"structure","required":["IndexName","KeySchema","Projection"],"members":{"IndexName":{},"KeySchema":{"shape":"S2o"},"Projection":{"shape":"S2t"},"ProvisionedThroughput":{"shape":"S2z"}}},"Delete":{"type":"structure","required":["IndexName"],"members":{"IndexName":{}}}}}},"StreamSpecification":{"shape":"S31"},"SSESpecification":{"shape":"S34"},"ReplicaUpdates":{"type":"list","member":{"type":"structure","members":{"Create":{"type":"structure","required":["RegionName"],"members":{"RegionName":{},"KMSMasterKeyId":{},"ProvisionedThroughputOverride":{"shape":"S2b"},"GlobalSecondaryIndexes":{"shape":"Sa5"},"TableClassOverride":{}}},"Update":{"type":"structure","required":["RegionName"],"members":{"RegionName":{},"KMSMasterKeyId":{},"ProvisionedThroughputOverride":{"shape":"S2b"},"GlobalSecondaryIndexes":{"shape":"Sa5"},"TableClassOverride":{}}},"Delete":{"type":"structure","required":["RegionName"],"members":{"RegionName":{}}}}}},"TableClass":{}}},"output":{"type":"structure","members":{"TableDescription":{"shape":"S3c"}}},"endpointdiscovery":{}},"UpdateTableReplicaAutoScaling":{"input":{"type":"structure","required":["TableName"],"members":{"GlobalSecondaryIndexUpdates":{"type":"list","member":{"type":"structure","members":{"IndexName":{},"ProvisionedWriteCapacityAutoScalingUpdate":{"shape":"S9g"}}}},"TableName":{},"ProvisionedWriteCapacityAutoScalingUpdate":{"shape":"S9g"},"ReplicaUpdates":{"type":"list","member":{"type":"structure","required":["RegionName"],"members":{"RegionName":{},"ReplicaGlobalSecondaryIndexUpdates":{"type":"list","member":{"type":"structure","members":{"IndexName":{},"ProvisionedReadCapacityAutoScalingUpdate":{"shape":"S9g"}}}},"ReplicaProvisionedReadCapacityAutoScalingUpdate":{"shape":"S9g"}}}}}},"output":{"type":"structure","members":{"TableAutoScalingDescription":{"shape":"S6k"}}}},"UpdateTimeToLive":{"input":{"type":"structure","required":["TableName","TimeToLiveSpecification"],"members":{"TableName":{},"TimeToLiveSpecification":{"shape":"Saj"}}},"output":{"type":"structure","members":{"TimeToLiveSpecification":{"shape":"Saj"}}},"endpointdiscovery":{}}},"shapes":{"S5":{"type":"list","member":{"shape":"S6"}},"S6":{"type":"structure","members":{"S":{},"N":{},"B":{"type":"blob"},"SS":{"type":"list","member":{}},"NS":{"type":"list","member":{}},"BS":{"type":"list","member":{"type":"blob"}},"M":{"type":"map","key":{},"value":{"shape":"S6"}},"L":{"type":"list","member":{"shape":"S6"}},"NULL":{"type":"boolean"},"BOOL":{"type":"boolean"}}},"Sr":{"type":"map","key":{},"value":{"shape":"S6"}},"Ss":{"type":"list","member":{"shape":"St"}},"St":{"type":"structure","members":{"TableName":{},"CapacityUnits":{"type":"double"},"ReadCapacityUnits":{"type":"double"},"WriteCapacityUnits":{"type":"double"},"Table":{"shape":"Sv"},"LocalSecondaryIndexes":{"shape":"Sw"},"GlobalSecondaryIndexes":{"shape":"Sw"}}},"Sv":{"type":"structure","members":{"ReadCapacityUnits":{"type":"double"},"WriteCapacityUnits":{"type":"double"},"CapacityUnits":{"type":"double"}}},"Sw":{"type":"map","key":{},"value":{"shape":"Sv"}},"Sz":{"type":"map","key":{},"value":{"type":"structure","required":["Keys"],"members":{"Keys":{"type":"list","member":{"shape":"S12"}},"AttributesToGet":{"shape":"S13"},"ConsistentRead":{"type":"boolean"},"ProjectionExpression":{},"ExpressionAttributeNames":{"shape":"S15"}}}},"S12":{"type":"map","key":{},"value":{"shape":"S6"}},"S13":{"type":"list","member":{}},"S15":{"type":"map","key":{},"value":{}},"S19":{"type":"list","member":{"shape":"Sr"}},"S1b":{"type":"map","key":{},"value":{"type":"list","member":{"type":"structure","members":{"PutRequest":{"type":"structure","required":["Item"],"members":{"Item":{"shape":"S1f"}}},"DeleteRequest":{"type":"structure","required":["Key"],"members":{"Key":{"shape":"S12"}}}}}}},"S1f":{"type":"map","key":{},"value":{"shape":"S6"}},"S1j":{"type":"map","key":{},"value":{"type":"list","member":{"shape":"S1l"}}},"S1l":{"type":"structure","members":{"ItemCollectionKey":{"type":"map","key":{},"value":{"shape":"S6"}},"SizeEstimateRangeGB":{"type":"list","member":{"type":"double"}}}},"S1s":{"type":"structure","required":["BackupArn","BackupName","BackupStatus","BackupType","BackupCreationDateTime"],"members":{"BackupArn":{},"BackupName":{},"BackupSizeBytes":{"type":"long"},"BackupStatus":{},"BackupType":{},"BackupCreationDateTime":{"type":"timestamp"},"BackupExpiryDateTime":{"type":"timestamp"}}},"S20":{"type":"list","member":{"type":"structure","members":{"RegionName":{}}}},"S24":{"type":"structure","members":{"ReplicationGroup":{"shape":"S25"},"GlobalTableArn":{},"CreationDateTime":{"type":"timestamp"},"GlobalTableStatus":{},"GlobalTableName":{}}},"S25":{"type":"list","member":{"type":"structure","members":{"RegionName":{},"ReplicaStatus":{},"ReplicaStatusDescription":{},"ReplicaStatusPercentProgress":{},"KMSMasterKeyId":{},"ProvisionedThroughputOverride":{"shape":"S2b"},"GlobalSecondaryIndexes":{"type":"list","member":{"type":"structure","members":{"IndexName":{},"ProvisionedThroughputOverride":{"shape":"S2b"}}}},"ReplicaInaccessibleDateTime":{"type":"timestamp"},"ReplicaTableClassSummary":{"shape":"S2f"}}}},"S2b":{"type":"structure","members":{"ReadCapacityUnits":{"type":"long"}}},"S2f":{"type":"structure","members":{"TableClass":{},"LastUpdateDateTime":{"type":"timestamp"}}},"S2k":{"type":"list","member":{"type":"structure","required":["AttributeName","AttributeType"],"members":{"AttributeName":{},"AttributeType":{}}}},"S2o":{"type":"list","member":{"type":"structure","required":["AttributeName","KeyType"],"members":{"AttributeName":{},"KeyType":{}}}},"S2r":{"type":"list","member":{"type":"structure","required":["IndexName","KeySchema","Projection"],"members":{"IndexName":{},"KeySchema":{"shape":"S2o"},"Projection":{"shape":"S2t"}}}},"S2t":{"type":"structure","members":{"ProjectionType":{},"NonKeyAttributes":{"type":"list","member":{}}}},"S2x":{"type":"list","member":{"type":"structure","required":["IndexName","KeySchema","Projection"],"members":{"IndexName":{},"KeySchema":{"shape":"S2o"},"Projection":{"shape":"S2t"},"ProvisionedThroughput":{"shape":"S2z"}}}},"S2z":{"type":"structure","required":["ReadCapacityUnits","WriteCapacityUnits"],"members":{"ReadCapacityUnits":{"type":"long"},"WriteCapacityUnits":{"type":"long"}}},"S31":{"type":"structure","required":["StreamEnabled"],"members":{"StreamEnabled":{"type":"boolean"},"StreamViewType":{}}},"S34":{"type":"structure","members":{"Enabled":{"type":"boolean"},"SSEType":{},"KMSMasterKeyId":{}}},"S37":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S3c":{"type":"structure","members":{"AttributeDefinitions":{"shape":"S2k"},"TableName":{},"KeySchema":{"shape":"S2o"},"TableStatus":{},"CreationDateTime":{"type":"timestamp"},"ProvisionedThroughput":{"shape":"S3e"},"TableSizeBytes":{"type":"long"},"ItemCount":{"type":"long"},"TableArn":{},"TableId":{},"BillingModeSummary":{"shape":"S3i"},"LocalSecondaryIndexes":{"type":"list","member":{"type":"structure","members":{"IndexName":{},"KeySchema":{"shape":"S2o"},"Projection":{"shape":"S2t"},"IndexSizeBytes":{"type":"long"},"ItemCount":{"type":"long"},"IndexArn":{}}}},"GlobalSecondaryIndexes":{"type":"list","member":{"type":"structure","members":{"IndexName":{},"KeySchema":{"shape":"S2o"},"Projection":{"shape":"S2t"},"IndexStatus":{},"Backfilling":{"type":"boolean"},"ProvisionedThroughput":{"shape":"S3e"},"IndexSizeBytes":{"type":"long"},"ItemCount":{"type":"long"},"IndexArn":{}}}},"StreamSpecification":{"shape":"S31"},"LatestStreamLabel":{},"LatestStreamArn":{},"GlobalTableVersion":{},"Replicas":{"shape":"S25"},"RestoreSummary":{"type":"structure","required":["RestoreDateTime","RestoreInProgress"],"members":{"SourceBackupArn":{},"SourceTableArn":{},"RestoreDateTime":{"type":"timestamp"},"RestoreInProgress":{"type":"boolean"}}},"SSEDescription":{"shape":"S3t"},"ArchivalSummary":{"type":"structure","members":{"ArchivalDateTime":{"type":"timestamp"},"ArchivalReason":{},"ArchivalBackupArn":{}}},"TableClassSummary":{"shape":"S2f"}}},"S3e":{"type":"structure","members":{"LastIncreaseDateTime":{"type":"timestamp"},"LastDecreaseDateTime":{"type":"timestamp"},"NumberOfDecreasesToday":{"type":"long"},"ReadCapacityUnits":{"type":"long"},"WriteCapacityUnits":{"type":"long"}}},"S3i":{"type":"structure","members":{"BillingMode":{},"LastUpdateToPayPerRequestDateTime":{"type":"timestamp"}}},"S3t":{"type":"structure","members":{"Status":{},"SSEType":{},"KMSMasterKeyArn":{},"InaccessibleEncryptionDateTime":{"type":"timestamp"}}},"S40":{"type":"structure","members":{"BackupDetails":{"shape":"S1s"},"SourceTableDetails":{"type":"structure","required":["TableName","TableId","KeySchema","TableCreationDateTime","ProvisionedThroughput"],"members":{"TableName":{},"TableId":{},"TableArn":{},"TableSizeBytes":{"type":"long"},"KeySchema":{"shape":"S2o"},"TableCreationDateTime":{"type":"timestamp"},"ProvisionedThroughput":{"shape":"S2z"},"ItemCount":{"type":"long"},"BillingMode":{}}},"SourceTableFeatureDetails":{"type":"structure","members":{"LocalSecondaryIndexes":{"type":"list","member":{"type":"structure","members":{"IndexName":{},"KeySchema":{"shape":"S2o"},"Projection":{"shape":"S2t"}}}},"GlobalSecondaryIndexes":{"type":"list","member":{"type":"structure","members":{"IndexName":{},"KeySchema":{"shape":"S2o"},"Projection":{"shape":"S2t"},"ProvisionedThroughput":{"shape":"S2z"}}}},"StreamDescription":{"shape":"S31"},"TimeToLiveDescription":{"shape":"S49"},"SSEDescription":{"shape":"S3t"}}}}},"S49":{"type":"structure","members":{"TimeToLiveStatus":{},"AttributeName":{}}},"S4d":{"type":"map","key":{},"value":{"type":"structure","members":{"Value":{"shape":"S6"},"Exists":{"type":"boolean"},"ComparisonOperator":{},"AttributeValueList":{"shape":"S4h"}}}},"S4h":{"type":"list","member":{"shape":"S6"}},"S4l":{"type":"map","key":{},"value":{"shape":"S6"}},"S4u":{"type":"structure","required":["ContinuousBackupsStatus"],"members":{"ContinuousBackupsStatus":{},"PointInTimeRecoveryDescription":{"type":"structure","members":{"PointInTimeRecoveryStatus":{},"EarliestRestorableDateTime":{"type":"timestamp"},"LatestRestorableDateTime":{"type":"timestamp"}}}}},"S5e":{"type":"structure","members":{"ExportArn":{},"ExportStatus":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"ExportManifest":{},"TableArn":{},"TableId":{},"ExportTime":{"type":"timestamp"},"ClientToken":{},"S3Bucket":{},"S3BucketOwner":{},"S3Prefix":{},"S3SseAlgorithm":{},"S3SseKmsKeyId":{},"FailureCode":{},"FailureMessage":{},"ExportFormat":{},"BilledSizeBytes":{"type":"long"},"ItemCount":{"type":"long"}}},"S5y":{"type":"list","member":{"type":"structure","required":["RegionName"],"members":{"RegionName":{},"ReplicaStatus":{},"ReplicaBillingModeSummary":{"shape":"S3i"},"ReplicaProvisionedReadCapacityUnits":{"type":"long"},"ReplicaProvisionedReadCapacityAutoScalingSettings":{"shape":"S60"},"ReplicaProvisionedWriteCapacityUnits":{"type":"long"},"ReplicaProvisionedWriteCapacityAutoScalingSettings":{"shape":"S60"},"ReplicaGlobalSecondaryIndexSettings":{"type":"list","member":{"type":"structure","required":["IndexName"],"members":{"IndexName":{},"IndexStatus":{},"ProvisionedReadCapacityUnits":{"type":"long"},"ProvisionedReadCapacityAutoScalingSettings":{"shape":"S60"},"ProvisionedWriteCapacityUnits":{"type":"long"},"ProvisionedWriteCapacityAutoScalingSettings":{"shape":"S60"}}}},"ReplicaTableClassSummary":{"shape":"S2f"}}}},"S60":{"type":"structure","members":{"MinimumUnits":{"type":"long"},"MaximumUnits":{"type":"long"},"AutoScalingDisabled":{"type":"boolean"},"AutoScalingRoleArn":{},"ScalingPolicies":{"type":"list","member":{"type":"structure","members":{"PolicyName":{},"TargetTrackingScalingPolicyConfiguration":{"type":"structure","required":["TargetValue"],"members":{"DisableScaleIn":{"type":"boolean"},"ScaleInCooldown":{"type":"integer"},"ScaleOutCooldown":{"type":"integer"},"TargetValue":{"type":"double"}}}}}}}},"S6k":{"type":"structure","members":{"TableName":{},"TableStatus":{},"Replicas":{"type":"list","member":{"type":"structure","members":{"RegionName":{},"GlobalSecondaryIndexes":{"type":"list","member":{"type":"structure","members":{"IndexName":{},"IndexStatus":{},"ProvisionedReadCapacityAutoScalingSettings":{"shape":"S60"},"ProvisionedWriteCapacityAutoScalingSettings":{"shape":"S60"}}}},"ReplicaProvisionedReadCapacityAutoScalingSettings":{"shape":"S60"},"ReplicaProvisionedWriteCapacityAutoScalingSettings":{"shape":"S60"},"ReplicaStatus":{}}}}}},"S6r":{"type":"structure","required":["TableName","StreamArn"],"members":{"TableName":{},"StreamArn":{}}},"S6s":{"type":"structure","members":{"TableName":{},"StreamArn":{},"DestinationStatus":{}}},"S71":{"type":"list","member":{"type":"structure","members":{"Item":{"shape":"Sr"}}}},"S88":{"type":"structure","required":["ComparisonOperator"],"members":{"AttributeValueList":{"shape":"S4h"},"ComparisonOperator":{}}},"S89":{"type":"map","key":{},"value":{"shape":"S88"}},"S9g":{"type":"structure","members":{"MinimumUnits":{"type":"long"},"MaximumUnits":{"type":"long"},"AutoScalingDisabled":{"type":"boolean"},"AutoScalingRoleArn":{},"ScalingPolicyUpdate":{"type":"structure","required":["TargetTrackingScalingPolicyConfiguration"],"members":{"PolicyName":{},"TargetTrackingScalingPolicyConfiguration":{"type":"structure","required":["TargetValue"],"members":{"DisableScaleIn":{"type":"boolean"},"ScaleInCooldown":{"type":"integer"},"ScaleOutCooldown":{"type":"integer"},"TargetValue":{"type":"double"}}}}}}},"Sa5":{"type":"list","member":{"type":"structure","required":["IndexName"],"members":{"IndexName":{},"ProvisionedThroughputOverride":{"shape":"S2b"}}}},"Saj":{"type":"structure","required":["Enabled","AttributeName"],"members":{"Enabled":{"type":"boolean"},"AttributeName":{}}}}}');

/***/ }),

/***/ 30482:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"BatchGetItem":{"input_token":"RequestItems","output_token":"UnprocessedKeys"},"ListContributorInsights":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListExports":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListTables":{"input_token":"ExclusiveStartTableName","limit_key":"Limit","output_token":"LastEvaluatedTableName","result_key":"TableNames"},"Query":{"input_token":"ExclusiveStartKey","limit_key":"Limit","output_token":"LastEvaluatedKey","result_key":"Items"},"Scan":{"input_token":"ExclusiveStartKey","limit_key":"Limit","output_token":"LastEvaluatedKey","result_key":"Items"}}}');

/***/ }),

/***/ 48411:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"TableExists":{"delay":20,"operation":"DescribeTable","maxAttempts":25,"acceptors":[{"expected":"ACTIVE","matcher":"path","state":"success","argument":"Table.TableStatus"},{"expected":"ResourceNotFoundException","matcher":"error","state":"retry"}]},"TableNotExists":{"delay":20,"operation":"DescribeTable","maxAttempts":25,"acceptors":[{"expected":"ResourceNotFoundException","matcher":"error","state":"success"}]}}}');

/***/ }),

/***/ 72220:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-11-02","endpointPrefix":"ebs","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Amazon EBS","serviceFullName":"Amazon Elastic Block Store","serviceId":"EBS","signatureVersion":"v4","uid":"ebs-2019-11-02"},"operations":{"CompleteSnapshot":{"http":{"requestUri":"/snapshots/completion/{snapshotId}","responseCode":202},"input":{"type":"structure","required":["SnapshotId","ChangedBlocksCount"],"members":{"SnapshotId":{"location":"uri","locationName":"snapshotId"},"ChangedBlocksCount":{"location":"header","locationName":"x-amz-ChangedBlocksCount","type":"integer"},"Checksum":{"location":"header","locationName":"x-amz-Checksum"},"ChecksumAlgorithm":{"location":"header","locationName":"x-amz-Checksum-Algorithm"},"ChecksumAggregationMethod":{"location":"header","locationName":"x-amz-Checksum-Aggregation-Method"}}},"output":{"type":"structure","members":{"Status":{}}}},"GetSnapshotBlock":{"http":{"method":"GET","requestUri":"/snapshots/{snapshotId}/blocks/{blockIndex}"},"input":{"type":"structure","required":["SnapshotId","BlockIndex","BlockToken"],"members":{"SnapshotId":{"location":"uri","locationName":"snapshotId"},"BlockIndex":{"location":"uri","locationName":"blockIndex","type":"integer"},"BlockToken":{"location":"querystring","locationName":"blockToken"}}},"output":{"type":"structure","members":{"DataLength":{"location":"header","locationName":"x-amz-Data-Length","type":"integer"},"BlockData":{"shape":"Se"},"Checksum":{"location":"header","locationName":"x-amz-Checksum"},"ChecksumAlgorithm":{"location":"header","locationName":"x-amz-Checksum-Algorithm"}},"payload":"BlockData"}},"ListChangedBlocks":{"http":{"method":"GET","requestUri":"/snapshots/{secondSnapshotId}/changedblocks"},"input":{"type":"structure","required":["SecondSnapshotId"],"members":{"FirstSnapshotId":{"location":"querystring","locationName":"firstSnapshotId"},"SecondSnapshotId":{"location":"uri","locationName":"secondSnapshotId"},"NextToken":{"location":"querystring","locationName":"pageToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"StartingBlockIndex":{"location":"querystring","locationName":"startingBlockIndex","type":"integer"}}},"output":{"type":"structure","members":{"ChangedBlocks":{"type":"list","member":{"type":"structure","members":{"BlockIndex":{"type":"integer"},"FirstBlockToken":{},"SecondBlockToken":{}},"sensitive":true}},"ExpiryTime":{"type":"timestamp"},"VolumeSize":{"type":"long"},"BlockSize":{"type":"integer"},"NextToken":{}}}},"ListSnapshotBlocks":{"http":{"method":"GET","requestUri":"/snapshots/{snapshotId}/blocks"},"input":{"type":"structure","required":["SnapshotId"],"members":{"SnapshotId":{"location":"uri","locationName":"snapshotId"},"NextToken":{"location":"querystring","locationName":"pageToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"StartingBlockIndex":{"location":"querystring","locationName":"startingBlockIndex","type":"integer"}}},"output":{"type":"structure","members":{"Blocks":{"type":"list","member":{"type":"structure","members":{"BlockIndex":{"type":"integer"},"BlockToken":{}}},"sensitive":true},"ExpiryTime":{"type":"timestamp"},"VolumeSize":{"type":"long"},"BlockSize":{"type":"integer"},"NextToken":{}}}},"PutSnapshotBlock":{"http":{"method":"PUT","requestUri":"/snapshots/{snapshotId}/blocks/{blockIndex}","responseCode":201},"input":{"type":"structure","required":["SnapshotId","BlockIndex","BlockData","DataLength","Checksum","ChecksumAlgorithm"],"members":{"SnapshotId":{"location":"uri","locationName":"snapshotId"},"BlockIndex":{"location":"uri","locationName":"blockIndex","type":"integer"},"BlockData":{"shape":"Se"},"DataLength":{"location":"header","locationName":"x-amz-Data-Length","type":"integer"},"Progress":{"location":"header","locationName":"x-amz-Progress","type":"integer"},"Checksum":{"location":"header","locationName":"x-amz-Checksum"},"ChecksumAlgorithm":{"location":"header","locationName":"x-amz-Checksum-Algorithm"}},"payload":"BlockData"},"output":{"type":"structure","members":{"Checksum":{"location":"header","locationName":"x-amz-Checksum"},"ChecksumAlgorithm":{"location":"header","locationName":"x-amz-Checksum-Algorithm"}}},"authtype":"v4-unsigned-body"},"StartSnapshot":{"http":{"requestUri":"/snapshots","responseCode":201},"input":{"type":"structure","required":["VolumeSize"],"members":{"VolumeSize":{"type":"long"},"ParentSnapshotId":{},"Tags":{"shape":"Sw"},"Description":{},"ClientToken":{"idempotencyToken":true},"Encrypted":{"type":"boolean"},"KmsKeyArn":{"shape":"S13"},"Timeout":{"type":"integer"}}},"output":{"type":"structure","members":{"Description":{},"SnapshotId":{},"OwnerId":{},"Status":{},"StartTime":{"type":"timestamp"},"VolumeSize":{"type":"long"},"BlockSize":{"type":"integer"},"Tags":{"shape":"Sw"},"ParentSnapshotId":{},"KmsKeyArn":{"shape":"S13"}}}}},"shapes":{"Se":{"type":"blob","sensitive":true,"streaming":true},"Sw":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"S13":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 85366:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListChangedBlocks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSnapshotBlocks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 2658:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-11-15","endpointPrefix":"ec2","protocol":"ec2","serviceAbbreviation":"Amazon EC2","serviceFullName":"Amazon Elastic Compute Cloud","serviceId":"EC2","signatureVersion":"v4","uid":"ec2-2016-11-15","xmlNamespace":"http://ec2.amazonaws.com/doc/2016-11-15"},"operations":{"AcceptReservedInstancesExchangeQuote":{"input":{"type":"structure","required":["ReservedInstanceIds"],"members":{"DryRun":{"type":"boolean"},"ReservedInstanceIds":{"shape":"S3","locationName":"ReservedInstanceId"},"TargetConfigurations":{"shape":"S5","locationName":"TargetConfiguration"}}},"output":{"type":"structure","members":{"ExchangeId":{"locationName":"exchangeId"}}}},"AcceptTransitGatewayMulticastDomainAssociations":{"input":{"type":"structure","members":{"TransitGatewayMulticastDomainId":{},"TransitGatewayAttachmentId":{},"SubnetIds":{"shape":"Se"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Associations":{"shape":"Sg","locationName":"associations"}}}},"AcceptTransitGatewayPeeringAttachment":{"input":{"type":"structure","required":["TransitGatewayAttachmentId"],"members":{"TransitGatewayAttachmentId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayPeeringAttachment":{"shape":"Sn","locationName":"transitGatewayPeeringAttachment"}}}},"AcceptTransitGatewayVpcAttachment":{"input":{"type":"structure","required":["TransitGatewayAttachmentId"],"members":{"TransitGatewayAttachmentId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayVpcAttachment":{"shape":"Sw","locationName":"transitGatewayVpcAttachment"}}}},"AcceptVpcEndpointConnections":{"input":{"type":"structure","required":["ServiceId","VpcEndpointIds"],"members":{"DryRun":{"type":"boolean"},"ServiceId":{},"VpcEndpointIds":{"shape":"S13","locationName":"VpcEndpointId"}}},"output":{"type":"structure","members":{"Unsuccessful":{"shape":"S16","locationName":"unsuccessful"}}}},"AcceptVpcPeeringConnection":{"input":{"type":"structure","members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"VpcPeeringConnectionId":{"locationName":"vpcPeeringConnectionId"}}},"output":{"type":"structure","members":{"VpcPeeringConnection":{"shape":"S1c","locationName":"vpcPeeringConnection"}}}},"AdvertiseByoipCidr":{"input":{"type":"structure","required":["Cidr"],"members":{"Cidr":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"ByoipCidr":{"shape":"S1n","locationName":"byoipCidr"}}}},"AllocateAddress":{"input":{"type":"structure","members":{"Domain":{},"Address":{},"PublicIpv4Pool":{},"NetworkBorderGroup":{},"CustomerOwnedIpv4Pool":{},"DryRun":{"locationName":"dryRun","type":"boolean"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"PublicIp":{"locationName":"publicIp"},"AllocationId":{"locationName":"allocationId"},"PublicIpv4Pool":{"locationName":"publicIpv4Pool"},"NetworkBorderGroup":{"locationName":"networkBorderGroup"},"Domain":{"locationName":"domain"},"CustomerOwnedIp":{"locationName":"customerOwnedIp"},"CustomerOwnedIpv4Pool":{"locationName":"customerOwnedIpv4Pool"},"CarrierIp":{"locationName":"carrierIp"}}}},"AllocateHosts":{"input":{"type":"structure","required":["AvailabilityZone","Quantity"],"members":{"AutoPlacement":{"locationName":"autoPlacement"},"AvailabilityZone":{"locationName":"availabilityZone"},"ClientToken":{"locationName":"clientToken"},"InstanceType":{"locationName":"instanceType"},"InstanceFamily":{},"Quantity":{"locationName":"quantity","type":"integer"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"HostRecovery":{}}},"output":{"type":"structure","members":{"HostIds":{"shape":"S21","locationName":"hostIdSet"}}}},"AllocateIpamPoolCidr":{"input":{"type":"structure","required":["IpamPoolId"],"members":{"DryRun":{"type":"boolean"},"IpamPoolId":{},"Cidr":{},"NetmaskLength":{"type":"integer"},"ClientToken":{"idempotencyToken":true},"Description":{},"PreviewNextCidr":{"type":"boolean"},"DisallowedCidrs":{"locationName":"DisallowedCidr","type":"list","member":{"locationName":"item"}}}},"output":{"type":"structure","members":{"IpamPoolAllocation":{"shape":"S26","locationName":"ipamPoolAllocation"}}}},"ApplySecurityGroupsToClientVpnTargetNetwork":{"input":{"type":"structure","required":["ClientVpnEndpointId","VpcId","SecurityGroupIds"],"members":{"ClientVpnEndpointId":{},"VpcId":{},"SecurityGroupIds":{"shape":"S2c","locationName":"SecurityGroupId"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"SecurityGroupIds":{"shape":"S2c","locationName":"securityGroupIds"}}}},"AssignIpv6Addresses":{"input":{"type":"structure","required":["NetworkInterfaceId"],"members":{"Ipv6AddressCount":{"locationName":"ipv6AddressCount","type":"integer"},"Ipv6Addresses":{"shape":"S2g","locationName":"ipv6Addresses"},"Ipv6PrefixCount":{"type":"integer"},"Ipv6Prefixes":{"shape":"S2h","locationName":"Ipv6Prefix"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"}}},"output":{"type":"structure","members":{"AssignedIpv6Addresses":{"shape":"S2g","locationName":"assignedIpv6Addresses"},"AssignedIpv6Prefixes":{"shape":"S2h","locationName":"assignedIpv6PrefixSet"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"}}}},"AssignPrivateIpAddresses":{"input":{"type":"structure","required":["NetworkInterfaceId"],"members":{"AllowReassignment":{"locationName":"allowReassignment","type":"boolean"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"PrivateIpAddresses":{"shape":"S2l","locationName":"privateIpAddress"},"SecondaryPrivateIpAddressCount":{"locationName":"secondaryPrivateIpAddressCount","type":"integer"},"Ipv4Prefixes":{"shape":"S2h","locationName":"Ipv4Prefix"},"Ipv4PrefixCount":{"type":"integer"}}},"output":{"type":"structure","members":{"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"AssignedPrivateIpAddresses":{"locationName":"assignedPrivateIpAddressesSet","type":"list","member":{"locationName":"item","type":"structure","members":{"PrivateIpAddress":{"locationName":"privateIpAddress"}}}},"AssignedIpv4Prefixes":{"shape":"S2p","locationName":"assignedIpv4PrefixSet"}}}},"AssociateAddress":{"input":{"type":"structure","members":{"AllocationId":{},"InstanceId":{},"PublicIp":{},"AllowReassociation":{"locationName":"allowReassociation","type":"boolean"},"DryRun":{"locationName":"dryRun","type":"boolean"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"PrivateIpAddress":{"locationName":"privateIpAddress"}}},"output":{"type":"structure","members":{"AssociationId":{"locationName":"associationId"}}}},"AssociateClientVpnTargetNetwork":{"input":{"type":"structure","required":["ClientVpnEndpointId","SubnetId"],"members":{"ClientVpnEndpointId":{},"SubnetId":{},"ClientToken":{"idempotencyToken":true},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"AssociationId":{"locationName":"associationId"},"Status":{"shape":"S2y","locationName":"status"}}}},"AssociateDhcpOptions":{"input":{"type":"structure","required":["DhcpOptionsId","VpcId"],"members":{"DhcpOptionsId":{},"VpcId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"AssociateEnclaveCertificateIamRole":{"input":{"type":"structure","members":{"CertificateArn":{},"RoleArn":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"CertificateS3BucketName":{"locationName":"certificateS3BucketName"},"CertificateS3ObjectKey":{"locationName":"certificateS3ObjectKey"},"EncryptionKmsKeyId":{"locationName":"encryptionKmsKeyId"}}}},"AssociateIamInstanceProfile":{"input":{"type":"structure","required":["IamInstanceProfile","InstanceId"],"members":{"IamInstanceProfile":{"shape":"S36"},"InstanceId":{}}},"output":{"type":"structure","members":{"IamInstanceProfileAssociation":{"shape":"S38","locationName":"iamInstanceProfileAssociation"}}}},"AssociateInstanceEventWindow":{"input":{"type":"structure","required":["InstanceEventWindowId","AssociationTarget"],"members":{"DryRun":{"type":"boolean"},"InstanceEventWindowId":{},"AssociationTarget":{"type":"structure","members":{"InstanceIds":{"shape":"S3e","locationName":"InstanceId"},"InstanceTags":{"shape":"Ss","locationName":"InstanceTag"},"DedicatedHostIds":{"shape":"S3f","locationName":"DedicatedHostId"}}}}},"output":{"type":"structure","members":{"InstanceEventWindow":{"shape":"S3i","locationName":"instanceEventWindow"}}}},"AssociateRouteTable":{"input":{"type":"structure","required":["RouteTableId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"RouteTableId":{"locationName":"routeTableId"},"SubnetId":{"locationName":"subnetId"},"GatewayId":{}}},"output":{"type":"structure","members":{"AssociationId":{"locationName":"associationId"},"AssociationState":{"shape":"S3u","locationName":"associationState"}}}},"AssociateSubnetCidrBlock":{"input":{"type":"structure","required":["Ipv6CidrBlock","SubnetId"],"members":{"Ipv6CidrBlock":{"locationName":"ipv6CidrBlock"},"SubnetId":{"locationName":"subnetId"}}},"output":{"type":"structure","members":{"Ipv6CidrBlockAssociation":{"shape":"S3y","locationName":"ipv6CidrBlockAssociation"},"SubnetId":{"locationName":"subnetId"}}}},"AssociateTransitGatewayMulticastDomain":{"input":{"type":"structure","members":{"TransitGatewayMulticastDomainId":{},"TransitGatewayAttachmentId":{},"SubnetIds":{"shape":"S43"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Associations":{"shape":"Sg","locationName":"associations"}}}},"AssociateTransitGatewayRouteTable":{"input":{"type":"structure","required":["TransitGatewayRouteTableId","TransitGatewayAttachmentId"],"members":{"TransitGatewayRouteTableId":{},"TransitGatewayAttachmentId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Association":{"shape":"S48","locationName":"association"}}}},"AssociateTrunkInterface":{"input":{"type":"structure","required":["BranchInterfaceId","TrunkInterfaceId"],"members":{"BranchInterfaceId":{},"TrunkInterfaceId":{},"VlanId":{"type":"integer"},"GreKey":{"type":"integer"},"ClientToken":{"idempotencyToken":true},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"InterfaceAssociation":{"shape":"S4c","locationName":"interfaceAssociation"},"ClientToken":{"locationName":"clientToken"}}}},"AssociateVpcCidrBlock":{"input":{"type":"structure","required":["VpcId"],"members":{"AmazonProvidedIpv6CidrBlock":{"locationName":"amazonProvidedIpv6CidrBlock","type":"boolean"},"CidrBlock":{},"VpcId":{"locationName":"vpcId"},"Ipv6CidrBlockNetworkBorderGroup":{},"Ipv6Pool":{},"Ipv6CidrBlock":{},"Ipv4IpamPoolId":{},"Ipv4NetmaskLength":{"type":"integer"},"Ipv6IpamPoolId":{},"Ipv6NetmaskLength":{"type":"integer"}}},"output":{"type":"structure","members":{"Ipv6CidrBlockAssociation":{"shape":"S4j","locationName":"ipv6CidrBlockAssociation"},"CidrBlockAssociation":{"shape":"S4m","locationName":"cidrBlockAssociation"},"VpcId":{"locationName":"vpcId"}}}},"AttachClassicLinkVpc":{"input":{"type":"structure","required":["Groups","InstanceId","VpcId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"Groups":{"shape":"S4o","locationName":"SecurityGroupId"},"InstanceId":{"locationName":"instanceId"},"VpcId":{"locationName":"vpcId"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"AttachInternetGateway":{"input":{"type":"structure","required":["InternetGatewayId","VpcId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"InternetGatewayId":{"locationName":"internetGatewayId"},"VpcId":{"locationName":"vpcId"}}}},"AttachNetworkInterface":{"input":{"type":"structure","required":["DeviceIndex","InstanceId","NetworkInterfaceId"],"members":{"DeviceIndex":{"locationName":"deviceIndex","type":"integer"},"DryRun":{"locationName":"dryRun","type":"boolean"},"InstanceId":{"locationName":"instanceId"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"NetworkCardIndex":{"type":"integer"}}},"output":{"type":"structure","members":{"AttachmentId":{"locationName":"attachmentId"},"NetworkCardIndex":{"locationName":"networkCardIndex","type":"integer"}}}},"AttachVolume":{"input":{"type":"structure","required":["Device","InstanceId","VolumeId"],"members":{"Device":{},"InstanceId":{},"VolumeId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"shape":"S4w"}},"AttachVpnGateway":{"input":{"type":"structure","required":["VpcId","VpnGatewayId"],"members":{"VpcId":{},"VpnGatewayId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"VpcAttachment":{"shape":"S51","locationName":"attachment"}}}},"AuthorizeClientVpnIngress":{"input":{"type":"structure","required":["ClientVpnEndpointId","TargetNetworkCidr"],"members":{"ClientVpnEndpointId":{},"TargetNetworkCidr":{},"AccessGroupId":{},"AuthorizeAllGroups":{"type":"boolean"},"Description":{},"ClientToken":{"idempotencyToken":true},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Status":{"shape":"S55","locationName":"status"}}}},"AuthorizeSecurityGroupEgress":{"input":{"type":"structure","required":["GroupId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"GroupId":{"locationName":"groupId"},"IpPermissions":{"shape":"S58","locationName":"ipPermissions"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"CidrIp":{"locationName":"cidrIp"},"FromPort":{"locationName":"fromPort","type":"integer"},"IpProtocol":{"locationName":"ipProtocol"},"ToPort":{"locationName":"toPort","type":"integer"},"SourceSecurityGroupName":{"locationName":"sourceSecurityGroupName"},"SourceSecurityGroupOwnerId":{"locationName":"sourceSecurityGroupOwnerId"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"},"SecurityGroupRules":{"shape":"S5j","locationName":"securityGroupRuleSet"}}}},"AuthorizeSecurityGroupIngress":{"input":{"type":"structure","members":{"CidrIp":{},"FromPort":{"type":"integer"},"GroupId":{},"GroupName":{},"IpPermissions":{"shape":"S58"},"IpProtocol":{},"SourceSecurityGroupName":{},"SourceSecurityGroupOwnerId":{},"ToPort":{"type":"integer"},"DryRun":{"locationName":"dryRun","type":"boolean"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"},"SecurityGroupRules":{"shape":"S5j","locationName":"securityGroupRuleSet"}}}},"BundleInstance":{"input":{"type":"structure","required":["InstanceId","Storage"],"members":{"InstanceId":{},"Storage":{"shape":"S5s"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"BundleTask":{"shape":"S5w","locationName":"bundleInstanceTask"}}}},"CancelBundleTask":{"input":{"type":"structure","required":["BundleId"],"members":{"BundleId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"BundleTask":{"shape":"S5w","locationName":"bundleInstanceTask"}}}},"CancelCapacityReservation":{"input":{"type":"structure","required":["CapacityReservationId"],"members":{"CapacityReservationId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"CancelCapacityReservationFleets":{"input":{"type":"structure","required":["CapacityReservationFleetIds"],"members":{"DryRun":{"type":"boolean"},"CapacityReservationFleetIds":{"shape":"S66","locationName":"CapacityReservationFleetId"}}},"output":{"type":"structure","members":{"SuccessfulFleetCancellations":{"locationName":"successfulFleetCancellationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"CurrentFleetState":{"locationName":"currentFleetState"},"PreviousFleetState":{"locationName":"previousFleetState"},"CapacityReservationFleetId":{"locationName":"capacityReservationFleetId"}}}},"FailedFleetCancellations":{"locationName":"failedFleetCancellationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"CapacityReservationFleetId":{"locationName":"capacityReservationFleetId"},"CancelCapacityReservationFleetError":{"locationName":"cancelCapacityReservationFleetError","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}}}}}}}},"CancelConversionTask":{"input":{"type":"structure","required":["ConversionTaskId"],"members":{"ConversionTaskId":{"locationName":"conversionTaskId"},"DryRun":{"locationName":"dryRun","type":"boolean"},"ReasonMessage":{"locationName":"reasonMessage"}}}},"CancelExportTask":{"input":{"type":"structure","required":["ExportTaskId"],"members":{"ExportTaskId":{"locationName":"exportTaskId"}}}},"CancelImportTask":{"input":{"type":"structure","members":{"CancelReason":{},"DryRun":{"type":"boolean"},"ImportTaskId":{}}},"output":{"type":"structure","members":{"ImportTaskId":{"locationName":"importTaskId"},"PreviousState":{"locationName":"previousState"},"State":{"locationName":"state"}}}},"CancelReservedInstancesListing":{"input":{"type":"structure","required":["ReservedInstancesListingId"],"members":{"ReservedInstancesListingId":{"locationName":"reservedInstancesListingId"}}},"output":{"type":"structure","members":{"ReservedInstancesListings":{"shape":"S6r","locationName":"reservedInstancesListingsSet"}}}},"CancelSpotFleetRequests":{"input":{"type":"structure","required":["SpotFleetRequestIds","TerminateInstances"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"SpotFleetRequestIds":{"shape":"S73","locationName":"spotFleetRequestId"},"TerminateInstances":{"locationName":"terminateInstances","type":"boolean"}}},"output":{"type":"structure","members":{"SuccessfulFleetRequests":{"locationName":"successfulFleetRequestSet","type":"list","member":{"locationName":"item","type":"structure","members":{"CurrentSpotFleetRequestState":{"locationName":"currentSpotFleetRequestState"},"PreviousSpotFleetRequestState":{"locationName":"previousSpotFleetRequestState"},"SpotFleetRequestId":{"locationName":"spotFleetRequestId"}}}},"UnsuccessfulFleetRequests":{"locationName":"unsuccessfulFleetRequestSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Error":{"locationName":"error","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"SpotFleetRequestId":{"locationName":"spotFleetRequestId"}}}}}}},"CancelSpotInstanceRequests":{"input":{"type":"structure","required":["SpotInstanceRequestIds"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"SpotInstanceRequestIds":{"shape":"S7e","locationName":"SpotInstanceRequestId"}}},"output":{"type":"structure","members":{"CancelledSpotInstanceRequests":{"locationName":"spotInstanceRequestSet","type":"list","member":{"locationName":"item","type":"structure","members":{"SpotInstanceRequestId":{"locationName":"spotInstanceRequestId"},"State":{"locationName":"state"}}}}}}},"ConfirmProductInstance":{"input":{"type":"structure","required":["InstanceId","ProductCode"],"members":{"InstanceId":{},"ProductCode":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"OwnerId":{"locationName":"ownerId"},"Return":{"locationName":"return","type":"boolean"}}}},"CopyFpgaImage":{"input":{"type":"structure","required":["SourceFpgaImageId","SourceRegion"],"members":{"DryRun":{"type":"boolean"},"SourceFpgaImageId":{},"Description":{},"Name":{},"SourceRegion":{},"ClientToken":{}}},"output":{"type":"structure","members":{"FpgaImageId":{"locationName":"fpgaImageId"}}}},"CopyImage":{"input":{"type":"structure","required":["Name","SourceImageId","SourceRegion"],"members":{"ClientToken":{},"Description":{},"Encrypted":{"locationName":"encrypted","type":"boolean"},"KmsKeyId":{"locationName":"kmsKeyId"},"Name":{},"SourceImageId":{},"SourceRegion":{},"DestinationOutpostArn":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"ImageId":{"locationName":"imageId"}}}},"CopySnapshot":{"input":{"type":"structure","required":["SourceRegion","SourceSnapshotId"],"members":{"Description":{},"DestinationOutpostArn":{},"DestinationRegion":{"locationName":"destinationRegion"},"Encrypted":{"locationName":"encrypted","type":"boolean"},"KmsKeyId":{"locationName":"kmsKeyId"},"PresignedUrl":{"locationName":"presignedUrl"},"SourceRegion":{},"SourceSnapshotId":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"SnapshotId":{"locationName":"snapshotId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"CreateCapacityReservation":{"input":{"type":"structure","required":["InstanceType","InstancePlatform","InstanceCount"],"members":{"ClientToken":{},"InstanceType":{},"InstancePlatform":{},"AvailabilityZone":{},"AvailabilityZoneId":{},"Tenancy":{},"InstanceCount":{"type":"integer"},"EbsOptimized":{"type":"boolean"},"EphemeralStorage":{"type":"boolean"},"EndDate":{"type":"timestamp"},"EndDateType":{},"InstanceMatchCriteria":{},"TagSpecifications":{"shape":"S1t"},"DryRun":{"type":"boolean"},"OutpostArn":{}}},"output":{"type":"structure","members":{"CapacityReservation":{"shape":"S80","locationName":"capacityReservation"}}}},"CreateCapacityReservationFleet":{"input":{"type":"structure","required":["InstanceTypeSpecifications","TotalTargetCapacity"],"members":{"AllocationStrategy":{},"ClientToken":{"idempotencyToken":true},"InstanceTypeSpecifications":{"locationName":"InstanceTypeSpecification","type":"list","member":{"type":"structure","members":{"InstanceType":{},"InstancePlatform":{},"Weight":{"type":"double"},"AvailabilityZone":{},"AvailabilityZoneId":{},"EbsOptimized":{"type":"boolean"},"Priority":{"type":"integer"}}}},"Tenancy":{},"TotalTargetCapacity":{"type":"integer"},"EndDate":{"type":"timestamp"},"InstanceMatchCriteria":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"CapacityReservationFleetId":{"locationName":"capacityReservationFleetId"},"State":{"locationName":"state"},"TotalTargetCapacity":{"locationName":"totalTargetCapacity","type":"integer"},"TotalFulfilledCapacity":{"locationName":"totalFulfilledCapacity","type":"double"},"InstanceMatchCriteria":{"locationName":"instanceMatchCriteria"},"AllocationStrategy":{"locationName":"allocationStrategy"},"CreateTime":{"locationName":"createTime","type":"timestamp"},"EndDate":{"locationName":"endDate","type":"timestamp"},"Tenancy":{"locationName":"tenancy"},"FleetCapacityReservations":{"shape":"S8c","locationName":"fleetCapacityReservationSet"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"CreateCarrierGateway":{"input":{"type":"structure","required":["VpcId"],"members":{"VpcId":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"CarrierGateway":{"shape":"S8g","locationName":"carrierGateway"}}}},"CreateClientVpnEndpoint":{"input":{"type":"structure","required":["ClientCidrBlock","ServerCertificateArn","AuthenticationOptions","ConnectionLogOptions"],"members":{"ClientCidrBlock":{},"ServerCertificateArn":{},"AuthenticationOptions":{"locationName":"Authentication","type":"list","member":{"type":"structure","members":{"Type":{},"ActiveDirectory":{"type":"structure","members":{"DirectoryId":{}}},"MutualAuthentication":{"type":"structure","members":{"ClientRootCertificateChainArn":{}}},"FederatedAuthentication":{"type":"structure","members":{"SAMLProviderArn":{},"SelfServiceSAMLProviderArn":{}}}}}},"ConnectionLogOptions":{"shape":"S8q"},"DnsServers":{"shape":"Se"},"TransportProtocol":{},"VpnPort":{"type":"integer"},"Description":{},"SplitTunnel":{"type":"boolean"},"DryRun":{"type":"boolean"},"ClientToken":{"idempotencyToken":true},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"SecurityGroupIds":{"shape":"S2c","locationName":"SecurityGroupId"},"VpcId":{},"SelfServicePortal":{},"ClientConnectOptions":{"shape":"S8t"}}},"output":{"type":"structure","members":{"ClientVpnEndpointId":{"locationName":"clientVpnEndpointId"},"Status":{"shape":"S8v","locationName":"status"},"DnsName":{"locationName":"dnsName"}}}},"CreateClientVpnRoute":{"input":{"type":"structure","required":["ClientVpnEndpointId","DestinationCidrBlock","TargetVpcSubnetId"],"members":{"ClientVpnEndpointId":{},"DestinationCidrBlock":{},"TargetVpcSubnetId":{},"Description":{},"ClientToken":{"idempotencyToken":true},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Status":{"shape":"S8z","locationName":"status"}}}},"CreateCustomerGateway":{"input":{"type":"structure","required":["BgpAsn","Type"],"members":{"BgpAsn":{"type":"integer"},"PublicIp":{"locationName":"IpAddress"},"CertificateArn":{},"Type":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DeviceName":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"CustomerGateway":{"shape":"S94","locationName":"customerGateway"}}}},"CreateDefaultSubnet":{"input":{"type":"structure","required":["AvailabilityZone"],"members":{"AvailabilityZone":{},"DryRun":{"type":"boolean"},"Ipv6Native":{"type":"boolean"}}},"output":{"type":"structure","members":{"Subnet":{"shape":"S97","locationName":"subnet"}}}},"CreateDefaultVpc":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Vpc":{"shape":"S9f","locationName":"vpc"}}}},"CreateDhcpOptions":{"input":{"type":"structure","required":["DhcpConfigurations"],"members":{"DhcpConfigurations":{"locationName":"dhcpConfiguration","type":"list","member":{"locationName":"item","type":"structure","members":{"Key":{"locationName":"key"},"Values":{"shape":"Se","locationName":"Value"}}}},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"DhcpOptions":{"shape":"S9o","locationName":"dhcpOptions"}}}},"CreateEgressOnlyInternetGateway":{"input":{"type":"structure","required":["VpcId"],"members":{"ClientToken":{},"DryRun":{"type":"boolean"},"VpcId":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"ClientToken":{"locationName":"clientToken"},"EgressOnlyInternetGateway":{"shape":"S9v","locationName":"egressOnlyInternetGateway"}}}},"CreateFleet":{"input":{"type":"structure","required":["LaunchTemplateConfigs","TargetCapacitySpecification"],"members":{"DryRun":{"type":"boolean"},"ClientToken":{},"SpotOptions":{"type":"structure","members":{"AllocationStrategy":{},"MaintenanceStrategies":{"type":"structure","members":{"CapacityRebalance":{"type":"structure","members":{"ReplacementStrategy":{},"TerminationDelay":{"type":"integer"}}}}},"InstanceInterruptionBehavior":{},"InstancePoolsToUseCount":{"type":"integer"},"SingleInstanceType":{"type":"boolean"},"SingleAvailabilityZone":{"type":"boolean"},"MinTargetCapacity":{"type":"integer"},"MaxTotalPrice":{}}},"OnDemandOptions":{"type":"structure","members":{"AllocationStrategy":{},"CapacityReservationOptions":{"type":"structure","members":{"UsageStrategy":{}}},"SingleInstanceType":{"type":"boolean"},"SingleAvailabilityZone":{"type":"boolean"},"MinTargetCapacity":{"type":"integer"},"MaxTotalPrice":{}}},"ExcessCapacityTerminationPolicy":{},"LaunchTemplateConfigs":{"shape":"Sab"},"TargetCapacitySpecification":{"shape":"Sba"},"TerminateInstancesWithExpiration":{"type":"boolean"},"Type":{},"ValidFrom":{"type":"timestamp"},"ValidUntil":{"type":"timestamp"},"ReplaceUnhealthyInstances":{"type":"boolean"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"Context":{}}},"output":{"type":"structure","members":{"FleetId":{"locationName":"fleetId"},"Errors":{"locationName":"errorSet","type":"list","member":{"locationName":"item","type":"structure","members":{"LaunchTemplateAndOverrides":{"shape":"Sbi","locationName":"launchTemplateAndOverrides"},"Lifecycle":{"locationName":"lifecycle"},"ErrorCode":{"locationName":"errorCode"},"ErrorMessage":{"locationName":"errorMessage"}}}},"Instances":{"locationName":"fleetInstanceSet","type":"list","member":{"locationName":"item","type":"structure","members":{"LaunchTemplateAndOverrides":{"shape":"Sbi","locationName":"launchTemplateAndOverrides"},"Lifecycle":{"locationName":"lifecycle"},"InstanceIds":{"shape":"Sby","locationName":"instanceIds"},"InstanceType":{"locationName":"instanceType"},"Platform":{"locationName":"platform"}}}}}}},"CreateFlowLogs":{"input":{"type":"structure","required":["ResourceIds","ResourceType","TrafficType"],"members":{"DryRun":{"type":"boolean"},"ClientToken":{},"DeliverLogsPermissionArn":{},"LogGroupName":{},"ResourceIds":{"locationName":"ResourceId","type":"list","member":{"locationName":"item"}},"ResourceType":{},"TrafficType":{},"LogDestinationType":{},"LogDestination":{},"LogFormat":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"MaxAggregationInterval":{"type":"integer"},"DestinationOptions":{"type":"structure","members":{"FileFormat":{},"HiveCompatiblePartitions":{"type":"boolean"},"PerHourPartition":{"type":"boolean"}}}}},"output":{"type":"structure","members":{"ClientToken":{"locationName":"clientToken"},"FlowLogIds":{"shape":"Se","locationName":"flowLogIdSet"},"Unsuccessful":{"shape":"S16","locationName":"unsuccessful"}}}},"CreateFpgaImage":{"input":{"type":"structure","required":["InputStorageLocation"],"members":{"DryRun":{"type":"boolean"},"InputStorageLocation":{"shape":"Sca"},"LogsStorageLocation":{"shape":"Sca"},"Description":{},"Name":{},"ClientToken":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"FpgaImageId":{"locationName":"fpgaImageId"},"FpgaImageGlobalId":{"locationName":"fpgaImageGlobalId"}}}},"CreateImage":{"input":{"type":"structure","required":["InstanceId","Name"],"members":{"BlockDeviceMappings":{"shape":"Scd","locationName":"blockDeviceMapping"},"Description":{"locationName":"description"},"DryRun":{"locationName":"dryRun","type":"boolean"},"InstanceId":{"locationName":"instanceId"},"Name":{"locationName":"name"},"NoReboot":{"locationName":"noReboot","type":"boolean"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"ImageId":{"locationName":"imageId"}}}},"CreateInstanceEventWindow":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Name":{},"TimeRanges":{"shape":"Sck","locationName":"TimeRange"},"CronExpression":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"InstanceEventWindow":{"shape":"S3i","locationName":"instanceEventWindow"}}}},"CreateInstanceExportTask":{"input":{"type":"structure","required":["ExportToS3Task","InstanceId","TargetEnvironment"],"members":{"Description":{"locationName":"description"},"ExportToS3Task":{"locationName":"exportToS3","type":"structure","members":{"ContainerFormat":{"locationName":"containerFormat"},"DiskImageFormat":{"locationName":"diskImageFormat"},"S3Bucket":{"locationName":"s3Bucket"},"S3Prefix":{"locationName":"s3Prefix"}}},"InstanceId":{"locationName":"instanceId"},"TargetEnvironment":{"locationName":"targetEnvironment"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"ExportTask":{"shape":"Sct","locationName":"exportTask"}}}},"CreateInternetGateway":{"input":{"type":"structure","members":{"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"InternetGateway":{"shape":"Scz","locationName":"internetGateway"}}}},"CreateIpam":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Description":{},"OperatingRegions":{"shape":"Sd1","locationName":"OperatingRegion"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"Ipam":{"shape":"Sd4","locationName":"ipam"}}}},"CreateIpamPool":{"input":{"type":"structure","required":["IpamScopeId"],"members":{"DryRun":{"type":"boolean"},"IpamScopeId":{},"Locale":{},"SourceIpamPoolId":{},"Description":{},"AddressFamily":{},"AutoImport":{"type":"boolean"},"PubliclyAdvertisable":{"type":"boolean"},"AllocationMinNetmaskLength":{"type":"integer"},"AllocationMaxNetmaskLength":{"type":"integer"},"AllocationDefaultNetmaskLength":{"type":"integer"},"AllocationResourceTags":{"shape":"Sdd","locationName":"AllocationResourceTag"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"ClientToken":{"idempotencyToken":true},"AwsService":{}}},"output":{"type":"structure","members":{"IpamPool":{"shape":"Sdh","locationName":"ipamPool"}}}},"CreateIpamScope":{"input":{"type":"structure","required":["IpamId"],"members":{"DryRun":{"type":"boolean"},"IpamId":{},"Description":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"IpamScope":{"shape":"Sdo","locationName":"ipamScope"}}}},"CreateKeyPair":{"input":{"type":"structure","required":["KeyName"],"members":{"KeyName":{},"DryRun":{"locationName":"dryRun","type":"boolean"},"KeyType":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"KeyFingerprint":{"locationName":"keyFingerprint"},"KeyMaterial":{"locationName":"keyMaterial","type":"string","sensitive":true},"KeyName":{"locationName":"keyName"},"KeyPairId":{"locationName":"keyPairId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"CreateLaunchTemplate":{"input":{"type":"structure","required":["LaunchTemplateName","LaunchTemplateData"],"members":{"DryRun":{"type":"boolean"},"ClientToken":{},"LaunchTemplateName":{},"VersionDescription":{},"LaunchTemplateData":{"shape":"Sdw"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"LaunchTemplate":{"shape":"Sfb","locationName":"launchTemplate"},"Warning":{"shape":"Sfc","locationName":"warning"}}}},"CreateLaunchTemplateVersion":{"input":{"type":"structure","required":["LaunchTemplateData"],"members":{"DryRun":{"type":"boolean"},"ClientToken":{},"LaunchTemplateId":{},"LaunchTemplateName":{},"SourceVersion":{},"VersionDescription":{},"LaunchTemplateData":{"shape":"Sdw"}}},"output":{"type":"structure","members":{"LaunchTemplateVersion":{"shape":"Sfh","locationName":"launchTemplateVersion"},"Warning":{"shape":"Sfc","locationName":"warning"}}}},"CreateLocalGatewayRoute":{"input":{"type":"structure","required":["DestinationCidrBlock","LocalGatewayRouteTableId","LocalGatewayVirtualInterfaceGroupId"],"members":{"DestinationCidrBlock":{},"LocalGatewayRouteTableId":{},"LocalGatewayVirtualInterfaceGroupId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Route":{"shape":"Sgk","locationName":"route"}}}},"CreateLocalGatewayRouteTableVpcAssociation":{"input":{"type":"structure","required":["LocalGatewayRouteTableId","VpcId"],"members":{"LocalGatewayRouteTableId":{},"VpcId":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"LocalGatewayRouteTableVpcAssociation":{"shape":"Sgp","locationName":"localGatewayRouteTableVpcAssociation"}}}},"CreateManagedPrefixList":{"input":{"type":"structure","required":["PrefixListName","MaxEntries","AddressFamily"],"members":{"DryRun":{"type":"boolean"},"PrefixListName":{},"Entries":{"shape":"Sgs","locationName":"Entry"},"MaxEntries":{"type":"integer"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"AddressFamily":{},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"PrefixList":{"shape":"Sgv","locationName":"prefixList"}}}},"CreateNatGateway":{"input":{"type":"structure","required":["SubnetId"],"members":{"AllocationId":{},"ClientToken":{"idempotencyToken":true},"DryRun":{"type":"boolean"},"SubnetId":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"ConnectivityType":{}}},"output":{"type":"structure","members":{"ClientToken":{"locationName":"clientToken"},"NatGateway":{"shape":"Sh0","locationName":"natGateway"}}}},"CreateNetworkAcl":{"input":{"type":"structure","required":["VpcId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"VpcId":{"locationName":"vpcId"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"NetworkAcl":{"shape":"Sh7","locationName":"networkAcl"}}}},"CreateNetworkAclEntry":{"input":{"type":"structure","required":["Egress","NetworkAclId","Protocol","RuleAction","RuleNumber"],"members":{"CidrBlock":{"locationName":"cidrBlock"},"DryRun":{"locationName":"dryRun","type":"boolean"},"Egress":{"locationName":"egress","type":"boolean"},"IcmpTypeCode":{"shape":"Shc","locationName":"Icmp"},"Ipv6CidrBlock":{"locationName":"ipv6CidrBlock"},"NetworkAclId":{"locationName":"networkAclId"},"PortRange":{"shape":"Shd","locationName":"portRange"},"Protocol":{"locationName":"protocol"},"RuleAction":{"locationName":"ruleAction"},"RuleNumber":{"locationName":"ruleNumber","type":"integer"}}}},"CreateNetworkInsightsAccessScope":{"input":{"type":"structure","required":["ClientToken"],"members":{"MatchPaths":{"shape":"Shi","locationName":"MatchPath"},"ExcludePaths":{"shape":"Shi","locationName":"ExcludePath"},"ClientToken":{"idempotencyToken":true},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"NetworkInsightsAccessScope":{"shape":"Shs","locationName":"networkInsightsAccessScope"},"NetworkInsightsAccessScopeContent":{"shape":"Shu","locationName":"networkInsightsAccessScopeContent"}}}},"CreateNetworkInsightsPath":{"input":{"type":"structure","required":["Source","Destination","Protocol","ClientToken"],"members":{"SourceIp":{},"DestinationIp":{},"Source":{},"Destination":{},"Protocol":{},"DestinationPort":{"type":"integer"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"NetworkInsightsPath":{"shape":"Si6","locationName":"networkInsightsPath"}}}},"CreateNetworkInterface":{"input":{"type":"structure","required":["SubnetId"],"members":{"Description":{"locationName":"description"},"DryRun":{"locationName":"dryRun","type":"boolean"},"Groups":{"shape":"Se4","locationName":"SecurityGroupId"},"Ipv6AddressCount":{"locationName":"ipv6AddressCount","type":"integer"},"Ipv6Addresses":{"shape":"Sfp","locationName":"ipv6Addresses"},"PrivateIpAddress":{"locationName":"privateIpAddress"},"PrivateIpAddresses":{"shape":"Se7","locationName":"privateIpAddresses"},"SecondaryPrivateIpAddressCount":{"locationName":"secondaryPrivateIpAddressCount","type":"integer"},"Ipv4Prefixes":{"shape":"Se9","locationName":"Ipv4Prefix"},"Ipv4PrefixCount":{"type":"integer"},"Ipv6Prefixes":{"shape":"Seb","locationName":"Ipv6Prefix"},"Ipv6PrefixCount":{"type":"integer"},"InterfaceType":{},"SubnetId":{"locationName":"subnetId"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"NetworkInterface":{"shape":"Sib","locationName":"networkInterface"},"ClientToken":{"locationName":"clientToken"}}}},"CreateNetworkInterfacePermission":{"input":{"type":"structure","required":["NetworkInterfaceId","Permission"],"members":{"NetworkInterfaceId":{},"AwsAccountId":{},"AwsService":{},"Permission":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"InterfacePermission":{"shape":"Sir","locationName":"interfacePermission"}}}},"CreatePlacementGroup":{"input":{"type":"structure","members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"GroupName":{"locationName":"groupName"},"Strategy":{"locationName":"strategy"},"PartitionCount":{"type":"integer"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"PlacementGroup":{"shape":"Six","locationName":"placementGroup"}}}},"CreatePublicIpv4Pool":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"PoolId":{"locationName":"poolId"}}}},"CreateReplaceRootVolumeTask":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"SnapshotId":{},"ClientToken":{"idempotencyToken":true},"DryRun":{"type":"boolean"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"ReplaceRootVolumeTask":{"shape":"Sj3","locationName":"replaceRootVolumeTask"}}}},"CreateReservedInstancesListing":{"input":{"type":"structure","required":["ClientToken","InstanceCount","PriceSchedules","ReservedInstancesId"],"members":{"ClientToken":{"locationName":"clientToken"},"InstanceCount":{"locationName":"instanceCount","type":"integer"},"PriceSchedules":{"locationName":"priceSchedules","type":"list","member":{"locationName":"item","type":"structure","members":{"CurrencyCode":{"locationName":"currencyCode"},"Price":{"locationName":"price","type":"double"},"Term":{"locationName":"term","type":"long"}}}},"ReservedInstancesId":{"locationName":"reservedInstancesId"}}},"output":{"type":"structure","members":{"ReservedInstancesListings":{"shape":"S6r","locationName":"reservedInstancesListingsSet"}}}},"CreateRestoreImageTask":{"input":{"type":"structure","required":["Bucket","ObjectKey"],"members":{"Bucket":{},"ObjectKey":{},"Name":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"ImageId":{"locationName":"imageId"}}}},"CreateRoute":{"input":{"type":"structure","required":["RouteTableId"],"members":{"DestinationCidrBlock":{"locationName":"destinationCidrBlock"},"DestinationIpv6CidrBlock":{"locationName":"destinationIpv6CidrBlock"},"DestinationPrefixListId":{},"DryRun":{"locationName":"dryRun","type":"boolean"},"VpcEndpointId":{},"EgressOnlyInternetGatewayId":{"locationName":"egressOnlyInternetGatewayId"},"GatewayId":{"locationName":"gatewayId"},"InstanceId":{"locationName":"instanceId"},"NatGatewayId":{"locationName":"natGatewayId"},"TransitGatewayId":{},"LocalGatewayId":{},"CarrierGatewayId":{},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"RouteTableId":{"locationName":"routeTableId"},"VpcPeeringConnectionId":{"locationName":"vpcPeeringConnectionId"},"CoreNetworkArn":{}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"CreateRouteTable":{"input":{"type":"structure","required":["VpcId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"VpcId":{"locationName":"vpcId"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"RouteTable":{"shape":"Sjk","locationName":"routeTable"}}}},"CreateSecurityGroup":{"input":{"type":"structure","required":["Description","GroupName"],"members":{"Description":{"locationName":"GroupDescription"},"GroupName":{},"VpcId":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"GroupId":{"locationName":"groupId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"CreateSnapshot":{"input":{"type":"structure","required":["VolumeId"],"members":{"Description":{},"OutpostArn":{},"VolumeId":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"shape":"Sjw"}},"CreateSnapshots":{"input":{"type":"structure","required":["InstanceSpecification"],"members":{"Description":{},"InstanceSpecification":{"type":"structure","members":{"InstanceId":{},"ExcludeBootVolume":{"type":"boolean"}}},"OutpostArn":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"},"CopyTagsFromSource":{}}},"output":{"type":"structure","members":{"Snapshots":{"locationName":"snapshotSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Description":{"locationName":"description"},"Tags":{"shape":"Ss","locationName":"tagSet"},"Encrypted":{"locationName":"encrypted","type":"boolean"},"VolumeId":{"locationName":"volumeId"},"State":{"locationName":"state"},"VolumeSize":{"locationName":"volumeSize","type":"integer"},"StartTime":{"locationName":"startTime","type":"timestamp"},"Progress":{"locationName":"progress"},"OwnerId":{"locationName":"ownerId"},"SnapshotId":{"locationName":"snapshotId"},"OutpostArn":{"locationName":"outpostArn"}}}}}}},"CreateSpotDatafeedSubscription":{"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"locationName":"bucket"},"DryRun":{"locationName":"dryRun","type":"boolean"},"Prefix":{"locationName":"prefix"}}},"output":{"type":"structure","members":{"SpotDatafeedSubscription":{"shape":"Sk7","locationName":"spotDatafeedSubscription"}}}},"CreateStoreImageTask":{"input":{"type":"structure","required":["ImageId","Bucket"],"members":{"ImageId":{},"Bucket":{},"S3ObjectTags":{"locationName":"S3ObjectTag","type":"list","member":{"locationName":"item","type":"structure","members":{"Key":{},"Value":{}}}},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"ObjectKey":{"locationName":"objectKey"}}}},"CreateSubnet":{"input":{"type":"structure","required":["VpcId"],"members":{"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"AvailabilityZone":{},"AvailabilityZoneId":{},"CidrBlock":{},"Ipv6CidrBlock":{},"OutpostArn":{},"VpcId":{},"DryRun":{"locationName":"dryRun","type":"boolean"},"Ipv6Native":{"type":"boolean"}}},"output":{"type":"structure","members":{"Subnet":{"shape":"S97","locationName":"subnet"}}}},"CreateSubnetCidrReservation":{"input":{"type":"structure","required":["SubnetId","Cidr","ReservationType"],"members":{"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"SubnetId":{},"Cidr":{},"ReservationType":{},"Description":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"SubnetCidrReservation":{"shape":"Skj","locationName":"subnetCidrReservation"}}}},"CreateTags":{"input":{"type":"structure","required":["Resources","Tags"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"Resources":{"shape":"Skm","locationName":"ResourceId"},"Tags":{"shape":"Ss","locationName":"Tag"}}}},"CreateTrafficMirrorFilter":{"input":{"type":"structure","members":{"Description":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"TrafficMirrorFilter":{"shape":"Skq","locationName":"trafficMirrorFilter"},"ClientToken":{"locationName":"clientToken"}}}},"CreateTrafficMirrorFilterRule":{"input":{"type":"structure","required":["TrafficMirrorFilterId","TrafficDirection","RuleNumber","RuleAction","DestinationCidrBlock","SourceCidrBlock"],"members":{"TrafficMirrorFilterId":{},"TrafficDirection":{},"RuleNumber":{"type":"integer"},"RuleAction":{},"DestinationPortRange":{"shape":"Sl0"},"SourcePortRange":{"shape":"Sl0"},"Protocol":{"type":"integer"},"DestinationCidrBlock":{},"SourceCidrBlock":{},"Description":{},"DryRun":{"type":"boolean"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"TrafficMirrorFilterRule":{"shape":"Sks","locationName":"trafficMirrorFilterRule"},"ClientToken":{"locationName":"clientToken"}}}},"CreateTrafficMirrorSession":{"input":{"type":"structure","required":["NetworkInterfaceId","TrafficMirrorTargetId","TrafficMirrorFilterId","SessionNumber"],"members":{"NetworkInterfaceId":{},"TrafficMirrorTargetId":{},"TrafficMirrorFilterId":{},"PacketLength":{"type":"integer"},"SessionNumber":{"type":"integer"},"VirtualNetworkId":{"type":"integer"},"Description":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"TrafficMirrorSession":{"shape":"Sl5","locationName":"trafficMirrorSession"},"ClientToken":{"locationName":"clientToken"}}}},"CreateTrafficMirrorTarget":{"input":{"type":"structure","members":{"NetworkInterfaceId":{},"NetworkLoadBalancerArn":{},"Description":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"TrafficMirrorTarget":{"shape":"Sl8","locationName":"trafficMirrorTarget"},"ClientToken":{"locationName":"clientToken"}}}},"CreateTransitGateway":{"input":{"type":"structure","members":{"Description":{},"Options":{"type":"structure","members":{"AmazonSideAsn":{"type":"long"},"AutoAcceptSharedAttachments":{},"DefaultRouteTableAssociation":{},"DefaultRouteTablePropagation":{},"VpnEcmpSupport":{},"DnsSupport":{},"MulticastSupport":{},"TransitGatewayCidrBlocks":{"shape":"Slh"}}},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGateway":{"shape":"Slj","locationName":"transitGateway"}}}},"CreateTransitGatewayConnect":{"input":{"type":"structure","required":["TransportTransitGatewayAttachmentId","Options"],"members":{"TransportTransitGatewayAttachmentId":{},"Options":{"type":"structure","required":["Protocol"],"members":{"Protocol":{}}},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayConnect":{"shape":"Slq","locationName":"transitGatewayConnect"}}}},"CreateTransitGatewayConnectPeer":{"input":{"type":"structure","required":["TransitGatewayAttachmentId","PeerAddress","InsideCidrBlocks"],"members":{"TransitGatewayAttachmentId":{},"TransitGatewayAddress":{},"PeerAddress":{},"BgpOptions":{"type":"structure","members":{"PeerAsn":{"type":"long"}}},"InsideCidrBlocks":{"shape":"Slu"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayConnectPeer":{"shape":"Slw","locationName":"transitGatewayConnectPeer"}}}},"CreateTransitGatewayMulticastDomain":{"input":{"type":"structure","required":["TransitGatewayId"],"members":{"TransitGatewayId":{},"Options":{"type":"structure","members":{"Igmpv2Support":{},"StaticSourcesSupport":{},"AutoAcceptSharedAssociations":{}}},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayMulticastDomain":{"shape":"Sm9","locationName":"transitGatewayMulticastDomain"}}}},"CreateTransitGatewayPeeringAttachment":{"input":{"type":"structure","required":["TransitGatewayId","PeerTransitGatewayId","PeerAccountId","PeerRegion"],"members":{"TransitGatewayId":{},"PeerTransitGatewayId":{},"PeerAccountId":{},"PeerRegion":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayPeeringAttachment":{"shape":"Sn","locationName":"transitGatewayPeeringAttachment"}}}},"CreateTransitGatewayPrefixListReference":{"input":{"type":"structure","required":["TransitGatewayRouteTableId","PrefixListId"],"members":{"TransitGatewayRouteTableId":{},"PrefixListId":{},"TransitGatewayAttachmentId":{},"Blackhole":{"type":"boolean"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayPrefixListReference":{"shape":"Smh","locationName":"transitGatewayPrefixListReference"}}}},"CreateTransitGatewayRoute":{"input":{"type":"structure","required":["DestinationCidrBlock","TransitGatewayRouteTableId"],"members":{"DestinationCidrBlock":{},"TransitGatewayRouteTableId":{},"TransitGatewayAttachmentId":{},"Blackhole":{"type":"boolean"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Route":{"shape":"Smm","locationName":"route"}}}},"CreateTransitGatewayRouteTable":{"input":{"type":"structure","required":["TransitGatewayId"],"members":{"TransitGatewayId":{},"TagSpecifications":{"shape":"S1t"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayRouteTable":{"shape":"Smt","locationName":"transitGatewayRouteTable"}}}},"CreateTransitGatewayVpcAttachment":{"input":{"type":"structure","required":["TransitGatewayId","VpcId","SubnetIds"],"members":{"TransitGatewayId":{},"VpcId":{},"SubnetIds":{"shape":"S43"},"Options":{"type":"structure","members":{"DnsSupport":{},"Ipv6Support":{},"ApplianceModeSupport":{}}},"TagSpecifications":{"shape":"S1t"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayVpcAttachment":{"shape":"Sw","locationName":"transitGatewayVpcAttachment"}}}},"CreateVolume":{"input":{"type":"structure","required":["AvailabilityZone"],"members":{"AvailabilityZone":{},"Encrypted":{"locationName":"encrypted","type":"boolean"},"Iops":{"type":"integer"},"KmsKeyId":{},"OutpostArn":{},"Size":{"type":"integer"},"SnapshotId":{},"VolumeType":{},"DryRun":{"locationName":"dryRun","type":"boolean"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"MultiAttachEnabled":{"type":"boolean"},"Throughput":{"type":"integer"},"ClientToken":{"idempotencyToken":true}}},"output":{"shape":"Smz"}},"CreateVpc":{"input":{"type":"structure","members":{"CidrBlock":{},"AmazonProvidedIpv6CidrBlock":{"locationName":"amazonProvidedIpv6CidrBlock","type":"boolean"},"Ipv6Pool":{},"Ipv6CidrBlock":{},"Ipv4IpamPoolId":{},"Ipv4NetmaskLength":{"type":"integer"},"Ipv6IpamPoolId":{},"Ipv6NetmaskLength":{"type":"integer"},"DryRun":{"locationName":"dryRun","type":"boolean"},"InstanceTenancy":{"locationName":"instanceTenancy"},"Ipv6CidrBlockNetworkBorderGroup":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"Vpc":{"shape":"S9f","locationName":"vpc"}}}},"CreateVpcEndpoint":{"input":{"type":"structure","required":["VpcId","ServiceName"],"members":{"DryRun":{"type":"boolean"},"VpcEndpointType":{},"VpcId":{},"ServiceName":{},"PolicyDocument":{},"RouteTableIds":{"shape":"Sn6","locationName":"RouteTableId"},"SubnetIds":{"shape":"Sn7","locationName":"SubnetId"},"SecurityGroupIds":{"shape":"Sn8","locationName":"SecurityGroupId"},"ClientToken":{},"PrivateDnsEnabled":{"type":"boolean"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"VpcEndpoint":{"shape":"Sna","locationName":"vpcEndpoint"},"ClientToken":{"locationName":"clientToken"}}}},"CreateVpcEndpointConnectionNotification":{"input":{"type":"structure","required":["ConnectionNotificationArn","ConnectionEvents"],"members":{"DryRun":{"type":"boolean"},"ServiceId":{},"VpcEndpointId":{},"ConnectionNotificationArn":{},"ConnectionEvents":{"shape":"Se"},"ClientToken":{}}},"output":{"type":"structure","members":{"ConnectionNotification":{"shape":"Snj","locationName":"connectionNotification"},"ClientToken":{"locationName":"clientToken"}}}},"CreateVpcEndpointServiceConfiguration":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"AcceptanceRequired":{"type":"boolean"},"PrivateDnsName":{},"NetworkLoadBalancerArns":{"shape":"Se","locationName":"NetworkLoadBalancerArn"},"GatewayLoadBalancerArns":{"shape":"Se","locationName":"GatewayLoadBalancerArn"},"ClientToken":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"ServiceConfiguration":{"shape":"Sno","locationName":"serviceConfiguration"},"ClientToken":{"locationName":"clientToken"}}}},"CreateVpcPeeringConnection":{"input":{"type":"structure","members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"PeerOwnerId":{"locationName":"peerOwnerId"},"PeerVpcId":{"locationName":"peerVpcId"},"VpcId":{"locationName":"vpcId"},"PeerRegion":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"VpcPeeringConnection":{"shape":"S1c","locationName":"vpcPeeringConnection"}}}},"CreateVpnConnection":{"input":{"type":"structure","required":["CustomerGatewayId","Type"],"members":{"CustomerGatewayId":{},"Type":{},"VpnGatewayId":{},"TransitGatewayId":{},"DryRun":{"locationName":"dryRun","type":"boolean"},"Options":{"locationName":"options","type":"structure","members":{"EnableAcceleration":{"type":"boolean"},"StaticRoutesOnly":{"locationName":"staticRoutesOnly","type":"boolean"},"TunnelInsideIpVersion":{},"TunnelOptions":{"type":"list","member":{"type":"structure","members":{"TunnelInsideCidr":{},"TunnelInsideIpv6Cidr":{},"PreSharedKey":{},"Phase1LifetimeSeconds":{"type":"integer"},"Phase2LifetimeSeconds":{"type":"integer"},"RekeyMarginTimeSeconds":{"type":"integer"},"RekeyFuzzPercentage":{"type":"integer"},"ReplayWindowSize":{"type":"integer"},"DPDTimeoutSeconds":{"type":"integer"},"DPDTimeoutAction":{},"Phase1EncryptionAlgorithms":{"shape":"So3","locationName":"Phase1EncryptionAlgorithm"},"Phase2EncryptionAlgorithms":{"shape":"So5","locationName":"Phase2EncryptionAlgorithm"},"Phase1IntegrityAlgorithms":{"shape":"So7","locationName":"Phase1IntegrityAlgorithm"},"Phase2IntegrityAlgorithms":{"shape":"So9","locationName":"Phase2IntegrityAlgorithm"},"Phase1DHGroupNumbers":{"shape":"Sob","locationName":"Phase1DHGroupNumber"},"Phase2DHGroupNumbers":{"shape":"Sod","locationName":"Phase2DHGroupNumber"},"IKEVersions":{"shape":"Sof","locationName":"IKEVersion"},"StartupAction":{}}}},"LocalIpv4NetworkCidr":{},"RemoteIpv4NetworkCidr":{},"LocalIpv6NetworkCidr":{},"RemoteIpv6NetworkCidr":{}}},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"VpnConnection":{"shape":"Soi","locationName":"vpnConnection"}}}},"CreateVpnConnectionRoute":{"input":{"type":"structure","required":["DestinationCidrBlock","VpnConnectionId"],"members":{"DestinationCidrBlock":{},"VpnConnectionId":{}}}},"CreateVpnGateway":{"input":{"type":"structure","required":["Type"],"members":{"AvailabilityZone":{},"Type":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"AmazonSideAsn":{"type":"long"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"VpnGateway":{"shape":"Spc","locationName":"vpnGateway"}}}},"DeleteCarrierGateway":{"input":{"type":"structure","required":["CarrierGatewayId"],"members":{"CarrierGatewayId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"CarrierGateway":{"shape":"S8g","locationName":"carrierGateway"}}}},"DeleteClientVpnEndpoint":{"input":{"type":"structure","required":["ClientVpnEndpointId"],"members":{"ClientVpnEndpointId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Status":{"shape":"S8v","locationName":"status"}}}},"DeleteClientVpnRoute":{"input":{"type":"structure","required":["ClientVpnEndpointId","DestinationCidrBlock"],"members":{"ClientVpnEndpointId":{},"TargetVpcSubnetId":{},"DestinationCidrBlock":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Status":{"shape":"S8z","locationName":"status"}}}},"DeleteCustomerGateway":{"input":{"type":"structure","required":["CustomerGatewayId"],"members":{"CustomerGatewayId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DeleteDhcpOptions":{"input":{"type":"structure","required":["DhcpOptionsId"],"members":{"DhcpOptionsId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DeleteEgressOnlyInternetGateway":{"input":{"type":"structure","required":["EgressOnlyInternetGatewayId"],"members":{"DryRun":{"type":"boolean"},"EgressOnlyInternetGatewayId":{}}},"output":{"type":"structure","members":{"ReturnCode":{"locationName":"returnCode","type":"boolean"}}}},"DeleteFleets":{"input":{"type":"structure","required":["FleetIds","TerminateInstances"],"members":{"DryRun":{"type":"boolean"},"FleetIds":{"shape":"Spq","locationName":"FleetId"},"TerminateInstances":{"type":"boolean"}}},"output":{"type":"structure","members":{"SuccessfulFleetDeletions":{"locationName":"successfulFleetDeletionSet","type":"list","member":{"locationName":"item","type":"structure","members":{"CurrentFleetState":{"locationName":"currentFleetState"},"PreviousFleetState":{"locationName":"previousFleetState"},"FleetId":{"locationName":"fleetId"}}}},"UnsuccessfulFleetDeletions":{"locationName":"unsuccessfulFleetDeletionSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Error":{"locationName":"error","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"FleetId":{"locationName":"fleetId"}}}}}}},"DeleteFlowLogs":{"input":{"type":"structure","required":["FlowLogIds"],"members":{"DryRun":{"type":"boolean"},"FlowLogIds":{"shape":"Sq0","locationName":"FlowLogId"}}},"output":{"type":"structure","members":{"Unsuccessful":{"shape":"S16","locationName":"unsuccessful"}}}},"DeleteFpgaImage":{"input":{"type":"structure","required":["FpgaImageId"],"members":{"DryRun":{"type":"boolean"},"FpgaImageId":{}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"DeleteInstanceEventWindow":{"input":{"type":"structure","required":["InstanceEventWindowId"],"members":{"DryRun":{"type":"boolean"},"ForceDelete":{"type":"boolean"},"InstanceEventWindowId":{}}},"output":{"type":"structure","members":{"InstanceEventWindowState":{"locationName":"instanceEventWindowState","type":"structure","members":{"InstanceEventWindowId":{"locationName":"instanceEventWindowId"},"State":{"locationName":"state"}}}}}},"DeleteInternetGateway":{"input":{"type":"structure","required":["InternetGatewayId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"InternetGatewayId":{"locationName":"internetGatewayId"}}}},"DeleteIpam":{"input":{"type":"structure","required":["IpamId"],"members":{"DryRun":{"type":"boolean"},"IpamId":{}}},"output":{"type":"structure","members":{"Ipam":{"shape":"Sd4","locationName":"ipam"}}}},"DeleteIpamPool":{"input":{"type":"structure","required":["IpamPoolId"],"members":{"DryRun":{"type":"boolean"},"IpamPoolId":{}}},"output":{"type":"structure","members":{"IpamPool":{"shape":"Sdh","locationName":"ipamPool"}}}},"DeleteIpamScope":{"input":{"type":"structure","required":["IpamScopeId"],"members":{"DryRun":{"type":"boolean"},"IpamScopeId":{}}},"output":{"type":"structure","members":{"IpamScope":{"shape":"Sdo","locationName":"ipamScope"}}}},"DeleteKeyPair":{"input":{"type":"structure","members":{"KeyName":{},"KeyPairId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DeleteLaunchTemplate":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"LaunchTemplateId":{},"LaunchTemplateName":{}}},"output":{"type":"structure","members":{"LaunchTemplate":{"shape":"Sfb","locationName":"launchTemplate"}}}},"DeleteLaunchTemplateVersions":{"input":{"type":"structure","required":["Versions"],"members":{"DryRun":{"type":"boolean"},"LaunchTemplateId":{},"LaunchTemplateName":{},"Versions":{"shape":"Sql","locationName":"LaunchTemplateVersion"}}},"output":{"type":"structure","members":{"SuccessfullyDeletedLaunchTemplateVersions":{"locationName":"successfullyDeletedLaunchTemplateVersionSet","type":"list","member":{"locationName":"item","type":"structure","members":{"LaunchTemplateId":{"locationName":"launchTemplateId"},"LaunchTemplateName":{"locationName":"launchTemplateName"},"VersionNumber":{"locationName":"versionNumber","type":"long"}}}},"UnsuccessfullyDeletedLaunchTemplateVersions":{"locationName":"unsuccessfullyDeletedLaunchTemplateVersionSet","type":"list","member":{"locationName":"item","type":"structure","members":{"LaunchTemplateId":{"locationName":"launchTemplateId"},"LaunchTemplateName":{"locationName":"launchTemplateName"},"VersionNumber":{"locationName":"versionNumber","type":"long"},"ResponseError":{"locationName":"responseError","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}}}}}}}},"DeleteLocalGatewayRoute":{"input":{"type":"structure","required":["DestinationCidrBlock","LocalGatewayRouteTableId"],"members":{"DestinationCidrBlock":{},"LocalGatewayRouteTableId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Route":{"shape":"Sgk","locationName":"route"}}}},"DeleteLocalGatewayRouteTableVpcAssociation":{"input":{"type":"structure","required":["LocalGatewayRouteTableVpcAssociationId"],"members":{"LocalGatewayRouteTableVpcAssociationId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"LocalGatewayRouteTableVpcAssociation":{"shape":"Sgp","locationName":"localGatewayRouteTableVpcAssociation"}}}},"DeleteManagedPrefixList":{"input":{"type":"structure","required":["PrefixListId"],"members":{"DryRun":{"type":"boolean"},"PrefixListId":{}}},"output":{"type":"structure","members":{"PrefixList":{"shape":"Sgv","locationName":"prefixList"}}}},"DeleteNatGateway":{"input":{"type":"structure","required":["NatGatewayId"],"members":{"DryRun":{"type":"boolean"},"NatGatewayId":{}}},"output":{"type":"structure","members":{"NatGatewayId":{"locationName":"natGatewayId"}}}},"DeleteNetworkAcl":{"input":{"type":"structure","required":["NetworkAclId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"NetworkAclId":{"locationName":"networkAclId"}}}},"DeleteNetworkAclEntry":{"input":{"type":"structure","required":["Egress","NetworkAclId","RuleNumber"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"Egress":{"locationName":"egress","type":"boolean"},"NetworkAclId":{"locationName":"networkAclId"},"RuleNumber":{"locationName":"ruleNumber","type":"integer"}}}},"DeleteNetworkInsightsAccessScope":{"input":{"type":"structure","required":["NetworkInsightsAccessScopeId"],"members":{"DryRun":{"type":"boolean"},"NetworkInsightsAccessScopeId":{}}},"output":{"type":"structure","members":{"NetworkInsightsAccessScopeId":{"locationName":"networkInsightsAccessScopeId"}}}},"DeleteNetworkInsightsAccessScopeAnalysis":{"input":{"type":"structure","required":["NetworkInsightsAccessScopeAnalysisId"],"members":{"NetworkInsightsAccessScopeAnalysisId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"NetworkInsightsAccessScopeAnalysisId":{"locationName":"networkInsightsAccessScopeAnalysisId"}}}},"DeleteNetworkInsightsAnalysis":{"input":{"type":"structure","required":["NetworkInsightsAnalysisId"],"members":{"DryRun":{"type":"boolean"},"NetworkInsightsAnalysisId":{}}},"output":{"type":"structure","members":{"NetworkInsightsAnalysisId":{"locationName":"networkInsightsAnalysisId"}}}},"DeleteNetworkInsightsPath":{"input":{"type":"structure","required":["NetworkInsightsPathId"],"members":{"DryRun":{"type":"boolean"},"NetworkInsightsPathId":{}}},"output":{"type":"structure","members":{"NetworkInsightsPathId":{"locationName":"networkInsightsPathId"}}}},"DeleteNetworkInterface":{"input":{"type":"structure","required":["NetworkInterfaceId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"}}}},"DeleteNetworkInterfacePermission":{"input":{"type":"structure","required":["NetworkInterfacePermissionId"],"members":{"NetworkInterfacePermissionId":{},"Force":{"type":"boolean"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"DeletePlacementGroup":{"input":{"type":"structure","required":["GroupName"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"GroupName":{"locationName":"groupName"}}}},"DeletePublicIpv4Pool":{"input":{"type":"structure","required":["PoolId"],"members":{"DryRun":{"type":"boolean"},"PoolId":{}}},"output":{"type":"structure","members":{"ReturnValue":{"locationName":"returnValue","type":"boolean"}}}},"DeleteQueuedReservedInstances":{"input":{"type":"structure","required":["ReservedInstancesIds"],"members":{"DryRun":{"type":"boolean"},"ReservedInstancesIds":{"locationName":"ReservedInstancesId","type":"list","member":{"locationName":"item"}}}},"output":{"type":"structure","members":{"SuccessfulQueuedPurchaseDeletions":{"locationName":"successfulQueuedPurchaseDeletionSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ReservedInstancesId":{"locationName":"reservedInstancesId"}}}},"FailedQueuedPurchaseDeletions":{"locationName":"failedQueuedPurchaseDeletionSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Error":{"locationName":"error","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"ReservedInstancesId":{"locationName":"reservedInstancesId"}}}}}}},"DeleteRoute":{"input":{"type":"structure","required":["RouteTableId"],"members":{"DestinationCidrBlock":{"locationName":"destinationCidrBlock"},"DestinationIpv6CidrBlock":{"locationName":"destinationIpv6CidrBlock"},"DestinationPrefixListId":{},"DryRun":{"locationName":"dryRun","type":"boolean"},"RouteTableId":{"locationName":"routeTableId"}}}},"DeleteRouteTable":{"input":{"type":"structure","required":["RouteTableId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"RouteTableId":{"locationName":"routeTableId"}}}},"DeleteSecurityGroup":{"input":{"type":"structure","members":{"GroupId":{},"GroupName":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DeleteSnapshot":{"input":{"type":"structure","required":["SnapshotId"],"members":{"SnapshotId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DeleteSpotDatafeedSubscription":{"input":{"type":"structure","members":{"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DeleteSubnet":{"input":{"type":"structure","required":["SubnetId"],"members":{"SubnetId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DeleteSubnetCidrReservation":{"input":{"type":"structure","required":["SubnetCidrReservationId"],"members":{"SubnetCidrReservationId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"DeletedSubnetCidrReservation":{"shape":"Skj","locationName":"deletedSubnetCidrReservation"}}}},"DeleteTags":{"input":{"type":"structure","required":["Resources"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"Resources":{"shape":"Skm","locationName":"resourceId"},"Tags":{"shape":"Ss","locationName":"tag"}}}},"DeleteTrafficMirrorFilter":{"input":{"type":"structure","required":["TrafficMirrorFilterId"],"members":{"TrafficMirrorFilterId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TrafficMirrorFilterId":{"locationName":"trafficMirrorFilterId"}}}},"DeleteTrafficMirrorFilterRule":{"input":{"type":"structure","required":["TrafficMirrorFilterRuleId"],"members":{"TrafficMirrorFilterRuleId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TrafficMirrorFilterRuleId":{"locationName":"trafficMirrorFilterRuleId"}}}},"DeleteTrafficMirrorSession":{"input":{"type":"structure","required":["TrafficMirrorSessionId"],"members":{"TrafficMirrorSessionId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TrafficMirrorSessionId":{"locationName":"trafficMirrorSessionId"}}}},"DeleteTrafficMirrorTarget":{"input":{"type":"structure","required":["TrafficMirrorTargetId"],"members":{"TrafficMirrorTargetId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TrafficMirrorTargetId":{"locationName":"trafficMirrorTargetId"}}}},"DeleteTransitGateway":{"input":{"type":"structure","required":["TransitGatewayId"],"members":{"TransitGatewayId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGateway":{"shape":"Slj","locationName":"transitGateway"}}}},"DeleteTransitGatewayConnect":{"input":{"type":"structure","required":["TransitGatewayAttachmentId"],"members":{"TransitGatewayAttachmentId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayConnect":{"shape":"Slq","locationName":"transitGatewayConnect"}}}},"DeleteTransitGatewayConnectPeer":{"input":{"type":"structure","required":["TransitGatewayConnectPeerId"],"members":{"TransitGatewayConnectPeerId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayConnectPeer":{"shape":"Slw","locationName":"transitGatewayConnectPeer"}}}},"DeleteTransitGatewayMulticastDomain":{"input":{"type":"structure","required":["TransitGatewayMulticastDomainId"],"members":{"TransitGatewayMulticastDomainId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayMulticastDomain":{"shape":"Sm9","locationName":"transitGatewayMulticastDomain"}}}},"DeleteTransitGatewayPeeringAttachment":{"input":{"type":"structure","required":["TransitGatewayAttachmentId"],"members":{"TransitGatewayAttachmentId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayPeeringAttachment":{"shape":"Sn","locationName":"transitGatewayPeeringAttachment"}}}},"DeleteTransitGatewayPrefixListReference":{"input":{"type":"structure","required":["TransitGatewayRouteTableId","PrefixListId"],"members":{"TransitGatewayRouteTableId":{},"PrefixListId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayPrefixListReference":{"shape":"Smh","locationName":"transitGatewayPrefixListReference"}}}},"DeleteTransitGatewayRoute":{"input":{"type":"structure","required":["TransitGatewayRouteTableId","DestinationCidrBlock"],"members":{"TransitGatewayRouteTableId":{},"DestinationCidrBlock":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Route":{"shape":"Smm","locationName":"route"}}}},"DeleteTransitGatewayRouteTable":{"input":{"type":"structure","required":["TransitGatewayRouteTableId"],"members":{"TransitGatewayRouteTableId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayRouteTable":{"shape":"Smt","locationName":"transitGatewayRouteTable"}}}},"DeleteTransitGatewayVpcAttachment":{"input":{"type":"structure","required":["TransitGatewayAttachmentId"],"members":{"TransitGatewayAttachmentId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayVpcAttachment":{"shape":"Sw","locationName":"transitGatewayVpcAttachment"}}}},"DeleteVolume":{"input":{"type":"structure","required":["VolumeId"],"members":{"VolumeId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DeleteVpc":{"input":{"type":"structure","required":["VpcId"],"members":{"VpcId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DeleteVpcEndpointConnectionNotifications":{"input":{"type":"structure","required":["ConnectionNotificationIds"],"members":{"DryRun":{"type":"boolean"},"ConnectionNotificationIds":{"locationName":"ConnectionNotificationId","type":"list","member":{"locationName":"item"}}}},"output":{"type":"structure","members":{"Unsuccessful":{"shape":"S16","locationName":"unsuccessful"}}}},"DeleteVpcEndpointServiceConfigurations":{"input":{"type":"structure","required":["ServiceIds"],"members":{"DryRun":{"type":"boolean"},"ServiceIds":{"shape":"St1","locationName":"ServiceId"}}},"output":{"type":"structure","members":{"Unsuccessful":{"shape":"S16","locationName":"unsuccessful"}}}},"DeleteVpcEndpoints":{"input":{"type":"structure","required":["VpcEndpointIds"],"members":{"DryRun":{"type":"boolean"},"VpcEndpointIds":{"shape":"S13","locationName":"VpcEndpointId"}}},"output":{"type":"structure","members":{"Unsuccessful":{"shape":"S16","locationName":"unsuccessful"}}}},"DeleteVpcPeeringConnection":{"input":{"type":"structure","required":["VpcPeeringConnectionId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"VpcPeeringConnectionId":{"locationName":"vpcPeeringConnectionId"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"DeleteVpnConnection":{"input":{"type":"structure","required":["VpnConnectionId"],"members":{"VpnConnectionId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DeleteVpnConnectionRoute":{"input":{"type":"structure","required":["DestinationCidrBlock","VpnConnectionId"],"members":{"DestinationCidrBlock":{},"VpnConnectionId":{}}}},"DeleteVpnGateway":{"input":{"type":"structure","required":["VpnGatewayId"],"members":{"VpnGatewayId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DeprovisionByoipCidr":{"input":{"type":"structure","required":["Cidr"],"members":{"Cidr":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"ByoipCidr":{"shape":"S1n","locationName":"byoipCidr"}}}},"DeprovisionIpamPoolCidr":{"input":{"type":"structure","required":["IpamPoolId"],"members":{"DryRun":{"type":"boolean"},"IpamPoolId":{},"Cidr":{}}},"output":{"type":"structure","members":{"IpamPoolCidr":{"shape":"Ste","locationName":"ipamPoolCidr"}}}},"DeprovisionPublicIpv4PoolCidr":{"input":{"type":"structure","required":["PoolId","Cidr"],"members":{"DryRun":{"type":"boolean"},"PoolId":{},"Cidr":{}}},"output":{"type":"structure","members":{"PoolId":{"locationName":"poolId"},"DeprovisionedAddresses":{"locationName":"deprovisionedAddressSet","type":"list","member":{"locationName":"item"}}}}},"DeregisterImage":{"input":{"type":"structure","required":["ImageId"],"members":{"ImageId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DeregisterInstanceEventNotificationAttributes":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"InstanceTagAttribute":{"type":"structure","members":{"IncludeAllTagsOfInstance":{"type":"boolean"},"InstanceTagKeys":{"shape":"Sto","locationName":"InstanceTagKey"}}}}},"output":{"type":"structure","members":{"InstanceTagAttribute":{"shape":"Stq","locationName":"instanceTagAttribute"}}}},"DeregisterTransitGatewayMulticastGroupMembers":{"input":{"type":"structure","members":{"TransitGatewayMulticastDomainId":{},"GroupIpAddress":{},"NetworkInterfaceIds":{"shape":"Sts"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"DeregisteredMulticastGroupMembers":{"locationName":"deregisteredMulticastGroupMembers","type":"structure","members":{"TransitGatewayMulticastDomainId":{"locationName":"transitGatewayMulticastDomainId"},"DeregisteredNetworkInterfaceIds":{"shape":"Se","locationName":"deregisteredNetworkInterfaceIds"},"GroupIpAddress":{"locationName":"groupIpAddress"}}}}}},"DeregisterTransitGatewayMulticastGroupSources":{"input":{"type":"structure","members":{"TransitGatewayMulticastDomainId":{},"GroupIpAddress":{},"NetworkInterfaceIds":{"shape":"Sts"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"DeregisteredMulticastGroupSources":{"locationName":"deregisteredMulticastGroupSources","type":"structure","members":{"TransitGatewayMulticastDomainId":{"locationName":"transitGatewayMulticastDomainId"},"DeregisteredNetworkInterfaceIds":{"shape":"Se","locationName":"deregisteredNetworkInterfaceIds"},"GroupIpAddress":{"locationName":"groupIpAddress"}}}}}},"DescribeAccountAttributes":{"input":{"type":"structure","members":{"AttributeNames":{"locationName":"attributeName","type":"list","member":{"locationName":"attributeName"}},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"AccountAttributes":{"locationName":"accountAttributeSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AttributeName":{"locationName":"attributeName"},"AttributeValues":{"locationName":"attributeValueSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AttributeValue":{"locationName":"attributeValue"}}}}}}}}}},"DescribeAddresses":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"PublicIps":{"locationName":"PublicIp","type":"list","member":{"locationName":"PublicIp"}},"AllocationIds":{"locationName":"AllocationId","type":"list","member":{"locationName":"AllocationId"}},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"Addresses":{"locationName":"addressesSet","type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceId":{"locationName":"instanceId"},"PublicIp":{"locationName":"publicIp"},"AllocationId":{"locationName":"allocationId"},"AssociationId":{"locationName":"associationId"},"Domain":{"locationName":"domain"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"NetworkInterfaceOwnerId":{"locationName":"networkInterfaceOwnerId"},"PrivateIpAddress":{"locationName":"privateIpAddress"},"Tags":{"shape":"Ss","locationName":"tagSet"},"PublicIpv4Pool":{"locationName":"publicIpv4Pool"},"NetworkBorderGroup":{"locationName":"networkBorderGroup"},"CustomerOwnedIp":{"locationName":"customerOwnedIp"},"CustomerOwnedIpv4Pool":{"locationName":"customerOwnedIpv4Pool"},"CarrierIp":{"locationName":"carrierIp"}}}}}}},"DescribeAddressesAttribute":{"input":{"type":"structure","members":{"AllocationIds":{"locationName":"AllocationId","type":"list","member":{"locationName":"item"}},"Attribute":{},"NextToken":{},"MaxResults":{"type":"integer"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Addresses":{"locationName":"addressSet","type":"list","member":{"shape":"Sul","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeAggregateIdFormat":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"UseLongIdsAggregated":{"locationName":"useLongIdsAggregated","type":"boolean"},"Statuses":{"shape":"Sup","locationName":"statusSet"}}}},"DescribeAvailabilityZones":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"ZoneNames":{"locationName":"ZoneName","type":"list","member":{"locationName":"ZoneName"}},"ZoneIds":{"locationName":"ZoneId","type":"list","member":{"locationName":"ZoneId"}},"AllAvailabilityZones":{"type":"boolean"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"AvailabilityZones":{"locationName":"availabilityZoneInfo","type":"list","member":{"locationName":"item","type":"structure","members":{"State":{"locationName":"zoneState"},"OptInStatus":{"locationName":"optInStatus"},"Messages":{"locationName":"messageSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Message":{"locationName":"message"}}}},"RegionName":{"locationName":"regionName"},"ZoneName":{"locationName":"zoneName"},"ZoneId":{"locationName":"zoneId"},"GroupName":{"locationName":"groupName"},"NetworkBorderGroup":{"locationName":"networkBorderGroup"},"ZoneType":{"locationName":"zoneType"},"ParentZoneName":{"locationName":"parentZoneName"},"ParentZoneId":{"locationName":"parentZoneId"}}}}}}},"DescribeBundleTasks":{"input":{"type":"structure","members":{"BundleIds":{"locationName":"BundleId","type":"list","member":{"locationName":"BundleId"}},"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"BundleTasks":{"locationName":"bundleInstanceTasksSet","type":"list","member":{"shape":"S5w","locationName":"item"}}}}},"DescribeByoipCidrs":{"input":{"type":"structure","required":["MaxResults"],"members":{"DryRun":{"type":"boolean"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ByoipCidrs":{"locationName":"byoipCidrSet","type":"list","member":{"shape":"S1n","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeCapacityReservationFleets":{"input":{"type":"structure","members":{"CapacityReservationFleetIds":{"shape":"S66","locationName":"CapacityReservationFleetId"},"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"CapacityReservationFleets":{"locationName":"capacityReservationFleetSet","type":"list","member":{"locationName":"item","type":"structure","members":{"CapacityReservationFleetId":{"locationName":"capacityReservationFleetId"},"CapacityReservationFleetArn":{"locationName":"capacityReservationFleetArn"},"State":{"locationName":"state"},"TotalTargetCapacity":{"locationName":"totalTargetCapacity","type":"integer"},"TotalFulfilledCapacity":{"locationName":"totalFulfilledCapacity","type":"double"},"Tenancy":{"locationName":"tenancy"},"EndDate":{"locationName":"endDate","type":"timestamp"},"CreateTime":{"locationName":"createTime","type":"timestamp"},"InstanceMatchCriteria":{"locationName":"instanceMatchCriteria"},"AllocationStrategy":{"locationName":"allocationStrategy"},"InstanceTypeSpecifications":{"shape":"S8c","locationName":"instanceTypeSpecificationSet"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeCapacityReservations":{"input":{"type":"structure","members":{"CapacityReservationIds":{"locationName":"CapacityReservationId","type":"list","member":{"locationName":"item"}},"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"CapacityReservations":{"locationName":"capacityReservationSet","type":"list","member":{"shape":"S80","locationName":"item"}}}}},"DescribeCarrierGateways":{"input":{"type":"structure","members":{"CarrierGatewayIds":{"locationName":"CarrierGatewayId","type":"list","member":{}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"CarrierGateways":{"locationName":"carrierGatewaySet","type":"list","member":{"shape":"S8g","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeClassicLinkInstances":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"locationName":"dryRun","type":"boolean"},"InstanceIds":{"shape":"Svp","locationName":"InstanceId"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"}}},"output":{"type":"structure","members":{"Instances":{"locationName":"instancesSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Groups":{"shape":"Sie","locationName":"groupSet"},"InstanceId":{"locationName":"instanceId"},"Tags":{"shape":"Ss","locationName":"tagSet"},"VpcId":{"locationName":"vpcId"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeClientVpnAuthorizationRules":{"input":{"type":"structure","required":["ClientVpnEndpointId"],"members":{"ClientVpnEndpointId":{},"DryRun":{"type":"boolean"},"NextToken":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"AuthorizationRules":{"locationName":"authorizationRule","type":"list","member":{"locationName":"item","type":"structure","members":{"ClientVpnEndpointId":{"locationName":"clientVpnEndpointId"},"Description":{"locationName":"description"},"GroupId":{"locationName":"groupId"},"AccessAll":{"locationName":"accessAll","type":"boolean"},"DestinationCidr":{"locationName":"destinationCidr"},"Status":{"shape":"S55","locationName":"status"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeClientVpnConnections":{"input":{"type":"structure","required":["ClientVpnEndpointId"],"members":{"ClientVpnEndpointId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"NextToken":{},"MaxResults":{"type":"integer"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Connections":{"locationName":"connections","type":"list","member":{"locationName":"item","type":"structure","members":{"ClientVpnEndpointId":{"locationName":"clientVpnEndpointId"},"Timestamp":{"locationName":"timestamp"},"ConnectionId":{"locationName":"connectionId"},"Username":{"locationName":"username"},"ConnectionEstablishedTime":{"locationName":"connectionEstablishedTime"},"IngressBytes":{"locationName":"ingressBytes"},"EgressBytes":{"locationName":"egressBytes"},"IngressPackets":{"locationName":"ingressPackets"},"EgressPackets":{"locationName":"egressPackets"},"ClientIp":{"locationName":"clientIp"},"CommonName":{"locationName":"commonName"},"Status":{"shape":"Sw4","locationName":"status"},"ConnectionEndTime":{"locationName":"connectionEndTime"},"PostureComplianceStatuses":{"shape":"Se","locationName":"postureComplianceStatusSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeClientVpnEndpoints":{"input":{"type":"structure","members":{"ClientVpnEndpointIds":{"locationName":"ClientVpnEndpointId","type":"list","member":{"locationName":"item"}},"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"ClientVpnEndpoints":{"locationName":"clientVpnEndpoint","type":"list","member":{"locationName":"item","type":"structure","members":{"ClientVpnEndpointId":{"locationName":"clientVpnEndpointId"},"Description":{"locationName":"description"},"Status":{"shape":"S8v","locationName":"status"},"CreationTime":{"locationName":"creationTime"},"DeletionTime":{"locationName":"deletionTime"},"DnsName":{"locationName":"dnsName"},"ClientCidrBlock":{"locationName":"clientCidrBlock"},"DnsServers":{"shape":"Se","locationName":"dnsServer"},"SplitTunnel":{"locationName":"splitTunnel","type":"boolean"},"VpnProtocol":{"locationName":"vpnProtocol"},"TransportProtocol":{"locationName":"transportProtocol"},"VpnPort":{"locationName":"vpnPort","type":"integer"},"AssociatedTargetNetworks":{"deprecated":true,"deprecatedMessage":"This property is deprecated. To view the target networks associated with a Client VPN endpoint, call DescribeClientVpnTargetNetworks and inspect the clientVpnTargetNetworks response element.","locationName":"associatedTargetNetwork","type":"list","member":{"locationName":"item","type":"structure","members":{"NetworkId":{"locationName":"networkId"},"NetworkType":{"locationName":"networkType"}}}},"ServerCertificateArn":{"locationName":"serverCertificateArn"},"AuthenticationOptions":{"locationName":"authenticationOptions","type":"list","member":{"locationName":"item","type":"structure","members":{"Type":{"locationName":"type"},"ActiveDirectory":{"locationName":"activeDirectory","type":"structure","members":{"DirectoryId":{"locationName":"directoryId"}}},"MutualAuthentication":{"locationName":"mutualAuthentication","type":"structure","members":{"ClientRootCertificateChain":{"locationName":"clientRootCertificateChain"}}},"FederatedAuthentication":{"locationName":"federatedAuthentication","type":"structure","members":{"SamlProviderArn":{"locationName":"samlProviderArn"},"SelfServiceSamlProviderArn":{"locationName":"selfServiceSamlProviderArn"}}}}}},"ConnectionLogOptions":{"locationName":"connectionLogOptions","type":"structure","members":{"Enabled":{"type":"boolean"},"CloudwatchLogGroup":{},"CloudwatchLogStream":{}}},"Tags":{"shape":"Ss","locationName":"tagSet"},"SecurityGroupIds":{"shape":"S2c","locationName":"securityGroupIdSet"},"VpcId":{"locationName":"vpcId"},"SelfServicePortalUrl":{"locationName":"selfServicePortalUrl"},"ClientConnectOptions":{"locationName":"clientConnectOptions","type":"structure","members":{"Enabled":{"locationName":"enabled","type":"boolean"},"LambdaFunctionArn":{"locationName":"lambdaFunctionArn"},"Status":{"locationName":"status","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}}}}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeClientVpnRoutes":{"input":{"type":"structure","required":["ClientVpnEndpointId"],"members":{"ClientVpnEndpointId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Routes":{"locationName":"routes","type":"list","member":{"locationName":"item","type":"structure","members":{"ClientVpnEndpointId":{"locationName":"clientVpnEndpointId"},"DestinationCidr":{"locationName":"destinationCidr"},"TargetSubnet":{"locationName":"targetSubnet"},"Type":{"locationName":"type"},"Origin":{"locationName":"origin"},"Status":{"shape":"S8z","locationName":"status"},"Description":{"locationName":"description"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeClientVpnTargetNetworks":{"input":{"type":"structure","required":["ClientVpnEndpointId"],"members":{"ClientVpnEndpointId":{},"AssociationIds":{"shape":"Se"},"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"ClientVpnTargetNetworks":{"locationName":"clientVpnTargetNetworks","type":"list","member":{"locationName":"item","type":"structure","members":{"AssociationId":{"locationName":"associationId"},"VpcId":{"locationName":"vpcId"},"TargetNetworkId":{"locationName":"targetNetworkId"},"ClientVpnEndpointId":{"locationName":"clientVpnEndpointId"},"Status":{"shape":"S2y","locationName":"status"},"SecurityGroups":{"shape":"Se","locationName":"securityGroups"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeCoipPools":{"input":{"type":"structure","members":{"PoolIds":{"locationName":"PoolId","type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"CoipPools":{"locationName":"coipPoolSet","type":"list","member":{"locationName":"item","type":"structure","members":{"PoolId":{"locationName":"poolId"},"PoolCidrs":{"shape":"Se","locationName":"poolCidrSet"},"LocalGatewayRouteTableId":{"locationName":"localGatewayRouteTableId"},"Tags":{"shape":"Ss","locationName":"tagSet"},"PoolArn":{"locationName":"poolArn"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeConversionTasks":{"input":{"type":"structure","members":{"ConversionTaskIds":{"locationName":"conversionTaskId","type":"list","member":{"locationName":"item"}},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"ConversionTasks":{"locationName":"conversionTasks","type":"list","member":{"shape":"Sx9","locationName":"item"}}}}},"DescribeCustomerGateways":{"input":{"type":"structure","members":{"CustomerGatewayIds":{"locationName":"CustomerGatewayId","type":"list","member":{"locationName":"CustomerGatewayId"}},"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"CustomerGateways":{"locationName":"customerGatewaySet","type":"list","member":{"shape":"S94","locationName":"item"}}}}},"DescribeDhcpOptions":{"input":{"type":"structure","members":{"DhcpOptionsIds":{"locationName":"DhcpOptionsId","type":"list","member":{"locationName":"DhcpOptionsId"}},"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"locationName":"dryRun","type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DhcpOptions":{"locationName":"dhcpOptionsSet","type":"list","member":{"shape":"S9o","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeEgressOnlyInternetGateways":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"EgressOnlyInternetGatewayIds":{"locationName":"EgressOnlyInternetGatewayId","type":"list","member":{"locationName":"item"}},"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"Su7","locationName":"Filter"}}},"output":{"type":"structure","members":{"EgressOnlyInternetGateways":{"locationName":"egressOnlyInternetGatewaySet","type":"list","member":{"shape":"S9v","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeElasticGpus":{"input":{"type":"structure","members":{"ElasticGpuIds":{"locationName":"ElasticGpuId","type":"list","member":{"locationName":"item"}},"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ElasticGpuSet":{"locationName":"elasticGpuSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ElasticGpuId":{"locationName":"elasticGpuId"},"AvailabilityZone":{"locationName":"availabilityZone"},"ElasticGpuType":{"locationName":"elasticGpuType"},"ElasticGpuHealth":{"locationName":"elasticGpuHealth","type":"structure","members":{"Status":{"locationName":"status"}}},"ElasticGpuState":{"locationName":"elasticGpuState"},"InstanceId":{"locationName":"instanceId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"}}}},"DescribeExportImageTasks":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"ExportImageTaskIds":{"locationName":"ExportImageTaskId","type":"list","member":{"locationName":"ExportImageTaskId"}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ExportImageTasks":{"locationName":"exportImageTaskSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Description":{"locationName":"description"},"ExportImageTaskId":{"locationName":"exportImageTaskId"},"ImageId":{"locationName":"imageId"},"Progress":{"locationName":"progress"},"S3ExportLocation":{"shape":"Syc","locationName":"s3ExportLocation"},"Status":{"locationName":"status"},"StatusMessage":{"locationName":"statusMessage"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeExportTasks":{"input":{"type":"structure","members":{"ExportTaskIds":{"locationName":"exportTaskId","type":"list","member":{"locationName":"ExportTaskId"}},"Filters":{"shape":"Su7","locationName":"Filter"}}},"output":{"type":"structure","members":{"ExportTasks":{"locationName":"exportTaskSet","type":"list","member":{"shape":"Sct","locationName":"item"}}}}},"DescribeFastSnapshotRestores":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"FastSnapshotRestores":{"locationName":"fastSnapshotRestoreSet","type":"list","member":{"locationName":"item","type":"structure","members":{"SnapshotId":{"locationName":"snapshotId"},"AvailabilityZone":{"locationName":"availabilityZone"},"State":{"locationName":"state"},"StateTransitionReason":{"locationName":"stateTransitionReason"},"OwnerId":{"locationName":"ownerId"},"OwnerAlias":{"locationName":"ownerAlias"},"EnablingTime":{"locationName":"enablingTime","type":"timestamp"},"OptimizingTime":{"locationName":"optimizingTime","type":"timestamp"},"EnabledTime":{"locationName":"enabledTime","type":"timestamp"},"DisablingTime":{"locationName":"disablingTime","type":"timestamp"},"DisabledTime":{"locationName":"disabledTime","type":"timestamp"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeFleetHistory":{"input":{"type":"structure","required":["FleetId","StartTime"],"members":{"DryRun":{"type":"boolean"},"EventType":{},"MaxResults":{"type":"integer"},"NextToken":{},"FleetId":{},"StartTime":{"type":"timestamp"}}},"output":{"type":"structure","members":{"HistoryRecords":{"locationName":"historyRecordSet","type":"list","member":{"locationName":"item","type":"structure","members":{"EventInformation":{"shape":"Syt","locationName":"eventInformation"},"EventType":{"locationName":"eventType"},"Timestamp":{"locationName":"timestamp","type":"timestamp"}}}},"LastEvaluatedTime":{"locationName":"lastEvaluatedTime","type":"timestamp"},"NextToken":{"locationName":"nextToken"},"FleetId":{"locationName":"fleetId"},"StartTime":{"locationName":"startTime","type":"timestamp"}}}},"DescribeFleetInstances":{"input":{"type":"structure","required":["FleetId"],"members":{"DryRun":{"type":"boolean"},"MaxResults":{"type":"integer"},"NextToken":{},"FleetId":{},"Filters":{"shape":"Su7","locationName":"Filter"}}},"output":{"type":"structure","members":{"ActiveInstances":{"shape":"Syw","locationName":"activeInstanceSet"},"NextToken":{"locationName":"nextToken"},"FleetId":{"locationName":"fleetId"}}}},"DescribeFleets":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"MaxResults":{"type":"integer"},"NextToken":{},"FleetIds":{"shape":"Spq","locationName":"FleetId"},"Filters":{"shape":"Su7","locationName":"Filter"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Fleets":{"locationName":"fleetSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ActivityStatus":{"locationName":"activityStatus"},"CreateTime":{"locationName":"createTime","type":"timestamp"},"FleetId":{"locationName":"fleetId"},"FleetState":{"locationName":"fleetState"},"ClientToken":{"locationName":"clientToken"},"ExcessCapacityTerminationPolicy":{"locationName":"excessCapacityTerminationPolicy"},"FulfilledCapacity":{"locationName":"fulfilledCapacity","type":"double"},"FulfilledOnDemandCapacity":{"locationName":"fulfilledOnDemandCapacity","type":"double"},"LaunchTemplateConfigs":{"locationName":"launchTemplateConfigs","type":"list","member":{"locationName":"item","type":"structure","members":{"LaunchTemplateSpecification":{"shape":"Sbj","locationName":"launchTemplateSpecification"},"Overrides":{"locationName":"overrides","type":"list","member":{"shape":"Sbk","locationName":"item"}}}}},"TargetCapacitySpecification":{"locationName":"targetCapacitySpecification","type":"structure","members":{"TotalTargetCapacity":{"locationName":"totalTargetCapacity","type":"integer"},"OnDemandTargetCapacity":{"locationName":"onDemandTargetCapacity","type":"integer"},"SpotTargetCapacity":{"locationName":"spotTargetCapacity","type":"integer"},"DefaultTargetCapacityType":{"locationName":"defaultTargetCapacityType"},"TargetCapacityUnitType":{"locationName":"targetCapacityUnitType"}}},"TerminateInstancesWithExpiration":{"locationName":"terminateInstancesWithExpiration","type":"boolean"},"Type":{"locationName":"type"},"ValidFrom":{"locationName":"validFrom","type":"timestamp"},"ValidUntil":{"locationName":"validUntil","type":"timestamp"},"ReplaceUnhealthyInstances":{"locationName":"replaceUnhealthyInstances","type":"boolean"},"SpotOptions":{"locationName":"spotOptions","type":"structure","members":{"AllocationStrategy":{"locationName":"allocationStrategy"},"MaintenanceStrategies":{"locationName":"maintenanceStrategies","type":"structure","members":{"CapacityRebalance":{"locationName":"capacityRebalance","type":"structure","members":{"ReplacementStrategy":{"locationName":"replacementStrategy"},"TerminationDelay":{"locationName":"terminationDelay","type":"integer"}}}}},"InstanceInterruptionBehavior":{"locationName":"instanceInterruptionBehavior"},"InstancePoolsToUseCount":{"locationName":"instancePoolsToUseCount","type":"integer"},"SingleInstanceType":{"locationName":"singleInstanceType","type":"boolean"},"SingleAvailabilityZone":{"locationName":"singleAvailabilityZone","type":"boolean"},"MinTargetCapacity":{"locationName":"minTargetCapacity","type":"integer"},"MaxTotalPrice":{"locationName":"maxTotalPrice"}}},"OnDemandOptions":{"locationName":"onDemandOptions","type":"structure","members":{"AllocationStrategy":{"locationName":"allocationStrategy"},"CapacityReservationOptions":{"locationName":"capacityReservationOptions","type":"structure","members":{"UsageStrategy":{"locationName":"usageStrategy"}}},"SingleInstanceType":{"locationName":"singleInstanceType","type":"boolean"},"SingleAvailabilityZone":{"locationName":"singleAvailabilityZone","type":"boolean"},"MinTargetCapacity":{"locationName":"minTargetCapacity","type":"integer"},"MaxTotalPrice":{"locationName":"maxTotalPrice"}}},"Tags":{"shape":"Ss","locationName":"tagSet"},"Errors":{"locationName":"errorSet","type":"list","member":{"locationName":"item","type":"structure","members":{"LaunchTemplateAndOverrides":{"shape":"Sbi","locationName":"launchTemplateAndOverrides"},"Lifecycle":{"locationName":"lifecycle"},"ErrorCode":{"locationName":"errorCode"},"ErrorMessage":{"locationName":"errorMessage"}}}},"Instances":{"locationName":"fleetInstanceSet","type":"list","member":{"locationName":"item","type":"structure","members":{"LaunchTemplateAndOverrides":{"shape":"Sbi","locationName":"launchTemplateAndOverrides"},"Lifecycle":{"locationName":"lifecycle"},"InstanceIds":{"shape":"Sby","locationName":"instanceIds"},"InstanceType":{"locationName":"instanceType"},"Platform":{"locationName":"platform"}}}},"Context":{"locationName":"context"}}}}}}},"DescribeFlowLogs":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filter":{"shape":"Su7"},"FlowLogIds":{"shape":"Sq0","locationName":"FlowLogId"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"FlowLogs":{"locationName":"flowLogSet","type":"list","member":{"locationName":"item","type":"structure","members":{"CreationTime":{"locationName":"creationTime","type":"timestamp"},"DeliverLogsErrorMessage":{"locationName":"deliverLogsErrorMessage"},"DeliverLogsPermissionArn":{"locationName":"deliverLogsPermissionArn"},"DeliverLogsStatus":{"locationName":"deliverLogsStatus"},"FlowLogId":{"locationName":"flowLogId"},"FlowLogStatus":{"locationName":"flowLogStatus"},"LogGroupName":{"locationName":"logGroupName"},"ResourceId":{"locationName":"resourceId"},"TrafficType":{"locationName":"trafficType"},"LogDestinationType":{"locationName":"logDestinationType"},"LogDestination":{"locationName":"logDestination"},"LogFormat":{"locationName":"logFormat"},"Tags":{"shape":"Ss","locationName":"tagSet"},"MaxAggregationInterval":{"locationName":"maxAggregationInterval","type":"integer"},"DestinationOptions":{"locationName":"destinationOptions","type":"structure","members":{"FileFormat":{"locationName":"fileFormat"},"HiveCompatiblePartitions":{"locationName":"hiveCompatiblePartitions","type":"boolean"},"PerHourPartition":{"locationName":"perHourPartition","type":"boolean"}}}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeFpgaImageAttribute":{"input":{"type":"structure","required":["FpgaImageId","Attribute"],"members":{"DryRun":{"type":"boolean"},"FpgaImageId":{},"Attribute":{}}},"output":{"type":"structure","members":{"FpgaImageAttribute":{"shape":"Szp","locationName":"fpgaImageAttribute"}}}},"DescribeFpgaImages":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"FpgaImageIds":{"locationName":"FpgaImageId","type":"list","member":{"locationName":"item"}},"Owners":{"shape":"Szy","locationName":"Owner"},"Filters":{"shape":"Su7","locationName":"Filter"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"FpgaImages":{"locationName":"fpgaImageSet","type":"list","member":{"locationName":"item","type":"structure","members":{"FpgaImageId":{"locationName":"fpgaImageId"},"FpgaImageGlobalId":{"locationName":"fpgaImageGlobalId"},"Name":{"locationName":"name"},"Description":{"locationName":"description"},"ShellVersion":{"locationName":"shellVersion"},"PciId":{"locationName":"pciId","type":"structure","members":{"DeviceId":{},"VendorId":{},"SubsystemId":{},"SubsystemVendorId":{}}},"State":{"locationName":"state","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"CreateTime":{"locationName":"createTime","type":"timestamp"},"UpdateTime":{"locationName":"updateTime","type":"timestamp"},"OwnerId":{"locationName":"ownerId"},"OwnerAlias":{"locationName":"ownerAlias"},"ProductCodes":{"shape":"Szt","locationName":"productCodes"},"Tags":{"shape":"Ss","locationName":"tags"},"Public":{"locationName":"public","type":"boolean"},"DataRetentionSupport":{"locationName":"dataRetentionSupport","type":"boolean"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeHostReservationOfferings":{"input":{"type":"structure","members":{"Filter":{"shape":"Su7"},"MaxDuration":{"type":"integer"},"MaxResults":{"type":"integer"},"MinDuration":{"type":"integer"},"NextToken":{},"OfferingId":{}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"OfferingSet":{"locationName":"offeringSet","type":"list","member":{"locationName":"item","type":"structure","members":{"CurrencyCode":{"locationName":"currencyCode"},"Duration":{"locationName":"duration","type":"integer"},"HourlyPrice":{"locationName":"hourlyPrice"},"InstanceFamily":{"locationName":"instanceFamily"},"OfferingId":{"locationName":"offeringId"},"PaymentOption":{"locationName":"paymentOption"},"UpfrontPrice":{"locationName":"upfrontPrice"}}}}}}},"DescribeHostReservations":{"input":{"type":"structure","members":{"Filter":{"shape":"Su7"},"HostReservationIdSet":{"type":"list","member":{"locationName":"item"}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"HostReservationSet":{"locationName":"hostReservationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Count":{"locationName":"count","type":"integer"},"CurrencyCode":{"locationName":"currencyCode"},"Duration":{"locationName":"duration","type":"integer"},"End":{"locationName":"end","type":"timestamp"},"HostIdSet":{"shape":"S10j","locationName":"hostIdSet"},"HostReservationId":{"locationName":"hostReservationId"},"HourlyPrice":{"locationName":"hourlyPrice"},"InstanceFamily":{"locationName":"instanceFamily"},"OfferingId":{"locationName":"offeringId"},"PaymentOption":{"locationName":"paymentOption"},"Start":{"locationName":"start","type":"timestamp"},"State":{"locationName":"state"},"UpfrontPrice":{"locationName":"upfrontPrice"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeHosts":{"input":{"type":"structure","members":{"Filter":{"shape":"Su7","locationName":"filter"},"HostIds":{"shape":"S10m","locationName":"hostId"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"}}},"output":{"type":"structure","members":{"Hosts":{"locationName":"hostSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AutoPlacement":{"locationName":"autoPlacement"},"AvailabilityZone":{"locationName":"availabilityZone"},"AvailableCapacity":{"locationName":"availableCapacity","type":"structure","members":{"AvailableInstanceCapacity":{"locationName":"availableInstanceCapacity","type":"list","member":{"locationName":"item","type":"structure","members":{"AvailableCapacity":{"locationName":"availableCapacity","type":"integer"},"InstanceType":{"locationName":"instanceType"},"TotalCapacity":{"locationName":"totalCapacity","type":"integer"}}}},"AvailableVCpus":{"locationName":"availableVCpus","type":"integer"}}},"ClientToken":{"locationName":"clientToken"},"HostId":{"locationName":"hostId"},"HostProperties":{"locationName":"hostProperties","type":"structure","members":{"Cores":{"locationName":"cores","type":"integer"},"InstanceType":{"locationName":"instanceType"},"InstanceFamily":{"locationName":"instanceFamily"},"Sockets":{"locationName":"sockets","type":"integer"},"TotalVCpus":{"locationName":"totalVCpus","type":"integer"}}},"HostReservationId":{"locationName":"hostReservationId"},"Instances":{"locationName":"instances","type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceId":{"locationName":"instanceId"},"InstanceType":{"locationName":"instanceType"},"OwnerId":{"locationName":"ownerId"}}}},"State":{"locationName":"state"},"AllocationTime":{"locationName":"allocationTime","type":"timestamp"},"ReleaseTime":{"locationName":"releaseTime","type":"timestamp"},"Tags":{"shape":"Ss","locationName":"tagSet"},"HostRecovery":{"locationName":"hostRecovery"},"AllowsMultipleInstanceTypes":{"locationName":"allowsMultipleInstanceTypes"},"OwnerId":{"locationName":"ownerId"},"AvailabilityZoneId":{"locationName":"availabilityZoneId"},"MemberOfServiceLinkedResourceGroup":{"locationName":"memberOfServiceLinkedResourceGroup","type":"boolean"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeIamInstanceProfileAssociations":{"input":{"type":"structure","members":{"AssociationIds":{"locationName":"AssociationId","type":"list","member":{"locationName":"AssociationId"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"IamInstanceProfileAssociations":{"locationName":"iamInstanceProfileAssociationSet","type":"list","member":{"shape":"S38","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeIdFormat":{"input":{"type":"structure","members":{"Resource":{}}},"output":{"type":"structure","members":{"Statuses":{"shape":"Sup","locationName":"statusSet"}}}},"DescribeIdentityIdFormat":{"input":{"type":"structure","required":["PrincipalArn"],"members":{"PrincipalArn":{"locationName":"principalArn"},"Resource":{"locationName":"resource"}}},"output":{"type":"structure","members":{"Statuses":{"shape":"Sup","locationName":"statusSet"}}}},"DescribeImageAttribute":{"input":{"type":"structure","required":["Attribute","ImageId"],"members":{"Attribute":{},"ImageId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"BlockDeviceMappings":{"shape":"S11b","locationName":"blockDeviceMapping"},"ImageId":{"locationName":"imageId"},"LaunchPermissions":{"shape":"S11c","locationName":"launchPermission"},"ProductCodes":{"shape":"Szt","locationName":"productCodes"},"Description":{"shape":"S9s","locationName":"description"},"KernelId":{"shape":"S9s","locationName":"kernel"},"RamdiskId":{"shape":"S9s","locationName":"ramdisk"},"SriovNetSupport":{"shape":"S9s","locationName":"sriovNetSupport"},"BootMode":{"shape":"S9s","locationName":"bootMode"}}}},"DescribeImages":{"input":{"type":"structure","members":{"ExecutableUsers":{"locationName":"ExecutableBy","type":"list","member":{"locationName":"ExecutableBy"}},"Filters":{"shape":"Su7","locationName":"Filter"},"ImageIds":{"locationName":"ImageId","type":"list","member":{"locationName":"ImageId"}},"Owners":{"shape":"Szy","locationName":"Owner"},"IncludeDeprecated":{"type":"boolean"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"Images":{"locationName":"imagesSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Architecture":{"locationName":"architecture"},"CreationDate":{"locationName":"creationDate"},"ImageId":{"locationName":"imageId"},"ImageLocation":{"locationName":"imageLocation"},"ImageType":{"locationName":"imageType"},"Public":{"locationName":"isPublic","type":"boolean"},"KernelId":{"locationName":"kernelId"},"OwnerId":{"locationName":"imageOwnerId"},"Platform":{"locationName":"platform"},"PlatformDetails":{"locationName":"platformDetails"},"UsageOperation":{"locationName":"usageOperation"},"ProductCodes":{"shape":"Szt","locationName":"productCodes"},"RamdiskId":{"locationName":"ramdiskId"},"State":{"locationName":"imageState"},"BlockDeviceMappings":{"shape":"S11b","locationName":"blockDeviceMapping"},"Description":{"locationName":"description"},"EnaSupport":{"locationName":"enaSupport","type":"boolean"},"Hypervisor":{"locationName":"hypervisor"},"ImageOwnerAlias":{"locationName":"imageOwnerAlias"},"Name":{"locationName":"name"},"RootDeviceName":{"locationName":"rootDeviceName"},"RootDeviceType":{"locationName":"rootDeviceType"},"SriovNetSupport":{"locationName":"sriovNetSupport"},"StateReason":{"shape":"S11p","locationName":"stateReason"},"Tags":{"shape":"Ss","locationName":"tagSet"},"VirtualizationType":{"locationName":"virtualizationType"},"BootMode":{"locationName":"bootMode"},"DeprecationTime":{"locationName":"deprecationTime"}}}}}}},"DescribeImportImageTasks":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7"},"ImportTaskIds":{"locationName":"ImportTaskId","type":"list","member":{"locationName":"ImportTaskId"}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ImportImageTasks":{"locationName":"importImageTaskSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Architecture":{"locationName":"architecture"},"Description":{"locationName":"description"},"Encrypted":{"locationName":"encrypted","type":"boolean"},"Hypervisor":{"locationName":"hypervisor"},"ImageId":{"locationName":"imageId"},"ImportTaskId":{"locationName":"importTaskId"},"KmsKeyId":{"locationName":"kmsKeyId"},"LicenseType":{"locationName":"licenseType"},"Platform":{"locationName":"platform"},"Progress":{"locationName":"progress"},"SnapshotDetails":{"shape":"S11y","locationName":"snapshotDetailSet"},"Status":{"locationName":"status"},"StatusMessage":{"locationName":"statusMessage"},"Tags":{"shape":"Ss","locationName":"tagSet"},"LicenseSpecifications":{"shape":"S121","locationName":"licenseSpecifications"},"UsageOperation":{"locationName":"usageOperation"},"BootMode":{"locationName":"bootMode"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeImportSnapshotTasks":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7"},"ImportTaskIds":{"locationName":"ImportTaskId","type":"list","member":{"locationName":"ImportTaskId"}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ImportSnapshotTasks":{"locationName":"importSnapshotTaskSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Description":{"locationName":"description"},"ImportTaskId":{"locationName":"importTaskId"},"SnapshotTaskDetail":{"shape":"S129","locationName":"snapshotTaskDetail"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeInstanceAttribute":{"input":{"type":"structure","required":["Attribute","InstanceId"],"members":{"Attribute":{"locationName":"attribute"},"DryRun":{"locationName":"dryRun","type":"boolean"},"InstanceId":{"locationName":"instanceId"}}},"output":{"type":"structure","members":{"Groups":{"shape":"Sie","locationName":"groupSet"},"BlockDeviceMappings":{"shape":"S12d","locationName":"blockDeviceMapping"},"DisableApiTermination":{"shape":"S12g","locationName":"disableApiTermination"},"EnaSupport":{"shape":"S12g","locationName":"enaSupport"},"EnclaveOptions":{"shape":"S12h","locationName":"enclaveOptions"},"EbsOptimized":{"shape":"S12g","locationName":"ebsOptimized"},"InstanceId":{"locationName":"instanceId"},"InstanceInitiatedShutdownBehavior":{"shape":"S9s","locationName":"instanceInitiatedShutdownBehavior"},"InstanceType":{"shape":"S9s","locationName":"instanceType"},"KernelId":{"shape":"S9s","locationName":"kernel"},"ProductCodes":{"shape":"Szt","locationName":"productCodes"},"RamdiskId":{"shape":"S9s","locationName":"ramdisk"},"RootDeviceName":{"shape":"S9s","locationName":"rootDeviceName"},"SourceDestCheck":{"shape":"S12g","locationName":"sourceDestCheck"},"SriovNetSupport":{"shape":"S9s","locationName":"sriovNetSupport"},"UserData":{"shape":"S9s","locationName":"userData"}}}},"DescribeInstanceCreditSpecifications":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"InstanceIds":{"shape":"Svp","locationName":"InstanceId"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"InstanceCreditSpecifications":{"locationName":"instanceCreditSpecificationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceId":{"locationName":"instanceId"},"CpuCredits":{"locationName":"cpuCredits"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeInstanceEventNotificationAttributes":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"InstanceTagAttribute":{"shape":"Stq","locationName":"instanceTagAttribute"}}}},"DescribeInstanceEventWindows":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"InstanceEventWindowIds":{"locationName":"InstanceEventWindowId","type":"list","member":{"locationName":"InstanceEventWindowId"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"InstanceEventWindows":{"locationName":"instanceEventWindowSet","type":"list","member":{"shape":"S3i","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeInstanceStatus":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"InstanceIds":{"shape":"Svp","locationName":"InstanceId"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"locationName":"dryRun","type":"boolean"},"IncludeAllInstances":{"locationName":"includeAllInstances","type":"boolean"}}},"output":{"type":"structure","members":{"InstanceStatuses":{"locationName":"instanceStatusSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"OutpostArn":{"locationName":"outpostArn"},"Events":{"locationName":"eventsSet","type":"list","member":{"shape":"S12z","locationName":"item"}},"InstanceId":{"locationName":"instanceId"},"InstanceState":{"shape":"S132","locationName":"instanceState"},"InstanceStatus":{"shape":"S134","locationName":"instanceStatus"},"SystemStatus":{"shape":"S134","locationName":"systemStatus"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeInstanceTypeOfferings":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"LocationType":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"InstanceTypeOfferings":{"locationName":"instanceTypeOfferingSet","type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceType":{"locationName":"instanceType"},"LocationType":{"locationName":"locationType"},"Location":{"locationName":"location"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeInstanceTypes":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"InstanceTypes":{"locationName":"InstanceType","type":"list","member":{}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"InstanceTypes":{"locationName":"instanceTypeSet","type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceType":{"locationName":"instanceType"},"CurrentGeneration":{"locationName":"currentGeneration","type":"boolean"},"FreeTierEligible":{"locationName":"freeTierEligible","type":"boolean"},"SupportedUsageClasses":{"locationName":"supportedUsageClasses","type":"list","member":{"locationName":"item"}},"SupportedRootDeviceTypes":{"locationName":"supportedRootDeviceTypes","type":"list","member":{"locationName":"item"}},"SupportedVirtualizationTypes":{"locationName":"supportedVirtualizationTypes","type":"list","member":{"locationName":"item"}},"BareMetal":{"locationName":"bareMetal","type":"boolean"},"Hypervisor":{"locationName":"hypervisor"},"ProcessorInfo":{"locationName":"processorInfo","type":"structure","members":{"SupportedArchitectures":{"locationName":"supportedArchitectures","type":"list","member":{"locationName":"item"}},"SustainedClockSpeedInGhz":{"locationName":"sustainedClockSpeedInGhz","type":"double"}}},"VCpuInfo":{"locationName":"vCpuInfo","type":"structure","members":{"DefaultVCpus":{"locationName":"defaultVCpus","type":"integer"},"DefaultCores":{"locationName":"defaultCores","type":"integer"},"DefaultThreadsPerCore":{"locationName":"defaultThreadsPerCore","type":"integer"},"ValidCores":{"locationName":"validCores","type":"list","member":{"locationName":"item","type":"integer"}},"ValidThreadsPerCore":{"locationName":"validThreadsPerCore","type":"list","member":{"locationName":"item","type":"integer"}}}},"MemoryInfo":{"locationName":"memoryInfo","type":"structure","members":{"SizeInMiB":{"locationName":"sizeInMiB","type":"long"}}},"InstanceStorageSupported":{"locationName":"instanceStorageSupported","type":"boolean"},"InstanceStorageInfo":{"locationName":"instanceStorageInfo","type":"structure","members":{"TotalSizeInGB":{"locationName":"totalSizeInGB","type":"long"},"Disks":{"locationName":"disks","type":"list","member":{"locationName":"item","type":"structure","members":{"SizeInGB":{"locationName":"sizeInGB","type":"long"},"Count":{"locationName":"count","type":"integer"},"Type":{"locationName":"type"}}}},"NvmeSupport":{"locationName":"nvmeSupport"},"EncryptionSupport":{"locationName":"encryptionSupport"}}},"EbsInfo":{"locationName":"ebsInfo","type":"structure","members":{"EbsOptimizedSupport":{"locationName":"ebsOptimizedSupport"},"EncryptionSupport":{"locationName":"encryptionSupport"},"EbsOptimizedInfo":{"locationName":"ebsOptimizedInfo","type":"structure","members":{"BaselineBandwidthInMbps":{"locationName":"baselineBandwidthInMbps","type":"integer"},"BaselineThroughputInMBps":{"locationName":"baselineThroughputInMBps","type":"double"},"BaselineIops":{"locationName":"baselineIops","type":"integer"},"MaximumBandwidthInMbps":{"locationName":"maximumBandwidthInMbps","type":"integer"},"MaximumThroughputInMBps":{"locationName":"maximumThroughputInMBps","type":"double"},"MaximumIops":{"locationName":"maximumIops","type":"integer"}}},"NvmeSupport":{"locationName":"nvmeSupport"}}},"NetworkInfo":{"locationName":"networkInfo","type":"structure","members":{"NetworkPerformance":{"locationName":"networkPerformance"},"MaximumNetworkInterfaces":{"locationName":"maximumNetworkInterfaces","type":"integer"},"MaximumNetworkCards":{"locationName":"maximumNetworkCards","type":"integer"},"DefaultNetworkCardIndex":{"locationName":"defaultNetworkCardIndex","type":"integer"},"NetworkCards":{"locationName":"networkCards","type":"list","member":{"locationName":"item","type":"structure","members":{"NetworkCardIndex":{"locationName":"networkCardIndex","type":"integer"},"NetworkPerformance":{"locationName":"networkPerformance"},"MaximumNetworkInterfaces":{"locationName":"maximumNetworkInterfaces","type":"integer"}}}},"Ipv4AddressesPerInterface":{"locationName":"ipv4AddressesPerInterface","type":"integer"},"Ipv6AddressesPerInterface":{"locationName":"ipv6AddressesPerInterface","type":"integer"},"Ipv6Supported":{"locationName":"ipv6Supported","type":"boolean"},"EnaSupport":{"locationName":"enaSupport"},"EfaSupported":{"locationName":"efaSupported","type":"boolean"},"EfaInfo":{"locationName":"efaInfo","type":"structure","members":{"MaximumEfaInterfaces":{"locationName":"maximumEfaInterfaces","type":"integer"}}},"EncryptionInTransitSupported":{"locationName":"encryptionInTransitSupported","type":"boolean"}}},"GpuInfo":{"locationName":"gpuInfo","type":"structure","members":{"Gpus":{"locationName":"gpus","type":"list","member":{"locationName":"item","type":"structure","members":{"Name":{"locationName":"name"},"Manufacturer":{"locationName":"manufacturer"},"Count":{"locationName":"count","type":"integer"},"MemoryInfo":{"locationName":"memoryInfo","type":"structure","members":{"SizeInMiB":{"locationName":"sizeInMiB","type":"integer"}}}}}},"TotalGpuMemoryInMiB":{"locationName":"totalGpuMemoryInMiB","type":"integer"}}},"FpgaInfo":{"locationName":"fpgaInfo","type":"structure","members":{"Fpgas":{"locationName":"fpgas","type":"list","member":{"locationName":"item","type":"structure","members":{"Name":{"locationName":"name"},"Manufacturer":{"locationName":"manufacturer"},"Count":{"locationName":"count","type":"integer"},"MemoryInfo":{"locationName":"memoryInfo","type":"structure","members":{"SizeInMiB":{"locationName":"sizeInMiB","type":"integer"}}}}}},"TotalFpgaMemoryInMiB":{"locationName":"totalFpgaMemoryInMiB","type":"integer"}}},"PlacementGroupInfo":{"locationName":"placementGroupInfo","type":"structure","members":{"SupportedStrategies":{"locationName":"supportedStrategies","type":"list","member":{"locationName":"item"}}}},"InferenceAcceleratorInfo":{"locationName":"inferenceAcceleratorInfo","type":"structure","members":{"Accelerators":{"locationName":"item","type":"list","member":{"type":"structure","members":{"Count":{"locationName":"count","type":"integer"},"Name":{"locationName":"name"},"Manufacturer":{"locationName":"manufacturer"}}}}}},"HibernationSupported":{"locationName":"hibernationSupported","type":"boolean"},"BurstablePerformanceSupported":{"locationName":"burstablePerformanceSupported","type":"boolean"},"DedicatedHostsSupported":{"locationName":"dedicatedHostsSupported","type":"boolean"},"AutoRecoverySupported":{"locationName":"autoRecoverySupported","type":"boolean"},"SupportedBootModes":{"locationName":"supportedBootModes","type":"list","member":{"locationName":"item"}}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeInstances":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"InstanceIds":{"shape":"Svp","locationName":"InstanceId"},"DryRun":{"locationName":"dryRun","type":"boolean"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"}}},"output":{"type":"structure","members":{"Reservations":{"locationName":"reservationSet","type":"list","member":{"shape":"S168","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeInternetGateways":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"locationName":"dryRun","type":"boolean"},"InternetGatewayIds":{"locationName":"internetGatewayId","type":"list","member":{"locationName":"item"}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"InternetGateways":{"locationName":"internetGatewaySet","type":"list","member":{"shape":"Scz","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeIpamPools":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"IpamPoolIds":{"shape":"Se","locationName":"IpamPoolId"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"IpamPools":{"locationName":"ipamPoolSet","type":"list","member":{"shape":"Sdh","locationName":"item"}}}}},"DescribeIpamScopes":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"IpamScopeIds":{"shape":"Se","locationName":"IpamScopeId"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"IpamScopes":{"locationName":"ipamScopeSet","type":"list","member":{"shape":"Sdo","locationName":"item"}}}}},"DescribeIpams":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"IpamIds":{"shape":"Se","locationName":"IpamId"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Ipams":{"locationName":"ipamSet","type":"list","member":{"shape":"Sd4","locationName":"item"}}}}},"DescribeIpv6Pools":{"input":{"type":"structure","members":{"PoolIds":{"locationName":"PoolId","type":"list","member":{"locationName":"item"}},"NextToken":{},"MaxResults":{"type":"integer"},"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"}}},"output":{"type":"structure","members":{"Ipv6Pools":{"locationName":"ipv6PoolSet","type":"list","member":{"locationName":"item","type":"structure","members":{"PoolId":{"locationName":"poolId"},"Description":{"locationName":"description"},"PoolCidrBlocks":{"locationName":"poolCidrBlockSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Cidr":{"locationName":"poolCidrBlock"}}}},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeKeyPairs":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"KeyNames":{"locationName":"KeyName","type":"list","member":{"locationName":"KeyName"}},"KeyPairIds":{"locationName":"KeyPairId","type":"list","member":{"locationName":"KeyPairId"}},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"KeyPairs":{"locationName":"keySet","type":"list","member":{"locationName":"item","type":"structure","members":{"KeyPairId":{"locationName":"keyPairId"},"KeyFingerprint":{"locationName":"keyFingerprint"},"KeyName":{"locationName":"keyName"},"KeyType":{"locationName":"keyType"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}}}}},"DescribeLaunchTemplateVersions":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"LaunchTemplateId":{},"LaunchTemplateName":{},"Versions":{"shape":"Sql","locationName":"LaunchTemplateVersion"},"MinVersion":{},"MaxVersion":{},"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"Su7","locationName":"Filter"}}},"output":{"type":"structure","members":{"LaunchTemplateVersions":{"locationName":"launchTemplateVersionSet","type":"list","member":{"shape":"Sfh","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeLaunchTemplates":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"LaunchTemplateIds":{"locationName":"LaunchTemplateId","type":"list","member":{"locationName":"item"}},"LaunchTemplateNames":{"locationName":"LaunchTemplateName","type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"LaunchTemplates":{"locationName":"launchTemplates","type":"list","member":{"shape":"Sfb","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociations":{"input":{"type":"structure","members":{"LocalGatewayRouteTableVirtualInterfaceGroupAssociationIds":{"locationName":"LocalGatewayRouteTableVirtualInterfaceGroupAssociationId","type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"LocalGatewayRouteTableVirtualInterfaceGroupAssociations":{"locationName":"localGatewayRouteTableVirtualInterfaceGroupAssociationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"LocalGatewayRouteTableVirtualInterfaceGroupAssociationId":{"locationName":"localGatewayRouteTableVirtualInterfaceGroupAssociationId"},"LocalGatewayVirtualInterfaceGroupId":{"locationName":"localGatewayVirtualInterfaceGroupId"},"LocalGatewayId":{"locationName":"localGatewayId"},"LocalGatewayRouteTableId":{"locationName":"localGatewayRouteTableId"},"LocalGatewayRouteTableArn":{"locationName":"localGatewayRouteTableArn"},"OwnerId":{"locationName":"ownerId"},"State":{"locationName":"state"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeLocalGatewayRouteTableVpcAssociations":{"input":{"type":"structure","members":{"LocalGatewayRouteTableVpcAssociationIds":{"locationName":"LocalGatewayRouteTableVpcAssociationId","type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"LocalGatewayRouteTableVpcAssociations":{"locationName":"localGatewayRouteTableVpcAssociationSet","type":"list","member":{"shape":"Sgp","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeLocalGatewayRouteTables":{"input":{"type":"structure","members":{"LocalGatewayRouteTableIds":{"locationName":"LocalGatewayRouteTableId","type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"LocalGatewayRouteTables":{"locationName":"localGatewayRouteTableSet","type":"list","member":{"locationName":"item","type":"structure","members":{"LocalGatewayRouteTableId":{"locationName":"localGatewayRouteTableId"},"LocalGatewayRouteTableArn":{"locationName":"localGatewayRouteTableArn"},"LocalGatewayId":{"locationName":"localGatewayId"},"OutpostArn":{"locationName":"outpostArn"},"OwnerId":{"locationName":"ownerId"},"State":{"locationName":"state"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeLocalGatewayVirtualInterfaceGroups":{"input":{"type":"structure","members":{"LocalGatewayVirtualInterfaceGroupIds":{"locationName":"LocalGatewayVirtualInterfaceGroupId","type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"LocalGatewayVirtualInterfaceGroups":{"locationName":"localGatewayVirtualInterfaceGroupSet","type":"list","member":{"locationName":"item","type":"structure","members":{"LocalGatewayVirtualInterfaceGroupId":{"locationName":"localGatewayVirtualInterfaceGroupId"},"LocalGatewayVirtualInterfaceIds":{"shape":"S18q","locationName":"localGatewayVirtualInterfaceIdSet"},"LocalGatewayId":{"locationName":"localGatewayId"},"OwnerId":{"locationName":"ownerId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeLocalGatewayVirtualInterfaces":{"input":{"type":"structure","members":{"LocalGatewayVirtualInterfaceIds":{"shape":"S18q","locationName":"LocalGatewayVirtualInterfaceId"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"LocalGatewayVirtualInterfaces":{"locationName":"localGatewayVirtualInterfaceSet","type":"list","member":{"locationName":"item","type":"structure","members":{"LocalGatewayVirtualInterfaceId":{"locationName":"localGatewayVirtualInterfaceId"},"LocalGatewayId":{"locationName":"localGatewayId"},"Vlan":{"locationName":"vlan","type":"integer"},"LocalAddress":{"locationName":"localAddress"},"PeerAddress":{"locationName":"peerAddress"},"LocalBgpAsn":{"locationName":"localBgpAsn","type":"integer"},"PeerBgpAsn":{"locationName":"peerBgpAsn","type":"integer"},"OwnerId":{"locationName":"ownerId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeLocalGateways":{"input":{"type":"structure","members":{"LocalGatewayIds":{"locationName":"LocalGatewayId","type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"LocalGateways":{"locationName":"localGatewaySet","type":"list","member":{"locationName":"item","type":"structure","members":{"LocalGatewayId":{"locationName":"localGatewayId"},"OutpostArn":{"locationName":"outpostArn"},"OwnerId":{"locationName":"ownerId"},"State":{"locationName":"state"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeManagedPrefixLists":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"PrefixListIds":{"shape":"Se","locationName":"PrefixListId"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"PrefixLists":{"locationName":"prefixListSet","type":"list","member":{"shape":"Sgv","locationName":"item"}}}}},"DescribeMovingAddresses":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"filter"},"DryRun":{"locationName":"dryRun","type":"boolean"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"},"PublicIps":{"shape":"Se","locationName":"publicIp"}}},"output":{"type":"structure","members":{"MovingAddressStatuses":{"locationName":"movingAddressStatusSet","type":"list","member":{"locationName":"item","type":"structure","members":{"MoveStatus":{"locationName":"moveStatus"},"PublicIp":{"locationName":"publicIp"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeNatGateways":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filter":{"shape":"Su7"},"MaxResults":{"type":"integer"},"NatGatewayIds":{"locationName":"NatGatewayId","type":"list","member":{"locationName":"item"}},"NextToken":{}}},"output":{"type":"structure","members":{"NatGateways":{"locationName":"natGatewaySet","type":"list","member":{"shape":"Sh0","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeNetworkAcls":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"locationName":"dryRun","type":"boolean"},"NetworkAclIds":{"locationName":"NetworkAclId","type":"list","member":{"locationName":"item"}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NetworkAcls":{"locationName":"networkAclSet","type":"list","member":{"shape":"Sh7","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeNetworkInsightsAccessScopeAnalyses":{"input":{"type":"structure","members":{"NetworkInsightsAccessScopeAnalysisIds":{"locationName":"NetworkInsightsAccessScopeAnalysisId","type":"list","member":{"locationName":"item"}},"NetworkInsightsAccessScopeId":{},"AnalysisStartTimeBegin":{"type":"timestamp"},"AnalysisStartTimeEnd":{"type":"timestamp"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"DryRun":{"type":"boolean"},"NextToken":{}}},"output":{"type":"structure","members":{"NetworkInsightsAccessScopeAnalyses":{"locationName":"networkInsightsAccessScopeAnalysisSet","type":"list","member":{"shape":"S19q","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeNetworkInsightsAccessScopes":{"input":{"type":"structure","members":{"NetworkInsightsAccessScopeIds":{"locationName":"NetworkInsightsAccessScopeId","type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"DryRun":{"type":"boolean"},"NextToken":{}}},"output":{"type":"structure","members":{"NetworkInsightsAccessScopes":{"locationName":"networkInsightsAccessScopeSet","type":"list","member":{"shape":"Shs","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeNetworkInsightsAnalyses":{"input":{"type":"structure","members":{"NetworkInsightsAnalysisIds":{"locationName":"NetworkInsightsAnalysisId","type":"list","member":{"locationName":"item"}},"NetworkInsightsPathId":{},"AnalysisStartTime":{"type":"timestamp"},"AnalysisEndTime":{"type":"timestamp"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"DryRun":{"type":"boolean"},"NextToken":{}}},"output":{"type":"structure","members":{"NetworkInsightsAnalyses":{"locationName":"networkInsightsAnalysisSet","type":"list","member":{"shape":"S1a1","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeNetworkInsightsPaths":{"input":{"type":"structure","members":{"NetworkInsightsPathIds":{"locationName":"NetworkInsightsPathId","type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"DryRun":{"type":"boolean"},"NextToken":{}}},"output":{"type":"structure","members":{"NetworkInsightsPaths":{"locationName":"networkInsightsPathSet","type":"list","member":{"shape":"Si6","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeNetworkInterfaceAttribute":{"input":{"type":"structure","required":["NetworkInterfaceId"],"members":{"Attribute":{"locationName":"attribute"},"DryRun":{"locationName":"dryRun","type":"boolean"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"}}},"output":{"type":"structure","members":{"Attachment":{"shape":"Sid","locationName":"attachment"},"Description":{"shape":"S9s","locationName":"description"},"Groups":{"shape":"Sie","locationName":"groupSet"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"SourceDestCheck":{"shape":"S12g","locationName":"sourceDestCheck"}}}},"DescribeNetworkInterfacePermissions":{"input":{"type":"structure","members":{"NetworkInterfacePermissionIds":{"locationName":"NetworkInterfacePermissionId","type":"list","member":{}},"Filters":{"shape":"Su7","locationName":"Filter"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NetworkInterfacePermissions":{"locationName":"networkInterfacePermissions","type":"list","member":{"shape":"Sir","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeNetworkInterfaces":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"filter"},"DryRun":{"locationName":"dryRun","type":"boolean"},"NetworkInterfaceIds":{"locationName":"NetworkInterfaceId","type":"list","member":{"locationName":"item"}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NetworkInterfaces":{"locationName":"networkInterfaceSet","type":"list","member":{"shape":"Sib","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribePlacementGroups":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"locationName":"dryRun","type":"boolean"},"GroupNames":{"locationName":"groupName","type":"list","member":{}},"GroupIds":{"locationName":"GroupId","type":"list","member":{"locationName":"GroupId"}}}},"output":{"type":"structure","members":{"PlacementGroups":{"locationName":"placementGroupSet","type":"list","member":{"shape":"Six","locationName":"item"}}}}},"DescribePrefixLists":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"PrefixListIds":{"locationName":"PrefixListId","type":"list","member":{"locationName":"item"}}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"PrefixLists":{"locationName":"prefixListSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Cidrs":{"shape":"Se","locationName":"cidrSet"},"PrefixListId":{"locationName":"prefixListId"},"PrefixListName":{"locationName":"prefixListName"}}}}}}},"DescribePrincipalIdFormat":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Resources":{"locationName":"Resource","type":"list","member":{"locationName":"item"}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Principals":{"locationName":"principalSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Arn":{"locationName":"arn"},"Statuses":{"shape":"Sup","locationName":"statusSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribePublicIpv4Pools":{"input":{"type":"structure","members":{"PoolIds":{"locationName":"PoolId","type":"list","member":{"locationName":"item"}},"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"Su7","locationName":"Filter"}}},"output":{"type":"structure","members":{"PublicIpv4Pools":{"locationName":"publicIpv4PoolSet","type":"list","member":{"locationName":"item","type":"structure","members":{"PoolId":{"locationName":"poolId"},"Description":{"locationName":"description"},"PoolAddressRanges":{"locationName":"poolAddressRangeSet","type":"list","member":{"shape":"S1bp","locationName":"item"}},"TotalAddressCount":{"locationName":"totalAddressCount","type":"integer"},"TotalAvailableAddressCount":{"locationName":"totalAvailableAddressCount","type":"integer"},"NetworkBorderGroup":{"locationName":"networkBorderGroup"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeRegions":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"RegionNames":{"locationName":"RegionName","type":"list","member":{"locationName":"RegionName"}},"DryRun":{"locationName":"dryRun","type":"boolean"},"AllRegions":{"type":"boolean"}}},"output":{"type":"structure","members":{"Regions":{"locationName":"regionInfo","type":"list","member":{"locationName":"item","type":"structure","members":{"Endpoint":{"locationName":"regionEndpoint"},"RegionName":{"locationName":"regionName"},"OptInStatus":{"locationName":"optInStatus"}}}}}}},"DescribeReplaceRootVolumeTasks":{"input":{"type":"structure","members":{"ReplaceRootVolumeTaskIds":{"locationName":"ReplaceRootVolumeTaskId","type":"list","member":{"locationName":"ReplaceRootVolumeTaskId"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"ReplaceRootVolumeTasks":{"locationName":"replaceRootVolumeTaskSet","type":"list","member":{"shape":"Sj3","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeReservedInstances":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"OfferingClass":{},"ReservedInstancesIds":{"shape":"S1c2","locationName":"ReservedInstancesId"},"DryRun":{"locationName":"dryRun","type":"boolean"},"OfferingType":{"locationName":"offeringType"}}},"output":{"type":"structure","members":{"ReservedInstances":{"locationName":"reservedInstancesSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"Duration":{"locationName":"duration","type":"long"},"End":{"locationName":"end","type":"timestamp"},"FixedPrice":{"locationName":"fixedPrice","type":"float"},"InstanceCount":{"locationName":"instanceCount","type":"integer"},"InstanceType":{"locationName":"instanceType"},"ProductDescription":{"locationName":"productDescription"},"ReservedInstancesId":{"locationName":"reservedInstancesId"},"Start":{"locationName":"start","type":"timestamp"},"State":{"locationName":"state"},"UsagePrice":{"locationName":"usagePrice","type":"float"},"CurrencyCode":{"locationName":"currencyCode"},"InstanceTenancy":{"locationName":"instanceTenancy"},"OfferingClass":{"locationName":"offeringClass"},"OfferingType":{"locationName":"offeringType"},"RecurringCharges":{"shape":"S1ca","locationName":"recurringCharges"},"Scope":{"locationName":"scope"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}}}}},"DescribeReservedInstancesListings":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"ReservedInstancesId":{"locationName":"reservedInstancesId"},"ReservedInstancesListingId":{"locationName":"reservedInstancesListingId"}}},"output":{"type":"structure","members":{"ReservedInstancesListings":{"shape":"S6r","locationName":"reservedInstancesListingsSet"}}}},"DescribeReservedInstancesModifications":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"ReservedInstancesModificationIds":{"locationName":"ReservedInstancesModificationId","type":"list","member":{"locationName":"ReservedInstancesModificationId"}},"NextToken":{"locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"ReservedInstancesModifications":{"locationName":"reservedInstancesModificationsSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ClientToken":{"locationName":"clientToken"},"CreateDate":{"locationName":"createDate","type":"timestamp"},"EffectiveDate":{"locationName":"effectiveDate","type":"timestamp"},"ModificationResults":{"locationName":"modificationResultSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ReservedInstancesId":{"locationName":"reservedInstancesId"},"TargetConfiguration":{"shape":"S1co","locationName":"targetConfiguration"}}}},"ReservedInstancesIds":{"locationName":"reservedInstancesSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ReservedInstancesId":{"locationName":"reservedInstancesId"}}}},"ReservedInstancesModificationId":{"locationName":"reservedInstancesModificationId"},"Status":{"locationName":"status"},"StatusMessage":{"locationName":"statusMessage"},"UpdateDate":{"locationName":"updateDate","type":"timestamp"}}}}}}},"DescribeReservedInstancesOfferings":{"input":{"type":"structure","members":{"AvailabilityZone":{},"Filters":{"shape":"Su7","locationName":"Filter"},"IncludeMarketplace":{"type":"boolean"},"InstanceType":{},"MaxDuration":{"type":"long"},"MaxInstanceCount":{"type":"integer"},"MinDuration":{"type":"long"},"OfferingClass":{},"ProductDescription":{},"ReservedInstancesOfferingIds":{"locationName":"ReservedInstancesOfferingId","type":"list","member":{}},"DryRun":{"locationName":"dryRun","type":"boolean"},"InstanceTenancy":{"locationName":"instanceTenancy"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"},"OfferingType":{"locationName":"offeringType"}}},"output":{"type":"structure","members":{"ReservedInstancesOfferings":{"locationName":"reservedInstancesOfferingsSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"Duration":{"locationName":"duration","type":"long"},"FixedPrice":{"locationName":"fixedPrice","type":"float"},"InstanceType":{"locationName":"instanceType"},"ProductDescription":{"locationName":"productDescription"},"ReservedInstancesOfferingId":{"locationName":"reservedInstancesOfferingId"},"UsagePrice":{"locationName":"usagePrice","type":"float"},"CurrencyCode":{"locationName":"currencyCode"},"InstanceTenancy":{"locationName":"instanceTenancy"},"Marketplace":{"locationName":"marketplace","type":"boolean"},"OfferingClass":{"locationName":"offeringClass"},"OfferingType":{"locationName":"offeringType"},"PricingDetails":{"locationName":"pricingDetailsSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Count":{"locationName":"count","type":"integer"},"Price":{"locationName":"price","type":"double"}}}},"RecurringCharges":{"shape":"S1ca","locationName":"recurringCharges"},"Scope":{"locationName":"scope"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeRouteTables":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"locationName":"dryRun","type":"boolean"},"RouteTableIds":{"locationName":"RouteTableId","type":"list","member":{"locationName":"item"}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"RouteTables":{"locationName":"routeTableSet","type":"list","member":{"shape":"Sjk","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeScheduledInstanceAvailability":{"input":{"type":"structure","required":["FirstSlotStartTimeRange","Recurrence"],"members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"FirstSlotStartTimeRange":{"type":"structure","required":["EarliestTime","LatestTime"],"members":{"EarliestTime":{"type":"timestamp"},"LatestTime":{"type":"timestamp"}}},"MaxResults":{"type":"integer"},"MaxSlotDurationInHours":{"type":"integer"},"MinSlotDurationInHours":{"type":"integer"},"NextToken":{},"Recurrence":{"type":"structure","members":{"Frequency":{},"Interval":{"type":"integer"},"OccurrenceDays":{"locationName":"OccurrenceDay","type":"list","member":{"locationName":"OccurenceDay","type":"integer"}},"OccurrenceRelativeToEnd":{"type":"boolean"},"OccurrenceUnit":{}}}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"ScheduledInstanceAvailabilitySet":{"locationName":"scheduledInstanceAvailabilitySet","type":"list","member":{"locationName":"item","type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"AvailableInstanceCount":{"locationName":"availableInstanceCount","type":"integer"},"FirstSlotStartTime":{"locationName":"firstSlotStartTime","type":"timestamp"},"HourlyPrice":{"locationName":"hourlyPrice"},"InstanceType":{"locationName":"instanceType"},"MaxTermDurationInDays":{"locationName":"maxTermDurationInDays","type":"integer"},"MinTermDurationInDays":{"locationName":"minTermDurationInDays","type":"integer"},"NetworkPlatform":{"locationName":"networkPlatform"},"Platform":{"locationName":"platform"},"PurchaseToken":{"locationName":"purchaseToken"},"Recurrence":{"shape":"S1db","locationName":"recurrence"},"SlotDurationInHours":{"locationName":"slotDurationInHours","type":"integer"},"TotalScheduledInstanceHours":{"locationName":"totalScheduledInstanceHours","type":"integer"}}}}}}},"DescribeScheduledInstances":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"ScheduledInstanceIds":{"locationName":"ScheduledInstanceId","type":"list","member":{"locationName":"ScheduledInstanceId"}},"SlotStartTimeRange":{"type":"structure","members":{"EarliestTime":{"type":"timestamp"},"LatestTime":{"type":"timestamp"}}}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"ScheduledInstanceSet":{"locationName":"scheduledInstanceSet","type":"list","member":{"shape":"S1dj","locationName":"item"}}}}},"DescribeSecurityGroupReferences":{"input":{"type":"structure","required":["GroupId"],"members":{"DryRun":{"type":"boolean"},"GroupId":{"type":"list","member":{"locationName":"item"}}}},"output":{"type":"structure","members":{"SecurityGroupReferenceSet":{"locationName":"securityGroupReferenceSet","type":"list","member":{"locationName":"item","type":"structure","members":{"GroupId":{"locationName":"groupId"},"ReferencingVpcId":{"locationName":"referencingVpcId"},"VpcPeeringConnectionId":{"locationName":"vpcPeeringConnectionId"}}}}}}},"DescribeSecurityGroupRules":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"SecurityGroupRuleIds":{"shape":"S1dq","locationName":"SecurityGroupRuleId"},"DryRun":{"type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SecurityGroupRules":{"shape":"S5j","locationName":"securityGroupRuleSet"},"NextToken":{"locationName":"nextToken"}}}},"DescribeSecurityGroups":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"GroupIds":{"shape":"S4o","locationName":"GroupId"},"GroupNames":{"shape":"S1du","locationName":"GroupName"},"DryRun":{"locationName":"dryRun","type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SecurityGroups":{"locationName":"securityGroupInfo","type":"list","member":{"locationName":"item","type":"structure","members":{"Description":{"locationName":"groupDescription"},"GroupName":{"locationName":"groupName"},"IpPermissions":{"shape":"S58","locationName":"ipPermissions"},"OwnerId":{"locationName":"ownerId"},"GroupId":{"locationName":"groupId"},"IpPermissionsEgress":{"shape":"S58","locationName":"ipPermissionsEgress"},"Tags":{"shape":"Ss","locationName":"tagSet"},"VpcId":{"locationName":"vpcId"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeSnapshotAttribute":{"input":{"type":"structure","required":["Attribute","SnapshotId"],"members":{"Attribute":{},"SnapshotId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"CreateVolumePermissions":{"shape":"S1e2","locationName":"createVolumePermission"},"ProductCodes":{"shape":"Szt","locationName":"productCodes"},"SnapshotId":{"locationName":"snapshotId"}}}},"DescribeSnapshotTierStatus":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SnapshotTierStatuses":{"locationName":"snapshotTierStatusSet","type":"list","member":{"locationName":"item","type":"structure","members":{"SnapshotId":{"locationName":"snapshotId"},"VolumeId":{"locationName":"volumeId"},"Status":{"locationName":"status"},"OwnerId":{"locationName":"ownerId"},"Tags":{"shape":"Ss","locationName":"tagSet"},"StorageTier":{"locationName":"storageTier"},"LastTieringStartTime":{"locationName":"lastTieringStartTime","type":"timestamp"},"LastTieringProgress":{"locationName":"lastTieringProgress","type":"integer"},"LastTieringOperationStatus":{"locationName":"lastTieringOperationStatus"},"LastTieringOperationStatusDetail":{"locationName":"lastTieringOperationStatusDetail"},"ArchivalCompleteTime":{"locationName":"archivalCompleteTime","type":"timestamp"},"RestoreExpiryTime":{"locationName":"restoreExpiryTime","type":"timestamp"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeSnapshots":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"OwnerIds":{"shape":"Szy","locationName":"Owner"},"RestorableByUserIds":{"locationName":"RestorableBy","type":"list","member":{}},"SnapshotIds":{"shape":"S1ec","locationName":"SnapshotId"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"Snapshots":{"locationName":"snapshotSet","type":"list","member":{"shape":"Sjw","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeSpotDatafeedSubscription":{"input":{"type":"structure","members":{"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"SpotDatafeedSubscription":{"shape":"Sk7","locationName":"spotDatafeedSubscription"}}}},"DescribeSpotFleetInstances":{"input":{"type":"structure","required":["SpotFleetRequestId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"},"SpotFleetRequestId":{"locationName":"spotFleetRequestId"}}},"output":{"type":"structure","members":{"ActiveInstances":{"shape":"Syw","locationName":"activeInstanceSet"},"NextToken":{"locationName":"nextToken"},"SpotFleetRequestId":{"locationName":"spotFleetRequestId"}}}},"DescribeSpotFleetRequestHistory":{"input":{"type":"structure","required":["SpotFleetRequestId","StartTime"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"EventType":{"locationName":"eventType"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"},"SpotFleetRequestId":{"locationName":"spotFleetRequestId"},"StartTime":{"locationName":"startTime","type":"timestamp"}}},"output":{"type":"structure","members":{"HistoryRecords":{"locationName":"historyRecordSet","type":"list","member":{"locationName":"item","type":"structure","members":{"EventInformation":{"shape":"Syt","locationName":"eventInformation"},"EventType":{"locationName":"eventType"},"Timestamp":{"locationName":"timestamp","type":"timestamp"}}}},"LastEvaluatedTime":{"locationName":"lastEvaluatedTime","type":"timestamp"},"NextToken":{"locationName":"nextToken"},"SpotFleetRequestId":{"locationName":"spotFleetRequestId"},"StartTime":{"locationName":"startTime","type":"timestamp"}}}},"DescribeSpotFleetRequests":{"input":{"type":"structure","members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"},"SpotFleetRequestIds":{"shape":"S73","locationName":"spotFleetRequestId"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"SpotFleetRequestConfigs":{"locationName":"spotFleetRequestConfigSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ActivityStatus":{"locationName":"activityStatus"},"CreateTime":{"locationName":"createTime","type":"timestamp"},"SpotFleetRequestConfig":{"shape":"S1ev","locationName":"spotFleetRequestConfig"},"SpotFleetRequestId":{"locationName":"spotFleetRequestId"},"SpotFleetRequestState":{"locationName":"spotFleetRequestState"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}}}}},"DescribeSpotInstanceRequests":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"locationName":"dryRun","type":"boolean"},"SpotInstanceRequestIds":{"shape":"S7e","locationName":"SpotInstanceRequestId"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SpotInstanceRequests":{"shape":"S1fn","locationName":"spotInstanceRequestSet"},"NextToken":{"locationName":"nextToken"}}}},"DescribeSpotPriceHistory":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"AvailabilityZone":{"locationName":"availabilityZone"},"DryRun":{"locationName":"dryRun","type":"boolean"},"EndTime":{"locationName":"endTime","type":"timestamp"},"InstanceTypes":{"locationName":"InstanceType","type":"list","member":{}},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"},"ProductDescriptions":{"locationName":"ProductDescription","type":"list","member":{}},"StartTime":{"locationName":"startTime","type":"timestamp"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"SpotPriceHistory":{"locationName":"spotPriceHistorySet","type":"list","member":{"locationName":"item","type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"InstanceType":{"locationName":"instanceType"},"ProductDescription":{"locationName":"productDescription"},"SpotPrice":{"locationName":"spotPrice"},"Timestamp":{"locationName":"timestamp","type":"timestamp"}}}}}}},"DescribeStaleSecurityGroups":{"input":{"type":"structure","required":["VpcId"],"members":{"DryRun":{"type":"boolean"},"MaxResults":{"type":"integer"},"NextToken":{},"VpcId":{}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"StaleSecurityGroupSet":{"locationName":"staleSecurityGroupSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Description":{"locationName":"description"},"GroupId":{"locationName":"groupId"},"GroupName":{"locationName":"groupName"},"StaleIpPermissions":{"shape":"S1g5","locationName":"staleIpPermissions"},"StaleIpPermissionsEgress":{"shape":"S1g5","locationName":"staleIpPermissionsEgress"},"VpcId":{"locationName":"vpcId"}}}}}}},"DescribeStoreImageTasks":{"input":{"type":"structure","members":{"ImageIds":{"locationName":"ImageId","type":"list","member":{"locationName":"item"}},"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"StoreImageTaskResults":{"locationName":"storeImageTaskResultSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AmiId":{"locationName":"amiId"},"TaskStartTime":{"locationName":"taskStartTime","type":"timestamp"},"Bucket":{"locationName":"bucket"},"S3objectKey":{"locationName":"s3objectKey"},"ProgressPercentage":{"locationName":"progressPercentage","type":"integer"},"StoreTaskState":{"locationName":"storeTaskState"},"StoreTaskFailureReason":{"locationName":"storeTaskFailureReason"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeSubnets":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"SubnetIds":{"locationName":"SubnetId","type":"list","member":{"locationName":"SubnetId"}},"DryRun":{"locationName":"dryRun","type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Subnets":{"locationName":"subnetSet","type":"list","member":{"shape":"S97","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeTags":{"input":{"type":"structure","members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Tags":{"locationName":"tagSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Key":{"locationName":"key"},"ResourceId":{"locationName":"resourceId"},"ResourceType":{"locationName":"resourceType"},"Value":{"locationName":"value"}}}}}}},"DescribeTrafficMirrorFilters":{"input":{"type":"structure","members":{"TrafficMirrorFilterIds":{"locationName":"TrafficMirrorFilterId","type":"list","member":{"locationName":"item"}},"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"TrafficMirrorFilters":{"locationName":"trafficMirrorFilterSet","type":"list","member":{"shape":"Skq","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeTrafficMirrorSessions":{"input":{"type":"structure","members":{"TrafficMirrorSessionIds":{"locationName":"TrafficMirrorSessionId","type":"list","member":{"locationName":"item"}},"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"TrafficMirrorSessions":{"locationName":"trafficMirrorSessionSet","type":"list","member":{"shape":"Sl5","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeTrafficMirrorTargets":{"input":{"type":"structure","members":{"TrafficMirrorTargetIds":{"locationName":"TrafficMirrorTargetId","type":"list","member":{"locationName":"item"}},"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"TrafficMirrorTargets":{"locationName":"trafficMirrorTargetSet","type":"list","member":{"shape":"Sl8","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeTransitGatewayAttachments":{"input":{"type":"structure","members":{"TransitGatewayAttachmentIds":{"shape":"S1h3"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayAttachments":{"locationName":"transitGatewayAttachments","type":"list","member":{"locationName":"item","type":"structure","members":{"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"TransitGatewayId":{"locationName":"transitGatewayId"},"TransitGatewayOwnerId":{"locationName":"transitGatewayOwnerId"},"ResourceOwnerId":{"locationName":"resourceOwnerId"},"ResourceType":{"locationName":"resourceType"},"ResourceId":{"locationName":"resourceId"},"State":{"locationName":"state"},"Association":{"locationName":"association","type":"structure","members":{"TransitGatewayRouteTableId":{"locationName":"transitGatewayRouteTableId"},"State":{"locationName":"state"}}},"CreationTime":{"locationName":"creationTime","type":"timestamp"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeTransitGatewayConnectPeers":{"input":{"type":"structure","members":{"TransitGatewayConnectPeerIds":{"type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayConnectPeers":{"locationName":"transitGatewayConnectPeerSet","type":"list","member":{"shape":"Slw","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeTransitGatewayConnects":{"input":{"type":"structure","members":{"TransitGatewayAttachmentIds":{"shape":"S1h3"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayConnects":{"locationName":"transitGatewayConnectSet","type":"list","member":{"shape":"Slq","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeTransitGatewayMulticastDomains":{"input":{"type":"structure","members":{"TransitGatewayMulticastDomainIds":{"type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayMulticastDomains":{"locationName":"transitGatewayMulticastDomains","type":"list","member":{"shape":"Sm9","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeTransitGatewayPeeringAttachments":{"input":{"type":"structure","members":{"TransitGatewayAttachmentIds":{"shape":"S1h3"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayPeeringAttachments":{"locationName":"transitGatewayPeeringAttachments","type":"list","member":{"shape":"Sn","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeTransitGatewayRouteTables":{"input":{"type":"structure","members":{"TransitGatewayRouteTableIds":{"type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayRouteTables":{"locationName":"transitGatewayRouteTables","type":"list","member":{"shape":"Smt","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeTransitGatewayVpcAttachments":{"input":{"type":"structure","members":{"TransitGatewayAttachmentIds":{"shape":"S1h3"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayVpcAttachments":{"locationName":"transitGatewayVpcAttachments","type":"list","member":{"shape":"Sw","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeTransitGateways":{"input":{"type":"structure","members":{"TransitGatewayIds":{"type":"list","member":{"locationName":"item"}},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGateways":{"locationName":"transitGatewaySet","type":"list","member":{"shape":"Slj","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeTrunkInterfaceAssociations":{"input":{"type":"structure","members":{"AssociationIds":{"locationName":"AssociationId","type":"list","member":{"locationName":"item"}},"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"InterfaceAssociations":{"locationName":"interfaceAssociationSet","type":"list","member":{"shape":"S4c","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeVolumeAttribute":{"input":{"type":"structure","required":["Attribute","VolumeId"],"members":{"Attribute":{},"VolumeId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"AutoEnableIO":{"shape":"S12g","locationName":"autoEnableIO"},"ProductCodes":{"shape":"Szt","locationName":"productCodes"},"VolumeId":{"locationName":"volumeId"}}}},"DescribeVolumeStatus":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"VolumeIds":{"shape":"S1i7","locationName":"VolumeId"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"VolumeStatuses":{"locationName":"volumeStatusSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Actions":{"locationName":"actionsSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Code":{"locationName":"code"},"Description":{"locationName":"description"},"EventId":{"locationName":"eventId"},"EventType":{"locationName":"eventType"}}}},"AvailabilityZone":{"locationName":"availabilityZone"},"OutpostArn":{"locationName":"outpostArn"},"Events":{"locationName":"eventsSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Description":{"locationName":"description"},"EventId":{"locationName":"eventId"},"EventType":{"locationName":"eventType"},"NotAfter":{"locationName":"notAfter","type":"timestamp"},"NotBefore":{"locationName":"notBefore","type":"timestamp"},"InstanceId":{"locationName":"instanceId"}}}},"VolumeId":{"locationName":"volumeId"},"VolumeStatus":{"locationName":"volumeStatus","type":"structure","members":{"Details":{"locationName":"details","type":"list","member":{"locationName":"item","type":"structure","members":{"Name":{"locationName":"name"},"Status":{"locationName":"status"}}}},"Status":{"locationName":"status"}}},"AttachmentStatuses":{"locationName":"attachmentStatuses","type":"list","member":{"locationName":"item","type":"structure","members":{"IoPerformance":{"locationName":"ioPerformance"},"InstanceId":{"locationName":"instanceId"}}}}}}}}}},"DescribeVolumes":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"VolumeIds":{"shape":"S1i7","locationName":"VolumeId"},"DryRun":{"locationName":"dryRun","type":"boolean"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"}}},"output":{"type":"structure","members":{"Volumes":{"locationName":"volumeSet","type":"list","member":{"shape":"Smz","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeVolumesModifications":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"VolumeIds":{"shape":"S1i7","locationName":"VolumeId"},"Filters":{"shape":"Su7","locationName":"Filter"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"VolumesModifications":{"locationName":"volumeModificationSet","type":"list","member":{"shape":"S1is","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeVpcAttribute":{"input":{"type":"structure","required":["Attribute","VpcId"],"members":{"Attribute":{},"VpcId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"VpcId":{"locationName":"vpcId"},"EnableDnsHostnames":{"shape":"S12g","locationName":"enableDnsHostnames"},"EnableDnsSupport":{"shape":"S12g","locationName":"enableDnsSupport"}}}},"DescribeVpcClassicLink":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"locationName":"dryRun","type":"boolean"},"VpcIds":{"shape":"S1iy","locationName":"VpcId"}}},"output":{"type":"structure","members":{"Vpcs":{"locationName":"vpcSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ClassicLinkEnabled":{"locationName":"classicLinkEnabled","type":"boolean"},"Tags":{"shape":"Ss","locationName":"tagSet"},"VpcId":{"locationName":"vpcId"}}}}}}},"DescribeVpcClassicLinkDnsSupport":{"input":{"type":"structure","members":{"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"},"VpcIds":{"shape":"S1iy"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Vpcs":{"locationName":"vpcs","type":"list","member":{"locationName":"item","type":"structure","members":{"ClassicLinkDnsSupported":{"locationName":"classicLinkDnsSupported","type":"boolean"},"VpcId":{"locationName":"vpcId"}}}}}}},"DescribeVpcEndpointConnectionNotifications":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"ConnectionNotificationId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ConnectionNotificationSet":{"locationName":"connectionNotificationSet","type":"list","member":{"shape":"Snj","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeVpcEndpointConnections":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"VpcEndpointConnections":{"locationName":"vpcEndpointConnectionSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ServiceId":{"locationName":"serviceId"},"VpcEndpointId":{"locationName":"vpcEndpointId"},"VpcEndpointOwner":{"locationName":"vpcEndpointOwner"},"VpcEndpointState":{"locationName":"vpcEndpointState"},"CreationTimestamp":{"locationName":"creationTimestamp","type":"timestamp"},"DnsEntries":{"shape":"Sne","locationName":"dnsEntrySet"},"NetworkLoadBalancerArns":{"shape":"Se","locationName":"networkLoadBalancerArnSet"},"GatewayLoadBalancerArns":{"shape":"Se","locationName":"gatewayLoadBalancerArnSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeVpcEndpointServiceConfigurations":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"ServiceIds":{"shape":"St1","locationName":"ServiceId"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ServiceConfigurations":{"locationName":"serviceConfigurationSet","type":"list","member":{"shape":"Sno","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeVpcEndpointServicePermissions":{"input":{"type":"structure","required":["ServiceId"],"members":{"DryRun":{"type":"boolean"},"ServiceId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AllowedPrincipals":{"locationName":"allowedPrincipals","type":"list","member":{"locationName":"item","type":"structure","members":{"PrincipalType":{"locationName":"principalType"},"Principal":{"locationName":"principal"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeVpcEndpointServices":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"ServiceNames":{"shape":"Se","locationName":"ServiceName"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ServiceNames":{"shape":"Se","locationName":"serviceNameSet"},"ServiceDetails":{"locationName":"serviceDetailSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ServiceName":{"locationName":"serviceName"},"ServiceId":{"locationName":"serviceId"},"ServiceType":{"shape":"Snp","locationName":"serviceType"},"AvailabilityZones":{"shape":"Se","locationName":"availabilityZoneSet"},"Owner":{"locationName":"owner"},"BaseEndpointDnsNames":{"shape":"Se","locationName":"baseEndpointDnsNameSet"},"PrivateDnsName":{"locationName":"privateDnsName"},"PrivateDnsNames":{"locationName":"privateDnsNameSet","type":"list","member":{"locationName":"item","type":"structure","members":{"PrivateDnsName":{"locationName":"privateDnsName"}}}},"VpcEndpointPolicySupported":{"locationName":"vpcEndpointPolicySupported","type":"boolean"},"AcceptanceRequired":{"locationName":"acceptanceRequired","type":"boolean"},"ManagesVpcEndpoints":{"locationName":"managesVpcEndpoints","type":"boolean"},"Tags":{"shape":"Ss","locationName":"tagSet"},"PrivateDnsNameVerificationState":{"locationName":"privateDnsNameVerificationState"}}}},"NextToken":{"locationName":"nextToken"}}}},"DescribeVpcEndpoints":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"VpcEndpointIds":{"shape":"S13","locationName":"VpcEndpointId"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"VpcEndpoints":{"locationName":"vpcEndpointSet","type":"list","member":{"shape":"Sna","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeVpcPeeringConnections":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"DryRun":{"locationName":"dryRun","type":"boolean"},"VpcPeeringConnectionIds":{"locationName":"VpcPeeringConnectionId","type":"list","member":{"locationName":"item"}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"VpcPeeringConnections":{"locationName":"vpcPeeringConnectionSet","type":"list","member":{"shape":"S1c","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeVpcs":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"VpcIds":{"locationName":"VpcId","type":"list","member":{"locationName":"VpcId"}},"DryRun":{"locationName":"dryRun","type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Vpcs":{"locationName":"vpcSet","type":"list","member":{"shape":"S9f","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"DescribeVpnConnections":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"VpnConnectionIds":{"locationName":"VpnConnectionId","type":"list","member":{"locationName":"VpnConnectionId"}},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"VpnConnections":{"locationName":"vpnConnectionSet","type":"list","member":{"shape":"Soi","locationName":"item"}}}}},"DescribeVpnGateways":{"input":{"type":"structure","members":{"Filters":{"shape":"Su7","locationName":"Filter"},"VpnGatewayIds":{"locationName":"VpnGatewayId","type":"list","member":{"locationName":"VpnGatewayId"}},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"VpnGateways":{"locationName":"vpnGatewaySet","type":"list","member":{"shape":"Spc","locationName":"item"}}}}},"DetachClassicLinkVpc":{"input":{"type":"structure","required":["InstanceId","VpcId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"InstanceId":{"locationName":"instanceId"},"VpcId":{"locationName":"vpcId"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"DetachInternetGateway":{"input":{"type":"structure","required":["InternetGatewayId","VpcId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"InternetGatewayId":{"locationName":"internetGatewayId"},"VpcId":{"locationName":"vpcId"}}}},"DetachNetworkInterface":{"input":{"type":"structure","required":["AttachmentId"],"members":{"AttachmentId":{"locationName":"attachmentId"},"DryRun":{"locationName":"dryRun","type":"boolean"},"Force":{"locationName":"force","type":"boolean"}}}},"DetachVolume":{"input":{"type":"structure","required":["VolumeId"],"members":{"Device":{},"Force":{"type":"boolean"},"InstanceId":{},"VolumeId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"shape":"S4w"}},"DetachVpnGateway":{"input":{"type":"structure","required":["VpcId","VpnGatewayId"],"members":{"VpcId":{},"VpnGatewayId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DisableEbsEncryptionByDefault":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"EbsEncryptionByDefault":{"locationName":"ebsEncryptionByDefault","type":"boolean"}}}},"DisableFastSnapshotRestores":{"input":{"type":"structure","required":["AvailabilityZones","SourceSnapshotIds"],"members":{"AvailabilityZones":{"shape":"S1ko","locationName":"AvailabilityZone"},"SourceSnapshotIds":{"shape":"S1ec","locationName":"SourceSnapshotId"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Successful":{"locationName":"successful","type":"list","member":{"locationName":"item","type":"structure","members":{"SnapshotId":{"locationName":"snapshotId"},"AvailabilityZone":{"locationName":"availabilityZone"},"State":{"locationName":"state"},"StateTransitionReason":{"locationName":"stateTransitionReason"},"OwnerId":{"locationName":"ownerId"},"OwnerAlias":{"locationName":"ownerAlias"},"EnablingTime":{"locationName":"enablingTime","type":"timestamp"},"OptimizingTime":{"locationName":"optimizingTime","type":"timestamp"},"EnabledTime":{"locationName":"enabledTime","type":"timestamp"},"DisablingTime":{"locationName":"disablingTime","type":"timestamp"},"DisabledTime":{"locationName":"disabledTime","type":"timestamp"}}}},"Unsuccessful":{"locationName":"unsuccessful","type":"list","member":{"locationName":"item","type":"structure","members":{"SnapshotId":{"locationName":"snapshotId"},"FastSnapshotRestoreStateErrors":{"locationName":"fastSnapshotRestoreStateErrorSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"Error":{"locationName":"error","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}}}}}}}}}}},"DisableImageDeprecation":{"input":{"type":"structure","required":["ImageId"],"members":{"ImageId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"DisableIpamOrganizationAdminAccount":{"input":{"type":"structure","required":["DelegatedAdminAccountId"],"members":{"DryRun":{"type":"boolean"},"DelegatedAdminAccountId":{}}},"output":{"type":"structure","members":{"Success":{"locationName":"success","type":"boolean"}}}},"DisableSerialConsoleAccess":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"SerialConsoleAccessEnabled":{"locationName":"serialConsoleAccessEnabled","type":"boolean"}}}},"DisableTransitGatewayRouteTablePropagation":{"input":{"type":"structure","required":["TransitGatewayRouteTableId","TransitGatewayAttachmentId"],"members":{"TransitGatewayRouteTableId":{},"TransitGatewayAttachmentId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Propagation":{"shape":"S1l5","locationName":"propagation"}}}},"DisableVgwRoutePropagation":{"input":{"type":"structure","required":["GatewayId","RouteTableId"],"members":{"GatewayId":{},"RouteTableId":{},"DryRun":{"type":"boolean"}}}},"DisableVpcClassicLink":{"input":{"type":"structure","required":["VpcId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"VpcId":{"locationName":"vpcId"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"DisableVpcClassicLinkDnsSupport":{"input":{"type":"structure","members":{"VpcId":{}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"DisassociateAddress":{"input":{"type":"structure","members":{"AssociationId":{},"PublicIp":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DisassociateClientVpnTargetNetwork":{"input":{"type":"structure","required":["ClientVpnEndpointId","AssociationId"],"members":{"ClientVpnEndpointId":{},"AssociationId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"AssociationId":{"locationName":"associationId"},"Status":{"shape":"S2y","locationName":"status"}}}},"DisassociateEnclaveCertificateIamRole":{"input":{"type":"structure","members":{"CertificateArn":{},"RoleArn":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"DisassociateIamInstanceProfile":{"input":{"type":"structure","required":["AssociationId"],"members":{"AssociationId":{}}},"output":{"type":"structure","members":{"IamInstanceProfileAssociation":{"shape":"S38","locationName":"iamInstanceProfileAssociation"}}}},"DisassociateInstanceEventWindow":{"input":{"type":"structure","required":["InstanceEventWindowId","AssociationTarget"],"members":{"DryRun":{"type":"boolean"},"InstanceEventWindowId":{},"AssociationTarget":{"type":"structure","members":{"InstanceIds":{"shape":"S3e","locationName":"InstanceId"},"InstanceTags":{"shape":"Ss","locationName":"InstanceTag"},"DedicatedHostIds":{"shape":"S3f","locationName":"DedicatedHostId"}}}}},"output":{"type":"structure","members":{"InstanceEventWindow":{"shape":"S3i","locationName":"instanceEventWindow"}}}},"DisassociateRouteTable":{"input":{"type":"structure","required":["AssociationId"],"members":{"AssociationId":{"locationName":"associationId"},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"DisassociateSubnetCidrBlock":{"input":{"type":"structure","required":["AssociationId"],"members":{"AssociationId":{"locationName":"associationId"}}},"output":{"type":"structure","members":{"Ipv6CidrBlockAssociation":{"shape":"S3y","locationName":"ipv6CidrBlockAssociation"},"SubnetId":{"locationName":"subnetId"}}}},"DisassociateTransitGatewayMulticastDomain":{"input":{"type":"structure","members":{"TransitGatewayMulticastDomainId":{},"TransitGatewayAttachmentId":{},"SubnetIds":{"shape":"S43"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Associations":{"shape":"Sg","locationName":"associations"}}}},"DisassociateTransitGatewayRouteTable":{"input":{"type":"structure","required":["TransitGatewayRouteTableId","TransitGatewayAttachmentId"],"members":{"TransitGatewayRouteTableId":{},"TransitGatewayAttachmentId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Association":{"shape":"S48","locationName":"association"}}}},"DisassociateTrunkInterface":{"input":{"type":"structure","required":["AssociationId"],"members":{"AssociationId":{},"ClientToken":{"idempotencyToken":true},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"},"ClientToken":{"locationName":"clientToken"}}}},"DisassociateVpcCidrBlock":{"input":{"type":"structure","required":["AssociationId"],"members":{"AssociationId":{"locationName":"associationId"}}},"output":{"type":"structure","members":{"Ipv6CidrBlockAssociation":{"shape":"S4j","locationName":"ipv6CidrBlockAssociation"},"CidrBlockAssociation":{"shape":"S4m","locationName":"cidrBlockAssociation"},"VpcId":{"locationName":"vpcId"}}}},"EnableEbsEncryptionByDefault":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"EbsEncryptionByDefault":{"locationName":"ebsEncryptionByDefault","type":"boolean"}}}},"EnableFastSnapshotRestores":{"input":{"type":"structure","required":["AvailabilityZones","SourceSnapshotIds"],"members":{"AvailabilityZones":{"shape":"S1ko","locationName":"AvailabilityZone"},"SourceSnapshotIds":{"shape":"S1ec","locationName":"SourceSnapshotId"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Successful":{"locationName":"successful","type":"list","member":{"locationName":"item","type":"structure","members":{"SnapshotId":{"locationName":"snapshotId"},"AvailabilityZone":{"locationName":"availabilityZone"},"State":{"locationName":"state"},"StateTransitionReason":{"locationName":"stateTransitionReason"},"OwnerId":{"locationName":"ownerId"},"OwnerAlias":{"locationName":"ownerAlias"},"EnablingTime":{"locationName":"enablingTime","type":"timestamp"},"OptimizingTime":{"locationName":"optimizingTime","type":"timestamp"},"EnabledTime":{"locationName":"enabledTime","type":"timestamp"},"DisablingTime":{"locationName":"disablingTime","type":"timestamp"},"DisabledTime":{"locationName":"disabledTime","type":"timestamp"}}}},"Unsuccessful":{"locationName":"unsuccessful","type":"list","member":{"locationName":"item","type":"structure","members":{"SnapshotId":{"locationName":"snapshotId"},"FastSnapshotRestoreStateErrors":{"locationName":"fastSnapshotRestoreStateErrorSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"Error":{"locationName":"error","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}}}}}}}}}}},"EnableImageDeprecation":{"input":{"type":"structure","required":["ImageId","DeprecateAt"],"members":{"ImageId":{},"DeprecateAt":{"type":"timestamp"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"EnableIpamOrganizationAdminAccount":{"input":{"type":"structure","required":["DelegatedAdminAccountId"],"members":{"DryRun":{"type":"boolean"},"DelegatedAdminAccountId":{}}},"output":{"type":"structure","members":{"Success":{"locationName":"success","type":"boolean"}}}},"EnableSerialConsoleAccess":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"SerialConsoleAccessEnabled":{"locationName":"serialConsoleAccessEnabled","type":"boolean"}}}},"EnableTransitGatewayRouteTablePropagation":{"input":{"type":"structure","required":["TransitGatewayRouteTableId","TransitGatewayAttachmentId"],"members":{"TransitGatewayRouteTableId":{},"TransitGatewayAttachmentId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Propagation":{"shape":"S1l5","locationName":"propagation"}}}},"EnableVgwRoutePropagation":{"input":{"type":"structure","required":["GatewayId","RouteTableId"],"members":{"GatewayId":{},"RouteTableId":{},"DryRun":{"type":"boolean"}}}},"EnableVolumeIO":{"input":{"type":"structure","required":["VolumeId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"VolumeId":{"locationName":"volumeId"}}}},"EnableVpcClassicLink":{"input":{"type":"structure","required":["VpcId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"VpcId":{"locationName":"vpcId"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"EnableVpcClassicLinkDnsSupport":{"input":{"type":"structure","members":{"VpcId":{}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ExportClientVpnClientCertificateRevocationList":{"input":{"type":"structure","required":["ClientVpnEndpointId"],"members":{"ClientVpnEndpointId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"CertificateRevocationList":{"locationName":"certificateRevocationList"},"Status":{"locationName":"status","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}}}}},"ExportClientVpnClientConfiguration":{"input":{"type":"structure","required":["ClientVpnEndpointId"],"members":{"ClientVpnEndpointId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"ClientConfiguration":{"locationName":"clientConfiguration"}}}},"ExportImage":{"input":{"type":"structure","required":["DiskImageFormat","ImageId","S3ExportLocation"],"members":{"ClientToken":{"idempotencyToken":true},"Description":{},"DiskImageFormat":{},"DryRun":{"type":"boolean"},"ImageId":{},"S3ExportLocation":{"type":"structure","required":["S3Bucket"],"members":{"S3Bucket":{},"S3Prefix":{}}},"RoleName":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"Description":{"locationName":"description"},"DiskImageFormat":{"locationName":"diskImageFormat"},"ExportImageTaskId":{"locationName":"exportImageTaskId"},"ImageId":{"locationName":"imageId"},"RoleName":{"locationName":"roleName"},"Progress":{"locationName":"progress"},"S3ExportLocation":{"shape":"Syc","locationName":"s3ExportLocation"},"Status":{"locationName":"status"},"StatusMessage":{"locationName":"statusMessage"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"ExportTransitGatewayRoutes":{"input":{"type":"structure","required":["TransitGatewayRouteTableId","S3Bucket"],"members":{"TransitGatewayRouteTableId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"S3Bucket":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"S3Location":{"locationName":"s3Location"}}}},"GetAssociatedEnclaveCertificateIamRoles":{"input":{"type":"structure","members":{"CertificateArn":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"AssociatedRoles":{"locationName":"associatedRoleSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AssociatedRoleArn":{"locationName":"associatedRoleArn"},"CertificateS3BucketName":{"locationName":"certificateS3BucketName"},"CertificateS3ObjectKey":{"locationName":"certificateS3ObjectKey"},"EncryptionKmsKeyId":{"locationName":"encryptionKmsKeyId"}}}}}}},"GetAssociatedIpv6PoolCidrs":{"input":{"type":"structure","required":["PoolId"],"members":{"PoolId":{},"NextToken":{},"MaxResults":{"type":"integer"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Ipv6CidrAssociations":{"locationName":"ipv6CidrAssociationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Ipv6Cidr":{"locationName":"ipv6Cidr"},"AssociatedResource":{"locationName":"associatedResource"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetCapacityReservationUsage":{"input":{"type":"structure","required":["CapacityReservationId"],"members":{"CapacityReservationId":{},"NextToken":{},"MaxResults":{"type":"integer"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"CapacityReservationId":{"locationName":"capacityReservationId"},"InstanceType":{"locationName":"instanceType"},"TotalInstanceCount":{"locationName":"totalInstanceCount","type":"integer"},"AvailableInstanceCount":{"locationName":"availableInstanceCount","type":"integer"},"State":{"locationName":"state"},"InstanceUsages":{"locationName":"instanceUsageSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AccountId":{"locationName":"accountId"},"UsedInstanceCount":{"locationName":"usedInstanceCount","type":"integer"}}}}}}},"GetCoipPoolUsage":{"input":{"type":"structure","required":["PoolId"],"members":{"PoolId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"CoipPoolId":{"locationName":"coipPoolId"},"CoipAddressUsages":{"locationName":"coipAddressUsageSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AllocationId":{"locationName":"allocationId"},"AwsAccountId":{"locationName":"awsAccountId"},"AwsService":{"locationName":"awsService"},"CoIp":{"locationName":"coIp"}}}},"LocalGatewayRouteTableId":{"locationName":"localGatewayRouteTableId"}}}},"GetConsoleOutput":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"DryRun":{"locationName":"dryRun","type":"boolean"},"Latest":{"type":"boolean"}}},"output":{"type":"structure","members":{"InstanceId":{"locationName":"instanceId"},"Output":{"locationName":"output"},"Timestamp":{"locationName":"timestamp","type":"timestamp"}}}},"GetConsoleScreenshot":{"input":{"type":"structure","required":["InstanceId"],"members":{"DryRun":{"type":"boolean"},"InstanceId":{},"WakeUp":{"type":"boolean"}}},"output":{"type":"structure","members":{"ImageData":{"locationName":"imageData"},"InstanceId":{"locationName":"instanceId"}}}},"GetDefaultCreditSpecification":{"input":{"type":"structure","required":["InstanceFamily"],"members":{"DryRun":{"type":"boolean"},"InstanceFamily":{}}},"output":{"type":"structure","members":{"InstanceFamilyCreditSpecification":{"shape":"S1np","locationName":"instanceFamilyCreditSpecification"}}}},"GetEbsDefaultKmsKeyId":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"KmsKeyId":{"locationName":"kmsKeyId"}}}},"GetEbsEncryptionByDefault":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"EbsEncryptionByDefault":{"locationName":"ebsEncryptionByDefault","type":"boolean"}}}},"GetFlowLogsIntegrationTemplate":{"input":{"type":"structure","required":["FlowLogId","ConfigDeliveryS3DestinationArn","IntegrateServices"],"members":{"DryRun":{"type":"boolean"},"FlowLogId":{},"ConfigDeliveryS3DestinationArn":{},"IntegrateServices":{"locationName":"IntegrateService","type":"structure","members":{"AthenaIntegrations":{"locationName":"AthenaIntegration","type":"list","member":{"locationName":"item","type":"structure","required":["IntegrationResultS3DestinationArn","PartitionLoadFrequency"],"members":{"IntegrationResultS3DestinationArn":{},"PartitionLoadFrequency":{},"PartitionStartDate":{"type":"timestamp"},"PartitionEndDate":{"type":"timestamp"}}}}}}}},"output":{"type":"structure","members":{"Result":{"locationName":"result"}}}},"GetGroupsForCapacityReservation":{"input":{"type":"structure","required":["CapacityReservationId"],"members":{"CapacityReservationId":{},"NextToken":{},"MaxResults":{"type":"integer"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"CapacityReservationGroups":{"locationName":"capacityReservationGroupSet","type":"list","member":{"locationName":"item","type":"structure","members":{"GroupArn":{"locationName":"groupArn"},"OwnerId":{"locationName":"ownerId"}}}}}}},"GetHostReservationPurchasePreview":{"input":{"type":"structure","required":["HostIdSet","OfferingId"],"members":{"HostIdSet":{"shape":"S1o6"},"OfferingId":{}}},"output":{"type":"structure","members":{"CurrencyCode":{"locationName":"currencyCode"},"Purchase":{"shape":"S1o8","locationName":"purchase"},"TotalHourlyPrice":{"locationName":"totalHourlyPrice"},"TotalUpfrontPrice":{"locationName":"totalUpfrontPrice"}}}},"GetInstanceTypesFromInstanceRequirements":{"input":{"type":"structure","required":["ArchitectureTypes","VirtualizationTypes","InstanceRequirements"],"members":{"DryRun":{"type":"boolean"},"ArchitectureTypes":{"shape":"S1ob","locationName":"ArchitectureType"},"VirtualizationTypes":{"shape":"S1oc","locationName":"VirtualizationType"},"InstanceRequirements":{"shape":"Sak"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"InstanceTypes":{"locationName":"instanceTypeSet","type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceType":{"locationName":"instanceType"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetIpamAddressHistory":{"input":{"type":"structure","required":["Cidr","IpamScopeId"],"members":{"DryRun":{"type":"boolean"},"Cidr":{},"IpamScopeId":{},"VpcId":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"HistoryRecords":{"locationName":"historyRecordSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ResourceOwnerId":{"locationName":"resourceOwnerId"},"ResourceRegion":{"locationName":"resourceRegion"},"ResourceType":{"locationName":"resourceType"},"ResourceId":{"locationName":"resourceId"},"ResourceCidr":{"locationName":"resourceCidr"},"ResourceName":{"locationName":"resourceName"},"ResourceComplianceStatus":{"locationName":"resourceComplianceStatus"},"ResourceOverlapStatus":{"locationName":"resourceOverlapStatus"},"VpcId":{"locationName":"vpcId"},"SampledStartTime":{"locationName":"sampledStartTime","type":"timestamp"},"SampledEndTime":{"locationName":"sampledEndTime","type":"timestamp"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetIpamPoolAllocations":{"input":{"type":"structure","required":["IpamPoolId"],"members":{"DryRun":{"type":"boolean"},"IpamPoolId":{},"IpamPoolAllocationId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"IpamPoolAllocations":{"locationName":"ipamPoolAllocationSet","type":"list","member":{"shape":"S26","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"GetIpamPoolCidrs":{"input":{"type":"structure","required":["IpamPoolId"],"members":{"DryRun":{"type":"boolean"},"IpamPoolId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"IpamPoolCidrs":{"locationName":"ipamPoolCidrSet","type":"list","member":{"shape":"Ste","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"GetIpamResourceCidrs":{"input":{"type":"structure","required":["IpamScopeId"],"members":{"DryRun":{"type":"boolean"},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"IpamScopeId":{},"IpamPoolId":{},"ResourceId":{},"ResourceType":{},"ResourceTag":{"shape":"Sde"},"ResourceOwner":{}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"IpamResourceCidrs":{"locationName":"ipamResourceCidrSet","type":"list","member":{"shape":"S1oz","locationName":"item"}}}}},"GetLaunchTemplateData":{"input":{"type":"structure","required":["InstanceId"],"members":{"DryRun":{"type":"boolean"},"InstanceId":{}}},"output":{"type":"structure","members":{"LaunchTemplateData":{"shape":"Sfi","locationName":"launchTemplateData"}}}},"GetManagedPrefixListAssociations":{"input":{"type":"structure","required":["PrefixListId"],"members":{"DryRun":{"type":"boolean"},"PrefixListId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"PrefixListAssociations":{"locationName":"prefixListAssociationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ResourceId":{"locationName":"resourceId"},"ResourceOwner":{"locationName":"resourceOwner"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetManagedPrefixListEntries":{"input":{"type":"structure","required":["PrefixListId"],"members":{"DryRun":{"type":"boolean"},"PrefixListId":{},"TargetVersion":{"type":"long"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Entries":{"locationName":"entrySet","type":"list","member":{"locationName":"item","type":"structure","members":{"Cidr":{"locationName":"cidr"},"Description":{"locationName":"description"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetNetworkInsightsAccessScopeAnalysisFindings":{"input":{"type":"structure","required":["NetworkInsightsAccessScopeAnalysisId"],"members":{"NetworkInsightsAccessScopeAnalysisId":{},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"NetworkInsightsAccessScopeAnalysisId":{"locationName":"networkInsightsAccessScopeAnalysisId"},"AnalysisStatus":{"locationName":"analysisStatus"},"AnalysisFindings":{"locationName":"analysisFindingSet","type":"list","member":{"locationName":"item","type":"structure","members":{"NetworkInsightsAccessScopeAnalysisId":{"locationName":"networkInsightsAccessScopeAnalysisId"},"NetworkInsightsAccessScopeId":{"locationName":"networkInsightsAccessScopeId"},"FindingId":{"locationName":"findingId"},"FindingComponents":{"shape":"S1a3","locationName":"findingComponentSet"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetNetworkInsightsAccessScopeContent":{"input":{"type":"structure","required":["NetworkInsightsAccessScopeId"],"members":{"NetworkInsightsAccessScopeId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"NetworkInsightsAccessScopeContent":{"shape":"Shu","locationName":"networkInsightsAccessScopeContent"}}}},"GetPasswordData":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"InstanceId":{"locationName":"instanceId"},"PasswordData":{"locationName":"passwordData"},"Timestamp":{"locationName":"timestamp","type":"timestamp"}}}},"GetReservedInstancesExchangeQuote":{"input":{"type":"structure","required":["ReservedInstanceIds"],"members":{"DryRun":{"type":"boolean"},"ReservedInstanceIds":{"shape":"S3","locationName":"ReservedInstanceId"},"TargetConfigurations":{"shape":"S5","locationName":"TargetConfiguration"}}},"output":{"type":"structure","members":{"CurrencyCode":{"locationName":"currencyCode"},"IsValidExchange":{"locationName":"isValidExchange","type":"boolean"},"OutputReservedInstancesWillExpireAt":{"locationName":"outputReservedInstancesWillExpireAt","type":"timestamp"},"PaymentDue":{"locationName":"paymentDue"},"ReservedInstanceValueRollup":{"shape":"S1pn","locationName":"reservedInstanceValueRollup"},"ReservedInstanceValueSet":{"locationName":"reservedInstanceValueSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ReservationValue":{"shape":"S1pn","locationName":"reservationValue"},"ReservedInstanceId":{"locationName":"reservedInstanceId"}}}},"TargetConfigurationValueRollup":{"shape":"S1pn","locationName":"targetConfigurationValueRollup"},"TargetConfigurationValueSet":{"locationName":"targetConfigurationValueSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ReservationValue":{"shape":"S1pn","locationName":"reservationValue"},"TargetConfiguration":{"locationName":"targetConfiguration","type":"structure","members":{"InstanceCount":{"locationName":"instanceCount","type":"integer"},"OfferingId":{"locationName":"offeringId"}}}}}},"ValidationFailureReason":{"locationName":"validationFailureReason"}}}},"GetSerialConsoleAccessStatus":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"SerialConsoleAccessEnabled":{"locationName":"serialConsoleAccessEnabled","type":"boolean"}}}},"GetSpotPlacementScores":{"input":{"type":"structure","required":["TargetCapacity"],"members":{"InstanceTypes":{"locationName":"InstanceType","type":"list","member":{}},"TargetCapacity":{"type":"integer"},"TargetCapacityUnitType":{},"SingleAvailabilityZone":{"type":"boolean"},"RegionNames":{"locationName":"RegionName","type":"list","member":{}},"InstanceRequirementsWithMetadata":{"type":"structure","members":{"ArchitectureTypes":{"shape":"S1ob","locationName":"ArchitectureType"},"VirtualizationTypes":{"shape":"S1oc","locationName":"VirtualizationType"},"InstanceRequirements":{"shape":"Sak"}}},"DryRun":{"type":"boolean"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"SpotPlacementScores":{"locationName":"spotPlacementScoreSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Region":{"locationName":"region"},"AvailabilityZoneId":{"locationName":"availabilityZoneId"},"Score":{"locationName":"score","type":"integer"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetSubnetCidrReservations":{"input":{"type":"structure","required":["SubnetId"],"members":{"Filters":{"shape":"Su7","locationName":"Filter"},"SubnetId":{},"DryRun":{"type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SubnetIpv4CidrReservations":{"shape":"S1q7","locationName":"subnetIpv4CidrReservationSet"},"SubnetIpv6CidrReservations":{"shape":"S1q7","locationName":"subnetIpv6CidrReservationSet"},"NextToken":{"locationName":"nextToken"}}}},"GetTransitGatewayAttachmentPropagations":{"input":{"type":"structure","required":["TransitGatewayAttachmentId"],"members":{"TransitGatewayAttachmentId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayAttachmentPropagations":{"locationName":"transitGatewayAttachmentPropagations","type":"list","member":{"locationName":"item","type":"structure","members":{"TransitGatewayRouteTableId":{"locationName":"transitGatewayRouteTableId"},"State":{"locationName":"state"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetTransitGatewayMulticastDomainAssociations":{"input":{"type":"structure","members":{"TransitGatewayMulticastDomainId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"MulticastDomainAssociations":{"locationName":"multicastDomainAssociations","type":"list","member":{"locationName":"item","type":"structure","members":{"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"ResourceId":{"locationName":"resourceId"},"ResourceType":{"locationName":"resourceType"},"ResourceOwnerId":{"locationName":"resourceOwnerId"},"Subnet":{"shape":"Sj","locationName":"subnet"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetTransitGatewayPrefixListReferences":{"input":{"type":"structure","required":["TransitGatewayRouteTableId"],"members":{"TransitGatewayRouteTableId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayPrefixListReferences":{"locationName":"transitGatewayPrefixListReferenceSet","type":"list","member":{"shape":"Smh","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"GetTransitGatewayRouteTableAssociations":{"input":{"type":"structure","required":["TransitGatewayRouteTableId"],"members":{"TransitGatewayRouteTableId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Associations":{"locationName":"associations","type":"list","member":{"locationName":"item","type":"structure","members":{"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"ResourceId":{"locationName":"resourceId"},"ResourceType":{"locationName":"resourceType"},"State":{"locationName":"state"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetTransitGatewayRouteTablePropagations":{"input":{"type":"structure","required":["TransitGatewayRouteTableId"],"members":{"TransitGatewayRouteTableId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayRouteTablePropagations":{"locationName":"transitGatewayRouteTablePropagations","type":"list","member":{"locationName":"item","type":"structure","members":{"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"ResourceId":{"locationName":"resourceId"},"ResourceType":{"locationName":"resourceType"},"State":{"locationName":"state"}}}},"NextToken":{"locationName":"nextToken"}}}},"GetVpnConnectionDeviceSampleConfiguration":{"input":{"type":"structure","required":["VpnConnectionId","VpnConnectionDeviceTypeId"],"members":{"VpnConnectionId":{},"VpnConnectionDeviceTypeId":{},"InternetKeyExchangeVersion":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"VpnConnectionDeviceSampleConfiguration":{"locationName":"vpnConnectionDeviceSampleConfiguration","type":"string","sensitive":true}}}},"GetVpnConnectionDeviceTypes":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"VpnConnectionDeviceTypes":{"locationName":"vpnConnectionDeviceTypeSet","type":"list","member":{"locationName":"item","type":"structure","members":{"VpnConnectionDeviceTypeId":{"locationName":"vpnConnectionDeviceTypeId"},"Vendor":{"locationName":"vendor"},"Platform":{"locationName":"platform"},"Software":{"locationName":"software"}}}},"NextToken":{"locationName":"nextToken"}}}},"ImportClientVpnClientCertificateRevocationList":{"input":{"type":"structure","required":["ClientVpnEndpointId","CertificateRevocationList"],"members":{"ClientVpnEndpointId":{},"CertificateRevocationList":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ImportImage":{"input":{"type":"structure","members":{"Architecture":{},"ClientData":{"shape":"S1r3"},"ClientToken":{},"Description":{},"DiskContainers":{"locationName":"DiskContainer","type":"list","member":{"locationName":"item","type":"structure","members":{"Description":{},"DeviceName":{},"Format":{},"SnapshotId":{},"Url":{},"UserBucket":{"shape":"S1r6"}}}},"DryRun":{"type":"boolean"},"Encrypted":{"type":"boolean"},"Hypervisor":{},"KmsKeyId":{},"LicenseType":{},"Platform":{},"RoleName":{},"LicenseSpecifications":{"type":"list","member":{"locationName":"item","type":"structure","members":{"LicenseConfigurationArn":{}}}},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"UsageOperation":{},"BootMode":{}}},"output":{"type":"structure","members":{"Architecture":{"locationName":"architecture"},"Description":{"locationName":"description"},"Encrypted":{"locationName":"encrypted","type":"boolean"},"Hypervisor":{"locationName":"hypervisor"},"ImageId":{"locationName":"imageId"},"ImportTaskId":{"locationName":"importTaskId"},"KmsKeyId":{"locationName":"kmsKeyId"},"LicenseType":{"locationName":"licenseType"},"Platform":{"locationName":"platform"},"Progress":{"locationName":"progress"},"SnapshotDetails":{"shape":"S11y","locationName":"snapshotDetailSet"},"Status":{"locationName":"status"},"StatusMessage":{"locationName":"statusMessage"},"LicenseSpecifications":{"shape":"S121","locationName":"licenseSpecifications"},"Tags":{"shape":"Ss","locationName":"tagSet"},"UsageOperation":{"locationName":"usageOperation"}}}},"ImportInstance":{"input":{"type":"structure","required":["Platform"],"members":{"Description":{"locationName":"description"},"DiskImages":{"locationName":"diskImage","type":"list","member":{"type":"structure","members":{"Description":{},"Image":{"shape":"S1rd"},"Volume":{"shape":"S1re"}}}},"DryRun":{"locationName":"dryRun","type":"boolean"},"LaunchSpecification":{"locationName":"launchSpecification","type":"structure","members":{"AdditionalInfo":{"locationName":"additionalInfo"},"Architecture":{"locationName":"architecture"},"GroupIds":{"shape":"Se4","locationName":"GroupId"},"GroupNames":{"shape":"Seq","locationName":"GroupName"},"InstanceInitiatedShutdownBehavior":{"locationName":"instanceInitiatedShutdownBehavior"},"InstanceType":{"locationName":"instanceType"},"Monitoring":{"locationName":"monitoring","type":"boolean"},"Placement":{"shape":"Sai","locationName":"placement"},"PrivateIpAddress":{"locationName":"privateIpAddress"},"SubnetId":{"locationName":"subnetId"},"UserData":{"locationName":"userData","type":"structure","members":{"Data":{"locationName":"data"}},"sensitive":true}}},"Platform":{"locationName":"platform"}}},"output":{"type":"structure","members":{"ConversionTask":{"shape":"Sx9","locationName":"conversionTask"}}}},"ImportKeyPair":{"input":{"type":"structure","required":["KeyName","PublicKeyMaterial"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"KeyName":{"locationName":"keyName"},"PublicKeyMaterial":{"locationName":"publicKeyMaterial","type":"blob"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"KeyFingerprint":{"locationName":"keyFingerprint"},"KeyName":{"locationName":"keyName"},"KeyPairId":{"locationName":"keyPairId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"ImportSnapshot":{"input":{"type":"structure","members":{"ClientData":{"shape":"S1r3"},"ClientToken":{},"Description":{},"DiskContainer":{"type":"structure","members":{"Description":{},"Format":{},"Url":{},"UserBucket":{"shape":"S1r6"}}},"DryRun":{"type":"boolean"},"Encrypted":{"type":"boolean"},"KmsKeyId":{},"RoleName":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"Description":{"locationName":"description"},"ImportTaskId":{"locationName":"importTaskId"},"SnapshotTaskDetail":{"shape":"S129","locationName":"snapshotTaskDetail"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"ImportVolume":{"input":{"type":"structure","required":["AvailabilityZone","Image","Volume"],"members":{"AvailabilityZone":{"locationName":"availabilityZone"},"Description":{"locationName":"description"},"DryRun":{"locationName":"dryRun","type":"boolean"},"Image":{"shape":"S1rd","locationName":"image"},"Volume":{"shape":"S1re","locationName":"volume"}}},"output":{"type":"structure","members":{"ConversionTask":{"shape":"Sx9","locationName":"conversionTask"}}}},"ListSnapshotsInRecycleBin":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"SnapshotIds":{"shape":"S1ec","locationName":"SnapshotId"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Snapshots":{"locationName":"snapshotSet","type":"list","member":{"locationName":"item","type":"structure","members":{"SnapshotId":{"locationName":"snapshotId"},"RecycleBinEnterTime":{"locationName":"recycleBinEnterTime","type":"timestamp"},"RecycleBinExitTime":{"locationName":"recycleBinExitTime","type":"timestamp"},"Description":{"locationName":"description"},"VolumeId":{"locationName":"volumeId"}}}},"NextToken":{"locationName":"nextToken"}}}},"ModifyAddressAttribute":{"input":{"type":"structure","required":["AllocationId"],"members":{"AllocationId":{},"DomainName":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Address":{"shape":"Sul","locationName":"address"}}}},"ModifyAvailabilityZoneGroup":{"input":{"type":"structure","required":["GroupName","OptInStatus"],"members":{"GroupName":{},"OptInStatus":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ModifyCapacityReservation":{"input":{"type":"structure","required":["CapacityReservationId"],"members":{"CapacityReservationId":{},"InstanceCount":{"type":"integer"},"EndDate":{"type":"timestamp"},"EndDateType":{},"Accept":{"type":"boolean"},"DryRun":{"type":"boolean"},"AdditionalInfo":{}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ModifyCapacityReservationFleet":{"input":{"type":"structure","required":["CapacityReservationFleetId"],"members":{"CapacityReservationFleetId":{},"TotalTargetCapacity":{"type":"integer"},"EndDate":{"type":"timestamp"},"DryRun":{"type":"boolean"},"RemoveEndDate":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ModifyClientVpnEndpoint":{"input":{"type":"structure","required":["ClientVpnEndpointId"],"members":{"ClientVpnEndpointId":{},"ServerCertificateArn":{},"ConnectionLogOptions":{"shape":"S8q"},"DnsServers":{"type":"structure","members":{"CustomDnsServers":{"shape":"Se"},"Enabled":{"type":"boolean"}}},"VpnPort":{"type":"integer"},"Description":{},"SplitTunnel":{"type":"boolean"},"DryRun":{"type":"boolean"},"SecurityGroupIds":{"shape":"S2c","locationName":"SecurityGroupId"},"VpcId":{},"SelfServicePortal":{},"ClientConnectOptions":{"shape":"S8t"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ModifyDefaultCreditSpecification":{"input":{"type":"structure","required":["InstanceFamily","CpuCredits"],"members":{"DryRun":{"type":"boolean"},"InstanceFamily":{},"CpuCredits":{}}},"output":{"type":"structure","members":{"InstanceFamilyCreditSpecification":{"shape":"S1np","locationName":"instanceFamilyCreditSpecification"}}}},"ModifyEbsDefaultKmsKeyId":{"input":{"type":"structure","required":["KmsKeyId"],"members":{"KmsKeyId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"KmsKeyId":{"locationName":"kmsKeyId"}}}},"ModifyFleet":{"input":{"type":"structure","required":["FleetId"],"members":{"DryRun":{"type":"boolean"},"ExcessCapacityTerminationPolicy":{},"LaunchTemplateConfigs":{"shape":"Sab","locationName":"LaunchTemplateConfig"},"FleetId":{},"TargetCapacitySpecification":{"shape":"Sba"},"Context":{}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ModifyFpgaImageAttribute":{"input":{"type":"structure","required":["FpgaImageId"],"members":{"DryRun":{"type":"boolean"},"FpgaImageId":{},"Attribute":{},"OperationType":{},"UserIds":{"shape":"S1se","locationName":"UserId"},"UserGroups":{"shape":"S1sf","locationName":"UserGroup"},"ProductCodes":{"shape":"S1sg","locationName":"ProductCode"},"LoadPermission":{"type":"structure","members":{"Add":{"shape":"S1si"},"Remove":{"shape":"S1si"}}},"Description":{},"Name":{}}},"output":{"type":"structure","members":{"FpgaImageAttribute":{"shape":"Szp","locationName":"fpgaImageAttribute"}}}},"ModifyHosts":{"input":{"type":"structure","required":["HostIds"],"members":{"AutoPlacement":{"locationName":"autoPlacement"},"HostIds":{"shape":"S10m","locationName":"hostId"},"HostRecovery":{},"InstanceType":{},"InstanceFamily":{}}},"output":{"type":"structure","members":{"Successful":{"shape":"S21","locationName":"successful"},"Unsuccessful":{"shape":"S1sn","locationName":"unsuccessful"}}}},"ModifyIdFormat":{"input":{"type":"structure","required":["Resource","UseLongIds"],"members":{"Resource":{},"UseLongIds":{"type":"boolean"}}}},"ModifyIdentityIdFormat":{"input":{"type":"structure","required":["PrincipalArn","Resource","UseLongIds"],"members":{"PrincipalArn":{"locationName":"principalArn"},"Resource":{"locationName":"resource"},"UseLongIds":{"locationName":"useLongIds","type":"boolean"}}}},"ModifyImageAttribute":{"input":{"type":"structure","required":["ImageId"],"members":{"Attribute":{},"Description":{"shape":"S9s"},"ImageId":{},"LaunchPermission":{"type":"structure","members":{"Add":{"shape":"S11c"},"Remove":{"shape":"S11c"}}},"OperationType":{},"ProductCodes":{"shape":"S1sg","locationName":"ProductCode"},"UserGroups":{"shape":"S1sf","locationName":"UserGroup"},"UserIds":{"shape":"S1se","locationName":"UserId"},"Value":{},"DryRun":{"locationName":"dryRun","type":"boolean"},"OrganizationArns":{"locationName":"OrganizationArn","type":"list","member":{"locationName":"OrganizationArn"}},"OrganizationalUnitArns":{"locationName":"OrganizationalUnitArn","type":"list","member":{"locationName":"OrganizationalUnitArn"}}}}},"ModifyInstanceAttribute":{"input":{"type":"structure","required":["InstanceId"],"members":{"SourceDestCheck":{"shape":"S12g"},"Attribute":{"locationName":"attribute"},"BlockDeviceMappings":{"locationName":"blockDeviceMapping","type":"list","member":{"locationName":"item","type":"structure","members":{"DeviceName":{"locationName":"deviceName"},"Ebs":{"locationName":"ebs","type":"structure","members":{"DeleteOnTermination":{"locationName":"deleteOnTermination","type":"boolean"},"VolumeId":{"locationName":"volumeId"}}},"NoDevice":{"locationName":"noDevice"},"VirtualName":{"locationName":"virtualName"}}}},"DisableApiTermination":{"shape":"S12g","locationName":"disableApiTermination"},"DryRun":{"locationName":"dryRun","type":"boolean"},"EbsOptimized":{"shape":"S12g","locationName":"ebsOptimized"},"EnaSupport":{"shape":"S12g","locationName":"enaSupport"},"Groups":{"shape":"S4o","locationName":"GroupId"},"InstanceId":{"locationName":"instanceId"},"InstanceInitiatedShutdownBehavior":{"shape":"S9s","locationName":"instanceInitiatedShutdownBehavior"},"InstanceType":{"shape":"S9s","locationName":"instanceType"},"Kernel":{"shape":"S9s","locationName":"kernel"},"Ramdisk":{"shape":"S9s","locationName":"ramdisk"},"SriovNetSupport":{"shape":"S9s","locationName":"sriovNetSupport"},"UserData":{"locationName":"userData","type":"structure","members":{"Value":{"locationName":"value","type":"blob"}}},"Value":{"locationName":"value"}}}},"ModifyInstanceCapacityReservationAttributes":{"input":{"type":"structure","required":["InstanceId","CapacityReservationSpecification"],"members":{"InstanceId":{},"CapacityReservationSpecification":{"shape":"S1t0"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ModifyInstanceCreditSpecification":{"input":{"type":"structure","required":["InstanceCreditSpecifications"],"members":{"DryRun":{"type":"boolean"},"ClientToken":{},"InstanceCreditSpecifications":{"locationName":"InstanceCreditSpecification","type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceId":{},"CpuCredits":{}}}}}},"output":{"type":"structure","members":{"SuccessfulInstanceCreditSpecifications":{"locationName":"successfulInstanceCreditSpecificationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceId":{"locationName":"instanceId"}}}},"UnsuccessfulInstanceCreditSpecifications":{"locationName":"unsuccessfulInstanceCreditSpecificationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceId":{"locationName":"instanceId"},"Error":{"locationName":"error","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}}}}}}}},"ModifyInstanceEventStartTime":{"input":{"type":"structure","required":["InstanceId","InstanceEventId","NotBefore"],"members":{"DryRun":{"type":"boolean"},"InstanceId":{},"InstanceEventId":{},"NotBefore":{"type":"timestamp"}}},"output":{"type":"structure","members":{"Event":{"shape":"S12z","locationName":"event"}}}},"ModifyInstanceEventWindow":{"input":{"type":"structure","required":["InstanceEventWindowId"],"members":{"DryRun":{"type":"boolean"},"Name":{},"InstanceEventWindowId":{},"TimeRanges":{"shape":"Sck","locationName":"TimeRange"},"CronExpression":{}}},"output":{"type":"structure","members":{"InstanceEventWindow":{"shape":"S3i","locationName":"instanceEventWindow"}}}},"ModifyInstanceMetadataOptions":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"HttpTokens":{},"HttpPutResponseHopLimit":{"type":"integer"},"HttpEndpoint":{},"DryRun":{"type":"boolean"},"HttpProtocolIpv6":{}}},"output":{"type":"structure","members":{"InstanceId":{"locationName":"instanceId"},"InstanceMetadataOptions":{"shape":"S16x","locationName":"instanceMetadataOptions"}}}},"ModifyInstancePlacement":{"input":{"type":"structure","required":["InstanceId"],"members":{"Affinity":{"locationName":"affinity"},"GroupName":{},"HostId":{"locationName":"hostId"},"InstanceId":{"locationName":"instanceId"},"Tenancy":{"locationName":"tenancy"},"PartitionNumber":{"type":"integer"},"HostResourceGroupArn":{}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ModifyIpam":{"input":{"type":"structure","required":["IpamId"],"members":{"DryRun":{"type":"boolean"},"IpamId":{},"Description":{},"AddOperatingRegions":{"shape":"Sd1","locationName":"AddOperatingRegion"},"RemoveOperatingRegions":{"locationName":"RemoveOperatingRegion","type":"list","member":{"type":"structure","members":{"RegionName":{}}}}}},"output":{"type":"structure","members":{"Ipam":{"shape":"Sd4","locationName":"ipam"}}}},"ModifyIpamPool":{"input":{"type":"structure","required":["IpamPoolId"],"members":{"DryRun":{"type":"boolean"},"IpamPoolId":{},"Description":{},"AutoImport":{"type":"boolean"},"AllocationMinNetmaskLength":{"type":"integer"},"AllocationMaxNetmaskLength":{"type":"integer"},"AllocationDefaultNetmaskLength":{"type":"integer"},"ClearAllocationDefaultNetmaskLength":{"type":"boolean"},"AddAllocationResourceTags":{"shape":"Sdd","locationName":"AddAllocationResourceTag"},"RemoveAllocationResourceTags":{"shape":"Sdd","locationName":"RemoveAllocationResourceTag"}}},"output":{"type":"structure","members":{"IpamPool":{"shape":"Sdh","locationName":"ipamPool"}}}},"ModifyIpamResourceCidr":{"input":{"type":"structure","required":["ResourceId","ResourceCidr","ResourceRegion","CurrentIpamScopeId","Monitored"],"members":{"DryRun":{"type":"boolean"},"ResourceId":{},"ResourceCidr":{},"ResourceRegion":{},"CurrentIpamScopeId":{},"DestinationIpamScopeId":{},"Monitored":{"type":"boolean"}}},"output":{"type":"structure","members":{"IpamResourceCidr":{"shape":"S1oz","locationName":"ipamResourceCidr"}}}},"ModifyIpamScope":{"input":{"type":"structure","required":["IpamScopeId"],"members":{"DryRun":{"type":"boolean"},"IpamScopeId":{},"Description":{}}},"output":{"type":"structure","members":{"IpamScope":{"shape":"Sdo","locationName":"ipamScope"}}}},"ModifyLaunchTemplate":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"ClientToken":{},"LaunchTemplateId":{},"LaunchTemplateName":{},"DefaultVersion":{"locationName":"SetDefaultVersion"}}},"output":{"type":"structure","members":{"LaunchTemplate":{"shape":"Sfb","locationName":"launchTemplate"}}}},"ModifyManagedPrefixList":{"input":{"type":"structure","required":["PrefixListId"],"members":{"DryRun":{"type":"boolean"},"PrefixListId":{},"CurrentVersion":{"type":"long"},"PrefixListName":{},"AddEntries":{"shape":"Sgs","locationName":"AddEntry"},"RemoveEntries":{"locationName":"RemoveEntry","type":"list","member":{"type":"structure","required":["Cidr"],"members":{"Cidr":{}}}},"MaxEntries":{"type":"integer"}}},"output":{"type":"structure","members":{"PrefixList":{"shape":"Sgv","locationName":"prefixList"}}}},"ModifyNetworkInterfaceAttribute":{"input":{"type":"structure","required":["NetworkInterfaceId"],"members":{"Attachment":{"locationName":"attachment","type":"structure","members":{"AttachmentId":{"locationName":"attachmentId"},"DeleteOnTermination":{"locationName":"deleteOnTermination","type":"boolean"}}},"Description":{"shape":"S9s","locationName":"description"},"DryRun":{"locationName":"dryRun","type":"boolean"},"Groups":{"shape":"Se4","locationName":"SecurityGroupId"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"SourceDestCheck":{"shape":"S12g","locationName":"sourceDestCheck"}}}},"ModifyPrivateDnsNameOptions":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"InstanceId":{},"PrivateDnsHostnameType":{},"EnableResourceNameDnsARecord":{"type":"boolean"},"EnableResourceNameDnsAAAARecord":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ModifyReservedInstances":{"input":{"type":"structure","required":["ReservedInstancesIds","TargetConfigurations"],"members":{"ReservedInstancesIds":{"shape":"S1c2","locationName":"ReservedInstancesId"},"ClientToken":{"locationName":"clientToken"},"TargetConfigurations":{"locationName":"ReservedInstancesConfigurationSetItemType","type":"list","member":{"shape":"S1co","locationName":"item"}}}},"output":{"type":"structure","members":{"ReservedInstancesModificationId":{"locationName":"reservedInstancesModificationId"}}}},"ModifySecurityGroupRules":{"input":{"type":"structure","required":["GroupId","SecurityGroupRules"],"members":{"GroupId":{},"SecurityGroupRules":{"locationName":"SecurityGroupRule","type":"list","member":{"locationName":"item","type":"structure","members":{"SecurityGroupRuleId":{},"SecurityGroupRule":{"type":"structure","members":{"IpProtocol":{},"FromPort":{"type":"integer"},"ToPort":{"type":"integer"},"CidrIpv4":{},"CidrIpv6":{},"PrefixListId":{},"ReferencedGroupId":{},"Description":{}}}}}},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ModifySnapshotAttribute":{"input":{"type":"structure","required":["SnapshotId"],"members":{"Attribute":{},"CreateVolumePermission":{"type":"structure","members":{"Add":{"shape":"S1e2"},"Remove":{"shape":"S1e2"}}},"GroupNames":{"shape":"S1du","locationName":"UserGroup"},"OperationType":{},"SnapshotId":{},"UserIds":{"shape":"S1se","locationName":"UserId"},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"ModifySnapshotTier":{"input":{"type":"structure","required":["SnapshotId"],"members":{"SnapshotId":{},"StorageTier":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"SnapshotId":{"locationName":"snapshotId"},"TieringStartTime":{"locationName":"tieringStartTime","type":"timestamp"}}}},"ModifySpotFleetRequest":{"input":{"type":"structure","required":["SpotFleetRequestId"],"members":{"ExcessCapacityTerminationPolicy":{"locationName":"excessCapacityTerminationPolicy"},"LaunchTemplateConfigs":{"shape":"S1fa","locationName":"LaunchTemplateConfig"},"SpotFleetRequestId":{"locationName":"spotFleetRequestId"},"TargetCapacity":{"locationName":"targetCapacity","type":"integer"},"OnDemandTargetCapacity":{"type":"integer"},"Context":{}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ModifySubnetAttribute":{"input":{"type":"structure","required":["SubnetId"],"members":{"AssignIpv6AddressOnCreation":{"shape":"S12g"},"MapPublicIpOnLaunch":{"shape":"S12g"},"SubnetId":{"locationName":"subnetId"},"MapCustomerOwnedIpOnLaunch":{"shape":"S12g"},"CustomerOwnedIpv4Pool":{},"EnableDns64":{"shape":"S12g"},"PrivateDnsHostnameTypeOnLaunch":{},"EnableResourceNameDnsARecordOnLaunch":{"shape":"S12g"},"EnableResourceNameDnsAAAARecordOnLaunch":{"shape":"S12g"},"EnableLniAtDeviceIndex":{"type":"integer"},"DisableLniAtDeviceIndex":{"shape":"S12g"}}}},"ModifyTrafficMirrorFilterNetworkServices":{"input":{"type":"structure","required":["TrafficMirrorFilterId"],"members":{"TrafficMirrorFilterId":{},"AddNetworkServices":{"shape":"Skw","locationName":"AddNetworkService"},"RemoveNetworkServices":{"shape":"Skw","locationName":"RemoveNetworkService"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TrafficMirrorFilter":{"shape":"Skq","locationName":"trafficMirrorFilter"}}}},"ModifyTrafficMirrorFilterRule":{"input":{"type":"structure","required":["TrafficMirrorFilterRuleId"],"members":{"TrafficMirrorFilterRuleId":{},"TrafficDirection":{},"RuleNumber":{"type":"integer"},"RuleAction":{},"DestinationPortRange":{"shape":"Sl0"},"SourcePortRange":{"shape":"Sl0"},"Protocol":{"type":"integer"},"DestinationCidrBlock":{},"SourceCidrBlock":{},"Description":{},"RemoveFields":{"locationName":"RemoveField","type":"list","member":{}},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TrafficMirrorFilterRule":{"shape":"Sks","locationName":"trafficMirrorFilterRule"}}}},"ModifyTrafficMirrorSession":{"input":{"type":"structure","required":["TrafficMirrorSessionId"],"members":{"TrafficMirrorSessionId":{},"TrafficMirrorTargetId":{},"TrafficMirrorFilterId":{},"PacketLength":{"type":"integer"},"SessionNumber":{"type":"integer"},"VirtualNetworkId":{"type":"integer"},"Description":{},"RemoveFields":{"locationName":"RemoveField","type":"list","member":{}},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TrafficMirrorSession":{"shape":"Sl5","locationName":"trafficMirrorSession"}}}},"ModifyTransitGateway":{"input":{"type":"structure","required":["TransitGatewayId"],"members":{"TransitGatewayId":{},"Description":{},"Options":{"type":"structure","members":{"AddTransitGatewayCidrBlocks":{"shape":"Slh"},"RemoveTransitGatewayCidrBlocks":{"shape":"Slh"},"VpnEcmpSupport":{},"DnsSupport":{},"AutoAcceptSharedAttachments":{},"DefaultRouteTableAssociation":{},"AssociationDefaultRouteTableId":{},"DefaultRouteTablePropagation":{},"PropagationDefaultRouteTableId":{}}},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGateway":{"shape":"Slj","locationName":"transitGateway"}}}},"ModifyTransitGatewayPrefixListReference":{"input":{"type":"structure","required":["TransitGatewayRouteTableId","PrefixListId"],"members":{"TransitGatewayRouteTableId":{},"PrefixListId":{},"TransitGatewayAttachmentId":{},"Blackhole":{"type":"boolean"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayPrefixListReference":{"shape":"Smh","locationName":"transitGatewayPrefixListReference"}}}},"ModifyTransitGatewayVpcAttachment":{"input":{"type":"structure","required":["TransitGatewayAttachmentId"],"members":{"TransitGatewayAttachmentId":{},"AddSubnetIds":{"shape":"S43"},"RemoveSubnetIds":{"shape":"S43"},"Options":{"type":"structure","members":{"DnsSupport":{},"Ipv6Support":{},"ApplianceModeSupport":{}}},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayVpcAttachment":{"shape":"Sw","locationName":"transitGatewayVpcAttachment"}}}},"ModifyVolume":{"input":{"type":"structure","required":["VolumeId"],"members":{"DryRun":{"type":"boolean"},"VolumeId":{},"Size":{"type":"integer"},"VolumeType":{},"Iops":{"type":"integer"},"Throughput":{"type":"integer"},"MultiAttachEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"VolumeModification":{"shape":"S1is","locationName":"volumeModification"}}}},"ModifyVolumeAttribute":{"input":{"type":"structure","required":["VolumeId"],"members":{"AutoEnableIO":{"shape":"S12g"},"VolumeId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"ModifyVpcAttribute":{"input":{"type":"structure","required":["VpcId"],"members":{"EnableDnsHostnames":{"shape":"S12g"},"EnableDnsSupport":{"shape":"S12g"},"VpcId":{"locationName":"vpcId"}}}},"ModifyVpcEndpoint":{"input":{"type":"structure","required":["VpcEndpointId"],"members":{"DryRun":{"type":"boolean"},"VpcEndpointId":{},"ResetPolicy":{"type":"boolean"},"PolicyDocument":{},"AddRouteTableIds":{"shape":"Sn6","locationName":"AddRouteTableId"},"RemoveRouteTableIds":{"shape":"Sn6","locationName":"RemoveRouteTableId"},"AddSubnetIds":{"shape":"Sn7","locationName":"AddSubnetId"},"RemoveSubnetIds":{"shape":"Sn7","locationName":"RemoveSubnetId"},"AddSecurityGroupIds":{"shape":"Sn8","locationName":"AddSecurityGroupId"},"RemoveSecurityGroupIds":{"shape":"Sn8","locationName":"RemoveSecurityGroupId"},"PrivateDnsEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ModifyVpcEndpointConnectionNotification":{"input":{"type":"structure","required":["ConnectionNotificationId"],"members":{"DryRun":{"type":"boolean"},"ConnectionNotificationId":{},"ConnectionNotificationArn":{},"ConnectionEvents":{"shape":"Se"}}},"output":{"type":"structure","members":{"ReturnValue":{"locationName":"return","type":"boolean"}}}},"ModifyVpcEndpointServiceConfiguration":{"input":{"type":"structure","required":["ServiceId"],"members":{"DryRun":{"type":"boolean"},"ServiceId":{},"PrivateDnsName":{},"RemovePrivateDnsName":{"type":"boolean"},"AcceptanceRequired":{"type":"boolean"},"AddNetworkLoadBalancerArns":{"shape":"Se","locationName":"AddNetworkLoadBalancerArn"},"RemoveNetworkLoadBalancerArns":{"shape":"Se","locationName":"RemoveNetworkLoadBalancerArn"},"AddGatewayLoadBalancerArns":{"shape":"Se","locationName":"AddGatewayLoadBalancerArn"},"RemoveGatewayLoadBalancerArns":{"shape":"Se","locationName":"RemoveGatewayLoadBalancerArn"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ModifyVpcEndpointServicePermissions":{"input":{"type":"structure","required":["ServiceId"],"members":{"DryRun":{"type":"boolean"},"ServiceId":{},"AddAllowedPrincipals":{"shape":"Se"},"RemoveAllowedPrincipals":{"shape":"Se"}}},"output":{"type":"structure","members":{"ReturnValue":{"locationName":"return","type":"boolean"}}}},"ModifyVpcPeeringConnectionOptions":{"input":{"type":"structure","required":["VpcPeeringConnectionId"],"members":{"AccepterPeeringConnectionOptions":{"shape":"S1vh"},"DryRun":{"type":"boolean"},"RequesterPeeringConnectionOptions":{"shape":"S1vh"},"VpcPeeringConnectionId":{}}},"output":{"type":"structure","members":{"AccepterPeeringConnectionOptions":{"shape":"S1vj","locationName":"accepterPeeringConnectionOptions"},"RequesterPeeringConnectionOptions":{"shape":"S1vj","locationName":"requesterPeeringConnectionOptions"}}}},"ModifyVpcTenancy":{"input":{"type":"structure","required":["VpcId","InstanceTenancy"],"members":{"VpcId":{},"InstanceTenancy":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"ReturnValue":{"locationName":"return","type":"boolean"}}}},"ModifyVpnConnection":{"input":{"type":"structure","required":["VpnConnectionId"],"members":{"VpnConnectionId":{},"TransitGatewayId":{},"CustomerGatewayId":{},"VpnGatewayId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"VpnConnection":{"shape":"Soi","locationName":"vpnConnection"}}}},"ModifyVpnConnectionOptions":{"input":{"type":"structure","required":["VpnConnectionId"],"members":{"VpnConnectionId":{},"LocalIpv4NetworkCidr":{},"RemoteIpv4NetworkCidr":{},"LocalIpv6NetworkCidr":{},"RemoteIpv6NetworkCidr":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"VpnConnection":{"shape":"Soi","locationName":"vpnConnection"}}}},"ModifyVpnTunnelCertificate":{"input":{"type":"structure","required":["VpnConnectionId","VpnTunnelOutsideIpAddress"],"members":{"VpnConnectionId":{},"VpnTunnelOutsideIpAddress":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"VpnConnection":{"shape":"Soi","locationName":"vpnConnection"}}}},"ModifyVpnTunnelOptions":{"input":{"type":"structure","required":["VpnConnectionId","VpnTunnelOutsideIpAddress","TunnelOptions"],"members":{"VpnConnectionId":{},"VpnTunnelOutsideIpAddress":{},"TunnelOptions":{"type":"structure","members":{"TunnelInsideCidr":{},"TunnelInsideIpv6Cidr":{},"PreSharedKey":{},"Phase1LifetimeSeconds":{"type":"integer"},"Phase2LifetimeSeconds":{"type":"integer"},"RekeyMarginTimeSeconds":{"type":"integer"},"RekeyFuzzPercentage":{"type":"integer"},"ReplayWindowSize":{"type":"integer"},"DPDTimeoutSeconds":{"type":"integer"},"DPDTimeoutAction":{},"Phase1EncryptionAlgorithms":{"shape":"So3","locationName":"Phase1EncryptionAlgorithm"},"Phase2EncryptionAlgorithms":{"shape":"So5","locationName":"Phase2EncryptionAlgorithm"},"Phase1IntegrityAlgorithms":{"shape":"So7","locationName":"Phase1IntegrityAlgorithm"},"Phase2IntegrityAlgorithms":{"shape":"So9","locationName":"Phase2IntegrityAlgorithm"},"Phase1DHGroupNumbers":{"shape":"Sob","locationName":"Phase1DHGroupNumber"},"Phase2DHGroupNumbers":{"shape":"Sod","locationName":"Phase2DHGroupNumber"},"IKEVersions":{"shape":"Sof","locationName":"IKEVersion"},"StartupAction":{}}},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"VpnConnection":{"shape":"Soi","locationName":"vpnConnection"}}}},"MonitorInstances":{"input":{"type":"structure","required":["InstanceIds"],"members":{"InstanceIds":{"shape":"Svp","locationName":"InstanceId"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"InstanceMonitorings":{"shape":"S1vy","locationName":"instancesSet"}}}},"MoveAddressToVpc":{"input":{"type":"structure","required":["PublicIp"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"PublicIp":{"locationName":"publicIp"}}},"output":{"type":"structure","members":{"AllocationId":{"locationName":"allocationId"},"Status":{"locationName":"status"}}}},"MoveByoipCidrToIpam":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"Cidr":{},"IpamPoolId":{},"IpamPoolOwner":{}}},"output":{"type":"structure","members":{"ByoipCidr":{"shape":"S1n","locationName":"byoipCidr"}}}},"ProvisionByoipCidr":{"input":{"type":"structure","required":["Cidr"],"members":{"Cidr":{},"CidrAuthorizationContext":{"type":"structure","required":["Message","Signature"],"members":{"Message":{},"Signature":{}}},"PubliclyAdvertisable":{"type":"boolean"},"Description":{},"DryRun":{"type":"boolean"},"PoolTagSpecifications":{"shape":"S1t","locationName":"PoolTagSpecification"},"MultiRegion":{"type":"boolean"}}},"output":{"type":"structure","members":{"ByoipCidr":{"shape":"S1n","locationName":"byoipCidr"}}}},"ProvisionIpamPoolCidr":{"input":{"type":"structure","required":["IpamPoolId"],"members":{"DryRun":{"type":"boolean"},"IpamPoolId":{},"Cidr":{},"CidrAuthorizationContext":{"type":"structure","members":{"Message":{},"Signature":{}}}}},"output":{"type":"structure","members":{"IpamPoolCidr":{"shape":"Ste","locationName":"ipamPoolCidr"}}}},"ProvisionPublicIpv4PoolCidr":{"input":{"type":"structure","required":["IpamPoolId","PoolId","NetmaskLength"],"members":{"DryRun":{"type":"boolean"},"IpamPoolId":{},"PoolId":{},"NetmaskLength":{"type":"integer"}}},"output":{"type":"structure","members":{"PoolId":{"locationName":"poolId"},"PoolAddressRange":{"shape":"S1bp","locationName":"poolAddressRange"}}}},"PurchaseHostReservation":{"input":{"type":"structure","required":["HostIdSet","OfferingId"],"members":{"ClientToken":{},"CurrencyCode":{},"HostIdSet":{"shape":"S1o6"},"LimitPrice":{},"OfferingId":{},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"output":{"type":"structure","members":{"ClientToken":{"locationName":"clientToken"},"CurrencyCode":{"locationName":"currencyCode"},"Purchase":{"shape":"S1o8","locationName":"purchase"},"TotalHourlyPrice":{"locationName":"totalHourlyPrice"},"TotalUpfrontPrice":{"locationName":"totalUpfrontPrice"}}}},"PurchaseReservedInstancesOffering":{"input":{"type":"structure","required":["InstanceCount","ReservedInstancesOfferingId"],"members":{"InstanceCount":{"type":"integer"},"ReservedInstancesOfferingId":{},"DryRun":{"locationName":"dryRun","type":"boolean"},"LimitPrice":{"locationName":"limitPrice","type":"structure","members":{"Amount":{"locationName":"amount","type":"double"},"CurrencyCode":{"locationName":"currencyCode"}}},"PurchaseTime":{"type":"timestamp"}}},"output":{"type":"structure","members":{"ReservedInstancesId":{"locationName":"reservedInstancesId"}}}},"PurchaseScheduledInstances":{"input":{"type":"structure","required":["PurchaseRequests"],"members":{"ClientToken":{"idempotencyToken":true},"DryRun":{"type":"boolean"},"PurchaseRequests":{"locationName":"PurchaseRequest","type":"list","member":{"locationName":"PurchaseRequest","type":"structure","required":["InstanceCount","PurchaseToken"],"members":{"InstanceCount":{"type":"integer"},"PurchaseToken":{}}}}}},"output":{"type":"structure","members":{"ScheduledInstanceSet":{"locationName":"scheduledInstanceSet","type":"list","member":{"shape":"S1dj","locationName":"item"}}}}},"RebootInstances":{"input":{"type":"structure","required":["InstanceIds"],"members":{"InstanceIds":{"shape":"Svp","locationName":"InstanceId"},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"RegisterImage":{"input":{"type":"structure","required":["Name"],"members":{"ImageLocation":{},"Architecture":{"locationName":"architecture"},"BlockDeviceMappings":{"shape":"Scd","locationName":"BlockDeviceMapping"},"Description":{"locationName":"description"},"DryRun":{"locationName":"dryRun","type":"boolean"},"EnaSupport":{"locationName":"enaSupport","type":"boolean"},"KernelId":{"locationName":"kernelId"},"Name":{"locationName":"name"},"BillingProducts":{"locationName":"BillingProduct","type":"list","member":{"locationName":"item"}},"RamdiskId":{"locationName":"ramdiskId"},"RootDeviceName":{"locationName":"rootDeviceName"},"SriovNetSupport":{"locationName":"sriovNetSupport"},"VirtualizationType":{"locationName":"virtualizationType"},"BootMode":{}}},"output":{"type":"structure","members":{"ImageId":{"locationName":"imageId"}}}},"RegisterInstanceEventNotificationAttributes":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"InstanceTagAttribute":{"type":"structure","members":{"IncludeAllTagsOfInstance":{"type":"boolean"},"InstanceTagKeys":{"shape":"Sto","locationName":"InstanceTagKey"}}}}},"output":{"type":"structure","members":{"InstanceTagAttribute":{"shape":"Stq","locationName":"instanceTagAttribute"}}}},"RegisterTransitGatewayMulticastGroupMembers":{"input":{"type":"structure","members":{"TransitGatewayMulticastDomainId":{},"GroupIpAddress":{},"NetworkInterfaceIds":{"shape":"Sts"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"RegisteredMulticastGroupMembers":{"locationName":"registeredMulticastGroupMembers","type":"structure","members":{"TransitGatewayMulticastDomainId":{"locationName":"transitGatewayMulticastDomainId"},"RegisteredNetworkInterfaceIds":{"shape":"Se","locationName":"registeredNetworkInterfaceIds"},"GroupIpAddress":{"locationName":"groupIpAddress"}}}}}},"RegisterTransitGatewayMulticastGroupSources":{"input":{"type":"structure","members":{"TransitGatewayMulticastDomainId":{},"GroupIpAddress":{},"NetworkInterfaceIds":{"shape":"Sts"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"RegisteredMulticastGroupSources":{"locationName":"registeredMulticastGroupSources","type":"structure","members":{"TransitGatewayMulticastDomainId":{"locationName":"transitGatewayMulticastDomainId"},"RegisteredNetworkInterfaceIds":{"shape":"Se","locationName":"registeredNetworkInterfaceIds"},"GroupIpAddress":{"locationName":"groupIpAddress"}}}}}},"RejectTransitGatewayMulticastDomainAssociations":{"input":{"type":"structure","members":{"TransitGatewayMulticastDomainId":{},"TransitGatewayAttachmentId":{},"SubnetIds":{"shape":"Se"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Associations":{"shape":"Sg","locationName":"associations"}}}},"RejectTransitGatewayPeeringAttachment":{"input":{"type":"structure","required":["TransitGatewayAttachmentId"],"members":{"TransitGatewayAttachmentId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayPeeringAttachment":{"shape":"Sn","locationName":"transitGatewayPeeringAttachment"}}}},"RejectTransitGatewayVpcAttachment":{"input":{"type":"structure","required":["TransitGatewayAttachmentId"],"members":{"TransitGatewayAttachmentId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"TransitGatewayVpcAttachment":{"shape":"Sw","locationName":"transitGatewayVpcAttachment"}}}},"RejectVpcEndpointConnections":{"input":{"type":"structure","required":["ServiceId","VpcEndpointIds"],"members":{"DryRun":{"type":"boolean"},"ServiceId":{},"VpcEndpointIds":{"shape":"S13","locationName":"VpcEndpointId"}}},"output":{"type":"structure","members":{"Unsuccessful":{"shape":"S16","locationName":"unsuccessful"}}}},"RejectVpcPeeringConnection":{"input":{"type":"structure","required":["VpcPeeringConnectionId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"VpcPeeringConnectionId":{"locationName":"vpcPeeringConnectionId"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ReleaseAddress":{"input":{"type":"structure","members":{"AllocationId":{},"PublicIp":{},"NetworkBorderGroup":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"ReleaseHosts":{"input":{"type":"structure","required":["HostIds"],"members":{"HostIds":{"shape":"S10m","locationName":"hostId"}}},"output":{"type":"structure","members":{"Successful":{"shape":"S21","locationName":"successful"},"Unsuccessful":{"shape":"S1sn","locationName":"unsuccessful"}}}},"ReleaseIpamPoolAllocation":{"input":{"type":"structure","required":["IpamPoolId","Cidr"],"members":{"DryRun":{"type":"boolean"},"IpamPoolId":{},"Cidr":{},"IpamPoolAllocationId":{}}},"output":{"type":"structure","members":{"Success":{"locationName":"success","type":"boolean"}}}},"ReplaceIamInstanceProfileAssociation":{"input":{"type":"structure","required":["IamInstanceProfile","AssociationId"],"members":{"IamInstanceProfile":{"shape":"S36"},"AssociationId":{}}},"output":{"type":"structure","members":{"IamInstanceProfileAssociation":{"shape":"S38","locationName":"iamInstanceProfileAssociation"}}}},"ReplaceNetworkAclAssociation":{"input":{"type":"structure","required":["AssociationId","NetworkAclId"],"members":{"AssociationId":{"locationName":"associationId"},"DryRun":{"locationName":"dryRun","type":"boolean"},"NetworkAclId":{"locationName":"networkAclId"}}},"output":{"type":"structure","members":{"NewAssociationId":{"locationName":"newAssociationId"}}}},"ReplaceNetworkAclEntry":{"input":{"type":"structure","required":["Egress","NetworkAclId","Protocol","RuleAction","RuleNumber"],"members":{"CidrBlock":{"locationName":"cidrBlock"},"DryRun":{"locationName":"dryRun","type":"boolean"},"Egress":{"locationName":"egress","type":"boolean"},"IcmpTypeCode":{"shape":"Shc","locationName":"Icmp"},"Ipv6CidrBlock":{"locationName":"ipv6CidrBlock"},"NetworkAclId":{"locationName":"networkAclId"},"PortRange":{"shape":"Shd","locationName":"portRange"},"Protocol":{"locationName":"protocol"},"RuleAction":{"locationName":"ruleAction"},"RuleNumber":{"locationName":"ruleNumber","type":"integer"}}}},"ReplaceRoute":{"input":{"type":"structure","required":["RouteTableId"],"members":{"DestinationCidrBlock":{"locationName":"destinationCidrBlock"},"DestinationIpv6CidrBlock":{"locationName":"destinationIpv6CidrBlock"},"DestinationPrefixListId":{},"DryRun":{"locationName":"dryRun","type":"boolean"},"VpcEndpointId":{},"EgressOnlyInternetGatewayId":{"locationName":"egressOnlyInternetGatewayId"},"GatewayId":{"locationName":"gatewayId"},"InstanceId":{"locationName":"instanceId"},"LocalTarget":{"type":"boolean"},"NatGatewayId":{"locationName":"natGatewayId"},"TransitGatewayId":{},"LocalGatewayId":{},"CarrierGatewayId":{},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"RouteTableId":{"locationName":"routeTableId"},"VpcPeeringConnectionId":{"locationName":"vpcPeeringConnectionId"},"CoreNetworkArn":{}}}},"ReplaceRouteTableAssociation":{"input":{"type":"structure","required":["AssociationId","RouteTableId"],"members":{"AssociationId":{"locationName":"associationId"},"DryRun":{"locationName":"dryRun","type":"boolean"},"RouteTableId":{"locationName":"routeTableId"}}},"output":{"type":"structure","members":{"NewAssociationId":{"locationName":"newAssociationId"},"AssociationState":{"shape":"S3u","locationName":"associationState"}}}},"ReplaceTransitGatewayRoute":{"input":{"type":"structure","required":["DestinationCidrBlock","TransitGatewayRouteTableId"],"members":{"DestinationCidrBlock":{},"TransitGatewayRouteTableId":{},"TransitGatewayAttachmentId":{},"Blackhole":{"type":"boolean"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Route":{"shape":"Smm","locationName":"route"}}}},"ReportInstanceStatus":{"input":{"type":"structure","required":["Instances","ReasonCodes","Status"],"members":{"Description":{"locationName":"description"},"DryRun":{"locationName":"dryRun","type":"boolean"},"EndTime":{"locationName":"endTime","type":"timestamp"},"Instances":{"shape":"Svp","locationName":"instanceId"},"ReasonCodes":{"locationName":"reasonCode","type":"list","member":{"locationName":"item"}},"StartTime":{"locationName":"startTime","type":"timestamp"},"Status":{"locationName":"status"}}}},"RequestSpotFleet":{"input":{"type":"structure","required":["SpotFleetRequestConfig"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"SpotFleetRequestConfig":{"shape":"S1ev","locationName":"spotFleetRequestConfig"}}},"output":{"type":"structure","members":{"SpotFleetRequestId":{"locationName":"spotFleetRequestId"}}}},"RequestSpotInstances":{"input":{"type":"structure","members":{"AvailabilityZoneGroup":{"locationName":"availabilityZoneGroup"},"BlockDurationMinutes":{"locationName":"blockDurationMinutes","type":"integer"},"ClientToken":{"locationName":"clientToken"},"DryRun":{"locationName":"dryRun","type":"boolean"},"InstanceCount":{"locationName":"instanceCount","type":"integer"},"LaunchGroup":{"locationName":"launchGroup"},"LaunchSpecification":{"type":"structure","members":{"SecurityGroupIds":{"locationName":"SecurityGroupId","type":"list","member":{"locationName":"item"}},"SecurityGroups":{"locationName":"SecurityGroup","type":"list","member":{"locationName":"item"}},"AddressingType":{"locationName":"addressingType"},"BlockDeviceMappings":{"shape":"S11b","locationName":"blockDeviceMapping"},"EbsOptimized":{"locationName":"ebsOptimized","type":"boolean"},"IamInstanceProfile":{"shape":"S36","locationName":"iamInstanceProfile"},"ImageId":{"locationName":"imageId"},"InstanceType":{"locationName":"instanceType"},"KernelId":{"locationName":"kernelId"},"KeyName":{"locationName":"keyName"},"Monitoring":{"shape":"S1fq","locationName":"monitoring"},"NetworkInterfaces":{"shape":"S1f5","locationName":"NetworkInterface"},"Placement":{"shape":"S1f7","locationName":"placement"},"RamdiskId":{"locationName":"ramdiskId"},"SubnetId":{"locationName":"subnetId"},"UserData":{"locationName":"userData"}}},"SpotPrice":{"locationName":"spotPrice"},"Type":{"locationName":"type"},"ValidFrom":{"locationName":"validFrom","type":"timestamp"},"ValidUntil":{"locationName":"validUntil","type":"timestamp"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"InstanceInterruptionBehavior":{}}},"output":{"type":"structure","members":{"SpotInstanceRequests":{"shape":"S1fn","locationName":"spotInstanceRequestSet"}}}},"ResetAddressAttribute":{"input":{"type":"structure","required":["AllocationId","Attribute"],"members":{"AllocationId":{},"Attribute":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Address":{"shape":"Sul","locationName":"address"}}}},"ResetEbsDefaultKmsKeyId":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"KmsKeyId":{"locationName":"kmsKeyId"}}}},"ResetFpgaImageAttribute":{"input":{"type":"structure","required":["FpgaImageId"],"members":{"DryRun":{"type":"boolean"},"FpgaImageId":{},"Attribute":{}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"ResetImageAttribute":{"input":{"type":"structure","required":["Attribute","ImageId"],"members":{"Attribute":{},"ImageId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"ResetInstanceAttribute":{"input":{"type":"structure","required":["Attribute","InstanceId"],"members":{"Attribute":{"locationName":"attribute"},"DryRun":{"locationName":"dryRun","type":"boolean"},"InstanceId":{"locationName":"instanceId"}}}},"ResetNetworkInterfaceAttribute":{"input":{"type":"structure","required":["NetworkInterfaceId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"SourceDestCheck":{"locationName":"sourceDestCheck"}}}},"ResetSnapshotAttribute":{"input":{"type":"structure","required":["Attribute","SnapshotId"],"members":{"Attribute":{},"SnapshotId":{},"DryRun":{"locationName":"dryRun","type":"boolean"}}}},"RestoreAddressToClassic":{"input":{"type":"structure","required":["PublicIp"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"PublicIp":{"locationName":"publicIp"}}},"output":{"type":"structure","members":{"PublicIp":{"locationName":"publicIp"},"Status":{"locationName":"status"}}}},"RestoreManagedPrefixListVersion":{"input":{"type":"structure","required":["PrefixListId","PreviousVersion","CurrentVersion"],"members":{"DryRun":{"type":"boolean"},"PrefixListId":{},"PreviousVersion":{"type":"long"},"CurrentVersion":{"type":"long"}}},"output":{"type":"structure","members":{"PrefixList":{"shape":"Sgv","locationName":"prefixList"}}}},"RestoreSnapshotFromRecycleBin":{"input":{"type":"structure","required":["SnapshotId"],"members":{"SnapshotId":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"SnapshotId":{"locationName":"snapshotId"},"OutpostArn":{"locationName":"outpostArn"},"Description":{"locationName":"description"},"Encrypted":{"locationName":"encrypted","type":"boolean"},"OwnerId":{"locationName":"ownerId"},"Progress":{"locationName":"progress"},"StartTime":{"locationName":"startTime","type":"timestamp"},"State":{"locationName":"status"},"VolumeId":{"locationName":"volumeId"},"VolumeSize":{"locationName":"volumeSize","type":"integer"}}}},"RestoreSnapshotTier":{"input":{"type":"structure","required":["SnapshotId"],"members":{"SnapshotId":{},"TemporaryRestoreDays":{"type":"integer"},"PermanentRestore":{"type":"boolean"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"SnapshotId":{"locationName":"snapshotId"},"RestoreStartTime":{"locationName":"restoreStartTime","type":"timestamp"},"RestoreDuration":{"locationName":"restoreDuration","type":"integer"},"IsPermanentRestore":{"locationName":"isPermanentRestore","type":"boolean"}}}},"RevokeClientVpnIngress":{"input":{"type":"structure","required":["ClientVpnEndpointId","TargetNetworkCidr"],"members":{"ClientVpnEndpointId":{},"TargetNetworkCidr":{},"AccessGroupId":{},"RevokeAllGroups":{"type":"boolean"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Status":{"shape":"S55","locationName":"status"}}}},"RevokeSecurityGroupEgress":{"input":{"type":"structure","required":["GroupId"],"members":{"DryRun":{"locationName":"dryRun","type":"boolean"},"GroupId":{"locationName":"groupId"},"IpPermissions":{"shape":"S58","locationName":"ipPermissions"},"SecurityGroupRuleIds":{"shape":"S1dq","locationName":"SecurityGroupRuleId"},"CidrIp":{"locationName":"cidrIp"},"FromPort":{"locationName":"fromPort","type":"integer"},"IpProtocol":{"locationName":"ipProtocol"},"ToPort":{"locationName":"toPort","type":"integer"},"SourceSecurityGroupName":{"locationName":"sourceSecurityGroupName"},"SourceSecurityGroupOwnerId":{"locationName":"sourceSecurityGroupOwnerId"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"},"UnknownIpPermissions":{"shape":"S58","locationName":"unknownIpPermissionSet"}}}},"RevokeSecurityGroupIngress":{"input":{"type":"structure","members":{"CidrIp":{},"FromPort":{"type":"integer"},"GroupId":{},"GroupName":{},"IpPermissions":{"shape":"S58"},"IpProtocol":{},"SourceSecurityGroupName":{},"SourceSecurityGroupOwnerId":{},"ToPort":{"type":"integer"},"DryRun":{"locationName":"dryRun","type":"boolean"},"SecurityGroupRuleIds":{"shape":"S1dq","locationName":"SecurityGroupRuleId"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"},"UnknownIpPermissions":{"shape":"S58","locationName":"unknownIpPermissionSet"}}}},"RunInstances":{"input":{"type":"structure","required":["MaxCount","MinCount"],"members":{"BlockDeviceMappings":{"shape":"Scd","locationName":"BlockDeviceMapping"},"ImageId":{},"InstanceType":{},"Ipv6AddressCount":{"type":"integer"},"Ipv6Addresses":{"shape":"Sfp","locationName":"Ipv6Address"},"KernelId":{},"KeyName":{},"MaxCount":{"type":"integer"},"MinCount":{"type":"integer"},"Monitoring":{"shape":"S1fq"},"Placement":{"shape":"Sai"},"RamdiskId":{},"SecurityGroupIds":{"shape":"Se4","locationName":"SecurityGroupId"},"SecurityGroups":{"shape":"Seq","locationName":"SecurityGroup"},"SubnetId":{},"UserData":{},"AdditionalInfo":{"locationName":"additionalInfo"},"ClientToken":{"idempotencyToken":true,"locationName":"clientToken"},"DisableApiTermination":{"locationName":"disableApiTermination","type":"boolean"},"DryRun":{"locationName":"dryRun","type":"boolean"},"EbsOptimized":{"locationName":"ebsOptimized","type":"boolean"},"IamInstanceProfile":{"shape":"S36","locationName":"iamInstanceProfile"},"InstanceInitiatedShutdownBehavior":{"locationName":"instanceInitiatedShutdownBehavior"},"NetworkInterfaces":{"shape":"S1f5","locationName":"networkInterface"},"PrivateIpAddress":{"locationName":"privateIpAddress"},"ElasticGpuSpecification":{"type":"list","member":{"shape":"Sem","locationName":"item"}},"ElasticInferenceAccelerators":{"locationName":"ElasticInferenceAccelerator","type":"list","member":{"locationName":"item","type":"structure","required":["Type"],"members":{"Type":{},"Count":{"type":"integer"}}}},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"LaunchTemplate":{"type":"structure","members":{"LaunchTemplateId":{},"LaunchTemplateName":{},"Version":{}}},"InstanceMarketOptions":{"type":"structure","members":{"MarketType":{},"SpotOptions":{"type":"structure","members":{"MaxPrice":{},"SpotInstanceType":{},"BlockDurationMinutes":{"type":"integer"},"ValidUntil":{"type":"timestamp"},"InstanceInterruptionBehavior":{}}}}},"CreditSpecification":{"shape":"Sew"},"CpuOptions":{"type":"structure","members":{"CoreCount":{"type":"integer"},"ThreadsPerCore":{"type":"integer"}}},"CapacityReservationSpecification":{"shape":"S1t0"},"HibernationOptions":{"type":"structure","members":{"Configured":{"type":"boolean"}}},"LicenseSpecifications":{"locationName":"LicenseSpecification","type":"list","member":{"locationName":"item","type":"structure","members":{"LicenseConfigurationArn":{}}}},"MetadataOptions":{"type":"structure","members":{"HttpTokens":{},"HttpPutResponseHopLimit":{"type":"integer"},"HttpEndpoint":{},"HttpProtocolIpv6":{}}},"EnclaveOptions":{"type":"structure","members":{"Enabled":{"type":"boolean"}}},"PrivateDnsNameOptions":{"type":"structure","members":{"HostnameType":{},"EnableResourceNameDnsARecord":{"type":"boolean"},"EnableResourceNameDnsAAAARecord":{"type":"boolean"}}}}},"output":{"shape":"S168"}},"RunScheduledInstances":{"input":{"type":"structure","required":["LaunchSpecification","ScheduledInstanceId"],"members":{"ClientToken":{"idempotencyToken":true},"DryRun":{"type":"boolean"},"InstanceCount":{"type":"integer"},"LaunchSpecification":{"type":"structure","required":["ImageId"],"members":{"BlockDeviceMappings":{"locationName":"BlockDeviceMapping","type":"list","member":{"locationName":"BlockDeviceMapping","type":"structure","members":{"DeviceName":{},"Ebs":{"type":"structure","members":{"DeleteOnTermination":{"type":"boolean"},"Encrypted":{"type":"boolean"},"Iops":{"type":"integer"},"SnapshotId":{},"VolumeSize":{"type":"integer"},"VolumeType":{}}},"NoDevice":{},"VirtualName":{}}}},"EbsOptimized":{"type":"boolean"},"IamInstanceProfile":{"type":"structure","members":{"Arn":{},"Name":{}}},"ImageId":{},"InstanceType":{},"KernelId":{},"KeyName":{},"Monitoring":{"type":"structure","members":{"Enabled":{"type":"boolean"}}},"NetworkInterfaces":{"locationName":"NetworkInterface","type":"list","member":{"locationName":"NetworkInterface","type":"structure","members":{"AssociatePublicIpAddress":{"type":"boolean"},"DeleteOnTermination":{"type":"boolean"},"Description":{},"DeviceIndex":{"type":"integer"},"Groups":{"shape":"S1zg","locationName":"Group"},"Ipv6AddressCount":{"type":"integer"},"Ipv6Addresses":{"locationName":"Ipv6Address","type":"list","member":{"locationName":"Ipv6Address","type":"structure","members":{"Ipv6Address":{}}}},"NetworkInterfaceId":{},"PrivateIpAddress":{},"PrivateIpAddressConfigs":{"locationName":"PrivateIpAddressConfig","type":"list","member":{"locationName":"PrivateIpAddressConfigSet","type":"structure","members":{"Primary":{"type":"boolean"},"PrivateIpAddress":{}}}},"SecondaryPrivateIpAddressCount":{"type":"integer"},"SubnetId":{}}}},"Placement":{"type":"structure","members":{"AvailabilityZone":{},"GroupName":{}}},"RamdiskId":{},"SecurityGroupIds":{"shape":"S1zg","locationName":"SecurityGroupId"},"SubnetId":{},"UserData":{}}},"ScheduledInstanceId":{}}},"output":{"type":"structure","members":{"InstanceIdSet":{"locationName":"instanceIdSet","type":"list","member":{"locationName":"item"}}}}},"SearchLocalGatewayRoutes":{"input":{"type":"structure","required":["LocalGatewayRouteTableId"],"members":{"LocalGatewayRouteTableId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Routes":{"locationName":"routeSet","type":"list","member":{"shape":"Sgk","locationName":"item"}},"NextToken":{"locationName":"nextToken"}}}},"SearchTransitGatewayMulticastGroups":{"input":{"type":"structure","members":{"TransitGatewayMulticastDomainId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"NextToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"MulticastGroups":{"locationName":"multicastGroups","type":"list","member":{"locationName":"item","type":"structure","members":{"GroupIpAddress":{"locationName":"groupIpAddress"},"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"SubnetId":{"locationName":"subnetId"},"ResourceId":{"locationName":"resourceId"},"ResourceType":{"locationName":"resourceType"},"ResourceOwnerId":{"locationName":"resourceOwnerId"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"GroupMember":{"locationName":"groupMember","type":"boolean"},"GroupSource":{"locationName":"groupSource","type":"boolean"},"MemberType":{"locationName":"memberType"},"SourceType":{"locationName":"sourceType"}}}},"NextToken":{"locationName":"nextToken"}}}},"SearchTransitGatewayRoutes":{"input":{"type":"structure","required":["TransitGatewayRouteTableId","Filters"],"members":{"TransitGatewayRouteTableId":{},"Filters":{"shape":"Su7","locationName":"Filter"},"MaxResults":{"type":"integer"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"Routes":{"locationName":"routeSet","type":"list","member":{"shape":"Smm","locationName":"item"}},"AdditionalRoutesAvailable":{"locationName":"additionalRoutesAvailable","type":"boolean"}}}},"SendDiagnosticInterrupt":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"DryRun":{"type":"boolean"}}}},"StartInstances":{"input":{"type":"structure","required":["InstanceIds"],"members":{"InstanceIds":{"shape":"Svp","locationName":"InstanceId"},"AdditionalInfo":{"locationName":"additionalInfo"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"StartingInstances":{"shape":"S204","locationName":"instancesSet"}}}},"StartNetworkInsightsAccessScopeAnalysis":{"input":{"type":"structure","required":["NetworkInsightsAccessScopeId","ClientToken"],"members":{"NetworkInsightsAccessScopeId":{},"DryRun":{"type":"boolean"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"NetworkInsightsAccessScopeAnalysis":{"shape":"S19q","locationName":"networkInsightsAccessScopeAnalysis"}}}},"StartNetworkInsightsAnalysis":{"input":{"type":"structure","required":["NetworkInsightsPathId","ClientToken"],"members":{"NetworkInsightsPathId":{},"FilterInArns":{"shape":"S1a2","locationName":"FilterInArn"},"DryRun":{"type":"boolean"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"NetworkInsightsAnalysis":{"shape":"S1a1","locationName":"networkInsightsAnalysis"}}}},"StartVpcEndpointServicePrivateDnsVerification":{"input":{"type":"structure","required":["ServiceId"],"members":{"DryRun":{"type":"boolean"},"ServiceId":{}}},"output":{"type":"structure","members":{"ReturnValue":{"locationName":"return","type":"boolean"}}}},"StopInstances":{"input":{"type":"structure","required":["InstanceIds"],"members":{"InstanceIds":{"shape":"Svp","locationName":"InstanceId"},"Hibernate":{"type":"boolean"},"DryRun":{"locationName":"dryRun","type":"boolean"},"Force":{"locationName":"force","type":"boolean"}}},"output":{"type":"structure","members":{"StoppingInstances":{"shape":"S204","locationName":"instancesSet"}}}},"TerminateClientVpnConnections":{"input":{"type":"structure","required":["ClientVpnEndpointId"],"members":{"ClientVpnEndpointId":{},"ConnectionId":{},"Username":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"ClientVpnEndpointId":{"locationName":"clientVpnEndpointId"},"Username":{"locationName":"username"},"ConnectionStatuses":{"locationName":"connectionStatuses","type":"list","member":{"locationName":"item","type":"structure","members":{"ConnectionId":{"locationName":"connectionId"},"PreviousStatus":{"shape":"Sw4","locationName":"previousStatus"},"CurrentStatus":{"shape":"Sw4","locationName":"currentStatus"}}}}}}},"TerminateInstances":{"input":{"type":"structure","required":["InstanceIds"],"members":{"InstanceIds":{"shape":"Svp","locationName":"InstanceId"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"TerminatingInstances":{"shape":"S204","locationName":"instancesSet"}}}},"UnassignIpv6Addresses":{"input":{"type":"structure","required":["NetworkInterfaceId"],"members":{"Ipv6Addresses":{"shape":"S2g","locationName":"ipv6Addresses"},"Ipv6Prefixes":{"shape":"S2h","locationName":"Ipv6Prefix"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"}}},"output":{"type":"structure","members":{"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"UnassignedIpv6Addresses":{"shape":"S2g","locationName":"unassignedIpv6Addresses"},"UnassignedIpv6Prefixes":{"shape":"S2h","locationName":"unassignedIpv6PrefixSet"}}}},"UnassignPrivateIpAddresses":{"input":{"type":"structure","required":["NetworkInterfaceId"],"members":{"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"PrivateIpAddresses":{"shape":"S2l","locationName":"privateIpAddress"},"Ipv4Prefixes":{"shape":"S2h","locationName":"Ipv4Prefix"}}}},"UnmonitorInstances":{"input":{"type":"structure","required":["InstanceIds"],"members":{"InstanceIds":{"shape":"Svp","locationName":"InstanceId"},"DryRun":{"locationName":"dryRun","type":"boolean"}}},"output":{"type":"structure","members":{"InstanceMonitorings":{"shape":"S1vy","locationName":"instancesSet"}}}},"UpdateSecurityGroupRuleDescriptionsEgress":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"GroupId":{},"GroupName":{},"IpPermissions":{"shape":"S58"},"SecurityGroupRuleDescriptions":{"shape":"S20q","locationName":"SecurityGroupRuleDescription"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"UpdateSecurityGroupRuleDescriptionsIngress":{"input":{"type":"structure","members":{"DryRun":{"type":"boolean"},"GroupId":{},"GroupName":{},"IpPermissions":{"shape":"S58"},"SecurityGroupRuleDescriptions":{"shape":"S20q","locationName":"SecurityGroupRuleDescription"}}},"output":{"type":"structure","members":{"Return":{"locationName":"return","type":"boolean"}}}},"WithdrawByoipCidr":{"input":{"type":"structure","required":["Cidr"],"members":{"Cidr":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"ByoipCidr":{"shape":"S1n","locationName":"byoipCidr"}}}}},"shapes":{"S3":{"type":"list","member":{"locationName":"ReservedInstanceId"}},"S5":{"type":"list","member":{"locationName":"TargetConfigurationRequest","type":"structure","required":["OfferingId"],"members":{"InstanceCount":{"type":"integer"},"OfferingId":{}}}},"Se":{"type":"list","member":{"locationName":"item"}},"Sg":{"type":"structure","members":{"TransitGatewayMulticastDomainId":{"locationName":"transitGatewayMulticastDomainId"},"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"ResourceId":{"locationName":"resourceId"},"ResourceType":{"locationName":"resourceType"},"ResourceOwnerId":{"locationName":"resourceOwnerId"},"Subnets":{"locationName":"subnets","type":"list","member":{"shape":"Sj","locationName":"item"}}}},"Sj":{"type":"structure","members":{"SubnetId":{"locationName":"subnetId"},"State":{"locationName":"state"}}},"Sn":{"type":"structure","members":{"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"RequesterTgwInfo":{"shape":"So","locationName":"requesterTgwInfo"},"AccepterTgwInfo":{"shape":"So","locationName":"accepterTgwInfo"},"Status":{"locationName":"status","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"State":{"locationName":"state"},"CreationTime":{"locationName":"creationTime","type":"timestamp"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"So":{"type":"structure","members":{"TransitGatewayId":{"locationName":"transitGatewayId"},"OwnerId":{"locationName":"ownerId"},"Region":{"locationName":"region"}}},"Ss":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Key":{"locationName":"key"},"Value":{"locationName":"value"}}}},"Sw":{"type":"structure","members":{"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"TransitGatewayId":{"locationName":"transitGatewayId"},"VpcId":{"locationName":"vpcId"},"VpcOwnerId":{"locationName":"vpcOwnerId"},"State":{"locationName":"state"},"SubnetIds":{"shape":"Se","locationName":"subnetIds"},"CreationTime":{"locationName":"creationTime","type":"timestamp"},"Options":{"locationName":"options","type":"structure","members":{"DnsSupport":{"locationName":"dnsSupport"},"Ipv6Support":{"locationName":"ipv6Support"},"ApplianceModeSupport":{"locationName":"applianceModeSupport"}}},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"S13":{"type":"list","member":{"locationName":"item"}},"S16":{"type":"list","member":{"shape":"S17","locationName":"item"}},"S17":{"type":"structure","members":{"Error":{"locationName":"error","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"ResourceId":{"locationName":"resourceId"}}},"S1c":{"type":"structure","members":{"AccepterVpcInfo":{"shape":"S1d","locationName":"accepterVpcInfo"},"ExpirationTime":{"locationName":"expirationTime","type":"timestamp"},"RequesterVpcInfo":{"shape":"S1d","locationName":"requesterVpcInfo"},"Status":{"locationName":"status","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"Tags":{"shape":"Ss","locationName":"tagSet"},"VpcPeeringConnectionId":{"locationName":"vpcPeeringConnectionId"}}},"S1d":{"type":"structure","members":{"CidrBlock":{"locationName":"cidrBlock"},"Ipv6CidrBlockSet":{"locationName":"ipv6CidrBlockSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Ipv6CidrBlock":{"locationName":"ipv6CidrBlock"}}}},"CidrBlockSet":{"locationName":"cidrBlockSet","type":"list","member":{"locationName":"item","type":"structure","members":{"CidrBlock":{"locationName":"cidrBlock"}}}},"OwnerId":{"locationName":"ownerId"},"PeeringOptions":{"locationName":"peeringOptions","type":"structure","members":{"AllowDnsResolutionFromRemoteVpc":{"locationName":"allowDnsResolutionFromRemoteVpc","type":"boolean"},"AllowEgressFromLocalClassicLinkToRemoteVpc":{"locationName":"allowEgressFromLocalClassicLinkToRemoteVpc","type":"boolean"},"AllowEgressFromLocalVpcToRemoteClassicLink":{"locationName":"allowEgressFromLocalVpcToRemoteClassicLink","type":"boolean"}}},"VpcId":{"locationName":"vpcId"},"Region":{"locationName":"region"}}},"S1n":{"type":"structure","members":{"Cidr":{"locationName":"cidr"},"Description":{"locationName":"description"},"StatusMessage":{"locationName":"statusMessage"},"State":{"locationName":"state"}}},"S1t":{"type":"list","member":{"locationName":"item","type":"structure","members":{"ResourceType":{"locationName":"resourceType"},"Tags":{"shape":"Ss","locationName":"Tag"}}}},"S21":{"type":"list","member":{"locationName":"item"}},"S26":{"type":"structure","members":{"Cidr":{"locationName":"cidr"},"IpamPoolAllocationId":{"locationName":"ipamPoolAllocationId"},"Description":{"locationName":"description"},"ResourceId":{"locationName":"resourceId"},"ResourceType":{"locationName":"resourceType"},"ResourceRegion":{"locationName":"resourceRegion"},"ResourceOwner":{"locationName":"resourceOwner"}}},"S2c":{"type":"list","member":{"locationName":"item"}},"S2g":{"type":"list","member":{"locationName":"item"}},"S2h":{"type":"list","member":{"locationName":"item"}},"S2l":{"type":"list","member":{"locationName":"PrivateIpAddress"}},"S2p":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Ipv4Prefix":{"locationName":"ipv4Prefix"}}}},"S2y":{"type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"S36":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Name":{"locationName":"name"}}},"S38":{"type":"structure","members":{"AssociationId":{"locationName":"associationId"},"InstanceId":{"locationName":"instanceId"},"IamInstanceProfile":{"shape":"S39","locationName":"iamInstanceProfile"},"State":{"locationName":"state"},"Timestamp":{"locationName":"timestamp","type":"timestamp"}}},"S39":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Id":{"locationName":"id"}}},"S3e":{"type":"list","member":{"locationName":"item"}},"S3f":{"type":"list","member":{"locationName":"item"}},"S3i":{"type":"structure","members":{"InstanceEventWindowId":{"locationName":"instanceEventWindowId"},"TimeRanges":{"locationName":"timeRangeSet","type":"list","member":{"locationName":"item","type":"structure","members":{"StartWeekDay":{"locationName":"startWeekDay"},"StartHour":{"locationName":"startHour","type":"integer"},"EndWeekDay":{"locationName":"endWeekDay"},"EndHour":{"locationName":"endHour","type":"integer"}}}},"Name":{"locationName":"name"},"CronExpression":{"locationName":"cronExpression"},"AssociationTarget":{"locationName":"associationTarget","type":"structure","members":{"InstanceIds":{"shape":"S3e","locationName":"instanceIdSet"},"Tags":{"shape":"Ss","locationName":"tagSet"},"DedicatedHostIds":{"shape":"S3f","locationName":"dedicatedHostIdSet"}}},"State":{"locationName":"state"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"S3u":{"type":"structure","members":{"State":{"locationName":"state"},"StatusMessage":{"locationName":"statusMessage"}}},"S3y":{"type":"structure","members":{"AssociationId":{"locationName":"associationId"},"Ipv6CidrBlock":{"locationName":"ipv6CidrBlock"},"Ipv6CidrBlockState":{"locationName":"ipv6CidrBlockState","type":"structure","members":{"State":{"locationName":"state"},"StatusMessage":{"locationName":"statusMessage"}}}}},"S43":{"type":"list","member":{"locationName":"item"}},"S48":{"type":"structure","members":{"TransitGatewayRouteTableId":{"locationName":"transitGatewayRouteTableId"},"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"ResourceId":{"locationName":"resourceId"},"ResourceType":{"locationName":"resourceType"},"State":{"locationName":"state"}}},"S4c":{"type":"structure","members":{"AssociationId":{"locationName":"associationId"},"BranchInterfaceId":{"locationName":"branchInterfaceId"},"TrunkInterfaceId":{"locationName":"trunkInterfaceId"},"InterfaceProtocol":{"locationName":"interfaceProtocol"},"VlanId":{"locationName":"vlanId","type":"integer"},"GreKey":{"locationName":"greKey","type":"integer"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"S4j":{"type":"structure","members":{"AssociationId":{"locationName":"associationId"},"Ipv6CidrBlock":{"locationName":"ipv6CidrBlock"},"Ipv6CidrBlockState":{"shape":"S4k","locationName":"ipv6CidrBlockState"},"NetworkBorderGroup":{"locationName":"networkBorderGroup"},"Ipv6Pool":{"locationName":"ipv6Pool"}}},"S4k":{"type":"structure","members":{"State":{"locationName":"state"},"StatusMessage":{"locationName":"statusMessage"}}},"S4m":{"type":"structure","members":{"AssociationId":{"locationName":"associationId"},"CidrBlock":{"locationName":"cidrBlock"},"CidrBlockState":{"shape":"S4k","locationName":"cidrBlockState"}}},"S4o":{"type":"list","member":{"locationName":"groupId"}},"S4w":{"type":"structure","members":{"AttachTime":{"locationName":"attachTime","type":"timestamp"},"Device":{"locationName":"device"},"InstanceId":{"locationName":"instanceId"},"State":{"locationName":"status"},"VolumeId":{"locationName":"volumeId"},"DeleteOnTermination":{"locationName":"deleteOnTermination","type":"boolean"}}},"S51":{"type":"structure","members":{"State":{"locationName":"state"},"VpcId":{"locationName":"vpcId"}}},"S55":{"type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"S58":{"type":"list","member":{"locationName":"item","type":"structure","members":{"FromPort":{"locationName":"fromPort","type":"integer"},"IpProtocol":{"locationName":"ipProtocol"},"IpRanges":{"locationName":"ipRanges","type":"list","member":{"locationName":"item","type":"structure","members":{"CidrIp":{"locationName":"cidrIp"},"Description":{"locationName":"description"}}}},"Ipv6Ranges":{"locationName":"ipv6Ranges","type":"list","member":{"locationName":"item","type":"structure","members":{"CidrIpv6":{"locationName":"cidrIpv6"},"Description":{"locationName":"description"}}}},"PrefixListIds":{"locationName":"prefixListIds","type":"list","member":{"locationName":"item","type":"structure","members":{"Description":{"locationName":"description"},"PrefixListId":{"locationName":"prefixListId"}}}},"ToPort":{"locationName":"toPort","type":"integer"},"UserIdGroupPairs":{"locationName":"groups","type":"list","member":{"shape":"S5h","locationName":"item"}}}}},"S5h":{"type":"structure","members":{"Description":{"locationName":"description"},"GroupId":{"locationName":"groupId"},"GroupName":{"locationName":"groupName"},"PeeringStatus":{"locationName":"peeringStatus"},"UserId":{"locationName":"userId"},"VpcId":{"locationName":"vpcId"},"VpcPeeringConnectionId":{"locationName":"vpcPeeringConnectionId"}}},"S5j":{"type":"list","member":{"locationName":"item","type":"structure","members":{"SecurityGroupRuleId":{"locationName":"securityGroupRuleId"},"GroupId":{"locationName":"groupId"},"GroupOwnerId":{"locationName":"groupOwnerId"},"IsEgress":{"locationName":"isEgress","type":"boolean"},"IpProtocol":{"locationName":"ipProtocol"},"FromPort":{"locationName":"fromPort","type":"integer"},"ToPort":{"locationName":"toPort","type":"integer"},"CidrIpv4":{"locationName":"cidrIpv4"},"CidrIpv6":{"locationName":"cidrIpv6"},"PrefixListId":{"locationName":"prefixListId"},"ReferencedGroupInfo":{"locationName":"referencedGroupInfo","type":"structure","members":{"GroupId":{"locationName":"groupId"},"PeeringStatus":{"locationName":"peeringStatus"},"UserId":{"locationName":"userId"},"VpcId":{"locationName":"vpcId"},"VpcPeeringConnectionId":{"locationName":"vpcPeeringConnectionId"}}},"Description":{"locationName":"description"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"S5s":{"type":"structure","members":{"S3":{"type":"structure","members":{"AWSAccessKeyId":{},"Bucket":{"locationName":"bucket"},"Prefix":{"locationName":"prefix"},"UploadPolicy":{"locationName":"uploadPolicy","type":"blob"},"UploadPolicySignature":{"locationName":"uploadPolicySignature"}}}}},"S5w":{"type":"structure","members":{"BundleId":{"locationName":"bundleId"},"BundleTaskError":{"locationName":"error","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"InstanceId":{"locationName":"instanceId"},"Progress":{"locationName":"progress"},"StartTime":{"locationName":"startTime","type":"timestamp"},"State":{"locationName":"state"},"Storage":{"shape":"S5s","locationName":"storage"},"UpdateTime":{"locationName":"updateTime","type":"timestamp"}}},"S66":{"type":"list","member":{"locationName":"item"}},"S6r":{"type":"list","member":{"locationName":"item","type":"structure","members":{"ClientToken":{"locationName":"clientToken"},"CreateDate":{"locationName":"createDate","type":"timestamp"},"InstanceCounts":{"locationName":"instanceCounts","type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceCount":{"locationName":"instanceCount","type":"integer"},"State":{"locationName":"state"}}}},"PriceSchedules":{"locationName":"priceSchedules","type":"list","member":{"locationName":"item","type":"structure","members":{"Active":{"locationName":"active","type":"boolean"},"CurrencyCode":{"locationName":"currencyCode"},"Price":{"locationName":"price","type":"double"},"Term":{"locationName":"term","type":"long"}}}},"ReservedInstancesId":{"locationName":"reservedInstancesId"},"ReservedInstancesListingId":{"locationName":"reservedInstancesListingId"},"Status":{"locationName":"status"},"StatusMessage":{"locationName":"statusMessage"},"Tags":{"shape":"Ss","locationName":"tagSet"},"UpdateDate":{"locationName":"updateDate","type":"timestamp"}}}},"S73":{"type":"list","member":{"locationName":"item"}},"S7e":{"type":"list","member":{"locationName":"SpotInstanceRequestId"}},"S80":{"type":"structure","members":{"CapacityReservationId":{"locationName":"capacityReservationId"},"OwnerId":{"locationName":"ownerId"},"CapacityReservationArn":{"locationName":"capacityReservationArn"},"AvailabilityZoneId":{"locationName":"availabilityZoneId"},"InstanceType":{"locationName":"instanceType"},"InstancePlatform":{"locationName":"instancePlatform"},"AvailabilityZone":{"locationName":"availabilityZone"},"Tenancy":{"locationName":"tenancy"},"TotalInstanceCount":{"locationName":"totalInstanceCount","type":"integer"},"AvailableInstanceCount":{"locationName":"availableInstanceCount","type":"integer"},"EbsOptimized":{"locationName":"ebsOptimized","type":"boolean"},"EphemeralStorage":{"locationName":"ephemeralStorage","type":"boolean"},"State":{"locationName":"state"},"StartDate":{"locationName":"startDate","type":"timestamp"},"EndDate":{"locationName":"endDate","type":"timestamp"},"EndDateType":{"locationName":"endDateType"},"InstanceMatchCriteria":{"locationName":"instanceMatchCriteria"},"CreateDate":{"locationName":"createDate","type":"timestamp"},"Tags":{"shape":"Ss","locationName":"tagSet"},"OutpostArn":{"locationName":"outpostArn"},"CapacityReservationFleetId":{"locationName":"capacityReservationFleetId"}}},"S8c":{"type":"list","member":{"locationName":"item","type":"structure","members":{"CapacityReservationId":{"locationName":"capacityReservationId"},"AvailabilityZoneId":{"locationName":"availabilityZoneId"},"InstanceType":{"locationName":"instanceType"},"InstancePlatform":{"locationName":"instancePlatform"},"AvailabilityZone":{"locationName":"availabilityZone"},"TotalInstanceCount":{"locationName":"totalInstanceCount","type":"integer"},"FulfilledCapacity":{"locationName":"fulfilledCapacity","type":"double"},"EbsOptimized":{"locationName":"ebsOptimized","type":"boolean"},"CreateDate":{"locationName":"createDate","type":"timestamp"},"Weight":{"locationName":"weight","type":"double"},"Priority":{"locationName":"priority","type":"integer"}}}},"S8g":{"type":"structure","members":{"CarrierGatewayId":{"locationName":"carrierGatewayId"},"VpcId":{"locationName":"vpcId"},"State":{"locationName":"state"},"OwnerId":{"locationName":"ownerId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"S8q":{"type":"structure","members":{"Enabled":{"type":"boolean"},"CloudwatchLogGroup":{},"CloudwatchLogStream":{}}},"S8t":{"type":"structure","members":{"Enabled":{"type":"boolean"},"LambdaFunctionArn":{}}},"S8v":{"type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"S8z":{"type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"S94":{"type":"structure","members":{"BgpAsn":{"locationName":"bgpAsn"},"CustomerGatewayId":{"locationName":"customerGatewayId"},"IpAddress":{"locationName":"ipAddress"},"CertificateArn":{"locationName":"certificateArn"},"State":{"locationName":"state"},"Type":{"locationName":"type"},"DeviceName":{"locationName":"deviceName"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"S97":{"type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"AvailabilityZoneId":{"locationName":"availabilityZoneId"},"AvailableIpAddressCount":{"locationName":"availableIpAddressCount","type":"integer"},"CidrBlock":{"locationName":"cidrBlock"},"DefaultForAz":{"locationName":"defaultForAz","type":"boolean"},"EnableLniAtDeviceIndex":{"locationName":"enableLniAtDeviceIndex","type":"integer"},"MapPublicIpOnLaunch":{"locationName":"mapPublicIpOnLaunch","type":"boolean"},"MapCustomerOwnedIpOnLaunch":{"locationName":"mapCustomerOwnedIpOnLaunch","type":"boolean"},"CustomerOwnedIpv4Pool":{"locationName":"customerOwnedIpv4Pool"},"State":{"locationName":"state"},"SubnetId":{"locationName":"subnetId"},"VpcId":{"locationName":"vpcId"},"OwnerId":{"locationName":"ownerId"},"AssignIpv6AddressOnCreation":{"locationName":"assignIpv6AddressOnCreation","type":"boolean"},"Ipv6CidrBlockAssociationSet":{"locationName":"ipv6CidrBlockAssociationSet","type":"list","member":{"shape":"S3y","locationName":"item"}},"Tags":{"shape":"Ss","locationName":"tagSet"},"SubnetArn":{"locationName":"subnetArn"},"OutpostArn":{"locationName":"outpostArn"},"EnableDns64":{"locationName":"enableDns64","type":"boolean"},"Ipv6Native":{"locationName":"ipv6Native","type":"boolean"},"PrivateDnsNameOptionsOnLaunch":{"locationName":"privateDnsNameOptionsOnLaunch","type":"structure","members":{"HostnameType":{"locationName":"hostnameType"},"EnableResourceNameDnsARecord":{"locationName":"enableResourceNameDnsARecord","type":"boolean"},"EnableResourceNameDnsAAAARecord":{"locationName":"enableResourceNameDnsAAAARecord","type":"boolean"}}}}},"S9f":{"type":"structure","members":{"CidrBlock":{"locationName":"cidrBlock"},"DhcpOptionsId":{"locationName":"dhcpOptionsId"},"State":{"locationName":"state"},"VpcId":{"locationName":"vpcId"},"OwnerId":{"locationName":"ownerId"},"InstanceTenancy":{"locationName":"instanceTenancy"},"Ipv6CidrBlockAssociationSet":{"locationName":"ipv6CidrBlockAssociationSet","type":"list","member":{"shape":"S4j","locationName":"item"}},"CidrBlockAssociationSet":{"locationName":"cidrBlockAssociationSet","type":"list","member":{"shape":"S4m","locationName":"item"}},"IsDefault":{"locationName":"isDefault","type":"boolean"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"S9o":{"type":"structure","members":{"DhcpConfigurations":{"locationName":"dhcpConfigurationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Key":{"locationName":"key"},"Values":{"locationName":"valueSet","type":"list","member":{"shape":"S9s","locationName":"item"}}}}},"DhcpOptionsId":{"locationName":"dhcpOptionsId"},"OwnerId":{"locationName":"ownerId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"S9s":{"type":"structure","members":{"Value":{"locationName":"value"}}},"S9v":{"type":"structure","members":{"Attachments":{"shape":"S9w","locationName":"attachmentSet"},"EgressOnlyInternetGatewayId":{"locationName":"egressOnlyInternetGatewayId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"S9w":{"type":"list","member":{"locationName":"item","type":"structure","members":{"State":{"locationName":"state"},"VpcId":{"locationName":"vpcId"}}}},"Sab":{"type":"list","member":{"locationName":"item","type":"structure","members":{"LaunchTemplateSpecification":{"type":"structure","members":{"LaunchTemplateId":{},"LaunchTemplateName":{},"Version":{}}},"Overrides":{"type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceType":{},"MaxPrice":{},"SubnetId":{},"AvailabilityZone":{},"WeightedCapacity":{"type":"double"},"Priority":{"type":"double"},"Placement":{"shape":"Sai"},"InstanceRequirements":{"shape":"Sak"}}}}}}},"Sai":{"type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"Affinity":{"locationName":"affinity"},"GroupName":{"locationName":"groupName"},"PartitionNumber":{"locationName":"partitionNumber","type":"integer"},"HostId":{"locationName":"hostId"},"Tenancy":{"locationName":"tenancy"},"SpreadDomain":{"locationName":"spreadDomain"},"HostResourceGroupArn":{"locationName":"hostResourceGroupArn"}}},"Sak":{"type":"structure","required":["VCpuCount","MemoryMiB"],"members":{"VCpuCount":{"type":"structure","required":["Min"],"members":{"Min":{"type":"integer"},"Max":{"type":"integer"}}},"MemoryMiB":{"type":"structure","required":["Min"],"members":{"Min":{"type":"integer"},"Max":{"type":"integer"}}},"CpuManufacturers":{"shape":"San","locationName":"CpuManufacturer"},"MemoryGiBPerVCpu":{"type":"structure","members":{"Min":{"type":"double"},"Max":{"type":"double"}}},"ExcludedInstanceTypes":{"shape":"Saq","locationName":"ExcludedInstanceType"},"InstanceGenerations":{"shape":"Sas","locationName":"InstanceGeneration"},"SpotMaxPricePercentageOverLowestPrice":{"type":"integer"},"OnDemandMaxPricePercentageOverLowestPrice":{"type":"integer"},"BareMetal":{},"BurstablePerformance":{},"RequireHibernateSupport":{"type":"boolean"},"NetworkInterfaceCount":{"type":"structure","members":{"Min":{"type":"integer"},"Max":{"type":"integer"}}},"LocalStorage":{},"LocalStorageTypes":{"shape":"Say","locationName":"LocalStorageType"},"TotalLocalStorageGB":{"type":"structure","members":{"Min":{"type":"double"},"Max":{"type":"double"}}},"BaselineEbsBandwidthMbps":{"type":"structure","members":{"Min":{"type":"integer"},"Max":{"type":"integer"}}},"AcceleratorTypes":{"shape":"Sb2","locationName":"AcceleratorType"},"AcceleratorCount":{"type":"structure","members":{"Min":{"type":"integer"},"Max":{"type":"integer"}}},"AcceleratorManufacturers":{"shape":"Sb5","locationName":"AcceleratorManufacturer"},"AcceleratorNames":{"shape":"Sb7","locationName":"AcceleratorName"},"AcceleratorTotalMemoryMiB":{"type":"structure","members":{"Min":{"type":"integer"},"Max":{"type":"integer"}}}}},"San":{"type":"list","member":{"locationName":"item"}},"Saq":{"type":"list","member":{"locationName":"item"}},"Sas":{"type":"list","member":{"locationName":"item"}},"Say":{"type":"list","member":{"locationName":"item"}},"Sb2":{"type":"list","member":{"locationName":"item"}},"Sb5":{"type":"list","member":{"locationName":"item"}},"Sb7":{"type":"list","member":{"locationName":"item"}},"Sba":{"type":"structure","required":["TotalTargetCapacity"],"members":{"TotalTargetCapacity":{"type":"integer"},"OnDemandTargetCapacity":{"type":"integer"},"SpotTargetCapacity":{"type":"integer"},"DefaultTargetCapacityType":{},"TargetCapacityUnitType":{}}},"Sbi":{"type":"structure","members":{"LaunchTemplateSpecification":{"shape":"Sbj","locationName":"launchTemplateSpecification"},"Overrides":{"shape":"Sbk","locationName":"overrides"}}},"Sbj":{"type":"structure","members":{"LaunchTemplateId":{"locationName":"launchTemplateId"},"LaunchTemplateName":{"locationName":"launchTemplateName"},"Version":{"locationName":"version"}}},"Sbk":{"type":"structure","members":{"InstanceType":{"locationName":"instanceType"},"MaxPrice":{"locationName":"maxPrice"},"SubnetId":{"locationName":"subnetId"},"AvailabilityZone":{"locationName":"availabilityZone"},"WeightedCapacity":{"locationName":"weightedCapacity","type":"double"},"Priority":{"locationName":"priority","type":"double"},"Placement":{"locationName":"placement","type":"structure","members":{"GroupName":{"locationName":"groupName"}}},"InstanceRequirements":{"shape":"Sbm","locationName":"instanceRequirements"}}},"Sbm":{"type":"structure","members":{"VCpuCount":{"locationName":"vCpuCount","type":"structure","members":{"Min":{"locationName":"min","type":"integer"},"Max":{"locationName":"max","type":"integer"}}},"MemoryMiB":{"locationName":"memoryMiB","type":"structure","members":{"Min":{"locationName":"min","type":"integer"},"Max":{"locationName":"max","type":"integer"}}},"CpuManufacturers":{"shape":"San","locationName":"cpuManufacturerSet"},"MemoryGiBPerVCpu":{"locationName":"memoryGiBPerVCpu","type":"structure","members":{"Min":{"locationName":"min","type":"double"},"Max":{"locationName":"max","type":"double"}}},"ExcludedInstanceTypes":{"shape":"Saq","locationName":"excludedInstanceTypeSet"},"InstanceGenerations":{"shape":"Sas","locationName":"instanceGenerationSet"},"SpotMaxPricePercentageOverLowestPrice":{"locationName":"spotMaxPricePercentageOverLowestPrice","type":"integer"},"OnDemandMaxPricePercentageOverLowestPrice":{"locationName":"onDemandMaxPricePercentageOverLowestPrice","type":"integer"},"BareMetal":{"locationName":"bareMetal"},"BurstablePerformance":{"locationName":"burstablePerformance"},"RequireHibernateSupport":{"locationName":"requireHibernateSupport","type":"boolean"},"NetworkInterfaceCount":{"locationName":"networkInterfaceCount","type":"structure","members":{"Min":{"locationName":"min","type":"integer"},"Max":{"locationName":"max","type":"integer"}}},"LocalStorage":{"locationName":"localStorage"},"LocalStorageTypes":{"shape":"Say","locationName":"localStorageTypeSet"},"TotalLocalStorageGB":{"locationName":"totalLocalStorageGB","type":"structure","members":{"Min":{"locationName":"min","type":"double"},"Max":{"locationName":"max","type":"double"}}},"BaselineEbsBandwidthMbps":{"locationName":"baselineEbsBandwidthMbps","type":"structure","members":{"Min":{"locationName":"min","type":"integer"},"Max":{"locationName":"max","type":"integer"}}},"AcceleratorTypes":{"shape":"Sb2","locationName":"acceleratorTypeSet"},"AcceleratorCount":{"locationName":"acceleratorCount","type":"structure","members":{"Min":{"locationName":"min","type":"integer"},"Max":{"locationName":"max","type":"integer"}}},"AcceleratorManufacturers":{"shape":"Sb5","locationName":"acceleratorManufacturerSet"},"AcceleratorNames":{"shape":"Sb7","locationName":"acceleratorNameSet"},"AcceleratorTotalMemoryMiB":{"locationName":"acceleratorTotalMemoryMiB","type":"structure","members":{"Min":{"locationName":"min","type":"integer"},"Max":{"locationName":"max","type":"integer"}}}}},"Sby":{"type":"list","member":{"locationName":"item"}},"Sca":{"type":"structure","members":{"Bucket":{},"Key":{}}},"Scd":{"type":"list","member":{"shape":"Sce","locationName":"BlockDeviceMapping"}},"Sce":{"type":"structure","members":{"DeviceName":{"locationName":"deviceName"},"VirtualName":{"locationName":"virtualName"},"Ebs":{"locationName":"ebs","type":"structure","members":{"DeleteOnTermination":{"locationName":"deleteOnTermination","type":"boolean"},"Iops":{"locationName":"iops","type":"integer"},"SnapshotId":{"locationName":"snapshotId"},"VolumeSize":{"locationName":"volumeSize","type":"integer"},"VolumeType":{"locationName":"volumeType"},"KmsKeyId":{},"Throughput":{"locationName":"throughput","type":"integer"},"OutpostArn":{"locationName":"outpostArn"},"Encrypted":{"locationName":"encrypted","type":"boolean"}}},"NoDevice":{"locationName":"noDevice"}}},"Sck":{"type":"list","member":{"type":"structure","members":{"StartWeekDay":{},"StartHour":{"type":"integer"},"EndWeekDay":{},"EndHour":{"type":"integer"}}}},"Sct":{"type":"structure","members":{"Description":{"locationName":"description"},"ExportTaskId":{"locationName":"exportTaskId"},"ExportToS3Task":{"locationName":"exportToS3","type":"structure","members":{"ContainerFormat":{"locationName":"containerFormat"},"DiskImageFormat":{"locationName":"diskImageFormat"},"S3Bucket":{"locationName":"s3Bucket"},"S3Key":{"locationName":"s3Key"}}},"InstanceExportDetails":{"locationName":"instanceExport","type":"structure","members":{"InstanceId":{"locationName":"instanceId"},"TargetEnvironment":{"locationName":"targetEnvironment"}}},"State":{"locationName":"state"},"StatusMessage":{"locationName":"statusMessage"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Scz":{"type":"structure","members":{"Attachments":{"shape":"S9w","locationName":"attachmentSet"},"InternetGatewayId":{"locationName":"internetGatewayId"},"OwnerId":{"locationName":"ownerId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Sd1":{"type":"list","member":{"type":"structure","members":{"RegionName":{}}}},"Sd4":{"type":"structure","members":{"OwnerId":{"locationName":"ownerId"},"IpamId":{"locationName":"ipamId"},"IpamArn":{"locationName":"ipamArn"},"IpamRegion":{"locationName":"ipamRegion"},"PublicDefaultScopeId":{"locationName":"publicDefaultScopeId"},"PrivateDefaultScopeId":{"locationName":"privateDefaultScopeId"},"ScopeCount":{"locationName":"scopeCount","type":"integer"},"Description":{"locationName":"description"},"OperatingRegions":{"locationName":"operatingRegionSet","type":"list","member":{"locationName":"item","type":"structure","members":{"RegionName":{"locationName":"regionName"}}}},"State":{"locationName":"state"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Sdd":{"type":"list","member":{"shape":"Sde","locationName":"item"}},"Sde":{"type":"structure","members":{"Key":{},"Value":{}}},"Sdh":{"type":"structure","members":{"OwnerId":{"locationName":"ownerId"},"IpamPoolId":{"locationName":"ipamPoolId"},"SourceIpamPoolId":{"locationName":"sourceIpamPoolId"},"IpamPoolArn":{"locationName":"ipamPoolArn"},"IpamScopeArn":{"locationName":"ipamScopeArn"},"IpamScopeType":{"locationName":"ipamScopeType"},"IpamArn":{"locationName":"ipamArn"},"IpamRegion":{"locationName":"ipamRegion"},"Locale":{"locationName":"locale"},"PoolDepth":{"locationName":"poolDepth","type":"integer"},"State":{"locationName":"state"},"StateMessage":{"locationName":"stateMessage"},"Description":{"locationName":"description"},"AutoImport":{"locationName":"autoImport","type":"boolean"},"PubliclyAdvertisable":{"locationName":"publiclyAdvertisable","type":"boolean"},"AddressFamily":{"locationName":"addressFamily"},"AllocationMinNetmaskLength":{"locationName":"allocationMinNetmaskLength","type":"integer"},"AllocationMaxNetmaskLength":{"locationName":"allocationMaxNetmaskLength","type":"integer"},"AllocationDefaultNetmaskLength":{"locationName":"allocationDefaultNetmaskLength","type":"integer"},"AllocationResourceTags":{"shape":"Sdk","locationName":"allocationResourceTagSet"},"Tags":{"shape":"Ss","locationName":"tagSet"},"AwsService":{"locationName":"awsService"}}},"Sdk":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Key":{"locationName":"key"},"Value":{"locationName":"value"}}}},"Sdo":{"type":"structure","members":{"OwnerId":{"locationName":"ownerId"},"IpamScopeId":{"locationName":"ipamScopeId"},"IpamScopeArn":{"locationName":"ipamScopeArn"},"IpamArn":{"locationName":"ipamArn"},"IpamRegion":{"locationName":"ipamRegion"},"IpamScopeType":{"locationName":"ipamScopeType"},"IsDefault":{"locationName":"isDefault","type":"boolean"},"Description":{"locationName":"description"},"PoolCount":{"locationName":"poolCount","type":"integer"},"State":{"locationName":"state"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Sdw":{"type":"structure","members":{"KernelId":{},"EbsOptimized":{"type":"boolean"},"IamInstanceProfile":{"type":"structure","members":{"Arn":{},"Name":{}}},"BlockDeviceMappings":{"locationName":"BlockDeviceMapping","type":"list","member":{"locationName":"BlockDeviceMapping","type":"structure","members":{"DeviceName":{},"VirtualName":{},"Ebs":{"type":"structure","members":{"Encrypted":{"type":"boolean"},"DeleteOnTermination":{"type":"boolean"},"Iops":{"type":"integer"},"KmsKeyId":{},"SnapshotId":{},"VolumeSize":{"type":"integer"},"VolumeType":{},"Throughput":{"type":"integer"}}},"NoDevice":{}}}},"NetworkInterfaces":{"locationName":"NetworkInterface","type":"list","member":{"locationName":"InstanceNetworkInterfaceSpecification","type":"structure","members":{"AssociateCarrierIpAddress":{"type":"boolean"},"AssociatePublicIpAddress":{"type":"boolean"},"DeleteOnTermination":{"type":"boolean"},"Description":{},"DeviceIndex":{"type":"integer"},"Groups":{"shape":"Se4","locationName":"SecurityGroupId"},"InterfaceType":{},"Ipv6AddressCount":{"type":"integer"},"Ipv6Addresses":{"type":"list","member":{"locationName":"InstanceIpv6Address","type":"structure","members":{"Ipv6Address":{}}}},"NetworkInterfaceId":{},"PrivateIpAddress":{},"PrivateIpAddresses":{"shape":"Se7"},"SecondaryPrivateIpAddressCount":{"type":"integer"},"SubnetId":{},"NetworkCardIndex":{"type":"integer"},"Ipv4Prefixes":{"shape":"Se9","locationName":"Ipv4Prefix"},"Ipv4PrefixCount":{"type":"integer"},"Ipv6Prefixes":{"shape":"Seb","locationName":"Ipv6Prefix"},"Ipv6PrefixCount":{"type":"integer"}}}},"ImageId":{},"InstanceType":{},"KeyName":{},"Monitoring":{"type":"structure","members":{"Enabled":{"type":"boolean"}}},"Placement":{"type":"structure","members":{"AvailabilityZone":{},"Affinity":{},"GroupName":{},"HostId":{},"Tenancy":{},"SpreadDomain":{},"HostResourceGroupArn":{},"PartitionNumber":{"type":"integer"}}},"RamDiskId":{},"DisableApiTermination":{"type":"boolean"},"InstanceInitiatedShutdownBehavior":{},"UserData":{},"TagSpecifications":{"locationName":"TagSpecification","type":"list","member":{"locationName":"LaunchTemplateTagSpecificationRequest","type":"structure","members":{"ResourceType":{},"Tags":{"shape":"Ss","locationName":"Tag"}}}},"ElasticGpuSpecifications":{"locationName":"ElasticGpuSpecification","type":"list","member":{"shape":"Sem","locationName":"ElasticGpuSpecification"}},"ElasticInferenceAccelerators":{"locationName":"ElasticInferenceAccelerator","type":"list","member":{"locationName":"item","type":"structure","required":["Type"],"members":{"Type":{},"Count":{"type":"integer"}}}},"SecurityGroupIds":{"shape":"Se4","locationName":"SecurityGroupId"},"SecurityGroups":{"shape":"Seq","locationName":"SecurityGroup"},"InstanceMarketOptions":{"type":"structure","members":{"MarketType":{},"SpotOptions":{"type":"structure","members":{"MaxPrice":{},"SpotInstanceType":{},"BlockDurationMinutes":{"type":"integer"},"ValidUntil":{"type":"timestamp"},"InstanceInterruptionBehavior":{}}}}},"CreditSpecification":{"shape":"Sew"},"CpuOptions":{"type":"structure","members":{"CoreCount":{"type":"integer"},"ThreadsPerCore":{"type":"integer"}}},"CapacityReservationSpecification":{"type":"structure","members":{"CapacityReservationPreference":{},"CapacityReservationTarget":{"shape":"Sf0"}}},"LicenseSpecifications":{"locationName":"LicenseSpecification","type":"list","member":{"locationName":"item","type":"structure","members":{"LicenseConfigurationArn":{}}}},"HibernationOptions":{"type":"structure","members":{"Configured":{"type":"boolean"}}},"MetadataOptions":{"type":"structure","members":{"HttpTokens":{},"HttpPutResponseHopLimit":{"type":"integer"},"HttpEndpoint":{},"HttpProtocolIpv6":{}}},"EnclaveOptions":{"type":"structure","members":{"Enabled":{"type":"boolean"}}},"InstanceRequirements":{"shape":"Sak"},"PrivateDnsNameOptions":{"type":"structure","members":{"HostnameType":{},"EnableResourceNameDnsARecord":{"type":"boolean"},"EnableResourceNameDnsAAAARecord":{"type":"boolean"}}}}},"Se4":{"type":"list","member":{"locationName":"SecurityGroupId"}},"Se7":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Primary":{"locationName":"primary","type":"boolean"},"PrivateIpAddress":{"locationName":"privateIpAddress"}}}},"Se9":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Ipv4Prefix":{}}}},"Seb":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Ipv6Prefix":{}}}},"Sem":{"type":"structure","required":["Type"],"members":{"Type":{}}},"Seq":{"type":"list","member":{"locationName":"SecurityGroup"}},"Sew":{"type":"structure","required":["CpuCredits"],"members":{"CpuCredits":{}}},"Sf0":{"type":"structure","members":{"CapacityReservationId":{},"CapacityReservationResourceGroupArn":{}}},"Sfb":{"type":"structure","members":{"LaunchTemplateId":{"locationName":"launchTemplateId"},"LaunchTemplateName":{"locationName":"launchTemplateName"},"CreateTime":{"locationName":"createTime","type":"timestamp"},"CreatedBy":{"locationName":"createdBy"},"DefaultVersionNumber":{"locationName":"defaultVersionNumber","type":"long"},"LatestVersionNumber":{"locationName":"latestVersionNumber","type":"long"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Sfc":{"type":"structure","members":{"Errors":{"locationName":"errorSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}}}}},"Sfh":{"type":"structure","members":{"LaunchTemplateId":{"locationName":"launchTemplateId"},"LaunchTemplateName":{"locationName":"launchTemplateName"},"VersionNumber":{"locationName":"versionNumber","type":"long"},"VersionDescription":{"locationName":"versionDescription"},"CreateTime":{"locationName":"createTime","type":"timestamp"},"CreatedBy":{"locationName":"createdBy"},"DefaultVersion":{"locationName":"defaultVersion","type":"boolean"},"LaunchTemplateData":{"shape":"Sfi","locationName":"launchTemplateData"}}},"Sfi":{"type":"structure","members":{"KernelId":{"locationName":"kernelId"},"EbsOptimized":{"locationName":"ebsOptimized","type":"boolean"},"IamInstanceProfile":{"locationName":"iamInstanceProfile","type":"structure","members":{"Arn":{"locationName":"arn"},"Name":{"locationName":"name"}}},"BlockDeviceMappings":{"locationName":"blockDeviceMappingSet","type":"list","member":{"locationName":"item","type":"structure","members":{"DeviceName":{"locationName":"deviceName"},"VirtualName":{"locationName":"virtualName"},"Ebs":{"locationName":"ebs","type":"structure","members":{"Encrypted":{"locationName":"encrypted","type":"boolean"},"DeleteOnTermination":{"locationName":"deleteOnTermination","type":"boolean"},"Iops":{"locationName":"iops","type":"integer"},"KmsKeyId":{"locationName":"kmsKeyId"},"SnapshotId":{"locationName":"snapshotId"},"VolumeSize":{"locationName":"volumeSize","type":"integer"},"VolumeType":{"locationName":"volumeType"},"Throughput":{"locationName":"throughput","type":"integer"}}},"NoDevice":{"locationName":"noDevice"}}}},"NetworkInterfaces":{"locationName":"networkInterfaceSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AssociateCarrierIpAddress":{"locationName":"associateCarrierIpAddress","type":"boolean"},"AssociatePublicIpAddress":{"locationName":"associatePublicIpAddress","type":"boolean"},"DeleteOnTermination":{"locationName":"deleteOnTermination","type":"boolean"},"Description":{"locationName":"description"},"DeviceIndex":{"locationName":"deviceIndex","type":"integer"},"Groups":{"shape":"S4o","locationName":"groupSet"},"InterfaceType":{"locationName":"interfaceType"},"Ipv6AddressCount":{"locationName":"ipv6AddressCount","type":"integer"},"Ipv6Addresses":{"shape":"Sfp","locationName":"ipv6AddressesSet"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"PrivateIpAddress":{"locationName":"privateIpAddress"},"PrivateIpAddresses":{"shape":"Se7","locationName":"privateIpAddressesSet"},"SecondaryPrivateIpAddressCount":{"locationName":"secondaryPrivateIpAddressCount","type":"integer"},"SubnetId":{"locationName":"subnetId"},"NetworkCardIndex":{"locationName":"networkCardIndex","type":"integer"},"Ipv4Prefixes":{"locationName":"ipv4PrefixSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Ipv4Prefix":{"locationName":"ipv4Prefix"}}}},"Ipv4PrefixCount":{"locationName":"ipv4PrefixCount","type":"integer"},"Ipv6Prefixes":{"locationName":"ipv6PrefixSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Ipv6Prefix":{"locationName":"ipv6Prefix"}}}},"Ipv6PrefixCount":{"locationName":"ipv6PrefixCount","type":"integer"}}}},"ImageId":{"locationName":"imageId"},"InstanceType":{"locationName":"instanceType"},"KeyName":{"locationName":"keyName"},"Monitoring":{"locationName":"monitoring","type":"structure","members":{"Enabled":{"locationName":"enabled","type":"boolean"}}},"Placement":{"locationName":"placement","type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"Affinity":{"locationName":"affinity"},"GroupName":{"locationName":"groupName"},"HostId":{"locationName":"hostId"},"Tenancy":{"locationName":"tenancy"},"SpreadDomain":{"locationName":"spreadDomain"},"HostResourceGroupArn":{"locationName":"hostResourceGroupArn"},"PartitionNumber":{"locationName":"partitionNumber","type":"integer"}}},"RamDiskId":{"locationName":"ramDiskId"},"DisableApiTermination":{"locationName":"disableApiTermination","type":"boolean"},"InstanceInitiatedShutdownBehavior":{"locationName":"instanceInitiatedShutdownBehavior"},"UserData":{"locationName":"userData"},"TagSpecifications":{"locationName":"tagSpecificationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ResourceType":{"locationName":"resourceType"},"Tags":{"shape":"Ss","locationName":"tagSet"}}}},"ElasticGpuSpecifications":{"locationName":"elasticGpuSpecificationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Type":{"locationName":"type"}}}},"ElasticInferenceAccelerators":{"locationName":"elasticInferenceAcceleratorSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Type":{"locationName":"type"},"Count":{"locationName":"count","type":"integer"}}}},"SecurityGroupIds":{"shape":"Se","locationName":"securityGroupIdSet"},"SecurityGroups":{"shape":"Se","locationName":"securityGroupSet"},"InstanceMarketOptions":{"locationName":"instanceMarketOptions","type":"structure","members":{"MarketType":{"locationName":"marketType"},"SpotOptions":{"locationName":"spotOptions","type":"structure","members":{"MaxPrice":{"locationName":"maxPrice"},"SpotInstanceType":{"locationName":"spotInstanceType"},"BlockDurationMinutes":{"locationName":"blockDurationMinutes","type":"integer"},"ValidUntil":{"locationName":"validUntil","type":"timestamp"},"InstanceInterruptionBehavior":{"locationName":"instanceInterruptionBehavior"}}}}},"CreditSpecification":{"locationName":"creditSpecification","type":"structure","members":{"CpuCredits":{"locationName":"cpuCredits"}}},"CpuOptions":{"locationName":"cpuOptions","type":"structure","members":{"CoreCount":{"locationName":"coreCount","type":"integer"},"ThreadsPerCore":{"locationName":"threadsPerCore","type":"integer"}}},"CapacityReservationSpecification":{"locationName":"capacityReservationSpecification","type":"structure","members":{"CapacityReservationPreference":{"locationName":"capacityReservationPreference"},"CapacityReservationTarget":{"shape":"Sg8","locationName":"capacityReservationTarget"}}},"LicenseSpecifications":{"locationName":"licenseSet","type":"list","member":{"locationName":"item","type":"structure","members":{"LicenseConfigurationArn":{"locationName":"licenseConfigurationArn"}}}},"HibernationOptions":{"locationName":"hibernationOptions","type":"structure","members":{"Configured":{"locationName":"configured","type":"boolean"}}},"MetadataOptions":{"locationName":"metadataOptions","type":"structure","members":{"State":{"locationName":"state"},"HttpTokens":{"locationName":"httpTokens"},"HttpPutResponseHopLimit":{"locationName":"httpPutResponseHopLimit","type":"integer"},"HttpEndpoint":{"locationName":"httpEndpoint"},"HttpProtocolIpv6":{"locationName":"httpProtocolIpv6"}}},"EnclaveOptions":{"locationName":"enclaveOptions","type":"structure","members":{"Enabled":{"locationName":"enabled","type":"boolean"}}},"InstanceRequirements":{"shape":"Sbm","locationName":"instanceRequirements"},"PrivateDnsNameOptions":{"locationName":"privateDnsNameOptions","type":"structure","members":{"HostnameType":{"locationName":"hostnameType"},"EnableResourceNameDnsARecord":{"locationName":"enableResourceNameDnsARecord","type":"boolean"},"EnableResourceNameDnsAAAARecord":{"locationName":"enableResourceNameDnsAAAARecord","type":"boolean"}}}}},"Sfp":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Ipv6Address":{"locationName":"ipv6Address"}}}},"Sg8":{"type":"structure","members":{"CapacityReservationId":{"locationName":"capacityReservationId"},"CapacityReservationResourceGroupArn":{"locationName":"capacityReservationResourceGroupArn"}}},"Sgk":{"type":"structure","members":{"DestinationCidrBlock":{"locationName":"destinationCidrBlock"},"LocalGatewayVirtualInterfaceGroupId":{"locationName":"localGatewayVirtualInterfaceGroupId"},"Type":{"locationName":"type"},"State":{"locationName":"state"},"LocalGatewayRouteTableId":{"locationName":"localGatewayRouteTableId"},"LocalGatewayRouteTableArn":{"locationName":"localGatewayRouteTableArn"},"OwnerId":{"locationName":"ownerId"}}},"Sgp":{"type":"structure","members":{"LocalGatewayRouteTableVpcAssociationId":{"locationName":"localGatewayRouteTableVpcAssociationId"},"LocalGatewayRouteTableId":{"locationName":"localGatewayRouteTableId"},"LocalGatewayRouteTableArn":{"locationName":"localGatewayRouteTableArn"},"LocalGatewayId":{"locationName":"localGatewayId"},"VpcId":{"locationName":"vpcId"},"OwnerId":{"locationName":"ownerId"},"State":{"locationName":"state"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Sgs":{"type":"list","member":{"type":"structure","required":["Cidr"],"members":{"Cidr":{},"Description":{}}}},"Sgv":{"type":"structure","members":{"PrefixListId":{"locationName":"prefixListId"},"AddressFamily":{"locationName":"addressFamily"},"State":{"locationName":"state"},"StateMessage":{"locationName":"stateMessage"},"PrefixListArn":{"locationName":"prefixListArn"},"PrefixListName":{"locationName":"prefixListName"},"MaxEntries":{"locationName":"maxEntries","type":"integer"},"Version":{"locationName":"version","type":"long"},"Tags":{"shape":"Ss","locationName":"tagSet"},"OwnerId":{"locationName":"ownerId"}}},"Sh0":{"type":"structure","members":{"CreateTime":{"locationName":"createTime","type":"timestamp"},"DeleteTime":{"locationName":"deleteTime","type":"timestamp"},"FailureCode":{"locationName":"failureCode"},"FailureMessage":{"locationName":"failureMessage"},"NatGatewayAddresses":{"locationName":"natGatewayAddressSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AllocationId":{"locationName":"allocationId"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"PrivateIp":{"locationName":"privateIp"},"PublicIp":{"locationName":"publicIp"}}}},"NatGatewayId":{"locationName":"natGatewayId"},"ProvisionedBandwidth":{"locationName":"provisionedBandwidth","type":"structure","members":{"ProvisionTime":{"locationName":"provisionTime","type":"timestamp"},"Provisioned":{"locationName":"provisioned"},"RequestTime":{"locationName":"requestTime","type":"timestamp"},"Requested":{"locationName":"requested"},"Status":{"locationName":"status"}}},"State":{"locationName":"state"},"SubnetId":{"locationName":"subnetId"},"VpcId":{"locationName":"vpcId"},"Tags":{"shape":"Ss","locationName":"tagSet"},"ConnectivityType":{"locationName":"connectivityType"}}},"Sh7":{"type":"structure","members":{"Associations":{"locationName":"associationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"NetworkAclAssociationId":{"locationName":"networkAclAssociationId"},"NetworkAclId":{"locationName":"networkAclId"},"SubnetId":{"locationName":"subnetId"}}}},"Entries":{"locationName":"entrySet","type":"list","member":{"locationName":"item","type":"structure","members":{"CidrBlock":{"locationName":"cidrBlock"},"Egress":{"locationName":"egress","type":"boolean"},"IcmpTypeCode":{"shape":"Shc","locationName":"icmpTypeCode"},"Ipv6CidrBlock":{"locationName":"ipv6CidrBlock"},"PortRange":{"shape":"Shd","locationName":"portRange"},"Protocol":{"locationName":"protocol"},"RuleAction":{"locationName":"ruleAction"},"RuleNumber":{"locationName":"ruleNumber","type":"integer"}}}},"IsDefault":{"locationName":"default","type":"boolean"},"NetworkAclId":{"locationName":"networkAclId"},"Tags":{"shape":"Ss","locationName":"tagSet"},"VpcId":{"locationName":"vpcId"},"OwnerId":{"locationName":"ownerId"}}},"Shc":{"type":"structure","members":{"Code":{"locationName":"code","type":"integer"},"Type":{"locationName":"type","type":"integer"}}},"Shd":{"type":"structure","members":{"From":{"locationName":"from","type":"integer"},"To":{"locationName":"to","type":"integer"}}},"Shi":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Source":{"shape":"Shk"},"Destination":{"shape":"Shk"},"ThroughResources":{"locationName":"ThroughResource","type":"list","member":{"locationName":"item","type":"structure","members":{"ResourceStatement":{"shape":"Sho"}}}}}}},"Shk":{"type":"structure","members":{"PacketHeaderStatement":{"type":"structure","members":{"SourceAddresses":{"shape":"Se","locationName":"SourceAddress"},"DestinationAddresses":{"shape":"Se","locationName":"DestinationAddress"},"SourcePorts":{"shape":"Se","locationName":"SourcePort"},"DestinationPorts":{"shape":"Se","locationName":"DestinationPort"},"SourcePrefixLists":{"shape":"Se","locationName":"SourcePrefixList"},"DestinationPrefixLists":{"shape":"Se","locationName":"DestinationPrefixList"},"Protocols":{"shape":"Shm","locationName":"Protocol"}}},"ResourceStatement":{"shape":"Sho"}}},"Shm":{"type":"list","member":{"locationName":"item"}},"Sho":{"type":"structure","members":{"Resources":{"shape":"Se","locationName":"Resource"},"ResourceTypes":{"shape":"Se","locationName":"ResourceType"}}},"Shs":{"type":"structure","members":{"NetworkInsightsAccessScopeId":{"locationName":"networkInsightsAccessScopeId"},"NetworkInsightsAccessScopeArn":{"locationName":"networkInsightsAccessScopeArn"},"CreatedDate":{"locationName":"createdDate","type":"timestamp"},"UpdatedDate":{"locationName":"updatedDate","type":"timestamp"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Shu":{"type":"structure","members":{"NetworkInsightsAccessScopeId":{"locationName":"networkInsightsAccessScopeId"},"MatchPaths":{"shape":"Shv","locationName":"matchPathSet"},"ExcludePaths":{"shape":"Shv","locationName":"excludePathSet"}}},"Shv":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Source":{"shape":"Shx","locationName":"source"},"Destination":{"shape":"Shx","locationName":"destination"},"ThroughResources":{"locationName":"throughResourceSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ResourceStatement":{"shape":"Shz","locationName":"resourceStatement"}}}}}}},"Shx":{"type":"structure","members":{"PacketHeaderStatement":{"locationName":"packetHeaderStatement","type":"structure","members":{"SourceAddresses":{"shape":"Se","locationName":"sourceAddressSet"},"DestinationAddresses":{"shape":"Se","locationName":"destinationAddressSet"},"SourcePorts":{"shape":"Se","locationName":"sourcePortSet"},"DestinationPorts":{"shape":"Se","locationName":"destinationPortSet"},"SourcePrefixLists":{"shape":"Se","locationName":"sourcePrefixListSet"},"DestinationPrefixLists":{"shape":"Se","locationName":"destinationPrefixListSet"},"Protocols":{"shape":"Shm","locationName":"protocolSet"}}},"ResourceStatement":{"shape":"Shz","locationName":"resourceStatement"}}},"Shz":{"type":"structure","members":{"Resources":{"shape":"Se","locationName":"resourceSet"},"ResourceTypes":{"shape":"Se","locationName":"resourceTypeSet"}}},"Si6":{"type":"structure","members":{"NetworkInsightsPathId":{"locationName":"networkInsightsPathId"},"NetworkInsightsPathArn":{"locationName":"networkInsightsPathArn"},"CreatedDate":{"locationName":"createdDate","type":"timestamp"},"Source":{"locationName":"source"},"Destination":{"locationName":"destination"},"SourceIp":{"locationName":"sourceIp"},"DestinationIp":{"locationName":"destinationIp"},"Protocol":{"locationName":"protocol"},"DestinationPort":{"locationName":"destinationPort","type":"integer"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Sib":{"type":"structure","members":{"Association":{"shape":"Sic","locationName":"association"},"Attachment":{"shape":"Sid","locationName":"attachment"},"AvailabilityZone":{"locationName":"availabilityZone"},"Description":{"locationName":"description"},"Groups":{"shape":"Sie","locationName":"groupSet"},"InterfaceType":{"locationName":"interfaceType"},"Ipv6Addresses":{"locationName":"ipv6AddressesSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Ipv6Address":{"locationName":"ipv6Address"}}}},"MacAddress":{"locationName":"macAddress"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"OutpostArn":{"locationName":"outpostArn"},"OwnerId":{"locationName":"ownerId"},"PrivateDnsName":{"locationName":"privateDnsName"},"PrivateIpAddress":{"locationName":"privateIpAddress"},"PrivateIpAddresses":{"locationName":"privateIpAddressesSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Association":{"shape":"Sic","locationName":"association"},"Primary":{"locationName":"primary","type":"boolean"},"PrivateDnsName":{"locationName":"privateDnsName"},"PrivateIpAddress":{"locationName":"privateIpAddress"}}}},"Ipv4Prefixes":{"shape":"S2p","locationName":"ipv4PrefixSet"},"Ipv6Prefixes":{"locationName":"ipv6PrefixSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Ipv6Prefix":{"locationName":"ipv6Prefix"}}}},"RequesterId":{"locationName":"requesterId"},"RequesterManaged":{"locationName":"requesterManaged","type":"boolean"},"SourceDestCheck":{"locationName":"sourceDestCheck","type":"boolean"},"Status":{"locationName":"status"},"SubnetId":{"locationName":"subnetId"},"TagSet":{"shape":"Ss","locationName":"tagSet"},"VpcId":{"locationName":"vpcId"},"DenyAllIgwTraffic":{"locationName":"denyAllIgwTraffic","type":"boolean"},"Ipv6Native":{"locationName":"ipv6Native","type":"boolean"},"Ipv6Address":{"locationName":"ipv6Address"}}},"Sic":{"type":"structure","members":{"AllocationId":{"locationName":"allocationId"},"AssociationId":{"locationName":"associationId"},"IpOwnerId":{"locationName":"ipOwnerId"},"PublicDnsName":{"locationName":"publicDnsName"},"PublicIp":{"locationName":"publicIp"},"CustomerOwnedIp":{"locationName":"customerOwnedIp"},"CarrierIp":{"locationName":"carrierIp"}}},"Sid":{"type":"structure","members":{"AttachTime":{"locationName":"attachTime","type":"timestamp"},"AttachmentId":{"locationName":"attachmentId"},"DeleteOnTermination":{"locationName":"deleteOnTermination","type":"boolean"},"DeviceIndex":{"locationName":"deviceIndex","type":"integer"},"NetworkCardIndex":{"locationName":"networkCardIndex","type":"integer"},"InstanceId":{"locationName":"instanceId"},"InstanceOwnerId":{"locationName":"instanceOwnerId"},"Status":{"locationName":"status"}}},"Sie":{"type":"list","member":{"locationName":"item","type":"structure","members":{"GroupName":{"locationName":"groupName"},"GroupId":{"locationName":"groupId"}}}},"Sir":{"type":"structure","members":{"NetworkInterfacePermissionId":{"locationName":"networkInterfacePermissionId"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"AwsAccountId":{"locationName":"awsAccountId"},"AwsService":{"locationName":"awsService"},"Permission":{"locationName":"permission"},"PermissionState":{"locationName":"permissionState","type":"structure","members":{"State":{"locationName":"state"},"StatusMessage":{"locationName":"statusMessage"}}}}},"Six":{"type":"structure","members":{"GroupName":{"locationName":"groupName"},"State":{"locationName":"state"},"Strategy":{"locationName":"strategy"},"PartitionCount":{"locationName":"partitionCount","type":"integer"},"GroupId":{"locationName":"groupId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Sj3":{"type":"structure","members":{"ReplaceRootVolumeTaskId":{"locationName":"replaceRootVolumeTaskId"},"InstanceId":{"locationName":"instanceId"},"TaskState":{"locationName":"taskState"},"StartTime":{"locationName":"startTime"},"CompleteTime":{"locationName":"completeTime"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Sjk":{"type":"structure","members":{"Associations":{"locationName":"associationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Main":{"locationName":"main","type":"boolean"},"RouteTableAssociationId":{"locationName":"routeTableAssociationId"},"RouteTableId":{"locationName":"routeTableId"},"SubnetId":{"locationName":"subnetId"},"GatewayId":{"locationName":"gatewayId"},"AssociationState":{"shape":"S3u","locationName":"associationState"}}}},"PropagatingVgws":{"locationName":"propagatingVgwSet","type":"list","member":{"locationName":"item","type":"structure","members":{"GatewayId":{"locationName":"gatewayId"}}}},"RouteTableId":{"locationName":"routeTableId"},"Routes":{"locationName":"routeSet","type":"list","member":{"locationName":"item","type":"structure","members":{"DestinationCidrBlock":{"locationName":"destinationCidrBlock"},"DestinationIpv6CidrBlock":{"locationName":"destinationIpv6CidrBlock"},"DestinationPrefixListId":{"locationName":"destinationPrefixListId"},"EgressOnlyInternetGatewayId":{"locationName":"egressOnlyInternetGatewayId"},"GatewayId":{"locationName":"gatewayId"},"InstanceId":{"locationName":"instanceId"},"InstanceOwnerId":{"locationName":"instanceOwnerId"},"NatGatewayId":{"locationName":"natGatewayId"},"TransitGatewayId":{"locationName":"transitGatewayId"},"LocalGatewayId":{"locationName":"localGatewayId"},"CarrierGatewayId":{"locationName":"carrierGatewayId"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"Origin":{"locationName":"origin"},"State":{"locationName":"state"},"VpcPeeringConnectionId":{"locationName":"vpcPeeringConnectionId"},"CoreNetworkArn":{"locationName":"coreNetworkArn"}}}},"Tags":{"shape":"Ss","locationName":"tagSet"},"VpcId":{"locationName":"vpcId"},"OwnerId":{"locationName":"ownerId"}}},"Sjw":{"type":"structure","members":{"DataEncryptionKeyId":{"locationName":"dataEncryptionKeyId"},"Description":{"locationName":"description"},"Encrypted":{"locationName":"encrypted","type":"boolean"},"KmsKeyId":{"locationName":"kmsKeyId"},"OwnerId":{"locationName":"ownerId"},"Progress":{"locationName":"progress"},"SnapshotId":{"locationName":"snapshotId"},"StartTime":{"locationName":"startTime","type":"timestamp"},"State":{"locationName":"status"},"StateMessage":{"locationName":"statusMessage"},"VolumeId":{"locationName":"volumeId"},"VolumeSize":{"locationName":"volumeSize","type":"integer"},"OwnerAlias":{"locationName":"ownerAlias"},"OutpostArn":{"locationName":"outpostArn"},"Tags":{"shape":"Ss","locationName":"tagSet"},"StorageTier":{"locationName":"storageTier"},"RestoreExpiryTime":{"locationName":"restoreExpiryTime","type":"timestamp"}}},"Sk7":{"type":"structure","members":{"Bucket":{"locationName":"bucket"},"Fault":{"shape":"Sk8","locationName":"fault"},"OwnerId":{"locationName":"ownerId"},"Prefix":{"locationName":"prefix"},"State":{"locationName":"state"}}},"Sk8":{"type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"Skj":{"type":"structure","members":{"SubnetCidrReservationId":{"locationName":"subnetCidrReservationId"},"SubnetId":{"locationName":"subnetId"},"Cidr":{"locationName":"cidr"},"ReservationType":{"locationName":"reservationType"},"OwnerId":{"locationName":"ownerId"},"Description":{"locationName":"description"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Skm":{"type":"list","member":{}},"Skq":{"type":"structure","members":{"TrafficMirrorFilterId":{"locationName":"trafficMirrorFilterId"},"IngressFilterRules":{"shape":"Skr","locationName":"ingressFilterRuleSet"},"EgressFilterRules":{"shape":"Skr","locationName":"egressFilterRuleSet"},"NetworkServices":{"shape":"Skw","locationName":"networkServiceSet"},"Description":{"locationName":"description"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Skr":{"type":"list","member":{"shape":"Sks","locationName":"item"}},"Sks":{"type":"structure","members":{"TrafficMirrorFilterRuleId":{"locationName":"trafficMirrorFilterRuleId"},"TrafficMirrorFilterId":{"locationName":"trafficMirrorFilterId"},"TrafficDirection":{"locationName":"trafficDirection"},"RuleNumber":{"locationName":"ruleNumber","type":"integer"},"RuleAction":{"locationName":"ruleAction"},"Protocol":{"locationName":"protocol","type":"integer"},"DestinationPortRange":{"shape":"Skv","locationName":"destinationPortRange"},"SourcePortRange":{"shape":"Skv","locationName":"sourcePortRange"},"DestinationCidrBlock":{"locationName":"destinationCidrBlock"},"SourceCidrBlock":{"locationName":"sourceCidrBlock"},"Description":{"locationName":"description"}}},"Skv":{"type":"structure","members":{"FromPort":{"locationName":"fromPort","type":"integer"},"ToPort":{"locationName":"toPort","type":"integer"}}},"Skw":{"type":"list","member":{"locationName":"item"}},"Sl0":{"type":"structure","members":{"FromPort":{"type":"integer"},"ToPort":{"type":"integer"}}},"Sl5":{"type":"structure","members":{"TrafficMirrorSessionId":{"locationName":"trafficMirrorSessionId"},"TrafficMirrorTargetId":{"locationName":"trafficMirrorTargetId"},"TrafficMirrorFilterId":{"locationName":"trafficMirrorFilterId"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"OwnerId":{"locationName":"ownerId"},"PacketLength":{"locationName":"packetLength","type":"integer"},"SessionNumber":{"locationName":"sessionNumber","type":"integer"},"VirtualNetworkId":{"locationName":"virtualNetworkId","type":"integer"},"Description":{"locationName":"description"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Sl8":{"type":"structure","members":{"TrafficMirrorTargetId":{"locationName":"trafficMirrorTargetId"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"NetworkLoadBalancerArn":{"locationName":"networkLoadBalancerArn"},"Type":{"locationName":"type"},"Description":{"locationName":"description"},"OwnerId":{"locationName":"ownerId"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Slh":{"type":"list","member":{"locationName":"item"}},"Slj":{"type":"structure","members":{"TransitGatewayId":{"locationName":"transitGatewayId"},"TransitGatewayArn":{"locationName":"transitGatewayArn"},"State":{"locationName":"state"},"OwnerId":{"locationName":"ownerId"},"Description":{"locationName":"description"},"CreationTime":{"locationName":"creationTime","type":"timestamp"},"Options":{"locationName":"options","type":"structure","members":{"AmazonSideAsn":{"locationName":"amazonSideAsn","type":"long"},"TransitGatewayCidrBlocks":{"shape":"Se","locationName":"transitGatewayCidrBlocks"},"AutoAcceptSharedAttachments":{"locationName":"autoAcceptSharedAttachments"},"DefaultRouteTableAssociation":{"locationName":"defaultRouteTableAssociation"},"AssociationDefaultRouteTableId":{"locationName":"associationDefaultRouteTableId"},"DefaultRouteTablePropagation":{"locationName":"defaultRouteTablePropagation"},"PropagationDefaultRouteTableId":{"locationName":"propagationDefaultRouteTableId"},"VpnEcmpSupport":{"locationName":"vpnEcmpSupport"},"DnsSupport":{"locationName":"dnsSupport"},"MulticastSupport":{"locationName":"multicastSupport"}}},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Slq":{"type":"structure","members":{"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"TransportTransitGatewayAttachmentId":{"locationName":"transportTransitGatewayAttachmentId"},"TransitGatewayId":{"locationName":"transitGatewayId"},"State":{"locationName":"state"},"CreationTime":{"locationName":"creationTime","type":"timestamp"},"Options":{"locationName":"options","type":"structure","members":{"Protocol":{"locationName":"protocol"}}},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Slu":{"type":"list","member":{"locationName":"item"}},"Slw":{"type":"structure","members":{"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"TransitGatewayConnectPeerId":{"locationName":"transitGatewayConnectPeerId"},"State":{"locationName":"state"},"CreationTime":{"locationName":"creationTime","type":"timestamp"},"ConnectPeerConfiguration":{"locationName":"connectPeerConfiguration","type":"structure","members":{"TransitGatewayAddress":{"locationName":"transitGatewayAddress"},"PeerAddress":{"locationName":"peerAddress"},"InsideCidrBlocks":{"shape":"Slu","locationName":"insideCidrBlocks"},"Protocol":{"locationName":"protocol"},"BgpConfigurations":{"locationName":"bgpConfigurations","type":"list","member":{"locationName":"item","type":"structure","members":{"TransitGatewayAsn":{"locationName":"transitGatewayAsn","type":"long"},"PeerAsn":{"locationName":"peerAsn","type":"long"},"TransitGatewayAddress":{"locationName":"transitGatewayAddress"},"PeerAddress":{"locationName":"peerAddress"},"BgpStatus":{"locationName":"bgpStatus"}}}}}},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Sm9":{"type":"structure","members":{"TransitGatewayMulticastDomainId":{"locationName":"transitGatewayMulticastDomainId"},"TransitGatewayId":{"locationName":"transitGatewayId"},"TransitGatewayMulticastDomainArn":{"locationName":"transitGatewayMulticastDomainArn"},"OwnerId":{"locationName":"ownerId"},"Options":{"locationName":"options","type":"structure","members":{"Igmpv2Support":{"locationName":"igmpv2Support"},"StaticSourcesSupport":{"locationName":"staticSourcesSupport"},"AutoAcceptSharedAssociations":{"locationName":"autoAcceptSharedAssociations"}}},"State":{"locationName":"state"},"CreationTime":{"locationName":"creationTime","type":"timestamp"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Smh":{"type":"structure","members":{"TransitGatewayRouteTableId":{"locationName":"transitGatewayRouteTableId"},"PrefixListId":{"locationName":"prefixListId"},"PrefixListOwnerId":{"locationName":"prefixListOwnerId"},"State":{"locationName":"state"},"Blackhole":{"locationName":"blackhole","type":"boolean"},"TransitGatewayAttachment":{"locationName":"transitGatewayAttachment","type":"structure","members":{"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"ResourceType":{"locationName":"resourceType"},"ResourceId":{"locationName":"resourceId"}}}}},"Smm":{"type":"structure","members":{"DestinationCidrBlock":{"locationName":"destinationCidrBlock"},"PrefixListId":{"locationName":"prefixListId"},"TransitGatewayAttachments":{"locationName":"transitGatewayAttachments","type":"list","member":{"locationName":"item","type":"structure","members":{"ResourceId":{"locationName":"resourceId"},"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"ResourceType":{"locationName":"resourceType"}}}},"Type":{"locationName":"type"},"State":{"locationName":"state"}}},"Smt":{"type":"structure","members":{"TransitGatewayRouteTableId":{"locationName":"transitGatewayRouteTableId"},"TransitGatewayId":{"locationName":"transitGatewayId"},"State":{"locationName":"state"},"DefaultAssociationRouteTable":{"locationName":"defaultAssociationRouteTable","type":"boolean"},"DefaultPropagationRouteTable":{"locationName":"defaultPropagationRouteTable","type":"boolean"},"CreationTime":{"locationName":"creationTime","type":"timestamp"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Smz":{"type":"structure","members":{"Attachments":{"locationName":"attachmentSet","type":"list","member":{"shape":"S4w","locationName":"item"}},"AvailabilityZone":{"locationName":"availabilityZone"},"CreateTime":{"locationName":"createTime","type":"timestamp"},"Encrypted":{"locationName":"encrypted","type":"boolean"},"KmsKeyId":{"locationName":"kmsKeyId"},"OutpostArn":{"locationName":"outpostArn"},"Size":{"locationName":"size","type":"integer"},"SnapshotId":{"locationName":"snapshotId"},"State":{"locationName":"status"},"VolumeId":{"locationName":"volumeId"},"Iops":{"locationName":"iops","type":"integer"},"Tags":{"shape":"Ss","locationName":"tagSet"},"VolumeType":{"locationName":"volumeType"},"FastRestored":{"locationName":"fastRestored","type":"boolean"},"MultiAttachEnabled":{"locationName":"multiAttachEnabled","type":"boolean"},"Throughput":{"locationName":"throughput","type":"integer"}}},"Sn6":{"type":"list","member":{"locationName":"item"}},"Sn7":{"type":"list","member":{"locationName":"item"}},"Sn8":{"type":"list","member":{"locationName":"item"}},"Sna":{"type":"structure","members":{"VpcEndpointId":{"locationName":"vpcEndpointId"},"VpcEndpointType":{"locationName":"vpcEndpointType"},"VpcId":{"locationName":"vpcId"},"ServiceName":{"locationName":"serviceName"},"State":{"locationName":"state"},"PolicyDocument":{"locationName":"policyDocument"},"RouteTableIds":{"shape":"Se","locationName":"routeTableIdSet"},"SubnetIds":{"shape":"Se","locationName":"subnetIdSet"},"Groups":{"locationName":"groupSet","type":"list","member":{"locationName":"item","type":"structure","members":{"GroupId":{"locationName":"groupId"},"GroupName":{"locationName":"groupName"}}}},"PrivateDnsEnabled":{"locationName":"privateDnsEnabled","type":"boolean"},"RequesterManaged":{"locationName":"requesterManaged","type":"boolean"},"NetworkInterfaceIds":{"shape":"Se","locationName":"networkInterfaceIdSet"},"DnsEntries":{"shape":"Sne","locationName":"dnsEntrySet"},"CreationTimestamp":{"locationName":"creationTimestamp","type":"timestamp"},"Tags":{"shape":"Ss","locationName":"tagSet"},"OwnerId":{"locationName":"ownerId"},"LastError":{"locationName":"lastError","type":"structure","members":{"Message":{"locationName":"message"},"Code":{"locationName":"code"}}}}},"Sne":{"type":"list","member":{"locationName":"item","type":"structure","members":{"DnsName":{"locationName":"dnsName"},"HostedZoneId":{"locationName":"hostedZoneId"}}}},"Snj":{"type":"structure","members":{"ConnectionNotificationId":{"locationName":"connectionNotificationId"},"ServiceId":{"locationName":"serviceId"},"VpcEndpointId":{"locationName":"vpcEndpointId"},"ConnectionNotificationType":{"locationName":"connectionNotificationType"},"ConnectionNotificationArn":{"locationName":"connectionNotificationArn"},"ConnectionEvents":{"shape":"Se","locationName":"connectionEvents"},"ConnectionNotificationState":{"locationName":"connectionNotificationState"}}},"Sno":{"type":"structure","members":{"ServiceType":{"shape":"Snp","locationName":"serviceType"},"ServiceId":{"locationName":"serviceId"},"ServiceName":{"locationName":"serviceName"},"ServiceState":{"locationName":"serviceState"},"AvailabilityZones":{"shape":"Se","locationName":"availabilityZoneSet"},"AcceptanceRequired":{"locationName":"acceptanceRequired","type":"boolean"},"ManagesVpcEndpoints":{"locationName":"managesVpcEndpoints","type":"boolean"},"NetworkLoadBalancerArns":{"shape":"Se","locationName":"networkLoadBalancerArnSet"},"GatewayLoadBalancerArns":{"shape":"Se","locationName":"gatewayLoadBalancerArnSet"},"BaseEndpointDnsNames":{"shape":"Se","locationName":"baseEndpointDnsNameSet"},"PrivateDnsName":{"locationName":"privateDnsName"},"PrivateDnsNameConfiguration":{"locationName":"privateDnsNameConfiguration","type":"structure","members":{"State":{"locationName":"state"},"Type":{"locationName":"type"},"Value":{"locationName":"value"},"Name":{"locationName":"name"}}},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Snp":{"type":"list","member":{"locationName":"item","type":"structure","members":{"ServiceType":{"locationName":"serviceType"}}}},"So3":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{}}}},"So5":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{}}}},"So7":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{}}}},"So9":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{}}}},"Sob":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{"type":"integer"}}}},"Sod":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{"type":"integer"}}}},"Sof":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{}}}},"Soi":{"type":"structure","members":{"CustomerGatewayConfiguration":{"locationName":"customerGatewayConfiguration"},"CustomerGatewayId":{"locationName":"customerGatewayId"},"Category":{"locationName":"category"},"State":{"locationName":"state"},"Type":{"locationName":"type"},"VpnConnectionId":{"locationName":"vpnConnectionId"},"VpnGatewayId":{"locationName":"vpnGatewayId"},"TransitGatewayId":{"locationName":"transitGatewayId"},"CoreNetworkArn":{"locationName":"coreNetworkArn"},"CoreNetworkAttachmentArn":{"locationName":"coreNetworkAttachmentArn"},"GatewayAssociationState":{"locationName":"gatewayAssociationState"},"Options":{"locationName":"options","type":"structure","members":{"EnableAcceleration":{"locationName":"enableAcceleration","type":"boolean"},"StaticRoutesOnly":{"locationName":"staticRoutesOnly","type":"boolean"},"LocalIpv4NetworkCidr":{"locationName":"localIpv4NetworkCidr"},"RemoteIpv4NetworkCidr":{"locationName":"remoteIpv4NetworkCidr"},"LocalIpv6NetworkCidr":{"locationName":"localIpv6NetworkCidr"},"RemoteIpv6NetworkCidr":{"locationName":"remoteIpv6NetworkCidr"},"TunnelInsideIpVersion":{"locationName":"tunnelInsideIpVersion"},"TunnelOptions":{"locationName":"tunnelOptionSet","type":"list","member":{"locationName":"item","type":"structure","members":{"OutsideIpAddress":{"locationName":"outsideIpAddress"},"TunnelInsideCidr":{"locationName":"tunnelInsideCidr"},"TunnelInsideIpv6Cidr":{"locationName":"tunnelInsideIpv6Cidr"},"PreSharedKey":{"locationName":"preSharedKey"},"Phase1LifetimeSeconds":{"locationName":"phase1LifetimeSeconds","type":"integer"},"Phase2LifetimeSeconds":{"locationName":"phase2LifetimeSeconds","type":"integer"},"RekeyMarginTimeSeconds":{"locationName":"rekeyMarginTimeSeconds","type":"integer"},"RekeyFuzzPercentage":{"locationName":"rekeyFuzzPercentage","type":"integer"},"ReplayWindowSize":{"locationName":"replayWindowSize","type":"integer"},"DpdTimeoutSeconds":{"locationName":"dpdTimeoutSeconds","type":"integer"},"DpdTimeoutAction":{"locationName":"dpdTimeoutAction"},"Phase1EncryptionAlgorithms":{"locationName":"phase1EncryptionAlgorithmSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{"locationName":"value"}}}},"Phase2EncryptionAlgorithms":{"locationName":"phase2EncryptionAlgorithmSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{"locationName":"value"}}}},"Phase1IntegrityAlgorithms":{"locationName":"phase1IntegrityAlgorithmSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{"locationName":"value"}}}},"Phase2IntegrityAlgorithms":{"locationName":"phase2IntegrityAlgorithmSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{"locationName":"value"}}}},"Phase1DHGroupNumbers":{"locationName":"phase1DHGroupNumberSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{"locationName":"value","type":"integer"}}}},"Phase2DHGroupNumbers":{"locationName":"phase2DHGroupNumberSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{"locationName":"value","type":"integer"}}}},"IkeVersions":{"locationName":"ikeVersionSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Value":{"locationName":"value"}}}},"StartupAction":{"locationName":"startupAction"}}}}}},"Routes":{"locationName":"routes","type":"list","member":{"locationName":"item","type":"structure","members":{"DestinationCidrBlock":{"locationName":"destinationCidrBlock"},"Source":{"locationName":"source"},"State":{"locationName":"state"}}}},"Tags":{"shape":"Ss","locationName":"tagSet"},"VgwTelemetry":{"locationName":"vgwTelemetry","type":"list","member":{"locationName":"item","type":"structure","members":{"AcceptedRouteCount":{"locationName":"acceptedRouteCount","type":"integer"},"LastStatusChange":{"locationName":"lastStatusChange","type":"timestamp"},"OutsideIpAddress":{"locationName":"outsideIpAddress"},"Status":{"locationName":"status"},"StatusMessage":{"locationName":"statusMessage"},"CertificateArn":{"locationName":"certificateArn"}}}}}},"Spc":{"type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"State":{"locationName":"state"},"Type":{"locationName":"type"},"VpcAttachments":{"locationName":"attachments","type":"list","member":{"shape":"S51","locationName":"item"}},"VpnGatewayId":{"locationName":"vpnGatewayId"},"AmazonSideAsn":{"locationName":"amazonSideAsn","type":"long"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Spq":{"type":"list","member":{}},"Sq0":{"type":"list","member":{"locationName":"item"}},"Sql":{"type":"list","member":{"locationName":"item"}},"St1":{"type":"list","member":{"locationName":"item"}},"Ste":{"type":"structure","members":{"Cidr":{"locationName":"cidr"},"State":{"locationName":"state"},"FailureReason":{"locationName":"failureReason","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}}}},"Sto":{"type":"list","member":{"locationName":"item"}},"Stq":{"type":"structure","members":{"InstanceTagKeys":{"shape":"Sto","locationName":"instanceTagKeySet"},"IncludeAllTagsOfInstance":{"locationName":"includeAllTagsOfInstance","type":"boolean"}}},"Sts":{"type":"list","member":{"locationName":"item"}},"Su7":{"type":"list","member":{"locationName":"Filter","type":"structure","members":{"Name":{},"Values":{"shape":"Se","locationName":"Value"}}}},"Sul":{"type":"structure","members":{"PublicIp":{"locationName":"publicIp"},"AllocationId":{"locationName":"allocationId"},"PtrRecord":{"locationName":"ptrRecord"},"PtrRecordUpdate":{"locationName":"ptrRecordUpdate","type":"structure","members":{"Value":{"locationName":"value"},"Status":{"locationName":"status"},"Reason":{"locationName":"reason"}}}}},"Sup":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Deadline":{"locationName":"deadline","type":"timestamp"},"Resource":{"locationName":"resource"},"UseLongIds":{"locationName":"useLongIds","type":"boolean"}}}},"Svp":{"type":"list","member":{"locationName":"InstanceId"}},"Sw4":{"type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"Sx9":{"type":"structure","members":{"ConversionTaskId":{"locationName":"conversionTaskId"},"ExpirationTime":{"locationName":"expirationTime"},"ImportInstance":{"locationName":"importInstance","type":"structure","members":{"Description":{"locationName":"description"},"InstanceId":{"locationName":"instanceId"},"Platform":{"locationName":"platform"},"Volumes":{"locationName":"volumes","type":"list","member":{"locationName":"item","type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"BytesConverted":{"locationName":"bytesConverted","type":"long"},"Description":{"locationName":"description"},"Image":{"shape":"Sxd","locationName":"image"},"Status":{"locationName":"status"},"StatusMessage":{"locationName":"statusMessage"},"Volume":{"shape":"Sxe","locationName":"volume"}}}}}},"ImportVolume":{"locationName":"importVolume","type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"BytesConverted":{"locationName":"bytesConverted","type":"long"},"Description":{"locationName":"description"},"Image":{"shape":"Sxd","locationName":"image"},"Volume":{"shape":"Sxe","locationName":"volume"}}},"State":{"locationName":"state"},"StatusMessage":{"locationName":"statusMessage"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"Sxd":{"type":"structure","members":{"Checksum":{"locationName":"checksum"},"Format":{"locationName":"format"},"ImportManifestUrl":{"locationName":"importManifestUrl"},"Size":{"locationName":"size","type":"long"}}},"Sxe":{"type":"structure","members":{"Id":{"locationName":"id"},"Size":{"locationName":"size","type":"long"}}},"Syc":{"type":"structure","members":{"S3Bucket":{"locationName":"s3Bucket"},"S3Prefix":{"locationName":"s3Prefix"}}},"Syt":{"type":"structure","members":{"EventDescription":{"locationName":"eventDescription"},"EventSubType":{"locationName":"eventSubType"},"InstanceId":{"locationName":"instanceId"}}},"Syw":{"type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceId":{"locationName":"instanceId"},"InstanceType":{"locationName":"instanceType"},"SpotInstanceRequestId":{"locationName":"spotInstanceRequestId"},"InstanceHealth":{"locationName":"instanceHealth"}}}},"Szp":{"type":"structure","members":{"FpgaImageId":{"locationName":"fpgaImageId"},"Name":{"locationName":"name"},"Description":{"locationName":"description"},"LoadPermissions":{"locationName":"loadPermissions","type":"list","member":{"locationName":"item","type":"structure","members":{"UserId":{"locationName":"userId"},"Group":{"locationName":"group"}}}},"ProductCodes":{"shape":"Szt","locationName":"productCodes"}}},"Szt":{"type":"list","member":{"locationName":"item","type":"structure","members":{"ProductCodeId":{"locationName":"productCode"},"ProductCodeType":{"locationName":"type"}}}},"Szy":{"type":"list","member":{"locationName":"Owner"}},"S10j":{"type":"list","member":{"locationName":"item"}},"S10m":{"type":"list","member":{"locationName":"item"}},"S11b":{"type":"list","member":{"shape":"Sce","locationName":"item"}},"S11c":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Group":{"locationName":"group"},"UserId":{"locationName":"userId"},"OrganizationArn":{"locationName":"organizationArn"},"OrganizationalUnitArn":{"locationName":"organizationalUnitArn"}}}},"S11p":{"type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"S11y":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Description":{"locationName":"description"},"DeviceName":{"locationName":"deviceName"},"DiskImageSize":{"locationName":"diskImageSize","type":"double"},"Format":{"locationName":"format"},"Progress":{"locationName":"progress"},"SnapshotId":{"locationName":"snapshotId"},"Status":{"locationName":"status"},"StatusMessage":{"locationName":"statusMessage"},"Url":{"locationName":"url"},"UserBucket":{"shape":"S120","locationName":"userBucket"}}}},"S120":{"type":"structure","members":{"S3Bucket":{"locationName":"s3Bucket"},"S3Key":{"locationName":"s3Key"}}},"S121":{"type":"list","member":{"locationName":"item","type":"structure","members":{"LicenseConfigurationArn":{"locationName":"licenseConfigurationArn"}}}},"S129":{"type":"structure","members":{"Description":{"locationName":"description"},"DiskImageSize":{"locationName":"diskImageSize","type":"double"},"Encrypted":{"locationName":"encrypted","type":"boolean"},"Format":{"locationName":"format"},"KmsKeyId":{"locationName":"kmsKeyId"},"Progress":{"locationName":"progress"},"SnapshotId":{"locationName":"snapshotId"},"Status":{"locationName":"status"},"StatusMessage":{"locationName":"statusMessage"},"Url":{"locationName":"url"},"UserBucket":{"shape":"S120","locationName":"userBucket"}}},"S12d":{"type":"list","member":{"locationName":"item","type":"structure","members":{"DeviceName":{"locationName":"deviceName"},"Ebs":{"locationName":"ebs","type":"structure","members":{"AttachTime":{"locationName":"attachTime","type":"timestamp"},"DeleteOnTermination":{"locationName":"deleteOnTermination","type":"boolean"},"Status":{"locationName":"status"},"VolumeId":{"locationName":"volumeId"}}}}}},"S12g":{"type":"structure","members":{"Value":{"locationName":"value","type":"boolean"}}},"S12h":{"type":"structure","members":{"Enabled":{"locationName":"enabled","type":"boolean"}}},"S12z":{"type":"structure","members":{"InstanceEventId":{"locationName":"instanceEventId"},"Code":{"locationName":"code"},"Description":{"locationName":"description"},"NotAfter":{"locationName":"notAfter","type":"timestamp"},"NotBefore":{"locationName":"notBefore","type":"timestamp"},"NotBeforeDeadline":{"locationName":"notBeforeDeadline","type":"timestamp"}}},"S132":{"type":"structure","members":{"Code":{"locationName":"code","type":"integer"},"Name":{"locationName":"name"}}},"S134":{"type":"structure","members":{"Details":{"locationName":"details","type":"list","member":{"locationName":"item","type":"structure","members":{"ImpairedSince":{"locationName":"impairedSince","type":"timestamp"},"Name":{"locationName":"name"},"Status":{"locationName":"status"}}}},"Status":{"locationName":"status"}}},"S168":{"type":"structure","members":{"Groups":{"shape":"Sie","locationName":"groupSet"},"Instances":{"locationName":"instancesSet","type":"list","member":{"locationName":"item","type":"structure","members":{"AmiLaunchIndex":{"locationName":"amiLaunchIndex","type":"integer"},"ImageId":{"locationName":"imageId"},"InstanceId":{"locationName":"instanceId"},"InstanceType":{"locationName":"instanceType"},"KernelId":{"locationName":"kernelId"},"KeyName":{"locationName":"keyName"},"LaunchTime":{"locationName":"launchTime","type":"timestamp"},"Monitoring":{"shape":"S16b","locationName":"monitoring"},"Placement":{"shape":"Sai","locationName":"placement"},"Platform":{"locationName":"platform"},"PrivateDnsName":{"locationName":"privateDnsName"},"PrivateIpAddress":{"locationName":"privateIpAddress"},"ProductCodes":{"shape":"Szt","locationName":"productCodes"},"PublicDnsName":{"locationName":"dnsName"},"PublicIpAddress":{"locationName":"ipAddress"},"RamdiskId":{"locationName":"ramdiskId"},"State":{"shape":"S132","locationName":"instanceState"},"StateTransitionReason":{"locationName":"reason"},"SubnetId":{"locationName":"subnetId"},"VpcId":{"locationName":"vpcId"},"Architecture":{"locationName":"architecture"},"BlockDeviceMappings":{"shape":"S12d","locationName":"blockDeviceMapping"},"ClientToken":{"locationName":"clientToken"},"EbsOptimized":{"locationName":"ebsOptimized","type":"boolean"},"EnaSupport":{"locationName":"enaSupport","type":"boolean"},"Hypervisor":{"locationName":"hypervisor"},"IamInstanceProfile":{"shape":"S39","locationName":"iamInstanceProfile"},"InstanceLifecycle":{"locationName":"instanceLifecycle"},"ElasticGpuAssociations":{"locationName":"elasticGpuAssociationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ElasticGpuId":{"locationName":"elasticGpuId"},"ElasticGpuAssociationId":{"locationName":"elasticGpuAssociationId"},"ElasticGpuAssociationState":{"locationName":"elasticGpuAssociationState"},"ElasticGpuAssociationTime":{"locationName":"elasticGpuAssociationTime"}}}},"ElasticInferenceAcceleratorAssociations":{"locationName":"elasticInferenceAcceleratorAssociationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ElasticInferenceAcceleratorArn":{"locationName":"elasticInferenceAcceleratorArn"},"ElasticInferenceAcceleratorAssociationId":{"locationName":"elasticInferenceAcceleratorAssociationId"},"ElasticInferenceAcceleratorAssociationState":{"locationName":"elasticInferenceAcceleratorAssociationState"},"ElasticInferenceAcceleratorAssociationTime":{"locationName":"elasticInferenceAcceleratorAssociationTime","type":"timestamp"}}}},"NetworkInterfaces":{"locationName":"networkInterfaceSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Association":{"shape":"S16k","locationName":"association"},"Attachment":{"locationName":"attachment","type":"structure","members":{"AttachTime":{"locationName":"attachTime","type":"timestamp"},"AttachmentId":{"locationName":"attachmentId"},"DeleteOnTermination":{"locationName":"deleteOnTermination","type":"boolean"},"DeviceIndex":{"locationName":"deviceIndex","type":"integer"},"Status":{"locationName":"status"},"NetworkCardIndex":{"locationName":"networkCardIndex","type":"integer"}}},"Description":{"locationName":"description"},"Groups":{"shape":"Sie","locationName":"groupSet"},"Ipv6Addresses":{"shape":"Sfp","locationName":"ipv6AddressesSet"},"MacAddress":{"locationName":"macAddress"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"OwnerId":{"locationName":"ownerId"},"PrivateDnsName":{"locationName":"privateDnsName"},"PrivateIpAddress":{"locationName":"privateIpAddress"},"PrivateIpAddresses":{"locationName":"privateIpAddressesSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Association":{"shape":"S16k","locationName":"association"},"Primary":{"locationName":"primary","type":"boolean"},"PrivateDnsName":{"locationName":"privateDnsName"},"PrivateIpAddress":{"locationName":"privateIpAddress"}}}},"SourceDestCheck":{"locationName":"sourceDestCheck","type":"boolean"},"Status":{"locationName":"status"},"SubnetId":{"locationName":"subnetId"},"VpcId":{"locationName":"vpcId"},"InterfaceType":{"locationName":"interfaceType"},"Ipv4Prefixes":{"locationName":"ipv4PrefixSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Ipv4Prefix":{"locationName":"ipv4Prefix"}}}},"Ipv6Prefixes":{"locationName":"ipv6PrefixSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Ipv6Prefix":{"locationName":"ipv6Prefix"}}}}}}},"OutpostArn":{"locationName":"outpostArn"},"RootDeviceName":{"locationName":"rootDeviceName"},"RootDeviceType":{"locationName":"rootDeviceType"},"SecurityGroups":{"shape":"Sie","locationName":"groupSet"},"SourceDestCheck":{"locationName":"sourceDestCheck","type":"boolean"},"SpotInstanceRequestId":{"locationName":"spotInstanceRequestId"},"SriovNetSupport":{"locationName":"sriovNetSupport"},"StateReason":{"shape":"S11p","locationName":"stateReason"},"Tags":{"shape":"Ss","locationName":"tagSet"},"VirtualizationType":{"locationName":"virtualizationType"},"CpuOptions":{"locationName":"cpuOptions","type":"structure","members":{"CoreCount":{"locationName":"coreCount","type":"integer"},"ThreadsPerCore":{"locationName":"threadsPerCore","type":"integer"}}},"CapacityReservationId":{"locationName":"capacityReservationId"},"CapacityReservationSpecification":{"locationName":"capacityReservationSpecification","type":"structure","members":{"CapacityReservationPreference":{"locationName":"capacityReservationPreference"},"CapacityReservationTarget":{"shape":"Sg8","locationName":"capacityReservationTarget"}}},"HibernationOptions":{"locationName":"hibernationOptions","type":"structure","members":{"Configured":{"locationName":"configured","type":"boolean"}}},"Licenses":{"locationName":"licenseSet","type":"list","member":{"locationName":"item","type":"structure","members":{"LicenseConfigurationArn":{"locationName":"licenseConfigurationArn"}}}},"MetadataOptions":{"shape":"S16x","locationName":"metadataOptions"},"EnclaveOptions":{"shape":"S12h","locationName":"enclaveOptions"},"BootMode":{"locationName":"bootMode"},"PlatformDetails":{"locationName":"platformDetails"},"UsageOperation":{"locationName":"usageOperation"},"UsageOperationUpdateTime":{"locationName":"usageOperationUpdateTime","type":"timestamp"},"PrivateDnsNameOptions":{"locationName":"privateDnsNameOptions","type":"structure","members":{"HostnameType":{"locationName":"hostnameType"},"EnableResourceNameDnsARecord":{"locationName":"enableResourceNameDnsARecord","type":"boolean"},"EnableResourceNameDnsAAAARecord":{"locationName":"enableResourceNameDnsAAAARecord","type":"boolean"}}},"Ipv6Address":{"locationName":"ipv6Address"}}}},"OwnerId":{"locationName":"ownerId"},"RequesterId":{"locationName":"requesterId"},"ReservationId":{"locationName":"reservationId"}}},"S16b":{"type":"structure","members":{"State":{"locationName":"state"}}},"S16k":{"type":"structure","members":{"CarrierIp":{"locationName":"carrierIp"},"CustomerOwnedIp":{"locationName":"customerOwnedIp"},"IpOwnerId":{"locationName":"ipOwnerId"},"PublicDnsName":{"locationName":"publicDnsName"},"PublicIp":{"locationName":"publicIp"}}},"S16x":{"type":"structure","members":{"State":{"locationName":"state"},"HttpTokens":{"locationName":"httpTokens"},"HttpPutResponseHopLimit":{"locationName":"httpPutResponseHopLimit","type":"integer"},"HttpEndpoint":{"locationName":"httpEndpoint"},"HttpProtocolIpv6":{"locationName":"httpProtocolIpv6"}}},"S18q":{"type":"list","member":{"locationName":"item"}},"S19q":{"type":"structure","members":{"NetworkInsightsAccessScopeAnalysisId":{"locationName":"networkInsightsAccessScopeAnalysisId"},"NetworkInsightsAccessScopeAnalysisArn":{"locationName":"networkInsightsAccessScopeAnalysisArn"},"NetworkInsightsAccessScopeId":{"locationName":"networkInsightsAccessScopeId"},"Status":{"locationName":"status"},"StatusMessage":{"locationName":"statusMessage"},"WarningMessage":{"locationName":"warningMessage"},"StartDate":{"locationName":"startDate","type":"timestamp"},"EndDate":{"locationName":"endDate","type":"timestamp"},"FindingsFound":{"locationName":"findingsFound"},"AnalyzedEniCount":{"locationName":"analyzedEniCount","type":"integer"},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"S1a1":{"type":"structure","members":{"NetworkInsightsAnalysisId":{"locationName":"networkInsightsAnalysisId"},"NetworkInsightsAnalysisArn":{"locationName":"networkInsightsAnalysisArn"},"NetworkInsightsPathId":{"locationName":"networkInsightsPathId"},"FilterInArns":{"shape":"S1a2","locationName":"filterInArnSet"},"StartDate":{"locationName":"startDate","type":"timestamp"},"Status":{"locationName":"status"},"StatusMessage":{"locationName":"statusMessage"},"WarningMessage":{"locationName":"warningMessage"},"NetworkPathFound":{"locationName":"networkPathFound","type":"boolean"},"ForwardPathComponents":{"shape":"S1a3","locationName":"forwardPathComponentSet"},"ReturnPathComponents":{"shape":"S1a3","locationName":"returnPathComponentSet"},"Explanations":{"locationName":"explanationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"Acl":{"shape":"S1a6","locationName":"acl"},"AclRule":{"shape":"S1a5","locationName":"aclRule"},"Address":{"locationName":"address"},"Addresses":{"shape":"S1a8","locationName":"addressSet"},"AttachedTo":{"shape":"S1a6","locationName":"attachedTo"},"AvailabilityZones":{"shape":"Se","locationName":"availabilityZoneSet"},"Cidrs":{"shape":"Se","locationName":"cidrSet"},"Component":{"shape":"S1a6","locationName":"component"},"CustomerGateway":{"shape":"S1a6","locationName":"customerGateway"},"Destination":{"shape":"S1a6","locationName":"destination"},"DestinationVpc":{"shape":"S1a6","locationName":"destinationVpc"},"Direction":{"locationName":"direction"},"ExplanationCode":{"locationName":"explanationCode"},"IngressRouteTable":{"shape":"S1a6","locationName":"ingressRouteTable"},"InternetGateway":{"shape":"S1a6","locationName":"internetGateway"},"LoadBalancerArn":{"locationName":"loadBalancerArn"},"ClassicLoadBalancerListener":{"locationName":"classicLoadBalancerListener","type":"structure","members":{"LoadBalancerPort":{"locationName":"loadBalancerPort","type":"integer"},"InstancePort":{"locationName":"instancePort","type":"integer"}}},"LoadBalancerListenerPort":{"locationName":"loadBalancerListenerPort","type":"integer"},"LoadBalancerTarget":{"locationName":"loadBalancerTarget","type":"structure","members":{"Address":{"locationName":"address"},"AvailabilityZone":{"locationName":"availabilityZone"},"Instance":{"shape":"S1a6","locationName":"instance"},"Port":{"locationName":"port","type":"integer"}}},"LoadBalancerTargetGroup":{"shape":"S1a6","locationName":"loadBalancerTargetGroup"},"LoadBalancerTargetGroups":{"shape":"S1ag","locationName":"loadBalancerTargetGroupSet"},"LoadBalancerTargetPort":{"locationName":"loadBalancerTargetPort","type":"integer"},"ElasticLoadBalancerListener":{"shape":"S1a6","locationName":"elasticLoadBalancerListener"},"MissingComponent":{"locationName":"missingComponent"},"NatGateway":{"shape":"S1a6","locationName":"natGateway"},"NetworkInterface":{"shape":"S1a6","locationName":"networkInterface"},"PacketField":{"locationName":"packetField"},"VpcPeeringConnection":{"shape":"S1a6","locationName":"vpcPeeringConnection"},"Port":{"locationName":"port","type":"integer"},"PortRanges":{"shape":"S1a9","locationName":"portRangeSet"},"PrefixList":{"shape":"S1a6","locationName":"prefixList"},"Protocols":{"locationName":"protocolSet","type":"list","member":{"locationName":"item"}},"RouteTableRoute":{"shape":"S1aa","locationName":"routeTableRoute"},"RouteTable":{"shape":"S1a6","locationName":"routeTable"},"SecurityGroup":{"shape":"S1a6","locationName":"securityGroup"},"SecurityGroupRule":{"shape":"S1ab","locationName":"securityGroupRule"},"SecurityGroups":{"shape":"S1ag","locationName":"securityGroupSet"},"SourceVpc":{"shape":"S1a6","locationName":"sourceVpc"},"State":{"locationName":"state"},"Subnet":{"shape":"S1a6","locationName":"subnet"},"SubnetRouteTable":{"shape":"S1a6","locationName":"subnetRouteTable"},"Vpc":{"shape":"S1a6","locationName":"vpc"},"VpcEndpoint":{"shape":"S1a6","locationName":"vpcEndpoint"},"VpnConnection":{"shape":"S1a6","locationName":"vpnConnection"},"VpnGateway":{"shape":"S1a6","locationName":"vpnGateway"}}}},"AlternatePathHints":{"locationName":"alternatePathHintSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ComponentId":{"locationName":"componentId"},"ComponentArn":{"locationName":"componentArn"}}}},"Tags":{"shape":"Ss","locationName":"tagSet"}}},"S1a2":{"type":"list","member":{"locationName":"item"}},"S1a3":{"type":"list","member":{"locationName":"item","type":"structure","members":{"SequenceNumber":{"locationName":"sequenceNumber","type":"integer"},"AclRule":{"shape":"S1a5","locationName":"aclRule"},"AttachedTo":{"shape":"S1a6","locationName":"attachedTo"},"Component":{"shape":"S1a6","locationName":"component"},"DestinationVpc":{"shape":"S1a6","locationName":"destinationVpc"},"OutboundHeader":{"shape":"S1a7","locationName":"outboundHeader"},"InboundHeader":{"shape":"S1a7","locationName":"inboundHeader"},"RouteTableRoute":{"shape":"S1aa","locationName":"routeTableRoute"},"SecurityGroupRule":{"shape":"S1ab","locationName":"securityGroupRule"},"SourceVpc":{"shape":"S1a6","locationName":"sourceVpc"},"Subnet":{"shape":"S1a6","locationName":"subnet"},"Vpc":{"shape":"S1a6","locationName":"vpc"}}}},"S1a5":{"type":"structure","members":{"Cidr":{"locationName":"cidr"},"Egress":{"locationName":"egress","type":"boolean"},"PortRange":{"shape":"Shd","locationName":"portRange"},"Protocol":{"locationName":"protocol"},"RuleAction":{"locationName":"ruleAction"},"RuleNumber":{"locationName":"ruleNumber","type":"integer"}}},"S1a6":{"type":"structure","members":{"Id":{"locationName":"id"},"Arn":{"locationName":"arn"},"Name":{"locationName":"name"}}},"S1a7":{"type":"structure","members":{"DestinationAddresses":{"shape":"S1a8","locationName":"destinationAddressSet"},"DestinationPortRanges":{"shape":"S1a9","locationName":"destinationPortRangeSet"},"Protocol":{"locationName":"protocol"},"SourceAddresses":{"shape":"S1a8","locationName":"sourceAddressSet"},"SourcePortRanges":{"shape":"S1a9","locationName":"sourcePortRangeSet"}}},"S1a8":{"type":"list","member":{"locationName":"item"}},"S1a9":{"type":"list","member":{"shape":"Shd","locationName":"item"}},"S1aa":{"type":"structure","members":{"DestinationCidr":{"locationName":"destinationCidr"},"DestinationPrefixListId":{"locationName":"destinationPrefixListId"},"EgressOnlyInternetGatewayId":{"locationName":"egressOnlyInternetGatewayId"},"GatewayId":{"locationName":"gatewayId"},"InstanceId":{"locationName":"instanceId"},"NatGatewayId":{"locationName":"natGatewayId"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"Origin":{"locationName":"origin"},"TransitGatewayId":{"locationName":"transitGatewayId"},"VpcPeeringConnectionId":{"locationName":"vpcPeeringConnectionId"}}},"S1ab":{"type":"structure","members":{"Cidr":{"locationName":"cidr"},"Direction":{"locationName":"direction"},"SecurityGroupId":{"locationName":"securityGroupId"},"PortRange":{"shape":"Shd","locationName":"portRange"},"PrefixListId":{"locationName":"prefixListId"},"Protocol":{"locationName":"protocol"}}},"S1ag":{"type":"list","member":{"shape":"S1a6","locationName":"item"}},"S1bp":{"type":"structure","members":{"FirstAddress":{"locationName":"firstAddress"},"LastAddress":{"locationName":"lastAddress"},"AddressCount":{"locationName":"addressCount","type":"integer"},"AvailableAddressCount":{"locationName":"availableAddressCount","type":"integer"}}},"S1c2":{"type":"list","member":{"locationName":"ReservedInstancesId"}},"S1ca":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Amount":{"locationName":"amount","type":"double"},"Frequency":{"locationName":"frequency"}}}},"S1co":{"type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"InstanceCount":{"locationName":"instanceCount","type":"integer"},"InstanceType":{"locationName":"instanceType"},"Platform":{"locationName":"platform"},"Scope":{"locationName":"scope"}}},"S1db":{"type":"structure","members":{"Frequency":{"locationName":"frequency"},"Interval":{"locationName":"interval","type":"integer"},"OccurrenceDaySet":{"locationName":"occurrenceDaySet","type":"list","member":{"locationName":"item","type":"integer"}},"OccurrenceRelativeToEnd":{"locationName":"occurrenceRelativeToEnd","type":"boolean"},"OccurrenceUnit":{"locationName":"occurrenceUnit"}}},"S1dj":{"type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"CreateDate":{"locationName":"createDate","type":"timestamp"},"HourlyPrice":{"locationName":"hourlyPrice"},"InstanceCount":{"locationName":"instanceCount","type":"integer"},"InstanceType":{"locationName":"instanceType"},"NetworkPlatform":{"locationName":"networkPlatform"},"NextSlotStartTime":{"locationName":"nextSlotStartTime","type":"timestamp"},"Platform":{"locationName":"platform"},"PreviousSlotEndTime":{"locationName":"previousSlotEndTime","type":"timestamp"},"Recurrence":{"shape":"S1db","locationName":"recurrence"},"ScheduledInstanceId":{"locationName":"scheduledInstanceId"},"SlotDurationInHours":{"locationName":"slotDurationInHours","type":"integer"},"TermEndDate":{"locationName":"termEndDate","type":"timestamp"},"TermStartDate":{"locationName":"termStartDate","type":"timestamp"},"TotalScheduledInstanceHours":{"locationName":"totalScheduledInstanceHours","type":"integer"}}},"S1dq":{"type":"list","member":{"locationName":"item"}},"S1du":{"type":"list","member":{"locationName":"GroupName"}},"S1e2":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Group":{"locationName":"group"},"UserId":{"locationName":"userId"}}}},"S1ec":{"type":"list","member":{"locationName":"SnapshotId"}},"S1ev":{"type":"structure","required":["IamFleetRole","TargetCapacity"],"members":{"AllocationStrategy":{"locationName":"allocationStrategy"},"OnDemandAllocationStrategy":{"locationName":"onDemandAllocationStrategy"},"SpotMaintenanceStrategies":{"locationName":"spotMaintenanceStrategies","type":"structure","members":{"CapacityRebalance":{"locationName":"capacityRebalance","type":"structure","members":{"ReplacementStrategy":{"locationName":"replacementStrategy"},"TerminationDelay":{"locationName":"terminationDelay","type":"integer"}}}}},"ClientToken":{"locationName":"clientToken"},"ExcessCapacityTerminationPolicy":{"locationName":"excessCapacityTerminationPolicy"},"FulfilledCapacity":{"locationName":"fulfilledCapacity","type":"double"},"OnDemandFulfilledCapacity":{"locationName":"onDemandFulfilledCapacity","type":"double"},"IamFleetRole":{"locationName":"iamFleetRole"},"LaunchSpecifications":{"locationName":"launchSpecifications","type":"list","member":{"locationName":"item","type":"structure","members":{"SecurityGroups":{"shape":"Sie","locationName":"groupSet"},"AddressingType":{"locationName":"addressingType"},"BlockDeviceMappings":{"shape":"S11b","locationName":"blockDeviceMapping"},"EbsOptimized":{"locationName":"ebsOptimized","type":"boolean"},"IamInstanceProfile":{"shape":"S36","locationName":"iamInstanceProfile"},"ImageId":{"locationName":"imageId"},"InstanceType":{"locationName":"instanceType"},"KernelId":{"locationName":"kernelId"},"KeyName":{"locationName":"keyName"},"Monitoring":{"locationName":"monitoring","type":"structure","members":{"Enabled":{"locationName":"enabled","type":"boolean"}}},"NetworkInterfaces":{"shape":"S1f5","locationName":"networkInterfaceSet"},"Placement":{"shape":"S1f7","locationName":"placement"},"RamdiskId":{"locationName":"ramdiskId"},"SpotPrice":{"locationName":"spotPrice"},"SubnetId":{"locationName":"subnetId"},"UserData":{"locationName":"userData"},"WeightedCapacity":{"locationName":"weightedCapacity","type":"double"},"TagSpecifications":{"locationName":"tagSpecificationSet","type":"list","member":{"locationName":"item","type":"structure","members":{"ResourceType":{"locationName":"resourceType"},"Tags":{"shape":"Ss","locationName":"tag"}}}},"InstanceRequirements":{"shape":"Sbm","locationName":"instanceRequirements"}}}},"LaunchTemplateConfigs":{"shape":"S1fa","locationName":"launchTemplateConfigs"},"SpotPrice":{"locationName":"spotPrice"},"TargetCapacity":{"locationName":"targetCapacity","type":"integer"},"OnDemandTargetCapacity":{"locationName":"onDemandTargetCapacity","type":"integer"},"OnDemandMaxTotalPrice":{"locationName":"onDemandMaxTotalPrice"},"SpotMaxTotalPrice":{"locationName":"spotMaxTotalPrice"},"TerminateInstancesWithExpiration":{"locationName":"terminateInstancesWithExpiration","type":"boolean"},"Type":{"locationName":"type"},"ValidFrom":{"locationName":"validFrom","type":"timestamp"},"ValidUntil":{"locationName":"validUntil","type":"timestamp"},"ReplaceUnhealthyInstances":{"locationName":"replaceUnhealthyInstances","type":"boolean"},"InstanceInterruptionBehavior":{"locationName":"instanceInterruptionBehavior"},"LoadBalancersConfig":{"locationName":"loadBalancersConfig","type":"structure","members":{"ClassicLoadBalancersConfig":{"locationName":"classicLoadBalancersConfig","type":"structure","members":{"ClassicLoadBalancers":{"locationName":"classicLoadBalancers","type":"list","member":{"locationName":"item","type":"structure","members":{"Name":{"locationName":"name"}}}}}},"TargetGroupsConfig":{"locationName":"targetGroupsConfig","type":"structure","members":{"TargetGroups":{"locationName":"targetGroups","type":"list","member":{"locationName":"item","type":"structure","members":{"Arn":{"locationName":"arn"}}}}}}}},"InstancePoolsToUseCount":{"locationName":"instancePoolsToUseCount","type":"integer"},"Context":{"locationName":"context"},"TargetCapacityUnitType":{"locationName":"targetCapacityUnitType"},"TagSpecifications":{"shape":"S1t","locationName":"TagSpecification"}}},"S1f5":{"type":"list","member":{"locationName":"item","type":"structure","members":{"AssociatePublicIpAddress":{"locationName":"associatePublicIpAddress","type":"boolean"},"DeleteOnTermination":{"locationName":"deleteOnTermination","type":"boolean"},"Description":{"locationName":"description"},"DeviceIndex":{"locationName":"deviceIndex","type":"integer"},"Groups":{"shape":"Se4","locationName":"SecurityGroupId"},"Ipv6AddressCount":{"locationName":"ipv6AddressCount","type":"integer"},"Ipv6Addresses":{"shape":"Sfp","locationName":"ipv6AddressesSet","queryName":"Ipv6Addresses"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"PrivateIpAddress":{"locationName":"privateIpAddress"},"PrivateIpAddresses":{"shape":"Se7","locationName":"privateIpAddressesSet","queryName":"PrivateIpAddresses"},"SecondaryPrivateIpAddressCount":{"locationName":"secondaryPrivateIpAddressCount","type":"integer"},"SubnetId":{"locationName":"subnetId"},"AssociateCarrierIpAddress":{"type":"boolean"},"InterfaceType":{},"NetworkCardIndex":{"type":"integer"},"Ipv4Prefixes":{"shape":"Se9","locationName":"Ipv4Prefix"},"Ipv4PrefixCount":{"type":"integer"},"Ipv6Prefixes":{"shape":"Seb","locationName":"Ipv6Prefix"},"Ipv6PrefixCount":{"type":"integer"}}}},"S1f7":{"type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"GroupName":{"locationName":"groupName"},"Tenancy":{"locationName":"tenancy"}}},"S1fa":{"type":"list","member":{"locationName":"item","type":"structure","members":{"LaunchTemplateSpecification":{"shape":"Sbj","locationName":"launchTemplateSpecification"},"Overrides":{"locationName":"overrides","type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceType":{"locationName":"instanceType"},"SpotPrice":{"locationName":"spotPrice"},"SubnetId":{"locationName":"subnetId"},"AvailabilityZone":{"locationName":"availabilityZone"},"WeightedCapacity":{"locationName":"weightedCapacity","type":"double"},"Priority":{"locationName":"priority","type":"double"},"InstanceRequirements":{"shape":"Sbm","locationName":"instanceRequirements"}}}}}}},"S1fn":{"type":"list","member":{"locationName":"item","type":"structure","members":{"ActualBlockHourlyPrice":{"locationName":"actualBlockHourlyPrice"},"AvailabilityZoneGroup":{"locationName":"availabilityZoneGroup"},"BlockDurationMinutes":{"locationName":"blockDurationMinutes","type":"integer"},"CreateTime":{"locationName":"createTime","type":"timestamp"},"Fault":{"shape":"Sk8","locationName":"fault"},"InstanceId":{"locationName":"instanceId"},"LaunchGroup":{"locationName":"launchGroup"},"LaunchSpecification":{"locationName":"launchSpecification","type":"structure","members":{"UserData":{"locationName":"userData"},"SecurityGroups":{"shape":"Sie","locationName":"groupSet"},"AddressingType":{"locationName":"addressingType"},"BlockDeviceMappings":{"shape":"S11b","locationName":"blockDeviceMapping"},"EbsOptimized":{"locationName":"ebsOptimized","type":"boolean"},"IamInstanceProfile":{"shape":"S36","locationName":"iamInstanceProfile"},"ImageId":{"locationName":"imageId"},"InstanceType":{"locationName":"instanceType"},"KernelId":{"locationName":"kernelId"},"KeyName":{"locationName":"keyName"},"NetworkInterfaces":{"shape":"S1f5","locationName":"networkInterfaceSet"},"Placement":{"shape":"S1f7","locationName":"placement"},"RamdiskId":{"locationName":"ramdiskId"},"SubnetId":{"locationName":"subnetId"},"Monitoring":{"shape":"S1fq","locationName":"monitoring"}}},"LaunchedAvailabilityZone":{"locationName":"launchedAvailabilityZone"},"ProductDescription":{"locationName":"productDescription"},"SpotInstanceRequestId":{"locationName":"spotInstanceRequestId"},"SpotPrice":{"locationName":"spotPrice"},"State":{"locationName":"state"},"Status":{"locationName":"status","type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"},"UpdateTime":{"locationName":"updateTime","type":"timestamp"}}},"Tags":{"shape":"Ss","locationName":"tagSet"},"Type":{"locationName":"type"},"ValidFrom":{"locationName":"validFrom","type":"timestamp"},"ValidUntil":{"locationName":"validUntil","type":"timestamp"},"InstanceInterruptionBehavior":{"locationName":"instanceInterruptionBehavior"}}}},"S1fq":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"locationName":"enabled","type":"boolean"}}},"S1g5":{"type":"list","member":{"locationName":"item","type":"structure","members":{"FromPort":{"locationName":"fromPort","type":"integer"},"IpProtocol":{"locationName":"ipProtocol"},"IpRanges":{"locationName":"ipRanges","type":"list","member":{"locationName":"item"}},"PrefixListIds":{"locationName":"prefixListIds","type":"list","member":{"locationName":"item"}},"ToPort":{"locationName":"toPort","type":"integer"},"UserIdGroupPairs":{"locationName":"groups","type":"list","member":{"shape":"S5h","locationName":"item"}}}}},"S1h3":{"type":"list","member":{}},"S1i7":{"type":"list","member":{"locationName":"VolumeId"}},"S1is":{"type":"structure","members":{"VolumeId":{"locationName":"volumeId"},"ModificationState":{"locationName":"modificationState"},"StatusMessage":{"locationName":"statusMessage"},"TargetSize":{"locationName":"targetSize","type":"integer"},"TargetIops":{"locationName":"targetIops","type":"integer"},"TargetVolumeType":{"locationName":"targetVolumeType"},"TargetThroughput":{"locationName":"targetThroughput","type":"integer"},"TargetMultiAttachEnabled":{"locationName":"targetMultiAttachEnabled","type":"boolean"},"OriginalSize":{"locationName":"originalSize","type":"integer"},"OriginalIops":{"locationName":"originalIops","type":"integer"},"OriginalVolumeType":{"locationName":"originalVolumeType"},"OriginalThroughput":{"locationName":"originalThroughput","type":"integer"},"OriginalMultiAttachEnabled":{"locationName":"originalMultiAttachEnabled","type":"boolean"},"Progress":{"locationName":"progress","type":"long"},"StartTime":{"locationName":"startTime","type":"timestamp"},"EndTime":{"locationName":"endTime","type":"timestamp"}}},"S1iy":{"type":"list","member":{"locationName":"VpcId"}},"S1ko":{"type":"list","member":{"locationName":"AvailabilityZone"}},"S1l5":{"type":"structure","members":{"TransitGatewayAttachmentId":{"locationName":"transitGatewayAttachmentId"},"ResourceId":{"locationName":"resourceId"},"ResourceType":{"locationName":"resourceType"},"TransitGatewayRouteTableId":{"locationName":"transitGatewayRouteTableId"},"State":{"locationName":"state"}}},"S1np":{"type":"structure","members":{"InstanceFamily":{"locationName":"instanceFamily"},"CpuCredits":{"locationName":"cpuCredits"}}},"S1o6":{"type":"list","member":{"locationName":"item"}},"S1o8":{"type":"list","member":{"locationName":"item","type":"structure","members":{"CurrencyCode":{"locationName":"currencyCode"},"Duration":{"locationName":"duration","type":"integer"},"HostIdSet":{"shape":"S10j","locationName":"hostIdSet"},"HostReservationId":{"locationName":"hostReservationId"},"HourlyPrice":{"locationName":"hourlyPrice"},"InstanceFamily":{"locationName":"instanceFamily"},"PaymentOption":{"locationName":"paymentOption"},"UpfrontPrice":{"locationName":"upfrontPrice"}}}},"S1ob":{"type":"list","member":{"locationName":"item"}},"S1oc":{"type":"list","member":{"locationName":"item"}},"S1oz":{"type":"structure","members":{"IpamId":{"locationName":"ipamId"},"IpamScopeId":{"locationName":"ipamScopeId"},"IpamPoolId":{"locationName":"ipamPoolId"},"ResourceRegion":{"locationName":"resourceRegion"},"ResourceOwnerId":{"locationName":"resourceOwnerId"},"ResourceId":{"locationName":"resourceId"},"ResourceName":{"locationName":"resourceName"},"ResourceCidr":{"locationName":"resourceCidr"},"ResourceType":{"locationName":"resourceType"},"ResourceTags":{"shape":"Sdk","locationName":"resourceTagSet"},"IpUsage":{"locationName":"ipUsage","type":"double"},"ComplianceStatus":{"locationName":"complianceStatus"},"ManagementState":{"locationName":"managementState"},"OverlapStatus":{"locationName":"overlapStatus"},"VpcId":{"locationName":"vpcId"}}},"S1pn":{"type":"structure","members":{"HourlyPrice":{"locationName":"hourlyPrice"},"RemainingTotalValue":{"locationName":"remainingTotalValue"},"RemainingUpfrontValue":{"locationName":"remainingUpfrontValue"}}},"S1q7":{"type":"list","member":{"shape":"Skj","locationName":"item"}},"S1r3":{"type":"structure","members":{"Comment":{},"UploadEnd":{"type":"timestamp"},"UploadSize":{"type":"double"},"UploadStart":{"type":"timestamp"}}},"S1r6":{"type":"structure","members":{"S3Bucket":{},"S3Key":{}}},"S1rd":{"type":"structure","required":["Bytes","Format","ImportManifestUrl"],"members":{"Bytes":{"locationName":"bytes","type":"long"},"Format":{"locationName":"format"},"ImportManifestUrl":{"locationName":"importManifestUrl"}}},"S1re":{"type":"structure","required":["Size"],"members":{"Size":{"locationName":"size","type":"long"}}},"S1se":{"type":"list","member":{"locationName":"UserId"}},"S1sf":{"type":"list","member":{"locationName":"UserGroup"}},"S1sg":{"type":"list","member":{"locationName":"ProductCode"}},"S1si":{"type":"list","member":{"locationName":"item","type":"structure","members":{"Group":{},"UserId":{}}}},"S1sn":{"type":"list","member":{"shape":"S17","locationName":"item"}},"S1t0":{"type":"structure","members":{"CapacityReservationPreference":{},"CapacityReservationTarget":{"shape":"Sf0"}}},"S1vh":{"type":"structure","members":{"AllowDnsResolutionFromRemoteVpc":{"type":"boolean"},"AllowEgressFromLocalClassicLinkToRemoteVpc":{"type":"boolean"},"AllowEgressFromLocalVpcToRemoteClassicLink":{"type":"boolean"}}},"S1vj":{"type":"structure","members":{"AllowDnsResolutionFromRemoteVpc":{"locationName":"allowDnsResolutionFromRemoteVpc","type":"boolean"},"AllowEgressFromLocalClassicLinkToRemoteVpc":{"locationName":"allowEgressFromLocalClassicLinkToRemoteVpc","type":"boolean"},"AllowEgressFromLocalVpcToRemoteClassicLink":{"locationName":"allowEgressFromLocalVpcToRemoteClassicLink","type":"boolean"}}},"S1vy":{"type":"list","member":{"locationName":"item","type":"structure","members":{"InstanceId":{"locationName":"instanceId"},"Monitoring":{"shape":"S16b","locationName":"monitoring"}}}},"S1zg":{"type":"list","member":{"locationName":"SecurityGroupId"}},"S204":{"type":"list","member":{"locationName":"item","type":"structure","members":{"CurrentState":{"shape":"S132","locationName":"currentState"},"InstanceId":{"locationName":"instanceId"},"PreviousState":{"shape":"S132","locationName":"previousState"}}}},"S20q":{"type":"list","member":{"locationName":"item","type":"structure","members":{"SecurityGroupRuleId":{},"Description":{}}}}}}');

/***/ }),

/***/ 82477:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeAccountAttributes":{"result_key":"AccountAttributes"},"DescribeAddresses":{"result_key":"Addresses"},"DescribeAddressesAttribute":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Addresses"},"DescribeAvailabilityZones":{"result_key":"AvailabilityZones"},"DescribeBundleTasks":{"result_key":"BundleTasks"},"DescribeByoipCidrs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ByoipCidrs"},"DescribeCapacityReservationFleets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"CapacityReservationFleets"},"DescribeCapacityReservations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"CapacityReservations"},"DescribeCarrierGateways":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"CarrierGateways"},"DescribeClassicLinkInstances":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Instances"},"DescribeClientVpnAuthorizationRules":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AuthorizationRules"},"DescribeClientVpnConnections":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Connections"},"DescribeClientVpnEndpoints":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ClientVpnEndpoints"},"DescribeClientVpnRoutes":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Routes"},"DescribeClientVpnTargetNetworks":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ClientVpnTargetNetworks"},"DescribeCoipPools":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"CoipPools"},"DescribeConversionTasks":{"result_key":"ConversionTasks"},"DescribeCustomerGateways":{"result_key":"CustomerGateways"},"DescribeDhcpOptions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DhcpOptions"},"DescribeEgressOnlyInternetGateways":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"EgressOnlyInternetGateways"},"DescribeExportImageTasks":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ExportImageTasks"},"DescribeExportTasks":{"result_key":"ExportTasks"},"DescribeFastSnapshotRestores":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"FastSnapshotRestores"},"DescribeFleets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Fleets"},"DescribeFlowLogs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"FlowLogs"},"DescribeFpgaImages":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"FpgaImages"},"DescribeHostReservationOfferings":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"OfferingSet"},"DescribeHostReservations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"HostReservationSet"},"DescribeHosts":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Hosts"},"DescribeIamInstanceProfileAssociations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"IamInstanceProfileAssociations"},"DescribeImages":{"result_key":"Images"},"DescribeImportImageTasks":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ImportImageTasks"},"DescribeImportSnapshotTasks":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ImportSnapshotTasks"},"DescribeInstanceCreditSpecifications":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InstanceCreditSpecifications"},"DescribeInstanceEventWindows":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InstanceEventWindows"},"DescribeInstanceStatus":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InstanceStatuses"},"DescribeInstanceTypeOfferings":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InstanceTypeOfferings"},"DescribeInstanceTypes":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InstanceTypes"},"DescribeInstances":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Reservations"},"DescribeInternetGateways":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InternetGateways"},"DescribeIpamPools":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"IpamPools"},"DescribeIpamScopes":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"IpamScopes"},"DescribeIpams":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Ipams"},"DescribeIpv6Pools":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Ipv6Pools"},"DescribeKeyPairs":{"result_key":"KeyPairs"},"DescribeLaunchTemplateVersions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"LaunchTemplateVersions"},"DescribeLaunchTemplates":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"LaunchTemplates"},"DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"LocalGatewayRouteTableVirtualInterfaceGroupAssociations"},"DescribeLocalGatewayRouteTableVpcAssociations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"LocalGatewayRouteTableVpcAssociations"},"DescribeLocalGatewayRouteTables":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"LocalGatewayRouteTables"},"DescribeLocalGatewayVirtualInterfaceGroups":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"LocalGatewayVirtualInterfaceGroups"},"DescribeLocalGatewayVirtualInterfaces":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"LocalGatewayVirtualInterfaces"},"DescribeLocalGateways":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"LocalGateways"},"DescribeManagedPrefixLists":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PrefixLists"},"DescribeMovingAddresses":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"MovingAddressStatuses"},"DescribeNatGateways":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"NatGateways"},"DescribeNetworkAcls":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"NetworkAcls"},"DescribeNetworkInsightsAccessScopeAnalyses":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"NetworkInsightsAccessScopeAnalyses"},"DescribeNetworkInsightsAccessScopes":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"NetworkInsightsAccessScopes"},"DescribeNetworkInsightsAnalyses":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"NetworkInsightsAnalyses"},"DescribeNetworkInsightsPaths":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"NetworkInsightsPaths"},"DescribeNetworkInterfacePermissions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"NetworkInterfacePermissions"},"DescribeNetworkInterfaces":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"NetworkInterfaces"},"DescribePlacementGroups":{"result_key":"PlacementGroups"},"DescribePrefixLists":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PrefixLists"},"DescribePrincipalIdFormat":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Principals"},"DescribePublicIpv4Pools":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PublicIpv4Pools"},"DescribeRegions":{"result_key":"Regions"},"DescribeReplaceRootVolumeTasks":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ReplaceRootVolumeTasks"},"DescribeReservedInstances":{"result_key":"ReservedInstances"},"DescribeReservedInstancesListings":{"result_key":"ReservedInstancesListings"},"DescribeReservedInstancesModifications":{"input_token":"NextToken","output_token":"NextToken","result_key":"ReservedInstancesModifications"},"DescribeReservedInstancesOfferings":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ReservedInstancesOfferings"},"DescribeRouteTables":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"RouteTables"},"DescribeScheduledInstanceAvailability":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ScheduledInstanceAvailabilitySet"},"DescribeScheduledInstances":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ScheduledInstanceSet"},"DescribeSecurityGroupRules":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"SecurityGroupRules"},"DescribeSecurityGroups":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"SecurityGroups"},"DescribeSnapshotTierStatus":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"SnapshotTierStatuses"},"DescribeSnapshots":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Snapshots"},"DescribeSpotFleetRequests":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"SpotFleetRequestConfigs"},"DescribeSpotInstanceRequests":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"SpotInstanceRequests"},"DescribeSpotPriceHistory":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"SpotPriceHistory"},"DescribeStaleSecurityGroups":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"StaleSecurityGroupSet"},"DescribeStoreImageTasks":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"StoreImageTaskResults"},"DescribeSubnets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Subnets"},"DescribeTags":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Tags"},"DescribeTrafficMirrorFilters":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TrafficMirrorFilters"},"DescribeTrafficMirrorSessions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TrafficMirrorSessions"},"DescribeTrafficMirrorTargets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TrafficMirrorTargets"},"DescribeTransitGatewayAttachments":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TransitGatewayAttachments"},"DescribeTransitGatewayConnectPeers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TransitGatewayConnectPeers"},"DescribeTransitGatewayConnects":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TransitGatewayConnects"},"DescribeTransitGatewayMulticastDomains":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TransitGatewayMulticastDomains"},"DescribeTransitGatewayPeeringAttachments":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TransitGatewayPeeringAttachments"},"DescribeTransitGatewayRouteTables":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TransitGatewayRouteTables"},"DescribeTransitGatewayVpcAttachments":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TransitGatewayVpcAttachments"},"DescribeTransitGateways":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TransitGateways"},"DescribeTrunkInterfaceAssociations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InterfaceAssociations"},"DescribeVolumeStatus":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"VolumeStatuses"},"DescribeVolumes":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Volumes"},"DescribeVolumesModifications":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"VolumesModifications"},"DescribeVpcClassicLinkDnsSupport":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Vpcs"},"DescribeVpcEndpointConnectionNotifications":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ConnectionNotificationSet"},"DescribeVpcEndpointConnections":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"VpcEndpointConnections"},"DescribeVpcEndpointServiceConfigurations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ServiceConfigurations"},"DescribeVpcEndpointServicePermissions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AllowedPrincipals"},"DescribeVpcEndpoints":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"VpcEndpoints"},"DescribeVpcPeeringConnections":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"VpcPeeringConnections"},"DescribeVpcs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Vpcs"},"DescribeVpnConnections":{"result_key":"VpnConnections"},"DescribeVpnGateways":{"result_key":"VpnGateways"},"GetAssociatedIpv6PoolCidrs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Ipv6CidrAssociations"},"GetGroupsForCapacityReservation":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"CapacityReservationGroups"},"GetInstanceTypesFromInstanceRequirements":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InstanceTypes"},"GetIpamAddressHistory":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"HistoryRecords"},"GetIpamPoolAllocations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"IpamPoolAllocations"},"GetIpamPoolCidrs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"IpamPoolCidrs"},"GetIpamResourceCidrs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"IpamResourceCidrs"},"GetManagedPrefixListAssociations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PrefixListAssociations"},"GetManagedPrefixListEntries":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Entries"},"GetSpotPlacementScores":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"SpotPlacementScores"},"GetTransitGatewayAttachmentPropagations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TransitGatewayAttachmentPropagations"},"GetTransitGatewayMulticastDomainAssociations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"MulticastDomainAssociations"},"GetTransitGatewayPrefixListReferences":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TransitGatewayPrefixListReferences"},"GetTransitGatewayRouteTableAssociations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Associations"},"GetTransitGatewayRouteTablePropagations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TransitGatewayRouteTablePropagations"},"GetVpnConnectionDeviceTypes":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"VpnConnectionDeviceTypes"},"ListSnapshotsInRecycleBin":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Snapshots"},"SearchLocalGatewayRoutes":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Routes"},"SearchTransitGatewayMulticastGroups":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"MulticastGroups"}}}');

/***/ }),

/***/ 19153:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"InstanceExists":{"delay":5,"maxAttempts":40,"operation":"DescribeInstances","acceptors":[{"matcher":"path","expected":true,"argument":"length(Reservations[]) > `0`","state":"success"},{"matcher":"error","expected":"InvalidInstanceID.NotFound","state":"retry"}]},"BundleTaskComplete":{"delay":15,"operation":"DescribeBundleTasks","maxAttempts":40,"acceptors":[{"expected":"complete","matcher":"pathAll","state":"success","argument":"BundleTasks[].State"},{"expected":"failed","matcher":"pathAny","state":"failure","argument":"BundleTasks[].State"}]},"ConversionTaskCancelled":{"delay":15,"operation":"DescribeConversionTasks","maxAttempts":40,"acceptors":[{"expected":"cancelled","matcher":"pathAll","state":"success","argument":"ConversionTasks[].State"}]},"ConversionTaskCompleted":{"delay":15,"operation":"DescribeConversionTasks","maxAttempts":40,"acceptors":[{"expected":"completed","matcher":"pathAll","state":"success","argument":"ConversionTasks[].State"},{"expected":"cancelled","matcher":"pathAny","state":"failure","argument":"ConversionTasks[].State"},{"expected":"cancelling","matcher":"pathAny","state":"failure","argument":"ConversionTasks[].State"}]},"ConversionTaskDeleted":{"delay":15,"operation":"DescribeConversionTasks","maxAttempts":40,"acceptors":[{"expected":"deleted","matcher":"pathAll","state":"success","argument":"ConversionTasks[].State"}]},"CustomerGatewayAvailable":{"delay":15,"operation":"DescribeCustomerGateways","maxAttempts":40,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"CustomerGateways[].State"},{"expected":"deleted","matcher":"pathAny","state":"failure","argument":"CustomerGateways[].State"},{"expected":"deleting","matcher":"pathAny","state":"failure","argument":"CustomerGateways[].State"}]},"ExportTaskCancelled":{"delay":15,"operation":"DescribeExportTasks","maxAttempts":40,"acceptors":[{"expected":"cancelled","matcher":"pathAll","state":"success","argument":"ExportTasks[].State"}]},"ExportTaskCompleted":{"delay":15,"operation":"DescribeExportTasks","maxAttempts":40,"acceptors":[{"expected":"completed","matcher":"pathAll","state":"success","argument":"ExportTasks[].State"}]},"ImageExists":{"operation":"DescribeImages","maxAttempts":40,"delay":15,"acceptors":[{"matcher":"path","expected":true,"argument":"length(Images[]) > `0`","state":"success"},{"matcher":"error","expected":"InvalidAMIID.NotFound","state":"retry"}]},"ImageAvailable":{"operation":"DescribeImages","maxAttempts":40,"delay":15,"acceptors":[{"state":"success","matcher":"pathAll","argument":"Images[].State","expected":"available"},{"state":"failure","matcher":"pathAny","argument":"Images[].State","expected":"failed"}]},"InstanceRunning":{"delay":15,"operation":"DescribeInstances","maxAttempts":40,"acceptors":[{"expected":"running","matcher":"pathAll","state":"success","argument":"Reservations[].Instances[].State.Name"},{"expected":"shutting-down","matcher":"pathAny","state":"failure","argument":"Reservations[].Instances[].State.Name"},{"expected":"terminated","matcher":"pathAny","state":"failure","argument":"Reservations[].Instances[].State.Name"},{"expected":"stopping","matcher":"pathAny","state":"failure","argument":"Reservations[].Instances[].State.Name"},{"matcher":"error","expected":"InvalidInstanceID.NotFound","state":"retry"}]},"InstanceStatusOk":{"operation":"DescribeInstanceStatus","maxAttempts":40,"delay":15,"acceptors":[{"state":"success","matcher":"pathAll","argument":"InstanceStatuses[].InstanceStatus.Status","expected":"ok"},{"matcher":"error","expected":"InvalidInstanceID.NotFound","state":"retry"}]},"InstanceStopped":{"delay":15,"operation":"DescribeInstances","maxAttempts":40,"acceptors":[{"expected":"stopped","matcher":"pathAll","state":"success","argument":"Reservations[].Instances[].State.Name"},{"expected":"pending","matcher":"pathAny","state":"failure","argument":"Reservations[].Instances[].State.Name"},{"expected":"terminated","matcher":"pathAny","state":"failure","argument":"Reservations[].Instances[].State.Name"}]},"InstanceTerminated":{"delay":15,"operation":"DescribeInstances","maxAttempts":40,"acceptors":[{"expected":"terminated","matcher":"pathAll","state":"success","argument":"Reservations[].Instances[].State.Name"},{"expected":"pending","matcher":"pathAny","state":"failure","argument":"Reservations[].Instances[].State.Name"},{"expected":"stopping","matcher":"pathAny","state":"failure","argument":"Reservations[].Instances[].State.Name"}]},"InternetGatewayExists":{"operation":"DescribeInternetGateways","delay":5,"maxAttempts":6,"acceptors":[{"expected":true,"matcher":"path","state":"success","argument":"length(InternetGateways[].InternetGatewayId) > `0`"},{"expected":"InvalidInternetGateway.NotFound","matcher":"error","state":"retry"}]},"KeyPairExists":{"operation":"DescribeKeyPairs","delay":5,"maxAttempts":6,"acceptors":[{"expected":true,"matcher":"path","state":"success","argument":"length(KeyPairs[].KeyName) > `0`"},{"expected":"InvalidKeyPair.NotFound","matcher":"error","state":"retry"}]},"NatGatewayAvailable":{"operation":"DescribeNatGateways","delay":15,"maxAttempts":40,"acceptors":[{"state":"success","matcher":"pathAll","argument":"NatGateways[].State","expected":"available"},{"state":"failure","matcher":"pathAny","argument":"NatGateways[].State","expected":"failed"},{"state":"failure","matcher":"pathAny","argument":"NatGateways[].State","expected":"deleting"},{"state":"failure","matcher":"pathAny","argument":"NatGateways[].State","expected":"deleted"},{"state":"retry","matcher":"error","expected":"NatGatewayNotFound"}]},"NetworkInterfaceAvailable":{"operation":"DescribeNetworkInterfaces","delay":20,"maxAttempts":10,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"NetworkInterfaces[].Status"},{"expected":"InvalidNetworkInterfaceID.NotFound","matcher":"error","state":"failure"}]},"PasswordDataAvailable":{"operation":"GetPasswordData","maxAttempts":40,"delay":15,"acceptors":[{"state":"success","matcher":"path","argument":"length(PasswordData) > `0`","expected":true}]},"SnapshotCompleted":{"delay":15,"operation":"DescribeSnapshots","maxAttempts":40,"acceptors":[{"expected":"completed","matcher":"pathAll","state":"success","argument":"Snapshots[].State"},{"expected":"error","matcher":"pathAny","state":"failure","argument":"Snapshots[].State"}]},"SecurityGroupExists":{"operation":"DescribeSecurityGroups","delay":5,"maxAttempts":6,"acceptors":[{"expected":true,"matcher":"path","state":"success","argument":"length(SecurityGroups[].GroupId) > `0`"},{"expected":"InvalidGroup.NotFound","matcher":"error","state":"retry"}]},"SpotInstanceRequestFulfilled":{"operation":"DescribeSpotInstanceRequests","maxAttempts":40,"delay":15,"acceptors":[{"state":"success","matcher":"pathAll","argument":"SpotInstanceRequests[].Status.Code","expected":"fulfilled"},{"state":"success","matcher":"pathAll","argument":"SpotInstanceRequests[].Status.Code","expected":"request-canceled-and-instance-running"},{"state":"failure","matcher":"pathAny","argument":"SpotInstanceRequests[].Status.Code","expected":"schedule-expired"},{"state":"failure","matcher":"pathAny","argument":"SpotInstanceRequests[].Status.Code","expected":"canceled-before-fulfillment"},{"state":"failure","matcher":"pathAny","argument":"SpotInstanceRequests[].Status.Code","expected":"bad-parameters"},{"state":"failure","matcher":"pathAny","argument":"SpotInstanceRequests[].Status.Code","expected":"system-error"},{"state":"retry","matcher":"error","expected":"InvalidSpotInstanceRequestID.NotFound"}]},"SubnetAvailable":{"delay":15,"operation":"DescribeSubnets","maxAttempts":40,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"Subnets[].State"}]},"SystemStatusOk":{"operation":"DescribeInstanceStatus","maxAttempts":40,"delay":15,"acceptors":[{"state":"success","matcher":"pathAll","argument":"InstanceStatuses[].SystemStatus.Status","expected":"ok"}]},"VolumeAvailable":{"delay":15,"operation":"DescribeVolumes","maxAttempts":40,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"Volumes[].State"},{"expected":"deleted","matcher":"pathAny","state":"failure","argument":"Volumes[].State"}]},"VolumeDeleted":{"delay":15,"operation":"DescribeVolumes","maxAttempts":40,"acceptors":[{"expected":"deleted","matcher":"pathAll","state":"success","argument":"Volumes[].State"},{"matcher":"error","expected":"InvalidVolume.NotFound","state":"success"}]},"VolumeInUse":{"delay":15,"operation":"DescribeVolumes","maxAttempts":40,"acceptors":[{"expected":"in-use","matcher":"pathAll","state":"success","argument":"Volumes[].State"},{"expected":"deleted","matcher":"pathAny","state":"failure","argument":"Volumes[].State"}]},"VpcAvailable":{"delay":15,"operation":"DescribeVpcs","maxAttempts":40,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"Vpcs[].State"}]},"VpcExists":{"operation":"DescribeVpcs","delay":1,"maxAttempts":5,"acceptors":[{"matcher":"status","expected":200,"state":"success"},{"matcher":"error","expected":"InvalidVpcID.NotFound","state":"retry"}]},"VpnConnectionAvailable":{"delay":15,"operation":"DescribeVpnConnections","maxAttempts":40,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"VpnConnections[].State"},{"expected":"deleting","matcher":"pathAny","state":"failure","argument":"VpnConnections[].State"},{"expected":"deleted","matcher":"pathAny","state":"failure","argument":"VpnConnections[].State"}]},"VpnConnectionDeleted":{"delay":15,"operation":"DescribeVpnConnections","maxAttempts":40,"acceptors":[{"expected":"deleted","matcher":"pathAll","state":"success","argument":"VpnConnections[].State"},{"expected":"pending","matcher":"pathAny","state":"failure","argument":"VpnConnections[].State"}]},"VpcPeeringConnectionExists":{"delay":15,"operation":"DescribeVpcPeeringConnections","maxAttempts":40,"acceptors":[{"matcher":"status","expected":200,"state":"success"},{"matcher":"error","expected":"InvalidVpcPeeringConnectionID.NotFound","state":"retry"}]},"VpcPeeringConnectionDeleted":{"delay":15,"operation":"DescribeVpcPeeringConnections","maxAttempts":40,"acceptors":[{"expected":"deleted","matcher":"pathAll","state":"success","argument":"VpcPeeringConnections[].Status.Code"},{"matcher":"error","expected":"InvalidVpcPeeringConnectionID.NotFound","state":"success"}]}}}');

/***/ }),

/***/ 36007:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-04-02","endpointPrefix":"ec2-instance-connect","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"EC2 Instance Connect","serviceFullName":"AWS EC2 Instance Connect","serviceId":"EC2 Instance Connect","signatureVersion":"v4","targetPrefix":"AWSEC2InstanceConnectService","uid":"ec2-instance-connect-2018-04-02"},"operations":{"SendSSHPublicKey":{"input":{"type":"structure","required":["InstanceId","InstanceOSUser","SSHPublicKey","AvailabilityZone"],"members":{"InstanceId":{},"InstanceOSUser":{},"SSHPublicKey":{},"AvailabilityZone":{}}},"output":{"type":"structure","members":{"RequestId":{},"Success":{"type":"boolean"}}}},"SendSerialConsoleSSHPublicKey":{"input":{"type":"structure","required":["InstanceId","SSHPublicKey"],"members":{"InstanceId":{},"SerialPort":{"type":"integer"},"SSHPublicKey":{}}},"output":{"type":"structure","members":{"RequestId":{},"Success":{"type":"boolean"}}}}},"shapes":{}}');

/***/ }),

/***/ 38333:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 92405:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-09-21","endpointPrefix":"api.ecr","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Amazon ECR","serviceFullName":"Amazon EC2 Container Registry","serviceId":"ECR","signatureVersion":"v4","signingName":"ecr","targetPrefix":"AmazonEC2ContainerRegistry_V20150921","uid":"ecr-2015-09-21"},"operations":{"BatchCheckLayerAvailability":{"input":{"type":"structure","required":["repositoryName","layerDigests"],"members":{"registryId":{},"repositoryName":{},"layerDigests":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"layers":{"type":"list","member":{"type":"structure","members":{"layerDigest":{},"layerAvailability":{},"layerSize":{"type":"long"},"mediaType":{}}}},"failures":{"type":"list","member":{"type":"structure","members":{"layerDigest":{},"failureCode":{},"failureReason":{}}}}}}},"BatchDeleteImage":{"input":{"type":"structure","required":["repositoryName","imageIds"],"members":{"registryId":{},"repositoryName":{},"imageIds":{"shape":"Si"}}},"output":{"type":"structure","members":{"imageIds":{"shape":"Si"},"failures":{"shape":"Sn"}}}},"BatchGetImage":{"input":{"type":"structure","required":["repositoryName","imageIds"],"members":{"registryId":{},"repositoryName":{},"imageIds":{"shape":"Si"},"acceptedMediaTypes":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"images":{"type":"list","member":{"shape":"Sv"}},"failures":{"shape":"Sn"}}}},"BatchGetRepositoryScanningConfiguration":{"input":{"type":"structure","required":["repositoryNames"],"members":{"repositoryNames":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"scanningConfigurations":{"type":"list","member":{"type":"structure","members":{"repositoryArn":{},"repositoryName":{},"scanOnPush":{"type":"boolean"},"scanFrequency":{},"appliedScanFilters":{"shape":"S15"}}}},"failures":{"type":"list","member":{"type":"structure","members":{"repositoryName":{},"failureCode":{},"failureReason":{}}}}}}},"CompleteLayerUpload":{"input":{"type":"structure","required":["repositoryName","uploadId","layerDigests"],"members":{"registryId":{},"repositoryName":{},"uploadId":{},"layerDigests":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"uploadId":{},"layerDigest":{}}}},"CreatePullThroughCacheRule":{"input":{"type":"structure","required":["ecrRepositoryPrefix","upstreamRegistryUrl"],"members":{"ecrRepositoryPrefix":{},"upstreamRegistryUrl":{},"registryId":{}}},"output":{"type":"structure","members":{"ecrRepositoryPrefix":{},"upstreamRegistryUrl":{},"createdAt":{"type":"timestamp"},"registryId":{}}}},"CreateRepository":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{},"tags":{"shape":"S1n"},"imageTagMutability":{},"imageScanningConfiguration":{"shape":"S1s"},"encryptionConfiguration":{"shape":"S1t"}}},"output":{"type":"structure","members":{"repository":{"shape":"S1x"}}}},"DeleteLifecyclePolicy":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"lifecyclePolicyText":{},"lastEvaluatedAt":{"type":"timestamp"}}}},"DeletePullThroughCacheRule":{"input":{"type":"structure","required":["ecrRepositoryPrefix"],"members":{"ecrRepositoryPrefix":{},"registryId":{}}},"output":{"type":"structure","members":{"ecrRepositoryPrefix":{},"upstreamRegistryUrl":{},"createdAt":{"type":"timestamp"},"registryId":{}}}},"DeleteRegistryPolicy":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"registryId":{},"policyText":{}}}},"DeleteRepository":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{},"force":{"type":"boolean"}}},"output":{"type":"structure","members":{"repository":{"shape":"S1x"}}}},"DeleteRepositoryPolicy":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"policyText":{}}}},"DescribeImageReplicationStatus":{"input":{"type":"structure","required":["repositoryName","imageId"],"members":{"repositoryName":{},"imageId":{"shape":"Sj"},"registryId":{}}},"output":{"type":"structure","members":{"repositoryName":{},"imageId":{"shape":"Sj"},"replicationStatuses":{"type":"list","member":{"type":"structure","members":{"region":{},"registryId":{},"status":{},"failureCode":{}}}}}}},"DescribeImageScanFindings":{"input":{"type":"structure","required":["repositoryName","imageId"],"members":{"registryId":{},"repositoryName":{},"imageId":{"shape":"Sj"},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"imageId":{"shape":"Sj"},"imageScanStatus":{"shape":"S2o"},"imageScanFindings":{"type":"structure","members":{"imageScanCompletedAt":{"type":"timestamp"},"vulnerabilitySourceUpdatedAt":{"type":"timestamp"},"findingSeverityCounts":{"shape":"S2u"},"findings":{"type":"list","member":{"type":"structure","members":{"name":{},"description":{},"uri":{},"severity":{},"attributes":{"type":"list","member":{"type":"structure","required":["key"],"members":{"key":{},"value":{}}}}}}},"enhancedFindings":{"type":"list","member":{"type":"structure","members":{"awsAccountId":{},"description":{},"findingArn":{},"firstObservedAt":{"type":"timestamp"},"lastObservedAt":{"type":"timestamp"},"packageVulnerabilityDetails":{"type":"structure","members":{"cvss":{"type":"list","member":{"type":"structure","members":{"baseScore":{"type":"double"},"scoringVector":{},"source":{},"version":{}}}},"referenceUrls":{"type":"list","member":{}},"relatedVulnerabilities":{"type":"list","member":{}},"source":{},"sourceUrl":{},"vendorCreatedAt":{"type":"timestamp"},"vendorSeverity":{},"vendorUpdatedAt":{"type":"timestamp"},"vulnerabilityId":{},"vulnerablePackages":{"type":"list","member":{"type":"structure","members":{"arch":{},"epoch":{"type":"integer"},"filePath":{},"name":{},"packageManager":{},"release":{},"sourceLayerHash":{},"version":{}}}}}},"remediation":{"type":"structure","members":{"recommendation":{"type":"structure","members":{"url":{},"text":{}}}}},"resources":{"type":"list","member":{"type":"structure","members":{"details":{"type":"structure","members":{"awsEcrContainerImage":{"type":"structure","members":{"architecture":{},"author":{},"imageHash":{},"imageTags":{"type":"list","member":{}},"platform":{},"pushedAt":{"type":"timestamp"},"registry":{},"repositoryName":{}}}}},"id":{},"tags":{"type":"map","key":{},"value":{}},"type":{}}}},"score":{"type":"double"},"scoreDetails":{"type":"structure","members":{"cvss":{"type":"structure","members":{"adjustments":{"type":"list","member":{"type":"structure","members":{"metric":{},"reason":{}}}},"score":{"type":"double"},"scoreSource":{},"scoringVector":{},"version":{}}}}},"severity":{},"status":{},"title":{},"type":{},"updatedAt":{"type":"timestamp"}}}}}},"nextToken":{}}}},"DescribeImages":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{},"imageIds":{"shape":"Si"},"nextToken":{},"maxResults":{"type":"integer"},"filter":{"type":"structure","members":{"tagStatus":{}}}}},"output":{"type":"structure","members":{"imageDetails":{"type":"list","member":{"type":"structure","members":{"registryId":{},"repositoryName":{},"imageDigest":{},"imageTags":{"shape":"S4m"},"imageSizeInBytes":{"type":"long"},"imagePushedAt":{"type":"timestamp"},"imageScanStatus":{"shape":"S2o"},"imageScanFindingsSummary":{"type":"structure","members":{"imageScanCompletedAt":{"type":"timestamp"},"vulnerabilitySourceUpdatedAt":{"type":"timestamp"},"findingSeverityCounts":{"shape":"S2u"}}},"imageManifestMediaType":{},"artifactMediaType":{}}}},"nextToken":{}}}},"DescribePullThroughCacheRules":{"input":{"type":"structure","members":{"registryId":{},"ecrRepositoryPrefixes":{"type":"list","member":{}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"pullThroughCacheRules":{"type":"list","member":{"type":"structure","members":{"ecrRepositoryPrefix":{},"upstreamRegistryUrl":{},"createdAt":{"type":"timestamp"},"registryId":{}}}},"nextToken":{}}}},"DescribeRegistry":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"registryId":{},"replicationConfiguration":{"shape":"S4x"}}}},"DescribeRepositories":{"input":{"type":"structure","members":{"registryId":{},"repositoryNames":{"type":"list","member":{}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"repositories":{"type":"list","member":{"shape":"S1x"}},"nextToken":{}}}},"GetAuthorizationToken":{"input":{"type":"structure","members":{"registryIds":{"deprecated":true,"deprecatedMessage":"This field is deprecated. The returned authorization token can be used to access any Amazon ECR registry that the IAM principal has access to, specifying a registry ID doesn\'t change the permissions scope of the authorization token.","type":"list","member":{}}}},"output":{"type":"structure","members":{"authorizationData":{"type":"list","member":{"type":"structure","members":{"authorizationToken":{},"expiresAt":{"type":"timestamp"},"proxyEndpoint":{}}}}}}},"GetDownloadUrlForLayer":{"input":{"type":"structure","required":["repositoryName","layerDigest"],"members":{"registryId":{},"repositoryName":{},"layerDigest":{}}},"output":{"type":"structure","members":{"downloadUrl":{},"layerDigest":{}}}},"GetLifecyclePolicy":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"lifecyclePolicyText":{},"lastEvaluatedAt":{"type":"timestamp"}}}},"GetLifecyclePolicyPreview":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{},"imageIds":{"shape":"Si"},"nextToken":{},"maxResults":{"type":"integer"},"filter":{"type":"structure","members":{"tagStatus":{}}}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"lifecyclePolicyText":{},"status":{},"nextToken":{},"previewResults":{"type":"list","member":{"type":"structure","members":{"imageTags":{"shape":"S4m"},"imageDigest":{},"imagePushedAt":{"type":"timestamp"},"action":{"type":"structure","members":{"type":{}}},"appliedRulePriority":{"type":"integer"}}}},"summary":{"type":"structure","members":{"expiringImageTotalCount":{"type":"integer"}}}}}},"GetRegistryPolicy":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"registryId":{},"policyText":{}}}},"GetRegistryScanningConfiguration":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"registryId":{},"scanningConfiguration":{"shape":"S62"}}}},"GetRepositoryPolicy":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"policyText":{}}}},"InitiateLayerUpload":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{}}},"output":{"type":"structure","members":{"uploadId":{},"partSize":{"type":"long"}}}},"ListImages":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{},"nextToken":{},"maxResults":{"type":"integer"},"filter":{"type":"structure","members":{"tagStatus":{}}}}},"output":{"type":"structure","members":{"imageIds":{"shape":"Si"},"nextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{}}},"output":{"type":"structure","members":{"tags":{"shape":"S1n"}}}},"PutImage":{"input":{"type":"structure","required":["repositoryName","imageManifest"],"members":{"registryId":{},"repositoryName":{},"imageManifest":{},"imageManifestMediaType":{},"imageTag":{},"imageDigest":{}}},"output":{"type":"structure","members":{"image":{"shape":"Sv"}}}},"PutImageScanningConfiguration":{"input":{"type":"structure","required":["repositoryName","imageScanningConfiguration"],"members":{"registryId":{},"repositoryName":{},"imageScanningConfiguration":{"shape":"S1s"}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"imageScanningConfiguration":{"shape":"S1s"}}}},"PutImageTagMutability":{"input":{"type":"structure","required":["repositoryName","imageTagMutability"],"members":{"registryId":{},"repositoryName":{},"imageTagMutability":{}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"imageTagMutability":{}}}},"PutLifecyclePolicy":{"input":{"type":"structure","required":["repositoryName","lifecyclePolicyText"],"members":{"registryId":{},"repositoryName":{},"lifecyclePolicyText":{}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"lifecyclePolicyText":{}}}},"PutRegistryPolicy":{"input":{"type":"structure","required":["policyText"],"members":{"policyText":{}}},"output":{"type":"structure","members":{"registryId":{},"policyText":{}}}},"PutRegistryScanningConfiguration":{"input":{"type":"structure","members":{"scanType":{},"rules":{"shape":"S64"}}},"output":{"type":"structure","members":{"registryScanningConfiguration":{"shape":"S62"}}}},"PutReplicationConfiguration":{"input":{"type":"structure","required":["replicationConfiguration"],"members":{"replicationConfiguration":{"shape":"S4x"}}},"output":{"type":"structure","members":{"replicationConfiguration":{"shape":"S4x"}}}},"SetRepositoryPolicy":{"input":{"type":"structure","required":["repositoryName","policyText"],"members":{"registryId":{},"repositoryName":{},"policyText":{},"force":{"type":"boolean"}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"policyText":{}}}},"StartImageScan":{"input":{"type":"structure","required":["repositoryName","imageId"],"members":{"registryId":{},"repositoryName":{},"imageId":{"shape":"Sj"}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"imageId":{"shape":"Sj"},"imageScanStatus":{"shape":"S2o"}}}},"StartLifecyclePolicyPreview":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{},"lifecyclePolicyText":{}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"lifecyclePolicyText":{},"status":{}}}},"TagResource":{"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"S1n"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UploadLayerPart":{"input":{"type":"structure","required":["repositoryName","uploadId","partFirstByte","partLastByte","layerPartBlob"],"members":{"registryId":{},"repositoryName":{},"uploadId":{},"partFirstByte":{"type":"long"},"partLastByte":{"type":"long"},"layerPartBlob":{"type":"blob"}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"uploadId":{},"lastByteReceived":{"type":"long"}}}}},"shapes":{"Si":{"type":"list","member":{"shape":"Sj"}},"Sj":{"type":"structure","members":{"imageDigest":{},"imageTag":{}}},"Sn":{"type":"list","member":{"type":"structure","members":{"imageId":{"shape":"Sj"},"failureCode":{},"failureReason":{}}}},"Sv":{"type":"structure","members":{"registryId":{},"repositoryName":{},"imageId":{"shape":"Sj"},"imageManifest":{},"imageManifestMediaType":{}}},"S15":{"type":"list","member":{"type":"structure","required":["filter","filterType"],"members":{"filter":{},"filterType":{}}}},"S1n":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"S1s":{"type":"structure","members":{"scanOnPush":{"type":"boolean"}}},"S1t":{"type":"structure","required":["encryptionType"],"members":{"encryptionType":{},"kmsKey":{}}},"S1x":{"type":"structure","members":{"repositoryArn":{},"registryId":{},"repositoryName":{},"repositoryUri":{},"createdAt":{"type":"timestamp"},"imageTagMutability":{},"imageScanningConfiguration":{"shape":"S1s"},"encryptionConfiguration":{"shape":"S1t"}}},"S2o":{"type":"structure","members":{"status":{},"description":{}}},"S2u":{"type":"map","key":{},"value":{"type":"integer"}},"S4m":{"type":"list","member":{}},"S4x":{"type":"structure","required":["rules"],"members":{"rules":{"type":"list","member":{"type":"structure","required":["destinations"],"members":{"destinations":{"type":"list","member":{"type":"structure","required":["region","registryId"],"members":{"region":{},"registryId":{}}}},"repositoryFilters":{"type":"list","member":{"type":"structure","required":["filter","filterType"],"members":{"filter":{},"filterType":{}}}}}}}}},"S62":{"type":"structure","members":{"scanType":{},"rules":{"shape":"S64"}}},"S64":{"type":"list","member":{"type":"structure","required":["scanFrequency","repositoryFilters"],"members":{"scanFrequency":{},"repositoryFilters":{"shape":"S15"}}}}}}');

/***/ }),

/***/ 25504:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeImageScanFindings":{"input_token":"nextToken","limit_key":"maxResults","non_aggregate_keys":["registryId","repositoryName","imageId","imageScanStatus","imageScanFindings"],"output_token":"nextToken","result_key":"imageScanFindings.findings"},"DescribeImages":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"imageDetails"},"DescribePullThroughCacheRules":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"pullThroughCacheRules"},"DescribeRepositories":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"repositories"},"GetLifecyclePolicyPreview":{"input_token":"nextToken","limit_key":"maxResults","non_aggregate_keys":["registryId","repositoryName","lifecyclePolicyText","status","summary"],"output_token":"nextToken","result_key":"previewResults"},"ListImages":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"imageIds"}}}');

/***/ }),

/***/ 78925:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"ImageScanComplete":{"description":"Wait until an image scan is complete and findings can be accessed","operation":"DescribeImageScanFindings","delay":5,"maxAttempts":60,"acceptors":[{"state":"success","matcher":"path","argument":"imageScanStatus.status","expected":"COMPLETE"},{"state":"failure","matcher":"path","argument":"imageScanStatus.status","expected":"FAILED"}]},"LifecyclePolicyPreviewComplete":{"description":"Wait until a lifecycle policy preview request is complete and results can be accessed","operation":"GetLifecyclePolicyPreview","delay":5,"maxAttempts":20,"acceptors":[{"state":"success","matcher":"path","argument":"status","expected":"COMPLETE"},{"state":"failure","matcher":"path","argument":"status","expected":"FAILED"}]}}}');

/***/ }),

/***/ 9668:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-10-30","endpointPrefix":"api.ecr-public","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Amazon ECR Public","serviceFullName":"Amazon Elastic Container Registry Public","serviceId":"ECR PUBLIC","signatureVersion":"v4","signingName":"ecr-public","targetPrefix":"SpencerFrontendService","uid":"ecr-public-2020-10-30"},"operations":{"BatchCheckLayerAvailability":{"input":{"type":"structure","required":["repositoryName","layerDigests"],"members":{"registryId":{},"repositoryName":{},"layerDigests":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"layers":{"type":"list","member":{"type":"structure","members":{"layerDigest":{},"layerAvailability":{},"layerSize":{"type":"long"},"mediaType":{}}}},"failures":{"type":"list","member":{"type":"structure","members":{"layerDigest":{},"failureCode":{},"failureReason":{}}}}}}},"BatchDeleteImage":{"input":{"type":"structure","required":["repositoryName","imageIds"],"members":{"registryId":{},"repositoryName":{},"imageIds":{"shape":"Sj"}}},"output":{"type":"structure","members":{"imageIds":{"shape":"Sj"},"failures":{"type":"list","member":{"type":"structure","members":{"imageId":{"shape":"Sk"},"failureCode":{},"failureReason":{}}}}}}},"CompleteLayerUpload":{"input":{"type":"structure","required":["repositoryName","uploadId","layerDigests"],"members":{"registryId":{},"repositoryName":{},"uploadId":{},"layerDigests":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"uploadId":{},"layerDigest":{}}}},"CreateRepository":{"input":{"type":"structure","required":["repositoryName"],"members":{"repositoryName":{},"catalogData":{"shape":"Sx"},"tags":{"shape":"S16"}}},"output":{"type":"structure","members":{"repository":{"shape":"S1b"},"catalogData":{"shape":"S1f"}}}},"DeleteRepository":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{},"force":{"type":"boolean"}}},"output":{"type":"structure","members":{"repository":{"shape":"S1b"}}}},"DeleteRepositoryPolicy":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"policyText":{}}}},"DescribeImageTags":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"imageTagDetails":{"type":"list","member":{"type":"structure","members":{"imageTag":{},"createdAt":{"type":"timestamp"},"imageDetail":{"type":"structure","members":{"imageDigest":{},"imageSizeInBytes":{"type":"long"},"imagePushedAt":{"type":"timestamp"},"imageManifestMediaType":{},"artifactMediaType":{}}}}}},"nextToken":{}}}},"DescribeImages":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{},"imageIds":{"shape":"Sj"},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"imageDetails":{"type":"list","member":{"type":"structure","members":{"registryId":{},"repositoryName":{},"imageDigest":{},"imageTags":{"type":"list","member":{}},"imageSizeInBytes":{"type":"long"},"imagePushedAt":{"type":"timestamp"},"imageManifestMediaType":{},"artifactMediaType":{}}}},"nextToken":{}}}},"DescribeRegistries":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["registries"],"members":{"registries":{"type":"list","member":{"type":"structure","required":["registryId","registryArn","registryUri","verified","aliases"],"members":{"registryId":{},"registryArn":{},"registryUri":{},"verified":{"type":"boolean"},"aliases":{"type":"list","member":{"type":"structure","required":["name","status","primaryRegistryAlias","defaultRegistryAlias"],"members":{"name":{},"status":{},"primaryRegistryAlias":{"type":"boolean"},"defaultRegistryAlias":{"type":"boolean"}}}}}}},"nextToken":{}}}},"DescribeRepositories":{"input":{"type":"structure","members":{"registryId":{},"repositoryNames":{"type":"list","member":{}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"repositories":{"type":"list","member":{"shape":"S1b"}},"nextToken":{}}}},"GetAuthorizationToken":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"authorizationData":{"type":"structure","members":{"authorizationToken":{},"expiresAt":{"type":"timestamp"}}}}}},"GetRegistryCatalogData":{"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["registryCatalogData"],"members":{"registryCatalogData":{"shape":"S2o"}}}},"GetRepositoryCatalogData":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{}}},"output":{"type":"structure","members":{"catalogData":{"shape":"S1f"}}}},"GetRepositoryPolicy":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"policyText":{}}}},"InitiateLayerUpload":{"input":{"type":"structure","required":["repositoryName"],"members":{"registryId":{},"repositoryName":{}}},"output":{"type":"structure","members":{"uploadId":{},"partSize":{"type":"long"}}}},"ListTagsForResource":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{}}},"output":{"type":"structure","members":{"tags":{"shape":"S16"}}}},"PutImage":{"input":{"type":"structure","required":["repositoryName","imageManifest"],"members":{"registryId":{},"repositoryName":{},"imageManifest":{},"imageManifestMediaType":{},"imageTag":{},"imageDigest":{}}},"output":{"type":"structure","members":{"image":{"type":"structure","members":{"registryId":{},"repositoryName":{},"imageId":{"shape":"Sk"},"imageManifest":{},"imageManifestMediaType":{}}}}}},"PutRegistryCatalogData":{"input":{"type":"structure","members":{"displayName":{}}},"output":{"type":"structure","required":["registryCatalogData"],"members":{"registryCatalogData":{"shape":"S2o"}}}},"PutRepositoryCatalogData":{"input":{"type":"structure","required":["repositoryName","catalogData"],"members":{"registryId":{},"repositoryName":{},"catalogData":{"shape":"Sx"}}},"output":{"type":"structure","members":{"catalogData":{"shape":"S1f"}}}},"SetRepositoryPolicy":{"input":{"type":"structure","required":["repositoryName","policyText"],"members":{"registryId":{},"repositoryName":{},"policyText":{},"force":{"type":"boolean"}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"policyText":{}}}},"TagResource":{"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"S16"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UploadLayerPart":{"input":{"type":"structure","required":["repositoryName","uploadId","partFirstByte","partLastByte","layerPartBlob"],"members":{"registryId":{},"repositoryName":{},"uploadId":{},"partFirstByte":{"type":"long"},"partLastByte":{"type":"long"},"layerPartBlob":{"type":"blob"}}},"output":{"type":"structure","members":{"registryId":{},"repositoryName":{},"uploadId":{},"lastByteReceived":{"type":"long"}}}}},"shapes":{"Sj":{"type":"list","member":{"shape":"Sk"}},"Sk":{"type":"structure","members":{"imageDigest":{},"imageTag":{}}},"Sx":{"type":"structure","members":{"description":{},"architectures":{"shape":"Sz"},"operatingSystems":{"shape":"S11"},"logoImageBlob":{"type":"blob"},"aboutText":{},"usageText":{}}},"Sz":{"type":"list","member":{}},"S11":{"type":"list","member":{}},"S16":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"S1b":{"type":"structure","members":{"repositoryArn":{},"registryId":{},"repositoryName":{},"repositoryUri":{},"createdAt":{"type":"timestamp"}}},"S1f":{"type":"structure","members":{"description":{},"architectures":{"shape":"Sz"},"operatingSystems":{"shape":"S11"},"logoUrl":{},"aboutText":{},"usageText":{},"marketplaceCertified":{"type":"boolean"}}},"S2o":{"type":"structure","members":{"displayName":{}}}}}');

/***/ }),

/***/ 81193:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeImageTags":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"imageTagDetails"},"DescribeImages":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"imageDetails"},"DescribeRegistries":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"registries"},"DescribeRepositories":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"repositories"}}}');

/***/ }),

/***/ 44208:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-11-13","endpointPrefix":"ecs","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Amazon ECS","serviceFullName":"Amazon EC2 Container Service","serviceId":"ECS","signatureVersion":"v4","targetPrefix":"AmazonEC2ContainerServiceV20141113","uid":"ecs-2014-11-13"},"operations":{"CreateCapacityProvider":{"input":{"type":"structure","required":["name","autoScalingGroupProvider"],"members":{"name":{},"autoScalingGroupProvider":{"shape":"S3"},"tags":{"shape":"Sa"}}},"output":{"type":"structure","members":{"capacityProvider":{"shape":"Sf"}}}},"CreateCluster":{"input":{"type":"structure","members":{"clusterName":{},"tags":{"shape":"Sa"},"settings":{"shape":"Sj"},"configuration":{"shape":"Sm"},"capacityProviders":{"shape":"Sr"},"defaultCapacityProviderStrategy":{"shape":"Ss"}}},"output":{"type":"structure","members":{"cluster":{"shape":"Sx"}}}},"CreateService":{"input":{"type":"structure","required":["serviceName"],"members":{"cluster":{},"serviceName":{},"taskDefinition":{},"loadBalancers":{"shape":"S15"},"serviceRegistries":{"shape":"S18"},"desiredCount":{"type":"integer"},"clientToken":{},"launchType":{},"capacityProviderStrategy":{"shape":"Ss"},"platformVersion":{},"role":{},"deploymentConfiguration":{"shape":"S1b"},"placementConstraints":{"shape":"S1d"},"placementStrategy":{"shape":"S1g"},"networkConfiguration":{"shape":"S1j"},"healthCheckGracePeriodSeconds":{"type":"integer"},"schedulingStrategy":{},"deploymentController":{"shape":"S1n"},"tags":{"shape":"Sa"},"enableECSManagedTags":{"type":"boolean"},"propagateTags":{},"enableExecuteCommand":{"type":"boolean"}}},"output":{"type":"structure","members":{"service":{"shape":"S1r"}}}},"CreateTaskSet":{"input":{"type":"structure","required":["service","cluster","taskDefinition"],"members":{"service":{},"cluster":{},"externalId":{},"taskDefinition":{},"networkConfiguration":{"shape":"S1j"},"loadBalancers":{"shape":"S15"},"serviceRegistries":{"shape":"S18"},"launchType":{},"capacityProviderStrategy":{"shape":"Ss"},"platformVersion":{},"scale":{"shape":"S1v"},"clientToken":{},"tags":{"shape":"Sa"}}},"output":{"type":"structure","members":{"taskSet":{"shape":"S1t"}}}},"DeleteAccountSetting":{"input":{"type":"structure","required":["name"],"members":{"name":{},"principalArn":{}}},"output":{"type":"structure","members":{"setting":{"shape":"S29"}}}},"DeleteAttributes":{"input":{"type":"structure","required":["attributes"],"members":{"cluster":{},"attributes":{"shape":"S2b"}}},"output":{"type":"structure","members":{"attributes":{"shape":"S2b"}}}},"DeleteCapacityProvider":{"input":{"type":"structure","required":["capacityProvider"],"members":{"capacityProvider":{}}},"output":{"type":"structure","members":{"capacityProvider":{"shape":"Sf"}}}},"DeleteCluster":{"input":{"type":"structure","required":["cluster"],"members":{"cluster":{}}},"output":{"type":"structure","members":{"cluster":{"shape":"Sx"}}}},"DeleteService":{"input":{"type":"structure","required":["service"],"members":{"cluster":{},"service":{},"force":{"type":"boolean"}}},"output":{"type":"structure","members":{"service":{"shape":"S1r"}}}},"DeleteTaskSet":{"input":{"type":"structure","required":["cluster","service","taskSet"],"members":{"cluster":{},"service":{},"taskSet":{},"force":{"type":"boolean"}}},"output":{"type":"structure","members":{"taskSet":{"shape":"S1t"}}}},"DeregisterContainerInstance":{"input":{"type":"structure","required":["containerInstance"],"members":{"cluster":{},"containerInstance":{},"force":{"type":"boolean"}}},"output":{"type":"structure","members":{"containerInstance":{"shape":"S2q"}}}},"DeregisterTaskDefinition":{"input":{"type":"structure","required":["taskDefinition"],"members":{"taskDefinition":{}}},"output":{"type":"structure","members":{"taskDefinition":{"shape":"S33"}}}},"DescribeCapacityProviders":{"input":{"type":"structure","members":{"capacityProviders":{"shape":"Sr"},"include":{"type":"list","member":{}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"capacityProviders":{"type":"list","member":{"shape":"Sf"}},"failures":{"shape":"S5d"},"nextToken":{}}}},"DescribeClusters":{"input":{"type":"structure","members":{"clusters":{"shape":"Sr"},"include":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"clusters":{"type":"list","member":{"shape":"Sx"}},"failures":{"shape":"S5d"}}}},"DescribeContainerInstances":{"input":{"type":"structure","required":["containerInstances"],"members":{"cluster":{},"containerInstances":{"shape":"Sr"},"include":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"containerInstances":{"shape":"S5o"},"failures":{"shape":"S5d"}}}},"DescribeServices":{"input":{"type":"structure","required":["services"],"members":{"cluster":{},"services":{"shape":"Sr"},"include":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"services":{"type":"list","member":{"shape":"S1r"}},"failures":{"shape":"S5d"}}}},"DescribeTaskDefinition":{"input":{"type":"structure","required":["taskDefinition"],"members":{"taskDefinition":{},"include":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"taskDefinition":{"shape":"S33"},"tags":{"shape":"Sa"}}}},"DescribeTaskSets":{"input":{"type":"structure","required":["cluster","service"],"members":{"cluster":{},"service":{},"taskSets":{"shape":"Sr"},"include":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"taskSets":{"shape":"S1s"},"failures":{"shape":"S5d"}}}},"DescribeTasks":{"input":{"type":"structure","required":["tasks"],"members":{"cluster":{},"tasks":{"shape":"Sr"},"include":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"tasks":{"shape":"S66"},"failures":{"shape":"S5d"}}}},"DiscoverPollEndpoint":{"input":{"type":"structure","members":{"containerInstance":{},"cluster":{}}},"output":{"type":"structure","members":{"endpoint":{},"telemetryEndpoint":{}}}},"ExecuteCommand":{"input":{"type":"structure","required":["command","interactive","task"],"members":{"cluster":{},"container":{},"command":{},"interactive":{"type":"boolean"},"task":{}}},"output":{"type":"structure","members":{"clusterArn":{},"containerArn":{},"containerName":{},"interactive":{"type":"boolean"},"session":{"type":"structure","members":{"sessionId":{},"streamUrl":{},"tokenValue":{"type":"string","sensitive":true}}},"taskArn":{}}}},"ListAccountSettings":{"input":{"type":"structure","members":{"name":{},"value":{},"principalArn":{},"effectiveSettings":{"type":"boolean"},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"settings":{"type":"list","member":{"shape":"S29"}},"nextToken":{}}}},"ListAttributes":{"input":{"type":"structure","required":["targetType"],"members":{"cluster":{},"targetType":{},"attributeName":{},"attributeValue":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"attributes":{"shape":"S2b"},"nextToken":{}}}},"ListClusters":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"clusterArns":{"shape":"Sr"},"nextToken":{}}}},"ListContainerInstances":{"input":{"type":"structure","members":{"cluster":{},"filter":{},"nextToken":{},"maxResults":{"type":"integer"},"status":{}}},"output":{"type":"structure","members":{"containerInstanceArns":{"shape":"Sr"},"nextToken":{}}}},"ListServices":{"input":{"type":"structure","members":{"cluster":{},"nextToken":{},"maxResults":{"type":"integer"},"launchType":{},"schedulingStrategy":{}}},"output":{"type":"structure","members":{"serviceArns":{"shape":"Sr"},"nextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{}}},"output":{"type":"structure","members":{"tags":{"shape":"Sa"}}}},"ListTaskDefinitionFamilies":{"input":{"type":"structure","members":{"familyPrefix":{},"status":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"families":{"shape":"Sr"},"nextToken":{}}}},"ListTaskDefinitions":{"input":{"type":"structure","members":{"familyPrefix":{},"status":{},"sort":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"taskDefinitionArns":{"shape":"Sr"},"nextToken":{}}}},"ListTasks":{"input":{"type":"structure","members":{"cluster":{},"containerInstance":{},"family":{},"nextToken":{},"maxResults":{"type":"integer"},"startedBy":{},"serviceName":{},"desiredStatus":{},"launchType":{}}},"output":{"type":"structure","members":{"taskArns":{"shape":"Sr"},"nextToken":{}}}},"PutAccountSetting":{"input":{"type":"structure","required":["name","value"],"members":{"name":{},"value":{},"principalArn":{}}},"output":{"type":"structure","members":{"setting":{"shape":"S29"}}}},"PutAccountSettingDefault":{"input":{"type":"structure","required":["name","value"],"members":{"name":{},"value":{}}},"output":{"type":"structure","members":{"setting":{"shape":"S29"}}}},"PutAttributes":{"input":{"type":"structure","required":["attributes"],"members":{"cluster":{},"attributes":{"shape":"S2b"}}},"output":{"type":"structure","members":{"attributes":{"shape":"S2b"}}}},"PutClusterCapacityProviders":{"input":{"type":"structure","required":["cluster","capacityProviders","defaultCapacityProviderStrategy"],"members":{"cluster":{},"capacityProviders":{"shape":"Sr"},"defaultCapacityProviderStrategy":{"shape":"Ss"}}},"output":{"type":"structure","members":{"cluster":{"shape":"Sx"}}}},"RegisterContainerInstance":{"input":{"type":"structure","members":{"cluster":{},"instanceIdentityDocument":{},"instanceIdentityDocumentSignature":{},"totalResources":{"shape":"S2t"},"versionInfo":{"shape":"S2s"},"containerInstanceArn":{},"attributes":{"shape":"S2b"},"platformDevices":{"type":"list","member":{"type":"structure","required":["id","type"],"members":{"id":{},"type":{}}}},"tags":{"shape":"Sa"}}},"output":{"type":"structure","members":{"containerInstance":{"shape":"S2q"}}}},"RegisterTaskDefinition":{"input":{"type":"structure","required":["family","containerDefinitions"],"members":{"family":{},"taskRoleArn":{},"executionRoleArn":{},"networkMode":{},"containerDefinitions":{"shape":"S34"},"volumes":{"shape":"S4e"},"placementConstraints":{"shape":"S4s"},"requiresCompatibilities":{"shape":"S4v"},"cpu":{},"memory":{},"tags":{"shape":"Sa"},"pidMode":{},"ipcMode":{},"proxyConfiguration":{"shape":"S54"},"inferenceAccelerators":{"shape":"S50"},"ephemeralStorage":{"shape":"S57"},"runtimePlatform":{"shape":"S4x"}}},"output":{"type":"structure","members":{"taskDefinition":{"shape":"S33"},"tags":{"shape":"Sa"}}}},"RunTask":{"input":{"type":"structure","required":["taskDefinition"],"members":{"capacityProviderStrategy":{"shape":"Ss"},"cluster":{},"count":{"type":"integer"},"enableECSManagedTags":{"type":"boolean"},"enableExecuteCommand":{"type":"boolean"},"group":{},"launchType":{},"networkConfiguration":{"shape":"S1j"},"overrides":{"shape":"S6k"},"placementConstraints":{"shape":"S1d"},"placementStrategy":{"shape":"S1g"},"platformVersion":{},"propagateTags":{},"referenceId":{},"startedBy":{},"tags":{"shape":"Sa"},"taskDefinition":{}}},"output":{"type":"structure","members":{"tasks":{"shape":"S66"},"failures":{"shape":"S5d"}}}},"StartTask":{"input":{"type":"structure","required":["containerInstances","taskDefinition"],"members":{"cluster":{},"containerInstances":{"shape":"Sr"},"enableECSManagedTags":{"type":"boolean"},"enableExecuteCommand":{"type":"boolean"},"group":{},"networkConfiguration":{"shape":"S1j"},"overrides":{"shape":"S6k"},"propagateTags":{},"referenceId":{},"startedBy":{},"tags":{"shape":"Sa"},"taskDefinition":{}}},"output":{"type":"structure","members":{"tasks":{"shape":"S66"},"failures":{"shape":"S5d"}}}},"StopTask":{"input":{"type":"structure","required":["task"],"members":{"cluster":{},"task":{},"reason":{}}},"output":{"type":"structure","members":{"task":{"shape":"S67"}}}},"SubmitAttachmentStateChanges":{"input":{"type":"structure","required":["attachments"],"members":{"cluster":{},"attachments":{"shape":"S85"}}},"output":{"type":"structure","members":{"acknowledgment":{}}}},"SubmitContainerStateChange":{"input":{"type":"structure","members":{"cluster":{},"task":{},"containerName":{},"runtimeId":{},"status":{},"exitCode":{"type":"integer"},"reason":{},"networkBindings":{"shape":"S6b"}}},"output":{"type":"structure","members":{"acknowledgment":{}}}},"SubmitTaskStateChange":{"input":{"type":"structure","members":{"cluster":{},"task":{},"status":{},"reason":{},"containers":{"type":"list","member":{"type":"structure","members":{"containerName":{},"imageDigest":{},"runtimeId":{},"exitCode":{"type":"integer"},"networkBindings":{"shape":"S6b"},"reason":{},"status":{}}}},"attachments":{"shape":"S85"},"managedAgents":{"type":"list","member":{"type":"structure","required":["containerName","managedAgentName","status"],"members":{"containerName":{},"managedAgentName":{},"status":{},"reason":{}}}},"pullStartedAt":{"type":"timestamp"},"pullStoppedAt":{"type":"timestamp"},"executionStoppedAt":{"type":"timestamp"}}},"output":{"type":"structure","members":{"acknowledgment":{}}}},"TagResource":{"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"Sa"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateCapacityProvider":{"input":{"type":"structure","required":["name","autoScalingGroupProvider"],"members":{"name":{},"autoScalingGroupProvider":{"type":"structure","members":{"managedScaling":{"shape":"S4"},"managedTerminationProtection":{}}}}},"output":{"type":"structure","members":{"capacityProvider":{"shape":"Sf"}}}},"UpdateCluster":{"input":{"type":"structure","required":["cluster"],"members":{"cluster":{},"settings":{"shape":"Sj"},"configuration":{"shape":"Sm"}}},"output":{"type":"structure","members":{"cluster":{"shape":"Sx"}}}},"UpdateClusterSettings":{"input":{"type":"structure","required":["cluster","settings"],"members":{"cluster":{},"settings":{"shape":"Sj"}}},"output":{"type":"structure","members":{"cluster":{"shape":"Sx"}}}},"UpdateContainerAgent":{"input":{"type":"structure","required":["containerInstance"],"members":{"cluster":{},"containerInstance":{}}},"output":{"type":"structure","members":{"containerInstance":{"shape":"S2q"}}}},"UpdateContainerInstancesState":{"input":{"type":"structure","required":["containerInstances","status"],"members":{"cluster":{},"containerInstances":{"shape":"Sr"},"status":{}}},"output":{"type":"structure","members":{"containerInstances":{"shape":"S5o"},"failures":{"shape":"S5d"}}}},"UpdateService":{"input":{"type":"structure","required":["service"],"members":{"cluster":{},"service":{},"desiredCount":{"type":"integer"},"taskDefinition":{},"capacityProviderStrategy":{"shape":"Ss"},"deploymentConfiguration":{"shape":"S1b"},"networkConfiguration":{"shape":"S1j"},"placementConstraints":{"shape":"S1d"},"placementStrategy":{"shape":"S1g"},"platformVersion":{},"forceNewDeployment":{"type":"boolean"},"healthCheckGracePeriodSeconds":{"type":"integer"},"enableExecuteCommand":{"type":"boolean"}}},"output":{"type":"structure","members":{"service":{"shape":"S1r"}}}},"UpdateServicePrimaryTaskSet":{"input":{"type":"structure","required":["cluster","service","primaryTaskSet"],"members":{"cluster":{},"service":{},"primaryTaskSet":{}}},"output":{"type":"structure","members":{"taskSet":{"shape":"S1t"}}}},"UpdateTaskSet":{"input":{"type":"structure","required":["cluster","service","taskSet","scale"],"members":{"cluster":{},"service":{},"taskSet":{},"scale":{"shape":"S1v"}}},"output":{"type":"structure","members":{"taskSet":{"shape":"S1t"}}}}},"shapes":{"S3":{"type":"structure","required":["autoScalingGroupArn"],"members":{"autoScalingGroupArn":{},"managedScaling":{"shape":"S4"},"managedTerminationProtection":{}}},"S4":{"type":"structure","members":{"status":{},"targetCapacity":{"type":"integer"},"minimumScalingStepSize":{"type":"integer"},"maximumScalingStepSize":{"type":"integer"},"instanceWarmupPeriod":{"type":"integer"}}},"Sa":{"type":"list","member":{"type":"structure","members":{"key":{},"value":{}}}},"Sf":{"type":"structure","members":{"capacityProviderArn":{},"name":{},"status":{},"autoScalingGroupProvider":{"shape":"S3"},"updateStatus":{},"updateStatusReason":{},"tags":{"shape":"Sa"}}},"Sj":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{}}}},"Sm":{"type":"structure","members":{"executeCommandConfiguration":{"type":"structure","members":{"kmsKeyId":{},"logging":{},"logConfiguration":{"type":"structure","members":{"cloudWatchLogGroupName":{},"cloudWatchEncryptionEnabled":{"type":"boolean"},"s3BucketName":{},"s3EncryptionEnabled":{"type":"boolean"},"s3KeyPrefix":{}}}}}}},"Sr":{"type":"list","member":{}},"Ss":{"type":"list","member":{"type":"structure","required":["capacityProvider"],"members":{"capacityProvider":{},"weight":{"type":"integer"},"base":{"type":"integer"}}}},"Sx":{"type":"structure","members":{"clusterArn":{},"clusterName":{},"configuration":{"shape":"Sm"},"status":{},"registeredContainerInstancesCount":{"type":"integer"},"runningTasksCount":{"type":"integer"},"pendingTasksCount":{"type":"integer"},"activeServicesCount":{"type":"integer"},"statistics":{"type":"list","member":{"shape":"S10"}},"tags":{"shape":"Sa"},"settings":{"shape":"Sj"},"capacityProviders":{"shape":"Sr"},"defaultCapacityProviderStrategy":{"shape":"Ss"},"attachments":{"shape":"S11"},"attachmentsStatus":{}}},"S10":{"type":"structure","members":{"name":{},"value":{}}},"S11":{"type":"list","member":{"type":"structure","members":{"id":{},"type":{},"status":{},"details":{"type":"list","member":{"shape":"S10"}}}}},"S15":{"type":"list","member":{"type":"structure","members":{"targetGroupArn":{},"loadBalancerName":{},"containerName":{},"containerPort":{"type":"integer"}}}},"S18":{"type":"list","member":{"type":"structure","members":{"registryArn":{},"port":{"type":"integer"},"containerName":{},"containerPort":{"type":"integer"}}}},"S1b":{"type":"structure","members":{"deploymentCircuitBreaker":{"type":"structure","required":["enable","rollback"],"members":{"enable":{"type":"boolean"},"rollback":{"type":"boolean"}}},"maximumPercent":{"type":"integer"},"minimumHealthyPercent":{"type":"integer"}}},"S1d":{"type":"list","member":{"type":"structure","members":{"type":{},"expression":{}}}},"S1g":{"type":"list","member":{"type":"structure","members":{"type":{},"field":{}}}},"S1j":{"type":"structure","members":{"awsvpcConfiguration":{"type":"structure","required":["subnets"],"members":{"subnets":{"shape":"Sr"},"securityGroups":{"shape":"Sr"},"assignPublicIp":{}}}}},"S1n":{"type":"structure","required":["type"],"members":{"type":{}}},"S1r":{"type":"structure","members":{"serviceArn":{},"serviceName":{},"clusterArn":{},"loadBalancers":{"shape":"S15"},"serviceRegistries":{"shape":"S18"},"status":{},"desiredCount":{"type":"integer"},"runningCount":{"type":"integer"},"pendingCount":{"type":"integer"},"launchType":{},"capacityProviderStrategy":{"shape":"Ss"},"platformVersion":{},"platformFamily":{},"taskDefinition":{},"deploymentConfiguration":{"shape":"S1b"},"taskSets":{"shape":"S1s"},"deployments":{"type":"list","member":{"type":"structure","members":{"id":{},"status":{},"taskDefinition":{},"desiredCount":{"type":"integer"},"pendingCount":{"type":"integer"},"runningCount":{"type":"integer"},"failedTasks":{"type":"integer"},"createdAt":{"type":"timestamp"},"updatedAt":{"type":"timestamp"},"capacityProviderStrategy":{"shape":"Ss"},"launchType":{},"platformVersion":{},"platformFamily":{},"networkConfiguration":{"shape":"S1j"},"rolloutState":{},"rolloutStateReason":{}}}},"roleArn":{},"events":{"type":"list","member":{"type":"structure","members":{"id":{},"createdAt":{"type":"timestamp"},"message":{}}}},"createdAt":{"type":"timestamp"},"placementConstraints":{"shape":"S1d"},"placementStrategy":{"shape":"S1g"},"networkConfiguration":{"shape":"S1j"},"healthCheckGracePeriodSeconds":{"type":"integer"},"schedulingStrategy":{},"deploymentController":{"shape":"S1n"},"tags":{"shape":"Sa"},"createdBy":{},"enableECSManagedTags":{"type":"boolean"},"propagateTags":{},"enableExecuteCommand":{"type":"boolean"}}},"S1s":{"type":"list","member":{"shape":"S1t"}},"S1t":{"type":"structure","members":{"id":{},"taskSetArn":{},"serviceArn":{},"clusterArn":{},"startedBy":{},"externalId":{},"status":{},"taskDefinition":{},"computedDesiredCount":{"type":"integer"},"pendingCount":{"type":"integer"},"runningCount":{"type":"integer"},"createdAt":{"type":"timestamp"},"updatedAt":{"type":"timestamp"},"launchType":{},"capacityProviderStrategy":{"shape":"Ss"},"platformVersion":{},"platformFamily":{},"networkConfiguration":{"shape":"S1j"},"loadBalancers":{"shape":"S15"},"serviceRegistries":{"shape":"S18"},"scale":{"shape":"S1v"},"stabilityStatus":{},"stabilityStatusAt":{"type":"timestamp"},"tags":{"shape":"Sa"}}},"S1v":{"type":"structure","members":{"value":{"type":"double"},"unit":{}}},"S29":{"type":"structure","members":{"name":{},"value":{},"principalArn":{}}},"S2b":{"type":"list","member":{"shape":"S2c"}},"S2c":{"type":"structure","required":["name"],"members":{"name":{},"value":{},"targetType":{},"targetId":{}}},"S2q":{"type":"structure","members":{"containerInstanceArn":{},"ec2InstanceId":{},"capacityProviderName":{},"version":{"type":"long"},"versionInfo":{"shape":"S2s"},"remainingResources":{"shape":"S2t"},"registeredResources":{"shape":"S2t"},"status":{},"statusReason":{},"agentConnected":{"type":"boolean"},"runningTasksCount":{"type":"integer"},"pendingTasksCount":{"type":"integer"},"agentUpdateStatus":{},"attributes":{"shape":"S2b"},"registeredAt":{"type":"timestamp"},"attachments":{"shape":"S11"},"tags":{"shape":"Sa"},"healthStatus":{"type":"structure","members":{"overallStatus":{},"details":{"type":"list","member":{"type":"structure","members":{"type":{},"status":{},"lastUpdated":{"type":"timestamp"},"lastStatusChange":{"type":"timestamp"}}}}}}}},"S2s":{"type":"structure","members":{"agentVersion":{},"agentHash":{},"dockerVersion":{}}},"S2t":{"type":"list","member":{"type":"structure","members":{"name":{},"type":{},"doubleValue":{"type":"double"},"longValue":{"type":"long"},"integerValue":{"type":"integer"},"stringSetValue":{"shape":"Sr"}}}},"S33":{"type":"structure","members":{"taskDefinitionArn":{},"containerDefinitions":{"shape":"S34"},"family":{},"taskRoleArn":{},"executionRoleArn":{},"networkMode":{},"revision":{"type":"integer"},"volumes":{"shape":"S4e"},"status":{},"requiresAttributes":{"type":"list","member":{"shape":"S2c"}},"placementConstraints":{"shape":"S4s"},"compatibilities":{"shape":"S4v"},"runtimePlatform":{"shape":"S4x"},"requiresCompatibilities":{"shape":"S4v"},"cpu":{},"memory":{},"inferenceAccelerators":{"shape":"S50"},"pidMode":{},"ipcMode":{},"proxyConfiguration":{"shape":"S54"},"registeredAt":{"type":"timestamp"},"deregisteredAt":{"type":"timestamp"},"registeredBy":{},"ephemeralStorage":{"shape":"S57"}}},"S34":{"type":"list","member":{"type":"structure","members":{"name":{},"image":{},"repositoryCredentials":{"type":"structure","required":["credentialsParameter"],"members":{"credentialsParameter":{}}},"cpu":{"type":"integer"},"memory":{"type":"integer"},"memoryReservation":{"type":"integer"},"links":{"shape":"Sr"},"portMappings":{"type":"list","member":{"type":"structure","members":{"containerPort":{"type":"integer"},"hostPort":{"type":"integer"},"protocol":{}}}},"essential":{"type":"boolean"},"entryPoint":{"shape":"Sr"},"command":{"shape":"Sr"},"environment":{"shape":"S3a"},"environmentFiles":{"shape":"S3b"},"mountPoints":{"type":"list","member":{"type":"structure","members":{"sourceVolume":{},"containerPath":{},"readOnly":{"type":"boolean"}}}},"volumesFrom":{"type":"list","member":{"type":"structure","members":{"sourceContainer":{},"readOnly":{"type":"boolean"}}}},"linuxParameters":{"type":"structure","members":{"capabilities":{"type":"structure","members":{"add":{"shape":"Sr"},"drop":{"shape":"Sr"}}},"devices":{"type":"list","member":{"type":"structure","required":["hostPath"],"members":{"hostPath":{},"containerPath":{},"permissions":{"type":"list","member":{}}}}},"initProcessEnabled":{"type":"boolean"},"sharedMemorySize":{"type":"integer"},"tmpfs":{"type":"list","member":{"type":"structure","required":["containerPath","size"],"members":{"containerPath":{},"size":{"type":"integer"},"mountOptions":{"shape":"Sr"}}}},"maxSwap":{"type":"integer"},"swappiness":{"type":"integer"}}},"secrets":{"shape":"S3q"},"dependsOn":{"type":"list","member":{"type":"structure","required":["containerName","condition"],"members":{"containerName":{},"condition":{}}}},"startTimeout":{"type":"integer"},"stopTimeout":{"type":"integer"},"hostname":{},"user":{},"workingDirectory":{},"disableNetworking":{"type":"boolean"},"privileged":{"type":"boolean"},"readonlyRootFilesystem":{"type":"boolean"},"dnsServers":{"shape":"Sr"},"dnsSearchDomains":{"shape":"Sr"},"extraHosts":{"type":"list","member":{"type":"structure","required":["hostname","ipAddress"],"members":{"hostname":{},"ipAddress":{}}}},"dockerSecurityOptions":{"shape":"Sr"},"interactive":{"type":"boolean"},"pseudoTerminal":{"type":"boolean"},"dockerLabels":{"type":"map","key":{},"value":{}},"ulimits":{"type":"list","member":{"type":"structure","required":["name","softLimit","hardLimit"],"members":{"name":{},"softLimit":{"type":"integer"},"hardLimit":{"type":"integer"}}}},"logConfiguration":{"type":"structure","required":["logDriver"],"members":{"logDriver":{},"options":{"type":"map","key":{},"value":{}},"secretOptions":{"shape":"S3q"}}},"healthCheck":{"type":"structure","required":["command"],"members":{"command":{"shape":"Sr"},"interval":{"type":"integer"},"timeout":{"type":"integer"},"retries":{"type":"integer"},"startPeriod":{"type":"integer"}}},"systemControls":{"type":"list","member":{"type":"structure","members":{"namespace":{},"value":{}}}},"resourceRequirements":{"shape":"S47"},"firelensConfiguration":{"type":"structure","required":["type"],"members":{"type":{},"options":{"type":"map","key":{},"value":{}}}}}}},"S3a":{"type":"list","member":{"shape":"S10"}},"S3b":{"type":"list","member":{"type":"structure","required":["value","type"],"members":{"value":{},"type":{}}}},"S3q":{"type":"list","member":{"type":"structure","required":["name","valueFrom"],"members":{"name":{},"valueFrom":{}}}},"S47":{"type":"list","member":{"type":"structure","required":["value","type"],"members":{"value":{},"type":{}}}},"S4e":{"type":"list","member":{"type":"structure","members":{"name":{},"host":{"type":"structure","members":{"sourcePath":{}}},"dockerVolumeConfiguration":{"type":"structure","members":{"scope":{},"autoprovision":{"type":"boolean"},"driver":{},"driverOpts":{"shape":"S4j"},"labels":{"shape":"S4j"}}},"efsVolumeConfiguration":{"type":"structure","required":["fileSystemId"],"members":{"fileSystemId":{},"rootDirectory":{},"transitEncryption":{},"transitEncryptionPort":{"type":"integer"},"authorizationConfig":{"type":"structure","members":{"accessPointId":{},"iam":{}}}}},"fsxWindowsFileServerVolumeConfiguration":{"type":"structure","required":["fileSystemId","rootDirectory","authorizationConfig"],"members":{"fileSystemId":{},"rootDirectory":{},"authorizationConfig":{"type":"structure","required":["credentialsParameter","domain"],"members":{"credentialsParameter":{},"domain":{}}}}}}}},"S4j":{"type":"map","key":{},"value":{}},"S4s":{"type":"list","member":{"type":"structure","members":{"type":{},"expression":{}}}},"S4v":{"type":"list","member":{}},"S4x":{"type":"structure","members":{"cpuArchitecture":{},"operatingSystemFamily":{}}},"S50":{"type":"list","member":{"type":"structure","required":["deviceName","deviceType"],"members":{"deviceName":{},"deviceType":{}}}},"S54":{"type":"structure","required":["containerName"],"members":{"type":{},"containerName":{},"properties":{"type":"list","member":{"shape":"S10"}}}},"S57":{"type":"structure","required":["sizeInGiB"],"members":{"sizeInGiB":{"type":"integer"}}},"S5d":{"type":"list","member":{"type":"structure","members":{"arn":{},"reason":{},"detail":{}}}},"S5o":{"type":"list","member":{"shape":"S2q"}},"S66":{"type":"list","member":{"shape":"S67"}},"S67":{"type":"structure","members":{"attachments":{"shape":"S11"},"attributes":{"shape":"S2b"},"availabilityZone":{},"capacityProviderName":{},"clusterArn":{},"connectivity":{},"connectivityAt":{"type":"timestamp"},"containerInstanceArn":{},"containers":{"type":"list","member":{"type":"structure","members":{"containerArn":{},"taskArn":{},"name":{},"image":{},"imageDigest":{},"runtimeId":{},"lastStatus":{},"exitCode":{"type":"integer"},"reason":{},"networkBindings":{"shape":"S6b"},"networkInterfaces":{"type":"list","member":{"type":"structure","members":{"attachmentId":{},"privateIpv4Address":{},"ipv6Address":{}}}},"healthStatus":{},"managedAgents":{"type":"list","member":{"type":"structure","members":{"lastStartedAt":{"type":"timestamp"},"name":{},"reason":{},"lastStatus":{}}}},"cpu":{},"memory":{},"memoryReservation":{},"gpuIds":{"type":"list","member":{}}}}},"cpu":{},"createdAt":{"type":"timestamp"},"desiredStatus":{},"enableExecuteCommand":{"type":"boolean"},"executionStoppedAt":{"type":"timestamp"},"group":{},"healthStatus":{},"inferenceAccelerators":{"shape":"S50"},"lastStatus":{},"launchType":{},"memory":{},"overrides":{"shape":"S6k"},"platformVersion":{},"platformFamily":{},"pullStartedAt":{"type":"timestamp"},"pullStoppedAt":{"type":"timestamp"},"startedAt":{"type":"timestamp"},"startedBy":{},"stopCode":{},"stoppedAt":{"type":"timestamp"},"stoppedReason":{},"stoppingAt":{"type":"timestamp"},"tags":{"shape":"Sa"},"taskArn":{},"taskDefinitionArn":{},"version":{"type":"long"},"ephemeralStorage":{"shape":"S57"}}},"S6b":{"type":"list","member":{"type":"structure","members":{"bindIP":{},"containerPort":{"type":"integer"},"hostPort":{"type":"integer"},"protocol":{}}}},"S6k":{"type":"structure","members":{"containerOverrides":{"type":"list","member":{"type":"structure","members":{"name":{},"command":{"shape":"Sr"},"environment":{"shape":"S3a"},"environmentFiles":{"shape":"S3b"},"cpu":{"type":"integer"},"memory":{"type":"integer"},"memoryReservation":{"type":"integer"},"resourceRequirements":{"shape":"S47"}}}},"cpu":{},"inferenceAcceleratorOverrides":{"type":"list","member":{"type":"structure","members":{"deviceName":{},"deviceType":{}}}},"executionRoleArn":{},"memory":{},"taskRoleArn":{},"ephemeralStorage":{"shape":"S57"}}},"S85":{"type":"list","member":{"type":"structure","required":["attachmentArn","status"],"members":{"attachmentArn":{},"status":{}}}}}}');

/***/ }),

/***/ 15738:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAccountSettings":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"settings"},"ListAttributes":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"attributes"},"ListClusters":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"clusterArns"},"ListContainerInstances":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"containerInstanceArns"},"ListServices":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"serviceArns"},"ListTaskDefinitionFamilies":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"families"},"ListTaskDefinitions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"taskDefinitionArns"},"ListTasks":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"taskArns"}}}');

/***/ }),

/***/ 1299:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"TasksRunning":{"delay":6,"operation":"DescribeTasks","maxAttempts":100,"acceptors":[{"expected":"STOPPED","matcher":"pathAny","state":"failure","argument":"tasks[].lastStatus"},{"expected":"MISSING","matcher":"pathAny","state":"failure","argument":"failures[].reason"},{"expected":"RUNNING","matcher":"pathAll","state":"success","argument":"tasks[].lastStatus"}]},"TasksStopped":{"delay":6,"operation":"DescribeTasks","maxAttempts":100,"acceptors":[{"expected":"STOPPED","matcher":"pathAll","state":"success","argument":"tasks[].lastStatus"}]},"ServicesStable":{"delay":15,"operation":"DescribeServices","maxAttempts":40,"acceptors":[{"expected":"MISSING","matcher":"pathAny","state":"failure","argument":"failures[].reason"},{"expected":"DRAINING","matcher":"pathAny","state":"failure","argument":"services[].status"},{"expected":"INACTIVE","matcher":"pathAny","state":"failure","argument":"services[].status"},{"expected":true,"matcher":"path","state":"success","argument":"length(services[?!(length(deployments) == `1` && runningCount == desiredCount)]) == `0`"}]},"ServicesInactive":{"delay":15,"operation":"DescribeServices","maxAttempts":40,"acceptors":[{"expected":"MISSING","matcher":"pathAny","state":"failure","argument":"failures[].reason"},{"expected":"INACTIVE","matcher":"pathAny","state":"success","argument":"services[].status"}]}}}');

/***/ }),

/***/ 51370:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-11-01","endpointPrefix":"eks","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Amazon EKS","serviceFullName":"Amazon Elastic Kubernetes Service","serviceId":"EKS","signatureVersion":"v4","signingName":"eks","uid":"eks-2017-11-01"},"operations":{"AssociateEncryptionConfig":{"http":{"requestUri":"/clusters/{name}/encryption-config/associate"},"input":{"type":"structure","required":["clusterName","encryptionConfig"],"members":{"clusterName":{"location":"uri","locationName":"name"},"encryptionConfig":{"shape":"S3"},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"update":{"shape":"S8"}}}},"AssociateIdentityProviderConfig":{"http":{"requestUri":"/clusters/{name}/identity-provider-configs/associate"},"input":{"type":"structure","required":["clusterName","oidc"],"members":{"clusterName":{"location":"uri","locationName":"name"},"oidc":{"type":"structure","required":["identityProviderConfigName","issuerUrl","clientId"],"members":{"identityProviderConfigName":{},"issuerUrl":{},"clientId":{},"usernameClaim":{},"usernamePrefix":{},"groupsClaim":{},"groupsPrefix":{},"requiredClaims":{"shape":"Sk"}}},"tags":{"shape":"Sn"},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"update":{"shape":"S8"},"tags":{"shape":"Sn"}}}},"CreateAddon":{"http":{"requestUri":"/clusters/{name}/addons"},"input":{"type":"structure","required":["clusterName","addonName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"addonName":{},"addonVersion":{},"serviceAccountRoleArn":{},"resolveConflicts":{},"clientRequestToken":{"idempotencyToken":true},"tags":{"shape":"Sn"}}},"output":{"type":"structure","members":{"addon":{"shape":"Sw"}}}},"CreateCluster":{"http":{"requestUri":"/clusters"},"input":{"type":"structure","required":["name","roleArn","resourcesVpcConfig"],"members":{"name":{},"version":{},"roleArn":{},"resourcesVpcConfig":{"shape":"S13"},"kubernetesNetworkConfig":{"type":"structure","members":{"serviceIpv4Cidr":{}}},"logging":{"shape":"S16"},"clientRequestToken":{"idempotencyToken":true},"tags":{"shape":"Sn"},"encryptionConfig":{"shape":"S3"}}},"output":{"type":"structure","members":{"cluster":{"shape":"S1c"}}}},"CreateFargateProfile":{"http":{"requestUri":"/clusters/{name}/fargate-profiles"},"input":{"type":"structure","required":["fargateProfileName","clusterName","podExecutionRoleArn"],"members":{"fargateProfileName":{},"clusterName":{"location":"uri","locationName":"name"},"podExecutionRoleArn":{},"subnets":{"shape":"S5"},"selectors":{"shape":"S1m"},"clientRequestToken":{"idempotencyToken":true},"tags":{"shape":"Sn"}}},"output":{"type":"structure","members":{"fargateProfile":{"shape":"S1q"}}}},"CreateNodegroup":{"http":{"requestUri":"/clusters/{name}/node-groups"},"input":{"type":"structure","required":["clusterName","nodegroupName","subnets","nodeRole"],"members":{"clusterName":{"location":"uri","locationName":"name"},"nodegroupName":{},"scalingConfig":{"shape":"S1t"},"diskSize":{"type":"integer"},"subnets":{"shape":"S5"},"instanceTypes":{"shape":"S5"},"amiType":{},"remoteAccess":{"shape":"S1y"},"nodeRole":{},"labels":{"shape":"S1z"},"taints":{"shape":"S22"},"tags":{"shape":"Sn"},"clientRequestToken":{"idempotencyToken":true},"launchTemplate":{"shape":"S27"},"updateConfig":{"shape":"S28"},"capacityType":{},"version":{},"releaseVersion":{}}},"output":{"type":"structure","members":{"nodegroup":{"shape":"S2d"}}}},"DeleteAddon":{"http":{"method":"DELETE","requestUri":"/clusters/{name}/addons/{addonName}"},"input":{"type":"structure","required":["clusterName","addonName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"addonName":{"location":"uri","locationName":"addonName"},"preserve":{"location":"querystring","locationName":"preserve","type":"boolean"}}},"output":{"type":"structure","members":{"addon":{"shape":"Sw"}}}},"DeleteCluster":{"http":{"method":"DELETE","requestUri":"/clusters/{name}"},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"cluster":{"shape":"S1c"}}}},"DeleteFargateProfile":{"http":{"method":"DELETE","requestUri":"/clusters/{name}/fargate-profiles/{fargateProfileName}"},"input":{"type":"structure","required":["clusterName","fargateProfileName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"fargateProfileName":{"location":"uri","locationName":"fargateProfileName"}}},"output":{"type":"structure","members":{"fargateProfile":{"shape":"S1q"}}}},"DeleteNodegroup":{"http":{"method":"DELETE","requestUri":"/clusters/{name}/node-groups/{nodegroupName}"},"input":{"type":"structure","required":["clusterName","nodegroupName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"nodegroupName":{"location":"uri","locationName":"nodegroupName"}}},"output":{"type":"structure","members":{"nodegroup":{"shape":"S2d"}}}},"DeregisterCluster":{"http":{"method":"DELETE","requestUri":"/cluster-registrations/{name}"},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"cluster":{"shape":"S1c"}}}},"DescribeAddon":{"http":{"method":"GET","requestUri":"/clusters/{name}/addons/{addonName}"},"input":{"type":"structure","required":["clusterName","addonName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"addonName":{"location":"uri","locationName":"addonName"}}},"output":{"type":"structure","members":{"addon":{"shape":"Sw"}}}},"DescribeAddonVersions":{"http":{"method":"GET","requestUri":"/addons/supported-versions"},"input":{"type":"structure","members":{"kubernetesVersion":{"location":"querystring","locationName":"kubernetesVersion"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"addonName":{"location":"querystring","locationName":"addonName"}}},"output":{"type":"structure","members":{"addons":{"type":"list","member":{"type":"structure","members":{"addonName":{},"type":{},"addonVersions":{"type":"list","member":{"type":"structure","members":{"addonVersion":{},"architecture":{"shape":"S5"},"compatibilities":{"type":"list","member":{"type":"structure","members":{"clusterVersion":{},"platformVersions":{"shape":"S5"},"defaultVersion":{"type":"boolean"}}}}}}}}}},"nextToken":{}}}},"DescribeCluster":{"http":{"method":"GET","requestUri":"/clusters/{name}"},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"cluster":{"shape":"S1c"}}}},"DescribeFargateProfile":{"http":{"method":"GET","requestUri":"/clusters/{name}/fargate-profiles/{fargateProfileName}"},"input":{"type":"structure","required":["clusterName","fargateProfileName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"fargateProfileName":{"location":"uri","locationName":"fargateProfileName"}}},"output":{"type":"structure","members":{"fargateProfile":{"shape":"S1q"}}}},"DescribeIdentityProviderConfig":{"http":{"requestUri":"/clusters/{name}/identity-provider-configs/describe"},"input":{"type":"structure","required":["clusterName","identityProviderConfig"],"members":{"clusterName":{"location":"uri","locationName":"name"},"identityProviderConfig":{"shape":"S3c"}}},"output":{"type":"structure","members":{"identityProviderConfig":{"type":"structure","members":{"oidc":{"type":"structure","members":{"identityProviderConfigName":{},"identityProviderConfigArn":{},"clusterName":{},"issuerUrl":{},"clientId":{},"usernameClaim":{},"usernamePrefix":{},"groupsClaim":{},"groupsPrefix":{},"requiredClaims":{"shape":"Sk"},"tags":{"shape":"Sn"},"status":{}}}}}}}},"DescribeNodegroup":{"http":{"method":"GET","requestUri":"/clusters/{name}/node-groups/{nodegroupName}"},"input":{"type":"structure","required":["clusterName","nodegroupName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"nodegroupName":{"location":"uri","locationName":"nodegroupName"}}},"output":{"type":"structure","members":{"nodegroup":{"shape":"S2d"}}}},"DescribeUpdate":{"http":{"method":"GET","requestUri":"/clusters/{name}/updates/{updateId}"},"input":{"type":"structure","required":["name","updateId"],"members":{"name":{"location":"uri","locationName":"name"},"updateId":{"location":"uri","locationName":"updateId"},"nodegroupName":{"location":"querystring","locationName":"nodegroupName"},"addonName":{"location":"querystring","locationName":"addonName"}}},"output":{"type":"structure","members":{"update":{"shape":"S8"}}}},"DisassociateIdentityProviderConfig":{"http":{"requestUri":"/clusters/{name}/identity-provider-configs/disassociate"},"input":{"type":"structure","required":["clusterName","identityProviderConfig"],"members":{"clusterName":{"location":"uri","locationName":"name"},"identityProviderConfig":{"shape":"S3c"},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"update":{"shape":"S8"}}}},"ListAddons":{"http":{"method":"GET","requestUri":"/clusters/{name}/addons"},"input":{"type":"structure","required":["clusterName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"addons":{"shape":"S5"},"nextToken":{}}}},"ListClusters":{"http":{"method":"GET","requestUri":"/clusters"},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"include":{"location":"querystring","locationName":"include","type":"list","member":{}}}},"output":{"type":"structure","members":{"clusters":{"shape":"S5"},"nextToken":{}}}},"ListFargateProfiles":{"http":{"method":"GET","requestUri":"/clusters/{name}/fargate-profiles"},"input":{"type":"structure","required":["clusterName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"fargateProfileNames":{"shape":"S5"},"nextToken":{}}}},"ListIdentityProviderConfigs":{"http":{"method":"GET","requestUri":"/clusters/{name}/identity-provider-configs"},"input":{"type":"structure","required":["clusterName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"identityProviderConfigs":{"type":"list","member":{"shape":"S3c"}},"nextToken":{}}}},"ListNodegroups":{"http":{"method":"GET","requestUri":"/clusters/{name}/node-groups"},"input":{"type":"structure","required":["clusterName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"nodegroups":{"shape":"S5"},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sn"}}}},"ListUpdates":{"http":{"method":"GET","requestUri":"/clusters/{name}/updates"},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"},"nodegroupName":{"location":"querystring","locationName":"nodegroupName"},"addonName":{"location":"querystring","locationName":"addonName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"updateIds":{"shape":"S5"},"nextToken":{}}}},"RegisterCluster":{"http":{"requestUri":"/cluster-registrations"},"input":{"type":"structure","required":["name","connectorConfig"],"members":{"name":{},"connectorConfig":{"type":"structure","required":["roleArn","provider"],"members":{"roleArn":{},"provider":{}}},"clientRequestToken":{"idempotencyToken":true},"tags":{"shape":"Sn"}}},"output":{"type":"structure","members":{"cluster":{"shape":"S1c"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sn"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateAddon":{"http":{"requestUri":"/clusters/{name}/addons/{addonName}/update"},"input":{"type":"structure","required":["clusterName","addonName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"addonName":{"location":"uri","locationName":"addonName"},"addonVersion":{},"serviceAccountRoleArn":{},"resolveConflicts":{},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"update":{"shape":"S8"}}}},"UpdateClusterConfig":{"http":{"requestUri":"/clusters/{name}/update-config"},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"},"resourcesVpcConfig":{"shape":"S13"},"logging":{"shape":"S16"},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"update":{"shape":"S8"}}}},"UpdateClusterVersion":{"http":{"requestUri":"/clusters/{name}/updates"},"input":{"type":"structure","required":["name","version"],"members":{"name":{"location":"uri","locationName":"name"},"version":{},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"update":{"shape":"S8"}}}},"UpdateNodegroupConfig":{"http":{"requestUri":"/clusters/{name}/node-groups/{nodegroupName}/update-config"},"input":{"type":"structure","required":["clusterName","nodegroupName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"nodegroupName":{"location":"uri","locationName":"nodegroupName"},"labels":{"type":"structure","members":{"addOrUpdateLabels":{"shape":"S1z"},"removeLabels":{"type":"list","member":{}}}},"taints":{"type":"structure","members":{"addOrUpdateTaints":{"shape":"S22"},"removeTaints":{"shape":"S22"}}},"scalingConfig":{"shape":"S1t"},"updateConfig":{"shape":"S28"},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"update":{"shape":"S8"}}}},"UpdateNodegroupVersion":{"http":{"requestUri":"/clusters/{name}/node-groups/{nodegroupName}/update-version"},"input":{"type":"structure","required":["clusterName","nodegroupName"],"members":{"clusterName":{"location":"uri","locationName":"name"},"nodegroupName":{"location":"uri","locationName":"nodegroupName"},"version":{},"releaseVersion":{},"launchTemplate":{"shape":"S27"},"force":{"type":"boolean"},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"update":{"shape":"S8"}}}}},"shapes":{"S3":{"type":"list","member":{"type":"structure","members":{"resources":{"shape":"S5"},"provider":{"type":"structure","members":{"keyArn":{}}}}}},"S5":{"type":"list","member":{}},"S8":{"type":"structure","members":{"id":{},"status":{},"type":{},"params":{"type":"list","member":{"type":"structure","members":{"type":{},"value":{}}}},"createdAt":{"type":"timestamp"},"errors":{"type":"list","member":{"type":"structure","members":{"errorCode":{},"errorMessage":{},"resourceIds":{"shape":"S5"}}}}}},"Sk":{"type":"map","key":{},"value":{}},"Sn":{"type":"map","key":{},"value":{}},"Sw":{"type":"structure","members":{"addonName":{},"clusterName":{},"status":{},"addonVersion":{},"health":{"type":"structure","members":{"issues":{"type":"list","member":{"type":"structure","members":{"code":{},"message":{},"resourceIds":{"shape":"S5"}}}}}},"addonArn":{},"createdAt":{"type":"timestamp"},"modifiedAt":{"type":"timestamp"},"serviceAccountRoleArn":{},"tags":{"shape":"Sn"}}},"S13":{"type":"structure","members":{"subnetIds":{"shape":"S5"},"securityGroupIds":{"shape":"S5"},"endpointPublicAccess":{"type":"boolean"},"endpointPrivateAccess":{"type":"boolean"},"publicAccessCidrs":{"shape":"S5"}}},"S16":{"type":"structure","members":{"clusterLogging":{"type":"list","member":{"type":"structure","members":{"types":{"type":"list","member":{}},"enabled":{"type":"boolean"}}}}}},"S1c":{"type":"structure","members":{"name":{},"arn":{},"createdAt":{"type":"timestamp"},"version":{},"endpoint":{},"roleArn":{},"resourcesVpcConfig":{"type":"structure","members":{"subnetIds":{"shape":"S5"},"securityGroupIds":{"shape":"S5"},"clusterSecurityGroupId":{},"vpcId":{},"endpointPublicAccess":{"type":"boolean"},"endpointPrivateAccess":{"type":"boolean"},"publicAccessCidrs":{"shape":"S5"}}},"kubernetesNetworkConfig":{"type":"structure","members":{"serviceIpv4Cidr":{}}},"logging":{"shape":"S16"},"identity":{"type":"structure","members":{"oidc":{"type":"structure","members":{"issuer":{}}}}},"status":{},"certificateAuthority":{"type":"structure","members":{"data":{}}},"clientRequestToken":{},"platformVersion":{},"tags":{"shape":"Sn"},"encryptionConfig":{"shape":"S3"},"connectorConfig":{"type":"structure","members":{"activationId":{},"activationCode":{},"activationExpiry":{"type":"timestamp"},"provider":{},"roleArn":{}}}}},"S1m":{"type":"list","member":{"type":"structure","members":{"namespace":{},"labels":{"type":"map","key":{},"value":{}}}}},"S1q":{"type":"structure","members":{"fargateProfileName":{},"fargateProfileArn":{},"clusterName":{},"createdAt":{"type":"timestamp"},"podExecutionRoleArn":{},"subnets":{"shape":"S5"},"selectors":{"shape":"S1m"},"status":{},"tags":{"shape":"Sn"}}},"S1t":{"type":"structure","members":{"minSize":{"type":"integer"},"maxSize":{"type":"integer"},"desiredSize":{"type":"integer"}}},"S1y":{"type":"structure","members":{"ec2SshKey":{},"sourceSecurityGroups":{"shape":"S5"}}},"S1z":{"type":"map","key":{},"value":{}},"S22":{"type":"list","member":{"type":"structure","members":{"key":{},"value":{},"effect":{}}}},"S27":{"type":"structure","members":{"name":{},"version":{},"id":{}}},"S28":{"type":"structure","members":{"maxUnavailable":{"type":"integer"},"maxUnavailablePercentage":{"type":"integer"}}},"S2d":{"type":"structure","members":{"nodegroupName":{},"nodegroupArn":{},"clusterName":{},"version":{},"releaseVersion":{},"createdAt":{"type":"timestamp"},"modifiedAt":{"type":"timestamp"},"status":{},"capacityType":{},"scalingConfig":{"shape":"S1t"},"instanceTypes":{"shape":"S5"},"subnets":{"shape":"S5"},"remoteAccess":{"shape":"S1y"},"amiType":{},"nodeRole":{},"labels":{"shape":"S1z"},"taints":{"shape":"S22"},"resources":{"type":"structure","members":{"autoScalingGroups":{"type":"list","member":{"type":"structure","members":{"name":{}}}},"remoteAccessSecurityGroup":{}}},"diskSize":{"type":"integer"},"health":{"type":"structure","members":{"issues":{"type":"list","member":{"type":"structure","members":{"code":{},"message":{},"resourceIds":{"shape":"S5"}}}}}},"updateConfig":{"shape":"S28"},"launchTemplate":{"shape":"S27"},"tags":{"shape":"Sn"}}},"S3c":{"type":"structure","required":["type","name"],"members":{"type":{},"name":{}}}}}');

/***/ }),

/***/ 36490:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeAddonVersions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"addons"},"ListAddons":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"addons"},"ListClusters":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"clusters"},"ListFargateProfiles":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"fargateProfileNames"},"ListIdentityProviderConfigs":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"identityProviderConfigs"},"ListNodegroups":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"nodegroups"},"ListUpdates":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"updateIds"}}}');

/***/ }),

/***/ 88058:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"ClusterActive":{"delay":30,"operation":"DescribeCluster","maxAttempts":40,"acceptors":[{"expected":"DELETING","matcher":"path","state":"failure","argument":"cluster.status"},{"expected":"FAILED","matcher":"path","state":"failure","argument":"cluster.status"},{"expected":"ACTIVE","matcher":"path","state":"success","argument":"cluster.status"}]},"ClusterDeleted":{"delay":30,"operation":"DescribeCluster","maxAttempts":40,"acceptors":[{"expected":"ACTIVE","matcher":"path","state":"failure","argument":"cluster.status"},{"expected":"CREATING","matcher":"path","state":"failure","argument":"cluster.status"},{"expected":"PENDING","matcher":"path","state":"failure","argument":"cluster.status"},{"expected":"ResourceNotFoundException","matcher":"error","state":"success"}]},"NodegroupActive":{"delay":30,"operation":"DescribeNodegroup","maxAttempts":80,"acceptors":[{"expected":"CREATE_FAILED","matcher":"path","state":"failure","argument":"nodegroup.status"},{"expected":"ACTIVE","matcher":"path","state":"success","argument":"nodegroup.status"}]},"NodegroupDeleted":{"delay":30,"operation":"DescribeNodegroup","maxAttempts":40,"acceptors":[{"expected":"DELETE_FAILED","matcher":"path","state":"failure","argument":"nodegroup.status"},{"expected":"ResourceNotFoundException","matcher":"error","state":"success"}]},"AddonActive":{"delay":10,"operation":"DescribeAddon","maxAttempts":60,"acceptors":[{"expected":"CREATE_FAILED","matcher":"path","state":"failure","argument":"addon.status"},{"expected":"DEGRADED","matcher":"path","state":"failure","argument":"addon.status"},{"expected":"ACTIVE","matcher":"path","state":"success","argument":"addon.status"}]},"AddonDeleted":{"delay":10,"operation":"DescribeAddon","maxAttempts":60,"acceptors":[{"expected":"DELETE_FAILED","matcher":"path","state":"failure","argument":"addon.status"},{"expected":"ResourceNotFoundException","matcher":"error","state":"success"}]},"FargateProfileActive":{"delay":10,"operation":"DescribeFargateProfile","maxAttempts":60,"acceptors":[{"expected":"CREATE_FAILED","matcher":"path","state":"failure","argument":"fargateProfile.status"},{"expected":"ACTIVE","matcher":"path","state":"success","argument":"fargateProfile.status"}]},"FargateProfileDeleted":{"delay":30,"operation":"DescribeFargateProfile","maxAttempts":60,"acceptors":[{"expected":"DELETE_FAILED","matcher":"path","state":"failure","argument":"fargateProfile.status"},{"expected":"ResourceNotFoundException","matcher":"error","state":"success"}]}}}');

/***/ }),

/***/ 83967:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-07-25","endpointPrefix":"api.elastic-inference","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Amazon Elastic Inference","serviceFullName":"Amazon Elastic  Inference","serviceId":"Elastic Inference","signatureVersion":"v4","signingName":"elastic-inference","uid":"elastic-inference-2017-07-25"},"operations":{"DescribeAcceleratorOfferings":{"http":{"requestUri":"/describe-accelerator-offerings"},"input":{"type":"structure","required":["locationType"],"members":{"locationType":{},"acceleratorTypes":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"acceleratorTypeOfferings":{"type":"list","member":{"type":"structure","members":{"acceleratorType":{},"locationType":{},"location":{}}}}}}},"DescribeAcceleratorTypes":{"http":{"method":"GET","requestUri":"/describe-accelerator-types"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"acceleratorTypes":{"type":"list","member":{"type":"structure","members":{"acceleratorTypeName":{},"memoryInfo":{"type":"structure","members":{"sizeInMiB":{"type":"integer"}}},"throughputInfo":{"type":"list","member":{"type":"structure","members":{"key":{},"value":{"type":"integer"}}}}}}}}}},"DescribeAccelerators":{"http":{"requestUri":"/describe-accelerators"},"input":{"type":"structure","members":{"acceleratorIds":{"type":"list","member":{}},"filters":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"type":"list","member":{}}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"acceleratorSet":{"type":"list","member":{"type":"structure","members":{"acceleratorHealth":{"type":"structure","members":{"status":{}}},"acceleratorType":{},"acceleratorId":{},"availabilityZone":{},"attachedResource":{}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S13"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S13"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"S13":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 64906:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeAccelerators":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"acceleratorSet"}}}');

/***/ }),

/***/ 58426:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-02-02","endpointPrefix":"elasticache","protocol":"query","serviceFullName":"Amazon ElastiCache","serviceId":"ElastiCache","signatureVersion":"v4","uid":"elasticache-2015-02-02","xmlNamespace":"http://elasticache.amazonaws.com/doc/2015-02-02/"},"operations":{"AddTagsToResource":{"input":{"type":"structure","required":["ResourceName","Tags"],"members":{"ResourceName":{},"Tags":{"shape":"S3"}}},"output":{"shape":"S5","resultWrapper":"AddTagsToResourceResult"}},"AuthorizeCacheSecurityGroupIngress":{"input":{"type":"structure","required":["CacheSecurityGroupName","EC2SecurityGroupName","EC2SecurityGroupOwnerId"],"members":{"CacheSecurityGroupName":{},"EC2SecurityGroupName":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"AuthorizeCacheSecurityGroupIngressResult","type":"structure","members":{"CacheSecurityGroup":{"shape":"S8"}}}},"BatchApplyUpdateAction":{"input":{"type":"structure","required":["ServiceUpdateName"],"members":{"ReplicationGroupIds":{"shape":"Sc"},"CacheClusterIds":{"shape":"Sd"},"ServiceUpdateName":{}}},"output":{"shape":"Se","resultWrapper":"BatchApplyUpdateActionResult"}},"BatchStopUpdateAction":{"input":{"type":"structure","required":["ServiceUpdateName"],"members":{"ReplicationGroupIds":{"shape":"Sc"},"CacheClusterIds":{"shape":"Sd"},"ServiceUpdateName":{}}},"output":{"shape":"Se","resultWrapper":"BatchStopUpdateActionResult"}},"CompleteMigration":{"input":{"type":"structure","required":["ReplicationGroupId"],"members":{"ReplicationGroupId":{},"Force":{"type":"boolean"}}},"output":{"resultWrapper":"CompleteMigrationResult","type":"structure","members":{"ReplicationGroup":{"shape":"So"}}}},"CopySnapshot":{"input":{"type":"structure","required":["SourceSnapshotName","TargetSnapshotName"],"members":{"SourceSnapshotName":{},"TargetSnapshotName":{},"TargetBucket":{},"KmsKeyId":{},"Tags":{"shape":"S3"}}},"output":{"resultWrapper":"CopySnapshotResult","type":"structure","members":{"Snapshot":{"shape":"S1q"}}}},"CreateCacheCluster":{"input":{"type":"structure","required":["CacheClusterId"],"members":{"CacheClusterId":{},"ReplicationGroupId":{},"AZMode":{},"PreferredAvailabilityZone":{},"PreferredAvailabilityZones":{"shape":"S1z"},"NumCacheNodes":{"type":"integer"},"CacheNodeType":{},"Engine":{},"EngineVersion":{},"CacheParameterGroupName":{},"CacheSubnetGroupName":{},"CacheSecurityGroupNames":{"shape":"S20"},"SecurityGroupIds":{"shape":"S21"},"Tags":{"shape":"S3"},"SnapshotArns":{"shape":"S22"},"SnapshotName":{},"PreferredMaintenanceWindow":{},"Port":{"type":"integer"},"NotificationTopicArn":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"SnapshotRetentionLimit":{"type":"integer"},"SnapshotWindow":{},"AuthToken":{},"OutpostMode":{},"PreferredOutpostArn":{},"PreferredOutpostArns":{"shape":"S24"},"LogDeliveryConfigurations":{"shape":"S25"}}},"output":{"resultWrapper":"CreateCacheClusterResult","type":"structure","members":{"CacheCluster":{"shape":"S28"}}}},"CreateCacheParameterGroup":{"input":{"type":"structure","required":["CacheParameterGroupName","CacheParameterGroupFamily","Description"],"members":{"CacheParameterGroupName":{},"CacheParameterGroupFamily":{},"Description":{},"Tags":{"shape":"S3"}}},"output":{"resultWrapper":"CreateCacheParameterGroupResult","type":"structure","members":{"CacheParameterGroup":{"shape":"S2l"}}}},"CreateCacheSecurityGroup":{"input":{"type":"structure","required":["CacheSecurityGroupName","Description"],"members":{"CacheSecurityGroupName":{},"Description":{},"Tags":{"shape":"S3"}}},"output":{"resultWrapper":"CreateCacheSecurityGroupResult","type":"structure","members":{"CacheSecurityGroup":{"shape":"S8"}}}},"CreateCacheSubnetGroup":{"input":{"type":"structure","required":["CacheSubnetGroupName","CacheSubnetGroupDescription","SubnetIds"],"members":{"CacheSubnetGroupName":{},"CacheSubnetGroupDescription":{},"SubnetIds":{"shape":"S2p"},"Tags":{"shape":"S3"}}},"output":{"resultWrapper":"CreateCacheSubnetGroupResult","type":"structure","members":{"CacheSubnetGroup":{"shape":"S2r"}}}},"CreateGlobalReplicationGroup":{"input":{"type":"structure","required":["GlobalReplicationGroupIdSuffix","PrimaryReplicationGroupId"],"members":{"GlobalReplicationGroupIdSuffix":{},"GlobalReplicationGroupDescription":{},"PrimaryReplicationGroupId":{}}},"output":{"resultWrapper":"CreateGlobalReplicationGroupResult","type":"structure","members":{"GlobalReplicationGroup":{"shape":"S2y"}}}},"CreateReplicationGroup":{"input":{"type":"structure","required":["ReplicationGroupId","ReplicationGroupDescription"],"members":{"ReplicationGroupId":{},"ReplicationGroupDescription":{},"GlobalReplicationGroupId":{},"PrimaryClusterId":{},"AutomaticFailoverEnabled":{"type":"boolean"},"MultiAZEnabled":{"type":"boolean"},"NumCacheClusters":{"type":"integer"},"PreferredCacheClusterAZs":{"shape":"S1v"},"NumNodeGroups":{"type":"integer"},"ReplicasPerNodeGroup":{"type":"integer"},"NodeGroupConfiguration":{"type":"list","member":{"shape":"S1t","locationName":"NodeGroupConfiguration"}},"CacheNodeType":{},"Engine":{},"EngineVersion":{},"CacheParameterGroupName":{},"CacheSubnetGroupName":{},"CacheSecurityGroupNames":{"shape":"S20"},"SecurityGroupIds":{"shape":"S21"},"Tags":{"shape":"S3"},"SnapshotArns":{"shape":"S22"},"SnapshotName":{},"PreferredMaintenanceWindow":{},"Port":{"type":"integer"},"NotificationTopicArn":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"SnapshotRetentionLimit":{"type":"integer"},"SnapshotWindow":{},"AuthToken":{},"TransitEncryptionEnabled":{"type":"boolean"},"AtRestEncryptionEnabled":{"type":"boolean"},"KmsKeyId":{},"UserGroupIds":{"type":"list","member":{}},"LogDeliveryConfigurations":{"shape":"S25"},"DataTieringEnabled":{"type":"boolean"}}},"output":{"resultWrapper":"CreateReplicationGroupResult","type":"structure","members":{"ReplicationGroup":{"shape":"So"}}}},"CreateSnapshot":{"input":{"type":"structure","required":["SnapshotName"],"members":{"ReplicationGroupId":{},"CacheClusterId":{},"SnapshotName":{},"KmsKeyId":{},"Tags":{"shape":"S3"}}},"output":{"resultWrapper":"CreateSnapshotResult","type":"structure","members":{"Snapshot":{"shape":"S1q"}}}},"CreateUser":{"input":{"type":"structure","required":["UserId","UserName","Engine","AccessString"],"members":{"UserId":{},"UserName":{},"Engine":{},"Passwords":{"shape":"S3d"},"AccessString":{},"NoPasswordRequired":{"type":"boolean"},"Tags":{"shape":"S3"}}},"output":{"shape":"S3f","resultWrapper":"CreateUserResult"}},"CreateUserGroup":{"input":{"type":"structure","required":["UserGroupId","Engine"],"members":{"UserGroupId":{},"Engine":{},"UserIds":{"shape":"S3j"},"Tags":{"shape":"S3"}}},"output":{"shape":"S3k","resultWrapper":"CreateUserGroupResult"}},"DecreaseNodeGroupsInGlobalReplicationGroup":{"input":{"type":"structure","required":["GlobalReplicationGroupId","NodeGroupCount","ApplyImmediately"],"members":{"GlobalReplicationGroupId":{},"NodeGroupCount":{"type":"integer"},"GlobalNodeGroupsToRemove":{"shape":"S3p"},"GlobalNodeGroupsToRetain":{"shape":"S3p"},"ApplyImmediately":{"type":"boolean"}}},"output":{"resultWrapper":"DecreaseNodeGroupsInGlobalReplicationGroupResult","type":"structure","members":{"GlobalReplicationGroup":{"shape":"S2y"}}}},"DecreaseReplicaCount":{"input":{"type":"structure","required":["ReplicationGroupId","ApplyImmediately"],"members":{"ReplicationGroupId":{},"NewReplicaCount":{"type":"integer"},"ReplicaConfiguration":{"shape":"S3s"},"ReplicasToRemove":{"type":"list","member":{}},"ApplyImmediately":{"type":"boolean"}}},"output":{"resultWrapper":"DecreaseReplicaCountResult","type":"structure","members":{"ReplicationGroup":{"shape":"So"}}}},"DeleteCacheCluster":{"input":{"type":"structure","required":["CacheClusterId"],"members":{"CacheClusterId":{},"FinalSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteCacheClusterResult","type":"structure","members":{"CacheCluster":{"shape":"S28"}}}},"DeleteCacheParameterGroup":{"input":{"type":"structure","required":["CacheParameterGroupName"],"members":{"CacheParameterGroupName":{}}}},"DeleteCacheSecurityGroup":{"input":{"type":"structure","required":["CacheSecurityGroupName"],"members":{"CacheSecurityGroupName":{}}}},"DeleteCacheSubnetGroup":{"input":{"type":"structure","required":["CacheSubnetGroupName"],"members":{"CacheSubnetGroupName":{}}}},"DeleteGlobalReplicationGroup":{"input":{"type":"structure","required":["GlobalReplicationGroupId","RetainPrimaryReplicationGroup"],"members":{"GlobalReplicationGroupId":{},"RetainPrimaryReplicationGroup":{"type":"boolean"}}},"output":{"resultWrapper":"DeleteGlobalReplicationGroupResult","type":"structure","members":{"GlobalReplicationGroup":{"shape":"S2y"}}}},"DeleteReplicationGroup":{"input":{"type":"structure","required":["ReplicationGroupId"],"members":{"ReplicationGroupId":{},"RetainPrimaryCluster":{"type":"boolean"},"FinalSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteReplicationGroupResult","type":"structure","members":{"ReplicationGroup":{"shape":"So"}}}},"DeleteSnapshot":{"input":{"type":"structure","required":["SnapshotName"],"members":{"SnapshotName":{}}},"output":{"resultWrapper":"DeleteSnapshotResult","type":"structure","members":{"Snapshot":{"shape":"S1q"}}}},"DeleteUser":{"input":{"type":"structure","required":["UserId"],"members":{"UserId":{}}},"output":{"shape":"S3f","resultWrapper":"DeleteUserResult"}},"DeleteUserGroup":{"input":{"type":"structure","required":["UserGroupId"],"members":{"UserGroupId":{}}},"output":{"shape":"S3k","resultWrapper":"DeleteUserGroupResult"}},"DescribeCacheClusters":{"input":{"type":"structure","members":{"CacheClusterId":{},"MaxRecords":{"type":"integer"},"Marker":{},"ShowCacheNodeInfo":{"type":"boolean"},"ShowCacheClustersNotInReplicationGroups":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeCacheClustersResult","type":"structure","members":{"Marker":{},"CacheClusters":{"type":"list","member":{"shape":"S28","locationName":"CacheCluster"}}}}},"DescribeCacheEngineVersions":{"input":{"type":"structure","members":{"Engine":{},"EngineVersion":{},"CacheParameterGroupFamily":{},"MaxRecords":{"type":"integer"},"Marker":{},"DefaultOnly":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeCacheEngineVersionsResult","type":"structure","members":{"Marker":{},"CacheEngineVersions":{"type":"list","member":{"locationName":"CacheEngineVersion","type":"structure","members":{"Engine":{},"EngineVersion":{},"CacheParameterGroupFamily":{},"CacheEngineDescription":{},"CacheEngineVersionDescription":{}}}}}}},"DescribeCacheParameterGroups":{"input":{"type":"structure","members":{"CacheParameterGroupName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeCacheParameterGroupsResult","type":"structure","members":{"Marker":{},"CacheParameterGroups":{"type":"list","member":{"shape":"S2l","locationName":"CacheParameterGroup"}}}}},"DescribeCacheParameters":{"input":{"type":"structure","required":["CacheParameterGroupName"],"members":{"CacheParameterGroupName":{},"Source":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeCacheParametersResult","type":"structure","members":{"Marker":{},"Parameters":{"shape":"S4l"},"CacheNodeTypeSpecificParameters":{"shape":"S4o"}}}},"DescribeCacheSecurityGroups":{"input":{"type":"structure","members":{"CacheSecurityGroupName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeCacheSecurityGroupsResult","type":"structure","members":{"Marker":{},"CacheSecurityGroups":{"type":"list","member":{"shape":"S8","locationName":"CacheSecurityGroup"}}}}},"DescribeCacheSubnetGroups":{"input":{"type":"structure","members":{"CacheSubnetGroupName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeCacheSubnetGroupsResult","type":"structure","members":{"Marker":{},"CacheSubnetGroups":{"type":"list","member":{"shape":"S2r","locationName":"CacheSubnetGroup"}}}}},"DescribeEngineDefaultParameters":{"input":{"type":"structure","required":["CacheParameterGroupFamily"],"members":{"CacheParameterGroupFamily":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEngineDefaultParametersResult","type":"structure","members":{"EngineDefaults":{"type":"structure","members":{"CacheParameterGroupFamily":{},"Marker":{},"Parameters":{"shape":"S4l"},"CacheNodeTypeSpecificParameters":{"shape":"S4o"}},"wrapper":true}}}},"DescribeEvents":{"input":{"type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Duration":{"type":"integer"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventsResult","type":"structure","members":{"Marker":{},"Events":{"type":"list","member":{"locationName":"Event","type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"Message":{},"Date":{"type":"timestamp"}}}}}}},"DescribeGlobalReplicationGroups":{"input":{"type":"structure","members":{"GlobalReplicationGroupId":{},"MaxRecords":{"type":"integer"},"Marker":{},"ShowMemberInfo":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeGlobalReplicationGroupsResult","type":"structure","members":{"Marker":{},"GlobalReplicationGroups":{"type":"list","member":{"shape":"S2y","locationName":"GlobalReplicationGroup"}}}}},"DescribeReplicationGroups":{"input":{"type":"structure","members":{"ReplicationGroupId":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReplicationGroupsResult","type":"structure","members":{"Marker":{},"ReplicationGroups":{"type":"list","member":{"shape":"So","locationName":"ReplicationGroup"}}}}},"DescribeReservedCacheNodes":{"input":{"type":"structure","members":{"ReservedCacheNodeId":{},"ReservedCacheNodesOfferingId":{},"CacheNodeType":{},"Duration":{},"ProductDescription":{},"OfferingType":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedCacheNodesResult","type":"structure","members":{"Marker":{},"ReservedCacheNodes":{"type":"list","member":{"shape":"S5f","locationName":"ReservedCacheNode"}}}}},"DescribeReservedCacheNodesOfferings":{"input":{"type":"structure","members":{"ReservedCacheNodesOfferingId":{},"CacheNodeType":{},"Duration":{},"ProductDescription":{},"OfferingType":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedCacheNodesOfferingsResult","type":"structure","members":{"Marker":{},"ReservedCacheNodesOfferings":{"type":"list","member":{"locationName":"ReservedCacheNodesOffering","type":"structure","members":{"ReservedCacheNodesOfferingId":{},"CacheNodeType":{},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"ProductDescription":{},"OfferingType":{},"RecurringCharges":{"shape":"S5g"}},"wrapper":true}}}}},"DescribeServiceUpdates":{"input":{"type":"structure","members":{"ServiceUpdateName":{},"ServiceUpdateStatus":{"shape":"S5n"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeServiceUpdatesResult","type":"structure","members":{"Marker":{},"ServiceUpdates":{"type":"list","member":{"locationName":"ServiceUpdate","type":"structure","members":{"ServiceUpdateName":{},"ServiceUpdateReleaseDate":{"type":"timestamp"},"ServiceUpdateEndDate":{"type":"timestamp"},"ServiceUpdateSeverity":{},"ServiceUpdateRecommendedApplyByDate":{"type":"timestamp"},"ServiceUpdateStatus":{},"ServiceUpdateDescription":{},"ServiceUpdateType":{},"Engine":{},"EngineVersion":{},"AutoUpdateAfterRecommendedApplyByDate":{"type":"boolean"},"EstimatedUpdateTime":{}}}}}}},"DescribeSnapshots":{"input":{"type":"structure","members":{"ReplicationGroupId":{},"CacheClusterId":{},"SnapshotName":{},"SnapshotSource":{},"Marker":{},"MaxRecords":{"type":"integer"},"ShowNodeGroupConfig":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeSnapshotsResult","type":"structure","members":{"Marker":{},"Snapshots":{"type":"list","member":{"shape":"S1q","locationName":"Snapshot"}}}}},"DescribeUpdateActions":{"input":{"type":"structure","members":{"ServiceUpdateName":{},"ReplicationGroupIds":{"shape":"Sc"},"CacheClusterIds":{"shape":"Sd"},"Engine":{},"ServiceUpdateStatus":{"shape":"S5n"},"ServiceUpdateTimeRange":{"type":"structure","members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"UpdateActionStatus":{"type":"list","member":{}},"ShowNodeLevelUpdateStatus":{"type":"boolean"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeUpdateActionsResult","type":"structure","members":{"Marker":{},"UpdateActions":{"type":"list","member":{"locationName":"UpdateAction","type":"structure","members":{"ReplicationGroupId":{},"CacheClusterId":{},"ServiceUpdateName":{},"ServiceUpdateReleaseDate":{"type":"timestamp"},"ServiceUpdateSeverity":{},"ServiceUpdateStatus":{},"ServiceUpdateRecommendedApplyByDate":{"type":"timestamp"},"ServiceUpdateType":{},"UpdateActionAvailableDate":{"type":"timestamp"},"UpdateActionStatus":{},"NodesUpdated":{},"UpdateActionStatusModifiedDate":{"type":"timestamp"},"SlaMet":{},"NodeGroupUpdateStatus":{"type":"list","member":{"locationName":"NodeGroupUpdateStatus","type":"structure","members":{"NodeGroupId":{},"NodeGroupMemberUpdateStatus":{"type":"list","member":{"locationName":"NodeGroupMemberUpdateStatus","type":"structure","members":{"CacheClusterId":{},"CacheNodeId":{},"NodeUpdateStatus":{},"NodeDeletionDate":{"type":"timestamp"},"NodeUpdateStartDate":{"type":"timestamp"},"NodeUpdateEndDate":{"type":"timestamp"},"NodeUpdateInitiatedBy":{},"NodeUpdateInitiatedDate":{"type":"timestamp"},"NodeUpdateStatusModifiedDate":{"type":"timestamp"}}}}}}},"CacheNodeUpdateStatus":{"type":"list","member":{"locationName":"CacheNodeUpdateStatus","type":"structure","members":{"CacheNodeId":{},"NodeUpdateStatus":{},"NodeDeletionDate":{"type":"timestamp"},"NodeUpdateStartDate":{"type":"timestamp"},"NodeUpdateEndDate":{"type":"timestamp"},"NodeUpdateInitiatedBy":{},"NodeUpdateInitiatedDate":{"type":"timestamp"},"NodeUpdateStatusModifiedDate":{"type":"timestamp"}}}},"EstimatedUpdateTime":{},"Engine":{}}}}}}},"DescribeUserGroups":{"input":{"type":"structure","members":{"UserGroupId":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeUserGroupsResult","type":"structure","members":{"UserGroups":{"type":"list","member":{"shape":"S3k"}},"Marker":{}}}},"DescribeUsers":{"input":{"type":"structure","members":{"Engine":{},"UserId":{},"Filters":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{}}}}},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeUsersResult","type":"structure","members":{"Users":{"type":"list","member":{"shape":"S3f"}},"Marker":{}}}},"DisassociateGlobalReplicationGroup":{"input":{"type":"structure","required":["GlobalReplicationGroupId","ReplicationGroupId","ReplicationGroupRegion"],"members":{"GlobalReplicationGroupId":{},"ReplicationGroupId":{},"ReplicationGroupRegion":{}}},"output":{"resultWrapper":"DisassociateGlobalReplicationGroupResult","type":"structure","members":{"GlobalReplicationGroup":{"shape":"S2y"}}}},"FailoverGlobalReplicationGroup":{"input":{"type":"structure","required":["GlobalReplicationGroupId","PrimaryRegion","PrimaryReplicationGroupId"],"members":{"GlobalReplicationGroupId":{},"PrimaryRegion":{},"PrimaryReplicationGroupId":{}}},"output":{"resultWrapper":"FailoverGlobalReplicationGroupResult","type":"structure","members":{"GlobalReplicationGroup":{"shape":"S2y"}}}},"IncreaseNodeGroupsInGlobalReplicationGroup":{"input":{"type":"structure","required":["GlobalReplicationGroupId","NodeGroupCount","ApplyImmediately"],"members":{"GlobalReplicationGroupId":{},"NodeGroupCount":{"type":"integer"},"RegionalConfigurations":{"type":"list","member":{"locationName":"RegionalConfiguration","type":"structure","required":["ReplicationGroupId","ReplicationGroupRegion","ReshardingConfiguration"],"members":{"ReplicationGroupId":{},"ReplicationGroupRegion":{},"ReshardingConfiguration":{"shape":"S6u"}}}},"ApplyImmediately":{"type":"boolean"}}},"output":{"resultWrapper":"IncreaseNodeGroupsInGlobalReplicationGroupResult","type":"structure","members":{"GlobalReplicationGroup":{"shape":"S2y"}}}},"IncreaseReplicaCount":{"input":{"type":"structure","required":["ReplicationGroupId","ApplyImmediately"],"members":{"ReplicationGroupId":{},"NewReplicaCount":{"type":"integer"},"ReplicaConfiguration":{"shape":"S3s"},"ApplyImmediately":{"type":"boolean"}}},"output":{"resultWrapper":"IncreaseReplicaCountResult","type":"structure","members":{"ReplicationGroup":{"shape":"So"}}}},"ListAllowedNodeTypeModifications":{"input":{"type":"structure","members":{"CacheClusterId":{},"ReplicationGroupId":{}}},"output":{"resultWrapper":"ListAllowedNodeTypeModificationsResult","type":"structure","members":{"ScaleUpModifications":{"shape":"S71"},"ScaleDownModifications":{"shape":"S71"}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceName"],"members":{"ResourceName":{}}},"output":{"shape":"S5","resultWrapper":"ListTagsForResourceResult"}},"ModifyCacheCluster":{"input":{"type":"structure","required":["CacheClusterId"],"members":{"CacheClusterId":{},"NumCacheNodes":{"type":"integer"},"CacheNodeIdsToRemove":{"shape":"S2a"},"AZMode":{},"NewAvailabilityZones":{"shape":"S1z"},"CacheSecurityGroupNames":{"shape":"S20"},"SecurityGroupIds":{"shape":"S21"},"PreferredMaintenanceWindow":{},"NotificationTopicArn":{},"CacheParameterGroupName":{},"NotificationTopicStatus":{},"ApplyImmediately":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"SnapshotRetentionLimit":{"type":"integer"},"SnapshotWindow":{},"CacheNodeType":{},"AuthToken":{},"AuthTokenUpdateStrategy":{},"LogDeliveryConfigurations":{"shape":"S25"}}},"output":{"resultWrapper":"ModifyCacheClusterResult","type":"structure","members":{"CacheCluster":{"shape":"S28"}}}},"ModifyCacheParameterGroup":{"input":{"type":"structure","required":["CacheParameterGroupName","ParameterNameValues"],"members":{"CacheParameterGroupName":{},"ParameterNameValues":{"shape":"S77"}}},"output":{"shape":"S79","resultWrapper":"ModifyCacheParameterGroupResult"}},"ModifyCacheSubnetGroup":{"input":{"type":"structure","required":["CacheSubnetGroupName"],"members":{"CacheSubnetGroupName":{},"CacheSubnetGroupDescription":{},"SubnetIds":{"shape":"S2p"}}},"output":{"resultWrapper":"ModifyCacheSubnetGroupResult","type":"structure","members":{"CacheSubnetGroup":{"shape":"S2r"}}}},"ModifyGlobalReplicationGroup":{"input":{"type":"structure","required":["GlobalReplicationGroupId","ApplyImmediately"],"members":{"GlobalReplicationGroupId":{},"ApplyImmediately":{"type":"boolean"},"CacheNodeType":{},"EngineVersion":{},"CacheParameterGroupName":{},"GlobalReplicationGroupDescription":{},"AutomaticFailoverEnabled":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyGlobalReplicationGroupResult","type":"structure","members":{"GlobalReplicationGroup":{"shape":"S2y"}}}},"ModifyReplicationGroup":{"input":{"type":"structure","required":["ReplicationGroupId"],"members":{"ReplicationGroupId":{},"ReplicationGroupDescription":{},"PrimaryClusterId":{},"SnapshottingClusterId":{},"AutomaticFailoverEnabled":{"type":"boolean"},"MultiAZEnabled":{"type":"boolean"},"NodeGroupId":{"deprecated":true},"CacheSecurityGroupNames":{"shape":"S20"},"SecurityGroupIds":{"shape":"S21"},"PreferredMaintenanceWindow":{},"NotificationTopicArn":{},"CacheParameterGroupName":{},"NotificationTopicStatus":{},"ApplyImmediately":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"SnapshotRetentionLimit":{"type":"integer"},"SnapshotWindow":{},"CacheNodeType":{},"AuthToken":{},"AuthTokenUpdateStrategy":{},"UserGroupIdsToAdd":{"shape":"Sx"},"UserGroupIdsToRemove":{"shape":"Sx"},"RemoveUserGroups":{"type":"boolean"},"LogDeliveryConfigurations":{"shape":"S25"}}},"output":{"resultWrapper":"ModifyReplicationGroupResult","type":"structure","members":{"ReplicationGroup":{"shape":"So"}}}},"ModifyReplicationGroupShardConfiguration":{"input":{"type":"structure","required":["ReplicationGroupId","NodeGroupCount","ApplyImmediately"],"members":{"ReplicationGroupId":{},"NodeGroupCount":{"type":"integer"},"ApplyImmediately":{"type":"boolean"},"ReshardingConfiguration":{"shape":"S6u"},"NodeGroupsToRemove":{"type":"list","member":{"locationName":"NodeGroupToRemove"}},"NodeGroupsToRetain":{"type":"list","member":{"locationName":"NodeGroupToRetain"}}}},"output":{"resultWrapper":"ModifyReplicationGroupShardConfigurationResult","type":"structure","members":{"ReplicationGroup":{"shape":"So"}}}},"ModifyUser":{"input":{"type":"structure","required":["UserId"],"members":{"UserId":{},"AccessString":{},"AppendAccessString":{},"Passwords":{"shape":"S3d"},"NoPasswordRequired":{"type":"boolean"}}},"output":{"shape":"S3f","resultWrapper":"ModifyUserResult"}},"ModifyUserGroup":{"input":{"type":"structure","required":["UserGroupId"],"members":{"UserGroupId":{},"UserIdsToAdd":{"shape":"S3j"},"UserIdsToRemove":{"shape":"S3j"}}},"output":{"shape":"S3k","resultWrapper":"ModifyUserGroupResult"}},"PurchaseReservedCacheNodesOffering":{"input":{"type":"structure","required":["ReservedCacheNodesOfferingId"],"members":{"ReservedCacheNodesOfferingId":{},"ReservedCacheNodeId":{},"CacheNodeCount":{"type":"integer"},"Tags":{"shape":"S3"}}},"output":{"resultWrapper":"PurchaseReservedCacheNodesOfferingResult","type":"structure","members":{"ReservedCacheNode":{"shape":"S5f"}}}},"RebalanceSlotsInGlobalReplicationGroup":{"input":{"type":"structure","required":["GlobalReplicationGroupId","ApplyImmediately"],"members":{"GlobalReplicationGroupId":{},"ApplyImmediately":{"type":"boolean"}}},"output":{"resultWrapper":"RebalanceSlotsInGlobalReplicationGroupResult","type":"structure","members":{"GlobalReplicationGroup":{"shape":"S2y"}}}},"RebootCacheCluster":{"input":{"type":"structure","required":["CacheClusterId","CacheNodeIdsToReboot"],"members":{"CacheClusterId":{},"CacheNodeIdsToReboot":{"shape":"S2a"}}},"output":{"resultWrapper":"RebootCacheClusterResult","type":"structure","members":{"CacheCluster":{"shape":"S28"}}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceName","TagKeys"],"members":{"ResourceName":{},"TagKeys":{"type":"list","member":{}}}},"output":{"shape":"S5","resultWrapper":"RemoveTagsFromResourceResult"}},"ResetCacheParameterGroup":{"input":{"type":"structure","required":["CacheParameterGroupName"],"members":{"CacheParameterGroupName":{},"ResetAllParameters":{"type":"boolean"},"ParameterNameValues":{"shape":"S77"}}},"output":{"shape":"S79","resultWrapper":"ResetCacheParameterGroupResult"}},"RevokeCacheSecurityGroupIngress":{"input":{"type":"structure","required":["CacheSecurityGroupName","EC2SecurityGroupName","EC2SecurityGroupOwnerId"],"members":{"CacheSecurityGroupName":{},"EC2SecurityGroupName":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"RevokeCacheSecurityGroupIngressResult","type":"structure","members":{"CacheSecurityGroup":{"shape":"S8"}}}},"StartMigration":{"input":{"type":"structure","required":["ReplicationGroupId","CustomerNodeEndpointList"],"members":{"ReplicationGroupId":{},"CustomerNodeEndpointList":{"type":"list","member":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"}}}}}},"output":{"resultWrapper":"StartMigrationResult","type":"structure","members":{"ReplicationGroup":{"shape":"So"}}}},"TestFailover":{"input":{"type":"structure","required":["ReplicationGroupId","NodeGroupId"],"members":{"ReplicationGroupId":{},"NodeGroupId":{}}},"output":{"resultWrapper":"TestFailoverResult","type":"structure","members":{"ReplicationGroup":{"shape":"So"}}}}},"shapes":{"S3":{"type":"list","member":{"locationName":"Tag","type":"structure","members":{"Key":{},"Value":{}}}},"S5":{"type":"structure","members":{"TagList":{"shape":"S3"}}},"S8":{"type":"structure","members":{"OwnerId":{},"CacheSecurityGroupName":{},"Description":{},"EC2SecurityGroups":{"type":"list","member":{"locationName":"EC2SecurityGroup","type":"structure","members":{"Status":{},"EC2SecurityGroupName":{},"EC2SecurityGroupOwnerId":{}}}},"ARN":{}},"wrapper":true},"Sc":{"type":"list","member":{}},"Sd":{"type":"list","member":{}},"Se":{"type":"structure","members":{"ProcessedUpdateActions":{"type":"list","member":{"locationName":"ProcessedUpdateAction","type":"structure","members":{"ReplicationGroupId":{},"CacheClusterId":{},"ServiceUpdateName":{},"UpdateActionStatus":{}}}},"UnprocessedUpdateActions":{"type":"list","member":{"locationName":"UnprocessedUpdateAction","type":"structure","members":{"ReplicationGroupId":{},"CacheClusterId":{},"ServiceUpdateName":{},"ErrorType":{},"ErrorMessage":{}}}}}},"So":{"type":"structure","members":{"ReplicationGroupId":{},"Description":{},"GlobalReplicationGroupInfo":{"type":"structure","members":{"GlobalReplicationGroupId":{},"GlobalReplicationGroupMemberRole":{}}},"Status":{},"PendingModifiedValues":{"type":"structure","members":{"PrimaryClusterId":{},"AutomaticFailoverStatus":{},"Resharding":{"type":"structure","members":{"SlotMigration":{"type":"structure","members":{"ProgressPercentage":{"type":"double"}}}}},"AuthTokenStatus":{},"UserGroups":{"type":"structure","members":{"UserGroupIdsToAdd":{"shape":"Sx"},"UserGroupIdsToRemove":{"shape":"Sx"}}},"LogDeliveryConfigurations":{"shape":"Sz"}}},"MemberClusters":{"type":"list","member":{"locationName":"ClusterId"}},"NodeGroups":{"type":"list","member":{"locationName":"NodeGroup","type":"structure","members":{"NodeGroupId":{},"Status":{},"PrimaryEndpoint":{"shape":"S1a"},"ReaderEndpoint":{"shape":"S1a"},"Slots":{},"NodeGroupMembers":{"type":"list","member":{"locationName":"NodeGroupMember","type":"structure","members":{"CacheClusterId":{},"CacheNodeId":{},"ReadEndpoint":{"shape":"S1a"},"PreferredAvailabilityZone":{},"PreferredOutpostArn":{},"CurrentRole":{}}}}}}},"SnapshottingClusterId":{},"AutomaticFailover":{},"MultiAZ":{},"ConfigurationEndpoint":{"shape":"S1a"},"SnapshotRetentionLimit":{"type":"integer"},"SnapshotWindow":{},"ClusterEnabled":{"type":"boolean"},"CacheNodeType":{},"AuthTokenEnabled":{"type":"boolean"},"AuthTokenLastModifiedDate":{"type":"timestamp"},"TransitEncryptionEnabled":{"type":"boolean"},"AtRestEncryptionEnabled":{"type":"boolean"},"MemberClustersOutpostArns":{"type":"list","member":{"locationName":"ReplicationGroupOutpostArn"}},"KmsKeyId":{},"ARN":{},"UserGroupIds":{"shape":"Sx"},"LogDeliveryConfigurations":{"shape":"S1k"},"ReplicationGroupCreateTime":{"type":"timestamp"},"DataTiering":{}},"wrapper":true},"Sx":{"type":"list","member":{}},"Sz":{"type":"list","member":{"type":"structure","members":{"LogType":{},"DestinationType":{},"DestinationDetails":{"shape":"S13"},"LogFormat":{}}},"locationName":"PendingLogDeliveryConfiguration"},"S13":{"type":"structure","members":{"CloudWatchLogsDetails":{"type":"structure","members":{"LogGroup":{}}},"KinesisFirehoseDetails":{"type":"structure","members":{"DeliveryStream":{}}}}},"S1a":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"}}},"S1k":{"type":"list","member":{"locationName":"LogDeliveryConfiguration","type":"structure","members":{"LogType":{},"DestinationType":{},"DestinationDetails":{"shape":"S13"},"LogFormat":{},"Status":{},"Message":{}}}},"S1q":{"type":"structure","members":{"SnapshotName":{},"ReplicationGroupId":{},"ReplicationGroupDescription":{},"CacheClusterId":{},"SnapshotStatus":{},"SnapshotSource":{},"CacheNodeType":{},"Engine":{},"EngineVersion":{},"NumCacheNodes":{"type":"integer"},"PreferredAvailabilityZone":{},"PreferredOutpostArn":{},"CacheClusterCreateTime":{"type":"timestamp"},"PreferredMaintenanceWindow":{},"TopicArn":{},"Port":{"type":"integer"},"CacheParameterGroupName":{},"CacheSubnetGroupName":{},"VpcId":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"SnapshotRetentionLimit":{"type":"integer"},"SnapshotWindow":{},"NumNodeGroups":{"type":"integer"},"AutomaticFailover":{},"NodeSnapshots":{"type":"list","member":{"locationName":"NodeSnapshot","type":"structure","members":{"CacheClusterId":{},"NodeGroupId":{},"CacheNodeId":{},"NodeGroupConfiguration":{"shape":"S1t"},"CacheSize":{},"CacheNodeCreateTime":{"type":"timestamp"},"SnapshotCreateTime":{"type":"timestamp"}},"wrapper":true}},"KmsKeyId":{},"ARN":{},"DataTiering":{}},"wrapper":true},"S1t":{"type":"structure","members":{"NodeGroupId":{},"Slots":{},"ReplicaCount":{"type":"integer"},"PrimaryAvailabilityZone":{},"ReplicaAvailabilityZones":{"shape":"S1v"},"PrimaryOutpostArn":{},"ReplicaOutpostArns":{"type":"list","member":{"locationName":"OutpostArn"}}}},"S1v":{"type":"list","member":{"locationName":"AvailabilityZone"}},"S1z":{"type":"list","member":{"locationName":"PreferredAvailabilityZone"}},"S20":{"type":"list","member":{"locationName":"CacheSecurityGroupName"}},"S21":{"type":"list","member":{"locationName":"SecurityGroupId"}},"S22":{"type":"list","member":{"locationName":"SnapshotArn"}},"S24":{"type":"list","member":{"locationName":"PreferredOutpostArn"}},"S25":{"type":"list","member":{"locationName":"LogDeliveryConfigurationRequest","type":"structure","members":{"LogType":{},"DestinationType":{},"DestinationDetails":{"shape":"S13"},"LogFormat":{},"Enabled":{"type":"boolean"}}}},"S28":{"type":"structure","members":{"CacheClusterId":{},"ConfigurationEndpoint":{"shape":"S1a"},"ClientDownloadLandingPage":{},"CacheNodeType":{},"Engine":{},"EngineVersion":{},"CacheClusterStatus":{},"NumCacheNodes":{"type":"integer"},"PreferredAvailabilityZone":{},"PreferredOutpostArn":{},"CacheClusterCreateTime":{"type":"timestamp"},"PreferredMaintenanceWindow":{},"PendingModifiedValues":{"type":"structure","members":{"NumCacheNodes":{"type":"integer"},"CacheNodeIdsToRemove":{"shape":"S2a"},"EngineVersion":{},"CacheNodeType":{},"AuthTokenStatus":{},"LogDeliveryConfigurations":{"shape":"Sz"}}},"NotificationConfiguration":{"type":"structure","members":{"TopicArn":{},"TopicStatus":{}}},"CacheSecurityGroups":{"type":"list","member":{"locationName":"CacheSecurityGroup","type":"structure","members":{"CacheSecurityGroupName":{},"Status":{}}}},"CacheParameterGroup":{"type":"structure","members":{"CacheParameterGroupName":{},"ParameterApplyStatus":{},"CacheNodeIdsToReboot":{"shape":"S2a"}}},"CacheSubnetGroupName":{},"CacheNodes":{"type":"list","member":{"locationName":"CacheNode","type":"structure","members":{"CacheNodeId":{},"CacheNodeStatus":{},"CacheNodeCreateTime":{"type":"timestamp"},"Endpoint":{"shape":"S1a"},"ParameterGroupStatus":{},"SourceCacheNodeId":{},"CustomerAvailabilityZone":{},"CustomerOutpostArn":{}}}},"AutoMinorVersionUpgrade":{"type":"boolean"},"SecurityGroups":{"type":"list","member":{"type":"structure","members":{"SecurityGroupId":{},"Status":{}}}},"ReplicationGroupId":{},"SnapshotRetentionLimit":{"type":"integer"},"SnapshotWindow":{},"AuthTokenEnabled":{"type":"boolean"},"AuthTokenLastModifiedDate":{"type":"timestamp"},"TransitEncryptionEnabled":{"type":"boolean"},"AtRestEncryptionEnabled":{"type":"boolean"},"ARN":{},"ReplicationGroupLogDeliveryEnabled":{"type":"boolean"},"LogDeliveryConfigurations":{"shape":"S1k"}},"wrapper":true},"S2a":{"type":"list","member":{"locationName":"CacheNodeId"}},"S2l":{"type":"structure","members":{"CacheParameterGroupName":{},"CacheParameterGroupFamily":{},"Description":{},"IsGlobal":{"type":"boolean"},"ARN":{}},"wrapper":true},"S2p":{"type":"list","member":{"locationName":"SubnetIdentifier"}},"S2r":{"type":"structure","members":{"CacheSubnetGroupName":{},"CacheSubnetGroupDescription":{},"VpcId":{},"Subnets":{"type":"list","member":{"locationName":"Subnet","type":"structure","members":{"SubnetIdentifier":{},"SubnetAvailabilityZone":{"type":"structure","members":{"Name":{}},"wrapper":true},"SubnetOutpost":{"type":"structure","members":{"SubnetOutpostArn":{}}}}}},"ARN":{}},"wrapper":true},"S2y":{"type":"structure","members":{"GlobalReplicationGroupId":{},"GlobalReplicationGroupDescription":{},"Status":{},"CacheNodeType":{},"Engine":{},"EngineVersion":{},"Members":{"type":"list","member":{"locationName":"GlobalReplicationGroupMember","type":"structure","members":{"ReplicationGroupId":{},"ReplicationGroupRegion":{},"Role":{},"AutomaticFailover":{},"Status":{}},"wrapper":true}},"ClusterEnabled":{"type":"boolean"},"GlobalNodeGroups":{"type":"list","member":{"locationName":"GlobalNodeGroup","type":"structure","members":{"GlobalNodeGroupId":{},"Slots":{}}}},"AuthTokenEnabled":{"type":"boolean"},"TransitEncryptionEnabled":{"type":"boolean"},"AtRestEncryptionEnabled":{"type":"boolean"},"ARN":{}},"wrapper":true},"S3d":{"type":"list","member":{}},"S3f":{"type":"structure","members":{"UserId":{},"UserName":{},"Status":{},"Engine":{},"MinimumEngineVersion":{},"AccessString":{},"UserGroupIds":{"shape":"Sx"},"Authentication":{"type":"structure","members":{"Type":{},"PasswordCount":{"type":"integer"}}},"ARN":{}}},"S3j":{"type":"list","member":{}},"S3k":{"type":"structure","members":{"UserGroupId":{},"Status":{},"Engine":{},"UserIds":{"shape":"S3l"},"MinimumEngineVersion":{},"PendingChanges":{"type":"structure","members":{"UserIdsToRemove":{"shape":"S3l"},"UserIdsToAdd":{"shape":"S3l"}}},"ReplicationGroups":{"type":"list","member":{}},"ARN":{}}},"S3l":{"type":"list","member":{}},"S3p":{"type":"list","member":{"locationName":"GlobalNodeGroupId"}},"S3s":{"type":"list","member":{"locationName":"ConfigureShard","type":"structure","required":["NodeGroupId","NewReplicaCount"],"members":{"NodeGroupId":{},"NewReplicaCount":{"type":"integer"},"PreferredAvailabilityZones":{"shape":"S1z"},"PreferredOutpostArns":{"shape":"S24"}}}},"S4l":{"type":"list","member":{"locationName":"Parameter","type":"structure","members":{"ParameterName":{},"ParameterValue":{},"Description":{},"Source":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"MinimumEngineVersion":{},"ChangeType":{}}}},"S4o":{"type":"list","member":{"locationName":"CacheNodeTypeSpecificParameter","type":"structure","members":{"ParameterName":{},"Description":{},"Source":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"MinimumEngineVersion":{},"CacheNodeTypeSpecificValues":{"type":"list","member":{"locationName":"CacheNodeTypeSpecificValue","type":"structure","members":{"CacheNodeType":{},"Value":{}}}},"ChangeType":{}}}},"S5f":{"type":"structure","members":{"ReservedCacheNodeId":{},"ReservedCacheNodesOfferingId":{},"CacheNodeType":{},"StartTime":{"type":"timestamp"},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CacheNodeCount":{"type":"integer"},"ProductDescription":{},"OfferingType":{},"State":{},"RecurringCharges":{"shape":"S5g"},"ReservationARN":{}},"wrapper":true},"S5g":{"type":"list","member":{"locationName":"RecurringCharge","type":"structure","members":{"RecurringChargeAmount":{"type":"double"},"RecurringChargeFrequency":{}},"wrapper":true}},"S5n":{"type":"list","member":{}},"S6u":{"type":"list","member":{"locationName":"ReshardingConfiguration","type":"structure","members":{"NodeGroupId":{},"PreferredAvailabilityZones":{"shape":"S1v"}}}},"S71":{"type":"list","member":{}},"S77":{"type":"list","member":{"locationName":"ParameterNameValue","type":"structure","members":{"ParameterName":{},"ParameterValue":{}}}},"S79":{"type":"structure","members":{"CacheParameterGroupName":{}}}}}');

/***/ }),

/***/ 79559:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeCacheClusters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"CacheClusters"},"DescribeCacheEngineVersions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"CacheEngineVersions"},"DescribeCacheParameterGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"CacheParameterGroups"},"DescribeCacheParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Parameters"},"DescribeCacheSecurityGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"CacheSecurityGroups"},"DescribeCacheSubnetGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"CacheSubnetGroups"},"DescribeEngineDefaultParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"EngineDefaults.Marker","result_key":"EngineDefaults.Parameters"},"DescribeEvents":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Events"},"DescribeGlobalReplicationGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"GlobalReplicationGroups"},"DescribeReplicationGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReplicationGroups"},"DescribeReservedCacheNodes":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedCacheNodes"},"DescribeReservedCacheNodesOfferings":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedCacheNodesOfferings"},"DescribeServiceUpdates":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ServiceUpdates"},"DescribeSnapshots":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Snapshots"},"DescribeUpdateActions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"UpdateActions"},"DescribeUserGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"UserGroups"},"DescribeUsers":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Users"}}}');

/***/ }),

/***/ 29787:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"CacheClusterAvailable":{"acceptors":[{"argument":"CacheClusters[].CacheClusterStatus","expected":"available","matcher":"pathAll","state":"success"},{"argument":"CacheClusters[].CacheClusterStatus","expected":"deleted","matcher":"pathAny","state":"failure"},{"argument":"CacheClusters[].CacheClusterStatus","expected":"deleting","matcher":"pathAny","state":"failure"},{"argument":"CacheClusters[].CacheClusterStatus","expected":"incompatible-network","matcher":"pathAny","state":"failure"},{"argument":"CacheClusters[].CacheClusterStatus","expected":"restore-failed","matcher":"pathAny","state":"failure"}],"delay":15,"description":"Wait until ElastiCache cluster is available.","maxAttempts":40,"operation":"DescribeCacheClusters"},"CacheClusterDeleted":{"acceptors":[{"argument":"CacheClusters[].CacheClusterStatus","expected":"deleted","matcher":"pathAll","state":"success"},{"expected":"CacheClusterNotFound","matcher":"error","state":"success"},{"argument":"CacheClusters[].CacheClusterStatus","expected":"available","matcher":"pathAny","state":"failure"},{"argument":"CacheClusters[].CacheClusterStatus","expected":"creating","matcher":"pathAny","state":"failure"},{"argument":"CacheClusters[].CacheClusterStatus","expected":"incompatible-network","matcher":"pathAny","state":"failure"},{"argument":"CacheClusters[].CacheClusterStatus","expected":"modifying","matcher":"pathAny","state":"failure"},{"argument":"CacheClusters[].CacheClusterStatus","expected":"restore-failed","matcher":"pathAny","state":"failure"},{"argument":"CacheClusters[].CacheClusterStatus","expected":"snapshotting","matcher":"pathAny","state":"failure"}],"delay":15,"description":"Wait until ElastiCache cluster is deleted.","maxAttempts":40,"operation":"DescribeCacheClusters"},"ReplicationGroupAvailable":{"acceptors":[{"argument":"ReplicationGroups[].Status","expected":"available","matcher":"pathAll","state":"success"},{"argument":"ReplicationGroups[].Status","expected":"deleted","matcher":"pathAny","state":"failure"}],"delay":15,"description":"Wait until ElastiCache replication group is available.","maxAttempts":40,"operation":"DescribeReplicationGroups"},"ReplicationGroupDeleted":{"acceptors":[{"argument":"ReplicationGroups[].Status","expected":"deleted","matcher":"pathAll","state":"success"},{"argument":"ReplicationGroups[].Status","expected":"available","matcher":"pathAny","state":"failure"},{"expected":"ReplicationGroupNotFoundFault","matcher":"error","state":"success"}],"delay":15,"description":"Wait until ElastiCache replication group is deleted.","maxAttempts":40,"operation":"DescribeReplicationGroups"}}}');

/***/ }),

/***/ 72508:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2010-12-01","endpointPrefix":"elasticbeanstalk","protocol":"query","serviceAbbreviation":"Elastic Beanstalk","serviceFullName":"AWS Elastic Beanstalk","serviceId":"Elastic Beanstalk","signatureVersion":"v4","uid":"elasticbeanstalk-2010-12-01","xmlNamespace":"http://elasticbeanstalk.amazonaws.com/docs/2010-12-01/"},"operations":{"AbortEnvironmentUpdate":{"input":{"type":"structure","members":{"EnvironmentId":{},"EnvironmentName":{}}}},"ApplyEnvironmentManagedAction":{"input":{"type":"structure","required":["ActionId"],"members":{"EnvironmentName":{},"EnvironmentId":{},"ActionId":{}}},"output":{"resultWrapper":"ApplyEnvironmentManagedActionResult","type":"structure","members":{"ActionId":{},"ActionDescription":{},"ActionType":{},"Status":{}}}},"AssociateEnvironmentOperationsRole":{"input":{"type":"structure","required":["EnvironmentName","OperationsRole"],"members":{"EnvironmentName":{},"OperationsRole":{}}}},"CheckDNSAvailability":{"input":{"type":"structure","required":["CNAMEPrefix"],"members":{"CNAMEPrefix":{}}},"output":{"resultWrapper":"CheckDNSAvailabilityResult","type":"structure","members":{"Available":{"type":"boolean"},"FullyQualifiedCNAME":{}}}},"ComposeEnvironments":{"input":{"type":"structure","members":{"ApplicationName":{},"GroupName":{},"VersionLabels":{"type":"list","member":{}}}},"output":{"shape":"Sk","resultWrapper":"ComposeEnvironmentsResult"}},"CreateApplication":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{},"Description":{},"ResourceLifecycleConfig":{"shape":"S19"},"Tags":{"shape":"S1f"}}},"output":{"shape":"S1j","resultWrapper":"CreateApplicationResult"}},"CreateApplicationVersion":{"input":{"type":"structure","required":["ApplicationName","VersionLabel"],"members":{"ApplicationName":{},"VersionLabel":{},"Description":{},"SourceBuildInformation":{"shape":"S1p"},"SourceBundle":{"shape":"S1t"},"BuildConfiguration":{"type":"structure","required":["CodeBuildServiceRole","Image"],"members":{"ArtifactName":{},"CodeBuildServiceRole":{},"ComputeType":{},"Image":{},"TimeoutInMinutes":{"type":"integer"}}},"AutoCreateApplication":{"type":"boolean"},"Process":{"type":"boolean"},"Tags":{"shape":"S1f"}}},"output":{"shape":"S21","resultWrapper":"CreateApplicationVersionResult"}},"CreateConfigurationTemplate":{"input":{"type":"structure","required":["ApplicationName","TemplateName"],"members":{"ApplicationName":{},"TemplateName":{},"SolutionStackName":{},"PlatformArn":{},"SourceConfiguration":{"type":"structure","members":{"ApplicationName":{},"TemplateName":{}}},"EnvironmentId":{},"Description":{},"OptionSettings":{"shape":"S27"},"Tags":{"shape":"S1f"}}},"output":{"shape":"S2d","resultWrapper":"CreateConfigurationTemplateResult"}},"CreateEnvironment":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{},"EnvironmentName":{},"GroupName":{},"Description":{},"CNAMEPrefix":{},"Tier":{"shape":"S13"},"Tags":{"shape":"S1f"},"VersionLabel":{},"TemplateName":{},"SolutionStackName":{},"PlatformArn":{},"OptionSettings":{"shape":"S27"},"OptionsToRemove":{"shape":"S2g"},"OperationsRole":{}}},"output":{"shape":"Sm","resultWrapper":"CreateEnvironmentResult"}},"CreatePlatformVersion":{"input":{"type":"structure","required":["PlatformName","PlatformVersion","PlatformDefinitionBundle"],"members":{"PlatformName":{},"PlatformVersion":{},"PlatformDefinitionBundle":{"shape":"S1t"},"EnvironmentName":{},"OptionSettings":{"shape":"S27"},"Tags":{"shape":"S1f"}}},"output":{"resultWrapper":"CreatePlatformVersionResult","type":"structure","members":{"PlatformSummary":{"shape":"S2m"},"Builder":{"type":"structure","members":{"ARN":{}}}}}},"CreateStorageLocation":{"output":{"resultWrapper":"CreateStorageLocationResult","type":"structure","members":{"S3Bucket":{}}}},"DeleteApplication":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{},"TerminateEnvByForce":{"type":"boolean"}}}},"DeleteApplicationVersion":{"input":{"type":"structure","required":["ApplicationName","VersionLabel"],"members":{"ApplicationName":{},"VersionLabel":{},"DeleteSourceBundle":{"type":"boolean"}}}},"DeleteConfigurationTemplate":{"input":{"type":"structure","required":["ApplicationName","TemplateName"],"members":{"ApplicationName":{},"TemplateName":{}}}},"DeleteEnvironmentConfiguration":{"input":{"type":"structure","required":["ApplicationName","EnvironmentName"],"members":{"ApplicationName":{},"EnvironmentName":{}}}},"DeletePlatformVersion":{"input":{"type":"structure","members":{"PlatformArn":{}}},"output":{"resultWrapper":"DeletePlatformVersionResult","type":"structure","members":{"PlatformSummary":{"shape":"S2m"}}}},"DescribeAccountAttributes":{"output":{"resultWrapper":"DescribeAccountAttributesResult","type":"structure","members":{"ResourceQuotas":{"type":"structure","members":{"ApplicationQuota":{"shape":"S3c"},"ApplicationVersionQuota":{"shape":"S3c"},"EnvironmentQuota":{"shape":"S3c"},"ConfigurationTemplateQuota":{"shape":"S3c"},"CustomPlatformQuota":{"shape":"S3c"}}}}}},"DescribeApplicationVersions":{"input":{"type":"structure","members":{"ApplicationName":{},"VersionLabels":{"shape":"S1m"},"MaxRecords":{"type":"integer"},"NextToken":{}}},"output":{"resultWrapper":"DescribeApplicationVersionsResult","type":"structure","members":{"ApplicationVersions":{"type":"list","member":{"shape":"S22"}},"NextToken":{}}}},"DescribeApplications":{"input":{"type":"structure","members":{"ApplicationNames":{"type":"list","member":{}}}},"output":{"resultWrapper":"DescribeApplicationsResult","type":"structure","members":{"Applications":{"type":"list","member":{"shape":"S1k"}}}}},"DescribeConfigurationOptions":{"input":{"type":"structure","members":{"ApplicationName":{},"TemplateName":{},"EnvironmentName":{},"SolutionStackName":{},"PlatformArn":{},"Options":{"shape":"S2g"}}},"output":{"resultWrapper":"DescribeConfigurationOptionsResult","type":"structure","members":{"SolutionStackName":{},"PlatformArn":{},"Options":{"type":"list","member":{"type":"structure","members":{"Namespace":{},"Name":{},"DefaultValue":{},"ChangeSeverity":{},"UserDefined":{"type":"boolean"},"ValueType":{},"ValueOptions":{"type":"list","member":{}},"MinValue":{"type":"integer"},"MaxValue":{"type":"integer"},"MaxLength":{"type":"integer"},"Regex":{"type":"structure","members":{"Pattern":{},"Label":{}}}}}}}}},"DescribeConfigurationSettings":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{},"TemplateName":{},"EnvironmentName":{}}},"output":{"resultWrapper":"DescribeConfigurationSettingsResult","type":"structure","members":{"ConfigurationSettings":{"type":"list","member":{"shape":"S2d"}}}}},"DescribeEnvironmentHealth":{"input":{"type":"structure","members":{"EnvironmentName":{},"EnvironmentId":{},"AttributeNames":{"type":"list","member":{}}}},"output":{"resultWrapper":"DescribeEnvironmentHealthResult","type":"structure","members":{"EnvironmentName":{},"HealthStatus":{},"Status":{},"Color":{},"Causes":{"shape":"S48"},"ApplicationMetrics":{"shape":"S4a"},"InstancesHealth":{"type":"structure","members":{"NoData":{"type":"integer"},"Unknown":{"type":"integer"},"Pending":{"type":"integer"},"Ok":{"type":"integer"},"Info":{"type":"integer"},"Warning":{"type":"integer"},"Degraded":{"type":"integer"},"Severe":{"type":"integer"}}},"RefreshedAt":{"type":"timestamp"}}}},"DescribeEnvironmentManagedActionHistory":{"input":{"type":"structure","members":{"EnvironmentId":{},"EnvironmentName":{},"NextToken":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"DescribeEnvironmentManagedActionHistoryResult","type":"structure","members":{"ManagedActionHistoryItems":{"type":"list","member":{"type":"structure","members":{"ActionId":{},"ActionType":{},"ActionDescription":{},"FailureType":{},"Status":{},"FailureDescription":{},"ExecutedTime":{"type":"timestamp"},"FinishedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeEnvironmentManagedActions":{"input":{"type":"structure","members":{"EnvironmentName":{},"EnvironmentId":{},"Status":{}}},"output":{"resultWrapper":"DescribeEnvironmentManagedActionsResult","type":"structure","members":{"ManagedActions":{"type":"list","member":{"type":"structure","members":{"ActionId":{},"ActionDescription":{},"ActionType":{},"Status":{},"WindowStartTime":{"type":"timestamp"}}}}}}},"DescribeEnvironmentResources":{"input":{"type":"structure","members":{"EnvironmentId":{},"EnvironmentName":{}}},"output":{"resultWrapper":"DescribeEnvironmentResourcesResult","type":"structure","members":{"EnvironmentResources":{"type":"structure","members":{"EnvironmentName":{},"AutoScalingGroups":{"type":"list","member":{"type":"structure","members":{"Name":{}}}},"Instances":{"type":"list","member":{"type":"structure","members":{"Id":{}}}},"LaunchConfigurations":{"type":"list","member":{"type":"structure","members":{"Name":{}}}},"LaunchTemplates":{"type":"list","member":{"type":"structure","members":{"Id":{}}}},"LoadBalancers":{"type":"list","member":{"type":"structure","members":{"Name":{}}}},"Triggers":{"type":"list","member":{"type":"structure","members":{"Name":{}}}},"Queues":{"type":"list","member":{"type":"structure","members":{"Name":{},"URL":{}}}}}}}}},"DescribeEnvironments":{"input":{"type":"structure","members":{"ApplicationName":{},"VersionLabel":{},"EnvironmentIds":{"type":"list","member":{}},"EnvironmentNames":{"type":"list","member":{}},"IncludeDeleted":{"type":"boolean"},"IncludedDeletedBackTo":{"type":"timestamp"},"MaxRecords":{"type":"integer"},"NextToken":{}}},"output":{"shape":"Sk","resultWrapper":"DescribeEnvironmentsResult"}},"DescribeEvents":{"input":{"type":"structure","members":{"ApplicationName":{},"VersionLabel":{},"TemplateName":{},"EnvironmentId":{},"EnvironmentName":{},"PlatformArn":{},"RequestId":{},"Severity":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"MaxRecords":{"type":"integer"},"NextToken":{}}},"output":{"resultWrapper":"DescribeEventsResult","type":"structure","members":{"Events":{"type":"list","member":{"type":"structure","members":{"EventDate":{"type":"timestamp"},"Message":{},"ApplicationName":{},"VersionLabel":{},"TemplateName":{},"EnvironmentName":{},"PlatformArn":{},"RequestId":{},"Severity":{}}}},"NextToken":{}}}},"DescribeInstancesHealth":{"input":{"type":"structure","members":{"EnvironmentName":{},"EnvironmentId":{},"AttributeNames":{"type":"list","member":{}},"NextToken":{}}},"output":{"resultWrapper":"DescribeInstancesHealthResult","type":"structure","members":{"InstanceHealthList":{"type":"list","member":{"type":"structure","members":{"InstanceId":{},"HealthStatus":{},"Color":{},"Causes":{"shape":"S48"},"LaunchedAt":{"type":"timestamp"},"ApplicationMetrics":{"shape":"S4a"},"System":{"type":"structure","members":{"CPUUtilization":{"type":"structure","members":{"User":{"type":"double"},"Nice":{"type":"double"},"System":{"type":"double"},"Idle":{"type":"double"},"IOWait":{"type":"double"},"IRQ":{"type":"double"},"SoftIRQ":{"type":"double"},"Privileged":{"type":"double"}}},"LoadAverage":{"type":"list","member":{"type":"double"}}}},"Deployment":{"type":"structure","members":{"VersionLabel":{},"DeploymentId":{"type":"long"},"Status":{},"DeploymentTime":{"type":"timestamp"}}},"AvailabilityZone":{},"InstanceType":{}}}},"RefreshedAt":{"type":"timestamp"},"NextToken":{}}}},"DescribePlatformVersion":{"input":{"type":"structure","members":{"PlatformArn":{}}},"output":{"resultWrapper":"DescribePlatformVersionResult","type":"structure","members":{"PlatformDescription":{"type":"structure","members":{"PlatformArn":{},"PlatformOwner":{},"PlatformName":{},"PlatformVersion":{},"SolutionStackName":{},"PlatformStatus":{},"DateCreated":{"type":"timestamp"},"DateUpdated":{"type":"timestamp"},"PlatformCategory":{},"Description":{},"Maintainer":{},"OperatingSystemName":{},"OperatingSystemVersion":{},"ProgrammingLanguages":{"type":"list","member":{"type":"structure","members":{"Name":{},"Version":{}}}},"Frameworks":{"type":"list","member":{"type":"structure","members":{"Name":{},"Version":{}}}},"CustomAmiList":{"type":"list","member":{"type":"structure","members":{"VirtualizationType":{},"ImageId":{}}}},"SupportedTierList":{"shape":"S2s"},"SupportedAddonList":{"shape":"S2u"},"PlatformLifecycleState":{},"PlatformBranchName":{},"PlatformBranchLifecycleState":{}}}}}},"DisassociateEnvironmentOperationsRole":{"input":{"type":"structure","required":["EnvironmentName"],"members":{"EnvironmentName":{}}}},"ListAvailableSolutionStacks":{"output":{"resultWrapper":"ListAvailableSolutionStacksResult","type":"structure","members":{"SolutionStacks":{"type":"list","member":{}},"SolutionStackDetails":{"type":"list","member":{"type":"structure","members":{"SolutionStackName":{},"PermittedFileTypes":{"type":"list","member":{}}}}}}}},"ListPlatformBranches":{"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","members":{"Attribute":{},"Operator":{},"Values":{"type":"list","member":{}}}}},"MaxRecords":{"type":"integer"},"NextToken":{}}},"output":{"resultWrapper":"ListPlatformBranchesResult","type":"structure","members":{"PlatformBranchSummaryList":{"type":"list","member":{"type":"structure","members":{"PlatformName":{},"BranchName":{},"LifecycleState":{},"BranchOrder":{"type":"integer"},"SupportedTierList":{"shape":"S2s"}}}},"NextToken":{}}}},"ListPlatformVersions":{"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","members":{"Type":{},"Operator":{},"Values":{"type":"list","member":{}}}}},"MaxRecords":{"type":"integer"},"NextToken":{}}},"output":{"resultWrapper":"ListPlatformVersionsResult","type":"structure","members":{"PlatformSummaryList":{"type":"list","member":{"shape":"S2m"}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"resultWrapper":"ListTagsForResourceResult","type":"structure","members":{"ResourceArn":{},"ResourceTags":{"shape":"S7g"}}}},"RebuildEnvironment":{"input":{"type":"structure","members":{"EnvironmentId":{},"EnvironmentName":{}}}},"RequestEnvironmentInfo":{"input":{"type":"structure","required":["InfoType"],"members":{"EnvironmentId":{},"EnvironmentName":{},"InfoType":{}}}},"RestartAppServer":{"input":{"type":"structure","members":{"EnvironmentId":{},"EnvironmentName":{}}}},"RetrieveEnvironmentInfo":{"input":{"type":"structure","required":["InfoType"],"members":{"EnvironmentId":{},"EnvironmentName":{},"InfoType":{}}},"output":{"resultWrapper":"RetrieveEnvironmentInfoResult","type":"structure","members":{"EnvironmentInfo":{"type":"list","member":{"type":"structure","members":{"InfoType":{},"Ec2InstanceId":{},"SampleTimestamp":{"type":"timestamp"},"Message":{}}}}}}},"SwapEnvironmentCNAMEs":{"input":{"type":"structure","members":{"SourceEnvironmentId":{},"SourceEnvironmentName":{},"DestinationEnvironmentId":{},"DestinationEnvironmentName":{}}}},"TerminateEnvironment":{"input":{"type":"structure","members":{"EnvironmentId":{},"EnvironmentName":{},"TerminateResources":{"type":"boolean"},"ForceTerminate":{"type":"boolean"}}},"output":{"shape":"Sm","resultWrapper":"TerminateEnvironmentResult"}},"UpdateApplication":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{},"Description":{}}},"output":{"shape":"S1j","resultWrapper":"UpdateApplicationResult"}},"UpdateApplicationResourceLifecycle":{"input":{"type":"structure","required":["ApplicationName","ResourceLifecycleConfig"],"members":{"ApplicationName":{},"ResourceLifecycleConfig":{"shape":"S19"}}},"output":{"resultWrapper":"UpdateApplicationResourceLifecycleResult","type":"structure","members":{"ApplicationName":{},"ResourceLifecycleConfig":{"shape":"S19"}}}},"UpdateApplicationVersion":{"input":{"type":"structure","required":["ApplicationName","VersionLabel"],"members":{"ApplicationName":{},"VersionLabel":{},"Description":{}}},"output":{"shape":"S21","resultWrapper":"UpdateApplicationVersionResult"}},"UpdateConfigurationTemplate":{"input":{"type":"structure","required":["ApplicationName","TemplateName"],"members":{"ApplicationName":{},"TemplateName":{},"Description":{},"OptionSettings":{"shape":"S27"},"OptionsToRemove":{"shape":"S2g"}}},"output":{"shape":"S2d","resultWrapper":"UpdateConfigurationTemplateResult"}},"UpdateEnvironment":{"input":{"type":"structure","members":{"ApplicationName":{},"EnvironmentId":{},"EnvironmentName":{},"GroupName":{},"Description":{},"Tier":{"shape":"S13"},"VersionLabel":{},"TemplateName":{},"SolutionStackName":{},"PlatformArn":{},"OptionSettings":{"shape":"S27"},"OptionsToRemove":{"shape":"S2g"}}},"output":{"shape":"Sm","resultWrapper":"UpdateEnvironmentResult"}},"UpdateTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"TagsToAdd":{"shape":"S7g"},"TagsToRemove":{"type":"list","member":{}}}}},"ValidateConfigurationSettings":{"input":{"type":"structure","required":["ApplicationName","OptionSettings"],"members":{"ApplicationName":{},"TemplateName":{},"EnvironmentName":{},"OptionSettings":{"shape":"S27"}}},"output":{"resultWrapper":"ValidateConfigurationSettingsResult","type":"structure","members":{"Messages":{"type":"list","member":{"type":"structure","members":{"Message":{},"Severity":{},"Namespace":{},"OptionName":{}}}}}}}},"shapes":{"Sk":{"type":"structure","members":{"Environments":{"type":"list","member":{"shape":"Sm"}},"NextToken":{}}},"Sm":{"type":"structure","members":{"EnvironmentName":{},"EnvironmentId":{},"ApplicationName":{},"VersionLabel":{},"SolutionStackName":{},"PlatformArn":{},"TemplateName":{},"Description":{},"EndpointURL":{},"CNAME":{},"DateCreated":{"type":"timestamp"},"DateUpdated":{"type":"timestamp"},"Status":{},"AbortableOperationInProgress":{"type":"boolean"},"Health":{},"HealthStatus":{},"Resources":{"type":"structure","members":{"LoadBalancer":{"type":"structure","members":{"LoadBalancerName":{},"Domain":{},"Listeners":{"type":"list","member":{"type":"structure","members":{"Protocol":{},"Port":{"type":"integer"}}}}}}}},"Tier":{"shape":"S13"},"EnvironmentLinks":{"type":"list","member":{"type":"structure","members":{"LinkName":{},"EnvironmentName":{}}}},"EnvironmentArn":{},"OperationsRole":{}}},"S13":{"type":"structure","members":{"Name":{},"Type":{},"Version":{}}},"S19":{"type":"structure","members":{"ServiceRole":{},"VersionLifecycleConfig":{"type":"structure","members":{"MaxCountRule":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"},"MaxCount":{"type":"integer"},"DeleteSourceFromS3":{"type":"boolean"}}},"MaxAgeRule":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"},"MaxAgeInDays":{"type":"integer"},"DeleteSourceFromS3":{"type":"boolean"}}}}}}},"S1f":{"type":"list","member":{"shape":"S1g"}},"S1g":{"type":"structure","members":{"Key":{},"Value":{}}},"S1j":{"type":"structure","members":{"Application":{"shape":"S1k"}}},"S1k":{"type":"structure","members":{"ApplicationArn":{},"ApplicationName":{},"Description":{},"DateCreated":{"type":"timestamp"},"DateUpdated":{"type":"timestamp"},"Versions":{"shape":"S1m"},"ConfigurationTemplates":{"type":"list","member":{}},"ResourceLifecycleConfig":{"shape":"S19"}}},"S1m":{"type":"list","member":{}},"S1p":{"type":"structure","required":["SourceType","SourceRepository","SourceLocation"],"members":{"SourceType":{},"SourceRepository":{},"SourceLocation":{}}},"S1t":{"type":"structure","members":{"S3Bucket":{},"S3Key":{}}},"S21":{"type":"structure","members":{"ApplicationVersion":{"shape":"S22"}}},"S22":{"type":"structure","members":{"ApplicationVersionArn":{},"ApplicationName":{},"Description":{},"VersionLabel":{},"SourceBuildInformation":{"shape":"S1p"},"BuildArn":{},"SourceBundle":{"shape":"S1t"},"DateCreated":{"type":"timestamp"},"DateUpdated":{"type":"timestamp"},"Status":{}}},"S27":{"type":"list","member":{"type":"structure","members":{"ResourceName":{},"Namespace":{},"OptionName":{},"Value":{}}}},"S2d":{"type":"structure","members":{"SolutionStackName":{},"PlatformArn":{},"ApplicationName":{},"TemplateName":{},"Description":{},"EnvironmentName":{},"DeploymentStatus":{},"DateCreated":{"type":"timestamp"},"DateUpdated":{"type":"timestamp"},"OptionSettings":{"shape":"S27"}}},"S2g":{"type":"list","member":{"type":"structure","members":{"ResourceName":{},"Namespace":{},"OptionName":{}}}},"S2m":{"type":"structure","members":{"PlatformArn":{},"PlatformOwner":{},"PlatformStatus":{},"PlatformCategory":{},"OperatingSystemName":{},"OperatingSystemVersion":{},"SupportedTierList":{"shape":"S2s"},"SupportedAddonList":{"shape":"S2u"},"PlatformLifecycleState":{},"PlatformVersion":{},"PlatformBranchName":{},"PlatformBranchLifecycleState":{}}},"S2s":{"type":"list","member":{}},"S2u":{"type":"list","member":{}},"S3c":{"type":"structure","members":{"Maximum":{"type":"integer"}}},"S48":{"type":"list","member":{}},"S4a":{"type":"structure","members":{"Duration":{"type":"integer"},"RequestCount":{"type":"integer"},"StatusCodes":{"type":"structure","members":{"Status2xx":{"type":"integer"},"Status3xx":{"type":"integer"},"Status4xx":{"type":"integer"},"Status5xx":{"type":"integer"}}},"Latency":{"type":"structure","members":{"P999":{"type":"double"},"P99":{"type":"double"},"P95":{"type":"double"},"P90":{"type":"double"},"P85":{"type":"double"},"P75":{"type":"double"},"P50":{"type":"double"},"P10":{"type":"double"}}}}},"S7g":{"type":"list","member":{"shape":"S1g"}}}}');

/***/ }),

/***/ 72305:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeApplicationVersions":{"result_key":"ApplicationVersions"},"DescribeApplications":{"result_key":"Applications"},"DescribeConfigurationOptions":{"result_key":"Options"},"DescribeEnvironmentManagedActionHistory":{"input_token":"NextToken","limit_key":"MaxItems","output_token":"NextToken","result_key":"ManagedActionHistoryItems"},"DescribeEnvironments":{"result_key":"Environments"},"DescribeEvents":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken","result_key":"Events"},"ListAvailableSolutionStacks":{"result_key":"SolutionStacks"},"ListPlatformBranches":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken"},"ListPlatformVersions":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken","result_key":"PlatformSummaryList"}}}');

/***/ }),

/***/ 62534:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"EnvironmentExists":{"delay":20,"maxAttempts":20,"operation":"DescribeEnvironments","acceptors":[{"state":"success","matcher":"pathAll","argument":"Environments[].Status","expected":"Ready"},{"state":"retry","matcher":"pathAll","argument":"Environments[].Status","expected":"Launching"}]},"EnvironmentUpdated":{"delay":20,"maxAttempts":20,"operation":"DescribeEnvironments","acceptors":[{"state":"success","matcher":"pathAll","argument":"Environments[].Status","expected":"Ready"},{"state":"retry","matcher":"pathAll","argument":"Environments[].Status","expected":"Updating"}]},"EnvironmentTerminated":{"delay":20,"maxAttempts":20,"operation":"DescribeEnvironments","acceptors":[{"state":"success","matcher":"pathAll","argument":"Environments[].Status","expected":"Terminated"},{"state":"retry","matcher":"pathAll","argument":"Environments[].Status","expected":"Terminating"}]}}}');

/***/ }),

/***/ 54784:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-02-01","endpointPrefix":"elasticfilesystem","protocol":"rest-json","serviceAbbreviation":"EFS","serviceFullName":"Amazon Elastic File System","serviceId":"EFS","signatureVersion":"v4","uid":"elasticfilesystem-2015-02-01"},"operations":{"CreateAccessPoint":{"http":{"requestUri":"/2015-02-01/access-points","responseCode":200},"input":{"type":"structure","required":["ClientToken","FileSystemId"],"members":{"ClientToken":{"idempotencyToken":true},"Tags":{"shape":"S3"},"FileSystemId":{},"PosixUser":{"shape":"S8"},"RootDirectory":{"shape":"Sc"}}},"output":{"shape":"Si"}},"CreateFileSystem":{"http":{"requestUri":"/2015-02-01/file-systems","responseCode":201},"input":{"type":"structure","required":["CreationToken"],"members":{"CreationToken":{"idempotencyToken":true},"PerformanceMode":{},"Encrypted":{"type":"boolean"},"KmsKeyId":{},"ThroughputMode":{},"ProvisionedThroughputInMibps":{"type":"double"},"AvailabilityZoneName":{},"Backup":{"type":"boolean"},"Tags":{"shape":"S3"}}},"output":{"shape":"Sx"}},"CreateMountTarget":{"http":{"requestUri":"/2015-02-01/mount-targets","responseCode":200},"input":{"type":"structure","required":["FileSystemId","SubnetId"],"members":{"FileSystemId":{},"SubnetId":{},"IpAddress":{},"SecurityGroups":{"shape":"S18"}}},"output":{"shape":"S1a"}},"CreateTags":{"http":{"requestUri":"/2015-02-01/create-tags/{FileSystemId}","responseCode":204},"input":{"type":"structure","required":["FileSystemId","Tags"],"members":{"FileSystemId":{"location":"uri","locationName":"FileSystemId"},"Tags":{"shape":"S3"}}},"deprecated":true,"deprecatedMessage":"Use TagResource."},"DeleteAccessPoint":{"http":{"method":"DELETE","requestUri":"/2015-02-01/access-points/{AccessPointId}","responseCode":204},"input":{"type":"structure","required":["AccessPointId"],"members":{"AccessPointId":{"location":"uri","locationName":"AccessPointId"}}}},"DeleteFileSystem":{"http":{"method":"DELETE","requestUri":"/2015-02-01/file-systems/{FileSystemId}","responseCode":204},"input":{"type":"structure","required":["FileSystemId"],"members":{"FileSystemId":{"location":"uri","locationName":"FileSystemId"}}}},"DeleteFileSystemPolicy":{"http":{"method":"DELETE","requestUri":"/2015-02-01/file-systems/{FileSystemId}/policy","responseCode":200},"input":{"type":"structure","required":["FileSystemId"],"members":{"FileSystemId":{"location":"uri","locationName":"FileSystemId"}}}},"DeleteMountTarget":{"http":{"method":"DELETE","requestUri":"/2015-02-01/mount-targets/{MountTargetId}","responseCode":204},"input":{"type":"structure","required":["MountTargetId"],"members":{"MountTargetId":{"location":"uri","locationName":"MountTargetId"}}}},"DeleteTags":{"http":{"requestUri":"/2015-02-01/delete-tags/{FileSystemId}","responseCode":204},"input":{"type":"structure","required":["FileSystemId","TagKeys"],"members":{"FileSystemId":{"location":"uri","locationName":"FileSystemId"},"TagKeys":{"shape":"S1k"}}},"deprecated":true,"deprecatedMessage":"Use UntagResource."},"DescribeAccessPoints":{"http":{"method":"GET","requestUri":"/2015-02-01/access-points","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"},"AccessPointId":{"location":"querystring","locationName":"AccessPointId"},"FileSystemId":{"location":"querystring","locationName":"FileSystemId"}}},"output":{"type":"structure","members":{"AccessPoints":{"type":"list","member":{"shape":"Si"}},"NextToken":{}}}},"DescribeAccountPreferences":{"http":{"method":"GET","requestUri":"/2015-02-01/account-preferences","responseCode":200},"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ResourceIdPreference":{"shape":"S1s"},"NextToken":{}}}},"DescribeBackupPolicy":{"http":{"method":"GET","requestUri":"/2015-02-01/file-systems/{FileSystemId}/backup-policy","responseCode":200},"input":{"type":"structure","required":["FileSystemId"],"members":{"FileSystemId":{"location":"uri","locationName":"FileSystemId"}}},"output":{"shape":"S1x"}},"DescribeFileSystemPolicy":{"http":{"method":"GET","requestUri":"/2015-02-01/file-systems/{FileSystemId}/policy","responseCode":200},"input":{"type":"structure","required":["FileSystemId"],"members":{"FileSystemId":{"location":"uri","locationName":"FileSystemId"}}},"output":{"shape":"S21"}},"DescribeFileSystems":{"http":{"method":"GET","requestUri":"/2015-02-01/file-systems","responseCode":200},"input":{"type":"structure","members":{"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"},"Marker":{"location":"querystring","locationName":"Marker"},"CreationToken":{"location":"querystring","locationName":"CreationToken"},"FileSystemId":{"location":"querystring","locationName":"FileSystemId"}}},"output":{"type":"structure","members":{"Marker":{},"FileSystems":{"type":"list","member":{"shape":"Sx"}},"NextMarker":{}}}},"DescribeLifecycleConfiguration":{"http":{"method":"GET","requestUri":"/2015-02-01/file-systems/{FileSystemId}/lifecycle-configuration","responseCode":200},"input":{"type":"structure","required":["FileSystemId"],"members":{"FileSystemId":{"location":"uri","locationName":"FileSystemId"}}},"output":{"shape":"S29"}},"DescribeMountTargetSecurityGroups":{"http":{"method":"GET","requestUri":"/2015-02-01/mount-targets/{MountTargetId}/security-groups","responseCode":200},"input":{"type":"structure","required":["MountTargetId"],"members":{"MountTargetId":{"location":"uri","locationName":"MountTargetId"}}},"output":{"type":"structure","required":["SecurityGroups"],"members":{"SecurityGroups":{"shape":"S18"}}}},"DescribeMountTargets":{"http":{"method":"GET","requestUri":"/2015-02-01/mount-targets","responseCode":200},"input":{"type":"structure","members":{"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"},"Marker":{"location":"querystring","locationName":"Marker"},"FileSystemId":{"location":"querystring","locationName":"FileSystemId"},"MountTargetId":{"location":"querystring","locationName":"MountTargetId"},"AccessPointId":{"location":"querystring","locationName":"AccessPointId"}}},"output":{"type":"structure","members":{"Marker":{},"MountTargets":{"type":"list","member":{"shape":"S1a"}},"NextMarker":{}}}},"DescribeTags":{"http":{"method":"GET","requestUri":"/2015-02-01/tags/{FileSystemId}/","responseCode":200},"input":{"type":"structure","required":["FileSystemId"],"members":{"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"},"Marker":{"location":"querystring","locationName":"Marker"},"FileSystemId":{"location":"uri","locationName":"FileSystemId"}}},"output":{"type":"structure","required":["Tags"],"members":{"Marker":{},"Tags":{"shape":"S3"},"NextMarker":{}}},"deprecated":true,"deprecatedMessage":"Use ListTagsForResource."},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/2015-02-01/resource-tags/{ResourceId}","responseCode":200},"input":{"type":"structure","required":["ResourceId"],"members":{"ResourceId":{"location":"uri","locationName":"ResourceId"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S3"},"NextToken":{}}}},"ModifyMountTargetSecurityGroups":{"http":{"method":"PUT","requestUri":"/2015-02-01/mount-targets/{MountTargetId}/security-groups","responseCode":204},"input":{"type":"structure","required":["MountTargetId"],"members":{"MountTargetId":{"location":"uri","locationName":"MountTargetId"},"SecurityGroups":{"shape":"S18"}}}},"PutAccountPreferences":{"http":{"method":"PUT","requestUri":"/2015-02-01/account-preferences","responseCode":200},"input":{"type":"structure","required":["ResourceIdType"],"members":{"ResourceIdType":{}}},"output":{"type":"structure","members":{"ResourceIdPreference":{"shape":"S1s"}}}},"PutBackupPolicy":{"http":{"method":"PUT","requestUri":"/2015-02-01/file-systems/{FileSystemId}/backup-policy","responseCode":200},"input":{"type":"structure","required":["FileSystemId","BackupPolicy"],"members":{"FileSystemId":{"location":"uri","locationName":"FileSystemId"},"BackupPolicy":{"shape":"S1y"}}},"output":{"shape":"S1x"}},"PutFileSystemPolicy":{"http":{"method":"PUT","requestUri":"/2015-02-01/file-systems/{FileSystemId}/policy","responseCode":200},"input":{"type":"structure","required":["FileSystemId","Policy"],"members":{"FileSystemId":{"location":"uri","locationName":"FileSystemId"},"Policy":{},"BypassPolicyLockoutSafetyCheck":{"type":"boolean"}}},"output":{"shape":"S21"}},"PutLifecycleConfiguration":{"http":{"method":"PUT","requestUri":"/2015-02-01/file-systems/{FileSystemId}/lifecycle-configuration","responseCode":200},"input":{"type":"structure","required":["FileSystemId","LifecyclePolicies"],"members":{"FileSystemId":{"location":"uri","locationName":"FileSystemId"},"LifecyclePolicies":{"shape":"S2a"}}},"output":{"shape":"S29"}},"TagResource":{"http":{"requestUri":"/2015-02-01/resource-tags/{ResourceId}","responseCode":200},"input":{"type":"structure","required":["ResourceId","Tags"],"members":{"ResourceId":{"location":"uri","locationName":"ResourceId"},"Tags":{"shape":"S3"}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/2015-02-01/resource-tags/{ResourceId}","responseCode":200},"input":{"type":"structure","required":["ResourceId","TagKeys"],"members":{"ResourceId":{"location":"uri","locationName":"ResourceId"},"TagKeys":{"shape":"S1k","location":"querystring","locationName":"tagKeys"}}}},"UpdateFileSystem":{"http":{"method":"PUT","requestUri":"/2015-02-01/file-systems/{FileSystemId}","responseCode":202},"input":{"type":"structure","required":["FileSystemId"],"members":{"FileSystemId":{"location":"uri","locationName":"FileSystemId"},"ThroughputMode":{},"ProvisionedThroughputInMibps":{"type":"double"}}},"output":{"shape":"Sx"}}},"shapes":{"S3":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S8":{"type":"structure","required":["Uid","Gid"],"members":{"Uid":{"type":"long"},"Gid":{"type":"long"},"SecondaryGids":{"type":"list","member":{"type":"long"}}}},"Sc":{"type":"structure","members":{"Path":{},"CreationInfo":{"type":"structure","required":["OwnerUid","OwnerGid","Permissions"],"members":{"OwnerUid":{"type":"long"},"OwnerGid":{"type":"long"},"Permissions":{}}}}},"Si":{"type":"structure","members":{"ClientToken":{},"Name":{},"Tags":{"shape":"S3"},"AccessPointId":{},"AccessPointArn":{},"FileSystemId":{},"PosixUser":{"shape":"S8"},"RootDirectory":{"shape":"Sc"},"OwnerId":{},"LifeCycleState":{}}},"Sx":{"type":"structure","required":["OwnerId","CreationToken","FileSystemId","CreationTime","LifeCycleState","NumberOfMountTargets","SizeInBytes","PerformanceMode","Tags"],"members":{"OwnerId":{},"CreationToken":{},"FileSystemId":{},"FileSystemArn":{},"CreationTime":{"type":"timestamp"},"LifeCycleState":{},"Name":{},"NumberOfMountTargets":{"type":"integer"},"SizeInBytes":{"type":"structure","required":["Value"],"members":{"Value":{"type":"long"},"Timestamp":{"type":"timestamp"},"ValueInIA":{"type":"long"},"ValueInStandard":{"type":"long"}}},"PerformanceMode":{},"Encrypted":{"type":"boolean"},"KmsKeyId":{},"ThroughputMode":{},"ProvisionedThroughputInMibps":{"type":"double"},"AvailabilityZoneName":{},"AvailabilityZoneId":{},"Tags":{"shape":"S3"}}},"S18":{"type":"list","member":{}},"S1a":{"type":"structure","required":["MountTargetId","FileSystemId","SubnetId","LifeCycleState"],"members":{"OwnerId":{},"MountTargetId":{},"FileSystemId":{},"SubnetId":{},"LifeCycleState":{},"IpAddress":{},"NetworkInterfaceId":{},"AvailabilityZoneId":{},"AvailabilityZoneName":{},"VpcId":{}}},"S1k":{"type":"list","member":{}},"S1s":{"type":"structure","members":{"ResourceIdType":{},"Resources":{"type":"list","member":{}}}},"S1x":{"type":"structure","members":{"BackupPolicy":{"shape":"S1y"}}},"S1y":{"type":"structure","required":["Status"],"members":{"Status":{}}},"S21":{"type":"structure","members":{"FileSystemId":{},"Policy":{}}},"S29":{"type":"structure","members":{"LifecyclePolicies":{"shape":"S2a"}}},"S2a":{"type":"list","member":{"type":"structure","members":{"TransitionToIA":{},"TransitionToPrimaryStorageClass":{}}}}}}');

/***/ }),

/***/ 40174:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeAccessPoints":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeFileSystems":{"input_token":"Marker","output_token":"NextMarker","limit_key":"MaxItems"},"DescribeTags":{"input_token":"Marker","output_token":"NextMarker","limit_key":"MaxItems"},"ListTagsForResource":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 66258:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2012-06-01","endpointPrefix":"elasticloadbalancing","protocol":"query","serviceFullName":"Elastic Load Balancing","serviceId":"Elastic Load Balancing","signatureVersion":"v4","uid":"elasticloadbalancing-2012-06-01","xmlNamespace":"http://elasticloadbalancing.amazonaws.com/doc/2012-06-01/"},"operations":{"AddTags":{"input":{"type":"structure","required":["LoadBalancerNames","Tags"],"members":{"LoadBalancerNames":{"shape":"S2"},"Tags":{"shape":"S4"}}},"output":{"resultWrapper":"AddTagsResult","type":"structure","members":{}}},"ApplySecurityGroupsToLoadBalancer":{"input":{"type":"structure","required":["LoadBalancerName","SecurityGroups"],"members":{"LoadBalancerName":{},"SecurityGroups":{"shape":"Sa"}}},"output":{"resultWrapper":"ApplySecurityGroupsToLoadBalancerResult","type":"structure","members":{"SecurityGroups":{"shape":"Sa"}}}},"AttachLoadBalancerToSubnets":{"input":{"type":"structure","required":["LoadBalancerName","Subnets"],"members":{"LoadBalancerName":{},"Subnets":{"shape":"Se"}}},"output":{"resultWrapper":"AttachLoadBalancerToSubnetsResult","type":"structure","members":{"Subnets":{"shape":"Se"}}}},"ConfigureHealthCheck":{"input":{"type":"structure","required":["LoadBalancerName","HealthCheck"],"members":{"LoadBalancerName":{},"HealthCheck":{"shape":"Si"}}},"output":{"resultWrapper":"ConfigureHealthCheckResult","type":"structure","members":{"HealthCheck":{"shape":"Si"}}}},"CreateAppCookieStickinessPolicy":{"input":{"type":"structure","required":["LoadBalancerName","PolicyName","CookieName"],"members":{"LoadBalancerName":{},"PolicyName":{},"CookieName":{}}},"output":{"resultWrapper":"CreateAppCookieStickinessPolicyResult","type":"structure","members":{}}},"CreateLBCookieStickinessPolicy":{"input":{"type":"structure","required":["LoadBalancerName","PolicyName"],"members":{"LoadBalancerName":{},"PolicyName":{},"CookieExpirationPeriod":{"type":"long"}}},"output":{"resultWrapper":"CreateLBCookieStickinessPolicyResult","type":"structure","members":{}}},"CreateLoadBalancer":{"input":{"type":"structure","required":["LoadBalancerName","Listeners"],"members":{"LoadBalancerName":{},"Listeners":{"shape":"Sx"},"AvailabilityZones":{"shape":"S13"},"Subnets":{"shape":"Se"},"SecurityGroups":{"shape":"Sa"},"Scheme":{},"Tags":{"shape":"S4"}}},"output":{"resultWrapper":"CreateLoadBalancerResult","type":"structure","members":{"DNSName":{}}}},"CreateLoadBalancerListeners":{"input":{"type":"structure","required":["LoadBalancerName","Listeners"],"members":{"LoadBalancerName":{},"Listeners":{"shape":"Sx"}}},"output":{"resultWrapper":"CreateLoadBalancerListenersResult","type":"structure","members":{}}},"CreateLoadBalancerPolicy":{"input":{"type":"structure","required":["LoadBalancerName","PolicyName","PolicyTypeName"],"members":{"LoadBalancerName":{},"PolicyName":{},"PolicyTypeName":{},"PolicyAttributes":{"type":"list","member":{"type":"structure","members":{"AttributeName":{},"AttributeValue":{}}}}}},"output":{"resultWrapper":"CreateLoadBalancerPolicyResult","type":"structure","members":{}}},"DeleteLoadBalancer":{"input":{"type":"structure","required":["LoadBalancerName"],"members":{"LoadBalancerName":{}}},"output":{"resultWrapper":"DeleteLoadBalancerResult","type":"structure","members":{}}},"DeleteLoadBalancerListeners":{"input":{"type":"structure","required":["LoadBalancerName","LoadBalancerPorts"],"members":{"LoadBalancerName":{},"LoadBalancerPorts":{"type":"list","member":{"type":"integer"}}}},"output":{"resultWrapper":"DeleteLoadBalancerListenersResult","type":"structure","members":{}}},"DeleteLoadBalancerPolicy":{"input":{"type":"structure","required":["LoadBalancerName","PolicyName"],"members":{"LoadBalancerName":{},"PolicyName":{}}},"output":{"resultWrapper":"DeleteLoadBalancerPolicyResult","type":"structure","members":{}}},"DeregisterInstancesFromLoadBalancer":{"input":{"type":"structure","required":["LoadBalancerName","Instances"],"members":{"LoadBalancerName":{},"Instances":{"shape":"S1p"}}},"output":{"resultWrapper":"DeregisterInstancesFromLoadBalancerResult","type":"structure","members":{"Instances":{"shape":"S1p"}}}},"DescribeAccountLimits":{"input":{"type":"structure","members":{"Marker":{},"PageSize":{"type":"integer"}}},"output":{"resultWrapper":"DescribeAccountLimitsResult","type":"structure","members":{"Limits":{"type":"list","member":{"type":"structure","members":{"Name":{},"Max":{}}}},"NextMarker":{}}}},"DescribeInstanceHealth":{"input":{"type":"structure","required":["LoadBalancerName"],"members":{"LoadBalancerName":{},"Instances":{"shape":"S1p"}}},"output":{"resultWrapper":"DescribeInstanceHealthResult","type":"structure","members":{"InstanceStates":{"type":"list","member":{"type":"structure","members":{"InstanceId":{},"State":{},"ReasonCode":{},"Description":{}}}}}}},"DescribeLoadBalancerAttributes":{"input":{"type":"structure","required":["LoadBalancerName"],"members":{"LoadBalancerName":{}}},"output":{"resultWrapper":"DescribeLoadBalancerAttributesResult","type":"structure","members":{"LoadBalancerAttributes":{"shape":"S2a"}}}},"DescribeLoadBalancerPolicies":{"input":{"type":"structure","members":{"LoadBalancerName":{},"PolicyNames":{"shape":"S2s"}}},"output":{"resultWrapper":"DescribeLoadBalancerPoliciesResult","type":"structure","members":{"PolicyDescriptions":{"type":"list","member":{"type":"structure","members":{"PolicyName":{},"PolicyTypeName":{},"PolicyAttributeDescriptions":{"type":"list","member":{"type":"structure","members":{"AttributeName":{},"AttributeValue":{}}}}}}}}}},"DescribeLoadBalancerPolicyTypes":{"input":{"type":"structure","members":{"PolicyTypeNames":{"type":"list","member":{}}}},"output":{"resultWrapper":"DescribeLoadBalancerPolicyTypesResult","type":"structure","members":{"PolicyTypeDescriptions":{"type":"list","member":{"type":"structure","members":{"PolicyTypeName":{},"Description":{},"PolicyAttributeTypeDescriptions":{"type":"list","member":{"type":"structure","members":{"AttributeName":{},"AttributeType":{},"Description":{},"DefaultValue":{},"Cardinality":{}}}}}}}}}},"DescribeLoadBalancers":{"input":{"type":"structure","members":{"LoadBalancerNames":{"shape":"S2"},"Marker":{},"PageSize":{"type":"integer"}}},"output":{"resultWrapper":"DescribeLoadBalancersResult","type":"structure","members":{"LoadBalancerDescriptions":{"type":"list","member":{"type":"structure","members":{"LoadBalancerName":{},"DNSName":{},"CanonicalHostedZoneName":{},"CanonicalHostedZoneNameID":{},"ListenerDescriptions":{"type":"list","member":{"type":"structure","members":{"Listener":{"shape":"Sy"},"PolicyNames":{"shape":"S2s"}}}},"Policies":{"type":"structure","members":{"AppCookieStickinessPolicies":{"type":"list","member":{"type":"structure","members":{"PolicyName":{},"CookieName":{}}}},"LBCookieStickinessPolicies":{"type":"list","member":{"type":"structure","members":{"PolicyName":{},"CookieExpirationPeriod":{"type":"long"}}}},"OtherPolicies":{"shape":"S2s"}}},"BackendServerDescriptions":{"type":"list","member":{"type":"structure","members":{"InstancePort":{"type":"integer"},"PolicyNames":{"shape":"S2s"}}}},"AvailabilityZones":{"shape":"S13"},"Subnets":{"shape":"Se"},"VPCId":{},"Instances":{"shape":"S1p"},"HealthCheck":{"shape":"Si"},"SourceSecurityGroup":{"type":"structure","members":{"OwnerAlias":{},"GroupName":{}}},"SecurityGroups":{"shape":"Sa"},"CreatedTime":{"type":"timestamp"},"Scheme":{}}}},"NextMarker":{}}}},"DescribeTags":{"input":{"type":"structure","required":["LoadBalancerNames"],"members":{"LoadBalancerNames":{"type":"list","member":{}}}},"output":{"resultWrapper":"DescribeTagsResult","type":"structure","members":{"TagDescriptions":{"type":"list","member":{"type":"structure","members":{"LoadBalancerName":{},"Tags":{"shape":"S4"}}}}}}},"DetachLoadBalancerFromSubnets":{"input":{"type":"structure","required":["LoadBalancerName","Subnets"],"members":{"LoadBalancerName":{},"Subnets":{"shape":"Se"}}},"output":{"resultWrapper":"DetachLoadBalancerFromSubnetsResult","type":"structure","members":{"Subnets":{"shape":"Se"}}}},"DisableAvailabilityZonesForLoadBalancer":{"input":{"type":"structure","required":["LoadBalancerName","AvailabilityZones"],"members":{"LoadBalancerName":{},"AvailabilityZones":{"shape":"S13"}}},"output":{"resultWrapper":"DisableAvailabilityZonesForLoadBalancerResult","type":"structure","members":{"AvailabilityZones":{"shape":"S13"}}}},"EnableAvailabilityZonesForLoadBalancer":{"input":{"type":"structure","required":["LoadBalancerName","AvailabilityZones"],"members":{"LoadBalancerName":{},"AvailabilityZones":{"shape":"S13"}}},"output":{"resultWrapper":"EnableAvailabilityZonesForLoadBalancerResult","type":"structure","members":{"AvailabilityZones":{"shape":"S13"}}}},"ModifyLoadBalancerAttributes":{"input":{"type":"structure","required":["LoadBalancerName","LoadBalancerAttributes"],"members":{"LoadBalancerName":{},"LoadBalancerAttributes":{"shape":"S2a"}}},"output":{"resultWrapper":"ModifyLoadBalancerAttributesResult","type":"structure","members":{"LoadBalancerName":{},"LoadBalancerAttributes":{"shape":"S2a"}}}},"RegisterInstancesWithLoadBalancer":{"input":{"type":"structure","required":["LoadBalancerName","Instances"],"members":{"LoadBalancerName":{},"Instances":{"shape":"S1p"}}},"output":{"resultWrapper":"RegisterInstancesWithLoadBalancerResult","type":"structure","members":{"Instances":{"shape":"S1p"}}}},"RemoveTags":{"input":{"type":"structure","required":["LoadBalancerNames","Tags"],"members":{"LoadBalancerNames":{"shape":"S2"},"Tags":{"type":"list","member":{"type":"structure","members":{"Key":{}}}}}},"output":{"resultWrapper":"RemoveTagsResult","type":"structure","members":{}}},"SetLoadBalancerListenerSSLCertificate":{"input":{"type":"structure","required":["LoadBalancerName","LoadBalancerPort","SSLCertificateId"],"members":{"LoadBalancerName":{},"LoadBalancerPort":{"type":"integer"},"SSLCertificateId":{}}},"output":{"resultWrapper":"SetLoadBalancerListenerSSLCertificateResult","type":"structure","members":{}}},"SetLoadBalancerPoliciesForBackendServer":{"input":{"type":"structure","required":["LoadBalancerName","InstancePort","PolicyNames"],"members":{"LoadBalancerName":{},"InstancePort":{"type":"integer"},"PolicyNames":{"shape":"S2s"}}},"output":{"resultWrapper":"SetLoadBalancerPoliciesForBackendServerResult","type":"structure","members":{}}},"SetLoadBalancerPoliciesOfListener":{"input":{"type":"structure","required":["LoadBalancerName","LoadBalancerPort","PolicyNames"],"members":{"LoadBalancerName":{},"LoadBalancerPort":{"type":"integer"},"PolicyNames":{"shape":"S2s"}}},"output":{"resultWrapper":"SetLoadBalancerPoliciesOfListenerResult","type":"structure","members":{}}}},"shapes":{"S2":{"type":"list","member":{}},"S4":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"Sa":{"type":"list","member":{}},"Se":{"type":"list","member":{}},"Si":{"type":"structure","required":["Target","Interval","Timeout","UnhealthyThreshold","HealthyThreshold"],"members":{"Target":{},"Interval":{"type":"integer"},"Timeout":{"type":"integer"},"UnhealthyThreshold":{"type":"integer"},"HealthyThreshold":{"type":"integer"}}},"Sx":{"type":"list","member":{"shape":"Sy"}},"Sy":{"type":"structure","required":["Protocol","LoadBalancerPort","InstancePort"],"members":{"Protocol":{},"LoadBalancerPort":{"type":"integer"},"InstanceProtocol":{},"InstancePort":{"type":"integer"},"SSLCertificateId":{}}},"S13":{"type":"list","member":{}},"S1p":{"type":"list","member":{"type":"structure","members":{"InstanceId":{}}}},"S2a":{"type":"structure","members":{"CrossZoneLoadBalancing":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"}}},"AccessLog":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"},"S3BucketName":{},"EmitInterval":{"type":"integer"},"S3BucketPrefix":{}}},"ConnectionDraining":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"},"Timeout":{"type":"integer"}}},"ConnectionSettings":{"type":"structure","required":["IdleTimeout"],"members":{"IdleTimeout":{"type":"integer"}}},"AdditionalAttributes":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}}}},"S2s":{"type":"list","member":{}}}}');

/***/ }),

/***/ 77372:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeInstanceHealth":{"result_key":"InstanceStates"},"DescribeLoadBalancerPolicies":{"result_key":"PolicyDescriptions"},"DescribeLoadBalancerPolicyTypes":{"result_key":"PolicyTypeDescriptions"},"DescribeLoadBalancers":{"input_token":"Marker","output_token":"NextMarker","result_key":"LoadBalancerDescriptions"}}}');

/***/ }),

/***/ 56717:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"InstanceDeregistered":{"delay":15,"operation":"DescribeInstanceHealth","maxAttempts":40,"acceptors":[{"expected":"OutOfService","matcher":"pathAll","state":"success","argument":"InstanceStates[].State"},{"matcher":"error","expected":"InvalidInstance","state":"success"}]},"AnyInstanceInService":{"acceptors":[{"argument":"InstanceStates[].State","expected":"InService","matcher":"pathAny","state":"success"}],"delay":15,"maxAttempts":40,"operation":"DescribeInstanceHealth"},"InstanceInService":{"acceptors":[{"argument":"InstanceStates[].State","expected":"InService","matcher":"pathAll","state":"success"},{"matcher":"error","expected":"InvalidInstance","state":"retry"}],"delay":15,"maxAttempts":40,"operation":"DescribeInstanceHealth"}}}');

/***/ }),

/***/ 42628:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-12-01","endpointPrefix":"elasticloadbalancing","protocol":"query","serviceAbbreviation":"Elastic Load Balancing v2","serviceFullName":"Elastic Load Balancing","serviceId":"Elastic Load Balancing v2","signatureVersion":"v4","uid":"elasticloadbalancingv2-2015-12-01","xmlNamespace":"http://elasticloadbalancing.amazonaws.com/doc/2015-12-01/"},"operations":{"AddListenerCertificates":{"input":{"type":"structure","required":["ListenerArn","Certificates"],"members":{"ListenerArn":{},"Certificates":{"shape":"S3"}}},"output":{"resultWrapper":"AddListenerCertificatesResult","type":"structure","members":{"Certificates":{"shape":"S3"}}}},"AddTags":{"input":{"type":"structure","required":["ResourceArns","Tags"],"members":{"ResourceArns":{"shape":"S9"},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"AddTagsResult","type":"structure","members":{}}},"CreateListener":{"input":{"type":"structure","required":["LoadBalancerArn","DefaultActions"],"members":{"LoadBalancerArn":{},"Protocol":{},"Port":{"type":"integer"},"SslPolicy":{},"Certificates":{"shape":"S3"},"DefaultActions":{"shape":"Sl"},"AlpnPolicy":{"shape":"S1y"},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CreateListenerResult","type":"structure","members":{"Listeners":{"shape":"S21"}}}},"CreateLoadBalancer":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Subnets":{"shape":"S25"},"SubnetMappings":{"shape":"S27"},"SecurityGroups":{"shape":"S2c"},"Scheme":{},"Tags":{"shape":"Sb"},"Type":{},"IpAddressType":{},"CustomerOwnedIpv4Pool":{}}},"output":{"resultWrapper":"CreateLoadBalancerResult","type":"structure","members":{"LoadBalancers":{"shape":"S2j"}}}},"CreateRule":{"input":{"type":"structure","required":["ListenerArn","Conditions","Priority","Actions"],"members":{"ListenerArn":{},"Conditions":{"shape":"S30"},"Priority":{"type":"integer"},"Actions":{"shape":"Sl"},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CreateRuleResult","type":"structure","members":{"Rules":{"shape":"S3g"}}}},"CreateTargetGroup":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Protocol":{},"ProtocolVersion":{},"Port":{"type":"integer"},"VpcId":{},"HealthCheckProtocol":{},"HealthCheckPort":{},"HealthCheckEnabled":{"type":"boolean"},"HealthCheckPath":{},"HealthCheckIntervalSeconds":{"type":"integer"},"HealthCheckTimeoutSeconds":{"type":"integer"},"HealthyThresholdCount":{"type":"integer"},"UnhealthyThresholdCount":{"type":"integer"},"Matcher":{"shape":"S3u"},"TargetType":{},"Tags":{"shape":"Sb"},"IpAddressType":{}}},"output":{"resultWrapper":"CreateTargetGroupResult","type":"structure","members":{"TargetGroups":{"shape":"S40"}}}},"DeleteListener":{"input":{"type":"structure","required":["ListenerArn"],"members":{"ListenerArn":{}}},"output":{"resultWrapper":"DeleteListenerResult","type":"structure","members":{}}},"DeleteLoadBalancer":{"input":{"type":"structure","required":["LoadBalancerArn"],"members":{"LoadBalancerArn":{}}},"output":{"resultWrapper":"DeleteLoadBalancerResult","type":"structure","members":{}}},"DeleteRule":{"input":{"type":"structure","required":["RuleArn"],"members":{"RuleArn":{}}},"output":{"resultWrapper":"DeleteRuleResult","type":"structure","members":{}}},"DeleteTargetGroup":{"input":{"type":"structure","required":["TargetGroupArn"],"members":{"TargetGroupArn":{}}},"output":{"resultWrapper":"DeleteTargetGroupResult","type":"structure","members":{}}},"DeregisterTargets":{"input":{"type":"structure","required":["TargetGroupArn","Targets"],"members":{"TargetGroupArn":{},"Targets":{"shape":"S4c"}}},"output":{"resultWrapper":"DeregisterTargetsResult","type":"structure","members":{}}},"DescribeAccountLimits":{"input":{"type":"structure","members":{"Marker":{},"PageSize":{"type":"integer"}}},"output":{"resultWrapper":"DescribeAccountLimitsResult","type":"structure","members":{"Limits":{"type":"list","member":{"type":"structure","members":{"Name":{},"Max":{}}}},"NextMarker":{}}}},"DescribeListenerCertificates":{"input":{"type":"structure","required":["ListenerArn"],"members":{"ListenerArn":{},"Marker":{},"PageSize":{"type":"integer"}}},"output":{"resultWrapper":"DescribeListenerCertificatesResult","type":"structure","members":{"Certificates":{"shape":"S3"},"NextMarker":{}}}},"DescribeListeners":{"input":{"type":"structure","members":{"LoadBalancerArn":{},"ListenerArns":{"type":"list","member":{}},"Marker":{},"PageSize":{"type":"integer"}}},"output":{"resultWrapper":"DescribeListenersResult","type":"structure","members":{"Listeners":{"shape":"S21"},"NextMarker":{}}}},"DescribeLoadBalancerAttributes":{"input":{"type":"structure","required":["LoadBalancerArn"],"members":{"LoadBalancerArn":{}}},"output":{"resultWrapper":"DescribeLoadBalancerAttributesResult","type":"structure","members":{"Attributes":{"shape":"S4v"}}}},"DescribeLoadBalancers":{"input":{"type":"structure","members":{"LoadBalancerArns":{"shape":"S42"},"Names":{"type":"list","member":{}},"Marker":{},"PageSize":{"type":"integer"}}},"output":{"resultWrapper":"DescribeLoadBalancersResult","type":"structure","members":{"LoadBalancers":{"shape":"S2j"},"NextMarker":{}}}},"DescribeRules":{"input":{"type":"structure","members":{"ListenerArn":{},"RuleArns":{"type":"list","member":{}},"Marker":{},"PageSize":{"type":"integer"}}},"output":{"resultWrapper":"DescribeRulesResult","type":"structure","members":{"Rules":{"shape":"S3g"},"NextMarker":{}}}},"DescribeSSLPolicies":{"input":{"type":"structure","members":{"Names":{"type":"list","member":{}},"Marker":{},"PageSize":{"type":"integer"},"LoadBalancerType":{}}},"output":{"resultWrapper":"DescribeSSLPoliciesResult","type":"structure","members":{"SslPolicies":{"type":"list","member":{"type":"structure","members":{"SslProtocols":{"type":"list","member":{}},"Ciphers":{"type":"list","member":{"type":"structure","members":{"Name":{},"Priority":{"type":"integer"}}}},"Name":{},"SupportedLoadBalancerTypes":{"shape":"S33"}}}},"NextMarker":{}}}},"DescribeTags":{"input":{"type":"structure","required":["ResourceArns"],"members":{"ResourceArns":{"shape":"S9"}}},"output":{"resultWrapper":"DescribeTagsResult","type":"structure","members":{"TagDescriptions":{"type":"list","member":{"type":"structure","members":{"ResourceArn":{},"Tags":{"shape":"Sb"}}}}}}},"DescribeTargetGroupAttributes":{"input":{"type":"structure","required":["TargetGroupArn"],"members":{"TargetGroupArn":{}}},"output":{"resultWrapper":"DescribeTargetGroupAttributesResult","type":"structure","members":{"Attributes":{"shape":"S5m"}}}},"DescribeTargetGroups":{"input":{"type":"structure","members":{"LoadBalancerArn":{},"TargetGroupArns":{"type":"list","member":{}},"Names":{"type":"list","member":{}},"Marker":{},"PageSize":{"type":"integer"}}},"output":{"resultWrapper":"DescribeTargetGroupsResult","type":"structure","members":{"TargetGroups":{"shape":"S40"},"NextMarker":{}}}},"DescribeTargetHealth":{"input":{"type":"structure","required":["TargetGroupArn"],"members":{"TargetGroupArn":{},"Targets":{"shape":"S4c"}}},"output":{"resultWrapper":"DescribeTargetHealthResult","type":"structure","members":{"TargetHealthDescriptions":{"type":"list","member":{"type":"structure","members":{"Target":{"shape":"S4d"},"HealthCheckPort":{},"TargetHealth":{"type":"structure","members":{"State":{},"Reason":{},"Description":{}}}}}}}}},"ModifyListener":{"input":{"type":"structure","required":["ListenerArn"],"members":{"ListenerArn":{},"Port":{"type":"integer"},"Protocol":{},"SslPolicy":{},"Certificates":{"shape":"S3"},"DefaultActions":{"shape":"Sl"},"AlpnPolicy":{"shape":"S1y"}}},"output":{"resultWrapper":"ModifyListenerResult","type":"structure","members":{"Listeners":{"shape":"S21"}}}},"ModifyLoadBalancerAttributes":{"input":{"type":"structure","required":["LoadBalancerArn","Attributes"],"members":{"LoadBalancerArn":{},"Attributes":{"shape":"S4v"}}},"output":{"resultWrapper":"ModifyLoadBalancerAttributesResult","type":"structure","members":{"Attributes":{"shape":"S4v"}}}},"ModifyRule":{"input":{"type":"structure","required":["RuleArn"],"members":{"RuleArn":{},"Conditions":{"shape":"S30"},"Actions":{"shape":"Sl"}}},"output":{"resultWrapper":"ModifyRuleResult","type":"structure","members":{"Rules":{"shape":"S3g"}}}},"ModifyTargetGroup":{"input":{"type":"structure","required":["TargetGroupArn"],"members":{"TargetGroupArn":{},"HealthCheckProtocol":{},"HealthCheckPort":{},"HealthCheckPath":{},"HealthCheckEnabled":{"type":"boolean"},"HealthCheckIntervalSeconds":{"type":"integer"},"HealthCheckTimeoutSeconds":{"type":"integer"},"HealthyThresholdCount":{"type":"integer"},"UnhealthyThresholdCount":{"type":"integer"},"Matcher":{"shape":"S3u"}}},"output":{"resultWrapper":"ModifyTargetGroupResult","type":"structure","members":{"TargetGroups":{"shape":"S40"}}}},"ModifyTargetGroupAttributes":{"input":{"type":"structure","required":["TargetGroupArn","Attributes"],"members":{"TargetGroupArn":{},"Attributes":{"shape":"S5m"}}},"output":{"resultWrapper":"ModifyTargetGroupAttributesResult","type":"structure","members":{"Attributes":{"shape":"S5m"}}}},"RegisterTargets":{"input":{"type":"structure","required":["TargetGroupArn","Targets"],"members":{"TargetGroupArn":{},"Targets":{"shape":"S4c"}}},"output":{"resultWrapper":"RegisterTargetsResult","type":"structure","members":{}}},"RemoveListenerCertificates":{"input":{"type":"structure","required":["ListenerArn","Certificates"],"members":{"ListenerArn":{},"Certificates":{"shape":"S3"}}},"output":{"resultWrapper":"RemoveListenerCertificatesResult","type":"structure","members":{}}},"RemoveTags":{"input":{"type":"structure","required":["ResourceArns","TagKeys"],"members":{"ResourceArns":{"shape":"S9"},"TagKeys":{"type":"list","member":{}}}},"output":{"resultWrapper":"RemoveTagsResult","type":"structure","members":{}}},"SetIpAddressType":{"input":{"type":"structure","required":["LoadBalancerArn","IpAddressType"],"members":{"LoadBalancerArn":{},"IpAddressType":{}}},"output":{"resultWrapper":"SetIpAddressTypeResult","type":"structure","members":{"IpAddressType":{}}}},"SetRulePriorities":{"input":{"type":"structure","required":["RulePriorities"],"members":{"RulePriorities":{"type":"list","member":{"type":"structure","members":{"RuleArn":{},"Priority":{"type":"integer"}}}}}},"output":{"resultWrapper":"SetRulePrioritiesResult","type":"structure","members":{"Rules":{"shape":"S3g"}}}},"SetSecurityGroups":{"input":{"type":"structure","required":["LoadBalancerArn","SecurityGroups"],"members":{"LoadBalancerArn":{},"SecurityGroups":{"shape":"S2c"}}},"output":{"resultWrapper":"SetSecurityGroupsResult","type":"structure","members":{"SecurityGroupIds":{"shape":"S2c"}}}},"SetSubnets":{"input":{"type":"structure","required":["LoadBalancerArn"],"members":{"LoadBalancerArn":{},"Subnets":{"shape":"S25"},"SubnetMappings":{"shape":"S27"},"IpAddressType":{}}},"output":{"resultWrapper":"SetSubnetsResult","type":"structure","members":{"AvailabilityZones":{"shape":"S2s"},"IpAddressType":{}}}}},"shapes":{"S3":{"type":"list","member":{"type":"structure","members":{"CertificateArn":{},"IsDefault":{"type":"boolean"}}}},"S9":{"type":"list","member":{}},"Sb":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"Sl":{"type":"list","member":{"type":"structure","required":["Type"],"members":{"Type":{},"TargetGroupArn":{},"AuthenticateOidcConfig":{"type":"structure","required":["Issuer","AuthorizationEndpoint","TokenEndpoint","UserInfoEndpoint","ClientId"],"members":{"Issuer":{},"AuthorizationEndpoint":{},"TokenEndpoint":{},"UserInfoEndpoint":{},"ClientId":{},"ClientSecret":{},"SessionCookieName":{},"Scope":{},"SessionTimeout":{"type":"long"},"AuthenticationRequestExtraParams":{"type":"map","key":{},"value":{}},"OnUnauthenticatedRequest":{},"UseExistingClientSecret":{"type":"boolean"}}},"AuthenticateCognitoConfig":{"type":"structure","required":["UserPoolArn","UserPoolClientId","UserPoolDomain"],"members":{"UserPoolArn":{},"UserPoolClientId":{},"UserPoolDomain":{},"SessionCookieName":{},"Scope":{},"SessionTimeout":{"type":"long"},"AuthenticationRequestExtraParams":{"type":"map","key":{},"value":{}},"OnUnauthenticatedRequest":{}}},"Order":{"type":"integer"},"RedirectConfig":{"type":"structure","required":["StatusCode"],"members":{"Protocol":{},"Port":{},"Host":{},"Path":{},"Query":{},"StatusCode":{}}},"FixedResponseConfig":{"type":"structure","required":["StatusCode"],"members":{"MessageBody":{},"StatusCode":{},"ContentType":{}}},"ForwardConfig":{"type":"structure","members":{"TargetGroups":{"type":"list","member":{"type":"structure","members":{"TargetGroupArn":{},"Weight":{"type":"integer"}}}},"TargetGroupStickinessConfig":{"type":"structure","members":{"Enabled":{"type":"boolean"},"DurationSeconds":{"type":"integer"}}}}}}}},"S1y":{"type":"list","member":{}},"S21":{"type":"list","member":{"type":"structure","members":{"ListenerArn":{},"LoadBalancerArn":{},"Port":{"type":"integer"},"Protocol":{},"Certificates":{"shape":"S3"},"SslPolicy":{},"DefaultActions":{"shape":"Sl"},"AlpnPolicy":{"shape":"S1y"}}}},"S25":{"type":"list","member":{}},"S27":{"type":"list","member":{"type":"structure","members":{"SubnetId":{},"AllocationId":{},"PrivateIPv4Address":{},"IPv6Address":{}}}},"S2c":{"type":"list","member":{}},"S2j":{"type":"list","member":{"type":"structure","members":{"LoadBalancerArn":{},"DNSName":{},"CanonicalHostedZoneId":{},"CreatedTime":{"type":"timestamp"},"LoadBalancerName":{},"Scheme":{},"VpcId":{},"State":{"type":"structure","members":{"Code":{},"Reason":{}}},"Type":{},"AvailabilityZones":{"shape":"S2s"},"SecurityGroups":{"shape":"S2c"},"IpAddressType":{},"CustomerOwnedIpv4Pool":{}}}},"S2s":{"type":"list","member":{"type":"structure","members":{"ZoneName":{},"SubnetId":{},"OutpostId":{},"LoadBalancerAddresses":{"type":"list","member":{"type":"structure","members":{"IpAddress":{},"AllocationId":{},"PrivateIPv4Address":{},"IPv6Address":{}}}}}}},"S30":{"type":"list","member":{"type":"structure","members":{"Field":{},"Values":{"shape":"S33"},"HostHeaderConfig":{"type":"structure","members":{"Values":{"shape":"S33"}}},"PathPatternConfig":{"type":"structure","members":{"Values":{"shape":"S33"}}},"HttpHeaderConfig":{"type":"structure","members":{"HttpHeaderName":{},"Values":{"shape":"S33"}}},"QueryStringConfig":{"type":"structure","members":{"Values":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}}}},"HttpRequestMethodConfig":{"type":"structure","members":{"Values":{"shape":"S33"}}},"SourceIpConfig":{"type":"structure","members":{"Values":{"shape":"S33"}}}}}},"S33":{"type":"list","member":{}},"S3g":{"type":"list","member":{"type":"structure","members":{"RuleArn":{},"Priority":{},"Conditions":{"shape":"S30"},"Actions":{"shape":"Sl"},"IsDefault":{"type":"boolean"}}}},"S3u":{"type":"structure","members":{"HttpCode":{},"GrpcCode":{}}},"S40":{"type":"list","member":{"type":"structure","members":{"TargetGroupArn":{},"TargetGroupName":{},"Protocol":{},"Port":{"type":"integer"},"VpcId":{},"HealthCheckProtocol":{},"HealthCheckPort":{},"HealthCheckEnabled":{"type":"boolean"},"HealthCheckIntervalSeconds":{"type":"integer"},"HealthCheckTimeoutSeconds":{"type":"integer"},"HealthyThresholdCount":{"type":"integer"},"UnhealthyThresholdCount":{"type":"integer"},"HealthCheckPath":{},"Matcher":{"shape":"S3u"},"LoadBalancerArns":{"shape":"S42"},"TargetType":{},"ProtocolVersion":{},"IpAddressType":{}}}},"S42":{"type":"list","member":{}},"S4c":{"type":"list","member":{"shape":"S4d"}},"S4d":{"type":"structure","required":["Id"],"members":{"Id":{},"Port":{"type":"integer"},"AvailabilityZone":{}}},"S4v":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"S5m":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}}}}');

/***/ }),

/***/ 12274:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeListeners":{"input_token":"Marker","output_token":"NextMarker","result_key":"Listeners"},"DescribeLoadBalancers":{"input_token":"Marker","output_token":"NextMarker","result_key":"LoadBalancers"},"DescribeTargetGroups":{"input_token":"Marker","output_token":"NextMarker","result_key":"TargetGroups"}}}');

/***/ }),

/***/ 56106:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"LoadBalancerExists":{"delay":15,"operation":"DescribeLoadBalancers","maxAttempts":40,"acceptors":[{"matcher":"status","expected":200,"state":"success"},{"matcher":"error","expected":"LoadBalancerNotFound","state":"retry"}]},"LoadBalancerAvailable":{"delay":15,"operation":"DescribeLoadBalancers","maxAttempts":40,"acceptors":[{"state":"success","matcher":"pathAll","argument":"LoadBalancers[].State.Code","expected":"active"},{"state":"retry","matcher":"pathAny","argument":"LoadBalancers[].State.Code","expected":"provisioning"},{"state":"retry","matcher":"error","expected":"LoadBalancerNotFound"}]},"LoadBalancersDeleted":{"delay":15,"operation":"DescribeLoadBalancers","maxAttempts":40,"acceptors":[{"state":"retry","matcher":"pathAll","argument":"LoadBalancers[].State.Code","expected":"active"},{"matcher":"error","expected":"LoadBalancerNotFound","state":"success"}]},"TargetInService":{"delay":15,"maxAttempts":40,"operation":"DescribeTargetHealth","acceptors":[{"argument":"TargetHealthDescriptions[].TargetHealth.State","expected":"healthy","matcher":"pathAll","state":"success"},{"matcher":"error","expected":"InvalidInstance","state":"retry"}]},"TargetDeregistered":{"delay":15,"maxAttempts":40,"operation":"DescribeTargetHealth","acceptors":[{"matcher":"error","expected":"InvalidTarget","state":"success"},{"argument":"TargetHealthDescriptions[].TargetHealth.State","expected":"unused","matcher":"pathAll","state":"success"}]}}}');

/***/ }),

/***/ 91298:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2009-03-31","endpointPrefix":"elasticmapreduce","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Amazon EMR","serviceFullName":"Amazon EMR","serviceId":"EMR","signatureVersion":"v4","targetPrefix":"ElasticMapReduce","uid":"elasticmapreduce-2009-03-31"},"operations":{"AddInstanceFleet":{"input":{"type":"structure","required":["ClusterId","InstanceFleet"],"members":{"ClusterId":{},"InstanceFleet":{"shape":"S3"}}},"output":{"type":"structure","members":{"ClusterId":{},"InstanceFleetId":{},"ClusterArn":{}}}},"AddInstanceGroups":{"input":{"type":"structure","required":["InstanceGroups","JobFlowId"],"members":{"InstanceGroups":{"shape":"Sx"},"JobFlowId":{}}},"output":{"type":"structure","members":{"JobFlowId":{},"InstanceGroupIds":{"type":"list","member":{}},"ClusterArn":{}}}},"AddJobFlowSteps":{"input":{"type":"structure","required":["JobFlowId","Steps"],"members":{"JobFlowId":{},"Steps":{"shape":"S1i"}}},"output":{"type":"structure","members":{"StepIds":{"shape":"S1r"}}}},"AddTags":{"input":{"type":"structure","required":["ResourceId","Tags"],"members":{"ResourceId":{},"Tags":{"shape":"S1u"}}},"output":{"type":"structure","members":{}}},"CancelSteps":{"input":{"type":"structure","required":["ClusterId","StepIds"],"members":{"ClusterId":{},"StepIds":{"shape":"S1r"},"StepCancellationOption":{}}},"output":{"type":"structure","members":{"CancelStepsInfoList":{"type":"list","member":{"type":"structure","members":{"StepId":{},"Status":{},"Reason":{}}}}}}},"CreateSecurityConfiguration":{"input":{"type":"structure","required":["Name","SecurityConfiguration"],"members":{"Name":{},"SecurityConfiguration":{}}},"output":{"type":"structure","required":["Name","CreationDateTime"],"members":{"Name":{},"CreationDateTime":{"type":"timestamp"}}}},"CreateStudio":{"input":{"type":"structure","required":["Name","AuthMode","VpcId","SubnetIds","ServiceRole","WorkspaceSecurityGroupId","EngineSecurityGroupId","DefaultS3Location"],"members":{"Name":{},"Description":{},"AuthMode":{},"VpcId":{},"SubnetIds":{"shape":"S29"},"ServiceRole":{},"UserRole":{},"WorkspaceSecurityGroupId":{},"EngineSecurityGroupId":{},"DefaultS3Location":{},"IdpAuthUrl":{},"IdpRelayStateParameterName":{},"Tags":{"shape":"S1u"}}},"output":{"type":"structure","members":{"StudioId":{},"Url":{}}}},"CreateStudioSessionMapping":{"input":{"type":"structure","required":["StudioId","IdentityType","SessionPolicyArn"],"members":{"StudioId":{},"IdentityId":{},"IdentityName":{},"IdentityType":{},"SessionPolicyArn":{}}}},"DeleteSecurityConfiguration":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteStudio":{"input":{"type":"structure","required":["StudioId"],"members":{"StudioId":{}}}},"DeleteStudioSessionMapping":{"input":{"type":"structure","required":["StudioId","IdentityType"],"members":{"StudioId":{},"IdentityId":{},"IdentityName":{},"IdentityType":{}}}},"DescribeCluster":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{}}},"output":{"type":"structure","members":{"Cluster":{"type":"structure","members":{"Id":{},"Name":{},"Status":{"shape":"S2l"},"Ec2InstanceAttributes":{"type":"structure","members":{"Ec2KeyName":{},"Ec2SubnetId":{},"RequestedEc2SubnetIds":{"shape":"S2r"},"Ec2AvailabilityZone":{},"RequestedEc2AvailabilityZones":{"shape":"S2r"},"IamInstanceProfile":{},"EmrManagedMasterSecurityGroup":{},"EmrManagedSlaveSecurityGroup":{},"ServiceAccessSecurityGroup":{},"AdditionalMasterSecurityGroups":{"shape":"S2s"},"AdditionalSlaveSecurityGroups":{"shape":"S2s"}}},"InstanceCollectionType":{},"LogUri":{},"LogEncryptionKmsKeyId":{},"RequestedAmiVersion":{},"RunningAmiVersion":{},"ReleaseLabel":{},"AutoTerminate":{"type":"boolean"},"TerminationProtected":{"type":"boolean"},"VisibleToAllUsers":{"type":"boolean"},"Applications":{"shape":"S2v"},"Tags":{"shape":"S1u"},"ServiceRole":{},"NormalizedInstanceHours":{"type":"integer"},"MasterPublicDnsName":{},"Configurations":{"shape":"Sh"},"SecurityConfiguration":{},"AutoScalingRole":{},"ScaleDownBehavior":{},"CustomAmiId":{},"EbsRootVolumeSize":{"type":"integer"},"RepoUpgradeOnBoot":{},"KerberosAttributes":{"shape":"S2z"},"ClusterArn":{},"OutpostArn":{},"StepConcurrencyLevel":{"type":"integer"},"PlacementGroups":{"shape":"S31"}}}}}},"DescribeJobFlows":{"input":{"type":"structure","members":{"CreatedAfter":{"type":"timestamp"},"CreatedBefore":{"type":"timestamp"},"JobFlowIds":{"shape":"S1p"},"JobFlowStates":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"JobFlows":{"type":"list","member":{"type":"structure","required":["JobFlowId","Name","ExecutionStatusDetail","Instances"],"members":{"JobFlowId":{},"Name":{},"LogUri":{},"LogEncryptionKmsKeyId":{},"AmiVersion":{},"ExecutionStatusDetail":{"type":"structure","required":["State","CreationDateTime"],"members":{"State":{},"CreationDateTime":{"type":"timestamp"},"StartDateTime":{"type":"timestamp"},"ReadyDateTime":{"type":"timestamp"},"EndDateTime":{"type":"timestamp"},"LastStateChangeReason":{}}},"Instances":{"type":"structure","required":["MasterInstanceType","SlaveInstanceType","InstanceCount"],"members":{"MasterInstanceType":{},"MasterPublicDnsName":{},"MasterInstanceId":{},"SlaveInstanceType":{},"InstanceCount":{"type":"integer"},"InstanceGroups":{"type":"list","member":{"type":"structure","required":["Market","InstanceRole","InstanceType","InstanceRequestCount","InstanceRunningCount","State","CreationDateTime"],"members":{"InstanceGroupId":{},"Name":{},"Market":{},"InstanceRole":{},"BidPrice":{},"InstanceType":{},"InstanceRequestCount":{"type":"integer"},"InstanceRunningCount":{"type":"integer"},"State":{},"LastStateChangeReason":{},"CreationDateTime":{"type":"timestamp"},"StartDateTime":{"type":"timestamp"},"ReadyDateTime":{"type":"timestamp"},"EndDateTime":{"type":"timestamp"},"CustomAmiId":{}}}},"NormalizedInstanceHours":{"type":"integer"},"Ec2KeyName":{},"Ec2SubnetId":{},"Placement":{"shape":"S3f"},"KeepJobFlowAliveWhenNoSteps":{"type":"boolean"},"TerminationProtected":{"type":"boolean"},"HadoopVersion":{}}},"Steps":{"type":"list","member":{"type":"structure","required":["StepConfig","ExecutionStatusDetail"],"members":{"StepConfig":{"shape":"S1j"},"ExecutionStatusDetail":{"type":"structure","required":["State","CreationDateTime"],"members":{"State":{},"CreationDateTime":{"type":"timestamp"},"StartDateTime":{"type":"timestamp"},"EndDateTime":{"type":"timestamp"},"LastStateChangeReason":{}}}}}},"BootstrapActions":{"type":"list","member":{"type":"structure","members":{"BootstrapActionConfig":{"shape":"S3m"}}}},"SupportedProducts":{"shape":"S3o"},"VisibleToAllUsers":{"type":"boolean"},"JobFlowRole":{},"ServiceRole":{},"AutoScalingRole":{},"ScaleDownBehavior":{}}}}}},"deprecated":true},"DescribeNotebookExecution":{"input":{"type":"structure","required":["NotebookExecutionId"],"members":{"NotebookExecutionId":{}}},"output":{"type":"structure","members":{"NotebookExecution":{"type":"structure","members":{"NotebookExecutionId":{},"EditorId":{},"ExecutionEngine":{"shape":"S3s"},"NotebookExecutionName":{},"NotebookParams":{},"Status":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Arn":{},"OutputNotebookURI":{},"LastStateChangeReason":{},"NotebookInstanceSecurityGroupId":{},"Tags":{"shape":"S1u"}}}}}},"DescribeReleaseLabel":{"input":{"type":"structure","members":{"ReleaseLabel":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ReleaseLabel":{},"Applications":{"type":"list","member":{"type":"structure","members":{"Name":{},"Version":{}}}},"NextToken":{}}}},"DescribeSecurityConfiguration":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Name":{},"SecurityConfiguration":{},"CreationDateTime":{"type":"timestamp"}}}},"DescribeStep":{"input":{"type":"structure","required":["ClusterId","StepId"],"members":{"ClusterId":{},"StepId":{}}},"output":{"type":"structure","members":{"Step":{"type":"structure","members":{"Id":{},"Name":{},"Config":{"shape":"S45"},"ActionOnFailure":{},"Status":{"shape":"S46"}}}}}},"DescribeStudio":{"input":{"type":"structure","required":["StudioId"],"members":{"StudioId":{}}},"output":{"type":"structure","members":{"Studio":{"type":"structure","members":{"StudioId":{},"StudioArn":{},"Name":{},"Description":{},"AuthMode":{},"VpcId":{},"SubnetIds":{"shape":"S29"},"ServiceRole":{},"UserRole":{},"WorkspaceSecurityGroupId":{},"EngineSecurityGroupId":{},"Url":{},"CreationTime":{"type":"timestamp"},"DefaultS3Location":{},"IdpAuthUrl":{},"IdpRelayStateParameterName":{},"Tags":{"shape":"S1u"}}}}}},"GetAutoTerminationPolicy":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{}}},"output":{"type":"structure","members":{"AutoTerminationPolicy":{"shape":"S4h"}}}},"GetBlockPublicAccessConfiguration":{"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["BlockPublicAccessConfiguration","BlockPublicAccessConfigurationMetadata"],"members":{"BlockPublicAccessConfiguration":{"shape":"S4l"},"BlockPublicAccessConfigurationMetadata":{"type":"structure","required":["CreationDateTime","CreatedByArn"],"members":{"CreationDateTime":{"type":"timestamp"},"CreatedByArn":{}}}}}},"GetManagedScalingPolicy":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{}}},"output":{"type":"structure","members":{"ManagedScalingPolicy":{"shape":"S4s"}}}},"GetStudioSessionMapping":{"input":{"type":"structure","required":["StudioId","IdentityType"],"members":{"StudioId":{},"IdentityId":{},"IdentityName":{},"IdentityType":{}}},"output":{"type":"structure","members":{"SessionMapping":{"type":"structure","members":{"StudioId":{},"IdentityId":{},"IdentityName":{},"IdentityType":{},"SessionPolicyArn":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}}}},"ListBootstrapActions":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{},"Marker":{}}},"output":{"type":"structure","members":{"BootstrapActions":{"type":"list","member":{"type":"structure","members":{"Name":{},"ScriptPath":{},"Args":{"shape":"S2s"}}}},"Marker":{}}}},"ListClusters":{"input":{"type":"structure","members":{"CreatedAfter":{"type":"timestamp"},"CreatedBefore":{"type":"timestamp"},"ClusterStates":{"type":"list","member":{}},"Marker":{}}},"output":{"type":"structure","members":{"Clusters":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"Status":{"shape":"S2l"},"NormalizedInstanceHours":{"type":"integer"},"ClusterArn":{},"OutpostArn":{}}}},"Marker":{}}}},"ListInstanceFleets":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{},"Marker":{}}},"output":{"type":"structure","members":{"InstanceFleets":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"Status":{"type":"structure","members":{"State":{},"StateChangeReason":{"type":"structure","members":{"Code":{},"Message":{}}},"Timeline":{"type":"structure","members":{"CreationDateTime":{"type":"timestamp"},"ReadyDateTime":{"type":"timestamp"},"EndDateTime":{"type":"timestamp"}}}}},"InstanceFleetType":{},"TargetOnDemandCapacity":{"type":"integer"},"TargetSpotCapacity":{"type":"integer"},"ProvisionedOnDemandCapacity":{"type":"integer"},"ProvisionedSpotCapacity":{"type":"integer"},"InstanceTypeSpecifications":{"type":"list","member":{"type":"structure","members":{"InstanceType":{},"WeightedCapacity":{"type":"integer"},"BidPrice":{},"BidPriceAsPercentageOfOnDemandPrice":{"type":"double"},"Configurations":{"shape":"Sh"},"EbsBlockDevices":{"shape":"S5j"},"EbsOptimized":{"type":"boolean"},"CustomAmiId":{}}}},"LaunchSpecifications":{"shape":"Sk"}}}},"Marker":{}}}},"ListInstanceGroups":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{},"Marker":{}}},"output":{"type":"structure","members":{"InstanceGroups":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"Market":{},"InstanceGroupType":{},"BidPrice":{},"InstanceType":{},"RequestedInstanceCount":{"type":"integer"},"RunningInstanceCount":{"type":"integer"},"Status":{"type":"structure","members":{"State":{},"StateChangeReason":{"type":"structure","members":{"Code":{},"Message":{}}},"Timeline":{"type":"structure","members":{"CreationDateTime":{"type":"timestamp"},"ReadyDateTime":{"type":"timestamp"},"EndDateTime":{"type":"timestamp"}}}}},"Configurations":{"shape":"Sh"},"ConfigurationsVersion":{"type":"long"},"LastSuccessfullyAppliedConfigurations":{"shape":"Sh"},"LastSuccessfullyAppliedConfigurationsVersion":{"type":"long"},"EbsBlockDevices":{"shape":"S5j"},"EbsOptimized":{"type":"boolean"},"ShrinkPolicy":{"shape":"S5v"},"AutoScalingPolicy":{"shape":"S5z"},"CustomAmiId":{}}}},"Marker":{}}}},"ListInstances":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{},"InstanceGroupId":{},"InstanceGroupTypes":{"type":"list","member":{}},"InstanceFleetId":{},"InstanceFleetType":{},"InstanceStates":{"type":"list","member":{}},"Marker":{}}},"output":{"type":"structure","members":{"Instances":{"type":"list","member":{"type":"structure","members":{"Id":{},"Ec2InstanceId":{},"PublicDnsName":{},"PublicIpAddress":{},"PrivateDnsName":{},"PrivateIpAddress":{},"Status":{"type":"structure","members":{"State":{},"StateChangeReason":{"type":"structure","members":{"Code":{},"Message":{}}},"Timeline":{"type":"structure","members":{"CreationDateTime":{"type":"timestamp"},"ReadyDateTime":{"type":"timestamp"},"EndDateTime":{"type":"timestamp"}}}}},"InstanceGroupId":{},"InstanceFleetId":{},"Market":{},"InstanceType":{},"EbsVolumes":{"type":"list","member":{"type":"structure","members":{"Device":{},"VolumeId":{}}}}}}},"Marker":{}}}},"ListNotebookExecutions":{"input":{"type":"structure","members":{"EditorId":{},"Status":{},"From":{"type":"timestamp"},"To":{"type":"timestamp"},"Marker":{}}},"output":{"type":"structure","members":{"NotebookExecutions":{"type":"list","member":{"type":"structure","members":{"NotebookExecutionId":{},"EditorId":{},"NotebookExecutionName":{},"Status":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}}},"Marker":{}}}},"ListReleaseLabels":{"input":{"type":"structure","members":{"Filters":{"type":"structure","members":{"Prefix":{},"Application":{}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ReleaseLabels":{"shape":"S2s"},"NextToken":{}}}},"ListSecurityConfigurations":{"input":{"type":"structure","members":{"Marker":{}}},"output":{"type":"structure","members":{"SecurityConfigurations":{"type":"list","member":{"type":"structure","members":{"Name":{},"CreationDateTime":{"type":"timestamp"}}}},"Marker":{}}}},"ListSteps":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{},"StepStates":{"type":"list","member":{}},"StepIds":{"shape":"S1p"},"Marker":{}}},"output":{"type":"structure","members":{"Steps":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"Config":{"shape":"S45"},"ActionOnFailure":{},"Status":{"shape":"S46"}}}},"Marker":{}}}},"ListStudioSessionMappings":{"input":{"type":"structure","members":{"StudioId":{},"IdentityType":{},"Marker":{}}},"output":{"type":"structure","members":{"SessionMappings":{"type":"list","member":{"type":"structure","members":{"StudioId":{},"IdentityId":{},"IdentityName":{},"IdentityType":{},"SessionPolicyArn":{},"CreationTime":{"type":"timestamp"}}}},"Marker":{}}}},"ListStudios":{"input":{"type":"structure","members":{"Marker":{}}},"output":{"type":"structure","members":{"Studios":{"type":"list","member":{"type":"structure","members":{"StudioId":{},"Name":{},"VpcId":{},"Description":{},"Url":{},"AuthMode":{},"CreationTime":{"type":"timestamp"}}}},"Marker":{}}}},"ModifyCluster":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{},"StepConcurrencyLevel":{"type":"integer"}}},"output":{"type":"structure","members":{"StepConcurrencyLevel":{"type":"integer"}}}},"ModifyInstanceFleet":{"input":{"type":"structure","required":["ClusterId","InstanceFleet"],"members":{"ClusterId":{},"InstanceFleet":{"type":"structure","required":["InstanceFleetId"],"members":{"InstanceFleetId":{},"TargetOnDemandCapacity":{"type":"integer"},"TargetSpotCapacity":{"type":"integer"}}}}}},"ModifyInstanceGroups":{"input":{"type":"structure","members":{"ClusterId":{},"InstanceGroups":{"type":"list","member":{"type":"structure","required":["InstanceGroupId"],"members":{"InstanceGroupId":{},"InstanceCount":{"type":"integer"},"EC2InstanceIdsToTerminate":{"type":"list","member":{}},"ShrinkPolicy":{"shape":"S5v"},"Configurations":{"shape":"Sh"}}}}}}},"PutAutoScalingPolicy":{"input":{"type":"structure","required":["ClusterId","InstanceGroupId","AutoScalingPolicy"],"members":{"ClusterId":{},"InstanceGroupId":{},"AutoScalingPolicy":{"shape":"S11"}}},"output":{"type":"structure","members":{"ClusterId":{},"InstanceGroupId":{},"AutoScalingPolicy":{"shape":"S5z"},"ClusterArn":{}}}},"PutAutoTerminationPolicy":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{},"AutoTerminationPolicy":{"shape":"S4h"}}},"output":{"type":"structure","members":{}}},"PutBlockPublicAccessConfiguration":{"input":{"type":"structure","required":["BlockPublicAccessConfiguration"],"members":{"BlockPublicAccessConfiguration":{"shape":"S4l"}}},"output":{"type":"structure","members":{}}},"PutManagedScalingPolicy":{"input":{"type":"structure","required":["ClusterId","ManagedScalingPolicy"],"members":{"ClusterId":{},"ManagedScalingPolicy":{"shape":"S4s"}}},"output":{"type":"structure","members":{}}},"RemoveAutoScalingPolicy":{"input":{"type":"structure","required":["ClusterId","InstanceGroupId"],"members":{"ClusterId":{},"InstanceGroupId":{}}},"output":{"type":"structure","members":{}}},"RemoveAutoTerminationPolicy":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{}}},"output":{"type":"structure","members":{}}},"RemoveManagedScalingPolicy":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{}}},"output":{"type":"structure","members":{}}},"RemoveTags":{"input":{"type":"structure","required":["ResourceId","TagKeys"],"members":{"ResourceId":{},"TagKeys":{"shape":"S2s"}}},"output":{"type":"structure","members":{}}},"RunJobFlow":{"input":{"type":"structure","required":["Name","Instances"],"members":{"Name":{},"LogUri":{},"LogEncryptionKmsKeyId":{},"AdditionalInfo":{},"AmiVersion":{},"ReleaseLabel":{},"Instances":{"type":"structure","members":{"MasterInstanceType":{},"SlaveInstanceType":{},"InstanceCount":{"type":"integer"},"InstanceGroups":{"shape":"Sx"},"InstanceFleets":{"type":"list","member":{"shape":"S3"}},"Ec2KeyName":{},"Placement":{"shape":"S3f"},"KeepJobFlowAliveWhenNoSteps":{"type":"boolean"},"TerminationProtected":{"type":"boolean"},"HadoopVersion":{},"Ec2SubnetId":{},"Ec2SubnetIds":{"shape":"S2r"},"EmrManagedMasterSecurityGroup":{},"EmrManagedSlaveSecurityGroup":{},"ServiceAccessSecurityGroup":{},"AdditionalMasterSecurityGroups":{"shape":"S7w"},"AdditionalSlaveSecurityGroups":{"shape":"S7w"}}},"Steps":{"shape":"S1i"},"BootstrapActions":{"type":"list","member":{"shape":"S3m"}},"SupportedProducts":{"shape":"S3o"},"NewSupportedProducts":{"type":"list","member":{"type":"structure","members":{"Name":{},"Args":{"shape":"S1p"}}}},"Applications":{"shape":"S2v"},"Configurations":{"shape":"Sh"},"VisibleToAllUsers":{"type":"boolean"},"JobFlowRole":{},"ServiceRole":{},"Tags":{"shape":"S1u"},"SecurityConfiguration":{},"AutoScalingRole":{},"ScaleDownBehavior":{},"CustomAmiId":{},"EbsRootVolumeSize":{"type":"integer"},"RepoUpgradeOnBoot":{},"KerberosAttributes":{"shape":"S2z"},"StepConcurrencyLevel":{"type":"integer"},"ManagedScalingPolicy":{"shape":"S4s"},"PlacementGroupConfigs":{"shape":"S31"},"AutoTerminationPolicy":{"shape":"S4h"}}},"output":{"type":"structure","members":{"JobFlowId":{},"ClusterArn":{}}}},"SetTerminationProtection":{"input":{"type":"structure","required":["JobFlowIds","TerminationProtected"],"members":{"JobFlowIds":{"shape":"S1p"},"TerminationProtected":{"type":"boolean"}}}},"SetVisibleToAllUsers":{"input":{"type":"structure","required":["JobFlowIds","VisibleToAllUsers"],"members":{"JobFlowIds":{"shape":"S1p"},"VisibleToAllUsers":{"type":"boolean"}}}},"StartNotebookExecution":{"input":{"type":"structure","required":["EditorId","RelativePath","ExecutionEngine","ServiceRole"],"members":{"EditorId":{},"RelativePath":{},"NotebookExecutionName":{},"NotebookParams":{},"ExecutionEngine":{"shape":"S3s"},"ServiceRole":{},"NotebookInstanceSecurityGroupId":{},"Tags":{"shape":"S1u"}}},"output":{"type":"structure","members":{"NotebookExecutionId":{}}}},"StopNotebookExecution":{"input":{"type":"structure","required":["NotebookExecutionId"],"members":{"NotebookExecutionId":{}}}},"TerminateJobFlows":{"input":{"type":"structure","required":["JobFlowIds"],"members":{"JobFlowIds":{"shape":"S1p"}}}},"UpdateStudio":{"input":{"type":"structure","required":["StudioId"],"members":{"StudioId":{},"Name":{},"Description":{},"SubnetIds":{"shape":"S29"},"DefaultS3Location":{}}}},"UpdateStudioSessionMapping":{"input":{"type":"structure","required":["StudioId","IdentityType","SessionPolicyArn"],"members":{"StudioId":{},"IdentityId":{},"IdentityName":{},"IdentityType":{},"SessionPolicyArn":{}}}}},"shapes":{"S3":{"type":"structure","required":["InstanceFleetType"],"members":{"Name":{},"InstanceFleetType":{},"TargetOnDemandCapacity":{"type":"integer"},"TargetSpotCapacity":{"type":"integer"},"InstanceTypeConfigs":{"type":"list","member":{"type":"structure","required":["InstanceType"],"members":{"InstanceType":{},"WeightedCapacity":{"type":"integer"},"BidPrice":{},"BidPriceAsPercentageOfOnDemandPrice":{"type":"double"},"EbsConfiguration":{"shape":"Sa"},"Configurations":{"shape":"Sh"},"CustomAmiId":{}}}},"LaunchSpecifications":{"shape":"Sk"}}},"Sa":{"type":"structure","members":{"EbsBlockDeviceConfigs":{"type":"list","member":{"type":"structure","required":["VolumeSpecification"],"members":{"VolumeSpecification":{"shape":"Sd"},"VolumesPerInstance":{"type":"integer"}}}},"EbsOptimized":{"type":"boolean"}}},"Sd":{"type":"structure","required":["VolumeType","SizeInGB"],"members":{"VolumeType":{},"Iops":{"type":"integer"},"SizeInGB":{"type":"integer"}}},"Sh":{"type":"list","member":{"type":"structure","members":{"Classification":{},"Configurations":{"shape":"Sh"},"Properties":{"shape":"Sj"}}}},"Sj":{"type":"map","key":{},"value":{}},"Sk":{"type":"structure","members":{"SpotSpecification":{"type":"structure","required":["TimeoutDurationMinutes","TimeoutAction"],"members":{"TimeoutDurationMinutes":{"type":"integer"},"TimeoutAction":{},"BlockDurationMinutes":{"type":"integer"},"AllocationStrategy":{}}},"OnDemandSpecification":{"type":"structure","required":["AllocationStrategy"],"members":{"AllocationStrategy":{},"CapacityReservationOptions":{"type":"structure","members":{"UsageStrategy":{},"CapacityReservationPreference":{},"CapacityReservationResourceGroupArn":{}}}}}}},"Sx":{"type":"list","member":{"type":"structure","required":["InstanceRole","InstanceType","InstanceCount"],"members":{"Name":{},"Market":{},"InstanceRole":{},"BidPrice":{},"InstanceType":{},"InstanceCount":{"type":"integer"},"Configurations":{"shape":"Sh"},"EbsConfiguration":{"shape":"Sa"},"AutoScalingPolicy":{"shape":"S11"},"CustomAmiId":{}}}},"S11":{"type":"structure","required":["Constraints","Rules"],"members":{"Constraints":{"shape":"S12"},"Rules":{"shape":"S13"}}},"S12":{"type":"structure","required":["MinCapacity","MaxCapacity"],"members":{"MinCapacity":{"type":"integer"},"MaxCapacity":{"type":"integer"}}},"S13":{"type":"list","member":{"type":"structure","required":["Name","Action","Trigger"],"members":{"Name":{},"Description":{},"Action":{"type":"structure","required":["SimpleScalingPolicyConfiguration"],"members":{"Market":{},"SimpleScalingPolicyConfiguration":{"type":"structure","required":["ScalingAdjustment"],"members":{"AdjustmentType":{},"ScalingAdjustment":{"type":"integer"},"CoolDown":{"type":"integer"}}}}},"Trigger":{"type":"structure","required":["CloudWatchAlarmDefinition"],"members":{"CloudWatchAlarmDefinition":{"type":"structure","required":["ComparisonOperator","MetricName","Period","Threshold"],"members":{"ComparisonOperator":{},"EvaluationPeriods":{"type":"integer"},"MetricName":{},"Namespace":{},"Period":{"type":"integer"},"Statistic":{},"Threshold":{"type":"double"},"Unit":{},"Dimensions":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}}}}}}}}},"S1i":{"type":"list","member":{"shape":"S1j"}},"S1j":{"type":"structure","required":["Name","HadoopJarStep"],"members":{"Name":{},"ActionOnFailure":{},"HadoopJarStep":{"type":"structure","required":["Jar"],"members":{"Properties":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"Jar":{},"MainClass":{},"Args":{"shape":"S1p"}}}}},"S1p":{"type":"list","member":{}},"S1r":{"type":"list","member":{}},"S1u":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"S29":{"type":"list","member":{}},"S2l":{"type":"structure","members":{"State":{},"StateChangeReason":{"type":"structure","members":{"Code":{},"Message":{}}},"Timeline":{"type":"structure","members":{"CreationDateTime":{"type":"timestamp"},"ReadyDateTime":{"type":"timestamp"},"EndDateTime":{"type":"timestamp"}}}}},"S2r":{"type":"list","member":{}},"S2s":{"type":"list","member":{}},"S2v":{"type":"list","member":{"type":"structure","members":{"Name":{},"Version":{},"Args":{"shape":"S2s"},"AdditionalInfo":{"shape":"Sj"}}}},"S2z":{"type":"structure","required":["Realm","KdcAdminPassword"],"members":{"Realm":{},"KdcAdminPassword":{},"CrossRealmTrustPrincipalPassword":{},"ADDomainJoinUser":{},"ADDomainJoinPassword":{}}},"S31":{"type":"list","member":{"type":"structure","required":["InstanceRole"],"members":{"InstanceRole":{},"PlacementStrategy":{}}}},"S3f":{"type":"structure","members":{"AvailabilityZone":{},"AvailabilityZones":{"shape":"S2r"}}},"S3m":{"type":"structure","required":["Name","ScriptBootstrapAction"],"members":{"Name":{},"ScriptBootstrapAction":{"type":"structure","required":["Path"],"members":{"Path":{},"Args":{"shape":"S1p"}}}}},"S3o":{"type":"list","member":{}},"S3s":{"type":"structure","required":["Id"],"members":{"Id":{},"Type":{},"MasterInstanceSecurityGroupId":{}}},"S45":{"type":"structure","members":{"Jar":{},"Properties":{"shape":"Sj"},"MainClass":{},"Args":{"shape":"S2s"}}},"S46":{"type":"structure","members":{"State":{},"StateChangeReason":{"type":"structure","members":{"Code":{},"Message":{}}},"FailureDetails":{"type":"structure","members":{"Reason":{},"Message":{},"LogFile":{}}},"Timeline":{"type":"structure","members":{"CreationDateTime":{"type":"timestamp"},"StartDateTime":{"type":"timestamp"},"EndDateTime":{"type":"timestamp"}}}}},"S4h":{"type":"structure","members":{"IdleTimeout":{"type":"long"}}},"S4l":{"type":"structure","required":["BlockPublicSecurityGroupRules"],"members":{"BlockPublicSecurityGroupRules":{"type":"boolean"},"PermittedPublicSecurityGroupRuleRanges":{"type":"list","member":{"type":"structure","required":["MinRange"],"members":{"MinRange":{"type":"integer"},"MaxRange":{"type":"integer"}}}}}},"S4s":{"type":"structure","members":{"ComputeLimits":{"type":"structure","required":["UnitType","MinimumCapacityUnits","MaximumCapacityUnits"],"members":{"UnitType":{},"MinimumCapacityUnits":{"type":"integer"},"MaximumCapacityUnits":{"type":"integer"},"MaximumOnDemandCapacityUnits":{"type":"integer"},"MaximumCoreCapacityUnits":{"type":"integer"}}}}},"S5j":{"type":"list","member":{"type":"structure","members":{"VolumeSpecification":{"shape":"Sd"},"Device":{}}}},"S5v":{"type":"structure","members":{"DecommissionTimeout":{"type":"integer"},"InstanceResizePolicy":{"type":"structure","members":{"InstancesToTerminate":{"shape":"S5x"},"InstancesToProtect":{"shape":"S5x"},"InstanceTerminationTimeout":{"type":"integer"}}}}},"S5x":{"type":"list","member":{}},"S5z":{"type":"structure","members":{"Status":{"type":"structure","members":{"State":{},"StateChangeReason":{"type":"structure","members":{"Code":{},"Message":{}}}}},"Constraints":{"shape":"S12"},"Rules":{"shape":"S13"}}},"S7w":{"type":"list","member":{}}}}');

/***/ }),

/***/ 62965:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeJobFlows":{"result_key":"JobFlows"},"ListBootstrapActions":{"input_token":"Marker","output_token":"Marker","result_key":"BootstrapActions"},"ListClusters":{"input_token":"Marker","output_token":"Marker","result_key":"Clusters"},"ListInstanceFleets":{"input_token":"Marker","output_token":"Marker","result_key":"InstanceFleets"},"ListInstanceGroups":{"input_token":"Marker","output_token":"Marker","result_key":"InstanceGroups"},"ListInstances":{"input_token":"Marker","output_token":"Marker","result_key":"Instances"},"ListNotebookExecutions":{"input_token":"Marker","output_token":"Marker","result_key":"NotebookExecutions"},"ListReleaseLabels":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListSecurityConfigurations":{"input_token":"Marker","output_token":"Marker","result_key":"SecurityConfigurations"},"ListSteps":{"input_token":"Marker","output_token":"Marker","result_key":"Steps"},"ListStudioSessionMappings":{"input_token":"Marker","output_token":"Marker","result_key":"SessionMappings"},"ListStudios":{"input_token":"Marker","output_token":"Marker","result_key":"Studios"}}}');

/***/ }),

/***/ 86792:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"ClusterRunning":{"delay":30,"operation":"DescribeCluster","maxAttempts":60,"acceptors":[{"state":"success","matcher":"path","argument":"Cluster.Status.State","expected":"RUNNING"},{"state":"success","matcher":"path","argument":"Cluster.Status.State","expected":"WAITING"},{"state":"failure","matcher":"path","argument":"Cluster.Status.State","expected":"TERMINATING"},{"state":"failure","matcher":"path","argument":"Cluster.Status.State","expected":"TERMINATED"},{"state":"failure","matcher":"path","argument":"Cluster.Status.State","expected":"TERMINATED_WITH_ERRORS"}]},"StepComplete":{"delay":30,"operation":"DescribeStep","maxAttempts":60,"acceptors":[{"state":"success","matcher":"path","argument":"Step.Status.State","expected":"COMPLETED"},{"state":"failure","matcher":"path","argument":"Step.Status.State","expected":"FAILED"},{"state":"failure","matcher":"path","argument":"Step.Status.State","expected":"CANCELLED"}]},"ClusterTerminated":{"delay":30,"operation":"DescribeCluster","maxAttempts":60,"acceptors":[{"state":"success","matcher":"path","argument":"Cluster.Status.State","expected":"TERMINATED"},{"state":"failure","matcher":"path","argument":"Cluster.Status.State","expected":"TERMINATED_WITH_ERRORS"}]}}}');

/***/ }),

/***/ 23463:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2012-09-25","endpointPrefix":"elastictranscoder","protocol":"rest-json","serviceFullName":"Amazon Elastic Transcoder","serviceId":"Elastic Transcoder","signatureVersion":"v4","uid":"elastictranscoder-2012-09-25"},"operations":{"CancelJob":{"http":{"method":"DELETE","requestUri":"/2012-09-25/jobs/{Id}","responseCode":202},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"CreateJob":{"http":{"requestUri":"/2012-09-25/jobs","responseCode":201},"input":{"type":"structure","required":["PipelineId"],"members":{"PipelineId":{},"Input":{"shape":"S5"},"Inputs":{"shape":"St"},"Output":{"shape":"Su"},"Outputs":{"type":"list","member":{"shape":"Su"}},"OutputKeyPrefix":{},"Playlists":{"type":"list","member":{"type":"structure","members":{"Name":{},"Format":{},"OutputKeys":{"shape":"S1l"},"HlsContentProtection":{"shape":"S1m"},"PlayReadyDrm":{"shape":"S1q"}}}},"UserMetadata":{"shape":"S1v"}}},"output":{"type":"structure","members":{"Job":{"shape":"S1y"}}}},"CreatePipeline":{"http":{"requestUri":"/2012-09-25/pipelines","responseCode":201},"input":{"type":"structure","required":["Name","InputBucket","Role"],"members":{"Name":{},"InputBucket":{},"OutputBucket":{},"Role":{},"AwsKmsKeyArn":{},"Notifications":{"shape":"S2a"},"ContentConfig":{"shape":"S2c"},"ThumbnailConfig":{"shape":"S2c"}}},"output":{"type":"structure","members":{"Pipeline":{"shape":"S2l"},"Warnings":{"shape":"S2n"}}}},"CreatePreset":{"http":{"requestUri":"/2012-09-25/presets","responseCode":201},"input":{"type":"structure","required":["Name","Container"],"members":{"Name":{},"Description":{},"Container":{},"Video":{"shape":"S2r"},"Audio":{"shape":"S37"},"Thumbnails":{"shape":"S3i"}}},"output":{"type":"structure","members":{"Preset":{"shape":"S3m"},"Warning":{}}}},"DeletePipeline":{"http":{"method":"DELETE","requestUri":"/2012-09-25/pipelines/{Id}","responseCode":202},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DeletePreset":{"http":{"method":"DELETE","requestUri":"/2012-09-25/presets/{Id}","responseCode":202},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"ListJobsByPipeline":{"http":{"method":"GET","requestUri":"/2012-09-25/jobsByPipeline/{PipelineId}"},"input":{"type":"structure","required":["PipelineId"],"members":{"PipelineId":{"location":"uri","locationName":"PipelineId"},"Ascending":{"location":"querystring","locationName":"Ascending"},"PageToken":{"location":"querystring","locationName":"PageToken"}}},"output":{"type":"structure","members":{"Jobs":{"shape":"S3v"},"NextPageToken":{}}}},"ListJobsByStatus":{"http":{"method":"GET","requestUri":"/2012-09-25/jobsByStatus/{Status}"},"input":{"type":"structure","required":["Status"],"members":{"Status":{"location":"uri","locationName":"Status"},"Ascending":{"location":"querystring","locationName":"Ascending"},"PageToken":{"location":"querystring","locationName":"PageToken"}}},"output":{"type":"structure","members":{"Jobs":{"shape":"S3v"},"NextPageToken":{}}}},"ListPipelines":{"http":{"method":"GET","requestUri":"/2012-09-25/pipelines"},"input":{"type":"structure","members":{"Ascending":{"location":"querystring","locationName":"Ascending"},"PageToken":{"location":"querystring","locationName":"PageToken"}}},"output":{"type":"structure","members":{"Pipelines":{"type":"list","member":{"shape":"S2l"}},"NextPageToken":{}}}},"ListPresets":{"http":{"method":"GET","requestUri":"/2012-09-25/presets"},"input":{"type":"structure","members":{"Ascending":{"location":"querystring","locationName":"Ascending"},"PageToken":{"location":"querystring","locationName":"PageToken"}}},"output":{"type":"structure","members":{"Presets":{"type":"list","member":{"shape":"S3m"}},"NextPageToken":{}}}},"ReadJob":{"http":{"method":"GET","requestUri":"/2012-09-25/jobs/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Job":{"shape":"S1y"}}}},"ReadPipeline":{"http":{"method":"GET","requestUri":"/2012-09-25/pipelines/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Pipeline":{"shape":"S2l"},"Warnings":{"shape":"S2n"}}}},"ReadPreset":{"http":{"method":"GET","requestUri":"/2012-09-25/presets/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Preset":{"shape":"S3m"}}}},"TestRole":{"http":{"requestUri":"/2012-09-25/roleTests","responseCode":200},"input":{"type":"structure","required":["Role","InputBucket","OutputBucket","Topics"],"members":{"Role":{},"InputBucket":{},"OutputBucket":{},"Topics":{"type":"list","member":{}}},"deprecated":true},"output":{"type":"structure","members":{"Success":{},"Messages":{"type":"list","member":{}}},"deprecated":true},"deprecated":true},"UpdatePipeline":{"http":{"method":"PUT","requestUri":"/2012-09-25/pipelines/{Id}","responseCode":200},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"Name":{},"InputBucket":{},"Role":{},"AwsKmsKeyArn":{},"Notifications":{"shape":"S2a"},"ContentConfig":{"shape":"S2c"},"ThumbnailConfig":{"shape":"S2c"}}},"output":{"type":"structure","members":{"Pipeline":{"shape":"S2l"},"Warnings":{"shape":"S2n"}}}},"UpdatePipelineNotifications":{"http":{"requestUri":"/2012-09-25/pipelines/{Id}/notifications"},"input":{"type":"structure","required":["Id","Notifications"],"members":{"Id":{"location":"uri","locationName":"Id"},"Notifications":{"shape":"S2a"}}},"output":{"type":"structure","members":{"Pipeline":{"shape":"S2l"}}}},"UpdatePipelineStatus":{"http":{"requestUri":"/2012-09-25/pipelines/{Id}/status"},"input":{"type":"structure","required":["Id","Status"],"members":{"Id":{"location":"uri","locationName":"Id"},"Status":{}}},"output":{"type":"structure","members":{"Pipeline":{"shape":"S2l"}}}}},"shapes":{"S5":{"type":"structure","members":{"Key":{},"FrameRate":{},"Resolution":{},"AspectRatio":{},"Interlaced":{},"Container":{},"Encryption":{"shape":"Sc"},"TimeSpan":{"shape":"Sg"},"InputCaptions":{"type":"structure","members":{"MergePolicy":{},"CaptionSources":{"shape":"Sk"}}},"DetectedProperties":{"type":"structure","members":{"Width":{"type":"integer"},"Height":{"type":"integer"},"FrameRate":{},"FileSize":{"type":"long"},"DurationMillis":{"type":"long"}}}}},"Sc":{"type":"structure","members":{"Mode":{},"Key":{},"KeyMd5":{},"InitializationVector":{}}},"Sg":{"type":"structure","members":{"StartTime":{},"Duration":{}}},"Sk":{"type":"list","member":{"type":"structure","members":{"Key":{},"Language":{},"TimeOffset":{},"Label":{},"Encryption":{"shape":"Sc"}}}},"St":{"type":"list","member":{"shape":"S5"}},"Su":{"type":"structure","members":{"Key":{},"ThumbnailPattern":{},"ThumbnailEncryption":{"shape":"Sc"},"Rotate":{},"PresetId":{},"SegmentDuration":{},"Watermarks":{"shape":"Sx"},"AlbumArt":{"shape":"S11"},"Composition":{"shape":"S19","deprecated":true},"Captions":{"shape":"S1b"},"Encryption":{"shape":"Sc"}}},"Sx":{"type":"list","member":{"type":"structure","members":{"PresetWatermarkId":{},"InputKey":{},"Encryption":{"shape":"Sc"}}}},"S11":{"type":"structure","members":{"MergePolicy":{},"Artwork":{"type":"list","member":{"type":"structure","members":{"InputKey":{},"MaxWidth":{},"MaxHeight":{},"SizingPolicy":{},"PaddingPolicy":{},"AlbumArtFormat":{},"Encryption":{"shape":"Sc"}}}}}},"S19":{"type":"list","member":{"type":"structure","members":{"TimeSpan":{"shape":"Sg"}},"deprecated":true},"deprecated":true},"S1b":{"type":"structure","members":{"MergePolicy":{"deprecated":true},"CaptionSources":{"shape":"Sk","deprecated":true},"CaptionFormats":{"type":"list","member":{"type":"structure","members":{"Format":{},"Pattern":{},"Encryption":{"shape":"Sc"}}}}}},"S1l":{"type":"list","member":{}},"S1m":{"type":"structure","members":{"Method":{},"Key":{},"KeyMd5":{},"InitializationVector":{},"LicenseAcquisitionUrl":{},"KeyStoragePolicy":{}}},"S1q":{"type":"structure","members":{"Format":{},"Key":{},"KeyMd5":{},"KeyId":{},"InitializationVector":{},"LicenseAcquisitionUrl":{}}},"S1v":{"type":"map","key":{},"value":{}},"S1y":{"type":"structure","members":{"Id":{},"Arn":{},"PipelineId":{},"Input":{"shape":"S5"},"Inputs":{"shape":"St"},"Output":{"shape":"S1z"},"Outputs":{"type":"list","member":{"shape":"S1z"}},"OutputKeyPrefix":{},"Playlists":{"type":"list","member":{"type":"structure","members":{"Name":{},"Format":{},"OutputKeys":{"shape":"S1l"},"HlsContentProtection":{"shape":"S1m"},"PlayReadyDrm":{"shape":"S1q"},"Status":{},"StatusDetail":{}}}},"Status":{},"UserMetadata":{"shape":"S1v"},"Timing":{"type":"structure","members":{"SubmitTimeMillis":{"type":"long"},"StartTimeMillis":{"type":"long"},"FinishTimeMillis":{"type":"long"}}}}},"S1z":{"type":"structure","members":{"Id":{},"Key":{},"ThumbnailPattern":{},"ThumbnailEncryption":{"shape":"Sc"},"Rotate":{},"PresetId":{},"SegmentDuration":{},"Status":{},"StatusDetail":{},"Duration":{"type":"long"},"Width":{"type":"integer"},"Height":{"type":"integer"},"FrameRate":{},"FileSize":{"type":"long"},"DurationMillis":{"type":"long"},"Watermarks":{"shape":"Sx"},"AlbumArt":{"shape":"S11"},"Composition":{"shape":"S19","deprecated":true},"Captions":{"shape":"S1b"},"Encryption":{"shape":"Sc"},"AppliedColorSpaceConversion":{}}},"S2a":{"type":"structure","members":{"Progressing":{},"Completed":{},"Warning":{},"Error":{}}},"S2c":{"type":"structure","members":{"Bucket":{},"StorageClass":{},"Permissions":{"type":"list","member":{"type":"structure","members":{"GranteeType":{},"Grantee":{},"Access":{"type":"list","member":{}}}}}}},"S2l":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"Status":{},"InputBucket":{},"OutputBucket":{},"Role":{},"AwsKmsKeyArn":{},"Notifications":{"shape":"S2a"},"ContentConfig":{"shape":"S2c"},"ThumbnailConfig":{"shape":"S2c"}}},"S2n":{"type":"list","member":{"type":"structure","members":{"Code":{},"Message":{}}}},"S2r":{"type":"structure","members":{"Codec":{},"CodecOptions":{"type":"map","key":{},"value":{}},"KeyframesMaxDist":{},"FixedGOP":{},"BitRate":{},"FrameRate":{},"MaxFrameRate":{},"Resolution":{},"AspectRatio":{},"MaxWidth":{},"MaxHeight":{},"DisplayAspectRatio":{},"SizingPolicy":{},"PaddingPolicy":{},"Watermarks":{"type":"list","member":{"type":"structure","members":{"Id":{},"MaxWidth":{},"MaxHeight":{},"SizingPolicy":{},"HorizontalAlign":{},"HorizontalOffset":{},"VerticalAlign":{},"VerticalOffset":{},"Opacity":{},"Target":{}}}}}},"S37":{"type":"structure","members":{"Codec":{},"SampleRate":{},"BitRate":{},"Channels":{},"AudioPackingMode":{},"CodecOptions":{"type":"structure","members":{"Profile":{},"BitDepth":{},"BitOrder":{},"Signed":{}}}}},"S3i":{"type":"structure","members":{"Format":{},"Interval":{},"Resolution":{},"AspectRatio":{},"MaxWidth":{},"MaxHeight":{},"SizingPolicy":{},"PaddingPolicy":{}}},"S3m":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"Description":{},"Container":{},"Audio":{"shape":"S37"},"Video":{"shape":"S2r"},"Thumbnails":{"shape":"S3i"},"Type":{}}},"S3v":{"type":"list","member":{"shape":"S1y"}}}}');

/***/ }),

/***/ 36121:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListJobsByPipeline":{"input_token":"PageToken","output_token":"NextPageToken","result_key":"Jobs"},"ListJobsByStatus":{"input_token":"PageToken","output_token":"NextPageToken","result_key":"Jobs"},"ListPipelines":{"input_token":"PageToken","output_token":"NextPageToken","result_key":"Pipelines"},"ListPresets":{"input_token":"PageToken","output_token":"NextPageToken","result_key":"Presets"}}}');

/***/ }),

/***/ 59345:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"JobComplete":{"delay":30,"operation":"ReadJob","maxAttempts":120,"acceptors":[{"expected":"Complete","matcher":"path","state":"success","argument":"Job.Status"},{"expected":"Canceled","matcher":"path","state":"failure","argument":"Job.Status"},{"expected":"Error","matcher":"path","state":"failure","argument":"Job.Status"}]}}}');

/***/ }),

/***/ 56693:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2010-12-01","endpointPrefix":"email","protocol":"query","serviceAbbreviation":"Amazon SES","serviceFullName":"Amazon Simple Email Service","serviceId":"SES","signatureVersion":"v4","signingName":"ses","uid":"email-2010-12-01","xmlNamespace":"http://ses.amazonaws.com/doc/2010-12-01/"},"operations":{"CloneReceiptRuleSet":{"input":{"type":"structure","required":["RuleSetName","OriginalRuleSetName"],"members":{"RuleSetName":{},"OriginalRuleSetName":{}}},"output":{"resultWrapper":"CloneReceiptRuleSetResult","type":"structure","members":{}}},"CreateConfigurationSet":{"input":{"type":"structure","required":["ConfigurationSet"],"members":{"ConfigurationSet":{"shape":"S5"}}},"output":{"resultWrapper":"CreateConfigurationSetResult","type":"structure","members":{}}},"CreateConfigurationSetEventDestination":{"input":{"type":"structure","required":["ConfigurationSetName","EventDestination"],"members":{"ConfigurationSetName":{},"EventDestination":{"shape":"S9"}}},"output":{"resultWrapper":"CreateConfigurationSetEventDestinationResult","type":"structure","members":{}}},"CreateConfigurationSetTrackingOptions":{"input":{"type":"structure","required":["ConfigurationSetName","TrackingOptions"],"members":{"ConfigurationSetName":{},"TrackingOptions":{"shape":"Sp"}}},"output":{"resultWrapper":"CreateConfigurationSetTrackingOptionsResult","type":"structure","members":{}}},"CreateCustomVerificationEmailTemplate":{"input":{"type":"structure","required":["TemplateName","FromEmailAddress","TemplateSubject","TemplateContent","SuccessRedirectionURL","FailureRedirectionURL"],"members":{"TemplateName":{},"FromEmailAddress":{},"TemplateSubject":{},"TemplateContent":{},"SuccessRedirectionURL":{},"FailureRedirectionURL":{}}}},"CreateReceiptFilter":{"input":{"type":"structure","required":["Filter"],"members":{"Filter":{"shape":"S10"}}},"output":{"resultWrapper":"CreateReceiptFilterResult","type":"structure","members":{}}},"CreateReceiptRule":{"input":{"type":"structure","required":["RuleSetName","Rule"],"members":{"RuleSetName":{},"After":{},"Rule":{"shape":"S18"}}},"output":{"resultWrapper":"CreateReceiptRuleResult","type":"structure","members":{}}},"CreateReceiptRuleSet":{"input":{"type":"structure","required":["RuleSetName"],"members":{"RuleSetName":{}}},"output":{"resultWrapper":"CreateReceiptRuleSetResult","type":"structure","members":{}}},"CreateTemplate":{"input":{"type":"structure","required":["Template"],"members":{"Template":{"shape":"S20"}}},"output":{"resultWrapper":"CreateTemplateResult","type":"structure","members":{}}},"DeleteConfigurationSet":{"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{}}},"output":{"resultWrapper":"DeleteConfigurationSetResult","type":"structure","members":{}}},"DeleteConfigurationSetEventDestination":{"input":{"type":"structure","required":["ConfigurationSetName","EventDestinationName"],"members":{"ConfigurationSetName":{},"EventDestinationName":{}}},"output":{"resultWrapper":"DeleteConfigurationSetEventDestinationResult","type":"structure","members":{}}},"DeleteConfigurationSetTrackingOptions":{"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{}}},"output":{"resultWrapper":"DeleteConfigurationSetTrackingOptionsResult","type":"structure","members":{}}},"DeleteCustomVerificationEmailTemplate":{"input":{"type":"structure","required":["TemplateName"],"members":{"TemplateName":{}}}},"DeleteIdentity":{"input":{"type":"structure","required":["Identity"],"members":{"Identity":{}}},"output":{"resultWrapper":"DeleteIdentityResult","type":"structure","members":{}}},"DeleteIdentityPolicy":{"input":{"type":"structure","required":["Identity","PolicyName"],"members":{"Identity":{},"PolicyName":{}}},"output":{"resultWrapper":"DeleteIdentityPolicyResult","type":"structure","members":{}}},"DeleteReceiptFilter":{"input":{"type":"structure","required":["FilterName"],"members":{"FilterName":{}}},"output":{"resultWrapper":"DeleteReceiptFilterResult","type":"structure","members":{}}},"DeleteReceiptRule":{"input":{"type":"structure","required":["RuleSetName","RuleName"],"members":{"RuleSetName":{},"RuleName":{}}},"output":{"resultWrapper":"DeleteReceiptRuleResult","type":"structure","members":{}}},"DeleteReceiptRuleSet":{"input":{"type":"structure","required":["RuleSetName"],"members":{"RuleSetName":{}}},"output":{"resultWrapper":"DeleteReceiptRuleSetResult","type":"structure","members":{}}},"DeleteTemplate":{"input":{"type":"structure","required":["TemplateName"],"members":{"TemplateName":{}}},"output":{"resultWrapper":"DeleteTemplateResult","type":"structure","members":{}}},"DeleteVerifiedEmailAddress":{"input":{"type":"structure","required":["EmailAddress"],"members":{"EmailAddress":{}}}},"DescribeActiveReceiptRuleSet":{"input":{"type":"structure","members":{}},"output":{"resultWrapper":"DescribeActiveReceiptRuleSetResult","type":"structure","members":{"Metadata":{"shape":"S2t"},"Rules":{"shape":"S2v"}}}},"DescribeConfigurationSet":{"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{},"ConfigurationSetAttributeNames":{"type":"list","member":{}}}},"output":{"resultWrapper":"DescribeConfigurationSetResult","type":"structure","members":{"ConfigurationSet":{"shape":"S5"},"EventDestinations":{"type":"list","member":{"shape":"S9"}},"TrackingOptions":{"shape":"Sp"},"DeliveryOptions":{"shape":"S31"},"ReputationOptions":{"type":"structure","members":{"SendingEnabled":{"type":"boolean"},"ReputationMetricsEnabled":{"type":"boolean"},"LastFreshStart":{"type":"timestamp"}}}}}},"DescribeReceiptRule":{"input":{"type":"structure","required":["RuleSetName","RuleName"],"members":{"RuleSetName":{},"RuleName":{}}},"output":{"resultWrapper":"DescribeReceiptRuleResult","type":"structure","members":{"Rule":{"shape":"S18"}}}},"DescribeReceiptRuleSet":{"input":{"type":"structure","required":["RuleSetName"],"members":{"RuleSetName":{}}},"output":{"resultWrapper":"DescribeReceiptRuleSetResult","type":"structure","members":{"Metadata":{"shape":"S2t"},"Rules":{"shape":"S2v"}}}},"GetAccountSendingEnabled":{"output":{"resultWrapper":"GetAccountSendingEnabledResult","type":"structure","members":{"Enabled":{"type":"boolean"}}}},"GetCustomVerificationEmailTemplate":{"input":{"type":"structure","required":["TemplateName"],"members":{"TemplateName":{}}},"output":{"resultWrapper":"GetCustomVerificationEmailTemplateResult","type":"structure","members":{"TemplateName":{},"FromEmailAddress":{},"TemplateSubject":{},"TemplateContent":{},"SuccessRedirectionURL":{},"FailureRedirectionURL":{}}}},"GetIdentityDkimAttributes":{"input":{"type":"structure","required":["Identities"],"members":{"Identities":{"shape":"S3c"}}},"output":{"resultWrapper":"GetIdentityDkimAttributesResult","type":"structure","required":["DkimAttributes"],"members":{"DkimAttributes":{"type":"map","key":{},"value":{"type":"structure","required":["DkimEnabled","DkimVerificationStatus"],"members":{"DkimEnabled":{"type":"boolean"},"DkimVerificationStatus":{},"DkimTokens":{"shape":"S3h"}}}}}}},"GetIdentityMailFromDomainAttributes":{"input":{"type":"structure","required":["Identities"],"members":{"Identities":{"shape":"S3c"}}},"output":{"resultWrapper":"GetIdentityMailFromDomainAttributesResult","type":"structure","required":["MailFromDomainAttributes"],"members":{"MailFromDomainAttributes":{"type":"map","key":{},"value":{"type":"structure","required":["MailFromDomain","MailFromDomainStatus","BehaviorOnMXFailure"],"members":{"MailFromDomain":{},"MailFromDomainStatus":{},"BehaviorOnMXFailure":{}}}}}}},"GetIdentityNotificationAttributes":{"input":{"type":"structure","required":["Identities"],"members":{"Identities":{"shape":"S3c"}}},"output":{"resultWrapper":"GetIdentityNotificationAttributesResult","type":"structure","required":["NotificationAttributes"],"members":{"NotificationAttributes":{"type":"map","key":{},"value":{"type":"structure","required":["BounceTopic","ComplaintTopic","DeliveryTopic","ForwardingEnabled"],"members":{"BounceTopic":{},"ComplaintTopic":{},"DeliveryTopic":{},"ForwardingEnabled":{"type":"boolean"},"HeadersInBounceNotificationsEnabled":{"type":"boolean"},"HeadersInComplaintNotificationsEnabled":{"type":"boolean"},"HeadersInDeliveryNotificationsEnabled":{"type":"boolean"}}}}}}},"GetIdentityPolicies":{"input":{"type":"structure","required":["Identity","PolicyNames"],"members":{"Identity":{},"PolicyNames":{"shape":"S3w"}}},"output":{"resultWrapper":"GetIdentityPoliciesResult","type":"structure","required":["Policies"],"members":{"Policies":{"type":"map","key":{},"value":{}}}}},"GetIdentityVerificationAttributes":{"input":{"type":"structure","required":["Identities"],"members":{"Identities":{"shape":"S3c"}}},"output":{"resultWrapper":"GetIdentityVerificationAttributesResult","type":"structure","required":["VerificationAttributes"],"members":{"VerificationAttributes":{"type":"map","key":{},"value":{"type":"structure","required":["VerificationStatus"],"members":{"VerificationStatus":{},"VerificationToken":{}}}}}}},"GetSendQuota":{"output":{"resultWrapper":"GetSendQuotaResult","type":"structure","members":{"Max24HourSend":{"type":"double"},"MaxSendRate":{"type":"double"},"SentLast24Hours":{"type":"double"}}}},"GetSendStatistics":{"output":{"resultWrapper":"GetSendStatisticsResult","type":"structure","members":{"SendDataPoints":{"type":"list","member":{"type":"structure","members":{"Timestamp":{"type":"timestamp"},"DeliveryAttempts":{"type":"long"},"Bounces":{"type":"long"},"Complaints":{"type":"long"},"Rejects":{"type":"long"}}}}}}},"GetTemplate":{"input":{"type":"structure","required":["TemplateName"],"members":{"TemplateName":{}}},"output":{"resultWrapper":"GetTemplateResult","type":"structure","members":{"Template":{"shape":"S20"}}}},"ListConfigurationSets":{"input":{"type":"structure","members":{"NextToken":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListConfigurationSetsResult","type":"structure","members":{"ConfigurationSets":{"type":"list","member":{"shape":"S5"}},"NextToken":{}}}},"ListCustomVerificationEmailTemplates":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"resultWrapper":"ListCustomVerificationEmailTemplatesResult","type":"structure","members":{"CustomVerificationEmailTemplates":{"type":"list","member":{"type":"structure","members":{"TemplateName":{},"FromEmailAddress":{},"TemplateSubject":{},"SuccessRedirectionURL":{},"FailureRedirectionURL":{}}}},"NextToken":{}}}},"ListIdentities":{"input":{"type":"structure","members":{"IdentityType":{},"NextToken":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListIdentitiesResult","type":"structure","required":["Identities"],"members":{"Identities":{"shape":"S3c"},"NextToken":{}}}},"ListIdentityPolicies":{"input":{"type":"structure","required":["Identity"],"members":{"Identity":{}}},"output":{"resultWrapper":"ListIdentityPoliciesResult","type":"structure","required":["PolicyNames"],"members":{"PolicyNames":{"shape":"S3w"}}}},"ListReceiptFilters":{"input":{"type":"structure","members":{}},"output":{"resultWrapper":"ListReceiptFiltersResult","type":"structure","members":{"Filters":{"type":"list","member":{"shape":"S10"}}}}},"ListReceiptRuleSets":{"input":{"type":"structure","members":{"NextToken":{}}},"output":{"resultWrapper":"ListReceiptRuleSetsResult","type":"structure","members":{"RuleSets":{"type":"list","member":{"shape":"S2t"}},"NextToken":{}}}},"ListTemplates":{"input":{"type":"structure","members":{"NextToken":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListTemplatesResult","type":"structure","members":{"TemplatesMetadata":{"type":"list","member":{"type":"structure","members":{"Name":{},"CreatedTimestamp":{"type":"timestamp"}}}},"NextToken":{}}}},"ListVerifiedEmailAddresses":{"output":{"resultWrapper":"ListVerifiedEmailAddressesResult","type":"structure","members":{"VerifiedEmailAddresses":{"shape":"S54"}}}},"PutConfigurationSetDeliveryOptions":{"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{},"DeliveryOptions":{"shape":"S31"}}},"output":{"resultWrapper":"PutConfigurationSetDeliveryOptionsResult","type":"structure","members":{}}},"PutIdentityPolicy":{"input":{"type":"structure","required":["Identity","PolicyName","Policy"],"members":{"Identity":{},"PolicyName":{},"Policy":{}}},"output":{"resultWrapper":"PutIdentityPolicyResult","type":"structure","members":{}}},"ReorderReceiptRuleSet":{"input":{"type":"structure","required":["RuleSetName","RuleNames"],"members":{"RuleSetName":{},"RuleNames":{"type":"list","member":{}}}},"output":{"resultWrapper":"ReorderReceiptRuleSetResult","type":"structure","members":{}}},"SendBounce":{"input":{"type":"structure","required":["OriginalMessageId","BounceSender","BouncedRecipientInfoList"],"members":{"OriginalMessageId":{},"BounceSender":{},"Explanation":{},"MessageDsn":{"type":"structure","required":["ReportingMta"],"members":{"ReportingMta":{},"ArrivalDate":{"type":"timestamp"},"ExtensionFields":{"shape":"S5i"}}},"BouncedRecipientInfoList":{"type":"list","member":{"type":"structure","required":["Recipient"],"members":{"Recipient":{},"RecipientArn":{},"BounceType":{},"RecipientDsnFields":{"type":"structure","required":["Action","Status"],"members":{"FinalRecipient":{},"Action":{},"RemoteMta":{},"Status":{},"DiagnosticCode":{},"LastAttemptDate":{"type":"timestamp"},"ExtensionFields":{"shape":"S5i"}}}}}},"BounceSenderArn":{}}},"output":{"resultWrapper":"SendBounceResult","type":"structure","members":{"MessageId":{}}}},"SendBulkTemplatedEmail":{"input":{"type":"structure","required":["Source","Template","Destinations"],"members":{"Source":{},"SourceArn":{},"ReplyToAddresses":{"shape":"S54"},"ReturnPath":{},"ReturnPathArn":{},"ConfigurationSetName":{},"DefaultTags":{"shape":"S5x"},"Template":{},"TemplateArn":{},"DefaultTemplateData":{},"Destinations":{"type":"list","member":{"type":"structure","required":["Destination"],"members":{"Destination":{"shape":"S64"},"ReplacementTags":{"shape":"S5x"},"ReplacementTemplateData":{}}}}}},"output":{"resultWrapper":"SendBulkTemplatedEmailResult","type":"structure","required":["Status"],"members":{"Status":{"type":"list","member":{"type":"structure","members":{"Status":{},"Error":{},"MessageId":{}}}}}}},"SendCustomVerificationEmail":{"input":{"type":"structure","required":["EmailAddress","TemplateName"],"members":{"EmailAddress":{},"TemplateName":{},"ConfigurationSetName":{}}},"output":{"resultWrapper":"SendCustomVerificationEmailResult","type":"structure","members":{"MessageId":{}}}},"SendEmail":{"input":{"type":"structure","required":["Source","Destination","Message"],"members":{"Source":{},"Destination":{"shape":"S64"},"Message":{"type":"structure","required":["Subject","Body"],"members":{"Subject":{"shape":"S6e"},"Body":{"type":"structure","members":{"Text":{"shape":"S6e"},"Html":{"shape":"S6e"}}}}},"ReplyToAddresses":{"shape":"S54"},"ReturnPath":{},"SourceArn":{},"ReturnPathArn":{},"Tags":{"shape":"S5x"},"ConfigurationSetName":{}}},"output":{"resultWrapper":"SendEmailResult","type":"structure","required":["MessageId"],"members":{"MessageId":{}}}},"SendRawEmail":{"input":{"type":"structure","required":["RawMessage"],"members":{"Source":{},"Destinations":{"shape":"S54"},"RawMessage":{"type":"structure","required":["Data"],"members":{"Data":{"type":"blob"}}},"FromArn":{},"SourceArn":{},"ReturnPathArn":{},"Tags":{"shape":"S5x"},"ConfigurationSetName":{}}},"output":{"resultWrapper":"SendRawEmailResult","type":"structure","required":["MessageId"],"members":{"MessageId":{}}}},"SendTemplatedEmail":{"input":{"type":"structure","required":["Source","Destination","Template","TemplateData"],"members":{"Source":{},"Destination":{"shape":"S64"},"ReplyToAddresses":{"shape":"S54"},"ReturnPath":{},"SourceArn":{},"ReturnPathArn":{},"Tags":{"shape":"S5x"},"ConfigurationSetName":{},"Template":{},"TemplateArn":{},"TemplateData":{}}},"output":{"resultWrapper":"SendTemplatedEmailResult","type":"structure","required":["MessageId"],"members":{"MessageId":{}}}},"SetActiveReceiptRuleSet":{"input":{"type":"structure","members":{"RuleSetName":{}}},"output":{"resultWrapper":"SetActiveReceiptRuleSetResult","type":"structure","members":{}}},"SetIdentityDkimEnabled":{"input":{"type":"structure","required":["Identity","DkimEnabled"],"members":{"Identity":{},"DkimEnabled":{"type":"boolean"}}},"output":{"resultWrapper":"SetIdentityDkimEnabledResult","type":"structure","members":{}}},"SetIdentityFeedbackForwardingEnabled":{"input":{"type":"structure","required":["Identity","ForwardingEnabled"],"members":{"Identity":{},"ForwardingEnabled":{"type":"boolean"}}},"output":{"resultWrapper":"SetIdentityFeedbackForwardingEnabledResult","type":"structure","members":{}}},"SetIdentityHeadersInNotificationsEnabled":{"input":{"type":"structure","required":["Identity","NotificationType","Enabled"],"members":{"Identity":{},"NotificationType":{},"Enabled":{"type":"boolean"}}},"output":{"resultWrapper":"SetIdentityHeadersInNotificationsEnabledResult","type":"structure","members":{}}},"SetIdentityMailFromDomain":{"input":{"type":"structure","required":["Identity"],"members":{"Identity":{},"MailFromDomain":{},"BehaviorOnMXFailure":{}}},"output":{"resultWrapper":"SetIdentityMailFromDomainResult","type":"structure","members":{}}},"SetIdentityNotificationTopic":{"input":{"type":"structure","required":["Identity","NotificationType"],"members":{"Identity":{},"NotificationType":{},"SnsTopic":{}}},"output":{"resultWrapper":"SetIdentityNotificationTopicResult","type":"structure","members":{}}},"SetReceiptRulePosition":{"input":{"type":"structure","required":["RuleSetName","RuleName"],"members":{"RuleSetName":{},"RuleName":{},"After":{}}},"output":{"resultWrapper":"SetReceiptRulePositionResult","type":"structure","members":{}}},"TestRenderTemplate":{"input":{"type":"structure","required":["TemplateName","TemplateData"],"members":{"TemplateName":{},"TemplateData":{}}},"output":{"resultWrapper":"TestRenderTemplateResult","type":"structure","members":{"RenderedTemplate":{}}}},"UpdateAccountSendingEnabled":{"input":{"type":"structure","members":{"Enabled":{"type":"boolean"}}}},"UpdateConfigurationSetEventDestination":{"input":{"type":"structure","required":["ConfigurationSetName","EventDestination"],"members":{"ConfigurationSetName":{},"EventDestination":{"shape":"S9"}}},"output":{"resultWrapper":"UpdateConfigurationSetEventDestinationResult","type":"structure","members":{}}},"UpdateConfigurationSetReputationMetricsEnabled":{"input":{"type":"structure","required":["ConfigurationSetName","Enabled"],"members":{"ConfigurationSetName":{},"Enabled":{"type":"boolean"}}}},"UpdateConfigurationSetSendingEnabled":{"input":{"type":"structure","required":["ConfigurationSetName","Enabled"],"members":{"ConfigurationSetName":{},"Enabled":{"type":"boolean"}}}},"UpdateConfigurationSetTrackingOptions":{"input":{"type":"structure","required":["ConfigurationSetName","TrackingOptions"],"members":{"ConfigurationSetName":{},"TrackingOptions":{"shape":"Sp"}}},"output":{"resultWrapper":"UpdateConfigurationSetTrackingOptionsResult","type":"structure","members":{}}},"UpdateCustomVerificationEmailTemplate":{"input":{"type":"structure","required":["TemplateName"],"members":{"TemplateName":{},"FromEmailAddress":{},"TemplateSubject":{},"TemplateContent":{},"SuccessRedirectionURL":{},"FailureRedirectionURL":{}}}},"UpdateReceiptRule":{"input":{"type":"structure","required":["RuleSetName","Rule"],"members":{"RuleSetName":{},"Rule":{"shape":"S18"}}},"output":{"resultWrapper":"UpdateReceiptRuleResult","type":"structure","members":{}}},"UpdateTemplate":{"input":{"type":"structure","required":["Template"],"members":{"Template":{"shape":"S20"}}},"output":{"resultWrapper":"UpdateTemplateResult","type":"structure","members":{}}},"VerifyDomainDkim":{"input":{"type":"structure","required":["Domain"],"members":{"Domain":{}}},"output":{"resultWrapper":"VerifyDomainDkimResult","type":"structure","required":["DkimTokens"],"members":{"DkimTokens":{"shape":"S3h"}}}},"VerifyDomainIdentity":{"input":{"type":"structure","required":["Domain"],"members":{"Domain":{}}},"output":{"resultWrapper":"VerifyDomainIdentityResult","type":"structure","required":["VerificationToken"],"members":{"VerificationToken":{}}}},"VerifyEmailAddress":{"input":{"type":"structure","required":["EmailAddress"],"members":{"EmailAddress":{}}}},"VerifyEmailIdentity":{"input":{"type":"structure","required":["EmailAddress"],"members":{"EmailAddress":{}}},"output":{"resultWrapper":"VerifyEmailIdentityResult","type":"structure","members":{}}}},"shapes":{"S5":{"type":"structure","required":["Name"],"members":{"Name":{}}},"S9":{"type":"structure","required":["Name","MatchingEventTypes"],"members":{"Name":{},"Enabled":{"type":"boolean"},"MatchingEventTypes":{"type":"list","member":{}},"KinesisFirehoseDestination":{"type":"structure","required":["IAMRoleARN","DeliveryStreamARN"],"members":{"IAMRoleARN":{},"DeliveryStreamARN":{}}},"CloudWatchDestination":{"type":"structure","required":["DimensionConfigurations"],"members":{"DimensionConfigurations":{"type":"list","member":{"type":"structure","required":["DimensionName","DimensionValueSource","DefaultDimensionValue"],"members":{"DimensionName":{},"DimensionValueSource":{},"DefaultDimensionValue":{}}}}}},"SNSDestination":{"type":"structure","required":["TopicARN"],"members":{"TopicARN":{}}}}},"Sp":{"type":"structure","members":{"CustomRedirectDomain":{}}},"S10":{"type":"structure","required":["Name","IpFilter"],"members":{"Name":{},"IpFilter":{"type":"structure","required":["Policy","Cidr"],"members":{"Policy":{},"Cidr":{}}}}},"S18":{"type":"structure","required":["Name"],"members":{"Name":{},"Enabled":{"type":"boolean"},"TlsPolicy":{},"Recipients":{"type":"list","member":{}},"Actions":{"type":"list","member":{"type":"structure","members":{"S3Action":{"type":"structure","required":["BucketName"],"members":{"TopicArn":{},"BucketName":{},"ObjectKeyPrefix":{},"KmsKeyArn":{}}},"BounceAction":{"type":"structure","required":["SmtpReplyCode","Message","Sender"],"members":{"TopicArn":{},"SmtpReplyCode":{},"StatusCode":{},"Message":{},"Sender":{}}},"WorkmailAction":{"type":"structure","required":["OrganizationArn"],"members":{"TopicArn":{},"OrganizationArn":{}}},"LambdaAction":{"type":"structure","required":["FunctionArn"],"members":{"TopicArn":{},"FunctionArn":{},"InvocationType":{}}},"StopAction":{"type":"structure","required":["Scope"],"members":{"Scope":{},"TopicArn":{}}},"AddHeaderAction":{"type":"structure","required":["HeaderName","HeaderValue"],"members":{"HeaderName":{},"HeaderValue":{}}},"SNSAction":{"type":"structure","required":["TopicArn"],"members":{"TopicArn":{},"Encoding":{}}}}}},"ScanEnabled":{"type":"boolean"}}},"S20":{"type":"structure","required":["TemplateName"],"members":{"TemplateName":{},"SubjectPart":{},"TextPart":{},"HtmlPart":{}}},"S2t":{"type":"structure","members":{"Name":{},"CreatedTimestamp":{"type":"timestamp"}}},"S2v":{"type":"list","member":{"shape":"S18"}},"S31":{"type":"structure","members":{"TlsPolicy":{}}},"S3c":{"type":"list","member":{}},"S3h":{"type":"list","member":{}},"S3w":{"type":"list","member":{}},"S54":{"type":"list","member":{}},"S5i":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"S5x":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"S64":{"type":"structure","members":{"ToAddresses":{"shape":"S54"},"CcAddresses":{"shape":"S54"},"BccAddresses":{"shape":"S54"}}},"S6e":{"type":"structure","required":["Data"],"members":{"Data":{},"Charset":{}}}}}');

/***/ }),

/***/ 9399:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCustomVerificationEmailTemplates":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListIdentities":{"input_token":"NextToken","limit_key":"MaxItems","output_token":"NextToken","result_key":"Identities"},"ListVerifiedEmailAddresses":{"result_key":"VerifiedEmailAddresses"}}}');

/***/ }),

/***/ 98229:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"IdentityExists":{"delay":3,"operation":"GetIdentityVerificationAttributes","maxAttempts":20,"acceptors":[{"expected":"Success","matcher":"pathAll","state":"success","argument":"VerificationAttributes.*.VerificationStatus"}]}}}');

/***/ }),

/***/ 33922:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-10-01","endpointPrefix":"emr-containers","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon EMR Containers","serviceId":"EMR containers","signatureVersion":"v4","signingName":"emr-containers","uid":"emr-containers-2020-10-01"},"operations":{"CancelJobRun":{"http":{"method":"DELETE","requestUri":"/virtualclusters/{virtualClusterId}/jobruns/{jobRunId}"},"input":{"type":"structure","required":["id","virtualClusterId"],"members":{"id":{"location":"uri","locationName":"jobRunId"},"virtualClusterId":{"location":"uri","locationName":"virtualClusterId"}}},"output":{"type":"structure","members":{"id":{},"virtualClusterId":{}}}},"CreateManagedEndpoint":{"http":{"requestUri":"/virtualclusters/{virtualClusterId}/endpoints"},"input":{"type":"structure","required":["name","virtualClusterId","type","releaseLabel","executionRoleArn","clientToken"],"members":{"name":{},"virtualClusterId":{"location":"uri","locationName":"virtualClusterId"},"type":{},"releaseLabel":{},"executionRoleArn":{},"certificateArn":{"deprecated":true,"deprecatedMessage":"Customer provided certificate-arn is deprecated and would be removed in future."},"configurationOverrides":{"shape":"Sa"},"clientToken":{"idempotencyToken":true},"tags":{"shape":"Sn"}}},"output":{"type":"structure","members":{"id":{},"name":{},"arn":{},"virtualClusterId":{}}}},"CreateVirtualCluster":{"http":{"requestUri":"/virtualclusters"},"input":{"type":"structure","required":["name","containerProvider","clientToken"],"members":{"name":{},"containerProvider":{"shape":"St"},"clientToken":{"idempotencyToken":true},"tags":{"shape":"Sn"}}},"output":{"type":"structure","members":{"id":{},"name":{},"arn":{}}}},"DeleteManagedEndpoint":{"http":{"method":"DELETE","requestUri":"/virtualclusters/{virtualClusterId}/endpoints/{endpointId}"},"input":{"type":"structure","required":["id","virtualClusterId"],"members":{"id":{"location":"uri","locationName":"endpointId"},"virtualClusterId":{"location":"uri","locationName":"virtualClusterId"}}},"output":{"type":"structure","members":{"id":{},"virtualClusterId":{}}}},"DeleteVirtualCluster":{"http":{"method":"DELETE","requestUri":"/virtualclusters/{virtualClusterId}"},"input":{"type":"structure","required":["id"],"members":{"id":{"location":"uri","locationName":"virtualClusterId"}}},"output":{"type":"structure","members":{"id":{}}}},"DescribeJobRun":{"http":{"method":"GET","requestUri":"/virtualclusters/{virtualClusterId}/jobruns/{jobRunId}"},"input":{"type":"structure","required":["id","virtualClusterId"],"members":{"id":{"location":"uri","locationName":"jobRunId"},"virtualClusterId":{"location":"uri","locationName":"virtualClusterId"}}},"output":{"type":"structure","members":{"jobRun":{"shape":"S17"}}}},"DescribeManagedEndpoint":{"http":{"method":"GET","requestUri":"/virtualclusters/{virtualClusterId}/endpoints/{endpointId}"},"input":{"type":"structure","required":["id","virtualClusterId"],"members":{"id":{"location":"uri","locationName":"endpointId"},"virtualClusterId":{"location":"uri","locationName":"virtualClusterId"}}},"output":{"type":"structure","members":{"endpoint":{"shape":"S1l"}}}},"DescribeVirtualCluster":{"http":{"method":"GET","requestUri":"/virtualclusters/{virtualClusterId}"},"input":{"type":"structure","required":["id"],"members":{"id":{"location":"uri","locationName":"virtualClusterId"}}},"output":{"type":"structure","members":{"virtualCluster":{"shape":"S1s"}}}},"ListJobRuns":{"http":{"method":"GET","requestUri":"/virtualclusters/{virtualClusterId}/jobruns"},"input":{"type":"structure","required":["virtualClusterId"],"members":{"virtualClusterId":{"location":"uri","locationName":"virtualClusterId"},"createdBefore":{"shape":"S1g","location":"querystring","locationName":"createdBefore"},"createdAfter":{"shape":"S1g","location":"querystring","locationName":"createdAfter"},"name":{"location":"querystring","locationName":"name"},"states":{"location":"querystring","locationName":"states","type":"list","member":{}},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"jobRuns":{"type":"list","member":{"shape":"S17"}},"nextToken":{}}}},"ListManagedEndpoints":{"http":{"method":"GET","requestUri":"/virtualclusters/{virtualClusterId}/endpoints"},"input":{"type":"structure","required":["virtualClusterId"],"members":{"virtualClusterId":{"location":"uri","locationName":"virtualClusterId"},"createdBefore":{"shape":"S1g","location":"querystring","locationName":"createdBefore"},"createdAfter":{"shape":"S1g","location":"querystring","locationName":"createdAfter"},"types":{"location":"querystring","locationName":"types","type":"list","member":{}},"states":{"location":"querystring","locationName":"states","type":"list","member":{}},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"endpoints":{"type":"list","member":{"shape":"S1l"}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sn"}}}},"ListVirtualClusters":{"http":{"method":"GET","requestUri":"/virtualclusters"},"input":{"type":"structure","members":{"containerProviderId":{"location":"querystring","locationName":"containerProviderId"},"containerProviderType":{"location":"querystring","locationName":"containerProviderType"},"createdAfter":{"shape":"S1g","location":"querystring","locationName":"createdAfter"},"createdBefore":{"shape":"S1g","location":"querystring","locationName":"createdBefore"},"states":{"location":"querystring","locationName":"states","type":"list","member":{}},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"virtualClusters":{"type":"list","member":{"shape":"S1s"}},"nextToken":{}}}},"StartJobRun":{"http":{"requestUri":"/virtualclusters/{virtualClusterId}/jobruns"},"input":{"type":"structure","required":["virtualClusterId","clientToken","executionRoleArn","releaseLabel","jobDriver"],"members":{"name":{},"virtualClusterId":{"location":"uri","locationName":"virtualClusterId"},"clientToken":{"idempotencyToken":true},"executionRoleArn":{},"releaseLabel":{},"jobDriver":{"shape":"S1a"},"configurationOverrides":{"shape":"Sa"},"tags":{"shape":"Sn"}}},"output":{"type":"structure","members":{"id":{},"name":{},"arn":{},"virtualClusterId":{}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sn"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sa":{"type":"structure","members":{"applicationConfiguration":{"shape":"Sb"},"monitoringConfiguration":{"type":"structure","members":{"persistentAppUI":{},"cloudWatchMonitoringConfiguration":{"type":"structure","required":["logGroupName"],"members":{"logGroupName":{},"logStreamNamePrefix":{}}},"s3MonitoringConfiguration":{"type":"structure","required":["logUri"],"members":{"logUri":{}}}}}}},"Sb":{"type":"list","member":{"type":"structure","required":["classification"],"members":{"classification":{},"properties":{"type":"map","key":{},"value":{},"sensitive":true},"configurations":{"shape":"Sb"}}}},"Sn":{"type":"map","key":{},"value":{}},"St":{"type":"structure","required":["type","id"],"members":{"type":{},"id":{},"info":{"type":"structure","members":{"eksInfo":{"type":"structure","members":{"namespace":{}}}},"union":true}}},"S17":{"type":"structure","members":{"id":{},"name":{},"virtualClusterId":{},"arn":{},"state":{},"clientToken":{},"executionRoleArn":{},"releaseLabel":{},"configurationOverrides":{"shape":"Sa"},"jobDriver":{"shape":"S1a"},"createdAt":{"shape":"S1g"},"createdBy":{},"finishedAt":{"shape":"S1g"},"stateDetails":{},"failureReason":{},"tags":{"shape":"Sn"}}},"S1a":{"type":"structure","members":{"sparkSubmitJobDriver":{"type":"structure","required":["entryPoint"],"members":{"entryPoint":{"type":"string","sensitive":true},"entryPointArguments":{"type":"list","member":{"type":"string","sensitive":true}},"sparkSubmitParameters":{"type":"string","sensitive":true}}}}},"S1g":{"type":"timestamp","timestampFormat":"iso8601"},"S1l":{"type":"structure","members":{"id":{},"name":{},"arn":{},"virtualClusterId":{},"type":{},"state":{},"releaseLabel":{},"executionRoleArn":{},"certificateArn":{"deprecated":true,"deprecatedMessage":"Customer provided certificate-arn is deprecated and would be removed in future."},"certificateAuthority":{"type":"structure","members":{"certificateArn":{},"certificateData":{}}},"configurationOverrides":{"shape":"Sa"},"serverUrl":{},"createdAt":{"shape":"S1g"},"securityGroup":{},"subnetIds":{"type":"list","member":{}},"stateDetails":{},"failureReason":{},"tags":{"shape":"Sn"}}},"S1s":{"type":"structure","members":{"id":{},"name":{},"arn":{},"state":{},"containerProvider":{"shape":"St"},"createdAt":{"shape":"S1g"},"tags":{"shape":"Sn"}}}}}');

/***/ }),

/***/ 87789:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListJobRuns":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"jobRuns"},"ListManagedEndpoints":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"endpoints"},"ListVirtualClusters":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"virtualClusters"}}}');

/***/ }),

/***/ 64253:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-01-11","endpointPrefix":"entitlement.marketplace","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Marketplace Entitlement Service","serviceId":"Marketplace Entitlement Service","signatureVersion":"v4","signingName":"aws-marketplace","targetPrefix":"AWSMPEntitlementService","uid":"entitlement.marketplace-2017-01-11"},"operations":{"GetEntitlements":{"input":{"type":"structure","required":["ProductCode"],"members":{"ProductCode":{},"Filter":{"type":"map","key":{},"value":{"type":"list","member":{}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Entitlements":{"type":"list","member":{"type":"structure","members":{"ProductCode":{},"Dimension":{},"CustomerIdentifier":{},"Value":{"type":"structure","members":{"IntegerValue":{"type":"integer"},"DoubleValue":{"type":"double"},"BooleanValue":{"type":"boolean"},"StringValue":{}}},"ExpirationDate":{"type":"timestamp"}}}},"NextToken":{}}}}},"shapes":{}}');

/***/ }),

/***/ 67012:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 33943:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-01-01","endpointPrefix":"es","protocol":"rest-json","serviceFullName":"Amazon Elasticsearch Service","serviceId":"Elasticsearch Service","signatureVersion":"v4","uid":"es-2015-01-01"},"operations":{"AcceptInboundCrossClusterSearchConnection":{"http":{"method":"PUT","requestUri":"/2015-01-01/es/ccs/inboundConnection/{ConnectionId}/accept"},"input":{"type":"structure","required":["CrossClusterSearchConnectionId"],"members":{"CrossClusterSearchConnectionId":{"location":"uri","locationName":"ConnectionId"}}},"output":{"type":"structure","members":{"CrossClusterSearchConnection":{"shape":"S4"}}}},"AddTags":{"http":{"requestUri":"/2015-01-01/tags"},"input":{"type":"structure","required":["ARN","TagList"],"members":{"ARN":{},"TagList":{"shape":"Se"}}}},"AssociatePackage":{"http":{"requestUri":"/2015-01-01/packages/associate/{PackageID}/{DomainName}"},"input":{"type":"structure","required":["PackageID","DomainName"],"members":{"PackageID":{"location":"uri","locationName":"PackageID"},"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"DomainPackageDetails":{"shape":"Sl"}}}},"CancelElasticsearchServiceSoftwareUpdate":{"http":{"requestUri":"/2015-01-01/es/serviceSoftwareUpdate/cancel"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","members":{"ServiceSoftwareOptions":{"shape":"Sx"}}}},"CreateElasticsearchDomain":{"http":{"requestUri":"/2015-01-01/es/domain"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"ElasticsearchVersion":{},"ElasticsearchClusterConfig":{"shape":"S14"},"EBSOptions":{"shape":"S1a"},"AccessPolicies":{},"SnapshotOptions":{"shape":"S1d"},"VPCOptions":{"shape":"S1e"},"CognitoOptions":{"shape":"S1g"},"EncryptionAtRestOptions":{"shape":"S1k"},"NodeToNodeEncryptionOptions":{"shape":"S1m"},"AdvancedOptions":{"shape":"S1n"},"LogPublishingOptions":{"shape":"S1o"},"DomainEndpointOptions":{"shape":"S1s"},"AdvancedSecurityOptions":{"shape":"S1v"},"AutoTuneOptions":{"type":"structure","members":{"DesiredState":{},"MaintenanceSchedules":{"shape":"S26"}}},"TagList":{"shape":"Se"}}},"output":{"type":"structure","members":{"DomainStatus":{"shape":"S2d"}}}},"CreateOutboundCrossClusterSearchConnection":{"http":{"requestUri":"/2015-01-01/es/ccs/outboundConnection"},"input":{"type":"structure","required":["SourceDomainInfo","DestinationDomainInfo","ConnectionAlias"],"members":{"SourceDomainInfo":{"shape":"S5"},"DestinationDomainInfo":{"shape":"S5"},"ConnectionAlias":{}}},"output":{"type":"structure","members":{"SourceDomainInfo":{"shape":"S5"},"DestinationDomainInfo":{"shape":"S5"},"ConnectionAlias":{},"ConnectionStatus":{"shape":"S2p"},"CrossClusterSearchConnectionId":{}}}},"CreatePackage":{"http":{"requestUri":"/2015-01-01/packages"},"input":{"type":"structure","required":["PackageName","PackageType","PackageSource"],"members":{"PackageName":{},"PackageType":{},"PackageDescription":{},"PackageSource":{"shape":"S2t"}}},"output":{"type":"structure","members":{"PackageDetails":{"shape":"S2x"}}}},"DeleteElasticsearchDomain":{"http":{"method":"DELETE","requestUri":"/2015-01-01/es/domain/{DomainName}"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"DomainStatus":{"shape":"S2d"}}}},"DeleteElasticsearchServiceRole":{"http":{"method":"DELETE","requestUri":"/2015-01-01/es/role"}},"DeleteInboundCrossClusterSearchConnection":{"http":{"method":"DELETE","requestUri":"/2015-01-01/es/ccs/inboundConnection/{ConnectionId}"},"input":{"type":"structure","required":["CrossClusterSearchConnectionId"],"members":{"CrossClusterSearchConnectionId":{"location":"uri","locationName":"ConnectionId"}}},"output":{"type":"structure","members":{"CrossClusterSearchConnection":{"shape":"S4"}}}},"DeleteOutboundCrossClusterSearchConnection":{"http":{"method":"DELETE","requestUri":"/2015-01-01/es/ccs/outboundConnection/{ConnectionId}"},"input":{"type":"structure","required":["CrossClusterSearchConnectionId"],"members":{"CrossClusterSearchConnectionId":{"location":"uri","locationName":"ConnectionId"}}},"output":{"type":"structure","members":{"CrossClusterSearchConnection":{"shape":"S36"}}}},"DeletePackage":{"http":{"method":"DELETE","requestUri":"/2015-01-01/packages/{PackageID}"},"input":{"type":"structure","required":["PackageID"],"members":{"PackageID":{"location":"uri","locationName":"PackageID"}}},"output":{"type":"structure","members":{"PackageDetails":{"shape":"S2x"}}}},"DescribeDomainAutoTunes":{"http":{"method":"GET","requestUri":"/2015-01-01/es/domain/{DomainName}/autoTunes"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AutoTunes":{"type":"list","member":{"type":"structure","members":{"AutoTuneType":{},"AutoTuneDetails":{"type":"structure","members":{"ScheduledAutoTuneDetails":{"type":"structure","members":{"Date":{"type":"timestamp"},"ActionType":{},"Action":{},"Severity":{}}}}}}}},"NextToken":{}}}},"DescribeElasticsearchDomain":{"http":{"method":"GET","requestUri":"/2015-01-01/es/domain/{DomainName}"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","required":["DomainStatus"],"members":{"DomainStatus":{"shape":"S2d"}}}},"DescribeElasticsearchDomainConfig":{"http":{"method":"GET","requestUri":"/2015-01-01/es/domain/{DomainName}/config"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","required":["DomainConfig"],"members":{"DomainConfig":{"shape":"S3q"}}}},"DescribeElasticsearchDomains":{"http":{"requestUri":"/2015-01-01/es/domain-info"},"input":{"type":"structure","required":["DomainNames"],"members":{"DomainNames":{"type":"list","member":{}}}},"output":{"type":"structure","required":["DomainStatusList"],"members":{"DomainStatusList":{"type":"list","member":{"shape":"S2d"}}}}},"DescribeElasticsearchInstanceTypeLimits":{"http":{"method":"GET","requestUri":"/2015-01-01/es/instanceTypeLimits/{ElasticsearchVersion}/{InstanceType}"},"input":{"type":"structure","required":["InstanceType","ElasticsearchVersion"],"members":{"DomainName":{"location":"querystring","locationName":"domainName"},"InstanceType":{"location":"uri","locationName":"InstanceType"},"ElasticsearchVersion":{"location":"uri","locationName":"ElasticsearchVersion"}}},"output":{"type":"structure","members":{"LimitsByRole":{"type":"map","key":{},"value":{"type":"structure","members":{"StorageTypes":{"type":"list","member":{"type":"structure","members":{"StorageTypeName":{},"StorageSubTypeName":{},"StorageTypeLimits":{"type":"list","member":{"type":"structure","members":{"LimitName":{},"LimitValues":{"shape":"S4s"}}}}}}},"InstanceLimits":{"type":"structure","members":{"InstanceCountLimits":{"type":"structure","members":{"MinimumInstanceCount":{"type":"integer"},"MaximumInstanceCount":{"type":"integer"}}}}},"AdditionalLimits":{"type":"list","member":{"type":"structure","members":{"LimitName":{},"LimitValues":{"shape":"S4s"}}}}}}}}}},"DescribeInboundCrossClusterSearchConnections":{"http":{"requestUri":"/2015-01-01/es/ccs/inboundConnection/search"},"input":{"type":"structure","members":{"Filters":{"shape":"S51"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"CrossClusterSearchConnections":{"type":"list","member":{"shape":"S4"}},"NextToken":{}}}},"DescribeOutboundCrossClusterSearchConnections":{"http":{"requestUri":"/2015-01-01/es/ccs/outboundConnection/search"},"input":{"type":"structure","members":{"Filters":{"shape":"S51"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"CrossClusterSearchConnections":{"type":"list","member":{"shape":"S36"}},"NextToken":{}}}},"DescribePackages":{"http":{"requestUri":"/2015-01-01/packages/describe"},"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"PackageDetailsList":{"type":"list","member":{"shape":"S2x"}},"NextToken":{}}}},"DescribeReservedElasticsearchInstanceOfferings":{"http":{"method":"GET","requestUri":"/2015-01-01/es/reservedInstanceOfferings"},"input":{"type":"structure","members":{"ReservedElasticsearchInstanceOfferingId":{"location":"querystring","locationName":"offeringId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{},"ReservedElasticsearchInstanceOfferings":{"type":"list","member":{"type":"structure","members":{"ReservedElasticsearchInstanceOfferingId":{},"ElasticsearchInstanceType":{},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"PaymentOption":{},"RecurringCharges":{"shape":"S5q"}}}}}}},"DescribeReservedElasticsearchInstances":{"http":{"method":"GET","requestUri":"/2015-01-01/es/reservedInstances"},"input":{"type":"structure","members":{"ReservedElasticsearchInstanceId":{"location":"querystring","locationName":"reservationId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{},"ReservedElasticsearchInstances":{"type":"list","member":{"type":"structure","members":{"ReservationName":{},"ReservedElasticsearchInstanceId":{},"ReservedElasticsearchInstanceOfferingId":{},"ElasticsearchInstanceType":{},"StartTime":{"type":"timestamp"},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"ElasticsearchInstanceCount":{"type":"integer"},"State":{},"PaymentOption":{},"RecurringCharges":{"shape":"S5q"}}}}}}},"DissociatePackage":{"http":{"requestUri":"/2015-01-01/packages/dissociate/{PackageID}/{DomainName}"},"input":{"type":"structure","required":["PackageID","DomainName"],"members":{"PackageID":{"location":"uri","locationName":"PackageID"},"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"DomainPackageDetails":{"shape":"Sl"}}}},"GetCompatibleElasticsearchVersions":{"http":{"method":"GET","requestUri":"/2015-01-01/es/compatibleVersions"},"input":{"type":"structure","members":{"DomainName":{"location":"querystring","locationName":"domainName"}}},"output":{"type":"structure","members":{"CompatibleElasticsearchVersions":{"type":"list","member":{"type":"structure","members":{"SourceVersion":{},"TargetVersions":{"shape":"S63"}}}}}}},"GetPackageVersionHistory":{"http":{"method":"GET","requestUri":"/2015-01-01/packages/{PackageID}/history"},"input":{"type":"structure","required":["PackageID"],"members":{"PackageID":{"location":"uri","locationName":"PackageID"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"PackageID":{},"PackageVersionHistoryList":{"type":"list","member":{"type":"structure","members":{"PackageVersion":{},"CommitMessage":{},"CreatedAt":{"type":"timestamp"}}}},"NextToken":{}}}},"GetUpgradeHistory":{"http":{"method":"GET","requestUri":"/2015-01-01/es/upgradeDomain/{DomainName}/history"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"UpgradeHistories":{"type":"list","member":{"type":"structure","members":{"UpgradeName":{},"StartTimestamp":{"type":"timestamp"},"UpgradeStatus":{},"StepsList":{"type":"list","member":{"type":"structure","members":{"UpgradeStep":{},"UpgradeStepStatus":{},"Issues":{"type":"list","member":{}},"ProgressPercent":{"type":"double"}}}}}}},"NextToken":{}}}},"GetUpgradeStatus":{"http":{"method":"GET","requestUri":"/2015-01-01/es/upgradeDomain/{DomainName}/status"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"UpgradeStep":{},"StepStatus":{},"UpgradeName":{}}}},"ListDomainNames":{"http":{"method":"GET","requestUri":"/2015-01-01/domain"},"input":{"type":"structure","members":{"EngineType":{"location":"querystring","locationName":"engineType"}}},"output":{"type":"structure","members":{"DomainNames":{"type":"list","member":{"type":"structure","members":{"DomainName":{},"EngineType":{}}}}}}},"ListDomainsForPackage":{"http":{"method":"GET","requestUri":"/2015-01-01/packages/{PackageID}/domains"},"input":{"type":"structure","required":["PackageID"],"members":{"PackageID":{"location":"uri","locationName":"PackageID"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"DomainPackageDetailsList":{"shape":"S6u"},"NextToken":{}}}},"ListElasticsearchInstanceTypes":{"http":{"method":"GET","requestUri":"/2015-01-01/es/instanceTypes/{ElasticsearchVersion}"},"input":{"type":"structure","required":["ElasticsearchVersion"],"members":{"ElasticsearchVersion":{"location":"uri","locationName":"ElasticsearchVersion"},"DomainName":{"location":"querystring","locationName":"domainName"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"ElasticsearchInstanceTypes":{"type":"list","member":{}},"NextToken":{}}}},"ListElasticsearchVersions":{"http":{"method":"GET","requestUri":"/2015-01-01/es/versions"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"ElasticsearchVersions":{"shape":"S63"},"NextToken":{}}}},"ListPackagesForDomain":{"http":{"method":"GET","requestUri":"/2015-01-01/domain/{DomainName}/packages"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"DomainPackageDetailsList":{"shape":"S6u"},"NextToken":{}}}},"ListTags":{"http":{"method":"GET","requestUri":"/2015-01-01/tags/"},"input":{"type":"structure","required":["ARN"],"members":{"ARN":{"location":"querystring","locationName":"arn"}}},"output":{"type":"structure","members":{"TagList":{"shape":"Se"}}}},"PurchaseReservedElasticsearchInstanceOffering":{"http":{"requestUri":"/2015-01-01/es/purchaseReservedInstanceOffering"},"input":{"type":"structure","required":["ReservedElasticsearchInstanceOfferingId","ReservationName"],"members":{"ReservedElasticsearchInstanceOfferingId":{},"ReservationName":{},"InstanceCount":{"type":"integer"}}},"output":{"type":"structure","members":{"ReservedElasticsearchInstanceId":{},"ReservationName":{}}}},"RejectInboundCrossClusterSearchConnection":{"http":{"method":"PUT","requestUri":"/2015-01-01/es/ccs/inboundConnection/{ConnectionId}/reject"},"input":{"type":"structure","required":["CrossClusterSearchConnectionId"],"members":{"CrossClusterSearchConnectionId":{"location":"uri","locationName":"ConnectionId"}}},"output":{"type":"structure","members":{"CrossClusterSearchConnection":{"shape":"S4"}}}},"RemoveTags":{"http":{"requestUri":"/2015-01-01/tags-removal"},"input":{"type":"structure","required":["ARN","TagKeys"],"members":{"ARN":{},"TagKeys":{"shape":"S1f"}}}},"StartElasticsearchServiceSoftwareUpdate":{"http":{"requestUri":"/2015-01-01/es/serviceSoftwareUpdate/start"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","members":{"ServiceSoftwareOptions":{"shape":"Sx"}}}},"UpdateElasticsearchDomainConfig":{"http":{"requestUri":"/2015-01-01/es/domain/{DomainName}/config"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"ElasticsearchClusterConfig":{"shape":"S14"},"EBSOptions":{"shape":"S1a"},"SnapshotOptions":{"shape":"S1d"},"VPCOptions":{"shape":"S1e"},"CognitoOptions":{"shape":"S1g"},"AdvancedOptions":{"shape":"S1n"},"AccessPolicies":{},"LogPublishingOptions":{"shape":"S1o"},"DomainEndpointOptions":{"shape":"S1s"},"AdvancedSecurityOptions":{"shape":"S1v"},"NodeToNodeEncryptionOptions":{"shape":"S1m"},"EncryptionAtRestOptions":{"shape":"S1k"},"AutoTuneOptions":{"shape":"S49"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","required":["DomainConfig"],"members":{"DomainConfig":{"shape":"S3q"},"DryRunResults":{"type":"structure","members":{"DeploymentType":{},"Message":{}}}}}},"UpdatePackage":{"http":{"requestUri":"/2015-01-01/packages/update"},"input":{"type":"structure","required":["PackageID","PackageSource"],"members":{"PackageID":{},"PackageSource":{"shape":"S2t"},"PackageDescription":{},"CommitMessage":{}}},"output":{"type":"structure","members":{"PackageDetails":{"shape":"S2x"}}}},"UpgradeElasticsearchDomain":{"http":{"requestUri":"/2015-01-01/es/upgradeDomain"},"input":{"type":"structure","required":["DomainName","TargetVersion"],"members":{"DomainName":{},"TargetVersion":{},"PerformCheckOnly":{"type":"boolean"}}},"output":{"type":"structure","members":{"DomainName":{},"TargetVersion":{},"PerformCheckOnly":{"type":"boolean"}}}}},"shapes":{"S4":{"type":"structure","members":{"SourceDomainInfo":{"shape":"S5"},"DestinationDomainInfo":{"shape":"S5"},"CrossClusterSearchConnectionId":{},"ConnectionStatus":{"type":"structure","members":{"StatusCode":{},"Message":{}}}}},"S5":{"type":"structure","required":["DomainName"],"members":{"OwnerId":{},"DomainName":{},"Region":{}}},"Se":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sl":{"type":"structure","members":{"PackageID":{},"PackageName":{},"PackageType":{},"LastUpdated":{"type":"timestamp"},"DomainName":{},"DomainPackageStatus":{},"PackageVersion":{},"ReferencePath":{},"ErrorDetails":{"shape":"Ss"}}},"Ss":{"type":"structure","members":{"ErrorType":{},"ErrorMessage":{}}},"Sx":{"type":"structure","members":{"CurrentVersion":{},"NewVersion":{},"UpdateAvailable":{"type":"boolean"},"Cancellable":{"type":"boolean"},"UpdateStatus":{},"Description":{},"AutomatedUpdateDate":{"type":"timestamp"},"OptionalDeployment":{"type":"boolean"}}},"S14":{"type":"structure","members":{"InstanceType":{},"InstanceCount":{"type":"integer"},"DedicatedMasterEnabled":{"type":"boolean"},"ZoneAwarenessEnabled":{"type":"boolean"},"ZoneAwarenessConfig":{"type":"structure","members":{"AvailabilityZoneCount":{"type":"integer"}}},"DedicatedMasterType":{},"DedicatedMasterCount":{"type":"integer"},"WarmEnabled":{"type":"boolean"},"WarmType":{},"WarmCount":{"type":"integer"},"ColdStorageOptions":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"}}}}},"S1a":{"type":"structure","members":{"EBSEnabled":{"type":"boolean"},"VolumeType":{},"VolumeSize":{"type":"integer"},"Iops":{"type":"integer"}}},"S1d":{"type":"structure","members":{"AutomatedSnapshotStartHour":{"type":"integer"}}},"S1e":{"type":"structure","members":{"SubnetIds":{"shape":"S1f"},"SecurityGroupIds":{"shape":"S1f"}}},"S1f":{"type":"list","member":{}},"S1g":{"type":"structure","members":{"Enabled":{"type":"boolean"},"UserPoolId":{},"IdentityPoolId":{},"RoleArn":{}}},"S1k":{"type":"structure","members":{"Enabled":{"type":"boolean"},"KmsKeyId":{}}},"S1m":{"type":"structure","members":{"Enabled":{"type":"boolean"}}},"S1n":{"type":"map","key":{},"value":{}},"S1o":{"type":"map","key":{},"value":{"type":"structure","members":{"CloudWatchLogsLogGroupArn":{},"Enabled":{"type":"boolean"}}}},"S1s":{"type":"structure","members":{"EnforceHTTPS":{"type":"boolean"},"TLSSecurityPolicy":{},"CustomEndpointEnabled":{"type":"boolean"},"CustomEndpoint":{},"CustomEndpointCertificateArn":{}}},"S1v":{"type":"structure","members":{"Enabled":{"type":"boolean"},"InternalUserDatabaseEnabled":{"type":"boolean"},"MasterUserOptions":{"type":"structure","members":{"MasterUserARN":{},"MasterUserName":{"shape":"S1x"},"MasterUserPassword":{"type":"string","sensitive":true}}},"SAMLOptions":{"type":"structure","members":{"Enabled":{"type":"boolean"},"Idp":{"shape":"S20"},"MasterUserName":{"shape":"S1x"},"MasterBackendRole":{},"SubjectKey":{},"RolesKey":{},"SessionTimeoutMinutes":{"type":"integer"}}}}},"S1x":{"type":"string","sensitive":true},"S20":{"type":"structure","required":["MetadataContent","EntityId"],"members":{"MetadataContent":{},"EntityId":{}}},"S26":{"type":"list","member":{"type":"structure","members":{"StartAt":{"type":"timestamp"},"Duration":{"type":"structure","members":{"Value":{"type":"long"},"Unit":{}}},"CronExpressionForRecurrence":{}}}},"S2d":{"type":"structure","required":["DomainId","DomainName","ARN","ElasticsearchClusterConfig"],"members":{"DomainId":{},"DomainName":{},"ARN":{},"Created":{"type":"boolean"},"Deleted":{"type":"boolean"},"Endpoint":{},"Endpoints":{"type":"map","key":{},"value":{}},"Processing":{"type":"boolean"},"UpgradeProcessing":{"type":"boolean"},"ElasticsearchVersion":{},"ElasticsearchClusterConfig":{"shape":"S14"},"EBSOptions":{"shape":"S1a"},"AccessPolicies":{},"SnapshotOptions":{"shape":"S1d"},"VPCOptions":{"shape":"S2h"},"CognitoOptions":{"shape":"S1g"},"EncryptionAtRestOptions":{"shape":"S1k"},"NodeToNodeEncryptionOptions":{"shape":"S1m"},"AdvancedOptions":{"shape":"S1n"},"LogPublishingOptions":{"shape":"S1o"},"ServiceSoftwareOptions":{"shape":"Sx"},"DomainEndpointOptions":{"shape":"S1s"},"AdvancedSecurityOptions":{"shape":"S2i"},"AutoTuneOptions":{"type":"structure","members":{"State":{},"ErrorMessage":{}}}}},"S2h":{"type":"structure","members":{"VPCId":{},"SubnetIds":{"shape":"S1f"},"AvailabilityZones":{"shape":"S1f"},"SecurityGroupIds":{"shape":"S1f"}}},"S2i":{"type":"structure","members":{"Enabled":{"type":"boolean"},"InternalUserDatabaseEnabled":{"type":"boolean"},"SAMLOptions":{"type":"structure","members":{"Enabled":{"type":"boolean"},"Idp":{"shape":"S20"},"SubjectKey":{},"RolesKey":{},"SessionTimeoutMinutes":{"type":"integer"}}}}},"S2p":{"type":"structure","members":{"StatusCode":{},"Message":{}}},"S2t":{"type":"structure","members":{"S3BucketName":{},"S3Key":{}}},"S2x":{"type":"structure","members":{"PackageID":{},"PackageName":{},"PackageType":{},"PackageDescription":{},"PackageStatus":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"AvailablePackageVersion":{},"ErrorDetails":{"shape":"Ss"}}},"S36":{"type":"structure","members":{"SourceDomainInfo":{"shape":"S5"},"DestinationDomainInfo":{"shape":"S5"},"CrossClusterSearchConnectionId":{},"ConnectionAlias":{},"ConnectionStatus":{"shape":"S2p"}}},"S3q":{"type":"structure","members":{"ElasticsearchVersion":{"type":"structure","required":["Options","Status"],"members":{"Options":{},"Status":{"shape":"S3s"}}},"ElasticsearchClusterConfig":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S14"},"Status":{"shape":"S3s"}}},"EBSOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1a"},"Status":{"shape":"S3s"}}},"AccessPolicies":{"type":"structure","required":["Options","Status"],"members":{"Options":{},"Status":{"shape":"S3s"}}},"SnapshotOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1d"},"Status":{"shape":"S3s"}}},"VPCOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S2h"},"Status":{"shape":"S3s"}}},"CognitoOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1g"},"Status":{"shape":"S3s"}}},"EncryptionAtRestOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1k"},"Status":{"shape":"S3s"}}},"NodeToNodeEncryptionOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1m"},"Status":{"shape":"S3s"}}},"AdvancedOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1n"},"Status":{"shape":"S3s"}}},"LogPublishingOptions":{"type":"structure","members":{"Options":{"shape":"S1o"},"Status":{"shape":"S3s"}}},"DomainEndpointOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1s"},"Status":{"shape":"S3s"}}},"AdvancedSecurityOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S2i"},"Status":{"shape":"S3s"}}},"AutoTuneOptions":{"type":"structure","members":{"Options":{"shape":"S49"},"Status":{"type":"structure","required":["CreationDate","UpdateDate","State"],"members":{"CreationDate":{"type":"timestamp"},"UpdateDate":{"type":"timestamp"},"UpdateVersion":{"type":"integer"},"State":{},"ErrorMessage":{},"PendingDeletion":{"type":"boolean"}}}}}}},"S3s":{"type":"structure","required":["CreationDate","UpdateDate","State"],"members":{"CreationDate":{"type":"timestamp"},"UpdateDate":{"type":"timestamp"},"UpdateVersion":{"type":"integer"},"State":{},"PendingDeletion":{"type":"boolean"}}},"S49":{"type":"structure","members":{"DesiredState":{},"RollbackOnDisable":{},"MaintenanceSchedules":{"shape":"S26"}}},"S4s":{"type":"list","member":{}},"S51":{"type":"list","member":{"type":"structure","members":{"Name":{},"Values":{"type":"list","member":{}}}}},"S5q":{"type":"list","member":{"type":"structure","members":{"RecurringChargeAmount":{"type":"double"},"RecurringChargeFrequency":{}}}},"S63":{"type":"list","member":{}},"S6u":{"type":"list","member":{"shape":"Sl"}}}}');

/***/ }),

/***/ 78836:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeDomainAutoTunes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeInboundCrossClusterSearchConnections":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeOutboundCrossClusterSearchConnections":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribePackages":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeReservedElasticsearchInstanceOfferings":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeReservedElasticsearchInstances":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"GetPackageVersionHistory":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"GetUpgradeHistory":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDomainsForPackage":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListElasticsearchInstanceTypes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListElasticsearchVersions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListPackagesForDomain":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 9659:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-10-07","endpointPrefix":"events","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon EventBridge","serviceId":"EventBridge","signatureVersion":"v4","targetPrefix":"AWSEvents","uid":"eventbridge-2015-10-07"},"operations":{"ActivateEventSource":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"CancelReplay":{"input":{"type":"structure","required":["ReplayName"],"members":{"ReplayName":{}}},"output":{"type":"structure","members":{"ReplayArn":{},"State":{},"StateReason":{}}}},"CreateApiDestination":{"input":{"type":"structure","required":["Name","ConnectionArn","InvocationEndpoint","HttpMethod"],"members":{"Name":{},"Description":{},"ConnectionArn":{},"InvocationEndpoint":{},"HttpMethod":{},"InvocationRateLimitPerSecond":{"type":"integer"}}},"output":{"type":"structure","members":{"ApiDestinationArn":{},"ApiDestinationState":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"CreateArchive":{"input":{"type":"structure","required":["ArchiveName","EventSourceArn"],"members":{"ArchiveName":{},"EventSourceArn":{},"Description":{},"EventPattern":{},"RetentionDays":{"type":"integer"}}},"output":{"type":"structure","members":{"ArchiveArn":{},"State":{},"StateReason":{},"CreationTime":{"type":"timestamp"}}}},"CreateConnection":{"input":{"type":"structure","required":["Name","AuthorizationType","AuthParameters"],"members":{"Name":{},"Description":{},"AuthorizationType":{},"AuthParameters":{"type":"structure","members":{"BasicAuthParameters":{"type":"structure","required":["Username","Password"],"members":{"Username":{},"Password":{}}},"OAuthParameters":{"type":"structure","required":["ClientParameters","AuthorizationEndpoint","HttpMethod"],"members":{"ClientParameters":{"type":"structure","required":["ClientID","ClientSecret"],"members":{"ClientID":{},"ClientSecret":{}}},"AuthorizationEndpoint":{},"HttpMethod":{},"OAuthHttpParameters":{"shape":"S14"}}},"ApiKeyAuthParameters":{"type":"structure","required":["ApiKeyName","ApiKeyValue"],"members":{"ApiKeyName":{},"ApiKeyValue":{}}},"InvocationHttpParameters":{"shape":"S14"}}}}},"output":{"type":"structure","members":{"ConnectionArn":{},"ConnectionState":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"CreateEventBus":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"EventSourceName":{},"Tags":{"shape":"S1m"}}},"output":{"type":"structure","members":{"EventBusArn":{}}}},"CreatePartnerEventSource":{"input":{"type":"structure","required":["Name","Account"],"members":{"Name":{},"Account":{}}},"output":{"type":"structure","members":{"EventSourceArn":{}}}},"DeactivateEventSource":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"DeauthorizeConnection":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"ConnectionArn":{},"ConnectionState":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastAuthorizedTime":{"type":"timestamp"}}}},"DeleteApiDestination":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteArchive":{"input":{"type":"structure","required":["ArchiveName"],"members":{"ArchiveName":{}}},"output":{"type":"structure","members":{}}},"DeleteConnection":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"ConnectionArn":{},"ConnectionState":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastAuthorizedTime":{"type":"timestamp"}}}},"DeleteEventBus":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"DeletePartnerEventSource":{"input":{"type":"structure","required":["Name","Account"],"members":{"Name":{},"Account":{}}}},"DeleteRule":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"EventBusName":{},"Force":{"type":"boolean"}}}},"DescribeApiDestination":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"ApiDestinationArn":{},"Name":{},"Description":{},"ApiDestinationState":{},"ConnectionArn":{},"InvocationEndpoint":{},"HttpMethod":{},"InvocationRateLimitPerSecond":{"type":"integer"},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"DescribeArchive":{"input":{"type":"structure","required":["ArchiveName"],"members":{"ArchiveName":{}}},"output":{"type":"structure","members":{"ArchiveArn":{},"ArchiveName":{},"EventSourceArn":{},"Description":{},"EventPattern":{},"State":{},"StateReason":{},"RetentionDays":{"type":"integer"},"SizeBytes":{"type":"long"},"EventCount":{"type":"long"},"CreationTime":{"type":"timestamp"}}}},"DescribeConnection":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"ConnectionArn":{},"Name":{},"Description":{},"ConnectionState":{},"StateReason":{},"AuthorizationType":{},"SecretArn":{},"AuthParameters":{"type":"structure","members":{"BasicAuthParameters":{"type":"structure","members":{"Username":{}}},"OAuthParameters":{"type":"structure","members":{"ClientParameters":{"type":"structure","members":{"ClientID":{}}},"AuthorizationEndpoint":{},"HttpMethod":{},"OAuthHttpParameters":{"shape":"S14"}}},"ApiKeyAuthParameters":{"type":"structure","members":{"ApiKeyName":{}}},"InvocationHttpParameters":{"shape":"S14"}}},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastAuthorizedTime":{"type":"timestamp"}}}},"DescribeEventBus":{"input":{"type":"structure","members":{"Name":{}}},"output":{"type":"structure","members":{"Name":{},"Arn":{},"Policy":{}}}},"DescribeEventSource":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Arn":{},"CreatedBy":{},"CreationTime":{"type":"timestamp"},"ExpirationTime":{"type":"timestamp"},"Name":{},"State":{}}}},"DescribePartnerEventSource":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Arn":{},"Name":{}}}},"DescribeReplay":{"input":{"type":"structure","required":["ReplayName"],"members":{"ReplayName":{}}},"output":{"type":"structure","members":{"ReplayName":{},"ReplayArn":{},"Description":{},"State":{},"StateReason":{},"EventSourceArn":{},"Destination":{"shape":"S2w"},"EventStartTime":{"type":"timestamp"},"EventEndTime":{"type":"timestamp"},"EventLastReplayedTime":{"type":"timestamp"},"ReplayStartTime":{"type":"timestamp"},"ReplayEndTime":{"type":"timestamp"}}}},"DescribeRule":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"EventBusName":{}}},"output":{"type":"structure","members":{"Name":{},"Arn":{},"EventPattern":{},"ScheduleExpression":{},"State":{},"Description":{},"RoleArn":{},"ManagedBy":{},"EventBusName":{},"CreatedBy":{}}}},"DisableRule":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"EventBusName":{}}}},"EnableRule":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"EventBusName":{}}}},"ListApiDestinations":{"input":{"type":"structure","members":{"NamePrefix":{},"ConnectionArn":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"ApiDestinations":{"type":"list","member":{"type":"structure","members":{"ApiDestinationArn":{},"Name":{},"ApiDestinationState":{},"ConnectionArn":{},"InvocationEndpoint":{},"HttpMethod":{},"InvocationRateLimitPerSecond":{"type":"integer"},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListArchives":{"input":{"type":"structure","members":{"NamePrefix":{},"EventSourceArn":{},"State":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Archives":{"type":"list","member":{"type":"structure","members":{"ArchiveName":{},"EventSourceArn":{},"State":{},"StateReason":{},"RetentionDays":{"type":"integer"},"SizeBytes":{"type":"long"},"EventCount":{"type":"long"},"CreationTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListConnections":{"input":{"type":"structure","members":{"NamePrefix":{},"ConnectionState":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Connections":{"type":"list","member":{"type":"structure","members":{"ConnectionArn":{},"Name":{},"ConnectionState":{},"StateReason":{},"AuthorizationType":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastAuthorizedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListEventBuses":{"input":{"type":"structure","members":{"NamePrefix":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"EventBuses":{"type":"list","member":{"type":"structure","members":{"Name":{},"Arn":{},"Policy":{}}}},"NextToken":{}}}},"ListEventSources":{"input":{"type":"structure","members":{"NamePrefix":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"EventSources":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreatedBy":{},"CreationTime":{"type":"timestamp"},"ExpirationTime":{"type":"timestamp"},"Name":{},"State":{}}}},"NextToken":{}}}},"ListPartnerEventSourceAccounts":{"input":{"type":"structure","required":["EventSourceName"],"members":{"EventSourceName":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"PartnerEventSourceAccounts":{"type":"list","member":{"type":"structure","members":{"Account":{},"CreationTime":{"type":"timestamp"},"ExpirationTime":{"type":"timestamp"},"State":{}}}},"NextToken":{}}}},"ListPartnerEventSources":{"input":{"type":"structure","required":["NamePrefix"],"members":{"NamePrefix":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"PartnerEventSources":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Name":{}}}},"NextToken":{}}}},"ListReplays":{"input":{"type":"structure","members":{"NamePrefix":{},"State":{},"EventSourceArn":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Replays":{"type":"list","member":{"type":"structure","members":{"ReplayName":{},"EventSourceArn":{},"State":{},"StateReason":{},"EventStartTime":{"type":"timestamp"},"EventEndTime":{"type":"timestamp"},"EventLastReplayedTime":{"type":"timestamp"},"ReplayStartTime":{"type":"timestamp"},"ReplayEndTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListRuleNamesByTarget":{"input":{"type":"structure","required":["TargetArn"],"members":{"TargetArn":{},"EventBusName":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"RuleNames":{"type":"list","member":{}},"NextToken":{}}}},"ListRules":{"input":{"type":"structure","members":{"NamePrefix":{},"EventBusName":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Rules":{"type":"list","member":{"type":"structure","members":{"Name":{},"Arn":{},"EventPattern":{},"State":{},"Description":{},"ScheduleExpression":{},"RoleArn":{},"ManagedBy":{},"EventBusName":{}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S1m"}}}},"ListTargetsByRule":{"input":{"type":"structure","required":["Rule"],"members":{"Rule":{},"EventBusName":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Targets":{"shape":"S4l"},"NextToken":{}}}},"PutEvents":{"input":{"type":"structure","required":["Entries"],"members":{"Entries":{"type":"list","member":{"type":"structure","members":{"Time":{"type":"timestamp"},"Source":{},"Resources":{"shape":"S6j"},"DetailType":{},"Detail":{},"EventBusName":{},"TraceHeader":{}}}}}},"output":{"type":"structure","members":{"FailedEntryCount":{"type":"integer"},"Entries":{"type":"list","member":{"type":"structure","members":{"EventId":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"PutPartnerEvents":{"input":{"type":"structure","required":["Entries"],"members":{"Entries":{"type":"list","member":{"type":"structure","members":{"Time":{"type":"timestamp"},"Source":{},"Resources":{"shape":"S6j"},"DetailType":{},"Detail":{}}}}}},"output":{"type":"structure","members":{"FailedEntryCount":{"type":"integer"},"Entries":{"type":"list","member":{"type":"structure","members":{"EventId":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"PutPermission":{"input":{"type":"structure","members":{"EventBusName":{},"Action":{},"Principal":{},"StatementId":{},"Condition":{"type":"structure","required":["Type","Key","Value"],"members":{"Type":{},"Key":{},"Value":{}}},"Policy":{}}}},"PutRule":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"ScheduleExpression":{},"EventPattern":{},"State":{},"Description":{},"RoleArn":{},"Tags":{"shape":"S1m"},"EventBusName":{}}},"output":{"type":"structure","members":{"RuleArn":{}}}},"PutTargets":{"input":{"type":"structure","required":["Rule","Targets"],"members":{"Rule":{},"EventBusName":{},"Targets":{"shape":"S4l"}}},"output":{"type":"structure","members":{"FailedEntryCount":{"type":"integer"},"FailedEntries":{"type":"list","member":{"type":"structure","members":{"TargetId":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"RemovePermission":{"input":{"type":"structure","members":{"StatementId":{},"RemoveAllPermissions":{"type":"boolean"},"EventBusName":{}}}},"RemoveTargets":{"input":{"type":"structure","required":["Rule","Ids"],"members":{"Rule":{},"EventBusName":{},"Ids":{"type":"list","member":{}},"Force":{"type":"boolean"}}},"output":{"type":"structure","members":{"FailedEntryCount":{"type":"integer"},"FailedEntries":{"type":"list","member":{"type":"structure","members":{"TargetId":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"StartReplay":{"input":{"type":"structure","required":["ReplayName","EventSourceArn","EventStartTime","EventEndTime","Destination"],"members":{"ReplayName":{},"Description":{},"EventSourceArn":{},"EventStartTime":{"type":"timestamp"},"EventEndTime":{"type":"timestamp"},"Destination":{"shape":"S2w"}}},"output":{"type":"structure","members":{"ReplayArn":{},"State":{},"StateReason":{},"ReplayStartTime":{"type":"timestamp"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S1m"}}},"output":{"type":"structure","members":{}}},"TestEventPattern":{"input":{"type":"structure","required":["EventPattern","Event"],"members":{"EventPattern":{},"Event":{}}},"output":{"type":"structure","members":{"Result":{"type":"boolean"}}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateApiDestination":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"ConnectionArn":{},"InvocationEndpoint":{},"HttpMethod":{},"InvocationRateLimitPerSecond":{"type":"integer"}}},"output":{"type":"structure","members":{"ApiDestinationArn":{},"ApiDestinationState":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"UpdateArchive":{"input":{"type":"structure","required":["ArchiveName"],"members":{"ArchiveName":{},"Description":{},"EventPattern":{},"RetentionDays":{"type":"integer"}}},"output":{"type":"structure","members":{"ArchiveArn":{},"State":{},"StateReason":{},"CreationTime":{"type":"timestamp"}}}},"UpdateConnection":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"AuthorizationType":{},"AuthParameters":{"type":"structure","members":{"BasicAuthParameters":{"type":"structure","members":{"Username":{},"Password":{}}},"OAuthParameters":{"type":"structure","members":{"ClientParameters":{"type":"structure","members":{"ClientID":{},"ClientSecret":{}}},"AuthorizationEndpoint":{},"HttpMethod":{},"OAuthHttpParameters":{"shape":"S14"}}},"ApiKeyAuthParameters":{"type":"structure","members":{"ApiKeyName":{},"ApiKeyValue":{}}},"InvocationHttpParameters":{"shape":"S14"}}}}},"output":{"type":"structure","members":{"ConnectionArn":{},"ConnectionState":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastAuthorizedTime":{"type":"timestamp"}}}}},"shapes":{"S14":{"type":"structure","members":{"HeaderParameters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"IsValueSecret":{"type":"boolean"}}}},"QueryStringParameters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"IsValueSecret":{"type":"boolean"}}}},"BodyParameters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"IsValueSecret":{"type":"boolean"}}}}}},"S1m":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S2w":{"type":"structure","required":["Arn"],"members":{"Arn":{},"FilterArns":{"type":"list","member":{}}}},"S4l":{"type":"list","member":{"type":"structure","required":["Id","Arn"],"members":{"Id":{},"Arn":{},"RoleArn":{},"Input":{},"InputPath":{},"InputTransformer":{"type":"structure","required":["InputTemplate"],"members":{"InputPathsMap":{"type":"map","key":{},"value":{}},"InputTemplate":{}}},"KinesisParameters":{"type":"structure","required":["PartitionKeyPath"],"members":{"PartitionKeyPath":{}}},"RunCommandParameters":{"type":"structure","required":["RunCommandTargets"],"members":{"RunCommandTargets":{"type":"list","member":{"type":"structure","required":["Key","Values"],"members":{"Key":{},"Values":{"type":"list","member":{}}}}}}},"EcsParameters":{"type":"structure","required":["TaskDefinitionArn"],"members":{"TaskDefinitionArn":{},"TaskCount":{"type":"integer"},"LaunchType":{},"NetworkConfiguration":{"type":"structure","members":{"awsvpcConfiguration":{"type":"structure","required":["Subnets"],"members":{"Subnets":{"shape":"S57"},"SecurityGroups":{"shape":"S57"},"AssignPublicIp":{}}}}},"PlatformVersion":{},"Group":{},"CapacityProviderStrategy":{"type":"list","member":{"type":"structure","required":["capacityProvider"],"members":{"capacityProvider":{},"weight":{"type":"integer"},"base":{"type":"integer"}}}},"EnableECSManagedTags":{"type":"boolean"},"EnableExecuteCommand":{"type":"boolean"},"PlacementConstraints":{"type":"list","member":{"type":"structure","members":{"type":{},"expression":{}}}},"PlacementStrategy":{"type":"list","member":{"type":"structure","members":{"type":{},"field":{}}}},"PropagateTags":{},"ReferenceId":{},"Tags":{"shape":"S1m"}}},"BatchParameters":{"type":"structure","required":["JobDefinition","JobName"],"members":{"JobDefinition":{},"JobName":{},"ArrayProperties":{"type":"structure","members":{"Size":{"type":"integer"}}},"RetryStrategy":{"type":"structure","members":{"Attempts":{"type":"integer"}}}}},"SqsParameters":{"type":"structure","members":{"MessageGroupId":{}}},"HttpParameters":{"type":"structure","members":{"PathParameterValues":{"type":"list","member":{}},"HeaderParameters":{"type":"map","key":{},"value":{}},"QueryStringParameters":{"type":"map","key":{},"value":{}}}},"RedshiftDataParameters":{"type":"structure","required":["Database","Sql"],"members":{"SecretManagerArn":{},"Database":{},"DbUser":{},"Sql":{},"StatementName":{},"WithEvent":{"type":"boolean"}}},"SageMakerPipelineParameters":{"type":"structure","members":{"PipelineParameterList":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}}}},"DeadLetterConfig":{"type":"structure","members":{"Arn":{}}},"RetryPolicy":{"type":"structure","members":{"MaximumRetryAttempts":{"type":"integer"},"MaximumEventAgeInSeconds":{"type":"integer"}}}}}},"S57":{"type":"list","member":{}},"S6j":{"type":"list","member":{}}}}');

/***/ }),

/***/ 10871:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 40299:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-10-07","endpointPrefix":"events","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon CloudWatch Events","serviceId":"CloudWatch Events","signatureVersion":"v4","targetPrefix":"AWSEvents","uid":"events-2015-10-07"},"operations":{"ActivateEventSource":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"CancelReplay":{"input":{"type":"structure","required":["ReplayName"],"members":{"ReplayName":{}}},"output":{"type":"structure","members":{"ReplayArn":{},"State":{},"StateReason":{}}}},"CreateApiDestination":{"input":{"type":"structure","required":["Name","ConnectionArn","InvocationEndpoint","HttpMethod"],"members":{"Name":{},"Description":{},"ConnectionArn":{},"InvocationEndpoint":{},"HttpMethod":{},"InvocationRateLimitPerSecond":{"type":"integer"}}},"output":{"type":"structure","members":{"ApiDestinationArn":{},"ApiDestinationState":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"CreateArchive":{"input":{"type":"structure","required":["ArchiveName","EventSourceArn"],"members":{"ArchiveName":{},"EventSourceArn":{},"Description":{},"EventPattern":{},"RetentionDays":{"type":"integer"}}},"output":{"type":"structure","members":{"ArchiveArn":{},"State":{},"StateReason":{},"CreationTime":{"type":"timestamp"}}}},"CreateConnection":{"input":{"type":"structure","required":["Name","AuthorizationType","AuthParameters"],"members":{"Name":{},"Description":{},"AuthorizationType":{},"AuthParameters":{"type":"structure","members":{"BasicAuthParameters":{"type":"structure","required":["Username","Password"],"members":{"Username":{},"Password":{}}},"OAuthParameters":{"type":"structure","required":["ClientParameters","AuthorizationEndpoint","HttpMethod"],"members":{"ClientParameters":{"type":"structure","required":["ClientID","ClientSecret"],"members":{"ClientID":{},"ClientSecret":{}}},"AuthorizationEndpoint":{},"HttpMethod":{},"OAuthHttpParameters":{"shape":"S14"}}},"ApiKeyAuthParameters":{"type":"structure","required":["ApiKeyName","ApiKeyValue"],"members":{"ApiKeyName":{},"ApiKeyValue":{}}},"InvocationHttpParameters":{"shape":"S14"}}}}},"output":{"type":"structure","members":{"ConnectionArn":{},"ConnectionState":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"CreateEventBus":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"EventSourceName":{},"Tags":{"shape":"S1m"}}},"output":{"type":"structure","members":{"EventBusArn":{}}}},"CreatePartnerEventSource":{"input":{"type":"structure","required":["Name","Account"],"members":{"Name":{},"Account":{}}},"output":{"type":"structure","members":{"EventSourceArn":{}}}},"DeactivateEventSource":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"DeauthorizeConnection":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"ConnectionArn":{},"ConnectionState":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastAuthorizedTime":{"type":"timestamp"}}}},"DeleteApiDestination":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteArchive":{"input":{"type":"structure","required":["ArchiveName"],"members":{"ArchiveName":{}}},"output":{"type":"structure","members":{}}},"DeleteConnection":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"ConnectionArn":{},"ConnectionState":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastAuthorizedTime":{"type":"timestamp"}}}},"DeleteEventBus":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"DeletePartnerEventSource":{"input":{"type":"structure","required":["Name","Account"],"members":{"Name":{},"Account":{}}}},"DeleteRule":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"EventBusName":{},"Force":{"type":"boolean"}}}},"DescribeApiDestination":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"ApiDestinationArn":{},"Name":{},"Description":{},"ApiDestinationState":{},"ConnectionArn":{},"InvocationEndpoint":{},"HttpMethod":{},"InvocationRateLimitPerSecond":{"type":"integer"},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"DescribeArchive":{"input":{"type":"structure","required":["ArchiveName"],"members":{"ArchiveName":{}}},"output":{"type":"structure","members":{"ArchiveArn":{},"ArchiveName":{},"EventSourceArn":{},"Description":{},"EventPattern":{},"State":{},"StateReason":{},"RetentionDays":{"type":"integer"},"SizeBytes":{"type":"long"},"EventCount":{"type":"long"},"CreationTime":{"type":"timestamp"}}}},"DescribeConnection":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"ConnectionArn":{},"Name":{},"Description":{},"ConnectionState":{},"StateReason":{},"AuthorizationType":{},"SecretArn":{},"AuthParameters":{"type":"structure","members":{"BasicAuthParameters":{"type":"structure","members":{"Username":{}}},"OAuthParameters":{"type":"structure","members":{"ClientParameters":{"type":"structure","members":{"ClientID":{}}},"AuthorizationEndpoint":{},"HttpMethod":{},"OAuthHttpParameters":{"shape":"S14"}}},"ApiKeyAuthParameters":{"type":"structure","members":{"ApiKeyName":{}}},"InvocationHttpParameters":{"shape":"S14"}}},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastAuthorizedTime":{"type":"timestamp"}}}},"DescribeEventBus":{"input":{"type":"structure","members":{"Name":{}}},"output":{"type":"structure","members":{"Name":{},"Arn":{},"Policy":{}}}},"DescribeEventSource":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Arn":{},"CreatedBy":{},"CreationTime":{"type":"timestamp"},"ExpirationTime":{"type":"timestamp"},"Name":{},"State":{}}}},"DescribePartnerEventSource":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Arn":{},"Name":{}}}},"DescribeReplay":{"input":{"type":"structure","required":["ReplayName"],"members":{"ReplayName":{}}},"output":{"type":"structure","members":{"ReplayName":{},"ReplayArn":{},"Description":{},"State":{},"StateReason":{},"EventSourceArn":{},"Destination":{"shape":"S2w"},"EventStartTime":{"type":"timestamp"},"EventEndTime":{"type":"timestamp"},"EventLastReplayedTime":{"type":"timestamp"},"ReplayStartTime":{"type":"timestamp"},"ReplayEndTime":{"type":"timestamp"}}}},"DescribeRule":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"EventBusName":{}}},"output":{"type":"structure","members":{"Name":{},"Arn":{},"EventPattern":{},"ScheduleExpression":{},"State":{},"Description":{},"RoleArn":{},"ManagedBy":{},"EventBusName":{},"CreatedBy":{}}}},"DisableRule":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"EventBusName":{}}}},"EnableRule":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"EventBusName":{}}}},"ListApiDestinations":{"input":{"type":"structure","members":{"NamePrefix":{},"ConnectionArn":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"ApiDestinations":{"type":"list","member":{"type":"structure","members":{"ApiDestinationArn":{},"Name":{},"ApiDestinationState":{},"ConnectionArn":{},"InvocationEndpoint":{},"HttpMethod":{},"InvocationRateLimitPerSecond":{"type":"integer"},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListArchives":{"input":{"type":"structure","members":{"NamePrefix":{},"EventSourceArn":{},"State":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Archives":{"type":"list","member":{"type":"structure","members":{"ArchiveName":{},"EventSourceArn":{},"State":{},"StateReason":{},"RetentionDays":{"type":"integer"},"SizeBytes":{"type":"long"},"EventCount":{"type":"long"},"CreationTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListConnections":{"input":{"type":"structure","members":{"NamePrefix":{},"ConnectionState":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Connections":{"type":"list","member":{"type":"structure","members":{"ConnectionArn":{},"Name":{},"ConnectionState":{},"StateReason":{},"AuthorizationType":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastAuthorizedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListEventBuses":{"input":{"type":"structure","members":{"NamePrefix":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"EventBuses":{"type":"list","member":{"type":"structure","members":{"Name":{},"Arn":{},"Policy":{}}}},"NextToken":{}}}},"ListEventSources":{"input":{"type":"structure","members":{"NamePrefix":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"EventSources":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreatedBy":{},"CreationTime":{"type":"timestamp"},"ExpirationTime":{"type":"timestamp"},"Name":{},"State":{}}}},"NextToken":{}}}},"ListPartnerEventSourceAccounts":{"input":{"type":"structure","required":["EventSourceName"],"members":{"EventSourceName":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"PartnerEventSourceAccounts":{"type":"list","member":{"type":"structure","members":{"Account":{},"CreationTime":{"type":"timestamp"},"ExpirationTime":{"type":"timestamp"},"State":{}}}},"NextToken":{}}}},"ListPartnerEventSources":{"input":{"type":"structure","required":["NamePrefix"],"members":{"NamePrefix":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"PartnerEventSources":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Name":{}}}},"NextToken":{}}}},"ListReplays":{"input":{"type":"structure","members":{"NamePrefix":{},"State":{},"EventSourceArn":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Replays":{"type":"list","member":{"type":"structure","members":{"ReplayName":{},"EventSourceArn":{},"State":{},"StateReason":{},"EventStartTime":{"type":"timestamp"},"EventEndTime":{"type":"timestamp"},"EventLastReplayedTime":{"type":"timestamp"},"ReplayStartTime":{"type":"timestamp"},"ReplayEndTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListRuleNamesByTarget":{"input":{"type":"structure","required":["TargetArn"],"members":{"TargetArn":{},"EventBusName":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"RuleNames":{"type":"list","member":{}},"NextToken":{}}}},"ListRules":{"input":{"type":"structure","members":{"NamePrefix":{},"EventBusName":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Rules":{"type":"list","member":{"type":"structure","members":{"Name":{},"Arn":{},"EventPattern":{},"State":{},"Description":{},"ScheduleExpression":{},"RoleArn":{},"ManagedBy":{},"EventBusName":{}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S1m"}}}},"ListTargetsByRule":{"input":{"type":"structure","required":["Rule"],"members":{"Rule":{},"EventBusName":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Targets":{"shape":"S4l"},"NextToken":{}}}},"PutEvents":{"input":{"type":"structure","required":["Entries"],"members":{"Entries":{"type":"list","member":{"type":"structure","members":{"Time":{"type":"timestamp"},"Source":{},"Resources":{"shape":"S6j"},"DetailType":{},"Detail":{},"EventBusName":{},"TraceHeader":{}}}}}},"output":{"type":"structure","members":{"FailedEntryCount":{"type":"integer"},"Entries":{"type":"list","member":{"type":"structure","members":{"EventId":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"PutPartnerEvents":{"input":{"type":"structure","required":["Entries"],"members":{"Entries":{"type":"list","member":{"type":"structure","members":{"Time":{"type":"timestamp"},"Source":{},"Resources":{"shape":"S6j"},"DetailType":{},"Detail":{}}}}}},"output":{"type":"structure","members":{"FailedEntryCount":{"type":"integer"},"Entries":{"type":"list","member":{"type":"structure","members":{"EventId":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"PutPermission":{"input":{"type":"structure","members":{"EventBusName":{},"Action":{},"Principal":{},"StatementId":{},"Condition":{"type":"structure","required":["Type","Key","Value"],"members":{"Type":{},"Key":{},"Value":{}}},"Policy":{}}}},"PutRule":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"ScheduleExpression":{},"EventPattern":{},"State":{},"Description":{},"RoleArn":{},"Tags":{"shape":"S1m"},"EventBusName":{}}},"output":{"type":"structure","members":{"RuleArn":{}}}},"PutTargets":{"input":{"type":"structure","required":["Rule","Targets"],"members":{"Rule":{},"EventBusName":{},"Targets":{"shape":"S4l"}}},"output":{"type":"structure","members":{"FailedEntryCount":{"type":"integer"},"FailedEntries":{"type":"list","member":{"type":"structure","members":{"TargetId":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"RemovePermission":{"input":{"type":"structure","members":{"StatementId":{},"RemoveAllPermissions":{"type":"boolean"},"EventBusName":{}}}},"RemoveTargets":{"input":{"type":"structure","required":["Rule","Ids"],"members":{"Rule":{},"EventBusName":{},"Ids":{"type":"list","member":{}},"Force":{"type":"boolean"}}},"output":{"type":"structure","members":{"FailedEntryCount":{"type":"integer"},"FailedEntries":{"type":"list","member":{"type":"structure","members":{"TargetId":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"StartReplay":{"input":{"type":"structure","required":["ReplayName","EventSourceArn","EventStartTime","EventEndTime","Destination"],"members":{"ReplayName":{},"Description":{},"EventSourceArn":{},"EventStartTime":{"type":"timestamp"},"EventEndTime":{"type":"timestamp"},"Destination":{"shape":"S2w"}}},"output":{"type":"structure","members":{"ReplayArn":{},"State":{},"StateReason":{},"ReplayStartTime":{"type":"timestamp"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S1m"}}},"output":{"type":"structure","members":{}}},"TestEventPattern":{"input":{"type":"structure","required":["EventPattern","Event"],"members":{"EventPattern":{},"Event":{}}},"output":{"type":"structure","members":{"Result":{"type":"boolean"}}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateApiDestination":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"ConnectionArn":{},"InvocationEndpoint":{},"HttpMethod":{},"InvocationRateLimitPerSecond":{"type":"integer"}}},"output":{"type":"structure","members":{"ApiDestinationArn":{},"ApiDestinationState":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"UpdateArchive":{"input":{"type":"structure","required":["ArchiveName"],"members":{"ArchiveName":{},"Description":{},"EventPattern":{},"RetentionDays":{"type":"integer"}}},"output":{"type":"structure","members":{"ArchiveArn":{},"State":{},"StateReason":{},"CreationTime":{"type":"timestamp"}}}},"UpdateConnection":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"AuthorizationType":{},"AuthParameters":{"type":"structure","members":{"BasicAuthParameters":{"type":"structure","members":{"Username":{},"Password":{}}},"OAuthParameters":{"type":"structure","members":{"ClientParameters":{"type":"structure","members":{"ClientID":{},"ClientSecret":{}}},"AuthorizationEndpoint":{},"HttpMethod":{},"OAuthHttpParameters":{"shape":"S14"}}},"ApiKeyAuthParameters":{"type":"structure","members":{"ApiKeyName":{},"ApiKeyValue":{}}},"InvocationHttpParameters":{"shape":"S14"}}}}},"output":{"type":"structure","members":{"ConnectionArn":{},"ConnectionState":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastAuthorizedTime":{"type":"timestamp"}}}}},"shapes":{"S14":{"type":"structure","members":{"HeaderParameters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"IsValueSecret":{"type":"boolean"}}}},"QueryStringParameters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"IsValueSecret":{"type":"boolean"}}}},"BodyParameters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"IsValueSecret":{"type":"boolean"}}}}}},"S1m":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S2w":{"type":"structure","required":["Arn"],"members":{"Arn":{},"FilterArns":{"type":"list","member":{}}}},"S4l":{"type":"list","member":{"type":"structure","required":["Id","Arn"],"members":{"Id":{},"Arn":{},"RoleArn":{},"Input":{},"InputPath":{},"InputTransformer":{"type":"structure","required":["InputTemplate"],"members":{"InputPathsMap":{"type":"map","key":{},"value":{}},"InputTemplate":{}}},"KinesisParameters":{"type":"structure","required":["PartitionKeyPath"],"members":{"PartitionKeyPath":{}}},"RunCommandParameters":{"type":"structure","required":["RunCommandTargets"],"members":{"RunCommandTargets":{"type":"list","member":{"type":"structure","required":["Key","Values"],"members":{"Key":{},"Values":{"type":"list","member":{}}}}}}},"EcsParameters":{"type":"structure","required":["TaskDefinitionArn"],"members":{"TaskDefinitionArn":{},"TaskCount":{"type":"integer"},"LaunchType":{},"NetworkConfiguration":{"type":"structure","members":{"awsvpcConfiguration":{"type":"structure","required":["Subnets"],"members":{"Subnets":{"shape":"S57"},"SecurityGroups":{"shape":"S57"},"AssignPublicIp":{}}}}},"PlatformVersion":{},"Group":{},"CapacityProviderStrategy":{"type":"list","member":{"type":"structure","required":["capacityProvider"],"members":{"capacityProvider":{},"weight":{"type":"integer"},"base":{"type":"integer"}}}},"EnableECSManagedTags":{"type":"boolean"},"EnableExecuteCommand":{"type":"boolean"},"PlacementConstraints":{"type":"list","member":{"type":"structure","members":{"type":{},"expression":{}}}},"PlacementStrategy":{"type":"list","member":{"type":"structure","members":{"type":{},"field":{}}}},"PropagateTags":{},"ReferenceId":{},"Tags":{"shape":"S1m"}}},"BatchParameters":{"type":"structure","required":["JobDefinition","JobName"],"members":{"JobDefinition":{},"JobName":{},"ArrayProperties":{"type":"structure","members":{"Size":{"type":"integer"}}},"RetryStrategy":{"type":"structure","members":{"Attempts":{"type":"integer"}}}}},"SqsParameters":{"type":"structure","members":{"MessageGroupId":{}}},"HttpParameters":{"type":"structure","members":{"PathParameterValues":{"type":"list","member":{}},"HeaderParameters":{"type":"map","key":{},"value":{}},"QueryStringParameters":{"type":"map","key":{},"value":{}}}},"RedshiftDataParameters":{"type":"structure","required":["Database","Sql"],"members":{"SecretManagerArn":{},"Database":{},"DbUser":{},"Sql":{},"StatementName":{},"WithEvent":{"type":"boolean"}}},"SageMakerPipelineParameters":{"type":"structure","members":{"PipelineParameterList":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}}}},"DeadLetterConfig":{"type":"structure","members":{"Arn":{}}},"RetryPolicy":{"type":"structure","members":{"MaximumRetryAttempts":{"type":"integer"},"MaximumEventAgeInSeconds":{"type":"integer"}}}}}},"S57":{"type":"list","member":{}},"S6j":{"type":"list","member":{}}}}');

/***/ }),

/***/ 54031:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 41971:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-02-01","endpointPrefix":"evidently","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon CloudWatch Evidently","serviceId":"Evidently","signatureVersion":"v4","signingName":"evidently","uid":"evidently-2021-02-01"},"operations":{"BatchEvaluateFeature":{"http":{"requestUri":"/projects/{project}/evaluations","responseCode":200},"input":{"type":"structure","required":["project","requests"],"members":{"project":{"location":"uri","locationName":"project"},"requests":{"type":"list","member":{"type":"structure","required":["entityId","feature"],"members":{"entityId":{},"evaluationContext":{"jsonvalue":true},"feature":{}}}}}},"output":{"type":"structure","members":{"results":{"type":"list","member":{"type":"structure","required":["entityId","feature"],"members":{"details":{"jsonvalue":true},"entityId":{},"feature":{},"project":{},"reason":{},"value":{"shape":"Sd"},"variation":{}}}}}},"endpoint":{"hostPrefix":"dataplane."}},"CreateExperiment":{"http":{"requestUri":"/projects/{project}/experiments","responseCode":200},"input":{"type":"structure","required":["metricGoals","name","project","treatments"],"members":{"description":{},"metricGoals":{"shape":"Sk"},"name":{},"onlineAbConfig":{"shape":"St"},"project":{"location":"uri","locationName":"project"},"randomizationSalt":{},"samplingRate":{"type":"long"},"tags":{"shape":"Sy"},"treatments":{"shape":"S11"}}},"output":{"type":"structure","required":["experiment"],"members":{"experiment":{"shape":"S15"}}},"idempotent":true},"CreateFeature":{"http":{"requestUri":"/projects/{project}/features","responseCode":200},"input":{"type":"structure","required":["name","project","variations"],"members":{"defaultVariation":{},"description":{},"entityOverrides":{"shape":"S1l"},"evaluationStrategy":{},"name":{},"project":{"location":"uri","locationName":"project"},"tags":{"shape":"Sy"},"variations":{"shape":"S1n"}}},"output":{"type":"structure","members":{"feature":{"shape":"S1q"}}}},"CreateLaunch":{"http":{"requestUri":"/projects/{project}/launches","responseCode":200},"input":{"type":"structure","required":["groups","name","project"],"members":{"description":{},"groups":{"shape":"S21"},"metricMonitors":{"shape":"S24"},"name":{},"project":{"location":"uri","locationName":"project"},"randomizationSalt":{},"scheduledSplitsConfig":{"shape":"S27"},"tags":{"shape":"Sy"}}},"output":{"type":"structure","required":["launch"],"members":{"launch":{"shape":"S2c"}}}},"CreateProject":{"http":{"requestUri":"/projects","responseCode":200},"input":{"type":"structure","required":["name"],"members":{"dataDelivery":{"type":"structure","members":{"cloudWatchLogs":{"shape":"S2q"},"s3Destination":{"shape":"S2s"}}},"description":{},"name":{},"tags":{"shape":"Sy"}}},"output":{"type":"structure","required":["project"],"members":{"project":{"shape":"S2x"}}}},"DeleteExperiment":{"http":{"method":"DELETE","requestUri":"/projects/{project}/experiments/{experiment}","responseCode":200},"input":{"type":"structure","required":["experiment","project"],"members":{"experiment":{"location":"uri","locationName":"experiment"},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteFeature":{"http":{"method":"DELETE","requestUri":"/projects/{project}/features/{feature}","responseCode":200},"input":{"type":"structure","required":["feature","project"],"members":{"feature":{"location":"uri","locationName":"feature"},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteLaunch":{"http":{"method":"DELETE","requestUri":"/projects/{project}/launches/{launch}","responseCode":200},"input":{"type":"structure","required":["launch","project"],"members":{"launch":{"location":"uri","locationName":"launch"},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteProject":{"http":{"method":"DELETE","requestUri":"/projects/{project}","responseCode":200},"input":{"type":"structure","required":["project"],"members":{"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","members":{}},"idempotent":true},"EvaluateFeature":{"http":{"requestUri":"/projects/{project}/evaluations/{feature}","responseCode":200},"input":{"type":"structure","required":["entityId","feature","project"],"members":{"entityId":{},"evaluationContext":{"jsonvalue":true},"feature":{"location":"uri","locationName":"feature"},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","members":{"details":{"jsonvalue":true},"reason":{},"value":{"shape":"Sd"},"variation":{}}},"endpoint":{"hostPrefix":"dataplane."}},"GetExperiment":{"http":{"method":"GET","requestUri":"/projects/{project}/experiments/{experiment}","responseCode":200},"input":{"type":"structure","required":["experiment","project"],"members":{"experiment":{"location":"uri","locationName":"experiment"},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","members":{"experiment":{"shape":"S15"}}}},"GetExperimentResults":{"http":{"requestUri":"/projects/{project}/experiments/{experiment}/results","responseCode":200},"input":{"type":"structure","required":["experiment","metricNames","project","treatmentNames"],"members":{"baseStat":{},"endTime":{"type":"timestamp"},"experiment":{"location":"uri","locationName":"experiment"},"metricNames":{"type":"list","member":{}},"period":{"type":"long"},"project":{"location":"uri","locationName":"project"},"reportNames":{"type":"list","member":{}},"resultStats":{"type":"list","member":{}},"startTime":{"type":"timestamp"},"treatmentNames":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"reports":{"type":"list","member":{"type":"structure","members":{"content":{"jsonvalue":true},"metricName":{},"reportName":{},"treatmentName":{}}}},"resultsData":{"type":"list","member":{"type":"structure","members":{"metricName":{},"resultStat":{},"treatmentName":{},"values":{"type":"list","member":{"type":"double"}}}}},"timestamps":{"type":"list","member":{"type":"timestamp"}}}}},"GetFeature":{"http":{"method":"GET","requestUri":"/projects/{project}/features/{feature}","responseCode":200},"input":{"type":"structure","required":["feature","project"],"members":{"feature":{"location":"uri","locationName":"feature"},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","required":["feature"],"members":{"feature":{"shape":"S1q"}}}},"GetLaunch":{"http":{"method":"GET","requestUri":"/projects/{project}/launches/{launch}","responseCode":200},"input":{"type":"structure","required":["launch","project"],"members":{"launch":{"location":"uri","locationName":"launch"},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","members":{"launch":{"shape":"S2c"}}}},"GetProject":{"http":{"method":"GET","requestUri":"/projects/{project}","responseCode":200},"input":{"type":"structure","required":["project"],"members":{"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","required":["project"],"members":{"project":{"shape":"S2x"}}}},"ListExperiments":{"http":{"method":"GET","requestUri":"/projects/{project}/experiments","responseCode":200},"input":{"type":"structure","required":["project"],"members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","members":{"experiments":{"type":"list","member":{"shape":"S15"}},"nextToken":{}}}},"ListFeatures":{"http":{"method":"GET","requestUri":"/projects/{project}/features","responseCode":200},"input":{"type":"structure","required":["project"],"members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","members":{"features":{"type":"list","member":{"type":"structure","required":["arn","createdTime","evaluationStrategy","lastUpdatedTime","name","status"],"members":{"arn":{},"createdTime":{"type":"timestamp"},"defaultVariation":{},"evaluationRules":{"shape":"S1s"},"evaluationStrategy":{},"lastUpdatedTime":{"type":"timestamp"},"name":{},"project":{},"status":{},"tags":{"shape":"Sy"}}}},"nextToken":{}}}},"ListLaunches":{"http":{"method":"GET","requestUri":"/projects/{project}/launches","responseCode":200},"input":{"type":"structure","required":["project"],"members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","members":{"launches":{"type":"list","member":{"shape":"S2c"}},"nextToken":{}}}},"ListProjects":{"http":{"method":"GET","requestUri":"/projects","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"nextToken":{},"projects":{"type":"list","member":{"type":"structure","required":["arn","createdTime","lastUpdatedTime","name","status"],"members":{"activeExperimentCount":{"type":"long"},"activeLaunchCount":{"type":"long"},"arn":{},"createdTime":{"type":"timestamp"},"description":{},"experimentCount":{"type":"long"},"featureCount":{"type":"long"},"lastUpdatedTime":{"type":"timestamp"},"launchCount":{"type":"long"},"name":{},"status":{},"tags":{"shape":"Sy"}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sy"}}}},"PutProjectEvents":{"http":{"requestUri":"/events/projects/{project}","responseCode":200},"input":{"type":"structure","required":["events","project"],"members":{"events":{"type":"list","member":{"type":"structure","required":["data","timestamp","type"],"members":{"data":{"jsonvalue":true},"timestamp":{"type":"timestamp"},"type":{}}}},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","members":{"eventResults":{"type":"list","member":{"type":"structure","members":{"errorCode":{},"errorMessage":{},"eventId":{}}}},"failedEventCount":{"type":"integer"}}},"endpoint":{"hostPrefix":"dataplane."}},"StartExperiment":{"http":{"requestUri":"/projects/{project}/experiments/{experiment}/start","responseCode":200},"input":{"type":"structure","required":["analysisCompleteTime","experiment","project"],"members":{"analysisCompleteTime":{"type":"timestamp"},"experiment":{"location":"uri","locationName":"experiment"},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","members":{"startedTime":{"type":"timestamp"}}}},"StartLaunch":{"http":{"requestUri":"/projects/{project}/launches/{launch}/start","responseCode":200},"input":{"type":"structure","required":["launch","project"],"members":{"launch":{"location":"uri","locationName":"launch"},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","required":["launch"],"members":{"launch":{"shape":"S2c"}}}},"StopExperiment":{"http":{"requestUri":"/projects/{project}/experiments/{experiment}/cancel","responseCode":200},"input":{"type":"structure","required":["experiment","project"],"members":{"desiredState":{},"experiment":{"location":"uri","locationName":"experiment"},"project":{"location":"uri","locationName":"project"},"reason":{}}},"output":{"type":"structure","members":{"endedTime":{"type":"timestamp"}}}},"StopLaunch":{"http":{"requestUri":"/projects/{project}/launches/{launch}/cancel","responseCode":200},"input":{"type":"structure","required":["launch","project"],"members":{"desiredState":{},"launch":{"location":"uri","locationName":"launch"},"project":{"location":"uri","locationName":"project"},"reason":{}}},"output":{"type":"structure","members":{"endedTime":{"type":"timestamp"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sy"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateExperiment":{"http":{"method":"PATCH","requestUri":"/projects/{project}/experiments/{experiment}","responseCode":200},"input":{"type":"structure","required":["experiment","project"],"members":{"description":{},"experiment":{"location":"uri","locationName":"experiment"},"metricGoals":{"shape":"Sk"},"onlineAbConfig":{"shape":"St"},"project":{"location":"uri","locationName":"project"},"randomizationSalt":{},"samplingRate":{"type":"long"},"treatments":{"shape":"S11"}}},"output":{"type":"structure","required":["experiment"],"members":{"experiment":{"shape":"S15"}}}},"UpdateFeature":{"http":{"method":"PATCH","requestUri":"/projects/{project}/features/{feature}","responseCode":200},"input":{"type":"structure","required":["feature","project"],"members":{"addOrUpdateVariations":{"shape":"S1n"},"defaultVariation":{},"description":{},"entityOverrides":{"shape":"S1l"},"evaluationStrategy":{},"feature":{"location":"uri","locationName":"feature"},"project":{"location":"uri","locationName":"project"},"removeVariations":{"type":"list","member":{}}}},"output":{"type":"structure","required":["feature"],"members":{"feature":{"shape":"S1q"}}}},"UpdateLaunch":{"http":{"method":"PATCH","requestUri":"/projects/{project}/launches/{launch}","responseCode":200},"input":{"type":"structure","required":["launch","project"],"members":{"description":{},"groups":{"shape":"S21"},"launch":{"location":"uri","locationName":"launch"},"metricMonitors":{"shape":"S24"},"project":{"location":"uri","locationName":"project"},"randomizationSalt":{},"scheduledSplitsConfig":{"shape":"S27"}}},"output":{"type":"structure","required":["launch"],"members":{"launch":{"shape":"S2c"}}}},"UpdateProject":{"http":{"method":"PATCH","requestUri":"/projects/{project}","responseCode":200},"input":{"type":"structure","required":["project"],"members":{"description":{},"project":{"location":"uri","locationName":"project"}}},"output":{"type":"structure","required":["project"],"members":{"project":{"shape":"S2x"}}}},"UpdateProjectDataDelivery":{"http":{"method":"PATCH","requestUri":"/projects/{project}/data-delivery","responseCode":200},"input":{"type":"structure","required":["project"],"members":{"cloudWatchLogs":{"shape":"S2q"},"project":{"location":"uri","locationName":"project"},"s3Destination":{"shape":"S2s"}}},"output":{"type":"structure","required":["project"],"members":{"project":{"shape":"S2x"}}}}},"shapes":{"Sd":{"type":"structure","members":{"boolValue":{"type":"boolean"},"doubleValue":{"type":"double"},"longValue":{"type":"long"},"stringValue":{}},"union":true},"Sk":{"type":"list","member":{"type":"structure","required":["metricDefinition"],"members":{"desiredChange":{},"metricDefinition":{"shape":"Sn"}}}},"Sn":{"type":"structure","members":{"entityIdKey":{},"eventPattern":{"jsonvalue":true},"name":{},"unitLabel":{},"valueKey":{}}},"St":{"type":"structure","members":{"controlTreatmentName":{},"treatmentWeights":{"shape":"Sv"}}},"Sv":{"type":"map","key":{},"value":{"type":"long"}},"Sy":{"type":"map","key":{},"value":{}},"S11":{"type":"list","member":{"type":"structure","required":["feature","name","variation"],"members":{"description":{},"feature":{},"name":{},"variation":{}}}},"S15":{"type":"structure","required":["arn","createdTime","lastUpdatedTime","name","status","type"],"members":{"arn":{},"createdTime":{"type":"timestamp"},"description":{},"execution":{"type":"structure","members":{"endedTime":{"type":"timestamp"},"startedTime":{"type":"timestamp"}}},"lastUpdatedTime":{"type":"timestamp"},"metricGoals":{"type":"list","member":{"type":"structure","required":["metricDefinition"],"members":{"desiredChange":{},"metricDefinition":{"shape":"S1b"}}}},"name":{},"onlineAbDefinition":{"type":"structure","members":{"controlTreatmentName":{},"treatmentWeights":{"shape":"Sv"}}},"project":{},"randomizationSalt":{},"samplingRate":{"type":"long"},"schedule":{"type":"structure","members":{"analysisCompleteTime":{"type":"timestamp"}}},"status":{},"statusReason":{},"tags":{"shape":"Sy"},"treatments":{"type":"list","member":{"type":"structure","required":["name"],"members":{"description":{},"featureVariations":{"shape":"S1i"},"name":{}}}},"type":{}}},"S1b":{"type":"structure","members":{"entityIdKey":{},"eventPattern":{"jsonvalue":true},"name":{},"unitLabel":{},"valueKey":{}}},"S1i":{"type":"map","key":{},"value":{}},"S1l":{"type":"map","key":{},"value":{}},"S1n":{"type":"list","member":{"type":"structure","required":["name","value"],"members":{"name":{},"value":{"shape":"Sd"}}}},"S1q":{"type":"structure","required":["arn","createdTime","evaluationStrategy","lastUpdatedTime","name","status","valueType","variations"],"members":{"arn":{},"createdTime":{"type":"timestamp"},"defaultVariation":{},"description":{},"entityOverrides":{"shape":"S1l"},"evaluationRules":{"shape":"S1s"},"evaluationStrategy":{},"lastUpdatedTime":{"type":"timestamp"},"name":{},"project":{},"status":{},"tags":{"shape":"Sy"},"valueType":{},"variations":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{"shape":"Sd"}}}}}},"S1s":{"type":"list","member":{"type":"structure","required":["type"],"members":{"name":{},"type":{}}}},"S21":{"type":"list","member":{"type":"structure","required":["feature","name","variation"],"members":{"description":{},"feature":{},"name":{},"variation":{}}}},"S24":{"type":"list","member":{"type":"structure","required":["metricDefinition"],"members":{"metricDefinition":{"shape":"Sn"}}}},"S27":{"type":"structure","required":["steps"],"members":{"steps":{"type":"list","member":{"type":"structure","required":["groupWeights","startTime"],"members":{"groupWeights":{"shape":"S2a"},"startTime":{"type":"timestamp"}}}}}},"S2a":{"type":"map","key":{},"value":{"type":"long"}},"S2c":{"type":"structure","required":["arn","createdTime","lastUpdatedTime","name","status","type"],"members":{"arn":{},"createdTime":{"type":"timestamp"},"description":{},"execution":{"type":"structure","members":{"endedTime":{"type":"timestamp"},"startedTime":{"type":"timestamp"}}},"groups":{"type":"list","member":{"type":"structure","required":["featureVariations","name"],"members":{"description":{},"featureVariations":{"shape":"S1i"},"name":{}}}},"lastUpdatedTime":{"type":"timestamp"},"metricMonitors":{"type":"list","member":{"type":"structure","required":["metricDefinition"],"members":{"metricDefinition":{"shape":"S1b"}}}},"name":{},"project":{},"randomizationSalt":{},"scheduledSplitsDefinition":{"type":"structure","members":{"steps":{"type":"list","member":{"type":"structure","required":["startTime"],"members":{"groupWeights":{"shape":"S2a"},"startTime":{"type":"timestamp"}}}}}},"status":{},"statusReason":{},"tags":{"shape":"Sy"},"type":{}}},"S2q":{"type":"structure","members":{"logGroup":{}}},"S2s":{"type":"structure","members":{"bucket":{},"prefix":{}}},"S2x":{"type":"structure","required":["arn","createdTime","lastUpdatedTime","name","status"],"members":{"activeExperimentCount":{"type":"long"},"activeLaunchCount":{"type":"long"},"arn":{},"createdTime":{"type":"timestamp"},"dataDelivery":{"type":"structure","members":{"cloudWatchLogs":{"type":"structure","members":{"logGroup":{}}},"s3Destination":{"type":"structure","members":{"bucket":{},"prefix":{}}}}},"description":{},"experimentCount":{"type":"long"},"featureCount":{"type":"long"},"lastUpdatedTime":{"type":"timestamp"},"launchCount":{"type":"long"},"name":{},"status":{},"tags":{"shape":"Sy"}}}}}');

/***/ }),

/***/ 72960:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListExperiments":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"experiments"},"ListFeatures":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"features"},"ListLaunches":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"launches"},"ListProjects":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"projects"}}}');

/***/ }),

/***/ 37836:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-03-12","endpointPrefix":"finspace","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"finspace","serviceFullName":"FinSpace User Environment Management service","serviceId":"finspace","signatureVersion":"v4","signingName":"finspace","uid":"finspace-2021-03-12"},"operations":{"CreateEnvironment":{"http":{"requestUri":"/environment"},"input":{"type":"structure","required":["name"],"members":{"name":{},"description":{},"kmsKeyId":{},"tags":{"shape":"S5"},"federationMode":{},"federationParameters":{"shape":"S9"},"superuserParameters":{"type":"structure","required":["emailAddress","firstName","lastName"],"members":{"emailAddress":{"type":"string","sensitive":true},"firstName":{},"lastName":{}}},"dataBundles":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"environmentId":{},"environmentArn":{},"environmentUrl":{}}}},"DeleteEnvironment":{"http":{"method":"DELETE","requestUri":"/environment/{environmentId}"},"input":{"type":"structure","required":["environmentId"],"members":{"environmentId":{"location":"uri","locationName":"environmentId"}}},"output":{"type":"structure","members":{}}},"GetEnvironment":{"http":{"method":"GET","requestUri":"/environment/{environmentId}"},"input":{"type":"structure","required":["environmentId"],"members":{"environmentId":{"location":"uri","locationName":"environmentId"}}},"output":{"type":"structure","members":{"environment":{"shape":"Ss"}}}},"ListEnvironments":{"http":{"method":"GET","requestUri":"/environment"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"environments":{"type":"list","member":{"shape":"Ss"}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S5"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateEnvironment":{"http":{"method":"PUT","requestUri":"/environment/{environmentId}"},"input":{"type":"structure","required":["environmentId"],"members":{"environmentId":{"location":"uri","locationName":"environmentId"},"name":{},"description":{},"federationMode":{},"federationParameters":{"shape":"S9"}}},"output":{"type":"structure","members":{"environment":{"shape":"Ss"}}}}},"shapes":{"S5":{"type":"map","key":{},"value":{}},"S9":{"type":"structure","members":{"samlMetadataDocument":{},"samlMetadataURL":{},"applicationCallBackURL":{},"federationURN":{},"federationProviderName":{},"attributeMap":{"type":"map","key":{},"value":{}}}},"Ss":{"type":"structure","members":{"name":{},"environmentId":{},"awsAccountId":{},"status":{},"environmentUrl":{},"description":{},"environmentArn":{},"sageMakerStudioDomainUrl":{},"kmsKeyId":{},"dedicatedServiceAccountId":{},"federationMode":{},"federationParameters":{"shape":"S9"}}}}}');

/***/ }),

/***/ 7328:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 83394:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-07-13","endpointPrefix":"finspace-api","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"FinSpace Data","serviceFullName":"FinSpace Public API","serviceId":"finspace data","signatureVersion":"v4","signingName":"finspace-api","uid":"finspace-2020-07-13"},"operations":{"CreateChangeset":{"http":{"requestUri":"/datasets/{datasetId}/changesetsv2"},"input":{"type":"structure","required":["datasetId","changeType","sourceParams","formatParams"],"members":{"clientToken":{"idempotencyToken":true},"datasetId":{"location":"uri","locationName":"datasetId"},"changeType":{},"sourceParams":{"shape":"S5"},"formatParams":{"shape":"S8"}}},"output":{"type":"structure","members":{"datasetId":{},"changesetId":{}}}},"CreateDataView":{"http":{"requestUri":"/datasets/{datasetId}/dataviewsv2"},"input":{"type":"structure","required":["datasetId","destinationTypeParams"],"members":{"clientToken":{"idempotencyToken":true},"datasetId":{"location":"uri","locationName":"datasetId"},"autoUpdate":{"type":"boolean"},"sortColumns":{"shape":"Sd"},"partitionColumns":{"shape":"Sf"},"asOfTimestamp":{"type":"long"},"destinationTypeParams":{"shape":"Sh"}}},"output":{"type":"structure","members":{"datasetId":{},"dataViewId":{}}}},"CreateDataset":{"http":{"requestUri":"/datasetsv2"},"input":{"type":"structure","required":["datasetTitle","kind","datasetDescription","permissionGroupParams","alias"],"members":{"clientToken":{"idempotencyToken":true},"datasetTitle":{},"kind":{},"datasetDescription":{},"ownerInfo":{"shape":"Sp"},"permissionGroupParams":{"type":"structure","members":{"permissionGroupId":{},"datasetPermissions":{"type":"list","member":{"type":"structure","members":{"permission":{}}}}}},"alias":{},"schemaDefinition":{"shape":"Sz"}}},"output":{"type":"structure","members":{"datasetId":{}}}},"DeleteDataset":{"http":{"method":"DELETE","requestUri":"/datasetsv2/{datasetId}"},"input":{"type":"structure","required":["datasetId"],"members":{"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"},"datasetId":{"location":"uri","locationName":"datasetId"}}},"output":{"type":"structure","members":{"datasetId":{}}}},"GetChangeset":{"http":{"method":"GET","requestUri":"/datasets/{datasetId}/changesetsv2/{changesetId}"},"input":{"type":"structure","required":["datasetId","changesetId"],"members":{"datasetId":{"location":"uri","locationName":"datasetId"},"changesetId":{"location":"uri","locationName":"changesetId"}}},"output":{"type":"structure","members":{"changesetId":{},"changesetArn":{},"datasetId":{},"changeType":{},"sourceParams":{"shape":"S5"},"formatParams":{"shape":"S8"},"createTime":{"type":"long"},"status":{},"errorInfo":{"shape":"S1e"},"activeUntilTimestamp":{"type":"long"},"updatesChangesetId":{},"updatedByChangesetId":{}}}},"GetDataView":{"http":{"method":"GET","requestUri":"/datasets/{datasetId}/dataviewsv2/{dataviewId}"},"input":{"type":"structure","required":["dataViewId","datasetId"],"members":{"dataViewId":{"location":"uri","locationName":"dataviewId"},"datasetId":{"location":"uri","locationName":"datasetId"}}},"output":{"type":"structure","members":{"autoUpdate":{"type":"boolean"},"partitionColumns":{"shape":"Sf"},"datasetId":{},"asOfTimestamp":{"type":"long"},"errorInfo":{"shape":"S1j"},"lastModifiedTime":{"type":"long"},"createTime":{"type":"long"},"sortColumns":{"shape":"Sd"},"dataViewId":{},"dataViewArn":{},"destinationTypeParams":{"shape":"Sh"},"status":{}}}},"GetDataset":{"http":{"method":"GET","requestUri":"/datasetsv2/{datasetId}"},"input":{"type":"structure","required":["datasetId"],"members":{"datasetId":{"location":"uri","locationName":"datasetId"}}},"output":{"type":"structure","members":{"datasetId":{},"datasetArn":{},"datasetTitle":{},"kind":{},"datasetDescription":{},"createTime":{"type":"long"},"lastModifiedTime":{"type":"long"},"schemaDefinition":{"shape":"Sz"},"alias":{},"status":{}}}},"GetProgrammaticAccessCredentials":{"http":{"method":"GET","requestUri":"/credentials/programmatic"},"input":{"type":"structure","required":["environmentId"],"members":{"durationInMinutes":{"location":"querystring","locationName":"durationInMinutes","type":"long"},"environmentId":{"location":"querystring","locationName":"environmentId"}}},"output":{"type":"structure","members":{"credentials":{"type":"structure","members":{"accessKeyId":{},"secretAccessKey":{},"sessionToken":{}}},"durationInMinutes":{"type":"long"}}}},"GetWorkingLocation":{"http":{"requestUri":"/workingLocationV1"},"input":{"type":"structure","members":{"locationType":{}}},"output":{"type":"structure","members":{"s3Uri":{},"s3Path":{},"s3Bucket":{}}}},"ListChangesets":{"http":{"method":"GET","requestUri":"/datasets/{datasetId}/changesetsv2"},"input":{"type":"structure","required":["datasetId"],"members":{"datasetId":{"location":"uri","locationName":"datasetId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"changesets":{"type":"list","member":{"type":"structure","members":{"changesetId":{},"changesetArn":{},"datasetId":{},"changeType":{},"sourceParams":{"shape":"S5"},"formatParams":{"shape":"S8"},"createTime":{"type":"long"},"status":{},"errorInfo":{"shape":"S1e"},"activeUntilTimestamp":{"type":"long"},"updatesChangesetId":{},"updatedByChangesetId":{}}}},"nextToken":{}}}},"ListDataViews":{"http":{"method":"GET","requestUri":"/datasets/{datasetId}/dataviewsv2"},"input":{"type":"structure","required":["datasetId"],"members":{"datasetId":{"location":"uri","locationName":"datasetId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"nextToken":{},"dataViews":{"type":"list","member":{"type":"structure","members":{"dataViewId":{},"dataViewArn":{},"datasetId":{},"asOfTimestamp":{"type":"long"},"partitionColumns":{"shape":"Sf"},"sortColumns":{"shape":"Sd"},"status":{},"errorInfo":{"shape":"S1j"},"destinationTypeProperties":{"shape":"Sh"},"autoUpdate":{"type":"boolean"},"createTime":{"type":"long"},"lastModifiedTime":{"type":"long"}}}}}}},"ListDatasets":{"http":{"method":"GET","requestUri":"/datasetsv2"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"datasets":{"type":"list","member":{"type":"structure","members":{"datasetId":{},"datasetArn":{},"datasetTitle":{},"kind":{},"datasetDescription":{},"ownerInfo":{"shape":"Sp"},"createTime":{"type":"long"},"lastModifiedTime":{"type":"long"},"schemaDefinition":{"shape":"Sz"},"alias":{}}}},"nextToken":{}}}},"UpdateChangeset":{"http":{"method":"PUT","requestUri":"/datasets/{datasetId}/changesetsv2/{changesetId}"},"input":{"type":"structure","required":["datasetId","changesetId","sourceParams","formatParams"],"members":{"clientToken":{"idempotencyToken":true},"datasetId":{"location":"uri","locationName":"datasetId"},"changesetId":{"location":"uri","locationName":"changesetId"},"sourceParams":{"shape":"S5"},"formatParams":{"shape":"S8"}}},"output":{"type":"structure","members":{"changesetId":{},"datasetId":{}}}},"UpdateDataset":{"http":{"method":"PUT","requestUri":"/datasetsv2/{datasetId}"},"input":{"type":"structure","required":["datasetId","datasetTitle","kind","alias"],"members":{"clientToken":{"idempotencyToken":true},"datasetId":{"location":"uri","locationName":"datasetId"},"datasetTitle":{},"kind":{},"datasetDescription":{},"alias":{},"schemaDefinition":{"shape":"Sz"}}},"output":{"type":"structure","members":{"datasetId":{}}}}},"shapes":{"S5":{"type":"map","key":{},"value":{}},"S8":{"type":"map","key":{},"value":{}},"Sd":{"type":"list","member":{}},"Sf":{"type":"list","member":{}},"Sh":{"type":"structure","required":["destinationType"],"members":{"destinationType":{}}},"Sp":{"type":"structure","members":{"name":{},"phoneNumber":{},"email":{}}},"Sz":{"type":"structure","members":{"tabularSchemaConfig":{"type":"structure","members":{"columns":{"type":"list","member":{"type":"structure","members":{"dataType":{},"columnName":{},"columnDescription":{}}}},"primaryKeyColumns":{"type":"list","member":{}}}}}},"S1e":{"type":"structure","members":{"errorMessage":{},"errorCategory":{}}},"S1j":{"type":"structure","members":{"errorMessage":{},"errorCategory":{}}}}}');

/***/ }),

/***/ 70371:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListChangesets":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"changesets"},"ListDataViews":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"dataViews"},"ListDatasets":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"datasets"}}}');

/***/ }),

/***/ 48886:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-08-04","endpointPrefix":"firehose","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Firehose","serviceFullName":"Amazon Kinesis Firehose","serviceId":"Firehose","signatureVersion":"v4","targetPrefix":"Firehose_20150804","uid":"firehose-2015-08-04"},"operations":{"CreateDeliveryStream":{"input":{"type":"structure","required":["DeliveryStreamName"],"members":{"DeliveryStreamName":{},"DeliveryStreamType":{},"KinesisStreamSourceConfiguration":{"type":"structure","required":["KinesisStreamARN","RoleARN"],"members":{"KinesisStreamARN":{},"RoleARN":{}}},"DeliveryStreamEncryptionConfigurationInput":{"shape":"S7"},"S3DestinationConfiguration":{"shape":"Sa","deprecated":true},"ExtendedS3DestinationConfiguration":{"type":"structure","required":["RoleARN","BucketARN"],"members":{"RoleARN":{},"BucketARN":{},"Prefix":{},"ErrorOutputPrefix":{},"BufferingHints":{"shape":"Se"},"CompressionFormat":{},"EncryptionConfiguration":{"shape":"Si"},"CloudWatchLoggingOptions":{"shape":"Sl"},"ProcessingConfiguration":{"shape":"Sq"},"S3BackupMode":{},"S3BackupConfiguration":{"shape":"Sa"},"DataFormatConversionConfiguration":{"shape":"Sz"},"DynamicPartitioningConfiguration":{"shape":"S1o"}}},"RedshiftDestinationConfiguration":{"type":"structure","required":["RoleARN","ClusterJDBCURL","CopyCommand","Username","Password","S3Configuration"],"members":{"RoleARN":{},"ClusterJDBCURL":{},"CopyCommand":{"shape":"S1t"},"Username":{"shape":"S1x"},"Password":{"shape":"S1y"},"RetryOptions":{"shape":"S1z"},"S3Configuration":{"shape":"Sa"},"ProcessingConfiguration":{"shape":"Sq"},"S3BackupMode":{},"S3BackupConfiguration":{"shape":"Sa"},"CloudWatchLoggingOptions":{"shape":"Sl"}}},"ElasticsearchDestinationConfiguration":{"type":"structure","required":["RoleARN","IndexName","S3Configuration"],"members":{"RoleARN":{},"DomainARN":{},"ClusterEndpoint":{},"IndexName":{},"TypeName":{},"IndexRotationPeriod":{},"BufferingHints":{"shape":"S28"},"RetryOptions":{"shape":"S2b"},"S3BackupMode":{},"S3Configuration":{"shape":"Sa"},"ProcessingConfiguration":{"shape":"Sq"},"CloudWatchLoggingOptions":{"shape":"Sl"},"VpcConfiguration":{"shape":"S2e"}}},"AmazonopensearchserviceDestinationConfiguration":{"type":"structure","required":["RoleARN","IndexName","S3Configuration"],"members":{"RoleARN":{},"DomainARN":{},"ClusterEndpoint":{},"IndexName":{},"TypeName":{},"IndexRotationPeriod":{},"BufferingHints":{"shape":"S2n"},"RetryOptions":{"shape":"S2q"},"S3BackupMode":{},"S3Configuration":{"shape":"Sa"},"ProcessingConfiguration":{"shape":"Sq"},"CloudWatchLoggingOptions":{"shape":"Sl"},"VpcConfiguration":{"shape":"S2e"}}},"SplunkDestinationConfiguration":{"type":"structure","required":["HECEndpoint","HECEndpointType","HECToken","S3Configuration"],"members":{"HECEndpoint":{},"HECEndpointType":{},"HECToken":{},"HECAcknowledgmentTimeoutInSeconds":{"type":"integer"},"RetryOptions":{"shape":"S2y"},"S3BackupMode":{},"S3Configuration":{"shape":"Sa"},"ProcessingConfiguration":{"shape":"Sq"},"CloudWatchLoggingOptions":{"shape":"Sl"}}},"HttpEndpointDestinationConfiguration":{"type":"structure","required":["EndpointConfiguration","S3Configuration"],"members":{"EndpointConfiguration":{"shape":"S32"},"BufferingHints":{"shape":"S36"},"CloudWatchLoggingOptions":{"shape":"Sl"},"RequestConfiguration":{"shape":"S39"},"ProcessingConfiguration":{"shape":"Sq"},"RoleARN":{},"RetryOptions":{"shape":"S3f"},"S3BackupMode":{},"S3Configuration":{"shape":"Sa"}}},"Tags":{"shape":"S3i"}}},"output":{"type":"structure","members":{"DeliveryStreamARN":{}}}},"DeleteDeliveryStream":{"input":{"type":"structure","required":["DeliveryStreamName"],"members":{"DeliveryStreamName":{},"AllowForceDelete":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DescribeDeliveryStream":{"input":{"type":"structure","required":["DeliveryStreamName"],"members":{"DeliveryStreamName":{},"Limit":{"type":"integer"},"ExclusiveStartDestinationId":{}}},"output":{"type":"structure","required":["DeliveryStreamDescription"],"members":{"DeliveryStreamDescription":{"type":"structure","required":["DeliveryStreamName","DeliveryStreamARN","DeliveryStreamStatus","DeliveryStreamType","VersionId","Destinations","HasMoreDestinations"],"members":{"DeliveryStreamName":{},"DeliveryStreamARN":{},"DeliveryStreamStatus":{},"FailureDescription":{"shape":"S3w"},"DeliveryStreamEncryptionConfiguration":{"type":"structure","members":{"KeyARN":{},"KeyType":{},"Status":{},"FailureDescription":{"shape":"S3w"}}},"DeliveryStreamType":{},"VersionId":{},"CreateTimestamp":{"type":"timestamp"},"LastUpdateTimestamp":{"type":"timestamp"},"Source":{"type":"structure","members":{"KinesisStreamSourceDescription":{"type":"structure","members":{"KinesisStreamARN":{},"RoleARN":{},"DeliveryStartTimestamp":{"type":"timestamp"}}}}},"Destinations":{"type":"list","member":{"type":"structure","required":["DestinationId"],"members":{"DestinationId":{},"S3DestinationDescription":{"shape":"S47"},"ExtendedS3DestinationDescription":{"type":"structure","required":["RoleARN","BucketARN","BufferingHints","CompressionFormat","EncryptionConfiguration"],"members":{"RoleARN":{},"BucketARN":{},"Prefix":{},"ErrorOutputPrefix":{},"BufferingHints":{"shape":"Se"},"CompressionFormat":{},"EncryptionConfiguration":{"shape":"Si"},"CloudWatchLoggingOptions":{"shape":"Sl"},"ProcessingConfiguration":{"shape":"Sq"},"S3BackupMode":{},"S3BackupDescription":{"shape":"S47"},"DataFormatConversionConfiguration":{"shape":"Sz"},"DynamicPartitioningConfiguration":{"shape":"S1o"}}},"RedshiftDestinationDescription":{"type":"structure","required":["RoleARN","ClusterJDBCURL","CopyCommand","Username","S3DestinationDescription"],"members":{"RoleARN":{},"ClusterJDBCURL":{},"CopyCommand":{"shape":"S1t"},"Username":{"shape":"S1x"},"RetryOptions":{"shape":"S1z"},"S3DestinationDescription":{"shape":"S47"},"ProcessingConfiguration":{"shape":"Sq"},"S3BackupMode":{},"S3BackupDescription":{"shape":"S47"},"CloudWatchLoggingOptions":{"shape":"Sl"}}},"ElasticsearchDestinationDescription":{"type":"structure","members":{"RoleARN":{},"DomainARN":{},"ClusterEndpoint":{},"IndexName":{},"TypeName":{},"IndexRotationPeriod":{},"BufferingHints":{"shape":"S28"},"RetryOptions":{"shape":"S2b"},"S3BackupMode":{},"S3DestinationDescription":{"shape":"S47"},"ProcessingConfiguration":{"shape":"Sq"},"CloudWatchLoggingOptions":{"shape":"Sl"},"VpcConfigurationDescription":{"shape":"S4b"}}},"AmazonopensearchserviceDestinationDescription":{"type":"structure","members":{"RoleARN":{},"DomainARN":{},"ClusterEndpoint":{},"IndexName":{},"TypeName":{},"IndexRotationPeriod":{},"BufferingHints":{"shape":"S2n"},"RetryOptions":{"shape":"S2q"},"S3BackupMode":{},"S3DestinationDescription":{"shape":"S47"},"ProcessingConfiguration":{"shape":"Sq"},"CloudWatchLoggingOptions":{"shape":"Sl"},"VpcConfigurationDescription":{"shape":"S4b"}}},"SplunkDestinationDescription":{"type":"structure","members":{"HECEndpoint":{},"HECEndpointType":{},"HECToken":{},"HECAcknowledgmentTimeoutInSeconds":{"type":"integer"},"RetryOptions":{"shape":"S2y"},"S3BackupMode":{},"S3DestinationDescription":{"shape":"S47"},"ProcessingConfiguration":{"shape":"Sq"},"CloudWatchLoggingOptions":{"shape":"Sl"}}},"HttpEndpointDestinationDescription":{"type":"structure","members":{"EndpointConfiguration":{"type":"structure","members":{"Url":{"shape":"S33"},"Name":{}}},"BufferingHints":{"shape":"S36"},"CloudWatchLoggingOptions":{"shape":"Sl"},"RequestConfiguration":{"shape":"S39"},"ProcessingConfiguration":{"shape":"Sq"},"RoleARN":{},"RetryOptions":{"shape":"S3f"},"S3BackupMode":{},"S3DestinationDescription":{"shape":"S47"}}}}}},"HasMoreDestinations":{"type":"boolean"}}}}}},"ListDeliveryStreams":{"input":{"type":"structure","members":{"Limit":{"type":"integer"},"DeliveryStreamType":{},"ExclusiveStartDeliveryStreamName":{}}},"output":{"type":"structure","required":["DeliveryStreamNames","HasMoreDeliveryStreams"],"members":{"DeliveryStreamNames":{"type":"list","member":{}},"HasMoreDeliveryStreams":{"type":"boolean"}}}},"ListTagsForDeliveryStream":{"input":{"type":"structure","required":["DeliveryStreamName"],"members":{"DeliveryStreamName":{},"ExclusiveStartTagKey":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","required":["Tags","HasMoreTags"],"members":{"Tags":{"type":"list","member":{"shape":"S3j"}},"HasMoreTags":{"type":"boolean"}}}},"PutRecord":{"input":{"type":"structure","required":["DeliveryStreamName","Record"],"members":{"DeliveryStreamName":{},"Record":{"shape":"S4p"}}},"output":{"type":"structure","required":["RecordId"],"members":{"RecordId":{},"Encrypted":{"type":"boolean"}}}},"PutRecordBatch":{"input":{"type":"structure","required":["DeliveryStreamName","Records"],"members":{"DeliveryStreamName":{},"Records":{"type":"list","member":{"shape":"S4p"}}}},"output":{"type":"structure","required":["FailedPutCount","RequestResponses"],"members":{"FailedPutCount":{"type":"integer"},"Encrypted":{"type":"boolean"},"RequestResponses":{"type":"list","member":{"type":"structure","members":{"RecordId":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"StartDeliveryStreamEncryption":{"input":{"type":"structure","required":["DeliveryStreamName"],"members":{"DeliveryStreamName":{},"DeliveryStreamEncryptionConfigurationInput":{"shape":"S7"}}},"output":{"type":"structure","members":{}}},"StopDeliveryStreamEncryption":{"input":{"type":"structure","required":["DeliveryStreamName"],"members":{"DeliveryStreamName":{}}},"output":{"type":"structure","members":{}}},"TagDeliveryStream":{"input":{"type":"structure","required":["DeliveryStreamName","Tags"],"members":{"DeliveryStreamName":{},"Tags":{"shape":"S3i"}}},"output":{"type":"structure","members":{}}},"UntagDeliveryStream":{"input":{"type":"structure","required":["DeliveryStreamName","TagKeys"],"members":{"DeliveryStreamName":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDestination":{"input":{"type":"structure","required":["DeliveryStreamName","CurrentDeliveryStreamVersionId","DestinationId"],"members":{"DeliveryStreamName":{},"CurrentDeliveryStreamVersionId":{},"DestinationId":{},"S3DestinationUpdate":{"shape":"S5a","deprecated":true},"ExtendedS3DestinationUpdate":{"type":"structure","members":{"RoleARN":{},"BucketARN":{},"Prefix":{},"ErrorOutputPrefix":{},"BufferingHints":{"shape":"Se"},"CompressionFormat":{},"EncryptionConfiguration":{"shape":"Si"},"CloudWatchLoggingOptions":{"shape":"Sl"},"ProcessingConfiguration":{"shape":"Sq"},"S3BackupMode":{},"S3BackupUpdate":{"shape":"S5a"},"DataFormatConversionConfiguration":{"shape":"Sz"},"DynamicPartitioningConfiguration":{"shape":"S1o"}}},"RedshiftDestinationUpdate":{"type":"structure","members":{"RoleARN":{},"ClusterJDBCURL":{},"CopyCommand":{"shape":"S1t"},"Username":{"shape":"S1x"},"Password":{"shape":"S1y"},"RetryOptions":{"shape":"S1z"},"S3Update":{"shape":"S5a"},"ProcessingConfiguration":{"shape":"Sq"},"S3BackupMode":{},"S3BackupUpdate":{"shape":"S5a"},"CloudWatchLoggingOptions":{"shape":"Sl"}}},"ElasticsearchDestinationUpdate":{"type":"structure","members":{"RoleARN":{},"DomainARN":{},"ClusterEndpoint":{},"IndexName":{},"TypeName":{},"IndexRotationPeriod":{},"BufferingHints":{"shape":"S28"},"RetryOptions":{"shape":"S2b"},"S3Update":{"shape":"S5a"},"ProcessingConfiguration":{"shape":"Sq"},"CloudWatchLoggingOptions":{"shape":"Sl"}}},"AmazonopensearchserviceDestinationUpdate":{"type":"structure","members":{"RoleARN":{},"DomainARN":{},"ClusterEndpoint":{},"IndexName":{},"TypeName":{},"IndexRotationPeriod":{},"BufferingHints":{"shape":"S2n"},"RetryOptions":{"shape":"S2q"},"S3Update":{"shape":"S5a"},"ProcessingConfiguration":{"shape":"Sq"},"CloudWatchLoggingOptions":{"shape":"Sl"}}},"SplunkDestinationUpdate":{"type":"structure","members":{"HECEndpoint":{},"HECEndpointType":{},"HECToken":{},"HECAcknowledgmentTimeoutInSeconds":{"type":"integer"},"RetryOptions":{"shape":"S2y"},"S3BackupMode":{},"S3Update":{"shape":"S5a"},"ProcessingConfiguration":{"shape":"Sq"},"CloudWatchLoggingOptions":{"shape":"Sl"}}},"HttpEndpointDestinationUpdate":{"type":"structure","members":{"EndpointConfiguration":{"shape":"S32"},"BufferingHints":{"shape":"S36"},"CloudWatchLoggingOptions":{"shape":"Sl"},"RequestConfiguration":{"shape":"S39"},"ProcessingConfiguration":{"shape":"Sq"},"RoleARN":{},"RetryOptions":{"shape":"S3f"},"S3BackupMode":{},"S3Update":{"shape":"S5a"}}}}},"output":{"type":"structure","members":{}}}},"shapes":{"S7":{"type":"structure","required":["KeyType"],"members":{"KeyARN":{},"KeyType":{}}},"Sa":{"type":"structure","required":["RoleARN","BucketARN"],"members":{"RoleARN":{},"BucketARN":{},"Prefix":{},"ErrorOutputPrefix":{},"BufferingHints":{"shape":"Se"},"CompressionFormat":{},"EncryptionConfiguration":{"shape":"Si"},"CloudWatchLoggingOptions":{"shape":"Sl"}}},"Se":{"type":"structure","members":{"SizeInMBs":{"type":"integer"},"IntervalInSeconds":{"type":"integer"}}},"Si":{"type":"structure","members":{"NoEncryptionConfig":{},"KMSEncryptionConfig":{"type":"structure","required":["AWSKMSKeyARN"],"members":{"AWSKMSKeyARN":{}}}}},"Sl":{"type":"structure","members":{"Enabled":{"type":"boolean"},"LogGroupName":{},"LogStreamName":{}}},"Sq":{"type":"structure","members":{"Enabled":{"type":"boolean"},"Processors":{"type":"list","member":{"type":"structure","required":["Type"],"members":{"Type":{},"Parameters":{"type":"list","member":{"type":"structure","required":["ParameterName","ParameterValue"],"members":{"ParameterName":{},"ParameterValue":{}}}}}}}}},"Sz":{"type":"structure","members":{"SchemaConfiguration":{"type":"structure","members":{"RoleARN":{},"CatalogId":{},"DatabaseName":{},"TableName":{},"Region":{},"VersionId":{}}},"InputFormatConfiguration":{"type":"structure","members":{"Deserializer":{"type":"structure","members":{"OpenXJsonSerDe":{"type":"structure","members":{"ConvertDotsInJsonKeysToUnderscores":{"type":"boolean"},"CaseInsensitive":{"type":"boolean"},"ColumnToJsonKeyMappings":{"type":"map","key":{},"value":{}}}},"HiveJsonSerDe":{"type":"structure","members":{"TimestampFormats":{"type":"list","member":{}}}}}}}},"OutputFormatConfiguration":{"type":"structure","members":{"Serializer":{"type":"structure","members":{"ParquetSerDe":{"type":"structure","members":{"BlockSizeBytes":{"type":"integer"},"PageSizeBytes":{"type":"integer"},"Compression":{},"EnableDictionaryCompression":{"type":"boolean"},"MaxPaddingBytes":{"type":"integer"},"WriterVersion":{}}},"OrcSerDe":{"type":"structure","members":{"StripeSizeBytes":{"type":"integer"},"BlockSizeBytes":{"type":"integer"},"RowIndexStride":{"type":"integer"},"EnablePadding":{"type":"boolean"},"PaddingTolerance":{"type":"double"},"Compression":{},"BloomFilterColumns":{"type":"list","member":{}},"BloomFilterFalsePositiveProbability":{"type":"double"},"DictionaryKeyThreshold":{"type":"double"},"FormatVersion":{}}}}}}},"Enabled":{"type":"boolean"}}},"S1o":{"type":"structure","members":{"RetryOptions":{"type":"structure","members":{"DurationInSeconds":{"type":"integer"}}},"Enabled":{"type":"boolean"}}},"S1t":{"type":"structure","required":["DataTableName"],"members":{"DataTableName":{},"DataTableColumns":{},"CopyOptions":{}}},"S1x":{"type":"string","sensitive":true},"S1y":{"type":"string","sensitive":true},"S1z":{"type":"structure","members":{"DurationInSeconds":{"type":"integer"}}},"S28":{"type":"structure","members":{"IntervalInSeconds":{"type":"integer"},"SizeInMBs":{"type":"integer"}}},"S2b":{"type":"structure","members":{"DurationInSeconds":{"type":"integer"}}},"S2e":{"type":"structure","required":["SubnetIds","RoleARN","SecurityGroupIds"],"members":{"SubnetIds":{"shape":"S2f"},"RoleARN":{},"SecurityGroupIds":{"shape":"S2g"}}},"S2f":{"type":"list","member":{}},"S2g":{"type":"list","member":{}},"S2n":{"type":"structure","members":{"IntervalInSeconds":{"type":"integer"},"SizeInMBs":{"type":"integer"}}},"S2q":{"type":"structure","members":{"DurationInSeconds":{"type":"integer"}}},"S2y":{"type":"structure","members":{"DurationInSeconds":{"type":"integer"}}},"S32":{"type":"structure","required":["Url"],"members":{"Url":{"shape":"S33"},"Name":{},"AccessKey":{"type":"string","sensitive":true}}},"S33":{"type":"string","sensitive":true},"S36":{"type":"structure","members":{"SizeInMBs":{"type":"integer"},"IntervalInSeconds":{"type":"integer"}}},"S39":{"type":"structure","members":{"ContentEncoding":{},"CommonAttributes":{"type":"list","member":{"type":"structure","required":["AttributeName","AttributeValue"],"members":{"AttributeName":{"type":"string","sensitive":true},"AttributeValue":{"type":"string","sensitive":true}}}}}},"S3f":{"type":"structure","members":{"DurationInSeconds":{"type":"integer"}}},"S3i":{"type":"list","member":{"shape":"S3j"}},"S3j":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}},"S3w":{"type":"structure","required":["Type","Details"],"members":{"Type":{},"Details":{}}},"S47":{"type":"structure","required":["RoleARN","BucketARN","BufferingHints","CompressionFormat","EncryptionConfiguration"],"members":{"RoleARN":{},"BucketARN":{},"Prefix":{},"ErrorOutputPrefix":{},"BufferingHints":{"shape":"Se"},"CompressionFormat":{},"EncryptionConfiguration":{"shape":"Si"},"CloudWatchLoggingOptions":{"shape":"Sl"}}},"S4b":{"type":"structure","required":["SubnetIds","RoleARN","SecurityGroupIds","VpcId"],"members":{"SubnetIds":{"shape":"S2f"},"RoleARN":{},"SecurityGroupIds":{"shape":"S2g"},"VpcId":{}}},"S4p":{"type":"structure","required":["Data"],"members":{"Data":{"type":"blob"}}},"S5a":{"type":"structure","members":{"RoleARN":{},"BucketARN":{},"Prefix":{},"ErrorOutputPrefix":{},"BufferingHints":{"shape":"Se"},"CompressionFormat":{},"EncryptionConfiguration":{"shape":"Si"},"CloudWatchLoggingOptions":{"shape":"Sl"}}}}}');

/***/ }),

/***/ 47400:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 98356:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-12-01","endpointPrefix":"fis","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"FIS","serviceFullName":"AWS Fault Injection Simulator","serviceId":"fis","signatureVersion":"v4","signingName":"fis","uid":"fis-2020-12-01"},"operations":{"CreateExperimentTemplate":{"http":{"requestUri":"/experimentTemplates","responseCode":200},"input":{"type":"structure","required":["clientToken","description","stopConditions","actions","roleArn"],"members":{"clientToken":{"idempotencyToken":true},"description":{},"stopConditions":{"type":"list","member":{"type":"structure","required":["source"],"members":{"source":{},"value":{}}}},"targets":{"type":"map","key":{},"value":{"type":"structure","required":["resourceType","selectionMode"],"members":{"resourceType":{},"resourceArns":{"shape":"Sc"},"resourceTags":{"shape":"Se"},"filters":{"shape":"Sh"},"selectionMode":{}}}},"actions":{"type":"map","key":{},"value":{"type":"structure","required":["actionId"],"members":{"actionId":{},"description":{},"parameters":{"shape":"Ss"},"targets":{"shape":"Sv"},"startAfter":{"shape":"Sx"}}}},"roleArn":{},"tags":{"shape":"Se"}}},"output":{"type":"structure","members":{"experimentTemplate":{"shape":"S11"}}}},"DeleteExperimentTemplate":{"http":{"method":"DELETE","requestUri":"/experimentTemplates/{id}","responseCode":200},"input":{"type":"structure","required":["id"],"members":{"id":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"experimentTemplate":{"shape":"S11"}}}},"GetAction":{"http":{"method":"GET","requestUri":"/actions/{id}","responseCode":200},"input":{"type":"structure","required":["id"],"members":{"id":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"action":{"type":"structure","members":{"id":{},"description":{},"parameters":{"type":"map","key":{},"value":{"type":"structure","members":{"description":{},"required":{"type":"boolean"}}}},"targets":{"shape":"S1o"},"tags":{"shape":"Se"}}}}}},"GetExperiment":{"http":{"method":"GET","requestUri":"/experiments/{id}","responseCode":200},"input":{"type":"structure","required":["id"],"members":{"id":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"experiment":{"shape":"S1v"}}}},"GetExperimentTemplate":{"http":{"method":"GET","requestUri":"/experimentTemplates/{id}","responseCode":200},"input":{"type":"structure","required":["id"],"members":{"id":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"experimentTemplate":{"shape":"S11"}}}},"ListActions":{"http":{"method":"GET","requestUri":"/actions","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"actions":{"type":"list","member":{"type":"structure","members":{"id":{},"description":{},"targets":{"shape":"S1o"},"tags":{"shape":"Se"}}}},"nextToken":{}}}},"ListExperimentTemplates":{"http":{"method":"GET","requestUri":"/experimentTemplates","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"experimentTemplates":{"type":"list","member":{"type":"structure","members":{"id":{},"description":{},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"tags":{"shape":"Se"}}}},"nextToken":{}}}},"ListExperiments":{"http":{"method":"GET","requestUri":"/experiments","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"experiments":{"type":"list","member":{"type":"structure","members":{"id":{},"experimentTemplateId":{},"state":{"shape":"S1w"},"creationTime":{"type":"timestamp"},"tags":{"shape":"Se"}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Se"}}}},"StartExperiment":{"http":{"requestUri":"/experiments","responseCode":200},"input":{"type":"structure","required":["clientToken","experimentTemplateId"],"members":{"clientToken":{"idempotencyToken":true},"experimentTemplateId":{},"tags":{"shape":"Se"}}},"output":{"type":"structure","members":{"experiment":{"shape":"S1v"}}}},"StopExperiment":{"http":{"method":"DELETE","requestUri":"/experiments/{id}","responseCode":200},"input":{"type":"structure","required":["id"],"members":{"id":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"experiment":{"shape":"S1v"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Se"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateExperimentTemplate":{"http":{"method":"PATCH","requestUri":"/experimentTemplates/{id}","responseCode":200},"input":{"type":"structure","required":["id"],"members":{"id":{"location":"uri","locationName":"id"},"description":{},"stopConditions":{"type":"list","member":{"type":"structure","required":["source"],"members":{"source":{},"value":{}}}},"targets":{"type":"map","key":{},"value":{"type":"structure","required":["resourceType","selectionMode"],"members":{"resourceType":{},"resourceArns":{"shape":"Sc"},"resourceTags":{"shape":"Se"},"filters":{"shape":"Sh"},"selectionMode":{}}}},"actions":{"type":"map","key":{},"value":{"type":"structure","members":{"actionId":{},"description":{},"parameters":{"shape":"Ss"},"targets":{"shape":"Sv"},"startAfter":{"shape":"Sx"}}}},"roleArn":{}}},"output":{"type":"structure","members":{"experimentTemplate":{"shape":"S11"}}}}},"shapes":{"Sc":{"type":"list","member":{}},"Se":{"type":"map","key":{},"value":{}},"Sh":{"type":"list","member":{"type":"structure","required":["path","values"],"members":{"path":{},"values":{"shape":"Sk"}}}},"Sk":{"type":"list","member":{}},"Ss":{"type":"map","key":{},"value":{}},"Sv":{"type":"map","key":{},"value":{}},"Sx":{"type":"list","member":{}},"S11":{"type":"structure","members":{"id":{},"description":{},"targets":{"type":"map","key":{},"value":{"type":"structure","members":{"resourceType":{},"resourceArns":{"shape":"Sc"},"resourceTags":{"shape":"Se"},"filters":{"type":"list","member":{"type":"structure","members":{"path":{},"values":{"shape":"Sk"}}}},"selectionMode":{}}}},"actions":{"type":"map","key":{},"value":{"type":"structure","members":{"actionId":{},"description":{},"parameters":{"shape":"Ss"},"targets":{"shape":"Sv"},"startAfter":{"shape":"Sx"}}}},"stopConditions":{"type":"list","member":{"type":"structure","members":{"source":{},"value":{}}}},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"roleArn":{},"tags":{"shape":"Se"}}},"S1o":{"type":"map","key":{},"value":{"type":"structure","members":{"resourceType":{}}}},"S1v":{"type":"structure","members":{"id":{},"experimentTemplateId":{},"roleArn":{},"state":{"shape":"S1w"},"targets":{"type":"map","key":{},"value":{"type":"structure","members":{"resourceType":{},"resourceArns":{"shape":"Sc"},"resourceTags":{"shape":"Se"},"filters":{"type":"list","member":{"type":"structure","members":{"path":{},"values":{"type":"list","member":{}}}}},"selectionMode":{}}}},"actions":{"type":"map","key":{},"value":{"type":"structure","members":{"actionId":{},"description":{},"parameters":{"type":"map","key":{},"value":{}},"targets":{"type":"map","key":{},"value":{}},"startAfter":{"type":"list","member":{}},"state":{"type":"structure","members":{"status":{},"reason":{}}}}}},"stopConditions":{"type":"list","member":{"type":"structure","members":{"source":{},"value":{}}}},"creationTime":{"type":"timestamp"},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"tags":{"shape":"Se"}}},"S1w":{"type":"structure","members":{"status":{},"reason":{}}}}}');

/***/ }),

/***/ 6544:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListActions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListExperimentTemplates":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListExperiments":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 22212:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-01-01","endpointPrefix":"fms","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"FMS","serviceFullName":"Firewall Management Service","serviceId":"FMS","signatureVersion":"v4","targetPrefix":"AWSFMS_20180101","uid":"fms-2018-01-01"},"operations":{"AssociateAdminAccount":{"input":{"type":"structure","required":["AdminAccount"],"members":{"AdminAccount":{}}}},"DeleteAppsList":{"input":{"type":"structure","required":["ListId"],"members":{"ListId":{}}}},"DeleteNotificationChannel":{"input":{"type":"structure","members":{}}},"DeletePolicy":{"input":{"type":"structure","required":["PolicyId"],"members":{"PolicyId":{},"DeleteAllPolicyResources":{"type":"boolean"}}}},"DeleteProtocolsList":{"input":{"type":"structure","required":["ListId"],"members":{"ListId":{}}}},"DisassociateAdminAccount":{"input":{"type":"structure","members":{}}},"GetAdminAccount":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"AdminAccount":{},"RoleStatus":{}}}},"GetAppsList":{"input":{"type":"structure","required":["ListId"],"members":{"ListId":{},"DefaultList":{"type":"boolean"}}},"output":{"type":"structure","members":{"AppsList":{"shape":"Sg"},"AppsListArn":{}}}},"GetComplianceDetail":{"input":{"type":"structure","required":["PolicyId","MemberAccount"],"members":{"PolicyId":{},"MemberAccount":{}}},"output":{"type":"structure","members":{"PolicyComplianceDetail":{"type":"structure","members":{"PolicyOwner":{},"PolicyId":{},"MemberAccount":{},"Violators":{"type":"list","member":{"type":"structure","members":{"ResourceId":{},"ViolationReason":{},"ResourceType":{}}}},"EvaluationLimitExceeded":{"type":"boolean"},"ExpiredAt":{"type":"timestamp"},"IssueInfoMap":{"shape":"Sz"}}}}}},"GetNotificationChannel":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"SnsTopicArn":{},"SnsRoleName":{}}}},"GetPolicy":{"input":{"type":"structure","required":["PolicyId"],"members":{"PolicyId":{}}},"output":{"type":"structure","members":{"Policy":{"shape":"S16"},"PolicyArn":{}}}},"GetProtectionStatus":{"input":{"type":"structure","required":["PolicyId"],"members":{"PolicyId":{},"MemberAccountId":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"AdminAccountId":{},"ServiceType":{},"Data":{},"NextToken":{}}}},"GetProtocolsList":{"input":{"type":"structure","required":["ListId"],"members":{"ListId":{},"DefaultList":{"type":"boolean"}}},"output":{"type":"structure","members":{"ProtocolsList":{"shape":"S1r"},"ProtocolsListArn":{}}}},"GetViolationDetails":{"input":{"type":"structure","required":["PolicyId","MemberAccount","ResourceId","ResourceType"],"members":{"PolicyId":{},"MemberAccount":{},"ResourceId":{},"ResourceType":{}}},"output":{"type":"structure","members":{"ViolationDetail":{"type":"structure","required":["PolicyId","MemberAccount","ResourceId","ResourceType","ResourceViolations"],"members":{"PolicyId":{},"MemberAccount":{},"ResourceId":{},"ResourceType":{},"ResourceViolations":{"type":"list","member":{"type":"structure","members":{"AwsVPCSecurityGroupViolation":{"type":"structure","members":{"ViolationTarget":{},"ViolationTargetDescription":{},"PartialMatches":{"type":"list","member":{"type":"structure","members":{"Reference":{},"TargetViolationReasons":{"type":"list","member":{}}}}},"PossibleSecurityGroupRemediationActions":{"type":"list","member":{"type":"structure","members":{"RemediationActionType":{},"Description":{},"RemediationResult":{"type":"structure","members":{"IPV4Range":{},"IPV6Range":{},"PrefixListId":{},"Protocol":{},"FromPort":{"type":"long"},"ToPort":{"type":"long"}}},"IsDefaultAction":{"type":"boolean"}}}}}},"AwsEc2NetworkInterfaceViolation":{"shape":"S2d"},"AwsEc2InstanceViolation":{"type":"structure","members":{"ViolationTarget":{},"AwsEc2NetworkInterfaceViolations":{"type":"list","member":{"shape":"S2d"}}}},"NetworkFirewallMissingFirewallViolation":{"type":"structure","members":{"ViolationTarget":{},"VPC":{},"AvailabilityZone":{},"TargetViolationReason":{}}},"NetworkFirewallMissingSubnetViolation":{"type":"structure","members":{"ViolationTarget":{},"VPC":{},"AvailabilityZone":{},"TargetViolationReason":{}}},"NetworkFirewallMissingExpectedRTViolation":{"type":"structure","members":{"ViolationTarget":{},"VPC":{},"AvailabilityZone":{},"CurrentRouteTable":{},"ExpectedRouteTable":{}}},"NetworkFirewallPolicyModifiedViolation":{"type":"structure","members":{"ViolationTarget":{},"CurrentPolicyDescription":{"shape":"S2l"},"ExpectedPolicyDescription":{"shape":"S2l"}}},"NetworkFirewallInternetTrafficNotInspectedViolation":{"type":"structure","members":{"SubnetId":{},"SubnetAvailabilityZone":{},"RouteTableId":{},"ViolatingRoutes":{"shape":"S2v"},"IsRouteTableUsedInDifferentAZ":{"type":"boolean"},"CurrentFirewallSubnetRouteTable":{},"ExpectedFirewallEndpoint":{},"FirewallSubnetId":{},"ExpectedFirewallSubnetRoutes":{"shape":"S2z"},"ActualFirewallSubnetRoutes":{"shape":"S2v"},"InternetGatewayId":{},"CurrentInternetGatewayRouteTable":{},"ExpectedInternetGatewayRoutes":{"shape":"S2z"},"ActualInternetGatewayRoutes":{"shape":"S2v"},"VpcId":{}}},"NetworkFirewallInvalidRouteConfigurationViolation":{"type":"structure","members":{"AffectedSubnets":{"shape":"S2e"},"RouteTableId":{},"IsRouteTableUsedInDifferentAZ":{"type":"boolean"},"ViolatingRoute":{"shape":"S2w"},"CurrentFirewallSubnetRouteTable":{},"ExpectedFirewallEndpoint":{},"ActualFirewallEndpoint":{},"ExpectedFirewallSubnetId":{},"ActualFirewallSubnetId":{},"ExpectedFirewallSubnetRoutes":{"shape":"S2z"},"ActualFirewallSubnetRoutes":{"shape":"S2v"},"InternetGatewayId":{},"CurrentInternetGatewayRouteTable":{},"ExpectedInternetGatewayRoutes":{"shape":"S2z"},"ActualInternetGatewayRoutes":{"shape":"S2v"},"VpcId":{}}},"NetworkFirewallBlackHoleRouteDetectedViolation":{"type":"structure","members":{"ViolationTarget":{},"RouteTableId":{},"VpcId":{},"ViolatingRoutes":{"shape":"S2v"}}},"NetworkFirewallUnexpectedFirewallRoutesViolation":{"type":"structure","members":{"FirewallSubnetId":{},"ViolatingRoutes":{"shape":"S2v"},"RouteTableId":{},"FirewallEndpoint":{},"VpcId":{}}},"NetworkFirewallUnexpectedGatewayRoutesViolation":{"type":"structure","members":{"GatewayId":{},"ViolatingRoutes":{"shape":"S2v"},"RouteTableId":{},"VpcId":{}}},"NetworkFirewallMissingExpectedRoutesViolation":{"type":"structure","members":{"ViolationTarget":{},"ExpectedRoutes":{"shape":"S2z"},"VpcId":{}}},"DnsRuleGroupPriorityConflictViolation":{"type":"structure","members":{"ViolationTarget":{},"ViolationTargetDescription":{},"ConflictingPriority":{"type":"integer"},"ConflictingPolicyId":{},"UnavailablePriorities":{"type":"list","member":{"type":"integer"}}}},"DnsDuplicateRuleGroupViolation":{"type":"structure","members":{"ViolationTarget":{},"ViolationTargetDescription":{}}},"DnsRuleGroupLimitExceededViolation":{"type":"structure","members":{"ViolationTarget":{},"ViolationTargetDescription":{},"NumberOfRuleGroupsAlreadyAssociated":{"type":"integer"}}},"PossibleRemediationActions":{"type":"structure","members":{"Description":{},"Actions":{"type":"list","member":{"type":"structure","required":["OrderedRemediationActions"],"members":{"Description":{},"OrderedRemediationActions":{"type":"list","member":{"type":"structure","members":{"RemediationAction":{"type":"structure","members":{"Description":{},"EC2CreateRouteAction":{"type":"structure","required":["RouteTableId"],"members":{"Description":{},"DestinationCidrBlock":{},"DestinationPrefixListId":{},"DestinationIpv6CidrBlock":{},"VpcEndpointId":{"shape":"S3k"},"GatewayId":{"shape":"S3k"},"RouteTableId":{"shape":"S3k"}}},"EC2ReplaceRouteAction":{"type":"structure","required":["RouteTableId"],"members":{"Description":{},"DestinationCidrBlock":{},"DestinationPrefixListId":{},"DestinationIpv6CidrBlock":{},"GatewayId":{"shape":"S3k"},"RouteTableId":{"shape":"S3k"}}},"EC2DeleteRouteAction":{"type":"structure","required":["RouteTableId"],"members":{"Description":{},"DestinationCidrBlock":{},"DestinationPrefixListId":{},"DestinationIpv6CidrBlock":{},"RouteTableId":{"shape":"S3k"}}},"EC2CopyRouteTableAction":{"type":"structure","required":["VpcId","RouteTableId"],"members":{"Description":{},"VpcId":{"shape":"S3k"},"RouteTableId":{"shape":"S3k"}}},"EC2ReplaceRouteTableAssociationAction":{"type":"structure","required":["AssociationId","RouteTableId"],"members":{"Description":{},"AssociationId":{"shape":"S3k"},"RouteTableId":{"shape":"S3k"}}},"EC2AssociateRouteTableAction":{"type":"structure","required":["RouteTableId"],"members":{"Description":{},"RouteTableId":{"shape":"S3k"},"SubnetId":{"shape":"S3k"},"GatewayId":{"shape":"S3k"}}},"EC2CreateRouteTableAction":{"type":"structure","required":["VpcId"],"members":{"Description":{},"VpcId":{"shape":"S3k"}}}}},"Order":{"type":"integer"}}}},"IsDefaultAction":{"type":"boolean"}}}}}}}}},"ResourceTags":{"shape":"S3r"},"ResourceDescription":{}}}}}},"ListAppsLists":{"input":{"type":"structure","required":["MaxResults"],"members":{"DefaultLists":{"type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"AppsLists":{"type":"list","member":{"type":"structure","members":{"ListArn":{},"ListId":{},"ListName":{},"AppsList":{"shape":"Sk"}}}},"NextToken":{}}}},"ListComplianceStatus":{"input":{"type":"structure","required":["PolicyId"],"members":{"PolicyId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"PolicyComplianceStatusList":{"type":"list","member":{"type":"structure","members":{"PolicyOwner":{},"PolicyId":{},"PolicyName":{},"MemberAccount":{},"EvaluationResults":{"type":"list","member":{"type":"structure","members":{"ComplianceStatus":{},"ViolatorCount":{"type":"long"},"EvaluationLimitExceeded":{"type":"boolean"}}}},"LastUpdated":{"type":"timestamp"},"IssueInfoMap":{"shape":"Sz"}}}},"NextToken":{}}}},"ListMemberAccounts":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"MemberAccounts":{"type":"list","member":{}},"NextToken":{}}}},"ListPolicies":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"PolicyList":{"type":"list","member":{"type":"structure","members":{"PolicyArn":{},"PolicyId":{},"PolicyName":{},"ResourceType":{},"SecurityServiceType":{},"RemediationEnabled":{"type":"boolean"},"DeleteUnusedFMManagedResources":{"type":"boolean"}}}},"NextToken":{}}}},"ListProtocolsLists":{"input":{"type":"structure","required":["MaxResults"],"members":{"DefaultLists":{"type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ProtocolsLists":{"type":"list","member":{"type":"structure","members":{"ListArn":{},"ListId":{},"ListName":{},"ProtocolsList":{"shape":"S1s"}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"TagList":{"shape":"S3r"}}}},"PutAppsList":{"input":{"type":"structure","required":["AppsList"],"members":{"AppsList":{"shape":"Sg"},"TagList":{"shape":"S3r"}}},"output":{"type":"structure","members":{"AppsList":{"shape":"Sg"},"AppsListArn":{}}}},"PutNotificationChannel":{"input":{"type":"structure","required":["SnsTopicArn","SnsRoleName"],"members":{"SnsTopicArn":{},"SnsRoleName":{}}}},"PutPolicy":{"input":{"type":"structure","required":["Policy"],"members":{"Policy":{"shape":"S16"},"TagList":{"shape":"S3r"}}},"output":{"type":"structure","members":{"Policy":{"shape":"S16"},"PolicyArn":{}}}},"PutProtocolsList":{"input":{"type":"structure","required":["ProtocolsList"],"members":{"ProtocolsList":{"shape":"S1r"},"TagList":{"shape":"S3r"}}},"output":{"type":"structure","members":{"ProtocolsList":{"shape":"S1r"},"ProtocolsListArn":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","TagList"],"members":{"ResourceArn":{},"TagList":{"shape":"S3r"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sg":{"type":"structure","required":["ListName","AppsList"],"members":{"ListId":{},"ListName":{},"ListUpdateToken":{},"CreateTime":{"type":"timestamp"},"LastUpdateTime":{"type":"timestamp"},"AppsList":{"shape":"Sk"},"PreviousAppsList":{"type":"map","key":{},"value":{"shape":"Sk"}}}},"Sk":{"type":"list","member":{"type":"structure","required":["AppName","Protocol","Port"],"members":{"AppName":{},"Protocol":{},"Port":{"type":"long"}}}},"Sz":{"type":"map","key":{},"value":{}},"S16":{"type":"structure","required":["PolicyName","SecurityServicePolicyData","ResourceType","ExcludeResourceTags","RemediationEnabled"],"members":{"PolicyId":{},"PolicyName":{},"PolicyUpdateToken":{},"SecurityServicePolicyData":{"type":"structure","required":["Type"],"members":{"Type":{},"ManagedServiceData":{}}},"ResourceType":{},"ResourceTypeList":{"type":"list","member":{}},"ResourceTags":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"ExcludeResourceTags":{"type":"boolean"},"RemediationEnabled":{"type":"boolean"},"DeleteUnusedFMManagedResources":{"type":"boolean"},"IncludeMap":{"shape":"S1g"},"ExcludeMap":{"shape":"S1g"}}},"S1g":{"type":"map","key":{},"value":{"type":"list","member":{}}},"S1r":{"type":"structure","required":["ListName","ProtocolsList"],"members":{"ListId":{},"ListName":{},"ListUpdateToken":{},"CreateTime":{"type":"timestamp"},"LastUpdateTime":{"type":"timestamp"},"ProtocolsList":{"shape":"S1s"},"PreviousProtocolsList":{"type":"map","key":{},"value":{"shape":"S1s"}}}},"S1s":{"type":"list","member":{}},"S2d":{"type":"structure","members":{"ViolationTarget":{},"ViolatingSecurityGroups":{"shape":"S2e"}}},"S2e":{"type":"list","member":{}},"S2l":{"type":"structure","members":{"StatelessRuleGroups":{"type":"list","member":{"type":"structure","members":{"RuleGroupName":{},"ResourceId":{},"Priority":{"type":"integer"}}}},"StatelessDefaultActions":{"shape":"S2q"},"StatelessFragmentDefaultActions":{"shape":"S2q"},"StatelessCustomActions":{"shape":"S2q"},"StatefulRuleGroups":{"type":"list","member":{"type":"structure","members":{"RuleGroupName":{},"ResourceId":{}}}}}},"S2q":{"type":"list","member":{}},"S2v":{"type":"list","member":{"shape":"S2w"}},"S2w":{"type":"structure","members":{"DestinationType":{},"TargetType":{},"Destination":{},"Target":{}}},"S2z":{"type":"list","member":{"type":"structure","members":{"IpV4Cidr":{},"PrefixListId":{},"IpV6Cidr":{},"ContributingSubnets":{"shape":"S2e"},"AllowedTargets":{"type":"list","member":{}},"RouteTableId":{}}}},"S3k":{"type":"structure","members":{"ResourceId":{},"Description":{}}},"S3r":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}}}}');

/***/ }),

/***/ 49570:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAppsLists":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AppsLists"},"ListComplianceStatus":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PolicyComplianceStatusList"},"ListMemberAccounts":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"MemberAccounts"},"ListPolicies":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PolicyList"},"ListProtocolsLists":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ProtocolsLists"}}}');

/***/ }),

/***/ 6468:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-06-26","endpointPrefix":"forecast","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Forecast Service","serviceId":"forecast","signatureVersion":"v4","signingName":"forecast","targetPrefix":"AmazonForecast","uid":"forecast-2018-06-26"},"operations":{"CreateAutoPredictor":{"input":{"type":"structure","required":["PredictorName"],"members":{"PredictorName":{},"ForecastHorizon":{"type":"integer"},"ForecastTypes":{"shape":"S4"},"ForecastDimensions":{"shape":"S6"},"ForecastFrequency":{},"DataConfig":{"shape":"S8"},"EncryptionConfig":{"shape":"Si"},"ReferencePredictorArn":{},"OptimizationMetric":{},"ExplainPredictor":{"type":"boolean"},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"PredictorArn":{}}}},"CreateDataset":{"input":{"type":"structure","required":["DatasetName","Domain","DatasetType","Schema"],"members":{"DatasetName":{},"Domain":{},"DatasetType":{},"DataFrequency":{},"Schema":{"shape":"Su"},"EncryptionConfig":{"shape":"Si"},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"DatasetArn":{}}}},"CreateDatasetGroup":{"input":{"type":"structure","required":["DatasetGroupName","Domain"],"members":{"DatasetGroupName":{},"Domain":{},"DatasetArns":{"shape":"S10"},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"DatasetGroupArn":{}}}},"CreateDatasetImportJob":{"input":{"type":"structure","required":["DatasetImportJobName","DatasetArn","DataSource"],"members":{"DatasetImportJobName":{},"DatasetArn":{},"DataSource":{"shape":"S13"},"TimestampFormat":{},"TimeZone":{},"UseGeolocationForTimeZone":{"type":"boolean"},"GeolocationFormat":{},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"DatasetImportJobArn":{}}}},"CreateExplainability":{"input":{"type":"structure","required":["ExplainabilityName","ResourceArn","ExplainabilityConfig"],"members":{"ExplainabilityName":{},"ResourceArn":{},"ExplainabilityConfig":{"shape":"S1c"},"DataSource":{"shape":"S13"},"Schema":{"shape":"Su"},"EnableVisualization":{"type":"boolean"},"StartDateTime":{},"EndDateTime":{},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"ExplainabilityArn":{}}}},"CreateExplainabilityExport":{"input":{"type":"structure","required":["ExplainabilityExportName","ExplainabilityArn","Destination"],"members":{"ExplainabilityExportName":{},"ExplainabilityArn":{},"Destination":{"shape":"S1i"},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"ExplainabilityExportArn":{}}}},"CreateForecast":{"input":{"type":"structure","required":["ForecastName","PredictorArn"],"members":{"ForecastName":{},"PredictorArn":{},"ForecastTypes":{"shape":"S4"},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"ForecastArn":{}}}},"CreateForecastExportJob":{"input":{"type":"structure","required":["ForecastExportJobName","ForecastArn","Destination"],"members":{"ForecastExportJobName":{},"ForecastArn":{},"Destination":{"shape":"S1i"},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"ForecastExportJobArn":{}}}},"CreatePredictor":{"input":{"type":"structure","required":["PredictorName","ForecastHorizon","InputDataConfig","FeaturizationConfig"],"members":{"PredictorName":{},"AlgorithmArn":{},"ForecastHorizon":{"type":"integer"},"ForecastTypes":{"shape":"S4"},"PerformAutoML":{"type":"boolean"},"AutoMLOverrideStrategy":{},"PerformHPO":{"type":"boolean"},"TrainingParameters":{"shape":"S1q"},"EvaluationParameters":{"shape":"S1t"},"HPOConfig":{"shape":"S1u"},"InputDataConfig":{"shape":"S24"},"FeaturizationConfig":{"shape":"S27"},"EncryptionConfig":{"shape":"Si"},"Tags":{"shape":"Sm"},"OptimizationMetric":{}}},"output":{"type":"structure","members":{"PredictorArn":{}}}},"CreatePredictorBacktestExportJob":{"input":{"type":"structure","required":["PredictorBacktestExportJobName","PredictorArn","Destination"],"members":{"PredictorBacktestExportJobName":{},"PredictorArn":{},"Destination":{"shape":"S1i"},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"PredictorBacktestExportJobArn":{}}}},"DeleteDataset":{"input":{"type":"structure","required":["DatasetArn"],"members":{"DatasetArn":{}}},"idempotent":true},"DeleteDatasetGroup":{"input":{"type":"structure","required":["DatasetGroupArn"],"members":{"DatasetGroupArn":{}}},"idempotent":true},"DeleteDatasetImportJob":{"input":{"type":"structure","required":["DatasetImportJobArn"],"members":{"DatasetImportJobArn":{}}},"idempotent":true},"DeleteExplainability":{"input":{"type":"structure","required":["ExplainabilityArn"],"members":{"ExplainabilityArn":{}}},"idempotent":true},"DeleteExplainabilityExport":{"input":{"type":"structure","required":["ExplainabilityExportArn"],"members":{"ExplainabilityExportArn":{}}},"idempotent":true},"DeleteForecast":{"input":{"type":"structure","required":["ForecastArn"],"members":{"ForecastArn":{}}},"idempotent":true},"DeleteForecastExportJob":{"input":{"type":"structure","required":["ForecastExportJobArn"],"members":{"ForecastExportJobArn":{}}},"idempotent":true},"DeletePredictor":{"input":{"type":"structure","required":["PredictorArn"],"members":{"PredictorArn":{}}},"idempotent":true},"DeletePredictorBacktestExportJob":{"input":{"type":"structure","required":["PredictorBacktestExportJobArn"],"members":{"PredictorBacktestExportJobArn":{}}},"idempotent":true},"DeleteResourceTree":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"idempotent":true},"DescribeAutoPredictor":{"input":{"type":"structure","required":["PredictorArn"],"members":{"PredictorArn":{}}},"output":{"type":"structure","members":{"PredictorArn":{},"PredictorName":{},"ForecastHorizon":{"type":"integer"},"ForecastTypes":{"shape":"S4"},"ForecastFrequency":{},"DatasetImportJobArns":{"shape":"S10"},"DataConfig":{"shape":"S8"},"EncryptionConfig":{"shape":"Si"},"ReferencePredictorSummary":{"shape":"S2t"},"EstimatedTimeRemainingInMinutes":{"type":"long"},"Status":{},"Message":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"},"OptimizationMetric":{},"ExplainabilityInfo":{"type":"structure","members":{"ExplainabilityArn":{},"Status":{}}}}},"idempotent":true},"DescribeDataset":{"input":{"type":"structure","required":["DatasetArn"],"members":{"DatasetArn":{}}},"output":{"type":"structure","members":{"DatasetArn":{},"DatasetName":{},"Domain":{},"DatasetType":{},"DataFrequency":{},"Schema":{"shape":"Su"},"EncryptionConfig":{"shape":"Si"},"Status":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}},"idempotent":true},"DescribeDatasetGroup":{"input":{"type":"structure","required":["DatasetGroupArn"],"members":{"DatasetGroupArn":{}}},"output":{"type":"structure","members":{"DatasetGroupName":{},"DatasetGroupArn":{},"DatasetArns":{"shape":"S10"},"Domain":{},"Status":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}},"idempotent":true},"DescribeDatasetImportJob":{"input":{"type":"structure","required":["DatasetImportJobArn"],"members":{"DatasetImportJobArn":{}}},"output":{"type":"structure","members":{"DatasetImportJobName":{},"DatasetImportJobArn":{},"DatasetArn":{},"TimestampFormat":{},"TimeZone":{},"UseGeolocationForTimeZone":{"type":"boolean"},"GeolocationFormat":{},"DataSource":{"shape":"S13"},"EstimatedTimeRemainingInMinutes":{"type":"long"},"FieldStatistics":{"type":"map","key":{},"value":{"type":"structure","members":{"Count":{"type":"integer"},"CountDistinct":{"type":"integer"},"CountNull":{"type":"integer"},"CountNan":{"type":"integer"},"Min":{},"Max":{},"Avg":{"type":"double"},"Stddev":{"type":"double"},"CountLong":{"type":"long"},"CountDistinctLong":{"type":"long"},"CountNullLong":{"type":"long"},"CountNanLong":{"type":"long"}}}},"DataSize":{"type":"double"},"Status":{},"Message":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}},"idempotent":true},"DescribeExplainability":{"input":{"type":"structure","required":["ExplainabilityArn"],"members":{"ExplainabilityArn":{}}},"output":{"type":"structure","members":{"ExplainabilityArn":{},"ExplainabilityName":{},"ResourceArn":{},"ExplainabilityConfig":{"shape":"S1c"},"EnableVisualization":{"type":"boolean"},"DataSource":{"shape":"S13"},"Schema":{"shape":"Su"},"StartDateTime":{},"EndDateTime":{},"EstimatedTimeRemainingInMinutes":{"type":"long"},"Message":{},"Status":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}},"idempotent":true},"DescribeExplainabilityExport":{"input":{"type":"structure","required":["ExplainabilityExportArn"],"members":{"ExplainabilityExportArn":{}}},"output":{"type":"structure","members":{"ExplainabilityExportArn":{},"ExplainabilityExportName":{},"ExplainabilityArn":{},"Destination":{"shape":"S1i"},"Message":{},"Status":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}},"idempotent":true},"DescribeForecast":{"input":{"type":"structure","required":["ForecastArn"],"members":{"ForecastArn":{}}},"output":{"type":"structure","members":{"ForecastArn":{},"ForecastName":{},"ForecastTypes":{"shape":"S4"},"PredictorArn":{},"DatasetGroupArn":{},"EstimatedTimeRemainingInMinutes":{"type":"long"},"Status":{},"Message":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}},"idempotent":true},"DescribeForecastExportJob":{"input":{"type":"structure","required":["ForecastExportJobArn"],"members":{"ForecastExportJobArn":{}}},"output":{"type":"structure","members":{"ForecastExportJobArn":{},"ForecastExportJobName":{},"ForecastArn":{},"Destination":{"shape":"S1i"},"Message":{},"Status":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}},"idempotent":true},"DescribePredictor":{"input":{"type":"structure","required":["PredictorArn"],"members":{"PredictorArn":{}}},"output":{"type":"structure","members":{"PredictorArn":{},"PredictorName":{},"AlgorithmArn":{},"AutoMLAlgorithmArns":{"shape":"S10"},"ForecastHorizon":{"type":"integer"},"ForecastTypes":{"shape":"S4"},"PerformAutoML":{"type":"boolean"},"AutoMLOverrideStrategy":{},"PerformHPO":{"type":"boolean"},"TrainingParameters":{"shape":"S1q"},"EvaluationParameters":{"shape":"S1t"},"HPOConfig":{"shape":"S1u"},"InputDataConfig":{"shape":"S24"},"FeaturizationConfig":{"shape":"S27"},"EncryptionConfig":{"shape":"Si"},"PredictorExecutionDetails":{"type":"structure","members":{"PredictorExecutions":{"type":"list","member":{"type":"structure","members":{"AlgorithmArn":{},"TestWindows":{"type":"list","member":{"type":"structure","members":{"TestWindowStart":{"type":"timestamp"},"TestWindowEnd":{"type":"timestamp"},"Status":{},"Message":{}}}}}}}}},"EstimatedTimeRemainingInMinutes":{"type":"long"},"IsAutoPredictor":{"type":"boolean"},"DatasetImportJobArns":{"shape":"S10"},"Status":{},"Message":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"},"OptimizationMetric":{}}},"idempotent":true},"DescribePredictorBacktestExportJob":{"input":{"type":"structure","required":["PredictorBacktestExportJobArn"],"members":{"PredictorBacktestExportJobArn":{}}},"output":{"type":"structure","members":{"PredictorBacktestExportJobArn":{},"PredictorBacktestExportJobName":{},"PredictorArn":{},"Destination":{"shape":"S1i"},"Message":{},"Status":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}},"idempotent":true},"GetAccuracyMetrics":{"input":{"type":"structure","required":["PredictorArn"],"members":{"PredictorArn":{}}},"output":{"type":"structure","members":{"PredictorEvaluationResults":{"type":"list","member":{"type":"structure","members":{"AlgorithmArn":{},"TestWindows":{"type":"list","member":{"type":"structure","members":{"TestWindowStart":{"type":"timestamp"},"TestWindowEnd":{"type":"timestamp"},"ItemCount":{"type":"integer"},"EvaluationType":{},"Metrics":{"type":"structure","members":{"RMSE":{"deprecated":true,"deprecatedMessage":"This property is deprecated, please refer to ErrorMetrics for both RMSE and WAPE","type":"double"},"WeightedQuantileLosses":{"type":"list","member":{"type":"structure","members":{"Quantile":{"type":"double"},"LossValue":{"type":"double"}}}},"ErrorMetrics":{"type":"list","member":{"type":"structure","members":{"ForecastType":{},"WAPE":{"type":"double"},"RMSE":{"type":"double"},"MASE":{"type":"double"},"MAPE":{"type":"double"}}}},"AverageWeightedQuantileLoss":{"type":"double"}}}}}}}}},"IsAutoPredictor":{"type":"boolean"},"AutoMLOverrideStrategy":{},"OptimizationMetric":{}}},"idempotent":true},"ListDatasetGroups":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DatasetGroups":{"type":"list","member":{"type":"structure","members":{"DatasetGroupArn":{},"DatasetGroupName":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListDatasetImportJobs":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S4a"}}},"output":{"type":"structure","members":{"DatasetImportJobs":{"type":"list","member":{"type":"structure","members":{"DatasetImportJobArn":{},"DatasetImportJobName":{},"DataSource":{"shape":"S13"},"Status":{},"Message":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListDatasets":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Datasets":{"type":"list","member":{"type":"structure","members":{"DatasetArn":{},"DatasetName":{},"DatasetType":{},"Domain":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListExplainabilities":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S4a"}}},"output":{"type":"structure","members":{"Explainabilities":{"type":"list","member":{"type":"structure","members":{"ExplainabilityArn":{},"ExplainabilityName":{},"ResourceArn":{},"ExplainabilityConfig":{"shape":"S1c"},"Status":{},"Message":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListExplainabilityExports":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S4a"}}},"output":{"type":"structure","members":{"ExplainabilityExports":{"type":"list","member":{"type":"structure","members":{"ExplainabilityExportArn":{},"ExplainabilityExportName":{},"Destination":{"shape":"S1i"},"Status":{},"Message":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListForecastExportJobs":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S4a"}}},"output":{"type":"structure","members":{"ForecastExportJobs":{"type":"list","member":{"type":"structure","members":{"ForecastExportJobArn":{},"ForecastExportJobName":{},"Destination":{"shape":"S1i"},"Status":{},"Message":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListForecasts":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S4a"}}},"output":{"type":"structure","members":{"Forecasts":{"type":"list","member":{"type":"structure","members":{"ForecastArn":{},"ForecastName":{},"PredictorArn":{},"CreatedUsingAutoPredictor":{"type":"boolean"},"DatasetGroupArn":{},"Status":{},"Message":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListPredictorBacktestExportJobs":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S4a"}}},"output":{"type":"structure","members":{"PredictorBacktestExportJobs":{"type":"list","member":{"type":"structure","members":{"PredictorBacktestExportJobArn":{},"PredictorBacktestExportJobName":{},"Destination":{"shape":"S1i"},"Status":{},"Message":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListPredictors":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S4a"}}},"output":{"type":"structure","members":{"Predictors":{"type":"list","member":{"type":"structure","members":{"PredictorArn":{},"PredictorName":{},"DatasetGroupArn":{},"IsAutoPredictor":{"type":"boolean"},"ReferencePredictorSummary":{"shape":"S2t"},"Status":{},"Message":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sm"}}}},"StopResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"idempotent":true},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{"shape":"So"}}}},"output":{"type":"structure","members":{}}},"UpdateDatasetGroup":{"input":{"type":"structure","required":["DatasetGroupArn","DatasetArns"],"members":{"DatasetGroupArn":{},"DatasetArns":{"shape":"S10"}}},"output":{"type":"structure","members":{}},"idempotent":true}},"shapes":{"S4":{"type":"list","member":{}},"S6":{"type":"list","member":{}},"S8":{"type":"structure","required":["DatasetGroupArn"],"members":{"DatasetGroupArn":{},"AttributeConfigs":{"type":"list","member":{"type":"structure","required":["AttributeName","Transformations"],"members":{"AttributeName":{},"Transformations":{"type":"map","key":{},"value":{}}}}},"AdditionalDatasets":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{},"Configuration":{"type":"map","key":{},"value":{"shape":"Sh"}}}}}}},"Sh":{"type":"list","member":{}},"Si":{"type":"structure","required":["RoleArn","KMSKeyArn"],"members":{"RoleArn":{},"KMSKeyArn":{}}},"Sm":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{"shape":"So"},"Value":{"type":"string","sensitive":true}}}},"So":{"type":"string","sensitive":true},"Su":{"type":"structure","members":{"Attributes":{"type":"list","member":{"type":"structure","members":{"AttributeName":{},"AttributeType":{}}}}}},"S10":{"type":"list","member":{}},"S13":{"type":"structure","required":["S3Config"],"members":{"S3Config":{"shape":"S14"}}},"S14":{"type":"structure","required":["Path","RoleArn"],"members":{"Path":{},"RoleArn":{},"KMSKeyArn":{}}},"S1c":{"type":"structure","required":["TimeSeriesGranularity","TimePointGranularity"],"members":{"TimeSeriesGranularity":{},"TimePointGranularity":{}}},"S1i":{"type":"structure","required":["S3Config"],"members":{"S3Config":{"shape":"S14"}}},"S1q":{"type":"map","key":{},"value":{}},"S1t":{"type":"structure","members":{"NumberOfBacktestWindows":{"type":"integer"},"BackTestWindowOffset":{"type":"integer"}}},"S1u":{"type":"structure","members":{"ParameterRanges":{"type":"structure","members":{"CategoricalParameterRanges":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"shape":"Sh"}}}},"ContinuousParameterRanges":{"type":"list","member":{"type":"structure","required":["Name","MaxValue","MinValue"],"members":{"Name":{},"MaxValue":{"type":"double"},"MinValue":{"type":"double"},"ScalingType":{}}}},"IntegerParameterRanges":{"type":"list","member":{"type":"structure","required":["Name","MaxValue","MinValue"],"members":{"Name":{},"MaxValue":{"type":"integer"},"MinValue":{"type":"integer"},"ScalingType":{}}}}}}}},"S24":{"type":"structure","required":["DatasetGroupArn"],"members":{"DatasetGroupArn":{},"SupplementaryFeatures":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}}}},"S27":{"type":"structure","required":["ForecastFrequency"],"members":{"ForecastFrequency":{},"ForecastDimensions":{"shape":"S6"},"Featurizations":{"type":"list","member":{"type":"structure","required":["AttributeName"],"members":{"AttributeName":{},"FeaturizationPipeline":{"type":"list","member":{"type":"structure","required":["FeaturizationMethodName"],"members":{"FeaturizationMethodName":{},"FeaturizationMethodParameters":{"type":"map","key":{},"value":{}}}}}}}}}},"S2t":{"type":"structure","members":{"Arn":{},"State":{}}},"S4a":{"type":"list","member":{"type":"structure","required":["Key","Value","Condition"],"members":{"Key":{},"Value":{},"Condition":{}}}}}}');

/***/ }),

/***/ 45338:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDatasetGroups":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DatasetGroups"},"ListDatasetImportJobs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DatasetImportJobs"},"ListDatasets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Datasets"},"ListForecastExportJobs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ForecastExportJobs"},"ListForecasts":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Forecasts"},"ListPredictorBacktestExportJobs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PredictorBacktestExportJobs"},"ListPredictors":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Predictors"}}}');

/***/ }),

/***/ 23865:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-06-26","endpointPrefix":"forecastquery","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Forecast Query Service","serviceId":"forecastquery","signatureVersion":"v4","signingName":"forecast","targetPrefix":"AmazonForecastRuntime","uid":"forecastquery-2018-06-26"},"operations":{"QueryForecast":{"input":{"type":"structure","required":["ForecastArn","Filters"],"members":{"ForecastArn":{},"StartDate":{},"EndDate":{},"Filters":{"type":"map","key":{},"value":{}},"NextToken":{}}},"output":{"type":"structure","members":{"Forecast":{"type":"structure","members":{"Predictions":{"type":"map","key":{},"value":{"type":"list","member":{"type":"structure","members":{"Timestamp":{},"Value":{"type":"double"}}}}}}}}}}},"shapes":{}}');

/***/ }),

/***/ 98135:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 96105:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-11-15","endpointPrefix":"frauddetector","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Fraud Detector","serviceId":"FraudDetector","signatureVersion":"v4","targetPrefix":"AWSHawksNestServiceFacade","uid":"frauddetector-2019-11-15"},"operations":{"BatchCreateVariable":{"input":{"type":"structure","required":["variableEntries"],"members":{"variableEntries":{"type":"list","member":{"type":"structure","members":{"name":{},"dataType":{},"dataSource":{},"defaultValue":{},"description":{},"variableType":{}}}},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{"errors":{"type":"list","member":{"type":"structure","members":{"name":{},"code":{"type":"integer"},"message":{}}}}}}},"BatchGetVariable":{"input":{"type":"structure","required":["names"],"members":{"names":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"variables":{"shape":"Sg"},"errors":{"type":"list","member":{"type":"structure","members":{"name":{},"code":{"type":"integer"},"message":{}}}}}}},"CancelBatchImportJob":{"input":{"type":"structure","required":["jobId"],"members":{"jobId":{}}},"output":{"type":"structure","members":{}}},"CancelBatchPredictionJob":{"input":{"type":"structure","required":["jobId"],"members":{"jobId":{}}},"output":{"type":"structure","members":{}}},"CreateBatchImportJob":{"input":{"type":"structure","required":["jobId","inputPath","outputPath","eventTypeName","iamRoleArn"],"members":{"jobId":{},"inputPath":{},"outputPath":{},"eventTypeName":{},"iamRoleArn":{},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"CreateBatchPredictionJob":{"input":{"type":"structure","required":["jobId","inputPath","outputPath","eventTypeName","detectorName","iamRoleArn"],"members":{"jobId":{},"inputPath":{},"outputPath":{},"eventTypeName":{},"detectorName":{},"detectorVersion":{},"iamRoleArn":{},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"CreateDetectorVersion":{"input":{"type":"structure","required":["detectorId","rules"],"members":{"detectorId":{},"description":{},"externalModelEndpoints":{"shape":"S12"},"rules":{"shape":"S13"},"modelVersions":{"shape":"S15"},"ruleExecutionMode":{},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{"detectorId":{},"detectorVersionId":{},"status":{}}}},"CreateModel":{"input":{"type":"structure","required":["modelId","modelType","eventTypeName"],"members":{"modelId":{},"modelType":{},"description":{},"eventTypeName":{},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"CreateModelVersion":{"input":{"type":"structure","required":["modelId","modelType","trainingDataSource","trainingDataSchema"],"members":{"modelId":{},"modelType":{},"trainingDataSource":{},"trainingDataSchema":{"shape":"S1h"},"externalEventsDetail":{"shape":"S1m"},"ingestedEventsDetail":{"shape":"S1n"},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{"modelId":{},"modelType":{},"modelVersionNumber":{},"status":{}}}},"CreateRule":{"input":{"type":"structure","required":["ruleId","detectorId","expression","language","outcomes"],"members":{"ruleId":{},"detectorId":{},"description":{},"expression":{"shape":"S1r"},"language":{},"outcomes":{"shape":"S1k"},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{"rule":{"shape":"S14"}}}},"CreateVariable":{"input":{"type":"structure","required":["name","dataType","dataSource","defaultValue"],"members":{"name":{},"dataType":{},"dataSource":{},"defaultValue":{},"description":{},"variableType":{},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"DeleteBatchImportJob":{"input":{"type":"structure","required":["jobId"],"members":{"jobId":{}}},"output":{"type":"structure","members":{}}},"DeleteBatchPredictionJob":{"input":{"type":"structure","required":["jobId"],"members":{"jobId":{}}},"output":{"type":"structure","members":{}}},"DeleteDetector":{"input":{"type":"structure","required":["detectorId"],"members":{"detectorId":{}}},"output":{"type":"structure","members":{}}},"DeleteDetectorVersion":{"input":{"type":"structure","required":["detectorId","detectorVersionId"],"members":{"detectorId":{},"detectorVersionId":{}}},"output":{"type":"structure","members":{}}},"DeleteEntityType":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{}}},"DeleteEvent":{"input":{"type":"structure","required":["eventId","eventTypeName"],"members":{"eventId":{},"eventTypeName":{},"deleteAuditHistory":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeleteEventType":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{}}},"DeleteEventsByEventType":{"input":{"type":"structure","required":["eventTypeName"],"members":{"eventTypeName":{}}},"output":{"type":"structure","members":{"eventTypeName":{},"eventsDeletionStatus":{}}}},"DeleteExternalModel":{"input":{"type":"structure","required":["modelEndpoint"],"members":{"modelEndpoint":{}}},"output":{"type":"structure","members":{}}},"DeleteLabel":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{}}},"DeleteModel":{"input":{"type":"structure","required":["modelId","modelType"],"members":{"modelId":{},"modelType":{}}},"output":{"type":"structure","members":{}}},"DeleteModelVersion":{"input":{"type":"structure","required":["modelId","modelType","modelVersionNumber"],"members":{"modelId":{},"modelType":{},"modelVersionNumber":{}}},"output":{"type":"structure","members":{}}},"DeleteOutcome":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{}}},"DeleteRule":{"input":{"type":"structure","required":["rule"],"members":{"rule":{"shape":"S14"}}},"output":{"type":"structure","members":{}}},"DeleteVariable":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{}}},"DescribeDetector":{"input":{"type":"structure","required":["detectorId"],"members":{"detectorId":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"detectorId":{},"detectorVersionSummaries":{"type":"list","member":{"type":"structure","members":{"detectorVersionId":{},"status":{},"description":{},"lastUpdatedTime":{}}}},"nextToken":{},"arn":{}}}},"DescribeModelVersions":{"input":{"type":"structure","members":{"modelId":{},"modelVersionNumber":{},"modelType":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"modelVersionDetails":{"type":"list","member":{"type":"structure","members":{"modelId":{},"modelType":{},"modelVersionNumber":{},"status":{},"trainingDataSource":{},"trainingDataSchema":{"shape":"S1h"},"externalEventsDetail":{"shape":"S1m"},"ingestedEventsDetail":{"shape":"S1n"},"trainingResult":{"type":"structure","members":{"dataValidationMetrics":{"type":"structure","members":{"fileLevelMessages":{"type":"list","member":{"type":"structure","members":{"title":{},"content":{},"type":{}}}},"fieldLevelMessages":{"type":"list","member":{"type":"structure","members":{"fieldName":{},"identifier":{},"title":{},"content":{},"type":{}}}}}},"trainingMetrics":{"type":"structure","members":{"auc":{"type":"float"},"metricDataPoints":{"type":"list","member":{"type":"structure","members":{"fpr":{"type":"float"},"precision":{"type":"float"},"tpr":{"type":"float"},"threshold":{"type":"float"}}}}}},"variableImportanceMetrics":{"type":"structure","members":{"logOddsMetrics":{"type":"list","member":{"type":"structure","required":["variableName","variableType","variableImportance"],"members":{"variableName":{},"variableType":{},"variableImportance":{"type":"float"}}}}}}}},"lastUpdatedTime":{},"createdTime":{},"arn":{}}}},"nextToken":{}}}},"GetBatchImportJobs":{"input":{"type":"structure","members":{"jobId":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"batchImports":{"type":"list","member":{"type":"structure","members":{"jobId":{},"status":{},"failureReason":{},"startTime":{},"completionTime":{},"inputPath":{},"outputPath":{},"eventTypeName":{},"iamRoleArn":{},"arn":{},"processedRecordsCount":{"type":"integer"},"failedRecordsCount":{"type":"integer"},"totalRecordsCount":{"type":"integer"}}}},"nextToken":{}}}},"GetBatchPredictionJobs":{"input":{"type":"structure","members":{"jobId":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"batchPredictions":{"type":"list","member":{"type":"structure","members":{"jobId":{},"status":{},"failureReason":{},"startTime":{},"completionTime":{},"lastHeartbeatTime":{},"inputPath":{},"outputPath":{},"eventTypeName":{},"detectorName":{},"detectorVersion":{},"iamRoleArn":{},"arn":{},"processedRecordsCount":{"type":"integer"},"totalRecordsCount":{"type":"integer"}}}},"nextToken":{}}}},"GetDeleteEventsByEventTypeStatus":{"input":{"type":"structure","required":["eventTypeName"],"members":{"eventTypeName":{}}},"output":{"type":"structure","members":{"eventTypeName":{},"eventsDeletionStatus":{}}}},"GetDetectorVersion":{"input":{"type":"structure","required":["detectorId","detectorVersionId"],"members":{"detectorId":{},"detectorVersionId":{}}},"output":{"type":"structure","members":{"detectorId":{},"detectorVersionId":{},"description":{},"externalModelEndpoints":{"shape":"S12"},"modelVersions":{"shape":"S15"},"rules":{"shape":"S13"},"status":{},"lastUpdatedTime":{},"createdTime":{},"ruleExecutionMode":{},"arn":{}}}},"GetDetectors":{"input":{"type":"structure","members":{"detectorId":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"detectors":{"type":"list","member":{"type":"structure","members":{"detectorId":{},"description":{},"eventTypeName":{},"lastUpdatedTime":{},"createdTime":{},"arn":{}}}},"nextToken":{}}}},"GetEntityTypes":{"input":{"type":"structure","members":{"name":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"entityTypes":{"type":"list","member":{"type":"structure","members":{"name":{},"description":{},"lastUpdatedTime":{},"createdTime":{},"arn":{}}}},"nextToken":{}}}},"GetEvent":{"input":{"type":"structure","required":["eventId","eventTypeName"],"members":{"eventId":{},"eventTypeName":{}}},"output":{"type":"structure","members":{"event":{"type":"structure","members":{"eventId":{},"eventTypeName":{},"eventTimestamp":{},"eventVariables":{"type":"map","key":{},"value":{"type":"string","sensitive":true}},"currentLabel":{},"labelTimestamp":{},"entities":{"shape":"S4b"}}}}}},"GetEventPrediction":{"input":{"type":"structure","required":["detectorId","eventId","eventTypeName","entities","eventTimestamp","eventVariables"],"members":{"detectorId":{},"detectorVersionId":{},"eventId":{},"eventTypeName":{},"entities":{"shape":"S4b"},"eventTimestamp":{},"eventVariables":{"shape":"S4g"},"externalModelEndpointDataBlobs":{"type":"map","key":{},"value":{"type":"structure","members":{"byteBuffer":{"type":"blob"},"contentType":{}}},"sensitive":true}}},"output":{"type":"structure","members":{"modelScores":{"type":"list","member":{"type":"structure","members":{"modelVersion":{"shape":"S16"},"scores":{"type":"map","key":{},"value":{"type":"float"}}}}},"ruleResults":{"type":"list","member":{"type":"structure","members":{"ruleId":{},"outcomes":{"shape":"S12"}}}},"externalModelOutputs":{"type":"list","member":{"type":"structure","members":{"externalModel":{"type":"structure","members":{"modelEndpoint":{},"modelSource":{}}},"outputs":{"type":"map","key":{},"value":{}}}}}}}},"GetEventTypes":{"input":{"type":"structure","members":{"name":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"eventTypes":{"type":"list","member":{"type":"structure","members":{"name":{},"description":{},"eventVariables":{"shape":"S12"},"labels":{"shape":"S12"},"entityTypes":{"shape":"S1k"},"eventIngestion":{},"ingestedEventStatistics":{"type":"structure","members":{"numberOfEvents":{"type":"long"},"eventDataSizeInBytes":{"type":"long"},"leastRecentEvent":{},"mostRecentEvent":{},"lastUpdatedTime":{}}},"lastUpdatedTime":{},"createdTime":{},"arn":{}},"sensitive":true}},"nextToken":{}}}},"GetExternalModels":{"input":{"type":"structure","members":{"modelEndpoint":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"externalModels":{"type":"list","member":{"type":"structure","members":{"modelEndpoint":{},"modelSource":{},"invokeModelEndpointRoleArn":{},"inputConfiguration":{"shape":"S5b"},"outputConfiguration":{"shape":"S5f"},"modelEndpointStatus":{},"lastUpdatedTime":{},"createdTime":{},"arn":{}}}},"nextToken":{}}}},"GetKMSEncryptionKey":{"output":{"type":"structure","members":{"kmsKey":{"type":"structure","members":{"kmsEncryptionKeyArn":{}}}}}},"GetLabels":{"input":{"type":"structure","members":{"name":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"labels":{"type":"list","member":{"type":"structure","members":{"name":{},"description":{},"lastUpdatedTime":{},"createdTime":{},"arn":{}}}},"nextToken":{}}}},"GetModelVersion":{"input":{"type":"structure","required":["modelId","modelType","modelVersionNumber"],"members":{"modelId":{},"modelType":{},"modelVersionNumber":{}}},"output":{"type":"structure","members":{"modelId":{},"modelType":{},"modelVersionNumber":{},"trainingDataSource":{},"trainingDataSchema":{"shape":"S1h"},"externalEventsDetail":{"shape":"S1m"},"ingestedEventsDetail":{"shape":"S1n"},"status":{},"arn":{}}}},"GetModels":{"input":{"type":"structure","members":{"modelId":{},"modelType":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"nextToken":{},"models":{"type":"list","member":{"type":"structure","members":{"modelId":{},"modelType":{},"description":{},"eventTypeName":{},"createdTime":{},"lastUpdatedTime":{},"arn":{}}}}}}},"GetOutcomes":{"input":{"type":"structure","members":{"name":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"outcomes":{"type":"list","member":{"type":"structure","members":{"name":{},"description":{},"lastUpdatedTime":{},"createdTime":{},"arn":{}}}},"nextToken":{}}}},"GetRules":{"input":{"type":"structure","required":["detectorId"],"members":{"ruleId":{},"detectorId":{},"ruleVersion":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ruleDetails":{"type":"list","member":{"type":"structure","members":{"ruleId":{},"description":{},"detectorId":{},"ruleVersion":{},"expression":{"shape":"S1r"},"language":{},"outcomes":{"shape":"S1k"},"lastUpdatedTime":{},"createdTime":{},"arn":{}}}},"nextToken":{}}}},"GetVariables":{"input":{"type":"structure","members":{"name":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"variables":{"shape":"Sg"},"nextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["resourceARN"],"members":{"resourceARN":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"tags":{"shape":"S5"},"nextToken":{}}}},"PutDetector":{"input":{"type":"structure","required":["detectorId","eventTypeName"],"members":{"detectorId":{},"description":{},"eventTypeName":{},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"PutEntityType":{"input":{"type":"structure","required":["name"],"members":{"name":{},"description":{},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"PutEventType":{"input":{"type":"structure","required":["name","eventVariables","entityTypes"],"members":{"name":{},"description":{},"eventVariables":{"shape":"S1k"},"labels":{"shape":"S12"},"entityTypes":{"shape":"S1k"},"eventIngestion":{},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"PutExternalModel":{"input":{"type":"structure","required":["modelEndpoint","modelSource","invokeModelEndpointRoleArn","inputConfiguration","outputConfiguration","modelEndpointStatus"],"members":{"modelEndpoint":{},"modelSource":{},"invokeModelEndpointRoleArn":{},"inputConfiguration":{"shape":"S5b"},"outputConfiguration":{"shape":"S5f"},"modelEndpointStatus":{},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"PutKMSEncryptionKey":{"input":{"type":"structure","required":["kmsEncryptionKeyArn"],"members":{"kmsEncryptionKeyArn":{}}},"output":{"type":"structure","members":{}}},"PutLabel":{"input":{"type":"structure","required":["name"],"members":{"name":{},"description":{},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"PutOutcome":{"input":{"type":"structure","required":["name"],"members":{"name":{},"description":{},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"SendEvent":{"input":{"type":"structure","required":["eventId","eventTypeName","eventTimestamp","eventVariables","entities"],"members":{"eventId":{},"eventTypeName":{},"eventTimestamp":{},"eventVariables":{"shape":"S4g"},"assignedLabel":{},"labelTimestamp":{},"entities":{"shape":"S4b"}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["resourceARN","tags"],"members":{"resourceARN":{},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["resourceARN","tagKeys"],"members":{"resourceARN":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDetectorVersion":{"input":{"type":"structure","required":["detectorId","detectorVersionId","externalModelEndpoints","rules"],"members":{"detectorId":{},"detectorVersionId":{},"externalModelEndpoints":{"shape":"S12"},"rules":{"shape":"S13"},"description":{},"modelVersions":{"shape":"S15"},"ruleExecutionMode":{}}},"output":{"type":"structure","members":{}}},"UpdateDetectorVersionMetadata":{"input":{"type":"structure","required":["detectorId","detectorVersionId","description"],"members":{"detectorId":{},"detectorVersionId":{},"description":{}}},"output":{"type":"structure","members":{}}},"UpdateDetectorVersionStatus":{"input":{"type":"structure","required":["detectorId","detectorVersionId","status"],"members":{"detectorId":{},"detectorVersionId":{},"status":{}}},"output":{"type":"structure","members":{}}},"UpdateEventLabel":{"input":{"type":"structure","required":["eventId","eventTypeName","assignedLabel","labelTimestamp"],"members":{"eventId":{},"eventTypeName":{},"assignedLabel":{},"labelTimestamp":{}}},"output":{"type":"structure","members":{}}},"UpdateModel":{"input":{"type":"structure","required":["modelId","modelType"],"members":{"modelId":{},"modelType":{},"description":{}}},"output":{"type":"structure","members":{}}},"UpdateModelVersion":{"input":{"type":"structure","required":["modelId","modelType","majorVersionNumber"],"members":{"modelId":{},"modelType":{},"majorVersionNumber":{},"externalEventsDetail":{"shape":"S1m"},"ingestedEventsDetail":{"shape":"S1n"},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{"modelId":{},"modelType":{},"modelVersionNumber":{},"status":{}}}},"UpdateModelVersionStatus":{"input":{"type":"structure","required":["modelId","modelType","modelVersionNumber","status"],"members":{"modelId":{},"modelType":{},"modelVersionNumber":{},"status":{}}},"output":{"type":"structure","members":{}}},"UpdateRuleMetadata":{"input":{"type":"structure","required":["rule","description"],"members":{"rule":{"shape":"S14"},"description":{}}},"output":{"type":"structure","members":{}}},"UpdateRuleVersion":{"input":{"type":"structure","required":["rule","expression","language","outcomes"],"members":{"rule":{"shape":"S14"},"description":{},"expression":{"shape":"S1r"},"language":{},"outcomes":{"shape":"S1k"},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{"rule":{"shape":"S14"}}}},"UpdateVariable":{"input":{"type":"structure","required":["name"],"members":{"name":{},"defaultValue":{},"description":{},"variableType":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"S5":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"Sg":{"type":"list","member":{"type":"structure","members":{"name":{},"dataType":{},"dataSource":{},"defaultValue":{},"description":{},"variableType":{},"lastUpdatedTime":{},"createdTime":{},"arn":{}}}},"S12":{"type":"list","member":{}},"S13":{"type":"list","member":{"shape":"S14"}},"S14":{"type":"structure","required":["detectorId","ruleId","ruleVersion"],"members":{"detectorId":{},"ruleId":{},"ruleVersion":{}}},"S15":{"type":"list","member":{"shape":"S16"}},"S16":{"type":"structure","required":["modelId","modelType","modelVersionNumber"],"members":{"modelId":{},"modelType":{},"modelVersionNumber":{},"arn":{}}},"S1h":{"type":"structure","required":["modelVariables","labelSchema"],"members":{"modelVariables":{"shape":"S12"},"labelSchema":{"type":"structure","required":["labelMapper"],"members":{"labelMapper":{"type":"map","key":{},"value":{"shape":"S1k"}},"unlabeledEventsTreatment":{}}}}},"S1k":{"type":"list","member":{}},"S1m":{"type":"structure","required":["dataLocation","dataAccessRoleArn"],"members":{"dataLocation":{},"dataAccessRoleArn":{}}},"S1n":{"type":"structure","required":["ingestedEventsTimeWindow"],"members":{"ingestedEventsTimeWindow":{"type":"structure","required":["startTime","endTime"],"members":{"startTime":{},"endTime":{}}}}},"S1r":{"type":"string","sensitive":true},"S4b":{"type":"list","member":{"type":"structure","required":["entityType","entityId"],"members":{"entityType":{},"entityId":{}},"sensitive":true}},"S4g":{"type":"map","key":{},"value":{"type":"string","sensitive":true}},"S5b":{"type":"structure","required":["useEventVariables"],"members":{"eventTypeName":{},"format":{},"useEventVariables":{"type":"boolean"},"jsonInputTemplate":{},"csvInputTemplate":{}}},"S5f":{"type":"structure","required":["format"],"members":{"format":{},"jsonKeyToVariableMap":{"type":"map","key":{},"value":{}},"csvIndexToVariableMap":{"type":"map","key":{},"value":{}}}}}}');

/***/ }),

/***/ 9177:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeModelVersions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetBatchImportJobs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetBatchPredictionJobs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetDetectors":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetEntityTypes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetEventTypes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetExternalModels":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetLabels":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetModels":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetOutcomes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetRules":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetVariables":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListTagsForResource":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 58245:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-03-01","endpointPrefix":"fsx","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon FSx","serviceId":"FSx","signatureVersion":"v4","signingName":"fsx","targetPrefix":"AWSSimbaAPIService_v20180301","uid":"fsx-2018-03-01"},"operations":{"AssociateFileSystemAliases":{"input":{"type":"structure","required":["FileSystemId","Aliases"],"members":{"ClientRequestToken":{"idempotencyToken":true},"FileSystemId":{},"Aliases":{"shape":"S4"}}},"output":{"type":"structure","members":{"Aliases":{"shape":"S7"}}}},"CancelDataRepositoryTask":{"input":{"type":"structure","required":["TaskId"],"members":{"TaskId":{}}},"output":{"type":"structure","members":{"Lifecycle":{},"TaskId":{}}},"idempotent":true},"CopyBackup":{"input":{"type":"structure","required":["SourceBackupId"],"members":{"ClientRequestToken":{"idempotencyToken":true},"SourceBackupId":{},"SourceRegion":{},"KmsKeyId":{},"CopyTags":{"type":"boolean"},"Tags":{"shape":"Sj"}}},"output":{"type":"structure","members":{"Backup":{"shape":"So"}}},"idempotent":true},"CreateBackup":{"input":{"type":"structure","members":{"FileSystemId":{},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sj"},"VolumeId":{}}},"output":{"type":"structure","members":{"Backup":{"shape":"So"}}},"idempotent":true},"CreateDataRepositoryAssociation":{"input":{"type":"structure","required":["FileSystemId","FileSystemPath","DataRepositoryPath"],"members":{"FileSystemId":{},"FileSystemPath":{},"DataRepositoryPath":{},"BatchImportMetaDataOnCreate":{"type":"boolean"},"ImportedFileChunkSize":{"type":"integer"},"S3":{"shape":"S40"},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sj"}}},"output":{"type":"structure","members":{"Association":{"shape":"S46"}}},"idempotent":true},"CreateDataRepositoryTask":{"input":{"type":"structure","required":["Type","FileSystemId","Report"],"members":{"Type":{},"Paths":{"shape":"S4a"},"FileSystemId":{},"Report":{"shape":"S4c"},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"Sj"}}},"output":{"type":"structure","members":{"DataRepositoryTask":{"shape":"S4g"}}},"idempotent":true},"CreateFileSystem":{"input":{"type":"structure","required":["FileSystemType","StorageCapacity","SubnetIds"],"members":{"ClientRequestToken":{"idempotencyToken":true},"FileSystemType":{},"StorageCapacity":{"type":"integer"},"StorageType":{},"SubnetIds":{"shape":"S15"},"SecurityGroupIds":{"shape":"S4q"},"Tags":{"shape":"Sj"},"KmsKeyId":{},"WindowsConfiguration":{"shape":"S4s"},"LustreConfiguration":{"shape":"S4w"},"OntapConfiguration":{"type":"structure","required":["DeploymentType","ThroughputCapacity"],"members":{"AutomaticBackupRetentionDays":{"type":"integer"},"DailyAutomaticBackupStartTime":{},"DeploymentType":{},"EndpointIpAddressRange":{},"FsxAdminPassword":{"shape":"S4z"},"DiskIopsConfiguration":{"shape":"S3l"},"PreferredSubnetId":{},"RouteTableIds":{"shape":"S3o"},"ThroughputCapacity":{"type":"integer"},"WeeklyMaintenanceStartTime":{}}},"FileSystemTypeVersion":{},"OpenZFSConfiguration":{"shape":"S50"}}},"output":{"type":"structure","members":{"FileSystem":{"shape":"Sx"}}}},"CreateFileSystemFromBackup":{"input":{"type":"structure","required":["BackupId","SubnetIds"],"members":{"BackupId":{},"ClientRequestToken":{"idempotencyToken":true},"SubnetIds":{"shape":"S15"},"SecurityGroupIds":{"shape":"S4q"},"Tags":{"shape":"Sj"},"WindowsConfiguration":{"shape":"S4s"},"LustreConfiguration":{"shape":"S4w"},"StorageType":{},"KmsKeyId":{},"FileSystemTypeVersion":{},"OpenZFSConfiguration":{"shape":"S50"}}},"output":{"type":"structure","members":{"FileSystem":{"shape":"Sx"}}}},"CreateSnapshot":{"input":{"type":"structure","required":["Name","VolumeId"],"members":{"ClientRequestToken":{"idempotencyToken":true},"Name":{},"VolumeId":{},"Tags":{"shape":"Sj"}}},"output":{"type":"structure","members":{"Snapshot":{"shape":"S3b"}}},"idempotent":true},"CreateStorageVirtualMachine":{"input":{"type":"structure","required":["FileSystemId","Name"],"members":{"ActiveDirectoryConfiguration":{"type":"structure","required":["NetBiosName"],"members":{"NetBiosName":{},"SelfManagedActiveDirectoryConfiguration":{"shape":"S4t"}}},"ClientRequestToken":{"idempotencyToken":true},"FileSystemId":{},"Name":{},"SvmAdminPassword":{"shape":"S4z"},"Tags":{"shape":"Sj"},"RootVolumeSecurityStyle":{}}},"output":{"type":"structure","members":{"StorageVirtualMachine":{"shape":"S5d"}}}},"CreateVolume":{"input":{"type":"structure","required":["VolumeType","Name"],"members":{"ClientRequestToken":{"idempotencyToken":true},"VolumeType":{},"Name":{},"OntapConfiguration":{"shape":"S5k"},"Tags":{"shape":"Sj"},"OpenZFSConfiguration":{"type":"structure","required":["ParentVolumeId"],"members":{"ParentVolumeId":{},"StorageCapacityReservationGiB":{"type":"integer"},"StorageCapacityQuotaGiB":{"type":"integer"},"DataCompressionType":{},"CopyTagsToSnapshots":{"type":"boolean"},"OriginSnapshot":{"type":"structure","required":["SnapshotARN","CopyStrategy"],"members":{"SnapshotARN":{},"CopyStrategy":{}}},"ReadOnly":{"type":"boolean"},"NfsExports":{"shape":"S31"},"UserAndGroupQuotas":{"shape":"S38"}}}}},"output":{"type":"structure","members":{"Volume":{"shape":"S2d"}}}},"CreateVolumeFromBackup":{"input":{"type":"structure","required":["BackupId","Name"],"members":{"BackupId":{},"ClientRequestToken":{"idempotencyToken":true},"Name":{},"OntapConfiguration":{"shape":"S5k"},"Tags":{"shape":"Sj"}}},"output":{"type":"structure","members":{"Volume":{"shape":"S2d"}}}},"DeleteBackup":{"input":{"type":"structure","required":["BackupId"],"members":{"BackupId":{},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"BackupId":{},"Lifecycle":{}}},"idempotent":true},"DeleteDataRepositoryAssociation":{"input":{"type":"structure","required":["AssociationId","DeleteDataInFileSystem"],"members":{"AssociationId":{},"ClientRequestToken":{"idempotencyToken":true},"DeleteDataInFileSystem":{"type":"boolean"}}},"output":{"type":"structure","members":{"AssociationId":{},"Lifecycle":{},"DeleteDataInFileSystem":{"type":"boolean"}}},"idempotent":true},"DeleteFileSystem":{"input":{"type":"structure","required":["FileSystemId"],"members":{"FileSystemId":{},"ClientRequestToken":{"idempotencyToken":true},"WindowsConfiguration":{"type":"structure","members":{"SkipFinalBackup":{"type":"boolean"},"FinalBackupTags":{"shape":"Sj"}}},"LustreConfiguration":{"type":"structure","members":{"SkipFinalBackup":{"type":"boolean"},"FinalBackupTags":{"shape":"Sj"}}},"OpenZFSConfiguration":{"type":"structure","members":{"SkipFinalBackup":{"type":"boolean"},"FinalBackupTags":{"shape":"Sj"}}}}},"output":{"type":"structure","members":{"FileSystemId":{},"Lifecycle":{},"WindowsResponse":{"type":"structure","members":{"FinalBackupId":{},"FinalBackupTags":{"shape":"Sj"}}},"LustreResponse":{"type":"structure","members":{"FinalBackupId":{},"FinalBackupTags":{"shape":"Sj"}}},"OpenZFSResponse":{"type":"structure","members":{"FinalBackupId":{},"FinalBackupTags":{"shape":"Sj"}}}}},"idempotent":true},"DeleteSnapshot":{"input":{"type":"structure","required":["SnapshotId"],"members":{"ClientRequestToken":{"idempotencyToken":true},"SnapshotId":{}}},"output":{"type":"structure","members":{"SnapshotId":{},"Lifecycle":{}}},"idempotent":true},"DeleteStorageVirtualMachine":{"input":{"type":"structure","required":["StorageVirtualMachineId"],"members":{"ClientRequestToken":{"idempotencyToken":true},"StorageVirtualMachineId":{}}},"output":{"type":"structure","members":{"StorageVirtualMachineId":{},"Lifecycle":{}}}},"DeleteVolume":{"input":{"type":"structure","required":["VolumeId"],"members":{"ClientRequestToken":{"idempotencyToken":true},"VolumeId":{},"OntapConfiguration":{"type":"structure","members":{"SkipFinalBackup":{"type":"boolean"},"FinalBackupTags":{"shape":"Sj"}}},"OpenZFSConfiguration":{"type":"structure","members":{"Options":{"type":"list","member":{}}}}}},"output":{"type":"structure","members":{"VolumeId":{},"Lifecycle":{},"OntapResponse":{"type":"structure","members":{"FinalBackupId":{},"FinalBackupTags":{"shape":"Sj"}}}}}},"DescribeBackups":{"input":{"type":"structure","members":{"BackupIds":{"type":"list","member":{}},"Filters":{"shape":"S6g"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Backups":{"type":"list","member":{"shape":"So"}},"NextToken":{}}}},"DescribeDataRepositoryAssociations":{"input":{"type":"structure","members":{"AssociationIds":{"type":"list","member":{}},"Filters":{"shape":"S6g"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Associations":{"type":"list","member":{"shape":"S46"}},"NextToken":{}}},"idempotent":true},"DescribeDataRepositoryTasks":{"input":{"type":"structure","members":{"TaskIds":{"type":"list","member":{}},"Filters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Values":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"DataRepositoryTasks":{"type":"list","member":{"shape":"S4g"}},"NextToken":{}}}},"DescribeFileSystemAliases":{"input":{"type":"structure","required":["FileSystemId"],"members":{"ClientRequestToken":{"idempotencyToken":true},"FileSystemId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Aliases":{"shape":"S7"},"NextToken":{}}}},"DescribeFileSystems":{"input":{"type":"structure","members":{"FileSystemIds":{"type":"list","member":{}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"FileSystems":{"type":"list","member":{"shape":"Sx"}},"NextToken":{}}}},"DescribeSnapshots":{"input":{"type":"structure","members":{"SnapshotIds":{"type":"list","member":{}},"Filters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Values":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Snapshots":{"type":"list","member":{"shape":"S3b"}},"NextToken":{}}}},"DescribeStorageVirtualMachines":{"input":{"type":"structure","members":{"StorageVirtualMachineIds":{"type":"list","member":{}},"Filters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Values":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"StorageVirtualMachines":{"type":"list","member":{"shape":"S5d"}},"NextToken":{}}}},"DescribeVolumes":{"input":{"type":"structure","members":{"VolumeIds":{"type":"list","member":{}},"Filters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Values":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Volumes":{"type":"list","member":{"shape":"S2d"}},"NextToken":{}}}},"DisassociateFileSystemAliases":{"input":{"type":"structure","required":["FileSystemId","Aliases"],"members":{"ClientRequestToken":{"idempotencyToken":true},"FileSystemId":{},"Aliases":{"shape":"S4"}}},"output":{"type":"structure","members":{"Aliases":{"shape":"S7"}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sj"},"NextToken":{}}}},"ReleaseFileSystemNfsV3Locks":{"input":{"type":"structure","required":["FileSystemId"],"members":{"FileSystemId":{},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"FileSystem":{"shape":"Sx"}}},"idempotent":true},"RestoreVolumeFromSnapshot":{"input":{"type":"structure","required":["VolumeId","SnapshotId"],"members":{"ClientRequestToken":{"idempotencyToken":true},"VolumeId":{},"SnapshotId":{},"Options":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"VolumeId":{},"Lifecycle":{}}},"idempotent":true},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"Sj"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateDataRepositoryAssociation":{"input":{"type":"structure","required":["AssociationId"],"members":{"AssociationId":{},"ClientRequestToken":{"idempotencyToken":true},"ImportedFileChunkSize":{"type":"integer"},"S3":{"shape":"S40"}}},"output":{"type":"structure","members":{"Association":{"shape":"S46"}}},"idempotent":true},"UpdateFileSystem":{"input":{"type":"structure","required":["FileSystemId"],"members":{"FileSystemId":{},"ClientRequestToken":{"idempotencyToken":true},"StorageCapacity":{"type":"integer"},"WindowsConfiguration":{"type":"structure","members":{"WeeklyMaintenanceStartTime":{},"DailyAutomaticBackupStartTime":{},"AutomaticBackupRetentionDays":{"type":"integer"},"ThroughputCapacity":{"type":"integer"},"SelfManagedActiveDirectoryConfiguration":{"shape":"S8j"},"AuditLogConfiguration":{"shape":"S4v"}}},"LustreConfiguration":{"type":"structure","members":{"WeeklyMaintenanceStartTime":{},"DailyAutomaticBackupStartTime":{},"AutomaticBackupRetentionDays":{"type":"integer"},"AutoImportPolicy":{},"DataCompressionType":{},"LogConfiguration":{"shape":"S4x"}}},"OntapConfiguration":{"type":"structure","members":{"AutomaticBackupRetentionDays":{"type":"integer"},"DailyAutomaticBackupStartTime":{},"FsxAdminPassword":{"shape":"S4z"},"WeeklyMaintenanceStartTime":{}}},"OpenZFSConfiguration":{"type":"structure","members":{"AutomaticBackupRetentionDays":{"type":"integer"},"CopyTagsToBackups":{"type":"boolean"},"CopyTagsToVolumes":{"type":"boolean"},"DailyAutomaticBackupStartTime":{},"ThroughputCapacity":{"type":"integer"},"WeeklyMaintenanceStartTime":{},"DiskIopsConfiguration":{"shape":"S3l"}}}}},"output":{"type":"structure","members":{"FileSystem":{"shape":"Sx"}}}},"UpdateSnapshot":{"input":{"type":"structure","required":["Name","SnapshotId"],"members":{"ClientRequestToken":{"idempotencyToken":true},"Name":{},"SnapshotId":{}}},"output":{"type":"structure","members":{"Snapshot":{"shape":"S3b"}}},"idempotent":true},"UpdateStorageVirtualMachine":{"input":{"type":"structure","required":["StorageVirtualMachineId"],"members":{"ActiveDirectoryConfiguration":{"type":"structure","members":{"SelfManagedActiveDirectoryConfiguration":{"shape":"S8j"}}},"ClientRequestToken":{"idempotencyToken":true},"StorageVirtualMachineId":{},"SvmAdminPassword":{"shape":"S4z"}}},"output":{"type":"structure","members":{"StorageVirtualMachine":{"shape":"S5d"}}}},"UpdateVolume":{"input":{"type":"structure","required":["VolumeId"],"members":{"ClientRequestToken":{"idempotencyToken":true},"VolumeId":{},"OntapConfiguration":{"type":"structure","members":{"JunctionPath":{},"SecurityStyle":{},"SizeInMegabytes":{"type":"integer"},"StorageEfficiencyEnabled":{"type":"boolean"},"TieringPolicy":{"shape":"S2m"}}},"Name":{},"OpenZFSConfiguration":{"type":"structure","members":{"StorageCapacityReservationGiB":{"type":"integer"},"StorageCapacityQuotaGiB":{"type":"integer"},"DataCompressionType":{},"NfsExports":{"shape":"S31"},"UserAndGroupQuotas":{"shape":"S38"},"ReadOnly":{"type":"boolean"}}}}},"output":{"type":"structure","members":{"Volume":{"shape":"S2d"}}}}},"shapes":{"S4":{"type":"list","member":{}},"S7":{"type":"list","member":{"type":"structure","members":{"Name":{},"Lifecycle":{}}}},"Sj":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"So":{"type":"structure","required":["BackupId","Lifecycle","Type","CreationTime","FileSystem"],"members":{"BackupId":{},"Lifecycle":{},"FailureDetails":{"type":"structure","members":{"Message":{}}},"Type":{},"ProgressPercent":{"type":"integer"},"CreationTime":{"type":"timestamp"},"KmsKeyId":{},"ResourceARN":{},"Tags":{"shape":"Sj"},"FileSystem":{"shape":"Sx"},"DirectoryInformation":{"type":"structure","members":{"DomainName":{},"ActiveDirectoryId":{},"ResourceARN":{}}},"OwnerId":{},"SourceBackupId":{},"SourceBackupRegion":{},"ResourceType":{},"Volume":{"shape":"S2d"}}},"Sx":{"type":"structure","members":{"OwnerId":{},"CreationTime":{"type":"timestamp"},"FileSystemId":{},"FileSystemType":{},"Lifecycle":{},"FailureDetails":{"type":"structure","members":{"Message":{}}},"StorageCapacity":{"type":"integer"},"StorageType":{},"VpcId":{},"SubnetIds":{"shape":"S15"},"NetworkInterfaceIds":{"type":"list","member":{}},"DNSName":{},"KmsKeyId":{},"ResourceARN":{},"Tags":{"shape":"Sj"},"WindowsConfiguration":{"type":"structure","members":{"ActiveDirectoryId":{},"SelfManagedActiveDirectoryConfiguration":{"shape":"S1c"},"DeploymentType":{},"RemoteAdministrationEndpoint":{},"PreferredSubnetId":{},"PreferredFileServerIp":{},"ThroughputCapacity":{"type":"integer"},"MaintenanceOperationsInProgress":{"type":"list","member":{}},"WeeklyMaintenanceStartTime":{},"DailyAutomaticBackupStartTime":{},"AutomaticBackupRetentionDays":{"type":"integer"},"CopyTagsToBackups":{"type":"boolean"},"Aliases":{"shape":"S7"},"AuditLogConfiguration":{"type":"structure","required":["FileAccessAuditLogLevel","FileShareAccessAuditLogLevel"],"members":{"FileAccessAuditLogLevel":{},"FileShareAccessAuditLogLevel":{},"AuditLogDestination":{}}}}},"LustreConfiguration":{"type":"structure","members":{"WeeklyMaintenanceStartTime":{},"DataRepositoryConfiguration":{"type":"structure","members":{"Lifecycle":{},"ImportPath":{},"ExportPath":{},"ImportedFileChunkSize":{"type":"integer"},"AutoImportPolicy":{},"FailureDetails":{"shape":"S1z"}}},"DeploymentType":{},"PerUnitStorageThroughput":{"type":"integer"},"MountName":{},"DailyAutomaticBackupStartTime":{},"AutomaticBackupRetentionDays":{"type":"integer"},"CopyTagsToBackups":{"type":"boolean"},"DriveCacheType":{},"DataCompressionType":{},"LogConfiguration":{"type":"structure","required":["Level"],"members":{"Level":{},"Destination":{}}}}},"AdministrativeActions":{"shape":"S27"},"OntapConfiguration":{"type":"structure","members":{"AutomaticBackupRetentionDays":{"type":"integer"},"DailyAutomaticBackupStartTime":{},"DeploymentType":{},"EndpointIpAddressRange":{},"Endpoints":{"type":"structure","members":{"Intercluster":{"shape":"S3j"},"Management":{"shape":"S3j"}}},"DiskIopsConfiguration":{"shape":"S3l"},"PreferredSubnetId":{},"RouteTableIds":{"shape":"S3o"},"ThroughputCapacity":{"type":"integer"},"WeeklyMaintenanceStartTime":{}}},"FileSystemTypeVersion":{},"OpenZFSConfiguration":{"type":"structure","members":{"AutomaticBackupRetentionDays":{"type":"integer"},"CopyTagsToBackups":{"type":"boolean"},"CopyTagsToVolumes":{"type":"boolean"},"DailyAutomaticBackupStartTime":{},"DeploymentType":{},"ThroughputCapacity":{"type":"integer"},"WeeklyMaintenanceStartTime":{},"DiskIopsConfiguration":{"shape":"S3l"},"RootVolumeId":{}}}}},"S15":{"type":"list","member":{}},"S1c":{"type":"structure","members":{"DomainName":{},"OrganizationalUnitDistinguishedName":{},"FileSystemAdministratorsGroup":{},"UserName":{},"DnsIps":{"shape":"S1h"}}},"S1h":{"type":"list","member":{}},"S1z":{"type":"structure","members":{"Message":{}}},"S27":{"type":"list","member":{"type":"structure","members":{"AdministrativeActionType":{},"ProgressPercent":{"type":"integer"},"RequestTime":{"type":"timestamp"},"Status":{},"TargetFileSystemValues":{"shape":"Sx"},"FailureDetails":{"type":"structure","members":{"Message":{}}},"TargetVolumeValues":{"shape":"S2d"},"TargetSnapshotValues":{"shape":"S3b"}}}},"S2d":{"type":"structure","members":{"CreationTime":{"type":"timestamp"},"FileSystemId":{},"Lifecycle":{},"Name":{},"OntapConfiguration":{"type":"structure","members":{"FlexCacheEndpointType":{},"JunctionPath":{},"SecurityStyle":{},"SizeInMegabytes":{"type":"integer"},"StorageEfficiencyEnabled":{"type":"boolean"},"StorageVirtualMachineId":{},"StorageVirtualMachineRoot":{"type":"boolean"},"TieringPolicy":{"shape":"S2m"},"UUID":{},"OntapVolumeType":{}}},"ResourceARN":{},"Tags":{"shape":"Sj"},"VolumeId":{},"VolumeType":{},"LifecycleTransitionReason":{"shape":"S2t"},"AdministrativeActions":{"shape":"S27"},"OpenZFSConfiguration":{"type":"structure","members":{"ParentVolumeId":{},"VolumePath":{},"StorageCapacityReservationGiB":{"type":"integer"},"StorageCapacityQuotaGiB":{"type":"integer"},"DataCompressionType":{},"CopyTagsToSnapshots":{"type":"boolean"},"OriginSnapshot":{"type":"structure","members":{"SnapshotARN":{},"CopyStrategy":{}}},"ReadOnly":{"type":"boolean"},"NfsExports":{"shape":"S31"},"UserAndGroupQuotas":{"shape":"S38"}}}}},"S2m":{"type":"structure","members":{"CoolingPeriod":{"type":"integer"},"Name":{}}},"S2t":{"type":"structure","members":{"Message":{}}},"S31":{"type":"list","member":{"type":"structure","required":["ClientConfigurations"],"members":{"ClientConfigurations":{"type":"list","member":{"type":"structure","required":["Clients","Options"],"members":{"Clients":{},"Options":{"type":"list","member":{}}}}}}}},"S38":{"type":"list","member":{"type":"structure","required":["Type","Id","StorageCapacityQuotaGiB"],"members":{"Type":{},"Id":{"type":"integer"},"StorageCapacityQuotaGiB":{"type":"integer"}}}},"S3b":{"type":"structure","members":{"ResourceARN":{},"SnapshotId":{},"Name":{},"VolumeId":{},"CreationTime":{"type":"timestamp"},"Lifecycle":{},"Tags":{"shape":"Sj"},"AdministrativeActions":{"shape":"S27"}}},"S3j":{"type":"structure","members":{"DNSName":{},"IpAddresses":{"shape":"S3k"}}},"S3k":{"type":"list","member":{}},"S3l":{"type":"structure","members":{"Mode":{},"Iops":{"type":"long"}}},"S3o":{"type":"list","member":{}},"S40":{"type":"structure","members":{"AutoImportPolicy":{"type":"structure","members":{"Events":{"shape":"S42"}}},"AutoExportPolicy":{"type":"structure","members":{"Events":{"shape":"S42"}}}}},"S42":{"type":"list","member":{}},"S46":{"type":"structure","members":{"AssociationId":{},"ResourceARN":{},"FileSystemId":{},"Lifecycle":{},"FailureDetails":{"shape":"S1z"},"FileSystemPath":{},"DataRepositoryPath":{},"BatchImportMetaDataOnCreate":{"type":"boolean"},"ImportedFileChunkSize":{"type":"integer"},"S3":{"shape":"S40"},"Tags":{"shape":"Sj"},"CreationTime":{"type":"timestamp"}}},"S4a":{"type":"list","member":{}},"S4c":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"},"Path":{},"Format":{},"Scope":{}}},"S4g":{"type":"structure","required":["TaskId","Lifecycle","Type","CreationTime","FileSystemId"],"members":{"TaskId":{},"Lifecycle":{},"Type":{},"CreationTime":{"type":"timestamp"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"ResourceARN":{},"Tags":{"shape":"Sj"},"FileSystemId":{},"Paths":{"shape":"S4a"},"FailureDetails":{"type":"structure","members":{"Message":{}}},"Status":{"type":"structure","members":{"TotalCount":{"type":"long"},"SucceededCount":{"type":"long"},"FailedCount":{"type":"long"},"LastUpdatedTime":{"type":"timestamp"}}},"Report":{"shape":"S4c"}}},"S4q":{"type":"list","member":{}},"S4s":{"type":"structure","required":["ThroughputCapacity"],"members":{"ActiveDirectoryId":{},"SelfManagedActiveDirectoryConfiguration":{"shape":"S4t"},"DeploymentType":{},"PreferredSubnetId":{},"ThroughputCapacity":{"type":"integer"},"WeeklyMaintenanceStartTime":{},"DailyAutomaticBackupStartTime":{},"AutomaticBackupRetentionDays":{"type":"integer"},"CopyTagsToBackups":{"type":"boolean"},"Aliases":{"shape":"S4"},"AuditLogConfiguration":{"shape":"S4v"}}},"S4t":{"type":"structure","required":["DomainName","UserName","Password","DnsIps"],"members":{"DomainName":{},"OrganizationalUnitDistinguishedName":{},"FileSystemAdministratorsGroup":{},"UserName":{},"Password":{"shape":"S4u"},"DnsIps":{"shape":"S1h"}}},"S4u":{"type":"string","sensitive":true},"S4v":{"type":"structure","required":["FileAccessAuditLogLevel","FileShareAccessAuditLogLevel"],"members":{"FileAccessAuditLogLevel":{},"FileShareAccessAuditLogLevel":{},"AuditLogDestination":{}}},"S4w":{"type":"structure","members":{"WeeklyMaintenanceStartTime":{},"ImportPath":{},"ExportPath":{},"ImportedFileChunkSize":{"type":"integer"},"DeploymentType":{},"AutoImportPolicy":{},"PerUnitStorageThroughput":{"type":"integer"},"DailyAutomaticBackupStartTime":{},"AutomaticBackupRetentionDays":{"type":"integer"},"CopyTagsToBackups":{"type":"boolean"},"DriveCacheType":{},"DataCompressionType":{},"LogConfiguration":{"shape":"S4x"}}},"S4x":{"type":"structure","required":["Level"],"members":{"Level":{},"Destination":{}}},"S4z":{"type":"string","sensitive":true},"S50":{"type":"structure","required":["DeploymentType","ThroughputCapacity"],"members":{"AutomaticBackupRetentionDays":{"type":"integer"},"CopyTagsToBackups":{"type":"boolean"},"CopyTagsToVolumes":{"type":"boolean"},"DailyAutomaticBackupStartTime":{},"DeploymentType":{},"ThroughputCapacity":{"type":"integer"},"WeeklyMaintenanceStartTime":{},"DiskIopsConfiguration":{"shape":"S3l"},"RootVolumeConfiguration":{"type":"structure","members":{"DataCompressionType":{},"NfsExports":{"shape":"S31"},"UserAndGroupQuotas":{"shape":"S38"},"CopyTagsToSnapshots":{"type":"boolean"},"ReadOnly":{"type":"boolean"}}}}},"S5d":{"type":"structure","members":{"ActiveDirectoryConfiguration":{"type":"structure","members":{"NetBiosName":{},"SelfManagedActiveDirectoryConfiguration":{"shape":"S1c"}}},"CreationTime":{"type":"timestamp"},"Endpoints":{"type":"structure","members":{"Iscsi":{"shape":"S5g"},"Management":{"shape":"S5g"},"Nfs":{"shape":"S5g"},"Smb":{"shape":"S5g"}}},"FileSystemId":{},"Lifecycle":{},"Name":{},"ResourceARN":{},"StorageVirtualMachineId":{},"Subtype":{},"UUID":{},"Tags":{"shape":"Sj"},"LifecycleTransitionReason":{"shape":"S2t"},"RootVolumeSecurityStyle":{}}},"S5g":{"type":"structure","members":{"DNSName":{},"IpAddresses":{"shape":"S3k"}}},"S5k":{"type":"structure","required":["JunctionPath","SizeInMegabytes","StorageEfficiencyEnabled","StorageVirtualMachineId"],"members":{"JunctionPath":{},"SecurityStyle":{},"SizeInMegabytes":{"type":"integer"},"StorageEfficiencyEnabled":{"type":"boolean"},"StorageVirtualMachineId":{},"TieringPolicy":{"shape":"S2m"}}},"S6g":{"type":"list","member":{"type":"structure","members":{"Name":{},"Values":{"type":"list","member":{}}}}},"S8j":{"type":"structure","members":{"UserName":{},"Password":{"shape":"S4u"},"DnsIps":{"shape":"S1h"}}}}}');

/***/ }),

/***/ 19882:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeBackups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeDataRepositoryAssociations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeDataRepositoryTasks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeFileSystemAliases":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeFileSystems":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeSnapshots":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeStorageVirtualMachines":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeVolumes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTagsForResource":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 69257:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-10-01","endpointPrefix":"gamelift","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon GameLift","serviceId":"GameLift","signatureVersion":"v4","targetPrefix":"GameLift","uid":"gamelift-2015-10-01"},"operations":{"AcceptMatch":{"input":{"type":"structure","required":["TicketId","PlayerIds","AcceptanceType"],"members":{"TicketId":{},"PlayerIds":{"shape":"S3"},"AcceptanceType":{}}},"output":{"type":"structure","members":{}}},"ClaimGameServer":{"input":{"type":"structure","required":["GameServerGroupName"],"members":{"GameServerGroupName":{},"GameServerId":{},"GameServerData":{}}},"output":{"type":"structure","members":{"GameServer":{"shape":"Sc"}}}},"CreateAlias":{"input":{"type":"structure","required":["Name","RoutingStrategy"],"members":{"Name":{},"Description":{},"RoutingStrategy":{"shape":"Sm"},"Tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{"Alias":{"shape":"Sv"}}}},"CreateBuild":{"input":{"type":"structure","members":{"Name":{},"Version":{},"StorageLocation":{"shape":"Sz"},"OperatingSystem":{},"Tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{"Build":{"shape":"S13"},"UploadCredentials":{"shape":"S18"},"StorageLocation":{"shape":"Sz"}}}},"CreateFleet":{"input":{"type":"structure","required":["Name","EC2InstanceType"],"members":{"Name":{},"Description":{},"BuildId":{},"ScriptId":{},"ServerLaunchPath":{},"ServerLaunchParameters":{},"LogPaths":{"shape":"S3"},"EC2InstanceType":{},"EC2InboundPermissions":{"shape":"S1f"},"NewGameSessionProtectionPolicy":{},"RuntimeConfiguration":{"shape":"S1l"},"ResourceCreationLimitPolicy":{"shape":"S1r"},"MetricGroups":{"shape":"S1t"},"PeerVpcAwsAccountId":{},"PeerVpcId":{},"FleetType":{},"InstanceRoleArn":{},"CertificateConfiguration":{"shape":"S1w"},"Locations":{"shape":"S1y"},"Tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{"FleetAttributes":{"shape":"S22"},"LocationStates":{"shape":"S29"}}}},"CreateFleetLocations":{"input":{"type":"structure","required":["FleetId","Locations"],"members":{"FleetId":{},"Locations":{"shape":"S1y"}}},"output":{"type":"structure","members":{"FleetId":{},"FleetArn":{},"LocationStates":{"shape":"S29"}}}},"CreateGameServerGroup":{"input":{"type":"structure","required":["GameServerGroupName","RoleArn","MinSize","MaxSize","LaunchTemplate","InstanceDefinitions"],"members":{"GameServerGroupName":{},"RoleArn":{},"MinSize":{"type":"integer"},"MaxSize":{"type":"integer"},"LaunchTemplate":{"type":"structure","members":{"LaunchTemplateId":{},"LaunchTemplateName":{},"Version":{}}},"InstanceDefinitions":{"shape":"S2k"},"AutoScalingPolicy":{"type":"structure","required":["TargetTrackingConfiguration"],"members":{"EstimatedInstanceWarmup":{"type":"integer"},"TargetTrackingConfiguration":{"type":"structure","required":["TargetValue"],"members":{"TargetValue":{"type":"double"}}}}},"BalancingStrategy":{},"GameServerProtectionPolicy":{},"VpcSubnets":{"type":"list","member":{}},"Tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{"GameServerGroup":{"shape":"S2w"}}}},"CreateGameSession":{"input":{"type":"structure","required":["MaximumPlayerSessionCount"],"members":{"FleetId":{},"AliasId":{},"MaximumPlayerSessionCount":{"type":"integer"},"Name":{},"GameProperties":{"shape":"S33"},"CreatorId":{},"GameSessionId":{},"IdempotencyToken":{},"GameSessionData":{},"Location":{}}},"output":{"type":"structure","members":{"GameSession":{"shape":"S3a"}}}},"CreateGameSessionQueue":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"TimeoutInSeconds":{"type":"integer"},"PlayerLatencyPolicies":{"shape":"S3j"},"Destinations":{"shape":"S3l"},"FilterConfiguration":{"shape":"S3o"},"PriorityConfiguration":{"shape":"S3q"},"CustomEventData":{},"NotificationTarget":{},"Tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{"GameSessionQueue":{"shape":"S3w"}}}},"CreateMatchmakingConfiguration":{"input":{"type":"structure","required":["Name","RequestTimeoutSeconds","AcceptanceRequired","RuleSetName"],"members":{"Name":{},"Description":{},"GameSessionQueueArns":{"shape":"S3z"},"RequestTimeoutSeconds":{"type":"integer"},"AcceptanceTimeoutSeconds":{"type":"integer"},"AcceptanceRequired":{"type":"boolean"},"RuleSetName":{},"NotificationTarget":{},"AdditionalPlayerCount":{"type":"integer"},"CustomEventData":{},"GameProperties":{"shape":"S33"},"GameSessionData":{},"BackfillMode":{},"FlexMatchMode":{},"Tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{"Configuration":{"shape":"S4a"}}}},"CreateMatchmakingRuleSet":{"input":{"type":"structure","required":["Name","RuleSetBody"],"members":{"Name":{},"RuleSetBody":{},"Tags":{"shape":"Sq"}}},"output":{"type":"structure","required":["RuleSet"],"members":{"RuleSet":{"shape":"S4g"}}}},"CreatePlayerSession":{"input":{"type":"structure","required":["GameSessionId","PlayerId"],"members":{"GameSessionId":{},"PlayerId":{},"PlayerData":{}}},"output":{"type":"structure","members":{"PlayerSession":{"shape":"S4k"}}}},"CreatePlayerSessions":{"input":{"type":"structure","required":["GameSessionId","PlayerIds"],"members":{"GameSessionId":{},"PlayerIds":{"type":"list","member":{}},"PlayerDataMap":{"type":"map","key":{},"value":{}}}},"output":{"type":"structure","members":{"PlayerSessions":{"shape":"S4r"}}}},"CreateScript":{"input":{"type":"structure","members":{"Name":{},"Version":{},"StorageLocation":{"shape":"Sz"},"ZipFile":{"type":"blob"},"Tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{"Script":{"shape":"S4v"}}}},"CreateVpcPeeringAuthorization":{"input":{"type":"structure","required":["GameLiftAwsAccountId","PeerVpcId"],"members":{"GameLiftAwsAccountId":{},"PeerVpcId":{}}},"output":{"type":"structure","members":{"VpcPeeringAuthorization":{"shape":"S4y"}}}},"CreateVpcPeeringConnection":{"input":{"type":"structure","required":["FleetId","PeerVpcAwsAccountId","PeerVpcId"],"members":{"FleetId":{},"PeerVpcAwsAccountId":{},"PeerVpcId":{}}},"output":{"type":"structure","members":{}}},"DeleteAlias":{"input":{"type":"structure","required":["AliasId"],"members":{"AliasId":{}}}},"DeleteBuild":{"input":{"type":"structure","required":["BuildId"],"members":{"BuildId":{}}}},"DeleteFleet":{"input":{"type":"structure","required":["FleetId"],"members":{"FleetId":{}}}},"DeleteFleetLocations":{"input":{"type":"structure","required":["FleetId","Locations"],"members":{"FleetId":{},"Locations":{"shape":"S3p"}}},"output":{"type":"structure","members":{"FleetId":{},"FleetArn":{},"LocationStates":{"shape":"S29"}}}},"DeleteGameServerGroup":{"input":{"type":"structure","required":["GameServerGroupName"],"members":{"GameServerGroupName":{},"DeleteOption":{}}},"output":{"type":"structure","members":{"GameServerGroup":{"shape":"S2w"}}}},"DeleteGameSessionQueue":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteMatchmakingConfiguration":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteMatchmakingRuleSet":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteScalingPolicy":{"input":{"type":"structure","required":["Name","FleetId"],"members":{"Name":{},"FleetId":{}}}},"DeleteScript":{"input":{"type":"structure","required":["ScriptId"],"members":{"ScriptId":{}}}},"DeleteVpcPeeringAuthorization":{"input":{"type":"structure","required":["GameLiftAwsAccountId","PeerVpcId"],"members":{"GameLiftAwsAccountId":{},"PeerVpcId":{}}},"output":{"type":"structure","members":{}}},"DeleteVpcPeeringConnection":{"input":{"type":"structure","required":["FleetId","VpcPeeringConnectionId"],"members":{"FleetId":{},"VpcPeeringConnectionId":{}}},"output":{"type":"structure","members":{}}},"DeregisterGameServer":{"input":{"type":"structure","required":["GameServerGroupName","GameServerId"],"members":{"GameServerGroupName":{},"GameServerId":{}}}},"DescribeAlias":{"input":{"type":"structure","required":["AliasId"],"members":{"AliasId":{}}},"output":{"type":"structure","members":{"Alias":{"shape":"Sv"}}}},"DescribeBuild":{"input":{"type":"structure","required":["BuildId"],"members":{"BuildId":{}}},"output":{"type":"structure","members":{"Build":{"shape":"S13"}}}},"DescribeEC2InstanceLimits":{"input":{"type":"structure","members":{"EC2InstanceType":{},"Location":{}}},"output":{"type":"structure","members":{"EC2InstanceLimits":{"type":"list","member":{"type":"structure","members":{"EC2InstanceType":{},"CurrentInstances":{"type":"integer"},"InstanceLimit":{"type":"integer"},"Location":{}}}}}}},"DescribeFleetAttributes":{"input":{"type":"structure","members":{"FleetIds":{"shape":"S5x"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"FleetAttributes":{"type":"list","member":{"shape":"S22"}},"NextToken":{}}}},"DescribeFleetCapacity":{"input":{"type":"structure","members":{"FleetIds":{"shape":"S5x"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"FleetCapacity":{"type":"list","member":{"shape":"S63"}},"NextToken":{}}}},"DescribeFleetEvents":{"input":{"type":"structure","required":["FleetId"],"members":{"FleetId":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Events":{"type":"list","member":{"type":"structure","members":{"EventId":{},"ResourceId":{},"EventCode":{},"Message":{},"EventTime":{"type":"timestamp"},"PreSignedLogUrl":{}}}},"NextToken":{}}}},"DescribeFleetLocationAttributes":{"input":{"type":"structure","required":["FleetId"],"members":{"FleetId":{},"Locations":{"shape":"S3p"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"FleetId":{},"FleetArn":{},"LocationAttributes":{"type":"list","member":{"type":"structure","members":{"LocationState":{"shape":"S2a"},"StoppedActions":{"shape":"S27"},"UpdateStatus":{}}}},"NextToken":{}}}},"DescribeFleetLocationCapacity":{"input":{"type":"structure","required":["FleetId","Location"],"members":{"FleetId":{},"Location":{}}},"output":{"type":"structure","members":{"FleetCapacity":{"shape":"S63"}}}},"DescribeFleetLocationUtilization":{"input":{"type":"structure","required":["FleetId","Location"],"members":{"FleetId":{},"Location":{}}},"output":{"type":"structure","members":{"FleetUtilization":{"shape":"S6j"}}}},"DescribeFleetPortSettings":{"input":{"type":"structure","required":["FleetId"],"members":{"FleetId":{},"Location":{}}},"output":{"type":"structure","members":{"FleetId":{},"FleetArn":{},"InboundPermissions":{"shape":"S1f"},"UpdateStatus":{},"Location":{}}}},"DescribeFleetUtilization":{"input":{"type":"structure","members":{"FleetIds":{"shape":"S5x"},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"FleetUtilization":{"type":"list","member":{"shape":"S6j"}},"NextToken":{}}}},"DescribeGameServer":{"input":{"type":"structure","required":["GameServerGroupName","GameServerId"],"members":{"GameServerGroupName":{},"GameServerId":{}}},"output":{"type":"structure","members":{"GameServer":{"shape":"Sc"}}}},"DescribeGameServerGroup":{"input":{"type":"structure","required":["GameServerGroupName"],"members":{"GameServerGroupName":{}}},"output":{"type":"structure","members":{"GameServerGroup":{"shape":"S2w"}}}},"DescribeGameServerInstances":{"input":{"type":"structure","required":["GameServerGroupName"],"members":{"GameServerGroupName":{},"InstanceIds":{"type":"list","member":{}},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"GameServerInstances":{"type":"list","member":{"type":"structure","members":{"GameServerGroupName":{},"GameServerGroupArn":{},"InstanceId":{},"InstanceStatus":{}}}},"NextToken":{}}}},"DescribeGameSessionDetails":{"input":{"type":"structure","members":{"FleetId":{},"GameSessionId":{},"AliasId":{},"Location":{},"StatusFilter":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"GameSessionDetails":{"type":"list","member":{"type":"structure","members":{"GameSession":{"shape":"S3a"},"ProtectionPolicy":{}}}},"NextToken":{}}}},"DescribeGameSessionPlacement":{"input":{"type":"structure","required":["PlacementId"],"members":{"PlacementId":{}}},"output":{"type":"structure","members":{"GameSessionPlacement":{"shape":"S75"}}}},"DescribeGameSessionQueues":{"input":{"type":"structure","members":{"Names":{"type":"list","member":{}},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"GameSessionQueues":{"type":"list","member":{"shape":"S3w"}},"NextToken":{}}}},"DescribeGameSessions":{"input":{"type":"structure","members":{"FleetId":{},"GameSessionId":{},"AliasId":{},"Location":{},"StatusFilter":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"GameSessions":{"shape":"S7i"},"NextToken":{}}}},"DescribeInstances":{"input":{"type":"structure","required":["FleetId"],"members":{"FleetId":{},"InstanceId":{},"Limit":{"type":"integer"},"NextToken":{},"Location":{}}},"output":{"type":"structure","members":{"Instances":{"type":"list","member":{"type":"structure","members":{"FleetId":{},"FleetArn":{},"InstanceId":{},"IpAddress":{},"DnsName":{},"OperatingSystem":{},"Type":{},"Status":{},"CreationTime":{"type":"timestamp"},"Location":{}}}},"NextToken":{}}}},"DescribeMatchmaking":{"input":{"type":"structure","required":["TicketIds"],"members":{"TicketIds":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"TicketList":{"type":"list","member":{"shape":"S7t"}}}}},"DescribeMatchmakingConfigurations":{"input":{"type":"structure","members":{"Names":{"type":"list","member":{}},"RuleSetName":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Configurations":{"type":"list","member":{"shape":"S4a"}},"NextToken":{}}}},"DescribeMatchmakingRuleSets":{"input":{"type":"structure","members":{"Names":{"type":"list","member":{}},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["RuleSets"],"members":{"RuleSets":{"type":"list","member":{"shape":"S4g"}},"NextToken":{}}}},"DescribePlayerSessions":{"input":{"type":"structure","members":{"GameSessionId":{},"PlayerId":{},"PlayerSessionId":{},"PlayerSessionStatusFilter":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"PlayerSessions":{"shape":"S4r"},"NextToken":{}}}},"DescribeRuntimeConfiguration":{"input":{"type":"structure","required":["FleetId"],"members":{"FleetId":{}}},"output":{"type":"structure","members":{"RuntimeConfiguration":{"shape":"S1l"}}}},"DescribeScalingPolicies":{"input":{"type":"structure","required":["FleetId"],"members":{"FleetId":{},"StatusFilter":{},"Limit":{"type":"integer"},"NextToken":{},"Location":{}}},"output":{"type":"structure","members":{"ScalingPolicies":{"type":"list","member":{"type":"structure","members":{"FleetId":{},"FleetArn":{},"Name":{},"Status":{},"ScalingAdjustment":{"type":"integer"},"ScalingAdjustmentType":{},"ComparisonOperator":{},"Threshold":{"type":"double"},"EvaluationPeriods":{"type":"integer"},"MetricName":{},"PolicyType":{},"TargetConfiguration":{"shape":"S8u"},"UpdateStatus":{},"Location":{}}}},"NextToken":{}}}},"DescribeScript":{"input":{"type":"structure","required":["ScriptId"],"members":{"ScriptId":{}}},"output":{"type":"structure","members":{"Script":{"shape":"S4v"}}}},"DescribeVpcPeeringAuthorizations":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"VpcPeeringAuthorizations":{"type":"list","member":{"shape":"S4y"}}}}},"DescribeVpcPeeringConnections":{"input":{"type":"structure","members":{"FleetId":{}}},"output":{"type":"structure","members":{"VpcPeeringConnections":{"type":"list","member":{"type":"structure","members":{"FleetId":{},"FleetArn":{},"IpV4CidrBlock":{},"VpcPeeringConnectionId":{},"Status":{"type":"structure","members":{"Code":{},"Message":{}}},"PeerVpcId":{},"GameLiftVpcId":{}}}}}}},"GetGameSessionLogUrl":{"input":{"type":"structure","required":["GameSessionId"],"members":{"GameSessionId":{}}},"output":{"type":"structure","members":{"PreSignedUrl":{}}}},"GetInstanceAccess":{"input":{"type":"structure","required":["FleetId","InstanceId"],"members":{"FleetId":{},"InstanceId":{}}},"output":{"type":"structure","members":{"InstanceAccess":{"type":"structure","members":{"FleetId":{},"InstanceId":{},"IpAddress":{},"OperatingSystem":{},"Credentials":{"type":"structure","members":{"UserName":{},"Secret":{}},"sensitive":true}}}}}},"ListAliases":{"input":{"type":"structure","members":{"RoutingStrategyType":{},"Name":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Aliases":{"type":"list","member":{"shape":"Sv"}},"NextToken":{}}}},"ListBuilds":{"input":{"type":"structure","members":{"Status":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Builds":{"type":"list","member":{"shape":"S13"}},"NextToken":{}}}},"ListFleets":{"input":{"type":"structure","members":{"BuildId":{},"ScriptId":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"FleetIds":{"type":"list","member":{}},"NextToken":{}}}},"ListGameServerGroups":{"input":{"type":"structure","members":{"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"GameServerGroups":{"type":"list","member":{"shape":"S2w"}},"NextToken":{}}}},"ListGameServers":{"input":{"type":"structure","required":["GameServerGroupName"],"members":{"GameServerGroupName":{},"SortOrder":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"GameServers":{"type":"list","member":{"shape":"Sc"}},"NextToken":{}}}},"ListScripts":{"input":{"type":"structure","members":{"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Scripts":{"type":"list","member":{"shape":"S4v"}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sq"}}}},"PutScalingPolicy":{"input":{"type":"structure","required":["Name","FleetId","MetricName"],"members":{"Name":{},"FleetId":{},"ScalingAdjustment":{"type":"integer"},"ScalingAdjustmentType":{},"Threshold":{"type":"double"},"ComparisonOperator":{},"EvaluationPeriods":{"type":"integer"},"MetricName":{},"PolicyType":{},"TargetConfiguration":{"shape":"S8u"}}},"output":{"type":"structure","members":{"Name":{}}}},"RegisterGameServer":{"input":{"type":"structure","required":["GameServerGroupName","GameServerId","InstanceId"],"members":{"GameServerGroupName":{},"GameServerId":{},"InstanceId":{},"ConnectionInfo":{},"GameServerData":{}}},"output":{"type":"structure","members":{"GameServer":{"shape":"Sc"}}}},"RequestUploadCredentials":{"input":{"type":"structure","required":["BuildId"],"members":{"BuildId":{}}},"output":{"type":"structure","members":{"UploadCredentials":{"shape":"S18"},"StorageLocation":{"shape":"Sz"}}}},"ResolveAlias":{"input":{"type":"structure","required":["AliasId"],"members":{"AliasId":{}}},"output":{"type":"structure","members":{"FleetId":{},"FleetArn":{}}}},"ResumeGameServerGroup":{"input":{"type":"structure","required":["GameServerGroupName","ResumeActions"],"members":{"GameServerGroupName":{},"ResumeActions":{"shape":"S2z"}}},"output":{"type":"structure","members":{"GameServerGroup":{"shape":"S2w"}}}},"SearchGameSessions":{"input":{"type":"structure","members":{"FleetId":{},"AliasId":{},"Location":{},"FilterExpression":{},"SortExpression":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"GameSessions":{"shape":"S7i"},"NextToken":{}}}},"StartFleetActions":{"input":{"type":"structure","required":["FleetId","Actions"],"members":{"FleetId":{},"Actions":{"shape":"S27"},"Location":{}}},"output":{"type":"structure","members":{"FleetId":{},"FleetArn":{}}}},"StartGameSessionPlacement":{"input":{"type":"structure","required":["PlacementId","GameSessionQueueName","MaximumPlayerSessionCount"],"members":{"PlacementId":{},"GameSessionQueueName":{},"GameProperties":{"shape":"S33"},"MaximumPlayerSessionCount":{"type":"integer"},"GameSessionName":{},"PlayerLatencies":{"shape":"S77"},"DesiredPlayerSessions":{"type":"list","member":{"type":"structure","members":{"PlayerId":{},"PlayerData":{}}}},"GameSessionData":{}}},"output":{"type":"structure","members":{"GameSessionPlacement":{"shape":"S75"}}}},"StartMatchBackfill":{"input":{"type":"structure","required":["ConfigurationName","Players"],"members":{"TicketId":{},"ConfigurationName":{},"GameSessionArn":{},"Players":{"shape":"S7w"}}},"output":{"type":"structure","members":{"MatchmakingTicket":{"shape":"S7t"}}}},"StartMatchmaking":{"input":{"type":"structure","required":["ConfigurationName","Players"],"members":{"TicketId":{},"ConfigurationName":{},"Players":{"shape":"S7w"}}},"output":{"type":"structure","members":{"MatchmakingTicket":{"shape":"S7t"}}}},"StopFleetActions":{"input":{"type":"structure","required":["FleetId","Actions"],"members":{"FleetId":{},"Actions":{"shape":"S27"},"Location":{}}},"output":{"type":"structure","members":{"FleetId":{},"FleetArn":{}}}},"StopGameSessionPlacement":{"input":{"type":"structure","required":["PlacementId"],"members":{"PlacementId":{}}},"output":{"type":"structure","members":{"GameSessionPlacement":{"shape":"S75"}}}},"StopMatchmaking":{"input":{"type":"structure","required":["TicketId"],"members":{"TicketId":{}}},"output":{"type":"structure","members":{}}},"SuspendGameServerGroup":{"input":{"type":"structure","required":["GameServerGroupName","SuspendActions"],"members":{"GameServerGroupName":{},"SuspendActions":{"shape":"S2z"}}},"output":{"type":"structure","members":{"GameServerGroup":{"shape":"S2w"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateAlias":{"input":{"type":"structure","required":["AliasId"],"members":{"AliasId":{},"Name":{},"Description":{},"RoutingStrategy":{"shape":"Sm"}}},"output":{"type":"structure","members":{"Alias":{"shape":"Sv"}}}},"UpdateBuild":{"input":{"type":"structure","required":["BuildId"],"members":{"BuildId":{},"Name":{},"Version":{}}},"output":{"type":"structure","members":{"Build":{"shape":"S13"}}}},"UpdateFleetAttributes":{"input":{"type":"structure","required":["FleetId"],"members":{"FleetId":{},"Name":{},"Description":{},"NewGameSessionProtectionPolicy":{},"ResourceCreationLimitPolicy":{"shape":"S1r"},"MetricGroups":{"shape":"S1t"}}},"output":{"type":"structure","members":{"FleetId":{}}}},"UpdateFleetCapacity":{"input":{"type":"structure","required":["FleetId"],"members":{"FleetId":{},"DesiredInstances":{"type":"integer"},"MinSize":{"type":"integer"},"MaxSize":{"type":"integer"},"Location":{}}},"output":{"type":"structure","members":{"FleetId":{},"FleetArn":{},"Location":{}}}},"UpdateFleetPortSettings":{"input":{"type":"structure","required":["FleetId"],"members":{"FleetId":{},"InboundPermissionAuthorizations":{"shape":"S1f"},"InboundPermissionRevocations":{"shape":"S1f"}}},"output":{"type":"structure","members":{"FleetId":{}}}},"UpdateGameServer":{"input":{"type":"structure","required":["GameServerGroupName","GameServerId"],"members":{"GameServerGroupName":{},"GameServerId":{},"GameServerData":{},"UtilizationStatus":{},"HealthCheck":{}}},"output":{"type":"structure","members":{"GameServer":{"shape":"Sc"}}}},"UpdateGameServerGroup":{"input":{"type":"structure","required":["GameServerGroupName"],"members":{"GameServerGroupName":{},"RoleArn":{},"InstanceDefinitions":{"shape":"S2k"},"GameServerProtectionPolicy":{},"BalancingStrategy":{}}},"output":{"type":"structure","members":{"GameServerGroup":{"shape":"S2w"}}}},"UpdateGameSession":{"input":{"type":"structure","required":["GameSessionId"],"members":{"GameSessionId":{},"MaximumPlayerSessionCount":{"type":"integer"},"Name":{},"PlayerSessionCreationPolicy":{},"ProtectionPolicy":{}}},"output":{"type":"structure","members":{"GameSession":{"shape":"S3a"}}}},"UpdateGameSessionQueue":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"TimeoutInSeconds":{"type":"integer"},"PlayerLatencyPolicies":{"shape":"S3j"},"Destinations":{"shape":"S3l"},"FilterConfiguration":{"shape":"S3o"},"PriorityConfiguration":{"shape":"S3q"},"CustomEventData":{},"NotificationTarget":{}}},"output":{"type":"structure","members":{"GameSessionQueue":{"shape":"S3w"}}}},"UpdateMatchmakingConfiguration":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"GameSessionQueueArns":{"shape":"S3z"},"RequestTimeoutSeconds":{"type":"integer"},"AcceptanceTimeoutSeconds":{"type":"integer"},"AcceptanceRequired":{"type":"boolean"},"RuleSetName":{},"NotificationTarget":{},"AdditionalPlayerCount":{"type":"integer"},"CustomEventData":{},"GameProperties":{"shape":"S33"},"GameSessionData":{},"BackfillMode":{},"FlexMatchMode":{}}},"output":{"type":"structure","members":{"Configuration":{"shape":"S4a"}}}},"UpdateRuntimeConfiguration":{"input":{"type":"structure","required":["FleetId","RuntimeConfiguration"],"members":{"FleetId":{},"RuntimeConfiguration":{"shape":"S1l"}}},"output":{"type":"structure","members":{"RuntimeConfiguration":{"shape":"S1l"}}}},"UpdateScript":{"input":{"type":"structure","required":["ScriptId"],"members":{"ScriptId":{},"Name":{},"Version":{},"StorageLocation":{"shape":"Sz"},"ZipFile":{"type":"blob"}}},"output":{"type":"structure","members":{"Script":{"shape":"S4v"}}}},"ValidateMatchmakingRuleSet":{"input":{"type":"structure","required":["RuleSetBody"],"members":{"RuleSetBody":{}}},"output":{"type":"structure","members":{"Valid":{"type":"boolean"}}}}},"shapes":{"S3":{"type":"list","member":{}},"Sc":{"type":"structure","members":{"GameServerGroupName":{},"GameServerGroupArn":{},"GameServerId":{},"InstanceId":{},"ConnectionInfo":{},"GameServerData":{},"ClaimStatus":{},"UtilizationStatus":{},"RegistrationTime":{"type":"timestamp"},"LastClaimTime":{"type":"timestamp"},"LastHealthCheckTime":{"type":"timestamp"}}},"Sm":{"type":"structure","members":{"Type":{},"FleetId":{},"Message":{}}},"Sq":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sv":{"type":"structure","members":{"AliasId":{},"Name":{},"AliasArn":{},"Description":{},"RoutingStrategy":{"shape":"Sm"},"CreationTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"}}},"Sz":{"type":"structure","members":{"Bucket":{},"Key":{},"RoleArn":{},"ObjectVersion":{}}},"S13":{"type":"structure","members":{"BuildId":{},"BuildArn":{},"Name":{},"Version":{},"Status":{},"SizeOnDisk":{"type":"long"},"OperatingSystem":{},"CreationTime":{"type":"timestamp"}}},"S18":{"type":"structure","members":{"AccessKeyId":{},"SecretAccessKey":{},"SessionToken":{}},"sensitive":true},"S1f":{"type":"list","member":{"type":"structure","required":["FromPort","ToPort","IpRange","Protocol"],"members":{"FromPort":{"type":"integer"},"ToPort":{"type":"integer"},"IpRange":{},"Protocol":{}}}},"S1l":{"type":"structure","members":{"ServerProcesses":{"type":"list","member":{"type":"structure","required":["LaunchPath","ConcurrentExecutions"],"members":{"LaunchPath":{},"Parameters":{},"ConcurrentExecutions":{"type":"integer"}}}},"MaxConcurrentGameSessionActivations":{"type":"integer"},"GameSessionActivationTimeoutSeconds":{"type":"integer"}}},"S1r":{"type":"structure","members":{"NewGameSessionsPerCreator":{"type":"integer"},"PolicyPeriodInMinutes":{"type":"integer"}}},"S1t":{"type":"list","member":{}},"S1w":{"type":"structure","required":["CertificateType"],"members":{"CertificateType":{}}},"S1y":{"type":"list","member":{"type":"structure","members":{"Location":{}}}},"S22":{"type":"structure","members":{"FleetId":{},"FleetArn":{},"FleetType":{},"InstanceType":{},"Description":{},"Name":{},"CreationTime":{"type":"timestamp"},"TerminationTime":{"type":"timestamp"},"Status":{},"BuildId":{},"BuildArn":{},"ScriptId":{},"ScriptArn":{},"ServerLaunchPath":{},"ServerLaunchParameters":{},"LogPaths":{"shape":"S3"},"NewGameSessionProtectionPolicy":{},"OperatingSystem":{},"ResourceCreationLimitPolicy":{"shape":"S1r"},"MetricGroups":{"shape":"S1t"},"StoppedActions":{"shape":"S27"},"InstanceRoleArn":{},"CertificateConfiguration":{"shape":"S1w"}}},"S27":{"type":"list","member":{}},"S29":{"type":"list","member":{"shape":"S2a"}},"S2a":{"type":"structure","members":{"Location":{},"Status":{}}},"S2k":{"type":"list","member":{"type":"structure","required":["InstanceType"],"members":{"InstanceType":{},"WeightedCapacity":{}}}},"S2w":{"type":"structure","members":{"GameServerGroupName":{},"GameServerGroupArn":{},"RoleArn":{},"InstanceDefinitions":{"shape":"S2k"},"BalancingStrategy":{},"GameServerProtectionPolicy":{},"AutoScalingGroupArn":{},"Status":{},"StatusReason":{},"SuspendedActions":{"shape":"S2z"},"CreationTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"}}},"S2z":{"type":"list","member":{}},"S33":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S3a":{"type":"structure","members":{"GameSessionId":{},"Name":{},"FleetId":{},"FleetArn":{},"CreationTime":{"type":"timestamp"},"TerminationTime":{"type":"timestamp"},"CurrentPlayerSessionCount":{"type":"integer"},"MaximumPlayerSessionCount":{"type":"integer"},"Status":{},"StatusReason":{},"GameProperties":{"shape":"S33"},"IpAddress":{},"DnsName":{},"Port":{"type":"integer"},"PlayerSessionCreationPolicy":{},"CreatorId":{},"GameSessionData":{},"MatchmakerData":{},"Location":{}}},"S3j":{"type":"list","member":{"type":"structure","members":{"MaximumIndividualPlayerLatencyMilliseconds":{"type":"integer"},"PolicyDurationSeconds":{"type":"integer"}}}},"S3l":{"type":"list","member":{"type":"structure","members":{"DestinationArn":{}}}},"S3o":{"type":"structure","members":{"AllowedLocations":{"shape":"S3p"}}},"S3p":{"type":"list","member":{}},"S3q":{"type":"structure","members":{"PriorityOrder":{"type":"list","member":{}},"LocationOrder":{"shape":"S3p"}}},"S3w":{"type":"structure","members":{"Name":{},"GameSessionQueueArn":{},"TimeoutInSeconds":{"type":"integer"},"PlayerLatencyPolicies":{"shape":"S3j"},"Destinations":{"shape":"S3l"},"FilterConfiguration":{"shape":"S3o"},"PriorityConfiguration":{"shape":"S3q"},"CustomEventData":{},"NotificationTarget":{}}},"S3z":{"type":"list","member":{}},"S4a":{"type":"structure","members":{"Name":{},"ConfigurationArn":{},"Description":{},"GameSessionQueueArns":{"shape":"S3z"},"RequestTimeoutSeconds":{"type":"integer"},"AcceptanceTimeoutSeconds":{"type":"integer"},"AcceptanceRequired":{"type":"boolean"},"RuleSetName":{},"RuleSetArn":{},"NotificationTarget":{},"AdditionalPlayerCount":{"type":"integer"},"CustomEventData":{},"CreationTime":{"type":"timestamp"},"GameProperties":{"shape":"S33"},"GameSessionData":{},"BackfillMode":{},"FlexMatchMode":{}}},"S4g":{"type":"structure","required":["RuleSetBody"],"members":{"RuleSetName":{},"RuleSetArn":{},"RuleSetBody":{},"CreationTime":{"type":"timestamp"}}},"S4k":{"type":"structure","members":{"PlayerSessionId":{},"PlayerId":{},"GameSessionId":{},"FleetId":{},"FleetArn":{},"CreationTime":{"type":"timestamp"},"TerminationTime":{"type":"timestamp"},"Status":{},"IpAddress":{},"DnsName":{},"Port":{"type":"integer"},"PlayerData":{}}},"S4r":{"type":"list","member":{"shape":"S4k"}},"S4v":{"type":"structure","members":{"ScriptId":{},"ScriptArn":{},"Name":{},"Version":{},"SizeOnDisk":{"type":"long"},"CreationTime":{"type":"timestamp"},"StorageLocation":{"shape":"Sz"}}},"S4y":{"type":"structure","members":{"GameLiftAwsAccountId":{},"PeerVpcAwsAccountId":{},"PeerVpcId":{},"CreationTime":{"type":"timestamp"},"ExpirationTime":{"type":"timestamp"}}},"S5x":{"type":"list","member":{}},"S63":{"type":"structure","members":{"FleetId":{},"FleetArn":{},"InstanceType":{},"InstanceCounts":{"type":"structure","members":{"DESIRED":{"type":"integer"},"MINIMUM":{"type":"integer"},"MAXIMUM":{"type":"integer"},"PENDING":{"type":"integer"},"ACTIVE":{"type":"integer"},"IDLE":{"type":"integer"},"TERMINATING":{"type":"integer"}}},"Location":{}}},"S6j":{"type":"structure","members":{"FleetId":{},"FleetArn":{},"ActiveServerProcessCount":{"type":"integer"},"ActiveGameSessionCount":{"type":"integer"},"CurrentPlayerSessionCount":{"type":"integer"},"MaximumPlayerSessionCount":{"type":"integer"},"Location":{}}},"S75":{"type":"structure","members":{"PlacementId":{},"GameSessionQueueName":{},"Status":{},"GameProperties":{"shape":"S33"},"MaximumPlayerSessionCount":{"type":"integer"},"GameSessionName":{},"GameSessionId":{},"GameSessionArn":{},"GameSessionRegion":{},"PlayerLatencies":{"shape":"S77"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"IpAddress":{},"DnsName":{},"Port":{"type":"integer"},"PlacedPlayerSessions":{"type":"list","member":{"type":"structure","members":{"PlayerId":{},"PlayerSessionId":{}}}},"GameSessionData":{},"MatchmakerData":{}}},"S77":{"type":"list","member":{"type":"structure","members":{"PlayerId":{},"RegionIdentifier":{},"LatencyInMilliseconds":{"type":"float"}}}},"S7i":{"type":"list","member":{"shape":"S3a"}},"S7t":{"type":"structure","members":{"TicketId":{},"ConfigurationName":{},"ConfigurationArn":{},"Status":{},"StatusReason":{},"StatusMessage":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Players":{"shape":"S7w"},"GameSessionConnectionInfo":{"type":"structure","members":{"GameSessionArn":{},"IpAddress":{},"DnsName":{},"Port":{"type":"integer"},"MatchedPlayerSessions":{"type":"list","member":{"type":"structure","members":{"PlayerId":{},"PlayerSessionId":{}}}}}},"EstimatedWaitTime":{"type":"integer"}}},"S7w":{"type":"list","member":{"type":"structure","members":{"PlayerId":{},"PlayerAttributes":{"type":"map","key":{},"value":{"type":"structure","members":{"S":{},"N":{"type":"double"},"SL":{"shape":"S3"},"SDM":{"type":"map","key":{},"value":{"type":"double"}}}}},"Team":{},"LatencyInMs":{"type":"map","key":{},"value":{"type":"integer"}}}}},"S8u":{"type":"structure","required":["TargetValue"],"members":{"TargetValue":{"type":"double"}}}}}');

/***/ }),

/***/ 88381:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeFleetAttributes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"FleetAttributes"},"DescribeFleetCapacity":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"FleetCapacity"},"DescribeFleetEvents":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"Events"},"DescribeFleetLocationAttributes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit"},"DescribeFleetUtilization":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"FleetUtilization"},"DescribeGameServerInstances":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"GameServerInstances"},"DescribeGameSessionDetails":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"GameSessionDetails"},"DescribeGameSessionQueues":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"GameSessionQueues"},"DescribeGameSessions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"GameSessions"},"DescribeInstances":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"Instances"},"DescribeMatchmakingConfigurations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"Configurations"},"DescribeMatchmakingRuleSets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"RuleSets"},"DescribePlayerSessions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"PlayerSessions"},"DescribeScalingPolicies":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"ScalingPolicies"},"ListAliases":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"Aliases"},"ListBuilds":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"Builds"},"ListFleets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"FleetIds"},"ListGameServerGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"GameServerGroups"},"ListGameServers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"GameServers"},"ListScripts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"Scripts"},"SearchGameSessions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"GameSessions"}}}');

/***/ }),

/***/ 11545:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2012-06-01","checksumFormat":"sha256","endpointPrefix":"glacier","protocol":"rest-json","serviceFullName":"Amazon Glacier","serviceId":"Glacier","signatureVersion":"v4","uid":"glacier-2012-06-01"},"operations":{"AbortMultipartUpload":{"http":{"method":"DELETE","requestUri":"/{accountId}/vaults/{vaultName}/multipart-uploads/{uploadId}","responseCode":204},"input":{"type":"structure","required":["accountId","vaultName","uploadId"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"uploadId":{"location":"uri","locationName":"uploadId"}}}},"AbortVaultLock":{"http":{"method":"DELETE","requestUri":"/{accountId}/vaults/{vaultName}/lock-policy","responseCode":204},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"}}}},"AddTagsToVault":{"http":{"requestUri":"/{accountId}/vaults/{vaultName}/tags?operation=add","responseCode":204},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"Tags":{"shape":"S5"}}}},"CompleteMultipartUpload":{"http":{"requestUri":"/{accountId}/vaults/{vaultName}/multipart-uploads/{uploadId}","responseCode":201},"input":{"type":"structure","required":["accountId","vaultName","uploadId"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"uploadId":{"location":"uri","locationName":"uploadId"},"archiveSize":{"location":"header","locationName":"x-amz-archive-size"},"checksum":{"location":"header","locationName":"x-amz-sha256-tree-hash"}}},"output":{"shape":"S9"}},"CompleteVaultLock":{"http":{"requestUri":"/{accountId}/vaults/{vaultName}/lock-policy/{lockId}","responseCode":204},"input":{"type":"structure","required":["accountId","vaultName","lockId"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"lockId":{"location":"uri","locationName":"lockId"}}}},"CreateVault":{"http":{"method":"PUT","requestUri":"/{accountId}/vaults/{vaultName}","responseCode":201},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"}}},"output":{"type":"structure","members":{"location":{"location":"header","locationName":"Location"}}}},"DeleteArchive":{"http":{"method":"DELETE","requestUri":"/{accountId}/vaults/{vaultName}/archives/{archiveId}","responseCode":204},"input":{"type":"structure","required":["accountId","vaultName","archiveId"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"archiveId":{"location":"uri","locationName":"archiveId"}}}},"DeleteVault":{"http":{"method":"DELETE","requestUri":"/{accountId}/vaults/{vaultName}","responseCode":204},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"}}}},"DeleteVaultAccessPolicy":{"http":{"method":"DELETE","requestUri":"/{accountId}/vaults/{vaultName}/access-policy","responseCode":204},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"}}}},"DeleteVaultNotifications":{"http":{"method":"DELETE","requestUri":"/{accountId}/vaults/{vaultName}/notification-configuration","responseCode":204},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"}}}},"DescribeJob":{"http":{"method":"GET","requestUri":"/{accountId}/vaults/{vaultName}/jobs/{jobId}"},"input":{"type":"structure","required":["accountId","vaultName","jobId"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"jobId":{"location":"uri","locationName":"jobId"}}},"output":{"shape":"Si"}},"DescribeVault":{"http":{"method":"GET","requestUri":"/{accountId}/vaults/{vaultName}"},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"}}},"output":{"shape":"S1a"}},"GetDataRetrievalPolicy":{"http":{"method":"GET","requestUri":"/{accountId}/policies/data-retrieval"},"input":{"type":"structure","required":["accountId"],"members":{"accountId":{"location":"uri","locationName":"accountId"}}},"output":{"type":"structure","members":{"Policy":{"shape":"S1e"}}}},"GetJobOutput":{"http":{"method":"GET","requestUri":"/{accountId}/vaults/{vaultName}/jobs/{jobId}/output"},"input":{"type":"structure","required":["accountId","vaultName","jobId"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"jobId":{"location":"uri","locationName":"jobId"},"range":{"location":"header","locationName":"Range"}}},"output":{"type":"structure","members":{"body":{"shape":"S1k"},"checksum":{"location":"header","locationName":"x-amz-sha256-tree-hash"},"status":{"location":"statusCode","type":"integer"},"contentRange":{"location":"header","locationName":"Content-Range"},"acceptRanges":{"location":"header","locationName":"Accept-Ranges"},"contentType":{"location":"header","locationName":"Content-Type"},"archiveDescription":{"location":"header","locationName":"x-amz-archive-description"}},"payload":"body"}},"GetVaultAccessPolicy":{"http":{"method":"GET","requestUri":"/{accountId}/vaults/{vaultName}/access-policy"},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"}}},"output":{"type":"structure","members":{"policy":{"shape":"S1o"}},"payload":"policy"}},"GetVaultLock":{"http":{"method":"GET","requestUri":"/{accountId}/vaults/{vaultName}/lock-policy"},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"}}},"output":{"type":"structure","members":{"Policy":{},"State":{},"ExpirationDate":{},"CreationDate":{}}}},"GetVaultNotifications":{"http":{"method":"GET","requestUri":"/{accountId}/vaults/{vaultName}/notification-configuration"},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"}}},"output":{"type":"structure","members":{"vaultNotificationConfig":{"shape":"S1t"}},"payload":"vaultNotificationConfig"}},"InitiateJob":{"http":{"requestUri":"/{accountId}/vaults/{vaultName}/jobs","responseCode":202},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"jobParameters":{"type":"structure","members":{"Format":{},"Type":{},"ArchiveId":{},"Description":{},"SNSTopic":{},"RetrievalByteRange":{},"Tier":{},"InventoryRetrievalParameters":{"type":"structure","members":{"StartDate":{},"EndDate":{},"Limit":{},"Marker":{}}},"SelectParameters":{"shape":"Sp"},"OutputLocation":{"shape":"Sx"}}}},"payload":"jobParameters"},"output":{"type":"structure","members":{"location":{"location":"header","locationName":"Location"},"jobId":{"location":"header","locationName":"x-amz-job-id"},"jobOutputPath":{"location":"header","locationName":"x-amz-job-output-path"}}}},"InitiateMultipartUpload":{"http":{"requestUri":"/{accountId}/vaults/{vaultName}/multipart-uploads","responseCode":201},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"archiveDescription":{"location":"header","locationName":"x-amz-archive-description"},"partSize":{"location":"header","locationName":"x-amz-part-size"}}},"output":{"type":"structure","members":{"location":{"location":"header","locationName":"Location"},"uploadId":{"location":"header","locationName":"x-amz-multipart-upload-id"}}}},"InitiateVaultLock":{"http":{"requestUri":"/{accountId}/vaults/{vaultName}/lock-policy","responseCode":201},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"policy":{"type":"structure","members":{"Policy":{}}}},"payload":"policy"},"output":{"type":"structure","members":{"lockId":{"location":"header","locationName":"x-amz-lock-id"}}}},"ListJobs":{"http":{"method":"GET","requestUri":"/{accountId}/vaults/{vaultName}/jobs"},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"limit":{"location":"querystring","locationName":"limit"},"marker":{"location":"querystring","locationName":"marker"},"statuscode":{"location":"querystring","locationName":"statuscode"},"completed":{"location":"querystring","locationName":"completed"}}},"output":{"type":"structure","members":{"JobList":{"type":"list","member":{"shape":"Si"}},"Marker":{}}}},"ListMultipartUploads":{"http":{"method":"GET","requestUri":"/{accountId}/vaults/{vaultName}/multipart-uploads"},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"marker":{"location":"querystring","locationName":"marker"},"limit":{"location":"querystring","locationName":"limit"}}},"output":{"type":"structure","members":{"UploadsList":{"type":"list","member":{"type":"structure","members":{"MultipartUploadId":{},"VaultARN":{},"ArchiveDescription":{},"PartSizeInBytes":{"type":"long"},"CreationDate":{}}}},"Marker":{}}}},"ListParts":{"http":{"method":"GET","requestUri":"/{accountId}/vaults/{vaultName}/multipart-uploads/{uploadId}"},"input":{"type":"structure","required":["accountId","vaultName","uploadId"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"uploadId":{"location":"uri","locationName":"uploadId"},"marker":{"location":"querystring","locationName":"marker"},"limit":{"location":"querystring","locationName":"limit"}}},"output":{"type":"structure","members":{"MultipartUploadId":{},"VaultARN":{},"ArchiveDescription":{},"PartSizeInBytes":{"type":"long"},"CreationDate":{},"Parts":{"type":"list","member":{"type":"structure","members":{"RangeInBytes":{},"SHA256TreeHash":{}}}},"Marker":{}}}},"ListProvisionedCapacity":{"http":{"method":"GET","requestUri":"/{accountId}/provisioned-capacity"},"input":{"type":"structure","required":["accountId"],"members":{"accountId":{"location":"uri","locationName":"accountId"}}},"output":{"type":"structure","members":{"ProvisionedCapacityList":{"type":"list","member":{"type":"structure","members":{"CapacityId":{},"StartDate":{},"ExpirationDate":{}}}}}}},"ListTagsForVault":{"http":{"method":"GET","requestUri":"/{accountId}/vaults/{vaultName}/tags"},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S5"}}}},"ListVaults":{"http":{"method":"GET","requestUri":"/{accountId}/vaults"},"input":{"type":"structure","required":["accountId"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"marker":{"location":"querystring","locationName":"marker"},"limit":{"location":"querystring","locationName":"limit"}}},"output":{"type":"structure","members":{"VaultList":{"type":"list","member":{"shape":"S1a"}},"Marker":{}}}},"PurchaseProvisionedCapacity":{"http":{"requestUri":"/{accountId}/provisioned-capacity","responseCode":201},"input":{"type":"structure","required":["accountId"],"members":{"accountId":{"location":"uri","locationName":"accountId"}}},"output":{"type":"structure","members":{"capacityId":{"location":"header","locationName":"x-amz-capacity-id"}}}},"RemoveTagsFromVault":{"http":{"requestUri":"/{accountId}/vaults/{vaultName}/tags?operation=remove","responseCode":204},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"TagKeys":{"type":"list","member":{}}}}},"SetDataRetrievalPolicy":{"http":{"method":"PUT","requestUri":"/{accountId}/policies/data-retrieval","responseCode":204},"input":{"type":"structure","required":["accountId"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"Policy":{"shape":"S1e"}}}},"SetVaultAccessPolicy":{"http":{"method":"PUT","requestUri":"/{accountId}/vaults/{vaultName}/access-policy","responseCode":204},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"policy":{"shape":"S1o"}},"payload":"policy"}},"SetVaultNotifications":{"http":{"method":"PUT","requestUri":"/{accountId}/vaults/{vaultName}/notification-configuration","responseCode":204},"input":{"type":"structure","required":["accountId","vaultName"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"vaultNotificationConfig":{"shape":"S1t"}},"payload":"vaultNotificationConfig"}},"UploadArchive":{"http":{"requestUri":"/{accountId}/vaults/{vaultName}/archives","responseCode":201},"input":{"type":"structure","required":["vaultName","accountId"],"members":{"vaultName":{"location":"uri","locationName":"vaultName"},"accountId":{"location":"uri","locationName":"accountId"},"archiveDescription":{"location":"header","locationName":"x-amz-archive-description"},"checksum":{"location":"header","locationName":"x-amz-sha256-tree-hash"},"body":{"shape":"S1k"}},"payload":"body"},"output":{"shape":"S9"}},"UploadMultipartPart":{"http":{"method":"PUT","requestUri":"/{accountId}/vaults/{vaultName}/multipart-uploads/{uploadId}","responseCode":204},"input":{"type":"structure","required":["accountId","vaultName","uploadId"],"members":{"accountId":{"location":"uri","locationName":"accountId"},"vaultName":{"location":"uri","locationName":"vaultName"},"uploadId":{"location":"uri","locationName":"uploadId"},"checksum":{"location":"header","locationName":"x-amz-sha256-tree-hash"},"range":{"location":"header","locationName":"Content-Range"},"body":{"shape":"S1k"}},"payload":"body"},"output":{"type":"structure","members":{"checksum":{"location":"header","locationName":"x-amz-sha256-tree-hash"}}}}},"shapes":{"S5":{"type":"map","key":{},"value":{}},"S9":{"type":"structure","members":{"location":{"location":"header","locationName":"Location"},"checksum":{"location":"header","locationName":"x-amz-sha256-tree-hash"},"archiveId":{"location":"header","locationName":"x-amz-archive-id"}}},"Si":{"type":"structure","members":{"JobId":{},"JobDescription":{},"Action":{},"ArchiveId":{},"VaultARN":{},"CreationDate":{},"Completed":{"type":"boolean"},"StatusCode":{},"StatusMessage":{},"ArchiveSizeInBytes":{"type":"long"},"InventorySizeInBytes":{"type":"long"},"SNSTopic":{},"CompletionDate":{},"SHA256TreeHash":{},"ArchiveSHA256TreeHash":{},"RetrievalByteRange":{},"Tier":{},"InventoryRetrievalParameters":{"type":"structure","members":{"Format":{},"StartDate":{},"EndDate":{},"Limit":{},"Marker":{}}},"JobOutputPath":{},"SelectParameters":{"shape":"Sp"},"OutputLocation":{"shape":"Sx"}}},"Sp":{"type":"structure","members":{"InputSerialization":{"type":"structure","members":{"csv":{"type":"structure","members":{"FileHeaderInfo":{},"Comments":{},"QuoteEscapeCharacter":{},"RecordDelimiter":{},"FieldDelimiter":{},"QuoteCharacter":{}}}}},"ExpressionType":{},"Expression":{},"OutputSerialization":{"type":"structure","members":{"csv":{"type":"structure","members":{"QuoteFields":{},"QuoteEscapeCharacter":{},"RecordDelimiter":{},"FieldDelimiter":{},"QuoteCharacter":{}}}}}}},"Sx":{"type":"structure","members":{"S3":{"type":"structure","members":{"BucketName":{},"Prefix":{},"Encryption":{"type":"structure","members":{"EncryptionType":{},"KMSKeyId":{},"KMSContext":{}}},"CannedACL":{},"AccessControlList":{"type":"list","member":{"type":"structure","members":{"Grantee":{"type":"structure","required":["Type"],"members":{"Type":{},"DisplayName":{},"URI":{},"ID":{},"EmailAddress":{}}},"Permission":{}}}},"Tagging":{"shape":"S17"},"UserMetadata":{"shape":"S17"},"StorageClass":{}}}}},"S17":{"type":"map","key":{},"value":{}},"S1a":{"type":"structure","members":{"VaultARN":{},"VaultName":{},"CreationDate":{},"LastInventoryDate":{},"NumberOfArchives":{"type":"long"},"SizeInBytes":{"type":"long"}}},"S1e":{"type":"structure","members":{"Rules":{"type":"list","member":{"type":"structure","members":{"Strategy":{},"BytesPerHour":{"type":"long"}}}}}},"S1k":{"type":"blob","streaming":true},"S1o":{"type":"structure","members":{"Policy":{}}},"S1t":{"type":"structure","members":{"SNSTopic":{},"Events":{"type":"list","member":{}}}}}}');

/***/ }),

/***/ 54145:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListJobs":{"input_token":"marker","limit_key":"limit","output_token":"Marker","result_key":"JobList"},"ListMultipartUploads":{"input_token":"marker","limit_key":"limit","output_token":"Marker","result_key":"UploadsList"},"ListParts":{"input_token":"marker","limit_key":"limit","output_token":"Marker","result_key":"Parts"},"ListVaults":{"input_token":"marker","limit_key":"limit","output_token":"Marker","result_key":"VaultList"}}}');

/***/ }),

/***/ 65182:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"VaultExists":{"operation":"DescribeVault","delay":3,"maxAttempts":15,"acceptors":[{"state":"success","matcher":"status","expected":200},{"state":"retry","matcher":"error","expected":"ResourceNotFoundException"}]},"VaultNotExists":{"operation":"DescribeVault","delay":3,"maxAttempts":15,"acceptors":[{"state":"retry","matcher":"status","expected":200},{"state":"success","matcher":"error","expected":"ResourceNotFoundException"}]}}}');

/***/ }),

/***/ 35365:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-08-08","endpointPrefix":"globalaccelerator","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Global Accelerator","serviceId":"Global Accelerator","signatureVersion":"v4","signingName":"globalaccelerator","targetPrefix":"GlobalAccelerator_V20180706","uid":"globalaccelerator-2018-08-08"},"operations":{"AddCustomRoutingEndpoints":{"input":{"type":"structure","required":["EndpointConfigurations","EndpointGroupArn"],"members":{"EndpointConfigurations":{"type":"list","member":{"type":"structure","members":{"EndpointId":{}}}},"EndpointGroupArn":{}}},"output":{"type":"structure","members":{"EndpointDescriptions":{"shape":"S6"},"EndpointGroupArn":{}}}},"AdvertiseByoipCidr":{"input":{"type":"structure","required":["Cidr"],"members":{"Cidr":{}}},"output":{"type":"structure","members":{"ByoipCidr":{"shape":"Sa"}}}},"AllowCustomRoutingTraffic":{"input":{"type":"structure","required":["EndpointGroupArn","EndpointId"],"members":{"EndpointGroupArn":{},"EndpointId":{},"DestinationAddresses":{"shape":"Sg"},"DestinationPorts":{"shape":"Si"},"AllowAllTrafficToEndpoint":{"type":"boolean"}}}},"CreateAccelerator":{"input":{"type":"structure","required":["Name","IdempotencyToken"],"members":{"Name":{},"IpAddressType":{},"IpAddresses":{"shape":"Sn"},"Enabled":{"type":"boolean"},"IdempotencyToken":{"idempotencyToken":true},"Tags":{"shape":"Sp"}}},"output":{"type":"structure","members":{"Accelerator":{"shape":"Su"}}}},"CreateCustomRoutingAccelerator":{"input":{"type":"structure","required":["Name","IdempotencyToken"],"members":{"Name":{},"IpAddressType":{},"IpAddresses":{"shape":"Sn"},"Enabled":{"type":"boolean"},"IdempotencyToken":{"idempotencyToken":true},"Tags":{"shape":"Sp"}}},"output":{"type":"structure","members":{"Accelerator":{"shape":"S10"}}}},"CreateCustomRoutingEndpointGroup":{"input":{"type":"structure","required":["ListenerArn","EndpointGroupRegion","DestinationConfigurations","IdempotencyToken"],"members":{"ListenerArn":{},"EndpointGroupRegion":{},"DestinationConfigurations":{"type":"list","member":{"type":"structure","required":["FromPort","ToPort","Protocols"],"members":{"FromPort":{"type":"integer"},"ToPort":{"type":"integer"},"Protocols":{"shape":"S15"}}}},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"EndpointGroup":{"shape":"S18"}}}},"CreateCustomRoutingListener":{"input":{"type":"structure","required":["AcceleratorArn","PortRanges","IdempotencyToken"],"members":{"AcceleratorArn":{},"PortRanges":{"shape":"S1e"},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"Listener":{"shape":"S1h"}}}},"CreateEndpointGroup":{"input":{"type":"structure","required":["ListenerArn","EndpointGroupRegion","IdempotencyToken"],"members":{"ListenerArn":{},"EndpointGroupRegion":{},"EndpointConfigurations":{"shape":"S1j"},"TrafficDialPercentage":{"type":"float"},"HealthCheckPort":{"type":"integer"},"HealthCheckProtocol":{},"HealthCheckPath":{},"HealthCheckIntervalSeconds":{"type":"integer"},"ThresholdCount":{"type":"integer"},"IdempotencyToken":{"idempotencyToken":true},"PortOverrides":{"shape":"S1s"}}},"output":{"type":"structure","members":{"EndpointGroup":{"shape":"S1v"}}}},"CreateListener":{"input":{"type":"structure","required":["AcceleratorArn","PortRanges","Protocol","IdempotencyToken"],"members":{"AcceleratorArn":{},"PortRanges":{"shape":"S1e"},"Protocol":{},"ClientAffinity":{},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"Listener":{"shape":"S22"}}}},"DeleteAccelerator":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{}}}},"DeleteCustomRoutingAccelerator":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{}}}},"DeleteCustomRoutingEndpointGroup":{"input":{"type":"structure","required":["EndpointGroupArn"],"members":{"EndpointGroupArn":{}}}},"DeleteCustomRoutingListener":{"input":{"type":"structure","required":["ListenerArn"],"members":{"ListenerArn":{}}}},"DeleteEndpointGroup":{"input":{"type":"structure","required":["EndpointGroupArn"],"members":{"EndpointGroupArn":{}}}},"DeleteListener":{"input":{"type":"structure","required":["ListenerArn"],"members":{"ListenerArn":{}}}},"DenyCustomRoutingTraffic":{"input":{"type":"structure","required":["EndpointGroupArn","EndpointId"],"members":{"EndpointGroupArn":{},"EndpointId":{},"DestinationAddresses":{"shape":"Sg"},"DestinationPorts":{"shape":"Si"},"DenyAllTrafficToEndpoint":{"type":"boolean"}}}},"DeprovisionByoipCidr":{"input":{"type":"structure","required":["Cidr"],"members":{"Cidr":{}}},"output":{"type":"structure","members":{"ByoipCidr":{"shape":"Sa"}}}},"DescribeAccelerator":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{}}},"output":{"type":"structure","members":{"Accelerator":{"shape":"Su"}}}},"DescribeAcceleratorAttributes":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{}}},"output":{"type":"structure","members":{"AcceleratorAttributes":{"shape":"S2g"}}}},"DescribeCustomRoutingAccelerator":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{}}},"output":{"type":"structure","members":{"Accelerator":{"shape":"S10"}}}},"DescribeCustomRoutingAcceleratorAttributes":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{}}},"output":{"type":"structure","members":{"AcceleratorAttributes":{"shape":"S2l"}}}},"DescribeCustomRoutingEndpointGroup":{"input":{"type":"structure","required":["EndpointGroupArn"],"members":{"EndpointGroupArn":{}}},"output":{"type":"structure","members":{"EndpointGroup":{"shape":"S18"}}}},"DescribeCustomRoutingListener":{"input":{"type":"structure","required":["ListenerArn"],"members":{"ListenerArn":{}}},"output":{"type":"structure","members":{"Listener":{"shape":"S1h"}}}},"DescribeEndpointGroup":{"input":{"type":"structure","required":["EndpointGroupArn"],"members":{"EndpointGroupArn":{}}},"output":{"type":"structure","members":{"EndpointGroup":{"shape":"S1v"}}}},"DescribeListener":{"input":{"type":"structure","required":["ListenerArn"],"members":{"ListenerArn":{}}},"output":{"type":"structure","members":{"Listener":{"shape":"S22"}}}},"ListAccelerators":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Accelerators":{"type":"list","member":{"shape":"Su"}},"NextToken":{}}}},"ListByoipCidrs":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ByoipCidrs":{"type":"list","member":{"shape":"Sa"}},"NextToken":{}}}},"ListCustomRoutingAccelerators":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Accelerators":{"type":"list","member":{"shape":"S10"}},"NextToken":{}}}},"ListCustomRoutingEndpointGroups":{"input":{"type":"structure","required":["ListenerArn"],"members":{"ListenerArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"EndpointGroups":{"type":"list","member":{"shape":"S18"}},"NextToken":{}}}},"ListCustomRoutingListeners":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Listeners":{"type":"list","member":{"shape":"S1h"}},"NextToken":{}}}},"ListCustomRoutingPortMappings":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{},"EndpointGroupArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"PortMappings":{"type":"list","member":{"type":"structure","members":{"AcceleratorPort":{"type":"integer"},"EndpointGroupArn":{},"EndpointId":{},"DestinationSocketAddress":{"shape":"S3f"},"Protocols":{"shape":"S15"},"DestinationTrafficState":{}}}},"NextToken":{}}}},"ListCustomRoutingPortMappingsByDestination":{"input":{"type":"structure","required":["EndpointId","DestinationAddress"],"members":{"EndpointId":{},"DestinationAddress":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"DestinationPortMappings":{"type":"list","member":{"type":"structure","members":{"AcceleratorArn":{},"AcceleratorSocketAddresses":{"type":"list","member":{"shape":"S3f"}},"EndpointGroupArn":{},"EndpointId":{},"EndpointGroupRegion":{},"DestinationSocketAddress":{"shape":"S3f"},"IpAddressType":{},"DestinationTrafficState":{}}}},"NextToken":{}}}},"ListEndpointGroups":{"input":{"type":"structure","required":["ListenerArn"],"members":{"ListenerArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"EndpointGroups":{"type":"list","member":{"shape":"S1v"}},"NextToken":{}}}},"ListListeners":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Listeners":{"type":"list","member":{"shape":"S22"}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sp"}}}},"ProvisionByoipCidr":{"input":{"type":"structure","required":["Cidr","CidrAuthorizationContext"],"members":{"Cidr":{},"CidrAuthorizationContext":{"type":"structure","required":["Message","Signature"],"members":{"Message":{},"Signature":{}}}}},"output":{"type":"structure","members":{"ByoipCidr":{"shape":"Sa"}}}},"RemoveCustomRoutingEndpoints":{"input":{"type":"structure","required":["EndpointIds","EndpointGroupArn"],"members":{"EndpointIds":{"type":"list","member":{}},"EndpointGroupArn":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sp"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateAccelerator":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{},"Name":{},"IpAddressType":{},"Enabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"Accelerator":{"shape":"Su"}}}},"UpdateAcceleratorAttributes":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{},"FlowLogsEnabled":{"type":"boolean"},"FlowLogsS3Bucket":{},"FlowLogsS3Prefix":{}}},"output":{"type":"structure","members":{"AcceleratorAttributes":{"shape":"S2g"}}}},"UpdateCustomRoutingAccelerator":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{},"Name":{},"IpAddressType":{},"Enabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"Accelerator":{"shape":"S10"}}}},"UpdateCustomRoutingAcceleratorAttributes":{"input":{"type":"structure","required":["AcceleratorArn"],"members":{"AcceleratorArn":{},"FlowLogsEnabled":{"type":"boolean"},"FlowLogsS3Bucket":{},"FlowLogsS3Prefix":{}}},"output":{"type":"structure","members":{"AcceleratorAttributes":{"shape":"S2l"}}}},"UpdateCustomRoutingListener":{"input":{"type":"structure","required":["ListenerArn","PortRanges"],"members":{"ListenerArn":{},"PortRanges":{"shape":"S1e"}}},"output":{"type":"structure","members":{"Listener":{"shape":"S1h"}}}},"UpdateEndpointGroup":{"input":{"type":"structure","required":["EndpointGroupArn"],"members":{"EndpointGroupArn":{},"EndpointConfigurations":{"shape":"S1j"},"TrafficDialPercentage":{"type":"float"},"HealthCheckPort":{"type":"integer"},"HealthCheckProtocol":{},"HealthCheckPath":{},"HealthCheckIntervalSeconds":{"type":"integer"},"ThresholdCount":{"type":"integer"},"PortOverrides":{"shape":"S1s"}}},"output":{"type":"structure","members":{"EndpointGroup":{"shape":"S1v"}}}},"UpdateListener":{"input":{"type":"structure","required":["ListenerArn"],"members":{"ListenerArn":{},"PortRanges":{"shape":"S1e"},"Protocol":{},"ClientAffinity":{}}},"output":{"type":"structure","members":{"Listener":{"shape":"S22"}}}},"WithdrawByoipCidr":{"input":{"type":"structure","required":["Cidr"],"members":{"Cidr":{}}},"output":{"type":"structure","members":{"ByoipCidr":{"shape":"Sa"}}}}},"shapes":{"S6":{"type":"list","member":{"type":"structure","members":{"EndpointId":{}}}},"Sa":{"type":"structure","members":{"Cidr":{},"State":{},"Events":{"type":"list","member":{"type":"structure","members":{"Message":{},"Timestamp":{"type":"timestamp"}}}}}},"Sg":{"type":"list","member":{}},"Si":{"type":"list","member":{"type":"integer"}},"Sn":{"type":"list","member":{}},"Sp":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Su":{"type":"structure","members":{"AcceleratorArn":{},"Name":{},"IpAddressType":{},"Enabled":{"type":"boolean"},"IpSets":{"shape":"Sv"},"DnsName":{},"Status":{},"CreatedTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}},"Sv":{"type":"list","member":{"type":"structure","members":{"IpFamily":{},"IpAddresses":{"shape":"Sn"}}}},"S10":{"type":"structure","members":{"AcceleratorArn":{},"Name":{},"IpAddressType":{},"Enabled":{"type":"boolean"},"IpSets":{"shape":"Sv"},"DnsName":{},"Status":{},"CreatedTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}},"S15":{"type":"list","member":{}},"S18":{"type":"structure","members":{"EndpointGroupArn":{},"EndpointGroupRegion":{},"DestinationDescriptions":{"type":"list","member":{"type":"structure","members":{"FromPort":{"type":"integer"},"ToPort":{"type":"integer"},"Protocols":{"type":"list","member":{}}}}},"EndpointDescriptions":{"shape":"S6"}}},"S1e":{"type":"list","member":{"type":"structure","members":{"FromPort":{"type":"integer"},"ToPort":{"type":"integer"}}}},"S1h":{"type":"structure","members":{"ListenerArn":{},"PortRanges":{"shape":"S1e"}}},"S1j":{"type":"list","member":{"type":"structure","members":{"EndpointId":{},"Weight":{"type":"integer"},"ClientIPPreservationEnabled":{"type":"boolean"}}}},"S1s":{"type":"list","member":{"type":"structure","members":{"ListenerPort":{"type":"integer"},"EndpointPort":{"type":"integer"}}}},"S1v":{"type":"structure","members":{"EndpointGroupArn":{},"EndpointGroupRegion":{},"EndpointDescriptions":{"type":"list","member":{"type":"structure","members":{"EndpointId":{},"Weight":{"type":"integer"},"HealthState":{},"HealthReason":{},"ClientIPPreservationEnabled":{"type":"boolean"}}}},"TrafficDialPercentage":{"type":"float"},"HealthCheckPort":{"type":"integer"},"HealthCheckProtocol":{},"HealthCheckPath":{},"HealthCheckIntervalSeconds":{"type":"integer"},"ThresholdCount":{"type":"integer"},"PortOverrides":{"shape":"S1s"}}},"S22":{"type":"structure","members":{"ListenerArn":{},"PortRanges":{"shape":"S1e"},"Protocol":{},"ClientAffinity":{}}},"S2g":{"type":"structure","members":{"FlowLogsEnabled":{"type":"boolean"},"FlowLogsS3Bucket":{},"FlowLogsS3Prefix":{}}},"S2l":{"type":"structure","members":{"FlowLogsEnabled":{"type":"boolean"},"FlowLogsS3Bucket":{},"FlowLogsS3Prefix":{}}},"S3f":{"type":"structure","members":{"IpAddress":{},"Port":{"type":"integer"}}}}}');

/***/ }),

/***/ 14796:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAccelerators":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Accelerators"},"ListByoipCidrs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ByoipCidrs"},"ListCustomRoutingAccelerators":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Accelerators"},"ListCustomRoutingEndpointGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListCustomRoutingListeners":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Listeners"},"ListCustomRoutingPortMappings":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"PortMappings"},"ListCustomRoutingPortMappingsByDestination":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"DestinationPortMappings"},"ListEndpointGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"EndpointGroups"},"ListListeners":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Listeners"}}}');

/***/ }),

/***/ 72268:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-03-31","endpointPrefix":"glue","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Glue","serviceId":"Glue","signatureVersion":"v4","targetPrefix":"AWSGlue","uid":"glue-2017-03-31"},"operations":{"BatchCreatePartition":{"input":{"type":"structure","required":["DatabaseName","TableName","PartitionInputList"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"PartitionInputList":{"type":"list","member":{"shape":"S5"}}}},"output":{"type":"structure","members":{"Errors":{"shape":"S11"}}}},"BatchDeleteConnection":{"input":{"type":"structure","required":["ConnectionNameList"],"members":{"CatalogId":{},"ConnectionNameList":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"Succeeded":{"shape":"Sm"},"Errors":{"type":"map","key":{},"value":{"shape":"S13"}}}}},"BatchDeletePartition":{"input":{"type":"structure","required":["DatabaseName","TableName","PartitionsToDelete"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"PartitionsToDelete":{"type":"list","member":{"shape":"S1b"}}}},"output":{"type":"structure","members":{"Errors":{"shape":"S11"}}}},"BatchDeleteTable":{"input":{"type":"structure","required":["DatabaseName","TablesToDelete"],"members":{"CatalogId":{},"DatabaseName":{},"TablesToDelete":{"type":"list","member":{}},"TransactionId":{}}},"output":{"type":"structure","members":{"Errors":{"type":"list","member":{"type":"structure","members":{"TableName":{},"ErrorDetail":{"shape":"S13"}}}}}}},"BatchDeleteTableVersion":{"input":{"type":"structure","required":["DatabaseName","TableName","VersionIds"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"VersionIds":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"Errors":{"type":"list","member":{"type":"structure","members":{"TableName":{},"VersionId":{},"ErrorDetail":{"shape":"S13"}}}}}}},"BatchGetBlueprints":{"input":{"type":"structure","required":["Names"],"members":{"Names":{"type":"list","member":{}},"IncludeBlueprint":{"type":"boolean"},"IncludeParameterSpec":{"type":"boolean"}}},"output":{"type":"structure","members":{"Blueprints":{"type":"list","member":{"shape":"S1v"}},"MissingBlueprints":{"shape":"S23"}}}},"BatchGetCrawlers":{"input":{"type":"structure","required":["CrawlerNames"],"members":{"CrawlerNames":{"shape":"S25"}}},"output":{"type":"structure","members":{"Crawlers":{"shape":"S27"},"CrawlersNotFound":{"shape":"S25"}}}},"BatchGetDevEndpoints":{"input":{"type":"structure","required":["DevEndpointNames"],"members":{"DevEndpointNames":{"shape":"S3g"}}},"output":{"type":"structure","members":{"DevEndpoints":{"shape":"S3i"},"DevEndpointsNotFound":{"shape":"S3g"}}}},"BatchGetJobs":{"input":{"type":"structure","required":["JobNames"],"members":{"JobNames":{"shape":"S3s"}}},"output":{"type":"structure","members":{"Jobs":{"shape":"S3u"},"JobsNotFound":{"shape":"S3s"}}}},"BatchGetPartition":{"input":{"type":"structure","required":["DatabaseName","TableName","PartitionsToGet"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"PartitionsToGet":{"shape":"S4b"}}},"output":{"type":"structure","members":{"Partitions":{"shape":"S4d"},"UnprocessedKeys":{"shape":"S4b"}}}},"BatchGetTriggers":{"input":{"type":"structure","required":["TriggerNames"],"members":{"TriggerNames":{"shape":"S4g"}}},"output":{"type":"structure","members":{"Triggers":{"shape":"S4i"},"TriggersNotFound":{"shape":"S4g"}}}},"BatchGetWorkflows":{"input":{"type":"structure","required":["Names"],"members":{"Names":{"shape":"S50"},"IncludeGraph":{"type":"boolean"}}},"output":{"type":"structure","members":{"Workflows":{"type":"list","member":{"shape":"S53"}},"MissingWorkflows":{"shape":"S50"}}}},"BatchStopJobRun":{"input":{"type":"structure","required":["JobName","JobRunIds"],"members":{"JobName":{},"JobRunIds":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"SuccessfulSubmissions":{"type":"list","member":{"type":"structure","members":{"JobName":{},"JobRunId":{}}}},"Errors":{"type":"list","member":{"type":"structure","members":{"JobName":{},"JobRunId":{},"ErrorDetail":{"shape":"S13"}}}}}}},"BatchUpdatePartition":{"input":{"type":"structure","required":["DatabaseName","TableName","Entries"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"Entries":{"type":"list","member":{"type":"structure","required":["PartitionValueList","PartitionInput"],"members":{"PartitionValueList":{"shape":"S61"},"PartitionInput":{"shape":"S5"}}}}}},"output":{"type":"structure","members":{"Errors":{"type":"list","member":{"type":"structure","members":{"PartitionValueList":{"shape":"S61"},"ErrorDetail":{"shape":"S13"}}}}}}},"CancelMLTaskRun":{"input":{"type":"structure","required":["TransformId","TaskRunId"],"members":{"TransformId":{},"TaskRunId":{}}},"output":{"type":"structure","members":{"TransformId":{},"TaskRunId":{},"Status":{}}}},"CheckSchemaVersionValidity":{"input":{"type":"structure","required":["DataFormat","SchemaDefinition"],"members":{"DataFormat":{},"SchemaDefinition":{}}},"output":{"type":"structure","members":{"Valid":{"type":"boolean"},"Error":{}}}},"CreateBlueprint":{"input":{"type":"structure","required":["Name","BlueprintLocation"],"members":{"Name":{},"Description":{},"BlueprintLocation":{},"Tags":{"shape":"S6h"}}},"output":{"type":"structure","members":{"Name":{}}}},"CreateClassifier":{"input":{"type":"structure","members":{"GrokClassifier":{"type":"structure","required":["Classification","Name","GrokPattern"],"members":{"Classification":{},"Name":{},"GrokPattern":{},"CustomPatterns":{}}},"XMLClassifier":{"type":"structure","required":["Classification","Name"],"members":{"Classification":{},"Name":{},"RowTag":{}}},"JsonClassifier":{"type":"structure","required":["Name","JsonPath"],"members":{"Name":{},"JsonPath":{}}},"CsvClassifier":{"type":"structure","required":["Name"],"members":{"Name":{},"Delimiter":{},"QuoteSymbol":{},"ContainsHeader":{},"Header":{"shape":"S6y"},"DisableValueTrimming":{"type":"boolean"},"AllowSingleColumn":{"type":"boolean"}}}}},"output":{"type":"structure","members":{}}},"CreateConnection":{"input":{"type":"structure","required":["ConnectionInput"],"members":{"CatalogId":{},"ConnectionInput":{"shape":"S71"},"Tags":{"shape":"S6h"}}},"output":{"type":"structure","members":{}}},"CreateCrawler":{"input":{"type":"structure","required":["Name","Role","Targets"],"members":{"Name":{},"Role":{},"DatabaseName":{},"Description":{},"Targets":{"shape":"S2a"},"Schedule":{},"Classifiers":{"shape":"S2t"},"TablePrefix":{},"SchemaChangePolicy":{"shape":"S2w"},"RecrawlPolicy":{"shape":"S2u"},"LineageConfiguration":{"shape":"S2z"},"Configuration":{},"CrawlerSecurityConfiguration":{},"Tags":{"shape":"S6h"}}},"output":{"type":"structure","members":{}}},"CreateDatabase":{"input":{"type":"structure","required":["DatabaseInput"],"members":{"CatalogId":{},"DatabaseInput":{"shape":"S7c"}}},"output":{"type":"structure","members":{}}},"CreateDevEndpoint":{"input":{"type":"structure","required":["EndpointName","RoleArn"],"members":{"EndpointName":{},"RoleArn":{},"SecurityGroupIds":{"shape":"S3l"},"SubnetId":{},"PublicKey":{},"PublicKeys":{"shape":"S3p"},"NumberOfNodes":{"type":"integer"},"WorkerType":{},"GlueVersion":{},"NumberOfWorkers":{"type":"integer"},"ExtraPythonLibsS3Path":{},"ExtraJarsS3Path":{},"SecurityConfiguration":{},"Tags":{"shape":"S6h"},"Arguments":{"shape":"S3q"}}},"output":{"type":"structure","members":{"EndpointName":{},"Status":{},"SecurityGroupIds":{"shape":"S3l"},"SubnetId":{},"RoleArn":{},"YarnEndpointAddress":{},"ZeppelinRemoteSparkInterpreterPort":{"type":"integer"},"NumberOfNodes":{"type":"integer"},"WorkerType":{},"GlueVersion":{},"NumberOfWorkers":{"type":"integer"},"AvailabilityZone":{},"VpcId":{},"ExtraPythonLibsS3Path":{},"ExtraJarsS3Path":{},"FailureReason":{},"SecurityConfiguration":{},"CreatedTimestamp":{"type":"timestamp"},"Arguments":{"shape":"S3q"}}}},"CreateJob":{"input":{"type":"structure","required":["Name","Role","Command"],"members":{"Name":{},"Description":{},"LogUri":{},"Role":{},"ExecutionProperty":{"shape":"S3y"},"Command":{"shape":"S40"},"DefaultArguments":{"shape":"S43"},"NonOverridableArguments":{"shape":"S43"},"Connections":{"shape":"S44"},"MaxRetries":{"type":"integer"},"AllocatedCapacity":{"deprecated":true,"deprecatedMessage":"This property is deprecated, use MaxCapacity instead.","type":"integer"},"Timeout":{"type":"integer"},"MaxCapacity":{"type":"double"},"SecurityConfiguration":{},"Tags":{"shape":"S6h"},"NotificationProperty":{"shape":"S48"},"GlueVersion":{},"NumberOfWorkers":{"type":"integer"},"WorkerType":{}}},"output":{"type":"structure","members":{"Name":{}}}},"CreateMLTransform":{"input":{"type":"structure","required":["Name","InputRecordTables","Parameters","Role"],"members":{"Name":{},"Description":{},"InputRecordTables":{"shape":"S7r"},"Parameters":{"shape":"S7t"},"Role":{},"GlueVersion":{},"MaxCapacity":{"type":"double"},"WorkerType":{},"NumberOfWorkers":{"type":"integer"},"Timeout":{"type":"integer"},"MaxRetries":{"type":"integer"},"Tags":{"shape":"S6h"},"TransformEncryption":{"shape":"S7y"}}},"output":{"type":"structure","members":{"TransformId":{}}}},"CreatePartition":{"input":{"type":"structure","required":["DatabaseName","TableName","PartitionInput"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"PartitionInput":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"CreatePartitionIndex":{"input":{"type":"structure","required":["DatabaseName","TableName","PartitionIndex"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"PartitionIndex":{"shape":"S85"}}},"output":{"type":"structure","members":{}}},"CreateRegistry":{"input":{"type":"structure","required":["RegistryName"],"members":{"RegistryName":{},"Description":{},"Tags":{"shape":"S6h"}}},"output":{"type":"structure","members":{"RegistryArn":{},"RegistryName":{},"Description":{},"Tags":{"shape":"S6h"}}}},"CreateSchema":{"input":{"type":"structure","required":["SchemaName","DataFormat"],"members":{"RegistryId":{"shape":"S8b"},"SchemaName":{},"DataFormat":{},"Compatibility":{},"Description":{},"Tags":{"shape":"S6h"},"SchemaDefinition":{}}},"output":{"type":"structure","members":{"RegistryName":{},"RegistryArn":{},"SchemaName":{},"SchemaArn":{},"Description":{},"DataFormat":{},"Compatibility":{},"SchemaCheckpoint":{"type":"long"},"LatestSchemaVersion":{"type":"long"},"NextSchemaVersion":{"type":"long"},"SchemaStatus":{},"Tags":{"shape":"S6h"},"SchemaVersionId":{},"SchemaVersionStatus":{}}}},"CreateScript":{"input":{"type":"structure","members":{"DagNodes":{"shape":"S8i"},"DagEdges":{"shape":"S8q"},"Language":{}}},"output":{"type":"structure","members":{"PythonScript":{},"ScalaCode":{}}}},"CreateSecurityConfiguration":{"input":{"type":"structure","required":["Name","EncryptionConfiguration"],"members":{"Name":{},"EncryptionConfiguration":{"shape":"S8x"}}},"output":{"type":"structure","members":{"Name":{},"CreatedTimestamp":{"type":"timestamp"}}}},"CreateTable":{"input":{"type":"structure","required":["DatabaseName","TableInput"],"members":{"CatalogId":{},"DatabaseName":{},"TableInput":{"shape":"S98"},"PartitionIndexes":{"type":"list","member":{"shape":"S85"}},"TransactionId":{}}},"output":{"type":"structure","members":{}}},"CreateTrigger":{"input":{"type":"structure","required":["Name","Type","Actions"],"members":{"Name":{},"WorkflowName":{},"Type":{},"Schedule":{},"Predicate":{"shape":"S4p"},"Actions":{"shape":"S4n"},"Description":{},"StartOnCreation":{"type":"boolean"},"Tags":{"shape":"S6h"},"EventBatchingCondition":{"shape":"S4w"}}},"output":{"type":"structure","members":{"Name":{}}}},"CreateUserDefinedFunction":{"input":{"type":"structure","required":["DatabaseName","FunctionInput"],"members":{"CatalogId":{},"DatabaseName":{},"FunctionInput":{"shape":"S9j"}}},"output":{"type":"structure","members":{}}},"CreateWorkflow":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"DefaultRunProperties":{"shape":"S54"},"Tags":{"shape":"S6h"},"MaxConcurrentRuns":{"type":"integer"}}},"output":{"type":"structure","members":{"Name":{}}}},"DeleteBlueprint":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Name":{}}}},"DeleteClassifier":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteColumnStatisticsForPartition":{"input":{"type":"structure","required":["DatabaseName","TableName","PartitionValues","ColumnName"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"PartitionValues":{"shape":"S6"},"ColumnName":{}}},"output":{"type":"structure","members":{}}},"DeleteColumnStatisticsForTable":{"input":{"type":"structure","required":["DatabaseName","TableName","ColumnName"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"ColumnName":{}}},"output":{"type":"structure","members":{}}},"DeleteConnection":{"input":{"type":"structure","required":["ConnectionName"],"members":{"CatalogId":{},"ConnectionName":{}}},"output":{"type":"structure","members":{}}},"DeleteCrawler":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteDatabase":{"input":{"type":"structure","required":["Name"],"members":{"CatalogId":{},"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteDevEndpoint":{"input":{"type":"structure","required":["EndpointName"],"members":{"EndpointName":{}}},"output":{"type":"structure","members":{}}},"DeleteJob":{"input":{"type":"structure","required":["JobName"],"members":{"JobName":{}}},"output":{"type":"structure","members":{"JobName":{}}}},"DeleteMLTransform":{"input":{"type":"structure","required":["TransformId"],"members":{"TransformId":{}}},"output":{"type":"structure","members":{"TransformId":{}}}},"DeletePartition":{"input":{"type":"structure","required":["DatabaseName","TableName","PartitionValues"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"PartitionValues":{"shape":"S6"}}},"output":{"type":"structure","members":{}}},"DeletePartitionIndex":{"input":{"type":"structure","required":["DatabaseName","TableName","IndexName"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"IndexName":{}}},"output":{"type":"structure","members":{}}},"DeleteRegistry":{"input":{"type":"structure","required":["RegistryId"],"members":{"RegistryId":{"shape":"S8b"}}},"output":{"type":"structure","members":{"RegistryName":{},"RegistryArn":{},"Status":{}}}},"DeleteResourcePolicy":{"input":{"type":"structure","members":{"PolicyHashCondition":{},"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"DeleteSchema":{"input":{"type":"structure","required":["SchemaId"],"members":{"SchemaId":{"shape":"Sv"}}},"output":{"type":"structure","members":{"SchemaArn":{},"SchemaName":{},"Status":{}}}},"DeleteSchemaVersions":{"input":{"type":"structure","required":["SchemaId","Versions"],"members":{"SchemaId":{"shape":"Sv"},"Versions":{}}},"output":{"type":"structure","members":{"SchemaVersionErrors":{"type":"list","member":{"type":"structure","members":{"VersionNumber":{"type":"long"},"ErrorDetails":{"type":"structure","members":{"ErrorCode":{},"ErrorMessage":{}}}}}}}}},"DeleteSecurityConfiguration":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteTable":{"input":{"type":"structure","required":["DatabaseName","Name"],"members":{"CatalogId":{},"DatabaseName":{},"Name":{},"TransactionId":{}}},"output":{"type":"structure","members":{}}},"DeleteTableVersion":{"input":{"type":"structure","required":["DatabaseName","TableName","VersionId"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"VersionId":{}}},"output":{"type":"structure","members":{}}},"DeleteTrigger":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Name":{}}}},"DeleteUserDefinedFunction":{"input":{"type":"structure","required":["DatabaseName","FunctionName"],"members":{"CatalogId":{},"DatabaseName":{},"FunctionName":{}}},"output":{"type":"structure","members":{}}},"DeleteWorkflow":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Name":{}}}},"GetBlueprint":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"IncludeBlueprint":{"type":"boolean"},"IncludeParameterSpec":{"type":"boolean"}}},"output":{"type":"structure","members":{"Blueprint":{"shape":"S1v"}}}},"GetBlueprintRun":{"input":{"type":"structure","required":["BlueprintName","RunId"],"members":{"BlueprintName":{},"RunId":{}}},"output":{"type":"structure","members":{"BlueprintRun":{"shape":"Sba"}}}},"GetBlueprintRuns":{"input":{"type":"structure","required":["BlueprintName"],"members":{"BlueprintName":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"BlueprintRuns":{"type":"list","member":{"shape":"Sba"}},"NextToken":{}}}},"GetCatalogImportStatus":{"input":{"type":"structure","members":{"CatalogId":{}}},"output":{"type":"structure","members":{"ImportStatus":{"type":"structure","members":{"ImportCompleted":{"type":"boolean"},"ImportTime":{"type":"timestamp"},"ImportedBy":{}}}}}},"GetClassifier":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Classifier":{"shape":"Sbo"}}}},"GetClassifiers":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Classifiers":{"type":"list","member":{"shape":"Sbo"}},"NextToken":{}}}},"GetColumnStatisticsForPartition":{"input":{"type":"structure","required":["DatabaseName","TableName","PartitionValues","ColumnNames"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"PartitionValues":{"shape":"S6"},"ColumnNames":{"shape":"Sby"}}},"output":{"type":"structure","members":{"ColumnStatisticsList":{"shape":"Sc0"},"Errors":{"shape":"Sci"}}}},"GetColumnStatisticsForTable":{"input":{"type":"structure","required":["DatabaseName","TableName","ColumnNames"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"ColumnNames":{"shape":"Sby"}}},"output":{"type":"structure","members":{"ColumnStatisticsList":{"shape":"Sc0"},"Errors":{"shape":"Sci"}}}},"GetConnection":{"input":{"type":"structure","required":["Name"],"members":{"CatalogId":{},"Name":{},"HidePassword":{"type":"boolean"}}},"output":{"type":"structure","members":{"Connection":{"shape":"Sco"}}}},"GetConnections":{"input":{"type":"structure","members":{"CatalogId":{},"Filter":{"type":"structure","members":{"MatchCriteria":{"shape":"S73"},"ConnectionType":{}}},"HidePassword":{"type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ConnectionList":{"type":"list","member":{"shape":"Sco"}},"NextToken":{}}}},"GetCrawler":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Crawler":{"shape":"S28"}}}},"GetCrawlerMetrics":{"input":{"type":"structure","members":{"CrawlerNameList":{"shape":"S25"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"CrawlerMetricsList":{"type":"list","member":{"type":"structure","members":{"CrawlerName":{},"TimeLeftSeconds":{"type":"double"},"StillEstimating":{"type":"boolean"},"LastRuntimeSeconds":{"type":"double"},"MedianRuntimeSeconds":{"type":"double"},"TablesCreated":{"type":"integer"},"TablesUpdated":{"type":"integer"},"TablesDeleted":{"type":"integer"}}}},"NextToken":{}}}},"GetCrawlers":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Crawlers":{"shape":"S27"},"NextToken":{}}}},"GetDataCatalogEncryptionSettings":{"input":{"type":"structure","members":{"CatalogId":{}}},"output":{"type":"structure","members":{"DataCatalogEncryptionSettings":{"shape":"Sd3"}}}},"GetDatabase":{"input":{"type":"structure","required":["Name"],"members":{"CatalogId":{},"Name":{}}},"output":{"type":"structure","members":{"Database":{"shape":"Sd9"}}}},"GetDatabases":{"input":{"type":"structure","members":{"CatalogId":{},"NextToken":{},"MaxResults":{"type":"integer"},"ResourceShareType":{}}},"output":{"type":"structure","required":["DatabaseList"],"members":{"DatabaseList":{"type":"list","member":{"shape":"Sd9"}},"NextToken":{}}}},"GetDataflowGraph":{"input":{"type":"structure","members":{"PythonScript":{}}},"output":{"type":"structure","members":{"DagNodes":{"shape":"S8i"},"DagEdges":{"shape":"S8q"}}}},"GetDevEndpoint":{"input":{"type":"structure","required":["EndpointName"],"members":{"EndpointName":{}}},"output":{"type":"structure","members":{"DevEndpoint":{"shape":"S3j"}}}},"GetDevEndpoints":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"DevEndpoints":{"shape":"S3i"},"NextToken":{}}}},"GetJob":{"input":{"type":"structure","required":["JobName"],"members":{"JobName":{}}},"output":{"type":"structure","members":{"Job":{"shape":"S3v"}}}},"GetJobBookmark":{"input":{"type":"structure","required":["JobName"],"members":{"JobName":{},"RunId":{}}},"output":{"type":"structure","members":{"JobBookmarkEntry":{"shape":"Sdr"}}}},"GetJobRun":{"input":{"type":"structure","required":["JobName","RunId"],"members":{"JobName":{},"RunId":{},"PredecessorsIncluded":{"type":"boolean"}}},"output":{"type":"structure","members":{"JobRun":{"shape":"S5f"}}}},"GetJobRuns":{"input":{"type":"structure","required":["JobName"],"members":{"JobName":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"JobRuns":{"shape":"S5e"},"NextToken":{}}}},"GetJobs":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Jobs":{"shape":"S3u"},"NextToken":{}}}},"GetMLTaskRun":{"input":{"type":"structure","required":["TransformId","TaskRunId"],"members":{"TransformId":{},"TaskRunId":{}}},"output":{"type":"structure","members":{"TransformId":{},"TaskRunId":{},"Status":{},"LogGroupName":{},"Properties":{"shape":"Se1"},"ErrorString":{},"StartedOn":{"type":"timestamp"},"LastModifiedOn":{"type":"timestamp"},"CompletedOn":{"type":"timestamp"},"ExecutionTime":{"type":"integer"}}}},"GetMLTaskRuns":{"input":{"type":"structure","required":["TransformId"],"members":{"TransformId":{},"NextToken":{},"MaxResults":{"type":"integer"},"Filter":{"type":"structure","members":{"TaskRunType":{},"Status":{},"StartedBefore":{"type":"timestamp"},"StartedAfter":{"type":"timestamp"}}},"Sort":{"type":"structure","required":["Column","SortDirection"],"members":{"Column":{},"SortDirection":{}}}}},"output":{"type":"structure","members":{"TaskRuns":{"type":"list","member":{"type":"structure","members":{"TransformId":{},"TaskRunId":{},"Status":{},"LogGroupName":{},"Properties":{"shape":"Se1"},"ErrorString":{},"StartedOn":{"type":"timestamp"},"LastModifiedOn":{"type":"timestamp"},"CompletedOn":{"type":"timestamp"},"ExecutionTime":{"type":"integer"}}}},"NextToken":{}}}},"GetMLTransform":{"input":{"type":"structure","required":["TransformId"],"members":{"TransformId":{}}},"output":{"type":"structure","members":{"TransformId":{},"Name":{},"Description":{},"Status":{},"CreatedOn":{"type":"timestamp"},"LastModifiedOn":{"type":"timestamp"},"InputRecordTables":{"shape":"S7r"},"Parameters":{"shape":"S7t"},"EvaluationMetrics":{"shape":"Sek"},"LabelCount":{"type":"integer"},"Schema":{"shape":"Ser"},"Role":{},"GlueVersion":{},"MaxCapacity":{"type":"double"},"WorkerType":{},"NumberOfWorkers":{"type":"integer"},"Timeout":{"type":"integer"},"MaxRetries":{"type":"integer"},"TransformEncryption":{"shape":"S7y"}}}},"GetMLTransforms":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filter":{"shape":"Seu"},"Sort":{"shape":"Sev"}}},"output":{"type":"structure","required":["Transforms"],"members":{"Transforms":{"type":"list","member":{"type":"structure","members":{"TransformId":{},"Name":{},"Description":{},"Status":{},"CreatedOn":{"type":"timestamp"},"LastModifiedOn":{"type":"timestamp"},"InputRecordTables":{"shape":"S7r"},"Parameters":{"shape":"S7t"},"EvaluationMetrics":{"shape":"Sek"},"LabelCount":{"type":"integer"},"Schema":{"shape":"Ser"},"Role":{},"GlueVersion":{},"MaxCapacity":{"type":"double"},"WorkerType":{},"NumberOfWorkers":{"type":"integer"},"Timeout":{"type":"integer"},"MaxRetries":{"type":"integer"},"TransformEncryption":{"shape":"S7y"}}}},"NextToken":{}}}},"GetMapping":{"input":{"type":"structure","required":["Source"],"members":{"Source":{"shape":"Sf1"},"Sinks":{"shape":"Sf2"},"Location":{"shape":"Sf3"}}},"output":{"type":"structure","required":["Mapping"],"members":{"Mapping":{"shape":"Sf5"}}}},"GetPartition":{"input":{"type":"structure","required":["DatabaseName","TableName","PartitionValues"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"PartitionValues":{"shape":"S6"}}},"output":{"type":"structure","members":{"Partition":{"shape":"S4e"}}}},"GetPartitionIndexes":{"input":{"type":"structure","required":["DatabaseName","TableName"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"NextToken":{}}},"output":{"type":"structure","members":{"PartitionIndexDescriptorList":{"type":"list","member":{"type":"structure","required":["IndexName","Keys","IndexStatus"],"members":{"IndexName":{},"Keys":{"type":"list","member":{"type":"structure","required":["Name","Type"],"members":{"Name":{},"Type":{}}}},"IndexStatus":{},"BackfillErrors":{"type":"list","member":{"type":"structure","members":{"Code":{},"Partitions":{"type":"list","member":{"shape":"S1b"}}}}}}}},"NextToken":{}}}},"GetPartitions":{"input":{"type":"structure","required":["DatabaseName","TableName"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"Expression":{},"NextToken":{},"Segment":{"type":"structure","required":["SegmentNumber","TotalSegments"],"members":{"SegmentNumber":{"type":"integer"},"TotalSegments":{"type":"integer"}}},"MaxResults":{"type":"integer"},"ExcludeColumnSchema":{"type":"boolean"},"TransactionId":{},"QueryAsOfTime":{"type":"timestamp"}}},"output":{"type":"structure","members":{"Partitions":{"shape":"S4d"},"NextToken":{}}}},"GetPlan":{"input":{"type":"structure","required":["Mapping","Source"],"members":{"Mapping":{"shape":"Sf5"},"Source":{"shape":"Sf1"},"Sinks":{"shape":"Sf2"},"Location":{"shape":"Sf3"},"Language":{},"AdditionalPlanOptionsMap":{"type":"map","key":{},"value":{}}}},"output":{"type":"structure","members":{"PythonScript":{},"ScalaCode":{}}}},"GetRegistry":{"input":{"type":"structure","required":["RegistryId"],"members":{"RegistryId":{"shape":"S8b"}}},"output":{"type":"structure","members":{"RegistryName":{},"RegistryArn":{},"Description":{},"Status":{},"CreatedTime":{},"UpdatedTime":{}}}},"GetResourcePolicies":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"GetResourcePoliciesResponseList":{"type":"list","member":{"type":"structure","members":{"PolicyInJson":{},"PolicyHash":{},"CreateTime":{"type":"timestamp"},"UpdateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"GetResourcePolicy":{"input":{"type":"structure","members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"PolicyInJson":{},"PolicyHash":{},"CreateTime":{"type":"timestamp"},"UpdateTime":{"type":"timestamp"}}}},"GetSchema":{"input":{"type":"structure","required":["SchemaId"],"members":{"SchemaId":{"shape":"Sv"}}},"output":{"type":"structure","members":{"RegistryName":{},"RegistryArn":{},"SchemaName":{},"SchemaArn":{},"Description":{},"DataFormat":{},"Compatibility":{},"SchemaCheckpoint":{"type":"long"},"LatestSchemaVersion":{"type":"long"},"NextSchemaVersion":{"type":"long"},"SchemaStatus":{},"CreatedTime":{},"UpdatedTime":{}}}},"GetSchemaByDefinition":{"input":{"type":"structure","required":["SchemaId","SchemaDefinition"],"members":{"SchemaId":{"shape":"Sv"},"SchemaDefinition":{}}},"output":{"type":"structure","members":{"SchemaVersionId":{},"SchemaArn":{},"DataFormat":{},"Status":{},"CreatedTime":{}}}},"GetSchemaVersion":{"input":{"type":"structure","members":{"SchemaId":{"shape":"Sv"},"SchemaVersionId":{},"SchemaVersionNumber":{"shape":"Sgc"}}},"output":{"type":"structure","members":{"SchemaVersionId":{},"SchemaDefinition":{},"DataFormat":{},"SchemaArn":{},"VersionNumber":{"type":"long"},"Status":{},"CreatedTime":{}}}},"GetSchemaVersionsDiff":{"input":{"type":"structure","required":["SchemaId","FirstSchemaVersionNumber","SecondSchemaVersionNumber","SchemaDiffType"],"members":{"SchemaId":{"shape":"Sv"},"FirstSchemaVersionNumber":{"shape":"Sgc"},"SecondSchemaVersionNumber":{"shape":"Sgc"},"SchemaDiffType":{}}},"output":{"type":"structure","members":{"Diff":{}}}},"GetSecurityConfiguration":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"SecurityConfiguration":{"shape":"Sgl"}}}},"GetSecurityConfigurations":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"SecurityConfigurations":{"type":"list","member":{"shape":"Sgl"}},"NextToken":{}}}},"GetTable":{"input":{"type":"structure","required":["DatabaseName","Name"],"members":{"CatalogId":{},"DatabaseName":{},"Name":{},"TransactionId":{},"QueryAsOfTime":{"type":"timestamp"}}},"output":{"type":"structure","members":{"Table":{"shape":"Sgr"}}}},"GetTableVersion":{"input":{"type":"structure","required":["DatabaseName","TableName"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"VersionId":{}}},"output":{"type":"structure","members":{"TableVersion":{"shape":"Sgu"}}}},"GetTableVersions":{"input":{"type":"structure","required":["DatabaseName","TableName"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"TableVersions":{"type":"list","member":{"shape":"Sgu"}},"NextToken":{}}}},"GetTables":{"input":{"type":"structure","required":["DatabaseName"],"members":{"CatalogId":{},"DatabaseName":{},"Expression":{},"NextToken":{},"MaxResults":{"type":"integer"},"TransactionId":{},"QueryAsOfTime":{"type":"timestamp"}}},"output":{"type":"structure","members":{"TableList":{"shape":"Sh1"},"NextToken":{}}}},"GetTags":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S6h"}}}},"GetTrigger":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Trigger":{"shape":"S4j"}}}},"GetTriggers":{"input":{"type":"structure","members":{"NextToken":{},"DependentJobName":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Triggers":{"shape":"S4i"},"NextToken":{}}}},"GetUserDefinedFunction":{"input":{"type":"structure","required":["DatabaseName","FunctionName"],"members":{"CatalogId":{},"DatabaseName":{},"FunctionName":{}}},"output":{"type":"structure","members":{"UserDefinedFunction":{"shape":"Sha"}}}},"GetUserDefinedFunctions":{"input":{"type":"structure","required":["Pattern"],"members":{"CatalogId":{},"DatabaseName":{},"Pattern":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"UserDefinedFunctions":{"type":"list","member":{"shape":"Sha"}},"NextToken":{}}}},"GetWorkflow":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"IncludeGraph":{"type":"boolean"}}},"output":{"type":"structure","members":{"Workflow":{"shape":"S53"}}}},"GetWorkflowRun":{"input":{"type":"structure","required":["Name","RunId"],"members":{"Name":{},"RunId":{},"IncludeGraph":{"type":"boolean"}}},"output":{"type":"structure","members":{"Run":{"shape":"S55"}}}},"GetWorkflowRunProperties":{"input":{"type":"structure","required":["Name","RunId"],"members":{"Name":{},"RunId":{}}},"output":{"type":"structure","members":{"RunProperties":{"shape":"S54"}}}},"GetWorkflowRuns":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"IncludeGraph":{"type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Runs":{"type":"list","member":{"shape":"S55"}},"NextToken":{}}}},"ImportCatalogToGlue":{"input":{"type":"structure","members":{"CatalogId":{}}},"output":{"type":"structure","members":{}}},"ListBlueprints":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Tags":{"shape":"S6h"}}},"output":{"type":"structure","members":{"Blueprints":{"shape":"S23"},"NextToken":{}}}},"ListCrawlers":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"Tags":{"shape":"S6h"}}},"output":{"type":"structure","members":{"CrawlerNames":{"shape":"S25"},"NextToken":{}}}},"ListDevEndpoints":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Tags":{"shape":"S6h"}}},"output":{"type":"structure","members":{"DevEndpointNames":{"type":"list","member":{}},"NextToken":{}}}},"ListJobs":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Tags":{"shape":"S6h"}}},"output":{"type":"structure","members":{"JobNames":{"shape":"S3s"},"NextToken":{}}}},"ListMLTransforms":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filter":{"shape":"Seu"},"Sort":{"shape":"Sev"},"Tags":{"shape":"S6h"}}},"output":{"type":"structure","required":["TransformIds"],"members":{"TransformIds":{"type":"list","member":{}},"NextToken":{}}}},"ListRegistries":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Registries":{"type":"list","member":{"type":"structure","members":{"RegistryName":{},"RegistryArn":{},"Description":{},"Status":{},"CreatedTime":{},"UpdatedTime":{}}}},"NextToken":{}}}},"ListSchemaVersions":{"input":{"type":"structure","required":["SchemaId"],"members":{"SchemaId":{"shape":"Sv"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Schemas":{"type":"list","member":{"type":"structure","members":{"SchemaArn":{},"SchemaVersionId":{},"VersionNumber":{"type":"long"},"Status":{},"CreatedTime":{}}}},"NextToken":{}}}},"ListSchemas":{"input":{"type":"structure","members":{"RegistryId":{"shape":"S8b"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Schemas":{"type":"list","member":{"type":"structure","members":{"RegistryName":{},"SchemaName":{},"SchemaArn":{},"Description":{},"SchemaStatus":{},"CreatedTime":{},"UpdatedTime":{}}}},"NextToken":{}}}},"ListTriggers":{"input":{"type":"structure","members":{"NextToken":{},"DependentJobName":{},"MaxResults":{"type":"integer"},"Tags":{"shape":"S6h"}}},"output":{"type":"structure","members":{"TriggerNames":{"shape":"S4g"},"NextToken":{}}}},"ListWorkflows":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Workflows":{"shape":"S50"},"NextToken":{}}}},"PutDataCatalogEncryptionSettings":{"input":{"type":"structure","required":["DataCatalogEncryptionSettings"],"members":{"CatalogId":{},"DataCatalogEncryptionSettings":{"shape":"Sd3"}}},"output":{"type":"structure","members":{}}},"PutResourcePolicy":{"input":{"type":"structure","required":["PolicyInJson"],"members":{"PolicyInJson":{},"ResourceArn":{},"PolicyHashCondition":{},"PolicyExistsCondition":{},"EnableHybrid":{}}},"output":{"type":"structure","members":{"PolicyHash":{}}}},"PutSchemaVersionMetadata":{"input":{"type":"structure","required":["MetadataKeyValue"],"members":{"SchemaId":{"shape":"Sv"},"SchemaVersionNumber":{"shape":"Sgc"},"SchemaVersionId":{},"MetadataKeyValue":{"shape":"Siq"}}},"output":{"type":"structure","members":{"SchemaArn":{},"SchemaName":{},"RegistryName":{},"LatestVersion":{"type":"boolean"},"VersionNumber":{"type":"long"},"SchemaVersionId":{},"MetadataKey":{},"MetadataValue":{}}}},"PutWorkflowRunProperties":{"input":{"type":"structure","required":["Name","RunId","RunProperties"],"members":{"Name":{},"RunId":{},"RunProperties":{"shape":"S54"}}},"output":{"type":"structure","members":{}}},"QuerySchemaVersionMetadata":{"input":{"type":"structure","members":{"SchemaId":{"shape":"Sv"},"SchemaVersionNumber":{"shape":"Sgc"},"SchemaVersionId":{},"MetadataList":{"type":"list","member":{"shape":"Siq"}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"MetadataInfoMap":{"type":"map","key":{},"value":{"type":"structure","members":{"MetadataValue":{},"CreatedTime":{},"OtherMetadataValueList":{"type":"list","member":{"type":"structure","members":{"MetadataValue":{},"CreatedTime":{}}}}}}},"SchemaVersionId":{},"NextToken":{}}}},"RegisterSchemaVersion":{"input":{"type":"structure","required":["SchemaId","SchemaDefinition"],"members":{"SchemaId":{"shape":"Sv"},"SchemaDefinition":{}}},"output":{"type":"structure","members":{"SchemaVersionId":{},"VersionNumber":{"type":"long"},"Status":{}}}},"RemoveSchemaVersionMetadata":{"input":{"type":"structure","required":["MetadataKeyValue"],"members":{"SchemaId":{"shape":"Sv"},"SchemaVersionNumber":{"shape":"Sgc"},"SchemaVersionId":{},"MetadataKeyValue":{"shape":"Siq"}}},"output":{"type":"structure","members":{"SchemaArn":{},"SchemaName":{},"RegistryName":{},"LatestVersion":{"type":"boolean"},"VersionNumber":{"type":"long"},"SchemaVersionId":{},"MetadataKey":{},"MetadataValue":{}}}},"ResetJobBookmark":{"input":{"type":"structure","required":["JobName"],"members":{"JobName":{},"RunId":{}}},"output":{"type":"structure","members":{"JobBookmarkEntry":{"shape":"Sdr"}}}},"ResumeWorkflowRun":{"input":{"type":"structure","required":["Name","RunId","NodeIds"],"members":{"Name":{},"RunId":{},"NodeIds":{"shape":"Sjb"}}},"output":{"type":"structure","members":{"RunId":{},"NodeIds":{"shape":"Sjb"}}}},"SearchTables":{"input":{"type":"structure","members":{"CatalogId":{},"NextToken":{},"Filters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"Comparator":{}}}},"SearchText":{},"SortCriteria":{"type":"list","member":{"type":"structure","members":{"FieldName":{},"Sort":{}}}},"MaxResults":{"type":"integer"},"ResourceShareType":{}}},"output":{"type":"structure","members":{"NextToken":{},"TableList":{"shape":"Sh1"}}}},"StartBlueprintRun":{"input":{"type":"structure","required":["BlueprintName","RoleArn"],"members":{"BlueprintName":{},"Parameters":{},"RoleArn":{}}},"output":{"type":"structure","members":{"RunId":{}}}},"StartCrawler":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"StartCrawlerSchedule":{"input":{"type":"structure","required":["CrawlerName"],"members":{"CrawlerName":{}}},"output":{"type":"structure","members":{}}},"StartExportLabelsTaskRun":{"input":{"type":"structure","required":["TransformId","OutputS3Path"],"members":{"TransformId":{},"OutputS3Path":{}}},"output":{"type":"structure","members":{"TaskRunId":{}}}},"StartImportLabelsTaskRun":{"input":{"type":"structure","required":["TransformId","InputS3Path"],"members":{"TransformId":{},"InputS3Path":{},"ReplaceAllLabels":{"type":"boolean"}}},"output":{"type":"structure","members":{"TaskRunId":{}}}},"StartJobRun":{"input":{"type":"structure","required":["JobName"],"members":{"JobName":{},"JobRunId":{},"Arguments":{"shape":"S43"},"AllocatedCapacity":{"deprecated":true,"deprecatedMessage":"This property is deprecated, use MaxCapacity instead.","type":"integer"},"Timeout":{"type":"integer"},"MaxCapacity":{"type":"double"},"SecurityConfiguration":{},"NotificationProperty":{"shape":"S48"},"WorkerType":{},"NumberOfWorkers":{"type":"integer"}}},"output":{"type":"structure","members":{"JobRunId":{}}}},"StartMLEvaluationTaskRun":{"input":{"type":"structure","required":["TransformId"],"members":{"TransformId":{}}},"output":{"type":"structure","members":{"TaskRunId":{}}}},"StartMLLabelingSetGenerationTaskRun":{"input":{"type":"structure","required":["TransformId","OutputS3Path"],"members":{"TransformId":{},"OutputS3Path":{}}},"output":{"type":"structure","members":{"TaskRunId":{}}}},"StartTrigger":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Name":{}}}},"StartWorkflowRun":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"RunId":{}}}},"StopCrawler":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"StopCrawlerSchedule":{"input":{"type":"structure","required":["CrawlerName"],"members":{"CrawlerName":{}}},"output":{"type":"structure","members":{}}},"StopTrigger":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Name":{}}}},"StopWorkflowRun":{"input":{"type":"structure","required":["Name","RunId"],"members":{"Name":{},"RunId":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","TagsToAdd"],"members":{"ResourceArn":{},"TagsToAdd":{"shape":"S6h"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagsToRemove"],"members":{"ResourceArn":{},"TagsToRemove":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateBlueprint":{"input":{"type":"structure","required":["Name","BlueprintLocation"],"members":{"Name":{},"Description":{},"BlueprintLocation":{}}},"output":{"type":"structure","members":{"Name":{}}}},"UpdateClassifier":{"input":{"type":"structure","members":{"GrokClassifier":{"type":"structure","required":["Name"],"members":{"Name":{},"Classification":{},"GrokPattern":{},"CustomPatterns":{}}},"XMLClassifier":{"type":"structure","required":["Name"],"members":{"Name":{},"Classification":{},"RowTag":{}}},"JsonClassifier":{"type":"structure","required":["Name"],"members":{"Name":{},"JsonPath":{}}},"CsvClassifier":{"type":"structure","required":["Name"],"members":{"Name":{},"Delimiter":{},"QuoteSymbol":{},"ContainsHeader":{},"Header":{"shape":"S6y"},"DisableValueTrimming":{"type":"boolean"},"AllowSingleColumn":{"type":"boolean"}}}}},"output":{"type":"structure","members":{}}},"UpdateColumnStatisticsForPartition":{"input":{"type":"structure","required":["DatabaseName","TableName","PartitionValues","ColumnStatisticsList"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"PartitionValues":{"shape":"S6"},"ColumnStatisticsList":{"shape":"Skr"}}},"output":{"type":"structure","members":{"Errors":{"shape":"Skt"}}}},"UpdateColumnStatisticsForTable":{"input":{"type":"structure","required":["DatabaseName","TableName","ColumnStatisticsList"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"ColumnStatisticsList":{"shape":"Skr"}}},"output":{"type":"structure","members":{"Errors":{"shape":"Skt"}}}},"UpdateConnection":{"input":{"type":"structure","required":["Name","ConnectionInput"],"members":{"CatalogId":{},"Name":{},"ConnectionInput":{"shape":"S71"}}},"output":{"type":"structure","members":{}}},"UpdateCrawler":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Role":{},"DatabaseName":{},"Description":{},"Targets":{"shape":"S2a"},"Schedule":{},"Classifiers":{"shape":"S2t"},"TablePrefix":{},"SchemaChangePolicy":{"shape":"S2w"},"RecrawlPolicy":{"shape":"S2u"},"LineageConfiguration":{"shape":"S2z"},"Configuration":{},"CrawlerSecurityConfiguration":{}}},"output":{"type":"structure","members":{}}},"UpdateCrawlerSchedule":{"input":{"type":"structure","required":["CrawlerName"],"members":{"CrawlerName":{},"Schedule":{}}},"output":{"type":"structure","members":{}}},"UpdateDatabase":{"input":{"type":"structure","required":["Name","DatabaseInput"],"members":{"CatalogId":{},"Name":{},"DatabaseInput":{"shape":"S7c"}}},"output":{"type":"structure","members":{}}},"UpdateDevEndpoint":{"input":{"type":"structure","required":["EndpointName"],"members":{"EndpointName":{},"PublicKey":{},"AddPublicKeys":{"shape":"S3p"},"DeletePublicKeys":{"shape":"S3p"},"CustomLibraries":{"type":"structure","members":{"ExtraPythonLibsS3Path":{},"ExtraJarsS3Path":{}}},"UpdateEtlLibraries":{"type":"boolean"},"DeleteArguments":{"shape":"S3l"},"AddArguments":{"shape":"S3q"}}},"output":{"type":"structure","members":{}}},"UpdateJob":{"input":{"type":"structure","required":["JobName","JobUpdate"],"members":{"JobName":{},"JobUpdate":{"type":"structure","members":{"Description":{},"LogUri":{},"Role":{},"ExecutionProperty":{"shape":"S3y"},"Command":{"shape":"S40"},"DefaultArguments":{"shape":"S43"},"NonOverridableArguments":{"shape":"S43"},"Connections":{"shape":"S44"},"MaxRetries":{"type":"integer"},"AllocatedCapacity":{"deprecated":true,"deprecatedMessage":"This property is deprecated, use MaxCapacity instead.","type":"integer"},"Timeout":{"type":"integer"},"MaxCapacity":{"type":"double"},"WorkerType":{},"NumberOfWorkers":{"type":"integer"},"SecurityConfiguration":{},"NotificationProperty":{"shape":"S48"},"GlueVersion":{}}}}},"output":{"type":"structure","members":{"JobName":{}}}},"UpdateMLTransform":{"input":{"type":"structure","required":["TransformId"],"members":{"TransformId":{},"Name":{},"Description":{},"Parameters":{"shape":"S7t"},"Role":{},"GlueVersion":{},"MaxCapacity":{"type":"double"},"WorkerType":{},"NumberOfWorkers":{"type":"integer"},"Timeout":{"type":"integer"},"MaxRetries":{"type":"integer"}}},"output":{"type":"structure","members":{"TransformId":{}}}},"UpdatePartition":{"input":{"type":"structure","required":["DatabaseName","TableName","PartitionValueList","PartitionInput"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"PartitionValueList":{"shape":"S61"},"PartitionInput":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"UpdateRegistry":{"input":{"type":"structure","required":["RegistryId","Description"],"members":{"RegistryId":{"shape":"S8b"},"Description":{}}},"output":{"type":"structure","members":{"RegistryName":{},"RegistryArn":{}}}},"UpdateSchema":{"input":{"type":"structure","required":["SchemaId"],"members":{"SchemaId":{"shape":"Sv"},"SchemaVersionNumber":{"shape":"Sgc"},"Compatibility":{},"Description":{}}},"output":{"type":"structure","members":{"SchemaArn":{},"SchemaName":{},"RegistryName":{}}}},"UpdateTable":{"input":{"type":"structure","required":["DatabaseName","TableInput"],"members":{"CatalogId":{},"DatabaseName":{},"TableInput":{"shape":"S98"},"SkipArchive":{"type":"boolean"},"TransactionId":{}}},"output":{"type":"structure","members":{}}},"UpdateTrigger":{"input":{"type":"structure","required":["Name","TriggerUpdate"],"members":{"Name":{},"TriggerUpdate":{"type":"structure","members":{"Name":{},"Description":{},"Schedule":{},"Actions":{"shape":"S4n"},"Predicate":{"shape":"S4p"},"EventBatchingCondition":{"shape":"S4w"}}}}},"output":{"type":"structure","members":{"Trigger":{"shape":"S4j"}}}},"UpdateUserDefinedFunction":{"input":{"type":"structure","required":["DatabaseName","FunctionName","FunctionInput"],"members":{"CatalogId":{},"DatabaseName":{},"FunctionName":{},"FunctionInput":{"shape":"S9j"}}},"output":{"type":"structure","members":{}}},"UpdateWorkflow":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"DefaultRunProperties":{"shape":"S54"},"MaxConcurrentRuns":{"type":"integer"}}},"output":{"type":"structure","members":{"Name":{}}}}},"shapes":{"S5":{"type":"structure","members":{"Values":{"shape":"S6"},"LastAccessTime":{"type":"timestamp"},"StorageDescriptor":{"shape":"S9"},"Parameters":{"shape":"Se"},"LastAnalyzedTime":{"type":"timestamp"}}},"S6":{"type":"list","member":{}},"S9":{"type":"structure","members":{"Columns":{"shape":"Sa"},"Location":{},"InputFormat":{},"OutputFormat":{},"Compressed":{"type":"boolean"},"NumberOfBuckets":{"type":"integer"},"SerdeInfo":{"type":"structure","members":{"Name":{},"SerializationLibrary":{},"Parameters":{"shape":"Se"}}},"BucketColumns":{"shape":"Sm"},"SortColumns":{"type":"list","member":{"type":"structure","required":["Column","SortOrder"],"members":{"Column":{},"SortOrder":{"type":"integer"}}}},"Parameters":{"shape":"Se"},"SkewedInfo":{"type":"structure","members":{"SkewedColumnNames":{"shape":"Sm"},"SkewedColumnValues":{"type":"list","member":{}},"SkewedColumnValueLocationMaps":{"type":"map","key":{},"value":{}}}},"StoredAsSubDirectories":{"type":"boolean"},"SchemaReference":{"type":"structure","members":{"SchemaId":{"shape":"Sv"},"SchemaVersionId":{},"SchemaVersionNumber":{"type":"long"}}}}},"Sa":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{},"Type":{},"Comment":{},"Parameters":{"shape":"Se"}}}},"Se":{"type":"map","key":{},"value":{}},"Sm":{"type":"list","member":{}},"Sv":{"type":"structure","members":{"SchemaArn":{},"SchemaName":{},"RegistryName":{}}},"S11":{"type":"list","member":{"type":"structure","members":{"PartitionValues":{"shape":"S6"},"ErrorDetail":{"shape":"S13"}}}},"S13":{"type":"structure","members":{"ErrorCode":{},"ErrorMessage":{}}},"S1b":{"type":"structure","required":["Values"],"members":{"Values":{"shape":"S6"}}},"S1v":{"type":"structure","members":{"Name":{},"Description":{},"CreatedOn":{"type":"timestamp"},"LastModifiedOn":{"type":"timestamp"},"ParameterSpec":{},"BlueprintLocation":{},"BlueprintServiceLocation":{},"Status":{},"ErrorMessage":{},"LastActiveDefinition":{"type":"structure","members":{"Description":{},"LastModifiedOn":{"type":"timestamp"},"ParameterSpec":{},"BlueprintLocation":{},"BlueprintServiceLocation":{}}}}},"S23":{"type":"list","member":{}},"S25":{"type":"list","member":{}},"S27":{"type":"list","member":{"shape":"S28"}},"S28":{"type":"structure","members":{"Name":{},"Role":{},"Targets":{"shape":"S2a"},"DatabaseName":{},"Description":{},"Classifiers":{"shape":"S2t"},"RecrawlPolicy":{"shape":"S2u"},"SchemaChangePolicy":{"shape":"S2w"},"LineageConfiguration":{"shape":"S2z"},"State":{},"TablePrefix":{},"Schedule":{"type":"structure","members":{"ScheduleExpression":{},"State":{}}},"CrawlElapsedTime":{"type":"long"},"CreationTime":{"type":"timestamp"},"LastUpdated":{"type":"timestamp"},"LastCrawl":{"type":"structure","members":{"Status":{},"ErrorMessage":{},"LogGroup":{},"LogStream":{},"MessagePrefix":{},"StartTime":{"type":"timestamp"}}},"Version":{"type":"long"},"Configuration":{},"CrawlerSecurityConfiguration":{}}},"S2a":{"type":"structure","members":{"S3Targets":{"type":"list","member":{"type":"structure","members":{"Path":{},"Exclusions":{"shape":"S2e"},"ConnectionName":{},"SampleSize":{"type":"integer"},"EventQueueArn":{},"DlqEventQueueArn":{}}}},"JdbcTargets":{"type":"list","member":{"type":"structure","members":{"ConnectionName":{},"Path":{},"Exclusions":{"shape":"S2e"}}}},"MongoDBTargets":{"type":"list","member":{"type":"structure","members":{"ConnectionName":{},"Path":{},"ScanAll":{"type":"boolean"}}}},"DynamoDBTargets":{"type":"list","member":{"type":"structure","members":{"Path":{},"scanAll":{"type":"boolean"},"scanRate":{"type":"double"}}}},"CatalogTargets":{"type":"list","member":{"type":"structure","required":["DatabaseName","Tables"],"members":{"DatabaseName":{},"Tables":{"type":"list","member":{}}}}}}},"S2e":{"type":"list","member":{}},"S2t":{"type":"list","member":{}},"S2u":{"type":"structure","members":{"RecrawlBehavior":{}}},"S2w":{"type":"structure","members":{"UpdateBehavior":{},"DeleteBehavior":{}}},"S2z":{"type":"structure","members":{"CrawlerLineageSettings":{}}},"S3g":{"type":"list","member":{}},"S3i":{"type":"list","member":{"shape":"S3j"}},"S3j":{"type":"structure","members":{"EndpointName":{},"RoleArn":{},"SecurityGroupIds":{"shape":"S3l"},"SubnetId":{},"YarnEndpointAddress":{},"PrivateAddress":{},"ZeppelinRemoteSparkInterpreterPort":{"type":"integer"},"PublicAddress":{},"Status":{},"WorkerType":{},"GlueVersion":{},"NumberOfWorkers":{"type":"integer"},"NumberOfNodes":{"type":"integer"},"AvailabilityZone":{},"VpcId":{},"ExtraPythonLibsS3Path":{},"ExtraJarsS3Path":{},"FailureReason":{},"LastUpdateStatus":{},"CreatedTimestamp":{"type":"timestamp"},"LastModifiedTimestamp":{"type":"timestamp"},"PublicKey":{},"PublicKeys":{"shape":"S3p"},"SecurityConfiguration":{},"Arguments":{"shape":"S3q"}}},"S3l":{"type":"list","member":{}},"S3p":{"type":"list","member":{}},"S3q":{"type":"map","key":{},"value":{}},"S3s":{"type":"list","member":{}},"S3u":{"type":"list","member":{"shape":"S3v"}},"S3v":{"type":"structure","members":{"Name":{},"Description":{},"LogUri":{},"Role":{},"CreatedOn":{"type":"timestamp"},"LastModifiedOn":{"type":"timestamp"},"ExecutionProperty":{"shape":"S3y"},"Command":{"shape":"S40"},"DefaultArguments":{"shape":"S43"},"NonOverridableArguments":{"shape":"S43"},"Connections":{"shape":"S44"},"MaxRetries":{"type":"integer"},"AllocatedCapacity":{"deprecated":true,"deprecatedMessage":"This property is deprecated, use MaxCapacity instead.","type":"integer"},"Timeout":{"type":"integer"},"MaxCapacity":{"type":"double"},"WorkerType":{},"NumberOfWorkers":{"type":"integer"},"SecurityConfiguration":{},"NotificationProperty":{"shape":"S48"},"GlueVersion":{}}},"S3y":{"type":"structure","members":{"MaxConcurrentRuns":{"type":"integer"}}},"S40":{"type":"structure","members":{"Name":{},"ScriptLocation":{},"PythonVersion":{}}},"S43":{"type":"map","key":{},"value":{}},"S44":{"type":"structure","members":{"Connections":{"type":"list","member":{}}}},"S48":{"type":"structure","members":{"NotifyDelayAfter":{"type":"integer"}}},"S4b":{"type":"list","member":{"shape":"S1b"}},"S4d":{"type":"list","member":{"shape":"S4e"}},"S4e":{"type":"structure","members":{"Values":{"shape":"S6"},"DatabaseName":{},"TableName":{},"CreationTime":{"type":"timestamp"},"LastAccessTime":{"type":"timestamp"},"StorageDescriptor":{"shape":"S9"},"Parameters":{"shape":"Se"},"LastAnalyzedTime":{"type":"timestamp"},"CatalogId":{}}},"S4g":{"type":"list","member":{}},"S4i":{"type":"list","member":{"shape":"S4j"}},"S4j":{"type":"structure","members":{"Name":{},"WorkflowName":{},"Id":{},"Type":{},"State":{},"Description":{},"Schedule":{},"Actions":{"shape":"S4n"},"Predicate":{"shape":"S4p"},"EventBatchingCondition":{"shape":"S4w"}}},"S4n":{"type":"list","member":{"type":"structure","members":{"JobName":{},"Arguments":{"shape":"S43"},"Timeout":{"type":"integer"},"SecurityConfiguration":{},"NotificationProperty":{"shape":"S48"},"CrawlerName":{}}}},"S4p":{"type":"structure","members":{"Logical":{},"Conditions":{"type":"list","member":{"type":"structure","members":{"LogicalOperator":{},"JobName":{},"State":{},"CrawlerName":{},"CrawlState":{}}}}}},"S4w":{"type":"structure","required":["BatchSize"],"members":{"BatchSize":{"type":"integer"},"BatchWindow":{"type":"integer"}}},"S50":{"type":"list","member":{}},"S53":{"type":"structure","members":{"Name":{},"Description":{},"DefaultRunProperties":{"shape":"S54"},"CreatedOn":{"type":"timestamp"},"LastModifiedOn":{"type":"timestamp"},"LastRun":{"shape":"S55"},"Graph":{"shape":"S58"},"MaxConcurrentRuns":{"type":"integer"},"BlueprintDetails":{"type":"structure","members":{"BlueprintName":{},"RunId":{}}}}},"S54":{"type":"map","key":{},"value":{}},"S55":{"type":"structure","members":{"Name":{},"WorkflowRunId":{},"PreviousRunId":{},"WorkflowRunProperties":{"shape":"S54"},"StartedOn":{"type":"timestamp"},"CompletedOn":{"type":"timestamp"},"Status":{},"ErrorMessage":{},"Statistics":{"type":"structure","members":{"TotalActions":{"type":"integer"},"TimeoutActions":{"type":"integer"},"FailedActions":{"type":"integer"},"StoppedActions":{"type":"integer"},"SucceededActions":{"type":"integer"},"RunningActions":{"type":"integer"}}},"Graph":{"shape":"S58"},"StartingEventBatchCondition":{"type":"structure","members":{"BatchSize":{"type":"integer"},"BatchWindow":{"type":"integer"}}}}},"S58":{"type":"structure","members":{"Nodes":{"type":"list","member":{"type":"structure","members":{"Type":{},"Name":{},"UniqueId":{},"TriggerDetails":{"type":"structure","members":{"Trigger":{"shape":"S4j"}}},"JobDetails":{"type":"structure","members":{"JobRuns":{"shape":"S5e"}}},"CrawlerDetails":{"type":"structure","members":{"Crawls":{"type":"list","member":{"type":"structure","members":{"State":{},"StartedOn":{"type":"timestamp"},"CompletedOn":{"type":"timestamp"},"ErrorMessage":{},"LogGroup":{},"LogStream":{}}}}}}}}},"Edges":{"type":"list","member":{"type":"structure","members":{"SourceId":{},"DestinationId":{}}}}}},"S5e":{"type":"list","member":{"shape":"S5f"}},"S5f":{"type":"structure","members":{"Id":{},"Attempt":{"type":"integer"},"PreviousRunId":{},"TriggerName":{},"JobName":{},"StartedOn":{"type":"timestamp"},"LastModifiedOn":{"type":"timestamp"},"CompletedOn":{"type":"timestamp"},"JobRunState":{},"Arguments":{"shape":"S43"},"ErrorMessage":{},"PredecessorRuns":{"type":"list","member":{"type":"structure","members":{"JobName":{},"RunId":{}}}},"AllocatedCapacity":{"deprecated":true,"deprecatedMessage":"This property is deprecated, use MaxCapacity instead.","type":"integer"},"ExecutionTime":{"type":"integer"},"Timeout":{"type":"integer"},"MaxCapacity":{"type":"double"},"WorkerType":{},"NumberOfWorkers":{"type":"integer"},"SecurityConfiguration":{},"LogGroupName":{},"NotificationProperty":{"shape":"S48"},"GlueVersion":{}}},"S61":{"type":"list","member":{}},"S6h":{"type":"map","key":{},"value":{}},"S6y":{"type":"list","member":{}},"S71":{"type":"structure","required":["Name","ConnectionType","ConnectionProperties"],"members":{"Name":{},"Description":{},"ConnectionType":{},"MatchCriteria":{"shape":"S73"},"ConnectionProperties":{"shape":"S74"},"PhysicalConnectionRequirements":{"shape":"S76"}}},"S73":{"type":"list","member":{}},"S74":{"type":"map","key":{},"value":{}},"S76":{"type":"structure","members":{"SubnetId":{},"SecurityGroupIdList":{"type":"list","member":{}},"AvailabilityZone":{}}},"S7c":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"LocationUri":{},"Parameters":{"shape":"Se"},"CreateTableDefaultPermissions":{"shape":"S7e"},"TargetDatabase":{"shape":"S7k"}}},"S7e":{"type":"list","member":{"type":"structure","members":{"Principal":{"type":"structure","members":{"DataLakePrincipalIdentifier":{}}},"Permissions":{"type":"list","member":{}}}}},"S7k":{"type":"structure","members":{"CatalogId":{},"DatabaseName":{}}},"S7r":{"type":"list","member":{"type":"structure","required":["DatabaseName","TableName"],"members":{"DatabaseName":{},"TableName":{},"CatalogId":{},"ConnectionName":{}}}},"S7t":{"type":"structure","required":["TransformType"],"members":{"TransformType":{},"FindMatchesParameters":{"type":"structure","members":{"PrimaryKeyColumnName":{},"PrecisionRecallTradeoff":{"type":"double"},"AccuracyCostTradeoff":{"type":"double"},"EnforceProvidedLabels":{"type":"boolean"}}}}},"S7y":{"type":"structure","members":{"MlUserDataEncryption":{"type":"structure","required":["MlUserDataEncryptionMode"],"members":{"MlUserDataEncryptionMode":{},"KmsKeyId":{}}},"TaskRunSecurityConfigurationName":{}}},"S85":{"type":"structure","required":["Keys","IndexName"],"members":{"Keys":{"type":"list","member":{}},"IndexName":{}}},"S8b":{"type":"structure","members":{"RegistryName":{},"RegistryArn":{}}},"S8i":{"type":"list","member":{"type":"structure","required":["Id","NodeType","Args"],"members":{"Id":{},"NodeType":{},"Args":{"shape":"S8m"},"LineNumber":{"type":"integer"}}}},"S8m":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{},"Param":{"type":"boolean"}}}},"S8q":{"type":"list","member":{"type":"structure","required":["Source","Target"],"members":{"Source":{},"Target":{},"TargetParameter":{}}}},"S8x":{"type":"structure","members":{"S3Encryption":{"type":"list","member":{"type":"structure","members":{"S3EncryptionMode":{},"KmsKeyArn":{}}}},"CloudWatchEncryption":{"type":"structure","members":{"CloudWatchEncryptionMode":{},"KmsKeyArn":{}}},"JobBookmarksEncryption":{"type":"structure","members":{"JobBookmarksEncryptionMode":{},"KmsKeyArn":{}}}}},"S98":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"Owner":{},"LastAccessTime":{"type":"timestamp"},"LastAnalyzedTime":{"type":"timestamp"},"Retention":{"type":"integer"},"StorageDescriptor":{"shape":"S9"},"PartitionKeys":{"shape":"Sa"},"ViewOriginalText":{},"ViewExpandedText":{},"TableType":{},"Parameters":{"shape":"Se"},"TargetTable":{"shape":"S9c"}}},"S9c":{"type":"structure","members":{"CatalogId":{},"DatabaseName":{},"Name":{}}},"S9j":{"type":"structure","members":{"FunctionName":{},"ClassName":{},"OwnerName":{},"OwnerType":{},"ResourceUris":{"shape":"S9l"}}},"S9l":{"type":"list","member":{"type":"structure","members":{"ResourceType":{},"Uri":{}}}},"Sba":{"type":"structure","members":{"BlueprintName":{},"RunId":{},"WorkflowName":{},"State":{},"StartedOn":{"type":"timestamp"},"CompletedOn":{"type":"timestamp"},"ErrorMessage":{},"RollbackErrorMessage":{},"Parameters":{},"RoleArn":{}}},"Sbo":{"type":"structure","members":{"GrokClassifier":{"type":"structure","required":["Name","Classification","GrokPattern"],"members":{"Name":{},"Classification":{},"CreationTime":{"type":"timestamp"},"LastUpdated":{"type":"timestamp"},"Version":{"type":"long"},"GrokPattern":{},"CustomPatterns":{}}},"XMLClassifier":{"type":"structure","required":["Name","Classification"],"members":{"Name":{},"Classification":{},"CreationTime":{"type":"timestamp"},"LastUpdated":{"type":"timestamp"},"Version":{"type":"long"},"RowTag":{}}},"JsonClassifier":{"type":"structure","required":["Name","JsonPath"],"members":{"Name":{},"CreationTime":{"type":"timestamp"},"LastUpdated":{"type":"timestamp"},"Version":{"type":"long"},"JsonPath":{}}},"CsvClassifier":{"type":"structure","required":["Name"],"members":{"Name":{},"CreationTime":{"type":"timestamp"},"LastUpdated":{"type":"timestamp"},"Version":{"type":"long"},"Delimiter":{},"QuoteSymbol":{},"ContainsHeader":{},"Header":{"shape":"S6y"},"DisableValueTrimming":{"type":"boolean"},"AllowSingleColumn":{"type":"boolean"}}}}},"Sby":{"type":"list","member":{}},"Sc0":{"type":"list","member":{"shape":"Sc1"}},"Sc1":{"type":"structure","required":["ColumnName","ColumnType","AnalyzedTime","StatisticsData"],"members":{"ColumnName":{},"ColumnType":{},"AnalyzedTime":{"type":"timestamp"},"StatisticsData":{"type":"structure","required":["Type"],"members":{"Type":{},"BooleanColumnStatisticsData":{"type":"structure","required":["NumberOfTrues","NumberOfFalses","NumberOfNulls"],"members":{"NumberOfTrues":{"type":"long"},"NumberOfFalses":{"type":"long"},"NumberOfNulls":{"type":"long"}}},"DateColumnStatisticsData":{"type":"structure","required":["NumberOfNulls","NumberOfDistinctValues"],"members":{"MinimumValue":{"type":"timestamp"},"MaximumValue":{"type":"timestamp"},"NumberOfNulls":{"type":"long"},"NumberOfDistinctValues":{"type":"long"}}},"DecimalColumnStatisticsData":{"type":"structure","required":["NumberOfNulls","NumberOfDistinctValues"],"members":{"MinimumValue":{"shape":"Sc9"},"MaximumValue":{"shape":"Sc9"},"NumberOfNulls":{"type":"long"},"NumberOfDistinctValues":{"type":"long"}}},"DoubleColumnStatisticsData":{"type":"structure","required":["NumberOfNulls","NumberOfDistinctValues"],"members":{"MinimumValue":{"type":"double"},"MaximumValue":{"type":"double"},"NumberOfNulls":{"type":"long"},"NumberOfDistinctValues":{"type":"long"}}},"LongColumnStatisticsData":{"type":"structure","required":["NumberOfNulls","NumberOfDistinctValues"],"members":{"MinimumValue":{"type":"long"},"MaximumValue":{"type":"long"},"NumberOfNulls":{"type":"long"},"NumberOfDistinctValues":{"type":"long"}}},"StringColumnStatisticsData":{"type":"structure","required":["MaximumLength","AverageLength","NumberOfNulls","NumberOfDistinctValues"],"members":{"MaximumLength":{"type":"long"},"AverageLength":{"type":"double"},"NumberOfNulls":{"type":"long"},"NumberOfDistinctValues":{"type":"long"}}},"BinaryColumnStatisticsData":{"type":"structure","required":["MaximumLength","AverageLength","NumberOfNulls"],"members":{"MaximumLength":{"type":"long"},"AverageLength":{"type":"double"},"NumberOfNulls":{"type":"long"}}}}}}},"Sc9":{"type":"structure","required":["UnscaledValue","Scale"],"members":{"UnscaledValue":{"type":"blob"},"Scale":{"type":"integer"}}},"Sci":{"type":"list","member":{"type":"structure","members":{"ColumnName":{},"Error":{"shape":"S13"}}}},"Sco":{"type":"structure","members":{"Name":{},"Description":{},"ConnectionType":{},"MatchCriteria":{"shape":"S73"},"ConnectionProperties":{"shape":"S74"},"PhysicalConnectionRequirements":{"shape":"S76"},"CreationTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"LastUpdatedBy":{}}},"Sd3":{"type":"structure","members":{"EncryptionAtRest":{"type":"structure","required":["CatalogEncryptionMode"],"members":{"CatalogEncryptionMode":{},"SseAwsKmsKeyId":{}}},"ConnectionPasswordEncryption":{"type":"structure","required":["ReturnConnectionPasswordEncrypted"],"members":{"ReturnConnectionPasswordEncrypted":{"type":"boolean"},"AwsKmsKeyId":{}}}}},"Sd9":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"LocationUri":{},"Parameters":{"shape":"Se"},"CreateTime":{"type":"timestamp"},"CreateTableDefaultPermissions":{"shape":"S7e"},"TargetDatabase":{"shape":"S7k"},"CatalogId":{}}},"Sdr":{"type":"structure","members":{"JobName":{},"Version":{"type":"integer"},"Run":{"type":"integer"},"Attempt":{"type":"integer"},"PreviousRunId":{},"RunId":{},"JobBookmark":{}}},"Se1":{"type":"structure","members":{"TaskType":{},"ImportLabelsTaskRunProperties":{"type":"structure","members":{"InputS3Path":{},"Replace":{"type":"boolean"}}},"ExportLabelsTaskRunProperties":{"type":"structure","members":{"OutputS3Path":{}}},"LabelingSetGenerationTaskRunProperties":{"type":"structure","members":{"OutputS3Path":{}}},"FindMatchesTaskRunProperties":{"type":"structure","members":{"JobId":{},"JobName":{},"JobRunId":{}}}}},"Sek":{"type":"structure","required":["TransformType"],"members":{"TransformType":{},"FindMatchesMetrics":{"type":"structure","members":{"AreaUnderPRCurve":{"type":"double"},"Precision":{"type":"double"},"Recall":{"type":"double"},"F1":{"type":"double"},"ConfusionMatrix":{"type":"structure","members":{"NumTruePositives":{"type":"long"},"NumFalsePositives":{"type":"long"},"NumTrueNegatives":{"type":"long"},"NumFalseNegatives":{"type":"long"}}},"ColumnImportances":{"type":"list","member":{"type":"structure","members":{"ColumnName":{},"Importance":{"type":"double"}}}}}}}},"Ser":{"type":"list","member":{"type":"structure","members":{"Name":{},"DataType":{}}}},"Seu":{"type":"structure","members":{"Name":{},"TransformType":{},"Status":{},"GlueVersion":{},"CreatedBefore":{"type":"timestamp"},"CreatedAfter":{"type":"timestamp"},"LastModifiedBefore":{"type":"timestamp"},"LastModifiedAfter":{"type":"timestamp"},"Schema":{"shape":"Ser"}}},"Sev":{"type":"structure","required":["Column","SortDirection"],"members":{"Column":{},"SortDirection":{}}},"Sf1":{"type":"structure","required":["DatabaseName","TableName"],"members":{"DatabaseName":{},"TableName":{}}},"Sf2":{"type":"list","member":{"shape":"Sf1"}},"Sf3":{"type":"structure","members":{"Jdbc":{"shape":"S8m"},"S3":{"shape":"S8m"},"DynamoDB":{"shape":"S8m"}}},"Sf5":{"type":"list","member":{"type":"structure","members":{"SourceTable":{},"SourcePath":{},"SourceType":{},"TargetTable":{},"TargetPath":{},"TargetType":{}}}},"Sgc":{"type":"structure","members":{"LatestVersion":{"type":"boolean"},"VersionNumber":{"type":"long"}}},"Sgl":{"type":"structure","members":{"Name":{},"CreatedTimeStamp":{"type":"timestamp"},"EncryptionConfiguration":{"shape":"S8x"}}},"Sgr":{"type":"structure","required":["Name"],"members":{"Name":{},"DatabaseName":{},"Description":{},"Owner":{},"CreateTime":{"type":"timestamp"},"UpdateTime":{"type":"timestamp"},"LastAccessTime":{"type":"timestamp"},"LastAnalyzedTime":{"type":"timestamp"},"Retention":{"type":"integer"},"StorageDescriptor":{"shape":"S9"},"PartitionKeys":{"shape":"Sa"},"ViewOriginalText":{},"ViewExpandedText":{},"TableType":{},"Parameters":{"shape":"Se"},"CreatedBy":{},"IsRegisteredWithLakeFormation":{"type":"boolean"},"TargetTable":{"shape":"S9c"},"CatalogId":{}}},"Sgu":{"type":"structure","members":{"Table":{"shape":"Sgr"},"VersionId":{}}},"Sh1":{"type":"list","member":{"shape":"Sgr"}},"Sha":{"type":"structure","members":{"FunctionName":{},"DatabaseName":{},"ClassName":{},"OwnerName":{},"OwnerType":{},"CreateTime":{"type":"timestamp"},"ResourceUris":{"shape":"S9l"},"CatalogId":{}}},"Siq":{"type":"structure","members":{"MetadataKey":{},"MetadataValue":{}}},"Sjb":{"type":"list","member":{}},"Skr":{"type":"list","member":{"shape":"Sc1"}},"Skt":{"type":"list","member":{"type":"structure","members":{"ColumnStatistics":{"shape":"Sc1"},"Error":{"shape":"S13"}}}}}}');

/***/ }),

/***/ 26545:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetBlueprintRuns":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetClassifiers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetConnections":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetCrawlerMetrics":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetCrawlers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetDatabases":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetDevEndpoints":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetJobRuns":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetJobs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetMLTaskRuns":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetMLTransforms":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetPartitionIndexes":{"input_token":"NextToken","output_token":"NextToken","result_key":"PartitionIndexDescriptorList"},"GetPartitions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetResourcePolicies":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"GetResourcePoliciesResponseList"},"GetSecurityConfigurations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"SecurityConfigurations"},"GetTableVersions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetTables":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetTriggers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetUserDefinedFunctions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetWorkflowRuns":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListBlueprints":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListCrawlers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListDevEndpoints":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListJobs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListMLTransforms":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListRegistries":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Registries"},"ListSchemaVersions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Schemas"},"ListSchemas":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Schemas"},"ListTriggers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListWorkflows":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"SearchTables":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"}}}');

/***/ }),

/***/ 29655:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-08-18","endpointPrefix":"grafana","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Managed Grafana","serviceId":"grafana","signatureVersion":"v4","signingName":"grafana","uid":"grafana-2020-08-18"},"operations":{"AssociateLicense":{"http":{"requestUri":"/workspaces/{workspaceId}/licenses/{licenseType}","responseCode":202},"input":{"type":"structure","required":["licenseType","workspaceId"],"members":{"licenseType":{"location":"uri","locationName":"licenseType"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["workspace"],"members":{"workspace":{"shape":"S5"}}}},"CreateWorkspace":{"http":{"requestUri":"/workspaces","responseCode":202},"input":{"type":"structure","required":["accountAccessType","authenticationProviders","permissionType"],"members":{"accountAccessType":{},"authenticationProviders":{"shape":"S8"},"clientToken":{"idempotencyToken":true},"organizationRoleName":{"shape":"Sl"},"permissionType":{},"stackSetName":{},"workspaceDataSources":{"shape":"Sc"},"workspaceDescription":{"shape":"Se"},"workspaceName":{"shape":"Si"},"workspaceNotificationDestinations":{"shape":"Sj"},"workspaceOrganizationalUnits":{"shape":"Sm"},"workspaceRoleArn":{"shape":"Sr"}}},"output":{"type":"structure","required":["workspace"],"members":{"workspace":{"shape":"S5"}}},"idempotent":true},"DeleteWorkspace":{"http":{"method":"DELETE","requestUri":"/workspaces/{workspaceId}","responseCode":202},"input":{"type":"structure","required":["workspaceId"],"members":{"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["workspace"],"members":{"workspace":{"shape":"S5"}}},"idempotent":true},"DescribeWorkspace":{"http":{"method":"GET","requestUri":"/workspaces/{workspaceId}","responseCode":200},"input":{"type":"structure","required":["workspaceId"],"members":{"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["workspace"],"members":{"workspace":{"shape":"S5"}}}},"DescribeWorkspaceAuthentication":{"http":{"method":"GET","requestUri":"/workspaces/{workspaceId}/authentication","responseCode":200},"input":{"type":"structure","required":["workspaceId"],"members":{"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["authentication"],"members":{"authentication":{"shape":"S11"}}}},"DisassociateLicense":{"http":{"method":"DELETE","requestUri":"/workspaces/{workspaceId}/licenses/{licenseType}","responseCode":202},"input":{"type":"structure","required":["licenseType","workspaceId"],"members":{"licenseType":{"location":"uri","locationName":"licenseType"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["workspace"],"members":{"workspace":{"shape":"S5"}}}},"ListPermissions":{"http":{"method":"GET","requestUri":"/workspaces/{workspaceId}/permissions","responseCode":200},"input":{"type":"structure","required":["workspaceId"],"members":{"groupId":{"location":"querystring","locationName":"groupId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"userId":{"location":"querystring","locationName":"userId"},"userType":{"location":"querystring","locationName":"userType"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["permissions"],"members":{"nextToken":{},"permissions":{"type":"list","member":{"type":"structure","required":["role","user"],"members":{"role":{},"user":{"shape":"S1s"}}}}}}},"ListWorkspaces":{"http":{"method":"GET","requestUri":"/workspaces","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["workspaces"],"members":{"nextToken":{},"workspaces":{"type":"list","member":{"type":"structure","required":["authentication","created","endpoint","grafanaVersion","id","modified","status"],"members":{"authentication":{"shape":"S7"},"created":{"type":"timestamp"},"description":{"shape":"Se"},"endpoint":{},"grafanaVersion":{},"id":{},"modified":{"type":"timestamp"},"name":{"shape":"Si"},"notificationDestinations":{"shape":"Sj"},"status":{}}}}}}},"UpdatePermissions":{"http":{"method":"PATCH","requestUri":"/workspaces/{workspaceId}/permissions","responseCode":200},"input":{"type":"structure","required":["updateInstructionBatch","workspaceId"],"members":{"updateInstructionBatch":{"type":"list","member":{"shape":"S20"}},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["errors"],"members":{"errors":{"type":"list","member":{"type":"structure","required":["causedBy","code","message"],"members":{"causedBy":{"shape":"S20"},"code":{"type":"integer"},"message":{}}}}}}},"UpdateWorkspace":{"http":{"method":"PUT","requestUri":"/workspaces/{workspaceId}","responseCode":202},"input":{"type":"structure","required":["workspaceId"],"members":{"accountAccessType":{},"organizationRoleName":{"shape":"Sl"},"permissionType":{},"stackSetName":{},"workspaceDataSources":{"shape":"Sc"},"workspaceDescription":{"shape":"Se"},"workspaceId":{"location":"uri","locationName":"workspaceId"},"workspaceName":{"shape":"Si"},"workspaceNotificationDestinations":{"shape":"Sj"},"workspaceOrganizationalUnits":{"shape":"Sm"},"workspaceRoleArn":{"shape":"Sr"}}},"output":{"type":"structure","required":["workspace"],"members":{"workspace":{"shape":"S5"}}}},"UpdateWorkspaceAuthentication":{"http":{"requestUri":"/workspaces/{workspaceId}/authentication","responseCode":200},"input":{"type":"structure","required":["authenticationProviders","workspaceId"],"members":{"authenticationProviders":{"shape":"S8"},"samlConfiguration":{"shape":"S15"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["authentication"],"members":{"authentication":{"shape":"S11"}}}}},"shapes":{"S5":{"type":"structure","required":["authentication","created","dataSources","endpoint","grafanaVersion","id","modified","status"],"members":{"accountAccessType":{},"authentication":{"shape":"S7"},"created":{"type":"timestamp"},"dataSources":{"shape":"Sc"},"description":{"shape":"Se"},"endpoint":{},"freeTrialConsumed":{"type":"boolean"},"freeTrialExpiration":{"type":"timestamp"},"grafanaVersion":{},"id":{},"licenseExpiration":{"type":"timestamp"},"licenseType":{},"modified":{"type":"timestamp"},"name":{"shape":"Si"},"notificationDestinations":{"shape":"Sj"},"organizationRoleName":{"shape":"Sl"},"organizationalUnits":{"shape":"Sm"},"permissionType":{},"stackSetName":{},"status":{},"workspaceRoleArn":{"shape":"Sr"}}},"S7":{"type":"structure","required":["providers"],"members":{"providers":{"shape":"S8"},"samlConfigurationStatus":{}}},"S8":{"type":"list","member":{}},"Sc":{"type":"list","member":{}},"Se":{"type":"string","sensitive":true},"Si":{"type":"string","sensitive":true},"Sj":{"type":"list","member":{}},"Sl":{"type":"string","sensitive":true},"Sm":{"type":"list","member":{},"sensitive":true},"Sr":{"type":"string","sensitive":true},"S11":{"type":"structure","required":["providers"],"members":{"awsSso":{"type":"structure","members":{"ssoClientId":{}}},"providers":{"shape":"S8"},"saml":{"type":"structure","required":["status"],"members":{"configuration":{"shape":"S15"},"status":{}}}}},"S15":{"type":"structure","required":["idpMetadata"],"members":{"allowedOrganizations":{"type":"list","member":{}},"assertionAttributes":{"type":"structure","members":{"email":{},"groups":{},"login":{},"name":{},"org":{},"role":{}}},"idpMetadata":{"type":"structure","members":{"url":{},"xml":{}},"union":true},"loginValidityDuration":{"type":"integer"},"roleValues":{"type":"structure","members":{"admin":{"shape":"S1f"},"editor":{"shape":"S1f"}}}}},"S1f":{"type":"list","member":{}},"S1s":{"type":"structure","required":["id","type"],"members":{"id":{},"type":{}}},"S20":{"type":"structure","required":["action","role","users"],"members":{"action":{},"role":{},"users":{"type":"list","member":{"shape":"S1s"}}}}}}');

/***/ }),

/***/ 83188:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListPermissions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"permissions"},"ListWorkspaces":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"workspaces"}}}');

/***/ }),

/***/ 72575:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2017-06-07","endpointPrefix":"greengrass","signingName":"greengrass","serviceFullName":"AWS Greengrass","serviceId":"Greengrass","protocol":"rest-json","jsonVersion":"1.1","uid":"greengrass-2017-06-07","signatureVersion":"v4"},"operations":{"AssociateRoleToGroup":{"http":{"method":"PUT","requestUri":"/greengrass/groups/{GroupId}/role","responseCode":200},"input":{"type":"structure","members":{"GroupId":{"location":"uri","locationName":"GroupId"},"RoleArn":{}},"required":["GroupId","RoleArn"]},"output":{"type":"structure","members":{"AssociatedAt":{}}}},"AssociateServiceRoleToAccount":{"http":{"method":"PUT","requestUri":"/greengrass/servicerole","responseCode":200},"input":{"type":"structure","members":{"RoleArn":{}},"required":["RoleArn"]},"output":{"type":"structure","members":{"AssociatedAt":{}}}},"CreateConnectorDefinition":{"http":{"requestUri":"/greengrass/definition/connectors","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"InitialVersion":{"shape":"S7"},"Name":{},"tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{}}}},"CreateConnectorDefinitionVersion":{"http":{"requestUri":"/greengrass/definition/connectors/{ConnectorDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"ConnectorDefinitionId":{"location":"uri","locationName":"ConnectorDefinitionId"},"Connectors":{"shape":"S8"}},"required":["ConnectorDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"Version":{}}}},"CreateCoreDefinition":{"http":{"requestUri":"/greengrass/definition/cores","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"InitialVersion":{"shape":"Sg"},"Name":{},"tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{}}}},"CreateCoreDefinitionVersion":{"http":{"requestUri":"/greengrass/definition/cores/{CoreDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"CoreDefinitionId":{"location":"uri","locationName":"CoreDefinitionId"},"Cores":{"shape":"Sh"}},"required":["CoreDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"Version":{}}}},"CreateDeployment":{"http":{"requestUri":"/greengrass/groups/{GroupId}/deployments","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"DeploymentId":{},"DeploymentType":{},"GroupId":{"location":"uri","locationName":"GroupId"},"GroupVersionId":{}},"required":["GroupId","DeploymentType"]},"output":{"type":"structure","members":{"DeploymentArn":{},"DeploymentId":{}}}},"CreateDeviceDefinition":{"http":{"requestUri":"/greengrass/definition/devices","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"InitialVersion":{"shape":"Sr"},"Name":{},"tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{}}}},"CreateDeviceDefinitionVersion":{"http":{"requestUri":"/greengrass/definition/devices/{DeviceDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"DeviceDefinitionId":{"location":"uri","locationName":"DeviceDefinitionId"},"Devices":{"shape":"Ss"}},"required":["DeviceDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"Version":{}}}},"CreateFunctionDefinition":{"http":{"requestUri":"/greengrass/definition/functions","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"InitialVersion":{"shape":"Sy"},"Name":{},"tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{}}}},"CreateFunctionDefinitionVersion":{"http":{"requestUri":"/greengrass/definition/functions/{FunctionDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"DefaultConfig":{"shape":"Sz"},"FunctionDefinitionId":{"location":"uri","locationName":"FunctionDefinitionId"},"Functions":{"shape":"S14"}},"required":["FunctionDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"Version":{}}}},"CreateGroup":{"http":{"requestUri":"/greengrass/groups","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"InitialVersion":{"shape":"S1h"},"Name":{},"tags":{"shape":"Sb"}},"required":["Name"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{}}}},"CreateGroupCertificateAuthority":{"http":{"requestUri":"/greengrass/groups/{GroupId}/certificateauthorities","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"GroupId":{"location":"uri","locationName":"GroupId"}},"required":["GroupId"]},"output":{"type":"structure","members":{"GroupCertificateAuthorityArn":{}}}},"CreateGroupVersion":{"http":{"requestUri":"/greengrass/groups/{GroupId}/versions","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"ConnectorDefinitionVersionArn":{},"CoreDefinitionVersionArn":{},"DeviceDefinitionVersionArn":{},"FunctionDefinitionVersionArn":{},"GroupId":{"location":"uri","locationName":"GroupId"},"LoggerDefinitionVersionArn":{},"ResourceDefinitionVersionArn":{},"SubscriptionDefinitionVersionArn":{}},"required":["GroupId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"Version":{}}}},"CreateLoggerDefinition":{"http":{"requestUri":"/greengrass/definition/loggers","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"InitialVersion":{"shape":"S1o"},"Name":{},"tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{}}}},"CreateLoggerDefinitionVersion":{"http":{"requestUri":"/greengrass/definition/loggers/{LoggerDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"LoggerDefinitionId":{"location":"uri","locationName":"LoggerDefinitionId"},"Loggers":{"shape":"S1p"}},"required":["LoggerDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"Version":{}}}},"CreateResourceDefinition":{"http":{"requestUri":"/greengrass/definition/resources","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"InitialVersion":{"shape":"S1y"},"Name":{},"tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{}}}},"CreateResourceDefinitionVersion":{"http":{"requestUri":"/greengrass/definition/resources/{ResourceDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"ResourceDefinitionId":{"location":"uri","locationName":"ResourceDefinitionId"},"Resources":{"shape":"S1z"}},"required":["ResourceDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"Version":{}}}},"CreateSoftwareUpdateJob":{"http":{"requestUri":"/greengrass/updates","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"S3UrlSignerRole":{},"SoftwareToUpdate":{},"UpdateAgentLogLevel":{},"UpdateTargets":{"type":"list","member":{}},"UpdateTargetsArchitecture":{},"UpdateTargetsOperatingSystem":{}},"required":["S3UrlSignerRole","UpdateTargetsArchitecture","SoftwareToUpdate","UpdateTargets","UpdateTargetsOperatingSystem"]},"output":{"type":"structure","members":{"IotJobArn":{},"IotJobId":{},"PlatformSoftwareVersion":{}}}},"CreateSubscriptionDefinition":{"http":{"requestUri":"/greengrass/definition/subscriptions","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"InitialVersion":{"shape":"S2m"},"Name":{},"tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{}}}},"CreateSubscriptionDefinitionVersion":{"http":{"requestUri":"/greengrass/definition/subscriptions/{SubscriptionDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"SubscriptionDefinitionId":{"location":"uri","locationName":"SubscriptionDefinitionId"},"Subscriptions":{"shape":"S2n"}},"required":["SubscriptionDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"Version":{}}}},"DeleteConnectorDefinition":{"http":{"method":"DELETE","requestUri":"/greengrass/definition/connectors/{ConnectorDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"ConnectorDefinitionId":{"location":"uri","locationName":"ConnectorDefinitionId"}},"required":["ConnectorDefinitionId"]},"output":{"type":"structure","members":{}}},"DeleteCoreDefinition":{"http":{"method":"DELETE","requestUri":"/greengrass/definition/cores/{CoreDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"CoreDefinitionId":{"location":"uri","locationName":"CoreDefinitionId"}},"required":["CoreDefinitionId"]},"output":{"type":"structure","members":{}}},"DeleteDeviceDefinition":{"http":{"method":"DELETE","requestUri":"/greengrass/definition/devices/{DeviceDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"DeviceDefinitionId":{"location":"uri","locationName":"DeviceDefinitionId"}},"required":["DeviceDefinitionId"]},"output":{"type":"structure","members":{}}},"DeleteFunctionDefinition":{"http":{"method":"DELETE","requestUri":"/greengrass/definition/functions/{FunctionDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"FunctionDefinitionId":{"location":"uri","locationName":"FunctionDefinitionId"}},"required":["FunctionDefinitionId"]},"output":{"type":"structure","members":{}}},"DeleteGroup":{"http":{"method":"DELETE","requestUri":"/greengrass/groups/{GroupId}","responseCode":200},"input":{"type":"structure","members":{"GroupId":{"location":"uri","locationName":"GroupId"}},"required":["GroupId"]},"output":{"type":"structure","members":{}}},"DeleteLoggerDefinition":{"http":{"method":"DELETE","requestUri":"/greengrass/definition/loggers/{LoggerDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"LoggerDefinitionId":{"location":"uri","locationName":"LoggerDefinitionId"}},"required":["LoggerDefinitionId"]},"output":{"type":"structure","members":{}}},"DeleteResourceDefinition":{"http":{"method":"DELETE","requestUri":"/greengrass/definition/resources/{ResourceDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"ResourceDefinitionId":{"location":"uri","locationName":"ResourceDefinitionId"}},"required":["ResourceDefinitionId"]},"output":{"type":"structure","members":{}}},"DeleteSubscriptionDefinition":{"http":{"method":"DELETE","requestUri":"/greengrass/definition/subscriptions/{SubscriptionDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"SubscriptionDefinitionId":{"location":"uri","locationName":"SubscriptionDefinitionId"}},"required":["SubscriptionDefinitionId"]},"output":{"type":"structure","members":{}}},"DisassociateRoleFromGroup":{"http":{"method":"DELETE","requestUri":"/greengrass/groups/{GroupId}/role","responseCode":200},"input":{"type":"structure","members":{"GroupId":{"location":"uri","locationName":"GroupId"}},"required":["GroupId"]},"output":{"type":"structure","members":{"DisassociatedAt":{}}}},"DisassociateServiceRoleFromAccount":{"http":{"method":"DELETE","requestUri":"/greengrass/servicerole","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"DisassociatedAt":{}}}},"GetAssociatedRole":{"http":{"method":"GET","requestUri":"/greengrass/groups/{GroupId}/role","responseCode":200},"input":{"type":"structure","members":{"GroupId":{"location":"uri","locationName":"GroupId"}},"required":["GroupId"]},"output":{"type":"structure","members":{"AssociatedAt":{},"RoleArn":{}}}},"GetBulkDeploymentStatus":{"http":{"method":"GET","requestUri":"/greengrass/bulk/deployments/{BulkDeploymentId}/status","responseCode":200},"input":{"type":"structure","members":{"BulkDeploymentId":{"location":"uri","locationName":"BulkDeploymentId"}},"required":["BulkDeploymentId"]},"output":{"type":"structure","members":{"BulkDeploymentMetrics":{"type":"structure","members":{"InvalidInputRecords":{"type":"integer"},"RecordsProcessed":{"type":"integer"},"RetryAttempts":{"type":"integer"}}},"BulkDeploymentStatus":{},"CreatedAt":{},"ErrorDetails":{"shape":"S3i"},"ErrorMessage":{},"tags":{"shape":"Sb"}}}},"GetConnectivityInfo":{"http":{"method":"GET","requestUri":"/greengrass/things/{ThingName}/connectivityInfo","responseCode":200},"input":{"type":"structure","members":{"ThingName":{"location":"uri","locationName":"ThingName"}},"required":["ThingName"]},"output":{"type":"structure","members":{"ConnectivityInfo":{"shape":"S3m"},"Message":{"locationName":"message"}}}},"GetConnectorDefinition":{"http":{"method":"GET","requestUri":"/greengrass/definition/connectors/{ConnectorDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"ConnectorDefinitionId":{"location":"uri","locationName":"ConnectorDefinitionId"}},"required":["ConnectorDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{},"tags":{"shape":"Sb"}}}},"GetConnectorDefinitionVersion":{"http":{"method":"GET","requestUri":"/greengrass/definition/connectors/{ConnectorDefinitionId}/versions/{ConnectorDefinitionVersionId}","responseCode":200},"input":{"type":"structure","members":{"ConnectorDefinitionId":{"location":"uri","locationName":"ConnectorDefinitionId"},"ConnectorDefinitionVersionId":{"location":"uri","locationName":"ConnectorDefinitionVersionId"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["ConnectorDefinitionId","ConnectorDefinitionVersionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Definition":{"shape":"S7"},"Id":{},"NextToken":{},"Version":{}}}},"GetCoreDefinition":{"http":{"method":"GET","requestUri":"/greengrass/definition/cores/{CoreDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"CoreDefinitionId":{"location":"uri","locationName":"CoreDefinitionId"}},"required":["CoreDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{},"tags":{"shape":"Sb"}}}},"GetCoreDefinitionVersion":{"http":{"method":"GET","requestUri":"/greengrass/definition/cores/{CoreDefinitionId}/versions/{CoreDefinitionVersionId}","responseCode":200},"input":{"type":"structure","members":{"CoreDefinitionId":{"location":"uri","locationName":"CoreDefinitionId"},"CoreDefinitionVersionId":{"location":"uri","locationName":"CoreDefinitionVersionId"}},"required":["CoreDefinitionId","CoreDefinitionVersionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Definition":{"shape":"Sg"},"Id":{},"NextToken":{},"Version":{}}}},"GetDeploymentStatus":{"http":{"method":"GET","requestUri":"/greengrass/groups/{GroupId}/deployments/{DeploymentId}/status","responseCode":200},"input":{"type":"structure","members":{"DeploymentId":{"location":"uri","locationName":"DeploymentId"},"GroupId":{"location":"uri","locationName":"GroupId"}},"required":["GroupId","DeploymentId"]},"output":{"type":"structure","members":{"DeploymentStatus":{},"DeploymentType":{},"ErrorDetails":{"shape":"S3i"},"ErrorMessage":{},"UpdatedAt":{}}}},"GetDeviceDefinition":{"http":{"method":"GET","requestUri":"/greengrass/definition/devices/{DeviceDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"DeviceDefinitionId":{"location":"uri","locationName":"DeviceDefinitionId"}},"required":["DeviceDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{},"tags":{"shape":"Sb"}}}},"GetDeviceDefinitionVersion":{"http":{"method":"GET","requestUri":"/greengrass/definition/devices/{DeviceDefinitionId}/versions/{DeviceDefinitionVersionId}","responseCode":200},"input":{"type":"structure","members":{"DeviceDefinitionId":{"location":"uri","locationName":"DeviceDefinitionId"},"DeviceDefinitionVersionId":{"location":"uri","locationName":"DeviceDefinitionVersionId"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["DeviceDefinitionVersionId","DeviceDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Definition":{"shape":"Sr"},"Id":{},"NextToken":{},"Version":{}}}},"GetFunctionDefinition":{"http":{"method":"GET","requestUri":"/greengrass/definition/functions/{FunctionDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"FunctionDefinitionId":{"location":"uri","locationName":"FunctionDefinitionId"}},"required":["FunctionDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{},"tags":{"shape":"Sb"}}}},"GetFunctionDefinitionVersion":{"http":{"method":"GET","requestUri":"/greengrass/definition/functions/{FunctionDefinitionId}/versions/{FunctionDefinitionVersionId}","responseCode":200},"input":{"type":"structure","members":{"FunctionDefinitionId":{"location":"uri","locationName":"FunctionDefinitionId"},"FunctionDefinitionVersionId":{"location":"uri","locationName":"FunctionDefinitionVersionId"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["FunctionDefinitionId","FunctionDefinitionVersionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Definition":{"shape":"Sy"},"Id":{},"NextToken":{},"Version":{}}}},"GetGroup":{"http":{"method":"GET","requestUri":"/greengrass/groups/{GroupId}","responseCode":200},"input":{"type":"structure","members":{"GroupId":{"location":"uri","locationName":"GroupId"}},"required":["GroupId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{},"tags":{"shape":"Sb"}}}},"GetGroupCertificateAuthority":{"http":{"method":"GET","requestUri":"/greengrass/groups/{GroupId}/certificateauthorities/{CertificateAuthorityId}","responseCode":200},"input":{"type":"structure","members":{"CertificateAuthorityId":{"location":"uri","locationName":"CertificateAuthorityId"},"GroupId":{"location":"uri","locationName":"GroupId"}},"required":["CertificateAuthorityId","GroupId"]},"output":{"type":"structure","members":{"GroupCertificateAuthorityArn":{},"GroupCertificateAuthorityId":{},"PemEncodedCertificate":{}}}},"GetGroupCertificateConfiguration":{"http":{"method":"GET","requestUri":"/greengrass/groups/{GroupId}/certificateauthorities/configuration/expiry","responseCode":200},"input":{"type":"structure","members":{"GroupId":{"location":"uri","locationName":"GroupId"}},"required":["GroupId"]},"output":{"type":"structure","members":{"CertificateAuthorityExpiryInMilliseconds":{},"CertificateExpiryInMilliseconds":{},"GroupId":{}}}},"GetGroupVersion":{"http":{"method":"GET","requestUri":"/greengrass/groups/{GroupId}/versions/{GroupVersionId}","responseCode":200},"input":{"type":"structure","members":{"GroupId":{"location":"uri","locationName":"GroupId"},"GroupVersionId":{"location":"uri","locationName":"GroupVersionId"}},"required":["GroupVersionId","GroupId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Definition":{"shape":"S1h"},"Id":{},"Version":{}}}},"GetLoggerDefinition":{"http":{"method":"GET","requestUri":"/greengrass/definition/loggers/{LoggerDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"LoggerDefinitionId":{"location":"uri","locationName":"LoggerDefinitionId"}},"required":["LoggerDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{},"tags":{"shape":"Sb"}}}},"GetLoggerDefinitionVersion":{"http":{"method":"GET","requestUri":"/greengrass/definition/loggers/{LoggerDefinitionId}/versions/{LoggerDefinitionVersionId}","responseCode":200},"input":{"type":"structure","members":{"LoggerDefinitionId":{"location":"uri","locationName":"LoggerDefinitionId"},"LoggerDefinitionVersionId":{"location":"uri","locationName":"LoggerDefinitionVersionId"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["LoggerDefinitionVersionId","LoggerDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Definition":{"shape":"S1o"},"Id":{},"Version":{}}}},"GetResourceDefinition":{"http":{"method":"GET","requestUri":"/greengrass/definition/resources/{ResourceDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"ResourceDefinitionId":{"location":"uri","locationName":"ResourceDefinitionId"}},"required":["ResourceDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{},"tags":{"shape":"Sb"}}}},"GetResourceDefinitionVersion":{"http":{"method":"GET","requestUri":"/greengrass/definition/resources/{ResourceDefinitionId}/versions/{ResourceDefinitionVersionId}","responseCode":200},"input":{"type":"structure","members":{"ResourceDefinitionId":{"location":"uri","locationName":"ResourceDefinitionId"},"ResourceDefinitionVersionId":{"location":"uri","locationName":"ResourceDefinitionVersionId"}},"required":["ResourceDefinitionVersionId","ResourceDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Definition":{"shape":"S1y"},"Id":{},"Version":{}}}},"GetServiceRoleForAccount":{"http":{"method":"GET","requestUri":"/greengrass/servicerole","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"AssociatedAt":{},"RoleArn":{}}}},"GetSubscriptionDefinition":{"http":{"method":"GET","requestUri":"/greengrass/definition/subscriptions/{SubscriptionDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"SubscriptionDefinitionId":{"location":"uri","locationName":"SubscriptionDefinitionId"}},"required":["SubscriptionDefinitionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{},"tags":{"shape":"Sb"}}}},"GetSubscriptionDefinitionVersion":{"http":{"method":"GET","requestUri":"/greengrass/definition/subscriptions/{SubscriptionDefinitionId}/versions/{SubscriptionDefinitionVersionId}","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"SubscriptionDefinitionId":{"location":"uri","locationName":"SubscriptionDefinitionId"},"SubscriptionDefinitionVersionId":{"location":"uri","locationName":"SubscriptionDefinitionVersionId"}},"required":["SubscriptionDefinitionId","SubscriptionDefinitionVersionId"]},"output":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Definition":{"shape":"S2m"},"Id":{},"NextToken":{},"Version":{}}}},"GetThingRuntimeConfiguration":{"http":{"method":"GET","requestUri":"/greengrass/things/{ThingName}/runtimeconfig","responseCode":200},"input":{"type":"structure","members":{"ThingName":{"location":"uri","locationName":"ThingName"}},"required":["ThingName"]},"output":{"type":"structure","members":{"RuntimeConfiguration":{"type":"structure","members":{"TelemetryConfiguration":{"type":"structure","members":{"ConfigurationSyncStatus":{},"Telemetry":{}},"required":["Telemetry"]}}}}}},"ListBulkDeploymentDetailedReports":{"http":{"method":"GET","requestUri":"/greengrass/bulk/deployments/{BulkDeploymentId}/detailed-reports","responseCode":200},"input":{"type":"structure","members":{"BulkDeploymentId":{"location":"uri","locationName":"BulkDeploymentId"},"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["BulkDeploymentId"]},"output":{"type":"structure","members":{"Deployments":{"type":"list","member":{"type":"structure","members":{"CreatedAt":{},"DeploymentArn":{},"DeploymentId":{},"DeploymentStatus":{},"DeploymentType":{},"ErrorDetails":{"shape":"S3i"},"ErrorMessage":{},"GroupArn":{}}}},"NextToken":{}}}},"ListBulkDeployments":{"http":{"method":"GET","requestUri":"/greengrass/bulk/deployments","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"BulkDeployments":{"type":"list","member":{"type":"structure","members":{"BulkDeploymentArn":{},"BulkDeploymentId":{},"CreatedAt":{}}}},"NextToken":{}}}},"ListConnectorDefinitionVersions":{"http":{"method":"GET","requestUri":"/greengrass/definition/connectors/{ConnectorDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"ConnectorDefinitionId":{"location":"uri","locationName":"ConnectorDefinitionId"},"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["ConnectorDefinitionId"]},"output":{"type":"structure","members":{"NextToken":{},"Versions":{"shape":"S58"}}}},"ListConnectorDefinitions":{"http":{"method":"GET","requestUri":"/greengrass/definition/connectors","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Definitions":{"shape":"S5c"},"NextToken":{}}}},"ListCoreDefinitionVersions":{"http":{"method":"GET","requestUri":"/greengrass/definition/cores/{CoreDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"CoreDefinitionId":{"location":"uri","locationName":"CoreDefinitionId"},"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["CoreDefinitionId"]},"output":{"type":"structure","members":{"NextToken":{},"Versions":{"shape":"S58"}}}},"ListCoreDefinitions":{"http":{"method":"GET","requestUri":"/greengrass/definition/cores","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Definitions":{"shape":"S5c"},"NextToken":{}}}},"ListDeployments":{"http":{"method":"GET","requestUri":"/greengrass/groups/{GroupId}/deployments","responseCode":200},"input":{"type":"structure","members":{"GroupId":{"location":"uri","locationName":"GroupId"},"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["GroupId"]},"output":{"type":"structure","members":{"Deployments":{"type":"list","member":{"type":"structure","members":{"CreatedAt":{},"DeploymentArn":{},"DeploymentId":{},"DeploymentType":{},"GroupArn":{}}}},"NextToken":{}}}},"ListDeviceDefinitionVersions":{"http":{"method":"GET","requestUri":"/greengrass/definition/devices/{DeviceDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"DeviceDefinitionId":{"location":"uri","locationName":"DeviceDefinitionId"},"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["DeviceDefinitionId"]},"output":{"type":"structure","members":{"NextToken":{},"Versions":{"shape":"S58"}}}},"ListDeviceDefinitions":{"http":{"method":"GET","requestUri":"/greengrass/definition/devices","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Definitions":{"shape":"S5c"},"NextToken":{}}}},"ListFunctionDefinitionVersions":{"http":{"method":"GET","requestUri":"/greengrass/definition/functions/{FunctionDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"FunctionDefinitionId":{"location":"uri","locationName":"FunctionDefinitionId"},"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["FunctionDefinitionId"]},"output":{"type":"structure","members":{"NextToken":{},"Versions":{"shape":"S58"}}}},"ListFunctionDefinitions":{"http":{"method":"GET","requestUri":"/greengrass/definition/functions","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Definitions":{"shape":"S5c"},"NextToken":{}}}},"ListGroupCertificateAuthorities":{"http":{"method":"GET","requestUri":"/greengrass/groups/{GroupId}/certificateauthorities","responseCode":200},"input":{"type":"structure","members":{"GroupId":{"location":"uri","locationName":"GroupId"}},"required":["GroupId"]},"output":{"type":"structure","members":{"GroupCertificateAuthorities":{"type":"list","member":{"type":"structure","members":{"GroupCertificateAuthorityArn":{},"GroupCertificateAuthorityId":{}}}}}}},"ListGroupVersions":{"http":{"method":"GET","requestUri":"/greengrass/groups/{GroupId}/versions","responseCode":200},"input":{"type":"structure","members":{"GroupId":{"location":"uri","locationName":"GroupId"},"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["GroupId"]},"output":{"type":"structure","members":{"NextToken":{},"Versions":{"shape":"S58"}}}},"ListGroups":{"http":{"method":"GET","requestUri":"/greengrass/groups","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Groups":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{}}}},"NextToken":{}}}},"ListLoggerDefinitionVersions":{"http":{"method":"GET","requestUri":"/greengrass/definition/loggers/{LoggerDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"LoggerDefinitionId":{"location":"uri","locationName":"LoggerDefinitionId"},"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["LoggerDefinitionId"]},"output":{"type":"structure","members":{"NextToken":{},"Versions":{"shape":"S58"}}}},"ListLoggerDefinitions":{"http":{"method":"GET","requestUri":"/greengrass/definition/loggers","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Definitions":{"shape":"S5c"},"NextToken":{}}}},"ListResourceDefinitionVersions":{"http":{"method":"GET","requestUri":"/greengrass/definition/resources/{ResourceDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"},"ResourceDefinitionId":{"location":"uri","locationName":"ResourceDefinitionId"}},"required":["ResourceDefinitionId"]},"output":{"type":"structure","members":{"NextToken":{},"Versions":{"shape":"S58"}}}},"ListResourceDefinitions":{"http":{"method":"GET","requestUri":"/greengrass/definition/resources","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Definitions":{"shape":"S5c"},"NextToken":{}}}},"ListSubscriptionDefinitionVersions":{"http":{"method":"GET","requestUri":"/greengrass/definition/subscriptions/{SubscriptionDefinitionId}/versions","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"},"SubscriptionDefinitionId":{"location":"uri","locationName":"SubscriptionDefinitionId"}},"required":["SubscriptionDefinitionId"]},"output":{"type":"structure","members":{"NextToken":{},"Versions":{"shape":"S58"}}}},"ListSubscriptionDefinitions":{"http":{"method":"GET","requestUri":"/greengrass/definition/subscriptions","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Definitions":{"shape":"S5c"},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resource-arn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{"tags":{"shape":"Sb"}}}},"ResetDeployments":{"http":{"requestUri":"/greengrass/groups/{GroupId}/deployments/$reset","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"Force":{"type":"boolean"},"GroupId":{"location":"uri","locationName":"GroupId"}},"required":["GroupId"]},"output":{"type":"structure","members":{"DeploymentArn":{},"DeploymentId":{}}}},"StartBulkDeployment":{"http":{"requestUri":"/greengrass/bulk/deployments","responseCode":200},"input":{"type":"structure","members":{"AmznClientToken":{"location":"header","locationName":"X-Amzn-Client-Token"},"ExecutionRoleArn":{},"InputFileUri":{},"tags":{"shape":"Sb"}},"required":["ExecutionRoleArn","InputFileUri"]},"output":{"type":"structure","members":{"BulkDeploymentArn":{},"BulkDeploymentId":{}}}},"StopBulkDeployment":{"http":{"method":"PUT","requestUri":"/greengrass/bulk/deployments/{BulkDeploymentId}/$stop","responseCode":200},"input":{"type":"structure","members":{"BulkDeploymentId":{"location":"uri","locationName":"BulkDeploymentId"}},"required":["BulkDeploymentId"]},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"tags":{"shape":"Sb"}},"required":["ResourceArn"]}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"TagKeys":{"shape":"S29","location":"querystring","locationName":"tagKeys"}},"required":["TagKeys","ResourceArn"]}},"UpdateConnectivityInfo":{"http":{"method":"PUT","requestUri":"/greengrass/things/{ThingName}/connectivityInfo","responseCode":200},"input":{"type":"structure","members":{"ConnectivityInfo":{"shape":"S3m"},"ThingName":{"location":"uri","locationName":"ThingName"}},"required":["ThingName"]},"output":{"type":"structure","members":{"Message":{"locationName":"message"},"Version":{}}}},"UpdateConnectorDefinition":{"http":{"method":"PUT","requestUri":"/greengrass/definition/connectors/{ConnectorDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"ConnectorDefinitionId":{"location":"uri","locationName":"ConnectorDefinitionId"},"Name":{}},"required":["ConnectorDefinitionId"]},"output":{"type":"structure","members":{}}},"UpdateCoreDefinition":{"http":{"method":"PUT","requestUri":"/greengrass/definition/cores/{CoreDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"CoreDefinitionId":{"location":"uri","locationName":"CoreDefinitionId"},"Name":{}},"required":["CoreDefinitionId"]},"output":{"type":"structure","members":{}}},"UpdateDeviceDefinition":{"http":{"method":"PUT","requestUri":"/greengrass/definition/devices/{DeviceDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"DeviceDefinitionId":{"location":"uri","locationName":"DeviceDefinitionId"},"Name":{}},"required":["DeviceDefinitionId"]},"output":{"type":"structure","members":{}}},"UpdateFunctionDefinition":{"http":{"method":"PUT","requestUri":"/greengrass/definition/functions/{FunctionDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"FunctionDefinitionId":{"location":"uri","locationName":"FunctionDefinitionId"},"Name":{}},"required":["FunctionDefinitionId"]},"output":{"type":"structure","members":{}}},"UpdateGroup":{"http":{"method":"PUT","requestUri":"/greengrass/groups/{GroupId}","responseCode":200},"input":{"type":"structure","members":{"GroupId":{"location":"uri","locationName":"GroupId"},"Name":{}},"required":["GroupId"]},"output":{"type":"structure","members":{}}},"UpdateGroupCertificateConfiguration":{"http":{"method":"PUT","requestUri":"/greengrass/groups/{GroupId}/certificateauthorities/configuration/expiry","responseCode":200},"input":{"type":"structure","members":{"CertificateExpiryInMilliseconds":{},"GroupId":{"location":"uri","locationName":"GroupId"}},"required":["GroupId"]},"output":{"type":"structure","members":{"CertificateAuthorityExpiryInMilliseconds":{},"CertificateExpiryInMilliseconds":{},"GroupId":{}}}},"UpdateLoggerDefinition":{"http":{"method":"PUT","requestUri":"/greengrass/definition/loggers/{LoggerDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"LoggerDefinitionId":{"location":"uri","locationName":"LoggerDefinitionId"},"Name":{}},"required":["LoggerDefinitionId"]},"output":{"type":"structure","members":{}}},"UpdateResourceDefinition":{"http":{"method":"PUT","requestUri":"/greengrass/definition/resources/{ResourceDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"Name":{},"ResourceDefinitionId":{"location":"uri","locationName":"ResourceDefinitionId"}},"required":["ResourceDefinitionId"]},"output":{"type":"structure","members":{}}},"UpdateSubscriptionDefinition":{"http":{"method":"PUT","requestUri":"/greengrass/definition/subscriptions/{SubscriptionDefinitionId}","responseCode":200},"input":{"type":"structure","members":{"Name":{},"SubscriptionDefinitionId":{"location":"uri","locationName":"SubscriptionDefinitionId"}},"required":["SubscriptionDefinitionId"]},"output":{"type":"structure","members":{}}},"UpdateThingRuntimeConfiguration":{"http":{"method":"PUT","requestUri":"/greengrass/things/{ThingName}/runtimeconfig","responseCode":200},"input":{"type":"structure","members":{"TelemetryConfiguration":{"type":"structure","members":{"Telemetry":{}},"required":["Telemetry"]},"ThingName":{"location":"uri","locationName":"ThingName"}},"required":["ThingName"]},"output":{"type":"structure","members":{}}}},"shapes":{"S7":{"type":"structure","members":{"Connectors":{"shape":"S8"}}},"S8":{"type":"list","member":{"type":"structure","members":{"ConnectorArn":{},"Id":{},"Parameters":{"shape":"Sa"}},"required":["ConnectorArn","Id"]}},"Sa":{"type":"map","key":{},"value":{}},"Sb":{"type":"map","key":{},"value":{}},"Sg":{"type":"structure","members":{"Cores":{"shape":"Sh"}}},"Sh":{"type":"list","member":{"type":"structure","members":{"CertificateArn":{},"Id":{},"SyncShadow":{"type":"boolean"},"ThingArn":{}},"required":["ThingArn","Id","CertificateArn"]}},"Sr":{"type":"structure","members":{"Devices":{"shape":"Ss"}}},"Ss":{"type":"list","member":{"type":"structure","members":{"CertificateArn":{},"Id":{},"SyncShadow":{"type":"boolean"},"ThingArn":{}},"required":["ThingArn","Id","CertificateArn"]}},"Sy":{"type":"structure","members":{"DefaultConfig":{"shape":"Sz"},"Functions":{"shape":"S14"}}},"Sz":{"type":"structure","members":{"Execution":{"type":"structure","members":{"IsolationMode":{},"RunAs":{"shape":"S12"}}}}},"S12":{"type":"structure","members":{"Gid":{"type":"integer"},"Uid":{"type":"integer"}}},"S14":{"type":"list","member":{"type":"structure","members":{"FunctionArn":{},"FunctionConfiguration":{"type":"structure","members":{"EncodingType":{},"Environment":{"type":"structure","members":{"AccessSysfs":{"type":"boolean"},"Execution":{"type":"structure","members":{"IsolationMode":{},"RunAs":{"shape":"S12"}}},"ResourceAccessPolicies":{"type":"list","member":{"type":"structure","members":{"Permission":{},"ResourceId":{}},"required":["ResourceId"]}},"Variables":{"shape":"Sa"}}},"ExecArgs":{},"Executable":{},"MemorySize":{"type":"integer"},"Pinned":{"type":"boolean"},"Timeout":{"type":"integer"}}},"Id":{}},"required":["Id"]}},"S1h":{"type":"structure","members":{"ConnectorDefinitionVersionArn":{},"CoreDefinitionVersionArn":{},"DeviceDefinitionVersionArn":{},"FunctionDefinitionVersionArn":{},"LoggerDefinitionVersionArn":{},"ResourceDefinitionVersionArn":{},"SubscriptionDefinitionVersionArn":{}}},"S1o":{"type":"structure","members":{"Loggers":{"shape":"S1p"}}},"S1p":{"type":"list","member":{"type":"structure","members":{"Component":{},"Id":{},"Level":{},"Space":{"type":"integer"},"Type":{}},"required":["Type","Level","Id","Component"]}},"S1y":{"type":"structure","members":{"Resources":{"shape":"S1z"}}},"S1z":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"ResourceDataContainer":{"type":"structure","members":{"LocalDeviceResourceData":{"type":"structure","members":{"GroupOwnerSetting":{"shape":"S23"},"SourcePath":{}}},"LocalVolumeResourceData":{"type":"structure","members":{"DestinationPath":{},"GroupOwnerSetting":{"shape":"S23"},"SourcePath":{}}},"S3MachineLearningModelResourceData":{"type":"structure","members":{"DestinationPath":{},"OwnerSetting":{"shape":"S26"},"S3Uri":{}}},"SageMakerMachineLearningModelResourceData":{"type":"structure","members":{"DestinationPath":{},"OwnerSetting":{"shape":"S26"},"SageMakerJobArn":{}}},"SecretsManagerSecretResourceData":{"type":"structure","members":{"ARN":{},"AdditionalStagingLabelsToDownload":{"shape":"S29"}}}}}},"required":["ResourceDataContainer","Id","Name"]}},"S23":{"type":"structure","members":{"AutoAddGroupOwner":{"type":"boolean"},"GroupOwner":{}}},"S26":{"type":"structure","members":{"GroupOwner":{},"GroupPermission":{}},"required":["GroupOwner","GroupPermission"]},"S29":{"type":"list","member":{}},"S2m":{"type":"structure","members":{"Subscriptions":{"shape":"S2n"}}},"S2n":{"type":"list","member":{"type":"structure","members":{"Id":{},"Source":{},"Subject":{},"Target":{}},"required":["Target","Id","Subject","Source"]}},"S3i":{"type":"list","member":{"type":"structure","members":{"DetailedErrorCode":{},"DetailedErrorMessage":{}}}},"S3m":{"type":"list","member":{"type":"structure","members":{"HostAddress":{},"Id":{},"Metadata":{},"PortNumber":{"type":"integer"}}}},"S58":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"Version":{}}}},"S5c":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreationTimestamp":{},"Id":{},"LastUpdatedTimestamp":{},"LatestVersion":{},"LatestVersionArn":{},"Name":{},"Tags":{"shape":"Sb","locationName":"tags"}}}}}}');

/***/ }),

/***/ 57546:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-11-30","endpointPrefix":"greengrass","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"AWS GreengrassV2","serviceFullName":"AWS IoT Greengrass V2","serviceId":"GreengrassV2","signatureVersion":"v4","uid":"greengrassv2-2020-11-30"},"operations":{"BatchAssociateClientDeviceWithCoreDevice":{"http":{"requestUri":"/greengrass/v2/coreDevices/{coreDeviceThingName}/associateClientDevices","responseCode":200},"input":{"type":"structure","required":["coreDeviceThingName"],"members":{"entries":{"type":"list","member":{"type":"structure","required":["thingName"],"members":{"thingName":{}}}},"coreDeviceThingName":{"location":"uri","locationName":"coreDeviceThingName"}}},"output":{"type":"structure","members":{"errorEntries":{"type":"list","member":{"type":"structure","members":{"thingName":{},"code":{},"message":{}}}}}}},"BatchDisassociateClientDeviceFromCoreDevice":{"http":{"requestUri":"/greengrass/v2/coreDevices/{coreDeviceThingName}/disassociateClientDevices","responseCode":200},"input":{"type":"structure","required":["coreDeviceThingName"],"members":{"entries":{"type":"list","member":{"type":"structure","required":["thingName"],"members":{"thingName":{}}}},"coreDeviceThingName":{"location":"uri","locationName":"coreDeviceThingName"}}},"output":{"type":"structure","members":{"errorEntries":{"type":"list","member":{"type":"structure","members":{"thingName":{},"code":{},"message":{}}}}}}},"CancelDeployment":{"http":{"requestUri":"/greengrass/v2/deployments/{deploymentId}/cancel"},"input":{"type":"structure","required":["deploymentId"],"members":{"deploymentId":{"location":"uri","locationName":"deploymentId"}}},"output":{"type":"structure","members":{"message":{}}}},"CreateComponentVersion":{"http":{"requestUri":"/greengrass/v2/createComponentVersion","responseCode":201},"input":{"type":"structure","members":{"inlineRecipe":{"type":"blob"},"lambdaFunction":{"type":"structure","required":["lambdaArn"],"members":{"lambdaArn":{},"componentName":{},"componentVersion":{},"componentPlatforms":{"shape":"Sn"},"componentDependencies":{"type":"map","key":{},"value":{"type":"structure","members":{"versionRequirement":{},"dependencyType":{}}}},"componentLambdaParameters":{"type":"structure","members":{"eventSources":{"type":"list","member":{"type":"structure","required":["topic","type"],"members":{"topic":{},"type":{}}}},"maxQueueSize":{"type":"integer"},"maxInstancesCount":{"type":"integer"},"maxIdleTimeInSeconds":{"type":"integer"},"timeoutInSeconds":{"type":"integer"},"statusTimeoutInSeconds":{"type":"integer"},"pinned":{"type":"boolean"},"inputPayloadEncodingType":{},"execArgs":{"type":"list","member":{}},"environmentVariables":{"type":"map","key":{},"value":{}},"linuxProcessParams":{"type":"structure","members":{"isolationMode":{},"containerParams":{"type":"structure","members":{"memorySizeInKB":{"type":"integer"},"mountROSysfs":{"type":"boolean"},"volumes":{"type":"list","member":{"type":"structure","required":["sourcePath","destinationPath"],"members":{"sourcePath":{},"destinationPath":{},"permission":{},"addGroupOwner":{"type":"boolean"}}}},"devices":{"type":"list","member":{"type":"structure","required":["path"],"members":{"path":{},"permission":{},"addGroupOwner":{"type":"boolean"}}}}}}}}}}}},"tags":{"shape":"S1e"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["componentName","componentVersion","creationTimestamp","status"],"members":{"arn":{},"componentName":{},"componentVersion":{},"creationTimestamp":{"type":"timestamp"},"status":{"shape":"S1l"}}}},"CreateDeployment":{"http":{"requestUri":"/greengrass/v2/deployments","responseCode":201},"input":{"type":"structure","required":["targetArn"],"members":{"targetArn":{},"deploymentName":{},"components":{"shape":"S1q"},"iotJobConfiguration":{"shape":"S20"},"deploymentPolicies":{"shape":"S2h"},"tags":{"shape":"S1e"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"deploymentId":{},"iotJobId":{},"iotJobArn":{}}}},"DeleteComponent":{"http":{"method":"DELETE","requestUri":"/greengrass/v2/components/{arn}","responseCode":204},"input":{"type":"structure","required":["arn"],"members":{"arn":{"location":"uri","locationName":"arn"}}}},"DeleteCoreDevice":{"http":{"method":"DELETE","requestUri":"/greengrass/v2/coreDevices/{coreDeviceThingName}","responseCode":204},"input":{"type":"structure","required":["coreDeviceThingName"],"members":{"coreDeviceThingName":{"location":"uri","locationName":"coreDeviceThingName"}}}},"DescribeComponent":{"http":{"method":"GET","requestUri":"/greengrass/v2/components/{arn}/metadata"},"input":{"type":"structure","required":["arn"],"members":{"arn":{"location":"uri","locationName":"arn"}}},"output":{"type":"structure","members":{"arn":{},"componentName":{},"componentVersion":{},"creationTimestamp":{"type":"timestamp"},"publisher":{},"description":{},"status":{"shape":"S1l"},"platforms":{"shape":"Sn"},"tags":{"shape":"S1e"}}}},"GetComponent":{"http":{"method":"GET","requestUri":"/greengrass/v2/components/{arn}"},"input":{"type":"structure","required":["arn"],"members":{"recipeOutputFormat":{"location":"querystring","locationName":"recipeOutputFormat"},"arn":{"location":"uri","locationName":"arn"}}},"output":{"type":"structure","required":["recipeOutputFormat","recipe"],"members":{"recipeOutputFormat":{},"recipe":{"type":"blob"},"tags":{"shape":"S1e"}}}},"GetComponentVersionArtifact":{"http":{"method":"GET","requestUri":"/greengrass/v2/components/{arn}/artifacts/{artifactName+}"},"input":{"type":"structure","required":["arn","artifactName"],"members":{"arn":{"location":"uri","locationName":"arn"},"artifactName":{"location":"uri","locationName":"artifactName"}}},"output":{"type":"structure","required":["preSignedUrl"],"members":{"preSignedUrl":{}}}},"GetCoreDevice":{"http":{"method":"GET","requestUri":"/greengrass/v2/coreDevices/{coreDeviceThingName}"},"input":{"type":"structure","required":["coreDeviceThingName"],"members":{"coreDeviceThingName":{"location":"uri","locationName":"coreDeviceThingName"}}},"output":{"type":"structure","members":{"coreDeviceThingName":{},"coreVersion":{},"platform":{},"architecture":{},"status":{},"lastStatusUpdateTimestamp":{"type":"timestamp"},"tags":{"shape":"S1e"}}}},"GetDeployment":{"http":{"method":"GET","requestUri":"/greengrass/v2/deployments/{deploymentId}"},"input":{"type":"structure","required":["deploymentId"],"members":{"deploymentId":{"location":"uri","locationName":"deploymentId"}}},"output":{"type":"structure","members":{"targetArn":{},"revisionId":{},"deploymentId":{},"deploymentName":{},"deploymentStatus":{},"iotJobId":{},"iotJobArn":{},"components":{"shape":"S1q"},"deploymentPolicies":{"shape":"S2h"},"iotJobConfiguration":{"shape":"S20"},"creationTimestamp":{"type":"timestamp"},"isLatestForTarget":{"type":"boolean"},"tags":{"shape":"S1e"}}}},"ListClientDevicesAssociatedWithCoreDevice":{"http":{"method":"GET","requestUri":"/greengrass/v2/coreDevices/{coreDeviceThingName}/associatedClientDevices","responseCode":200},"input":{"type":"structure","required":["coreDeviceThingName"],"members":{"coreDeviceThingName":{"location":"uri","locationName":"coreDeviceThingName"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"associatedClientDevices":{"type":"list","member":{"type":"structure","members":{"thingName":{},"associationTimestamp":{"type":"timestamp"}}}},"nextToken":{}}}},"ListComponentVersions":{"http":{"method":"GET","requestUri":"/greengrass/v2/components/{arn}/versions"},"input":{"type":"structure","required":["arn"],"members":{"arn":{"location":"uri","locationName":"arn"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"componentVersions":{"type":"list","member":{"type":"structure","members":{"componentName":{},"componentVersion":{},"arn":{}}}},"nextToken":{}}}},"ListComponents":{"http":{"method":"GET","requestUri":"/greengrass/v2/components"},"input":{"type":"structure","members":{"scope":{"location":"querystring","locationName":"scope"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"components":{"type":"list","member":{"type":"structure","members":{"arn":{},"componentName":{},"latestVersion":{"type":"structure","members":{"arn":{},"componentVersion":{},"creationTimestamp":{"type":"timestamp"},"description":{},"publisher":{},"platforms":{"shape":"Sn"}}}}}},"nextToken":{}}}},"ListCoreDevices":{"http":{"method":"GET","requestUri":"/greengrass/v2/coreDevices"},"input":{"type":"structure","members":{"thingGroupArn":{"location":"querystring","locationName":"thingGroupArn"},"status":{"location":"querystring","locationName":"status"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"coreDevices":{"type":"list","member":{"type":"structure","members":{"coreDeviceThingName":{},"status":{},"lastStatusUpdateTimestamp":{"type":"timestamp"}}}},"nextToken":{}}}},"ListDeployments":{"http":{"method":"GET","requestUri":"/greengrass/v2/deployments"},"input":{"type":"structure","members":{"targetArn":{"location":"querystring","locationName":"targetArn"},"historyFilter":{"location":"querystring","locationName":"historyFilter"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"deployments":{"type":"list","member":{"type":"structure","members":{"targetArn":{},"revisionId":{},"deploymentId":{},"deploymentName":{},"creationTimestamp":{"type":"timestamp"},"deploymentStatus":{},"isLatestForTarget":{"type":"boolean"}}}},"nextToken":{}}}},"ListEffectiveDeployments":{"http":{"method":"GET","requestUri":"/greengrass/v2/coreDevices/{coreDeviceThingName}/effectiveDeployments"},"input":{"type":"structure","required":["coreDeviceThingName"],"members":{"coreDeviceThingName":{"location":"uri","locationName":"coreDeviceThingName"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"effectiveDeployments":{"type":"list","member":{"type":"structure","required":["deploymentId","deploymentName","targetArn","coreDeviceExecutionStatus","creationTimestamp","modifiedTimestamp"],"members":{"deploymentId":{},"deploymentName":{},"iotJobId":{},"iotJobArn":{},"description":{},"targetArn":{},"coreDeviceExecutionStatus":{},"reason":{},"creationTimestamp":{"type":"timestamp"},"modifiedTimestamp":{"type":"timestamp"}}}},"nextToken":{}}}},"ListInstalledComponents":{"http":{"method":"GET","requestUri":"/greengrass/v2/coreDevices/{coreDeviceThingName}/installedComponents"},"input":{"type":"structure","required":["coreDeviceThingName"],"members":{"coreDeviceThingName":{"location":"uri","locationName":"coreDeviceThingName"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"installedComponents":{"type":"list","member":{"type":"structure","members":{"componentName":{},"componentVersion":{},"lifecycleState":{},"lifecycleStateDetails":{},"isRoot":{"type":"boolean"}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S1e"}}}},"ResolveComponentCandidates":{"http":{"requestUri":"/greengrass/v2/resolveComponentCandidates"},"input":{"type":"structure","required":["platform","componentCandidates"],"members":{"platform":{"shape":"So"},"componentCandidates":{"type":"list","member":{"type":"structure","members":{"componentName":{},"componentVersion":{},"versionRequirements":{"type":"map","key":{},"value":{}}}}}}},"output":{"type":"structure","members":{"resolvedComponentVersions":{"type":"list","member":{"type":"structure","members":{"arn":{},"componentName":{},"componentVersion":{},"recipe":{"type":"blob"}}}}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S1e"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sn":{"type":"list","member":{"shape":"So"}},"So":{"type":"structure","members":{"name":{},"attributes":{"type":"map","key":{},"value":{}}}},"S1e":{"type":"map","key":{},"value":{}},"S1l":{"type":"structure","members":{"componentState":{},"message":{},"errors":{"type":"map","key":{},"value":{}}}},"S1q":{"type":"map","key":{},"value":{"type":"structure","members":{"componentVersion":{},"configurationUpdate":{"type":"structure","members":{"merge":{},"reset":{"type":"list","member":{}}}},"runWith":{"type":"structure","members":{"posixUser":{},"systemResourceLimits":{"type":"structure","members":{"memory":{"type":"long"},"cpus":{"type":"double"}}},"windowsUser":{}}}}}},"S20":{"type":"structure","members":{"jobExecutionsRolloutConfig":{"type":"structure","members":{"exponentialRate":{"type":"structure","required":["baseRatePerMinute","incrementFactor","rateIncreaseCriteria"],"members":{"baseRatePerMinute":{"type":"integer"},"incrementFactor":{"type":"double"},"rateIncreaseCriteria":{"type":"structure","members":{"numberOfNotifiedThings":{"type":"integer"},"numberOfSucceededThings":{"type":"integer"}}}}},"maximumPerMinute":{"type":"integer"}}},"abortConfig":{"type":"structure","required":["criteriaList"],"members":{"criteriaList":{"type":"list","member":{"type":"structure","required":["failureType","action","thresholdPercentage","minNumberOfExecutedThings"],"members":{"failureType":{},"action":{},"thresholdPercentage":{"type":"double"},"minNumberOfExecutedThings":{"type":"integer"}}}}}},"timeoutConfig":{"type":"structure","members":{"inProgressTimeoutInMinutes":{"type":"long"}}}}},"S2h":{"type":"structure","members":{"failureHandlingPolicy":{},"componentUpdatePolicy":{"type":"structure","members":{"timeoutInSeconds":{"type":"integer"},"action":{}}},"configurationValidationPolicy":{"type":"structure","members":{"timeoutInSeconds":{"type":"integer"}}}}}}}');

/***/ }),

/***/ 47961:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListClientDevicesAssociatedWithCoreDevice":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"associatedClientDevices"},"ListComponentVersions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"componentVersions"},"ListComponents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"components"},"ListCoreDevices":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"coreDevices"},"ListDeployments":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"deployments"},"ListEffectiveDeployments":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"effectiveDeployments"},"ListInstalledComponents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"installedComponents"}}}');

/***/ }),

/***/ 27733:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-05-23","endpointPrefix":"groundstation","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS Ground Station","serviceId":"GroundStation","signatureVersion":"v4","signingName":"groundstation","uid":"groundstation-2019-05-23"},"operations":{"CancelContact":{"http":{"method":"DELETE","requestUri":"/contact/{contactId}","responseCode":200},"input":{"type":"structure","required":["contactId"],"members":{"contactId":{"location":"uri","locationName":"contactId"}}},"output":{"shape":"S3"},"idempotent":true},"CreateConfig":{"http":{"requestUri":"/config","responseCode":200},"input":{"type":"structure","required":["configData","name"],"members":{"configData":{"shape":"S5"},"name":{},"tags":{"shape":"Sx"}}},"output":{"shape":"Sy"}},"CreateDataflowEndpointGroup":{"http":{"requestUri":"/dataflowEndpointGroup","responseCode":200},"input":{"type":"structure","required":["endpointDetails"],"members":{"endpointDetails":{"shape":"S11"},"tags":{"shape":"Sx"}}},"output":{"shape":"S1b"}},"CreateMissionProfile":{"http":{"requestUri":"/missionprofile","responseCode":200},"input":{"type":"structure","required":["dataflowEdges","minimumViableContactDurationSeconds","name","trackingConfigArn"],"members":{"contactPostPassDurationSeconds":{"type":"integer"},"contactPrePassDurationSeconds":{"type":"integer"},"dataflowEdges":{"shape":"S1e"},"minimumViableContactDurationSeconds":{"type":"integer"},"name":{},"tags":{"shape":"Sx"},"trackingConfigArn":{}}},"output":{"shape":"S1g"}},"DeleteConfig":{"http":{"method":"DELETE","requestUri":"/config/{configType}/{configId}","responseCode":200},"input":{"type":"structure","required":["configId","configType"],"members":{"configId":{"location":"uri","locationName":"configId"},"configType":{"location":"uri","locationName":"configType"}}},"output":{"shape":"Sy"},"idempotent":true},"DeleteDataflowEndpointGroup":{"http":{"method":"DELETE","requestUri":"/dataflowEndpointGroup/{dataflowEndpointGroupId}","responseCode":200},"input":{"type":"structure","required":["dataflowEndpointGroupId"],"members":{"dataflowEndpointGroupId":{"location":"uri","locationName":"dataflowEndpointGroupId"}}},"output":{"shape":"S1b"},"idempotent":true},"DeleteMissionProfile":{"http":{"method":"DELETE","requestUri":"/missionprofile/{missionProfileId}","responseCode":200},"input":{"type":"structure","required":["missionProfileId"],"members":{"missionProfileId":{"location":"uri","locationName":"missionProfileId"}}},"output":{"shape":"S1g"},"idempotent":true},"DescribeContact":{"http":{"method":"GET","requestUri":"/contact/{contactId}","responseCode":200},"input":{"type":"structure","required":["contactId"],"members":{"contactId":{"location":"uri","locationName":"contactId"}}},"output":{"type":"structure","members":{"contactId":{},"contactStatus":{},"dataflowList":{"type":"list","member":{"type":"structure","members":{"destination":{"type":"structure","members":{"configDetails":{"shape":"S1q"},"configId":{},"configType":{},"dataflowDestinationRegion":{}}},"errorMessage":{},"source":{"type":"structure","members":{"configDetails":{"shape":"S1q"},"configId":{},"configType":{},"dataflowSourceRegion":{}}}}}},"endTime":{"type":"timestamp"},"errorMessage":{},"groundStation":{},"maximumElevation":{"shape":"S1v"},"missionProfileArn":{},"postPassEndTime":{"type":"timestamp"},"prePassStartTime":{"type":"timestamp"},"region":{},"satelliteArn":{},"startTime":{"type":"timestamp"},"tags":{"shape":"Sx"}}}},"GetConfig":{"http":{"method":"GET","requestUri":"/config/{configType}/{configId}","responseCode":200},"input":{"type":"structure","required":["configId","configType"],"members":{"configId":{"location":"uri","locationName":"configId"},"configType":{"location":"uri","locationName":"configType"}}},"output":{"type":"structure","required":["configArn","configData","configId","name"],"members":{"configArn":{},"configData":{"shape":"S5"},"configId":{},"configType":{},"name":{},"tags":{"shape":"Sx"}}}},"GetDataflowEndpointGroup":{"http":{"method":"GET","requestUri":"/dataflowEndpointGroup/{dataflowEndpointGroupId}","responseCode":200},"input":{"type":"structure","required":["dataflowEndpointGroupId"],"members":{"dataflowEndpointGroupId":{"location":"uri","locationName":"dataflowEndpointGroupId"}}},"output":{"type":"structure","members":{"dataflowEndpointGroupArn":{},"dataflowEndpointGroupId":{},"endpointsDetails":{"shape":"S11"},"tags":{"shape":"Sx"}}}},"GetMinuteUsage":{"http":{"requestUri":"/minute-usage","responseCode":200},"input":{"type":"structure","required":["month","year"],"members":{"month":{"type":"integer"},"year":{"type":"integer"}}},"output":{"type":"structure","members":{"estimatedMinutesRemaining":{"type":"integer"},"isReservedMinutesCustomer":{"type":"boolean"},"totalReservedMinuteAllocation":{"type":"integer"},"totalScheduledMinutes":{"type":"integer"},"upcomingMinutesScheduled":{"type":"integer"}}}},"GetMissionProfile":{"http":{"method":"GET","requestUri":"/missionprofile/{missionProfileId}","responseCode":200},"input":{"type":"structure","required":["missionProfileId"],"members":{"missionProfileId":{"location":"uri","locationName":"missionProfileId"}}},"output":{"type":"structure","members":{"contactPostPassDurationSeconds":{"type":"integer"},"contactPrePassDurationSeconds":{"type":"integer"},"dataflowEdges":{"shape":"S1e"},"minimumViableContactDurationSeconds":{"type":"integer"},"missionProfileArn":{},"missionProfileId":{},"name":{},"region":{},"tags":{"shape":"Sx"},"trackingConfigArn":{}}}},"GetSatellite":{"http":{"method":"GET","requestUri":"/satellite/{satelliteId}","responseCode":200},"input":{"type":"structure","required":["satelliteId"],"members":{"satelliteId":{"location":"uri","locationName":"satelliteId"}}},"output":{"type":"structure","members":{"groundStations":{"shape":"S2a"},"noradSatelliteID":{"type":"integer"},"satelliteArn":{},"satelliteId":{}}}},"ListConfigs":{"http":{"method":"GET","requestUri":"/config","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"configList":{"type":"list","member":{"type":"structure","members":{"configArn":{},"configId":{},"configType":{},"name":{}}}},"nextToken":{}}}},"ListContacts":{"http":{"requestUri":"/contacts","responseCode":200},"input":{"type":"structure","required":["endTime","startTime","statusList"],"members":{"endTime":{"type":"timestamp"},"groundStation":{},"maxResults":{"type":"integer"},"missionProfileArn":{},"nextToken":{},"satelliteArn":{},"startTime":{"type":"timestamp"},"statusList":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"contactList":{"type":"list","member":{"type":"structure","members":{"contactId":{},"contactStatus":{},"endTime":{"type":"timestamp"},"errorMessage":{},"groundStation":{},"maximumElevation":{"shape":"S1v"},"missionProfileArn":{},"postPassEndTime":{"type":"timestamp"},"prePassStartTime":{"type":"timestamp"},"region":{},"satelliteArn":{},"startTime":{"type":"timestamp"},"tags":{"shape":"Sx"}}}},"nextToken":{}}}},"ListDataflowEndpointGroups":{"http":{"method":"GET","requestUri":"/dataflowEndpointGroup","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"dataflowEndpointGroupList":{"type":"list","member":{"type":"structure","members":{"dataflowEndpointGroupArn":{},"dataflowEndpointGroupId":{}}}},"nextToken":{}}}},"ListGroundStations":{"http":{"method":"GET","requestUri":"/groundstation","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"satelliteId":{"location":"querystring","locationName":"satelliteId"}}},"output":{"type":"structure","members":{"groundStationList":{"type":"list","member":{"type":"structure","members":{"groundStationId":{},"groundStationName":{},"region":{}}}},"nextToken":{}}}},"ListMissionProfiles":{"http":{"method":"GET","requestUri":"/missionprofile","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"missionProfileList":{"type":"list","member":{"type":"structure","members":{"missionProfileArn":{},"missionProfileId":{},"name":{},"region":{}}}},"nextToken":{}}}},"ListSatellites":{"http":{"method":"GET","requestUri":"/satellite","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"nextToken":{},"satellites":{"type":"list","member":{"type":"structure","members":{"groundStations":{"shape":"S2a"},"noradSatelliteID":{"type":"integer"},"satelliteArn":{},"satelliteId":{}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sx"}}}},"ReserveContact":{"http":{"requestUri":"/contact","responseCode":200},"input":{"type":"structure","required":["endTime","groundStation","missionProfileArn","satelliteArn","startTime"],"members":{"endTime":{"type":"timestamp"},"groundStation":{},"missionProfileArn":{},"satelliteArn":{},"startTime":{"type":"timestamp"},"tags":{"shape":"Sx"}}},"output":{"shape":"S3"}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sx"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateConfig":{"http":{"method":"PUT","requestUri":"/config/{configType}/{configId}","responseCode":200},"input":{"type":"structure","required":["configData","configId","configType","name"],"members":{"configData":{"shape":"S5"},"configId":{"location":"uri","locationName":"configId"},"configType":{"location":"uri","locationName":"configType"},"name":{}}},"output":{"shape":"Sy"},"idempotent":true},"UpdateMissionProfile":{"http":{"method":"PUT","requestUri":"/missionprofile/{missionProfileId}","responseCode":200},"input":{"type":"structure","required":["missionProfileId"],"members":{"contactPostPassDurationSeconds":{"type":"integer"},"contactPrePassDurationSeconds":{"type":"integer"},"dataflowEdges":{"shape":"S1e"},"minimumViableContactDurationSeconds":{"type":"integer"},"missionProfileId":{"location":"uri","locationName":"missionProfileId"},"name":{},"trackingConfigArn":{}}},"output":{"shape":"S1g"},"idempotent":true}},"shapes":{"S3":{"type":"structure","members":{"contactId":{}}},"S5":{"type":"structure","members":{"antennaDownlinkConfig":{"type":"structure","required":["spectrumConfig"],"members":{"spectrumConfig":{"shape":"S7"}}},"antennaDownlinkDemodDecodeConfig":{"type":"structure","required":["decodeConfig","demodulationConfig","spectrumConfig"],"members":{"decodeConfig":{"type":"structure","required":["unvalidatedJSON"],"members":{"unvalidatedJSON":{}}},"demodulationConfig":{"type":"structure","required":["unvalidatedJSON"],"members":{"unvalidatedJSON":{}}},"spectrumConfig":{"shape":"S7"}}},"antennaUplinkConfig":{"type":"structure","required":["spectrumConfig","targetEirp"],"members":{"spectrumConfig":{"type":"structure","required":["centerFrequency"],"members":{"centerFrequency":{"shape":"Sb"},"polarization":{}}},"targetEirp":{"type":"structure","required":["units","value"],"members":{"units":{},"value":{"type":"double"}}},"transmitDisabled":{"type":"boolean"}}},"dataflowEndpointConfig":{"type":"structure","required":["dataflowEndpointName"],"members":{"dataflowEndpointName":{},"dataflowEndpointRegion":{}}},"s3RecordingConfig":{"type":"structure","required":["bucketArn","roleArn"],"members":{"bucketArn":{},"prefix":{},"roleArn":{}}},"trackingConfig":{"type":"structure","required":["autotrack"],"members":{"autotrack":{}}},"uplinkEchoConfig":{"type":"structure","required":["antennaUplinkConfigArn","enabled"],"members":{"antennaUplinkConfigArn":{},"enabled":{"type":"boolean"}}}},"union":true},"S7":{"type":"structure","required":["bandwidth","centerFrequency"],"members":{"bandwidth":{"type":"structure","required":["units","value"],"members":{"units":{},"value":{"type":"double"}}},"centerFrequency":{"shape":"Sb"},"polarization":{}}},"Sb":{"type":"structure","required":["units","value"],"members":{"units":{},"value":{"type":"double"}}},"Sx":{"type":"map","key":{},"value":{}},"Sy":{"type":"structure","members":{"configArn":{},"configId":{},"configType":{}}},"S11":{"type":"list","member":{"shape":"S12"}},"S12":{"type":"structure","members":{"endpoint":{"type":"structure","members":{"address":{"type":"structure","required":["name","port"],"members":{"name":{},"port":{"type":"integer"}}},"mtu":{"type":"integer"},"name":{},"status":{}}},"securityDetails":{"type":"structure","required":["roleArn","securityGroupIds","subnetIds"],"members":{"roleArn":{},"securityGroupIds":{"type":"list","member":{}},"subnetIds":{"type":"list","member":{}}}}}},"S1b":{"type":"structure","members":{"dataflowEndpointGroupId":{}}},"S1e":{"type":"list","member":{"type":"list","member":{}}},"S1g":{"type":"structure","members":{"missionProfileId":{}}},"S1q":{"type":"structure","members":{"antennaDemodDecodeDetails":{"type":"structure","members":{"outputNode":{}}},"endpointDetails":{"shape":"S12"},"s3RecordingDetails":{"type":"structure","members":{"bucketArn":{},"keyTemplate":{}}}},"union":true},"S1v":{"type":"structure","required":["unit","value"],"members":{"unit":{},"value":{"type":"double"}}},"S2a":{"type":"list","member":{}}}}');

/***/ }),

/***/ 55974:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListConfigs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"configList"},"ListContacts":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"contactList"},"ListDataflowEndpointGroups":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"dataflowEndpointGroupList"},"ListGroundStations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"groundStationList"},"ListMissionProfiles":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"missionProfileList"},"ListSatellites":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"satellites"}}}');

/***/ }),

/***/ 37793:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-11-28","endpointPrefix":"guardduty","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon GuardDuty","serviceId":"GuardDuty","signatureVersion":"v4","signingName":"guardduty","uid":"guardduty-2017-11-28"},"operations":{"AcceptInvitation":{"http":{"requestUri":"/detector/{detectorId}/master","responseCode":200},"input":{"type":"structure","required":["DetectorId","MasterId","InvitationId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"MasterId":{"locationName":"masterId"},"InvitationId":{"locationName":"invitationId"}}},"output":{"type":"structure","members":{}}},"ArchiveFindings":{"http":{"requestUri":"/detector/{detectorId}/findings/archive","responseCode":200},"input":{"type":"structure","required":["DetectorId","FindingIds"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"FindingIds":{"shape":"S6","locationName":"findingIds"}}},"output":{"type":"structure","members":{}}},"CreateDetector":{"http":{"requestUri":"/detector","responseCode":200},"input":{"type":"structure","required":["Enable"],"members":{"Enable":{"locationName":"enable","type":"boolean"},"ClientToken":{"idempotencyToken":true,"locationName":"clientToken"},"FindingPublishingFrequency":{"locationName":"findingPublishingFrequency"},"DataSources":{"shape":"Sd","locationName":"dataSources"},"Tags":{"shape":"Sf","locationName":"tags"}}},"output":{"type":"structure","members":{"DetectorId":{"locationName":"detectorId"}}}},"CreateFilter":{"http":{"requestUri":"/detector/{detectorId}/filter","responseCode":200},"input":{"type":"structure","required":["DetectorId","Name","FindingCriteria"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"Name":{"locationName":"name"},"Description":{"locationName":"description"},"Action":{"locationName":"action"},"Rank":{"locationName":"rank","type":"integer"},"FindingCriteria":{"shape":"So","locationName":"findingCriteria"},"ClientToken":{"idempotencyToken":true,"locationName":"clientToken"},"Tags":{"shape":"Sf","locationName":"tags"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{"locationName":"name"}}}},"CreateIPSet":{"http":{"requestUri":"/detector/{detectorId}/ipset","responseCode":200},"input":{"type":"structure","required":["DetectorId","Name","Format","Location","Activate"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"Name":{"locationName":"name"},"Format":{"locationName":"format"},"Location":{"locationName":"location"},"Activate":{"locationName":"activate","type":"boolean"},"ClientToken":{"idempotencyToken":true,"locationName":"clientToken"},"Tags":{"shape":"Sf","locationName":"tags"}}},"output":{"type":"structure","required":["IpSetId"],"members":{"IpSetId":{"locationName":"ipSetId"}}}},"CreateMembers":{"http":{"requestUri":"/detector/{detectorId}/member","responseCode":200},"input":{"type":"structure","required":["DetectorId","AccountDetails"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"AccountDetails":{"locationName":"accountDetails","type":"list","member":{"type":"structure","required":["AccountId","Email"],"members":{"AccountId":{"locationName":"accountId"},"Email":{"locationName":"email"}}}}}},"output":{"type":"structure","required":["UnprocessedAccounts"],"members":{"UnprocessedAccounts":{"shape":"S19","locationName":"unprocessedAccounts"}}}},"CreatePublishingDestination":{"http":{"requestUri":"/detector/{detectorId}/publishingDestination","responseCode":200},"input":{"type":"structure","required":["DetectorId","DestinationType","DestinationProperties"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"DestinationType":{"locationName":"destinationType"},"DestinationProperties":{"shape":"S1d","locationName":"destinationProperties"},"ClientToken":{"idempotencyToken":true,"locationName":"clientToken"}}},"output":{"type":"structure","required":["DestinationId"],"members":{"DestinationId":{"locationName":"destinationId"}}}},"CreateSampleFindings":{"http":{"requestUri":"/detector/{detectorId}/findings/create","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"FindingTypes":{"locationName":"findingTypes","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"CreateThreatIntelSet":{"http":{"requestUri":"/detector/{detectorId}/threatintelset","responseCode":200},"input":{"type":"structure","required":["DetectorId","Name","Format","Location","Activate"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"Name":{"locationName":"name"},"Format":{"locationName":"format"},"Location":{"locationName":"location"},"Activate":{"locationName":"activate","type":"boolean"},"ClientToken":{"idempotencyToken":true,"locationName":"clientToken"},"Tags":{"shape":"Sf","locationName":"tags"}}},"output":{"type":"structure","required":["ThreatIntelSetId"],"members":{"ThreatIntelSetId":{"locationName":"threatIntelSetId"}}}},"DeclineInvitations":{"http":{"requestUri":"/invitation/decline","responseCode":200},"input":{"type":"structure","required":["AccountIds"],"members":{"AccountIds":{"shape":"S1n","locationName":"accountIds"}}},"output":{"type":"structure","required":["UnprocessedAccounts"],"members":{"UnprocessedAccounts":{"shape":"S19","locationName":"unprocessedAccounts"}}}},"DeleteDetector":{"http":{"method":"DELETE","requestUri":"/detector/{detectorId}","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"}}},"output":{"type":"structure","members":{}}},"DeleteFilter":{"http":{"method":"DELETE","requestUri":"/detector/{detectorId}/filter/{filterName}","responseCode":200},"input":{"type":"structure","required":["DetectorId","FilterName"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"FilterName":{"location":"uri","locationName":"filterName"}}},"output":{"type":"structure","members":{}}},"DeleteIPSet":{"http":{"method":"DELETE","requestUri":"/detector/{detectorId}/ipset/{ipSetId}","responseCode":200},"input":{"type":"structure","required":["DetectorId","IpSetId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"IpSetId":{"location":"uri","locationName":"ipSetId"}}},"output":{"type":"structure","members":{}}},"DeleteInvitations":{"http":{"requestUri":"/invitation/delete","responseCode":200},"input":{"type":"structure","required":["AccountIds"],"members":{"AccountIds":{"shape":"S1n","locationName":"accountIds"}}},"output":{"type":"structure","required":["UnprocessedAccounts"],"members":{"UnprocessedAccounts":{"shape":"S19","locationName":"unprocessedAccounts"}}}},"DeleteMembers":{"http":{"requestUri":"/detector/{detectorId}/member/delete","responseCode":200},"input":{"type":"structure","required":["DetectorId","AccountIds"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"AccountIds":{"shape":"S1n","locationName":"accountIds"}}},"output":{"type":"structure","required":["UnprocessedAccounts"],"members":{"UnprocessedAccounts":{"shape":"S19","locationName":"unprocessedAccounts"}}}},"DeletePublishingDestination":{"http":{"method":"DELETE","requestUri":"/detector/{detectorId}/publishingDestination/{destinationId}","responseCode":200},"input":{"type":"structure","required":["DetectorId","DestinationId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"DestinationId":{"location":"uri","locationName":"destinationId"}}},"output":{"type":"structure","members":{}}},"DeleteThreatIntelSet":{"http":{"method":"DELETE","requestUri":"/detector/{detectorId}/threatintelset/{threatIntelSetId}","responseCode":200},"input":{"type":"structure","required":["DetectorId","ThreatIntelSetId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"ThreatIntelSetId":{"location":"uri","locationName":"threatIntelSetId"}}},"output":{"type":"structure","members":{}}},"DescribeOrganizationConfiguration":{"http":{"method":"GET","requestUri":"/detector/{detectorId}/admin","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"}}},"output":{"type":"structure","required":["AutoEnable","MemberAccountLimitReached"],"members":{"AutoEnable":{"locationName":"autoEnable","type":"boolean"},"MemberAccountLimitReached":{"locationName":"memberAccountLimitReached","type":"boolean"},"DataSources":{"locationName":"dataSources","type":"structure","required":["S3Logs"],"members":{"S3Logs":{"locationName":"s3Logs","type":"structure","required":["AutoEnable"],"members":{"AutoEnable":{"locationName":"autoEnable","type":"boolean"}}}}}}}},"DescribePublishingDestination":{"http":{"method":"GET","requestUri":"/detector/{detectorId}/publishingDestination/{destinationId}","responseCode":200},"input":{"type":"structure","required":["DetectorId","DestinationId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"DestinationId":{"location":"uri","locationName":"destinationId"}}},"output":{"type":"structure","required":["DestinationId","DestinationType","Status","PublishingFailureStartTimestamp","DestinationProperties"],"members":{"DestinationId":{"locationName":"destinationId"},"DestinationType":{"locationName":"destinationType"},"Status":{"locationName":"status"},"PublishingFailureStartTimestamp":{"locationName":"publishingFailureStartTimestamp","type":"long"},"DestinationProperties":{"shape":"S1d","locationName":"destinationProperties"}}}},"DisableOrganizationAdminAccount":{"http":{"requestUri":"/admin/disable","responseCode":200},"input":{"type":"structure","required":["AdminAccountId"],"members":{"AdminAccountId":{"locationName":"adminAccountId"}}},"output":{"type":"structure","members":{}}},"DisassociateFromMasterAccount":{"http":{"requestUri":"/detector/{detectorId}/master/disassociate","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"}}},"output":{"type":"structure","members":{}}},"DisassociateMembers":{"http":{"requestUri":"/detector/{detectorId}/member/disassociate","responseCode":200},"input":{"type":"structure","required":["DetectorId","AccountIds"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"AccountIds":{"shape":"S1n","locationName":"accountIds"}}},"output":{"type":"structure","required":["UnprocessedAccounts"],"members":{"UnprocessedAccounts":{"shape":"S19","locationName":"unprocessedAccounts"}}}},"EnableOrganizationAdminAccount":{"http":{"requestUri":"/admin/enable","responseCode":200},"input":{"type":"structure","required":["AdminAccountId"],"members":{"AdminAccountId":{"locationName":"adminAccountId"}}},"output":{"type":"structure","members":{}}},"GetDetector":{"http":{"method":"GET","requestUri":"/detector/{detectorId}","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"}}},"output":{"type":"structure","required":["ServiceRole","Status"],"members":{"CreatedAt":{"locationName":"createdAt"},"FindingPublishingFrequency":{"locationName":"findingPublishingFrequency"},"ServiceRole":{"locationName":"serviceRole"},"Status":{"locationName":"status"},"UpdatedAt":{"locationName":"updatedAt"},"DataSources":{"shape":"S2l","locationName":"dataSources"},"Tags":{"shape":"Sf","locationName":"tags"}}}},"GetFilter":{"http":{"method":"GET","requestUri":"/detector/{detectorId}/filter/{filterName}","responseCode":200},"input":{"type":"structure","required":["DetectorId","FilterName"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"FilterName":{"location":"uri","locationName":"filterName"}}},"output":{"type":"structure","required":["Name","Action","FindingCriteria"],"members":{"Name":{"locationName":"name"},"Description":{"locationName":"description"},"Action":{"locationName":"action"},"Rank":{"locationName":"rank","type":"integer"},"FindingCriteria":{"shape":"So","locationName":"findingCriteria"},"Tags":{"shape":"Sf","locationName":"tags"}}}},"GetFindings":{"http":{"requestUri":"/detector/{detectorId}/findings/get","responseCode":200},"input":{"type":"structure","required":["DetectorId","FindingIds"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"FindingIds":{"shape":"S6","locationName":"findingIds"},"SortCriteria":{"shape":"S2u","locationName":"sortCriteria"}}},"output":{"type":"structure","required":["Findings"],"members":{"Findings":{"locationName":"findings","type":"list","member":{"type":"structure","required":["AccountId","Arn","CreatedAt","Id","Region","Resource","SchemaVersion","Severity","Type","UpdatedAt"],"members":{"AccountId":{"locationName":"accountId"},"Arn":{"locationName":"arn"},"Confidence":{"locationName":"confidence","type":"double"},"CreatedAt":{"locationName":"createdAt"},"Description":{"locationName":"description"},"Id":{"locationName":"id"},"Partition":{"locationName":"partition"},"Region":{"locationName":"region"},"Resource":{"locationName":"resource","type":"structure","members":{"AccessKeyDetails":{"locationName":"accessKeyDetails","type":"structure","members":{"AccessKeyId":{"locationName":"accessKeyId"},"PrincipalId":{"locationName":"principalId"},"UserName":{"locationName":"userName"},"UserType":{"locationName":"userType"}}},"S3BucketDetails":{"locationName":"s3BucketDetails","type":"list","member":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Name":{"locationName":"name"},"Type":{"locationName":"type"},"CreatedAt":{"locationName":"createdAt","type":"timestamp"},"Owner":{"locationName":"owner","type":"structure","members":{"Id":{"locationName":"id"}}},"Tags":{"shape":"S36","locationName":"tags"},"DefaultServerSideEncryption":{"locationName":"defaultServerSideEncryption","type":"structure","members":{"EncryptionType":{"locationName":"encryptionType"},"KmsMasterKeyArn":{"locationName":"kmsMasterKeyArn"}}},"PublicAccess":{"locationName":"publicAccess","type":"structure","members":{"PermissionConfiguration":{"locationName":"permissionConfiguration","type":"structure","members":{"BucketLevelPermissions":{"locationName":"bucketLevelPermissions","type":"structure","members":{"AccessControlList":{"locationName":"accessControlList","type":"structure","members":{"AllowsPublicReadAccess":{"locationName":"allowsPublicReadAccess","type":"boolean"},"AllowsPublicWriteAccess":{"locationName":"allowsPublicWriteAccess","type":"boolean"}}},"BucketPolicy":{"locationName":"bucketPolicy","type":"structure","members":{"AllowsPublicReadAccess":{"locationName":"allowsPublicReadAccess","type":"boolean"},"AllowsPublicWriteAccess":{"locationName":"allowsPublicWriteAccess","type":"boolean"}}},"BlockPublicAccess":{"shape":"S3e","locationName":"blockPublicAccess"}}},"AccountLevelPermissions":{"locationName":"accountLevelPermissions","type":"structure","members":{"BlockPublicAccess":{"shape":"S3e","locationName":"blockPublicAccess"}}}}},"EffectivePermission":{"locationName":"effectivePermission"}}}}}},"InstanceDetails":{"locationName":"instanceDetails","type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"IamInstanceProfile":{"locationName":"iamInstanceProfile","type":"structure","members":{"Arn":{"locationName":"arn"},"Id":{"locationName":"id"}}},"ImageDescription":{"locationName":"imageDescription"},"ImageId":{"locationName":"imageId"},"InstanceId":{"locationName":"instanceId"},"InstanceState":{"locationName":"instanceState"},"InstanceType":{"locationName":"instanceType"},"OutpostArn":{"locationName":"outpostArn"},"LaunchTime":{"locationName":"launchTime"},"NetworkInterfaces":{"locationName":"networkInterfaces","type":"list","member":{"type":"structure","members":{"Ipv6Addresses":{"locationName":"ipv6Addresses","type":"list","member":{}},"NetworkInterfaceId":{"locationName":"networkInterfaceId"},"PrivateDnsName":{"locationName":"privateDnsName"},"PrivateIpAddress":{"locationName":"privateIpAddress"},"PrivateIpAddresses":{"locationName":"privateIpAddresses","type":"list","member":{"type":"structure","members":{"PrivateDnsName":{"locationName":"privateDnsName"},"PrivateIpAddress":{"locationName":"privateIpAddress"}}}},"PublicDnsName":{"locationName":"publicDnsName"},"PublicIp":{"locationName":"publicIp"},"SecurityGroups":{"locationName":"securityGroups","type":"list","member":{"type":"structure","members":{"GroupId":{"locationName":"groupId"},"GroupName":{"locationName":"groupName"}}}},"SubnetId":{"locationName":"subnetId"},"VpcId":{"locationName":"vpcId"}}}},"Platform":{"locationName":"platform"},"ProductCodes":{"locationName":"productCodes","type":"list","member":{"type":"structure","members":{"Code":{"locationName":"code"},"ProductType":{"locationName":"productType"}}}},"Tags":{"shape":"S36","locationName":"tags"}}},"ResourceType":{"locationName":"resourceType"}}},"SchemaVersion":{"locationName":"schemaVersion"},"Service":{"locationName":"service","type":"structure","members":{"Action":{"locationName":"action","type":"structure","members":{"ActionType":{"locationName":"actionType"},"AwsApiCallAction":{"locationName":"awsApiCallAction","type":"structure","members":{"Api":{"locationName":"api"},"CallerType":{"locationName":"callerType"},"DomainDetails":{"locationName":"domainDetails","type":"structure","members":{"Domain":{"locationName":"domain"}}},"ErrorCode":{"locationName":"errorCode"},"RemoteIpDetails":{"shape":"S3v","locationName":"remoteIpDetails"},"ServiceName":{"locationName":"serviceName"}}},"DnsRequestAction":{"locationName":"dnsRequestAction","type":"structure","members":{"Domain":{"locationName":"domain"}}},"NetworkConnectionAction":{"locationName":"networkConnectionAction","type":"structure","members":{"Blocked":{"locationName":"blocked","type":"boolean"},"ConnectionDirection":{"locationName":"connectionDirection"},"LocalPortDetails":{"shape":"S42","locationName":"localPortDetails"},"Protocol":{"locationName":"protocol"},"LocalIpDetails":{"shape":"S43","locationName":"localIpDetails"},"RemoteIpDetails":{"shape":"S3v","locationName":"remoteIpDetails"},"RemotePortDetails":{"locationName":"remotePortDetails","type":"structure","members":{"Port":{"locationName":"port","type":"integer"},"PortName":{"locationName":"portName"}}}}},"PortProbeAction":{"locationName":"portProbeAction","type":"structure","members":{"Blocked":{"locationName":"blocked","type":"boolean"},"PortProbeDetails":{"locationName":"portProbeDetails","type":"list","member":{"type":"structure","members":{"LocalPortDetails":{"shape":"S42","locationName":"localPortDetails"},"LocalIpDetails":{"shape":"S43","locationName":"localIpDetails"},"RemoteIpDetails":{"shape":"S3v","locationName":"remoteIpDetails"}}}}}}}},"Evidence":{"locationName":"evidence","type":"structure","members":{"ThreatIntelligenceDetails":{"locationName":"threatIntelligenceDetails","type":"list","member":{"type":"structure","members":{"ThreatListName":{"locationName":"threatListName"},"ThreatNames":{"locationName":"threatNames","type":"list","member":{}}}}}}},"Archived":{"locationName":"archived","type":"boolean"},"Count":{"locationName":"count","type":"integer"},"DetectorId":{"locationName":"detectorId"},"EventFirstSeen":{"locationName":"eventFirstSeen"},"EventLastSeen":{"locationName":"eventLastSeen"},"ResourceRole":{"locationName":"resourceRole"},"ServiceName":{"locationName":"serviceName"},"UserFeedback":{"locationName":"userFeedback"}}},"Severity":{"locationName":"severity","type":"double"},"Title":{"locationName":"title"},"Type":{"locationName":"type"},"UpdatedAt":{"locationName":"updatedAt"}}}}}}},"GetFindingsStatistics":{"http":{"requestUri":"/detector/{detectorId}/findings/statistics","responseCode":200},"input":{"type":"structure","required":["DetectorId","FindingStatisticTypes"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"FindingStatisticTypes":{"locationName":"findingStatisticTypes","type":"list","member":{}},"FindingCriteria":{"shape":"So","locationName":"findingCriteria"}}},"output":{"type":"structure","required":["FindingStatistics"],"members":{"FindingStatistics":{"locationName":"findingStatistics","type":"structure","members":{"CountBySeverity":{"locationName":"countBySeverity","type":"map","key":{},"value":{"type":"integer"}}}}}}},"GetIPSet":{"http":{"method":"GET","requestUri":"/detector/{detectorId}/ipset/{ipSetId}","responseCode":200},"input":{"type":"structure","required":["DetectorId","IpSetId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"IpSetId":{"location":"uri","locationName":"ipSetId"}}},"output":{"type":"structure","required":["Name","Format","Location","Status"],"members":{"Name":{"locationName":"name"},"Format":{"locationName":"format"},"Location":{"locationName":"location"},"Status":{"locationName":"status"},"Tags":{"shape":"Sf","locationName":"tags"}}}},"GetInvitationsCount":{"http":{"method":"GET","requestUri":"/invitation/count","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"InvitationsCount":{"locationName":"invitationsCount","type":"integer"}}}},"GetMasterAccount":{"http":{"method":"GET","requestUri":"/detector/{detectorId}/master","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"}}},"output":{"type":"structure","required":["Master"],"members":{"Master":{"locationName":"master","type":"structure","members":{"AccountId":{"locationName":"accountId"},"InvitationId":{"locationName":"invitationId"},"RelationshipStatus":{"locationName":"relationshipStatus"},"InvitedAt":{"locationName":"invitedAt"}}}}}},"GetMemberDetectors":{"http":{"requestUri":"/detector/{detectorId}/member/detector/get","responseCode":200},"input":{"type":"structure","required":["DetectorId","AccountIds"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"AccountIds":{"shape":"S1n","locationName":"accountIds"}}},"output":{"type":"structure","required":["MemberDataSourceConfigurations","UnprocessedAccounts"],"members":{"MemberDataSourceConfigurations":{"locationName":"members","type":"list","member":{"type":"structure","required":["AccountId","DataSources"],"members":{"AccountId":{"locationName":"accountId"},"DataSources":{"shape":"S2l","locationName":"dataSources"}}}},"UnprocessedAccounts":{"shape":"S19","locationName":"unprocessedAccounts"}}}},"GetMembers":{"http":{"requestUri":"/detector/{detectorId}/member/get","responseCode":200},"input":{"type":"structure","required":["DetectorId","AccountIds"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"AccountIds":{"shape":"S1n","locationName":"accountIds"}}},"output":{"type":"structure","required":["Members","UnprocessedAccounts"],"members":{"Members":{"shape":"S4w","locationName":"members"},"UnprocessedAccounts":{"shape":"S19","locationName":"unprocessedAccounts"}}}},"GetThreatIntelSet":{"http":{"method":"GET","requestUri":"/detector/{detectorId}/threatintelset/{threatIntelSetId}","responseCode":200},"input":{"type":"structure","required":["DetectorId","ThreatIntelSetId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"ThreatIntelSetId":{"location":"uri","locationName":"threatIntelSetId"}}},"output":{"type":"structure","required":["Name","Format","Location","Status"],"members":{"Name":{"locationName":"name"},"Format":{"locationName":"format"},"Location":{"locationName":"location"},"Status":{"locationName":"status"},"Tags":{"shape":"Sf","locationName":"tags"}}}},"GetUsageStatistics":{"http":{"requestUri":"/detector/{detectorId}/usage/statistics","responseCode":200},"input":{"type":"structure","required":["DetectorId","UsageStatisticType","UsageCriteria"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"UsageStatisticType":{"locationName":"usageStatisticsType"},"UsageCriteria":{"locationName":"usageCriteria","type":"structure","required":["DataSources"],"members":{"AccountIds":{"shape":"S1n","locationName":"accountIds"},"DataSources":{"locationName":"dataSources","type":"list","member":{}},"Resources":{"locationName":"resources","type":"list","member":{}}}},"Unit":{"locationName":"unit"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"}}},"output":{"type":"structure","members":{"UsageStatistics":{"locationName":"usageStatistics","type":"structure","members":{"SumByAccount":{"locationName":"sumByAccount","type":"list","member":{"type":"structure","members":{"AccountId":{"locationName":"accountId"},"Total":{"shape":"S5c","locationName":"total"}}}},"SumByDataSource":{"locationName":"sumByDataSource","type":"list","member":{"type":"structure","members":{"DataSource":{"locationName":"dataSource"},"Total":{"shape":"S5c","locationName":"total"}}}},"SumByResource":{"shape":"S5f","locationName":"sumByResource"},"TopResources":{"shape":"S5f","locationName":"topResources"}}},"NextToken":{"locationName":"nextToken"}}}},"InviteMembers":{"http":{"requestUri":"/detector/{detectorId}/member/invite","responseCode":200},"input":{"type":"structure","required":["DetectorId","AccountIds"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"AccountIds":{"shape":"S1n","locationName":"accountIds"},"DisableEmailNotification":{"locationName":"disableEmailNotification","type":"boolean"},"Message":{"locationName":"message"}}},"output":{"type":"structure","required":["UnprocessedAccounts"],"members":{"UnprocessedAccounts":{"shape":"S19","locationName":"unprocessedAccounts"}}}},"ListDetectors":{"http":{"method":"GET","requestUri":"/detector","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["DetectorIds"],"members":{"DetectorIds":{"locationName":"detectorIds","type":"list","member":{}},"NextToken":{"locationName":"nextToken"}}}},"ListFilters":{"http":{"method":"GET","requestUri":"/detector/{detectorId}/filter","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["FilterNames"],"members":{"FilterNames":{"locationName":"filterNames","type":"list","member":{}},"NextToken":{"locationName":"nextToken"}}}},"ListFindings":{"http":{"requestUri":"/detector/{detectorId}/findings","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"FindingCriteria":{"shape":"So","locationName":"findingCriteria"},"SortCriteria":{"shape":"S2u","locationName":"sortCriteria"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"}}},"output":{"type":"structure","required":["FindingIds"],"members":{"FindingIds":{"shape":"S6","locationName":"findingIds"},"NextToken":{"locationName":"nextToken"}}}},"ListIPSets":{"http":{"method":"GET","requestUri":"/detector/{detectorId}/ipset","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["IpSetIds"],"members":{"IpSetIds":{"locationName":"ipSetIds","type":"list","member":{}},"NextToken":{"locationName":"nextToken"}}}},"ListInvitations":{"http":{"method":"GET","requestUri":"/invitation","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Invitations":{"locationName":"invitations","type":"list","member":{"type":"structure","members":{"AccountId":{"locationName":"accountId"},"InvitationId":{"locationName":"invitationId"},"RelationshipStatus":{"locationName":"relationshipStatus"},"InvitedAt":{"locationName":"invitedAt"}}}},"NextToken":{"locationName":"nextToken"}}}},"ListMembers":{"http":{"method":"GET","requestUri":"/detector/{detectorId}/member","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"OnlyAssociated":{"location":"querystring","locationName":"onlyAssociated"}}},"output":{"type":"structure","members":{"Members":{"shape":"S4w","locationName":"members"},"NextToken":{"locationName":"nextToken"}}}},"ListOrganizationAdminAccounts":{"http":{"method":"GET","requestUri":"/admin","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"AdminAccounts":{"locationName":"adminAccounts","type":"list","member":{"type":"structure","members":{"AdminAccountId":{"locationName":"adminAccountId"},"AdminStatus":{"locationName":"adminStatus"}}}},"NextToken":{"locationName":"nextToken"}}}},"ListPublishingDestinations":{"http":{"method":"GET","requestUri":"/detector/{detectorId}/publishingDestination","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["Destinations"],"members":{"Destinations":{"locationName":"destinations","type":"list","member":{"type":"structure","required":["DestinationId","DestinationType","Status"],"members":{"DestinationId":{"locationName":"destinationId"},"DestinationType":{"locationName":"destinationType"},"Status":{"locationName":"status"}}}},"NextToken":{"locationName":"nextToken"}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sf","locationName":"tags"}}}},"ListThreatIntelSets":{"http":{"method":"GET","requestUri":"/detector/{detectorId}/threatintelset","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["ThreatIntelSetIds"],"members":{"ThreatIntelSetIds":{"locationName":"threatIntelSetIds","type":"list","member":{}},"NextToken":{"locationName":"nextToken"}}}},"StartMonitoringMembers":{"http":{"requestUri":"/detector/{detectorId}/member/start","responseCode":200},"input":{"type":"structure","required":["DetectorId","AccountIds"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"AccountIds":{"shape":"S1n","locationName":"accountIds"}}},"output":{"type":"structure","required":["UnprocessedAccounts"],"members":{"UnprocessedAccounts":{"shape":"S19","locationName":"unprocessedAccounts"}}}},"StopMonitoringMembers":{"http":{"requestUri":"/detector/{detectorId}/member/stop","responseCode":200},"input":{"type":"structure","required":["DetectorId","AccountIds"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"AccountIds":{"shape":"S1n","locationName":"accountIds"}}},"output":{"type":"structure","required":["UnprocessedAccounts"],"members":{"UnprocessedAccounts":{"shape":"S19","locationName":"unprocessedAccounts"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"Sf","locationName":"tags"}}},"output":{"type":"structure","members":{}}},"UnarchiveFindings":{"http":{"requestUri":"/detector/{detectorId}/findings/unarchive","responseCode":200},"input":{"type":"structure","required":["DetectorId","FindingIds"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"FindingIds":{"shape":"S6","locationName":"findingIds"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDetector":{"http":{"requestUri":"/detector/{detectorId}","responseCode":200},"input":{"type":"structure","required":["DetectorId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"Enable":{"locationName":"enable","type":"boolean"},"FindingPublishingFrequency":{"locationName":"findingPublishingFrequency"},"DataSources":{"shape":"Sd","locationName":"dataSources"}}},"output":{"type":"structure","members":{}}},"UpdateFilter":{"http":{"requestUri":"/detector/{detectorId}/filter/{filterName}","responseCode":200},"input":{"type":"structure","required":["DetectorId","FilterName"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"FilterName":{"location":"uri","locationName":"filterName"},"Description":{"locationName":"description"},"Action":{"locationName":"action"},"Rank":{"locationName":"rank","type":"integer"},"FindingCriteria":{"shape":"So","locationName":"findingCriteria"}}},"output":{"type":"structure","required":["Name"],"members":{"Name":{"locationName":"name"}}}},"UpdateFindingsFeedback":{"http":{"requestUri":"/detector/{detectorId}/findings/feedback","responseCode":200},"input":{"type":"structure","required":["DetectorId","FindingIds","Feedback"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"FindingIds":{"shape":"S6","locationName":"findingIds"},"Feedback":{"locationName":"feedback"},"Comments":{"locationName":"comments"}}},"output":{"type":"structure","members":{}}},"UpdateIPSet":{"http":{"requestUri":"/detector/{detectorId}/ipset/{ipSetId}","responseCode":200},"input":{"type":"structure","required":["DetectorId","IpSetId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"IpSetId":{"location":"uri","locationName":"ipSetId"},"Name":{"locationName":"name"},"Location":{"locationName":"location"},"Activate":{"locationName":"activate","type":"boolean"}}},"output":{"type":"structure","members":{}}},"UpdateMemberDetectors":{"http":{"requestUri":"/detector/{detectorId}/member/detector/update","responseCode":200},"input":{"type":"structure","required":["DetectorId","AccountIds"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"AccountIds":{"shape":"S1n","locationName":"accountIds"},"DataSources":{"shape":"Sd","locationName":"dataSources"}}},"output":{"type":"structure","required":["UnprocessedAccounts"],"members":{"UnprocessedAccounts":{"shape":"S19","locationName":"unprocessedAccounts"}}}},"UpdateOrganizationConfiguration":{"http":{"requestUri":"/detector/{detectorId}/admin","responseCode":200},"input":{"type":"structure","required":["DetectorId","AutoEnable"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"AutoEnable":{"locationName":"autoEnable","type":"boolean"},"DataSources":{"locationName":"dataSources","type":"structure","members":{"S3Logs":{"locationName":"s3Logs","type":"structure","required":["AutoEnable"],"members":{"AutoEnable":{"locationName":"autoEnable","type":"boolean"}}}}}}},"output":{"type":"structure","members":{}}},"UpdatePublishingDestination":{"http":{"requestUri":"/detector/{detectorId}/publishingDestination/{destinationId}","responseCode":200},"input":{"type":"structure","required":["DetectorId","DestinationId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"DestinationId":{"location":"uri","locationName":"destinationId"},"DestinationProperties":{"shape":"S1d","locationName":"destinationProperties"}}},"output":{"type":"structure","members":{}}},"UpdateThreatIntelSet":{"http":{"requestUri":"/detector/{detectorId}/threatintelset/{threatIntelSetId}","responseCode":200},"input":{"type":"structure","required":["DetectorId","ThreatIntelSetId"],"members":{"DetectorId":{"location":"uri","locationName":"detectorId"},"ThreatIntelSetId":{"location":"uri","locationName":"threatIntelSetId"},"Name":{"locationName":"name"},"Location":{"locationName":"location"},"Activate":{"locationName":"activate","type":"boolean"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S6":{"type":"list","member":{}},"Sd":{"type":"structure","members":{"S3Logs":{"locationName":"s3Logs","type":"structure","required":["Enable"],"members":{"Enable":{"locationName":"enable","type":"boolean"}}}}},"Sf":{"type":"map","key":{},"value":{}},"So":{"type":"structure","members":{"Criterion":{"locationName":"criterion","type":"map","key":{},"value":{"type":"structure","members":{"Eq":{"deprecated":true,"locationName":"eq","type":"list","member":{}},"Neq":{"deprecated":true,"locationName":"neq","type":"list","member":{}},"Gt":{"deprecated":true,"locationName":"gt","type":"integer"},"Gte":{"deprecated":true,"locationName":"gte","type":"integer"},"Lt":{"deprecated":true,"locationName":"lt","type":"integer"},"Lte":{"deprecated":true,"locationName":"lte","type":"integer"},"Equals":{"locationName":"equals","type":"list","member":{}},"NotEquals":{"locationName":"notEquals","type":"list","member":{}},"GreaterThan":{"locationName":"greaterThan","type":"long"},"GreaterThanOrEqual":{"locationName":"greaterThanOrEqual","type":"long"},"LessThan":{"locationName":"lessThan","type":"long"},"LessThanOrEqual":{"locationName":"lessThanOrEqual","type":"long"}}}}}},"S19":{"type":"list","member":{"type":"structure","required":["AccountId","Result"],"members":{"AccountId":{"locationName":"accountId"},"Result":{"locationName":"result"}}}},"S1d":{"type":"structure","members":{"DestinationArn":{"locationName":"destinationArn"},"KmsKeyArn":{"locationName":"kmsKeyArn"}}},"S1n":{"type":"list","member":{}},"S2l":{"type":"structure","required":["CloudTrail","DNSLogs","FlowLogs","S3Logs"],"members":{"CloudTrail":{"locationName":"cloudTrail","type":"structure","required":["Status"],"members":{"Status":{"locationName":"status"}}},"DNSLogs":{"locationName":"dnsLogs","type":"structure","required":["Status"],"members":{"Status":{"locationName":"status"}}},"FlowLogs":{"locationName":"flowLogs","type":"structure","required":["Status"],"members":{"Status":{"locationName":"status"}}},"S3Logs":{"locationName":"s3Logs","type":"structure","required":["Status"],"members":{"Status":{"locationName":"status"}}}}},"S2u":{"type":"structure","members":{"AttributeName":{"locationName":"attributeName"},"OrderBy":{"locationName":"orderBy"}}},"S36":{"type":"list","member":{"type":"structure","members":{"Key":{"locationName":"key"},"Value":{"locationName":"value"}}}},"S3e":{"type":"structure","members":{"IgnorePublicAcls":{"locationName":"ignorePublicAcls","type":"boolean"},"RestrictPublicBuckets":{"locationName":"restrictPublicBuckets","type":"boolean"},"BlockPublicAcls":{"locationName":"blockPublicAcls","type":"boolean"},"BlockPublicPolicy":{"locationName":"blockPublicPolicy","type":"boolean"}}},"S3v":{"type":"structure","members":{"City":{"locationName":"city","type":"structure","members":{"CityName":{"locationName":"cityName"}}},"Country":{"locationName":"country","type":"structure","members":{"CountryCode":{"locationName":"countryCode"},"CountryName":{"locationName":"countryName"}}},"GeoLocation":{"locationName":"geoLocation","type":"structure","members":{"Lat":{"locationName":"lat","type":"double"},"Lon":{"locationName":"lon","type":"double"}}},"IpAddressV4":{"locationName":"ipAddressV4"},"Organization":{"locationName":"organization","type":"structure","members":{"Asn":{"locationName":"asn"},"AsnOrg":{"locationName":"asnOrg"},"Isp":{"locationName":"isp"},"Org":{"locationName":"org"}}}}},"S42":{"type":"structure","members":{"Port":{"locationName":"port","type":"integer"},"PortName":{"locationName":"portName"}}},"S43":{"type":"structure","members":{"IpAddressV4":{"locationName":"ipAddressV4"}}},"S4w":{"type":"list","member":{"type":"structure","required":["AccountId","MasterId","Email","RelationshipStatus","UpdatedAt"],"members":{"AccountId":{"locationName":"accountId"},"DetectorId":{"locationName":"detectorId"},"MasterId":{"locationName":"masterId"},"Email":{"locationName":"email"},"RelationshipStatus":{"locationName":"relationshipStatus"},"InvitedAt":{"locationName":"invitedAt"},"UpdatedAt":{"locationName":"updatedAt"}}}},"S5c":{"type":"structure","members":{"Amount":{"locationName":"amount"},"Unit":{"locationName":"unit"}}},"S5f":{"type":"list","member":{"type":"structure","members":{"Resource":{"locationName":"resource"},"Total":{"shape":"S5c","locationName":"total"}}}}}}');

/***/ }),

/***/ 87510:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetUsageStatistics":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDetectors":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"DetectorIds"},"ListFilters":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"FilterNames"},"ListFindings":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"FindingIds"},"ListIPSets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"IpSetIds"},"ListInvitations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Invitations"},"ListMembers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Members"},"ListOrganizationAdminAccounts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"AdminAccounts"},"ListPublishingDestinations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListThreatIntelSets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ThreatIntelSetIds"}}}');

/***/ }),

/***/ 8618:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-08-04","endpointPrefix":"health","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"AWSHealth","serviceFullName":"AWS Health APIs and Notifications","serviceId":"Health","signatureVersion":"v4","targetPrefix":"AWSHealth_20160804","uid":"health-2016-08-04"},"operations":{"DescribeAffectedAccountsForOrganization":{"input":{"type":"structure","required":["eventArn"],"members":{"eventArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"affectedAccounts":{"type":"list","member":{}},"eventScopeCode":{},"nextToken":{}}},"idempotent":true},"DescribeAffectedEntities":{"input":{"type":"structure","required":["filter"],"members":{"filter":{"type":"structure","required":["eventArns"],"members":{"eventArns":{"shape":"Sb"},"entityArns":{"shape":"Sc"},"entityValues":{"shape":"Se"},"lastUpdatedTimes":{"shape":"Sg"},"tags":{"shape":"Sj"},"statusCodes":{"type":"list","member":{}}}},"locale":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"entities":{"shape":"Sr"},"nextToken":{}}},"idempotent":true},"DescribeAffectedEntitiesForOrganization":{"input":{"type":"structure","required":["organizationEntityFilters"],"members":{"organizationEntityFilters":{"type":"list","member":{"shape":"Sw"}},"locale":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"entities":{"shape":"Sr"},"failedSet":{"type":"list","member":{"type":"structure","members":{"awsAccountId":{},"eventArn":{},"errorName":{},"errorMessage":{}}}},"nextToken":{}}},"idempotent":true},"DescribeEntityAggregates":{"input":{"type":"structure","members":{"eventArns":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"entityAggregates":{"type":"list","member":{"type":"structure","members":{"eventArn":{},"count":{"type":"integer"}}}}}},"idempotent":true},"DescribeEventAggregates":{"input":{"type":"structure","required":["aggregateField"],"members":{"filter":{"shape":"S19"},"aggregateField":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"eventAggregates":{"type":"list","member":{"type":"structure","members":{"aggregateValue":{},"count":{"type":"integer"}}}},"nextToken":{}}},"idempotent":true},"DescribeEventDetails":{"input":{"type":"structure","required":["eventArns"],"members":{"eventArns":{"shape":"Sb"},"locale":{}}},"output":{"type":"structure","members":{"successfulSet":{"type":"list","member":{"type":"structure","members":{"event":{"shape":"S1v"},"eventDescription":{"shape":"S1x"},"eventMetadata":{"shape":"S1z"}}}},"failedSet":{"type":"list","member":{"type":"structure","members":{"eventArn":{},"errorName":{},"errorMessage":{}}}}}},"idempotent":true},"DescribeEventDetailsForOrganization":{"input":{"type":"structure","required":["organizationEventDetailFilters"],"members":{"organizationEventDetailFilters":{"type":"list","member":{"shape":"Sw"}},"locale":{}}},"output":{"type":"structure","members":{"successfulSet":{"type":"list","member":{"type":"structure","members":{"awsAccountId":{},"event":{"shape":"S1v"},"eventDescription":{"shape":"S1x"},"eventMetadata":{"shape":"S1z"}}}},"failedSet":{"type":"list","member":{"type":"structure","members":{"awsAccountId":{},"eventArn":{},"errorName":{},"errorMessage":{}}}}}},"idempotent":true},"DescribeEventTypes":{"input":{"type":"structure","members":{"filter":{"type":"structure","members":{"eventTypeCodes":{"type":"list","member":{}},"services":{"shape":"S1c"},"eventTypeCategories":{"type":"list","member":{}}}},"locale":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"eventTypes":{"type":"list","member":{"type":"structure","members":{"service":{},"code":{},"category":{}}}},"nextToken":{}}},"idempotent":true},"DescribeEvents":{"input":{"type":"structure","members":{"filter":{"shape":"S19"},"nextToken":{},"maxResults":{"type":"integer"},"locale":{}}},"output":{"type":"structure","members":{"events":{"type":"list","member":{"shape":"S1v"}},"nextToken":{}}},"idempotent":true},"DescribeEventsForOrganization":{"input":{"type":"structure","members":{"filter":{"type":"structure","members":{"eventTypeCodes":{"shape":"S1a"},"awsAccountIds":{"type":"list","member":{}},"services":{"shape":"S1c"},"regions":{"shape":"S1e"},"startTime":{"shape":"Sh"},"endTime":{"shape":"Sh"},"lastUpdatedTime":{"shape":"Sh"},"entityArns":{"shape":"Sc"},"entityValues":{"shape":"Se"},"eventTypeCategories":{"shape":"S1i"},"eventStatusCodes":{"shape":"S1k"}}},"nextToken":{},"maxResults":{"type":"integer"},"locale":{}}},"output":{"type":"structure","members":{"events":{"type":"list","member":{"type":"structure","members":{"arn":{},"service":{},"eventTypeCode":{},"eventTypeCategory":{},"eventScopeCode":{},"region":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"lastUpdatedTime":{"type":"timestamp"},"statusCode":{}}}},"nextToken":{}}},"idempotent":true},"DescribeHealthServiceStatusForOrganization":{"output":{"type":"structure","members":{"healthServiceAccessStatusForOrganization":{}}},"idempotent":true},"DisableHealthServiceAccessForOrganization":{"idempotent":true},"EnableHealthServiceAccessForOrganization":{"idempotent":true}},"shapes":{"Sb":{"type":"list","member":{}},"Sc":{"type":"list","member":{}},"Se":{"type":"list","member":{}},"Sg":{"type":"list","member":{"shape":"Sh"}},"Sh":{"type":"structure","members":{"from":{"type":"timestamp"},"to":{"type":"timestamp"}}},"Sj":{"type":"list","member":{"shape":"Sk"}},"Sk":{"type":"map","key":{},"value":{}},"Sr":{"type":"list","member":{"type":"structure","members":{"entityArn":{},"eventArn":{},"entityValue":{},"entityUrl":{},"awsAccountId":{},"lastUpdatedTime":{"type":"timestamp"},"statusCode":{},"tags":{"shape":"Sk"}}}},"Sw":{"type":"structure","required":["eventArn"],"members":{"eventArn":{},"awsAccountId":{}}},"S19":{"type":"structure","members":{"eventArns":{"shape":"Sb"},"eventTypeCodes":{"shape":"S1a"},"services":{"shape":"S1c"},"regions":{"shape":"S1e"},"availabilityZones":{"type":"list","member":{}},"startTimes":{"shape":"Sg"},"endTimes":{"shape":"Sg"},"lastUpdatedTimes":{"shape":"Sg"},"entityArns":{"shape":"Sc"},"entityValues":{"shape":"Se"},"eventTypeCategories":{"shape":"S1i"},"tags":{"shape":"Sj"},"eventStatusCodes":{"shape":"S1k"}}},"S1a":{"type":"list","member":{}},"S1c":{"type":"list","member":{}},"S1e":{"type":"list","member":{}},"S1i":{"type":"list","member":{}},"S1k":{"type":"list","member":{}},"S1v":{"type":"structure","members":{"arn":{},"service":{},"eventTypeCode":{},"eventTypeCategory":{},"region":{},"availabilityZone":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"lastUpdatedTime":{"type":"timestamp"},"statusCode":{},"eventScopeCode":{}}},"S1x":{"type":"structure","members":{"latestDescription":{}}},"S1z":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 46725:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeAffectedAccountsForOrganization":{"input_token":"nextToken","limit_key":"maxResults","non_aggregate_keys":["eventScopeCode"],"output_token":"nextToken","result_key":"affectedAccounts"},"DescribeAffectedEntities":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"entities"},"DescribeAffectedEntitiesForOrganization":{"input_token":"nextToken","limit_key":"maxResults","non_aggregate_keys":["failedSet"],"output_token":"nextToken","result_key":"entities"},"DescribeEntityAggregates":{"result_key":"entityAggregates"},"DescribeEventAggregates":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"eventAggregates"},"DescribeEventTypes":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"eventTypes"},"DescribeEvents":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"events"},"DescribeEventsForOrganization":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"events"}}}');

/***/ }),

/***/ 13637:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-07-01","endpointPrefix":"healthlake","jsonVersion":"1.0","protocol":"json","serviceAbbreviation":"HealthLake","serviceFullName":"Amazon HealthLake","serviceId":"HealthLake","signatureVersion":"v4","signingName":"healthlake","targetPrefix":"HealthLake","uid":"healthlake-2017-07-01"},"operations":{"CreateFHIRDatastore":{"input":{"type":"structure","required":["DatastoreTypeVersion"],"members":{"DatastoreName":{},"DatastoreTypeVersion":{},"SseConfiguration":{"shape":"S4"},"PreloadDataConfig":{"shape":"S8"},"ClientToken":{"idempotencyToken":true},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","required":["DatastoreId","DatastoreArn","DatastoreStatus","DatastoreEndpoint"],"members":{"DatastoreId":{},"DatastoreArn":{},"DatastoreStatus":{},"DatastoreEndpoint":{}}}},"DeleteFHIRDatastore":{"input":{"type":"structure","members":{"DatastoreId":{}}},"output":{"type":"structure","required":["DatastoreId","DatastoreArn","DatastoreStatus","DatastoreEndpoint"],"members":{"DatastoreId":{},"DatastoreArn":{},"DatastoreStatus":{},"DatastoreEndpoint":{}}}},"DescribeFHIRDatastore":{"input":{"type":"structure","members":{"DatastoreId":{}}},"output":{"type":"structure","required":["DatastoreProperties"],"members":{"DatastoreProperties":{"shape":"So"}}}},"DescribeFHIRExportJob":{"input":{"type":"structure","required":["DatastoreId","JobId"],"members":{"DatastoreId":{},"JobId":{}}},"output":{"type":"structure","required":["ExportJobProperties"],"members":{"ExportJobProperties":{"shape":"Su"}}}},"DescribeFHIRImportJob":{"input":{"type":"structure","required":["DatastoreId","JobId"],"members":{"DatastoreId":{},"JobId":{}}},"output":{"type":"structure","required":["ImportJobProperties"],"members":{"ImportJobProperties":{"shape":"S14"}}}},"ListFHIRDatastores":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"DatastoreName":{},"DatastoreStatus":{},"CreatedBefore":{"type":"timestamp"},"CreatedAfter":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["DatastorePropertiesList"],"members":{"DatastorePropertiesList":{"type":"list","member":{"shape":"So"}},"NextToken":{}}}},"ListFHIRExportJobs":{"input":{"type":"structure","required":["DatastoreId"],"members":{"DatastoreId":{},"NextToken":{},"MaxResults":{"type":"integer"},"JobName":{},"JobStatus":{},"SubmittedBefore":{"type":"timestamp"},"SubmittedAfter":{"type":"timestamp"}}},"output":{"type":"structure","required":["ExportJobPropertiesList"],"members":{"ExportJobPropertiesList":{"type":"list","member":{"shape":"Su"}},"NextToken":{}}}},"ListFHIRImportJobs":{"input":{"type":"structure","required":["DatastoreId"],"members":{"DatastoreId":{},"NextToken":{},"MaxResults":{"type":"integer"},"JobName":{},"JobStatus":{},"SubmittedBefore":{"type":"timestamp"},"SubmittedAfter":{"type":"timestamp"}}},"output":{"type":"structure","required":["ImportJobPropertiesList"],"members":{"ImportJobPropertiesList":{"type":"list","member":{"shape":"S14"}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sb"}}}},"StartFHIRExportJob":{"input":{"type":"structure","required":["OutputDataConfig","DatastoreId","DataAccessRoleArn","ClientToken"],"members":{"JobName":{},"OutputDataConfig":{"shape":"Sx"},"DatastoreId":{},"DataAccessRoleArn":{},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["JobId","JobStatus"],"members":{"JobId":{},"JobStatus":{},"DatastoreId":{}}}},"StartFHIRImportJob":{"input":{"type":"structure","required":["InputDataConfig","JobOutputDataConfig","DatastoreId","DataAccessRoleArn","ClientToken"],"members":{"JobName":{},"InputDataConfig":{"shape":"S15"},"JobOutputDataConfig":{"shape":"Sx"},"DatastoreId":{},"DataAccessRoleArn":{},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["JobId","JobStatus"],"members":{"JobId":{},"JobStatus":{},"DatastoreId":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"S4":{"type":"structure","required":["KmsEncryptionConfig"],"members":{"KmsEncryptionConfig":{"type":"structure","required":["CmkType"],"members":{"CmkType":{},"KmsKeyId":{}}}}},"S8":{"type":"structure","required":["PreloadDataType"],"members":{"PreloadDataType":{}}},"Sb":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"So":{"type":"structure","required":["DatastoreId","DatastoreArn","DatastoreStatus","DatastoreTypeVersion","DatastoreEndpoint"],"members":{"DatastoreId":{},"DatastoreArn":{},"DatastoreName":{},"DatastoreStatus":{},"CreatedAt":{"type":"timestamp"},"DatastoreTypeVersion":{},"DatastoreEndpoint":{},"SseConfiguration":{"shape":"S4"},"PreloadDataConfig":{"shape":"S8"}}},"Su":{"type":"structure","required":["JobId","JobStatus","SubmitTime","DatastoreId","OutputDataConfig"],"members":{"JobId":{},"JobName":{},"JobStatus":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"DatastoreId":{},"OutputDataConfig":{"shape":"Sx"},"DataAccessRoleArn":{},"Message":{}}},"Sx":{"type":"structure","members":{"S3Configuration":{"type":"structure","required":["S3Uri","KmsKeyId"],"members":{"S3Uri":{},"KmsKeyId":{}}}},"union":true},"S14":{"type":"structure","required":["JobId","JobStatus","SubmitTime","DatastoreId","InputDataConfig"],"members":{"JobId":{},"JobName":{},"JobStatus":{},"SubmitTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"DatastoreId":{},"InputDataConfig":{"shape":"S15"},"JobOutputDataConfig":{"shape":"Sx"},"DataAccessRoleArn":{},"Message":{}}},"S15":{"type":"structure","members":{"S3Uri":{}},"union":true}}}');

/***/ }),

/***/ 92834:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListFHIRDatastores":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListFHIRExportJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListFHIRImportJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 27577:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-03-01","endpointPrefix":"honeycode","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Honeycode","serviceFullName":"Amazon Honeycode","serviceId":"Honeycode","signatureVersion":"v4","signingName":"honeycode","uid":"honeycode-2020-03-01"},"operations":{"BatchCreateTableRows":{"http":{"requestUri":"/workbooks/{workbookId}/tables/{tableId}/rows/batchcreate"},"input":{"type":"structure","required":["workbookId","tableId","rowsToCreate"],"members":{"workbookId":{"location":"uri","locationName":"workbookId"},"tableId":{"location":"uri","locationName":"tableId"},"rowsToCreate":{"type":"list","member":{"type":"structure","required":["batchItemId","cellsToCreate"],"members":{"batchItemId":{},"cellsToCreate":{"shape":"S6"}}}},"clientRequestToken":{}}},"output":{"type":"structure","required":["workbookCursor","createdRows"],"members":{"workbookCursor":{"type":"long"},"createdRows":{"type":"map","key":{},"value":{}},"failedBatchItems":{"shape":"Se"}}}},"BatchDeleteTableRows":{"http":{"requestUri":"/workbooks/{workbookId}/tables/{tableId}/rows/batchdelete"},"input":{"type":"structure","required":["workbookId","tableId","rowIds"],"members":{"workbookId":{"location":"uri","locationName":"workbookId"},"tableId":{"location":"uri","locationName":"tableId"},"rowIds":{"shape":"Si"},"clientRequestToken":{}}},"output":{"type":"structure","required":["workbookCursor"],"members":{"workbookCursor":{"type":"long"},"failedBatchItems":{"shape":"Se"}}}},"BatchUpdateTableRows":{"http":{"requestUri":"/workbooks/{workbookId}/tables/{tableId}/rows/batchupdate"},"input":{"type":"structure","required":["workbookId","tableId","rowsToUpdate"],"members":{"workbookId":{"location":"uri","locationName":"workbookId"},"tableId":{"location":"uri","locationName":"tableId"},"rowsToUpdate":{"type":"list","member":{"type":"structure","required":["rowId","cellsToUpdate"],"members":{"rowId":{},"cellsToUpdate":{"shape":"S6"}}}},"clientRequestToken":{}}},"output":{"type":"structure","required":["workbookCursor"],"members":{"workbookCursor":{"type":"long"},"failedBatchItems":{"shape":"Se"}}}},"BatchUpsertTableRows":{"http":{"requestUri":"/workbooks/{workbookId}/tables/{tableId}/rows/batchupsert"},"input":{"type":"structure","required":["workbookId","tableId","rowsToUpsert"],"members":{"workbookId":{"location":"uri","locationName":"workbookId"},"tableId":{"location":"uri","locationName":"tableId"},"rowsToUpsert":{"type":"list","member":{"type":"structure","required":["batchItemId","filter","cellsToUpdate"],"members":{"batchItemId":{},"filter":{"shape":"Sr"},"cellsToUpdate":{"shape":"S6"}}}},"clientRequestToken":{}}},"output":{"type":"structure","required":["rows","workbookCursor"],"members":{"rows":{"type":"map","key":{},"value":{"type":"structure","required":["rowIds","upsertAction"],"members":{"rowIds":{"shape":"Si"},"upsertAction":{}}}},"workbookCursor":{"type":"long"},"failedBatchItems":{"shape":"Se"}}}},"DescribeTableDataImportJob":{"http":{"method":"GET","requestUri":"/workbooks/{workbookId}/tables/{tableId}/import/{jobId}"},"input":{"type":"structure","required":["workbookId","tableId","jobId"],"members":{"workbookId":{"location":"uri","locationName":"workbookId"},"tableId":{"location":"uri","locationName":"tableId"},"jobId":{"location":"uri","locationName":"jobId"}}},"output":{"type":"structure","required":["jobStatus","message","jobMetadata"],"members":{"jobStatus":{},"message":{},"jobMetadata":{"type":"structure","required":["submitter","submitTime","importOptions","dataSource"],"members":{"submitter":{"type":"structure","members":{"email":{"type":"string","sensitive":true},"userArn":{}}},"submitTime":{"type":"timestamp"},"importOptions":{"shape":"S17"},"dataSource":{"shape":"S1h"}}}}}},"GetScreenData":{"http":{"requestUri":"/screendata"},"input":{"type":"structure","required":["workbookId","appId","screenId"],"members":{"workbookId":{},"appId":{},"screenId":{},"variables":{"shape":"S1l"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["results","workbookCursor"],"members":{"results":{"type":"map","key":{"shape":"S1t"},"value":{"type":"structure","required":["headers","rows"],"members":{"headers":{"type":"list","member":{"type":"structure","required":["name","format"],"members":{"name":{"shape":"S1t"},"format":{}}}},"rows":{"type":"list","member":{"type":"structure","required":["dataItems"],"members":{"rowId":{},"dataItems":{"type":"list","member":{"type":"structure","members":{"overrideFormat":{},"rawValue":{},"formattedValue":{}},"sensitive":true}}}}}}}},"workbookCursor":{"type":"long"},"nextToken":{}}}},"InvokeScreenAutomation":{"http":{"requestUri":"/workbooks/{workbookId}/apps/{appId}/screens/{screenId}/automations/{automationId}"},"input":{"type":"structure","required":["workbookId","appId","screenId","screenAutomationId"],"members":{"workbookId":{"location":"uri","locationName":"workbookId"},"appId":{"location":"uri","locationName":"appId"},"screenId":{"location":"uri","locationName":"screenId"},"screenAutomationId":{"location":"uri","locationName":"automationId"},"variables":{"shape":"S1l"},"rowId":{},"clientRequestToken":{}}},"output":{"type":"structure","required":["workbookCursor"],"members":{"workbookCursor":{"type":"long"}}}},"ListTableColumns":{"http":{"method":"GET","requestUri":"/workbooks/{workbookId}/tables/{tableId}/columns"},"input":{"type":"structure","required":["workbookId","tableId"],"members":{"workbookId":{"location":"uri","locationName":"workbookId"},"tableId":{"location":"uri","locationName":"tableId"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["tableColumns"],"members":{"tableColumns":{"type":"list","member":{"type":"structure","members":{"tableColumnId":{},"tableColumnName":{},"format":{}}}},"nextToken":{},"workbookCursor":{"type":"long"}}}},"ListTableRows":{"http":{"requestUri":"/workbooks/{workbookId}/tables/{tableId}/rows/list"},"input":{"type":"structure","required":["workbookId","tableId"],"members":{"workbookId":{"location":"uri","locationName":"workbookId"},"tableId":{"location":"uri","locationName":"tableId"},"rowIds":{"shape":"Si"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["columnIds","rows","workbookCursor"],"members":{"columnIds":{"shape":"S2c"},"rows":{"shape":"S2d"},"rowIdsNotFound":{"shape":"Si"},"nextToken":{},"workbookCursor":{"type":"long"}}}},"ListTables":{"http":{"method":"GET","requestUri":"/workbooks/{workbookId}/tables"},"input":{"type":"structure","required":["workbookId"],"members":{"workbookId":{"location":"uri","locationName":"workbookId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["tables"],"members":{"tables":{"type":"list","member":{"type":"structure","members":{"tableId":{},"tableName":{}}}},"nextToken":{},"workbookCursor":{"type":"long"}}}},"QueryTableRows":{"http":{"requestUri":"/workbooks/{workbookId}/tables/{tableId}/rows/query"},"input":{"type":"structure","required":["workbookId","tableId","filterFormula"],"members":{"workbookId":{"location":"uri","locationName":"workbookId"},"tableId":{"location":"uri","locationName":"tableId"},"filterFormula":{"shape":"Sr"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["columnIds","rows","workbookCursor"],"members":{"columnIds":{"shape":"S2c"},"rows":{"shape":"S2d"},"nextToken":{},"workbookCursor":{"type":"long"}}}},"StartTableDataImportJob":{"http":{"requestUri":"/workbooks/{workbookId}/tables/{tableId}/import"},"input":{"type":"structure","required":["workbookId","dataSource","dataFormat","destinationTableId","importOptions","clientRequestToken"],"members":{"workbookId":{"location":"uri","locationName":"workbookId"},"dataSource":{"shape":"S1h"},"dataFormat":{},"destinationTableId":{"location":"uri","locationName":"tableId"},"importOptions":{"shape":"S17"},"clientRequestToken":{}}},"output":{"type":"structure","required":["jobId","jobStatus"],"members":{"jobId":{},"jobStatus":{}}}}},"shapes":{"S6":{"type":"map","key":{},"value":{"type":"structure","members":{"fact":{"type":"string","sensitive":true}}}},"Se":{"type":"list","member":{"type":"structure","required":["id","errorMessage"],"members":{"id":{},"errorMessage":{}}}},"Si":{"type":"list","member":{}},"Sr":{"type":"structure","required":["formula"],"members":{"formula":{"shape":"Ss"},"contextRowId":{}}},"Ss":{"type":"string","sensitive":true},"S17":{"type":"structure","members":{"destinationOptions":{"type":"structure","members":{"columnMap":{"type":"map","key":{},"value":{"type":"structure","members":{"columnIndex":{"type":"integer"}}}}}},"delimitedTextOptions":{"type":"structure","required":["delimiter"],"members":{"delimiter":{},"hasHeaderRow":{"type":"boolean"},"ignoreEmptyRows":{"type":"boolean"},"dataCharacterEncoding":{}}}}},"S1h":{"type":"structure","required":["dataSourceConfig"],"members":{"dataSourceConfig":{"type":"structure","members":{"dataSourceUrl":{}}}}},"S1l":{"type":"map","key":{"type":"string","sensitive":true},"value":{"type":"structure","required":["rawValue"],"members":{"rawValue":{}},"sensitive":true},"sensitive":true},"S1t":{"type":"string","sensitive":true},"S2c":{"type":"list","member":{}},"S2d":{"type":"list","member":{"type":"structure","required":["rowId","cells"],"members":{"rowId":{},"cells":{"type":"list","member":{"type":"structure","members":{"formula":{"shape":"Ss"},"format":{},"rawValue":{},"formattedValue":{}},"sensitive":true}}}}}}}');

/***/ }),

/***/ 12243:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListTableColumns":{"input_token":"nextToken","output_token":"nextToken","result_key":"tableColumns"},"ListTableRows":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"rows"},"ListTables":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"tables"},"QueryTableRows":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"rows"}}}');

/***/ }),

/***/ 27041:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2010-05-08","endpointPrefix":"iam","globalEndpoint":"iam.amazonaws.com","protocol":"query","serviceAbbreviation":"IAM","serviceFullName":"AWS Identity and Access Management","serviceId":"IAM","signatureVersion":"v4","uid":"iam-2010-05-08","xmlNamespace":"https://iam.amazonaws.com/doc/2010-05-08/"},"operations":{"AddClientIDToOpenIDConnectProvider":{"input":{"type":"structure","required":["OpenIDConnectProviderArn","ClientID"],"members":{"OpenIDConnectProviderArn":{},"ClientID":{}}}},"AddRoleToInstanceProfile":{"input":{"type":"structure","required":["InstanceProfileName","RoleName"],"members":{"InstanceProfileName":{},"RoleName":{}}}},"AddUserToGroup":{"input":{"type":"structure","required":["GroupName","UserName"],"members":{"GroupName":{},"UserName":{}}}},"AttachGroupPolicy":{"input":{"type":"structure","required":["GroupName","PolicyArn"],"members":{"GroupName":{},"PolicyArn":{}}}},"AttachRolePolicy":{"input":{"type":"structure","required":["RoleName","PolicyArn"],"members":{"RoleName":{},"PolicyArn":{}}}},"AttachUserPolicy":{"input":{"type":"structure","required":["UserName","PolicyArn"],"members":{"UserName":{},"PolicyArn":{}}}},"ChangePassword":{"input":{"type":"structure","required":["OldPassword","NewPassword"],"members":{"OldPassword":{"shape":"Sf"},"NewPassword":{"shape":"Sf"}}}},"CreateAccessKey":{"input":{"type":"structure","members":{"UserName":{}}},"output":{"resultWrapper":"CreateAccessKeyResult","type":"structure","required":["AccessKey"],"members":{"AccessKey":{"type":"structure","required":["UserName","AccessKeyId","Status","SecretAccessKey"],"members":{"UserName":{},"AccessKeyId":{},"Status":{},"SecretAccessKey":{"type":"string","sensitive":true},"CreateDate":{"type":"timestamp"}}}}}},"CreateAccountAlias":{"input":{"type":"structure","required":["AccountAlias"],"members":{"AccountAlias":{}}}},"CreateGroup":{"input":{"type":"structure","required":["GroupName"],"members":{"Path":{},"GroupName":{}}},"output":{"resultWrapper":"CreateGroupResult","type":"structure","required":["Group"],"members":{"Group":{"shape":"Ss"}}}},"CreateInstanceProfile":{"input":{"type":"structure","required":["InstanceProfileName"],"members":{"InstanceProfileName":{},"Path":{},"Tags":{"shape":"Sv"}}},"output":{"resultWrapper":"CreateInstanceProfileResult","type":"structure","required":["InstanceProfile"],"members":{"InstanceProfile":{"shape":"S10"}}}},"CreateLoginProfile":{"input":{"type":"structure","required":["UserName","Password"],"members":{"UserName":{},"Password":{"shape":"Sf"},"PasswordResetRequired":{"type":"boolean"}}},"output":{"resultWrapper":"CreateLoginProfileResult","type":"structure","required":["LoginProfile"],"members":{"LoginProfile":{"shape":"S1d"}}}},"CreateOpenIDConnectProvider":{"input":{"type":"structure","required":["Url","ThumbprintList"],"members":{"Url":{},"ClientIDList":{"shape":"S1g"},"ThumbprintList":{"shape":"S1h"},"Tags":{"shape":"Sv"}}},"output":{"resultWrapper":"CreateOpenIDConnectProviderResult","type":"structure","members":{"OpenIDConnectProviderArn":{},"Tags":{"shape":"Sv"}}}},"CreatePolicy":{"input":{"type":"structure","required":["PolicyName","PolicyDocument"],"members":{"PolicyName":{},"Path":{},"PolicyDocument":{},"Description":{},"Tags":{"shape":"Sv"}}},"output":{"resultWrapper":"CreatePolicyResult","type":"structure","members":{"Policy":{"shape":"S1p"}}}},"CreatePolicyVersion":{"input":{"type":"structure","required":["PolicyArn","PolicyDocument"],"members":{"PolicyArn":{},"PolicyDocument":{},"SetAsDefault":{"type":"boolean"}}},"output":{"resultWrapper":"CreatePolicyVersionResult","type":"structure","members":{"PolicyVersion":{"shape":"S1u"}}}},"CreateRole":{"input":{"type":"structure","required":["RoleName","AssumeRolePolicyDocument"],"members":{"Path":{},"RoleName":{},"AssumeRolePolicyDocument":{},"Description":{},"MaxSessionDuration":{"type":"integer"},"PermissionsBoundary":{},"Tags":{"shape":"Sv"}}},"output":{"resultWrapper":"CreateRoleResult","type":"structure","required":["Role"],"members":{"Role":{"shape":"S12"}}}},"CreateSAMLProvider":{"input":{"type":"structure","required":["SAMLMetadataDocument","Name"],"members":{"SAMLMetadataDocument":{},"Name":{},"Tags":{"shape":"Sv"}}},"output":{"resultWrapper":"CreateSAMLProviderResult","type":"structure","members":{"SAMLProviderArn":{},"Tags":{"shape":"Sv"}}}},"CreateServiceLinkedRole":{"input":{"type":"structure","required":["AWSServiceName"],"members":{"AWSServiceName":{},"Description":{},"CustomSuffix":{}}},"output":{"resultWrapper":"CreateServiceLinkedRoleResult","type":"structure","members":{"Role":{"shape":"S12"}}}},"CreateServiceSpecificCredential":{"input":{"type":"structure","required":["UserName","ServiceName"],"members":{"UserName":{},"ServiceName":{}}},"output":{"resultWrapper":"CreateServiceSpecificCredentialResult","type":"structure","members":{"ServiceSpecificCredential":{"shape":"S27"}}}},"CreateUser":{"input":{"type":"structure","required":["UserName"],"members":{"Path":{},"UserName":{},"PermissionsBoundary":{},"Tags":{"shape":"Sv"}}},"output":{"resultWrapper":"CreateUserResult","type":"structure","members":{"User":{"shape":"S2d"}}}},"CreateVirtualMFADevice":{"input":{"type":"structure","required":["VirtualMFADeviceName"],"members":{"Path":{},"VirtualMFADeviceName":{},"Tags":{"shape":"Sv"}}},"output":{"resultWrapper":"CreateVirtualMFADeviceResult","type":"structure","required":["VirtualMFADevice"],"members":{"VirtualMFADevice":{"shape":"S2h"}}}},"DeactivateMFADevice":{"input":{"type":"structure","required":["UserName","SerialNumber"],"members":{"UserName":{},"SerialNumber":{}}}},"DeleteAccessKey":{"input":{"type":"structure","required":["AccessKeyId"],"members":{"UserName":{},"AccessKeyId":{}}}},"DeleteAccountAlias":{"input":{"type":"structure","required":["AccountAlias"],"members":{"AccountAlias":{}}}},"DeleteAccountPasswordPolicy":{},"DeleteGroup":{"input":{"type":"structure","required":["GroupName"],"members":{"GroupName":{}}}},"DeleteGroupPolicy":{"input":{"type":"structure","required":["GroupName","PolicyName"],"members":{"GroupName":{},"PolicyName":{}}}},"DeleteInstanceProfile":{"input":{"type":"structure","required":["InstanceProfileName"],"members":{"InstanceProfileName":{}}}},"DeleteLoginProfile":{"input":{"type":"structure","required":["UserName"],"members":{"UserName":{}}}},"DeleteOpenIDConnectProvider":{"input":{"type":"structure","required":["OpenIDConnectProviderArn"],"members":{"OpenIDConnectProviderArn":{}}}},"DeletePolicy":{"input":{"type":"structure","required":["PolicyArn"],"members":{"PolicyArn":{}}}},"DeletePolicyVersion":{"input":{"type":"structure","required":["PolicyArn","VersionId"],"members":{"PolicyArn":{},"VersionId":{}}}},"DeleteRole":{"input":{"type":"structure","required":["RoleName"],"members":{"RoleName":{}}}},"DeleteRolePermissionsBoundary":{"input":{"type":"structure","required":["RoleName"],"members":{"RoleName":{}}}},"DeleteRolePolicy":{"input":{"type":"structure","required":["RoleName","PolicyName"],"members":{"RoleName":{},"PolicyName":{}}}},"DeleteSAMLProvider":{"input":{"type":"structure","required":["SAMLProviderArn"],"members":{"SAMLProviderArn":{}}}},"DeleteSSHPublicKey":{"input":{"type":"structure","required":["UserName","SSHPublicKeyId"],"members":{"UserName":{},"SSHPublicKeyId":{}}}},"DeleteServerCertificate":{"input":{"type":"structure","required":["ServerCertificateName"],"members":{"ServerCertificateName":{}}}},"DeleteServiceLinkedRole":{"input":{"type":"structure","required":["RoleName"],"members":{"RoleName":{}}},"output":{"resultWrapper":"DeleteServiceLinkedRoleResult","type":"structure","required":["DeletionTaskId"],"members":{"DeletionTaskId":{}}}},"DeleteServiceSpecificCredential":{"input":{"type":"structure","required":["ServiceSpecificCredentialId"],"members":{"UserName":{},"ServiceSpecificCredentialId":{}}}},"DeleteSigningCertificate":{"input":{"type":"structure","required":["CertificateId"],"members":{"UserName":{},"CertificateId":{}}}},"DeleteUser":{"input":{"type":"structure","required":["UserName"],"members":{"UserName":{}}}},"DeleteUserPermissionsBoundary":{"input":{"type":"structure","required":["UserName"],"members":{"UserName":{}}}},"DeleteUserPolicy":{"input":{"type":"structure","required":["UserName","PolicyName"],"members":{"UserName":{},"PolicyName":{}}}},"DeleteVirtualMFADevice":{"input":{"type":"structure","required":["SerialNumber"],"members":{"SerialNumber":{}}}},"DetachGroupPolicy":{"input":{"type":"structure","required":["GroupName","PolicyArn"],"members":{"GroupName":{},"PolicyArn":{}}}},"DetachRolePolicy":{"input":{"type":"structure","required":["RoleName","PolicyArn"],"members":{"RoleName":{},"PolicyArn":{}}}},"DetachUserPolicy":{"input":{"type":"structure","required":["UserName","PolicyArn"],"members":{"UserName":{},"PolicyArn":{}}}},"EnableMFADevice":{"input":{"type":"structure","required":["UserName","SerialNumber","AuthenticationCode1","AuthenticationCode2"],"members":{"UserName":{},"SerialNumber":{},"AuthenticationCode1":{},"AuthenticationCode2":{}}}},"GenerateCredentialReport":{"output":{"resultWrapper":"GenerateCredentialReportResult","type":"structure","members":{"State":{},"Description":{}}}},"GenerateOrganizationsAccessReport":{"input":{"type":"structure","required":["EntityPath"],"members":{"EntityPath":{},"OrganizationsPolicyId":{}}},"output":{"resultWrapper":"GenerateOrganizationsAccessReportResult","type":"structure","members":{"JobId":{}}}},"GenerateServiceLastAccessedDetails":{"input":{"type":"structure","required":["Arn"],"members":{"Arn":{},"Granularity":{}}},"output":{"resultWrapper":"GenerateServiceLastAccessedDetailsResult","type":"structure","members":{"JobId":{}}}},"GetAccessKeyLastUsed":{"input":{"type":"structure","required":["AccessKeyId"],"members":{"AccessKeyId":{}}},"output":{"resultWrapper":"GetAccessKeyLastUsedResult","type":"structure","members":{"UserName":{},"AccessKeyLastUsed":{"type":"structure","required":["LastUsedDate","ServiceName","Region"],"members":{"LastUsedDate":{"type":"timestamp"},"ServiceName":{},"Region":{}}}}}},"GetAccountAuthorizationDetails":{"input":{"type":"structure","members":{"Filter":{"type":"list","member":{}},"MaxItems":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"GetAccountAuthorizationDetailsResult","type":"structure","members":{"UserDetailList":{"type":"list","member":{"type":"structure","members":{"Path":{},"UserName":{},"UserId":{},"Arn":{},"CreateDate":{"type":"timestamp"},"UserPolicyList":{"shape":"S43"},"GroupList":{"type":"list","member":{}},"AttachedManagedPolicies":{"shape":"S46"},"PermissionsBoundary":{"shape":"S16"},"Tags":{"shape":"Sv"}}}},"GroupDetailList":{"type":"list","member":{"type":"structure","members":{"Path":{},"GroupName":{},"GroupId":{},"Arn":{},"CreateDate":{"type":"timestamp"},"GroupPolicyList":{"shape":"S43"},"AttachedManagedPolicies":{"shape":"S46"}}}},"RoleDetailList":{"type":"list","member":{"type":"structure","members":{"Path":{},"RoleName":{},"RoleId":{},"Arn":{},"CreateDate":{"type":"timestamp"},"AssumeRolePolicyDocument":{},"InstanceProfileList":{"shape":"S4c"},"RolePolicyList":{"shape":"S43"},"AttachedManagedPolicies":{"shape":"S46"},"PermissionsBoundary":{"shape":"S16"},"Tags":{"shape":"Sv"},"RoleLastUsed":{"shape":"S18"}}}},"Policies":{"type":"list","member":{"type":"structure","members":{"PolicyName":{},"PolicyId":{},"Arn":{},"Path":{},"DefaultVersionId":{},"AttachmentCount":{"type":"integer"},"PermissionsBoundaryUsageCount":{"type":"integer"},"IsAttachable":{"type":"boolean"},"Description":{},"CreateDate":{"type":"timestamp"},"UpdateDate":{"type":"timestamp"},"PolicyVersionList":{"shape":"S4f"}}}},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"GetAccountPasswordPolicy":{"output":{"resultWrapper":"GetAccountPasswordPolicyResult","type":"structure","required":["PasswordPolicy"],"members":{"PasswordPolicy":{"type":"structure","members":{"MinimumPasswordLength":{"type":"integer"},"RequireSymbols":{"type":"boolean"},"RequireNumbers":{"type":"boolean"},"RequireUppercaseCharacters":{"type":"boolean"},"RequireLowercaseCharacters":{"type":"boolean"},"AllowUsersToChangePassword":{"type":"boolean"},"ExpirePasswords":{"type":"boolean"},"MaxPasswordAge":{"type":"integer"},"PasswordReusePrevention":{"type":"integer"},"HardExpiry":{"type":"boolean"}}}}}},"GetAccountSummary":{"output":{"resultWrapper":"GetAccountSummaryResult","type":"structure","members":{"SummaryMap":{"type":"map","key":{},"value":{"type":"integer"}}}}},"GetContextKeysForCustomPolicy":{"input":{"type":"structure","required":["PolicyInputList"],"members":{"PolicyInputList":{"shape":"S4s"}}},"output":{"shape":"S4t","resultWrapper":"GetContextKeysForCustomPolicyResult"}},"GetContextKeysForPrincipalPolicy":{"input":{"type":"structure","required":["PolicySourceArn"],"members":{"PolicySourceArn":{},"PolicyInputList":{"shape":"S4s"}}},"output":{"shape":"S4t","resultWrapper":"GetContextKeysForPrincipalPolicyResult"}},"GetCredentialReport":{"output":{"resultWrapper":"GetCredentialReportResult","type":"structure","members":{"Content":{"type":"blob"},"ReportFormat":{},"GeneratedTime":{"type":"timestamp"}}}},"GetGroup":{"input":{"type":"structure","required":["GroupName"],"members":{"GroupName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"GetGroupResult","type":"structure","required":["Group","Users"],"members":{"Group":{"shape":"Ss"},"Users":{"shape":"S52"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"GetGroupPolicy":{"input":{"type":"structure","required":["GroupName","PolicyName"],"members":{"GroupName":{},"PolicyName":{}}},"output":{"resultWrapper":"GetGroupPolicyResult","type":"structure","required":["GroupName","PolicyName","PolicyDocument"],"members":{"GroupName":{},"PolicyName":{},"PolicyDocument":{}}}},"GetInstanceProfile":{"input":{"type":"structure","required":["InstanceProfileName"],"members":{"InstanceProfileName":{}}},"output":{"resultWrapper":"GetInstanceProfileResult","type":"structure","required":["InstanceProfile"],"members":{"InstanceProfile":{"shape":"S10"}}}},"GetLoginProfile":{"input":{"type":"structure","required":["UserName"],"members":{"UserName":{}}},"output":{"resultWrapper":"GetLoginProfileResult","type":"structure","required":["LoginProfile"],"members":{"LoginProfile":{"shape":"S1d"}}}},"GetOpenIDConnectProvider":{"input":{"type":"structure","required":["OpenIDConnectProviderArn"],"members":{"OpenIDConnectProviderArn":{}}},"output":{"resultWrapper":"GetOpenIDConnectProviderResult","type":"structure","members":{"Url":{},"ClientIDList":{"shape":"S1g"},"ThumbprintList":{"shape":"S1h"},"CreateDate":{"type":"timestamp"},"Tags":{"shape":"Sv"}}}},"GetOrganizationsAccessReport":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxItems":{"type":"integer"},"Marker":{},"SortKey":{}}},"output":{"resultWrapper":"GetOrganizationsAccessReportResult","type":"structure","required":["JobStatus","JobCreationDate"],"members":{"JobStatus":{},"JobCreationDate":{"type":"timestamp"},"JobCompletionDate":{"type":"timestamp"},"NumberOfServicesAccessible":{"type":"integer"},"NumberOfServicesNotAccessed":{"type":"integer"},"AccessDetails":{"type":"list","member":{"type":"structure","required":["ServiceName","ServiceNamespace"],"members":{"ServiceName":{},"ServiceNamespace":{},"Region":{},"EntityPath":{},"LastAuthenticatedTime":{"type":"timestamp"},"TotalAuthenticatedEntities":{"type":"integer"}}}},"IsTruncated":{"type":"boolean"},"Marker":{},"ErrorDetails":{"shape":"S5k"}}}},"GetPolicy":{"input":{"type":"structure","required":["PolicyArn"],"members":{"PolicyArn":{}}},"output":{"resultWrapper":"GetPolicyResult","type":"structure","members":{"Policy":{"shape":"S1p"}}}},"GetPolicyVersion":{"input":{"type":"structure","required":["PolicyArn","VersionId"],"members":{"PolicyArn":{},"VersionId":{}}},"output":{"resultWrapper":"GetPolicyVersionResult","type":"structure","members":{"PolicyVersion":{"shape":"S1u"}}}},"GetRole":{"input":{"type":"structure","required":["RoleName"],"members":{"RoleName":{}}},"output":{"resultWrapper":"GetRoleResult","type":"structure","required":["Role"],"members":{"Role":{"shape":"S12"}}}},"GetRolePolicy":{"input":{"type":"structure","required":["RoleName","PolicyName"],"members":{"RoleName":{},"PolicyName":{}}},"output":{"resultWrapper":"GetRolePolicyResult","type":"structure","required":["RoleName","PolicyName","PolicyDocument"],"members":{"RoleName":{},"PolicyName":{},"PolicyDocument":{}}}},"GetSAMLProvider":{"input":{"type":"structure","required":["SAMLProviderArn"],"members":{"SAMLProviderArn":{}}},"output":{"resultWrapper":"GetSAMLProviderResult","type":"structure","members":{"SAMLMetadataDocument":{},"CreateDate":{"type":"timestamp"},"ValidUntil":{"type":"timestamp"},"Tags":{"shape":"Sv"}}}},"GetSSHPublicKey":{"input":{"type":"structure","required":["UserName","SSHPublicKeyId","Encoding"],"members":{"UserName":{},"SSHPublicKeyId":{},"Encoding":{}}},"output":{"resultWrapper":"GetSSHPublicKeyResult","type":"structure","members":{"SSHPublicKey":{"shape":"S5y"}}}},"GetServerCertificate":{"input":{"type":"structure","required":["ServerCertificateName"],"members":{"ServerCertificateName":{}}},"output":{"resultWrapper":"GetServerCertificateResult","type":"structure","required":["ServerCertificate"],"members":{"ServerCertificate":{"type":"structure","required":["ServerCertificateMetadata","CertificateBody"],"members":{"ServerCertificateMetadata":{"shape":"S64"},"CertificateBody":{},"CertificateChain":{},"Tags":{"shape":"Sv"}}}}}},"GetServiceLastAccessedDetails":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxItems":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"GetServiceLastAccessedDetailsResult","type":"structure","required":["JobStatus","JobCreationDate","ServicesLastAccessed","JobCompletionDate"],"members":{"JobStatus":{},"JobType":{},"JobCreationDate":{"type":"timestamp"},"ServicesLastAccessed":{"type":"list","member":{"type":"structure","required":["ServiceName","ServiceNamespace"],"members":{"ServiceName":{},"LastAuthenticated":{"type":"timestamp"},"ServiceNamespace":{},"LastAuthenticatedEntity":{},"LastAuthenticatedRegion":{},"TotalAuthenticatedEntities":{"type":"integer"},"TrackedActionsLastAccessed":{"type":"list","member":{"type":"structure","members":{"ActionName":{},"LastAccessedEntity":{},"LastAccessedTime":{"type":"timestamp"},"LastAccessedRegion":{}}}}}}},"JobCompletionDate":{"type":"timestamp"},"IsTruncated":{"type":"boolean"},"Marker":{},"Error":{"shape":"S5k"}}}},"GetServiceLastAccessedDetailsWithEntities":{"input":{"type":"structure","required":["JobId","ServiceNamespace"],"members":{"JobId":{},"ServiceNamespace":{},"MaxItems":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"GetServiceLastAccessedDetailsWithEntitiesResult","type":"structure","required":["JobStatus","JobCreationDate","JobCompletionDate","EntityDetailsList"],"members":{"JobStatus":{},"JobCreationDate":{"type":"timestamp"},"JobCompletionDate":{"type":"timestamp"},"EntityDetailsList":{"type":"list","member":{"type":"structure","required":["EntityInfo"],"members":{"EntityInfo":{"type":"structure","required":["Arn","Name","Type","Id"],"members":{"Arn":{},"Name":{},"Type":{},"Id":{},"Path":{}}},"LastAuthenticated":{"type":"timestamp"}}}},"IsTruncated":{"type":"boolean"},"Marker":{},"Error":{"shape":"S5k"}}}},"GetServiceLinkedRoleDeletionStatus":{"input":{"type":"structure","required":["DeletionTaskId"],"members":{"DeletionTaskId":{}}},"output":{"resultWrapper":"GetServiceLinkedRoleDeletionStatusResult","type":"structure","required":["Status"],"members":{"Status":{},"Reason":{"type":"structure","members":{"Reason":{},"RoleUsageList":{"type":"list","member":{"type":"structure","members":{"Region":{},"Resources":{"type":"list","member":{}}}}}}}}}},"GetUser":{"input":{"type":"structure","members":{"UserName":{}}},"output":{"resultWrapper":"GetUserResult","type":"structure","required":["User"],"members":{"User":{"shape":"S2d"}}}},"GetUserPolicy":{"input":{"type":"structure","required":["UserName","PolicyName"],"members":{"UserName":{},"PolicyName":{}}},"output":{"resultWrapper":"GetUserPolicyResult","type":"structure","required":["UserName","PolicyName","PolicyDocument"],"members":{"UserName":{},"PolicyName":{},"PolicyDocument":{}}}},"ListAccessKeys":{"input":{"type":"structure","members":{"UserName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListAccessKeysResult","type":"structure","required":["AccessKeyMetadata"],"members":{"AccessKeyMetadata":{"type":"list","member":{"type":"structure","members":{"UserName":{},"AccessKeyId":{},"Status":{},"CreateDate":{"type":"timestamp"}}}},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListAccountAliases":{"input":{"type":"structure","members":{"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListAccountAliasesResult","type":"structure","required":["AccountAliases"],"members":{"AccountAliases":{"type":"list","member":{}},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListAttachedGroupPolicies":{"input":{"type":"structure","required":["GroupName"],"members":{"GroupName":{},"PathPrefix":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListAttachedGroupPoliciesResult","type":"structure","members":{"AttachedPolicies":{"shape":"S46"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListAttachedRolePolicies":{"input":{"type":"structure","required":["RoleName"],"members":{"RoleName":{},"PathPrefix":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListAttachedRolePoliciesResult","type":"structure","members":{"AttachedPolicies":{"shape":"S46"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListAttachedUserPolicies":{"input":{"type":"structure","required":["UserName"],"members":{"UserName":{},"PathPrefix":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListAttachedUserPoliciesResult","type":"structure","members":{"AttachedPolicies":{"shape":"S46"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListEntitiesForPolicy":{"input":{"type":"structure","required":["PolicyArn"],"members":{"PolicyArn":{},"EntityFilter":{},"PathPrefix":{},"PolicyUsageFilter":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListEntitiesForPolicyResult","type":"structure","members":{"PolicyGroups":{"type":"list","member":{"type":"structure","members":{"GroupName":{},"GroupId":{}}}},"PolicyUsers":{"type":"list","member":{"type":"structure","members":{"UserName":{},"UserId":{}}}},"PolicyRoles":{"type":"list","member":{"type":"structure","members":{"RoleName":{},"RoleId":{}}}},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListGroupPolicies":{"input":{"type":"structure","required":["GroupName"],"members":{"GroupName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListGroupPoliciesResult","type":"structure","required":["PolicyNames"],"members":{"PolicyNames":{"shape":"S7k"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListGroups":{"input":{"type":"structure","members":{"PathPrefix":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListGroupsResult","type":"structure","required":["Groups"],"members":{"Groups":{"shape":"S7o"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListGroupsForUser":{"input":{"type":"structure","required":["UserName"],"members":{"UserName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListGroupsForUserResult","type":"structure","required":["Groups"],"members":{"Groups":{"shape":"S7o"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListInstanceProfileTags":{"input":{"type":"structure","required":["InstanceProfileName"],"members":{"InstanceProfileName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListInstanceProfileTagsResult","type":"structure","required":["Tags"],"members":{"Tags":{"shape":"Sv"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListInstanceProfiles":{"input":{"type":"structure","members":{"PathPrefix":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListInstanceProfilesResult","type":"structure","required":["InstanceProfiles"],"members":{"InstanceProfiles":{"shape":"S4c"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListInstanceProfilesForRole":{"input":{"type":"structure","required":["RoleName"],"members":{"RoleName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListInstanceProfilesForRoleResult","type":"structure","required":["InstanceProfiles"],"members":{"InstanceProfiles":{"shape":"S4c"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListMFADeviceTags":{"input":{"type":"structure","required":["SerialNumber"],"members":{"SerialNumber":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListMFADeviceTagsResult","type":"structure","required":["Tags"],"members":{"Tags":{"shape":"Sv"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListMFADevices":{"input":{"type":"structure","members":{"UserName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListMFADevicesResult","type":"structure","required":["MFADevices"],"members":{"MFADevices":{"type":"list","member":{"type":"structure","required":["UserName","SerialNumber","EnableDate"],"members":{"UserName":{},"SerialNumber":{},"EnableDate":{"type":"timestamp"}}}},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListOpenIDConnectProviderTags":{"input":{"type":"structure","required":["OpenIDConnectProviderArn"],"members":{"OpenIDConnectProviderArn":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListOpenIDConnectProviderTagsResult","type":"structure","required":["Tags"],"members":{"Tags":{"shape":"Sv"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListOpenIDConnectProviders":{"input":{"type":"structure","members":{}},"output":{"resultWrapper":"ListOpenIDConnectProvidersResult","type":"structure","members":{"OpenIDConnectProviderList":{"type":"list","member":{"type":"structure","members":{"Arn":{}}}}}}},"ListPolicies":{"input":{"type":"structure","members":{"Scope":{},"OnlyAttached":{"type":"boolean"},"PathPrefix":{},"PolicyUsageFilter":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListPoliciesResult","type":"structure","members":{"Policies":{"type":"list","member":{"shape":"S1p"}},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListPoliciesGrantingServiceAccess":{"input":{"type":"structure","required":["Arn","ServiceNamespaces"],"members":{"Marker":{},"Arn":{},"ServiceNamespaces":{"type":"list","member":{}}}},"output":{"resultWrapper":"ListPoliciesGrantingServiceAccessResult","type":"structure","required":["PoliciesGrantingServiceAccess"],"members":{"PoliciesGrantingServiceAccess":{"type":"list","member":{"type":"structure","members":{"ServiceNamespace":{},"Policies":{"type":"list","member":{"type":"structure","required":["PolicyName","PolicyType"],"members":{"PolicyName":{},"PolicyType":{},"PolicyArn":{},"EntityType":{},"EntityName":{}}}}}}},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListPolicyTags":{"input":{"type":"structure","required":["PolicyArn"],"members":{"PolicyArn":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListPolicyTagsResult","type":"structure","required":["Tags"],"members":{"Tags":{"shape":"Sv"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListPolicyVersions":{"input":{"type":"structure","required":["PolicyArn"],"members":{"PolicyArn":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListPolicyVersionsResult","type":"structure","members":{"Versions":{"shape":"S4f"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListRolePolicies":{"input":{"type":"structure","required":["RoleName"],"members":{"RoleName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListRolePoliciesResult","type":"structure","required":["PolicyNames"],"members":{"PolicyNames":{"shape":"S7k"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListRoleTags":{"input":{"type":"structure","required":["RoleName"],"members":{"RoleName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListRoleTagsResult","type":"structure","required":["Tags"],"members":{"Tags":{"shape":"Sv"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListRoles":{"input":{"type":"structure","members":{"PathPrefix":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListRolesResult","type":"structure","required":["Roles"],"members":{"Roles":{"shape":"S11"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListSAMLProviderTags":{"input":{"type":"structure","required":["SAMLProviderArn"],"members":{"SAMLProviderArn":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListSAMLProviderTagsResult","type":"structure","required":["Tags"],"members":{"Tags":{"shape":"Sv"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListSAMLProviders":{"input":{"type":"structure","members":{}},"output":{"resultWrapper":"ListSAMLProvidersResult","type":"structure","members":{"SAMLProviderList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"ValidUntil":{"type":"timestamp"},"CreateDate":{"type":"timestamp"}}}}}}},"ListSSHPublicKeys":{"input":{"type":"structure","members":{"UserName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListSSHPublicKeysResult","type":"structure","members":{"SSHPublicKeys":{"type":"list","member":{"type":"structure","required":["UserName","SSHPublicKeyId","Status","UploadDate"],"members":{"UserName":{},"SSHPublicKeyId":{},"Status":{},"UploadDate":{"type":"timestamp"}}}},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListServerCertificateTags":{"input":{"type":"structure","required":["ServerCertificateName"],"members":{"ServerCertificateName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListServerCertificateTagsResult","type":"structure","required":["Tags"],"members":{"Tags":{"shape":"Sv"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListServerCertificates":{"input":{"type":"structure","members":{"PathPrefix":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListServerCertificatesResult","type":"structure","required":["ServerCertificateMetadataList"],"members":{"ServerCertificateMetadataList":{"type":"list","member":{"shape":"S64"}},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListServiceSpecificCredentials":{"input":{"type":"structure","members":{"UserName":{},"ServiceName":{}}},"output":{"resultWrapper":"ListServiceSpecificCredentialsResult","type":"structure","members":{"ServiceSpecificCredentials":{"type":"list","member":{"type":"structure","required":["UserName","Status","ServiceUserName","CreateDate","ServiceSpecificCredentialId","ServiceName"],"members":{"UserName":{},"Status":{},"ServiceUserName":{},"CreateDate":{"type":"timestamp"},"ServiceSpecificCredentialId":{},"ServiceName":{}}}}}}},"ListSigningCertificates":{"input":{"type":"structure","members":{"UserName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListSigningCertificatesResult","type":"structure","required":["Certificates"],"members":{"Certificates":{"type":"list","member":{"shape":"S9i"}},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListUserPolicies":{"input":{"type":"structure","required":["UserName"],"members":{"UserName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListUserPoliciesResult","type":"structure","required":["PolicyNames"],"members":{"PolicyNames":{"shape":"S7k"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListUserTags":{"input":{"type":"structure","required":["UserName"],"members":{"UserName":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListUserTagsResult","type":"structure","required":["Tags"],"members":{"Tags":{"shape":"Sv"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListUsers":{"input":{"type":"structure","members":{"PathPrefix":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListUsersResult","type":"structure","required":["Users"],"members":{"Users":{"shape":"S52"},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"ListVirtualMFADevices":{"input":{"type":"structure","members":{"AssignmentStatus":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"resultWrapper":"ListVirtualMFADevicesResult","type":"structure","required":["VirtualMFADevices"],"members":{"VirtualMFADevices":{"type":"list","member":{"shape":"S2h"}},"IsTruncated":{"type":"boolean"},"Marker":{}}}},"PutGroupPolicy":{"input":{"type":"structure","required":["GroupName","PolicyName","PolicyDocument"],"members":{"GroupName":{},"PolicyName":{},"PolicyDocument":{}}}},"PutRolePermissionsBoundary":{"input":{"type":"structure","required":["RoleName","PermissionsBoundary"],"members":{"RoleName":{},"PermissionsBoundary":{}}}},"PutRolePolicy":{"input":{"type":"structure","required":["RoleName","PolicyName","PolicyDocument"],"members":{"RoleName":{},"PolicyName":{},"PolicyDocument":{}}}},"PutUserPermissionsBoundary":{"input":{"type":"structure","required":["UserName","PermissionsBoundary"],"members":{"UserName":{},"PermissionsBoundary":{}}}},"PutUserPolicy":{"input":{"type":"structure","required":["UserName","PolicyName","PolicyDocument"],"members":{"UserName":{},"PolicyName":{},"PolicyDocument":{}}}},"RemoveClientIDFromOpenIDConnectProvider":{"input":{"type":"structure","required":["OpenIDConnectProviderArn","ClientID"],"members":{"OpenIDConnectProviderArn":{},"ClientID":{}}}},"RemoveRoleFromInstanceProfile":{"input":{"type":"structure","required":["InstanceProfileName","RoleName"],"members":{"InstanceProfileName":{},"RoleName":{}}}},"RemoveUserFromGroup":{"input":{"type":"structure","required":["GroupName","UserName"],"members":{"GroupName":{},"UserName":{}}}},"ResetServiceSpecificCredential":{"input":{"type":"structure","required":["ServiceSpecificCredentialId"],"members":{"UserName":{},"ServiceSpecificCredentialId":{}}},"output":{"resultWrapper":"ResetServiceSpecificCredentialResult","type":"structure","members":{"ServiceSpecificCredential":{"shape":"S27"}}}},"ResyncMFADevice":{"input":{"type":"structure","required":["UserName","SerialNumber","AuthenticationCode1","AuthenticationCode2"],"members":{"UserName":{},"SerialNumber":{},"AuthenticationCode1":{},"AuthenticationCode2":{}}}},"SetDefaultPolicyVersion":{"input":{"type":"structure","required":["PolicyArn","VersionId"],"members":{"PolicyArn":{},"VersionId":{}}}},"SetSecurityTokenServicePreferences":{"input":{"type":"structure","required":["GlobalEndpointTokenVersion"],"members":{"GlobalEndpointTokenVersion":{}}}},"SimulateCustomPolicy":{"input":{"type":"structure","required":["PolicyInputList","ActionNames"],"members":{"PolicyInputList":{"shape":"S4s"},"PermissionsBoundaryPolicyInputList":{"shape":"S4s"},"ActionNames":{"shape":"Sa8"},"ResourceArns":{"shape":"Saa"},"ResourcePolicy":{},"ResourceOwner":{},"CallerArn":{},"ContextEntries":{"shape":"Sac"},"ResourceHandlingOption":{},"MaxItems":{"type":"integer"},"Marker":{}}},"output":{"shape":"Sai","resultWrapper":"SimulateCustomPolicyResult"}},"SimulatePrincipalPolicy":{"input":{"type":"structure","required":["PolicySourceArn","ActionNames"],"members":{"PolicySourceArn":{},"PolicyInputList":{"shape":"S4s"},"PermissionsBoundaryPolicyInputList":{"shape":"S4s"},"ActionNames":{"shape":"Sa8"},"ResourceArns":{"shape":"Saa"},"ResourcePolicy":{},"ResourceOwner":{},"CallerArn":{},"ContextEntries":{"shape":"Sac"},"ResourceHandlingOption":{},"MaxItems":{"type":"integer"},"Marker":{}}},"output":{"shape":"Sai","resultWrapper":"SimulatePrincipalPolicyResult"}},"TagInstanceProfile":{"input":{"type":"structure","required":["InstanceProfileName","Tags"],"members":{"InstanceProfileName":{},"Tags":{"shape":"Sv"}}}},"TagMFADevice":{"input":{"type":"structure","required":["SerialNumber","Tags"],"members":{"SerialNumber":{},"Tags":{"shape":"Sv"}}}},"TagOpenIDConnectProvider":{"input":{"type":"structure","required":["OpenIDConnectProviderArn","Tags"],"members":{"OpenIDConnectProviderArn":{},"Tags":{"shape":"Sv"}}}},"TagPolicy":{"input":{"type":"structure","required":["PolicyArn","Tags"],"members":{"PolicyArn":{},"Tags":{"shape":"Sv"}}}},"TagRole":{"input":{"type":"structure","required":["RoleName","Tags"],"members":{"RoleName":{},"Tags":{"shape":"Sv"}}}},"TagSAMLProvider":{"input":{"type":"structure","required":["SAMLProviderArn","Tags"],"members":{"SAMLProviderArn":{},"Tags":{"shape":"Sv"}}}},"TagServerCertificate":{"input":{"type":"structure","required":["ServerCertificateName","Tags"],"members":{"ServerCertificateName":{},"Tags":{"shape":"Sv"}}}},"TagUser":{"input":{"type":"structure","required":["UserName","Tags"],"members":{"UserName":{},"Tags":{"shape":"Sv"}}}},"UntagInstanceProfile":{"input":{"type":"structure","required":["InstanceProfileName","TagKeys"],"members":{"InstanceProfileName":{},"TagKeys":{"shape":"Sb9"}}}},"UntagMFADevice":{"input":{"type":"structure","required":["SerialNumber","TagKeys"],"members":{"SerialNumber":{},"TagKeys":{"shape":"Sb9"}}}},"UntagOpenIDConnectProvider":{"input":{"type":"structure","required":["OpenIDConnectProviderArn","TagKeys"],"members":{"OpenIDConnectProviderArn":{},"TagKeys":{"shape":"Sb9"}}}},"UntagPolicy":{"input":{"type":"structure","required":["PolicyArn","TagKeys"],"members":{"PolicyArn":{},"TagKeys":{"shape":"Sb9"}}}},"UntagRole":{"input":{"type":"structure","required":["RoleName","TagKeys"],"members":{"RoleName":{},"TagKeys":{"shape":"Sb9"}}}},"UntagSAMLProvider":{"input":{"type":"structure","required":["SAMLProviderArn","TagKeys"],"members":{"SAMLProviderArn":{},"TagKeys":{"shape":"Sb9"}}}},"UntagServerCertificate":{"input":{"type":"structure","required":["ServerCertificateName","TagKeys"],"members":{"ServerCertificateName":{},"TagKeys":{"shape":"Sb9"}}}},"UntagUser":{"input":{"type":"structure","required":["UserName","TagKeys"],"members":{"UserName":{},"TagKeys":{"shape":"Sb9"}}}},"UpdateAccessKey":{"input":{"type":"structure","required":["AccessKeyId","Status"],"members":{"UserName":{},"AccessKeyId":{},"Status":{}}}},"UpdateAccountPasswordPolicy":{"input":{"type":"structure","members":{"MinimumPasswordLength":{"type":"integer"},"RequireSymbols":{"type":"boolean"},"RequireNumbers":{"type":"boolean"},"RequireUppercaseCharacters":{"type":"boolean"},"RequireLowercaseCharacters":{"type":"boolean"},"AllowUsersToChangePassword":{"type":"boolean"},"MaxPasswordAge":{"type":"integer"},"PasswordReusePrevention":{"type":"integer"},"HardExpiry":{"type":"boolean"}}}},"UpdateAssumeRolePolicy":{"input":{"type":"structure","required":["RoleName","PolicyDocument"],"members":{"RoleName":{},"PolicyDocument":{}}}},"UpdateGroup":{"input":{"type":"structure","required":["GroupName"],"members":{"GroupName":{},"NewPath":{},"NewGroupName":{}}}},"UpdateLoginProfile":{"input":{"type":"structure","required":["UserName"],"members":{"UserName":{},"Password":{"shape":"Sf"},"PasswordResetRequired":{"type":"boolean"}}}},"UpdateOpenIDConnectProviderThumbprint":{"input":{"type":"structure","required":["OpenIDConnectProviderArn","ThumbprintList"],"members":{"OpenIDConnectProviderArn":{},"ThumbprintList":{"shape":"S1h"}}}},"UpdateRole":{"input":{"type":"structure","required":["RoleName"],"members":{"RoleName":{},"Description":{},"MaxSessionDuration":{"type":"integer"}}},"output":{"resultWrapper":"UpdateRoleResult","type":"structure","members":{}}},"UpdateRoleDescription":{"input":{"type":"structure","required":["RoleName","Description"],"members":{"RoleName":{},"Description":{}}},"output":{"resultWrapper":"UpdateRoleDescriptionResult","type":"structure","members":{"Role":{"shape":"S12"}}}},"UpdateSAMLProvider":{"input":{"type":"structure","required":["SAMLMetadataDocument","SAMLProviderArn"],"members":{"SAMLMetadataDocument":{},"SAMLProviderArn":{}}},"output":{"resultWrapper":"UpdateSAMLProviderResult","type":"structure","members":{"SAMLProviderArn":{}}}},"UpdateSSHPublicKey":{"input":{"type":"structure","required":["UserName","SSHPublicKeyId","Status"],"members":{"UserName":{},"SSHPublicKeyId":{},"Status":{}}}},"UpdateServerCertificate":{"input":{"type":"structure","required":["ServerCertificateName"],"members":{"ServerCertificateName":{},"NewPath":{},"NewServerCertificateName":{}}}},"UpdateServiceSpecificCredential":{"input":{"type":"structure","required":["ServiceSpecificCredentialId","Status"],"members":{"UserName":{},"ServiceSpecificCredentialId":{},"Status":{}}}},"UpdateSigningCertificate":{"input":{"type":"structure","required":["CertificateId","Status"],"members":{"UserName":{},"CertificateId":{},"Status":{}}}},"UpdateUser":{"input":{"type":"structure","required":["UserName"],"members":{"UserName":{},"NewPath":{},"NewUserName":{}}}},"UploadSSHPublicKey":{"input":{"type":"structure","required":["UserName","SSHPublicKeyBody"],"members":{"UserName":{},"SSHPublicKeyBody":{}}},"output":{"resultWrapper":"UploadSSHPublicKeyResult","type":"structure","members":{"SSHPublicKey":{"shape":"S5y"}}}},"UploadServerCertificate":{"input":{"type":"structure","required":["ServerCertificateName","CertificateBody","PrivateKey"],"members":{"Path":{},"ServerCertificateName":{},"CertificateBody":{},"PrivateKey":{"type":"string","sensitive":true},"CertificateChain":{},"Tags":{"shape":"Sv"}}},"output":{"resultWrapper":"UploadServerCertificateResult","type":"structure","members":{"ServerCertificateMetadata":{"shape":"S64"},"Tags":{"shape":"Sv"}}}},"UploadSigningCertificate":{"input":{"type":"structure","required":["CertificateBody"],"members":{"UserName":{},"CertificateBody":{}}},"output":{"resultWrapper":"UploadSigningCertificateResult","type":"structure","required":["Certificate"],"members":{"Certificate":{"shape":"S9i"}}}}},"shapes":{"Sf":{"type":"string","sensitive":true},"Ss":{"type":"structure","required":["Path","GroupName","GroupId","Arn","CreateDate"],"members":{"Path":{},"GroupName":{},"GroupId":{},"Arn":{},"CreateDate":{"type":"timestamp"}}},"Sv":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S10":{"type":"structure","required":["Path","InstanceProfileName","InstanceProfileId","Arn","CreateDate","Roles"],"members":{"Path":{},"InstanceProfileName":{},"InstanceProfileId":{},"Arn":{},"CreateDate":{"type":"timestamp"},"Roles":{"shape":"S11"},"Tags":{"shape":"Sv"}}},"S11":{"type":"list","member":{"shape":"S12"}},"S12":{"type":"structure","required":["Path","RoleName","RoleId","Arn","CreateDate"],"members":{"Path":{},"RoleName":{},"RoleId":{},"Arn":{},"CreateDate":{"type":"timestamp"},"AssumeRolePolicyDocument":{},"Description":{},"MaxSessionDuration":{"type":"integer"},"PermissionsBoundary":{"shape":"S16"},"Tags":{"shape":"Sv"},"RoleLastUsed":{"shape":"S18"}}},"S16":{"type":"structure","members":{"PermissionsBoundaryType":{},"PermissionsBoundaryArn":{}}},"S18":{"type":"structure","members":{"LastUsedDate":{"type":"timestamp"},"Region":{}}},"S1d":{"type":"structure","required":["UserName","CreateDate"],"members":{"UserName":{},"CreateDate":{"type":"timestamp"},"PasswordResetRequired":{"type":"boolean"}}},"S1g":{"type":"list","member":{}},"S1h":{"type":"list","member":{}},"S1p":{"type":"structure","members":{"PolicyName":{},"PolicyId":{},"Arn":{},"Path":{},"DefaultVersionId":{},"AttachmentCount":{"type":"integer"},"PermissionsBoundaryUsageCount":{"type":"integer"},"IsAttachable":{"type":"boolean"},"Description":{},"CreateDate":{"type":"timestamp"},"UpdateDate":{"type":"timestamp"},"Tags":{"shape":"Sv"}}},"S1u":{"type":"structure","members":{"Document":{},"VersionId":{},"IsDefaultVersion":{"type":"boolean"},"CreateDate":{"type":"timestamp"}}},"S27":{"type":"structure","required":["CreateDate","ServiceName","ServiceUserName","ServicePassword","ServiceSpecificCredentialId","UserName","Status"],"members":{"CreateDate":{"type":"timestamp"},"ServiceName":{},"ServiceUserName":{},"ServicePassword":{"type":"string","sensitive":true},"ServiceSpecificCredentialId":{},"UserName":{},"Status":{}}},"S2d":{"type":"structure","required":["Path","UserName","UserId","Arn","CreateDate"],"members":{"Path":{},"UserName":{},"UserId":{},"Arn":{},"CreateDate":{"type":"timestamp"},"PasswordLastUsed":{"type":"timestamp"},"PermissionsBoundary":{"shape":"S16"},"Tags":{"shape":"Sv"}}},"S2h":{"type":"structure","required":["SerialNumber"],"members":{"SerialNumber":{},"Base32StringSeed":{"shape":"S2j"},"QRCodePNG":{"shape":"S2j"},"User":{"shape":"S2d"},"EnableDate":{"type":"timestamp"},"Tags":{"shape":"Sv"}}},"S2j":{"type":"blob","sensitive":true},"S43":{"type":"list","member":{"type":"structure","members":{"PolicyName":{},"PolicyDocument":{}}}},"S46":{"type":"list","member":{"type":"structure","members":{"PolicyName":{},"PolicyArn":{}}}},"S4c":{"type":"list","member":{"shape":"S10"}},"S4f":{"type":"list","member":{"shape":"S1u"}},"S4s":{"type":"list","member":{}},"S4t":{"type":"structure","members":{"ContextKeyNames":{"shape":"S4u"}}},"S4u":{"type":"list","member":{}},"S52":{"type":"list","member":{"shape":"S2d"}},"S5k":{"type":"structure","required":["Message","Code"],"members":{"Message":{},"Code":{}}},"S5y":{"type":"structure","required":["UserName","SSHPublicKeyId","Fingerprint","SSHPublicKeyBody","Status"],"members":{"UserName":{},"SSHPublicKeyId":{},"Fingerprint":{},"SSHPublicKeyBody":{},"Status":{},"UploadDate":{"type":"timestamp"}}},"S64":{"type":"structure","required":["Path","ServerCertificateName","ServerCertificateId","Arn"],"members":{"Path":{},"ServerCertificateName":{},"ServerCertificateId":{},"Arn":{},"UploadDate":{"type":"timestamp"},"Expiration":{"type":"timestamp"}}},"S7k":{"type":"list","member":{}},"S7o":{"type":"list","member":{"shape":"Ss"}},"S9i":{"type":"structure","required":["UserName","CertificateId","CertificateBody","Status"],"members":{"UserName":{},"CertificateId":{},"CertificateBody":{},"Status":{},"UploadDate":{"type":"timestamp"}}},"Sa8":{"type":"list","member":{}},"Saa":{"type":"list","member":{}},"Sac":{"type":"list","member":{"type":"structure","members":{"ContextKeyName":{},"ContextKeyValues":{"type":"list","member":{}},"ContextKeyType":{}}}},"Sai":{"type":"structure","members":{"EvaluationResults":{"type":"list","member":{"type":"structure","required":["EvalActionName","EvalDecision"],"members":{"EvalActionName":{},"EvalResourceName":{},"EvalDecision":{},"MatchedStatements":{"shape":"Sam"},"MissingContextValues":{"shape":"S4u"},"OrganizationsDecisionDetail":{"type":"structure","members":{"AllowedByOrganizations":{"type":"boolean"}}},"PermissionsBoundaryDecisionDetail":{"shape":"Sau"},"EvalDecisionDetails":{"shape":"Sav"},"ResourceSpecificResults":{"type":"list","member":{"type":"structure","required":["EvalResourceName","EvalResourceDecision"],"members":{"EvalResourceName":{},"EvalResourceDecision":{},"MatchedStatements":{"shape":"Sam"},"MissingContextValues":{"shape":"S4u"},"EvalDecisionDetails":{"shape":"Sav"},"PermissionsBoundaryDecisionDetail":{"shape":"Sau"}}}}}}},"IsTruncated":{"type":"boolean"},"Marker":{}}},"Sam":{"type":"list","member":{"type":"structure","members":{"SourcePolicyId":{},"SourcePolicyType":{},"StartPosition":{"shape":"Saq"},"EndPosition":{"shape":"Saq"}}}},"Saq":{"type":"structure","members":{"Line":{"type":"integer"},"Column":{"type":"integer"}}},"Sau":{"type":"structure","members":{"AllowedByPermissionsBoundary":{"type":"boolean"}}},"Sav":{"type":"map","key":{},"value":{}},"Sb9":{"type":"list","member":{}}}}');

/***/ }),

/***/ 97583:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetAccountAuthorizationDetails":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":["UserDetailList","GroupDetailList","RoleDetailList","Policies"]},"GetGroup":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"Users"},"ListAccessKeys":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"AccessKeyMetadata"},"ListAccountAliases":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"AccountAliases"},"ListAttachedGroupPolicies":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"AttachedPolicies"},"ListAttachedRolePolicies":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"AttachedPolicies"},"ListAttachedUserPolicies":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"AttachedPolicies"},"ListEntitiesForPolicy":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":["PolicyGroups","PolicyUsers","PolicyRoles"]},"ListGroupPolicies":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"PolicyNames"},"ListGroups":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"Groups"},"ListGroupsForUser":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"Groups"},"ListInstanceProfiles":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"InstanceProfiles"},"ListInstanceProfilesForRole":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"InstanceProfiles"},"ListMFADevices":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"MFADevices"},"ListPolicies":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"Policies"},"ListPolicyVersions":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"Versions"},"ListRolePolicies":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"PolicyNames"},"ListRoles":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"Roles"},"ListSAMLProviders":{"result_key":"SAMLProviderList"},"ListSSHPublicKeys":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"SSHPublicKeys"},"ListServerCertificates":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"ServerCertificateMetadataList"},"ListSigningCertificates":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"Certificates"},"ListUserPolicies":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"PolicyNames"},"ListUserTags":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"Tags"},"ListUsers":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"Users"},"ListVirtualMFADevices":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"VirtualMFADevices"},"SimulateCustomPolicy":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"EvaluationResults"},"SimulatePrincipalPolicy":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"Marker","result_key":"EvaluationResults"}}}');

/***/ }),

/***/ 37757:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"InstanceProfileExists":{"delay":1,"operation":"GetInstanceProfile","maxAttempts":40,"acceptors":[{"expected":200,"matcher":"status","state":"success"},{"state":"retry","matcher":"status","expected":404}]},"UserExists":{"delay":1,"operation":"GetUser","maxAttempts":20,"acceptors":[{"state":"success","matcher":"status","expected":200},{"state":"retry","matcher":"error","expected":"NoSuchEntity"}]},"RoleExists":{"delay":1,"operation":"GetRole","maxAttempts":20,"acceptors":[{"state":"success","matcher":"status","expected":200},{"state":"retry","matcher":"error","expected":"NoSuchEntity"}]},"PolicyExists":{"delay":1,"operation":"GetPolicy","maxAttempts":20,"acceptors":[{"state":"success","matcher":"status","expected":200},{"state":"retry","matcher":"error","expected":"NoSuchEntity"}]}}}');

/***/ }),

/***/ 75797:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-06-15","endpointPrefix":"identitystore","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"IdentityStore","serviceFullName":"AWS SSO Identity Store","serviceId":"identitystore","signatureVersion":"v4","signingName":"identitystore","targetPrefix":"AWSIdentityStore","uid":"identitystore-2020-06-15"},"operations":{"DescribeGroup":{"input":{"type":"structure","required":["IdentityStoreId","GroupId"],"members":{"IdentityStoreId":{},"GroupId":{}}},"output":{"type":"structure","required":["GroupId","DisplayName"],"members":{"GroupId":{},"DisplayName":{}}}},"DescribeUser":{"input":{"type":"structure","required":["IdentityStoreId","UserId"],"members":{"IdentityStoreId":{},"UserId":{}}},"output":{"type":"structure","required":["UserName","UserId"],"members":{"UserName":{"shape":"S8"},"UserId":{}}}},"ListGroups":{"input":{"type":"structure","required":["IdentityStoreId"],"members":{"IdentityStoreId":{},"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"Sc"}}},"output":{"type":"structure","required":["Groups"],"members":{"Groups":{"type":"list","member":{"type":"structure","required":["GroupId","DisplayName"],"members":{"GroupId":{},"DisplayName":{}}}},"NextToken":{}}}},"ListUsers":{"input":{"type":"structure","required":["IdentityStoreId"],"members":{"IdentityStoreId":{},"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"Sc"}}},"output":{"type":"structure","required":["Users"],"members":{"Users":{"type":"list","member":{"type":"structure","required":["UserName","UserId"],"members":{"UserName":{"shape":"S8"},"UserId":{}}}},"NextToken":{}}}}},"shapes":{"S8":{"type":"string","sensitive":true},"Sc":{"type":"list","member":{"type":"structure","required":["AttributePath","AttributeValue"],"members":{"AttributePath":{},"AttributeValue":{"type":"string","sensitive":true}}}}}}');

/***/ }),

/***/ 44872:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListUsers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 98139:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-12-02","endpointPrefix":"imagebuilder","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"imagebuilder","serviceFullName":"EC2 Image Builder","serviceId":"imagebuilder","signatureVersion":"v4","signingName":"imagebuilder","uid":"imagebuilder-2019-12-02"},"operations":{"CancelImageCreation":{"http":{"method":"PUT","requestUri":"/CancelImageCreation"},"input":{"type":"structure","required":["imageBuildVersionArn","clientToken"],"members":{"imageBuildVersionArn":{},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"imageBuildVersionArn":{}}}},"CreateComponent":{"http":{"method":"PUT","requestUri":"/CreateComponent"},"input":{"type":"structure","required":["name","semanticVersion","platform","clientToken"],"members":{"name":{},"semanticVersion":{},"description":{},"changeDescription":{},"platform":{},"supportedOsVersions":{"shape":"Sa"},"data":{},"uri":{},"kmsKeyId":{},"tags":{"shape":"Se"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"componentBuildVersionArn":{}}}},"CreateContainerRecipe":{"http":{"method":"PUT","requestUri":"/CreateContainerRecipe"},"input":{"type":"structure","required":["containerType","name","semanticVersion","components","parentImage","targetRepository","clientToken"],"members":{"containerType":{},"name":{},"description":{},"semanticVersion":{},"components":{"shape":"Sl"},"instanceConfiguration":{"shape":"St"},"dockerfileTemplateData":{},"dockerfileTemplateUri":{},"platformOverride":{},"imageOsVersionOverride":{},"parentImage":{},"tags":{"shape":"Se"},"workingDirectory":{},"targetRepository":{"shape":"S14"},"kmsKeyId":{},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"containerRecipeArn":{}}}},"CreateDistributionConfiguration":{"http":{"method":"PUT","requestUri":"/CreateDistributionConfiguration"},"input":{"type":"structure","required":["name","distributions","clientToken"],"members":{"name":{},"description":{},"distributions":{"shape":"S19"},"tags":{"shape":"Se"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"distributionConfigurationArn":{}}}},"CreateImage":{"http":{"method":"PUT","requestUri":"/CreateImage"},"input":{"type":"structure","required":["infrastructureConfigurationArn","clientToken"],"members":{"imageRecipeArn":{},"containerRecipeArn":{},"distributionConfigurationArn":{},"infrastructureConfigurationArn":{},"imageTestsConfiguration":{"shape":"S1x"},"enhancedImageMetadataEnabled":{"type":"boolean"},"tags":{"shape":"Se"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"imageBuildVersionArn":{}}}},"CreateImagePipeline":{"http":{"method":"PUT","requestUri":"/CreateImagePipeline"},"input":{"type":"structure","required":["name","infrastructureConfigurationArn","clientToken"],"members":{"name":{},"description":{},"imageRecipeArn":{},"containerRecipeArn":{},"infrastructureConfigurationArn":{},"distributionConfigurationArn":{},"imageTestsConfiguration":{"shape":"S1x"},"enhancedImageMetadataEnabled":{"type":"boolean"},"schedule":{"shape":"S21"},"status":{},"tags":{"shape":"Se"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"imagePipelineArn":{}}}},"CreateImageRecipe":{"http":{"method":"PUT","requestUri":"/CreateImageRecipe"},"input":{"type":"structure","required":["name","semanticVersion","components","parentImage","clientToken"],"members":{"name":{},"description":{},"semanticVersion":{},"components":{"shape":"Sl"},"parentImage":{},"blockDeviceMappings":{"shape":"Su"},"tags":{"shape":"Se"},"workingDirectory":{},"additionalInstanceConfiguration":{"shape":"S28"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"imageRecipeArn":{}}}},"CreateInfrastructureConfiguration":{"http":{"method":"PUT","requestUri":"/CreateInfrastructureConfiguration"},"input":{"type":"structure","required":["name","instanceProfileName","clientToken"],"members":{"name":{},"description":{},"instanceTypes":{"shape":"S2d"},"instanceProfileName":{},"securityGroupIds":{"shape":"S2g"},"subnetId":{},"logging":{"shape":"S2h"},"keyPair":{},"terminateInstanceOnFailure":{"type":"boolean"},"snsTopicArn":{},"resourceTags":{"shape":"S2k"},"instanceMetadataOptions":{"shape":"S2l"},"tags":{"shape":"Se"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"infrastructureConfigurationArn":{}}}},"DeleteComponent":{"http":{"method":"DELETE","requestUri":"/DeleteComponent"},"input":{"type":"structure","required":["componentBuildVersionArn"],"members":{"componentBuildVersionArn":{"location":"querystring","locationName":"componentBuildVersionArn"}}},"output":{"type":"structure","members":{"requestId":{},"componentBuildVersionArn":{}}}},"DeleteContainerRecipe":{"http":{"method":"DELETE","requestUri":"/DeleteContainerRecipe"},"input":{"type":"structure","required":["containerRecipeArn"],"members":{"containerRecipeArn":{"location":"querystring","locationName":"containerRecipeArn"}}},"output":{"type":"structure","members":{"requestId":{},"containerRecipeArn":{}}}},"DeleteDistributionConfiguration":{"http":{"method":"DELETE","requestUri":"/DeleteDistributionConfiguration"},"input":{"type":"structure","required":["distributionConfigurationArn"],"members":{"distributionConfigurationArn":{"location":"querystring","locationName":"distributionConfigurationArn"}}},"output":{"type":"structure","members":{"requestId":{},"distributionConfigurationArn":{}}}},"DeleteImage":{"http":{"method":"DELETE","requestUri":"/DeleteImage"},"input":{"type":"structure","required":["imageBuildVersionArn"],"members":{"imageBuildVersionArn":{"location":"querystring","locationName":"imageBuildVersionArn"}}},"output":{"type":"structure","members":{"requestId":{},"imageBuildVersionArn":{}}}},"DeleteImagePipeline":{"http":{"method":"DELETE","requestUri":"/DeleteImagePipeline"},"input":{"type":"structure","required":["imagePipelineArn"],"members":{"imagePipelineArn":{"location":"querystring","locationName":"imagePipelineArn"}}},"output":{"type":"structure","members":{"requestId":{},"imagePipelineArn":{}}}},"DeleteImageRecipe":{"http":{"method":"DELETE","requestUri":"/DeleteImageRecipe"},"input":{"type":"structure","required":["imageRecipeArn"],"members":{"imageRecipeArn":{"location":"querystring","locationName":"imageRecipeArn"}}},"output":{"type":"structure","members":{"requestId":{},"imageRecipeArn":{}}}},"DeleteInfrastructureConfiguration":{"http":{"method":"DELETE","requestUri":"/DeleteInfrastructureConfiguration"},"input":{"type":"structure","required":["infrastructureConfigurationArn"],"members":{"infrastructureConfigurationArn":{"location":"querystring","locationName":"infrastructureConfigurationArn"}}},"output":{"type":"structure","members":{"requestId":{},"infrastructureConfigurationArn":{}}}},"GetComponent":{"http":{"method":"GET","requestUri":"/GetComponent"},"input":{"type":"structure","required":["componentBuildVersionArn"],"members":{"componentBuildVersionArn":{"location":"querystring","locationName":"componentBuildVersionArn"}}},"output":{"type":"structure","members":{"requestId":{},"component":{"type":"structure","members":{"arn":{},"name":{},"version":{},"description":{},"changeDescription":{},"type":{},"platform":{},"supportedOsVersions":{"shape":"Sa"},"state":{"shape":"S38"},"parameters":{"type":"list","member":{"type":"structure","required":["name","type"],"members":{"name":{},"type":{},"defaultValue":{"shape":"Sr"},"description":{}}}},"owner":{},"data":{},"kmsKeyId":{},"encrypted":{"type":"boolean"},"dateCreated":{},"tags":{"shape":"Se"}}}}}},"GetComponentPolicy":{"http":{"method":"GET","requestUri":"/GetComponentPolicy"},"input":{"type":"structure","required":["componentArn"],"members":{"componentArn":{"location":"querystring","locationName":"componentArn"}}},"output":{"type":"structure","members":{"requestId":{},"policy":{}}}},"GetContainerRecipe":{"http":{"method":"GET","requestUri":"/GetContainerRecipe"},"input":{"type":"structure","required":["containerRecipeArn"],"members":{"containerRecipeArn":{"location":"querystring","locationName":"containerRecipeArn"}}},"output":{"type":"structure","members":{"requestId":{},"containerRecipe":{"shape":"S3l"}}}},"GetContainerRecipePolicy":{"http":{"method":"GET","requestUri":"/GetContainerRecipePolicy"},"input":{"type":"structure","required":["containerRecipeArn"],"members":{"containerRecipeArn":{"location":"querystring","locationName":"containerRecipeArn"}}},"output":{"type":"structure","members":{"requestId":{},"policy":{}}}},"GetDistributionConfiguration":{"http":{"method":"GET","requestUri":"/GetDistributionConfiguration"},"input":{"type":"structure","required":["distributionConfigurationArn"],"members":{"distributionConfigurationArn":{"location":"querystring","locationName":"distributionConfigurationArn"}}},"output":{"type":"structure","members":{"requestId":{},"distributionConfiguration":{"shape":"S3r"}}}},"GetImage":{"http":{"method":"GET","requestUri":"/GetImage"},"input":{"type":"structure","required":["imageBuildVersionArn"],"members":{"imageBuildVersionArn":{"location":"querystring","locationName":"imageBuildVersionArn"}}},"output":{"type":"structure","members":{"requestId":{},"image":{"type":"structure","members":{"arn":{},"type":{},"name":{},"version":{},"platform":{},"enhancedImageMetadataEnabled":{"type":"boolean"},"osVersion":{},"state":{"shape":"S3y"},"imageRecipe":{"shape":"S40"},"containerRecipe":{"shape":"S3l"},"sourcePipelineName":{},"sourcePipelineArn":{},"infrastructureConfiguration":{"shape":"S42"},"distributionConfiguration":{"shape":"S3r"},"imageTestsConfiguration":{"shape":"S1x"},"dateCreated":{},"outputResources":{"shape":"S43"},"tags":{"shape":"Se"}}}}}},"GetImagePipeline":{"http":{"method":"GET","requestUri":"/GetImagePipeline"},"input":{"type":"structure","required":["imagePipelineArn"],"members":{"imagePipelineArn":{"location":"querystring","locationName":"imagePipelineArn"}}},"output":{"type":"structure","members":{"requestId":{},"imagePipeline":{"shape":"S4a"}}}},"GetImagePolicy":{"http":{"method":"GET","requestUri":"/GetImagePolicy"},"input":{"type":"structure","required":["imageArn"],"members":{"imageArn":{"location":"querystring","locationName":"imageArn"}}},"output":{"type":"structure","members":{"requestId":{},"policy":{}}}},"GetImageRecipe":{"http":{"method":"GET","requestUri":"/GetImageRecipe"},"input":{"type":"structure","required":["imageRecipeArn"],"members":{"imageRecipeArn":{"location":"querystring","locationName":"imageRecipeArn"}}},"output":{"type":"structure","members":{"requestId":{},"imageRecipe":{"shape":"S40"}}}},"GetImageRecipePolicy":{"http":{"method":"GET","requestUri":"/GetImageRecipePolicy"},"input":{"type":"structure","required":["imageRecipeArn"],"members":{"imageRecipeArn":{"location":"querystring","locationName":"imageRecipeArn"}}},"output":{"type":"structure","members":{"requestId":{},"policy":{}}}},"GetInfrastructureConfiguration":{"http":{"method":"GET","requestUri":"/GetInfrastructureConfiguration"},"input":{"type":"structure","required":["infrastructureConfigurationArn"],"members":{"infrastructureConfigurationArn":{"location":"querystring","locationName":"infrastructureConfigurationArn"}}},"output":{"type":"structure","members":{"requestId":{},"infrastructureConfiguration":{"shape":"S42"}}}},"ImportComponent":{"http":{"method":"PUT","requestUri":"/ImportComponent"},"input":{"type":"structure","required":["name","semanticVersion","type","format","platform","clientToken"],"members":{"name":{},"semanticVersion":{},"description":{},"changeDescription":{},"type":{},"format":{},"platform":{},"data":{},"uri":{},"kmsKeyId":{},"tags":{"shape":"Se"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"componentBuildVersionArn":{}}}},"ListComponentBuildVersions":{"http":{"requestUri":"/ListComponentBuildVersions"},"input":{"type":"structure","required":["componentVersionArn"],"members":{"componentVersionArn":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"requestId":{},"componentSummaryList":{"type":"list","member":{"type":"structure","members":{"arn":{},"name":{},"version":{},"platform":{},"supportedOsVersions":{"shape":"Sa"},"state":{"shape":"S38"},"type":{},"owner":{},"description":{},"changeDescription":{},"dateCreated":{},"tags":{"shape":"Se"}}}},"nextToken":{}}}},"ListComponents":{"http":{"requestUri":"/ListComponents"},"input":{"type":"structure","members":{"owner":{},"filters":{"shape":"S4v"},"byName":{"type":"boolean"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"requestId":{},"componentVersionList":{"type":"list","member":{"type":"structure","members":{"arn":{},"name":{},"version":{},"description":{},"platform":{},"supportedOsVersions":{"shape":"Sa"},"type":{},"owner":{},"dateCreated":{}}}},"nextToken":{}}}},"ListContainerRecipes":{"http":{"requestUri":"/ListContainerRecipes"},"input":{"type":"structure","members":{"owner":{},"filters":{"shape":"S4v"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"requestId":{},"containerRecipeSummaryList":{"type":"list","member":{"type":"structure","members":{"arn":{},"containerType":{},"name":{},"platform":{},"owner":{},"parentImage":{},"dateCreated":{},"tags":{"shape":"Se"}}}},"nextToken":{}}}},"ListDistributionConfigurations":{"http":{"requestUri":"/ListDistributionConfigurations"},"input":{"type":"structure","members":{"filters":{"shape":"S4v"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"requestId":{},"distributionConfigurationSummaryList":{"type":"list","member":{"type":"structure","members":{"arn":{},"name":{},"description":{},"dateCreated":{},"dateUpdated":{},"tags":{"shape":"Se"},"regions":{"type":"list","member":{}}}}},"nextToken":{}}}},"ListImageBuildVersions":{"http":{"requestUri":"/ListImageBuildVersions"},"input":{"type":"structure","required":["imageVersionArn"],"members":{"imageVersionArn":{},"filters":{"shape":"S4v"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"requestId":{},"imageSummaryList":{"shape":"S5f"},"nextToken":{}}}},"ListImagePackages":{"http":{"requestUri":"/ListImagePackages"},"input":{"type":"structure","required":["imageBuildVersionArn"],"members":{"imageBuildVersionArn":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"requestId":{},"imagePackageList":{"type":"list","member":{"type":"structure","members":{"packageName":{},"packageVersion":{}}}},"nextToken":{}}}},"ListImagePipelineImages":{"http":{"requestUri":"/ListImagePipelineImages"},"input":{"type":"structure","required":["imagePipelineArn"],"members":{"imagePipelineArn":{},"filters":{"shape":"S4v"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"requestId":{},"imageSummaryList":{"shape":"S5f"},"nextToken":{}}}},"ListImagePipelines":{"http":{"requestUri":"/ListImagePipelines"},"input":{"type":"structure","members":{"filters":{"shape":"S4v"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"requestId":{},"imagePipelineList":{"type":"list","member":{"shape":"S4a"}},"nextToken":{}}}},"ListImageRecipes":{"http":{"requestUri":"/ListImageRecipes"},"input":{"type":"structure","members":{"owner":{},"filters":{"shape":"S4v"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"requestId":{},"imageRecipeSummaryList":{"type":"list","member":{"type":"structure","members":{"arn":{},"name":{},"platform":{},"owner":{},"parentImage":{},"dateCreated":{},"tags":{"shape":"Se"}}}},"nextToken":{}}}},"ListImages":{"http":{"requestUri":"/ListImages"},"input":{"type":"structure","members":{"owner":{},"filters":{"shape":"S4v"},"byName":{"type":"boolean"},"maxResults":{"type":"integer"},"nextToken":{},"includeDeprecated":{"type":"boolean"}}},"output":{"type":"structure","members":{"requestId":{},"imageVersionList":{"type":"list","member":{"type":"structure","members":{"arn":{},"name":{},"type":{},"version":{},"platform":{},"osVersion":{},"owner":{},"dateCreated":{}}}},"nextToken":{}}}},"ListInfrastructureConfigurations":{"http":{"requestUri":"/ListInfrastructureConfigurations"},"input":{"type":"structure","members":{"filters":{"shape":"S4v"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"requestId":{},"infrastructureConfigurationSummaryList":{"type":"list","member":{"type":"structure","members":{"arn":{},"name":{},"description":{},"dateCreated":{},"dateUpdated":{},"resourceTags":{"shape":"S2k"},"tags":{"shape":"Se"},"instanceTypes":{"shape":"S2d"},"instanceProfileName":{}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Se"}}}},"PutComponentPolicy":{"http":{"method":"PUT","requestUri":"/PutComponentPolicy"},"input":{"type":"structure","required":["componentArn","policy"],"members":{"componentArn":{},"policy":{}}},"output":{"type":"structure","members":{"requestId":{},"componentArn":{}}}},"PutContainerRecipePolicy":{"http":{"method":"PUT","requestUri":"/PutContainerRecipePolicy"},"input":{"type":"structure","required":["containerRecipeArn","policy"],"members":{"containerRecipeArn":{},"policy":{}}},"output":{"type":"structure","members":{"requestId":{},"containerRecipeArn":{}}}},"PutImagePolicy":{"http":{"method":"PUT","requestUri":"/PutImagePolicy"},"input":{"type":"structure","required":["imageArn","policy"],"members":{"imageArn":{},"policy":{}}},"output":{"type":"structure","members":{"requestId":{},"imageArn":{}}}},"PutImageRecipePolicy":{"http":{"method":"PUT","requestUri":"/PutImageRecipePolicy"},"input":{"type":"structure","required":["imageRecipeArn","policy"],"members":{"imageRecipeArn":{},"policy":{}}},"output":{"type":"structure","members":{"requestId":{},"imageRecipeArn":{}}}},"StartImagePipelineExecution":{"http":{"method":"PUT","requestUri":"/StartImagePipelineExecution"},"input":{"type":"structure","required":["imagePipelineArn","clientToken"],"members":{"imagePipelineArn":{},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"imageBuildVersionArn":{}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Se"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDistributionConfiguration":{"http":{"method":"PUT","requestUri":"/UpdateDistributionConfiguration"},"input":{"type":"structure","required":["distributionConfigurationArn","distributions","clientToken"],"members":{"distributionConfigurationArn":{},"description":{},"distributions":{"shape":"S19"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"distributionConfigurationArn":{}}}},"UpdateImagePipeline":{"http":{"method":"PUT","requestUri":"/UpdateImagePipeline"},"input":{"type":"structure","required":["imagePipelineArn","infrastructureConfigurationArn","clientToken"],"members":{"imagePipelineArn":{},"description":{},"imageRecipeArn":{},"containerRecipeArn":{},"infrastructureConfigurationArn":{},"distributionConfigurationArn":{},"imageTestsConfiguration":{"shape":"S1x"},"enhancedImageMetadataEnabled":{"type":"boolean"},"schedule":{"shape":"S21"},"status":{},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"imagePipelineArn":{}}}},"UpdateInfrastructureConfiguration":{"http":{"method":"PUT","requestUri":"/UpdateInfrastructureConfiguration"},"input":{"type":"structure","required":["infrastructureConfigurationArn","instanceProfileName","clientToken"],"members":{"infrastructureConfigurationArn":{},"description":{},"instanceTypes":{"shape":"S2d"},"instanceProfileName":{},"securityGroupIds":{"shape":"S2g"},"subnetId":{},"logging":{"shape":"S2h"},"keyPair":{},"terminateInstanceOnFailure":{"type":"boolean"},"snsTopicArn":{},"clientToken":{"idempotencyToken":true},"resourceTags":{"shape":"S2k"},"instanceMetadataOptions":{"shape":"S2l"}}},"output":{"type":"structure","members":{"requestId":{},"clientToken":{},"infrastructureConfigurationArn":{}}}}},"shapes":{"Sa":{"type":"list","member":{}},"Se":{"type":"map","key":{},"value":{}},"Sl":{"type":"list","member":{"type":"structure","required":["componentArn"],"members":{"componentArn":{},"parameters":{"type":"list","member":{"type":"structure","required":["name","value"],"members":{"name":{},"value":{"shape":"Sr"}}}}}}},"Sr":{"type":"list","member":{}},"St":{"type":"structure","members":{"image":{},"blockDeviceMappings":{"shape":"Su"}}},"Su":{"type":"list","member":{"type":"structure","members":{"deviceName":{},"ebs":{"type":"structure","members":{"encrypted":{"type":"boolean"},"deleteOnTermination":{"type":"boolean"},"iops":{"type":"integer"},"kmsKeyId":{},"snapshotId":{},"volumeSize":{"type":"integer"},"volumeType":{},"throughput":{"type":"integer"}}},"virtualName":{},"noDevice":{}}}},"S14":{"type":"structure","required":["service","repositoryName"],"members":{"service":{},"repositoryName":{}}},"S19":{"type":"list","member":{"type":"structure","required":["region"],"members":{"region":{},"amiDistributionConfiguration":{"type":"structure","members":{"name":{},"description":{},"targetAccountIds":{"shape":"S1d"},"amiTags":{"shape":"Se"},"kmsKeyId":{},"launchPermission":{"type":"structure","members":{"userIds":{"shape":"S1d"},"userGroups":{"shape":"S1g"},"organizationArns":{"type":"list","member":{}},"organizationalUnitArns":{"type":"list","member":{}}}}}},"containerDistributionConfiguration":{"type":"structure","required":["targetRepository"],"members":{"description":{},"containerTags":{"shape":"S1g"},"targetRepository":{"shape":"S14"}}},"licenseConfigurationArns":{"type":"list","member":{}},"launchTemplateConfigurations":{"type":"list","member":{"type":"structure","required":["launchTemplateId"],"members":{"launchTemplateId":{},"accountId":{},"setDefaultVersion":{"type":"boolean"}}}}}}},"S1d":{"type":"list","member":{}},"S1g":{"type":"list","member":{}},"S1x":{"type":"structure","members":{"imageTestsEnabled":{"type":"boolean"},"timeoutMinutes":{"type":"integer"}}},"S21":{"type":"structure","members":{"scheduleExpression":{},"timezone":{},"pipelineExecutionStartCondition":{}}},"S28":{"type":"structure","members":{"systemsManagerAgent":{"type":"structure","members":{"uninstallAfterBuild":{"type":"boolean"}}},"userDataOverride":{}}},"S2d":{"type":"list","member":{}},"S2g":{"type":"list","member":{}},"S2h":{"type":"structure","members":{"s3Logs":{"type":"structure","members":{"s3BucketName":{},"s3KeyPrefix":{}}}}},"S2k":{"type":"map","key":{},"value":{}},"S2l":{"type":"structure","members":{"httpTokens":{},"httpPutResponseHopLimit":{"type":"integer"}}},"S38":{"type":"structure","members":{"status":{},"reason":{}}},"S3l":{"type":"structure","members":{"arn":{},"containerType":{},"name":{},"description":{},"platform":{},"owner":{},"version":{},"components":{"shape":"Sl"},"instanceConfiguration":{"shape":"St"},"dockerfileTemplateData":{},"kmsKeyId":{},"encrypted":{"type":"boolean"},"parentImage":{},"dateCreated":{},"tags":{"shape":"Se"},"workingDirectory":{},"targetRepository":{"shape":"S14"}}},"S3r":{"type":"structure","required":["timeoutMinutes"],"members":{"arn":{},"name":{},"description":{},"distributions":{"shape":"S19"},"timeoutMinutes":{"type":"integer"},"dateCreated":{},"dateUpdated":{},"tags":{"shape":"Se"}}},"S3y":{"type":"structure","members":{"status":{},"reason":{}}},"S40":{"type":"structure","members":{"arn":{},"type":{},"name":{},"description":{},"platform":{},"owner":{},"version":{},"components":{"shape":"Sl"},"parentImage":{},"blockDeviceMappings":{"shape":"Su"},"dateCreated":{},"tags":{"shape":"Se"},"workingDirectory":{},"additionalInstanceConfiguration":{"shape":"S28"}}},"S42":{"type":"structure","members":{"arn":{},"name":{},"description":{},"instanceTypes":{"shape":"S2d"},"instanceProfileName":{},"securityGroupIds":{"shape":"S2g"},"subnetId":{},"logging":{"shape":"S2h"},"keyPair":{},"terminateInstanceOnFailure":{"type":"boolean"},"snsTopicArn":{},"dateCreated":{},"dateUpdated":{},"resourceTags":{"shape":"S2k"},"instanceMetadataOptions":{"shape":"S2l"},"tags":{"shape":"Se"}}},"S43":{"type":"structure","members":{"amis":{"type":"list","member":{"type":"structure","members":{"region":{},"image":{},"name":{},"description":{},"state":{"shape":"S3y"},"accountId":{}}}},"containers":{"type":"list","member":{"type":"structure","members":{"region":{},"imageUris":{"shape":"S1g"}}}}}},"S4a":{"type":"structure","members":{"arn":{},"name":{},"description":{},"platform":{},"enhancedImageMetadataEnabled":{"type":"boolean"},"imageRecipeArn":{},"containerRecipeArn":{},"infrastructureConfigurationArn":{},"distributionConfigurationArn":{},"imageTestsConfiguration":{"shape":"S1x"},"schedule":{"shape":"S21"},"status":{},"dateCreated":{},"dateUpdated":{},"dateLastRun":{},"dateNextRun":{},"tags":{"shape":"Se"}}},"S4v":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"type":"list","member":{}}}}},"S5f":{"type":"list","member":{"type":"structure","members":{"arn":{},"name":{},"type":{},"version":{},"platform":{},"osVersion":{},"state":{"shape":"S3y"},"owner":{},"dateCreated":{},"outputResources":{"shape":"S43"},"tags":{"shape":"Se"}}}}}}');

/***/ }),

/***/ 60410:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListComponentBuildVersions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"componentSummaryList"},"ListComponents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"componentVersionList"},"ListContainerRecipes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"containerRecipeSummaryList"},"ListDistributionConfigurations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"distributionConfigurationSummaryList"},"ListImageBuildVersions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"imageSummaryList"},"ListImagePackages":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"imagePackageList"},"ListImagePipelineImages":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"imageSummaryList"},"ListImagePipelines":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"imagePipelineList"},"ListImageRecipes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"imageRecipeSummaryList"},"ListImages":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"imageVersionList"},"ListInfrastructureConfigurations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"infrastructureConfigurationSummaryList"}}}');

/***/ }),

/***/ 80317:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"uid":"importexport-2010-06-01","apiVersion":"2010-06-01","endpointPrefix":"importexport","globalEndpoint":"importexport.amazonaws.com","serviceFullName":"AWS Import/Export","serviceId":"ImportExport","signatureVersion":"v2","xmlNamespace":"http://importexport.amazonaws.com/doc/2010-06-01/","protocol":"query"},"operations":{"CancelJob":{"http":{"requestUri":"/?Operation=CancelJob"},"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"APIVersion":{}}},"output":{"resultWrapper":"CancelJobResult","type":"structure","members":{"Success":{"type":"boolean"}}}},"CreateJob":{"http":{"requestUri":"/?Operation=CreateJob"},"input":{"type":"structure","required":["JobType","Manifest","ValidateOnly"],"members":{"JobType":{},"Manifest":{},"ManifestAddendum":{},"ValidateOnly":{"type":"boolean"},"APIVersion":{}}},"output":{"resultWrapper":"CreateJobResult","type":"structure","members":{"JobId":{},"JobType":{},"Signature":{},"SignatureFileContents":{},"WarningMessage":{},"ArtifactList":{"shape":"Sf"}}}},"GetShippingLabel":{"http":{"requestUri":"/?Operation=GetShippingLabel"},"input":{"type":"structure","required":["jobIds"],"members":{"jobIds":{"type":"list","member":{}},"name":{},"company":{},"phoneNumber":{},"country":{},"stateOrProvince":{},"city":{},"postalCode":{},"street1":{},"street2":{},"street3":{},"APIVersion":{}}},"output":{"resultWrapper":"GetShippingLabelResult","type":"structure","members":{"ShippingLabelURL":{},"Warning":{}}}},"GetStatus":{"http":{"requestUri":"/?Operation=GetStatus"},"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"APIVersion":{}}},"output":{"resultWrapper":"GetStatusResult","type":"structure","members":{"JobId":{},"JobType":{},"LocationCode":{},"LocationMessage":{},"ProgressCode":{},"ProgressMessage":{},"Carrier":{},"TrackingNumber":{},"LogBucket":{},"LogKey":{},"ErrorCount":{"type":"integer"},"Signature":{},"SignatureFileContents":{},"CurrentManifest":{},"CreationDate":{"type":"timestamp"},"ArtifactList":{"shape":"Sf"}}}},"ListJobs":{"http":{"requestUri":"/?Operation=ListJobs"},"input":{"type":"structure","members":{"MaxJobs":{"type":"integer"},"Marker":{},"APIVersion":{}}},"output":{"resultWrapper":"ListJobsResult","type":"structure","members":{"Jobs":{"type":"list","member":{"type":"structure","members":{"JobId":{},"CreationDate":{"type":"timestamp"},"IsCanceled":{"type":"boolean"},"JobType":{}}}},"IsTruncated":{"type":"boolean"}}}},"UpdateJob":{"http":{"requestUri":"/?Operation=UpdateJob"},"input":{"type":"structure","required":["JobId","Manifest","JobType","ValidateOnly"],"members":{"JobId":{},"Manifest":{},"JobType":{},"ValidateOnly":{"type":"boolean"},"APIVersion":{}}},"output":{"resultWrapper":"UpdateJobResult","type":"structure","members":{"Success":{"type":"boolean"},"WarningMessage":{},"ArtifactList":{"shape":"Sf"}}}}},"shapes":{"Sf":{"type":"list","member":{"type":"structure","members":{"Description":{},"URL":{}}}}},"examples":{}}');

/***/ }),

/***/ 58037:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListJobs":{"input_token":"Marker","output_token":"Jobs[-1].JobId","more_results":"IsTruncated","limit_key":"MaxJobs","result_key":"Jobs"}}}');

/***/ }),

/***/ 71649:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-02-16","endpointPrefix":"inspector","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Inspector","serviceId":"Inspector","signatureVersion":"v4","targetPrefix":"InspectorService","uid":"inspector-2016-02-16"},"operations":{"AddAttributesToFindings":{"input":{"type":"structure","required":["findingArns","attributes"],"members":{"findingArns":{"shape":"S2"},"attributes":{"shape":"S4"}}},"output":{"type":"structure","required":["failedItems"],"members":{"failedItems":{"shape":"S9"}}}},"CreateAssessmentTarget":{"input":{"type":"structure","required":["assessmentTargetName"],"members":{"assessmentTargetName":{},"resourceGroupArn":{}}},"output":{"type":"structure","required":["assessmentTargetArn"],"members":{"assessmentTargetArn":{}}}},"CreateAssessmentTemplate":{"input":{"type":"structure","required":["assessmentTargetArn","assessmentTemplateName","durationInSeconds","rulesPackageArns"],"members":{"assessmentTargetArn":{},"assessmentTemplateName":{},"durationInSeconds":{"type":"integer"},"rulesPackageArns":{"shape":"Sj"},"userAttributesForFindings":{"shape":"S4"}}},"output":{"type":"structure","required":["assessmentTemplateArn"],"members":{"assessmentTemplateArn":{}}}},"CreateExclusionsPreview":{"input":{"type":"structure","required":["assessmentTemplateArn"],"members":{"assessmentTemplateArn":{}}},"output":{"type":"structure","required":["previewToken"],"members":{"previewToken":{}}}},"CreateResourceGroup":{"input":{"type":"structure","required":["resourceGroupTags"],"members":{"resourceGroupTags":{"shape":"Sp"}}},"output":{"type":"structure","required":["resourceGroupArn"],"members":{"resourceGroupArn":{}}}},"DeleteAssessmentRun":{"input":{"type":"structure","required":["assessmentRunArn"],"members":{"assessmentRunArn":{}}}},"DeleteAssessmentTarget":{"input":{"type":"structure","required":["assessmentTargetArn"],"members":{"assessmentTargetArn":{}}}},"DeleteAssessmentTemplate":{"input":{"type":"structure","required":["assessmentTemplateArn"],"members":{"assessmentTemplateArn":{}}}},"DescribeAssessmentRuns":{"input":{"type":"structure","required":["assessmentRunArns"],"members":{"assessmentRunArns":{"shape":"Sy"}}},"output":{"type":"structure","required":["assessmentRuns","failedItems"],"members":{"assessmentRuns":{"type":"list","member":{"type":"structure","required":["arn","name","assessmentTemplateArn","state","durationInSeconds","rulesPackageArns","userAttributesForFindings","createdAt","stateChangedAt","dataCollected","stateChanges","notifications","findingCounts"],"members":{"arn":{},"name":{},"assessmentTemplateArn":{},"state":{},"durationInSeconds":{"type":"integer"},"rulesPackageArns":{"type":"list","member":{}},"userAttributesForFindings":{"shape":"S4"},"createdAt":{"type":"timestamp"},"startedAt":{"type":"timestamp"},"completedAt":{"type":"timestamp"},"stateChangedAt":{"type":"timestamp"},"dataCollected":{"type":"boolean"},"stateChanges":{"type":"list","member":{"type":"structure","required":["stateChangedAt","state"],"members":{"stateChangedAt":{"type":"timestamp"},"state":{}}}},"notifications":{"type":"list","member":{"type":"structure","required":["date","event","error"],"members":{"date":{"type":"timestamp"},"event":{},"message":{},"error":{"type":"boolean"},"snsTopicArn":{},"snsPublishStatusCode":{}}}},"findingCounts":{"type":"map","key":{},"value":{"type":"integer"}}}}},"failedItems":{"shape":"S9"}}}},"DescribeAssessmentTargets":{"input":{"type":"structure","required":["assessmentTargetArns"],"members":{"assessmentTargetArns":{"shape":"Sy"}}},"output":{"type":"structure","required":["assessmentTargets","failedItems"],"members":{"assessmentTargets":{"type":"list","member":{"type":"structure","required":["arn","name","createdAt","updatedAt"],"members":{"arn":{},"name":{},"resourceGroupArn":{},"createdAt":{"type":"timestamp"},"updatedAt":{"type":"timestamp"}}}},"failedItems":{"shape":"S9"}}}},"DescribeAssessmentTemplates":{"input":{"type":"structure","required":["assessmentTemplateArns"],"members":{"assessmentTemplateArns":{"shape":"Sy"}}},"output":{"type":"structure","required":["assessmentTemplates","failedItems"],"members":{"assessmentTemplates":{"type":"list","member":{"type":"structure","required":["arn","name","assessmentTargetArn","durationInSeconds","rulesPackageArns","userAttributesForFindings","assessmentRunCount","createdAt"],"members":{"arn":{},"name":{},"assessmentTargetArn":{},"durationInSeconds":{"type":"integer"},"rulesPackageArns":{"shape":"Sj"},"userAttributesForFindings":{"shape":"S4"},"lastAssessmentRunArn":{},"assessmentRunCount":{"type":"integer"},"createdAt":{"type":"timestamp"}}}},"failedItems":{"shape":"S9"}}}},"DescribeCrossAccountAccessRole":{"output":{"type":"structure","required":["roleArn","valid","registeredAt"],"members":{"roleArn":{},"valid":{"type":"boolean"},"registeredAt":{"type":"timestamp"}}}},"DescribeExclusions":{"input":{"type":"structure","required":["exclusionArns"],"members":{"exclusionArns":{"type":"list","member":{}},"locale":{}}},"output":{"type":"structure","required":["exclusions","failedItems"],"members":{"exclusions":{"type":"map","key":{},"value":{"type":"structure","required":["arn","title","description","recommendation","scopes"],"members":{"arn":{},"title":{},"description":{},"recommendation":{},"scopes":{"shape":"S1x"},"attributes":{"shape":"S21"}}}},"failedItems":{"shape":"S9"}}}},"DescribeFindings":{"input":{"type":"structure","required":["findingArns"],"members":{"findingArns":{"shape":"Sy"},"locale":{}}},"output":{"type":"structure","required":["findings","failedItems"],"members":{"findings":{"type":"list","member":{"type":"structure","required":["arn","attributes","userAttributes","createdAt","updatedAt"],"members":{"arn":{},"schemaVersion":{"type":"integer"},"service":{},"serviceAttributes":{"type":"structure","required":["schemaVersion"],"members":{"schemaVersion":{"type":"integer"},"assessmentRunArn":{},"rulesPackageArn":{}}},"assetType":{},"assetAttributes":{"type":"structure","required":["schemaVersion"],"members":{"schemaVersion":{"type":"integer"},"agentId":{},"autoScalingGroup":{},"amiId":{},"hostname":{},"ipv4Addresses":{"type":"list","member":{}},"tags":{"type":"list","member":{"shape":"S2i"}},"networkInterfaces":{"type":"list","member":{"type":"structure","members":{"networkInterfaceId":{},"subnetId":{},"vpcId":{},"privateDnsName":{},"privateIpAddress":{},"privateIpAddresses":{"type":"list","member":{"type":"structure","members":{"privateDnsName":{},"privateIpAddress":{}}}},"publicDnsName":{},"publicIp":{},"ipv6Addresses":{"type":"list","member":{}},"securityGroups":{"type":"list","member":{"type":"structure","members":{"groupName":{},"groupId":{}}}}}}}}},"id":{},"title":{},"description":{},"recommendation":{},"severity":{},"numericSeverity":{"type":"double"},"confidence":{"type":"integer"},"indicatorOfCompromise":{"type":"boolean"},"attributes":{"shape":"S21"},"userAttributes":{"shape":"S4"},"createdAt":{"type":"timestamp"},"updatedAt":{"type":"timestamp"}}}},"failedItems":{"shape":"S9"}}}},"DescribeResourceGroups":{"input":{"type":"structure","required":["resourceGroupArns"],"members":{"resourceGroupArns":{"shape":"Sy"}}},"output":{"type":"structure","required":["resourceGroups","failedItems"],"members":{"resourceGroups":{"type":"list","member":{"type":"structure","required":["arn","tags","createdAt"],"members":{"arn":{},"tags":{"shape":"Sp"},"createdAt":{"type":"timestamp"}}}},"failedItems":{"shape":"S9"}}}},"DescribeRulesPackages":{"input":{"type":"structure","required":["rulesPackageArns"],"members":{"rulesPackageArns":{"shape":"Sy"},"locale":{}}},"output":{"type":"structure","required":["rulesPackages","failedItems"],"members":{"rulesPackages":{"type":"list","member":{"type":"structure","required":["arn","name","version","provider"],"members":{"arn":{},"name":{},"version":{},"provider":{},"description":{}}}},"failedItems":{"shape":"S9"}}}},"GetAssessmentReport":{"input":{"type":"structure","required":["assessmentRunArn","reportFileFormat","reportType"],"members":{"assessmentRunArn":{},"reportFileFormat":{},"reportType":{}}},"output":{"type":"structure","required":["status"],"members":{"status":{},"url":{}}}},"GetExclusionsPreview":{"input":{"type":"structure","required":["assessmentTemplateArn","previewToken"],"members":{"assessmentTemplateArn":{},"previewToken":{},"nextToken":{},"maxResults":{"type":"integer"},"locale":{}}},"output":{"type":"structure","required":["previewStatus"],"members":{"previewStatus":{},"exclusionPreviews":{"type":"list","member":{"type":"structure","required":["title","description","recommendation","scopes"],"members":{"title":{},"description":{},"recommendation":{},"scopes":{"shape":"S1x"},"attributes":{"shape":"S21"}}}},"nextToken":{}}}},"GetTelemetryMetadata":{"input":{"type":"structure","required":["assessmentRunArn"],"members":{"assessmentRunArn":{}}},"output":{"type":"structure","required":["telemetryMetadata"],"members":{"telemetryMetadata":{"shape":"S3j"}}}},"ListAssessmentRunAgents":{"input":{"type":"structure","required":["assessmentRunArn"],"members":{"assessmentRunArn":{},"filter":{"type":"structure","required":["agentHealths","agentHealthCodes"],"members":{"agentHealths":{"type":"list","member":{}},"agentHealthCodes":{"type":"list","member":{}}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["assessmentRunAgents"],"members":{"assessmentRunAgents":{"type":"list","member":{"type":"structure","required":["agentId","assessmentRunArn","agentHealth","agentHealthCode","telemetryMetadata"],"members":{"agentId":{},"assessmentRunArn":{},"agentHealth":{},"agentHealthCode":{},"agentHealthDetails":{},"autoScalingGroup":{},"telemetryMetadata":{"shape":"S3j"}}}},"nextToken":{}}}},"ListAssessmentRuns":{"input":{"type":"structure","members":{"assessmentTemplateArns":{"shape":"S3x"},"filter":{"type":"structure","members":{"namePattern":{},"states":{"type":"list","member":{}},"durationRange":{"shape":"S41"},"rulesPackageArns":{"shape":"S42"},"startTimeRange":{"shape":"S43"},"completionTimeRange":{"shape":"S43"},"stateChangeTimeRange":{"shape":"S43"}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["assessmentRunArns"],"members":{"assessmentRunArns":{"shape":"S45"},"nextToken":{}}}},"ListAssessmentTargets":{"input":{"type":"structure","members":{"filter":{"type":"structure","members":{"assessmentTargetNamePattern":{}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["assessmentTargetArns"],"members":{"assessmentTargetArns":{"shape":"S45"},"nextToken":{}}}},"ListAssessmentTemplates":{"input":{"type":"structure","members":{"assessmentTargetArns":{"shape":"S3x"},"filter":{"type":"structure","members":{"namePattern":{},"durationRange":{"shape":"S41"},"rulesPackageArns":{"shape":"S42"}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["assessmentTemplateArns"],"members":{"assessmentTemplateArns":{"shape":"S45"},"nextToken":{}}}},"ListEventSubscriptions":{"input":{"type":"structure","members":{"resourceArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["subscriptions"],"members":{"subscriptions":{"type":"list","member":{"type":"structure","required":["resourceArn","topicArn","eventSubscriptions"],"members":{"resourceArn":{},"topicArn":{},"eventSubscriptions":{"type":"list","member":{"type":"structure","required":["event","subscribedAt"],"members":{"event":{},"subscribedAt":{"type":"timestamp"}}}}}}},"nextToken":{}}}},"ListExclusions":{"input":{"type":"structure","required":["assessmentRunArn"],"members":{"assessmentRunArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["exclusionArns"],"members":{"exclusionArns":{"shape":"S45"},"nextToken":{}}}},"ListFindings":{"input":{"type":"structure","members":{"assessmentRunArns":{"shape":"S3x"},"filter":{"type":"structure","members":{"agentIds":{"type":"list","member":{}},"autoScalingGroups":{"type":"list","member":{}},"ruleNames":{"type":"list","member":{}},"severities":{"type":"list","member":{}},"rulesPackageArns":{"shape":"S42"},"attributes":{"shape":"S21"},"userAttributes":{"shape":"S21"},"creationTimeRange":{"shape":"S43"}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["findingArns"],"members":{"findingArns":{"shape":"S45"},"nextToken":{}}}},"ListRulesPackages":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["rulesPackageArns"],"members":{"rulesPackageArns":{"shape":"S45"},"nextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{}}},"output":{"type":"structure","required":["tags"],"members":{"tags":{"shape":"S4x"}}}},"PreviewAgents":{"input":{"type":"structure","required":["previewAgentsArn"],"members":{"previewAgentsArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","required":["agentPreviews"],"members":{"agentPreviews":{"type":"list","member":{"type":"structure","required":["agentId"],"members":{"hostname":{},"agentId":{},"autoScalingGroup":{},"agentHealth":{},"agentVersion":{},"operatingSystem":{},"kernelVersion":{},"ipv4Address":{}}}},"nextToken":{}}}},"RegisterCrossAccountAccessRole":{"input":{"type":"structure","required":["roleArn"],"members":{"roleArn":{}}}},"RemoveAttributesFromFindings":{"input":{"type":"structure","required":["findingArns","attributeKeys"],"members":{"findingArns":{"shape":"S2"},"attributeKeys":{"type":"list","member":{}}}},"output":{"type":"structure","required":["failedItems"],"members":{"failedItems":{"shape":"S9"}}}},"SetTagsForResource":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{},"tags":{"shape":"S4x"}}}},"StartAssessmentRun":{"input":{"type":"structure","required":["assessmentTemplateArn"],"members":{"assessmentTemplateArn":{},"assessmentRunName":{}}},"output":{"type":"structure","required":["assessmentRunArn"],"members":{"assessmentRunArn":{}}}},"StopAssessmentRun":{"input":{"type":"structure","required":["assessmentRunArn"],"members":{"assessmentRunArn":{},"stopAction":{}}}},"SubscribeToEvent":{"input":{"type":"structure","required":["resourceArn","event","topicArn"],"members":{"resourceArn":{},"event":{},"topicArn":{}}}},"UnsubscribeFromEvent":{"input":{"type":"structure","required":["resourceArn","event","topicArn"],"members":{"resourceArn":{},"event":{},"topicArn":{}}}},"UpdateAssessmentTarget":{"input":{"type":"structure","required":["assessmentTargetArn","assessmentTargetName"],"members":{"assessmentTargetArn":{},"assessmentTargetName":{},"resourceGroupArn":{}}}}},"shapes":{"S2":{"type":"list","member":{}},"S4":{"type":"list","member":{"shape":"S5"}},"S5":{"type":"structure","required":["key"],"members":{"key":{},"value":{}}},"S9":{"type":"map","key":{},"value":{"type":"structure","required":["failureCode","retryable"],"members":{"failureCode":{},"retryable":{"type":"boolean"}}}},"Sj":{"type":"list","member":{}},"Sp":{"type":"list","member":{"type":"structure","required":["key"],"members":{"key":{},"value":{}}}},"Sy":{"type":"list","member":{}},"S1x":{"type":"list","member":{"type":"structure","members":{"key":{},"value":{}}}},"S21":{"type":"list","member":{"shape":"S5"}},"S2i":{"type":"structure","required":["key"],"members":{"key":{},"value":{}}},"S3j":{"type":"list","member":{"type":"structure","required":["messageType","count"],"members":{"messageType":{},"count":{"type":"long"},"dataSize":{"type":"long"}}}},"S3x":{"type":"list","member":{}},"S41":{"type":"structure","members":{"minSeconds":{"type":"integer"},"maxSeconds":{"type":"integer"}}},"S42":{"type":"list","member":{}},"S43":{"type":"structure","members":{"beginDate":{"type":"timestamp"},"endDate":{"type":"timestamp"}}},"S45":{"type":"list","member":{}},"S4x":{"type":"list","member":{"shape":"S2i"}}}}');

/***/ }),

/***/ 69242:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetExclusionsPreview":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAssessmentRunAgents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAssessmentRuns":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAssessmentTargets":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAssessmentTemplates":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListEventSubscriptions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListExclusions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListFindings":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListRulesPackages":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"PreviewAgents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 61291:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-06-08","endpointPrefix":"inspector2","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Inspector2","serviceFullName":"Inspector2","serviceId":"Inspector2","signatureVersion":"v4","signingName":"inspector2","uid":"inspector2-2020-06-08"},"operations":{"AssociateMember":{"http":{"requestUri":"/members/associate","responseCode":200},"input":{"type":"structure","required":["accountId"],"members":{"accountId":{}}},"output":{"type":"structure","required":["accountId"],"members":{"accountId":{}}}},"BatchGetAccountStatus":{"http":{"requestUri":"/status/batch/get","responseCode":200},"input":{"type":"structure","members":{"accountIds":{"shape":"S5"}}},"output":{"type":"structure","required":["accounts"],"members":{"accounts":{"type":"list","member":{"type":"structure","required":["accountId","resourceState","state"],"members":{"accountId":{},"resourceState":{"type":"structure","required":["ec2","ecr"],"members":{"ec2":{"shape":"Sa"},"ecr":{"shape":"Sa"}}},"state":{"shape":"Sa"}}}},"failedAccounts":{"shape":"Se"}}}},"BatchGetFreeTrialInfo":{"http":{"requestUri":"/freetrialinfo/batchget","responseCode":200},"input":{"type":"structure","required":["accountIds"],"members":{"accountIds":{"type":"list","member":{}}}},"output":{"type":"structure","required":["accounts","failedAccounts"],"members":{"accounts":{"type":"list","member":{"type":"structure","required":["accountId","freeTrialInfo"],"members":{"accountId":{},"freeTrialInfo":{"type":"list","member":{"type":"structure","required":["end","start","status","type"],"members":{"end":{"type":"timestamp"},"start":{"type":"timestamp"},"status":{},"type":{}}}}}}},"failedAccounts":{"type":"list","member":{"type":"structure","required":["accountId","code","message"],"members":{"accountId":{},"code":{},"message":{}}}}}}},"CancelFindingsReport":{"http":{"requestUri":"/reporting/cancel","responseCode":200},"input":{"type":"structure","required":["reportId"],"members":{"reportId":{}}},"output":{"type":"structure","required":["reportId"],"members":{"reportId":{}}}},"CreateFilter":{"http":{"requestUri":"/filters/create","responseCode":200},"input":{"type":"structure","required":["action","filterCriteria","name"],"members":{"action":{},"description":{},"filterCriteria":{"shape":"S12"},"name":{},"tags":{"shape":"S1n"}}},"output":{"type":"structure","required":["arn"],"members":{"arn":{}}}},"CreateFindingsReport":{"http":{"requestUri":"/reporting/create","responseCode":200},"input":{"type":"structure","required":["reportFormat","s3Destination"],"members":{"filterCriteria":{"shape":"S12"},"reportFormat":{},"s3Destination":{"shape":"S1s"}}},"output":{"type":"structure","members":{"reportId":{}}}},"DeleteFilter":{"http":{"requestUri":"/filters/delete","responseCode":200},"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","required":["arn"],"members":{"arn":{}}}},"DescribeOrganizationConfiguration":{"http":{"requestUri":"/organizationconfiguration/describe","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"autoEnable":{"shape":"S1y"},"maxAccountLimitReached":{"type":"boolean"}}}},"Disable":{"http":{"requestUri":"/disable","responseCode":200},"input":{"type":"structure","members":{"accountIds":{"shape":"S5"},"resourceTypes":{"type":"list","member":{}}}},"output":{"type":"structure","required":["accounts"],"members":{"accounts":{"shape":"S24"},"failedAccounts":{"shape":"Se"}}}},"DisableDelegatedAdminAccount":{"http":{"requestUri":"/delegatedadminaccounts/disable","responseCode":200},"input":{"type":"structure","required":["delegatedAdminAccountId"],"members":{"delegatedAdminAccountId":{}}},"output":{"type":"structure","required":["delegatedAdminAccountId"],"members":{"delegatedAdminAccountId":{}}}},"DisassociateMember":{"http":{"requestUri":"/members/disassociate","responseCode":200},"input":{"type":"structure","required":["accountId"],"members":{"accountId":{}}},"output":{"type":"structure","required":["accountId"],"members":{"accountId":{}}}},"Enable":{"http":{"requestUri":"/enable","responseCode":200},"input":{"type":"structure","required":["resourceTypes"],"members":{"accountIds":{"shape":"S5"},"clientToken":{"idempotencyToken":true},"resourceTypes":{"type":"list","member":{}}}},"output":{"type":"structure","required":["accounts"],"members":{"accounts":{"shape":"S24"},"failedAccounts":{"shape":"Se"}}}},"EnableDelegatedAdminAccount":{"http":{"requestUri":"/delegatedadminaccounts/enable","responseCode":200},"input":{"type":"structure","required":["delegatedAdminAccountId"],"members":{"clientToken":{"idempotencyToken":true},"delegatedAdminAccountId":{}}},"output":{"type":"structure","required":["delegatedAdminAccountId"],"members":{"delegatedAdminAccountId":{}}}},"GetDelegatedAdminAccount":{"http":{"requestUri":"/delegatedadminaccounts/get","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"delegatedAdmin":{"type":"structure","members":{"accountId":{},"relationshipStatus":{}}}}}},"GetFindingsReportStatus":{"http":{"requestUri":"/reporting/status/get","responseCode":200},"input":{"type":"structure","members":{"reportId":{}}},"output":{"type":"structure","members":{"destination":{"shape":"S1s"},"errorCode":{},"errorMessage":{},"filterCriteria":{"shape":"S12"},"reportId":{},"status":{}}}},"GetMember":{"http":{"requestUri":"/members/get","responseCode":200},"input":{"type":"structure","required":["accountId"],"members":{"accountId":{}}},"output":{"type":"structure","members":{"member":{"shape":"S2r"}}}},"ListAccountPermissions":{"http":{"requestUri":"/accountpermissions/list","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{},"service":{}}},"output":{"type":"structure","required":["permissions"],"members":{"nextToken":{},"permissions":{"type":"list","member":{"type":"structure","required":["operation","service"],"members":{"operation":{},"service":{}}}}}}},"ListCoverage":{"http":{"requestUri":"/coverage/list","responseCode":200},"input":{"type":"structure","members":{"filterCriteria":{"shape":"S32"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"coveredResources":{"type":"list","member":{"type":"structure","required":["accountId","resourceId","resourceType","scanType"],"members":{"accountId":{},"resourceId":{},"resourceMetadata":{"type":"structure","members":{"ec2":{"type":"structure","members":{"amiId":{},"platform":{},"tags":{"shape":"S1n"}}},"ecrImage":{"type":"structure","members":{"tags":{"type":"list","member":{}}}},"ecrRepository":{"type":"structure","members":{"name":{},"scanFrequency":{}}}}},"resourceType":{},"scanStatus":{"type":"structure","required":["reason","statusCode"],"members":{"reason":{},"statusCode":{}}},"scanType":{}}}},"nextToken":{}}}},"ListCoverageStatistics":{"http":{"requestUri":"/coverage/statistics/list","responseCode":200},"input":{"type":"structure","members":{"filterCriteria":{"shape":"S32"},"groupBy":{},"nextToken":{}}},"output":{"type":"structure","required":["totalCounts"],"members":{"countsByGroup":{"type":"list","member":{"type":"structure","members":{"count":{"type":"long"},"groupKey":{}}}},"nextToken":{},"totalCounts":{"type":"long"}}}},"ListDelegatedAdminAccounts":{"http":{"requestUri":"/delegatedadminaccounts/list","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"delegatedAdminAccounts":{"type":"list","member":{"type":"structure","members":{"accountId":{},"status":{}}}},"nextToken":{}}}},"ListFilters":{"http":{"requestUri":"/filters/list","responseCode":200},"input":{"type":"structure","members":{"action":{},"arns":{"type":"list","member":{}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["filters"],"members":{"filters":{"type":"list","member":{"type":"structure","required":["action","arn","createdAt","criteria","name","ownerId","updatedAt"],"members":{"action":{},"arn":{},"createdAt":{"type":"timestamp"},"criteria":{"shape":"S12"},"description":{},"name":{},"ownerId":{},"reason":{},"tags":{"shape":"S1n"},"updatedAt":{"type":"timestamp"}}}},"nextToken":{}}}},"ListFindingAggregations":{"http":{"requestUri":"/findings/aggregation/list","responseCode":200},"input":{"type":"structure","required":["aggregationType"],"members":{"accountIds":{"shape":"S13"},"aggregationRequest":{"type":"structure","members":{"accountAggregation":{"type":"structure","members":{"findingType":{},"resourceType":{},"sortBy":{},"sortOrder":{}}},"amiAggregation":{"type":"structure","members":{"amis":{"shape":"S13"},"sortBy":{},"sortOrder":{}}},"awsEcrContainerAggregation":{"type":"structure","members":{"architectures":{"shape":"S13"},"imageShas":{"shape":"S13"},"imageTags":{"shape":"S13"},"repositories":{"shape":"S13"},"resourceIds":{"shape":"S13"},"sortBy":{},"sortOrder":{}}},"ec2InstanceAggregation":{"type":"structure","members":{"amis":{"shape":"S13"},"instanceIds":{"shape":"S13"},"instanceTags":{"shape":"S1f"},"operatingSystems":{"shape":"S13"},"sortBy":{},"sortOrder":{}}},"findingTypeAggregation":{"type":"structure","members":{"findingType":{},"resourceType":{},"sortBy":{},"sortOrder":{}}},"imageLayerAggregation":{"type":"structure","members":{"layerHashes":{"shape":"S13"},"repositories":{"shape":"S13"},"resourceIds":{"shape":"S13"},"sortBy":{},"sortOrder":{}}},"packageAggregation":{"type":"structure","members":{"packageNames":{"shape":"S13"},"sortBy":{},"sortOrder":{}}},"repositoryAggregation":{"type":"structure","members":{"repositories":{"shape":"S13"},"sortBy":{},"sortOrder":{}}},"titleAggregation":{"type":"structure","members":{"resourceType":{},"sortBy":{},"sortOrder":{},"titles":{"shape":"S13"},"vulnerabilityIds":{"shape":"S13"}}}},"union":true},"aggregationType":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["aggregationType"],"members":{"aggregationType":{},"nextToken":{},"responses":{"type":"list","member":{"type":"structure","members":{"accountAggregation":{"type":"structure","members":{"accountId":{},"severityCounts":{"shape":"S56"}}},"amiAggregation":{"type":"structure","required":["ami"],"members":{"accountId":{},"affectedInstances":{"type":"long"},"ami":{},"severityCounts":{"shape":"S56"}}},"awsEcrContainerAggregation":{"type":"structure","required":["resourceId"],"members":{"accountId":{},"architecture":{},"imageSha":{},"imageTags":{"type":"list","member":{}},"repository":{},"resourceId":{},"severityCounts":{"shape":"S56"}}},"ec2InstanceAggregation":{"type":"structure","required":["instanceId"],"members":{"accountId":{},"ami":{},"instanceId":{},"instanceTags":{"shape":"S1n"},"networkFindings":{"type":"long"},"operatingSystem":{},"severityCounts":{"shape":"S56"}}},"findingTypeAggregation":{"type":"structure","members":{"accountId":{},"severityCounts":{"shape":"S56"}}},"imageLayerAggregation":{"type":"structure","required":["accountId","layerHash","repository","resourceId"],"members":{"accountId":{},"layerHash":{},"repository":{},"resourceId":{},"severityCounts":{"shape":"S56"}}},"packageAggregation":{"type":"structure","required":["packageName"],"members":{"accountId":{},"packageName":{},"severityCounts":{"shape":"S56"}}},"repositoryAggregation":{"type":"structure","required":["repository"],"members":{"accountId":{},"affectedImages":{"type":"long"},"repository":{},"severityCounts":{"shape":"S56"}}},"titleAggregation":{"type":"structure","required":["title"],"members":{"accountId":{},"severityCounts":{"shape":"S56"},"title":{},"vulnerabilityId":{}}}},"union":true}}}}},"ListFindings":{"http":{"requestUri":"/findings/list","responseCode":200},"input":{"type":"structure","members":{"filterCriteria":{"shape":"S12"},"maxResults":{"type":"integer"},"nextToken":{},"sortCriteria":{"type":"structure","required":["field","sortOrder"],"members":{"field":{},"sortOrder":{}}}}},"output":{"type":"structure","members":{"findings":{"type":"list","member":{"type":"structure","required":["awsAccountId","description","findingArn","firstObservedAt","lastObservedAt","remediation","resources","severity","status","type"],"members":{"awsAccountId":{},"description":{},"findingArn":{},"firstObservedAt":{"type":"timestamp"},"inspectorScore":{"type":"double"},"inspectorScoreDetails":{"type":"structure","members":{"adjustedCvss":{"type":"structure","required":["score","scoreSource","scoringVector","version"],"members":{"adjustments":{"type":"list","member":{"type":"structure","required":["metric","reason"],"members":{"metric":{},"reason":{}}}},"cvssSource":{},"score":{"type":"double"},"scoreSource":{},"scoringVector":{},"version":{}}}}},"lastObservedAt":{"type":"timestamp"},"networkReachabilityDetails":{"type":"structure","required":["networkPath","openPortRange","protocol"],"members":{"networkPath":{"type":"structure","members":{"steps":{"type":"list","member":{"type":"structure","required":["componentId","componentType"],"members":{"componentId":{},"componentType":{}}}}}},"openPortRange":{"type":"structure","required":["begin","end"],"members":{"begin":{"type":"integer"},"end":{"type":"integer"}}},"protocol":{}}},"packageVulnerabilityDetails":{"type":"structure","required":["source","vulnerabilityId","vulnerablePackages"],"members":{"cvss":{"type":"list","member":{"type":"structure","required":["baseScore","scoringVector","source","version"],"members":{"baseScore":{"type":"double"},"scoringVector":{},"source":{},"version":{}}}},"referenceUrls":{"type":"list","member":{}},"relatedVulnerabilities":{"type":"list","member":{}},"source":{},"sourceUrl":{},"vendorCreatedAt":{"type":"timestamp"},"vendorSeverity":{},"vendorUpdatedAt":{"type":"timestamp"},"vulnerabilityId":{},"vulnerablePackages":{"type":"list","member":{"type":"structure","required":["name","version"],"members":{"arch":{},"epoch":{"type":"integer"},"filePath":{},"fixedInVersion":{},"name":{},"packageManager":{},"release":{},"sourceLayerHash":{},"version":{}}}}}},"remediation":{"type":"structure","members":{"recommendation":{"type":"structure","members":{"Url":{},"text":{}}}}},"resources":{"type":"list","member":{"type":"structure","required":["id","type"],"members":{"details":{"type":"structure","members":{"awsEc2Instance":{"type":"structure","members":{"iamInstanceProfileArn":{},"imageId":{},"ipV4Addresses":{"type":"list","member":{}},"ipV6Addresses":{"type":"list","member":{}},"keyName":{},"launchedAt":{"type":"timestamp"},"platform":{},"subnetId":{},"type":{},"vpcId":{}}},"awsEcrContainerImage":{"type":"structure","required":["imageHash","registry","repositoryName"],"members":{"architecture":{},"author":{},"imageHash":{},"imageTags":{"type":"list","member":{}},"platform":{},"pushedAt":{"type":"timestamp"},"registry":{},"repositoryName":{}}}}},"id":{},"partition":{},"region":{},"tags":{"shape":"S1n"},"type":{}}}},"severity":{},"status":{},"title":{},"type":{},"updatedAt":{"type":"timestamp"}}}},"nextToken":{}}}},"ListMembers":{"http":{"requestUri":"/members/list","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{},"onlyAssociated":{"type":"boolean"}}},"output":{"type":"structure","members":{"members":{"type":"list","member":{"shape":"S2r"}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S1n"}}}},"ListUsageTotals":{"http":{"requestUri":"/usage/list","responseCode":200},"input":{"type":"structure","members":{"accountIds":{"type":"list","member":{}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"nextToken":{},"totals":{"type":"list","member":{"type":"structure","members":{"accountId":{},"usage":{"type":"list","member":{"type":"structure","members":{"currency":{},"estimatedMonthlyCost":{"type":"double"},"total":{"type":"double"},"type":{}}}}}}}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S1n"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateFilter":{"http":{"requestUri":"/filters/update","responseCode":200},"input":{"type":"structure","required":["filterArn"],"members":{"action":{},"description":{},"filterArn":{},"filterCriteria":{"shape":"S12"},"name":{}}},"output":{"type":"structure","required":["arn"],"members":{"arn":{}}}},"UpdateOrganizationConfiguration":{"http":{"requestUri":"/organizationconfiguration/update","responseCode":200},"input":{"type":"structure","required":["autoEnable"],"members":{"autoEnable":{"shape":"S1y"}}},"output":{"type":"structure","required":["autoEnable"],"members":{"autoEnable":{"shape":"S1y"}}}}},"shapes":{"S5":{"type":"list","member":{}},"Sa":{"type":"structure","required":["errorCode","errorMessage","status"],"members":{"errorCode":{},"errorMessage":{},"status":{}}},"Se":{"type":"list","member":{"type":"structure","required":["accountId","errorCode","errorMessage"],"members":{"accountId":{},"errorCode":{},"errorMessage":{},"resourceStatus":{"shape":"Sg"},"status":{}}}},"Sg":{"type":"structure","required":["ec2","ecr"],"members":{"ec2":{},"ecr":{}}},"S12":{"type":"structure","members":{"awsAccountId":{"shape":"S13"},"componentId":{"shape":"S13"},"componentType":{"shape":"S13"},"ec2InstanceImageId":{"shape":"S13"},"ec2InstanceSubnetId":{"shape":"S13"},"ec2InstanceVpcId":{"shape":"S13"},"ecrImageArchitecture":{"shape":"S13"},"ecrImageHash":{"shape":"S13"},"ecrImagePushedAt":{"shape":"S17"},"ecrImageRegistry":{"shape":"S13"},"ecrImageRepositoryName":{"shape":"S13"},"ecrImageTags":{"shape":"S13"},"findingArn":{"shape":"S13"},"findingStatus":{"shape":"S13"},"findingType":{"shape":"S13"},"firstObservedAt":{"shape":"S17"},"inspectorScore":{"type":"list","member":{"shape":"S1a"}},"lastObservedAt":{"shape":"S17"},"networkProtocol":{"shape":"S13"},"portRange":{"type":"list","member":{"type":"structure","members":{"beginInclusive":{"type":"integer"},"endInclusive":{"type":"integer"}}}},"relatedVulnerabilities":{"shape":"S13"},"resourceId":{"shape":"S13"},"resourceTags":{"shape":"S1f"},"resourceType":{"shape":"S13"},"severity":{"shape":"S13"},"title":{"shape":"S13"},"updatedAt":{"shape":"S17"},"vendorSeverity":{"shape":"S13"},"vulnerabilityId":{"shape":"S13"},"vulnerabilitySource":{"shape":"S13"},"vulnerablePackages":{"type":"list","member":{"type":"structure","members":{"architecture":{"shape":"S14"},"epoch":{"shape":"S1a"},"name":{"shape":"S14"},"release":{"shape":"S14"},"sourceLayerHash":{"shape":"S14"},"version":{"shape":"S14"}}}}}},"S13":{"type":"list","member":{"shape":"S14"}},"S14":{"type":"structure","required":["comparison","value"],"members":{"comparison":{},"value":{}}},"S17":{"type":"list","member":{"type":"structure","members":{"endInclusive":{"type":"timestamp"},"startInclusive":{"type":"timestamp"}}}},"S1a":{"type":"structure","members":{"lowerInclusive":{"type":"double"},"upperInclusive":{"type":"double"}}},"S1f":{"type":"list","member":{"type":"structure","required":["comparison","key"],"members":{"comparison":{},"key":{},"value":{}}}},"S1n":{"type":"map","key":{},"value":{}},"S1s":{"type":"structure","required":["bucketName","kmsKeyArn"],"members":{"bucketName":{},"keyPrefix":{},"kmsKeyArn":{}}},"S1y":{"type":"structure","required":["ec2","ecr"],"members":{"ec2":{"type":"boolean"},"ecr":{"type":"boolean"}}},"S24":{"type":"list","member":{"type":"structure","required":["accountId","resourceStatus","status"],"members":{"accountId":{},"resourceStatus":{"shape":"Sg"},"status":{}}}},"S2r":{"type":"structure","members":{"accountId":{},"delegatedAdminAccountId":{},"relationshipStatus":{},"updatedAt":{"type":"timestamp"}}},"S32":{"type":"structure","members":{"accountId":{"shape":"S33"},"ec2InstanceTags":{"type":"list","member":{"type":"structure","required":["comparison","key"],"members":{"comparison":{},"key":{},"value":{}}}},"ecrImageTags":{"shape":"S33"},"ecrRepositoryName":{"shape":"S33"},"resourceId":{"shape":"S33"},"resourceType":{"shape":"S33"},"scanStatusCode":{"shape":"S33"},"scanStatusReason":{"shape":"S33"},"scanType":{"shape":"S33"}}},"S33":{"type":"list","member":{"type":"structure","required":["comparison","value"],"members":{"comparison":{},"value":{}}}},"S56":{"type":"structure","members":{"all":{"type":"long"},"critical":{"type":"long"},"high":{"type":"long"},"medium":{"type":"long"}}}}}');

/***/ }),

/***/ 17472:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAccountPermissions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"permissions"},"ListCoverage":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"coveredResources"},"ListCoverageStatistics":{"input_token":"nextToken","output_token":"nextToken","result_key":"countsByGroup"},"ListDelegatedAdminAccounts":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"delegatedAdminAccounts"},"ListFilters":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"filters"},"ListFindingAggregations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"responses"},"ListFindings":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"findings"},"ListMembers":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"members"},"ListUsageTotals":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"totals"}}}');

/***/ }),

/***/ 40063:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-05-28","endpointPrefix":"iot","protocol":"rest-json","serviceFullName":"AWS IoT","serviceId":"IoT","signatureVersion":"v4","signingName":"execute-api","uid":"iot-2015-05-28"},"operations":{"AcceptCertificateTransfer":{"http":{"method":"PATCH","requestUri":"/accept-certificate-transfer/{certificateId}"},"input":{"type":"structure","required":["certificateId"],"members":{"certificateId":{"location":"uri","locationName":"certificateId"},"setAsActive":{"location":"querystring","locationName":"setAsActive","type":"boolean"}}}},"AddThingToBillingGroup":{"http":{"method":"PUT","requestUri":"/billing-groups/addThingToBillingGroup"},"input":{"type":"structure","members":{"billingGroupName":{},"billingGroupArn":{},"thingName":{},"thingArn":{}}},"output":{"type":"structure","members":{}}},"AddThingToThingGroup":{"http":{"method":"PUT","requestUri":"/thing-groups/addThingToThingGroup"},"input":{"type":"structure","members":{"thingGroupName":{},"thingGroupArn":{},"thingName":{},"thingArn":{},"overrideDynamicGroups":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"AssociateTargetsWithJob":{"http":{"requestUri":"/jobs/{jobId}/targets"},"input":{"type":"structure","required":["targets","jobId"],"members":{"targets":{"shape":"Sg"},"jobId":{"location":"uri","locationName":"jobId"},"comment":{},"namespaceId":{"location":"querystring","locationName":"namespaceId"}}},"output":{"type":"structure","members":{"jobArn":{},"jobId":{},"description":{}}}},"AttachPolicy":{"http":{"method":"PUT","requestUri":"/target-policies/{policyName}"},"input":{"type":"structure","required":["policyName","target"],"members":{"policyName":{"location":"uri","locationName":"policyName"},"target":{}}}},"AttachPrincipalPolicy":{"http":{"method":"PUT","requestUri":"/principal-policies/{policyName}"},"input":{"type":"structure","required":["policyName","principal"],"members":{"policyName":{"location":"uri","locationName":"policyName"},"principal":{"location":"header","locationName":"x-amzn-iot-principal"}}},"deprecated":true},"AttachSecurityProfile":{"http":{"method":"PUT","requestUri":"/security-profiles/{securityProfileName}/targets"},"input":{"type":"structure","required":["securityProfileName","securityProfileTargetArn"],"members":{"securityProfileName":{"location":"uri","locationName":"securityProfileName"},"securityProfileTargetArn":{"location":"querystring","locationName":"securityProfileTargetArn"}}},"output":{"type":"structure","members":{}}},"AttachThingPrincipal":{"http":{"method":"PUT","requestUri":"/things/{thingName}/principals"},"input":{"type":"structure","required":["thingName","principal"],"members":{"thingName":{"location":"uri","locationName":"thingName"},"principal":{"location":"header","locationName":"x-amzn-principal"}}},"output":{"type":"structure","members":{}}},"CancelAuditMitigationActionsTask":{"http":{"method":"PUT","requestUri":"/audit/mitigationactions/tasks/{taskId}/cancel"},"input":{"type":"structure","required":["taskId"],"members":{"taskId":{"location":"uri","locationName":"taskId"}}},"output":{"type":"structure","members":{}}},"CancelAuditTask":{"http":{"method":"PUT","requestUri":"/audit/tasks/{taskId}/cancel"},"input":{"type":"structure","required":["taskId"],"members":{"taskId":{"location":"uri","locationName":"taskId"}}},"output":{"type":"structure","members":{}}},"CancelCertificateTransfer":{"http":{"method":"PATCH","requestUri":"/cancel-certificate-transfer/{certificateId}"},"input":{"type":"structure","required":["certificateId"],"members":{"certificateId":{"location":"uri","locationName":"certificateId"}}}},"CancelDetectMitigationActionsTask":{"http":{"method":"PUT","requestUri":"/detect/mitigationactions/tasks/{taskId}/cancel"},"input":{"type":"structure","required":["taskId"],"members":{"taskId":{"location":"uri","locationName":"taskId"}}},"output":{"type":"structure","members":{}}},"CancelJob":{"http":{"method":"PUT","requestUri":"/jobs/{jobId}/cancel"},"input":{"type":"structure","required":["jobId"],"members":{"jobId":{"location":"uri","locationName":"jobId"},"reasonCode":{},"comment":{},"force":{"location":"querystring","locationName":"force","type":"boolean"}}},"output":{"type":"structure","members":{"jobArn":{},"jobId":{},"description":{}}}},"CancelJobExecution":{"http":{"method":"PUT","requestUri":"/things/{thingName}/jobs/{jobId}/cancel"},"input":{"type":"structure","required":["jobId","thingName"],"members":{"jobId":{"location":"uri","locationName":"jobId"},"thingName":{"location":"uri","locationName":"thingName"},"force":{"location":"querystring","locationName":"force","type":"boolean"},"expectedVersion":{"type":"long"},"statusDetails":{"shape":"S1e"}}}},"ClearDefaultAuthorizer":{"http":{"method":"DELETE","requestUri":"/default-authorizer"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"ConfirmTopicRuleDestination":{"http":{"method":"GET","requestUri":"/confirmdestination/{confirmationToken+}"},"input":{"type":"structure","required":["confirmationToken"],"members":{"confirmationToken":{"location":"uri","locationName":"confirmationToken"}}},"output":{"type":"structure","members":{}}},"CreateAuditSuppression":{"http":{"requestUri":"/audit/suppressions/create"},"input":{"type":"structure","required":["checkName","resourceIdentifier","clientRequestToken"],"members":{"checkName":{},"resourceIdentifier":{"shape":"S1o"},"expirationDate":{"type":"timestamp"},"suppressIndefinitely":{"type":"boolean"},"description":{},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{}}},"CreateAuthorizer":{"http":{"requestUri":"/authorizer/{authorizerName}"},"input":{"type":"structure","required":["authorizerName","authorizerFunctionArn"],"members":{"authorizerName":{"location":"uri","locationName":"authorizerName"},"authorizerFunctionArn":{},"tokenKeyName":{},"tokenSigningPublicKeys":{"shape":"S25"},"status":{},"tags":{"shape":"S29"},"signingDisabled":{"type":"boolean"},"enableCachingForHttp":{"type":"boolean"}}},"output":{"type":"structure","members":{"authorizerName":{},"authorizerArn":{}}}},"CreateBillingGroup":{"http":{"requestUri":"/billing-groups/{billingGroupName}"},"input":{"type":"structure","required":["billingGroupName"],"members":{"billingGroupName":{"location":"uri","locationName":"billingGroupName"},"billingGroupProperties":{"shape":"S2i"},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"billingGroupName":{},"billingGroupArn":{},"billingGroupId":{}}}},"CreateCertificateFromCsr":{"http":{"requestUri":"/certificates"},"input":{"type":"structure","required":["certificateSigningRequest"],"members":{"certificateSigningRequest":{},"setAsActive":{"location":"querystring","locationName":"setAsActive","type":"boolean"}}},"output":{"type":"structure","members":{"certificateArn":{},"certificateId":{},"certificatePem":{}}}},"CreateCustomMetric":{"http":{"requestUri":"/custom-metric/{metricName}"},"input":{"type":"structure","required":["metricName","metricType","clientRequestToken"],"members":{"metricName":{"location":"uri","locationName":"metricName"},"displayName":{},"metricType":{},"tags":{"shape":"S29"},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"metricName":{},"metricArn":{}}}},"CreateDimension":{"http":{"requestUri":"/dimensions/{name}"},"input":{"type":"structure","required":["name","type","stringValues","clientRequestToken"],"members":{"name":{"location":"uri","locationName":"name"},"type":{},"stringValues":{"shape":"S30"},"tags":{"shape":"S29"},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"name":{},"arn":{}}}},"CreateDomainConfiguration":{"http":{"requestUri":"/domainConfigurations/{domainConfigurationName}"},"input":{"type":"structure","required":["domainConfigurationName"],"members":{"domainConfigurationName":{"location":"uri","locationName":"domainConfigurationName"},"domainName":{},"serverCertificateArns":{"type":"list","member":{}},"validationCertificateArn":{},"authorizerConfig":{"shape":"S39"},"serviceType":{},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"domainConfigurationName":{},"domainConfigurationArn":{}}}},"CreateDynamicThingGroup":{"http":{"requestUri":"/dynamic-thing-groups/{thingGroupName}"},"input":{"type":"structure","required":["thingGroupName","queryString"],"members":{"thingGroupName":{"location":"uri","locationName":"thingGroupName"},"thingGroupProperties":{"shape":"S3f"},"indexName":{},"queryString":{},"queryVersion":{},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"thingGroupName":{},"thingGroupArn":{},"thingGroupId":{},"indexName":{},"queryString":{},"queryVersion":{}}}},"CreateFleetMetric":{"http":{"method":"PUT","requestUri":"/fleet-metric/{metricName}"},"input":{"type":"structure","required":["metricName","queryString","aggregationType","period","aggregationField"],"members":{"metricName":{"location":"uri","locationName":"metricName"},"queryString":{},"aggregationType":{"shape":"S3t"},"period":{"type":"integer"},"aggregationField":{},"description":{},"queryVersion":{},"indexName":{},"unit":{},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"metricName":{},"metricArn":{}}}},"CreateJob":{"http":{"method":"PUT","requestUri":"/jobs/{jobId}"},"input":{"type":"structure","required":["jobId","targets"],"members":{"jobId":{"location":"uri","locationName":"jobId"},"targets":{"shape":"Sg"},"documentSource":{},"document":{},"description":{},"presignedUrlConfig":{"shape":"S46"},"targetSelection":{},"jobExecutionsRolloutConfig":{"shape":"S49"},"abortConfig":{"shape":"S4g"},"timeoutConfig":{"shape":"S4n"},"tags":{"shape":"S29"},"namespaceId":{},"jobTemplateArn":{},"documentParameters":{"shape":"S4q"}}},"output":{"type":"structure","members":{"jobArn":{},"jobId":{},"description":{}}}},"CreateJobTemplate":{"http":{"method":"PUT","requestUri":"/job-templates/{jobTemplateId}"},"input":{"type":"structure","required":["jobTemplateId","description"],"members":{"jobTemplateId":{"location":"uri","locationName":"jobTemplateId"},"jobArn":{},"documentSource":{},"document":{},"description":{},"presignedUrlConfig":{"shape":"S46"},"jobExecutionsRolloutConfig":{"shape":"S49"},"abortConfig":{"shape":"S4g"},"timeoutConfig":{"shape":"S4n"},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"jobTemplateArn":{},"jobTemplateId":{}}}},"CreateKeysAndCertificate":{"http":{"requestUri":"/keys-and-certificate"},"input":{"type":"structure","members":{"setAsActive":{"location":"querystring","locationName":"setAsActive","type":"boolean"}}},"output":{"type":"structure","members":{"certificateArn":{},"certificateId":{},"certificatePem":{},"keyPair":{"shape":"S4z"}}}},"CreateMitigationAction":{"http":{"requestUri":"/mitigationactions/actions/{actionName}"},"input":{"type":"structure","required":["actionName","roleArn","actionParams"],"members":{"actionName":{"location":"uri","locationName":"actionName"},"roleArn":{},"actionParams":{"shape":"S54"},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"actionArn":{},"actionId":{}}}},"CreateOTAUpdate":{"http":{"requestUri":"/otaUpdates/{otaUpdateId}"},"input":{"type":"structure","required":["otaUpdateId","targets","files","roleArn"],"members":{"otaUpdateId":{"location":"uri","locationName":"otaUpdateId"},"description":{},"targets":{"shape":"S5n"},"protocols":{"shape":"S5p"},"targetSelection":{},"awsJobExecutionsRolloutConfig":{"shape":"S5r"},"awsJobPresignedUrlConfig":{"shape":"S5y"},"awsJobAbortConfig":{"type":"structure","required":["abortCriteriaList"],"members":{"abortCriteriaList":{"type":"list","member":{"type":"structure","required":["failureType","action","thresholdPercentage","minNumberOfExecutedThings"],"members":{"failureType":{},"action":{},"thresholdPercentage":{"type":"double"},"minNumberOfExecutedThings":{"type":"integer"}}}}}},"awsJobTimeoutConfig":{"type":"structure","members":{"inProgressTimeoutInMinutes":{"type":"long"}}},"files":{"shape":"S69"},"roleArn":{},"additionalParameters":{"shape":"S77"},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"otaUpdateId":{},"awsIotJobId":{},"otaUpdateArn":{},"awsIotJobArn":{},"otaUpdateStatus":{}}}},"CreatePolicy":{"http":{"requestUri":"/policies/{policyName}"},"input":{"type":"structure","required":["policyName","policyDocument"],"members":{"policyName":{"location":"uri","locationName":"policyName"},"policyDocument":{},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"policyName":{},"policyArn":{},"policyDocument":{},"policyVersionId":{}}}},"CreatePolicyVersion":{"http":{"requestUri":"/policies/{policyName}/version"},"input":{"type":"structure","required":["policyName","policyDocument"],"members":{"policyName":{"location":"uri","locationName":"policyName"},"policyDocument":{},"setAsDefault":{"location":"querystring","locationName":"setAsDefault","type":"boolean"}}},"output":{"type":"structure","members":{"policyArn":{},"policyDocument":{},"policyVersionId":{},"isDefaultVersion":{"type":"boolean"}}}},"CreateProvisioningClaim":{"http":{"requestUri":"/provisioning-templates/{templateName}/provisioning-claim"},"input":{"type":"structure","required":["templateName"],"members":{"templateName":{"location":"uri","locationName":"templateName"}}},"output":{"type":"structure","members":{"certificateId":{},"certificatePem":{},"keyPair":{"shape":"S4z"},"expiration":{"type":"timestamp"}}}},"CreateProvisioningTemplate":{"http":{"requestUri":"/provisioning-templates"},"input":{"type":"structure","required":["templateName","templateBody","provisioningRoleArn"],"members":{"templateName":{},"description":{},"templateBody":{},"enabled":{"type":"boolean"},"provisioningRoleArn":{},"preProvisioningHook":{"shape":"S7t"},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"templateArn":{},"templateName":{},"defaultVersionId":{"type":"integer"}}}},"CreateProvisioningTemplateVersion":{"http":{"requestUri":"/provisioning-templates/{templateName}/versions"},"input":{"type":"structure","required":["templateName","templateBody"],"members":{"templateName":{"location":"uri","locationName":"templateName"},"templateBody":{},"setAsDefault":{"location":"querystring","locationName":"setAsDefault","type":"boolean"}}},"output":{"type":"structure","members":{"templateArn":{},"templateName":{},"versionId":{"type":"integer"},"isDefaultVersion":{"type":"boolean"}}}},"CreateRoleAlias":{"http":{"requestUri":"/role-aliases/{roleAlias}"},"input":{"type":"structure","required":["roleAlias","roleArn"],"members":{"roleAlias":{"location":"uri","locationName":"roleAlias"},"roleArn":{},"credentialDurationSeconds":{"type":"integer"},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"roleAlias":{},"roleAliasArn":{}}}},"CreateScheduledAudit":{"http":{"requestUri":"/audit/scheduledaudits/{scheduledAuditName}"},"input":{"type":"structure","required":["frequency","targetCheckNames","scheduledAuditName"],"members":{"frequency":{},"dayOfMonth":{},"dayOfWeek":{},"targetCheckNames":{"shape":"S88"},"scheduledAuditName":{"location":"uri","locationName":"scheduledAuditName"},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"scheduledAuditArn":{}}}},"CreateSecurityProfile":{"http":{"requestUri":"/security-profiles/{securityProfileName}"},"input":{"type":"structure","required":["securityProfileName"],"members":{"securityProfileName":{"location":"uri","locationName":"securityProfileName"},"securityProfileDescription":{},"behaviors":{"shape":"S8e"},"alertTargets":{"shape":"S94"},"additionalMetricsToRetain":{"shape":"S98","deprecated":true,"deprecatedMessage":"Use additionalMetricsToRetainV2."},"additionalMetricsToRetainV2":{"shape":"S99"},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"securityProfileName":{},"securityProfileArn":{}}}},"CreateStream":{"http":{"requestUri":"/streams/{streamId}"},"input":{"type":"structure","required":["streamId","files","roleArn"],"members":{"streamId":{"location":"uri","locationName":"streamId"},"description":{},"files":{"shape":"S9f"},"roleArn":{},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"streamId":{},"streamArn":{},"description":{},"streamVersion":{"type":"integer"}}}},"CreateThing":{"http":{"requestUri":"/things/{thingName}"},"input":{"type":"structure","required":["thingName"],"members":{"thingName":{"location":"uri","locationName":"thingName"},"thingTypeName":{},"attributePayload":{"shape":"S3h"},"billingGroupName":{}}},"output":{"type":"structure","members":{"thingName":{},"thingArn":{},"thingId":{}}}},"CreateThingGroup":{"http":{"requestUri":"/thing-groups/{thingGroupName}"},"input":{"type":"structure","required":["thingGroupName"],"members":{"thingGroupName":{"location":"uri","locationName":"thingGroupName"},"parentGroupName":{},"thingGroupProperties":{"shape":"S3f"},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"thingGroupName":{},"thingGroupArn":{},"thingGroupId":{}}}},"CreateThingType":{"http":{"requestUri":"/thing-types/{thingTypeName}"},"input":{"type":"structure","required":["thingTypeName"],"members":{"thingTypeName":{"location":"uri","locationName":"thingTypeName"},"thingTypeProperties":{"shape":"S9r"},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"thingTypeName":{},"thingTypeArn":{},"thingTypeId":{}}}},"CreateTopicRule":{"http":{"requestUri":"/rules/{ruleName}"},"input":{"type":"structure","required":["ruleName","topicRulePayload"],"members":{"ruleName":{"location":"uri","locationName":"ruleName"},"topicRulePayload":{"shape":"S9z"},"tags":{"location":"header","locationName":"x-amz-tagging"}},"payload":"topicRulePayload"}},"CreateTopicRuleDestination":{"http":{"requestUri":"/destinations"},"input":{"type":"structure","required":["destinationConfiguration"],"members":{"destinationConfiguration":{"type":"structure","members":{"httpUrlConfiguration":{"type":"structure","required":["confirmationUrl"],"members":{"confirmationUrl":{}}},"vpcConfiguration":{"type":"structure","required":["subnetIds","vpcId","roleArn"],"members":{"subnetIds":{"shape":"Sd0"},"securityGroups":{"shape":"Sd2"},"vpcId":{},"roleArn":{}}}}}}},"output":{"type":"structure","members":{"topicRuleDestination":{"shape":"Sd6"}}}},"DeleteAccountAuditConfiguration":{"http":{"method":"DELETE","requestUri":"/audit/configuration"},"input":{"type":"structure","members":{"deleteScheduledAudits":{"location":"querystring","locationName":"deleteScheduledAudits","type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeleteAuditSuppression":{"http":{"requestUri":"/audit/suppressions/delete"},"input":{"type":"structure","required":["checkName","resourceIdentifier"],"members":{"checkName":{},"resourceIdentifier":{"shape":"S1o"}}},"output":{"type":"structure","members":{}}},"DeleteAuthorizer":{"http":{"method":"DELETE","requestUri":"/authorizer/{authorizerName}"},"input":{"type":"structure","required":["authorizerName"],"members":{"authorizerName":{"location":"uri","locationName":"authorizerName"}}},"output":{"type":"structure","members":{}}},"DeleteBillingGroup":{"http":{"method":"DELETE","requestUri":"/billing-groups/{billingGroupName}"},"input":{"type":"structure","required":["billingGroupName"],"members":{"billingGroupName":{"location":"uri","locationName":"billingGroupName"},"expectedVersion":{"location":"querystring","locationName":"expectedVersion","type":"long"}}},"output":{"type":"structure","members":{}}},"DeleteCACertificate":{"http":{"method":"DELETE","requestUri":"/cacertificate/{caCertificateId}"},"input":{"type":"structure","required":["certificateId"],"members":{"certificateId":{"location":"uri","locationName":"caCertificateId"}}},"output":{"type":"structure","members":{}}},"DeleteCertificate":{"http":{"method":"DELETE","requestUri":"/certificates/{certificateId}"},"input":{"type":"structure","required":["certificateId"],"members":{"certificateId":{"location":"uri","locationName":"certificateId"},"forceDelete":{"location":"querystring","locationName":"forceDelete","type":"boolean"}}}},"DeleteCustomMetric":{"http":{"method":"DELETE","requestUri":"/custom-metric/{metricName}"},"input":{"type":"structure","required":["metricName"],"members":{"metricName":{"location":"uri","locationName":"metricName"}}},"output":{"type":"structure","members":{}}},"DeleteDimension":{"http":{"method":"DELETE","requestUri":"/dimensions/{name}"},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{}}},"DeleteDomainConfiguration":{"http":{"method":"DELETE","requestUri":"/domainConfigurations/{domainConfigurationName}"},"input":{"type":"structure","required":["domainConfigurationName"],"members":{"domainConfigurationName":{"location":"uri","locationName":"domainConfigurationName"}}},"output":{"type":"structure","members":{}}},"DeleteDynamicThingGroup":{"http":{"method":"DELETE","requestUri":"/dynamic-thing-groups/{thingGroupName}"},"input":{"type":"structure","required":["thingGroupName"],"members":{"thingGroupName":{"location":"uri","locationName":"thingGroupName"},"expectedVersion":{"location":"querystring","locationName":"expectedVersion","type":"long"}}},"output":{"type":"structure","members":{}}},"DeleteFleetMetric":{"http":{"method":"DELETE","requestUri":"/fleet-metric/{metricName}"},"input":{"type":"structure","required":["metricName"],"members":{"metricName":{"location":"uri","locationName":"metricName"},"expectedVersion":{"location":"querystring","locationName":"expectedVersion","type":"long"}}}},"DeleteJob":{"http":{"method":"DELETE","requestUri":"/jobs/{jobId}"},"input":{"type":"structure","required":["jobId"],"members":{"jobId":{"location":"uri","locationName":"jobId"},"force":{"location":"querystring","locationName":"force","type":"boolean"},"namespaceId":{"location":"querystring","locationName":"namespaceId"}}}},"DeleteJobExecution":{"http":{"method":"DELETE","requestUri":"/things/{thingName}/jobs/{jobId}/executionNumber/{executionNumber}"},"input":{"type":"structure","required":["jobId","thingName","executionNumber"],"members":{"jobId":{"location":"uri","locationName":"jobId"},"thingName":{"location":"uri","locationName":"thingName"},"executionNumber":{"location":"uri","locationName":"executionNumber","type":"long"},"force":{"location":"querystring","locationName":"force","type":"boolean"},"namespaceId":{"location":"querystring","locationName":"namespaceId"}}}},"DeleteJobTemplate":{"http":{"method":"DELETE","requestUri":"/job-templates/{jobTemplateId}"},"input":{"type":"structure","required":["jobTemplateId"],"members":{"jobTemplateId":{"location":"uri","locationName":"jobTemplateId"}}}},"DeleteMitigationAction":{"http":{"method":"DELETE","requestUri":"/mitigationactions/actions/{actionName}"},"input":{"type":"structure","required":["actionName"],"members":{"actionName":{"location":"uri","locationName":"actionName"}}},"output":{"type":"structure","members":{}}},"DeleteOTAUpdate":{"http":{"method":"DELETE","requestUri":"/otaUpdates/{otaUpdateId}"},"input":{"type":"structure","required":["otaUpdateId"],"members":{"otaUpdateId":{"location":"uri","locationName":"otaUpdateId"},"deleteStream":{"location":"querystring","locationName":"deleteStream","type":"boolean"},"forceDeleteAWSJob":{"location":"querystring","locationName":"forceDeleteAWSJob","type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeletePolicy":{"http":{"method":"DELETE","requestUri":"/policies/{policyName}"},"input":{"type":"structure","required":["policyName"],"members":{"policyName":{"location":"uri","locationName":"policyName"}}}},"DeletePolicyVersion":{"http":{"method":"DELETE","requestUri":"/policies/{policyName}/version/{policyVersionId}"},"input":{"type":"structure","required":["policyName","policyVersionId"],"members":{"policyName":{"location":"uri","locationName":"policyName"},"policyVersionId":{"location":"uri","locationName":"policyVersionId"}}}},"DeleteProvisioningTemplate":{"http":{"method":"DELETE","requestUri":"/provisioning-templates/{templateName}"},"input":{"type":"structure","required":["templateName"],"members":{"templateName":{"location":"uri","locationName":"templateName"}}},"output":{"type":"structure","members":{}}},"DeleteProvisioningTemplateVersion":{"http":{"method":"DELETE","requestUri":"/provisioning-templates/{templateName}/versions/{versionId}"},"input":{"type":"structure","required":["templateName","versionId"],"members":{"templateName":{"location":"uri","locationName":"templateName"},"versionId":{"location":"uri","locationName":"versionId","type":"integer"}}},"output":{"type":"structure","members":{}}},"DeleteRegistrationCode":{"http":{"method":"DELETE","requestUri":"/registrationcode"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DeleteRoleAlias":{"http":{"method":"DELETE","requestUri":"/role-aliases/{roleAlias}"},"input":{"type":"structure","required":["roleAlias"],"members":{"roleAlias":{"location":"uri","locationName":"roleAlias"}}},"output":{"type":"structure","members":{}}},"DeleteScheduledAudit":{"http":{"method":"DELETE","requestUri":"/audit/scheduledaudits/{scheduledAuditName}"},"input":{"type":"structure","required":["scheduledAuditName"],"members":{"scheduledAuditName":{"location":"uri","locationName":"scheduledAuditName"}}},"output":{"type":"structure","members":{}}},"DeleteSecurityProfile":{"http":{"method":"DELETE","requestUri":"/security-profiles/{securityProfileName}"},"input":{"type":"structure","required":["securityProfileName"],"members":{"securityProfileName":{"location":"uri","locationName":"securityProfileName"},"expectedVersion":{"location":"querystring","locationName":"expectedVersion","type":"long"}}},"output":{"type":"structure","members":{}}},"DeleteStream":{"http":{"method":"DELETE","requestUri":"/streams/{streamId}"},"input":{"type":"structure","required":["streamId"],"members":{"streamId":{"location":"uri","locationName":"streamId"}}},"output":{"type":"structure","members":{}}},"DeleteThing":{"http":{"method":"DELETE","requestUri":"/things/{thingName}"},"input":{"type":"structure","required":["thingName"],"members":{"thingName":{"location":"uri","locationName":"thingName"},"expectedVersion":{"location":"querystring","locationName":"expectedVersion","type":"long"}}},"output":{"type":"structure","members":{}}},"DeleteThingGroup":{"http":{"method":"DELETE","requestUri":"/thing-groups/{thingGroupName}"},"input":{"type":"structure","required":["thingGroupName"],"members":{"thingGroupName":{"location":"uri","locationName":"thingGroupName"},"expectedVersion":{"location":"querystring","locationName":"expectedVersion","type":"long"}}},"output":{"type":"structure","members":{}}},"DeleteThingType":{"http":{"method":"DELETE","requestUri":"/thing-types/{thingTypeName}"},"input":{"type":"structure","required":["thingTypeName"],"members":{"thingTypeName":{"location":"uri","locationName":"thingTypeName"}}},"output":{"type":"structure","members":{}}},"DeleteTopicRule":{"http":{"method":"DELETE","requestUri":"/rules/{ruleName}"},"input":{"type":"structure","required":["ruleName"],"members":{"ruleName":{"location":"uri","locationName":"ruleName"}}}},"DeleteTopicRuleDestination":{"http":{"method":"DELETE","requestUri":"/destinations/{arn+}"},"input":{"type":"structure","required":["arn"],"members":{"arn":{"location":"uri","locationName":"arn"}}},"output":{"type":"structure","members":{}}},"DeleteV2LoggingLevel":{"http":{"method":"DELETE","requestUri":"/v2LoggingLevel"},"input":{"type":"structure","required":["targetType","targetName"],"members":{"targetType":{"location":"querystring","locationName":"targetType"},"targetName":{"location":"querystring","locationName":"targetName"}}}},"DeprecateThingType":{"http":{"requestUri":"/thing-types/{thingTypeName}/deprecate"},"input":{"type":"structure","required":["thingTypeName"],"members":{"thingTypeName":{"location":"uri","locationName":"thingTypeName"},"undoDeprecate":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DescribeAccountAuditConfiguration":{"http":{"method":"GET","requestUri":"/audit/configuration"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"roleArn":{},"auditNotificationTargetConfigurations":{"shape":"Sf6"},"auditCheckConfigurations":{"shape":"Sf9"}}}},"DescribeAuditFinding":{"http":{"method":"GET","requestUri":"/audit/findings/{findingId}"},"input":{"type":"structure","required":["findingId"],"members":{"findingId":{"location":"uri","locationName":"findingId"}}},"output":{"type":"structure","members":{"finding":{"shape":"Sfe"}}}},"DescribeAuditMitigationActionsTask":{"http":{"method":"GET","requestUri":"/audit/mitigationactions/tasks/{taskId}"},"input":{"type":"structure","required":["taskId"],"members":{"taskId":{"location":"uri","locationName":"taskId"}}},"output":{"type":"structure","members":{"taskStatus":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"taskStatistics":{"type":"map","key":{},"value":{"type":"structure","members":{"totalFindingsCount":{"type":"long"},"failedFindingsCount":{"type":"long"},"succeededFindingsCount":{"type":"long"},"skippedFindingsCount":{"type":"long"},"canceledFindingsCount":{"type":"long"}}}},"target":{"shape":"Sfy"},"auditCheckToActionsMapping":{"shape":"Sg2"},"actionsDefinition":{"shape":"Sg4"}}}},"DescribeAuditSuppression":{"http":{"requestUri":"/audit/suppressions/describe"},"input":{"type":"structure","required":["checkName","resourceIdentifier"],"members":{"checkName":{},"resourceIdentifier":{"shape":"S1o"}}},"output":{"type":"structure","members":{"checkName":{},"resourceIdentifier":{"shape":"S1o"},"expirationDate":{"type":"timestamp"},"suppressIndefinitely":{"type":"boolean"},"description":{}}}},"DescribeAuditTask":{"http":{"method":"GET","requestUri":"/audit/tasks/{taskId}"},"input":{"type":"structure","required":["taskId"],"members":{"taskId":{"location":"uri","locationName":"taskId"}}},"output":{"type":"structure","members":{"taskStatus":{},"taskType":{},"taskStartTime":{"type":"timestamp"},"taskStatistics":{"type":"structure","members":{"totalChecks":{"type":"integer"},"inProgressChecks":{"type":"integer"},"waitingForDataCollectionChecks":{"type":"integer"},"compliantChecks":{"type":"integer"},"nonCompliantChecks":{"type":"integer"},"failedChecks":{"type":"integer"},"canceledChecks":{"type":"integer"}}},"scheduledAuditName":{},"auditDetails":{"type":"map","key":{},"value":{"type":"structure","members":{"checkRunStatus":{},"checkCompliant":{"type":"boolean"},"totalResourcesCount":{"type":"long"},"nonCompliantResourcesCount":{"type":"long"},"suppressedNonCompliantResourcesCount":{"type":"long"},"errorCode":{},"message":{}}}}}}},"DescribeAuthorizer":{"http":{"method":"GET","requestUri":"/authorizer/{authorizerName}"},"input":{"type":"structure","required":["authorizerName"],"members":{"authorizerName":{"location":"uri","locationName":"authorizerName"}}},"output":{"type":"structure","members":{"authorizerDescription":{"shape":"Sgv"}}}},"DescribeBillingGroup":{"http":{"method":"GET","requestUri":"/billing-groups/{billingGroupName}"},"input":{"type":"structure","required":["billingGroupName"],"members":{"billingGroupName":{"location":"uri","locationName":"billingGroupName"}}},"output":{"type":"structure","members":{"billingGroupName":{},"billingGroupId":{},"billingGroupArn":{},"version":{"type":"long"},"billingGroupProperties":{"shape":"S2i"},"billingGroupMetadata":{"type":"structure","members":{"creationDate":{"type":"timestamp"}}}}}},"DescribeCACertificate":{"http":{"method":"GET","requestUri":"/cacertificate/{caCertificateId}"},"input":{"type":"structure","required":["certificateId"],"members":{"certificateId":{"location":"uri","locationName":"caCertificateId"}}},"output":{"type":"structure","members":{"certificateDescription":{"type":"structure","members":{"certificateArn":{},"certificateId":{},"status":{},"certificatePem":{},"ownedBy":{},"creationDate":{"type":"timestamp"},"autoRegistrationStatus":{},"lastModifiedDate":{"type":"timestamp"},"customerVersion":{"type":"integer"},"generationId":{},"validity":{"shape":"Sh8"}}},"registrationConfig":{"shape":"Sh9"}}}},"DescribeCertificate":{"http":{"method":"GET","requestUri":"/certificates/{certificateId}"},"input":{"type":"structure","required":["certificateId"],"members":{"certificateId":{"location":"uri","locationName":"certificateId"}}},"output":{"type":"structure","members":{"certificateDescription":{"type":"structure","members":{"certificateArn":{},"certificateId":{},"caCertificateId":{},"status":{},"certificatePem":{},"ownedBy":{},"previousOwnedBy":{},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"},"customerVersion":{"type":"integer"},"transferData":{"type":"structure","members":{"transferMessage":{},"rejectReason":{},"transferDate":{"type":"timestamp"},"acceptDate":{"type":"timestamp"},"rejectDate":{"type":"timestamp"}}},"generationId":{},"validity":{"shape":"Sh8"},"certificateMode":{}}}}}},"DescribeCustomMetric":{"http":{"method":"GET","requestUri":"/custom-metric/{metricName}"},"input":{"type":"structure","required":["metricName"],"members":{"metricName":{"location":"uri","locationName":"metricName"}}},"output":{"type":"structure","members":{"metricName":{},"metricArn":{},"metricType":{},"displayName":{},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"}}}},"DescribeDefaultAuthorizer":{"http":{"method":"GET","requestUri":"/default-authorizer"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"authorizerDescription":{"shape":"Sgv"}}}},"DescribeDetectMitigationActionsTask":{"http":{"method":"GET","requestUri":"/detect/mitigationactions/tasks/{taskId}"},"input":{"type":"structure","required":["taskId"],"members":{"taskId":{"location":"uri","locationName":"taskId"}}},"output":{"type":"structure","members":{"taskSummary":{"shape":"Shn"}}}},"DescribeDimension":{"http":{"method":"GET","requestUri":"/dimensions/{name}"},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"name":{},"arn":{},"type":{},"stringValues":{"shape":"S30"},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"}}}},"DescribeDomainConfiguration":{"http":{"method":"GET","requestUri":"/domainConfigurations/{domainConfigurationName}"},"input":{"type":"structure","required":["domainConfigurationName"],"members":{"domainConfigurationName":{"location":"uri","locationName":"domainConfigurationName"}}},"output":{"type":"structure","members":{"domainConfigurationName":{},"domainConfigurationArn":{},"domainName":{},"serverCertificates":{"type":"list","member":{"type":"structure","members":{"serverCertificateArn":{},"serverCertificateStatus":{},"serverCertificateStatusDetail":{}}}},"authorizerConfig":{"shape":"S39"},"domainConfigurationStatus":{},"serviceType":{},"domainType":{},"lastStatusChangeDate":{"type":"timestamp"}}}},"DescribeEndpoint":{"http":{"method":"GET","requestUri":"/endpoint"},"input":{"type":"structure","members":{"endpointType":{"location":"querystring","locationName":"endpointType"}}},"output":{"type":"structure","members":{"endpointAddress":{}}}},"DescribeEventConfigurations":{"http":{"method":"GET","requestUri":"/event-configurations"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"eventConfigurations":{"shape":"Sid"},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"}}}},"DescribeFleetMetric":{"http":{"method":"GET","requestUri":"/fleet-metric/{metricName}"},"input":{"type":"structure","required":["metricName"],"members":{"metricName":{"location":"uri","locationName":"metricName"}}},"output":{"type":"structure","members":{"metricName":{},"queryString":{},"aggregationType":{"shape":"S3t"},"period":{"type":"integer"},"aggregationField":{},"description":{},"queryVersion":{},"indexName":{},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"},"unit":{},"version":{"type":"long"},"metricArn":{}}}},"DescribeIndex":{"http":{"method":"GET","requestUri":"/indices/{indexName}"},"input":{"type":"structure","required":["indexName"],"members":{"indexName":{"location":"uri","locationName":"indexName"}}},"output":{"type":"structure","members":{"indexName":{},"indexStatus":{},"schema":{}}}},"DescribeJob":{"http":{"method":"GET","requestUri":"/jobs/{jobId}"},"input":{"type":"structure","required":["jobId"],"members":{"jobId":{"location":"uri","locationName":"jobId"}}},"output":{"type":"structure","members":{"documentSource":{},"job":{"type":"structure","members":{"jobArn":{},"jobId":{},"targetSelection":{},"status":{},"forceCanceled":{"type":"boolean"},"reasonCode":{},"comment":{},"targets":{"shape":"Sg"},"description":{},"presignedUrlConfig":{"shape":"S46"},"jobExecutionsRolloutConfig":{"shape":"S49"},"abortConfig":{"shape":"S4g"},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"completedAt":{"type":"timestamp"},"jobProcessDetails":{"type":"structure","members":{"processingTargets":{"type":"list","member":{}},"numberOfCanceledThings":{"type":"integer"},"numberOfSucceededThings":{"type":"integer"},"numberOfFailedThings":{"type":"integer"},"numberOfRejectedThings":{"type":"integer"},"numberOfQueuedThings":{"type":"integer"},"numberOfInProgressThings":{"type":"integer"},"numberOfRemovedThings":{"type":"integer"},"numberOfTimedOutThings":{"type":"integer"}}},"timeoutConfig":{"shape":"S4n"},"namespaceId":{},"jobTemplateArn":{},"documentParameters":{"shape":"S4q"}}}}}},"DescribeJobExecution":{"http":{"method":"GET","requestUri":"/things/{thingName}/jobs/{jobId}"},"input":{"type":"structure","required":["jobId","thingName"],"members":{"jobId":{"location":"uri","locationName":"jobId"},"thingName":{"location":"uri","locationName":"thingName"},"executionNumber":{"location":"querystring","locationName":"executionNumber","type":"long"}}},"output":{"type":"structure","members":{"execution":{"type":"structure","members":{"jobId":{},"status":{},"forceCanceled":{"type":"boolean"},"statusDetails":{"type":"structure","members":{"detailsMap":{"shape":"S1e"}}},"thingArn":{},"queuedAt":{"type":"timestamp"},"startedAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"executionNumber":{"type":"long"},"versionNumber":{"type":"long"},"approximateSecondsBeforeTimedOut":{"type":"long"}}}}}},"DescribeJobTemplate":{"http":{"method":"GET","requestUri":"/job-templates/{jobTemplateId}"},"input":{"type":"structure","required":["jobTemplateId"],"members":{"jobTemplateId":{"location":"uri","locationName":"jobTemplateId"}}},"output":{"type":"structure","members":{"jobTemplateArn":{},"jobTemplateId":{},"description":{},"documentSource":{},"document":{},"createdAt":{"type":"timestamp"},"presignedUrlConfig":{"shape":"S46"},"jobExecutionsRolloutConfig":{"shape":"S49"},"abortConfig":{"shape":"S4g"},"timeoutConfig":{"shape":"S4n"}}}},"DescribeManagedJobTemplate":{"http":{"method":"GET","requestUri":"/managed-job-templates/{templateName}"},"input":{"type":"structure","required":["templateName"],"members":{"templateName":{"location":"uri","locationName":"templateName"},"templateVersion":{"location":"querystring","locationName":"templateVersion"}}},"output":{"type":"structure","members":{"templateName":{},"templateArn":{},"description":{},"templateVersion":{},"environments":{"shape":"Sjg"},"documentParameters":{"type":"list","member":{"type":"structure","members":{"key":{},"description":{},"regex":{},"example":{},"optional":{"type":"boolean"}}}},"document":{}}}},"DescribeMitigationAction":{"http":{"method":"GET","requestUri":"/mitigationactions/actions/{actionName}"},"input":{"type":"structure","required":["actionName"],"members":{"actionName":{"location":"uri","locationName":"actionName"}}},"output":{"type":"structure","members":{"actionName":{},"actionType":{},"actionArn":{},"actionId":{},"roleArn":{},"actionParams":{"shape":"S54"},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"}}}},"DescribeProvisioningTemplate":{"http":{"method":"GET","requestUri":"/provisioning-templates/{templateName}"},"input":{"type":"structure","required":["templateName"],"members":{"templateName":{"location":"uri","locationName":"templateName"}}},"output":{"type":"structure","members":{"templateArn":{},"templateName":{},"description":{},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"},"defaultVersionId":{"type":"integer"},"templateBody":{},"enabled":{"type":"boolean"},"provisioningRoleArn":{},"preProvisioningHook":{"shape":"S7t"}}}},"DescribeProvisioningTemplateVersion":{"http":{"method":"GET","requestUri":"/provisioning-templates/{templateName}/versions/{versionId}"},"input":{"type":"structure","required":["templateName","versionId"],"members":{"templateName":{"location":"uri","locationName":"templateName"},"versionId":{"location":"uri","locationName":"versionId","type":"integer"}}},"output":{"type":"structure","members":{"versionId":{"type":"integer"},"creationDate":{"type":"timestamp"},"templateBody":{},"isDefaultVersion":{"type":"boolean"}}}},"DescribeRoleAlias":{"http":{"method":"GET","requestUri":"/role-aliases/{roleAlias}"},"input":{"type":"structure","required":["roleAlias"],"members":{"roleAlias":{"location":"uri","locationName":"roleAlias"}}},"output":{"type":"structure","members":{"roleAliasDescription":{"type":"structure","members":{"roleAlias":{},"roleAliasArn":{},"roleArn":{},"owner":{},"credentialDurationSeconds":{"type":"integer"},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"}}}}}},"DescribeScheduledAudit":{"http":{"method":"GET","requestUri":"/audit/scheduledaudits/{scheduledAuditName}"},"input":{"type":"structure","required":["scheduledAuditName"],"members":{"scheduledAuditName":{"location":"uri","locationName":"scheduledAuditName"}}},"output":{"type":"structure","members":{"frequency":{},"dayOfMonth":{},"dayOfWeek":{},"targetCheckNames":{"shape":"S88"},"scheduledAuditName":{},"scheduledAuditArn":{}}}},"DescribeSecurityProfile":{"http":{"method":"GET","requestUri":"/security-profiles/{securityProfileName}"},"input":{"type":"structure","required":["securityProfileName"],"members":{"securityProfileName":{"location":"uri","locationName":"securityProfileName"}}},"output":{"type":"structure","members":{"securityProfileName":{},"securityProfileArn":{},"securityProfileDescription":{},"behaviors":{"shape":"S8e"},"alertTargets":{"shape":"S94"},"additionalMetricsToRetain":{"shape":"S98","deprecated":true,"deprecatedMessage":"Use additionalMetricsToRetainV2."},"additionalMetricsToRetainV2":{"shape":"S99"},"version":{"type":"long"},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"}}}},"DescribeStream":{"http":{"method":"GET","requestUri":"/streams/{streamId}"},"input":{"type":"structure","required":["streamId"],"members":{"streamId":{"location":"uri","locationName":"streamId"}}},"output":{"type":"structure","members":{"streamInfo":{"type":"structure","members":{"streamId":{},"streamArn":{},"streamVersion":{"type":"integer"},"description":{},"files":{"shape":"S9f"},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"roleArn":{}}}}}},"DescribeThing":{"http":{"method":"GET","requestUri":"/things/{thingName}"},"input":{"type":"structure","required":["thingName"],"members":{"thingName":{"location":"uri","locationName":"thingName"}}},"output":{"type":"structure","members":{"defaultClientId":{},"thingName":{},"thingId":{},"thingArn":{},"thingTypeName":{},"attributes":{"shape":"S3i"},"version":{"type":"long"},"billingGroupName":{}}}},"DescribeThingGroup":{"http":{"method":"GET","requestUri":"/thing-groups/{thingGroupName}"},"input":{"type":"structure","required":["thingGroupName"],"members":{"thingGroupName":{"location":"uri","locationName":"thingGroupName"}}},"output":{"type":"structure","members":{"thingGroupName":{},"thingGroupId":{},"thingGroupArn":{},"version":{"type":"long"},"thingGroupProperties":{"shape":"S3f"},"thingGroupMetadata":{"type":"structure","members":{"parentGroupName":{},"rootToParentThingGroups":{"shape":"Sk9"},"creationDate":{"type":"timestamp"}}},"indexName":{},"queryString":{},"queryVersion":{},"status":{}}}},"DescribeThingRegistrationTask":{"http":{"method":"GET","requestUri":"/thing-registration-tasks/{taskId}"},"input":{"type":"structure","required":["taskId"],"members":{"taskId":{"location":"uri","locationName":"taskId"}}},"output":{"type":"structure","members":{"taskId":{},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"},"templateBody":{},"inputFileBucket":{},"inputFileKey":{},"roleArn":{},"status":{},"message":{},"successCount":{"type":"integer"},"failureCount":{"type":"integer"},"percentageProgress":{"type":"integer"}}}},"DescribeThingType":{"http":{"method":"GET","requestUri":"/thing-types/{thingTypeName}"},"input":{"type":"structure","required":["thingTypeName"],"members":{"thingTypeName":{"location":"uri","locationName":"thingTypeName"}}},"output":{"type":"structure","members":{"thingTypeName":{},"thingTypeId":{},"thingTypeArn":{},"thingTypeProperties":{"shape":"S9r"},"thingTypeMetadata":{"shape":"Skm"}}}},"DetachPolicy":{"http":{"requestUri":"/target-policies/{policyName}"},"input":{"type":"structure","required":["policyName","target"],"members":{"policyName":{"location":"uri","locationName":"policyName"},"target":{}}}},"DetachPrincipalPolicy":{"http":{"method":"DELETE","requestUri":"/principal-policies/{policyName}"},"input":{"type":"structure","required":["policyName","principal"],"members":{"policyName":{"location":"uri","locationName":"policyName"},"principal":{"location":"header","locationName":"x-amzn-iot-principal"}}},"deprecated":true},"DetachSecurityProfile":{"http":{"method":"DELETE","requestUri":"/security-profiles/{securityProfileName}/targets"},"input":{"type":"structure","required":["securityProfileName","securityProfileTargetArn"],"members":{"securityProfileName":{"location":"uri","locationName":"securityProfileName"},"securityProfileTargetArn":{"location":"querystring","locationName":"securityProfileTargetArn"}}},"output":{"type":"structure","members":{}}},"DetachThingPrincipal":{"http":{"method":"DELETE","requestUri":"/things/{thingName}/principals"},"input":{"type":"structure","required":["thingName","principal"],"members":{"thingName":{"location":"uri","locationName":"thingName"},"principal":{"location":"header","locationName":"x-amzn-principal"}}},"output":{"type":"structure","members":{}}},"DisableTopicRule":{"http":{"requestUri":"/rules/{ruleName}/disable"},"input":{"type":"structure","required":["ruleName"],"members":{"ruleName":{"location":"uri","locationName":"ruleName"}}}},"EnableTopicRule":{"http":{"requestUri":"/rules/{ruleName}/enable"},"input":{"type":"structure","required":["ruleName"],"members":{"ruleName":{"location":"uri","locationName":"ruleName"}}}},"GetBehaviorModelTrainingSummaries":{"http":{"method":"GET","requestUri":"/behavior-model-training/summaries"},"input":{"type":"structure","members":{"securityProfileName":{"location":"querystring","locationName":"securityProfileName"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"summaries":{"type":"list","member":{"type":"structure","members":{"securityProfileName":{},"behaviorName":{},"trainingDataCollectionStartDate":{"type":"timestamp"},"modelStatus":{},"datapointsCollectionPercentage":{"type":"double"},"lastModelRefreshDate":{"type":"timestamp"}}}},"nextToken":{}}}},"GetBucketsAggregation":{"http":{"requestUri":"/indices/buckets"},"input":{"type":"structure","required":["queryString","aggregationField","bucketsAggregationType"],"members":{"indexName":{},"queryString":{},"aggregationField":{},"queryVersion":{},"bucketsAggregationType":{"type":"structure","members":{"termsAggregation":{"type":"structure","members":{"maxBuckets":{"type":"integer"}}}}}}},"output":{"type":"structure","members":{"totalCount":{"type":"integer"},"buckets":{"type":"list","member":{"type":"structure","members":{"keyValue":{},"count":{"type":"integer"}}}}}}},"GetCardinality":{"http":{"requestUri":"/indices/cardinality"},"input":{"type":"structure","required":["queryString"],"members":{"indexName":{},"queryString":{},"aggregationField":{},"queryVersion":{}}},"output":{"type":"structure","members":{"cardinality":{"type":"integer"}}}},"GetEffectivePolicies":{"http":{"requestUri":"/effective-policies"},"input":{"type":"structure","members":{"principal":{},"cognitoIdentityPoolId":{},"thingName":{"location":"querystring","locationName":"thingName"}}},"output":{"type":"structure","members":{"effectivePolicies":{"type":"list","member":{"type":"structure","members":{"policyName":{},"policyArn":{},"policyDocument":{}}}}}}},"GetIndexingConfiguration":{"http":{"method":"GET","requestUri":"/indexing/config"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"thingIndexingConfiguration":{"shape":"Sll"},"thingGroupIndexingConfiguration":{"shape":"Slu"}}}},"GetJobDocument":{"http":{"method":"GET","requestUri":"/jobs/{jobId}/job-document"},"input":{"type":"structure","required":["jobId"],"members":{"jobId":{"location":"uri","locationName":"jobId"}}},"output":{"type":"structure","members":{"document":{}}}},"GetLoggingOptions":{"http":{"method":"GET","requestUri":"/loggingOptions"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"roleArn":{},"logLevel":{}}}},"GetOTAUpdate":{"http":{"method":"GET","requestUri":"/otaUpdates/{otaUpdateId}"},"input":{"type":"structure","required":["otaUpdateId"],"members":{"otaUpdateId":{"location":"uri","locationName":"otaUpdateId"}}},"output":{"type":"structure","members":{"otaUpdateInfo":{"type":"structure","members":{"otaUpdateId":{},"otaUpdateArn":{},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"},"description":{},"targets":{"shape":"S5n"},"protocols":{"shape":"S5p"},"awsJobExecutionsRolloutConfig":{"shape":"S5r"},"awsJobPresignedUrlConfig":{"shape":"S5y"},"targetSelection":{},"otaUpdateFiles":{"shape":"S69"},"otaUpdateStatus":{},"awsIotJobId":{},"awsIotJobArn":{},"errorInfo":{"type":"structure","members":{"code":{},"message":{}}},"additionalParameters":{"shape":"S77"}}}}}},"GetPercentiles":{"http":{"requestUri":"/indices/percentiles"},"input":{"type":"structure","required":["queryString"],"members":{"indexName":{},"queryString":{},"aggregationField":{},"queryVersion":{},"percents":{"type":"list","member":{"type":"double"}}}},"output":{"type":"structure","members":{"percentiles":{"type":"list","member":{"type":"structure","members":{"percent":{"type":"double"},"value":{"type":"double"}}}}}}},"GetPolicy":{"http":{"method":"GET","requestUri":"/policies/{policyName}"},"input":{"type":"structure","required":["policyName"],"members":{"policyName":{"location":"uri","locationName":"policyName"}}},"output":{"type":"structure","members":{"policyName":{},"policyArn":{},"policyDocument":{},"defaultVersionId":{},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"},"generationId":{}}}},"GetPolicyVersion":{"http":{"method":"GET","requestUri":"/policies/{policyName}/version/{policyVersionId}"},"input":{"type":"structure","required":["policyName","policyVersionId"],"members":{"policyName":{"location":"uri","locationName":"policyName"},"policyVersionId":{"location":"uri","locationName":"policyVersionId"}}},"output":{"type":"structure","members":{"policyArn":{},"policyName":{},"policyDocument":{},"policyVersionId":{},"isDefaultVersion":{"type":"boolean"},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"},"generationId":{}}}},"GetRegistrationCode":{"http":{"method":"GET","requestUri":"/registrationcode"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"registrationCode":{}}}},"GetStatistics":{"http":{"requestUri":"/indices/statistics"},"input":{"type":"structure","required":["queryString"],"members":{"indexName":{},"queryString":{},"aggregationField":{},"queryVersion":{}}},"output":{"type":"structure","members":{"statistics":{"type":"structure","members":{"count":{"type":"integer"},"average":{"type":"double"},"sum":{"type":"double"},"minimum":{"type":"double"},"maximum":{"type":"double"},"sumOfSquares":{"type":"double"},"variance":{"type":"double"},"stdDeviation":{"type":"double"}}}}}},"GetTopicRule":{"http":{"method":"GET","requestUri":"/rules/{ruleName}"},"input":{"type":"structure","required":["ruleName"],"members":{"ruleName":{"location":"uri","locationName":"ruleName"}}},"output":{"type":"structure","members":{"ruleArn":{},"rule":{"type":"structure","members":{"ruleName":{},"sql":{},"description":{},"createdAt":{"type":"timestamp"},"actions":{"shape":"Sa2"},"ruleDisabled":{"type":"boolean"},"awsIotSqlVersion":{},"errorAction":{"shape":"Sa3"}}}}}},"GetTopicRuleDestination":{"http":{"method":"GET","requestUri":"/destinations/{arn+}"},"input":{"type":"structure","required":["arn"],"members":{"arn":{"location":"uri","locationName":"arn"}}},"output":{"type":"structure","members":{"topicRuleDestination":{"shape":"Sd6"}}}},"GetV2LoggingOptions":{"http":{"method":"GET","requestUri":"/v2LoggingOptions"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"roleArn":{},"defaultLogLevel":{},"disableAllLogs":{"type":"boolean"}}}},"ListActiveViolations":{"http":{"method":"GET","requestUri":"/active-violations"},"input":{"type":"structure","members":{"thingName":{"location":"querystring","locationName":"thingName"},"securityProfileName":{"location":"querystring","locationName":"securityProfileName"},"behaviorCriteriaType":{"location":"querystring","locationName":"behaviorCriteriaType"},"listSuppressedAlerts":{"location":"querystring","locationName":"listSuppressedAlerts","type":"boolean"},"verificationState":{"location":"querystring","locationName":"verificationState"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"activeViolations":{"type":"list","member":{"type":"structure","members":{"violationId":{},"thingName":{},"securityProfileName":{},"behavior":{"shape":"S8f"},"lastViolationValue":{"shape":"S8m"},"violationEventAdditionalInfo":{"shape":"Snc"},"verificationState":{},"verificationStateDescription":{},"lastViolationTime":{"type":"timestamp"},"violationStartTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListAttachedPolicies":{"http":{"requestUri":"/attached-policies/{target}"},"input":{"type":"structure","required":["target"],"members":{"target":{"location":"uri","locationName":"target"},"recursive":{"location":"querystring","locationName":"recursive","type":"boolean"},"marker":{"location":"querystring","locationName":"marker"},"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"}}},"output":{"type":"structure","members":{"policies":{"shape":"Snj"},"nextMarker":{}}}},"ListAuditFindings":{"http":{"requestUri":"/audit/findings"},"input":{"type":"structure","members":{"taskId":{},"checkName":{},"resourceIdentifier":{"shape":"S1o"},"maxResults":{"type":"integer"},"nextToken":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"listSuppressedFindings":{"type":"boolean"}}},"output":{"type":"structure","members":{"findings":{"type":"list","member":{"shape":"Sfe"}},"nextToken":{}}}},"ListAuditMitigationActionsExecutions":{"http":{"method":"GET","requestUri":"/audit/mitigationactions/executions"},"input":{"type":"structure","required":["taskId","findingId"],"members":{"taskId":{"location":"querystring","locationName":"taskId"},"actionStatus":{"location":"querystring","locationName":"actionStatus"},"findingId":{"location":"querystring","locationName":"findingId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"actionsExecutions":{"type":"list","member":{"type":"structure","members":{"taskId":{},"findingId":{},"actionName":{},"actionId":{},"status":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"errorCode":{},"message":{}}}},"nextToken":{}}}},"ListAuditMitigationActionsTasks":{"http":{"method":"GET","requestUri":"/audit/mitigationactions/tasks"},"input":{"type":"structure","required":["startTime","endTime"],"members":{"auditTaskId":{"location":"querystring","locationName":"auditTaskId"},"findingId":{"location":"querystring","locationName":"findingId"},"taskStatus":{"location":"querystring","locationName":"taskStatus"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"startTime":{"location":"querystring","locationName":"startTime","type":"timestamp"},"endTime":{"location":"querystring","locationName":"endTime","type":"timestamp"}}},"output":{"type":"structure","members":{"tasks":{"type":"list","member":{"type":"structure","members":{"taskId":{},"startTime":{"type":"timestamp"},"taskStatus":{}}}},"nextToken":{}}}},"ListAuditSuppressions":{"http":{"requestUri":"/audit/suppressions/list"},"input":{"type":"structure","members":{"checkName":{},"resourceIdentifier":{"shape":"S1o"},"ascendingOrder":{"type":"boolean"},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"suppressions":{"type":"list","member":{"type":"structure","required":["checkName","resourceIdentifier"],"members":{"checkName":{},"resourceIdentifier":{"shape":"S1o"},"expirationDate":{"type":"timestamp"},"suppressIndefinitely":{"type":"boolean"},"description":{}}}},"nextToken":{}}}},"ListAuditTasks":{"http":{"method":"GET","requestUri":"/audit/tasks"},"input":{"type":"structure","required":["startTime","endTime"],"members":{"startTime":{"location":"querystring","locationName":"startTime","type":"timestamp"},"endTime":{"location":"querystring","locationName":"endTime","type":"timestamp"},"taskType":{"location":"querystring","locationName":"taskType"},"taskStatus":{"location":"querystring","locationName":"taskStatus"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"tasks":{"type":"list","member":{"type":"structure","members":{"taskId":{},"taskStatus":{},"taskType":{}}}},"nextToken":{}}}},"ListAuthorizers":{"http":{"method":"GET","requestUri":"/authorizers/"},"input":{"type":"structure","members":{"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"},"marker":{"location":"querystring","locationName":"marker"},"ascendingOrder":{"location":"querystring","locationName":"isAscendingOrder","type":"boolean"},"status":{"location":"querystring","locationName":"status"}}},"output":{"type":"structure","members":{"authorizers":{"type":"list","member":{"type":"structure","members":{"authorizerName":{},"authorizerArn":{}}}},"nextMarker":{}}}},"ListBillingGroups":{"http":{"method":"GET","requestUri":"/billing-groups"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"namePrefixFilter":{"location":"querystring","locationName":"namePrefixFilter"}}},"output":{"type":"structure","members":{"billingGroups":{"type":"list","member":{"shape":"Ska"}},"nextToken":{}}}},"ListCACertificates":{"http":{"method":"GET","requestUri":"/cacertificates"},"input":{"type":"structure","members":{"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"},"marker":{"location":"querystring","locationName":"marker"},"ascendingOrder":{"location":"querystring","locationName":"isAscendingOrder","type":"boolean"}}},"output":{"type":"structure","members":{"certificates":{"type":"list","member":{"type":"structure","members":{"certificateArn":{},"certificateId":{},"status":{},"creationDate":{"type":"timestamp"}}}},"nextMarker":{}}}},"ListCertificates":{"http":{"method":"GET","requestUri":"/certificates"},"input":{"type":"structure","members":{"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"},"marker":{"location":"querystring","locationName":"marker"},"ascendingOrder":{"location":"querystring","locationName":"isAscendingOrder","type":"boolean"}}},"output":{"type":"structure","members":{"certificates":{"shape":"Sol"},"nextMarker":{}}}},"ListCertificatesByCA":{"http":{"method":"GET","requestUri":"/certificates-by-ca/{caCertificateId}"},"input":{"type":"structure","required":["caCertificateId"],"members":{"caCertificateId":{"location":"uri","locationName":"caCertificateId"},"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"},"marker":{"location":"querystring","locationName":"marker"},"ascendingOrder":{"location":"querystring","locationName":"isAscendingOrder","type":"boolean"}}},"output":{"type":"structure","members":{"certificates":{"shape":"Sol"},"nextMarker":{}}}},"ListCustomMetrics":{"http":{"method":"GET","requestUri":"/custom-metrics"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"metricNames":{"type":"list","member":{}},"nextToken":{}}}},"ListDetectMitigationActionsExecutions":{"http":{"method":"GET","requestUri":"/detect/mitigationactions/executions"},"input":{"type":"structure","members":{"taskId":{"location":"querystring","locationName":"taskId"},"violationId":{"location":"querystring","locationName":"violationId"},"thingName":{"location":"querystring","locationName":"thingName"},"startTime":{"location":"querystring","locationName":"startTime","type":"timestamp"},"endTime":{"location":"querystring","locationName":"endTime","type":"timestamp"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"actionsExecutions":{"type":"list","member":{"type":"structure","members":{"taskId":{},"violationId":{},"actionName":{},"thingName":{},"executionStartDate":{"type":"timestamp"},"executionEndDate":{"type":"timestamp"},"status":{},"errorCode":{},"message":{}}}},"nextToken":{}}}},"ListDetectMitigationActionsTasks":{"http":{"method":"GET","requestUri":"/detect/mitigationactions/tasks"},"input":{"type":"structure","required":["startTime","endTime"],"members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"startTime":{"location":"querystring","locationName":"startTime","type":"timestamp"},"endTime":{"location":"querystring","locationName":"endTime","type":"timestamp"}}},"output":{"type":"structure","members":{"tasks":{"type":"list","member":{"shape":"Shn"}},"nextToken":{}}}},"ListDimensions":{"http":{"method":"GET","requestUri":"/dimensions"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"dimensionNames":{"type":"list","member":{}},"nextToken":{}}}},"ListDomainConfigurations":{"http":{"method":"GET","requestUri":"/domainConfigurations"},"input":{"type":"structure","members":{"marker":{"location":"querystring","locationName":"marker"},"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"},"serviceType":{"location":"querystring","locationName":"serviceType"}}},"output":{"type":"structure","members":{"domainConfigurations":{"type":"list","member":{"type":"structure","members":{"domainConfigurationName":{},"domainConfigurationArn":{},"serviceType":{}}}},"nextMarker":{}}}},"ListFleetMetrics":{"http":{"method":"GET","requestUri":"/fleet-metrics"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"fleetMetrics":{"type":"list","member":{"type":"structure","members":{"metricName":{},"metricArn":{}}}},"nextToken":{}}}},"ListIndices":{"http":{"method":"GET","requestUri":"/indices"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"indexNames":{"type":"list","member":{}},"nextToken":{}}}},"ListJobExecutionsForJob":{"http":{"method":"GET","requestUri":"/jobs/{jobId}/things"},"input":{"type":"structure","required":["jobId"],"members":{"jobId":{"location":"uri","locationName":"jobId"},"status":{"location":"querystring","locationName":"status"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"executionSummaries":{"type":"list","member":{"type":"structure","members":{"thingArn":{},"jobExecutionSummary":{"shape":"Spl"}}}},"nextToken":{}}}},"ListJobExecutionsForThing":{"http":{"method":"GET","requestUri":"/things/{thingName}/jobs"},"input":{"type":"structure","required":["thingName"],"members":{"thingName":{"location":"uri","locationName":"thingName"},"status":{"location":"querystring","locationName":"status"},"namespaceId":{"location":"querystring","locationName":"namespaceId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"executionSummaries":{"type":"list","member":{"type":"structure","members":{"jobId":{},"jobExecutionSummary":{"shape":"Spl"}}}},"nextToken":{}}}},"ListJobTemplates":{"http":{"method":"GET","requestUri":"/job-templates"},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"jobTemplates":{"type":"list","member":{"type":"structure","members":{"jobTemplateArn":{},"jobTemplateId":{},"description":{},"createdAt":{"type":"timestamp"}}}},"nextToken":{}}}},"ListJobs":{"http":{"method":"GET","requestUri":"/jobs"},"input":{"type":"structure","members":{"status":{"location":"querystring","locationName":"status"},"targetSelection":{"location":"querystring","locationName":"targetSelection"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"thingGroupName":{"location":"querystring","locationName":"thingGroupName"},"thingGroupId":{"location":"querystring","locationName":"thingGroupId"},"namespaceId":{"location":"querystring","locationName":"namespaceId"}}},"output":{"type":"structure","members":{"jobs":{"type":"list","member":{"type":"structure","members":{"jobArn":{},"jobId":{},"thingGroupId":{},"targetSelection":{},"status":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"completedAt":{"type":"timestamp"}}}},"nextToken":{}}}},"ListManagedJobTemplates":{"http":{"method":"GET","requestUri":"/managed-job-templates"},"input":{"type":"structure","members":{"templateName":{"location":"querystring","locationName":"templateName"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"managedJobTemplates":{"type":"list","member":{"type":"structure","members":{"templateArn":{},"templateName":{},"description":{},"environments":{"shape":"Sjg"},"templateVersion":{}}}},"nextToken":{}}}},"ListMitigationActions":{"http":{"method":"GET","requestUri":"/mitigationactions/actions"},"input":{"type":"structure","members":{"actionType":{"location":"querystring","locationName":"actionType"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"actionIdentifiers":{"type":"list","member":{"type":"structure","members":{"actionName":{},"actionArn":{},"creationDate":{"type":"timestamp"}}}},"nextToken":{}}}},"ListOTAUpdates":{"http":{"method":"GET","requestUri":"/otaUpdates"},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"otaUpdateStatus":{"location":"querystring","locationName":"otaUpdateStatus"}}},"output":{"type":"structure","members":{"otaUpdates":{"type":"list","member":{"type":"structure","members":{"otaUpdateId":{},"otaUpdateArn":{},"creationDate":{"type":"timestamp"}}}},"nextToken":{}}}},"ListOutgoingCertificates":{"http":{"method":"GET","requestUri":"/certificates-out-going"},"input":{"type":"structure","members":{"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"},"marker":{"location":"querystring","locationName":"marker"},"ascendingOrder":{"location":"querystring","locationName":"isAscendingOrder","type":"boolean"}}},"output":{"type":"structure","members":{"outgoingCertificates":{"type":"list","member":{"type":"structure","members":{"certificateArn":{},"certificateId":{},"transferredTo":{},"transferDate":{"type":"timestamp"},"transferMessage":{},"creationDate":{"type":"timestamp"}}}},"nextMarker":{}}}},"ListPolicies":{"http":{"method":"GET","requestUri":"/policies"},"input":{"type":"structure","members":{"marker":{"location":"querystring","locationName":"marker"},"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"},"ascendingOrder":{"location":"querystring","locationName":"isAscendingOrder","type":"boolean"}}},"output":{"type":"structure","members":{"policies":{"shape":"Snj"},"nextMarker":{}}}},"ListPolicyPrincipals":{"http":{"method":"GET","requestUri":"/policy-principals"},"input":{"type":"structure","required":["policyName"],"members":{"policyName":{"location":"header","locationName":"x-amzn-iot-policy"},"marker":{"location":"querystring","locationName":"marker"},"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"},"ascendingOrder":{"location":"querystring","locationName":"isAscendingOrder","type":"boolean"}}},"output":{"type":"structure","members":{"principals":{"shape":"Sqi"},"nextMarker":{}}},"deprecated":true},"ListPolicyVersions":{"http":{"method":"GET","requestUri":"/policies/{policyName}/version"},"input":{"type":"structure","required":["policyName"],"members":{"policyName":{"location":"uri","locationName":"policyName"}}},"output":{"type":"structure","members":{"policyVersions":{"type":"list","member":{"type":"structure","members":{"versionId":{},"isDefaultVersion":{"type":"boolean"},"createDate":{"type":"timestamp"}}}}}}},"ListPrincipalPolicies":{"http":{"method":"GET","requestUri":"/principal-policies"},"input":{"type":"structure","required":["principal"],"members":{"principal":{"location":"header","locationName":"x-amzn-iot-principal"},"marker":{"location":"querystring","locationName":"marker"},"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"},"ascendingOrder":{"location":"querystring","locationName":"isAscendingOrder","type":"boolean"}}},"output":{"type":"structure","members":{"policies":{"shape":"Snj"},"nextMarker":{}}},"deprecated":true},"ListPrincipalThings":{"http":{"method":"GET","requestUri":"/principals/things"},"input":{"type":"structure","required":["principal"],"members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"principal":{"location":"header","locationName":"x-amzn-principal"}}},"output":{"type":"structure","members":{"things":{"shape":"Sqs"},"nextToken":{}}}},"ListProvisioningTemplateVersions":{"http":{"method":"GET","requestUri":"/provisioning-templates/{templateName}/versions"},"input":{"type":"structure","required":["templateName"],"members":{"templateName":{"location":"uri","locationName":"templateName"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"versions":{"type":"list","member":{"type":"structure","members":{"versionId":{"type":"integer"},"creationDate":{"type":"timestamp"},"isDefaultVersion":{"type":"boolean"}}}},"nextToken":{}}}},"ListProvisioningTemplates":{"http":{"method":"GET","requestUri":"/provisioning-templates"},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"templates":{"type":"list","member":{"type":"structure","members":{"templateArn":{},"templateName":{},"description":{},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"},"enabled":{"type":"boolean"}}}},"nextToken":{}}}},"ListRoleAliases":{"http":{"method":"GET","requestUri":"/role-aliases"},"input":{"type":"structure","members":{"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"},"marker":{"location":"querystring","locationName":"marker"},"ascendingOrder":{"location":"querystring","locationName":"isAscendingOrder","type":"boolean"}}},"output":{"type":"structure","members":{"roleAliases":{"type":"list","member":{}},"nextMarker":{}}}},"ListScheduledAudits":{"http":{"method":"GET","requestUri":"/audit/scheduledaudits"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"scheduledAudits":{"type":"list","member":{"type":"structure","members":{"scheduledAuditName":{},"scheduledAuditArn":{},"frequency":{},"dayOfMonth":{},"dayOfWeek":{}}}},"nextToken":{}}}},"ListSecurityProfiles":{"http":{"method":"GET","requestUri":"/security-profiles"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"dimensionName":{"location":"querystring","locationName":"dimensionName"},"metricName":{"location":"querystring","locationName":"metricName"}}},"output":{"type":"structure","members":{"securityProfileIdentifiers":{"type":"list","member":{"shape":"Srb"}},"nextToken":{}}}},"ListSecurityProfilesForTarget":{"http":{"method":"GET","requestUri":"/security-profiles-for-target"},"input":{"type":"structure","required":["securityProfileTargetArn"],"members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"recursive":{"location":"querystring","locationName":"recursive","type":"boolean"},"securityProfileTargetArn":{"location":"querystring","locationName":"securityProfileTargetArn"}}},"output":{"type":"structure","members":{"securityProfileTargetMappings":{"type":"list","member":{"type":"structure","members":{"securityProfileIdentifier":{"shape":"Srb"},"target":{"shape":"Srg"}}}},"nextToken":{}}}},"ListStreams":{"http":{"method":"GET","requestUri":"/streams"},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"ascendingOrder":{"location":"querystring","locationName":"isAscendingOrder","type":"boolean"}}},"output":{"type":"structure","members":{"streams":{"type":"list","member":{"type":"structure","members":{"streamId":{},"streamArn":{},"streamVersion":{"type":"integer"},"description":{}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"tags":{"shape":"S29"},"nextToken":{}}}},"ListTargetsForPolicy":{"http":{"requestUri":"/policy-targets/{policyName}"},"input":{"type":"structure","required":["policyName"],"members":{"policyName":{"location":"uri","locationName":"policyName"},"marker":{"location":"querystring","locationName":"marker"},"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"}}},"output":{"type":"structure","members":{"targets":{"type":"list","member":{}},"nextMarker":{}}}},"ListTargetsForSecurityProfile":{"http":{"method":"GET","requestUri":"/security-profiles/{securityProfileName}/targets"},"input":{"type":"structure","required":["securityProfileName"],"members":{"securityProfileName":{"location":"uri","locationName":"securityProfileName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"securityProfileTargets":{"type":"list","member":{"shape":"Srg"}},"nextToken":{}}}},"ListThingGroups":{"http":{"method":"GET","requestUri":"/thing-groups"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"parentGroup":{"location":"querystring","locationName":"parentGroup"},"namePrefixFilter":{"location":"querystring","locationName":"namePrefixFilter"},"recursive":{"location":"querystring","locationName":"recursive","type":"boolean"}}},"output":{"type":"structure","members":{"thingGroups":{"shape":"Sk9"},"nextToken":{}}}},"ListThingGroupsForThing":{"http":{"method":"GET","requestUri":"/things/{thingName}/thing-groups"},"input":{"type":"structure","required":["thingName"],"members":{"thingName":{"location":"uri","locationName":"thingName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"thingGroups":{"shape":"Sk9"},"nextToken":{}}}},"ListThingPrincipals":{"http":{"method":"GET","requestUri":"/things/{thingName}/principals"},"input":{"type":"structure","required":["thingName"],"members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"thingName":{"location":"uri","locationName":"thingName"}}},"output":{"type":"structure","members":{"principals":{"shape":"Sqi"},"nextToken":{}}}},"ListThingRegistrationTaskReports":{"http":{"method":"GET","requestUri":"/thing-registration-tasks/{taskId}/reports"},"input":{"type":"structure","required":["taskId","reportType"],"members":{"taskId":{"location":"uri","locationName":"taskId"},"reportType":{"location":"querystring","locationName":"reportType"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"resourceLinks":{"type":"list","member":{}},"reportType":{},"nextToken":{}}}},"ListThingRegistrationTasks":{"http":{"method":"GET","requestUri":"/thing-registration-tasks"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"status":{"location":"querystring","locationName":"status"}}},"output":{"type":"structure","members":{"taskIds":{"type":"list","member":{}},"nextToken":{}}}},"ListThingTypes":{"http":{"method":"GET","requestUri":"/thing-types"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"thingTypeName":{"location":"querystring","locationName":"thingTypeName"}}},"output":{"type":"structure","members":{"thingTypes":{"type":"list","member":{"type":"structure","members":{"thingTypeName":{},"thingTypeArn":{},"thingTypeProperties":{"shape":"S9r"},"thingTypeMetadata":{"shape":"Skm"}}}},"nextToken":{}}}},"ListThings":{"http":{"method":"GET","requestUri":"/things"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"attributeName":{"location":"querystring","locationName":"attributeName"},"attributeValue":{"location":"querystring","locationName":"attributeValue"},"thingTypeName":{"location":"querystring","locationName":"thingTypeName"},"usePrefixAttributeValue":{"location":"querystring","locationName":"usePrefixAttributeValue","type":"boolean"}}},"output":{"type":"structure","members":{"things":{"type":"list","member":{"type":"structure","members":{"thingName":{},"thingTypeName":{},"thingArn":{},"attributes":{"shape":"S3i"},"version":{"type":"long"}}}},"nextToken":{}}}},"ListThingsInBillingGroup":{"http":{"method":"GET","requestUri":"/billing-groups/{billingGroupName}/things"},"input":{"type":"structure","required":["billingGroupName"],"members":{"billingGroupName":{"location":"uri","locationName":"billingGroupName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"things":{"shape":"Sqs"},"nextToken":{}}}},"ListThingsInThingGroup":{"http":{"method":"GET","requestUri":"/thing-groups/{thingGroupName}/things"},"input":{"type":"structure","required":["thingGroupName"],"members":{"thingGroupName":{"location":"uri","locationName":"thingGroupName"},"recursive":{"location":"querystring","locationName":"recursive","type":"boolean"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"things":{"shape":"Sqs"},"nextToken":{}}}},"ListTopicRuleDestinations":{"http":{"method":"GET","requestUri":"/destinations"},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"destinationSummaries":{"type":"list","member":{"type":"structure","members":{"arn":{},"status":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"statusReason":{},"httpUrlSummary":{"type":"structure","members":{"confirmationUrl":{}}},"vpcDestinationSummary":{"type":"structure","members":{"subnetIds":{"shape":"Sd0"},"securityGroups":{"shape":"Sd2"},"vpcId":{},"roleArn":{}}}}}},"nextToken":{}}}},"ListTopicRules":{"http":{"method":"GET","requestUri":"/rules"},"input":{"type":"structure","members":{"topic":{"location":"querystring","locationName":"topic"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"ruleDisabled":{"location":"querystring","locationName":"ruleDisabled","type":"boolean"}}},"output":{"type":"structure","members":{"rules":{"type":"list","member":{"type":"structure","members":{"ruleArn":{},"ruleName":{},"topicPattern":{},"createdAt":{"type":"timestamp"},"ruleDisabled":{"type":"boolean"}}}},"nextToken":{}}}},"ListV2LoggingLevels":{"http":{"method":"GET","requestUri":"/v2LoggingLevel"},"input":{"type":"structure","members":{"targetType":{"location":"querystring","locationName":"targetType"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"logTargetConfigurations":{"type":"list","member":{"type":"structure","members":{"logTarget":{"shape":"St4"},"logLevel":{}}}},"nextToken":{}}}},"ListViolationEvents":{"http":{"method":"GET","requestUri":"/violation-events"},"input":{"type":"structure","required":["startTime","endTime"],"members":{"startTime":{"location":"querystring","locationName":"startTime","type":"timestamp"},"endTime":{"location":"querystring","locationName":"endTime","type":"timestamp"},"thingName":{"location":"querystring","locationName":"thingName"},"securityProfileName":{"location":"querystring","locationName":"securityProfileName"},"behaviorCriteriaType":{"location":"querystring","locationName":"behaviorCriteriaType"},"listSuppressedAlerts":{"location":"querystring","locationName":"listSuppressedAlerts","type":"boolean"},"verificationState":{"location":"querystring","locationName":"verificationState"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"violationEvents":{"type":"list","member":{"type":"structure","members":{"violationId":{},"thingName":{},"securityProfileName":{},"behavior":{"shape":"S8f"},"metricValue":{"shape":"S8m"},"violationEventAdditionalInfo":{"shape":"Snc"},"violationEventType":{},"verificationState":{},"verificationStateDescription":{},"violationEventTime":{"type":"timestamp"}}}},"nextToken":{}}}},"PutVerificationStateOnViolation":{"http":{"requestUri":"/violations/verification-state/{violationId}"},"input":{"type":"structure","required":["violationId","verificationState"],"members":{"violationId":{"location":"uri","locationName":"violationId"},"verificationState":{},"verificationStateDescription":{}}},"output":{"type":"structure","members":{}}},"RegisterCACertificate":{"http":{"requestUri":"/cacertificate"},"input":{"type":"structure","required":["caCertificate","verificationCertificate"],"members":{"caCertificate":{},"verificationCertificate":{},"setAsActive":{"location":"querystring","locationName":"setAsActive","type":"boolean"},"allowAutoRegistration":{"location":"querystring","locationName":"allowAutoRegistration","type":"boolean"},"registrationConfig":{"shape":"Sh9"},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{"certificateArn":{},"certificateId":{}}}},"RegisterCertificate":{"http":{"requestUri":"/certificate/register"},"input":{"type":"structure","required":["certificatePem"],"members":{"certificatePem":{},"caCertificatePem":{},"setAsActive":{"deprecated":true,"location":"querystring","locationName":"setAsActive","type":"boolean"},"status":{}}},"output":{"type":"structure","members":{"certificateArn":{},"certificateId":{}}}},"RegisterCertificateWithoutCA":{"http":{"requestUri":"/certificate/register-no-ca"},"input":{"type":"structure","required":["certificatePem"],"members":{"certificatePem":{},"status":{}}},"output":{"type":"structure","members":{"certificateArn":{},"certificateId":{}}}},"RegisterThing":{"http":{"requestUri":"/things"},"input":{"type":"structure","required":["templateBody"],"members":{"templateBody":{},"parameters":{"type":"map","key":{},"value":{}}}},"output":{"type":"structure","members":{"certificatePem":{},"resourceArns":{"type":"map","key":{},"value":{}}}}},"RejectCertificateTransfer":{"http":{"method":"PATCH","requestUri":"/reject-certificate-transfer/{certificateId}"},"input":{"type":"structure","required":["certificateId"],"members":{"certificateId":{"location":"uri","locationName":"certificateId"},"rejectReason":{}}}},"RemoveThingFromBillingGroup":{"http":{"method":"PUT","requestUri":"/billing-groups/removeThingFromBillingGroup"},"input":{"type":"structure","members":{"billingGroupName":{},"billingGroupArn":{},"thingName":{},"thingArn":{}}},"output":{"type":"structure","members":{}}},"RemoveThingFromThingGroup":{"http":{"method":"PUT","requestUri":"/thing-groups/removeThingFromThingGroup"},"input":{"type":"structure","members":{"thingGroupName":{},"thingGroupArn":{},"thingName":{},"thingArn":{}}},"output":{"type":"structure","members":{}}},"ReplaceTopicRule":{"http":{"method":"PATCH","requestUri":"/rules/{ruleName}"},"input":{"type":"structure","required":["ruleName","topicRulePayload"],"members":{"ruleName":{"location":"uri","locationName":"ruleName"},"topicRulePayload":{"shape":"S9z"}},"payload":"topicRulePayload"}},"SearchIndex":{"http":{"requestUri":"/indices/search"},"input":{"type":"structure","required":["queryString"],"members":{"indexName":{},"queryString":{},"nextToken":{},"maxResults":{"type":"integer"},"queryVersion":{}}},"output":{"type":"structure","members":{"nextToken":{},"things":{"type":"list","member":{"type":"structure","members":{"thingName":{},"thingId":{},"thingTypeName":{},"thingGroupNames":{"shape":"Su0"},"attributes":{"shape":"S3i"},"shadow":{},"deviceDefender":{},"connectivity":{"type":"structure","members":{"connected":{"type":"boolean"},"timestamp":{"type":"long"},"disconnectReason":{}}}}}},"thingGroups":{"type":"list","member":{"type":"structure","members":{"thingGroupName":{},"thingGroupId":{},"thingGroupDescription":{},"attributes":{"shape":"S3i"},"parentGroupNames":{"shape":"Su0"}}}}}}},"SetDefaultAuthorizer":{"http":{"requestUri":"/default-authorizer"},"input":{"type":"structure","required":["authorizerName"],"members":{"authorizerName":{}}},"output":{"type":"structure","members":{"authorizerName":{},"authorizerArn":{}}}},"SetDefaultPolicyVersion":{"http":{"method":"PATCH","requestUri":"/policies/{policyName}/version/{policyVersionId}"},"input":{"type":"structure","required":["policyName","policyVersionId"],"members":{"policyName":{"location":"uri","locationName":"policyName"},"policyVersionId":{"location":"uri","locationName":"policyVersionId"}}}},"SetLoggingOptions":{"http":{"requestUri":"/loggingOptions"},"input":{"type":"structure","required":["loggingOptionsPayload"],"members":{"loggingOptionsPayload":{"type":"structure","required":["roleArn"],"members":{"roleArn":{},"logLevel":{}}}},"payload":"loggingOptionsPayload"}},"SetV2LoggingLevel":{"http":{"requestUri":"/v2LoggingLevel"},"input":{"type":"structure","required":["logTarget","logLevel"],"members":{"logTarget":{"shape":"St4"},"logLevel":{}}}},"SetV2LoggingOptions":{"http":{"requestUri":"/v2LoggingOptions"},"input":{"type":"structure","members":{"roleArn":{},"defaultLogLevel":{},"disableAllLogs":{"type":"boolean"}}}},"StartAuditMitigationActionsTask":{"http":{"requestUri":"/audit/mitigationactions/tasks/{taskId}"},"input":{"type":"structure","required":["taskId","target","auditCheckToActionsMapping","clientRequestToken"],"members":{"taskId":{"location":"uri","locationName":"taskId"},"target":{"shape":"Sfy"},"auditCheckToActionsMapping":{"shape":"Sg2"},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"taskId":{}}}},"StartDetectMitigationActionsTask":{"http":{"method":"PUT","requestUri":"/detect/mitigationactions/tasks/{taskId}"},"input":{"type":"structure","required":["taskId","target","actions","clientRequestToken"],"members":{"taskId":{"location":"uri","locationName":"taskId"},"target":{"shape":"Shp"},"actions":{"type":"list","member":{}},"violationEventOccurrenceRange":{"shape":"Shs"},"includeOnlyActiveViolations":{"type":"boolean"},"includeSuppressedAlerts":{"type":"boolean"},"clientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"taskId":{}}}},"StartOnDemandAuditTask":{"http":{"requestUri":"/audit/tasks"},"input":{"type":"structure","required":["targetCheckNames"],"members":{"targetCheckNames":{"shape":"S88"}}},"output":{"type":"structure","members":{"taskId":{}}}},"StartThingRegistrationTask":{"http":{"requestUri":"/thing-registration-tasks"},"input":{"type":"structure","required":["templateBody","inputFileBucket","inputFileKey","roleArn"],"members":{"templateBody":{},"inputFileBucket":{},"inputFileKey":{},"roleArn":{}}},"output":{"type":"structure","members":{"taskId":{}}}},"StopThingRegistrationTask":{"http":{"method":"PUT","requestUri":"/thing-registration-tasks/{taskId}/cancel"},"input":{"type":"structure","required":["taskId"],"members":{"taskId":{"location":"uri","locationName":"taskId"}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"S29"}}},"output":{"type":"structure","members":{}}},"TestAuthorization":{"http":{"requestUri":"/test-authorization"},"input":{"type":"structure","required":["authInfos"],"members":{"principal":{},"cognitoIdentityPoolId":{},"authInfos":{"type":"list","member":{"shape":"Suu"}},"clientId":{"location":"querystring","locationName":"clientId"},"policyNamesToAdd":{"shape":"Suy"},"policyNamesToSkip":{"shape":"Suy"}}},"output":{"type":"structure","members":{"authResults":{"type":"list","member":{"type":"structure","members":{"authInfo":{"shape":"Suu"},"allowed":{"type":"structure","members":{"policies":{"shape":"Snj"}}},"denied":{"type":"structure","members":{"implicitDeny":{"type":"structure","members":{"policies":{"shape":"Snj"}}},"explicitDeny":{"type":"structure","members":{"policies":{"shape":"Snj"}}}}},"authDecision":{},"missingContextValues":{"type":"list","member":{}}}}}}}},"TestInvokeAuthorizer":{"http":{"requestUri":"/authorizer/{authorizerName}/test"},"input":{"type":"structure","required":["authorizerName"],"members":{"authorizerName":{"location":"uri","locationName":"authorizerName"},"token":{},"tokenSignature":{},"httpContext":{"type":"structure","members":{"headers":{"type":"map","key":{},"value":{}},"queryString":{}}},"mqttContext":{"type":"structure","members":{"username":{},"password":{"type":"blob"},"clientId":{}}},"tlsContext":{"type":"structure","members":{"serverName":{}}}}},"output":{"type":"structure","members":{"isAuthenticated":{"type":"boolean"},"principalId":{},"policyDocuments":{"type":"list","member":{}},"refreshAfterInSeconds":{"type":"integer"},"disconnectAfterInSeconds":{"type":"integer"}}}},"TransferCertificate":{"http":{"method":"PATCH","requestUri":"/transfer-certificate/{certificateId}"},"input":{"type":"structure","required":["certificateId","targetAwsAccount"],"members":{"certificateId":{"location":"uri","locationName":"certificateId"},"targetAwsAccount":{"location":"querystring","locationName":"targetAwsAccount"},"transferMessage":{}}},"output":{"type":"structure","members":{"transferredCertificateArn":{}}}},"UntagResource":{"http":{"requestUri":"/untag"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateAccountAuditConfiguration":{"http":{"method":"PATCH","requestUri":"/audit/configuration"},"input":{"type":"structure","members":{"roleArn":{},"auditNotificationTargetConfigurations":{"shape":"Sf6"},"auditCheckConfigurations":{"shape":"Sf9"}}},"output":{"type":"structure","members":{}}},"UpdateAuditSuppression":{"http":{"method":"PATCH","requestUri":"/audit/suppressions/update"},"input":{"type":"structure","required":["checkName","resourceIdentifier"],"members":{"checkName":{},"resourceIdentifier":{"shape":"S1o"},"expirationDate":{"type":"timestamp"},"suppressIndefinitely":{"type":"boolean"},"description":{}}},"output":{"type":"structure","members":{}}},"UpdateAuthorizer":{"http":{"method":"PUT","requestUri":"/authorizer/{authorizerName}"},"input":{"type":"structure","required":["authorizerName"],"members":{"authorizerName":{"location":"uri","locationName":"authorizerName"},"authorizerFunctionArn":{},"tokenKeyName":{},"tokenSigningPublicKeys":{"shape":"S25"},"status":{},"enableCachingForHttp":{"type":"boolean"}}},"output":{"type":"structure","members":{"authorizerName":{},"authorizerArn":{}}}},"UpdateBillingGroup":{"http":{"method":"PATCH","requestUri":"/billing-groups/{billingGroupName}"},"input":{"type":"structure","required":["billingGroupName","billingGroupProperties"],"members":{"billingGroupName":{"location":"uri","locationName":"billingGroupName"},"billingGroupProperties":{"shape":"S2i"},"expectedVersion":{"type":"long"}}},"output":{"type":"structure","members":{"version":{"type":"long"}}}},"UpdateCACertificate":{"http":{"method":"PUT","requestUri":"/cacertificate/{caCertificateId}"},"input":{"type":"structure","required":["certificateId"],"members":{"certificateId":{"location":"uri","locationName":"caCertificateId"},"newStatus":{"location":"querystring","locationName":"newStatus"},"newAutoRegistrationStatus":{"location":"querystring","locationName":"newAutoRegistrationStatus"},"registrationConfig":{"shape":"Sh9"},"removeAutoRegistration":{"type":"boolean"}}}},"UpdateCertificate":{"http":{"method":"PUT","requestUri":"/certificates/{certificateId}"},"input":{"type":"structure","required":["certificateId","newStatus"],"members":{"certificateId":{"location":"uri","locationName":"certificateId"},"newStatus":{"location":"querystring","locationName":"newStatus"}}}},"UpdateCustomMetric":{"http":{"method":"PATCH","requestUri":"/custom-metric/{metricName}"},"input":{"type":"structure","required":["metricName","displayName"],"members":{"metricName":{"location":"uri","locationName":"metricName"},"displayName":{}}},"output":{"type":"structure","members":{"metricName":{},"metricArn":{},"metricType":{},"displayName":{},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"}}}},"UpdateDimension":{"http":{"method":"PATCH","requestUri":"/dimensions/{name}"},"input":{"type":"structure","required":["name","stringValues"],"members":{"name":{"location":"uri","locationName":"name"},"stringValues":{"shape":"S30"}}},"output":{"type":"structure","members":{"name":{},"arn":{},"type":{},"stringValues":{"shape":"S30"},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"}}}},"UpdateDomainConfiguration":{"http":{"method":"PUT","requestUri":"/domainConfigurations/{domainConfigurationName}"},"input":{"type":"structure","required":["domainConfigurationName"],"members":{"domainConfigurationName":{"location":"uri","locationName":"domainConfigurationName"},"authorizerConfig":{"shape":"S39"},"domainConfigurationStatus":{},"removeAuthorizerConfig":{"type":"boolean"}}},"output":{"type":"structure","members":{"domainConfigurationName":{},"domainConfigurationArn":{}}}},"UpdateDynamicThingGroup":{"http":{"method":"PATCH","requestUri":"/dynamic-thing-groups/{thingGroupName}"},"input":{"type":"structure","required":["thingGroupName","thingGroupProperties"],"members":{"thingGroupName":{"location":"uri","locationName":"thingGroupName"},"thingGroupProperties":{"shape":"S3f"},"expectedVersion":{"type":"long"},"indexName":{},"queryString":{},"queryVersion":{}}},"output":{"type":"structure","members":{"version":{"type":"long"}}}},"UpdateEventConfigurations":{"http":{"method":"PATCH","requestUri":"/event-configurations"},"input":{"type":"structure","members":{"eventConfigurations":{"shape":"Sid"}}},"output":{"type":"structure","members":{}}},"UpdateFleetMetric":{"http":{"method":"PATCH","requestUri":"/fleet-metric/{metricName}"},"input":{"type":"structure","required":["metricName","indexName"],"members":{"metricName":{"location":"uri","locationName":"metricName"},"queryString":{},"aggregationType":{"shape":"S3t"},"period":{"type":"integer"},"aggregationField":{},"description":{},"queryVersion":{},"indexName":{},"unit":{},"expectedVersion":{"type":"long"}}}},"UpdateIndexingConfiguration":{"http":{"requestUri":"/indexing/config"},"input":{"type":"structure","members":{"thingIndexingConfiguration":{"shape":"Sll"},"thingGroupIndexingConfiguration":{"shape":"Slu"}}},"output":{"type":"structure","members":{}}},"UpdateJob":{"http":{"method":"PATCH","requestUri":"/jobs/{jobId}"},"input":{"type":"structure","required":["jobId"],"members":{"jobId":{"location":"uri","locationName":"jobId"},"description":{},"presignedUrlConfig":{"shape":"S46"},"jobExecutionsRolloutConfig":{"shape":"S49"},"abortConfig":{"shape":"S4g"},"timeoutConfig":{"shape":"S4n"},"namespaceId":{"location":"querystring","locationName":"namespaceId"}}}},"UpdateMitigationAction":{"http":{"method":"PATCH","requestUri":"/mitigationactions/actions/{actionName}"},"input":{"type":"structure","required":["actionName"],"members":{"actionName":{"location":"uri","locationName":"actionName"},"roleArn":{},"actionParams":{"shape":"S54"}}},"output":{"type":"structure","members":{"actionArn":{},"actionId":{}}}},"UpdateProvisioningTemplate":{"http":{"method":"PATCH","requestUri":"/provisioning-templates/{templateName}"},"input":{"type":"structure","required":["templateName"],"members":{"templateName":{"location":"uri","locationName":"templateName"},"description":{},"enabled":{"type":"boolean"},"defaultVersionId":{"type":"integer"},"provisioningRoleArn":{},"preProvisioningHook":{"shape":"S7t"},"removePreProvisioningHook":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"UpdateRoleAlias":{"http":{"method":"PUT","requestUri":"/role-aliases/{roleAlias}"},"input":{"type":"structure","required":["roleAlias"],"members":{"roleAlias":{"location":"uri","locationName":"roleAlias"},"roleArn":{},"credentialDurationSeconds":{"type":"integer"}}},"output":{"type":"structure","members":{"roleAlias":{},"roleAliasArn":{}}}},"UpdateScheduledAudit":{"http":{"method":"PATCH","requestUri":"/audit/scheduledaudits/{scheduledAuditName}"},"input":{"type":"structure","required":["scheduledAuditName"],"members":{"frequency":{},"dayOfMonth":{},"dayOfWeek":{},"targetCheckNames":{"shape":"S88"},"scheduledAuditName":{"location":"uri","locationName":"scheduledAuditName"}}},"output":{"type":"structure","members":{"scheduledAuditArn":{}}}},"UpdateSecurityProfile":{"http":{"method":"PATCH","requestUri":"/security-profiles/{securityProfileName}"},"input":{"type":"structure","required":["securityProfileName"],"members":{"securityProfileName":{"location":"uri","locationName":"securityProfileName"},"securityProfileDescription":{},"behaviors":{"shape":"S8e"},"alertTargets":{"shape":"S94"},"additionalMetricsToRetain":{"shape":"S98","deprecated":true,"deprecatedMessage":"Use additionalMetricsToRetainV2."},"additionalMetricsToRetainV2":{"shape":"S99"},"deleteBehaviors":{"type":"boolean"},"deleteAlertTargets":{"type":"boolean"},"deleteAdditionalMetricsToRetain":{"type":"boolean"},"expectedVersion":{"location":"querystring","locationName":"expectedVersion","type":"long"}}},"output":{"type":"structure","members":{"securityProfileName":{},"securityProfileArn":{},"securityProfileDescription":{},"behaviors":{"shape":"S8e"},"alertTargets":{"shape":"S94"},"additionalMetricsToRetain":{"shape":"S98","deprecated":true,"deprecatedMessage":"Use additionalMetricsToRetainV2."},"additionalMetricsToRetainV2":{"shape":"S99"},"version":{"type":"long"},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"}}}},"UpdateStream":{"http":{"method":"PUT","requestUri":"/streams/{streamId}"},"input":{"type":"structure","required":["streamId"],"members":{"streamId":{"location":"uri","locationName":"streamId"},"description":{},"files":{"shape":"S9f"},"roleArn":{}}},"output":{"type":"structure","members":{"streamId":{},"streamArn":{},"description":{},"streamVersion":{"type":"integer"}}}},"UpdateThing":{"http":{"method":"PATCH","requestUri":"/things/{thingName}"},"input":{"type":"structure","required":["thingName"],"members":{"thingName":{"location":"uri","locationName":"thingName"},"thingTypeName":{},"attributePayload":{"shape":"S3h"},"expectedVersion":{"type":"long"},"removeThingType":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"UpdateThingGroup":{"http":{"method":"PATCH","requestUri":"/thing-groups/{thingGroupName}"},"input":{"type":"structure","required":["thingGroupName","thingGroupProperties"],"members":{"thingGroupName":{"location":"uri","locationName":"thingGroupName"},"thingGroupProperties":{"shape":"S3f"},"expectedVersion":{"type":"long"}}},"output":{"type":"structure","members":{"version":{"type":"long"}}}},"UpdateThingGroupsForThing":{"http":{"method":"PUT","requestUri":"/thing-groups/updateThingGroupsForThing"},"input":{"type":"structure","members":{"thingName":{},"thingGroupsToAdd":{"shape":"Sx9"},"thingGroupsToRemove":{"shape":"Sx9"},"overrideDynamicGroups":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"UpdateTopicRuleDestination":{"http":{"method":"PATCH","requestUri":"/destinations"},"input":{"type":"structure","required":["arn","status"],"members":{"arn":{},"status":{}}},"output":{"type":"structure","members":{}}},"ValidateSecurityProfileBehaviors":{"http":{"requestUri":"/security-profile-behaviors/validate"},"input":{"type":"structure","required":["behaviors"],"members":{"behaviors":{"shape":"S8e"}}},"output":{"type":"structure","members":{"valid":{"type":"boolean"},"validationErrors":{"type":"list","member":{"type":"structure","members":{"errorMessage":{}}}}}}}},"shapes":{"Sg":{"type":"list","member":{}},"S1e":{"type":"map","key":{},"value":{}},"S1o":{"type":"structure","members":{"deviceCertificateId":{},"caCertificateId":{},"cognitoIdentityPoolId":{},"clientId":{},"policyVersionIdentifier":{"type":"structure","members":{"policyName":{},"policyVersionId":{}}},"account":{},"iamRoleArn":{},"roleAliasArn":{}}},"S25":{"type":"map","key":{},"value":{}},"S29":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"S2i":{"type":"structure","members":{"billingGroupDescription":{}}},"S30":{"type":"list","member":{}},"S39":{"type":"structure","members":{"defaultAuthorizerName":{},"allowAuthorizerOverride":{"type":"boolean"}}},"S3f":{"type":"structure","members":{"thingGroupDescription":{},"attributePayload":{"shape":"S3h"}}},"S3h":{"type":"structure","members":{"attributes":{"shape":"S3i"},"merge":{"type":"boolean"}}},"S3i":{"type":"map","key":{},"value":{}},"S3t":{"type":"structure","required":["name"],"members":{"name":{},"values":{"type":"list","member":{}}}},"S46":{"type":"structure","members":{"roleArn":{},"expiresInSec":{"type":"long"}}},"S49":{"type":"structure","members":{"maximumPerMinute":{"type":"integer"},"exponentialRate":{"type":"structure","required":["baseRatePerMinute","incrementFactor","rateIncreaseCriteria"],"members":{"baseRatePerMinute":{"type":"integer"},"incrementFactor":{"type":"double"},"rateIncreaseCriteria":{"type":"structure","members":{"numberOfNotifiedThings":{"type":"integer"},"numberOfSucceededThings":{"type":"integer"}}}}}}},"S4g":{"type":"structure","required":["criteriaList"],"members":{"criteriaList":{"type":"list","member":{"type":"structure","required":["failureType","action","thresholdPercentage","minNumberOfExecutedThings"],"members":{"failureType":{},"action":{},"thresholdPercentage":{"type":"double"},"minNumberOfExecutedThings":{"type":"integer"}}}}}},"S4n":{"type":"structure","members":{"inProgressTimeoutInMinutes":{"type":"long"}}},"S4q":{"type":"map","key":{},"value":{}},"S4z":{"type":"structure","members":{"PublicKey":{},"PrivateKey":{"type":"string","sensitive":true}}},"S54":{"type":"structure","members":{"updateDeviceCertificateParams":{"type":"structure","required":["action"],"members":{"action":{}}},"updateCACertificateParams":{"type":"structure","required":["action"],"members":{"action":{}}},"addThingsToThingGroupParams":{"type":"structure","required":["thingGroupNames"],"members":{"thingGroupNames":{"type":"list","member":{}},"overrideDynamicGroups":{"type":"boolean"}}},"replaceDefaultPolicyVersionParams":{"type":"structure","required":["templateName"],"members":{"templateName":{}}},"enableIoTLoggingParams":{"type":"structure","required":["roleArnForLogging","logLevel"],"members":{"roleArnForLogging":{},"logLevel":{}}},"publishFindingToSnsParams":{"type":"structure","required":["topicArn"],"members":{"topicArn":{}}}}},"S5n":{"type":"list","member":{}},"S5p":{"type":"list","member":{}},"S5r":{"type":"structure","members":{"maximumPerMinute":{"type":"integer"},"exponentialRate":{"type":"structure","required":["baseRatePerMinute","incrementFactor","rateIncreaseCriteria"],"members":{"baseRatePerMinute":{"type":"integer"},"incrementFactor":{"type":"double"},"rateIncreaseCriteria":{"type":"structure","members":{"numberOfNotifiedThings":{"type":"integer"},"numberOfSucceededThings":{"type":"integer"}}}}}}},"S5y":{"type":"structure","members":{"expiresInSec":{"type":"long"}}},"S69":{"type":"list","member":{"type":"structure","members":{"fileName":{},"fileType":{"type":"integer"},"fileVersion":{},"fileLocation":{"type":"structure","members":{"stream":{"type":"structure","members":{"streamId":{},"fileId":{"type":"integer"}}},"s3Location":{"shape":"S6i"}}},"codeSigning":{"type":"structure","members":{"awsSignerJobId":{},"startSigningJobParameter":{"type":"structure","members":{"signingProfileParameter":{"type":"structure","members":{"certificateArn":{},"platform":{},"certificatePathOnDevice":{}}},"signingProfileName":{},"destination":{"type":"structure","members":{"s3Destination":{"type":"structure","members":{"bucket":{},"prefix":{}}}}}}},"customCodeSigning":{"type":"structure","members":{"signature":{"type":"structure","members":{"inlineDocument":{"type":"blob"}}},"certificateChain":{"type":"structure","members":{"certificateName":{},"inlineDocument":{}}},"hashAlgorithm":{},"signatureAlgorithm":{}}}}},"attributes":{"type":"map","key":{},"value":{}}}}},"S6i":{"type":"structure","members":{"bucket":{},"key":{},"version":{}}},"S77":{"type":"map","key":{},"value":{}},"S7t":{"type":"structure","required":["targetArn"],"members":{"payloadVersion":{},"targetArn":{}}},"S88":{"type":"list","member":{}},"S8e":{"type":"list","member":{"shape":"S8f"}},"S8f":{"type":"structure","required":["name"],"members":{"name":{},"metric":{},"metricDimension":{"shape":"S8i"},"criteria":{"type":"structure","members":{"comparisonOperator":{},"value":{"shape":"S8m"},"durationSeconds":{"type":"integer"},"consecutiveDatapointsToAlarm":{"type":"integer"},"consecutiveDatapointsToClear":{"type":"integer"},"statisticalThreshold":{"type":"structure","members":{"statistic":{}}},"mlDetectionConfig":{"type":"structure","required":["confidenceLevel"],"members":{"confidenceLevel":{}}}}},"suppressAlerts":{"type":"boolean"}}},"S8i":{"type":"structure","required":["dimensionName"],"members":{"dimensionName":{},"operator":{}}},"S8m":{"type":"structure","members":{"count":{"type":"long"},"cidrs":{"type":"list","member":{}},"ports":{"type":"list","member":{"type":"integer"}},"number":{"type":"double"},"numbers":{"type":"list","member":{"type":"double"}},"strings":{"type":"list","member":{}}}},"S94":{"type":"map","key":{},"value":{"type":"structure","required":["alertTargetArn","roleArn"],"members":{"alertTargetArn":{},"roleArn":{}}}},"S98":{"type":"list","member":{}},"S99":{"type":"list","member":{"type":"structure","required":["metric"],"members":{"metric":{},"metricDimension":{"shape":"S8i"}}}},"S9f":{"type":"list","member":{"type":"structure","members":{"fileId":{"type":"integer"},"s3Location":{"shape":"S6i"}}}},"S9r":{"type":"structure","members":{"thingTypeDescription":{},"searchableAttributes":{"type":"list","member":{}}}},"S9z":{"type":"structure","required":["sql","actions"],"members":{"sql":{},"description":{},"actions":{"shape":"Sa2"},"ruleDisabled":{"type":"boolean"},"awsIotSqlVersion":{},"errorAction":{"shape":"Sa3"}}},"Sa2":{"type":"list","member":{"shape":"Sa3"}},"Sa3":{"type":"structure","members":{"dynamoDB":{"type":"structure","required":["tableName","roleArn","hashKeyField","hashKeyValue"],"members":{"tableName":{},"roleArn":{},"operation":{},"hashKeyField":{},"hashKeyValue":{},"hashKeyType":{},"rangeKeyField":{},"rangeKeyValue":{},"rangeKeyType":{},"payloadField":{}}},"dynamoDBv2":{"type":"structure","required":["roleArn","putItem"],"members":{"roleArn":{},"putItem":{"type":"structure","required":["tableName"],"members":{"tableName":{}}}}},"lambda":{"type":"structure","required":["functionArn"],"members":{"functionArn":{}}},"sns":{"type":"structure","required":["targetArn","roleArn"],"members":{"targetArn":{},"roleArn":{},"messageFormat":{}}},"sqs":{"type":"structure","required":["roleArn","queueUrl"],"members":{"roleArn":{},"queueUrl":{},"useBase64":{"type":"boolean"}}},"kinesis":{"type":"structure","required":["roleArn","streamName"],"members":{"roleArn":{},"streamName":{},"partitionKey":{}}},"republish":{"type":"structure","required":["roleArn","topic"],"members":{"roleArn":{},"topic":{},"qos":{"type":"integer"}}},"s3":{"type":"structure","required":["roleArn","bucketName","key"],"members":{"roleArn":{},"bucketName":{},"key":{},"cannedAcl":{}}},"firehose":{"type":"structure","required":["roleArn","deliveryStreamName"],"members":{"roleArn":{},"deliveryStreamName":{},"separator":{},"batchMode":{"type":"boolean"}}},"cloudwatchMetric":{"type":"structure","required":["roleArn","metricNamespace","metricName","metricValue","metricUnit"],"members":{"roleArn":{},"metricNamespace":{},"metricName":{},"metricValue":{},"metricUnit":{},"metricTimestamp":{}}},"cloudwatchAlarm":{"type":"structure","required":["roleArn","alarmName","stateReason","stateValue"],"members":{"roleArn":{},"alarmName":{},"stateReason":{},"stateValue":{}}},"cloudwatchLogs":{"type":"structure","required":["roleArn","logGroupName"],"members":{"roleArn":{},"logGroupName":{}}},"elasticsearch":{"type":"structure","required":["roleArn","endpoint","index","type","id"],"members":{"roleArn":{},"endpoint":{},"index":{},"type":{},"id":{}}},"salesforce":{"type":"structure","required":["token","url"],"members":{"token":{},"url":{}}},"iotAnalytics":{"type":"structure","members":{"channelArn":{},"channelName":{},"batchMode":{"type":"boolean"},"roleArn":{}}},"iotEvents":{"type":"structure","required":["inputName","roleArn"],"members":{"inputName":{},"messageId":{},"batchMode":{"type":"boolean"},"roleArn":{}}},"iotSiteWise":{"type":"structure","required":["putAssetPropertyValueEntries","roleArn"],"members":{"putAssetPropertyValueEntries":{"type":"list","member":{"type":"structure","required":["propertyValues"],"members":{"entryId":{},"assetId":{},"propertyId":{},"propertyAlias":{},"propertyValues":{"type":"list","member":{"type":"structure","required":["value","timestamp"],"members":{"value":{"type":"structure","members":{"stringValue":{},"integerValue":{},"doubleValue":{},"booleanValue":{}}},"timestamp":{"type":"structure","required":["timeInSeconds"],"members":{"timeInSeconds":{},"offsetInNanos":{}}},"quality":{}}}}}}},"roleArn":{}}},"stepFunctions":{"type":"structure","required":["stateMachineName","roleArn"],"members":{"executionNamePrefix":{},"stateMachineName":{},"roleArn":{}}},"timestream":{"type":"structure","required":["roleArn","databaseName","tableName","dimensions"],"members":{"roleArn":{},"databaseName":{},"tableName":{},"dimensions":{"type":"list","member":{"type":"structure","required":["name","value"],"members":{"name":{},"value":{}}}},"timestamp":{"type":"structure","required":["value","unit"],"members":{"value":{},"unit":{}}}}},"http":{"type":"structure","required":["url"],"members":{"url":{},"confirmationUrl":{},"headers":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"auth":{"type":"structure","members":{"sigv4":{"type":"structure","required":["signingRegion","serviceName","roleArn"],"members":{"signingRegion":{},"serviceName":{},"roleArn":{}}}}}}},"kafka":{"type":"structure","required":["destinationArn","topic","clientProperties"],"members":{"destinationArn":{},"topic":{},"key":{},"partition":{},"clientProperties":{"type":"map","key":{},"value":{}}}},"openSearch":{"type":"structure","required":["roleArn","endpoint","index","type","id"],"members":{"roleArn":{},"endpoint":{},"index":{},"type":{},"id":{}}}}},"Sd0":{"type":"list","member":{}},"Sd2":{"type":"list","member":{}},"Sd6":{"type":"structure","members":{"arn":{},"status":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"statusReason":{},"httpUrlProperties":{"type":"structure","members":{"confirmationUrl":{}}},"vpcProperties":{"type":"structure","members":{"subnetIds":{"shape":"Sd0"},"securityGroups":{"shape":"Sd2"},"vpcId":{},"roleArn":{}}}}},"Sf6":{"type":"map","key":{},"value":{"type":"structure","members":{"targetArn":{},"roleArn":{},"enabled":{"type":"boolean"}}}},"Sf9":{"type":"map","key":{},"value":{"type":"structure","members":{"enabled":{"type":"boolean"}}}},"Sfe":{"type":"structure","members":{"findingId":{},"taskId":{},"checkName":{},"taskStartTime":{"type":"timestamp"},"findingTime":{"type":"timestamp"},"severity":{},"nonCompliantResource":{"type":"structure","members":{"resourceType":{},"resourceIdentifier":{"shape":"S1o"},"additionalInfo":{"shape":"Sfi"}}},"relatedResources":{"type":"list","member":{"type":"structure","members":{"resourceType":{},"resourceIdentifier":{"shape":"S1o"},"additionalInfo":{"shape":"Sfi"}}}},"reasonForNonCompliance":{},"reasonForNonComplianceCode":{},"isSuppressed":{"type":"boolean"}}},"Sfi":{"type":"map","key":{},"value":{}},"Sfy":{"type":"structure","members":{"auditTaskId":{},"findingIds":{"type":"list","member":{}},"auditCheckToReasonCodeFilter":{"type":"map","key":{},"value":{"type":"list","member":{}}}}},"Sg2":{"type":"map","key":{},"value":{"type":"list","member":{}}},"Sg4":{"type":"list","member":{"type":"structure","members":{"name":{},"id":{},"roleArn":{},"actionParams":{"shape":"S54"}}}},"Sgv":{"type":"structure","members":{"authorizerName":{},"authorizerArn":{},"authorizerFunctionArn":{},"tokenKeyName":{},"tokenSigningPublicKeys":{"shape":"S25"},"status":{},"creationDate":{"type":"timestamp"},"lastModifiedDate":{"type":"timestamp"},"signingDisabled":{"type":"boolean"},"enableCachingForHttp":{"type":"boolean"}}},"Sh8":{"type":"structure","members":{"notBefore":{"type":"timestamp"},"notAfter":{"type":"timestamp"}}},"Sh9":{"type":"structure","members":{"templateBody":{},"roleArn":{}}},"Shn":{"type":"structure","members":{"taskId":{},"taskStatus":{},"taskStartTime":{"type":"timestamp"},"taskEndTime":{"type":"timestamp"},"target":{"shape":"Shp"},"violationEventOccurrenceRange":{"shape":"Shs"},"onlyActiveViolationsIncluded":{"type":"boolean"},"suppressedAlertsIncluded":{"type":"boolean"},"actionsDefinition":{"shape":"Sg4"},"taskStatistics":{"type":"structure","members":{"actionsExecuted":{"type":"long"},"actionsSkipped":{"type":"long"},"actionsFailed":{"type":"long"}}}}},"Shp":{"type":"structure","members":{"violationIds":{"type":"list","member":{}},"securityProfileName":{},"behaviorName":{}}},"Shs":{"type":"structure","required":["startTime","endTime"],"members":{"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"}}},"Sid":{"type":"map","key":{},"value":{"type":"structure","members":{"Enabled":{"type":"boolean"}}}},"Sjg":{"type":"list","member":{}},"Sk9":{"type":"list","member":{"shape":"Ska"}},"Ska":{"type":"structure","members":{"groupName":{},"groupArn":{}}},"Skm":{"type":"structure","members":{"deprecated":{"type":"boolean"},"deprecationDate":{"type":"timestamp"},"creationDate":{"type":"timestamp"}}},"Sll":{"type":"structure","required":["thingIndexingMode"],"members":{"thingIndexingMode":{},"thingConnectivityIndexingMode":{},"deviceDefenderIndexingMode":{},"namedShadowIndexingMode":{},"managedFields":{"shape":"Slq"},"customFields":{"shape":"Slq"}}},"Slq":{"type":"list","member":{"type":"structure","members":{"name":{},"type":{}}}},"Slu":{"type":"structure","required":["thingGroupIndexingMode"],"members":{"thingGroupIndexingMode":{},"managedFields":{"shape":"Slq"},"customFields":{"shape":"Slq"}}},"Snc":{"type":"structure","members":{"confidenceLevel":{}}},"Snj":{"type":"list","member":{"type":"structure","members":{"policyName":{},"policyArn":{}}}},"Sol":{"type":"list","member":{"type":"structure","members":{"certificateArn":{},"certificateId":{},"status":{},"certificateMode":{},"creationDate":{"type":"timestamp"}}}},"Spl":{"type":"structure","members":{"status":{},"queuedAt":{"type":"timestamp"},"startedAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"executionNumber":{"type":"long"}}},"Sqi":{"type":"list","member":{}},"Sqs":{"type":"list","member":{}},"Srb":{"type":"structure","required":["name","arn"],"members":{"name":{},"arn":{}}},"Srg":{"type":"structure","required":["arn"],"members":{"arn":{}}},"St4":{"type":"structure","required":["targetType"],"members":{"targetType":{},"targetName":{}}},"Su0":{"type":"list","member":{}},"Suu":{"type":"structure","required":["resources"],"members":{"actionType":{},"resources":{"type":"list","member":{}}}},"Suy":{"type":"list","member":{}},"Sx9":{"type":"list","member":{}}}}');

/***/ }),

/***/ 43999:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetBehaviorModelTrainingSummaries":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"summaries"},"ListActiveViolations":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"activeViolations"},"ListAttachedPolicies":{"input_token":"marker","limit_key":"pageSize","output_token":"nextMarker","result_key":"policies"},"ListAuditFindings":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"findings"},"ListAuditMitigationActionsExecutions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"actionsExecutions"},"ListAuditMitigationActionsTasks":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"tasks"},"ListAuditSuppressions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"suppressions"},"ListAuditTasks":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"tasks"},"ListAuthorizers":{"input_token":"marker","limit_key":"pageSize","output_token":"nextMarker","result_key":"authorizers"},"ListBillingGroups":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"billingGroups"},"ListCACertificates":{"input_token":"marker","limit_key":"pageSize","output_token":"nextMarker","result_key":"certificates"},"ListCertificates":{"input_token":"marker","limit_key":"pageSize","output_token":"nextMarker","result_key":"certificates"},"ListCertificatesByCA":{"input_token":"marker","limit_key":"pageSize","output_token":"nextMarker","result_key":"certificates"},"ListCustomMetrics":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"metricNames"},"ListDetectMitigationActionsExecutions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"actionsExecutions"},"ListDetectMitigationActionsTasks":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"tasks"},"ListDimensions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"dimensionNames"},"ListDomainConfigurations":{"input_token":"marker","limit_key":"pageSize","output_token":"nextMarker","result_key":"domainConfigurations"},"ListFleetMetrics":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"fleetMetrics"},"ListIndices":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"indexNames"},"ListJobExecutionsForJob":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"executionSummaries"},"ListJobExecutionsForThing":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"executionSummaries"},"ListJobTemplates":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"jobTemplates"},"ListJobs":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"jobs"},"ListMitigationActions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"actionIdentifiers"},"ListOTAUpdates":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"otaUpdates"},"ListOutgoingCertificates":{"input_token":"marker","limit_key":"pageSize","output_token":"nextMarker","result_key":"outgoingCertificates"},"ListPolicies":{"input_token":"marker","limit_key":"pageSize","output_token":"nextMarker","result_key":"policies"},"ListPolicyPrincipals":{"input_token":"marker","limit_key":"pageSize","output_token":"nextMarker","result_key":"principals"},"ListPrincipalPolicies":{"input_token":"marker","limit_key":"pageSize","output_token":"nextMarker","result_key":"policies"},"ListPrincipalThings":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"things"},"ListProvisioningTemplateVersions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"versions"},"ListProvisioningTemplates":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"templates"},"ListRoleAliases":{"input_token":"marker","limit_key":"pageSize","output_token":"nextMarker","result_key":"roleAliases"},"ListScheduledAudits":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"scheduledAudits"},"ListSecurityProfiles":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"securityProfileIdentifiers"},"ListSecurityProfilesForTarget":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"securityProfileTargetMappings"},"ListStreams":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"streams"},"ListTagsForResource":{"input_token":"nextToken","output_token":"nextToken","result_key":"tags"},"ListTargetsForPolicy":{"input_token":"marker","limit_key":"pageSize","output_token":"nextMarker","result_key":"targets"},"ListTargetsForSecurityProfile":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"securityProfileTargets"},"ListThingGroups":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"thingGroups"},"ListThingGroupsForThing":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"thingGroups"},"ListThingPrincipals":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"principals"},"ListThingRegistrationTaskReports":{"input_token":"nextToken","limit_key":"maxResults","non_aggregate_keys":["reportType"],"output_token":"nextToken","result_key":"resourceLinks"},"ListThingRegistrationTasks":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"taskIds"},"ListThingTypes":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"thingTypes"},"ListThings":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"things"},"ListThingsInBillingGroup":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"things"},"ListThingsInThingGroup":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"things"},"ListTopicRuleDestinations":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"destinationSummaries"},"ListTopicRules":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"rules"},"ListV2LoggingLevels":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"logTargetConfigurations"},"ListViolationEvents":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"violationEvents"}}}');

/***/ }),

/***/ 21717:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-05-28","endpointPrefix":"data.iot","protocol":"rest-json","serviceFullName":"AWS IoT Data Plane","serviceId":"IoT Data Plane","signatureVersion":"v4","signingName":"iotdata","uid":"iot-data-2015-05-28"},"operations":{"DeleteThingShadow":{"http":{"method":"DELETE","requestUri":"/things/{thingName}/shadow"},"input":{"type":"structure","required":["thingName"],"members":{"thingName":{"location":"uri","locationName":"thingName"},"shadowName":{"location":"querystring","locationName":"name"}}},"output":{"type":"structure","required":["payload"],"members":{"payload":{"type":"blob"}},"payload":"payload"}},"GetRetainedMessage":{"http":{"method":"GET","requestUri":"/retainedMessage/{topic}"},"input":{"type":"structure","required":["topic"],"members":{"topic":{"location":"uri","locationName":"topic"}}},"output":{"type":"structure","members":{"topic":{},"payload":{"type":"blob"},"qos":{"type":"integer"},"lastModifiedTime":{"type":"long"}}}},"GetThingShadow":{"http":{"method":"GET","requestUri":"/things/{thingName}/shadow"},"input":{"type":"structure","required":["thingName"],"members":{"thingName":{"location":"uri","locationName":"thingName"},"shadowName":{"location":"querystring","locationName":"name"}}},"output":{"type":"structure","members":{"payload":{"type":"blob"}},"payload":"payload"}},"ListNamedShadowsForThing":{"http":{"method":"GET","requestUri":"/api/things/shadow/ListNamedShadowsForThing/{thingName}"},"input":{"type":"structure","required":["thingName"],"members":{"thingName":{"location":"uri","locationName":"thingName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"pageSize":{"location":"querystring","locationName":"pageSize","type":"integer"}}},"output":{"type":"structure","members":{"results":{"type":"list","member":{}},"nextToken":{},"timestamp":{"type":"long"}}}},"ListRetainedMessages":{"http":{"method":"GET","requestUri":"/retainedMessage"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"retainedTopics":{"type":"list","member":{"type":"structure","members":{"topic":{},"payloadSize":{"type":"long"},"qos":{"type":"integer"},"lastModifiedTime":{"type":"long"}}}},"nextToken":{}}}},"Publish":{"http":{"requestUri":"/topics/{topic}"},"input":{"type":"structure","required":["topic"],"members":{"topic":{"location":"uri","locationName":"topic"},"qos":{"location":"querystring","locationName":"qos","type":"integer"},"retain":{"location":"querystring","locationName":"retain","type":"boolean"},"payload":{"type":"blob"}},"payload":"payload"}},"UpdateThingShadow":{"http":{"requestUri":"/things/{thingName}/shadow"},"input":{"type":"structure","required":["thingName","payload"],"members":{"thingName":{"location":"uri","locationName":"thingName"},"shadowName":{"location":"querystring","locationName":"name"},"payload":{"type":"blob"}},"payload":"payload"},"output":{"type":"structure","members":{"payload":{"type":"blob"}},"payload":"payload"}}},"shapes":{}}');

/***/ }),

/***/ 31896:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListRetainedMessages":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"retainedTopics"}}}');

/***/ }),

/***/ 12147:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-09-29","endpointPrefix":"data.jobs.iot","protocol":"rest-json","serviceFullName":"AWS IoT Jobs Data Plane","serviceId":"IoT Jobs Data Plane","signatureVersion":"v4","signingName":"iot-jobs-data","uid":"iot-jobs-data-2017-09-29"},"operations":{"DescribeJobExecution":{"http":{"method":"GET","requestUri":"/things/{thingName}/jobs/{jobId}"},"input":{"type":"structure","required":["jobId","thingName"],"members":{"jobId":{"location":"uri","locationName":"jobId"},"thingName":{"location":"uri","locationName":"thingName"},"includeJobDocument":{"location":"querystring","locationName":"includeJobDocument","type":"boolean"},"executionNumber":{"location":"querystring","locationName":"executionNumber","type":"long"}}},"output":{"type":"structure","members":{"execution":{"shape":"S7"}}}},"GetPendingJobExecutions":{"http":{"method":"GET","requestUri":"/things/{thingName}/jobs"},"input":{"type":"structure","required":["thingName"],"members":{"thingName":{"location":"uri","locationName":"thingName"}}},"output":{"type":"structure","members":{"inProgressJobs":{"shape":"Sl"},"queuedJobs":{"shape":"Sl"}}}},"StartNextPendingJobExecution":{"http":{"method":"PUT","requestUri":"/things/{thingName}/jobs/$next"},"input":{"type":"structure","required":["thingName"],"members":{"thingName":{"location":"uri","locationName":"thingName"},"statusDetails":{"shape":"Sa"},"stepTimeoutInMinutes":{"type":"long"}}},"output":{"type":"structure","members":{"execution":{"shape":"S7"}}}},"UpdateJobExecution":{"http":{"requestUri":"/things/{thingName}/jobs/{jobId}"},"input":{"type":"structure","required":["jobId","thingName","status"],"members":{"jobId":{"location":"uri","locationName":"jobId"},"thingName":{"location":"uri","locationName":"thingName"},"status":{},"statusDetails":{"shape":"Sa"},"stepTimeoutInMinutes":{"type":"long"},"expectedVersion":{"type":"long"},"includeJobExecutionState":{"type":"boolean"},"includeJobDocument":{"type":"boolean"},"executionNumber":{"type":"long"}}},"output":{"type":"structure","members":{"executionState":{"type":"structure","members":{"status":{},"statusDetails":{"shape":"Sa"},"versionNumber":{"type":"long"}}},"jobDocument":{}}}}},"shapes":{"S7":{"type":"structure","members":{"jobId":{},"thingName":{},"status":{},"statusDetails":{"shape":"Sa"},"queuedAt":{"type":"long"},"startedAt":{"type":"long"},"lastUpdatedAt":{"type":"long"},"approximateSecondsBeforeTimedOut":{"type":"long"},"versionNumber":{"type":"long"},"executionNumber":{"type":"long"},"jobDocument":{}}},"Sa":{"type":"map","key":{},"value":{}},"Sl":{"type":"list","member":{"type":"structure","members":{"jobId":{},"queuedAt":{"type":"long"},"startedAt":{"type":"long"},"lastUpdatedAt":{"type":"long"},"versionNumber":{"type":"long"},"executionNumber":{"type":"long"}}}}}}');

/***/ }),

/***/ 58593:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 26663:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2018-05-14","endpointPrefix":"devices.iot1click","signingName":"iot1click","serviceFullName":"AWS IoT 1-Click Devices Service","serviceId":"IoT 1Click Devices Service","protocol":"rest-json","jsonVersion":"1.1","uid":"devices-2018-05-14","signatureVersion":"v4"},"operations":{"ClaimDevicesByClaimCode":{"http":{"method":"PUT","requestUri":"/claims/{claimCode}","responseCode":200},"input":{"type":"structure","members":{"ClaimCode":{"location":"uri","locationName":"claimCode"}},"required":["ClaimCode"]},"output":{"type":"structure","members":{"ClaimCode":{"locationName":"claimCode"},"Total":{"locationName":"total","type":"integer"}}}},"DescribeDevice":{"http":{"method":"GET","requestUri":"/devices/{deviceId}","responseCode":200},"input":{"type":"structure","members":{"DeviceId":{"location":"uri","locationName":"deviceId"}},"required":["DeviceId"]},"output":{"type":"structure","members":{"DeviceDescription":{"shape":"S8","locationName":"deviceDescription"}}}},"FinalizeDeviceClaim":{"http":{"method":"PUT","requestUri":"/devices/{deviceId}/finalize-claim","responseCode":200},"input":{"type":"structure","members":{"DeviceId":{"location":"uri","locationName":"deviceId"},"Tags":{"shape":"Sc","locationName":"tags"}},"required":["DeviceId"]},"output":{"type":"structure","members":{"State":{"locationName":"state"}}}},"GetDeviceMethods":{"http":{"method":"GET","requestUri":"/devices/{deviceId}/methods","responseCode":200},"input":{"type":"structure","members":{"DeviceId":{"location":"uri","locationName":"deviceId"}},"required":["DeviceId"]},"output":{"type":"structure","members":{"DeviceMethods":{"locationName":"deviceMethods","type":"list","member":{"shape":"Si"}}}}},"InitiateDeviceClaim":{"http":{"method":"PUT","requestUri":"/devices/{deviceId}/initiate-claim","responseCode":200},"input":{"type":"structure","members":{"DeviceId":{"location":"uri","locationName":"deviceId"}},"required":["DeviceId"]},"output":{"type":"structure","members":{"State":{"locationName":"state"}}}},"InvokeDeviceMethod":{"http":{"requestUri":"/devices/{deviceId}/methods","responseCode":200},"input":{"type":"structure","members":{"DeviceId":{"location":"uri","locationName":"deviceId"},"DeviceMethod":{"shape":"Si","locationName":"deviceMethod"},"DeviceMethodParameters":{"locationName":"deviceMethodParameters"}},"required":["DeviceId"]},"output":{"type":"structure","members":{"DeviceMethodResponse":{"locationName":"deviceMethodResponse"}}}},"ListDeviceEvents":{"http":{"method":"GET","requestUri":"/devices/{deviceId}/events","responseCode":200},"input":{"type":"structure","members":{"DeviceId":{"location":"uri","locationName":"deviceId"},"FromTimeStamp":{"shape":"So","location":"querystring","locationName":"fromTimeStamp"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"ToTimeStamp":{"shape":"So","location":"querystring","locationName":"toTimeStamp"}},"required":["DeviceId","FromTimeStamp","ToTimeStamp"]},"output":{"type":"structure","members":{"Events":{"locationName":"events","type":"list","member":{"type":"structure","members":{"Device":{"locationName":"device","type":"structure","members":{"Attributes":{"locationName":"attributes","type":"structure","members":{}},"DeviceId":{"locationName":"deviceId"},"Type":{"locationName":"type"}}},"StdEvent":{"locationName":"stdEvent"}}}},"NextToken":{"locationName":"nextToken"}}}},"ListDevices":{"http":{"method":"GET","requestUri":"/devices","responseCode":200},"input":{"type":"structure","members":{"DeviceType":{"location":"querystring","locationName":"deviceType"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Devices":{"locationName":"devices","type":"list","member":{"shape":"S8"}},"NextToken":{"locationName":"nextToken"}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resource-arn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{"Tags":{"shape":"Sc","locationName":"tags"}}}},"TagResource":{"http":{"requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"Tags":{"shape":"Sc","locationName":"tags"}},"required":["ResourceArn","Tags"]}},"UnclaimDevice":{"http":{"method":"PUT","requestUri":"/devices/{deviceId}/unclaim","responseCode":200},"input":{"type":"structure","members":{"DeviceId":{"location":"uri","locationName":"deviceId"}},"required":["DeviceId"]},"output":{"type":"structure","members":{"State":{"locationName":"state"}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}},"required":["TagKeys","ResourceArn"]}},"UpdateDeviceState":{"http":{"method":"PUT","requestUri":"/devices/{deviceId}/state","responseCode":200},"input":{"type":"structure","members":{"DeviceId":{"location":"uri","locationName":"deviceId"},"Enabled":{"locationName":"enabled","type":"boolean"}},"required":["DeviceId"]},"output":{"type":"structure","members":{}}}},"shapes":{"S8":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Attributes":{"locationName":"attributes","type":"map","key":{},"value":{}},"DeviceId":{"locationName":"deviceId"},"Enabled":{"locationName":"enabled","type":"boolean"},"RemainingLife":{"locationName":"remainingLife","type":"double"},"Type":{"locationName":"type"},"Tags":{"shape":"Sc","locationName":"tags"}}},"Sc":{"type":"map","key":{},"value":{}},"Si":{"type":"structure","members":{"DeviceType":{"locationName":"deviceType"},"MethodName":{"locationName":"methodName"}}},"So":{"type":"timestamp","timestampFormat":"iso8601"}}}');

/***/ }),

/***/ 17364:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-05-14","endpointPrefix":"projects.iot1click","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"AWS IoT 1-Click Projects","serviceFullName":"AWS IoT 1-Click Projects Service","serviceId":"IoT 1Click Projects","signatureVersion":"v4","signingName":"iot1click","uid":"iot1click-projects-2018-05-14"},"operations":{"AssociateDeviceWithPlacement":{"http":{"method":"PUT","requestUri":"/projects/{projectName}/placements/{placementName}/devices/{deviceTemplateName}"},"input":{"type":"structure","required":["projectName","placementName","deviceId","deviceTemplateName"],"members":{"projectName":{"location":"uri","locationName":"projectName"},"placementName":{"location":"uri","locationName":"placementName"},"deviceId":{},"deviceTemplateName":{"location":"uri","locationName":"deviceTemplateName"}}},"output":{"type":"structure","members":{}}},"CreatePlacement":{"http":{"requestUri":"/projects/{projectName}/placements"},"input":{"type":"structure","required":["placementName","projectName"],"members":{"placementName":{},"projectName":{"location":"uri","locationName":"projectName"},"attributes":{"shape":"S8"}}},"output":{"type":"structure","members":{}}},"CreateProject":{"http":{"requestUri":"/projects"},"input":{"type":"structure","required":["projectName"],"members":{"projectName":{},"description":{},"placementTemplate":{"shape":"Se"},"tags":{"shape":"Sn"}}},"output":{"type":"structure","members":{}}},"DeletePlacement":{"http":{"method":"DELETE","requestUri":"/projects/{projectName}/placements/{placementName}"},"input":{"type":"structure","required":["placementName","projectName"],"members":{"placementName":{"location":"uri","locationName":"placementName"},"projectName":{"location":"uri","locationName":"projectName"}}},"output":{"type":"structure","members":{}}},"DeleteProject":{"http":{"method":"DELETE","requestUri":"/projects/{projectName}"},"input":{"type":"structure","required":["projectName"],"members":{"projectName":{"location":"uri","locationName":"projectName"}}},"output":{"type":"structure","members":{}}},"DescribePlacement":{"http":{"method":"GET","requestUri":"/projects/{projectName}/placements/{placementName}"},"input":{"type":"structure","required":["placementName","projectName"],"members":{"placementName":{"location":"uri","locationName":"placementName"},"projectName":{"location":"uri","locationName":"projectName"}}},"output":{"type":"structure","required":["placement"],"members":{"placement":{"type":"structure","required":["projectName","placementName","attributes","createdDate","updatedDate"],"members":{"projectName":{},"placementName":{},"attributes":{"shape":"S8"},"createdDate":{"type":"timestamp"},"updatedDate":{"type":"timestamp"}}}}}},"DescribeProject":{"http":{"method":"GET","requestUri":"/projects/{projectName}"},"input":{"type":"structure","required":["projectName"],"members":{"projectName":{"location":"uri","locationName":"projectName"}}},"output":{"type":"structure","required":["project"],"members":{"project":{"type":"structure","required":["projectName","createdDate","updatedDate"],"members":{"arn":{},"projectName":{},"description":{},"createdDate":{"type":"timestamp"},"updatedDate":{"type":"timestamp"},"placementTemplate":{"shape":"Se"},"tags":{"shape":"Sn"}}}}}},"DisassociateDeviceFromPlacement":{"http":{"method":"DELETE","requestUri":"/projects/{projectName}/placements/{placementName}/devices/{deviceTemplateName}"},"input":{"type":"structure","required":["projectName","placementName","deviceTemplateName"],"members":{"projectName":{"location":"uri","locationName":"projectName"},"placementName":{"location":"uri","locationName":"placementName"},"deviceTemplateName":{"location":"uri","locationName":"deviceTemplateName"}}},"output":{"type":"structure","members":{}}},"GetDevicesInPlacement":{"http":{"method":"GET","requestUri":"/projects/{projectName}/placements/{placementName}/devices"},"input":{"type":"structure","required":["projectName","placementName"],"members":{"projectName":{"location":"uri","locationName":"projectName"},"placementName":{"location":"uri","locationName":"placementName"}}},"output":{"type":"structure","required":["devices"],"members":{"devices":{"type":"map","key":{},"value":{}}}}},"ListPlacements":{"http":{"method":"GET","requestUri":"/projects/{projectName}/placements"},"input":{"type":"structure","required":["projectName"],"members":{"projectName":{"location":"uri","locationName":"projectName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["placements"],"members":{"placements":{"type":"list","member":{"type":"structure","required":["projectName","placementName","createdDate","updatedDate"],"members":{"projectName":{},"placementName":{},"createdDate":{"type":"timestamp"},"updatedDate":{"type":"timestamp"}}}},"nextToken":{}}}},"ListProjects":{"http":{"method":"GET","requestUri":"/projects"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["projects"],"members":{"projects":{"type":"list","member":{"type":"structure","required":["projectName","createdDate","updatedDate"],"members":{"arn":{},"projectName":{},"createdDate":{"type":"timestamp"},"updatedDate":{"type":"timestamp"},"tags":{"shape":"Sn"}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sn"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sn"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdatePlacement":{"http":{"method":"PUT","requestUri":"/projects/{projectName}/placements/{placementName}"},"input":{"type":"structure","required":["placementName","projectName"],"members":{"placementName":{"location":"uri","locationName":"placementName"},"projectName":{"location":"uri","locationName":"projectName"},"attributes":{"shape":"S8"}}},"output":{"type":"structure","members":{}}},"UpdateProject":{"http":{"method":"PUT","requestUri":"/projects/{projectName}"},"input":{"type":"structure","required":["projectName"],"members":{"projectName":{"location":"uri","locationName":"projectName"},"description":{},"placementTemplate":{"shape":"Se"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S8":{"type":"map","key":{},"value":{}},"Se":{"type":"structure","members":{"defaultAttributes":{"type":"map","key":{},"value":{}},"deviceTemplates":{"type":"map","key":{},"value":{"type":"structure","members":{"deviceType":{},"callbackOverrides":{"type":"map","key":{},"value":{}}}}}}},"Sn":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 54033:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListPlacements":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"placements"},"ListProjects":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"projects"}}}');

/***/ }),

/***/ 84609:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-11-27","endpointPrefix":"iotanalytics","protocol":"rest-json","serviceFullName":"AWS IoT Analytics","serviceId":"IoTAnalytics","signatureVersion":"v4","signingName":"iotanalytics","uid":"iotanalytics-2017-11-27"},"operations":{"BatchPutMessage":{"http":{"requestUri":"/messages/batch","responseCode":200},"input":{"type":"structure","required":["channelName","messages"],"members":{"channelName":{},"messages":{"type":"list","member":{"type":"structure","required":["messageId","payload"],"members":{"messageId":{},"payload":{"type":"blob"}}}}}},"output":{"type":"structure","members":{"batchPutMessageErrorEntries":{"type":"list","member":{"type":"structure","members":{"messageId":{},"errorCode":{},"errorMessage":{}}}}}}},"CancelPipelineReprocessing":{"http":{"method":"DELETE","requestUri":"/pipelines/{pipelineName}/reprocessing/{reprocessingId}"},"input":{"type":"structure","required":["pipelineName","reprocessingId"],"members":{"pipelineName":{"location":"uri","locationName":"pipelineName"},"reprocessingId":{"location":"uri","locationName":"reprocessingId"}}},"output":{"type":"structure","members":{}}},"CreateChannel":{"http":{"requestUri":"/channels","responseCode":201},"input":{"type":"structure","required":["channelName"],"members":{"channelName":{},"channelStorage":{"shape":"Sh"},"retentionPeriod":{"shape":"Sn"},"tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{"channelName":{},"channelArn":{},"retentionPeriod":{"shape":"Sn"}}}},"CreateDataset":{"http":{"requestUri":"/datasets","responseCode":201},"input":{"type":"structure","required":["datasetName","actions"],"members":{"datasetName":{},"actions":{"shape":"Sy"},"triggers":{"shape":"S1l"},"contentDeliveryRules":{"shape":"S1q"},"retentionPeriod":{"shape":"Sn"},"versioningConfiguration":{"shape":"S21"},"tags":{"shape":"Sq"},"lateDataRules":{"shape":"S24"}}},"output":{"type":"structure","members":{"datasetName":{},"datasetArn":{},"retentionPeriod":{"shape":"Sn"}}}},"CreateDatasetContent":{"http":{"requestUri":"/datasets/{datasetName}/content"},"input":{"type":"structure","required":["datasetName"],"members":{"datasetName":{"location":"uri","locationName":"datasetName"},"versionId":{}}},"output":{"type":"structure","members":{"versionId":{}}}},"CreateDatastore":{"http":{"requestUri":"/datastores","responseCode":201},"input":{"type":"structure","required":["datastoreName"],"members":{"datastoreName":{},"datastoreStorage":{"shape":"S2h"},"retentionPeriod":{"shape":"Sn"},"tags":{"shape":"Sq"},"fileFormatConfiguration":{"shape":"S2m"},"datastorePartitions":{"shape":"S2u"}}},"output":{"type":"structure","members":{"datastoreName":{},"datastoreArn":{},"retentionPeriod":{"shape":"Sn"}}}},"CreatePipeline":{"http":{"requestUri":"/pipelines","responseCode":201},"input":{"type":"structure","required":["pipelineName","pipelineActivities"],"members":{"pipelineName":{},"pipelineActivities":{"shape":"S34"},"tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{"pipelineName":{},"pipelineArn":{}}}},"DeleteChannel":{"http":{"method":"DELETE","requestUri":"/channels/{channelName}","responseCode":204},"input":{"type":"structure","required":["channelName"],"members":{"channelName":{"location":"uri","locationName":"channelName"}}}},"DeleteDataset":{"http":{"method":"DELETE","requestUri":"/datasets/{datasetName}","responseCode":204},"input":{"type":"structure","required":["datasetName"],"members":{"datasetName":{"location":"uri","locationName":"datasetName"}}}},"DeleteDatasetContent":{"http":{"method":"DELETE","requestUri":"/datasets/{datasetName}/content","responseCode":204},"input":{"type":"structure","required":["datasetName"],"members":{"datasetName":{"location":"uri","locationName":"datasetName"},"versionId":{"location":"querystring","locationName":"versionId"}}}},"DeleteDatastore":{"http":{"method":"DELETE","requestUri":"/datastores/{datastoreName}","responseCode":204},"input":{"type":"structure","required":["datastoreName"],"members":{"datastoreName":{"location":"uri","locationName":"datastoreName"}}}},"DeletePipeline":{"http":{"method":"DELETE","requestUri":"/pipelines/{pipelineName}","responseCode":204},"input":{"type":"structure","required":["pipelineName"],"members":{"pipelineName":{"location":"uri","locationName":"pipelineName"}}}},"DescribeChannel":{"http":{"method":"GET","requestUri":"/channels/{channelName}"},"input":{"type":"structure","required":["channelName"],"members":{"channelName":{"location":"uri","locationName":"channelName"},"includeStatistics":{"location":"querystring","locationName":"includeStatistics","type":"boolean"}}},"output":{"type":"structure","members":{"channel":{"type":"structure","members":{"name":{},"storage":{"shape":"Sh"},"arn":{},"status":{},"retentionPeriod":{"shape":"Sn"},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"lastMessageArrivalTime":{"type":"timestamp"}}},"statistics":{"type":"structure","members":{"size":{"shape":"S42"}}}}}},"DescribeDataset":{"http":{"method":"GET","requestUri":"/datasets/{datasetName}"},"input":{"type":"structure","required":["datasetName"],"members":{"datasetName":{"location":"uri","locationName":"datasetName"}}},"output":{"type":"structure","members":{"dataset":{"type":"structure","members":{"name":{},"arn":{},"actions":{"shape":"Sy"},"triggers":{"shape":"S1l"},"contentDeliveryRules":{"shape":"S1q"},"status":{},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"retentionPeriod":{"shape":"Sn"},"versioningConfiguration":{"shape":"S21"},"lateDataRules":{"shape":"S24"}}}}}},"DescribeDatastore":{"http":{"method":"GET","requestUri":"/datastores/{datastoreName}"},"input":{"type":"structure","required":["datastoreName"],"members":{"datastoreName":{"location":"uri","locationName":"datastoreName"},"includeStatistics":{"location":"querystring","locationName":"includeStatistics","type":"boolean"}}},"output":{"type":"structure","members":{"datastore":{"type":"structure","members":{"name":{},"storage":{"shape":"S2h"},"arn":{},"status":{},"retentionPeriod":{"shape":"Sn"},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"lastMessageArrivalTime":{"type":"timestamp"},"fileFormatConfiguration":{"shape":"S2m"},"datastorePartitions":{"shape":"S2u"}}},"statistics":{"type":"structure","members":{"size":{"shape":"S42"}}}}}},"DescribeLoggingOptions":{"http":{"method":"GET","requestUri":"/logging"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"loggingOptions":{"shape":"S4f"}}}},"DescribePipeline":{"http":{"method":"GET","requestUri":"/pipelines/{pipelineName}"},"input":{"type":"structure","required":["pipelineName"],"members":{"pipelineName":{"location":"uri","locationName":"pipelineName"}}},"output":{"type":"structure","members":{"pipeline":{"type":"structure","members":{"name":{},"arn":{},"activities":{"shape":"S34"},"reprocessingSummaries":{"shape":"S4l"},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"}}}}}},"GetDatasetContent":{"http":{"method":"GET","requestUri":"/datasets/{datasetName}/content"},"input":{"type":"structure","required":["datasetName"],"members":{"datasetName":{"location":"uri","locationName":"datasetName"},"versionId":{"location":"querystring","locationName":"versionId"}}},"output":{"type":"structure","members":{"entries":{"type":"list","member":{"type":"structure","members":{"entryName":{},"dataURI":{}}}},"timestamp":{"type":"timestamp"},"status":{"shape":"S4t"}}}},"ListChannels":{"http":{"method":"GET","requestUri":"/channels"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"channelSummaries":{"type":"list","member":{"type":"structure","members":{"channelName":{},"channelStorage":{"type":"structure","members":{"serviceManagedS3":{"type":"structure","members":{}},"customerManagedS3":{"type":"structure","members":{"bucket":{},"keyPrefix":{},"roleArn":{}}}}},"status":{},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"lastMessageArrivalTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListDatasetContents":{"http":{"method":"GET","requestUri":"/datasets/{datasetName}/contents"},"input":{"type":"structure","required":["datasetName"],"members":{"datasetName":{"location":"uri","locationName":"datasetName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"scheduledOnOrAfter":{"location":"querystring","locationName":"scheduledOnOrAfter","type":"timestamp"},"scheduledBefore":{"location":"querystring","locationName":"scheduledBefore","type":"timestamp"}}},"output":{"type":"structure","members":{"datasetContentSummaries":{"type":"list","member":{"type":"structure","members":{"version":{},"status":{"shape":"S4t"},"creationTime":{"type":"timestamp"},"scheduleTime":{"type":"timestamp"},"completionTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListDatasets":{"http":{"method":"GET","requestUri":"/datasets"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"datasetSummaries":{"type":"list","member":{"type":"structure","members":{"datasetName":{},"status":{},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"triggers":{"shape":"S1l"},"actions":{"type":"list","member":{"type":"structure","members":{"actionName":{},"actionType":{}}}}}}},"nextToken":{}}}},"ListDatastores":{"http":{"method":"GET","requestUri":"/datastores"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"datastoreSummaries":{"type":"list","member":{"type":"structure","members":{"datastoreName":{},"datastoreStorage":{"type":"structure","members":{"serviceManagedS3":{"type":"structure","members":{}},"customerManagedS3":{"type":"structure","members":{"bucket":{},"keyPrefix":{},"roleArn":{}}},"iotSiteWiseMultiLayerStorage":{"type":"structure","members":{"customerManagedS3Storage":{"type":"structure","members":{"bucket":{},"keyPrefix":{}}}}}}},"status":{},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"lastMessageArrivalTime":{"type":"timestamp"},"fileFormatType":{},"datastorePartitions":{"shape":"S2u"}}}},"nextToken":{}}}},"ListPipelines":{"http":{"method":"GET","requestUri":"/pipelines"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"pipelineSummaries":{"type":"list","member":{"type":"structure","members":{"pipelineName":{},"reprocessingSummaries":{"shape":"S4l"},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sq"}}}},"PutLoggingOptions":{"http":{"method":"PUT","requestUri":"/logging"},"input":{"type":"structure","required":["loggingOptions"],"members":{"loggingOptions":{"shape":"S4f"}}}},"RunPipelineActivity":{"http":{"requestUri":"/pipelineactivities/run"},"input":{"type":"structure","required":["pipelineActivity","payloads"],"members":{"pipelineActivity":{"shape":"S35"},"payloads":{"shape":"S5z"}}},"output":{"type":"structure","members":{"payloads":{"shape":"S5z"},"logResult":{}}}},"SampleChannelData":{"http":{"method":"GET","requestUri":"/channels/{channelName}/sample"},"input":{"type":"structure","required":["channelName"],"members":{"channelName":{"location":"uri","locationName":"channelName"},"maxMessages":{"location":"querystring","locationName":"maxMessages","type":"integer"},"startTime":{"location":"querystring","locationName":"startTime","type":"timestamp"},"endTime":{"location":"querystring","locationName":"endTime","type":"timestamp"}}},"output":{"type":"structure","members":{"payloads":{"shape":"S5z"}}}},"StartPipelineReprocessing":{"http":{"requestUri":"/pipelines/{pipelineName}/reprocessing"},"input":{"type":"structure","required":["pipelineName"],"members":{"pipelineName":{"location":"uri","locationName":"pipelineName"},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"channelMessages":{"type":"structure","members":{"s3Paths":{"type":"list","member":{}}}}}},"output":{"type":"structure","members":{"reprocessingId":{}}}},"TagResource":{"http":{"requestUri":"/tags","responseCode":204},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"},"tags":{"shape":"Sq"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags","responseCode":204},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateChannel":{"http":{"method":"PUT","requestUri":"/channels/{channelName}"},"input":{"type":"structure","required":["channelName"],"members":{"channelName":{"location":"uri","locationName":"channelName"},"channelStorage":{"shape":"Sh"},"retentionPeriod":{"shape":"Sn"}}}},"UpdateDataset":{"http":{"method":"PUT","requestUri":"/datasets/{datasetName}"},"input":{"type":"structure","required":["datasetName","actions"],"members":{"datasetName":{"location":"uri","locationName":"datasetName"},"actions":{"shape":"Sy"},"triggers":{"shape":"S1l"},"contentDeliveryRules":{"shape":"S1q"},"retentionPeriod":{"shape":"Sn"},"versioningConfiguration":{"shape":"S21"},"lateDataRules":{"shape":"S24"}}}},"UpdateDatastore":{"http":{"method":"PUT","requestUri":"/datastores/{datastoreName}"},"input":{"type":"structure","required":["datastoreName"],"members":{"datastoreName":{"location":"uri","locationName":"datastoreName"},"retentionPeriod":{"shape":"Sn"},"datastoreStorage":{"shape":"S2h"},"fileFormatConfiguration":{"shape":"S2m"}}}},"UpdatePipeline":{"http":{"method":"PUT","requestUri":"/pipelines/{pipelineName}"},"input":{"type":"structure","required":["pipelineName","pipelineActivities"],"members":{"pipelineName":{"location":"uri","locationName":"pipelineName"},"pipelineActivities":{"shape":"S34"}}}}},"shapes":{"Sh":{"type":"structure","members":{"serviceManagedS3":{"type":"structure","members":{}},"customerManagedS3":{"type":"structure","required":["bucket","roleArn"],"members":{"bucket":{},"keyPrefix":{},"roleArn":{}}}}},"Sn":{"type":"structure","members":{"unlimited":{"type":"boolean"},"numberOfDays":{"type":"integer"}}},"Sq":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"Sy":{"type":"list","member":{"type":"structure","members":{"actionName":{},"queryAction":{"type":"structure","required":["sqlQuery"],"members":{"sqlQuery":{},"filters":{"type":"list","member":{"type":"structure","members":{"deltaTime":{"type":"structure","required":["offsetSeconds","timeExpression"],"members":{"offsetSeconds":{"type":"integer"},"timeExpression":{}}}}}}}},"containerAction":{"type":"structure","required":["image","executionRoleArn","resourceConfiguration"],"members":{"image":{},"executionRoleArn":{},"resourceConfiguration":{"type":"structure","required":["computeType","volumeSizeInGB"],"members":{"computeType":{},"volumeSizeInGB":{"type":"integer"}}},"variables":{"type":"list","member":{"type":"structure","required":["name"],"members":{"name":{},"stringValue":{},"doubleValue":{"type":"double"},"datasetContentVersionValue":{"type":"structure","required":["datasetName"],"members":{"datasetName":{}}},"outputFileUriValue":{"type":"structure","required":["fileName"],"members":{"fileName":{}}}}}}}}}}},"S1l":{"type":"list","member":{"type":"structure","members":{"schedule":{"type":"structure","members":{"expression":{}}},"dataset":{"type":"structure","required":["name"],"members":{"name":{}}}}}},"S1q":{"type":"list","member":{"type":"structure","required":["destination"],"members":{"entryName":{},"destination":{"type":"structure","members":{"iotEventsDestinationConfiguration":{"type":"structure","required":["inputName","roleArn"],"members":{"inputName":{},"roleArn":{}}},"s3DestinationConfiguration":{"type":"structure","required":["bucket","key","roleArn"],"members":{"bucket":{},"key":{},"glueConfiguration":{"type":"structure","required":["tableName","databaseName"],"members":{"tableName":{},"databaseName":{}}},"roleArn":{}}}}}}}},"S21":{"type":"structure","members":{"unlimited":{"type":"boolean"},"maxVersions":{"type":"integer"}}},"S24":{"type":"list","member":{"type":"structure","required":["ruleConfiguration"],"members":{"ruleName":{},"ruleConfiguration":{"type":"structure","members":{"deltaTimeSessionWindowConfiguration":{"type":"structure","required":["timeoutInMinutes"],"members":{"timeoutInMinutes":{"type":"integer"}}}}}}}},"S2h":{"type":"structure","members":{"serviceManagedS3":{"type":"structure","members":{}},"customerManagedS3":{"type":"structure","required":["bucket","roleArn"],"members":{"bucket":{},"keyPrefix":{},"roleArn":{}}},"iotSiteWiseMultiLayerStorage":{"type":"structure","required":["customerManagedS3Storage"],"members":{"customerManagedS3Storage":{"type":"structure","required":["bucket"],"members":{"bucket":{},"keyPrefix":{}}}}}}},"S2m":{"type":"structure","members":{"jsonConfiguration":{"type":"structure","members":{}},"parquetConfiguration":{"type":"structure","members":{"schemaDefinition":{"type":"structure","members":{"columns":{"type":"list","member":{"type":"structure","required":["name","type"],"members":{"name":{},"type":{}}}}}}}}}},"S2u":{"type":"structure","members":{"partitions":{"type":"list","member":{"type":"structure","members":{"attributePartition":{"type":"structure","required":["attributeName"],"members":{"attributeName":{}}},"timestampPartition":{"type":"structure","required":["attributeName"],"members":{"attributeName":{},"timestampFormat":{}}}}}}}},"S34":{"type":"list","member":{"shape":"S35"}},"S35":{"type":"structure","members":{"channel":{"type":"structure","required":["name","channelName"],"members":{"name":{},"channelName":{},"next":{}}},"lambda":{"type":"structure","required":["name","lambdaName","batchSize"],"members":{"name":{},"lambdaName":{},"batchSize":{"type":"integer"},"next":{}}},"datastore":{"type":"structure","required":["name","datastoreName"],"members":{"name":{},"datastoreName":{}}},"addAttributes":{"type":"structure","required":["name","attributes"],"members":{"name":{},"attributes":{"type":"map","key":{},"value":{}},"next":{}}},"removeAttributes":{"type":"structure","required":["name","attributes"],"members":{"name":{},"attributes":{"shape":"S3g"},"next":{}}},"selectAttributes":{"type":"structure","required":["name","attributes"],"members":{"name":{},"attributes":{"shape":"S3g"},"next":{}}},"filter":{"type":"structure","required":["name","filter"],"members":{"name":{},"filter":{},"next":{}}},"math":{"type":"structure","required":["name","attribute","math"],"members":{"name":{},"attribute":{},"math":{},"next":{}}},"deviceRegistryEnrich":{"type":"structure","required":["name","attribute","thingName","roleArn"],"members":{"name":{},"attribute":{},"thingName":{},"roleArn":{},"next":{}}},"deviceShadowEnrich":{"type":"structure","required":["name","attribute","thingName","roleArn"],"members":{"name":{},"attribute":{},"thingName":{},"roleArn":{},"next":{}}}}},"S3g":{"type":"list","member":{}},"S42":{"type":"structure","members":{"estimatedSizeInBytes":{"type":"double"},"estimatedOn":{"type":"timestamp"}}},"S4f":{"type":"structure","required":["roleArn","level","enabled"],"members":{"roleArn":{},"level":{},"enabled":{"type":"boolean"}}},"S4l":{"type":"list","member":{"type":"structure","members":{"id":{},"status":{},"creationTime":{"type":"timestamp"}}}},"S4t":{"type":"structure","members":{"state":{},"reason":{}}},"S5z":{"type":"list","member":{"type":"blob"}}}}');

/***/ }),

/***/ 45498:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListChannels":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListDatasetContents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListDatasets":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListDatastores":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListPipelines":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 71394:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-09-18","endpointPrefix":"api.iotdeviceadvisor","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"AWSIoTDeviceAdvisor","serviceFullName":"AWS IoT Core Device Advisor","serviceId":"IotDeviceAdvisor","signatureVersion":"v4","signingName":"iotdeviceadvisor","uid":"iotdeviceadvisor-2020-09-18"},"operations":{"CreateSuiteDefinition":{"http":{"requestUri":"/suiteDefinitions"},"input":{"type":"structure","members":{"suiteDefinitionConfiguration":{"shape":"S2"},"tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"suiteDefinitionId":{},"suiteDefinitionArn":{},"suiteDefinitionName":{},"createdAt":{"type":"timestamp"}}}},"DeleteSuiteDefinition":{"http":{"method":"DELETE","requestUri":"/suiteDefinitions/{suiteDefinitionId}"},"input":{"type":"structure","required":["suiteDefinitionId"],"members":{"suiteDefinitionId":{"location":"uri","locationName":"suiteDefinitionId"}}},"output":{"type":"structure","members":{}}},"GetEndpoint":{"http":{"method":"GET","requestUri":"/endpoint"},"input":{"type":"structure","members":{"thingArn":{"location":"querystring","locationName":"thingArn"},"certificateArn":{"location":"querystring","locationName":"certificateArn"}}},"output":{"type":"structure","members":{"endpoint":{}}}},"GetSuiteDefinition":{"http":{"method":"GET","requestUri":"/suiteDefinitions/{suiteDefinitionId}"},"input":{"type":"structure","required":["suiteDefinitionId"],"members":{"suiteDefinitionId":{"location":"uri","locationName":"suiteDefinitionId"},"suiteDefinitionVersion":{"location":"querystring","locationName":"suiteDefinitionVersion"}}},"output":{"type":"structure","members":{"suiteDefinitionId":{},"suiteDefinitionArn":{},"suiteDefinitionVersion":{},"latestVersion":{},"suiteDefinitionConfiguration":{"shape":"S2"},"createdAt":{"type":"timestamp"},"lastModifiedAt":{"type":"timestamp"},"tags":{"shape":"S9"}}}},"GetSuiteRun":{"http":{"method":"GET","requestUri":"/suiteDefinitions/{suiteDefinitionId}/suiteRuns/{suiteRunId}"},"input":{"type":"structure","required":["suiteDefinitionId","suiteRunId"],"members":{"suiteDefinitionId":{"location":"uri","locationName":"suiteDefinitionId"},"suiteRunId":{"location":"uri","locationName":"suiteRunId"}}},"output":{"type":"structure","members":{"suiteDefinitionId":{},"suiteDefinitionVersion":{},"suiteRunId":{},"suiteRunArn":{},"suiteRunConfiguration":{"shape":"Sp"},"testResult":{"type":"structure","members":{"groups":{"type":"list","member":{"type":"structure","members":{"groupId":{},"groupName":{},"tests":{"type":"list","member":{"type":"structure","members":{"testCaseRunId":{},"testCaseDefinitionId":{},"testCaseDefinitionName":{},"status":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"logUrl":{},"warnings":{},"failure":{}}}}}}}}},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"status":{},"errorReason":{},"tags":{"shape":"S9"}}}},"GetSuiteRunReport":{"http":{"method":"GET","requestUri":"/suiteDefinitions/{suiteDefinitionId}/suiteRuns/{suiteRunId}/report"},"input":{"type":"structure","required":["suiteDefinitionId","suiteRunId"],"members":{"suiteDefinitionId":{"location":"uri","locationName":"suiteDefinitionId"},"suiteRunId":{"location":"uri","locationName":"suiteRunId"}}},"output":{"type":"structure","members":{"qualificationReportDownloadUrl":{}}}},"ListSuiteDefinitions":{"http":{"method":"GET","requestUri":"/suiteDefinitions"},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"suiteDefinitionInformationList":{"type":"list","member":{"type":"structure","members":{"suiteDefinitionId":{},"suiteDefinitionName":{},"defaultDevices":{"shape":"S4"},"intendedForQualification":{"type":"boolean"},"createdAt":{"type":"timestamp"}}}},"nextToken":{}}}},"ListSuiteRuns":{"http":{"method":"GET","requestUri":"/suiteRuns"},"input":{"type":"structure","members":{"suiteDefinitionId":{"location":"querystring","locationName":"suiteDefinitionId"},"suiteDefinitionVersion":{"location":"querystring","locationName":"suiteDefinitionVersion"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"suiteRunsList":{"type":"list","member":{"type":"structure","members":{"suiteDefinitionId":{},"suiteDefinitionVersion":{},"suiteDefinitionName":{},"suiteRunId":{},"createdAt":{"type":"timestamp"},"startedAt":{"type":"timestamp"},"endAt":{"type":"timestamp"},"status":{},"passed":{"type":"integer"},"failed":{"type":"integer"}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S9"}}}},"StartSuiteRun":{"http":{"requestUri":"/suiteDefinitions/{suiteDefinitionId}/suiteRuns"},"input":{"type":"structure","required":["suiteDefinitionId"],"members":{"suiteDefinitionId":{"location":"uri","locationName":"suiteDefinitionId"},"suiteDefinitionVersion":{},"suiteRunConfiguration":{"shape":"Sp"},"tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"suiteRunId":{},"suiteRunArn":{},"createdAt":{"type":"timestamp"}}}},"StopSuiteRun":{"http":{"requestUri":"/suiteDefinitions/{suiteDefinitionId}/suiteRuns/{suiteRunId}/stop"},"input":{"type":"structure","required":["suiteDefinitionId","suiteRunId"],"members":{"suiteDefinitionId":{"location":"uri","locationName":"suiteDefinitionId"},"suiteRunId":{"location":"uri","locationName":"suiteRunId"}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S9"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateSuiteDefinition":{"http":{"method":"PATCH","requestUri":"/suiteDefinitions/{suiteDefinitionId}"},"input":{"type":"structure","required":["suiteDefinitionId"],"members":{"suiteDefinitionId":{"location":"uri","locationName":"suiteDefinitionId"},"suiteDefinitionConfiguration":{"shape":"S2"}}},"output":{"type":"structure","members":{"suiteDefinitionId":{},"suiteDefinitionArn":{},"suiteDefinitionName":{},"suiteDefinitionVersion":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"}}}}},"shapes":{"S2":{"type":"structure","members":{"suiteDefinitionName":{},"devices":{"shape":"S4"},"intendedForQualification":{"type":"boolean"},"rootGroup":{},"devicePermissionRoleArn":{}}},"S4":{"type":"list","member":{"shape":"S5"}},"S5":{"type":"structure","members":{"thingArn":{},"certificateArn":{}}},"S9":{"type":"map","key":{},"value":{}},"Sp":{"type":"structure","members":{"primaryDevice":{"shape":"S5"},"selectedTestList":{"type":"list","member":{}},"parallelRun":{"type":"boolean"}}}}}');

/***/ }),

/***/ 49057:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListSuiteDefinitions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListSuiteRuns":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 4483:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-07-27","endpointPrefix":"iotevents","protocol":"rest-json","serviceFullName":"AWS IoT Events","serviceId":"IoT Events","signatureVersion":"v4","signingName":"iotevents","uid":"iotevents-2018-07-27"},"operations":{"CreateAlarmModel":{"http":{"requestUri":"/alarm-models"},"input":{"type":"structure","required":["alarmModelName","roleArn","alarmRule"],"members":{"alarmModelName":{},"alarmModelDescription":{},"roleArn":{},"tags":{"shape":"S5"},"key":{},"severity":{"type":"integer"},"alarmRule":{"shape":"Sb"},"alarmNotification":{"shape":"Sg"},"alarmEventActions":{"shape":"S13"},"alarmCapabilities":{"shape":"S23"}}},"output":{"type":"structure","members":{"creationTime":{"type":"timestamp"},"alarmModelArn":{},"alarmModelVersion":{},"lastUpdateTime":{"type":"timestamp"},"status":{}}}},"CreateDetectorModel":{"http":{"requestUri":"/detector-models"},"input":{"type":"structure","required":["detectorModelName","detectorModelDefinition","roleArn"],"members":{"detectorModelName":{},"detectorModelDefinition":{"shape":"S2f"},"detectorModelDescription":{},"key":{},"roleArn":{},"tags":{"shape":"S5"},"evaluationMethod":{}}},"output":{"type":"structure","members":{"detectorModelConfiguration":{"shape":"S35"}}}},"CreateInput":{"http":{"requestUri":"/inputs","responseCode":201},"input":{"type":"structure","required":["inputName","inputDefinition"],"members":{"inputName":{},"inputDescription":{},"inputDefinition":{"shape":"S3b"},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{"inputConfiguration":{"shape":"S3f"}}}},"DeleteAlarmModel":{"http":{"method":"DELETE","requestUri":"/alarm-models/{alarmModelName}","responseCode":204},"input":{"type":"structure","required":["alarmModelName"],"members":{"alarmModelName":{"location":"uri","locationName":"alarmModelName"}}},"output":{"type":"structure","members":{}}},"DeleteDetectorModel":{"http":{"method":"DELETE","requestUri":"/detector-models/{detectorModelName}","responseCode":204},"input":{"type":"structure","required":["detectorModelName"],"members":{"detectorModelName":{"location":"uri","locationName":"detectorModelName"}}},"output":{"type":"structure","members":{}}},"DeleteInput":{"http":{"method":"DELETE","requestUri":"/inputs/{inputName}"},"input":{"type":"structure","required":["inputName"],"members":{"inputName":{"location":"uri","locationName":"inputName"}}},"output":{"type":"structure","members":{}}},"DescribeAlarmModel":{"http":{"method":"GET","requestUri":"/alarm-models/{alarmModelName}"},"input":{"type":"structure","required":["alarmModelName"],"members":{"alarmModelName":{"location":"uri","locationName":"alarmModelName"},"alarmModelVersion":{"location":"querystring","locationName":"version"}}},"output":{"type":"structure","members":{"creationTime":{"type":"timestamp"},"alarmModelArn":{},"alarmModelVersion":{},"lastUpdateTime":{"type":"timestamp"},"status":{},"statusMessage":{},"alarmModelName":{},"alarmModelDescription":{},"roleArn":{},"key":{},"severity":{"type":"integer"},"alarmRule":{"shape":"Sb"},"alarmNotification":{"shape":"Sg"},"alarmEventActions":{"shape":"S13"},"alarmCapabilities":{"shape":"S23"}}}},"DescribeDetectorModel":{"http":{"method":"GET","requestUri":"/detector-models/{detectorModelName}"},"input":{"type":"structure","required":["detectorModelName"],"members":{"detectorModelName":{"location":"uri","locationName":"detectorModelName"},"detectorModelVersion":{"location":"querystring","locationName":"version"}}},"output":{"type":"structure","members":{"detectorModel":{"type":"structure","members":{"detectorModelDefinition":{"shape":"S2f"},"detectorModelConfiguration":{"shape":"S35"}}}}}},"DescribeDetectorModelAnalysis":{"http":{"method":"GET","requestUri":"/analysis/detector-models/{analysisId}"},"input":{"type":"structure","required":["analysisId"],"members":{"analysisId":{"location":"uri","locationName":"analysisId"}}},"output":{"type":"structure","members":{"status":{}}}},"DescribeInput":{"http":{"method":"GET","requestUri":"/inputs/{inputName}"},"input":{"type":"structure","required":["inputName"],"members":{"inputName":{"location":"uri","locationName":"inputName"}}},"output":{"type":"structure","members":{"input":{"type":"structure","members":{"inputConfiguration":{"shape":"S3f"},"inputDefinition":{"shape":"S3b"}}}}}},"DescribeLoggingOptions":{"http":{"method":"GET","requestUri":"/logging"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"loggingOptions":{"shape":"S43"}}}},"GetDetectorModelAnalysisResults":{"http":{"method":"GET","requestUri":"/analysis/detector-models/{analysisId}/results"},"input":{"type":"structure","required":["analysisId"],"members":{"analysisId":{"location":"uri","locationName":"analysisId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"analysisResults":{"type":"list","member":{"type":"structure","members":{"type":{},"level":{},"message":{},"locations":{"type":"list","member":{"type":"structure","members":{"path":{}}}}}}},"nextToken":{}}}},"ListAlarmModelVersions":{"http":{"method":"GET","requestUri":"/alarm-models/{alarmModelName}/versions"},"input":{"type":"structure","required":["alarmModelName"],"members":{"alarmModelName":{"location":"uri","locationName":"alarmModelName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"alarmModelVersionSummaries":{"type":"list","member":{"type":"structure","members":{"alarmModelName":{},"alarmModelArn":{},"alarmModelVersion":{},"roleArn":{},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"status":{},"statusMessage":{}}}},"nextToken":{}}}},"ListAlarmModels":{"http":{"method":"GET","requestUri":"/alarm-models"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"alarmModelSummaries":{"type":"list","member":{"type":"structure","members":{"creationTime":{"type":"timestamp"},"alarmModelDescription":{},"alarmModelName":{}}}},"nextToken":{}}}},"ListDetectorModelVersions":{"http":{"method":"GET","requestUri":"/detector-models/{detectorModelName}/versions"},"input":{"type":"structure","required":["detectorModelName"],"members":{"detectorModelName":{"location":"uri","locationName":"detectorModelName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"detectorModelVersionSummaries":{"type":"list","member":{"type":"structure","members":{"detectorModelName":{},"detectorModelVersion":{},"detectorModelArn":{},"roleArn":{},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"status":{},"evaluationMethod":{}}}},"nextToken":{}}}},"ListDetectorModels":{"http":{"method":"GET","requestUri":"/detector-models"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"detectorModelSummaries":{"type":"list","member":{"type":"structure","members":{"detectorModelName":{},"detectorModelDescription":{},"creationTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListInputRoutings":{"http":{"requestUri":"/input-routings"},"input":{"type":"structure","required":["inputIdentifier"],"members":{"inputIdentifier":{"type":"structure","members":{"iotEventsInputIdentifier":{"type":"structure","required":["inputName"],"members":{"inputName":{}}},"iotSiteWiseInputIdentifier":{"type":"structure","members":{"iotSiteWiseAssetModelPropertyIdentifier":{"type":"structure","required":["assetModelId","propertyId"],"members":{"assetModelId":{},"propertyId":{}}}}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"routedResources":{"type":"list","member":{"type":"structure","members":{"name":{},"arn":{}}}},"nextToken":{}}}},"ListInputs":{"http":{"method":"GET","requestUri":"/inputs"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"inputSummaries":{"type":"list","member":{"type":"structure","members":{"inputName":{},"inputDescription":{},"inputArn":{},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"status":{}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S5"}}}},"PutLoggingOptions":{"http":{"method":"PUT","requestUri":"/logging"},"input":{"type":"structure","required":["loggingOptions"],"members":{"loggingOptions":{"shape":"S43"}}}},"StartDetectorModelAnalysis":{"http":{"requestUri":"/analysis/detector-models/"},"input":{"type":"structure","required":["detectorModelDefinition"],"members":{"detectorModelDefinition":{"shape":"S2f"}}},"output":{"type":"structure","members":{"analysisId":{}}}},"TagResource":{"http":{"requestUri":"/tags"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"},"tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateAlarmModel":{"http":{"requestUri":"/alarm-models/{alarmModelName}"},"input":{"type":"structure","required":["alarmModelName","roleArn","alarmRule"],"members":{"alarmModelName":{"location":"uri","locationName":"alarmModelName"},"alarmModelDescription":{},"roleArn":{},"severity":{"type":"integer"},"alarmRule":{"shape":"Sb"},"alarmNotification":{"shape":"Sg"},"alarmEventActions":{"shape":"S13"},"alarmCapabilities":{"shape":"S23"}}},"output":{"type":"structure","members":{"creationTime":{"type":"timestamp"},"alarmModelArn":{},"alarmModelVersion":{},"lastUpdateTime":{"type":"timestamp"},"status":{}}}},"UpdateDetectorModel":{"http":{"requestUri":"/detector-models/{detectorModelName}"},"input":{"type":"structure","required":["detectorModelName","detectorModelDefinition","roleArn"],"members":{"detectorModelName":{"location":"uri","locationName":"detectorModelName"},"detectorModelDefinition":{"shape":"S2f"},"detectorModelDescription":{},"roleArn":{},"evaluationMethod":{}}},"output":{"type":"structure","members":{"detectorModelConfiguration":{"shape":"S35"}}}},"UpdateInput":{"http":{"method":"PUT","requestUri":"/inputs/{inputName}"},"input":{"type":"structure","required":["inputName","inputDefinition"],"members":{"inputName":{"location":"uri","locationName":"inputName"},"inputDescription":{},"inputDefinition":{"shape":"S3b"}}},"output":{"type":"structure","members":{"inputConfiguration":{"shape":"S3f"}}}}},"shapes":{"S5":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"Sb":{"type":"structure","members":{"simpleRule":{"type":"structure","required":["inputProperty","comparisonOperator","threshold"],"members":{"inputProperty":{},"comparisonOperator":{},"threshold":{}}}}},"Sg":{"type":"structure","members":{"notificationActions":{"type":"list","member":{"type":"structure","required":["action"],"members":{"action":{"type":"structure","members":{"lambdaAction":{"shape":"Sk"}}},"smsConfigurations":{"type":"list","member":{"type":"structure","required":["recipients"],"members":{"senderId":{},"additionalMessage":{},"recipients":{"shape":"Ss"}}}},"emailConfigurations":{"type":"list","member":{"type":"structure","required":["from","recipients"],"members":{"from":{},"content":{"type":"structure","members":{"subject":{},"additionalMessage":{}}},"recipients":{"type":"structure","members":{"to":{"shape":"Ss"}}}}}}}}}}},"Sk":{"type":"structure","required":["functionArn"],"members":{"functionArn":{},"payload":{"shape":"Sl"}}},"Sl":{"type":"structure","required":["contentExpression","type"],"members":{"contentExpression":{},"type":{}}},"Ss":{"type":"list","member":{"type":"structure","members":{"ssoIdentity":{"type":"structure","required":["identityStoreId"],"members":{"identityStoreId":{},"userId":{}}}}}},"S13":{"type":"structure","members":{"alarmActions":{"type":"list","member":{"type":"structure","members":{"sns":{"shape":"S16"},"iotTopicPublish":{"shape":"S17"},"lambda":{"shape":"Sk"},"iotEvents":{"shape":"S19"},"sqs":{"shape":"S1b"},"firehose":{"shape":"S1e"},"dynamoDB":{"shape":"S1h"},"dynamoDBv2":{"shape":"S1n"},"iotSiteWise":{"shape":"S1o"}}}}}},"S16":{"type":"structure","required":["targetArn"],"members":{"targetArn":{},"payload":{"shape":"Sl"}}},"S17":{"type":"structure","required":["mqttTopic"],"members":{"mqttTopic":{},"payload":{"shape":"Sl"}}},"S19":{"type":"structure","required":["inputName"],"members":{"inputName":{},"payload":{"shape":"Sl"}}},"S1b":{"type":"structure","required":["queueUrl"],"members":{"queueUrl":{},"useBase64":{"type":"boolean"},"payload":{"shape":"Sl"}}},"S1e":{"type":"structure","required":["deliveryStreamName"],"members":{"deliveryStreamName":{},"separator":{},"payload":{"shape":"Sl"}}},"S1h":{"type":"structure","required":["hashKeyField","hashKeyValue","tableName"],"members":{"hashKeyType":{},"hashKeyField":{},"hashKeyValue":{},"rangeKeyType":{},"rangeKeyField":{},"rangeKeyValue":{},"operation":{},"payloadField":{},"tableName":{},"payload":{"shape":"Sl"}}},"S1n":{"type":"structure","required":["tableName"],"members":{"tableName":{},"payload":{"shape":"Sl"}}},"S1o":{"type":"structure","members":{"entryId":{},"assetId":{},"propertyId":{},"propertyAlias":{},"propertyValue":{"type":"structure","members":{"value":{"type":"structure","members":{"stringValue":{},"integerValue":{},"doubleValue":{},"booleanValue":{}}},"timestamp":{"type":"structure","required":["timeInSeconds"],"members":{"timeInSeconds":{},"offsetInNanos":{}}},"quality":{}}}}},"S23":{"type":"structure","members":{"initializationConfiguration":{"type":"structure","required":["disabledOnInitialization"],"members":{"disabledOnInitialization":{"type":"boolean"}}},"acknowledgeFlow":{"type":"structure","required":["enabled"],"members":{"enabled":{"type":"boolean"}}}}},"S2f":{"type":"structure","required":["states","initialStateName"],"members":{"states":{"type":"list","member":{"type":"structure","required":["stateName"],"members":{"stateName":{},"onInput":{"type":"structure","members":{"events":{"shape":"S2k"},"transitionEvents":{"type":"list","member":{"type":"structure","required":["eventName","condition","nextState"],"members":{"eventName":{},"condition":{},"actions":{"shape":"S2o"},"nextState":{}}}}}},"onEnter":{"type":"structure","members":{"events":{"shape":"S2k"}}},"onExit":{"type":"structure","members":{"events":{"shape":"S2k"}}}}}},"initialStateName":{}}},"S2k":{"type":"list","member":{"type":"structure","required":["eventName"],"members":{"eventName":{},"condition":{},"actions":{"shape":"S2o"}}}},"S2o":{"type":"list","member":{"type":"structure","members":{"setVariable":{"type":"structure","required":["variableName","value"],"members":{"variableName":{},"value":{}}},"sns":{"shape":"S16"},"iotTopicPublish":{"shape":"S17"},"setTimer":{"type":"structure","required":["timerName"],"members":{"timerName":{},"seconds":{"deprecated":true,"deprecatedMessage":"seconds is deprecated. You can use durationExpression for SetTimerAction. The value of seconds can be used as a string expression for durationExpression.","type":"integer"},"durationExpression":{}}},"clearTimer":{"type":"structure","required":["timerName"],"members":{"timerName":{}}},"resetTimer":{"type":"structure","required":["timerName"],"members":{"timerName":{}}},"lambda":{"shape":"Sk"},"iotEvents":{"shape":"S19"},"sqs":{"shape":"S1b"},"firehose":{"shape":"S1e"},"dynamoDB":{"shape":"S1h"},"dynamoDBv2":{"shape":"S1n"},"iotSiteWise":{"shape":"S1o"}}}},"S35":{"type":"structure","members":{"detectorModelName":{},"detectorModelVersion":{},"detectorModelDescription":{},"detectorModelArn":{},"roleArn":{},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"status":{},"key":{},"evaluationMethod":{}}},"S3b":{"type":"structure","required":["attributes"],"members":{"attributes":{"type":"list","member":{"type":"structure","required":["jsonPath"],"members":{"jsonPath":{}}}}}},"S3f":{"type":"structure","required":["inputName","inputArn","creationTime","lastUpdateTime","status"],"members":{"inputName":{},"inputDescription":{},"inputArn":{},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"},"status":{}}},"S43":{"type":"structure","required":["roleArn","level","enabled"],"members":{"roleArn":{},"level":{},"enabled":{"type":"boolean"},"detectorDebugOptions":{"type":"list","member":{"type":"structure","required":["detectorModelName"],"members":{"detectorModelName":{},"keyValue":{}}}}}}}}');

/***/ }),

/***/ 39844:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 94282:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-10-23","endpointPrefix":"data.iotevents","protocol":"rest-json","serviceFullName":"AWS IoT Events Data","serviceId":"IoT Events Data","signatureVersion":"v4","signingName":"ioteventsdata","uid":"iotevents-data-2018-10-23"},"operations":{"BatchAcknowledgeAlarm":{"http":{"requestUri":"/alarms/acknowledge","responseCode":202},"input":{"type":"structure","required":["acknowledgeActionRequests"],"members":{"acknowledgeActionRequests":{"type":"list","member":{"type":"structure","required":["requestId","alarmModelName"],"members":{"requestId":{},"alarmModelName":{},"keyValue":{},"note":{}}}}}},"output":{"type":"structure","members":{"errorEntries":{"shape":"S9"}}}},"BatchDisableAlarm":{"http":{"requestUri":"/alarms/disable","responseCode":202},"input":{"type":"structure","required":["disableActionRequests"],"members":{"disableActionRequests":{"type":"list","member":{"type":"structure","required":["requestId","alarmModelName"],"members":{"requestId":{},"alarmModelName":{},"keyValue":{},"note":{}}}}}},"output":{"type":"structure","members":{"errorEntries":{"shape":"S9"}}}},"BatchEnableAlarm":{"http":{"requestUri":"/alarms/enable","responseCode":202},"input":{"type":"structure","required":["enableActionRequests"],"members":{"enableActionRequests":{"type":"list","member":{"type":"structure","required":["requestId","alarmModelName"],"members":{"requestId":{},"alarmModelName":{},"keyValue":{},"note":{}}}}}},"output":{"type":"structure","members":{"errorEntries":{"shape":"S9"}}}},"BatchPutMessage":{"http":{"requestUri":"/inputs/messages","responseCode":200},"input":{"type":"structure","required":["messages"],"members":{"messages":{"type":"list","member":{"type":"structure","required":["messageId","inputName","payload"],"members":{"messageId":{},"inputName":{},"payload":{"type":"blob"},"timestamp":{"type":"structure","members":{"timeInMillis":{"type":"long"}}}}}}}},"output":{"type":"structure","members":{"BatchPutMessageErrorEntries":{"type":"list","member":{"type":"structure","members":{"messageId":{},"errorCode":{},"errorMessage":{}}}}}}},"BatchResetAlarm":{"http":{"requestUri":"/alarms/reset","responseCode":202},"input":{"type":"structure","required":["resetActionRequests"],"members":{"resetActionRequests":{"type":"list","member":{"type":"structure","required":["requestId","alarmModelName"],"members":{"requestId":{},"alarmModelName":{},"keyValue":{},"note":{}}}}}},"output":{"type":"structure","members":{"errorEntries":{"shape":"S9"}}}},"BatchSnoozeAlarm":{"http":{"requestUri":"/alarms/snooze","responseCode":202},"input":{"type":"structure","required":["snoozeActionRequests"],"members":{"snoozeActionRequests":{"type":"list","member":{"type":"structure","required":["requestId","alarmModelName","snoozeDuration"],"members":{"requestId":{},"alarmModelName":{},"keyValue":{},"note":{},"snoozeDuration":{"type":"integer"}}}}}},"output":{"type":"structure","members":{"errorEntries":{"shape":"S9"}}}},"BatchUpdateDetector":{"http":{"requestUri":"/detectors","responseCode":200},"input":{"type":"structure","required":["detectors"],"members":{"detectors":{"type":"list","member":{"type":"structure","required":["messageId","detectorModelName","state"],"members":{"messageId":{},"detectorModelName":{},"keyValue":{},"state":{"type":"structure","required":["stateName","variables","timers"],"members":{"stateName":{},"variables":{"type":"list","member":{"type":"structure","required":["name","value"],"members":{"name":{},"value":{}}}},"timers":{"type":"list","member":{"type":"structure","required":["name","seconds"],"members":{"name":{},"seconds":{"type":"integer"}}}}}}}}}}},"output":{"type":"structure","members":{"batchUpdateDetectorErrorEntries":{"type":"list","member":{"type":"structure","members":{"messageId":{},"errorCode":{},"errorMessage":{}}}}}}},"DescribeAlarm":{"http":{"method":"GET","requestUri":"/alarms/{alarmModelName}/keyValues/"},"input":{"type":"structure","required":["alarmModelName"],"members":{"alarmModelName":{"location":"uri","locationName":"alarmModelName"},"keyValue":{"location":"querystring","locationName":"keyValue"}}},"output":{"type":"structure","members":{"alarm":{"type":"structure","members":{"alarmModelName":{},"alarmModelVersion":{},"keyValue":{},"alarmState":{"type":"structure","members":{"stateName":{},"ruleEvaluation":{"type":"structure","members":{"simpleRuleEvaluation":{"type":"structure","members":{"inputPropertyValue":{},"operator":{},"thresholdValue":{}}}}},"customerAction":{"type":"structure","members":{"actionName":{},"snoozeActionConfiguration":{"type":"structure","members":{"snoozeDuration":{"type":"integer"},"note":{}}},"enableActionConfiguration":{"type":"structure","members":{"note":{}}},"disableActionConfiguration":{"type":"structure","members":{"note":{}}},"acknowledgeActionConfiguration":{"type":"structure","members":{"note":{}}},"resetActionConfiguration":{"type":"structure","members":{"note":{}}}}},"systemEvent":{"type":"structure","members":{"eventType":{},"stateChangeConfiguration":{"type":"structure","members":{"triggerType":{}}}}}}},"severity":{"type":"integer"},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"}}}}}},"DescribeDetector":{"http":{"method":"GET","requestUri":"/detectors/{detectorModelName}/keyValues/"},"input":{"type":"structure","required":["detectorModelName"],"members":{"detectorModelName":{"location":"uri","locationName":"detectorModelName"},"keyValue":{"location":"querystring","locationName":"keyValue"}}},"output":{"type":"structure","members":{"detector":{"type":"structure","members":{"detectorModelName":{},"keyValue":{},"detectorModelVersion":{},"state":{"type":"structure","required":["stateName","variables","timers"],"members":{"stateName":{},"variables":{"type":"list","member":{"type":"structure","required":["name","value"],"members":{"name":{},"value":{}}}},"timers":{"type":"list","member":{"type":"structure","required":["name","timestamp"],"members":{"name":{},"timestamp":{"type":"timestamp"}}}}}},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"}}}}}},"ListAlarms":{"http":{"method":"GET","requestUri":"/alarms/{alarmModelName}"},"input":{"type":"structure","required":["alarmModelName"],"members":{"alarmModelName":{"location":"uri","locationName":"alarmModelName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"alarmSummaries":{"type":"list","member":{"type":"structure","members":{"alarmModelName":{},"alarmModelVersion":{},"keyValue":{},"stateName":{},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListDetectors":{"http":{"method":"GET","requestUri":"/detectors/{detectorModelName}"},"input":{"type":"structure","required":["detectorModelName"],"members":{"detectorModelName":{"location":"uri","locationName":"detectorModelName"},"stateName":{"location":"querystring","locationName":"stateName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"detectorSummaries":{"type":"list","member":{"type":"structure","members":{"detectorModelName":{},"keyValue":{},"detectorModelVersion":{},"state":{"type":"structure","members":{"stateName":{}}},"creationTime":{"type":"timestamp"},"lastUpdateTime":{"type":"timestamp"}}}},"nextToken":{}}}}},"shapes":{"S9":{"type":"list","member":{"type":"structure","members":{"requestId":{},"errorCode":{},"errorMessage":{}}}}}}');

/***/ }),

/***/ 11632:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 56534:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-11-03","endpointPrefix":"api.fleethub.iot","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS IoT Fleet Hub","serviceId":"IoTFleetHub","signatureVersion":"v4","signingName":"iotfleethub","uid":"iotfleethub-2020-11-03"},"operations":{"CreateApplication":{"http":{"requestUri":"/applications","responseCode":201},"input":{"type":"structure","required":["applicationName","roleArn"],"members":{"applicationName":{},"applicationDescription":{},"clientToken":{"idempotencyToken":true},"roleArn":{},"tags":{"shape":"S6"}}},"output":{"type":"structure","required":["applicationId","applicationArn"],"members":{"applicationId":{},"applicationArn":{}}}},"DeleteApplication":{"http":{"method":"DELETE","requestUri":"/applications/{applicationId}","responseCode":204},"input":{"type":"structure","required":["applicationId"],"members":{"applicationId":{"location":"uri","locationName":"applicationId"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"}}},"output":{"type":"structure","members":{}}},"DescribeApplication":{"http":{"method":"GET","requestUri":"/applications/{applicationId}","responseCode":200},"input":{"type":"structure","required":["applicationId"],"members":{"applicationId":{"location":"uri","locationName":"applicationId"}}},"output":{"type":"structure","required":["applicationId","applicationArn","applicationName","applicationUrl","applicationState","applicationCreationDate","applicationLastUpdateDate","roleArn"],"members":{"applicationId":{},"applicationArn":{},"applicationName":{},"applicationDescription":{},"applicationUrl":{},"applicationState":{},"applicationCreationDate":{"type":"long"},"applicationLastUpdateDate":{"type":"long"},"roleArn":{},"ssoClientId":{},"errorMessage":{},"tags":{"shape":"S6"}}}},"ListApplications":{"http":{"method":"GET","requestUri":"/applications","responseCode":200},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"applicationSummaries":{"type":"list","member":{"type":"structure","required":["applicationId","applicationName","applicationUrl"],"members":{"applicationId":{},"applicationName":{},"applicationDescription":{},"applicationUrl":{},"applicationCreationDate":{"type":"long"},"applicationLastUpdateDate":{"type":"long"},"applicationState":{}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S6"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S6"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateApplication":{"http":{"method":"PATCH","requestUri":"/applications/{applicationId}","responseCode":202},"input":{"type":"structure","required":["applicationId"],"members":{"applicationId":{"location":"uri","locationName":"applicationId"},"applicationName":{},"applicationDescription":{},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{}}}},"shapes":{"S6":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 76120:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListApplications":{"input_token":"nextToken","output_token":"nextToken","result_key":"applicationSummaries"}}}');

/***/ }),

/***/ 99946:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-10-05","endpointPrefix":"api.tunneling.iot","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS IoT Secure Tunneling","serviceId":"IoTSecureTunneling","signatureVersion":"v4","signingName":"IoTSecuredTunneling","targetPrefix":"IoTSecuredTunneling","uid":"iotsecuretunneling-2018-10-05"},"operations":{"CloseTunnel":{"input":{"type":"structure","required":["tunnelId"],"members":{"tunnelId":{},"delete":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DescribeTunnel":{"input":{"type":"structure","required":["tunnelId"],"members":{"tunnelId":{}}},"output":{"type":"structure","members":{"tunnel":{"type":"structure","members":{"tunnelId":{},"tunnelArn":{},"status":{},"sourceConnectionState":{"shape":"Sa"},"destinationConnectionState":{"shape":"Sa"},"description":{},"destinationConfig":{"shape":"Se"},"timeoutConfig":{"shape":"Si"},"tags":{"shape":"Sk"},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"}}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{}}},"output":{"type":"structure","members":{"tags":{"shape":"Sk"}}}},"ListTunnels":{"input":{"type":"structure","members":{"thingName":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"tunnelSummaries":{"type":"list","member":{"type":"structure","members":{"tunnelId":{},"tunnelArn":{},"status":{},"description":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"}}}},"nextToken":{}}}},"OpenTunnel":{"input":{"type":"structure","members":{"description":{},"tags":{"shape":"Sk"},"destinationConfig":{"shape":"Se"},"timeoutConfig":{"shape":"Si"}}},"output":{"type":"structure","members":{"tunnelId":{},"tunnelArn":{},"sourceAccessToken":{"shape":"Sz"},"destinationAccessToken":{"shape":"Sz"}}}},"TagResource":{"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"Sk"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sa":{"type":"structure","members":{"status":{},"lastUpdatedAt":{"type":"timestamp"}}},"Se":{"type":"structure","required":["services"],"members":{"thingName":{},"services":{"type":"list","member":{}}}},"Si":{"type":"structure","members":{"maxLifetimeTimeoutMinutes":{"type":"integer"}}},"Sk":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"Sz":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 97884:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListTunnels":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 44429:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-12-02","endpointPrefix":"iotsitewise","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS IoT SiteWise","serviceId":"IoTSiteWise","signatureVersion":"v4","signingName":"iotsitewise","uid":"iotsitewise-2019-12-02"},"operations":{"AssociateAssets":{"http":{"requestUri":"/assets/{assetId}/associate"},"input":{"type":"structure","required":["assetId","hierarchyId","childAssetId"],"members":{"assetId":{"location":"uri","locationName":"assetId"},"hierarchyId":{},"childAssetId":{},"clientToken":{"idempotencyToken":true}}},"endpoint":{"hostPrefix":"api."}},"AssociateTimeSeriesToAssetProperty":{"http":{"requestUri":"/timeseries/associate/"},"input":{"type":"structure","required":["alias","assetId","propertyId"],"members":{"alias":{"location":"querystring","locationName":"alias"},"assetId":{"location":"querystring","locationName":"assetId"},"propertyId":{"location":"querystring","locationName":"propertyId"},"clientToken":{"idempotencyToken":true}}},"endpoint":{"hostPrefix":"api."}},"BatchAssociateProjectAssets":{"http":{"requestUri":"/projects/{projectId}/assets/associate","responseCode":200},"input":{"type":"structure","required":["projectId","assetIds"],"members":{"projectId":{"location":"uri","locationName":"projectId"},"assetIds":{"shape":"S7"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"errors":{"type":"list","member":{"shape":"Sa"}}}},"endpoint":{"hostPrefix":"monitor."}},"BatchDisassociateProjectAssets":{"http":{"requestUri":"/projects/{projectId}/assets/disassociate","responseCode":200},"input":{"type":"structure","required":["projectId","assetIds"],"members":{"projectId":{"location":"uri","locationName":"projectId"},"assetIds":{"shape":"S7"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"errors":{"type":"list","member":{"shape":"Sa"}}}},"endpoint":{"hostPrefix":"monitor."}},"BatchPutAssetPropertyValue":{"http":{"requestUri":"/properties"},"input":{"type":"structure","required":["entries"],"members":{"entries":{"type":"list","member":{"type":"structure","required":["entryId","propertyValues"],"members":{"entryId":{},"assetId":{},"propertyId":{},"propertyAlias":{},"propertyValues":{"type":"list","member":{"shape":"Sm"}}}}}}},"output":{"type":"structure","required":["errorEntries"],"members":{"errorEntries":{"type":"list","member":{"type":"structure","required":["entryId","errors"],"members":{"entryId":{},"errors":{"type":"list","member":{"type":"structure","required":["errorCode","errorMessage","timestamps"],"members":{"errorCode":{},"errorMessage":{},"timestamps":{"type":"list","member":{"shape":"Ss"}}}}}}}}}},"endpoint":{"hostPrefix":"data."}},"CreateAccessPolicy":{"http":{"requestUri":"/access-policies","responseCode":201},"input":{"type":"structure","required":["accessPolicyIdentity","accessPolicyResource","accessPolicyPermission"],"members":{"accessPolicyIdentity":{"shape":"S15"},"accessPolicyResource":{"shape":"S1c"},"accessPolicyPermission":{},"clientToken":{"idempotencyToken":true},"tags":{"shape":"S1g"}}},"output":{"type":"structure","required":["accessPolicyId","accessPolicyArn"],"members":{"accessPolicyId":{},"accessPolicyArn":{}}},"endpoint":{"hostPrefix":"monitor."}},"CreateAsset":{"http":{"requestUri":"/assets","responseCode":202},"input":{"type":"structure","required":["assetName","assetModelId"],"members":{"assetName":{},"assetModelId":{},"clientToken":{"idempotencyToken":true},"tags":{"shape":"S1g"}}},"output":{"type":"structure","required":["assetId","assetArn","assetStatus"],"members":{"assetId":{},"assetArn":{},"assetStatus":{"shape":"S1n"}}},"endpoint":{"hostPrefix":"api."}},"CreateAssetModel":{"http":{"requestUri":"/asset-models","responseCode":202},"input":{"type":"structure","required":["assetModelName"],"members":{"assetModelName":{},"assetModelDescription":{},"assetModelProperties":{"shape":"S1x"},"assetModelHierarchies":{"type":"list","member":{"type":"structure","required":["name","childAssetModelId"],"members":{"name":{},"childAssetModelId":{}}}},"assetModelCompositeModels":{"type":"list","member":{"type":"structure","required":["name","type"],"members":{"name":{},"description":{},"type":{},"properties":{"shape":"S1x"}}}},"clientToken":{"idempotencyToken":true},"tags":{"shape":"S1g"}}},"output":{"type":"structure","required":["assetModelId","assetModelArn","assetModelStatus"],"members":{"assetModelId":{},"assetModelArn":{},"assetModelStatus":{"shape":"S2s"}}},"endpoint":{"hostPrefix":"api."}},"CreateDashboard":{"http":{"requestUri":"/dashboards","responseCode":201},"input":{"type":"structure","required":["projectId","dashboardName","dashboardDefinition"],"members":{"projectId":{},"dashboardName":{},"dashboardDescription":{},"dashboardDefinition":{},"clientToken":{"idempotencyToken":true},"tags":{"shape":"S1g"}}},"output":{"type":"structure","required":["dashboardId","dashboardArn"],"members":{"dashboardId":{},"dashboardArn":{}}},"endpoint":{"hostPrefix":"monitor."}},"CreateGateway":{"http":{"requestUri":"/20200301/gateways","responseCode":201},"input":{"type":"structure","required":["gatewayName","gatewayPlatform"],"members":{"gatewayName":{},"gatewayPlatform":{"shape":"S2y"},"tags":{"shape":"S1g"}}},"output":{"type":"structure","required":["gatewayId","gatewayArn"],"members":{"gatewayId":{},"gatewayArn":{}}},"endpoint":{"hostPrefix":"api."}},"CreatePortal":{"http":{"requestUri":"/portals","responseCode":202},"input":{"type":"structure","required":["portalName","portalContactEmail","roleArn"],"members":{"portalName":{},"portalDescription":{},"portalContactEmail":{},"clientToken":{"idempotencyToken":true},"portalLogoImageFile":{"shape":"S35"},"roleArn":{},"tags":{"shape":"S1g"},"portalAuthMode":{},"notificationSenderEmail":{},"alarms":{"shape":"S39"}}},"output":{"type":"structure","required":["portalId","portalArn","portalStartUrl","portalStatus","ssoApplicationId"],"members":{"portalId":{},"portalArn":{},"portalStartUrl":{},"portalStatus":{"shape":"S3c"},"ssoApplicationId":{}}},"endpoint":{"hostPrefix":"monitor."}},"CreateProject":{"http":{"requestUri":"/projects","responseCode":201},"input":{"type":"structure","required":["portalId","projectName"],"members":{"portalId":{},"projectName":{},"projectDescription":{},"clientToken":{"idempotencyToken":true},"tags":{"shape":"S1g"}}},"output":{"type":"structure","required":["projectId","projectArn"],"members":{"projectId":{},"projectArn":{}}},"endpoint":{"hostPrefix":"monitor."}},"DeleteAccessPolicy":{"http":{"method":"DELETE","requestUri":"/access-policies/{accessPolicyId}","responseCode":204},"input":{"type":"structure","required":["accessPolicyId"],"members":{"accessPolicyId":{"location":"uri","locationName":"accessPolicyId"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"monitor."}},"DeleteAsset":{"http":{"method":"DELETE","requestUri":"/assets/{assetId}","responseCode":202},"input":{"type":"structure","required":["assetId"],"members":{"assetId":{"location":"uri","locationName":"assetId"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"}}},"output":{"type":"structure","required":["assetStatus"],"members":{"assetStatus":{"shape":"S1n"}}},"endpoint":{"hostPrefix":"api."}},"DeleteAssetModel":{"http":{"method":"DELETE","requestUri":"/asset-models/{assetModelId}","responseCode":202},"input":{"type":"structure","required":["assetModelId"],"members":{"assetModelId":{"location":"uri","locationName":"assetModelId"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"}}},"output":{"type":"structure","required":["assetModelStatus"],"members":{"assetModelStatus":{"shape":"S2s"}}},"endpoint":{"hostPrefix":"api."}},"DeleteDashboard":{"http":{"method":"DELETE","requestUri":"/dashboards/{dashboardId}","responseCode":204},"input":{"type":"structure","required":["dashboardId"],"members":{"dashboardId":{"location":"uri","locationName":"dashboardId"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"monitor."}},"DeleteGateway":{"http":{"method":"DELETE","requestUri":"/20200301/gateways/{gatewayId}"},"input":{"type":"structure","required":["gatewayId"],"members":{"gatewayId":{"location":"uri","locationName":"gatewayId"}}},"endpoint":{"hostPrefix":"api."}},"DeletePortal":{"http":{"method":"DELETE","requestUri":"/portals/{portalId}","responseCode":202},"input":{"type":"structure","required":["portalId"],"members":{"portalId":{"location":"uri","locationName":"portalId"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"}}},"output":{"type":"structure","required":["portalStatus"],"members":{"portalStatus":{"shape":"S3c"}}},"endpoint":{"hostPrefix":"monitor."}},"DeleteProject":{"http":{"method":"DELETE","requestUri":"/projects/{projectId}","responseCode":204},"input":{"type":"structure","required":["projectId"],"members":{"projectId":{"location":"uri","locationName":"projectId"},"clientToken":{"idempotencyToken":true,"location":"querystring","locationName":"clientToken"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"monitor."}},"DeleteTimeSeries":{"http":{"requestUri":"/timeseries/delete/"},"input":{"type":"structure","members":{"alias":{"location":"querystring","locationName":"alias"},"assetId":{"location":"querystring","locationName":"assetId"},"propertyId":{"location":"querystring","locationName":"propertyId"},"clientToken":{"idempotencyToken":true}}},"endpoint":{"hostPrefix":"api."}},"DescribeAccessPolicy":{"http":{"method":"GET","requestUri":"/access-policies/{accessPolicyId}","responseCode":200},"input":{"type":"structure","required":["accessPolicyId"],"members":{"accessPolicyId":{"location":"uri","locationName":"accessPolicyId"}}},"output":{"type":"structure","required":["accessPolicyId","accessPolicyArn","accessPolicyIdentity","accessPolicyResource","accessPolicyPermission","accessPolicyCreationDate","accessPolicyLastUpdateDate"],"members":{"accessPolicyId":{},"accessPolicyArn":{},"accessPolicyIdentity":{"shape":"S15"},"accessPolicyResource":{"shape":"S1c"},"accessPolicyPermission":{},"accessPolicyCreationDate":{"type":"timestamp"},"accessPolicyLastUpdateDate":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"monitor."}},"DescribeAsset":{"http":{"method":"GET","requestUri":"/assets/{assetId}"},"input":{"type":"structure","required":["assetId"],"members":{"assetId":{"location":"uri","locationName":"assetId"}}},"output":{"type":"structure","required":["assetId","assetArn","assetName","assetModelId","assetProperties","assetHierarchies","assetCreationDate","assetLastUpdateDate","assetStatus"],"members":{"assetId":{},"assetArn":{},"assetName":{},"assetModelId":{},"assetProperties":{"shape":"S43"},"assetHierarchies":{"shape":"S48"},"assetCompositeModels":{"type":"list","member":{"type":"structure","required":["name","type","properties"],"members":{"name":{},"description":{},"type":{},"properties":{"shape":"S43"}}}},"assetCreationDate":{"type":"timestamp"},"assetLastUpdateDate":{"type":"timestamp"},"assetStatus":{"shape":"S1n"}}},"endpoint":{"hostPrefix":"api."}},"DescribeAssetModel":{"http":{"method":"GET","requestUri":"/asset-models/{assetModelId}"},"input":{"type":"structure","required":["assetModelId"],"members":{"assetModelId":{"location":"uri","locationName":"assetModelId"}}},"output":{"type":"structure","required":["assetModelId","assetModelArn","assetModelName","assetModelDescription","assetModelProperties","assetModelHierarchies","assetModelCreationDate","assetModelLastUpdateDate","assetModelStatus"],"members":{"assetModelId":{},"assetModelArn":{},"assetModelName":{},"assetModelDescription":{},"assetModelProperties":{"shape":"S4e"},"assetModelHierarchies":{"shape":"S4g"},"assetModelCompositeModels":{"shape":"S4i"},"assetModelCreationDate":{"type":"timestamp"},"assetModelLastUpdateDate":{"type":"timestamp"},"assetModelStatus":{"shape":"S2s"}}},"endpoint":{"hostPrefix":"api."}},"DescribeAssetProperty":{"http":{"method":"GET","requestUri":"/assets/{assetId}/properties/{propertyId}"},"input":{"type":"structure","required":["assetId","propertyId"],"members":{"assetId":{"location":"uri","locationName":"assetId"},"propertyId":{"location":"uri","locationName":"propertyId"}}},"output":{"type":"structure","required":["assetId","assetName","assetModelId"],"members":{"assetId":{},"assetName":{},"assetModelId":{},"assetProperty":{"shape":"S4m"},"compositeModel":{"type":"structure","required":["name","type","assetProperty"],"members":{"name":{},"type":{},"assetProperty":{"shape":"S4m"}}}}},"endpoint":{"hostPrefix":"api."}},"DescribeDashboard":{"http":{"method":"GET","requestUri":"/dashboards/{dashboardId}","responseCode":200},"input":{"type":"structure","required":["dashboardId"],"members":{"dashboardId":{"location":"uri","locationName":"dashboardId"}}},"output":{"type":"structure","required":["dashboardId","dashboardArn","dashboardName","projectId","dashboardDefinition","dashboardCreationDate","dashboardLastUpdateDate"],"members":{"dashboardId":{},"dashboardArn":{},"dashboardName":{},"projectId":{},"dashboardDescription":{},"dashboardDefinition":{},"dashboardCreationDate":{"type":"timestamp"},"dashboardLastUpdateDate":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"monitor."}},"DescribeDefaultEncryptionConfiguration":{"http":{"method":"GET","requestUri":"/configuration/account/encryption"},"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["encryptionType","configurationStatus"],"members":{"encryptionType":{},"kmsKeyArn":{},"configurationStatus":{"shape":"S4t"}}},"endpoint":{"hostPrefix":"api."}},"DescribeGateway":{"http":{"method":"GET","requestUri":"/20200301/gateways/{gatewayId}"},"input":{"type":"structure","required":["gatewayId"],"members":{"gatewayId":{"location":"uri","locationName":"gatewayId"}}},"output":{"type":"structure","required":["gatewayId","gatewayName","gatewayArn","gatewayCapabilitySummaries","creationDate","lastUpdateDate"],"members":{"gatewayId":{},"gatewayName":{},"gatewayArn":{},"gatewayPlatform":{"shape":"S2y"},"gatewayCapabilitySummaries":{"shape":"S4y"},"creationDate":{"type":"timestamp"},"lastUpdateDate":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"api."}},"DescribeGatewayCapabilityConfiguration":{"http":{"method":"GET","requestUri":"/20200301/gateways/{gatewayId}/capability/{capabilityNamespace}"},"input":{"type":"structure","required":["gatewayId","capabilityNamespace"],"members":{"gatewayId":{"location":"uri","locationName":"gatewayId"},"capabilityNamespace":{"location":"uri","locationName":"capabilityNamespace"}}},"output":{"type":"structure","required":["gatewayId","capabilityNamespace","capabilityConfiguration","capabilitySyncStatus"],"members":{"gatewayId":{},"capabilityNamespace":{},"capabilityConfiguration":{},"capabilitySyncStatus":{}}},"endpoint":{"hostPrefix":"api."}},"DescribeLoggingOptions":{"http":{"method":"GET","requestUri":"/logging"},"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["loggingOptions"],"members":{"loggingOptions":{"shape":"S57"}}},"endpoint":{"hostPrefix":"api."}},"DescribePortal":{"http":{"method":"GET","requestUri":"/portals/{portalId}","responseCode":200},"input":{"type":"structure","required":["portalId"],"members":{"portalId":{"location":"uri","locationName":"portalId"}}},"output":{"type":"structure","required":["portalId","portalArn","portalName","portalClientId","portalStartUrl","portalContactEmail","portalStatus","portalCreationDate","portalLastUpdateDate"],"members":{"portalId":{},"portalArn":{},"portalName":{},"portalDescription":{},"portalClientId":{},"portalStartUrl":{},"portalContactEmail":{},"portalStatus":{"shape":"S3c"},"portalCreationDate":{"type":"timestamp"},"portalLastUpdateDate":{"type":"timestamp"},"portalLogoImageLocation":{"type":"structure","required":["id","url"],"members":{"id":{},"url":{}}},"roleArn":{},"portalAuthMode":{},"notificationSenderEmail":{},"alarms":{"shape":"S39"}}},"endpoint":{"hostPrefix":"monitor."}},"DescribeProject":{"http":{"method":"GET","requestUri":"/projects/{projectId}","responseCode":200},"input":{"type":"structure","required":["projectId"],"members":{"projectId":{"location":"uri","locationName":"projectId"}}},"output":{"type":"structure","required":["projectId","projectArn","projectName","portalId","projectCreationDate","projectLastUpdateDate"],"members":{"projectId":{},"projectArn":{},"projectName":{},"portalId":{},"projectDescription":{},"projectCreationDate":{"type":"timestamp"},"projectLastUpdateDate":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"monitor."}},"DescribeStorageConfiguration":{"http":{"method":"GET","requestUri":"/configuration/account/storage"},"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["storageType","configurationStatus"],"members":{"storageType":{},"multiLayerStorage":{"shape":"S5i"},"disassociatedDataStorage":{},"retentionPeriod":{"shape":"S5l"},"configurationStatus":{"shape":"S4t"},"lastUpdateDate":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"api."}},"DescribeTimeSeries":{"http":{"method":"GET","requestUri":"/timeseries/describe/"},"input":{"type":"structure","members":{"alias":{"location":"querystring","locationName":"alias"},"assetId":{"location":"querystring","locationName":"assetId"},"propertyId":{"location":"querystring","locationName":"propertyId"}}},"output":{"type":"structure","required":["timeSeriesId","dataType","timeSeriesCreationDate","timeSeriesLastUpdateDate"],"members":{"assetId":{},"propertyId":{},"alias":{},"timeSeriesId":{},"dataType":{},"dataTypeSpec":{},"timeSeriesCreationDate":{"type":"timestamp"},"timeSeriesLastUpdateDate":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"api."}},"DisassociateAssets":{"http":{"requestUri":"/assets/{assetId}/disassociate"},"input":{"type":"structure","required":["assetId","hierarchyId","childAssetId"],"members":{"assetId":{"location":"uri","locationName":"assetId"},"hierarchyId":{},"childAssetId":{},"clientToken":{"idempotencyToken":true}}},"endpoint":{"hostPrefix":"api."}},"DisassociateTimeSeriesFromAssetProperty":{"http":{"requestUri":"/timeseries/disassociate/"},"input":{"type":"structure","required":["alias","assetId","propertyId"],"members":{"alias":{"location":"querystring","locationName":"alias"},"assetId":{"location":"querystring","locationName":"assetId"},"propertyId":{"location":"querystring","locationName":"propertyId"},"clientToken":{"idempotencyToken":true}}},"endpoint":{"hostPrefix":"api."}},"GetAssetPropertyAggregates":{"http":{"method":"GET","requestUri":"/properties/aggregates"},"input":{"type":"structure","required":["aggregateTypes","resolution","startDate","endDate"],"members":{"assetId":{"location":"querystring","locationName":"assetId"},"propertyId":{"location":"querystring","locationName":"propertyId"},"propertyAlias":{"location":"querystring","locationName":"propertyAlias"},"aggregateTypes":{"location":"querystring","locationName":"aggregateTypes","type":"list","member":{}},"resolution":{"location":"querystring","locationName":"resolution"},"qualities":{"shape":"S5x","location":"querystring","locationName":"qualities"},"startDate":{"location":"querystring","locationName":"startDate","type":"timestamp"},"endDate":{"location":"querystring","locationName":"endDate","type":"timestamp"},"timeOrdering":{"location":"querystring","locationName":"timeOrdering"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["aggregatedValues"],"members":{"aggregatedValues":{"type":"list","member":{"type":"structure","required":["timestamp","value"],"members":{"timestamp":{"type":"timestamp"},"quality":{},"value":{"type":"structure","members":{"average":{"type":"double"},"count":{"type":"double"},"maximum":{"type":"double"},"minimum":{"type":"double"},"sum":{"type":"double"},"standardDeviation":{"type":"double"}}}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"data."}},"GetAssetPropertyValue":{"http":{"method":"GET","requestUri":"/properties/latest"},"input":{"type":"structure","members":{"assetId":{"location":"querystring","locationName":"assetId"},"propertyId":{"location":"querystring","locationName":"propertyId"},"propertyAlias":{"location":"querystring","locationName":"propertyAlias"}}},"output":{"type":"structure","members":{"propertyValue":{"shape":"Sm"}}},"endpoint":{"hostPrefix":"data."}},"GetAssetPropertyValueHistory":{"http":{"method":"GET","requestUri":"/properties/history"},"input":{"type":"structure","members":{"assetId":{"location":"querystring","locationName":"assetId"},"propertyId":{"location":"querystring","locationName":"propertyId"},"propertyAlias":{"location":"querystring","locationName":"propertyAlias"},"startDate":{"location":"querystring","locationName":"startDate","type":"timestamp"},"endDate":{"location":"querystring","locationName":"endDate","type":"timestamp"},"qualities":{"shape":"S5x","location":"querystring","locationName":"qualities"},"timeOrdering":{"location":"querystring","locationName":"timeOrdering"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["assetPropertyValueHistory"],"members":{"assetPropertyValueHistory":{"type":"list","member":{"shape":"Sm"}},"nextToken":{}}},"endpoint":{"hostPrefix":"data."}},"GetInterpolatedAssetPropertyValues":{"http":{"method":"GET","requestUri":"/properties/interpolated"},"input":{"type":"structure","required":["startTimeInSeconds","endTimeInSeconds","quality","intervalInSeconds","type"],"members":{"assetId":{"location":"querystring","locationName":"assetId"},"propertyId":{"location":"querystring","locationName":"propertyId"},"propertyAlias":{"location":"querystring","locationName":"propertyAlias"},"startTimeInSeconds":{"location":"querystring","locationName":"startTimeInSeconds","type":"long"},"startTimeOffsetInNanos":{"location":"querystring","locationName":"startTimeOffsetInNanos","type":"integer"},"endTimeInSeconds":{"location":"querystring","locationName":"endTimeInSeconds","type":"long"},"endTimeOffsetInNanos":{"location":"querystring","locationName":"endTimeOffsetInNanos","type":"integer"},"quality":{"location":"querystring","locationName":"quality"},"intervalInSeconds":{"location":"querystring","locationName":"intervalInSeconds","type":"long"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"type":{"location":"querystring","locationName":"type"},"intervalWindowInSeconds":{"location":"querystring","locationName":"intervalWindowInSeconds","type":"long"}}},"output":{"type":"structure","required":["interpolatedAssetPropertyValues"],"members":{"interpolatedAssetPropertyValues":{"type":"list","member":{"type":"structure","required":["timestamp","value"],"members":{"timestamp":{"shape":"Ss"},"value":{"shape":"Sn"}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"data."}},"ListAccessPolicies":{"http":{"method":"GET","requestUri":"/access-policies","responseCode":200},"input":{"type":"structure","members":{"identityType":{"location":"querystring","locationName":"identityType"},"identityId":{"location":"querystring","locationName":"identityId"},"resourceType":{"location":"querystring","locationName":"resourceType"},"resourceId":{"location":"querystring","locationName":"resourceId"},"iamArn":{"location":"querystring","locationName":"iamArn"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["accessPolicySummaries"],"members":{"accessPolicySummaries":{"type":"list","member":{"type":"structure","required":["id","identity","resource","permission"],"members":{"id":{},"identity":{"shape":"S15"},"resource":{"shape":"S1c"},"permission":{},"creationDate":{"type":"timestamp"},"lastUpdateDate":{"type":"timestamp"}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"monitor."}},"ListAssetModels":{"http":{"method":"GET","requestUri":"/asset-models"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["assetModelSummaries"],"members":{"assetModelSummaries":{"type":"list","member":{"type":"structure","required":["id","arn","name","description","creationDate","lastUpdateDate","status"],"members":{"id":{},"arn":{},"name":{},"description":{},"creationDate":{"type":"timestamp"},"lastUpdateDate":{"type":"timestamp"},"status":{"shape":"S2s"}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"api."}},"ListAssetRelationships":{"http":{"method":"GET","requestUri":"/assets/{assetId}/assetRelationships"},"input":{"type":"structure","required":["assetId","traversalType"],"members":{"assetId":{"location":"uri","locationName":"assetId"},"traversalType":{"location":"querystring","locationName":"traversalType"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["assetRelationshipSummaries"],"members":{"assetRelationshipSummaries":{"type":"list","member":{"type":"structure","required":["relationshipType"],"members":{"hierarchyInfo":{"type":"structure","members":{"parentAssetId":{},"childAssetId":{}}},"relationshipType":{}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"api."}},"ListAssets":{"http":{"method":"GET","requestUri":"/assets"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"assetModelId":{"location":"querystring","locationName":"assetModelId"},"filter":{"location":"querystring","locationName":"filter"}}},"output":{"type":"structure","required":["assetSummaries"],"members":{"assetSummaries":{"type":"list","member":{"type":"structure","required":["id","arn","name","assetModelId","creationDate","lastUpdateDate","status","hierarchies"],"members":{"id":{},"arn":{},"name":{},"assetModelId":{},"creationDate":{"type":"timestamp"},"lastUpdateDate":{"type":"timestamp"},"status":{"shape":"S1n"},"hierarchies":{"shape":"S48"}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"api."}},"ListAssociatedAssets":{"http":{"method":"GET","requestUri":"/assets/{assetId}/hierarchies"},"input":{"type":"structure","required":["assetId"],"members":{"assetId":{"location":"uri","locationName":"assetId"},"hierarchyId":{"location":"querystring","locationName":"hierarchyId"},"traversalDirection":{"location":"querystring","locationName":"traversalDirection"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["assetSummaries"],"members":{"assetSummaries":{"type":"list","member":{"type":"structure","required":["id","arn","name","assetModelId","creationDate","lastUpdateDate","status","hierarchies"],"members":{"id":{},"arn":{},"name":{},"assetModelId":{},"creationDate":{"type":"timestamp"},"lastUpdateDate":{"type":"timestamp"},"status":{"shape":"S1n"},"hierarchies":{"shape":"S48"}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"api."}},"ListDashboards":{"http":{"method":"GET","requestUri":"/dashboards","responseCode":200},"input":{"type":"structure","required":["projectId"],"members":{"projectId":{"location":"querystring","locationName":"projectId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["dashboardSummaries"],"members":{"dashboardSummaries":{"type":"list","member":{"type":"structure","required":["id","name"],"members":{"id":{},"name":{},"description":{},"creationDate":{"type":"timestamp"},"lastUpdateDate":{"type":"timestamp"}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"monitor."}},"ListGateways":{"http":{"method":"GET","requestUri":"/20200301/gateways"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["gatewaySummaries"],"members":{"gatewaySummaries":{"type":"list","member":{"type":"structure","required":["gatewayId","gatewayName","creationDate","lastUpdateDate"],"members":{"gatewayId":{},"gatewayName":{},"gatewayPlatform":{"shape":"S2y"},"gatewayCapabilitySummaries":{"shape":"S4y"},"creationDate":{"type":"timestamp"},"lastUpdateDate":{"type":"timestamp"}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"api."}},"ListPortals":{"http":{"method":"GET","requestUri":"/portals","responseCode":200},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"portalSummaries":{"type":"list","member":{"type":"structure","required":["id","name","startUrl","status"],"members":{"id":{},"name":{},"description":{},"startUrl":{},"creationDate":{"type":"timestamp"},"lastUpdateDate":{"type":"timestamp"},"roleArn":{},"status":{"shape":"S3c"}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"monitor."}},"ListProjectAssets":{"http":{"method":"GET","requestUri":"/projects/{projectId}/assets","responseCode":200},"input":{"type":"structure","required":["projectId"],"members":{"projectId":{"location":"uri","locationName":"projectId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["assetIds"],"members":{"assetIds":{"type":"list","member":{}},"nextToken":{}}},"endpoint":{"hostPrefix":"monitor."}},"ListProjects":{"http":{"method":"GET","requestUri":"/projects","responseCode":200},"input":{"type":"structure","required":["portalId"],"members":{"portalId":{"location":"querystring","locationName":"portalId"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","required":["projectSummaries"],"members":{"projectSummaries":{"type":"list","member":{"type":"structure","required":["id","name"],"members":{"id":{},"name":{},"description":{},"creationDate":{"type":"timestamp"},"lastUpdateDate":{"type":"timestamp"}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"monitor."}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S1g"}}},"endpoint":{"hostPrefix":"api."}},"ListTimeSeries":{"http":{"method":"GET","requestUri":"/timeseries/"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"assetId":{"location":"querystring","locationName":"assetId"},"aliasPrefix":{"location":"querystring","locationName":"aliasPrefix"},"timeSeriesType":{"location":"querystring","locationName":"timeSeriesType"}}},"output":{"type":"structure","required":["TimeSeriesSummaries"],"members":{"TimeSeriesSummaries":{"type":"list","member":{"type":"structure","required":["timeSeriesId","dataType","timeSeriesCreationDate","timeSeriesLastUpdateDate"],"members":{"assetId":{},"propertyId":{},"alias":{},"timeSeriesId":{},"dataType":{},"dataTypeSpec":{},"timeSeriesCreationDate":{"type":"timestamp"},"timeSeriesLastUpdateDate":{"type":"timestamp"}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"api."}},"PutDefaultEncryptionConfiguration":{"http":{"requestUri":"/configuration/account/encryption"},"input":{"type":"structure","required":["encryptionType"],"members":{"encryptionType":{},"kmsKeyId":{}}},"output":{"type":"structure","required":["encryptionType","configurationStatus"],"members":{"encryptionType":{},"kmsKeyArn":{},"configurationStatus":{"shape":"S4t"}}},"endpoint":{"hostPrefix":"api."}},"PutLoggingOptions":{"http":{"method":"PUT","requestUri":"/logging"},"input":{"type":"structure","required":["loggingOptions"],"members":{"loggingOptions":{"shape":"S57"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"api."}},"PutStorageConfiguration":{"http":{"requestUri":"/configuration/account/storage"},"input":{"type":"structure","required":["storageType"],"members":{"storageType":{},"multiLayerStorage":{"shape":"S5i"},"disassociatedDataStorage":{},"retentionPeriod":{"shape":"S5l"}}},"output":{"type":"structure","required":["storageType","configurationStatus"],"members":{"storageType":{},"multiLayerStorage":{"shape":"S5i"},"disassociatedDataStorage":{},"retentionPeriod":{"shape":"S5l"},"configurationStatus":{"shape":"S4t"}}},"endpoint":{"hostPrefix":"api."}},"TagResource":{"http":{"requestUri":"/tags"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"},"tags":{"shape":"S1g"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"api."}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"querystring","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"api."}},"UpdateAccessPolicy":{"http":{"method":"PUT","requestUri":"/access-policies/{accessPolicyId}","responseCode":200},"input":{"type":"structure","required":["accessPolicyId","accessPolicyIdentity","accessPolicyResource","accessPolicyPermission"],"members":{"accessPolicyId":{"location":"uri","locationName":"accessPolicyId"},"accessPolicyIdentity":{"shape":"S15"},"accessPolicyResource":{"shape":"S1c"},"accessPolicyPermission":{},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"monitor."}},"UpdateAsset":{"http":{"method":"PUT","requestUri":"/assets/{assetId}","responseCode":202},"input":{"type":"structure","required":["assetId","assetName"],"members":{"assetId":{"location":"uri","locationName":"assetId"},"assetName":{},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["assetStatus"],"members":{"assetStatus":{"shape":"S1n"}}},"endpoint":{"hostPrefix":"api."}},"UpdateAssetModel":{"http":{"method":"PUT","requestUri":"/asset-models/{assetModelId}","responseCode":202},"input":{"type":"structure","required":["assetModelId","assetModelName"],"members":{"assetModelId":{"location":"uri","locationName":"assetModelId"},"assetModelName":{},"assetModelDescription":{},"assetModelProperties":{"shape":"S4e"},"assetModelHierarchies":{"shape":"S4g"},"assetModelCompositeModels":{"shape":"S4i"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["assetModelStatus"],"members":{"assetModelStatus":{"shape":"S2s"}}},"endpoint":{"hostPrefix":"api."}},"UpdateAssetProperty":{"http":{"method":"PUT","requestUri":"/assets/{assetId}/properties/{propertyId}"},"input":{"type":"structure","required":["assetId","propertyId"],"members":{"assetId":{"location":"uri","locationName":"assetId"},"propertyId":{"location":"uri","locationName":"propertyId"},"propertyAlias":{},"propertyNotificationState":{},"clientToken":{"idempotencyToken":true}}},"endpoint":{"hostPrefix":"api."}},"UpdateDashboard":{"http":{"method":"PUT","requestUri":"/dashboards/{dashboardId}","responseCode":200},"input":{"type":"structure","required":["dashboardId","dashboardName","dashboardDefinition"],"members":{"dashboardId":{"location":"uri","locationName":"dashboardId"},"dashboardName":{},"dashboardDescription":{},"dashboardDefinition":{},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"monitor."}},"UpdateGateway":{"http":{"method":"PUT","requestUri":"/20200301/gateways/{gatewayId}"},"input":{"type":"structure","required":["gatewayId","gatewayName"],"members":{"gatewayId":{"location":"uri","locationName":"gatewayId"},"gatewayName":{}}},"endpoint":{"hostPrefix":"api."}},"UpdateGatewayCapabilityConfiguration":{"http":{"requestUri":"/20200301/gateways/{gatewayId}/capability","responseCode":201},"input":{"type":"structure","required":["gatewayId","capabilityNamespace","capabilityConfiguration"],"members":{"gatewayId":{"location":"uri","locationName":"gatewayId"},"capabilityNamespace":{},"capabilityConfiguration":{}}},"output":{"type":"structure","required":["capabilityNamespace","capabilitySyncStatus"],"members":{"capabilityNamespace":{},"capabilitySyncStatus":{}}},"endpoint":{"hostPrefix":"api."}},"UpdatePortal":{"http":{"method":"PUT","requestUri":"/portals/{portalId}","responseCode":202},"input":{"type":"structure","required":["portalId","portalName","portalContactEmail","roleArn"],"members":{"portalId":{"location":"uri","locationName":"portalId"},"portalName":{},"portalDescription":{},"portalContactEmail":{},"portalLogoImage":{"type":"structure","members":{"id":{},"file":{"shape":"S35"}}},"roleArn":{},"clientToken":{"idempotencyToken":true},"notificationSenderEmail":{},"alarms":{"shape":"S39"}}},"output":{"type":"structure","required":["portalStatus"],"members":{"portalStatus":{"shape":"S3c"}}},"endpoint":{"hostPrefix":"monitor."}},"UpdateProject":{"http":{"method":"PUT","requestUri":"/projects/{projectId}","responseCode":200},"input":{"type":"structure","required":["projectId","projectName"],"members":{"projectId":{"location":"uri","locationName":"projectId"},"projectName":{},"projectDescription":{},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"monitor."}}},"shapes":{"S7":{"type":"list","member":{}},"Sa":{"type":"structure","required":["assetId","code","message"],"members":{"assetId":{},"code":{},"message":{}}},"Sm":{"type":"structure","required":["value","timestamp"],"members":{"value":{"shape":"Sn"},"timestamp":{"shape":"Ss"},"quality":{}}},"Sn":{"type":"structure","members":{"stringValue":{},"integerValue":{"type":"integer"},"doubleValue":{"type":"double"},"booleanValue":{"type":"boolean"}}},"Ss":{"type":"structure","required":["timeInSeconds"],"members":{"timeInSeconds":{"type":"long"},"offsetInNanos":{"type":"integer"}}},"S15":{"type":"structure","members":{"user":{"type":"structure","required":["id"],"members":{"id":{}}},"group":{"type":"structure","required":["id"],"members":{"id":{}}},"iamUser":{"type":"structure","required":["arn"],"members":{"arn":{}}},"iamRole":{"type":"structure","required":["arn"],"members":{"arn":{}}}}},"S1c":{"type":"structure","members":{"portal":{"type":"structure","required":["id"],"members":{"id":{}}},"project":{"type":"structure","required":["id"],"members":{"id":{}}}}},"S1g":{"type":"map","key":{},"value":{}},"S1n":{"type":"structure","required":["state"],"members":{"state":{},"error":{"shape":"S1p"}}},"S1p":{"type":"structure","required":["code","message"],"members":{"code":{},"message":{},"details":{"type":"list","member":{"type":"structure","required":["code","message"],"members":{"code":{},"message":{}}}}}},"S1x":{"type":"list","member":{"type":"structure","required":["name","dataType","type"],"members":{"name":{},"dataType":{},"dataTypeSpec":{},"unit":{},"type":{"shape":"S21"}}}},"S21":{"type":"structure","members":{"attribute":{"type":"structure","members":{"defaultValue":{}}},"measurement":{"type":"structure","members":{"processingConfig":{"type":"structure","required":["forwardingConfig"],"members":{"forwardingConfig":{"shape":"S26"}}}}},"transform":{"type":"structure","required":["expression","variables"],"members":{"expression":{},"variables":{"shape":"S2a"},"processingConfig":{"type":"structure","required":["computeLocation"],"members":{"computeLocation":{},"forwardingConfig":{"shape":"S26"}}}}},"metric":{"type":"structure","required":["expression","variables","window"],"members":{"expression":{},"variables":{"shape":"S2a"},"window":{"type":"structure","members":{"tumbling":{"type":"structure","required":["interval"],"members":{"interval":{},"offset":{}}}}},"processingConfig":{"type":"structure","required":["computeLocation"],"members":{"computeLocation":{}}}}}}},"S26":{"type":"structure","required":["state"],"members":{"state":{}}},"S2a":{"type":"list","member":{"type":"structure","required":["name","value"],"members":{"name":{},"value":{"type":"structure","required":["propertyId"],"members":{"propertyId":{},"hierarchyId":{}}}}}},"S2s":{"type":"structure","required":["state"],"members":{"state":{},"error":{"shape":"S1p"}}},"S2y":{"type":"structure","members":{"greengrass":{"type":"structure","required":["groupArn"],"members":{"groupArn":{}}},"greengrassV2":{"type":"structure","required":["coreDeviceThingName"],"members":{"coreDeviceThingName":{}}}}},"S35":{"type":"structure","required":["data","type"],"members":{"data":{"type":"blob"},"type":{}}},"S39":{"type":"structure","required":["alarmRoleArn"],"members":{"alarmRoleArn":{},"notificationLambdaArn":{}}},"S3c":{"type":"structure","required":["state"],"members":{"state":{},"error":{"type":"structure","members":{"code":{},"message":{}}}}},"S43":{"type":"list","member":{"type":"structure","required":["id","name","dataType"],"members":{"id":{},"name":{},"alias":{},"notification":{"shape":"S45"},"dataType":{},"dataTypeSpec":{},"unit":{}}}},"S45":{"type":"structure","required":["topic","state"],"members":{"topic":{},"state":{}}},"S48":{"type":"list","member":{"type":"structure","required":["name"],"members":{"id":{},"name":{}}}},"S4e":{"type":"list","member":{"type":"structure","required":["name","dataType","type"],"members":{"id":{},"name":{},"dataType":{},"dataTypeSpec":{},"unit":{},"type":{"shape":"S21"}}}},"S4g":{"type":"list","member":{"type":"structure","required":["name","childAssetModelId"],"members":{"id":{},"name":{},"childAssetModelId":{}}}},"S4i":{"type":"list","member":{"type":"structure","required":["name","type"],"members":{"name":{},"description":{},"type":{},"properties":{"shape":"S4e"}}}},"S4m":{"type":"structure","required":["id","name","dataType"],"members":{"id":{},"name":{},"alias":{},"notification":{"shape":"S45"},"dataType":{},"unit":{},"type":{"shape":"S21"}}},"S4t":{"type":"structure","required":["state"],"members":{"state":{},"error":{"type":"structure","required":["code","message"],"members":{"code":{},"message":{}}}}},"S4y":{"type":"list","member":{"type":"structure","required":["capabilityNamespace","capabilitySyncStatus"],"members":{"capabilityNamespace":{},"capabilitySyncStatus":{}}}},"S57":{"type":"structure","required":["level"],"members":{"level":{}}},"S5i":{"type":"structure","required":["customerManagedS3Storage"],"members":{"customerManagedS3Storage":{"type":"structure","required":["s3ResourceArn","roleArn"],"members":{"s3ResourceArn":{},"roleArn":{}}}}},"S5l":{"type":"structure","members":{"numberOfDays":{"type":"integer"},"unlimited":{"type":"boolean"}}},"S5x":{"type":"list","member":{}}}}');

/***/ }),

/***/ 27558:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetAssetPropertyAggregates":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"aggregatedValues"},"GetAssetPropertyValueHistory":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"assetPropertyValueHistory"},"GetInterpolatedAssetPropertyValues":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"interpolatedAssetPropertyValues"},"ListAccessPolicies":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"accessPolicySummaries"},"ListAssetModels":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"assetModelSummaries"},"ListAssetRelationships":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"assetRelationshipSummaries"},"ListAssets":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"assetSummaries"},"ListAssociatedAssets":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"assetSummaries"},"ListDashboards":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"dashboardSummaries"},"ListGateways":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"gatewaySummaries"},"ListPortals":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"portalSummaries"},"ListProjectAssets":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"assetIds"},"ListProjects":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"projectSummaries"},"ListTimeSeries":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"TimeSeriesSummaries"}}}');

/***/ }),

/***/ 80458:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"AssetModelNotExists":{"delay":3,"maxAttempts":20,"operation":"DescribeAssetModel","acceptors":[{"state":"success","matcher":"error","expected":"ResourceNotFoundException"}]},"AssetModelActive":{"delay":3,"maxAttempts":20,"operation":"DescribeAssetModel","acceptors":[{"state":"success","matcher":"path","argument":"assetModelStatus.state","expected":"ACTIVE"},{"state":"failure","matcher":"path","argument":"assetModelStatus.state","expected":"FAILED"}]},"AssetNotExists":{"delay":3,"maxAttempts":20,"operation":"DescribeAsset","acceptors":[{"state":"success","matcher":"error","expected":"ResourceNotFoundException"}]},"AssetActive":{"delay":3,"maxAttempts":20,"operation":"DescribeAsset","acceptors":[{"state":"success","matcher":"path","argument":"assetStatus.state","expected":"ACTIVE"},{"state":"failure","matcher":"path","argument":"assetStatus.state","expected":"FAILED"}]},"PortalNotExists":{"delay":3,"maxAttempts":20,"operation":"DescribePortal","acceptors":[{"state":"success","matcher":"error","expected":"ResourceNotFoundException"}]},"PortalActive":{"delay":3,"maxAttempts":20,"operation":"DescribePortal","acceptors":[{"state":"success","matcher":"path","argument":"portalStatus.state","expected":"ACTIVE"}]}}}');

/***/ }),

/***/ 84893:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-09-06","endpointPrefix":"iotthingsgraph","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS IoT Things Graph","serviceId":"IoTThingsGraph","signatureVersion":"v4","signingName":"iotthingsgraph","targetPrefix":"IotThingsGraphFrontEndService","uid":"iotthingsgraph-2018-09-06"},"operations":{"AssociateEntityToThing":{"input":{"type":"structure","required":["thingName","entityId"],"members":{"thingName":{},"entityId":{},"namespaceVersion":{"type":"long"}}},"output":{"type":"structure","members":{}}},"CreateFlowTemplate":{"input":{"type":"structure","required":["definition"],"members":{"definition":{"shape":"S7"},"compatibleNamespaceVersion":{"type":"long"}}},"output":{"type":"structure","members":{"summary":{"shape":"Sb"}}}},"CreateSystemInstance":{"input":{"type":"structure","required":["definition","target"],"members":{"tags":{"shape":"Sf"},"definition":{"shape":"S7"},"target":{},"greengrassGroupName":{},"s3BucketName":{},"metricsConfiguration":{"shape":"Sm"},"flowActionsRoleArn":{}}},"output":{"type":"structure","members":{"summary":{"shape":"Sq"}}}},"CreateSystemTemplate":{"input":{"type":"structure","required":["definition"],"members":{"definition":{"shape":"S7"},"compatibleNamespaceVersion":{"type":"long"}}},"output":{"type":"structure","members":{"summary":{"shape":"Sw"}}}},"DeleteFlowTemplate":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","members":{}}},"DeleteNamespace":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"namespaceArn":{},"namespaceName":{}}}},"DeleteSystemInstance":{"input":{"type":"structure","members":{"id":{}}},"output":{"type":"structure","members":{}}},"DeleteSystemTemplate":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","members":{}}},"DeploySystemInstance":{"input":{"type":"structure","members":{"id":{}}},"output":{"type":"structure","required":["summary"],"members":{"summary":{"shape":"Sq"},"greengrassDeploymentId":{}}}},"DeprecateFlowTemplate":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","members":{}}},"DeprecateSystemTemplate":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","members":{}}},"DescribeNamespace":{"input":{"type":"structure","members":{"namespaceName":{}}},"output":{"type":"structure","members":{"namespaceArn":{},"namespaceName":{},"trackingNamespaceName":{},"trackingNamespaceVersion":{"type":"long"},"namespaceVersion":{"type":"long"}}}},"DissociateEntityFromThing":{"input":{"type":"structure","required":["thingName","entityType"],"members":{"thingName":{},"entityType":{}}},"output":{"type":"structure","members":{}}},"GetEntities":{"input":{"type":"structure","required":["ids"],"members":{"ids":{"type":"list","member":{}},"namespaceVersion":{"type":"long"}}},"output":{"type":"structure","members":{"descriptions":{"shape":"S1l"}}}},"GetFlowTemplate":{"input":{"type":"structure","required":["id"],"members":{"id":{},"revisionNumber":{"type":"long"}}},"output":{"type":"structure","members":{"description":{"type":"structure","members":{"summary":{"shape":"Sb"},"definition":{"shape":"S7"},"validatedNamespaceVersion":{"type":"long"}}}}}},"GetFlowTemplateRevisions":{"input":{"type":"structure","required":["id"],"members":{"id":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"summaries":{"shape":"S1u"},"nextToken":{}}}},"GetNamespaceDeletionStatus":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"namespaceArn":{},"namespaceName":{},"status":{},"errorCode":{},"errorMessage":{}}}},"GetSystemInstance":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","members":{"description":{"type":"structure","members":{"summary":{"shape":"Sq"},"definition":{"shape":"S7"},"s3BucketName":{},"metricsConfiguration":{"shape":"Sm"},"validatedNamespaceVersion":{"type":"long"},"validatedDependencyRevisions":{"type":"list","member":{"type":"structure","members":{"id":{},"revisionNumber":{"type":"long"}}}},"flowActionsRoleArn":{}}}}}},"GetSystemTemplate":{"input":{"type":"structure","required":["id"],"members":{"id":{},"revisionNumber":{"type":"long"}}},"output":{"type":"structure","members":{"description":{"type":"structure","members":{"summary":{"shape":"Sw"},"definition":{"shape":"S7"},"validatedNamespaceVersion":{"type":"long"}}}}}},"GetSystemTemplateRevisions":{"input":{"type":"structure","required":["id"],"members":{"id":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"summaries":{"shape":"S2a"},"nextToken":{}}}},"GetUploadStatus":{"input":{"type":"structure","required":["uploadId"],"members":{"uploadId":{}}},"output":{"type":"structure","required":["uploadId","uploadStatus","createdDate"],"members":{"uploadId":{},"uploadStatus":{},"namespaceArn":{},"namespaceName":{},"namespaceVersion":{"type":"long"},"failureReason":{"type":"list","member":{}},"createdDate":{"type":"timestamp"}}}},"ListFlowExecutionMessages":{"input":{"type":"structure","required":["flowExecutionId"],"members":{"flowExecutionId":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"messages":{"type":"list","member":{"type":"structure","members":{"messageId":{},"eventType":{},"timestamp":{"type":"timestamp"},"payload":{}}}},"nextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["resourceArn"],"members":{"maxResults":{"type":"integer"},"resourceArn":{},"nextToken":{}}},"output":{"type":"structure","members":{"tags":{"shape":"Sf"},"nextToken":{}}}},"SearchEntities":{"input":{"type":"structure","required":["entityTypes"],"members":{"entityTypes":{"type":"list","member":{}},"filters":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{"type":"list","member":{}}}}},"nextToken":{},"maxResults":{"type":"integer"},"namespaceVersion":{"type":"long"}}},"output":{"type":"structure","members":{"descriptions":{"shape":"S1l"},"nextToken":{}}}},"SearchFlowExecutions":{"input":{"type":"structure","required":["systemInstanceId"],"members":{"systemInstanceId":{},"flowExecutionId":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"summaries":{"type":"list","member":{"type":"structure","members":{"flowExecutionId":{},"status":{},"systemInstanceId":{},"flowTemplateId":{},"createdAt":{"type":"timestamp"},"updatedAt":{"type":"timestamp"}}}},"nextToken":{}}}},"SearchFlowTemplates":{"input":{"type":"structure","members":{"filters":{"type":"list","member":{"type":"structure","required":["name","value"],"members":{"name":{},"value":{"type":"list","member":{}}}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"summaries":{"shape":"S1u"},"nextToken":{}}}},"SearchSystemInstances":{"input":{"type":"structure","members":{"filters":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{"type":"list","member":{}}}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"summaries":{"type":"list","member":{"shape":"Sq"}},"nextToken":{}}}},"SearchSystemTemplates":{"input":{"type":"structure","members":{"filters":{"type":"list","member":{"type":"structure","required":["name","value"],"members":{"name":{},"value":{"type":"list","member":{}}}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"summaries":{"shape":"S2a"},"nextToken":{}}}},"SearchThings":{"input":{"type":"structure","required":["entityId"],"members":{"entityId":{},"nextToken":{},"maxResults":{"type":"integer"},"namespaceVersion":{"type":"long"}}},"output":{"type":"structure","members":{"things":{"type":"list","member":{"type":"structure","members":{"thingArn":{},"thingName":{}}}},"nextToken":{}}}},"TagResource":{"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"UndeploySystemInstance":{"input":{"type":"structure","members":{"id":{}}},"output":{"type":"structure","members":{"summary":{"shape":"Sq"}}}},"UntagResource":{"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateFlowTemplate":{"input":{"type":"structure","required":["id","definition"],"members":{"id":{},"definition":{"shape":"S7"},"compatibleNamespaceVersion":{"type":"long"}}},"output":{"type":"structure","members":{"summary":{"shape":"Sb"}}}},"UpdateSystemTemplate":{"input":{"type":"structure","required":["id","definition"],"members":{"id":{},"definition":{"shape":"S7"},"compatibleNamespaceVersion":{"type":"long"}}},"output":{"type":"structure","members":{"summary":{"shape":"Sw"}}}},"UploadEntityDefinitions":{"input":{"type":"structure","members":{"document":{"shape":"S7"},"syncWithPublicNamespace":{"type":"boolean"},"deprecateExistingEntities":{"type":"boolean"}}},"output":{"type":"structure","required":["uploadId"],"members":{"uploadId":{}}}}},"shapes":{"S7":{"type":"structure","required":["language","text"],"members":{"language":{},"text":{}}},"Sb":{"type":"structure","members":{"id":{},"arn":{},"revisionNumber":{"type":"long"},"createdAt":{"type":"timestamp"}}},"Sf":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"Sm":{"type":"structure","members":{"cloudMetricEnabled":{"type":"boolean"},"metricRuleRoleArn":{}}},"Sq":{"type":"structure","members":{"id":{},"arn":{},"status":{},"target":{},"greengrassGroupName":{},"createdAt":{"type":"timestamp"},"updatedAt":{"type":"timestamp"},"greengrassGroupId":{},"greengrassGroupVersionId":{}}},"Sw":{"type":"structure","members":{"id":{},"arn":{},"revisionNumber":{"type":"long"},"createdAt":{"type":"timestamp"}}},"S1l":{"type":"list","member":{"type":"structure","members":{"id":{},"arn":{},"type":{},"createdAt":{"type":"timestamp"},"definition":{"shape":"S7"}}}},"S1u":{"type":"list","member":{"shape":"Sb"}},"S2a":{"type":"list","member":{"shape":"Sw"}}}}');

/***/ }),

/***/ 99418:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetFlowTemplateRevisions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"summaries"},"GetSystemTemplateRevisions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"summaries"},"ListFlowExecutionMessages":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"messages"},"ListTagsForResource":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"tags"},"SearchEntities":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"descriptions"},"SearchFlowExecutions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"summaries"},"SearchFlowTemplates":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"summaries"},"SearchSystemInstances":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"summaries"},"SearchSystemTemplates":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"summaries"},"SearchThings":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"things"}}}');

/***/ }),

/***/ 30382:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-11-29","endpointPrefix":"iottwinmaker","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS IoT TwinMaker","serviceId":"IoTTwinMaker","signatureVersion":"v4","signingName":"iottwinmaker","uid":"iottwinmaker-2021-11-29"},"operations":{"BatchPutPropertyValues":{"http":{"requestUri":"/workspaces/{workspaceId}/entity-properties","responseCode":200},"input":{"type":"structure","required":["entries","workspaceId"],"members":{"entries":{"type":"list","member":{"shape":"S3"}},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["errorEntries"],"members":{"errorEntries":{"type":"list","member":{"type":"structure","required":["errors"],"members":{"errors":{"type":"list","member":{"type":"structure","required":["entry","errorCode","errorMessage"],"members":{"entry":{"shape":"S3"},"errorCode":{},"errorMessage":{}}}}}}}}},"endpoint":{"hostPrefix":"data."}},"CreateComponentType":{"http":{"requestUri":"/workspaces/{workspaceId}/component-types/{componentTypeId}","responseCode":200},"input":{"type":"structure","required":["componentTypeId","workspaceId"],"members":{"componentTypeId":{"location":"uri","locationName":"componentTypeId"},"description":{},"extendsFrom":{"shape":"Su"},"functions":{"shape":"Sv"},"isSingleton":{"type":"boolean"},"propertyDefinitions":{"shape":"S12"},"tags":{"shape":"S19"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["arn","creationDateTime","state"],"members":{"arn":{},"creationDateTime":{"type":"timestamp"},"state":{}}},"endpoint":{"hostPrefix":"api."}},"CreateEntity":{"http":{"requestUri":"/workspaces/{workspaceId}/entities","responseCode":200},"input":{"type":"structure","required":["entityName","workspaceId"],"members":{"components":{"type":"map","key":{},"value":{"type":"structure","members":{"componentTypeId":{},"description":{},"properties":{"shape":"S1i"}}}},"description":{},"entityId":{},"entityName":{},"parentEntityId":{},"tags":{"shape":"S19"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["arn","creationDateTime","entityId","state"],"members":{"arn":{},"creationDateTime":{"type":"timestamp"},"entityId":{},"state":{}}},"endpoint":{"hostPrefix":"api."}},"CreateScene":{"http":{"requestUri":"/workspaces/{workspaceId}/scenes","responseCode":200},"input":{"type":"structure","required":["contentLocation","sceneId","workspaceId"],"members":{"capabilities":{"shape":"S1p"},"contentLocation":{},"description":{},"sceneId":{},"tags":{"shape":"S19"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["arn","creationDateTime"],"members":{"arn":{},"creationDateTime":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"api."}},"CreateWorkspace":{"http":{"requestUri":"/workspaces/{workspaceId}","responseCode":200},"input":{"type":"structure","required":["role","s3Location","workspaceId"],"members":{"description":{},"role":{},"s3Location":{},"tags":{"shape":"S19"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["arn","creationDateTime"],"members":{"arn":{},"creationDateTime":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"api."}},"DeleteComponentType":{"http":{"method":"DELETE","requestUri":"/workspaces/{workspaceId}/component-types/{componentTypeId}","responseCode":200},"input":{"type":"structure","required":["componentTypeId","workspaceId"],"members":{"componentTypeId":{"location":"uri","locationName":"componentTypeId"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["state"],"members":{"state":{}}},"endpoint":{"hostPrefix":"api."}},"DeleteEntity":{"http":{"method":"DELETE","requestUri":"/workspaces/{workspaceId}/entities/{entityId}","responseCode":200},"input":{"type":"structure","required":["entityId","workspaceId"],"members":{"entityId":{"location":"uri","locationName":"entityId"},"isRecursive":{"location":"querystring","locationName":"isRecursive","type":"boolean"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["state"],"members":{"state":{}}},"endpoint":{"hostPrefix":"api."}},"DeleteScene":{"http":{"method":"DELETE","requestUri":"/workspaces/{workspaceId}/scenes/{sceneId}","responseCode":200},"input":{"type":"structure","required":["sceneId","workspaceId"],"members":{"sceneId":{"location":"uri","locationName":"sceneId"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"api."}},"DeleteWorkspace":{"http":{"method":"DELETE","requestUri":"/workspaces/{workspaceId}","responseCode":200},"input":{"type":"structure","required":["workspaceId"],"members":{"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"api."}},"GetComponentType":{"http":{"method":"GET","requestUri":"/workspaces/{workspaceId}/component-types/{componentTypeId}","responseCode":200},"input":{"type":"structure","required":["componentTypeId","workspaceId"],"members":{"componentTypeId":{"location":"uri","locationName":"componentTypeId"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["arn","componentTypeId","creationDateTime","updateDateTime","workspaceId"],"members":{"arn":{},"componentTypeId":{},"creationDateTime":{"type":"timestamp"},"description":{},"extendsFrom":{"shape":"Su"},"functions":{"type":"map","key":{},"value":{"type":"structure","members":{"implementedBy":{"shape":"Sx"},"isInherited":{"type":"boolean"},"requiredProperties":{"shape":"S10"},"scope":{}}}},"isAbstract":{"type":"boolean"},"isSchemaInitialized":{"type":"boolean"},"isSingleton":{"type":"boolean"},"propertyDefinitions":{"type":"map","key":{},"value":{"shape":"S2a"}},"status":{"shape":"S2b"},"updateDateTime":{"type":"timestamp"},"workspaceId":{}}},"endpoint":{"hostPrefix":"api."}},"GetEntity":{"http":{"method":"GET","requestUri":"/workspaces/{workspaceId}/entities/{entityId}","responseCode":200},"input":{"type":"structure","required":["entityId","workspaceId"],"members":{"entityId":{"location":"uri","locationName":"entityId"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["arn","creationDateTime","entityId","entityName","hasChildEntities","parentEntityId","status","updateDateTime","workspaceId"],"members":{"arn":{},"components":{"type":"map","key":{},"value":{"type":"structure","members":{"componentName":{},"componentTypeId":{},"definedIn":{},"description":{},"properties":{"type":"map","key":{},"value":{"type":"structure","members":{"definition":{"shape":"S2a"},"value":{"shape":"Sc"}}}},"status":{"shape":"S2b"}}}},"creationDateTime":{"type":"timestamp"},"description":{},"entityId":{},"entityName":{},"hasChildEntities":{"type":"boolean"},"parentEntityId":{},"status":{"shape":"S2b"},"updateDateTime":{"type":"timestamp"},"workspaceId":{}}},"endpoint":{"hostPrefix":"api."}},"GetPropertyValue":{"http":{"requestUri":"/workspaces/{workspaceId}/entity-properties/value","responseCode":200},"input":{"type":"structure","required":["selectedProperties","workspaceId"],"members":{"componentName":{},"componentTypeId":{},"entityId":{},"selectedProperties":{"shape":"S2m"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["propertyValues"],"members":{"propertyValues":{"type":"map","key":{},"value":{"type":"structure","required":["propertyReference"],"members":{"propertyReference":{"shape":"S4"},"propertyValue":{"shape":"Sc"}}}}}},"endpoint":{"hostPrefix":"data."}},"GetPropertyValueHistory":{"http":{"requestUri":"/workspaces/{workspaceId}/entity-properties/history","responseCode":200},"input":{"type":"structure","required":["endDateTime","selectedProperties","startDateTime","workspaceId"],"members":{"componentName":{},"componentTypeId":{},"endDateTime":{"type":"timestamp"},"entityId":{},"interpolation":{"type":"structure","members":{"interpolationType":{},"intervalInSeconds":{"type":"long"}}},"maxResults":{"type":"integer"},"nextToken":{},"orderByTime":{},"propertyFilters":{"type":"list","member":{"type":"structure","members":{"operator":{},"propertyName":{},"value":{"shape":"Sc"}}}},"selectedProperties":{"shape":"S2m"},"startDateTime":{"type":"timestamp"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["propertyValues"],"members":{"nextToken":{},"propertyValues":{"type":"list","member":{"type":"structure","required":["entityPropertyReference"],"members":{"entityPropertyReference":{"shape":"S4"},"values":{"type":"list","member":{"shape":"Sa"}}}}}}},"endpoint":{"hostPrefix":"data."}},"GetScene":{"http":{"method":"GET","requestUri":"/workspaces/{workspaceId}/scenes/{sceneId}","responseCode":200},"input":{"type":"structure","required":["sceneId","workspaceId"],"members":{"sceneId":{"location":"uri","locationName":"sceneId"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["arn","contentLocation","creationDateTime","sceneId","updateDateTime","workspaceId"],"members":{"arn":{},"capabilities":{"shape":"S1p"},"contentLocation":{},"creationDateTime":{"type":"timestamp"},"description":{},"sceneId":{},"updateDateTime":{"type":"timestamp"},"workspaceId":{}}},"endpoint":{"hostPrefix":"api."}},"GetWorkspace":{"http":{"method":"GET","requestUri":"/workspaces/{workspaceId}","responseCode":200},"input":{"type":"structure","required":["workspaceId"],"members":{"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["arn","creationDateTime","role","s3Location","updateDateTime","workspaceId"],"members":{"arn":{},"creationDateTime":{"type":"timestamp"},"description":{},"role":{},"s3Location":{},"updateDateTime":{"type":"timestamp"},"workspaceId":{}}},"endpoint":{"hostPrefix":"api."}},"ListComponentTypes":{"http":{"requestUri":"/workspaces/{workspaceId}/component-types-list","responseCode":200},"input":{"type":"structure","required":["workspaceId"],"members":{"filters":{"type":"list","member":{"type":"structure","members":{"extendsFrom":{},"isAbstract":{"type":"boolean"},"namespace":{}},"union":true}},"maxResults":{"type":"integer"},"nextToken":{},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["componentTypeSummaries","workspaceId"],"members":{"componentTypeSummaries":{"type":"list","member":{"type":"structure","required":["arn","componentTypeId","creationDateTime","updateDateTime"],"members":{"arn":{},"componentTypeId":{},"creationDateTime":{"type":"timestamp"},"description":{},"status":{"shape":"S2b"},"updateDateTime":{"type":"timestamp"}}}},"maxResults":{"type":"integer"},"nextToken":{},"workspaceId":{}}},"endpoint":{"hostPrefix":"api."}},"ListEntities":{"http":{"requestUri":"/workspaces/{workspaceId}/entities-list","responseCode":200},"input":{"type":"structure","required":["workspaceId"],"members":{"filters":{"type":"list","member":{"type":"structure","members":{"componentTypeId":{},"parentEntityId":{}},"union":true}},"maxResults":{"type":"integer"},"nextToken":{},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","members":{"entitySummaries":{"type":"list","member":{"type":"structure","required":["arn","creationDateTime","entityId","entityName","status","updateDateTime"],"members":{"arn":{},"creationDateTime":{"type":"timestamp"},"description":{},"entityId":{},"entityName":{},"hasChildEntities":{"type":"boolean"},"parentEntityId":{},"status":{"shape":"S2b"},"updateDateTime":{"type":"timestamp"}}}},"nextToken":{}}},"endpoint":{"hostPrefix":"api."}},"ListScenes":{"http":{"requestUri":"/workspaces/{workspaceId}/scenes-list","responseCode":200},"input":{"type":"structure","required":["workspaceId"],"members":{"maxResults":{"type":"integer"},"nextToken":{},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","members":{"nextToken":{},"sceneSummaries":{"type":"list","member":{"type":"structure","required":["arn","contentLocation","creationDateTime","sceneId","updateDateTime"],"members":{"arn":{},"contentLocation":{},"creationDateTime":{"type":"timestamp"},"description":{},"sceneId":{},"updateDateTime":{"type":"timestamp"}}}}}},"endpoint":{"hostPrefix":"api."}},"ListTagsForResource":{"http":{"requestUri":"/tags-list","responseCode":200},"input":{"type":"structure","required":["resourceARN"],"members":{"maxResults":{"type":"integer"},"nextToken":{},"resourceARN":{}}},"output":{"type":"structure","members":{"nextToken":{},"tags":{"shape":"S19"}}},"endpoint":{"hostPrefix":"api."}},"ListWorkspaces":{"http":{"requestUri":"/workspaces-list","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"nextToken":{},"workspaceSummaries":{"type":"list","member":{"type":"structure","required":["arn","creationDateTime","updateDateTime","workspaceId"],"members":{"arn":{},"creationDateTime":{"type":"timestamp"},"description":{},"updateDateTime":{"type":"timestamp"},"workspaceId":{}}}}}},"endpoint":{"hostPrefix":"api."}},"TagResource":{"http":{"requestUri":"/tags","responseCode":200},"input":{"type":"structure","required":["resourceARN","tags"],"members":{"resourceARN":{},"tags":{"shape":"S19"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"api."}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags","responseCode":200},"input":{"type":"structure","required":["resourceARN","tagKeys"],"members":{"resourceARN":{"location":"querystring","locationName":"resourceARN"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"api."}},"UpdateComponentType":{"http":{"method":"PUT","requestUri":"/workspaces/{workspaceId}/component-types/{componentTypeId}","responseCode":200},"input":{"type":"structure","required":["componentTypeId","workspaceId"],"members":{"componentTypeId":{"location":"uri","locationName":"componentTypeId"},"description":{},"extendsFrom":{"shape":"Su"},"functions":{"shape":"Sv"},"isSingleton":{"type":"boolean"},"propertyDefinitions":{"shape":"S12"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["arn","componentTypeId","state","workspaceId"],"members":{"arn":{},"componentTypeId":{},"state":{},"workspaceId":{}}},"endpoint":{"hostPrefix":"api."}},"UpdateEntity":{"http":{"method":"PUT","requestUri":"/workspaces/{workspaceId}/entities/{entityId}","responseCode":200},"input":{"type":"structure","required":["entityId","workspaceId"],"members":{"componentUpdates":{"type":"map","key":{},"value":{"type":"structure","members":{"componentTypeId":{},"description":{},"propertyUpdates":{"shape":"S1i"},"updateType":{}}}},"description":{},"entityId":{"location":"uri","locationName":"entityId"},"entityName":{},"parentEntityUpdate":{"type":"structure","required":["updateType"],"members":{"parentEntityId":{},"updateType":{}}},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["state","updateDateTime"],"members":{"state":{},"updateDateTime":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"api."}},"UpdateScene":{"http":{"method":"PUT","requestUri":"/workspaces/{workspaceId}/scenes/{sceneId}","responseCode":200},"input":{"type":"structure","required":["sceneId","workspaceId"],"members":{"capabilities":{"shape":"S1p"},"contentLocation":{},"description":{},"sceneId":{"location":"uri","locationName":"sceneId"},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["updateDateTime"],"members":{"updateDateTime":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"api."}},"UpdateWorkspace":{"http":{"method":"PUT","requestUri":"/workspaces/{workspaceId}","responseCode":200},"input":{"type":"structure","required":["workspaceId"],"members":{"description":{},"role":{},"workspaceId":{"location":"uri","locationName":"workspaceId"}}},"output":{"type":"structure","required":["updateDateTime"],"members":{"updateDateTime":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"api."}}},"shapes":{"S3":{"type":"structure","required":["entityPropertyReference"],"members":{"entityPropertyReference":{"shape":"S4"},"propertyValues":{"type":"list","member":{"shape":"Sa"}}}},"S4":{"type":"structure","required":["propertyName"],"members":{"componentName":{},"entityId":{},"externalIdProperty":{"type":"map","key":{},"value":{}},"propertyName":{}}},"Sa":{"type":"structure","required":["timestamp","value"],"members":{"timestamp":{"type":"timestamp"},"value":{"shape":"Sc"}}},"Sc":{"type":"structure","members":{"booleanValue":{"type":"boolean"},"doubleValue":{"type":"double"},"expression":{},"integerValue":{"type":"integer"},"listValue":{"shape":"Sh"},"longValue":{"type":"long"},"mapValue":{"type":"map","key":{},"value":{"shape":"Sc"}},"relationshipValue":{"type":"structure","members":{"targetComponentName":{},"targetEntityId":{}}},"stringValue":{}}},"Sh":{"type":"list","member":{"shape":"Sc"}},"Su":{"type":"list","member":{}},"Sv":{"type":"map","key":{},"value":{"type":"structure","members":{"implementedBy":{"shape":"Sx"},"requiredProperties":{"shape":"S10"},"scope":{}}}},"Sx":{"type":"structure","members":{"isNative":{"type":"boolean"},"lambda":{"type":"structure","required":["arn"],"members":{"arn":{}}}}},"S10":{"type":"list","member":{}},"S12":{"type":"map","key":{},"value":{"shape":"S13"}},"S13":{"type":"structure","members":{"configuration":{"shape":"S14"},"dataType":{"shape":"S16"},"defaultValue":{"shape":"Sc"},"isExternalId":{"type":"boolean"},"isRequiredInEntity":{"type":"boolean"},"isStoredExternally":{"type":"boolean"},"isTimeSeries":{"type":"boolean"}}},"S14":{"type":"map","key":{},"value":{}},"S16":{"type":"structure","required":["type"],"members":{"allowedValues":{"shape":"Sh"},"nestedType":{"shape":"S16"},"relationship":{"type":"structure","members":{"relationshipType":{},"targetComponentTypeId":{}}},"type":{},"unitOfMeasure":{}}},"S19":{"type":"map","key":{},"value":{}},"S1i":{"type":"map","key":{},"value":{"type":"structure","members":{"definition":{"shape":"S13"},"updateType":{},"value":{"shape":"Sc"}}}},"S1p":{"type":"list","member":{}},"S2a":{"type":"structure","required":["dataType","isExternalId","isFinal","isImported","isInherited","isRequiredInEntity","isStoredExternally","isTimeSeries"],"members":{"configuration":{"shape":"S14"},"dataType":{"shape":"S16"},"defaultValue":{"shape":"Sc"},"isExternalId":{"type":"boolean"},"isFinal":{"type":"boolean"},"isImported":{"type":"boolean"},"isInherited":{"type":"boolean"},"isRequiredInEntity":{"type":"boolean"},"isStoredExternally":{"type":"boolean"},"isTimeSeries":{"type":"boolean"}}},"S2b":{"type":"structure","members":{"error":{"type":"structure","members":{"code":{},"message":{}}},"state":{}}},"S2m":{"type":"list","member":{}}}}');

/***/ }),

/***/ 93389:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetPropertyValueHistory":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListComponentTypes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListEntities":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListScenes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListWorkspaces":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 41496:
/***/ ((module) => {

"use strict";
module.exports = {"V":{}};

/***/ }),

/***/ 78052:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-11-22","endpointPrefix":"api.iotwireless","protocol":"rest-json","serviceFullName":"AWS IoT Wireless","serviceId":"IoT Wireless","signatureVersion":"v4","signingName":"iotwireless","uid":"iotwireless-2020-11-22"},"operations":{"AssociateAwsAccountWithPartnerAccount":{"http":{"requestUri":"/partner-accounts"},"input":{"type":"structure","required":["Sidewalk"],"members":{"Sidewalk":{"shape":"S2"},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"S6"}}},"output":{"type":"structure","members":{"Sidewalk":{"shape":"S2"},"Arn":{}}}},"AssociateMulticastGroupWithFuotaTask":{"http":{"method":"PUT","requestUri":"/fuota-tasks/{Id}/multicast-group","responseCode":204},"input":{"type":"structure","required":["Id","MulticastGroupId"],"members":{"Id":{"location":"uri","locationName":"Id"},"MulticastGroupId":{}}},"output":{"type":"structure","members":{}}},"AssociateWirelessDeviceWithFuotaTask":{"http":{"method":"PUT","requestUri":"/fuota-tasks/{Id}/wireless-device","responseCode":204},"input":{"type":"structure","required":["Id","WirelessDeviceId"],"members":{"Id":{"location":"uri","locationName":"Id"},"WirelessDeviceId":{}}},"output":{"type":"structure","members":{}}},"AssociateWirelessDeviceWithMulticastGroup":{"http":{"method":"PUT","requestUri":"/multicast-groups/{Id}/wireless-device","responseCode":204},"input":{"type":"structure","required":["Id","WirelessDeviceId"],"members":{"Id":{"location":"uri","locationName":"Id"},"WirelessDeviceId":{}}},"output":{"type":"structure","members":{}}},"AssociateWirelessDeviceWithThing":{"http":{"method":"PUT","requestUri":"/wireless-devices/{Id}/thing","responseCode":204},"input":{"type":"structure","required":["Id","ThingArn"],"members":{"Id":{"location":"uri","locationName":"Id"},"ThingArn":{}}},"output":{"type":"structure","members":{}}},"AssociateWirelessGatewayWithCertificate":{"http":{"method":"PUT","requestUri":"/wireless-gateways/{Id}/certificate"},"input":{"type":"structure","required":["Id","IotCertificateId"],"members":{"Id":{"location":"uri","locationName":"Id"},"IotCertificateId":{}}},"output":{"type":"structure","members":{"IotCertificateId":{}}}},"AssociateWirelessGatewayWithThing":{"http":{"method":"PUT","requestUri":"/wireless-gateways/{Id}/thing","responseCode":204},"input":{"type":"structure","required":["Id","ThingArn"],"members":{"Id":{"location":"uri","locationName":"Id"},"ThingArn":{}}},"output":{"type":"structure","members":{}}},"CancelMulticastGroupSession":{"http":{"method":"DELETE","requestUri":"/multicast-groups/{Id}/session","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"CreateDestination":{"http":{"requestUri":"/destinations","responseCode":201},"input":{"type":"structure","required":["Name","ExpressionType","Expression","RoleArn"],"members":{"Name":{},"ExpressionType":{},"Expression":{},"Description":{},"RoleArn":{},"Tags":{"shape":"S6"},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"Arn":{},"Name":{}}}},"CreateDeviceProfile":{"http":{"requestUri":"/device-profiles","responseCode":201},"input":{"type":"structure","members":{"Name":{},"LoRaWAN":{"shape":"S16"},"Tags":{"shape":"S6"},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"Arn":{},"Id":{}}}},"CreateFuotaTask":{"http":{"requestUri":"/fuota-tasks","responseCode":201},"input":{"type":"structure","required":["FirmwareUpdateImage","FirmwareUpdateRole"],"members":{"Name":{},"Description":{},"ClientRequestToken":{"idempotencyToken":true},"LoRaWAN":{"shape":"S1w"},"FirmwareUpdateImage":{},"FirmwareUpdateRole":{},"Tags":{"shape":"S6"}}},"output":{"type":"structure","members":{"Arn":{},"Id":{}}}},"CreateMulticastGroup":{"http":{"requestUri":"/multicast-groups","responseCode":201},"input":{"type":"structure","required":["LoRaWAN"],"members":{"Name":{},"Description":{},"ClientRequestToken":{"idempotencyToken":true},"LoRaWAN":{"shape":"S24"},"Tags":{"shape":"S6"}}},"output":{"type":"structure","members":{"Arn":{},"Id":{}}}},"CreateServiceProfile":{"http":{"requestUri":"/service-profiles","responseCode":201},"input":{"type":"structure","members":{"Name":{},"LoRaWAN":{"type":"structure","members":{"AddGwMetadata":{"type":"boolean"}}},"Tags":{"shape":"S6"},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"Arn":{},"Id":{}}}},"CreateWirelessDevice":{"http":{"requestUri":"/wireless-devices","responseCode":201},"input":{"type":"structure","required":["Type","DestinationName"],"members":{"Type":{},"Name":{},"Description":{},"DestinationName":{},"ClientRequestToken":{"idempotencyToken":true},"LoRaWAN":{"shape":"S2i"},"Tags":{"shape":"S6"}}},"output":{"type":"structure","members":{"Arn":{},"Id":{}}}},"CreateWirelessGateway":{"http":{"requestUri":"/wireless-gateways","responseCode":201},"input":{"type":"structure","required":["LoRaWAN"],"members":{"Name":{},"Description":{},"LoRaWAN":{"shape":"S37"},"Tags":{"shape":"S6"},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"Arn":{},"Id":{}}}},"CreateWirelessGatewayTask":{"http":{"requestUri":"/wireless-gateways/{Id}/tasks","responseCode":201},"input":{"type":"structure","required":["Id","WirelessGatewayTaskDefinitionId"],"members":{"Id":{"location":"uri","locationName":"Id"},"WirelessGatewayTaskDefinitionId":{}}},"output":{"type":"structure","members":{"WirelessGatewayTaskDefinitionId":{},"Status":{}}}},"CreateWirelessGatewayTaskDefinition":{"http":{"requestUri":"/wireless-gateway-task-definitions","responseCode":201},"input":{"type":"structure","required":["AutoCreateTasks"],"members":{"AutoCreateTasks":{"type":"boolean"},"Name":{},"Update":{"shape":"S3o"},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"S6"}}},"output":{"type":"structure","members":{"Id":{},"Arn":{}}}},"DeleteDestination":{"http":{"method":"DELETE","requestUri":"/destinations/{Name}","responseCode":204},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","members":{}}},"DeleteDeviceProfile":{"http":{"method":"DELETE","requestUri":"/device-profiles/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DeleteFuotaTask":{"http":{"method":"DELETE","requestUri":"/fuota-tasks/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DeleteMulticastGroup":{"http":{"method":"DELETE","requestUri":"/multicast-groups/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DeleteServiceProfile":{"http":{"method":"DELETE","requestUri":"/service-profiles/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DeleteWirelessDevice":{"http":{"method":"DELETE","requestUri":"/wireless-devices/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DeleteWirelessGateway":{"http":{"method":"DELETE","requestUri":"/wireless-gateways/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DeleteWirelessGatewayTask":{"http":{"method":"DELETE","requestUri":"/wireless-gateways/{Id}/tasks","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DeleteWirelessGatewayTaskDefinition":{"http":{"method":"DELETE","requestUri":"/wireless-gateway-task-definitions/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DisassociateAwsAccountFromPartnerAccount":{"http":{"method":"DELETE","requestUri":"/partner-accounts/{PartnerAccountId}","responseCode":204},"input":{"type":"structure","required":["PartnerAccountId","PartnerType"],"members":{"PartnerAccountId":{"location":"uri","locationName":"PartnerAccountId"},"PartnerType":{"location":"querystring","locationName":"partnerType"}}},"output":{"type":"structure","members":{}}},"DisassociateMulticastGroupFromFuotaTask":{"http":{"method":"DELETE","requestUri":"/fuota-tasks/{Id}/multicast-groups/{MulticastGroupId}","responseCode":204},"input":{"type":"structure","required":["Id","MulticastGroupId"],"members":{"Id":{"location":"uri","locationName":"Id"},"MulticastGroupId":{"location":"uri","locationName":"MulticastGroupId"}}},"output":{"type":"structure","members":{}}},"DisassociateWirelessDeviceFromFuotaTask":{"http":{"method":"DELETE","requestUri":"/fuota-tasks/{Id}/wireless-devices/{WirelessDeviceId}","responseCode":204},"input":{"type":"structure","required":["Id","WirelessDeviceId"],"members":{"Id":{"location":"uri","locationName":"Id"},"WirelessDeviceId":{"location":"uri","locationName":"WirelessDeviceId"}}},"output":{"type":"structure","members":{}}},"DisassociateWirelessDeviceFromMulticastGroup":{"http":{"method":"DELETE","requestUri":"/multicast-groups/{Id}/wireless-devices/{WirelessDeviceId}","responseCode":204},"input":{"type":"structure","required":["Id","WirelessDeviceId"],"members":{"Id":{"location":"uri","locationName":"Id"},"WirelessDeviceId":{"location":"uri","locationName":"WirelessDeviceId"}}},"output":{"type":"structure","members":{}}},"DisassociateWirelessDeviceFromThing":{"http":{"method":"DELETE","requestUri":"/wireless-devices/{Id}/thing","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DisassociateWirelessGatewayFromCertificate":{"http":{"method":"DELETE","requestUri":"/wireless-gateways/{Id}/certificate","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DisassociateWirelessGatewayFromThing":{"http":{"method":"DELETE","requestUri":"/wireless-gateways/{Id}/thing","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"GetDestination":{"http":{"method":"GET","requestUri":"/destinations/{Name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","members":{"Arn":{},"Name":{},"Expression":{},"ExpressionType":{},"Description":{},"RoleArn":{}}}},"GetDeviceProfile":{"http":{"method":"GET","requestUri":"/device-profiles/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Arn":{},"Name":{},"Id":{},"LoRaWAN":{"shape":"S16"}}}},"GetFuotaTask":{"http":{"method":"GET","requestUri":"/fuota-tasks/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Arn":{},"Id":{},"Status":{},"Name":{},"Description":{},"LoRaWAN":{"type":"structure","members":{"RfRegion":{},"StartTime":{"shape":"S55"}}},"FirmwareUpdateImage":{},"FirmwareUpdateRole":{},"CreatedAt":{"type":"timestamp"}}}},"GetLogLevelsByResourceTypes":{"http":{"method":"GET","requestUri":"/log-levels","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"DefaultLogLevel":{},"WirelessGatewayLogOptions":{"shape":"S5a"},"WirelessDeviceLogOptions":{"shape":"S5g"}}}},"GetMulticastGroup":{"http":{"method":"GET","requestUri":"/multicast-groups/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Arn":{},"Id":{},"Name":{},"Description":{},"Status":{},"LoRaWAN":{"type":"structure","members":{"RfRegion":{},"DlClass":{},"NumberOfDevicesRequested":{"type":"integer"},"NumberOfDevicesInGroup":{"type":"integer"}}},"CreatedAt":{"type":"timestamp"}}}},"GetMulticastGroupSession":{"http":{"method":"GET","requestUri":"/multicast-groups/{Id}/session"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"LoRaWAN":{"shape":"S5t"}}}},"GetNetworkAnalyzerConfiguration":{"http":{"method":"GET","requestUri":"/network-analyzer-configurations/{ConfigurationName}","responseCode":200},"input":{"type":"structure","required":["ConfigurationName"],"members":{"ConfigurationName":{"location":"uri","locationName":"ConfigurationName"}}},"output":{"type":"structure","members":{"TraceContent":{"shape":"S61"},"WirelessDevices":{"shape":"S63"},"WirelessGateways":{"shape":"S64"}}}},"GetPartnerAccount":{"http":{"method":"GET","requestUri":"/partner-accounts/{PartnerAccountId}"},"input":{"type":"structure","required":["PartnerAccountId","PartnerType"],"members":{"PartnerAccountId":{"location":"uri","locationName":"PartnerAccountId"},"PartnerType":{"location":"querystring","locationName":"partnerType"}}},"output":{"type":"structure","members":{"Sidewalk":{"shape":"S67"},"AccountLinked":{"type":"boolean"}}}},"GetResourceEventConfiguration":{"http":{"method":"GET","requestUri":"/event-configurations/{Identifier}"},"input":{"type":"structure","required":["Identifier","IdentifierType"],"members":{"Identifier":{"location":"uri","locationName":"Identifier"},"IdentifierType":{"location":"querystring","locationName":"identifierType"},"PartnerType":{"location":"querystring","locationName":"partnerType"}}},"output":{"type":"structure","members":{"DeviceRegistrationState":{"shape":"S6f"},"Proximity":{"shape":"S6i"}}}},"GetResourceLogLevel":{"http":{"method":"GET","requestUri":"/log-levels/{ResourceIdentifier}","responseCode":200},"input":{"type":"structure","required":["ResourceIdentifier","ResourceType"],"members":{"ResourceIdentifier":{"location":"uri","locationName":"ResourceIdentifier"},"ResourceType":{"location":"querystring","locationName":"resourceType"}}},"output":{"type":"structure","members":{"LogLevel":{}}}},"GetServiceEndpoint":{"http":{"method":"GET","requestUri":"/service-endpoint"},"input":{"type":"structure","members":{"ServiceType":{"location":"querystring","locationName":"serviceType"}}},"output":{"type":"structure","members":{"ServiceType":{},"ServiceEndpoint":{},"ServerTrust":{}}}},"GetServiceProfile":{"http":{"method":"GET","requestUri":"/service-profiles/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Arn":{},"Name":{},"Id":{},"LoRaWAN":{"type":"structure","members":{"UlRate":{"type":"integer"},"UlBucketSize":{"type":"integer"},"UlRatePolicy":{},"DlRate":{"type":"integer"},"DlBucketSize":{"type":"integer"},"DlRatePolicy":{},"AddGwMetadata":{"type":"boolean"},"DevStatusReqFreq":{"type":"integer"},"ReportDevStatusBattery":{"type":"boolean"},"ReportDevStatusMargin":{"type":"boolean"},"DrMin":{"type":"integer"},"DrMax":{"type":"integer"},"ChannelMask":{},"PrAllowed":{"type":"boolean"},"HrAllowed":{"type":"boolean"},"RaAllowed":{"type":"boolean"},"NwkGeoLoc":{"type":"boolean"},"TargetPer":{"type":"integer"},"MinGwDiversity":{"type":"integer"}}}}}},"GetWirelessDevice":{"http":{"method":"GET","requestUri":"/wireless-devices/{Identifier}"},"input":{"type":"structure","required":["Identifier","IdentifierType"],"members":{"Identifier":{"location":"uri","locationName":"Identifier"},"IdentifierType":{"location":"querystring","locationName":"identifierType"}}},"output":{"type":"structure","members":{"Type":{},"Name":{},"Description":{},"DestinationName":{},"Id":{},"Arn":{},"ThingName":{},"ThingArn":{},"LoRaWAN":{"shape":"S2i"},"Sidewalk":{"type":"structure","members":{"AmazonId":{},"SidewalkId":{},"SidewalkManufacturingSn":{},"DeviceCertificates":{"shape":"S7k"}}}}}},"GetWirelessDeviceStatistics":{"http":{"method":"GET","requestUri":"/wireless-devices/{Id}/statistics","responseCode":200},"input":{"type":"structure","required":["WirelessDeviceId"],"members":{"WirelessDeviceId":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"WirelessDeviceId":{},"LastUplinkReceivedAt":{},"LoRaWAN":{"type":"structure","members":{"DevEui":{},"FPort":{"type":"integer"},"DataRate":{"type":"integer"},"Frequency":{"type":"integer"},"Timestamp":{},"Gateways":{"type":"list","member":{"type":"structure","members":{"GatewayEui":{},"Snr":{"type":"double"},"Rssi":{"type":"double"}}}}}},"Sidewalk":{"type":"structure","members":{"Rssi":{"type":"integer"},"BatteryLevel":{},"Event":{},"DeviceState":{}}}}}},"GetWirelessGateway":{"http":{"method":"GET","requestUri":"/wireless-gateways/{Identifier}"},"input":{"type":"structure","required":["Identifier","IdentifierType"],"members":{"Identifier":{"location":"uri","locationName":"Identifier"},"IdentifierType":{"location":"querystring","locationName":"identifierType"}}},"output":{"type":"structure","members":{"Name":{},"Id":{},"Description":{},"LoRaWAN":{"shape":"S37"},"Arn":{},"ThingName":{},"ThingArn":{}}}},"GetWirelessGatewayCertificate":{"http":{"method":"GET","requestUri":"/wireless-gateways/{Id}/certificate"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"IotCertificateId":{},"LoRaWANNetworkServerCertificateId":{}}}},"GetWirelessGatewayFirmwareInformation":{"http":{"method":"GET","requestUri":"/wireless-gateways/{Id}/firmware-information"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"LoRaWAN":{"type":"structure","members":{"CurrentVersion":{"shape":"S3t"}}}}}},"GetWirelessGatewayStatistics":{"http":{"method":"GET","requestUri":"/wireless-gateways/{Id}/statistics","responseCode":200},"input":{"type":"structure","required":["WirelessGatewayId"],"members":{"WirelessGatewayId":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"WirelessGatewayId":{},"LastUplinkReceivedAt":{},"ConnectionStatus":{}}}},"GetWirelessGatewayTask":{"http":{"method":"GET","requestUri":"/wireless-gateways/{Id}/tasks"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"WirelessGatewayId":{},"WirelessGatewayTaskDefinitionId":{},"LastUplinkReceivedAt":{},"TaskCreatedAt":{},"Status":{}}}},"GetWirelessGatewayTaskDefinition":{"http":{"method":"GET","requestUri":"/wireless-gateway-task-definitions/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"AutoCreateTasks":{"type":"boolean"},"Name":{},"Update":{"shape":"S3o"},"Arn":{}}}},"ListDestinations":{"http":{"method":"GET","requestUri":"/destinations"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{},"DestinationList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Name":{},"ExpressionType":{},"Expression":{},"Description":{},"RoleArn":{}}}}}}},"ListDeviceProfiles":{"http":{"method":"GET","requestUri":"/device-profiles"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"DeviceProfileList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Name":{},"Id":{}}}}}}},"ListFuotaTasks":{"http":{"method":"GET","requestUri":"/fuota-tasks"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"FuotaTaskList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{}}}}}}},"ListMulticastGroups":{"http":{"method":"GET","requestUri":"/multicast-groups"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"MulticastGroupList":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{}}}}}}},"ListMulticastGroupsByFuotaTask":{"http":{"method":"GET","requestUri":"/fuota-tasks/{Id}/multicast-groups"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"MulticastGroupList":{"type":"list","member":{"type":"structure","members":{"Id":{}}}}}}},"ListPartnerAccounts":{"http":{"method":"GET","requestUri":"/partner-accounts"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"Sidewalk":{"type":"list","member":{"shape":"S67"}}}}},"ListServiceProfiles":{"http":{"method":"GET","requestUri":"/service-profiles"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"ServiceProfileList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Name":{},"Id":{}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"querystring","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S6"}}}},"ListWirelessDevices":{"http":{"method":"GET","requestUri":"/wireless-devices"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"DestinationName":{"location":"querystring","locationName":"destinationName"},"DeviceProfileId":{"location":"querystring","locationName":"deviceProfileId"},"ServiceProfileId":{"location":"querystring","locationName":"serviceProfileId"},"WirelessDeviceType":{"location":"querystring","locationName":"wirelessDeviceType"},"FuotaTaskId":{"location":"querystring","locationName":"fuotaTaskId"},"MulticastGroupId":{"location":"querystring","locationName":"multicastGroupId"}}},"output":{"type":"structure","members":{"NextToken":{},"WirelessDeviceList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Id":{},"Type":{},"Name":{},"DestinationName":{},"LastUplinkReceivedAt":{},"LoRaWAN":{"type":"structure","members":{"DevEui":{}}},"Sidewalk":{"type":"structure","members":{"AmazonId":{},"SidewalkId":{},"SidewalkManufacturingSn":{},"DeviceCertificates":{"shape":"S7k"}}},"FuotaDeviceStatus":{},"MulticastDeviceStatus":{},"McGroupId":{"type":"integer"}}}}}}},"ListWirelessGatewayTaskDefinitions":{"http":{"method":"GET","requestUri":"/wireless-gateway-task-definitions"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"TaskDefinitionType":{"location":"querystring","locationName":"taskDefinitionType"}}},"output":{"type":"structure","members":{"NextToken":{},"TaskDefinitions":{"type":"list","member":{"type":"structure","members":{"Id":{},"LoRaWAN":{"type":"structure","members":{"CurrentVersion":{"shape":"S3t"},"UpdateVersion":{"shape":"S3t"}}},"Arn":{}}}}}}},"ListWirelessGateways":{"http":{"method":"GET","requestUri":"/wireless-gateways"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"WirelessGatewayList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Id":{},"Name":{},"Description":{},"LoRaWAN":{"shape":"S37"},"LastUplinkReceivedAt":{}}}}}}},"PutResourceLogLevel":{"http":{"method":"PUT","requestUri":"/log-levels/{ResourceIdentifier}","responseCode":200},"input":{"type":"structure","required":["ResourceIdentifier","ResourceType","LogLevel"],"members":{"ResourceIdentifier":{"location":"uri","locationName":"ResourceIdentifier"},"ResourceType":{"location":"querystring","locationName":"resourceType"},"LogLevel":{}}},"output":{"type":"structure","members":{}}},"ResetAllResourceLogLevels":{"http":{"method":"DELETE","requestUri":"/log-levels","responseCode":204},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"ResetResourceLogLevel":{"http":{"method":"DELETE","requestUri":"/log-levels/{ResourceIdentifier}","responseCode":204},"input":{"type":"structure","required":["ResourceIdentifier","ResourceType"],"members":{"ResourceIdentifier":{"location":"uri","locationName":"ResourceIdentifier"},"ResourceType":{"location":"querystring","locationName":"resourceType"}}},"output":{"type":"structure","members":{}}},"SendDataToMulticastGroup":{"http":{"requestUri":"/multicast-groups/{Id}/data","responseCode":201},"input":{"type":"structure","required":["Id","PayloadData","WirelessMetadata"],"members":{"Id":{"location":"uri","locationName":"Id"},"PayloadData":{},"WirelessMetadata":{"type":"structure","members":{"LoRaWAN":{"type":"structure","members":{"FPort":{"type":"integer"}}}}}}},"output":{"type":"structure","members":{"MessageId":{}}}},"SendDataToWirelessDevice":{"http":{"requestUri":"/wireless-devices/{Id}/data","responseCode":202},"input":{"type":"structure","required":["Id","TransmitMode","PayloadData"],"members":{"Id":{"location":"uri","locationName":"Id"},"TransmitMode":{"type":"integer"},"PayloadData":{},"WirelessMetadata":{"type":"structure","members":{"LoRaWAN":{"type":"structure","members":{"FPort":{"type":"integer"}}},"Sidewalk":{"type":"structure","members":{"Seq":{"type":"integer"},"MessageType":{}}}}}}},"output":{"type":"structure","members":{"MessageId":{}}}},"StartBulkAssociateWirelessDeviceWithMulticastGroup":{"http":{"method":"PATCH","requestUri":"/multicast-groups/{Id}/bulk","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"QueryString":{},"Tags":{"shape":"S6"}}},"output":{"type":"structure","members":{}}},"StartBulkDisassociateWirelessDeviceFromMulticastGroup":{"http":{"requestUri":"/multicast-groups/{Id}/bulk","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"QueryString":{},"Tags":{"shape":"S6"}}},"output":{"type":"structure","members":{}}},"StartFuotaTask":{"http":{"method":"PUT","requestUri":"/fuota-tasks/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"LoRaWAN":{"type":"structure","members":{"StartTime":{"shape":"S55"}}}}},"output":{"type":"structure","members":{}}},"StartMulticastGroupSession":{"http":{"method":"PUT","requestUri":"/multicast-groups/{Id}/session","responseCode":204},"input":{"type":"structure","required":["Id","LoRaWAN"],"members":{"Id":{"location":"uri","locationName":"Id"},"LoRaWAN":{"shape":"S5t"}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags","responseCode":204},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"querystring","locationName":"resourceArn"},"Tags":{"shape":"S6"}}},"output":{"type":"structure","members":{}}},"TestWirelessDevice":{"http":{"requestUri":"/wireless-devices/{Id}/test","responseCode":200},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{"Result":{}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags","responseCode":204},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"querystring","locationName":"resourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDestination":{"http":{"method":"PATCH","requestUri":"/destinations/{Name}","responseCode":204},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"},"ExpressionType":{},"Expression":{},"Description":{},"RoleArn":{}}},"output":{"type":"structure","members":{}}},"UpdateFuotaTask":{"http":{"method":"PATCH","requestUri":"/fuota-tasks/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"Name":{},"Description":{},"LoRaWAN":{"shape":"S1w"},"FirmwareUpdateImage":{},"FirmwareUpdateRole":{}}},"output":{"type":"structure","members":{}}},"UpdateLogLevelsByResourceTypes":{"http":{"requestUri":"/log-levels","responseCode":200},"input":{"type":"structure","members":{"DefaultLogLevel":{},"WirelessDeviceLogOptions":{"shape":"S5g"},"WirelessGatewayLogOptions":{"shape":"S5a"}}},"output":{"type":"structure","members":{}}},"UpdateMulticastGroup":{"http":{"method":"PATCH","requestUri":"/multicast-groups/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"Name":{},"Description":{},"LoRaWAN":{"shape":"S24"}}},"output":{"type":"structure","members":{}}},"UpdateNetworkAnalyzerConfiguration":{"http":{"method":"PATCH","requestUri":"/network-analyzer-configurations/{ConfigurationName}","responseCode":204},"input":{"type":"structure","required":["ConfigurationName"],"members":{"ConfigurationName":{"location":"uri","locationName":"ConfigurationName"},"TraceContent":{"shape":"S61"},"WirelessDevicesToAdd":{"shape":"S63"},"WirelessDevicesToRemove":{"shape":"S63"},"WirelessGatewaysToAdd":{"shape":"S64"},"WirelessGatewaysToRemove":{"shape":"S64"}}},"output":{"type":"structure","members":{}}},"UpdatePartnerAccount":{"http":{"method":"PATCH","requestUri":"/partner-accounts/{PartnerAccountId}","responseCode":204},"input":{"type":"structure","required":["Sidewalk","PartnerAccountId","PartnerType"],"members":{"Sidewalk":{"type":"structure","members":{"AppServerPrivateKey":{"shape":"S4"}}},"PartnerAccountId":{"location":"uri","locationName":"PartnerAccountId"},"PartnerType":{"location":"querystring","locationName":"partnerType"}}},"output":{"type":"structure","members":{}}},"UpdateResourceEventConfiguration":{"http":{"method":"PATCH","requestUri":"/event-configurations/{Identifier}","responseCode":204},"input":{"type":"structure","required":["Identifier","IdentifierType"],"members":{"Identifier":{"location":"uri","locationName":"Identifier"},"IdentifierType":{"location":"querystring","locationName":"identifierType"},"PartnerType":{"location":"querystring","locationName":"partnerType"},"DeviceRegistrationState":{"shape":"S6f"},"Proximity":{"shape":"S6i"}}},"output":{"type":"structure","members":{}}},"UpdateWirelessDevice":{"http":{"method":"PATCH","requestUri":"/wireless-devices/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"DestinationName":{},"Name":{},"Description":{},"LoRaWAN":{"type":"structure","members":{"DeviceProfileId":{},"ServiceProfileId":{}}}}},"output":{"type":"structure","members":{}}},"UpdateWirelessGateway":{"http":{"method":"PATCH","requestUri":"/wireless-gateways/{Id}","responseCode":204},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"Name":{},"Description":{},"JoinEuiFilters":{"shape":"S39"},"NetIdFilters":{"shape":"S3b"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S2":{"type":"structure","members":{"AmazonId":{},"AppServerPrivateKey":{"shape":"S4"}}},"S4":{"type":"string","sensitive":true},"S6":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S16":{"type":"structure","members":{"SupportsClassB":{"type":"boolean"},"ClassBTimeout":{"type":"integer"},"PingSlotPeriod":{"type":"integer"},"PingSlotDr":{"type":"integer"},"PingSlotFreq":{"type":"integer"},"SupportsClassC":{"type":"boolean"},"ClassCTimeout":{"type":"integer"},"MacVersion":{},"RegParamsRevision":{},"RxDelay1":{"type":"integer"},"RxDrOffset1":{"type":"integer"},"RxDataRate2":{"type":"integer"},"RxFreq2":{"type":"integer"},"FactoryPresetFreqsList":{"type":"list","member":{"type":"integer"}},"MaxEirp":{"type":"integer"},"MaxDutyCycle":{"type":"integer"},"RfRegion":{},"SupportsJoin":{"type":"boolean"},"Supports32BitFCnt":{"type":"boolean"}}},"S1w":{"type":"structure","members":{"RfRegion":{}}},"S24":{"type":"structure","members":{"RfRegion":{},"DlClass":{}}},"S2i":{"type":"structure","members":{"DevEui":{},"DeviceProfileId":{},"ServiceProfileId":{},"OtaaV1_1":{"type":"structure","members":{"AppKey":{},"NwkKey":{},"JoinEui":{}}},"OtaaV1_0_x":{"type":"structure","members":{"AppKey":{},"AppEui":{},"GenAppKey":{}}},"AbpV1_1":{"type":"structure","members":{"DevAddr":{},"SessionKeys":{"type":"structure","members":{"FNwkSIntKey":{},"SNwkSIntKey":{},"NwkSEncKey":{},"AppSKey":{}}}}},"AbpV1_0_x":{"type":"structure","members":{"DevAddr":{},"SessionKeys":{"type":"structure","members":{"NwkSKey":{},"AppSKey":{}}}}},"FPorts":{"type":"structure","members":{"Fuota":{"type":"integer"},"Multicast":{"type":"integer"},"ClockSync":{"type":"integer"}}}}},"S37":{"type":"structure","members":{"GatewayEui":{},"RfRegion":{},"JoinEuiFilters":{"shape":"S39"},"NetIdFilters":{"shape":"S3b"},"SubBands":{"type":"list","member":{"type":"integer"}}}},"S39":{"type":"list","member":{"type":"list","member":{}}},"S3b":{"type":"list","member":{}},"S3o":{"type":"structure","members":{"UpdateDataSource":{},"UpdateDataRole":{},"LoRaWAN":{"type":"structure","members":{"UpdateSignature":{},"SigKeyCrc":{"type":"long"},"CurrentVersion":{"shape":"S3t"},"UpdateVersion":{"shape":"S3t"}}}}},"S3t":{"type":"structure","members":{"PackageVersion":{},"Model":{},"Station":{}}},"S55":{"type":"timestamp","timestampFormat":"iso8601"},"S5a":{"type":"list","member":{"type":"structure","required":["Type","LogLevel"],"members":{"Type":{},"LogLevel":{},"Events":{"type":"list","member":{"type":"structure","required":["Event","LogLevel"],"members":{"Event":{},"LogLevel":{}}}}}}},"S5g":{"type":"list","member":{"type":"structure","required":["Type","LogLevel"],"members":{"Type":{},"LogLevel":{},"Events":{"type":"list","member":{"type":"structure","required":["Event","LogLevel"],"members":{"Event":{},"LogLevel":{}}}}}}},"S5t":{"type":"structure","members":{"DlDr":{"type":"integer"},"DlFreq":{"type":"integer"},"SessionStartTime":{"type":"timestamp","timestampFormat":"iso8601"},"SessionTimeout":{"type":"integer"}}},"S61":{"type":"structure","members":{"WirelessDeviceFrameInfo":{},"LogLevel":{}}},"S63":{"type":"list","member":{}},"S64":{"type":"list","member":{}},"S67":{"type":"structure","members":{"AmazonId":{},"Fingerprint":{"type":"string","sensitive":true},"Arn":{}}},"S6f":{"type":"structure","members":{"Sidewalk":{"shape":"S6g"}}},"S6g":{"type":"structure","members":{"AmazonIdEventTopic":{}}},"S6i":{"type":"structure","members":{"Sidewalk":{"shape":"S6g"}}},"S7k":{"type":"list","member":{"type":"structure","required":["SigningAlg","Value"],"members":{"SigningAlg":{},"Value":{}}}}}}');

/***/ }),

/***/ 13156:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDestinations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDeviceProfiles":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListFuotaTasks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMulticastGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMulticastGroupsByFuotaTask":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListServiceProfiles":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListWirelessDevices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListWirelessGateways":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 34175:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-07-14","endpointPrefix":"ivs","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Amazon IVS","serviceFullName":"Amazon Interactive Video Service","serviceId":"ivs","signatureVersion":"v4","signingName":"ivs","uid":"ivs-2020-07-14"},"operations":{"BatchGetChannel":{"http":{"requestUri":"/BatchGetChannel","responseCode":200},"input":{"type":"structure","required":["arns"],"members":{"arns":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"channels":{"type":"list","member":{"shape":"S6"}},"errors":{"shape":"Sh"}}}},"BatchGetStreamKey":{"http":{"requestUri":"/BatchGetStreamKey","responseCode":200},"input":{"type":"structure","required":["arns"],"members":{"arns":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"errors":{"shape":"Sh"},"streamKeys":{"type":"list","member":{"shape":"Sr"}}}}},"CreateChannel":{"http":{"requestUri":"/CreateChannel","responseCode":200},"input":{"type":"structure","members":{"authorized":{"type":"boolean"},"latencyMode":{},"name":{},"recordingConfigurationArn":{},"tags":{"shape":"Sd"},"type":{}}},"output":{"type":"structure","members":{"channel":{"shape":"S6"},"streamKey":{"shape":"Sr"}}}},"CreateRecordingConfiguration":{"http":{"requestUri":"/CreateRecordingConfiguration","responseCode":200},"input":{"type":"structure","required":["destinationConfiguration"],"members":{"destinationConfiguration":{"shape":"Sx"},"name":{},"tags":{"shape":"Sd"}}},"output":{"type":"structure","members":{"recordingConfiguration":{"shape":"S12"}}}},"CreateStreamKey":{"http":{"requestUri":"/CreateStreamKey","responseCode":200},"input":{"type":"structure","required":["channelArn"],"members":{"channelArn":{},"tags":{"shape":"Sd"}}},"output":{"type":"structure","members":{"streamKey":{"shape":"Sr"}}}},"DeleteChannel":{"http":{"requestUri":"/DeleteChannel","responseCode":204},"input":{"type":"structure","required":["arn"],"members":{"arn":{}}}},"DeletePlaybackKeyPair":{"http":{"requestUri":"/DeletePlaybackKeyPair","responseCode":200},"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}}},"DeleteRecordingConfiguration":{"http":{"requestUri":"/DeleteRecordingConfiguration","responseCode":200},"input":{"type":"structure","required":["arn"],"members":{"arn":{}}}},"DeleteStreamKey":{"http":{"requestUri":"/DeleteStreamKey","responseCode":204},"input":{"type":"structure","required":["arn"],"members":{"arn":{}}}},"GetChannel":{"http":{"requestUri":"/GetChannel","responseCode":200},"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"channel":{"shape":"S6"}}}},"GetPlaybackKeyPair":{"http":{"requestUri":"/GetPlaybackKeyPair","responseCode":200},"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"keyPair":{"shape":"S1h"}}}},"GetRecordingConfiguration":{"http":{"requestUri":"/GetRecordingConfiguration","responseCode":200},"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"recordingConfiguration":{"shape":"S12"}}}},"GetStream":{"http":{"requestUri":"/GetStream","responseCode":200},"input":{"type":"structure","required":["channelArn"],"members":{"channelArn":{}}},"output":{"type":"structure","members":{"stream":{"type":"structure","members":{"channelArn":{},"health":{},"playbackUrl":{},"startTime":{"shape":"S1q"},"state":{},"streamId":{},"viewerCount":{"type":"long"}}}}}},"GetStreamKey":{"http":{"requestUri":"/GetStreamKey","responseCode":200},"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{"streamKey":{"shape":"Sr"}}}},"GetStreamSession":{"http":{"requestUri":"/GetStreamSession","responseCode":200},"input":{"type":"structure","required":["channelArn"],"members":{"channelArn":{},"streamId":{}}},"output":{"type":"structure","members":{"streamSession":{"type":"structure","members":{"channel":{"shape":"S6"},"endTime":{"shape":"S1z"},"ingestConfiguration":{"type":"structure","members":{"audio":{"type":"structure","members":{"channels":{"type":"long"},"codec":{},"sampleRate":{"type":"long"},"targetBitrate":{"type":"long"}}},"video":{"type":"structure","members":{"avcLevel":{},"avcProfile":{},"codec":{},"encoder":{},"targetBitrate":{"type":"long"},"targetFramerate":{"type":"long"},"videoHeight":{"type":"long"},"videoWidth":{"type":"long"}}}}},"recordingConfiguration":{"shape":"S12"},"startTime":{"shape":"S1z"},"streamId":{},"truncatedEvents":{"type":"list","member":{"type":"structure","members":{"eventTime":{"shape":"S1z"},"name":{},"type":{}}}}}}}}},"ImportPlaybackKeyPair":{"http":{"requestUri":"/ImportPlaybackKeyPair","responseCode":200},"input":{"type":"structure","required":["publicKeyMaterial"],"members":{"name":{},"publicKeyMaterial":{},"tags":{"shape":"Sd"}}},"output":{"type":"structure","members":{"keyPair":{"shape":"S1h"}}}},"ListChannels":{"http":{"requestUri":"/ListChannels","responseCode":200},"input":{"type":"structure","members":{"filterByName":{},"filterByRecordingConfigurationArn":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["channels"],"members":{"channels":{"type":"list","member":{"type":"structure","members":{"arn":{},"authorized":{"type":"boolean"},"latencyMode":{},"name":{},"recordingConfigurationArn":{},"tags":{"shape":"Sd"}}}},"nextToken":{}}}},"ListPlaybackKeyPairs":{"http":{"requestUri":"/ListPlaybackKeyPairs","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["keyPairs"],"members":{"keyPairs":{"type":"list","member":{"type":"structure","members":{"arn":{},"name":{},"tags":{"shape":"Sd"}}}},"nextToken":{}}}},"ListRecordingConfigurations":{"http":{"requestUri":"/ListRecordingConfigurations","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["recordingConfigurations"],"members":{"nextToken":{},"recordingConfigurations":{"type":"list","member":{"type":"structure","required":["arn","destinationConfiguration","state"],"members":{"arn":{},"destinationConfiguration":{"shape":"Sx"},"name":{},"state":{},"tags":{"shape":"Sd"}}}}}}},"ListStreamKeys":{"http":{"requestUri":"/ListStreamKeys","responseCode":200},"input":{"type":"structure","required":["channelArn"],"members":{"channelArn":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["streamKeys"],"members":{"nextToken":{},"streamKeys":{"type":"list","member":{"type":"structure","members":{"arn":{},"channelArn":{},"tags":{"shape":"Sd"}}}}}}},"ListStreamSessions":{"http":{"requestUri":"/ListStreamSessions","responseCode":200},"input":{"type":"structure","required":["channelArn"],"members":{"channelArn":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["streamSessions"],"members":{"nextToken":{},"streamSessions":{"type":"list","member":{"type":"structure","members":{"endTime":{"shape":"S1z"},"hasErrorEvent":{"type":"boolean"},"startTime":{"shape":"S1z"},"streamId":{}}}}}}},"ListStreams":{"http":{"requestUri":"/ListStreams","responseCode":200},"input":{"type":"structure","members":{"filterBy":{"type":"structure","members":{"health":{}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["streams"],"members":{"nextToken":{},"streams":{"type":"list","member":{"type":"structure","members":{"channelArn":{},"health":{},"startTime":{"shape":"S1q"},"state":{},"streamId":{},"viewerCount":{"type":"long"}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","required":["tags"],"members":{"tags":{"shape":"Sd"}}}},"PutMetadata":{"http":{"requestUri":"/PutMetadata","responseCode":200},"input":{"type":"structure","required":["channelArn","metadata"],"members":{"channelArn":{},"metadata":{"type":"string","sensitive":true}}}},"StopStream":{"http":{"requestUri":"/StopStream","responseCode":200},"input":{"type":"structure","required":["channelArn"],"members":{"channelArn":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sd"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateChannel":{"http":{"requestUri":"/UpdateChannel","responseCode":200},"input":{"type":"structure","required":["arn"],"members":{"arn":{},"authorized":{"type":"boolean"},"latencyMode":{},"name":{},"recordingConfigurationArn":{},"type":{}}},"output":{"type":"structure","members":{"channel":{"shape":"S6"}}}}},"shapes":{"S6":{"type":"structure","members":{"arn":{},"authorized":{"type":"boolean"},"ingestEndpoint":{},"latencyMode":{},"name":{},"playbackUrl":{},"recordingConfigurationArn":{},"tags":{"shape":"Sd"},"type":{}}},"Sd":{"type":"map","key":{},"value":{}},"Sh":{"type":"list","member":{"type":"structure","members":{"arn":{},"code":{},"message":{}}}},"Sr":{"type":"structure","members":{"arn":{},"channelArn":{},"tags":{"shape":"Sd"},"value":{"type":"string","sensitive":true}}},"Sx":{"type":"structure","members":{"s3":{"type":"structure","required":["bucketName"],"members":{"bucketName":{}}}}},"S12":{"type":"structure","required":["arn","destinationConfiguration","state"],"members":{"arn":{},"destinationConfiguration":{"shape":"Sx"},"name":{},"state":{},"tags":{"shape":"Sd"}}},"S1h":{"type":"structure","members":{"arn":{},"fingerprint":{},"name":{},"tags":{"shape":"Sd"}}},"S1q":{"type":"timestamp","timestampFormat":"iso8601"},"S1z":{"type":"timestamp","timestampFormat":"iso8601"}}}');

/***/ }),

/***/ 45289:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListChannels":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListPlaybackKeyPairs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListRecordingConfigurations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListStreamKeys":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListStreamSessions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListStreams":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 38473:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2018-11-14","endpointPrefix":"kafka","signingName":"kafka","serviceFullName":"Managed Streaming for Kafka","serviceAbbreviation":"Kafka","serviceId":"Kafka","protocol":"rest-json","jsonVersion":"1.1","uid":"kafka-2018-11-14","signatureVersion":"v4"},"operations":{"BatchAssociateScramSecret":{"http":{"requestUri":"/v1/clusters/{clusterArn}/scram-secrets","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"SecretArnList":{"shape":"S3","locationName":"secretArnList"}},"required":["ClusterArn","SecretArnList"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"UnprocessedScramSecrets":{"shape":"S5","locationName":"unprocessedScramSecrets"}}}},"CreateCluster":{"http":{"requestUri":"/v1/clusters","responseCode":200},"input":{"type":"structure","members":{"BrokerNodeGroupInfo":{"shape":"S8","locationName":"brokerNodeGroupInfo"},"ClientAuthentication":{"shape":"Sg","locationName":"clientAuthentication"},"ClusterName":{"locationName":"clusterName"},"ConfigurationInfo":{"shape":"So","locationName":"configurationInfo"},"EncryptionInfo":{"shape":"Sq","locationName":"encryptionInfo"},"EnhancedMonitoring":{"locationName":"enhancedMonitoring"},"OpenMonitoring":{"shape":"Sv","locationName":"openMonitoring"},"KafkaVersion":{"locationName":"kafkaVersion"},"LoggingInfo":{"shape":"S10","locationName":"loggingInfo"},"NumberOfBrokerNodes":{"locationName":"numberOfBrokerNodes","type":"integer"},"Tags":{"shape":"S16","locationName":"tags"}},"required":["BrokerNodeGroupInfo","KafkaVersion","NumberOfBrokerNodes","ClusterName"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"ClusterName":{"locationName":"clusterName"},"State":{"locationName":"state"}}}},"CreateClusterV2":{"http":{"requestUri":"/api/v2/clusters","responseCode":200},"input":{"type":"structure","members":{"ClusterName":{"locationName":"clusterName"},"Tags":{"shape":"S16","locationName":"tags"},"Provisioned":{"locationName":"provisioned","type":"structure","members":{"BrokerNodeGroupInfo":{"shape":"S8","locationName":"brokerNodeGroupInfo"},"ClientAuthentication":{"shape":"Sg","locationName":"clientAuthentication"},"ConfigurationInfo":{"shape":"So","locationName":"configurationInfo"},"EncryptionInfo":{"shape":"Sq","locationName":"encryptionInfo"},"EnhancedMonitoring":{"locationName":"enhancedMonitoring"},"OpenMonitoring":{"shape":"Sv","locationName":"openMonitoring"},"KafkaVersion":{"locationName":"kafkaVersion"},"LoggingInfo":{"shape":"S10","locationName":"loggingInfo"},"NumberOfBrokerNodes":{"locationName":"numberOfBrokerNodes","type":"integer"}},"required":["BrokerNodeGroupInfo","KafkaVersion","NumberOfBrokerNodes"]},"Serverless":{"locationName":"serverless","type":"structure","members":{"VpcConfigs":{"shape":"S1c","locationName":"vpcConfigs"},"ClientAuthentication":{"shape":"S1e","locationName":"clientAuthentication"}},"required":["VpcConfigs"]}},"required":["ClusterName"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"ClusterName":{"locationName":"clusterName"},"State":{"locationName":"state"},"ClusterType":{"locationName":"clusterType"}}}},"CreateConfiguration":{"http":{"requestUri":"/v1/configurations","responseCode":200},"input":{"type":"structure","members":{"Description":{"locationName":"description"},"KafkaVersions":{"shape":"S3","locationName":"kafkaVersions"},"Name":{"locationName":"name"},"ServerProperties":{"locationName":"serverProperties","type":"blob"}},"required":["ServerProperties","Name"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CreationTime":{"shape":"S1l","locationName":"creationTime"},"LatestRevision":{"shape":"S1m","locationName":"latestRevision"},"Name":{"locationName":"name"},"State":{"locationName":"state"}}}},"DeleteCluster":{"http":{"method":"DELETE","requestUri":"/v1/clusters/{clusterArn}","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"CurrentVersion":{"location":"querystring","locationName":"currentVersion"}},"required":["ClusterArn"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"State":{"locationName":"state"}}}},"DeleteConfiguration":{"http":{"method":"DELETE","requestUri":"/v1/configurations/{arn}","responseCode":200},"input":{"type":"structure","members":{"Arn":{"location":"uri","locationName":"arn"}},"required":["Arn"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"State":{"locationName":"state"}}}},"DescribeCluster":{"http":{"method":"GET","requestUri":"/v1/clusters/{clusterArn}","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"}},"required":["ClusterArn"]},"output":{"type":"structure","members":{"ClusterInfo":{"shape":"S1u","locationName":"clusterInfo"}}}},"DescribeClusterV2":{"http":{"method":"GET","requestUri":"/api/v2/clusters/{clusterArn}","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"}},"required":["ClusterArn"]},"output":{"type":"structure","members":{"ClusterInfo":{"shape":"S24","locationName":"clusterInfo"}}}},"DescribeClusterOperation":{"http":{"method":"GET","requestUri":"/v1/operations/{clusterOperationArn}","responseCode":200},"input":{"type":"structure","members":{"ClusterOperationArn":{"location":"uri","locationName":"clusterOperationArn"}},"required":["ClusterOperationArn"]},"output":{"type":"structure","members":{"ClusterOperationInfo":{"shape":"S29","locationName":"clusterOperationInfo"}}}},"DescribeConfiguration":{"http":{"method":"GET","requestUri":"/v1/configurations/{arn}","responseCode":200},"input":{"type":"structure","members":{"Arn":{"location":"uri","locationName":"arn"}},"required":["Arn"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CreationTime":{"shape":"S1l","locationName":"creationTime"},"Description":{"locationName":"description"},"KafkaVersions":{"shape":"S3","locationName":"kafkaVersions"},"LatestRevision":{"shape":"S1m","locationName":"latestRevision"},"Name":{"locationName":"name"},"State":{"locationName":"state"}}}},"DescribeConfigurationRevision":{"http":{"method":"GET","requestUri":"/v1/configurations/{arn}/revisions/{revision}","responseCode":200},"input":{"type":"structure","members":{"Arn":{"location":"uri","locationName":"arn"},"Revision":{"location":"uri","locationName":"revision","type":"long"}},"required":["Revision","Arn"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CreationTime":{"shape":"S1l","locationName":"creationTime"},"Description":{"locationName":"description"},"Revision":{"locationName":"revision","type":"long"},"ServerProperties":{"locationName":"serverProperties","type":"blob"}}}},"BatchDisassociateScramSecret":{"http":{"method":"PATCH","requestUri":"/v1/clusters/{clusterArn}/scram-secrets","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"SecretArnList":{"shape":"S3","locationName":"secretArnList"}},"required":["ClusterArn","SecretArnList"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"UnprocessedScramSecrets":{"shape":"S5","locationName":"unprocessedScramSecrets"}}}},"GetBootstrapBrokers":{"http":{"method":"GET","requestUri":"/v1/clusters/{clusterArn}/bootstrap-brokers","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"}},"required":["ClusterArn"]},"output":{"type":"structure","members":{"BootstrapBrokerString":{"locationName":"bootstrapBrokerString"},"BootstrapBrokerStringTls":{"locationName":"bootstrapBrokerStringTls"},"BootstrapBrokerStringSaslScram":{"locationName":"bootstrapBrokerStringSaslScram"},"BootstrapBrokerStringSaslIam":{"locationName":"bootstrapBrokerStringSaslIam"},"BootstrapBrokerStringPublicTls":{"locationName":"bootstrapBrokerStringPublicTls"},"BootstrapBrokerStringPublicSaslScram":{"locationName":"bootstrapBrokerStringPublicSaslScram"},"BootstrapBrokerStringPublicSaslIam":{"locationName":"bootstrapBrokerStringPublicSaslIam"}}}},"GetCompatibleKafkaVersions":{"http":{"method":"GET","requestUri":"/v1/compatible-kafka-versions","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"querystring","locationName":"clusterArn"}}},"output":{"type":"structure","members":{"CompatibleKafkaVersions":{"locationName":"compatibleKafkaVersions","type":"list","member":{"type":"structure","members":{"SourceVersion":{"locationName":"sourceVersion"},"TargetVersions":{"shape":"S3","locationName":"targetVersions"}}}}}}},"ListClusterOperations":{"http":{"method":"GET","requestUri":"/v1/clusters/{clusterArn}/operations","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ClusterArn"]},"output":{"type":"structure","members":{"ClusterOperationInfoList":{"locationName":"clusterOperationInfoList","type":"list","member":{"shape":"S29"}},"NextToken":{"locationName":"nextToken"}}}},"ListClusters":{"http":{"method":"GET","requestUri":"/v1/clusters","responseCode":200},"input":{"type":"structure","members":{"ClusterNameFilter":{"location":"querystring","locationName":"clusterNameFilter"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"ClusterInfoList":{"locationName":"clusterInfoList","type":"list","member":{"shape":"S1u"}},"NextToken":{"locationName":"nextToken"}}}},"ListClustersV2":{"http":{"method":"GET","requestUri":"/api/v2/clusters","responseCode":200},"input":{"type":"structure","members":{"ClusterNameFilter":{"location":"querystring","locationName":"clusterNameFilter"},"ClusterTypeFilter":{"location":"querystring","locationName":"clusterTypeFilter"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"ClusterInfoList":{"locationName":"clusterInfoList","type":"list","member":{"shape":"S24"}},"NextToken":{"locationName":"nextToken"}}}},"ListConfigurationRevisions":{"http":{"method":"GET","requestUri":"/v1/configurations/{arn}/revisions","responseCode":200},"input":{"type":"structure","members":{"Arn":{"location":"uri","locationName":"arn"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["Arn"]},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Revisions":{"locationName":"revisions","type":"list","member":{"shape":"S1m"}}}}},"ListConfigurations":{"http":{"method":"GET","requestUri":"/v1/configurations","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Configurations":{"locationName":"configurations","type":"list","member":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CreationTime":{"shape":"S1l","locationName":"creationTime"},"Description":{"locationName":"description"},"KafkaVersions":{"shape":"S3","locationName":"kafkaVersions"},"LatestRevision":{"shape":"S1m","locationName":"latestRevision"},"Name":{"locationName":"name"},"State":{"locationName":"state"}},"required":["Description","LatestRevision","CreationTime","KafkaVersions","Arn","Name","State"]}},"NextToken":{"locationName":"nextToken"}}}},"ListKafkaVersions":{"http":{"method":"GET","requestUri":"/v1/kafka-versions","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"KafkaVersions":{"locationName":"kafkaVersions","type":"list","member":{"type":"structure","members":{"Version":{"locationName":"version"},"Status":{"locationName":"status"}}}},"NextToken":{"locationName":"nextToken"}}}},"ListNodes":{"http":{"method":"GET","requestUri":"/v1/clusters/{clusterArn}/nodes","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ClusterArn"]},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"NodeInfoList":{"locationName":"nodeInfoList","type":"list","member":{"type":"structure","members":{"AddedToClusterTime":{"locationName":"addedToClusterTime"},"BrokerNodeInfo":{"locationName":"brokerNodeInfo","type":"structure","members":{"AttachedENIId":{"locationName":"attachedENIId"},"BrokerId":{"locationName":"brokerId","type":"double"},"ClientSubnet":{"locationName":"clientSubnet"},"ClientVpcIpAddress":{"locationName":"clientVpcIpAddress"},"CurrentBrokerSoftwareInfo":{"shape":"S1v","locationName":"currentBrokerSoftwareInfo"},"Endpoints":{"shape":"S3","locationName":"endpoints"}}},"InstanceType":{"locationName":"instanceType"},"NodeARN":{"locationName":"nodeARN"},"NodeType":{"locationName":"nodeType"},"ZookeeperNodeInfo":{"locationName":"zookeeperNodeInfo","type":"structure","members":{"AttachedENIId":{"locationName":"attachedENIId"},"ClientVpcIpAddress":{"locationName":"clientVpcIpAddress"},"Endpoints":{"shape":"S3","locationName":"endpoints"},"ZookeeperId":{"locationName":"zookeeperId","type":"double"},"ZookeeperVersion":{"locationName":"zookeeperVersion"}}}}}}}}},"ListScramSecrets":{"http":{"method":"GET","requestUri":"/v1/clusters/{clusterArn}/scram-secrets","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ClusterArn"]},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"SecretArnList":{"shape":"S3","locationName":"secretArnList"}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/v1/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{"Tags":{"shape":"S16","locationName":"tags"}}}},"RebootBroker":{"http":{"method":"PUT","requestUri":"/v1/clusters/{clusterArn}/reboot-broker","responseCode":200},"input":{"type":"structure","members":{"BrokerIds":{"shape":"S3","locationName":"brokerIds"},"ClusterArn":{"location":"uri","locationName":"clusterArn"}},"required":["ClusterArn","BrokerIds"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"ClusterOperationArn":{"locationName":"clusterOperationArn"}}}},"TagResource":{"http":{"requestUri":"/v1/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"S16","locationName":"tags"}},"required":["ResourceArn","Tags"]}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/v1/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeys":{"shape":"S3","location":"querystring","locationName":"tagKeys"}},"required":["TagKeys","ResourceArn"]}},"UpdateBrokerCount":{"http":{"method":"PUT","requestUri":"/v1/clusters/{clusterArn}/nodes/count","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"CurrentVersion":{"locationName":"currentVersion"},"TargetNumberOfBrokerNodes":{"locationName":"targetNumberOfBrokerNodes","type":"integer"}},"required":["ClusterArn","CurrentVersion","TargetNumberOfBrokerNodes"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"ClusterOperationArn":{"locationName":"clusterOperationArn"}}}},"UpdateBrokerType":{"http":{"method":"PUT","requestUri":"/v1/clusters/{clusterArn}/nodes/type","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"CurrentVersion":{"locationName":"currentVersion"},"TargetInstanceType":{"locationName":"targetInstanceType"}},"required":["ClusterArn","CurrentVersion","TargetInstanceType"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"ClusterOperationArn":{"locationName":"clusterOperationArn"}}}},"UpdateBrokerStorage":{"http":{"method":"PUT","requestUri":"/v1/clusters/{clusterArn}/nodes/storage","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"CurrentVersion":{"locationName":"currentVersion"},"TargetBrokerEBSVolumeInfo":{"shape":"S2f","locationName":"targetBrokerEBSVolumeInfo"}},"required":["ClusterArn","TargetBrokerEBSVolumeInfo","CurrentVersion"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"ClusterOperationArn":{"locationName":"clusterOperationArn"}}}},"UpdateConfiguration":{"http":{"method":"PUT","requestUri":"/v1/configurations/{arn}","responseCode":200},"input":{"type":"structure","members":{"Arn":{"location":"uri","locationName":"arn"},"Description":{"locationName":"description"},"ServerProperties":{"locationName":"serverProperties","type":"blob"}},"required":["Arn","ServerProperties"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"LatestRevision":{"shape":"S1m","locationName":"latestRevision"}}}},"UpdateConnectivity":{"http":{"method":"PUT","requestUri":"/v1/clusters/{clusterArn}/connectivity","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"ConnectivityInfo":{"shape":"Se","locationName":"connectivityInfo"},"CurrentVersion":{"locationName":"currentVersion"}},"required":["ClusterArn","ConnectivityInfo","CurrentVersion"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"ClusterOperationArn":{"locationName":"clusterOperationArn"}}}},"UpdateClusterConfiguration":{"http":{"method":"PUT","requestUri":"/v1/clusters/{clusterArn}/configuration","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"ConfigurationInfo":{"shape":"So","locationName":"configurationInfo"},"CurrentVersion":{"locationName":"currentVersion"}},"required":["ClusterArn","CurrentVersion","ConfigurationInfo"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"ClusterOperationArn":{"locationName":"clusterOperationArn"}}}},"UpdateClusterKafkaVersion":{"http":{"method":"PUT","requestUri":"/v1/clusters/{clusterArn}/version","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"ConfigurationInfo":{"shape":"So","locationName":"configurationInfo"},"CurrentVersion":{"locationName":"currentVersion"},"TargetKafkaVersion":{"locationName":"targetKafkaVersion"}},"required":["ClusterArn","TargetKafkaVersion","CurrentVersion"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"ClusterOperationArn":{"locationName":"clusterOperationArn"}}}},"UpdateMonitoring":{"http":{"method":"PUT","requestUri":"/v1/clusters/{clusterArn}/monitoring","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"clusterArn"},"CurrentVersion":{"locationName":"currentVersion"},"EnhancedMonitoring":{"locationName":"enhancedMonitoring"},"OpenMonitoring":{"shape":"Sv","locationName":"openMonitoring"},"LoggingInfo":{"shape":"S10","locationName":"loggingInfo"}},"required":["ClusterArn","CurrentVersion"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"ClusterOperationArn":{"locationName":"clusterOperationArn"}}}},"UpdateSecurity":{"http":{"method":"PATCH","requestUri":"/v1/clusters/{clusterArn}/security","responseCode":200},"input":{"type":"structure","members":{"ClientAuthentication":{"shape":"Sg","locationName":"clientAuthentication"},"ClusterArn":{"location":"uri","locationName":"clusterArn"},"CurrentVersion":{"locationName":"currentVersion"},"EncryptionInfo":{"shape":"Sq","locationName":"encryptionInfo"}},"required":["ClusterArn","CurrentVersion"]},"output":{"type":"structure","members":{"ClusterArn":{"locationName":"clusterArn"},"ClusterOperationArn":{"locationName":"clusterOperationArn"}}}}},"shapes":{"S3":{"type":"list","member":{}},"S5":{"type":"list","member":{"type":"structure","members":{"ErrorCode":{"locationName":"errorCode"},"ErrorMessage":{"locationName":"errorMessage"},"SecretArn":{"locationName":"secretArn"}}}},"S8":{"type":"structure","members":{"BrokerAZDistribution":{"locationName":"brokerAZDistribution"},"ClientSubnets":{"shape":"S3","locationName":"clientSubnets"},"InstanceType":{"locationName":"instanceType"},"SecurityGroups":{"shape":"S3","locationName":"securityGroups"},"StorageInfo":{"locationName":"storageInfo","type":"structure","members":{"EbsStorageInfo":{"locationName":"ebsStorageInfo","type":"structure","members":{"VolumeSize":{"locationName":"volumeSize","type":"integer"}}}}},"ConnectivityInfo":{"shape":"Se","locationName":"connectivityInfo"}},"required":["ClientSubnets","InstanceType"]},"Se":{"type":"structure","members":{"PublicAccess":{"locationName":"publicAccess","type":"structure","members":{"Type":{"locationName":"type"}}}}},"Sg":{"type":"structure","members":{"Sasl":{"locationName":"sasl","type":"structure","members":{"Scram":{"locationName":"scram","type":"structure","members":{"Enabled":{"locationName":"enabled","type":"boolean"}}},"Iam":{"shape":"Sk","locationName":"iam"}}},"Tls":{"locationName":"tls","type":"structure","members":{"CertificateAuthorityArnList":{"shape":"S3","locationName":"certificateAuthorityArnList"},"Enabled":{"locationName":"enabled","type":"boolean"}}},"Unauthenticated":{"locationName":"unauthenticated","type":"structure","members":{"Enabled":{"locationName":"enabled","type":"boolean"}}}}},"Sk":{"type":"structure","members":{"Enabled":{"locationName":"enabled","type":"boolean"}}},"So":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Revision":{"locationName":"revision","type":"long"}},"required":["Revision","Arn"]},"Sq":{"type":"structure","members":{"EncryptionAtRest":{"locationName":"encryptionAtRest","type":"structure","members":{"DataVolumeKMSKeyId":{"locationName":"dataVolumeKMSKeyId"}},"required":["DataVolumeKMSKeyId"]},"EncryptionInTransit":{"locationName":"encryptionInTransit","type":"structure","members":{"ClientBroker":{"locationName":"clientBroker"},"InCluster":{"locationName":"inCluster","type":"boolean"}}}}},"Sv":{"type":"structure","members":{"Prometheus":{"locationName":"prometheus","type":"structure","members":{"JmxExporter":{"locationName":"jmxExporter","type":"structure","members":{"EnabledInBroker":{"locationName":"enabledInBroker","type":"boolean"}},"required":["EnabledInBroker"]},"NodeExporter":{"locationName":"nodeExporter","type":"structure","members":{"EnabledInBroker":{"locationName":"enabledInBroker","type":"boolean"}},"required":["EnabledInBroker"]}}}},"required":["Prometheus"]},"S10":{"type":"structure","members":{"BrokerLogs":{"locationName":"brokerLogs","type":"structure","members":{"CloudWatchLogs":{"locationName":"cloudWatchLogs","type":"structure","members":{"Enabled":{"locationName":"enabled","type":"boolean"},"LogGroup":{"locationName":"logGroup"}},"required":["Enabled"]},"Firehose":{"locationName":"firehose","type":"structure","members":{"DeliveryStream":{"locationName":"deliveryStream"},"Enabled":{"locationName":"enabled","type":"boolean"}},"required":["Enabled"]},"S3":{"locationName":"s3","type":"structure","members":{"Bucket":{"locationName":"bucket"},"Enabled":{"locationName":"enabled","type":"boolean"},"Prefix":{"locationName":"prefix"}},"required":["Enabled"]}}}},"required":["BrokerLogs"]},"S16":{"type":"map","key":{},"value":{}},"S1c":{"type":"list","member":{"type":"structure","members":{"SubnetIds":{"shape":"S3","locationName":"subnetIds"},"SecurityGroupIds":{"shape":"S3","locationName":"securityGroupIds"}},"required":["SubnetIds"]}},"S1e":{"type":"structure","members":{"Sasl":{"locationName":"sasl","type":"structure","members":{"Iam":{"shape":"Sk","locationName":"iam"}}}}},"S1l":{"type":"timestamp","timestampFormat":"iso8601"},"S1m":{"type":"structure","members":{"CreationTime":{"shape":"S1l","locationName":"creationTime"},"Description":{"locationName":"description"},"Revision":{"locationName":"revision","type":"long"}},"required":["Revision","CreationTime"]},"S1u":{"type":"structure","members":{"ActiveOperationArn":{"locationName":"activeOperationArn"},"BrokerNodeGroupInfo":{"shape":"S8","locationName":"brokerNodeGroupInfo"},"ClientAuthentication":{"shape":"Sg","locationName":"clientAuthentication"},"ClusterArn":{"locationName":"clusterArn"},"ClusterName":{"locationName":"clusterName"},"CreationTime":{"shape":"S1l","locationName":"creationTime"},"CurrentBrokerSoftwareInfo":{"shape":"S1v","locationName":"currentBrokerSoftwareInfo"},"CurrentVersion":{"locationName":"currentVersion"},"EncryptionInfo":{"shape":"Sq","locationName":"encryptionInfo"},"EnhancedMonitoring":{"locationName":"enhancedMonitoring"},"OpenMonitoring":{"shape":"S1w","locationName":"openMonitoring"},"LoggingInfo":{"shape":"S10","locationName":"loggingInfo"},"NumberOfBrokerNodes":{"locationName":"numberOfBrokerNodes","type":"integer"},"State":{"locationName":"state"},"StateInfo":{"shape":"S21","locationName":"stateInfo"},"Tags":{"shape":"S16","locationName":"tags"},"ZookeeperConnectString":{"locationName":"zookeeperConnectString"},"ZookeeperConnectStringTls":{"locationName":"zookeeperConnectStringTls"}}},"S1v":{"type":"structure","members":{"ConfigurationArn":{"locationName":"configurationArn"},"ConfigurationRevision":{"locationName":"configurationRevision","type":"long"},"KafkaVersion":{"locationName":"kafkaVersion"}}},"S1w":{"type":"structure","members":{"Prometheus":{"locationName":"prometheus","type":"structure","members":{"JmxExporter":{"locationName":"jmxExporter","type":"structure","members":{"EnabledInBroker":{"locationName":"enabledInBroker","type":"boolean"}},"required":["EnabledInBroker"]},"NodeExporter":{"locationName":"nodeExporter","type":"structure","members":{"EnabledInBroker":{"locationName":"enabledInBroker","type":"boolean"}},"required":["EnabledInBroker"]}}}},"required":["Prometheus"]},"S21":{"type":"structure","members":{"Code":{"locationName":"code"},"Message":{"locationName":"message"}}},"S24":{"type":"structure","members":{"ActiveOperationArn":{"locationName":"activeOperationArn"},"ClusterType":{"locationName":"clusterType"},"ClusterArn":{"locationName":"clusterArn"},"ClusterName":{"locationName":"clusterName"},"CreationTime":{"shape":"S1l","locationName":"creationTime"},"CurrentVersion":{"locationName":"currentVersion"},"State":{"locationName":"state"},"StateInfo":{"shape":"S21","locationName":"stateInfo"},"Tags":{"shape":"S16","locationName":"tags"},"Provisioned":{"locationName":"provisioned","type":"structure","members":{"BrokerNodeGroupInfo":{"shape":"S8","locationName":"brokerNodeGroupInfo"},"CurrentBrokerSoftwareInfo":{"shape":"S1v","locationName":"currentBrokerSoftwareInfo"},"ClientAuthentication":{"shape":"Sg","locationName":"clientAuthentication"},"EncryptionInfo":{"shape":"Sq","locationName":"encryptionInfo"},"EnhancedMonitoring":{"locationName":"enhancedMonitoring"},"OpenMonitoring":{"shape":"Sv","locationName":"openMonitoring"},"LoggingInfo":{"shape":"S10","locationName":"loggingInfo"},"NumberOfBrokerNodes":{"locationName":"numberOfBrokerNodes","type":"integer"},"ZookeeperConnectString":{"locationName":"zookeeperConnectString"},"ZookeeperConnectStringTls":{"locationName":"zookeeperConnectStringTls"}},"required":["BrokerNodeGroupInfo","NumberOfBrokerNodes"]},"Serverless":{"locationName":"serverless","type":"structure","members":{"VpcConfigs":{"shape":"S1c","locationName":"vpcConfigs"},"ClientAuthentication":{"shape":"S1e","locationName":"clientAuthentication"}},"required":["VpcConfigs"]}}},"S29":{"type":"structure","members":{"ClientRequestId":{"locationName":"clientRequestId"},"ClusterArn":{"locationName":"clusterArn"},"CreationTime":{"shape":"S1l","locationName":"creationTime"},"EndTime":{"shape":"S1l","locationName":"endTime"},"ErrorInfo":{"locationName":"errorInfo","type":"structure","members":{"ErrorCode":{"locationName":"errorCode"},"ErrorString":{"locationName":"errorString"}}},"OperationArn":{"locationName":"operationArn"},"OperationState":{"locationName":"operationState"},"OperationSteps":{"locationName":"operationSteps","type":"list","member":{"type":"structure","members":{"StepInfo":{"locationName":"stepInfo","type":"structure","members":{"StepStatus":{"locationName":"stepStatus"}}},"StepName":{"locationName":"stepName"}}}},"OperationType":{"locationName":"operationType"},"SourceClusterInfo":{"shape":"S2e","locationName":"sourceClusterInfo"},"TargetClusterInfo":{"shape":"S2e","locationName":"targetClusterInfo"}}},"S2e":{"type":"structure","members":{"BrokerEBSVolumeInfo":{"shape":"S2f","locationName":"brokerEBSVolumeInfo"},"ConfigurationInfo":{"shape":"So","locationName":"configurationInfo"},"NumberOfBrokerNodes":{"locationName":"numberOfBrokerNodes","type":"integer"},"EnhancedMonitoring":{"locationName":"enhancedMonitoring"},"OpenMonitoring":{"shape":"S1w","locationName":"openMonitoring"},"KafkaVersion":{"locationName":"kafkaVersion"},"LoggingInfo":{"shape":"S10","locationName":"loggingInfo"},"InstanceType":{"locationName":"instanceType"},"ClientAuthentication":{"shape":"Sg","locationName":"clientAuthentication"},"EncryptionInfo":{"shape":"Sq","locationName":"encryptionInfo"},"ConnectivityInfo":{"shape":"Se","locationName":"connectivityInfo"}}},"S2f":{"type":"list","member":{"type":"structure","members":{"KafkaBrokerNodeId":{"locationName":"kafkaBrokerNodeId"},"VolumeSizeGB":{"locationName":"volumeSizeGB","type":"integer"}},"required":["VolumeSizeGB","KafkaBrokerNodeId"]}}}}');

/***/ }),

/***/ 79729:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListClusters":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ClusterInfoList"},"ListClustersV2":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ClusterInfoList"},"ListConfigurations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Configurations"},"ListKafkaVersions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"KafkaVersions"},"ListNodes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"NodeInfoList"},"ListClusterOperations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ClusterOperationInfoList"},"ListConfigurationRevisions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Revisions"},"ListScramSecrets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"SecretArnList"}}}');

/***/ }),

/***/ 80867:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-09-14","endpointPrefix":"kafkaconnect","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Kafka Connect","serviceFullName":"Managed Streaming for Kafka Connect","serviceId":"KafkaConnect","signatureVersion":"v4","signingName":"kafkaconnect","uid":"kafkaconnect-2021-09-14"},"operations":{"CreateConnector":{"http":{"requestUri":"/v1/connectors","responseCode":200},"input":{"type":"structure","required":["capacity","connectorConfiguration","connectorName","kafkaCluster","kafkaClusterClientAuthentication","kafkaClusterEncryptionInTransit","kafkaConnectVersion","plugins","serviceExecutionRoleArn"],"members":{"capacity":{"type":"structure","members":{"autoScaling":{"type":"structure","required":["maxWorkerCount","mcuCount","minWorkerCount"],"members":{"maxWorkerCount":{"type":"integer"},"mcuCount":{"type":"integer"},"minWorkerCount":{"type":"integer"},"scaleInPolicy":{"type":"structure","required":["cpuUtilizationPercentage"],"members":{"cpuUtilizationPercentage":{"type":"integer"}}},"scaleOutPolicy":{"type":"structure","required":["cpuUtilizationPercentage"],"members":{"cpuUtilizationPercentage":{"type":"integer"}}}}},"provisionedCapacity":{"type":"structure","required":["mcuCount","workerCount"],"members":{"mcuCount":{"type":"integer"},"workerCount":{"type":"integer"}}}}},"connectorConfiguration":{"shape":"Sa"},"connectorDescription":{},"connectorName":{},"kafkaCluster":{"type":"structure","required":["apacheKafkaCluster"],"members":{"apacheKafkaCluster":{"type":"structure","required":["bootstrapServers","vpc"],"members":{"bootstrapServers":{},"vpc":{"type":"structure","required":["subnets"],"members":{"securityGroups":{"shape":"Sh"},"subnets":{"shape":"Sh"}}}}}}},"kafkaClusterClientAuthentication":{"type":"structure","required":["authenticationType"],"members":{"authenticationType":{}}},"kafkaClusterEncryptionInTransit":{"type":"structure","required":["encryptionType"],"members":{"encryptionType":{}}},"kafkaConnectVersion":{},"logDelivery":{"type":"structure","required":["workerLogDelivery"],"members":{"workerLogDelivery":{"type":"structure","members":{"cloudWatchLogs":{"type":"structure","required":["enabled"],"members":{"enabled":{"type":"boolean"},"logGroup":{}}},"firehose":{"type":"structure","required":["enabled"],"members":{"deliveryStream":{},"enabled":{"type":"boolean"}}},"s3":{"type":"structure","required":["enabled"],"members":{"bucket":{},"enabled":{"type":"boolean"},"prefix":{}}}}}}},"plugins":{"type":"list","member":{"type":"structure","required":["customPlugin"],"members":{"customPlugin":{"type":"structure","required":["customPluginArn","revision"],"members":{"customPluginArn":{},"revision":{"type":"long"}}}}}},"serviceExecutionRoleArn":{},"workerConfiguration":{"type":"structure","required":["revision","workerConfigurationArn"],"members":{"revision":{"type":"long"},"workerConfigurationArn":{}}}}},"output":{"type":"structure","members":{"connectorArn":{},"connectorName":{},"connectorState":{}}}},"CreateCustomPlugin":{"http":{"requestUri":"/v1/custom-plugins","responseCode":200},"input":{"type":"structure","required":["contentType","location","name"],"members":{"contentType":{},"description":{},"location":{"type":"structure","required":["s3Location"],"members":{"s3Location":{"type":"structure","required":["bucketArn","fileKey"],"members":{"bucketArn":{},"fileKey":{},"objectVersion":{}}}}},"name":{}}},"output":{"type":"structure","members":{"customPluginArn":{},"customPluginState":{},"name":{},"revision":{"type":"long"}}}},"CreateWorkerConfiguration":{"http":{"requestUri":"/v1/worker-configurations","responseCode":200},"input":{"type":"structure","required":["name","propertiesFileContent"],"members":{"description":{},"name":{},"propertiesFileContent":{}}},"output":{"type":"structure","members":{"creationTime":{"shape":"S18"},"latestRevision":{"shape":"S19"},"name":{},"workerConfigurationArn":{}}}},"DeleteConnector":{"http":{"method":"DELETE","requestUri":"/v1/connectors/{connectorArn}","responseCode":200},"input":{"type":"structure","required":["connectorArn"],"members":{"connectorArn":{"location":"uri","locationName":"connectorArn"},"currentVersion":{"location":"querystring","locationName":"currentVersion"}}},"output":{"type":"structure","members":{"connectorArn":{},"connectorState":{}}},"idempotent":true},"DescribeConnector":{"http":{"method":"GET","requestUri":"/v1/connectors/{connectorArn}","responseCode":200},"input":{"type":"structure","required":["connectorArn"],"members":{"connectorArn":{"location":"uri","locationName":"connectorArn"}}},"output":{"type":"structure","members":{"capacity":{"shape":"S1e"},"connectorArn":{},"connectorConfiguration":{"shape":"Sa"},"connectorDescription":{},"connectorName":{},"connectorState":{},"creationTime":{"shape":"S18"},"currentVersion":{},"kafkaCluster":{"shape":"S1k"},"kafkaClusterClientAuthentication":{"shape":"S1n"},"kafkaClusterEncryptionInTransit":{"shape":"S1o"},"kafkaConnectVersion":{},"logDelivery":{"shape":"S1p"},"plugins":{"shape":"S1u"},"serviceExecutionRoleArn":{},"workerConfiguration":{"shape":"S1x"}}}},"DescribeCustomPlugin":{"http":{"method":"GET","requestUri":"/v1/custom-plugins/{customPluginArn}","responseCode":200},"input":{"type":"structure","required":["customPluginArn"],"members":{"customPluginArn":{"location":"uri","locationName":"customPluginArn"}}},"output":{"type":"structure","members":{"creationTime":{"shape":"S18"},"customPluginArn":{},"customPluginState":{},"description":{},"latestRevision":{"shape":"S20"},"name":{}}}},"DescribeWorkerConfiguration":{"http":{"method":"GET","requestUri":"/v1/worker-configurations/{workerConfigurationArn}","responseCode":200},"input":{"type":"structure","required":["workerConfigurationArn"],"members":{"workerConfigurationArn":{"location":"uri","locationName":"workerConfigurationArn"}}},"output":{"type":"structure","members":{"creationTime":{"shape":"S18"},"description":{},"latestRevision":{"type":"structure","members":{"creationTime":{"shape":"S18"},"description":{},"propertiesFileContent":{},"revision":{"type":"long"}}},"name":{},"workerConfigurationArn":{}}}},"ListConnectors":{"http":{"method":"GET","requestUri":"/v1/connectors","responseCode":200},"input":{"type":"structure","members":{"connectorNamePrefix":{"location":"querystring","locationName":"connectorNamePrefix"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"connectors":{"type":"list","member":{"type":"structure","members":{"capacity":{"shape":"S1e"},"connectorArn":{},"connectorDescription":{},"connectorName":{},"connectorState":{},"creationTime":{"shape":"S18"},"currentVersion":{},"kafkaCluster":{"shape":"S1k"},"kafkaClusterClientAuthentication":{"shape":"S1n"},"kafkaClusterEncryptionInTransit":{"shape":"S1o"},"kafkaConnectVersion":{},"logDelivery":{"shape":"S1p"},"plugins":{"shape":"S1u"},"serviceExecutionRoleArn":{},"workerConfiguration":{"shape":"S1x"}}}},"nextToken":{}}}},"ListCustomPlugins":{"http":{"method":"GET","requestUri":"/v1/custom-plugins","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"customPlugins":{"type":"list","member":{"type":"structure","members":{"creationTime":{"shape":"S18"},"customPluginArn":{},"customPluginState":{},"description":{},"latestRevision":{"shape":"S20"},"name":{}}}},"nextToken":{}}}},"ListWorkerConfigurations":{"http":{"method":"GET","requestUri":"/v1/worker-configurations","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"nextToken":{},"workerConfigurations":{"type":"list","member":{"type":"structure","members":{"creationTime":{"shape":"S18"},"description":{},"latestRevision":{"shape":"S19"},"name":{},"workerConfigurationArn":{}}}}}}},"UpdateConnector":{"http":{"method":"PUT","requestUri":"/v1/connectors/{connectorArn}","responseCode":200},"input":{"type":"structure","required":["capacity","connectorArn","currentVersion"],"members":{"capacity":{"type":"structure","members":{"autoScaling":{"type":"structure","required":["maxWorkerCount","mcuCount","minWorkerCount","scaleInPolicy","scaleOutPolicy"],"members":{"maxWorkerCount":{"type":"integer"},"mcuCount":{"type":"integer"},"minWorkerCount":{"type":"integer"},"scaleInPolicy":{"type":"structure","required":["cpuUtilizationPercentage"],"members":{"cpuUtilizationPercentage":{"type":"integer"}}},"scaleOutPolicy":{"type":"structure","required":["cpuUtilizationPercentage"],"members":{"cpuUtilizationPercentage":{"type":"integer"}}}}},"provisionedCapacity":{"type":"structure","required":["mcuCount","workerCount"],"members":{"mcuCount":{"type":"integer"},"workerCount":{"type":"integer"}}}}},"connectorArn":{"location":"uri","locationName":"connectorArn"},"currentVersion":{"location":"querystring","locationName":"currentVersion"}}},"output":{"type":"structure","members":{"connectorArn":{},"connectorState":{}}},"idempotent":true}},"shapes":{"Sa":{"type":"map","key":{},"value":{}},"Sh":{"type":"list","member":{}},"S18":{"type":"timestamp","timestampFormat":"iso8601"},"S19":{"type":"structure","members":{"creationTime":{"shape":"S18"},"description":{},"revision":{"type":"long"}}},"S1e":{"type":"structure","members":{"autoScaling":{"type":"structure","members":{"maxWorkerCount":{"type":"integer"},"mcuCount":{"type":"integer"},"minWorkerCount":{"type":"integer"},"scaleInPolicy":{"type":"structure","members":{"cpuUtilizationPercentage":{"type":"integer"}}},"scaleOutPolicy":{"type":"structure","members":{"cpuUtilizationPercentage":{"type":"integer"}}}}},"provisionedCapacity":{"type":"structure","members":{"mcuCount":{"type":"integer"},"workerCount":{"type":"integer"}}}}},"S1k":{"type":"structure","members":{"apacheKafkaCluster":{"type":"structure","members":{"bootstrapServers":{},"vpc":{"type":"structure","members":{"securityGroups":{"shape":"Sh"},"subnets":{"shape":"Sh"}}}}}}},"S1n":{"type":"structure","members":{"authenticationType":{}}},"S1o":{"type":"structure","members":{"encryptionType":{}}},"S1p":{"type":"structure","members":{"workerLogDelivery":{"type":"structure","members":{"cloudWatchLogs":{"type":"structure","members":{"enabled":{"type":"boolean"},"logGroup":{}}},"firehose":{"type":"structure","members":{"deliveryStream":{},"enabled":{"type":"boolean"}}},"s3":{"type":"structure","members":{"bucket":{},"enabled":{"type":"boolean"},"prefix":{}}}}}}},"S1u":{"type":"list","member":{"type":"structure","members":{"customPlugin":{"type":"structure","members":{"customPluginArn":{},"revision":{"type":"long"}}}}}},"S1x":{"type":"structure","members":{"revision":{"type":"long"},"workerConfigurationArn":{}}},"S20":{"type":"structure","members":{"contentType":{},"creationTime":{"shape":"S18"},"description":{},"fileDescription":{"type":"structure","members":{"fileMd5":{},"fileSize":{"type":"long"}}},"location":{"type":"structure","members":{"s3Location":{"type":"structure","members":{"bucketArn":{},"fileKey":{},"objectVersion":{}}}}},"revision":{"type":"long"}}}}}');

/***/ }),

/***/ 32924:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListConnectors":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"connectors"},"ListCustomPlugins":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"customPlugins"},"ListWorkerConfigurations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"workerConfigurations"}}}');

/***/ }),

/***/ 80100:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-02-03","endpointPrefix":"kendra","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"kendra","serviceFullName":"AWSKendraFrontendService","serviceId":"kendra","signatureVersion":"v4","signingName":"kendra","targetPrefix":"AWSKendraFrontendService","uid":"kendra-2019-02-03"},"operations":{"AssociateEntitiesToExperience":{"input":{"type":"structure","required":["Id","IndexId","EntityList"],"members":{"Id":{},"IndexId":{},"EntityList":{"type":"list","member":{"shape":"S5"}}}},"output":{"type":"structure","members":{"FailedEntityList":{"type":"list","member":{"shape":"Sa"}}}}},"AssociatePersonasToEntities":{"input":{"type":"structure","required":["Id","IndexId","Personas"],"members":{"Id":{},"IndexId":{},"Personas":{"type":"list","member":{"type":"structure","required":["EntityId","Persona"],"members":{"EntityId":{},"Persona":{}}}}}},"output":{"type":"structure","members":{"FailedEntityList":{"shape":"Sh"}}}},"BatchDeleteDocument":{"input":{"type":"structure","required":["IndexId","DocumentIdList"],"members":{"IndexId":{},"DocumentIdList":{"type":"list","member":{}},"DataSourceSyncJobMetricTarget":{"type":"structure","required":["DataSourceId"],"members":{"DataSourceId":{},"DataSourceSyncJobId":{}}}}},"output":{"type":"structure","members":{"FailedDocuments":{"type":"list","member":{"type":"structure","members":{"Id":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"BatchGetDocumentStatus":{"input":{"type":"structure","required":["IndexId","DocumentInfoList"],"members":{"IndexId":{},"DocumentInfoList":{"type":"list","member":{"type":"structure","required":["DocumentId"],"members":{"DocumentId":{},"Attributes":{"shape":"Sv"}}}}}},"output":{"type":"structure","members":{"Errors":{"type":"list","member":{"type":"structure","members":{"DocumentId":{},"ErrorCode":{},"ErrorMessage":{}}}},"DocumentStatusList":{"type":"list","member":{"type":"structure","members":{"DocumentId":{},"DocumentStatus":{},"FailureCode":{},"FailureReason":{}}}}}}},"BatchPutDocument":{"input":{"type":"structure","required":["IndexId","Documents"],"members":{"IndexId":{},"RoleArn":{},"Documents":{"type":"list","member":{"type":"structure","required":["Id"],"members":{"Id":{},"Title":{},"Blob":{"type":"blob"},"S3Path":{"shape":"S1g"},"Attributes":{"shape":"Sv"},"AccessControlList":{"shape":"S1j"},"HierarchicalAccessControlList":{"type":"list","member":{"type":"structure","required":["PrincipalList"],"members":{"PrincipalList":{"shape":"S1j"}}}},"ContentType":{}}}},"CustomDocumentEnrichmentConfiguration":{"shape":"S1r"}}},"output":{"type":"structure","members":{"FailedDocuments":{"type":"list","member":{"type":"structure","members":{"Id":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"ClearQuerySuggestions":{"input":{"type":"structure","required":["IndexId"],"members":{"IndexId":{}}}},"CreateDataSource":{"input":{"type":"structure","required":["Name","IndexId","Type"],"members":{"Name":{},"IndexId":{},"Type":{},"Configuration":{"shape":"S27"},"Description":{},"Schedule":{},"RoleArn":{},"Tags":{"shape":"S5a"},"ClientToken":{"idempotencyToken":true},"LanguageCode":{},"CustomDocumentEnrichmentConfiguration":{"shape":"S1r"}}},"output":{"type":"structure","required":["Id"],"members":{"Id":{}}}},"CreateExperience":{"input":{"type":"structure","required":["Name","IndexId"],"members":{"Name":{},"IndexId":{},"RoleArn":{},"Configuration":{"shape":"S5j"},"Description":{},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["Id"],"members":{"Id":{}}}},"CreateFaq":{"input":{"type":"structure","required":["IndexId","Name","S3Path","RoleArn"],"members":{"IndexId":{},"Name":{},"Description":{},"S3Path":{"shape":"S1g"},"RoleArn":{},"Tags":{"shape":"S5a"},"FileFormat":{},"ClientToken":{"idempotencyToken":true},"LanguageCode":{}}},"output":{"type":"structure","members":{"Id":{}}}},"CreateIndex":{"input":{"type":"structure","required":["Name","RoleArn"],"members":{"Name":{},"Edition":{},"RoleArn":{},"ServerSideEncryptionConfiguration":{"shape":"S5y"},"Description":{},"ClientToken":{"idempotencyToken":true},"Tags":{"shape":"S5a"},"UserTokenConfigurations":{"shape":"S60"},"UserContextPolicy":{},"UserGroupResolutionConfiguration":{"shape":"S6a"}}},"output":{"type":"structure","members":{"Id":{}}}},"CreateQuerySuggestionsBlockList":{"input":{"type":"structure","required":["IndexId","Name","SourceS3Path","RoleArn"],"members":{"IndexId":{},"Name":{},"Description":{},"SourceS3Path":{"shape":"S1g"},"ClientToken":{"idempotencyToken":true},"RoleArn":{},"Tags":{"shape":"S5a"}}},"output":{"type":"structure","members":{"Id":{}}}},"CreateThesaurus":{"input":{"type":"structure","required":["IndexId","Name","RoleArn","SourceS3Path"],"members":{"IndexId":{},"Name":{},"Description":{},"RoleArn":{},"Tags":{"shape":"S5a"},"SourceS3Path":{"shape":"S1g"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"Id":{}}}},"DeleteDataSource":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{}}}},"DeleteExperience":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{}}},"output":{"type":"structure","members":{}}},"DeleteFaq":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{}}}},"DeleteIndex":{"input":{"type":"structure","required":["Id"],"members":{"Id":{}}}},"DeletePrincipalMapping":{"input":{"type":"structure","required":["IndexId","GroupId"],"members":{"IndexId":{},"DataSourceId":{},"GroupId":{},"OrderingId":{"type":"long"}}}},"DeleteQuerySuggestionsBlockList":{"input":{"type":"structure","required":["IndexId","Id"],"members":{"IndexId":{},"Id":{}}}},"DeleteThesaurus":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{}}}},"DescribeDataSource":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{}}},"output":{"type":"structure","members":{"Id":{},"IndexId":{},"Name":{},"Type":{},"Configuration":{"shape":"S27"},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"Description":{},"Status":{},"Schedule":{},"RoleArn":{},"ErrorMessage":{},"LanguageCode":{},"CustomDocumentEnrichmentConfiguration":{"shape":"S1r"}}}},"DescribeExperience":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{}}},"output":{"type":"structure","members":{"Id":{},"IndexId":{},"Name":{},"Endpoints":{"shape":"S70"},"Configuration":{"shape":"S5j"},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"Description":{},"Status":{},"RoleArn":{},"ErrorMessage":{}}}},"DescribeFaq":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{}}},"output":{"type":"structure","members":{"Id":{},"IndexId":{},"Name":{},"Description":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"S3Path":{"shape":"S1g"},"Status":{},"RoleArn":{},"ErrorMessage":{},"FileFormat":{},"LanguageCode":{}}}},"DescribeIndex":{"input":{"type":"structure","required":["Id"],"members":{"Id":{}}},"output":{"type":"structure","members":{"Name":{},"Id":{},"Edition":{},"RoleArn":{},"ServerSideEncryptionConfiguration":{"shape":"S5y"},"Status":{},"Description":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"DocumentMetadataConfigurations":{"shape":"S7b"},"IndexStatistics":{"type":"structure","required":["FaqStatistics","TextDocumentStatistics"],"members":{"FaqStatistics":{"type":"structure","required":["IndexedQuestionAnswersCount"],"members":{"IndexedQuestionAnswersCount":{"type":"integer"}}},"TextDocumentStatistics":{"type":"structure","required":["IndexedTextDocumentsCount","IndexedTextBytes"],"members":{"IndexedTextDocumentsCount":{"type":"integer"},"IndexedTextBytes":{"type":"long"}}}}},"ErrorMessage":{},"CapacityUnits":{"shape":"S7t"},"UserTokenConfigurations":{"shape":"S60"},"UserContextPolicy":{},"UserGroupResolutionConfiguration":{"shape":"S6a"}}}},"DescribePrincipalMapping":{"input":{"type":"structure","required":["IndexId","GroupId"],"members":{"IndexId":{},"DataSourceId":{},"GroupId":{}}},"output":{"type":"structure","members":{"IndexId":{},"DataSourceId":{},"GroupId":{},"GroupOrderingIdSummaries":{"type":"list","member":{"type":"structure","members":{"Status":{},"LastUpdatedAt":{"type":"timestamp"},"ReceivedAt":{"type":"timestamp"},"OrderingId":{"type":"long"},"FailureReason":{}}}}}}},"DescribeQuerySuggestionsBlockList":{"input":{"type":"structure","required":["IndexId","Id"],"members":{"IndexId":{},"Id":{}}},"output":{"type":"structure","members":{"IndexId":{},"Id":{},"Name":{},"Description":{},"Status":{},"ErrorMessage":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"SourceS3Path":{"shape":"S1g"},"ItemCount":{"type":"integer"},"FileSizeBytes":{"type":"long"},"RoleArn":{}}}},"DescribeQuerySuggestionsConfig":{"input":{"type":"structure","required":["IndexId"],"members":{"IndexId":{}}},"output":{"type":"structure","members":{"Mode":{},"Status":{},"QueryLogLookBackWindowInDays":{"type":"integer"},"IncludeQueriesWithoutUserInformation":{"type":"boolean"},"MinimumNumberOfQueryingUsers":{"type":"integer"},"MinimumQueryCount":{"type":"integer"},"LastSuggestionsBuildTime":{"type":"timestamp"},"LastClearTime":{"type":"timestamp"},"TotalSuggestionsCount":{"type":"integer"}}}},"DescribeThesaurus":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{}}},"output":{"type":"structure","members":{"Id":{},"IndexId":{},"Name":{},"Description":{},"Status":{},"ErrorMessage":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"RoleArn":{},"SourceS3Path":{"shape":"S1g"},"FileSizeBytes":{"type":"long"},"TermCount":{"type":"long"},"SynonymRuleCount":{"type":"long"}}}},"DisassociateEntitiesFromExperience":{"input":{"type":"structure","required":["Id","IndexId","EntityList"],"members":{"Id":{},"IndexId":{},"EntityList":{"type":"list","member":{"shape":"S5"}}}},"output":{"type":"structure","members":{"FailedEntityList":{"shape":"Sh"}}}},"DisassociatePersonasFromEntities":{"input":{"type":"structure","required":["Id","IndexId","EntityIds"],"members":{"Id":{},"IndexId":{},"EntityIds":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"FailedEntityList":{"shape":"Sh"}}}},"GetQuerySuggestions":{"input":{"type":"structure","required":["IndexId","QueryText"],"members":{"IndexId":{},"QueryText":{},"MaxSuggestionsCount":{"type":"integer"}}},"output":{"type":"structure","members":{"QuerySuggestionsId":{},"Suggestions":{"type":"list","member":{"type":"structure","members":{"Id":{},"Value":{"type":"structure","members":{"Text":{"type":"structure","members":{"Text":{},"Highlights":{"type":"list","member":{"type":"structure","members":{"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"}}}}}}}}}}}}}},"GetSnapshots":{"input":{"type":"structure","required":["IndexId","Interval","MetricType"],"members":{"IndexId":{},"Interval":{},"MetricType":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SnapShotTimeFilter":{"shape":"S92"},"SnapshotsDataHeader":{"type":"list","member":{}},"SnapshotsData":{"type":"list","member":{"type":"list","member":{}}},"NextToken":{}}}},"ListDataSourceSyncJobs":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{},"NextToken":{},"MaxResults":{"type":"integer"},"StartTimeFilter":{"shape":"S92"},"StatusFilter":{}}},"output":{"type":"structure","members":{"History":{"type":"list","member":{"type":"structure","members":{"ExecutionId":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Status":{},"ErrorMessage":{},"ErrorCode":{},"DataSourceErrorCode":{},"Metrics":{"type":"structure","members":{"DocumentsAdded":{},"DocumentsModified":{},"DocumentsDeleted":{},"DocumentsFailed":{},"DocumentsScanned":{}}}}}},"NextToken":{}}}},"ListDataSources":{"input":{"type":"structure","required":["IndexId"],"members":{"IndexId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SummaryItems":{"type":"list","member":{"type":"structure","members":{"Name":{},"Id":{},"Type":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"Status":{},"LanguageCode":{}}}},"NextToken":{}}}},"ListEntityPersonas":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SummaryItems":{"type":"list","member":{"type":"structure","members":{"EntityId":{},"Persona":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"}}}},"NextToken":{}}}},"ListExperienceEntities":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{},"NextToken":{}}},"output":{"type":"structure","members":{"SummaryItems":{"type":"list","member":{"type":"structure","members":{"EntityId":{},"EntityType":{},"DisplayData":{"type":"structure","members":{"UserName":{"shape":"S9t"},"GroupName":{"shape":"S9t"},"IdentifiedUserName":{"shape":"S9t"},"FirstName":{"shape":"S9t"},"LastName":{"shape":"S9t"}}}}}},"NextToken":{}}}},"ListExperiences":{"input":{"type":"structure","required":["IndexId"],"members":{"IndexId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"SummaryItems":{"type":"list","member":{"type":"structure","members":{"Name":{},"Id":{},"CreatedAt":{"type":"timestamp"},"Status":{},"Endpoints":{"shape":"S70"}}}},"NextToken":{}}}},"ListFaqs":{"input":{"type":"structure","required":["IndexId"],"members":{"IndexId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"FaqSummaryItems":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"Status":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"FileFormat":{},"LanguageCode":{}}}}}}},"ListGroupsOlderThanOrderingId":{"input":{"type":"structure","required":["IndexId","OrderingId"],"members":{"IndexId":{},"DataSourceId":{},"OrderingId":{"type":"long"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"GroupsSummaries":{"type":"list","member":{"type":"structure","members":{"GroupId":{},"OrderingId":{"type":"long"}}}},"NextToken":{}}}},"ListIndices":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"IndexConfigurationSummaryItems":{"type":"list","member":{"type":"structure","required":["CreatedAt","UpdatedAt","Status"],"members":{"Name":{},"Id":{},"Edition":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"Status":{}}}},"NextToken":{}}}},"ListQuerySuggestionsBlockLists":{"input":{"type":"structure","required":["IndexId"],"members":{"IndexId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"BlockListSummaryItems":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"Status":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"ItemCount":{"type":"integer"}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S5a"}}}},"ListThesauri":{"input":{"type":"structure","required":["IndexId"],"members":{"IndexId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"ThesaurusSummaryItems":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"Status":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"}}}}}}},"PutPrincipalMapping":{"input":{"type":"structure","required":["IndexId","GroupId","GroupMembers"],"members":{"IndexId":{},"DataSourceId":{},"GroupId":{},"GroupMembers":{"type":"structure","members":{"MemberGroups":{"type":"list","member":{"type":"structure","required":["GroupId"],"members":{"GroupId":{},"DataSourceId":{}}}},"MemberUsers":{"type":"list","member":{"type":"structure","required":["UserId"],"members":{"UserId":{}}}},"S3PathforGroupMembers":{"shape":"S1g"}}},"OrderingId":{"type":"long"},"RoleArn":{}}}},"Query":{"input":{"type":"structure","required":["IndexId","QueryText"],"members":{"IndexId":{},"QueryText":{},"AttributeFilter":{"shape":"Sb0"},"Facets":{"type":"list","member":{"type":"structure","members":{"DocumentAttributeKey":{}}}},"RequestedDocumentAttributes":{"type":"list","member":{}},"QueryResultTypeFilter":{},"DocumentRelevanceOverrideConfigurations":{"type":"list","member":{"type":"structure","required":["Name","Relevance"],"members":{"Name":{},"Relevance":{"shape":"S7f"}}}},"PageNumber":{"type":"integer"},"PageSize":{"type":"integer"},"SortingConfiguration":{"type":"structure","required":["DocumentAttributeKey","SortOrder"],"members":{"DocumentAttributeKey":{},"SortOrder":{}}},"UserContext":{"type":"structure","members":{"Token":{},"UserId":{},"Groups":{"type":"list","member":{}},"DataSourceGroups":{"type":"list","member":{"type":"structure","required":["GroupId","DataSourceId"],"members":{"GroupId":{},"DataSourceId":{}}}}}},"VisitorId":{}}},"output":{"type":"structure","members":{"QueryId":{},"ResultItems":{"type":"list","member":{"type":"structure","members":{"Id":{},"Type":{},"AdditionalAttributes":{"type":"list","member":{"type":"structure","required":["Key","ValueType","Value"],"members":{"Key":{},"ValueType":{},"Value":{"type":"structure","members":{"TextWithHighlightsValue":{"shape":"Sbo"}}}}}},"DocumentId":{},"DocumentTitle":{"shape":"Sbo"},"DocumentExcerpt":{"shape":"Sbo"},"DocumentURI":{},"DocumentAttributes":{"shape":"Sv"},"ScoreAttributes":{"type":"structure","members":{"ScoreConfidence":{}}},"FeedbackToken":{}}}},"FacetResults":{"type":"list","member":{"type":"structure","members":{"DocumentAttributeKey":{},"DocumentAttributeValueType":{},"DocumentAttributeValueCountPairs":{"type":"list","member":{"type":"structure","members":{"DocumentAttributeValue":{"shape":"Sy"},"Count":{"type":"integer"}}}}}}},"TotalNumberOfResults":{"type":"integer"}}}},"StartDataSourceSyncJob":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{}}},"output":{"type":"structure","members":{"ExecutionId":{}}}},"StopDataSourceSyncJob":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"IndexId":{}}}},"SubmitFeedback":{"input":{"type":"structure","required":["IndexId","QueryId"],"members":{"IndexId":{},"QueryId":{},"ClickFeedbackItems":{"type":"list","member":{"type":"structure","required":["ResultId","ClickTime"],"members":{"ResultId":{},"ClickTime":{"type":"timestamp"}}}},"RelevanceFeedbackItems":{"type":"list","member":{"type":"structure","required":["ResultId","RelevanceValue"],"members":{"ResultId":{},"RelevanceValue":{}}}}}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S5a"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDataSource":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"Name":{},"IndexId":{},"Configuration":{"shape":"S27"},"Description":{},"Schedule":{},"RoleArn":{},"LanguageCode":{},"CustomDocumentEnrichmentConfiguration":{"shape":"S1r"}}}},"UpdateExperience":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"Name":{},"IndexId":{},"RoleArn":{},"Configuration":{"shape":"S5j"},"Description":{}}}},"UpdateIndex":{"input":{"type":"structure","required":["Id"],"members":{"Id":{},"Name":{},"RoleArn":{},"Description":{},"DocumentMetadataConfigurationUpdates":{"shape":"S7b"},"CapacityUnits":{"shape":"S7t"},"UserTokenConfigurations":{"shape":"S60"},"UserContextPolicy":{},"UserGroupResolutionConfiguration":{"shape":"S6a"}}}},"UpdateQuerySuggestionsBlockList":{"input":{"type":"structure","required":["IndexId","Id"],"members":{"IndexId":{},"Id":{},"Name":{},"Description":{},"SourceS3Path":{"shape":"S1g"},"RoleArn":{}}}},"UpdateQuerySuggestionsConfig":{"input":{"type":"structure","required":["IndexId"],"members":{"IndexId":{},"Mode":{},"QueryLogLookBackWindowInDays":{"type":"integer"},"IncludeQueriesWithoutUserInformation":{"type":"boolean"},"MinimumNumberOfQueryingUsers":{"type":"integer"},"MinimumQueryCount":{"type":"integer"}}}},"UpdateThesaurus":{"input":{"type":"structure","required":["Id","IndexId"],"members":{"Id":{},"Name":{},"IndexId":{},"Description":{},"RoleArn":{},"SourceS3Path":{"shape":"S1g"}}}}},"shapes":{"S5":{"type":"structure","required":["EntityId","EntityType"],"members":{"EntityId":{},"EntityType":{}}},"Sa":{"type":"structure","members":{"EntityId":{},"ErrorMessage":{}}},"Sh":{"type":"list","member":{"shape":"Sa"}},"Sv":{"type":"list","member":{"shape":"Sw"}},"Sw":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{"shape":"Sy"}}},"Sy":{"type":"structure","members":{"StringValue":{},"StringListValue":{"type":"list","member":{}},"LongValue":{"type":"long"},"DateValue":{"type":"timestamp"}}},"S1g":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{},"Key":{}}},"S1j":{"type":"list","member":{"type":"structure","required":["Name","Type","Access"],"members":{"Name":{},"Type":{},"Access":{},"DataSourceId":{}}}},"S1r":{"type":"structure","members":{"InlineConfigurations":{"type":"list","member":{"type":"structure","members":{"Condition":{"shape":"S1u"},"Target":{"type":"structure","members":{"TargetDocumentAttributeKey":{},"TargetDocumentAttributeValueDeletion":{"type":"boolean"},"TargetDocumentAttributeValue":{"shape":"Sy"}}},"DocumentContentDeletion":{"type":"boolean"}}}},"PreExtractionHookConfiguration":{"shape":"S1y"},"PostExtractionHookConfiguration":{"shape":"S1y"},"RoleArn":{}}},"S1u":{"type":"structure","required":["ConditionDocumentAttributeKey","Operator"],"members":{"ConditionDocumentAttributeKey":{},"Operator":{},"ConditionOnValue":{"shape":"Sy"}}},"S1y":{"type":"structure","required":["LambdaArn","S3Bucket"],"members":{"InvocationCondition":{"shape":"S1u"},"LambdaArn":{},"S3Bucket":{}}},"S27":{"type":"structure","members":{"S3Configuration":{"type":"structure","required":["BucketName"],"members":{"BucketName":{},"InclusionPrefixes":{"shape":"S29"},"InclusionPatterns":{"shape":"S29"},"ExclusionPatterns":{"shape":"S29"},"DocumentsMetadataConfiguration":{"type":"structure","members":{"S3Prefix":{}}},"AccessControlListConfiguration":{"type":"structure","members":{"KeyPath":{}}}}},"SharePointConfiguration":{"type":"structure","required":["SharePointVersion","Urls","SecretArn"],"members":{"SharePointVersion":{},"Urls":{"type":"list","member":{}},"SecretArn":{},"CrawlAttachments":{"type":"boolean"},"UseChangeLog":{"type":"boolean"},"InclusionPatterns":{"shape":"S29"},"ExclusionPatterns":{"shape":"S29"},"VpcConfiguration":{"shape":"S2i"},"FieldMappings":{"shape":"S2n"},"DocumentTitleFieldName":{},"DisableLocalGroups":{"type":"boolean"},"SslCertificateS3Path":{"shape":"S1g"}}},"DatabaseConfiguration":{"type":"structure","required":["DatabaseEngineType","ConnectionConfiguration","ColumnConfiguration"],"members":{"DatabaseEngineType":{},"ConnectionConfiguration":{"type":"structure","required":["DatabaseHost","DatabasePort","DatabaseName","TableName","SecretArn"],"members":{"DatabaseHost":{},"DatabasePort":{"type":"integer"},"DatabaseName":{},"TableName":{},"SecretArn":{}}},"VpcConfiguration":{"shape":"S2i"},"ColumnConfiguration":{"type":"structure","required":["DocumentIdColumnName","DocumentDataColumnName","ChangeDetectingColumns"],"members":{"DocumentIdColumnName":{},"DocumentDataColumnName":{},"DocumentTitleColumnName":{},"FieldMappings":{"shape":"S2n"},"ChangeDetectingColumns":{"type":"list","member":{}}}},"AclConfiguration":{"type":"structure","required":["AllowedGroupsColumnName"],"members":{"AllowedGroupsColumnName":{}}},"SqlConfiguration":{"type":"structure","members":{"QueryIdentifiersEnclosingOption":{}}}}},"SalesforceConfiguration":{"type":"structure","required":["ServerUrl","SecretArn"],"members":{"ServerUrl":{},"SecretArn":{},"StandardObjectConfigurations":{"type":"list","member":{"type":"structure","required":["Name","DocumentDataFieldName"],"members":{"Name":{},"DocumentDataFieldName":{},"DocumentTitleFieldName":{},"FieldMappings":{"shape":"S2n"}}}},"KnowledgeArticleConfiguration":{"type":"structure","required":["IncludedStates"],"members":{"IncludedStates":{"type":"list","member":{}},"StandardKnowledgeArticleTypeConfiguration":{"type":"structure","required":["DocumentDataFieldName"],"members":{"DocumentDataFieldName":{},"DocumentTitleFieldName":{},"FieldMappings":{"shape":"S2n"}}},"CustomKnowledgeArticleTypeConfigurations":{"type":"list","member":{"type":"structure","required":["Name","DocumentDataFieldName"],"members":{"Name":{},"DocumentDataFieldName":{},"DocumentTitleFieldName":{},"FieldMappings":{"shape":"S2n"}}}}}},"ChatterFeedConfiguration":{"type":"structure","required":["DocumentDataFieldName"],"members":{"DocumentDataFieldName":{},"DocumentTitleFieldName":{},"FieldMappings":{"shape":"S2n"},"IncludeFilterTypes":{"type":"list","member":{}}}},"CrawlAttachments":{"type":"boolean"},"StandardObjectAttachmentConfiguration":{"type":"structure","members":{"DocumentTitleFieldName":{},"FieldMappings":{"shape":"S2n"}}},"IncludeAttachmentFilePatterns":{"shape":"S29"},"ExcludeAttachmentFilePatterns":{"shape":"S29"}}},"OneDriveConfiguration":{"type":"structure","required":["TenantDomain","SecretArn","OneDriveUsers"],"members":{"TenantDomain":{},"SecretArn":{},"OneDriveUsers":{"type":"structure","members":{"OneDriveUserList":{"type":"list","member":{}},"OneDriveUserS3Path":{"shape":"S1g"}}},"InclusionPatterns":{"shape":"S29"},"ExclusionPatterns":{"shape":"S29"},"FieldMappings":{"shape":"S2n"},"DisableLocalGroups":{"type":"boolean"}}},"ServiceNowConfiguration":{"type":"structure","required":["HostUrl","SecretArn","ServiceNowBuildVersion"],"members":{"HostUrl":{},"SecretArn":{},"ServiceNowBuildVersion":{},"KnowledgeArticleConfiguration":{"type":"structure","required":["DocumentDataFieldName"],"members":{"CrawlAttachments":{"type":"boolean"},"IncludeAttachmentFilePatterns":{"shape":"S29"},"ExcludeAttachmentFilePatterns":{"shape":"S29"},"DocumentDataFieldName":{},"DocumentTitleFieldName":{},"FieldMappings":{"shape":"S2n"},"FilterQuery":{}}},"ServiceCatalogConfiguration":{"type":"structure","required":["DocumentDataFieldName"],"members":{"CrawlAttachments":{"type":"boolean"},"IncludeAttachmentFilePatterns":{"shape":"S29"},"ExcludeAttachmentFilePatterns":{"shape":"S29"},"DocumentDataFieldName":{},"DocumentTitleFieldName":{},"FieldMappings":{"shape":"S2n"}}},"AuthenticationType":{}}},"ConfluenceConfiguration":{"type":"structure","required":["ServerUrl","SecretArn","Version"],"members":{"ServerUrl":{},"SecretArn":{},"Version":{},"SpaceConfiguration":{"type":"structure","members":{"CrawlPersonalSpaces":{"type":"boolean"},"CrawlArchivedSpaces":{"type":"boolean"},"IncludeSpaces":{"shape":"S3z"},"ExcludeSpaces":{"shape":"S3z"},"SpaceFieldMappings":{"type":"list","member":{"type":"structure","members":{"DataSourceFieldName":{},"DateFieldFormat":{},"IndexFieldName":{}}}}}},"PageConfiguration":{"type":"structure","members":{"PageFieldMappings":{"type":"list","member":{"type":"structure","members":{"DataSourceFieldName":{},"DateFieldFormat":{},"IndexFieldName":{}}}}}},"BlogConfiguration":{"type":"structure","members":{"BlogFieldMappings":{"type":"list","member":{"type":"structure","members":{"DataSourceFieldName":{},"DateFieldFormat":{},"IndexFieldName":{}}}}}},"AttachmentConfiguration":{"type":"structure","members":{"CrawlAttachments":{"type":"boolean"},"AttachmentFieldMappings":{"type":"list","member":{"type":"structure","members":{"DataSourceFieldName":{},"DateFieldFormat":{},"IndexFieldName":{}}}}}},"VpcConfiguration":{"shape":"S2i"},"InclusionPatterns":{"shape":"S29"},"ExclusionPatterns":{"shape":"S29"}}},"GoogleDriveConfiguration":{"type":"structure","required":["SecretArn"],"members":{"SecretArn":{},"InclusionPatterns":{"shape":"S29"},"ExclusionPatterns":{"shape":"S29"},"FieldMappings":{"shape":"S2n"},"ExcludeMimeTypes":{"type":"list","member":{}},"ExcludeUserAccounts":{"type":"list","member":{}},"ExcludeSharedDrives":{"type":"list","member":{}}}},"WebCrawlerConfiguration":{"type":"structure","required":["Urls"],"members":{"Urls":{"type":"structure","members":{"SeedUrlConfiguration":{"type":"structure","required":["SeedUrls"],"members":{"SeedUrls":{"type":"list","member":{}},"WebCrawlerMode":{}}},"SiteMapsConfiguration":{"type":"structure","required":["SiteMaps"],"members":{"SiteMaps":{"type":"list","member":{}}}}}},"CrawlDepth":{"type":"integer"},"MaxLinksPerPage":{"type":"integer"},"MaxContentSizePerPageInMegaBytes":{"type":"float"},"MaxUrlsPerMinuteCrawlRate":{"type":"integer"},"UrlInclusionPatterns":{"shape":"S29"},"UrlExclusionPatterns":{"shape":"S29"},"ProxyConfiguration":{"type":"structure","required":["Host","Port"],"members":{"Host":{},"Port":{"type":"integer"},"Credentials":{}}},"AuthenticationConfiguration":{"type":"structure","members":{"BasicAuthentication":{"type":"list","member":{"type":"structure","required":["Host","Port","Credentials"],"members":{"Host":{},"Port":{"type":"integer"},"Credentials":{}}}}}}}},"WorkDocsConfiguration":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{},"CrawlComments":{"type":"boolean"},"UseChangeLog":{"type":"boolean"},"InclusionPatterns":{"shape":"S29"},"ExclusionPatterns":{"shape":"S29"},"FieldMappings":{"shape":"S2n"}}}}},"S29":{"type":"list","member":{}},"S2i":{"type":"structure","required":["SubnetIds","SecurityGroupIds"],"members":{"SubnetIds":{"type":"list","member":{}},"SecurityGroupIds":{"type":"list","member":{}}}},"S2n":{"type":"list","member":{"type":"structure","required":["DataSourceFieldName","IndexFieldName"],"members":{"DataSourceFieldName":{},"DateFieldFormat":{},"IndexFieldName":{}}}},"S3z":{"type":"list","member":{}},"S5a":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S5j":{"type":"structure","members":{"ContentSourceConfiguration":{"type":"structure","members":{"DataSourceIds":{"type":"list","member":{}},"FaqIds":{"type":"list","member":{}},"DirectPutContent":{"type":"boolean"}}},"UserIdentityConfiguration":{"type":"structure","members":{"IdentityAttributeName":{}}}}},"S5y":{"type":"structure","members":{"KmsKeyId":{"type":"string","sensitive":true}}},"S60":{"type":"list","member":{"type":"structure","members":{"JwtTokenTypeConfiguration":{"type":"structure","required":["KeyLocation"],"members":{"KeyLocation":{},"URL":{},"SecretManagerArn":{},"UserNameAttributeField":{},"GroupAttributeField":{},"Issuer":{},"ClaimRegex":{}}},"JsonTokenTypeConfiguration":{"type":"structure","required":["UserNameAttributeField","GroupAttributeField"],"members":{"UserNameAttributeField":{},"GroupAttributeField":{}}}}}},"S6a":{"type":"structure","required":["UserGroupResolutionMode"],"members":{"UserGroupResolutionMode":{}}},"S70":{"type":"list","member":{"type":"structure","members":{"EndpointType":{},"Endpoint":{}}}},"S7b":{"type":"list","member":{"type":"structure","required":["Name","Type"],"members":{"Name":{},"Type":{},"Relevance":{"shape":"S7f"},"Search":{"type":"structure","members":{"Facetable":{"type":"boolean"},"Searchable":{"type":"boolean"},"Displayable":{"type":"boolean"},"Sortable":{"type":"boolean"}}}}}},"S7f":{"type":"structure","members":{"Freshness":{"type":"boolean"},"Importance":{"type":"integer"},"Duration":{},"RankOrder":{},"ValueImportanceMap":{"type":"map","key":{},"value":{"type":"integer"}}}},"S7t":{"type":"structure","required":["StorageCapacityUnits","QueryCapacityUnits"],"members":{"StorageCapacityUnits":{"type":"integer"},"QueryCapacityUnits":{"type":"integer"}}},"S92":{"type":"structure","members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"S9t":{"type":"string","sensitive":true},"Sb0":{"type":"structure","members":{"AndAllFilters":{"shape":"Sb1"},"OrAllFilters":{"shape":"Sb1"},"NotFilter":{"shape":"Sb0"},"EqualsTo":{"shape":"Sw"},"ContainsAll":{"shape":"Sw"},"ContainsAny":{"shape":"Sw"},"GreaterThan":{"shape":"Sw"},"GreaterThanOrEquals":{"shape":"Sw"},"LessThan":{"shape":"Sw"},"LessThanOrEquals":{"shape":"Sw"}}},"Sb1":{"type":"list","member":{"shape":"Sb0"}},"Sbo":{"type":"structure","members":{"Text":{},"Highlights":{"type":"list","member":{"type":"structure","required":["BeginOffset","EndOffset"],"members":{"BeginOffset":{"type":"integer"},"EndOffset":{"type":"integer"},"TopAnswer":{"type":"boolean"},"Type":{}}}}}}}}');

/***/ }),

/***/ 64519:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDataSourceSyncJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDataSources":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListEntityPersonas":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListExperienceEntities":{"input_token":"NextToken","output_token":"NextToken"},"ListExperiences":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListIndices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 648:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2013-12-02","endpointPrefix":"kinesis","jsonVersion":"1.1","protocol":"json","protocolSettings":{"h2":"eventstream"},"serviceAbbreviation":"Kinesis","serviceFullName":"Amazon Kinesis","serviceId":"Kinesis","signatureVersion":"v4","targetPrefix":"Kinesis_20131202","uid":"kinesis-2013-12-02"},"operations":{"AddTagsToStream":{"input":{"type":"structure","required":["StreamName","Tags"],"members":{"StreamName":{},"Tags":{"type":"map","key":{},"value":{}}}}},"CreateStream":{"input":{"type":"structure","required":["StreamName"],"members":{"StreamName":{},"ShardCount":{"type":"integer"},"StreamModeDetails":{"shape":"S8"}}}},"DecreaseStreamRetentionPeriod":{"input":{"type":"structure","required":["StreamName","RetentionPeriodHours"],"members":{"StreamName":{},"RetentionPeriodHours":{"type":"integer"}}}},"DeleteStream":{"input":{"type":"structure","required":["StreamName"],"members":{"StreamName":{},"EnforceConsumerDeletion":{"type":"boolean"}}}},"DeregisterStreamConsumer":{"input":{"type":"structure","members":{"StreamARN":{},"ConsumerName":{},"ConsumerARN":{}}}},"DescribeLimits":{"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["ShardLimit","OpenShardCount","OnDemandStreamCount","OnDemandStreamCountLimit"],"members":{"ShardLimit":{"type":"integer"},"OpenShardCount":{"type":"integer"},"OnDemandStreamCount":{"type":"integer"},"OnDemandStreamCountLimit":{"type":"integer"}}}},"DescribeStream":{"input":{"type":"structure","required":["StreamName"],"members":{"StreamName":{},"Limit":{"type":"integer"},"ExclusiveStartShardId":{}}},"output":{"type":"structure","required":["StreamDescription"],"members":{"StreamDescription":{"type":"structure","required":["StreamName","StreamARN","StreamStatus","Shards","HasMoreShards","RetentionPeriodHours","StreamCreationTimestamp","EnhancedMonitoring"],"members":{"StreamName":{},"StreamARN":{},"StreamStatus":{},"StreamModeDetails":{"shape":"S8"},"Shards":{"shape":"St"},"HasMoreShards":{"type":"boolean"},"RetentionPeriodHours":{"type":"integer"},"StreamCreationTimestamp":{"type":"timestamp"},"EnhancedMonitoring":{"shape":"S10"},"EncryptionType":{},"KeyId":{}}}}}},"DescribeStreamConsumer":{"input":{"type":"structure","members":{"StreamARN":{},"ConsumerName":{},"ConsumerARN":{}}},"output":{"type":"structure","required":["ConsumerDescription"],"members":{"ConsumerDescription":{"type":"structure","required":["ConsumerName","ConsumerARN","ConsumerStatus","ConsumerCreationTimestamp","StreamARN"],"members":{"ConsumerName":{},"ConsumerARN":{},"ConsumerStatus":{},"ConsumerCreationTimestamp":{"type":"timestamp"},"StreamARN":{}}}}}},"DescribeStreamSummary":{"input":{"type":"structure","required":["StreamName"],"members":{"StreamName":{}}},"output":{"type":"structure","required":["StreamDescriptionSummary"],"members":{"StreamDescriptionSummary":{"type":"structure","required":["StreamName","StreamARN","StreamStatus","RetentionPeriodHours","StreamCreationTimestamp","EnhancedMonitoring","OpenShardCount"],"members":{"StreamName":{},"StreamARN":{},"StreamStatus":{},"StreamModeDetails":{"shape":"S8"},"RetentionPeriodHours":{"type":"integer"},"StreamCreationTimestamp":{"type":"timestamp"},"EnhancedMonitoring":{"shape":"S10"},"EncryptionType":{},"KeyId":{},"OpenShardCount":{"type":"integer"},"ConsumerCount":{"type":"integer"}}}}}},"DisableEnhancedMonitoring":{"input":{"type":"structure","required":["StreamName","ShardLevelMetrics"],"members":{"StreamName":{},"ShardLevelMetrics":{"shape":"S12"}}},"output":{"shape":"S1f"}},"EnableEnhancedMonitoring":{"input":{"type":"structure","required":["StreamName","ShardLevelMetrics"],"members":{"StreamName":{},"ShardLevelMetrics":{"shape":"S12"}}},"output":{"shape":"S1f"}},"GetRecords":{"input":{"type":"structure","required":["ShardIterator"],"members":{"ShardIterator":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","required":["Records"],"members":{"Records":{"type":"list","member":{"type":"structure","required":["SequenceNumber","Data","PartitionKey"],"members":{"SequenceNumber":{},"ApproximateArrivalTimestamp":{"type":"timestamp"},"Data":{"type":"blob"},"PartitionKey":{},"EncryptionType":{}}}},"NextShardIterator":{},"MillisBehindLatest":{"type":"long"},"ChildShards":{"type":"list","member":{"type":"structure","required":["ShardId","ParentShards","HashKeyRange"],"members":{"ShardId":{},"ParentShards":{"type":"list","member":{}},"HashKeyRange":{"shape":"Sv"}}}}}}},"GetShardIterator":{"input":{"type":"structure","required":["StreamName","ShardId","ShardIteratorType"],"members":{"StreamName":{},"ShardId":{},"ShardIteratorType":{},"StartingSequenceNumber":{},"Timestamp":{"type":"timestamp"}}},"output":{"type":"structure","members":{"ShardIterator":{}}}},"IncreaseStreamRetentionPeriod":{"input":{"type":"structure","required":["StreamName","RetentionPeriodHours"],"members":{"StreamName":{},"RetentionPeriodHours":{"type":"integer"}}}},"ListShards":{"input":{"type":"structure","members":{"StreamName":{},"NextToken":{},"ExclusiveStartShardId":{},"MaxResults":{"type":"integer"},"StreamCreationTimestamp":{"type":"timestamp"},"ShardFilter":{"type":"structure","required":["Type"],"members":{"Type":{},"ShardId":{},"Timestamp":{"type":"timestamp"}}}}},"output":{"type":"structure","members":{"Shards":{"shape":"St"},"NextToken":{}}}},"ListStreamConsumers":{"input":{"type":"structure","required":["StreamARN"],"members":{"StreamARN":{},"NextToken":{},"MaxResults":{"type":"integer"},"StreamCreationTimestamp":{"type":"timestamp"}}},"output":{"type":"structure","members":{"Consumers":{"type":"list","member":{"shape":"S27"}},"NextToken":{}}}},"ListStreams":{"input":{"type":"structure","members":{"Limit":{"type":"integer"},"ExclusiveStartStreamName":{}}},"output":{"type":"structure","required":["StreamNames","HasMoreStreams"],"members":{"StreamNames":{"type":"list","member":{}},"HasMoreStreams":{"type":"boolean"}}}},"ListTagsForStream":{"input":{"type":"structure","required":["StreamName"],"members":{"StreamName":{},"ExclusiveStartTagKey":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","required":["Tags","HasMoreTags"],"members":{"Tags":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"HasMoreTags":{"type":"boolean"}}}},"MergeShards":{"input":{"type":"structure","required":["StreamName","ShardToMerge","AdjacentShardToMerge"],"members":{"StreamName":{},"ShardToMerge":{},"AdjacentShardToMerge":{}}}},"PutRecord":{"input":{"type":"structure","required":["StreamName","Data","PartitionKey"],"members":{"StreamName":{},"Data":{"type":"blob"},"PartitionKey":{},"ExplicitHashKey":{},"SequenceNumberForOrdering":{}}},"output":{"type":"structure","required":["ShardId","SequenceNumber"],"members":{"ShardId":{},"SequenceNumber":{},"EncryptionType":{}}}},"PutRecords":{"input":{"type":"structure","required":["Records","StreamName"],"members":{"Records":{"type":"list","member":{"type":"structure","required":["Data","PartitionKey"],"members":{"Data":{"type":"blob"},"ExplicitHashKey":{},"PartitionKey":{}}}},"StreamName":{}}},"output":{"type":"structure","required":["Records"],"members":{"FailedRecordCount":{"type":"integer"},"Records":{"type":"list","member":{"type":"structure","members":{"SequenceNumber":{},"ShardId":{},"ErrorCode":{},"ErrorMessage":{}}}},"EncryptionType":{}}}},"RegisterStreamConsumer":{"input":{"type":"structure","required":["StreamARN","ConsumerName"],"members":{"StreamARN":{},"ConsumerName":{}}},"output":{"type":"structure","required":["Consumer"],"members":{"Consumer":{"shape":"S27"}}}},"RemoveTagsFromStream":{"input":{"type":"structure","required":["StreamName","TagKeys"],"members":{"StreamName":{},"TagKeys":{"type":"list","member":{}}}}},"SplitShard":{"input":{"type":"structure","required":["StreamName","ShardToSplit","NewStartingHashKey"],"members":{"StreamName":{},"ShardToSplit":{},"NewStartingHashKey":{}}}},"StartStreamEncryption":{"input":{"type":"structure","required":["StreamName","EncryptionType","KeyId"],"members":{"StreamName":{},"EncryptionType":{},"KeyId":{}}}},"StopStreamEncryption":{"input":{"type":"structure","required":["StreamName","EncryptionType","KeyId"],"members":{"StreamName":{},"EncryptionType":{},"KeyId":{}}}},"UpdateShardCount":{"input":{"type":"structure","required":["StreamName","TargetShardCount","ScalingType"],"members":{"StreamName":{},"TargetShardCount":{"type":"integer"},"ScalingType":{}}},"output":{"type":"structure","members":{"StreamName":{},"CurrentShardCount":{"type":"integer"},"TargetShardCount":{"type":"integer"}}}},"UpdateStreamMode":{"input":{"type":"structure","required":["StreamARN","StreamModeDetails"],"members":{"StreamARN":{},"StreamModeDetails":{"shape":"S8"}}}}},"shapes":{"S8":{"type":"structure","required":["StreamMode"],"members":{"StreamMode":{}}},"St":{"type":"list","member":{"type":"structure","required":["ShardId","HashKeyRange","SequenceNumberRange"],"members":{"ShardId":{},"ParentShardId":{},"AdjacentParentShardId":{},"HashKeyRange":{"shape":"Sv"},"SequenceNumberRange":{"type":"structure","required":["StartingSequenceNumber"],"members":{"StartingSequenceNumber":{},"EndingSequenceNumber":{}}}}}},"Sv":{"type":"structure","required":["StartingHashKey","EndingHashKey"],"members":{"StartingHashKey":{},"EndingHashKey":{}}},"S10":{"type":"list","member":{"type":"structure","members":{"ShardLevelMetrics":{"shape":"S12"}}}},"S12":{"type":"list","member":{}},"S1f":{"type":"structure","members":{"StreamName":{},"CurrentShardLevelMetrics":{"shape":"S12"},"DesiredShardLevelMetrics":{"shape":"S12"}}},"S27":{"type":"structure","required":["ConsumerName","ConsumerARN","ConsumerStatus","ConsumerCreationTimestamp"],"members":{"ConsumerName":{},"ConsumerARN":{},"ConsumerStatus":{},"ConsumerCreationTimestamp":{"type":"timestamp"}}}}}');

/***/ }),

/***/ 10424:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeStream":{"input_token":"ExclusiveStartShardId","limit_key":"Limit","more_results":"StreamDescription.HasMoreShards","output_token":"StreamDescription.Shards[-1].ShardId","result_key":"StreamDescription.Shards"},"ListStreamConsumers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListStreams":{"input_token":"ExclusiveStartStreamName","limit_key":"Limit","more_results":"HasMoreStreams","output_token":"StreamNames[-1]","result_key":"StreamNames"}}}');

/***/ }),

/***/ 54059:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"StreamExists":{"delay":10,"operation":"DescribeStream","maxAttempts":18,"acceptors":[{"expected":"ACTIVE","matcher":"path","state":"success","argument":"StreamDescription.StreamStatus"}]},"StreamNotExists":{"delay":10,"operation":"DescribeStream","maxAttempts":18,"acceptors":[{"expected":"ResourceNotFoundException","matcher":"error","state":"success"}]}}}');

/***/ }),

/***/ 78868:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-09-30","endpointPrefix":"kinesisvideo","protocol":"rest-json","serviceAbbreviation":"Kinesis Video Archived Media","serviceFullName":"Amazon Kinesis Video Streams Archived Media","serviceId":"Kinesis Video Archived Media","signatureVersion":"v4","uid":"kinesis-video-archived-media-2017-09-30"},"operations":{"GetClip":{"http":{"requestUri":"/getClip"},"input":{"type":"structure","required":["ClipFragmentSelector"],"members":{"StreamName":{},"StreamARN":{},"ClipFragmentSelector":{"type":"structure","required":["FragmentSelectorType","TimestampRange"],"members":{"FragmentSelectorType":{},"TimestampRange":{"type":"structure","required":["StartTimestamp","EndTimestamp"],"members":{"StartTimestamp":{"type":"timestamp"},"EndTimestamp":{"type":"timestamp"}}}}}}},"output":{"type":"structure","members":{"ContentType":{"location":"header","locationName":"Content-Type"},"Payload":{"shape":"Sa"}},"payload":"Payload"}},"GetDASHStreamingSessionURL":{"http":{"requestUri":"/getDASHStreamingSessionURL"},"input":{"type":"structure","members":{"StreamName":{},"StreamARN":{},"PlaybackMode":{},"DisplayFragmentTimestamp":{},"DisplayFragmentNumber":{},"DASHFragmentSelector":{"type":"structure","members":{"FragmentSelectorType":{},"TimestampRange":{"type":"structure","members":{"StartTimestamp":{"type":"timestamp"},"EndTimestamp":{"type":"timestamp"}}}}},"Expires":{"type":"integer"},"MaxManifestFragmentResults":{"type":"long"}}},"output":{"type":"structure","members":{"DASHStreamingSessionURL":{}}}},"GetHLSStreamingSessionURL":{"http":{"requestUri":"/getHLSStreamingSessionURL"},"input":{"type":"structure","members":{"StreamName":{},"StreamARN":{},"PlaybackMode":{},"HLSFragmentSelector":{"type":"structure","members":{"FragmentSelectorType":{},"TimestampRange":{"type":"structure","members":{"StartTimestamp":{"type":"timestamp"},"EndTimestamp":{"type":"timestamp"}}}}},"ContainerFormat":{},"DiscontinuityMode":{},"DisplayFragmentTimestamp":{},"Expires":{"type":"integer"},"MaxMediaPlaylistFragmentResults":{"type":"long"}}},"output":{"type":"structure","members":{"HLSStreamingSessionURL":{}}}},"GetMediaForFragmentList":{"http":{"requestUri":"/getMediaForFragmentList"},"input":{"type":"structure","required":["Fragments"],"members":{"StreamName":{},"StreamARN":{},"Fragments":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"ContentType":{"location":"header","locationName":"Content-Type"},"Payload":{"shape":"Sa"}},"payload":"Payload"}},"ListFragments":{"http":{"requestUri":"/listFragments"},"input":{"type":"structure","members":{"StreamName":{},"StreamARN":{},"MaxResults":{"type":"long"},"NextToken":{},"FragmentSelector":{"type":"structure","required":["FragmentSelectorType","TimestampRange"],"members":{"FragmentSelectorType":{},"TimestampRange":{"type":"structure","required":["StartTimestamp","EndTimestamp"],"members":{"StartTimestamp":{"type":"timestamp"},"EndTimestamp":{"type":"timestamp"}}}}}}},"output":{"type":"structure","members":{"Fragments":{"type":"list","member":{"type":"structure","members":{"FragmentNumber":{},"FragmentSizeInBytes":{"type":"long"},"ProducerTimestamp":{"type":"timestamp"},"ServerTimestamp":{"type":"timestamp"},"FragmentLengthInMilliseconds":{"type":"long"}}}},"NextToken":{}}}}},"shapes":{"Sa":{"type":"blob","streaming":true}}}');

/***/ }),

/***/ 27352:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListFragments":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Fragments"}}}');

/***/ }),

/***/ 18898:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-09-30","endpointPrefix":"kinesisvideo","protocol":"rest-json","serviceAbbreviation":"Kinesis Video Media","serviceFullName":"Amazon Kinesis Video Streams Media","serviceId":"Kinesis Video Media","signatureVersion":"v4","uid":"kinesis-video-media-2017-09-30"},"operations":{"GetMedia":{"http":{"requestUri":"/getMedia"},"input":{"type":"structure","required":["StartSelector"],"members":{"StreamName":{},"StreamARN":{},"StartSelector":{"type":"structure","required":["StartSelectorType"],"members":{"StartSelectorType":{},"AfterFragmentNumber":{},"StartTimestamp":{"type":"timestamp"},"ContinuationToken":{}}}}},"output":{"type":"structure","members":{"ContentType":{"location":"header","locationName":"Content-Type"},"Payload":{"type":"blob","streaming":true}},"payload":"Payload"}}},"shapes":{}}');

/***/ }),

/***/ 85061:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 89769:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-12-04","endpointPrefix":"kinesisvideo","protocol":"rest-json","serviceAbbreviation":"Amazon Kinesis Video Signaling Channels","serviceFullName":"Amazon Kinesis Video Signaling Channels","serviceId":"Kinesis Video Signaling","signatureVersion":"v4","uid":"kinesis-video-signaling-2019-12-04"},"operations":{"GetIceServerConfig":{"http":{"requestUri":"/v1/get-ice-server-config"},"input":{"type":"structure","required":["ChannelARN"],"members":{"ChannelARN":{},"ClientId":{},"Service":{},"Username":{}}},"output":{"type":"structure","members":{"IceServerList":{"type":"list","member":{"type":"structure","members":{"Uris":{"type":"list","member":{}},"Username":{},"Password":{},"Ttl":{"type":"integer"}}}}}}},"SendAlexaOfferToMaster":{"http":{"requestUri":"/v1/send-alexa-offer-to-master"},"input":{"type":"structure","required":["ChannelARN","SenderClientId","MessagePayload"],"members":{"ChannelARN":{},"SenderClientId":{},"MessagePayload":{}}},"output":{"type":"structure","members":{"Answer":{}}}}},"shapes":{}}');

/***/ }),

/***/ 41939:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 72653:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-08-14","endpointPrefix":"kinesisanalytics","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Kinesis Analytics","serviceFullName":"Amazon Kinesis Analytics","serviceId":"Kinesis Analytics","signatureVersion":"v4","targetPrefix":"KinesisAnalytics_20150814","uid":"kinesisanalytics-2015-08-14"},"operations":{"AddApplicationCloudWatchLoggingOption":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","CloudWatchLoggingOption"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"CloudWatchLoggingOption":{"shape":"S4"}}},"output":{"type":"structure","members":{}}},"AddApplicationInput":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","Input"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"Input":{"shape":"S9"}}},"output":{"type":"structure","members":{}}},"AddApplicationInputProcessingConfiguration":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","InputId","InputProcessingConfiguration"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"InputId":{},"InputProcessingConfiguration":{"shape":"Sb"}}},"output":{"type":"structure","members":{}}},"AddApplicationOutput":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","Output"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"Output":{"shape":"S12"}}},"output":{"type":"structure","members":{}}},"AddApplicationReferenceDataSource":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","ReferenceDataSource"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"ReferenceDataSource":{"type":"structure","required":["TableName","ReferenceSchema"],"members":{"TableName":{},"S3ReferenceDataSource":{"type":"structure","required":["BucketARN","FileKey","ReferenceRoleARN"],"members":{"BucketARN":{},"FileKey":{},"ReferenceRoleARN":{}}},"ReferenceSchema":{"shape":"Si"}}}}},"output":{"type":"structure","members":{}}},"CreateApplication":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{},"ApplicationDescription":{},"Inputs":{"type":"list","member":{"shape":"S9"}},"Outputs":{"type":"list","member":{"shape":"S12"}},"CloudWatchLoggingOptions":{"type":"list","member":{"shape":"S4"}},"ApplicationCode":{},"Tags":{"shape":"S1l"}}},"output":{"type":"structure","required":["ApplicationSummary"],"members":{"ApplicationSummary":{"shape":"S1q"}}}},"DeleteApplication":{"input":{"type":"structure","required":["ApplicationName","CreateTimestamp"],"members":{"ApplicationName":{},"CreateTimestamp":{"type":"timestamp"}}},"output":{"type":"structure","members":{}}},"DeleteApplicationCloudWatchLoggingOption":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","CloudWatchLoggingOptionId"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"CloudWatchLoggingOptionId":{}}},"output":{"type":"structure","members":{}}},"DeleteApplicationInputProcessingConfiguration":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","InputId"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"InputId":{}}},"output":{"type":"structure","members":{}}},"DeleteApplicationOutput":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","OutputId"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"OutputId":{}}},"output":{"type":"structure","members":{}}},"DeleteApplicationReferenceDataSource":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","ReferenceId"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"ReferenceId":{}}},"output":{"type":"structure","members":{}}},"DescribeApplication":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{}}},"output":{"type":"structure","required":["ApplicationDetail"],"members":{"ApplicationDetail":{"type":"structure","required":["ApplicationName","ApplicationARN","ApplicationStatus","ApplicationVersionId"],"members":{"ApplicationName":{},"ApplicationDescription":{},"ApplicationARN":{},"ApplicationStatus":{},"CreateTimestamp":{"type":"timestamp"},"LastUpdateTimestamp":{"type":"timestamp"},"InputDescriptions":{"type":"list","member":{"type":"structure","members":{"InputId":{},"NamePrefix":{},"InAppStreamNames":{"type":"list","member":{}},"InputProcessingConfigurationDescription":{"type":"structure","members":{"InputLambdaProcessorDescription":{"type":"structure","members":{"ResourceARN":{},"RoleARN":{}}}}},"KinesisStreamsInputDescription":{"type":"structure","members":{"ResourceARN":{},"RoleARN":{}}},"KinesisFirehoseInputDescription":{"type":"structure","members":{"ResourceARN":{},"RoleARN":{}}},"InputSchema":{"shape":"Si"},"InputParallelism":{"shape":"Sg"},"InputStartingPositionConfiguration":{"shape":"S2d"}}}},"OutputDescriptions":{"type":"list","member":{"type":"structure","members":{"OutputId":{},"Name":{},"KinesisStreamsOutputDescription":{"type":"structure","members":{"ResourceARN":{},"RoleARN":{}}},"KinesisFirehoseOutputDescription":{"type":"structure","members":{"ResourceARN":{},"RoleARN":{}}},"LambdaOutputDescription":{"type":"structure","members":{"ResourceARN":{},"RoleARN":{}}},"DestinationSchema":{"shape":"S16"}}}},"ReferenceDataSourceDescriptions":{"type":"list","member":{"type":"structure","required":["ReferenceId","TableName","S3ReferenceDataSourceDescription"],"members":{"ReferenceId":{},"TableName":{},"S3ReferenceDataSourceDescription":{"type":"structure","required":["BucketARN","FileKey","ReferenceRoleARN"],"members":{"BucketARN":{},"FileKey":{},"ReferenceRoleARN":{}}},"ReferenceSchema":{"shape":"Si"}}}},"CloudWatchLoggingOptionDescriptions":{"type":"list","member":{"type":"structure","required":["LogStreamARN","RoleARN"],"members":{"CloudWatchLoggingOptionId":{},"LogStreamARN":{},"RoleARN":{}}}},"ApplicationCode":{},"ApplicationVersionId":{"type":"long"}}}}}},"DiscoverInputSchema":{"input":{"type":"structure","members":{"ResourceARN":{},"RoleARN":{},"InputStartingPositionConfiguration":{"shape":"S2d"},"S3Configuration":{"type":"structure","required":["RoleARN","BucketARN","FileKey"],"members":{"RoleARN":{},"BucketARN":{},"FileKey":{}}},"InputProcessingConfiguration":{"shape":"Sb"}}},"output":{"type":"structure","members":{"InputSchema":{"shape":"Si"},"ParsedInputRecords":{"type":"list","member":{"type":"list","member":{}}},"ProcessedInputRecords":{"type":"list","member":{}},"RawInputRecords":{"type":"list","member":{}}}}},"ListApplications":{"input":{"type":"structure","members":{"Limit":{"type":"integer"},"ExclusiveStartApplicationName":{}}},"output":{"type":"structure","required":["ApplicationSummaries","HasMoreApplications"],"members":{"ApplicationSummaries":{"type":"list","member":{"shape":"S1q"}},"HasMoreApplications":{"type":"boolean"}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S1l"}}}},"StartApplication":{"input":{"type":"structure","required":["ApplicationName","InputConfigurations"],"members":{"ApplicationName":{},"InputConfigurations":{"type":"list","member":{"type":"structure","required":["Id","InputStartingPositionConfiguration"],"members":{"Id":{},"InputStartingPositionConfiguration":{"shape":"S2d"}}}}}},"output":{"type":"structure","members":{}}},"StopApplication":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S1l"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateApplication":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","ApplicationUpdate"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"ApplicationUpdate":{"type":"structure","members":{"InputUpdates":{"type":"list","member":{"type":"structure","required":["InputId"],"members":{"InputId":{},"NamePrefixUpdate":{},"InputProcessingConfigurationUpdate":{"type":"structure","required":["InputLambdaProcessorUpdate"],"members":{"InputLambdaProcessorUpdate":{"type":"structure","members":{"ResourceARNUpdate":{},"RoleARNUpdate":{}}}}},"KinesisStreamsInputUpdate":{"type":"structure","members":{"ResourceARNUpdate":{},"RoleARNUpdate":{}}},"KinesisFirehoseInputUpdate":{"type":"structure","members":{"ResourceARNUpdate":{},"RoleARNUpdate":{}}},"InputSchemaUpdate":{"type":"structure","members":{"RecordFormatUpdate":{"shape":"Sj"},"RecordEncodingUpdate":{},"RecordColumnUpdates":{"shape":"Ss"}}},"InputParallelismUpdate":{"type":"structure","members":{"CountUpdate":{"type":"integer"}}}}}},"ApplicationCodeUpdate":{},"OutputUpdates":{"type":"list","member":{"type":"structure","required":["OutputId"],"members":{"OutputId":{},"NameUpdate":{},"KinesisStreamsOutputUpdate":{"type":"structure","members":{"ResourceARNUpdate":{},"RoleARNUpdate":{}}},"KinesisFirehoseOutputUpdate":{"type":"structure","members":{"ResourceARNUpdate":{},"RoleARNUpdate":{}}},"LambdaOutputUpdate":{"type":"structure","members":{"ResourceARNUpdate":{},"RoleARNUpdate":{}}},"DestinationSchemaUpdate":{"shape":"S16"}}}},"ReferenceDataSourceUpdates":{"type":"list","member":{"type":"structure","required":["ReferenceId"],"members":{"ReferenceId":{},"TableNameUpdate":{},"S3ReferenceDataSourceUpdate":{"type":"structure","members":{"BucketARNUpdate":{},"FileKeyUpdate":{},"ReferenceRoleARNUpdate":{}}},"ReferenceSchemaUpdate":{"shape":"Si"}}}},"CloudWatchLoggingOptionUpdates":{"type":"list","member":{"type":"structure","required":["CloudWatchLoggingOptionId"],"members":{"CloudWatchLoggingOptionId":{},"LogStreamARNUpdate":{},"RoleARNUpdate":{}}}}}}}},"output":{"type":"structure","members":{}}}},"shapes":{"S4":{"type":"structure","required":["LogStreamARN","RoleARN"],"members":{"LogStreamARN":{},"RoleARN":{}}},"S9":{"type":"structure","required":["NamePrefix","InputSchema"],"members":{"NamePrefix":{},"InputProcessingConfiguration":{"shape":"Sb"},"KinesisStreamsInput":{"type":"structure","required":["ResourceARN","RoleARN"],"members":{"ResourceARN":{},"RoleARN":{}}},"KinesisFirehoseInput":{"type":"structure","required":["ResourceARN","RoleARN"],"members":{"ResourceARN":{},"RoleARN":{}}},"InputParallelism":{"shape":"Sg"},"InputSchema":{"shape":"Si"}}},"Sb":{"type":"structure","required":["InputLambdaProcessor"],"members":{"InputLambdaProcessor":{"type":"structure","required":["ResourceARN","RoleARN"],"members":{"ResourceARN":{},"RoleARN":{}}}}},"Sg":{"type":"structure","members":{"Count":{"type":"integer"}}},"Si":{"type":"structure","required":["RecordFormat","RecordColumns"],"members":{"RecordFormat":{"shape":"Sj"},"RecordEncoding":{},"RecordColumns":{"shape":"Ss"}}},"Sj":{"type":"structure","required":["RecordFormatType"],"members":{"RecordFormatType":{},"MappingParameters":{"type":"structure","members":{"JSONMappingParameters":{"type":"structure","required":["RecordRowPath"],"members":{"RecordRowPath":{}}},"CSVMappingParameters":{"type":"structure","required":["RecordRowDelimiter","RecordColumnDelimiter"],"members":{"RecordRowDelimiter":{},"RecordColumnDelimiter":{}}}}}}},"Ss":{"type":"list","member":{"type":"structure","required":["Name","SqlType"],"members":{"Name":{},"Mapping":{},"SqlType":{}}}},"S12":{"type":"structure","required":["Name","DestinationSchema"],"members":{"Name":{},"KinesisStreamsOutput":{"type":"structure","required":["ResourceARN","RoleARN"],"members":{"ResourceARN":{},"RoleARN":{}}},"KinesisFirehoseOutput":{"type":"structure","required":["ResourceARN","RoleARN"],"members":{"ResourceARN":{},"RoleARN":{}}},"LambdaOutput":{"type":"structure","required":["ResourceARN","RoleARN"],"members":{"ResourceARN":{},"RoleARN":{}}},"DestinationSchema":{"shape":"S16"}}},"S16":{"type":"structure","required":["RecordFormatType"],"members":{"RecordFormatType":{}}},"S1l":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"S1q":{"type":"structure","required":["ApplicationName","ApplicationARN","ApplicationStatus"],"members":{"ApplicationName":{},"ApplicationARN":{},"ApplicationStatus":{}}},"S2d":{"type":"structure","members":{"InputStartingPosition":{}}}}}');

/***/ }),

/***/ 73535:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 56485:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-05-23","endpointPrefix":"kinesisanalytics","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Kinesis Analytics V2","serviceFullName":"Amazon Kinesis Analytics","serviceId":"Kinesis Analytics V2","signatureVersion":"v4","signingName":"kinesisanalytics","targetPrefix":"KinesisAnalytics_20180523","uid":"kinesisanalyticsv2-2018-05-23"},"operations":{"AddApplicationCloudWatchLoggingOption":{"input":{"type":"structure","required":["ApplicationName","CloudWatchLoggingOption"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"CloudWatchLoggingOption":{"shape":"S4"},"ConditionalToken":{}}},"output":{"type":"structure","members":{"ApplicationARN":{},"ApplicationVersionId":{"type":"long"},"CloudWatchLoggingOptionDescriptions":{"shape":"S9"}}}},"AddApplicationInput":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","Input"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"Input":{"shape":"Se"}}},"output":{"type":"structure","members":{"ApplicationARN":{},"ApplicationVersionId":{"type":"long"},"InputDescriptions":{"shape":"S12"}}}},"AddApplicationInputProcessingConfiguration":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","InputId","InputProcessingConfiguration"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"InputId":{},"InputProcessingConfiguration":{"shape":"Sg"}}},"output":{"type":"structure","members":{"ApplicationARN":{},"ApplicationVersionId":{"type":"long"},"InputId":{},"InputProcessingConfigurationDescription":{"shape":"S15"}}}},"AddApplicationOutput":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","Output"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"Output":{"shape":"S1e"}}},"output":{"type":"structure","members":{"ApplicationARN":{},"ApplicationVersionId":{"type":"long"},"OutputDescriptions":{"shape":"S1k"}}}},"AddApplicationReferenceDataSource":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","ReferenceDataSource"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"ReferenceDataSource":{"shape":"S1q"}}},"output":{"type":"structure","members":{"ApplicationARN":{},"ApplicationVersionId":{"type":"long"},"ReferenceDataSourceDescriptions":{"shape":"S1w"}}}},"AddApplicationVpcConfiguration":{"input":{"type":"structure","required":["ApplicationName","VpcConfiguration"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"VpcConfiguration":{"shape":"S20"},"ConditionalToken":{}}},"output":{"type":"structure","members":{"ApplicationARN":{},"ApplicationVersionId":{"type":"long"},"VpcConfigurationDescription":{"shape":"S26"}}}},"CreateApplication":{"input":{"type":"structure","required":["ApplicationName","RuntimeEnvironment","ServiceExecutionRole"],"members":{"ApplicationName":{},"ApplicationDescription":{},"RuntimeEnvironment":{},"ServiceExecutionRole":{},"ApplicationConfiguration":{"type":"structure","members":{"SqlApplicationConfiguration":{"type":"structure","members":{"Inputs":{"type":"list","member":{"shape":"Se"}},"Outputs":{"type":"list","member":{"shape":"S1e"}},"ReferenceDataSources":{"type":"list","member":{"shape":"S1q"}}}},"FlinkApplicationConfiguration":{"type":"structure","members":{"CheckpointConfiguration":{"type":"structure","required":["ConfigurationType"],"members":{"ConfigurationType":{},"CheckpointingEnabled":{"type":"boolean"},"CheckpointInterval":{"type":"long"},"MinPauseBetweenCheckpoints":{"type":"long"}}},"MonitoringConfiguration":{"type":"structure","required":["ConfigurationType"],"members":{"ConfigurationType":{},"MetricsLevel":{},"LogLevel":{}}},"ParallelismConfiguration":{"type":"structure","required":["ConfigurationType"],"members":{"ConfigurationType":{},"Parallelism":{"type":"integer"},"ParallelismPerKPU":{"type":"integer"},"AutoScalingEnabled":{"type":"boolean"}}}}},"EnvironmentProperties":{"type":"structure","required":["PropertyGroups"],"members":{"PropertyGroups":{"shape":"S2t"}}},"ApplicationCodeConfiguration":{"type":"structure","required":["CodeContentType"],"members":{"CodeContent":{"type":"structure","members":{"TextContent":{},"ZipFileContent":{"type":"blob"},"S3ContentLocation":{"shape":"S32"}}},"CodeContentType":{}}},"ApplicationSnapshotConfiguration":{"type":"structure","required":["SnapshotsEnabled"],"members":{"SnapshotsEnabled":{"type":"boolean"}}},"VpcConfigurations":{"type":"list","member":{"shape":"S20"}},"ZeppelinApplicationConfiguration":{"type":"structure","members":{"MonitoringConfiguration":{"type":"structure","required":["LogLevel"],"members":{"LogLevel":{}}},"CatalogConfiguration":{"type":"structure","required":["GlueDataCatalogConfiguration"],"members":{"GlueDataCatalogConfiguration":{"type":"structure","required":["DatabaseARN"],"members":{"DatabaseARN":{}}}}},"DeployAsApplicationConfiguration":{"type":"structure","required":["S3ContentLocation"],"members":{"S3ContentLocation":{"type":"structure","required":["BucketARN"],"members":{"BucketARN":{},"BasePath":{}}}}},"CustomArtifactsConfiguration":{"shape":"S3f"}}}}},"CloudWatchLoggingOptions":{"type":"list","member":{"shape":"S4"}},"Tags":{"shape":"S3n"},"ApplicationMode":{}}},"output":{"type":"structure","required":["ApplicationDetail"],"members":{"ApplicationDetail":{"shape":"S3t"}}}},"CreateApplicationPresignedUrl":{"input":{"type":"structure","required":["ApplicationName","UrlType"],"members":{"ApplicationName":{},"UrlType":{},"SessionExpirationDurationInSeconds":{"type":"long"}}},"output":{"type":"structure","members":{"AuthorizedUrl":{}}}},"CreateApplicationSnapshot":{"input":{"type":"structure","required":["ApplicationName","SnapshotName"],"members":{"ApplicationName":{},"SnapshotName":{}}},"output":{"type":"structure","members":{}}},"DeleteApplication":{"input":{"type":"structure","required":["ApplicationName","CreateTimestamp"],"members":{"ApplicationName":{},"CreateTimestamp":{"type":"timestamp"}}},"output":{"type":"structure","members":{}}},"DeleteApplicationCloudWatchLoggingOption":{"input":{"type":"structure","required":["ApplicationName","CloudWatchLoggingOptionId"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"CloudWatchLoggingOptionId":{},"ConditionalToken":{}}},"output":{"type":"structure","members":{"ApplicationARN":{},"ApplicationVersionId":{"type":"long"},"CloudWatchLoggingOptionDescriptions":{"shape":"S9"}}}},"DeleteApplicationInputProcessingConfiguration":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","InputId"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"InputId":{}}},"output":{"type":"structure","members":{"ApplicationARN":{},"ApplicationVersionId":{"type":"long"}}}},"DeleteApplicationOutput":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","OutputId"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"OutputId":{}}},"output":{"type":"structure","members":{"ApplicationARN":{},"ApplicationVersionId":{"type":"long"}}}},"DeleteApplicationReferenceDataSource":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId","ReferenceId"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"ReferenceId":{}}},"output":{"type":"structure","members":{"ApplicationARN":{},"ApplicationVersionId":{"type":"long"}}}},"DeleteApplicationSnapshot":{"input":{"type":"structure","required":["ApplicationName","SnapshotName","SnapshotCreationTimestamp"],"members":{"ApplicationName":{},"SnapshotName":{},"SnapshotCreationTimestamp":{"type":"timestamp"}}},"output":{"type":"structure","members":{}}},"DeleteApplicationVpcConfiguration":{"input":{"type":"structure","required":["ApplicationName","VpcConfigurationId"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"VpcConfigurationId":{},"ConditionalToken":{}}},"output":{"type":"structure","members":{"ApplicationARN":{},"ApplicationVersionId":{"type":"long"}}}},"DescribeApplication":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{},"IncludeAdditionalDetails":{"type":"boolean"}}},"output":{"type":"structure","required":["ApplicationDetail"],"members":{"ApplicationDetail":{"shape":"S3t"}}}},"DescribeApplicationSnapshot":{"input":{"type":"structure","required":["ApplicationName","SnapshotName"],"members":{"ApplicationName":{},"SnapshotName":{}}},"output":{"type":"structure","required":["SnapshotDetails"],"members":{"SnapshotDetails":{"shape":"S5g"}}}},"DescribeApplicationVersion":{"input":{"type":"structure","required":["ApplicationName","ApplicationVersionId"],"members":{"ApplicationName":{},"ApplicationVersionId":{"type":"long"}}},"output":{"type":"structure","members":{"ApplicationVersionDetail":{"shape":"S3t"}}}},"DiscoverInputSchema":{"input":{"type":"structure","required":["ServiceExecutionRole"],"members":{"ResourceARN":{},"ServiceExecutionRole":{},"InputStartingPositionConfiguration":{"shape":"S19"},"S3Configuration":{"type":"structure","required":["BucketARN","FileKey"],"members":{"BucketARN":{},"FileKey":{}}},"InputProcessingConfiguration":{"shape":"Sg"}}},"output":{"type":"structure","members":{"InputSchema":{"shape":"Sm"},"ParsedInputRecords":{"type":"list","member":{"type":"list","member":{}}},"ProcessedInputRecords":{"type":"list","member":{}},"RawInputRecords":{"type":"list","member":{}}}}},"ListApplicationSnapshots":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"SnapshotSummaries":{"type":"list","member":{"shape":"S5g"}},"NextToken":{}}}},"ListApplicationVersions":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ApplicationVersionSummaries":{"type":"list","member":{"type":"structure","required":["ApplicationVersionId","ApplicationStatus"],"members":{"ApplicationVersionId":{"type":"long"},"ApplicationStatus":{}}}},"NextToken":{}}}},"ListApplications":{"input":{"type":"structure","members":{"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["ApplicationSummaries"],"members":{"ApplicationSummaries":{"type":"list","member":{"type":"structure","required":["ApplicationName","ApplicationARN","ApplicationStatus","ApplicationVersionId","RuntimeEnvironment"],"members":{"ApplicationName":{},"ApplicationARN":{},"ApplicationStatus":{},"ApplicationVersionId":{"type":"long"},"RuntimeEnvironment":{},"ApplicationMode":{}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S3n"}}}},"RollbackApplication":{"input":{"type":"structure","required":["ApplicationName","CurrentApplicationVersionId"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"}}},"output":{"type":"structure","required":["ApplicationDetail"],"members":{"ApplicationDetail":{"shape":"S3t"}}}},"StartApplication":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{},"RunConfiguration":{"type":"structure","members":{"FlinkRunConfiguration":{"shape":"S47"},"SqlRunConfigurations":{"type":"list","member":{"type":"structure","required":["InputId","InputStartingPositionConfiguration"],"members":{"InputId":{},"InputStartingPositionConfiguration":{"shape":"S19"}}}},"ApplicationRestoreConfiguration":{"shape":"S44"}}}}},"output":{"type":"structure","members":{}}},"StopApplication":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{},"Force":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S3n"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateApplication":{"input":{"type":"structure","required":["ApplicationName"],"members":{"ApplicationName":{},"CurrentApplicationVersionId":{"type":"long"},"ApplicationConfigurationUpdate":{"type":"structure","members":{"SqlApplicationConfigurationUpdate":{"type":"structure","members":{"InputUpdates":{"type":"list","member":{"type":"structure","required":["InputId"],"members":{"InputId":{},"NamePrefixUpdate":{},"InputProcessingConfigurationUpdate":{"type":"structure","required":["InputLambdaProcessorUpdate"],"members":{"InputLambdaProcessorUpdate":{"type":"structure","required":["ResourceARNUpdate"],"members":{"ResourceARNUpdate":{}}}}},"KinesisStreamsInputUpdate":{"type":"structure","required":["ResourceARNUpdate"],"members":{"ResourceARNUpdate":{}}},"KinesisFirehoseInputUpdate":{"type":"structure","required":["ResourceARNUpdate"],"members":{"ResourceARNUpdate":{}}},"InputSchemaUpdate":{"type":"structure","members":{"RecordFormatUpdate":{"shape":"Sn"},"RecordEncodingUpdate":{},"RecordColumnUpdates":{"shape":"Sw"}}},"InputParallelismUpdate":{"type":"structure","required":["CountUpdate"],"members":{"CountUpdate":{"type":"integer"}}}}}},"OutputUpdates":{"type":"list","member":{"type":"structure","required":["OutputId"],"members":{"OutputId":{},"NameUpdate":{},"KinesisStreamsOutputUpdate":{"type":"structure","required":["ResourceARNUpdate"],"members":{"ResourceARNUpdate":{}}},"KinesisFirehoseOutputUpdate":{"type":"structure","required":["ResourceARNUpdate"],"members":{"ResourceARNUpdate":{}}},"LambdaOutputUpdate":{"type":"structure","required":["ResourceARNUpdate"],"members":{"ResourceARNUpdate":{}}},"DestinationSchemaUpdate":{"shape":"S1i"}}}},"ReferenceDataSourceUpdates":{"type":"list","member":{"type":"structure","required":["ReferenceId"],"members":{"ReferenceId":{},"TableNameUpdate":{},"S3ReferenceDataSourceUpdate":{"type":"structure","members":{"BucketARNUpdate":{},"FileKeyUpdate":{}}},"ReferenceSchemaUpdate":{"shape":"Sm"}}}}}},"ApplicationCodeConfigurationUpdate":{"type":"structure","members":{"CodeContentTypeUpdate":{},"CodeContentUpdate":{"type":"structure","members":{"TextContentUpdate":{},"ZipFileContentUpdate":{"type":"blob"},"S3ContentLocationUpdate":{"type":"structure","members":{"BucketARNUpdate":{},"FileKeyUpdate":{},"ObjectVersionUpdate":{}}}}}}},"FlinkApplicationConfigurationUpdate":{"type":"structure","members":{"CheckpointConfigurationUpdate":{"type":"structure","members":{"ConfigurationTypeUpdate":{},"CheckpointingEnabledUpdate":{"type":"boolean"},"CheckpointIntervalUpdate":{"type":"long"},"MinPauseBetweenCheckpointsUpdate":{"type":"long"}}},"MonitoringConfigurationUpdate":{"type":"structure","members":{"ConfigurationTypeUpdate":{},"MetricsLevelUpdate":{},"LogLevelUpdate":{}}},"ParallelismConfigurationUpdate":{"type":"structure","members":{"ConfigurationTypeUpdate":{},"ParallelismUpdate":{"type":"integer"},"ParallelismPerKPUUpdate":{"type":"integer"},"AutoScalingEnabledUpdate":{"type":"boolean"}}}}},"EnvironmentPropertyUpdates":{"type":"structure","required":["PropertyGroups"],"members":{"PropertyGroups":{"shape":"S2t"}}},"ApplicationSnapshotConfigurationUpdate":{"type":"structure","required":["SnapshotsEnabledUpdate"],"members":{"SnapshotsEnabledUpdate":{"type":"boolean"}}},"VpcConfigurationUpdates":{"type":"list","member":{"type":"structure","required":["VpcConfigurationId"],"members":{"VpcConfigurationId":{},"SubnetIdUpdates":{"shape":"S21"},"SecurityGroupIdUpdates":{"shape":"S23"}}}},"ZeppelinApplicationConfigurationUpdate":{"type":"structure","members":{"MonitoringConfigurationUpdate":{"type":"structure","required":["LogLevelUpdate"],"members":{"LogLevelUpdate":{}}},"CatalogConfigurationUpdate":{"type":"structure","required":["GlueDataCatalogConfigurationUpdate"],"members":{"GlueDataCatalogConfigurationUpdate":{"type":"structure","required":["DatabaseARNUpdate"],"members":{"DatabaseARNUpdate":{}}}}},"DeployAsApplicationConfigurationUpdate":{"type":"structure","members":{"S3ContentLocationUpdate":{"type":"structure","members":{"BucketARNUpdate":{},"BasePathUpdate":{}}}}},"CustomArtifactsConfigurationUpdate":{"shape":"S3f"}}}}},"ServiceExecutionRoleUpdate":{},"RunConfigurationUpdate":{"type":"structure","members":{"FlinkRunConfiguration":{"shape":"S47"},"ApplicationRestoreConfiguration":{"shape":"S44"}}},"CloudWatchLoggingOptionUpdates":{"type":"list","member":{"type":"structure","required":["CloudWatchLoggingOptionId"],"members":{"CloudWatchLoggingOptionId":{},"LogStreamARNUpdate":{}}}},"ConditionalToken":{}}},"output":{"type":"structure","required":["ApplicationDetail"],"members":{"ApplicationDetail":{"shape":"S3t"}}}},"UpdateApplicationMaintenanceConfiguration":{"input":{"type":"structure","required":["ApplicationName","ApplicationMaintenanceConfigurationUpdate"],"members":{"ApplicationName":{},"ApplicationMaintenanceConfigurationUpdate":{"type":"structure","required":["ApplicationMaintenanceWindowStartTimeUpdate"],"members":{"ApplicationMaintenanceWindowStartTimeUpdate":{}}}}},"output":{"type":"structure","members":{"ApplicationARN":{},"ApplicationMaintenanceConfigurationDescription":{"shape":"S4o"}}}}},"shapes":{"S4":{"type":"structure","required":["LogStreamARN"],"members":{"LogStreamARN":{}}},"S9":{"type":"list","member":{"type":"structure","required":["LogStreamARN"],"members":{"CloudWatchLoggingOptionId":{},"LogStreamARN":{},"RoleARN":{}}}},"Se":{"type":"structure","required":["NamePrefix","InputSchema"],"members":{"NamePrefix":{},"InputProcessingConfiguration":{"shape":"Sg"},"KinesisStreamsInput":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"KinesisFirehoseInput":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"InputParallelism":{"shape":"Sk"},"InputSchema":{"shape":"Sm"}}},"Sg":{"type":"structure","required":["InputLambdaProcessor"],"members":{"InputLambdaProcessor":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}}}},"Sk":{"type":"structure","members":{"Count":{"type":"integer"}}},"Sm":{"type":"structure","required":["RecordFormat","RecordColumns"],"members":{"RecordFormat":{"shape":"Sn"},"RecordEncoding":{},"RecordColumns":{"shape":"Sw"}}},"Sn":{"type":"structure","required":["RecordFormatType"],"members":{"RecordFormatType":{},"MappingParameters":{"type":"structure","members":{"JSONMappingParameters":{"type":"structure","required":["RecordRowPath"],"members":{"RecordRowPath":{}}},"CSVMappingParameters":{"type":"structure","required":["RecordRowDelimiter","RecordColumnDelimiter"],"members":{"RecordRowDelimiter":{},"RecordColumnDelimiter":{}}}}}}},"Sw":{"type":"list","member":{"type":"structure","required":["Name","SqlType"],"members":{"Name":{},"Mapping":{},"SqlType":{}}}},"S12":{"type":"list","member":{"type":"structure","members":{"InputId":{},"NamePrefix":{},"InAppStreamNames":{"type":"list","member":{}},"InputProcessingConfigurationDescription":{"shape":"S15"},"KinesisStreamsInputDescription":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{},"RoleARN":{}}},"KinesisFirehoseInputDescription":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{},"RoleARN":{}}},"InputSchema":{"shape":"Sm"},"InputParallelism":{"shape":"Sk"},"InputStartingPositionConfiguration":{"shape":"S19"}}}},"S15":{"type":"structure","members":{"InputLambdaProcessorDescription":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{},"RoleARN":{}}}}},"S19":{"type":"structure","members":{"InputStartingPosition":{}}},"S1e":{"type":"structure","required":["Name","DestinationSchema"],"members":{"Name":{},"KinesisStreamsOutput":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"KinesisFirehoseOutput":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"LambdaOutput":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"DestinationSchema":{"shape":"S1i"}}},"S1i":{"type":"structure","required":["RecordFormatType"],"members":{"RecordFormatType":{}}},"S1k":{"type":"list","member":{"type":"structure","members":{"OutputId":{},"Name":{},"KinesisStreamsOutputDescription":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{},"RoleARN":{}}},"KinesisFirehoseOutputDescription":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{},"RoleARN":{}}},"LambdaOutputDescription":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{},"RoleARN":{}}},"DestinationSchema":{"shape":"S1i"}}}},"S1q":{"type":"structure","required":["TableName","ReferenceSchema"],"members":{"TableName":{},"S3ReferenceDataSource":{"type":"structure","members":{"BucketARN":{},"FileKey":{}}},"ReferenceSchema":{"shape":"Sm"}}},"S1w":{"type":"list","member":{"type":"structure","required":["ReferenceId","TableName","S3ReferenceDataSourceDescription"],"members":{"ReferenceId":{},"TableName":{},"S3ReferenceDataSourceDescription":{"type":"structure","required":["BucketARN","FileKey"],"members":{"BucketARN":{},"FileKey":{},"ReferenceRoleARN":{}}},"ReferenceSchema":{"shape":"Sm"}}}},"S20":{"type":"structure","required":["SubnetIds","SecurityGroupIds"],"members":{"SubnetIds":{"shape":"S21"},"SecurityGroupIds":{"shape":"S23"}}},"S21":{"type":"list","member":{}},"S23":{"type":"list","member":{}},"S26":{"type":"structure","required":["VpcConfigurationId","VpcId","SubnetIds","SecurityGroupIds"],"members":{"VpcConfigurationId":{},"VpcId":{},"SubnetIds":{"shape":"S21"},"SecurityGroupIds":{"shape":"S23"}}},"S2t":{"type":"list","member":{"type":"structure","required":["PropertyGroupId","PropertyMap"],"members":{"PropertyGroupId":{},"PropertyMap":{"type":"map","key":{},"value":{}}}}},"S32":{"type":"structure","required":["BucketARN","FileKey"],"members":{"BucketARN":{},"FileKey":{},"ObjectVersion":{}}},"S3f":{"type":"list","member":{"type":"structure","required":["ArtifactType"],"members":{"ArtifactType":{},"S3ContentLocation":{"shape":"S32"},"MavenReference":{"shape":"S3i"}}}},"S3i":{"type":"structure","required":["GroupId","ArtifactId","Version"],"members":{"GroupId":{},"ArtifactId":{},"Version":{}}},"S3n":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"S3t":{"type":"structure","required":["ApplicationARN","ApplicationName","RuntimeEnvironment","ApplicationStatus","ApplicationVersionId"],"members":{"ApplicationARN":{},"ApplicationDescription":{},"ApplicationName":{},"RuntimeEnvironment":{},"ServiceExecutionRole":{},"ApplicationStatus":{},"ApplicationVersionId":{"type":"long"},"CreateTimestamp":{"type":"timestamp"},"LastUpdateTimestamp":{"type":"timestamp"},"ApplicationConfigurationDescription":{"type":"structure","members":{"SqlApplicationConfigurationDescription":{"type":"structure","members":{"InputDescriptions":{"shape":"S12"},"OutputDescriptions":{"shape":"S1k"},"ReferenceDataSourceDescriptions":{"shape":"S1w"}}},"ApplicationCodeConfigurationDescription":{"type":"structure","required":["CodeContentType"],"members":{"CodeContentType":{},"CodeContentDescription":{"type":"structure","members":{"TextContent":{},"CodeMD5":{},"CodeSize":{"type":"long"},"S3ApplicationCodeLocationDescription":{"type":"structure","required":["BucketARN","FileKey"],"members":{"BucketARN":{},"FileKey":{},"ObjectVersion":{}}}}}}},"RunConfigurationDescription":{"type":"structure","members":{"ApplicationRestoreConfigurationDescription":{"shape":"S44"},"FlinkRunConfigurationDescription":{"shape":"S47"}}},"FlinkApplicationConfigurationDescription":{"type":"structure","members":{"CheckpointConfigurationDescription":{"type":"structure","members":{"ConfigurationType":{},"CheckpointingEnabled":{"type":"boolean"},"CheckpointInterval":{"type":"long"},"MinPauseBetweenCheckpoints":{"type":"long"}}},"MonitoringConfigurationDescription":{"type":"structure","members":{"ConfigurationType":{},"MetricsLevel":{},"LogLevel":{}}},"ParallelismConfigurationDescription":{"type":"structure","members":{"ConfigurationType":{},"Parallelism":{"type":"integer"},"ParallelismPerKPU":{"type":"integer"},"CurrentParallelism":{"type":"integer"},"AutoScalingEnabled":{"type":"boolean"}}},"JobPlanDescription":{}}},"EnvironmentPropertyDescriptions":{"type":"structure","members":{"PropertyGroupDescriptions":{"shape":"S2t"}}},"ApplicationSnapshotConfigurationDescription":{"type":"structure","required":["SnapshotsEnabled"],"members":{"SnapshotsEnabled":{"type":"boolean"}}},"VpcConfigurationDescriptions":{"type":"list","member":{"shape":"S26"}},"ZeppelinApplicationConfigurationDescription":{"type":"structure","required":["MonitoringConfigurationDescription"],"members":{"MonitoringConfigurationDescription":{"type":"structure","members":{"LogLevel":{}}},"CatalogConfigurationDescription":{"type":"structure","required":["GlueDataCatalogConfigurationDescription"],"members":{"GlueDataCatalogConfigurationDescription":{"type":"structure","required":["DatabaseARN"],"members":{"DatabaseARN":{}}}}},"DeployAsApplicationConfigurationDescription":{"type":"structure","required":["S3ContentLocationDescription"],"members":{"S3ContentLocationDescription":{"type":"structure","required":["BucketARN"],"members":{"BucketARN":{},"BasePath":{}}}}},"CustomArtifactsConfigurationDescription":{"type":"list","member":{"type":"structure","members":{"ArtifactType":{},"S3ContentLocationDescription":{"shape":"S32"},"MavenReferenceDescription":{"shape":"S3i"}}}}}}}},"CloudWatchLoggingOptionDescriptions":{"shape":"S9"},"ApplicationMaintenanceConfigurationDescription":{"shape":"S4o"},"ApplicationVersionUpdatedFrom":{"type":"long"},"ApplicationVersionRolledBackFrom":{"type":"long"},"ConditionalToken":{},"ApplicationVersionRolledBackTo":{"type":"long"},"ApplicationMode":{}}},"S44":{"type":"structure","required":["ApplicationRestoreType"],"members":{"ApplicationRestoreType":{},"SnapshotName":{}}},"S47":{"type":"structure","members":{"AllowNonRestoredState":{"type":"boolean"}}},"S4o":{"type":"structure","required":["ApplicationMaintenanceWindowStartTime","ApplicationMaintenanceWindowEndTime"],"members":{"ApplicationMaintenanceWindowStartTime":{},"ApplicationMaintenanceWindowEndTime":{}}},"S5g":{"type":"structure","required":["SnapshotName","SnapshotStatus","ApplicationVersionId"],"members":{"SnapshotName":{},"SnapshotStatus":{},"ApplicationVersionId":{"type":"long"},"SnapshotCreationTimestamp":{"type":"timestamp"}}}}}');

/***/ }),

/***/ 52495:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 96305:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-09-30","endpointPrefix":"kinesisvideo","protocol":"rest-json","serviceAbbreviation":"Kinesis Video","serviceFullName":"Amazon Kinesis Video Streams","serviceId":"Kinesis Video","signatureVersion":"v4","uid":"kinesisvideo-2017-09-30"},"operations":{"CreateSignalingChannel":{"http":{"requestUri":"/createSignalingChannel"},"input":{"type":"structure","required":["ChannelName"],"members":{"ChannelName":{},"ChannelType":{},"SingleMasterConfiguration":{"shape":"S4"},"Tags":{"type":"list","member":{"shape":"S7"}}}},"output":{"type":"structure","members":{"ChannelARN":{}}}},"CreateStream":{"http":{"requestUri":"/createStream"},"input":{"type":"structure","required":["StreamName"],"members":{"DeviceName":{},"StreamName":{},"MediaType":{},"KmsKeyId":{},"DataRetentionInHours":{"type":"integer"},"Tags":{"shape":"Si"}}},"output":{"type":"structure","members":{"StreamARN":{}}}},"DeleteSignalingChannel":{"http":{"requestUri":"/deleteSignalingChannel"},"input":{"type":"structure","required":["ChannelARN"],"members":{"ChannelARN":{},"CurrentVersion":{}}},"output":{"type":"structure","members":{}}},"DeleteStream":{"http":{"requestUri":"/deleteStream"},"input":{"type":"structure","required":["StreamARN"],"members":{"StreamARN":{},"CurrentVersion":{}}},"output":{"type":"structure","members":{}}},"DescribeSignalingChannel":{"http":{"requestUri":"/describeSignalingChannel"},"input":{"type":"structure","members":{"ChannelName":{},"ChannelARN":{}}},"output":{"type":"structure","members":{"ChannelInfo":{"shape":"Sr"}}}},"DescribeStream":{"http":{"requestUri":"/describeStream"},"input":{"type":"structure","members":{"StreamName":{},"StreamARN":{}}},"output":{"type":"structure","members":{"StreamInfo":{"shape":"Sw"}}}},"GetDataEndpoint":{"http":{"requestUri":"/getDataEndpoint"},"input":{"type":"structure","required":["APIName"],"members":{"StreamName":{},"StreamARN":{},"APIName":{}}},"output":{"type":"structure","members":{"DataEndpoint":{}}}},"GetSignalingChannelEndpoint":{"http":{"requestUri":"/getSignalingChannelEndpoint"},"input":{"type":"structure","required":["ChannelARN"],"members":{"ChannelARN":{},"SingleMasterChannelEndpointConfiguration":{"type":"structure","members":{"Protocols":{"type":"list","member":{}},"Role":{}}}}},"output":{"type":"structure","members":{"ResourceEndpointList":{"type":"list","member":{"type":"structure","members":{"Protocol":{},"ResourceEndpoint":{}}}}}}},"ListSignalingChannels":{"http":{"requestUri":"/listSignalingChannels"},"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"ChannelNameCondition":{"type":"structure","members":{"ComparisonOperator":{},"ComparisonValue":{}}}}},"output":{"type":"structure","members":{"ChannelInfoList":{"type":"list","member":{"shape":"Sr"}},"NextToken":{}}}},"ListStreams":{"http":{"requestUri":"/listStreams"},"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"StreamNameCondition":{"type":"structure","members":{"ComparisonOperator":{},"ComparisonValue":{}}}}},"output":{"type":"structure","members":{"StreamInfoList":{"type":"list","member":{"shape":"Sw"}},"NextToken":{}}}},"ListTagsForResource":{"http":{"requestUri":"/ListTagsForResource"},"input":{"type":"structure","required":["ResourceARN"],"members":{"NextToken":{},"ResourceARN":{}}},"output":{"type":"structure","members":{"NextToken":{},"Tags":{"shape":"Si"}}}},"ListTagsForStream":{"http":{"requestUri":"/listTagsForStream"},"input":{"type":"structure","members":{"NextToken":{},"StreamARN":{},"StreamName":{}}},"output":{"type":"structure","members":{"NextToken":{},"Tags":{"shape":"Si"}}}},"TagResource":{"http":{"requestUri":"/TagResource"},"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"type":"list","member":{"shape":"S7"}}}},"output":{"type":"structure","members":{}}},"TagStream":{"http":{"requestUri":"/tagStream"},"input":{"type":"structure","required":["Tags"],"members":{"StreamARN":{},"StreamName":{},"Tags":{"shape":"Si"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"requestUri":"/UntagResource"},"input":{"type":"structure","required":["ResourceARN","TagKeyList"],"members":{"ResourceARN":{},"TagKeyList":{"shape":"S1v"}}},"output":{"type":"structure","members":{}}},"UntagStream":{"http":{"requestUri":"/untagStream"},"input":{"type":"structure","required":["TagKeyList"],"members":{"StreamARN":{},"StreamName":{},"TagKeyList":{"shape":"S1v"}}},"output":{"type":"structure","members":{}}},"UpdateDataRetention":{"http":{"requestUri":"/updateDataRetention"},"input":{"type":"structure","required":["CurrentVersion","Operation","DataRetentionChangeInHours"],"members":{"StreamName":{},"StreamARN":{},"CurrentVersion":{},"Operation":{},"DataRetentionChangeInHours":{"type":"integer"}}},"output":{"type":"structure","members":{}}},"UpdateSignalingChannel":{"http":{"requestUri":"/updateSignalingChannel"},"input":{"type":"structure","required":["ChannelARN","CurrentVersion"],"members":{"ChannelARN":{},"CurrentVersion":{},"SingleMasterConfiguration":{"shape":"S4"}}},"output":{"type":"structure","members":{}}},"UpdateStream":{"http":{"requestUri":"/updateStream"},"input":{"type":"structure","required":["CurrentVersion"],"members":{"StreamName":{},"StreamARN":{},"CurrentVersion":{},"DeviceName":{},"MediaType":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"S4":{"type":"structure","members":{"MessageTtlSeconds":{"type":"integer"}}},"S7":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}},"Si":{"type":"map","key":{},"value":{}},"Sr":{"type":"structure","members":{"ChannelName":{},"ChannelARN":{},"ChannelType":{},"ChannelStatus":{},"CreationTime":{"type":"timestamp"},"SingleMasterConfiguration":{"shape":"S4"},"Version":{}}},"Sw":{"type":"structure","members":{"DeviceName":{},"StreamName":{},"StreamARN":{},"MediaType":{},"KmsKeyId":{},"Version":{},"Status":{},"CreationTime":{"type":"timestamp"},"DataRetentionInHours":{"type":"integer"}}},"S1v":{"type":"list","member":{}}}}');

/***/ }),

/***/ 50061:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListSignalingChannels":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ChannelInfoList"},"ListStreams":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"StreamInfoList"}}}');

/***/ }),

/***/ 1219:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-11-01","endpointPrefix":"kms","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"KMS","serviceFullName":"AWS Key Management Service","serviceId":"KMS","signatureVersion":"v4","targetPrefix":"TrentService","uid":"kms-2014-11-01"},"operations":{"CancelKeyDeletion":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{}}},"output":{"type":"structure","members":{"KeyId":{}}}},"ConnectCustomKeyStore":{"input":{"type":"structure","required":["CustomKeyStoreId"],"members":{"CustomKeyStoreId":{}}},"output":{"type":"structure","members":{}}},"CreateAlias":{"input":{"type":"structure","required":["AliasName","TargetKeyId"],"members":{"AliasName":{},"TargetKeyId":{}}}},"CreateCustomKeyStore":{"input":{"type":"structure","required":["CustomKeyStoreName","CloudHsmClusterId","TrustAnchorCertificate","KeyStorePassword"],"members":{"CustomKeyStoreName":{},"CloudHsmClusterId":{},"TrustAnchorCertificate":{},"KeyStorePassword":{"shape":"Sd"}}},"output":{"type":"structure","members":{"CustomKeyStoreId":{}}}},"CreateGrant":{"input":{"type":"structure","required":["KeyId","GranteePrincipal","Operations"],"members":{"KeyId":{},"GranteePrincipal":{},"RetiringPrincipal":{},"Operations":{"shape":"Sh"},"Constraints":{"shape":"Sj"},"GrantTokens":{"shape":"Sn"},"Name":{}}},"output":{"type":"structure","members":{"GrantToken":{},"GrantId":{}}}},"CreateKey":{"input":{"type":"structure","members":{"Policy":{},"Description":{},"KeyUsage":{},"CustomerMasterKeySpec":{"shape":"Sw","deprecated":true,"deprecatedMessage":"This parameter has been deprecated. Instead, use the KeySpec parameter."},"KeySpec":{},"Origin":{},"CustomKeyStoreId":{},"BypassPolicyLockoutSafetyCheck":{"type":"boolean"},"Tags":{"shape":"S10"},"MultiRegion":{"type":"boolean"}}},"output":{"type":"structure","members":{"KeyMetadata":{"shape":"S16"}}}},"Decrypt":{"input":{"type":"structure","required":["CiphertextBlob"],"members":{"CiphertextBlob":{"type":"blob"},"EncryptionContext":{"shape":"Sk"},"GrantTokens":{"shape":"Sn"},"KeyId":{},"EncryptionAlgorithm":{}}},"output":{"type":"structure","members":{"KeyId":{},"Plaintext":{"shape":"S1q"},"EncryptionAlgorithm":{}}}},"DeleteAlias":{"input":{"type":"structure","required":["AliasName"],"members":{"AliasName":{}}}},"DeleteCustomKeyStore":{"input":{"type":"structure","required":["CustomKeyStoreId"],"members":{"CustomKeyStoreId":{}}},"output":{"type":"structure","members":{}}},"DeleteImportedKeyMaterial":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{}}}},"DescribeCustomKeyStores":{"input":{"type":"structure","members":{"CustomKeyStoreId":{},"CustomKeyStoreName":{},"Limit":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"CustomKeyStores":{"type":"list","member":{"type":"structure","members":{"CustomKeyStoreId":{},"CustomKeyStoreName":{},"CloudHsmClusterId":{},"TrustAnchorCertificate":{},"ConnectionState":{},"ConnectionErrorCode":{},"CreationDate":{"type":"timestamp"}}}},"NextMarker":{},"Truncated":{"type":"boolean"}}}},"DescribeKey":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{},"GrantTokens":{"shape":"Sn"}}},"output":{"type":"structure","members":{"KeyMetadata":{"shape":"S16"}}}},"DisableKey":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{}}}},"DisableKeyRotation":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{}}}},"DisconnectCustomKeyStore":{"input":{"type":"structure","required":["CustomKeyStoreId"],"members":{"CustomKeyStoreId":{}}},"output":{"type":"structure","members":{}}},"EnableKey":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{}}}},"EnableKeyRotation":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{}}}},"Encrypt":{"input":{"type":"structure","required":["KeyId","Plaintext"],"members":{"KeyId":{},"Plaintext":{"shape":"S1q"},"EncryptionContext":{"shape":"Sk"},"GrantTokens":{"shape":"Sn"},"EncryptionAlgorithm":{}}},"output":{"type":"structure","members":{"CiphertextBlob":{"type":"blob"},"KeyId":{},"EncryptionAlgorithm":{}}}},"GenerateDataKey":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{},"EncryptionContext":{"shape":"Sk"},"NumberOfBytes":{"type":"integer"},"KeySpec":{},"GrantTokens":{"shape":"Sn"}}},"output":{"type":"structure","members":{"CiphertextBlob":{"type":"blob"},"Plaintext":{"shape":"S1q"},"KeyId":{}}}},"GenerateDataKeyPair":{"input":{"type":"structure","required":["KeyId","KeyPairSpec"],"members":{"EncryptionContext":{"shape":"Sk"},"KeyId":{},"KeyPairSpec":{},"GrantTokens":{"shape":"Sn"}}},"output":{"type":"structure","members":{"PrivateKeyCiphertextBlob":{"type":"blob"},"PrivateKeyPlaintext":{"shape":"S1q"},"PublicKey":{"type":"blob"},"KeyId":{},"KeyPairSpec":{}}}},"GenerateDataKeyPairWithoutPlaintext":{"input":{"type":"structure","required":["KeyId","KeyPairSpec"],"members":{"EncryptionContext":{"shape":"Sk"},"KeyId":{},"KeyPairSpec":{},"GrantTokens":{"shape":"Sn"}}},"output":{"type":"structure","members":{"PrivateKeyCiphertextBlob":{"type":"blob"},"PublicKey":{"type":"blob"},"KeyId":{},"KeyPairSpec":{}}}},"GenerateDataKeyWithoutPlaintext":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{},"EncryptionContext":{"shape":"Sk"},"KeySpec":{},"NumberOfBytes":{"type":"integer"},"GrantTokens":{"shape":"Sn"}}},"output":{"type":"structure","members":{"CiphertextBlob":{"type":"blob"},"KeyId":{}}}},"GenerateRandom":{"input":{"type":"structure","members":{"NumberOfBytes":{"type":"integer"},"CustomKeyStoreId":{}}},"output":{"type":"structure","members":{"Plaintext":{"shape":"S1q"}}}},"GetKeyPolicy":{"input":{"type":"structure","required":["KeyId","PolicyName"],"members":{"KeyId":{},"PolicyName":{}}},"output":{"type":"structure","members":{"Policy":{}}}},"GetKeyRotationStatus":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{}}},"output":{"type":"structure","members":{"KeyRotationEnabled":{"type":"boolean"}}}},"GetParametersForImport":{"input":{"type":"structure","required":["KeyId","WrappingAlgorithm","WrappingKeySpec"],"members":{"KeyId":{},"WrappingAlgorithm":{},"WrappingKeySpec":{}}},"output":{"type":"structure","members":{"KeyId":{},"ImportToken":{"type":"blob"},"PublicKey":{"shape":"S1q"},"ParametersValidTo":{"type":"timestamp"}}}},"GetPublicKey":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{},"GrantTokens":{"shape":"Sn"}}},"output":{"type":"structure","members":{"KeyId":{},"PublicKey":{"type":"blob"},"CustomerMasterKeySpec":{"shape":"Sw","deprecated":true,"deprecatedMessage":"This field has been deprecated. Instead, use the KeySpec field."},"KeySpec":{},"KeyUsage":{},"EncryptionAlgorithms":{"shape":"S1d"},"SigningAlgorithms":{"shape":"S1f"}}}},"ImportKeyMaterial":{"input":{"type":"structure","required":["KeyId","ImportToken","EncryptedKeyMaterial"],"members":{"KeyId":{},"ImportToken":{"type":"blob"},"EncryptedKeyMaterial":{"type":"blob"},"ValidTo":{"type":"timestamp"},"ExpirationModel":{}}},"output":{"type":"structure","members":{}}},"ListAliases":{"input":{"type":"structure","members":{"KeyId":{},"Limit":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Aliases":{"type":"list","member":{"type":"structure","members":{"AliasName":{},"AliasArn":{},"TargetKeyId":{},"CreationDate":{"type":"timestamp"},"LastUpdatedDate":{"type":"timestamp"}}}},"NextMarker":{},"Truncated":{"type":"boolean"}}}},"ListGrants":{"input":{"type":"structure","required":["KeyId"],"members":{"Limit":{"type":"integer"},"Marker":{},"KeyId":{},"GrantId":{},"GranteePrincipal":{}}},"output":{"shape":"S39"}},"ListKeyPolicies":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{},"Limit":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"PolicyNames":{"type":"list","member":{}},"NextMarker":{},"Truncated":{"type":"boolean"}}}},"ListKeys":{"input":{"type":"structure","members":{"Limit":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Keys":{"type":"list","member":{"type":"structure","members":{"KeyId":{},"KeyArn":{}}}},"NextMarker":{},"Truncated":{"type":"boolean"}}}},"ListResourceTags":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{},"Limit":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S10"},"NextMarker":{},"Truncated":{"type":"boolean"}}}},"ListRetirableGrants":{"input":{"type":"structure","required":["RetiringPrincipal"],"members":{"Limit":{"type":"integer"},"Marker":{},"RetiringPrincipal":{}}},"output":{"shape":"S39"}},"PutKeyPolicy":{"input":{"type":"structure","required":["KeyId","PolicyName","Policy"],"members":{"KeyId":{},"PolicyName":{},"Policy":{},"BypassPolicyLockoutSafetyCheck":{"type":"boolean"}}}},"ReEncrypt":{"input":{"type":"structure","required":["CiphertextBlob","DestinationKeyId"],"members":{"CiphertextBlob":{"type":"blob"},"SourceEncryptionContext":{"shape":"Sk"},"SourceKeyId":{},"DestinationKeyId":{},"DestinationEncryptionContext":{"shape":"Sk"},"SourceEncryptionAlgorithm":{},"DestinationEncryptionAlgorithm":{},"GrantTokens":{"shape":"Sn"}}},"output":{"type":"structure","members":{"CiphertextBlob":{"type":"blob"},"SourceKeyId":{},"KeyId":{},"SourceEncryptionAlgorithm":{},"DestinationEncryptionAlgorithm":{}}}},"ReplicateKey":{"input":{"type":"structure","required":["KeyId","ReplicaRegion"],"members":{"KeyId":{},"ReplicaRegion":{},"Policy":{},"BypassPolicyLockoutSafetyCheck":{"type":"boolean"},"Description":{},"Tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"ReplicaKeyMetadata":{"shape":"S16"},"ReplicaPolicy":{},"ReplicaTags":{"shape":"S10"}}}},"RetireGrant":{"input":{"type":"structure","members":{"GrantToken":{},"KeyId":{},"GrantId":{}}}},"RevokeGrant":{"input":{"type":"structure","required":["KeyId","GrantId"],"members":{"KeyId":{},"GrantId":{}}}},"ScheduleKeyDeletion":{"input":{"type":"structure","required":["KeyId"],"members":{"KeyId":{},"PendingWindowInDays":{"type":"integer"}}},"output":{"type":"structure","members":{"KeyId":{},"DeletionDate":{"type":"timestamp"},"KeyState":{},"PendingWindowInDays":{"type":"integer"}}}},"Sign":{"input":{"type":"structure","required":["KeyId","Message","SigningAlgorithm"],"members":{"KeyId":{},"Message":{"shape":"S1q"},"MessageType":{},"GrantTokens":{"shape":"Sn"},"SigningAlgorithm":{}}},"output":{"type":"structure","members":{"KeyId":{},"Signature":{"type":"blob"},"SigningAlgorithm":{}}}},"TagResource":{"input":{"type":"structure","required":["KeyId","Tags"],"members":{"KeyId":{},"Tags":{"shape":"S10"}}}},"UntagResource":{"input":{"type":"structure","required":["KeyId","TagKeys"],"members":{"KeyId":{},"TagKeys":{"type":"list","member":{}}}}},"UpdateAlias":{"input":{"type":"structure","required":["AliasName","TargetKeyId"],"members":{"AliasName":{},"TargetKeyId":{}}}},"UpdateCustomKeyStore":{"input":{"type":"structure","required":["CustomKeyStoreId"],"members":{"CustomKeyStoreId":{},"NewCustomKeyStoreName":{},"KeyStorePassword":{"shape":"Sd"},"CloudHsmClusterId":{}}},"output":{"type":"structure","members":{}}},"UpdateKeyDescription":{"input":{"type":"structure","required":["KeyId","Description"],"members":{"KeyId":{},"Description":{}}}},"UpdatePrimaryRegion":{"input":{"type":"structure","required":["KeyId","PrimaryRegion"],"members":{"KeyId":{},"PrimaryRegion":{}}}},"Verify":{"input":{"type":"structure","required":["KeyId","Message","Signature","SigningAlgorithm"],"members":{"KeyId":{},"Message":{"shape":"S1q"},"MessageType":{},"Signature":{"type":"blob"},"SigningAlgorithm":{},"GrantTokens":{"shape":"Sn"}}},"output":{"type":"structure","members":{"KeyId":{},"SignatureValid":{"type":"boolean"},"SigningAlgorithm":{}}}}},"shapes":{"Sd":{"type":"string","sensitive":true},"Sh":{"type":"list","member":{}},"Sj":{"type":"structure","members":{"EncryptionContextSubset":{"shape":"Sk"},"EncryptionContextEquals":{"shape":"Sk"}}},"Sk":{"type":"map","key":{},"value":{}},"Sn":{"type":"list","member":{}},"Sw":{"type":"string","deprecated":true,"deprecatedMessage":"This enum has been deprecated. Instead, use the KeySpec enum."},"S10":{"type":"list","member":{"type":"structure","required":["TagKey","TagValue"],"members":{"TagKey":{},"TagValue":{}}}},"S16":{"type":"structure","required":["KeyId"],"members":{"AWSAccountId":{},"KeyId":{},"Arn":{},"CreationDate":{"type":"timestamp"},"Enabled":{"type":"boolean"},"Description":{},"KeyUsage":{},"KeyState":{},"DeletionDate":{"type":"timestamp"},"ValidTo":{"type":"timestamp"},"Origin":{},"CustomKeyStoreId":{},"CloudHsmClusterId":{},"ExpirationModel":{},"KeyManager":{},"CustomerMasterKeySpec":{"shape":"Sw","deprecated":true,"deprecatedMessage":"This field has been deprecated. Instead, use the KeySpec field."},"KeySpec":{},"EncryptionAlgorithms":{"shape":"S1d"},"SigningAlgorithms":{"shape":"S1f"},"MultiRegion":{"type":"boolean"},"MultiRegionConfiguration":{"type":"structure","members":{"MultiRegionKeyType":{},"PrimaryKey":{"shape":"S1j"},"ReplicaKeys":{"type":"list","member":{"shape":"S1j"}}}},"PendingDeletionWindowInDays":{"type":"integer"}}},"S1d":{"type":"list","member":{}},"S1f":{"type":"list","member":{}},"S1j":{"type":"structure","members":{"Arn":{},"Region":{}}},"S1q":{"type":"blob","sensitive":true},"S39":{"type":"structure","members":{"Grants":{"type":"list","member":{"type":"structure","members":{"KeyId":{},"GrantId":{},"Name":{},"CreationDate":{"type":"timestamp"},"GranteePrincipal":{},"RetiringPrincipal":{},"IssuingAccount":{},"Operations":{"shape":"Sh"},"Constraints":{"shape":"Sj"}}}},"NextMarker":{},"Truncated":{"type":"boolean"}}}}}');

/***/ }),

/***/ 71402:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAliases":{"input_token":"Marker","limit_key":"Limit","more_results":"Truncated","output_token":"NextMarker","result_key":"Aliases"},"ListGrants":{"input_token":"Marker","limit_key":"Limit","more_results":"Truncated","output_token":"NextMarker","result_key":"Grants"},"ListKeyPolicies":{"input_token":"Marker","limit_key":"Limit","more_results":"Truncated","output_token":"NextMarker","result_key":"PolicyNames"},"ListKeys":{"input_token":"Marker","limit_key":"Limit","more_results":"Truncated","output_token":"NextMarker","result_key":"Keys"}}}');

/***/ }),

/***/ 82210:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-03-31","endpointPrefix":"lakeformation","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS Lake Formation","serviceId":"LakeFormation","signatureVersion":"v4","signingName":"lakeformation","uid":"lakeformation-2017-03-31"},"operations":{"AddLFTagsToResource":{"http":{"requestUri":"/AddLFTagsToResource"},"input":{"type":"structure","required":["Resource","LFTags"],"members":{"CatalogId":{},"Resource":{"shape":"S3"},"LFTags":{"shape":"Sn"}}},"output":{"type":"structure","members":{"Failures":{"shape":"Sq"}}}},"BatchGrantPermissions":{"http":{"requestUri":"/BatchGrantPermissions"},"input":{"type":"structure","required":["Entries"],"members":{"CatalogId":{},"Entries":{"shape":"Sv"}}},"output":{"type":"structure","members":{"Failures":{"shape":"S13"}}}},"BatchRevokePermissions":{"http":{"requestUri":"/BatchRevokePermissions"},"input":{"type":"structure","required":["Entries"],"members":{"CatalogId":{},"Entries":{"shape":"Sv"}}},"output":{"type":"structure","members":{"Failures":{"shape":"S13"}}}},"CancelTransaction":{"http":{"requestUri":"/CancelTransaction"},"input":{"type":"structure","required":["TransactionId"],"members":{"TransactionId":{}}},"output":{"type":"structure","members":{}}},"CommitTransaction":{"http":{"requestUri":"/CommitTransaction"},"input":{"type":"structure","required":["TransactionId"],"members":{"TransactionId":{}}},"output":{"type":"structure","members":{"TransactionStatus":{}}}},"CreateDataCellsFilter":{"http":{"requestUri":"/CreateDataCellsFilter"},"input":{"type":"structure","required":["TableData"],"members":{"TableData":{"shape":"S1e"}}},"output":{"type":"structure","members":{}}},"CreateLFTag":{"http":{"requestUri":"/CreateLFTag"},"input":{"type":"structure","required":["TagKey","TagValues"],"members":{"CatalogId":{},"TagKey":{},"TagValues":{"shape":"Sg"}}},"output":{"type":"structure","members":{}}},"DeleteDataCellsFilter":{"http":{"requestUri":"/DeleteDataCellsFilter"},"input":{"type":"structure","members":{"TableCatalogId":{},"DatabaseName":{},"TableName":{},"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteLFTag":{"http":{"requestUri":"/DeleteLFTag"},"input":{"type":"structure","required":["TagKey"],"members":{"CatalogId":{},"TagKey":{}}},"output":{"type":"structure","members":{}}},"DeleteObjectsOnCancel":{"http":{"requestUri":"/DeleteObjectsOnCancel"},"input":{"type":"structure","required":["DatabaseName","TableName","TransactionId","Objects"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"TransactionId":{},"Objects":{"type":"list","member":{"type":"structure","required":["Uri"],"members":{"Uri":{},"ETag":{}}}}}},"output":{"type":"structure","members":{}}},"DeregisterResource":{"http":{"requestUri":"/DeregisterResource"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"DescribeResource":{"http":{"requestUri":"/DescribeResource"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"ResourceInfo":{"shape":"S1z"}}}},"DescribeTransaction":{"http":{"requestUri":"/DescribeTransaction"},"input":{"type":"structure","required":["TransactionId"],"members":{"TransactionId":{}}},"output":{"type":"structure","members":{"TransactionDescription":{"shape":"S24"}}}},"ExtendTransaction":{"http":{"requestUri":"/ExtendTransaction"},"input":{"type":"structure","members":{"TransactionId":{}}},"output":{"type":"structure","members":{}}},"GetDataLakeSettings":{"http":{"requestUri":"/GetDataLakeSettings"},"input":{"type":"structure","members":{"CatalogId":{}}},"output":{"type":"structure","members":{"DataLakeSettings":{"shape":"S2a"}}}},"GetEffectivePermissionsForPath":{"http":{"requestUri":"/GetEffectivePermissionsForPath"},"input":{"type":"structure","required":["ResourceArn"],"members":{"CatalogId":{},"ResourceArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Permissions":{"shape":"S2j"},"NextToken":{}}}},"GetLFTag":{"http":{"requestUri":"/GetLFTag"},"input":{"type":"structure","required":["TagKey"],"members":{"CatalogId":{},"TagKey":{}}},"output":{"type":"structure","members":{"CatalogId":{},"TagKey":{},"TagValues":{"shape":"Sg"}}}},"GetQueryState":{"http":{"requestUri":"/GetQueryState","responseCode":200},"input":{"type":"structure","required":["QueryId"],"members":{"QueryId":{}}},"output":{"type":"structure","required":["State"],"members":{"Error":{},"State":{}}},"endpoint":{"hostPrefix":"query-"}},"GetQueryStatistics":{"http":{"requestUri":"/GetQueryStatistics","responseCode":200},"input":{"type":"structure","required":["QueryId"],"members":{"QueryId":{}}},"output":{"type":"structure","members":{"ExecutionStatistics":{"type":"structure","members":{"AverageExecutionTimeMillis":{"type":"long"},"DataScannedBytes":{"type":"long"},"WorkUnitsExecutedCount":{"type":"long"}}},"PlanningStatistics":{"type":"structure","members":{"EstimatedDataToScanBytes":{"type":"long"},"PlanningTimeMillis":{"type":"long"},"QueueTimeMillis":{"type":"long"},"WorkUnitsGeneratedCount":{"type":"long"}}},"QuerySubmissionTime":{"type":"timestamp","timestampFormat":"iso8601"}}},"endpoint":{"hostPrefix":"query-"}},"GetResourceLFTags":{"http":{"requestUri":"/GetResourceLFTags"},"input":{"type":"structure","required":["Resource"],"members":{"CatalogId":{},"Resource":{"shape":"S3"},"ShowAssignedLFTags":{"type":"boolean"}}},"output":{"type":"structure","members":{"LFTagOnDatabase":{"shape":"Sn"},"LFTagsOnTable":{"shape":"Sn"},"LFTagsOnColumns":{"shape":"S37"}}}},"GetTableObjects":{"http":{"requestUri":"/GetTableObjects"},"input":{"type":"structure","required":["DatabaseName","TableName"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"TransactionId":{},"QueryAsOfTime":{"type":"timestamp"},"PartitionPredicate":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Objects":{"type":"list","member":{"type":"structure","members":{"PartitionValues":{"shape":"S3e"},"Objects":{"type":"list","member":{"type":"structure","members":{"Uri":{},"ETag":{},"Size":{"type":"long"}}}}}}},"NextToken":{}}}},"GetWorkUnitResults":{"http":{"requestUri":"/GetWorkUnitResults","responseCode":200},"input":{"type":"structure","required":["QueryId","WorkUnitId","WorkUnitToken"],"members":{"QueryId":{},"WorkUnitId":{"type":"long"},"WorkUnitToken":{"type":"string","sensitive":true}}},"output":{"type":"structure","members":{"ResultStream":{"type":"blob","streaming":true}},"payload":"ResultStream"},"endpoint":{"hostPrefix":"data-"}},"GetWorkUnits":{"http":{"requestUri":"/GetWorkUnits","responseCode":200},"input":{"type":"structure","required":["QueryId"],"members":{"NextToken":{},"PageSize":{"type":"integer"},"QueryId":{}}},"output":{"type":"structure","required":["QueryId","WorkUnitRanges"],"members":{"NextToken":{},"QueryId":{},"WorkUnitRanges":{"type":"list","member":{"type":"structure","required":["WorkUnitIdMax","WorkUnitIdMin","WorkUnitToken"],"members":{"WorkUnitIdMax":{"type":"long"},"WorkUnitIdMin":{"type":"long"},"WorkUnitToken":{}}}}}},"endpoint":{"hostPrefix":"query-"}},"GrantPermissions":{"http":{"requestUri":"/GrantPermissions"},"input":{"type":"structure","required":["Principal","Resource","Permissions"],"members":{"CatalogId":{},"Principal":{"shape":"Sy"},"Resource":{"shape":"S3"},"Permissions":{"shape":"S10"},"PermissionsWithGrantOption":{"shape":"S10"}}},"output":{"type":"structure","members":{}}},"ListDataCellsFilter":{"http":{"requestUri":"/ListDataCellsFilter"},"input":{"type":"structure","members":{"Table":{"shape":"S7"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DataCellsFilters":{"type":"list","member":{"shape":"S1e"}},"NextToken":{}}}},"ListLFTags":{"http":{"requestUri":"/ListLFTags"},"input":{"type":"structure","members":{"CatalogId":{},"ResourceShareType":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"LFTags":{"shape":"Sn"},"NextToken":{}}}},"ListPermissions":{"http":{"requestUri":"/ListPermissions"},"input":{"type":"structure","members":{"CatalogId":{},"Principal":{"shape":"Sy"},"ResourceType":{},"Resource":{"shape":"S3"},"NextToken":{},"MaxResults":{"type":"integer"},"IncludeRelated":{}}},"output":{"type":"structure","members":{"PrincipalResourcePermissions":{"shape":"S2j"},"NextToken":{}}}},"ListResources":{"http":{"requestUri":"/ListResources"},"input":{"type":"structure","members":{"FilterConditionList":{"type":"list","member":{"type":"structure","members":{"Field":{},"ComparisonOperator":{},"StringValueList":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ResourceInfoList":{"type":"list","member":{"shape":"S1z"}},"NextToken":{}}}},"ListTableStorageOptimizers":{"http":{"requestUri":"/ListTableStorageOptimizers"},"input":{"type":"structure","required":["DatabaseName","TableName"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"StorageOptimizerType":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"StorageOptimizerList":{"type":"list","member":{"type":"structure","members":{"StorageOptimizerType":{},"Config":{"shape":"S4o"},"ErrorMessage":{},"Warnings":{},"LastRunDetails":{}}}},"NextToken":{}}}},"ListTransactions":{"http":{"requestUri":"/ListTransactions"},"input":{"type":"structure","members":{"CatalogId":{},"StatusFilter":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Transactions":{"type":"list","member":{"shape":"S24"}},"NextToken":{}}}},"PutDataLakeSettings":{"http":{"requestUri":"/PutDataLakeSettings"},"input":{"type":"structure","required":["DataLakeSettings"],"members":{"CatalogId":{},"DataLakeSettings":{"shape":"S2a"}}},"output":{"type":"structure","members":{}}},"RegisterResource":{"http":{"requestUri":"/RegisterResource"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"UseServiceLinkedRole":{"type":"boolean"},"RoleArn":{}}},"output":{"type":"structure","members":{}}},"RemoveLFTagsFromResource":{"http":{"requestUri":"/RemoveLFTagsFromResource"},"input":{"type":"structure","required":["Resource","LFTags"],"members":{"CatalogId":{},"Resource":{"shape":"S3"},"LFTags":{"shape":"Sn"}}},"output":{"type":"structure","members":{"Failures":{"shape":"Sq"}}}},"RevokePermissions":{"http":{"requestUri":"/RevokePermissions"},"input":{"type":"structure","required":["Principal","Resource","Permissions"],"members":{"CatalogId":{},"Principal":{"shape":"Sy"},"Resource":{"shape":"S3"},"Permissions":{"shape":"S10"},"PermissionsWithGrantOption":{"shape":"S10"}}},"output":{"type":"structure","members":{}}},"SearchDatabasesByLFTags":{"http":{"requestUri":"/SearchDatabasesByLFTags"},"input":{"type":"structure","required":["Expression"],"members":{"NextToken":{},"MaxResults":{"type":"integer"},"CatalogId":{},"Expression":{"shape":"Sk"}}},"output":{"type":"structure","members":{"NextToken":{},"DatabaseList":{"type":"list","member":{"type":"structure","members":{"Database":{"shape":"S5"},"LFTags":{"shape":"Sn"}}}}}}},"SearchTablesByLFTags":{"http":{"requestUri":"/SearchTablesByLFTags"},"input":{"type":"structure","required":["Expression"],"members":{"NextToken":{},"MaxResults":{"type":"integer"},"CatalogId":{},"Expression":{"shape":"Sk"}}},"output":{"type":"structure","members":{"NextToken":{},"TableList":{"type":"list","member":{"type":"structure","members":{"Table":{"shape":"S7"},"LFTagOnDatabase":{"shape":"Sn"},"LFTagsOnTable":{"shape":"Sn"},"LFTagsOnColumns":{"shape":"S37"}}}}}}},"StartQueryPlanning":{"http":{"requestUri":"/StartQueryPlanning","responseCode":200},"input":{"type":"structure","required":["QueryPlanningContext","QueryString"],"members":{"QueryPlanningContext":{"type":"structure","required":["DatabaseName"],"members":{"CatalogId":{},"DatabaseName":{},"QueryAsOfTime":{"type":"timestamp"},"QueryParameters":{"type":"map","key":{},"value":{}},"TransactionId":{}}},"QueryString":{"type":"string","sensitive":true}}},"output":{"type":"structure","required":["QueryId"],"members":{"QueryId":{}}},"endpoint":{"hostPrefix":"query-"}},"StartTransaction":{"http":{"requestUri":"/StartTransaction"},"input":{"type":"structure","members":{"TransactionType":{}}},"output":{"type":"structure","members":{"TransactionId":{}}}},"UpdateLFTag":{"http":{"requestUri":"/UpdateLFTag"},"input":{"type":"structure","required":["TagKey"],"members":{"CatalogId":{},"TagKey":{},"TagValuesToDelete":{"shape":"Sg"},"TagValuesToAdd":{"shape":"Sg"}}},"output":{"type":"structure","members":{}}},"UpdateResource":{"http":{"requestUri":"/UpdateResource"},"input":{"type":"structure","required":["RoleArn","ResourceArn"],"members":{"RoleArn":{},"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"UpdateTableObjects":{"http":{"requestUri":"/UpdateTableObjects"},"input":{"type":"structure","required":["DatabaseName","TableName","TransactionId","WriteOperations"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"TransactionId":{},"WriteOperations":{"type":"list","member":{"type":"structure","members":{"AddObject":{"type":"structure","required":["Uri","ETag","Size"],"members":{"Uri":{},"ETag":{},"Size":{"type":"long"},"PartitionValues":{"shape":"S3e"}}},"DeleteObject":{"type":"structure","required":["Uri"],"members":{"Uri":{},"ETag":{},"PartitionValues":{"shape":"S3e"}}}}}}}},"output":{"type":"structure","members":{}}},"UpdateTableStorageOptimizer":{"http":{"requestUri":"/UpdateTableStorageOptimizer"},"input":{"type":"structure","required":["DatabaseName","TableName","StorageOptimizerConfig"],"members":{"CatalogId":{},"DatabaseName":{},"TableName":{},"StorageOptimizerConfig":{"type":"map","key":{},"value":{"shape":"S4o"}}}},"output":{"type":"structure","members":{"Result":{}}}}},"shapes":{"S3":{"type":"structure","members":{"Catalog":{"type":"structure","members":{}},"Database":{"shape":"S5"},"Table":{"shape":"S7"},"TableWithColumns":{"type":"structure","required":["DatabaseName","Name"],"members":{"CatalogId":{},"DatabaseName":{},"Name":{},"ColumnNames":{"shape":"Sa"},"ColumnWildcard":{"shape":"Sb"}}},"DataLocation":{"type":"structure","required":["ResourceArn"],"members":{"CatalogId":{},"ResourceArn":{}}},"DataCellsFilter":{"type":"structure","members":{"TableCatalogId":{},"DatabaseName":{},"TableName":{},"Name":{}}},"LFTag":{"type":"structure","required":["TagKey","TagValues"],"members":{"CatalogId":{},"TagKey":{},"TagValues":{"shape":"Sg"}}},"LFTagPolicy":{"type":"structure","required":["ResourceType","Expression"],"members":{"CatalogId":{},"ResourceType":{},"Expression":{"shape":"Sk"}}}}},"S5":{"type":"structure","required":["Name"],"members":{"CatalogId":{},"Name":{}}},"S7":{"type":"structure","required":["DatabaseName"],"members":{"CatalogId":{},"DatabaseName":{},"Name":{},"TableWildcard":{"type":"structure","members":{}}}},"Sa":{"type":"list","member":{}},"Sb":{"type":"structure","members":{"ExcludedColumnNames":{"shape":"Sa"}}},"Sg":{"type":"list","member":{}},"Sk":{"type":"list","member":{"type":"structure","required":["TagKey","TagValues"],"members":{"TagKey":{},"TagValues":{"shape":"Sg"}}}},"Sn":{"type":"list","member":{"shape":"So"}},"So":{"type":"structure","required":["TagKey","TagValues"],"members":{"CatalogId":{},"TagKey":{},"TagValues":{"shape":"Sg"}}},"Sq":{"type":"list","member":{"type":"structure","members":{"LFTag":{"shape":"So"},"Error":{"shape":"Ss"}}}},"Ss":{"type":"structure","members":{"ErrorCode":{},"ErrorMessage":{}}},"Sv":{"type":"list","member":{"shape":"Sw"}},"Sw":{"type":"structure","required":["Id"],"members":{"Id":{},"Principal":{"shape":"Sy"},"Resource":{"shape":"S3"},"Permissions":{"shape":"S10"},"PermissionsWithGrantOption":{"shape":"S10"}}},"Sy":{"type":"structure","members":{"DataLakePrincipalIdentifier":{}}},"S10":{"type":"list","member":{}},"S13":{"type":"list","member":{"type":"structure","members":{"RequestEntry":{"shape":"Sw"},"Error":{"shape":"Ss"}}}},"S1e":{"type":"structure","required":["TableCatalogId","DatabaseName","TableName","Name"],"members":{"TableCatalogId":{},"DatabaseName":{},"TableName":{},"Name":{},"RowFilter":{"type":"structure","members":{"FilterExpression":{},"AllRowsWildcard":{"type":"structure","members":{}}}},"ColumnNames":{"shape":"Sa"},"ColumnWildcard":{"shape":"Sb"}}},"S1z":{"type":"structure","members":{"ResourceArn":{},"RoleArn":{},"LastModified":{"type":"timestamp"}}},"S24":{"type":"structure","members":{"TransactionId":{},"TransactionStatus":{},"TransactionStartTime":{"type":"timestamp"},"TransactionEndTime":{"type":"timestamp"}}},"S2a":{"type":"structure","members":{"DataLakeAdmins":{"type":"list","member":{"shape":"Sy"}},"CreateDatabaseDefaultPermissions":{"shape":"S2c"},"CreateTableDefaultPermissions":{"shape":"S2c"},"TrustedResourceOwners":{"type":"list","member":{}}}},"S2c":{"type":"list","member":{"type":"structure","members":{"Principal":{"shape":"Sy"},"Permissions":{"shape":"S10"}}}},"S2j":{"type":"list","member":{"type":"structure","members":{"Principal":{"shape":"Sy"},"Resource":{"shape":"S3"},"Permissions":{"shape":"S10"},"PermissionsWithGrantOption":{"shape":"S10"},"AdditionalDetails":{"type":"structure","members":{"ResourceShare":{"type":"list","member":{}}}}}}},"S37":{"type":"list","member":{"type":"structure","members":{"Name":{},"LFTags":{"shape":"Sn"}}}},"S3e":{"type":"list","member":{}},"S4o":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 61488:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetEffectivePermissionsForPath":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetTableObjects":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetWorkUnits":{"input_token":"NextToken","limit_key":"PageSize","output_token":"NextToken","result_key":"WorkUnitRanges"},"ListDataCellsFilter":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DataCellsFilters"},"ListLFTags":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"LFTags"},"ListPermissions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListResources":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListTableStorageOptimizers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListTransactions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"SearchDatabasesByLFTags":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DatabaseList"},"SearchTablesByLFTags":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"TableList"}}}');

/***/ }),

/***/ 91251:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2014-11-11","endpointPrefix":"lambda","serviceFullName":"AWS Lambda","serviceId":"Lambda","signatureVersion":"v4","protocol":"rest-json"},"operations":{"AddEventSource":{"http":{"requestUri":"/2014-11-13/event-source-mappings/"},"input":{"type":"structure","required":["EventSource","FunctionName","Role"],"members":{"EventSource":{},"FunctionName":{},"Role":{},"BatchSize":{"type":"integer"},"Parameters":{"shape":"S6"}}},"output":{"shape":"S7"}},"DeleteFunction":{"http":{"method":"DELETE","requestUri":"/2014-11-13/functions/{FunctionName}","responseCode":204},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"}}}},"GetEventSource":{"http":{"method":"GET","requestUri":"/2014-11-13/event-source-mappings/{UUID}","responseCode":200},"input":{"type":"structure","required":["UUID"],"members":{"UUID":{"location":"uri","locationName":"UUID"}}},"output":{"shape":"S7"}},"GetFunction":{"http":{"method":"GET","requestUri":"/2014-11-13/functions/{FunctionName}","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"}}},"output":{"type":"structure","members":{"Configuration":{"shape":"Se"},"Code":{"type":"structure","members":{"RepositoryType":{},"Location":{}}}}}},"GetFunctionConfiguration":{"http":{"method":"GET","requestUri":"/2014-11-13/functions/{FunctionName}/configuration","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"}}},"output":{"shape":"Se"}},"InvokeAsync":{"http":{"requestUri":"/2014-11-13/functions/{FunctionName}/invoke-async/","responseCode":202},"input":{"type":"structure","required":["FunctionName","InvokeArgs"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"InvokeArgs":{"shape":"Sq"}},"payload":"InvokeArgs"},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"}}}},"ListEventSources":{"http":{"method":"GET","requestUri":"/2014-11-13/event-source-mappings/","responseCode":200},"input":{"type":"structure","members":{"EventSourceArn":{"location":"querystring","locationName":"EventSource"},"FunctionName":{"location":"querystring","locationName":"FunctionName"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"EventSources":{"type":"list","member":{"shape":"S7"}}}}},"ListFunctions":{"http":{"method":"GET","requestUri":"/2014-11-13/functions/","responseCode":200},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"Functions":{"type":"list","member":{"shape":"Se"}}}}},"RemoveEventSource":{"http":{"method":"DELETE","requestUri":"/2014-11-13/event-source-mappings/{UUID}","responseCode":204},"input":{"type":"structure","required":["UUID"],"members":{"UUID":{"location":"uri","locationName":"UUID"}}}},"UpdateFunctionConfiguration":{"http":{"method":"PUT","requestUri":"/2014-11-13/functions/{FunctionName}/configuration","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Role":{"location":"querystring","locationName":"Role"},"Handler":{"location":"querystring","locationName":"Handler"},"Description":{"location":"querystring","locationName":"Description"},"Timeout":{"location":"querystring","locationName":"Timeout","type":"integer"},"MemorySize":{"location":"querystring","locationName":"MemorySize","type":"integer"}}},"output":{"shape":"Se"}},"UploadFunction":{"http":{"method":"PUT","requestUri":"/2014-11-13/functions/{FunctionName}","responseCode":201},"input":{"type":"structure","required":["FunctionName","FunctionZip","Runtime","Role","Handler","Mode"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"FunctionZip":{"shape":"Sq"},"Runtime":{"location":"querystring","locationName":"Runtime"},"Role":{"location":"querystring","locationName":"Role"},"Handler":{"location":"querystring","locationName":"Handler"},"Mode":{"location":"querystring","locationName":"Mode"},"Description":{"location":"querystring","locationName":"Description"},"Timeout":{"location":"querystring","locationName":"Timeout","type":"integer"},"MemorySize":{"location":"querystring","locationName":"MemorySize","type":"integer"}},"payload":"FunctionZip"},"output":{"shape":"Se"}}},"shapes":{"S6":{"type":"map","key":{},"value":{}},"S7":{"type":"structure","members":{"UUID":{},"BatchSize":{"type":"integer"},"EventSource":{},"FunctionName":{},"Parameters":{"shape":"S6"},"Role":{},"LastModified":{"type":"timestamp"},"IsActive":{"type":"boolean"},"Status":{}}},"Se":{"type":"structure","members":{"FunctionName":{},"FunctionARN":{},"ConfigurationId":{},"Runtime":{},"Role":{},"Handler":{},"Mode":{},"CodeSize":{"type":"long"},"Description":{},"Timeout":{"type":"integer"},"MemorySize":{"type":"integer"},"LastModified":{"type":"timestamp"}}},"Sq":{"type":"blob","streaming":true}}}');

/***/ }),

/***/ 79210:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListEventSources":{"input_token":"Marker","output_token":"NextMarker","limit_key":"MaxItems","result_key":"EventSources"},"ListFunctions":{"input_token":"Marker","output_token":"NextMarker","limit_key":"MaxItems","result_key":"Functions"}}}');

/***/ }),

/***/ 29103:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-03-31","endpointPrefix":"lambda","protocol":"rest-json","serviceFullName":"AWS Lambda","serviceId":"Lambda","signatureVersion":"v4","uid":"lambda-2015-03-31"},"operations":{"AddLayerVersionPermission":{"http":{"requestUri":"/2018-10-31/layers/{LayerName}/versions/{VersionNumber}/policy","responseCode":201},"input":{"type":"structure","required":["LayerName","VersionNumber","StatementId","Action","Principal"],"members":{"LayerName":{"location":"uri","locationName":"LayerName"},"VersionNumber":{"location":"uri","locationName":"VersionNumber","type":"long"},"StatementId":{},"Action":{},"Principal":{},"OrganizationId":{},"RevisionId":{"location":"querystring","locationName":"RevisionId"}}},"output":{"type":"structure","members":{"Statement":{},"RevisionId":{}}}},"AddPermission":{"http":{"requestUri":"/2015-03-31/functions/{FunctionName}/policy","responseCode":201},"input":{"type":"structure","required":["FunctionName","StatementId","Action","Principal"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"StatementId":{},"Action":{},"Principal":{},"SourceArn":{},"SourceAccount":{},"EventSourceToken":{},"Qualifier":{"location":"querystring","locationName":"Qualifier"},"RevisionId":{}}},"output":{"type":"structure","members":{"Statement":{}}}},"CreateAlias":{"http":{"requestUri":"/2015-03-31/functions/{FunctionName}/aliases","responseCode":201},"input":{"type":"structure","required":["FunctionName","Name","FunctionVersion"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Name":{},"FunctionVersion":{},"Description":{},"RoutingConfig":{"shape":"Sn"}}},"output":{"shape":"Sr"}},"CreateCodeSigningConfig":{"http":{"requestUri":"/2020-04-22/code-signing-configs/","responseCode":201},"input":{"type":"structure","required":["AllowedPublishers"],"members":{"Description":{},"AllowedPublishers":{"shape":"Su"},"CodeSigningPolicies":{"shape":"Sw"}}},"output":{"type":"structure","required":["CodeSigningConfig"],"members":{"CodeSigningConfig":{"shape":"Sz"}}}},"CreateEventSourceMapping":{"http":{"requestUri":"/2015-03-31/event-source-mappings/","responseCode":202},"input":{"type":"structure","required":["FunctionName"],"members":{"EventSourceArn":{},"FunctionName":{},"Enabled":{"type":"boolean"},"BatchSize":{"type":"integer"},"FilterCriteria":{"shape":"S16"},"MaximumBatchingWindowInSeconds":{"type":"integer"},"ParallelizationFactor":{"type":"integer"},"StartingPosition":{},"StartingPositionTimestamp":{"type":"timestamp"},"DestinationConfig":{"shape":"S1e"},"MaximumRecordAgeInSeconds":{"type":"integer"},"BisectBatchOnFunctionError":{"type":"boolean"},"MaximumRetryAttempts":{"type":"integer"},"TumblingWindowInSeconds":{"type":"integer"},"Topics":{"shape":"S1m"},"Queues":{"shape":"S1o"},"SourceAccessConfigurations":{"shape":"S1q"},"SelfManagedEventSource":{"shape":"S1u"},"FunctionResponseTypes":{"shape":"S1z"}}},"output":{"shape":"S21"}},"CreateFunction":{"http":{"requestUri":"/2015-03-31/functions","responseCode":201},"input":{"type":"structure","required":["FunctionName","Role","Code"],"members":{"FunctionName":{},"Runtime":{},"Role":{},"Handler":{},"Code":{"type":"structure","members":{"ZipFile":{"shape":"S27"},"S3Bucket":{},"S3Key":{},"S3ObjectVersion":{},"ImageUri":{}}},"Description":{},"Timeout":{"type":"integer"},"MemorySize":{"type":"integer"},"Publish":{"type":"boolean"},"VpcConfig":{"shape":"S2e"},"PackageType":{},"DeadLetterConfig":{"shape":"S2k"},"Environment":{"shape":"S2m"},"KMSKeyArn":{},"TracingConfig":{"shape":"S2r"},"Tags":{"shape":"S2t"},"Layers":{"shape":"S2w"},"FileSystemConfigs":{"shape":"S2y"},"ImageConfig":{"shape":"S32"},"CodeSigningConfigArn":{},"Architectures":{"shape":"S35"}}},"output":{"shape":"S37"}},"DeleteAlias":{"http":{"method":"DELETE","requestUri":"/2015-03-31/functions/{FunctionName}/aliases/{Name}","responseCode":204},"input":{"type":"structure","required":["FunctionName","Name"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Name":{"location":"uri","locationName":"Name"}}}},"DeleteCodeSigningConfig":{"http":{"method":"DELETE","requestUri":"/2020-04-22/code-signing-configs/{CodeSigningConfigArn}","responseCode":204},"input":{"type":"structure","required":["CodeSigningConfigArn"],"members":{"CodeSigningConfigArn":{"location":"uri","locationName":"CodeSigningConfigArn"}}},"output":{"type":"structure","members":{}}},"DeleteEventSourceMapping":{"http":{"method":"DELETE","requestUri":"/2015-03-31/event-source-mappings/{UUID}","responseCode":202},"input":{"type":"structure","required":["UUID"],"members":{"UUID":{"location":"uri","locationName":"UUID"}}},"output":{"shape":"S21"}},"DeleteFunction":{"http":{"method":"DELETE","requestUri":"/2015-03-31/functions/{FunctionName}","responseCode":204},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Qualifier":{"location":"querystring","locationName":"Qualifier"}}}},"DeleteFunctionCodeSigningConfig":{"http":{"method":"DELETE","requestUri":"/2020-06-30/functions/{FunctionName}/code-signing-config","responseCode":204},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"}}}},"DeleteFunctionConcurrency":{"http":{"method":"DELETE","requestUri":"/2017-10-31/functions/{FunctionName}/concurrency","responseCode":204},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"}}}},"DeleteFunctionEventInvokeConfig":{"http":{"method":"DELETE","requestUri":"/2019-09-25/functions/{FunctionName}/event-invoke-config","responseCode":204},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Qualifier":{"location":"querystring","locationName":"Qualifier"}}}},"DeleteLayerVersion":{"http":{"method":"DELETE","requestUri":"/2018-10-31/layers/{LayerName}/versions/{VersionNumber}","responseCode":204},"input":{"type":"structure","required":["LayerName","VersionNumber"],"members":{"LayerName":{"location":"uri","locationName":"LayerName"},"VersionNumber":{"location":"uri","locationName":"VersionNumber","type":"long"}}}},"DeleteProvisionedConcurrencyConfig":{"http":{"method":"DELETE","requestUri":"/2019-09-30/functions/{FunctionName}/provisioned-concurrency","responseCode":204},"input":{"type":"structure","required":["FunctionName","Qualifier"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Qualifier":{"location":"querystring","locationName":"Qualifier"}}}},"GetAccountSettings":{"http":{"method":"GET","requestUri":"/2016-08-19/account-settings/","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"AccountLimit":{"type":"structure","members":{"TotalCodeSize":{"type":"long"},"CodeSizeUnzipped":{"type":"long"},"CodeSizeZipped":{"type":"long"},"ConcurrentExecutions":{"type":"integer"},"UnreservedConcurrentExecutions":{"type":"integer"}}},"AccountUsage":{"type":"structure","members":{"TotalCodeSize":{"type":"long"},"FunctionCount":{"type":"long"}}}}}},"GetAlias":{"http":{"method":"GET","requestUri":"/2015-03-31/functions/{FunctionName}/aliases/{Name}","responseCode":200},"input":{"type":"structure","required":["FunctionName","Name"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Name":{"location":"uri","locationName":"Name"}}},"output":{"shape":"Sr"}},"GetCodeSigningConfig":{"http":{"method":"GET","requestUri":"/2020-04-22/code-signing-configs/{CodeSigningConfigArn}","responseCode":200},"input":{"type":"structure","required":["CodeSigningConfigArn"],"members":{"CodeSigningConfigArn":{"location":"uri","locationName":"CodeSigningConfigArn"}}},"output":{"type":"structure","required":["CodeSigningConfig"],"members":{"CodeSigningConfig":{"shape":"Sz"}}}},"GetEventSourceMapping":{"http":{"method":"GET","requestUri":"/2015-03-31/event-source-mappings/{UUID}","responseCode":200},"input":{"type":"structure","required":["UUID"],"members":{"UUID":{"location":"uri","locationName":"UUID"}}},"output":{"shape":"S21"}},"GetFunction":{"http":{"method":"GET","requestUri":"/2015-03-31/functions/{FunctionName}","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Qualifier":{"location":"querystring","locationName":"Qualifier"}}},"output":{"type":"structure","members":{"Configuration":{"shape":"S37"},"Code":{"type":"structure","members":{"RepositoryType":{},"Location":{},"ImageUri":{},"ResolvedImageUri":{}}},"Tags":{"shape":"S2t"},"Concurrency":{"shape":"S4e"}}}},"GetFunctionCodeSigningConfig":{"http":{"method":"GET","requestUri":"/2020-06-30/functions/{FunctionName}/code-signing-config","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"}}},"output":{"type":"structure","required":["CodeSigningConfigArn","FunctionName"],"members":{"CodeSigningConfigArn":{},"FunctionName":{}}}},"GetFunctionConcurrency":{"http":{"method":"GET","requestUri":"/2019-09-30/functions/{FunctionName}/concurrency","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"}}},"output":{"type":"structure","members":{"ReservedConcurrentExecutions":{"type":"integer"}}}},"GetFunctionConfiguration":{"http":{"method":"GET","requestUri":"/2015-03-31/functions/{FunctionName}/configuration","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Qualifier":{"location":"querystring","locationName":"Qualifier"}}},"output":{"shape":"S37"}},"GetFunctionEventInvokeConfig":{"http":{"method":"GET","requestUri":"/2019-09-25/functions/{FunctionName}/event-invoke-config","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Qualifier":{"location":"querystring","locationName":"Qualifier"}}},"output":{"shape":"S4m"}},"GetLayerVersion":{"http":{"method":"GET","requestUri":"/2018-10-31/layers/{LayerName}/versions/{VersionNumber}","responseCode":200},"input":{"type":"structure","required":["LayerName","VersionNumber"],"members":{"LayerName":{"location":"uri","locationName":"LayerName"},"VersionNumber":{"location":"uri","locationName":"VersionNumber","type":"long"}}},"output":{"shape":"S4q"}},"GetLayerVersionByArn":{"http":{"method":"GET","requestUri":"/2018-10-31/layers?find=LayerVersion","responseCode":200},"input":{"type":"structure","required":["Arn"],"members":{"Arn":{"location":"querystring","locationName":"Arn"}}},"output":{"shape":"S4q"}},"GetLayerVersionPolicy":{"http":{"method":"GET","requestUri":"/2018-10-31/layers/{LayerName}/versions/{VersionNumber}/policy","responseCode":200},"input":{"type":"structure","required":["LayerName","VersionNumber"],"members":{"LayerName":{"location":"uri","locationName":"LayerName"},"VersionNumber":{"location":"uri","locationName":"VersionNumber","type":"long"}}},"output":{"type":"structure","members":{"Policy":{},"RevisionId":{}}}},"GetPolicy":{"http":{"method":"GET","requestUri":"/2015-03-31/functions/{FunctionName}/policy","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Qualifier":{"location":"querystring","locationName":"Qualifier"}}},"output":{"type":"structure","members":{"Policy":{},"RevisionId":{}}}},"GetProvisionedConcurrencyConfig":{"http":{"method":"GET","requestUri":"/2019-09-30/functions/{FunctionName}/provisioned-concurrency","responseCode":200},"input":{"type":"structure","required":["FunctionName","Qualifier"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Qualifier":{"location":"querystring","locationName":"Qualifier"}}},"output":{"type":"structure","members":{"RequestedProvisionedConcurrentExecutions":{"type":"integer"},"AvailableProvisionedConcurrentExecutions":{"type":"integer"},"AllocatedProvisionedConcurrentExecutions":{"type":"integer"},"Status":{},"StatusReason":{},"LastModified":{}}}},"Invoke":{"http":{"requestUri":"/2015-03-31/functions/{FunctionName}/invocations"},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"InvocationType":{"location":"header","locationName":"X-Amz-Invocation-Type"},"LogType":{"location":"header","locationName":"X-Amz-Log-Type"},"ClientContext":{"location":"header","locationName":"X-Amz-Client-Context"},"Payload":{"shape":"S27"},"Qualifier":{"location":"querystring","locationName":"Qualifier"}},"payload":"Payload"},"output":{"type":"structure","members":{"StatusCode":{"location":"statusCode","type":"integer"},"FunctionError":{"location":"header","locationName":"X-Amz-Function-Error"},"LogResult":{"location":"header","locationName":"X-Amz-Log-Result"},"Payload":{"shape":"S27"},"ExecutedVersion":{"location":"header","locationName":"X-Amz-Executed-Version"}},"payload":"Payload"}},"InvokeAsync":{"http":{"requestUri":"/2014-11-13/functions/{FunctionName}/invoke-async/","responseCode":202},"input":{"type":"structure","required":["FunctionName","InvokeArgs"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"InvokeArgs":{"type":"blob","streaming":true}},"deprecated":true,"payload":"InvokeArgs"},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"}},"deprecated":true},"deprecated":true},"ListAliases":{"http":{"method":"GET","requestUri":"/2015-03-31/functions/{FunctionName}/aliases","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"FunctionVersion":{"location":"querystring","locationName":"FunctionVersion"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"Aliases":{"type":"list","member":{"shape":"Sr"}}}}},"ListCodeSigningConfigs":{"http":{"method":"GET","requestUri":"/2020-04-22/code-signing-configs/","responseCode":200},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"CodeSigningConfigs":{"type":"list","member":{"shape":"Sz"}}}}},"ListEventSourceMappings":{"http":{"method":"GET","requestUri":"/2015-03-31/event-source-mappings/","responseCode":200},"input":{"type":"structure","members":{"EventSourceArn":{"location":"querystring","locationName":"EventSourceArn"},"FunctionName":{"location":"querystring","locationName":"FunctionName"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"EventSourceMappings":{"type":"list","member":{"shape":"S21"}}}}},"ListFunctionEventInvokeConfigs":{"http":{"method":"GET","requestUri":"/2019-09-25/functions/{FunctionName}/event-invoke-config/list","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"}}},"output":{"type":"structure","members":{"FunctionEventInvokeConfigs":{"type":"list","member":{"shape":"S4m"}},"NextMarker":{}}}},"ListFunctions":{"http":{"method":"GET","requestUri":"/2015-03-31/functions/","responseCode":200},"input":{"type":"structure","members":{"MasterRegion":{"location":"querystring","locationName":"MasterRegion"},"FunctionVersion":{"location":"querystring","locationName":"FunctionVersion"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"Functions":{"shape":"S5w"}}}},"ListFunctionsByCodeSigningConfig":{"http":{"method":"GET","requestUri":"/2020-04-22/code-signing-configs/{CodeSigningConfigArn}/functions","responseCode":200},"input":{"type":"structure","required":["CodeSigningConfigArn"],"members":{"CodeSigningConfigArn":{"location":"uri","locationName":"CodeSigningConfigArn"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"FunctionArns":{"type":"list","member":{}}}}},"ListLayerVersions":{"http":{"method":"GET","requestUri":"/2018-10-31/layers/{LayerName}/versions","responseCode":200},"input":{"type":"structure","required":["LayerName"],"members":{"CompatibleRuntime":{"location":"querystring","locationName":"CompatibleRuntime"},"LayerName":{"location":"uri","locationName":"LayerName"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"},"CompatibleArchitecture":{"location":"querystring","locationName":"CompatibleArchitecture"}}},"output":{"type":"structure","members":{"NextMarker":{},"LayerVersions":{"type":"list","member":{"shape":"S64"}}}}},"ListLayers":{"http":{"method":"GET","requestUri":"/2018-10-31/layers","responseCode":200},"input":{"type":"structure","members":{"CompatibleRuntime":{"location":"querystring","locationName":"CompatibleRuntime"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"},"CompatibleArchitecture":{"location":"querystring","locationName":"CompatibleArchitecture"}}},"output":{"type":"structure","members":{"NextMarker":{},"Layers":{"type":"list","member":{"type":"structure","members":{"LayerName":{},"LayerArn":{},"LatestMatchingVersion":{"shape":"S64"}}}}}}},"ListProvisionedConcurrencyConfigs":{"http":{"method":"GET","requestUri":"/2019-09-30/functions/{FunctionName}/provisioned-concurrency?List=ALL","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"}}},"output":{"type":"structure","members":{"ProvisionedConcurrencyConfigs":{"type":"list","member":{"type":"structure","members":{"FunctionArn":{},"RequestedProvisionedConcurrentExecutions":{"type":"integer"},"AvailableProvisionedConcurrentExecutions":{"type":"integer"},"AllocatedProvisionedConcurrentExecutions":{"type":"integer"},"Status":{},"StatusReason":{},"LastModified":{}}}},"NextMarker":{}}}},"ListTags":{"http":{"method":"GET","requestUri":"/2017-03-31/tags/{ARN}"},"input":{"type":"structure","required":["Resource"],"members":{"Resource":{"location":"uri","locationName":"ARN"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S2t"}}}},"ListVersionsByFunction":{"http":{"method":"GET","requestUri":"/2015-03-31/functions/{FunctionName}/versions","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Marker":{"location":"querystring","locationName":"Marker"},"MaxItems":{"location":"querystring","locationName":"MaxItems","type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"Versions":{"shape":"S5w"}}}},"PublishLayerVersion":{"http":{"requestUri":"/2018-10-31/layers/{LayerName}/versions","responseCode":201},"input":{"type":"structure","required":["LayerName","Content"],"members":{"LayerName":{"location":"uri","locationName":"LayerName"},"Description":{},"Content":{"type":"structure","members":{"S3Bucket":{},"S3Key":{},"S3ObjectVersion":{},"ZipFile":{"shape":"S27"}}},"CompatibleRuntimes":{"shape":"S4t"},"LicenseInfo":{},"CompatibleArchitectures":{"shape":"S4v"}}},"output":{"type":"structure","members":{"Content":{"shape":"S4r"},"LayerArn":{},"LayerVersionArn":{},"Description":{},"CreatedDate":{},"Version":{"type":"long"},"CompatibleRuntimes":{"shape":"S4t"},"LicenseInfo":{},"CompatibleArchitectures":{"shape":"S4v"}}}},"PublishVersion":{"http":{"requestUri":"/2015-03-31/functions/{FunctionName}/versions","responseCode":201},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"CodeSha256":{},"Description":{},"RevisionId":{}}},"output":{"shape":"S37"}},"PutFunctionCodeSigningConfig":{"http":{"method":"PUT","requestUri":"/2020-06-30/functions/{FunctionName}/code-signing-config","responseCode":200},"input":{"type":"structure","required":["CodeSigningConfigArn","FunctionName"],"members":{"CodeSigningConfigArn":{},"FunctionName":{"location":"uri","locationName":"FunctionName"}}},"output":{"type":"structure","required":["CodeSigningConfigArn","FunctionName"],"members":{"CodeSigningConfigArn":{},"FunctionName":{}}}},"PutFunctionConcurrency":{"http":{"method":"PUT","requestUri":"/2017-10-31/functions/{FunctionName}/concurrency","responseCode":200},"input":{"type":"structure","required":["FunctionName","ReservedConcurrentExecutions"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"ReservedConcurrentExecutions":{"type":"integer"}}},"output":{"shape":"S4e"}},"PutFunctionEventInvokeConfig":{"http":{"method":"PUT","requestUri":"/2019-09-25/functions/{FunctionName}/event-invoke-config","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Qualifier":{"location":"querystring","locationName":"Qualifier"},"MaximumRetryAttempts":{"type":"integer"},"MaximumEventAgeInSeconds":{"type":"integer"},"DestinationConfig":{"shape":"S1e"}}},"output":{"shape":"S4m"}},"PutProvisionedConcurrencyConfig":{"http":{"method":"PUT","requestUri":"/2019-09-30/functions/{FunctionName}/provisioned-concurrency","responseCode":202},"input":{"type":"structure","required":["FunctionName","Qualifier","ProvisionedConcurrentExecutions"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Qualifier":{"location":"querystring","locationName":"Qualifier"},"ProvisionedConcurrentExecutions":{"type":"integer"}}},"output":{"type":"structure","members":{"RequestedProvisionedConcurrentExecutions":{"type":"integer"},"AvailableProvisionedConcurrentExecutions":{"type":"integer"},"AllocatedProvisionedConcurrentExecutions":{"type":"integer"},"Status":{},"StatusReason":{},"LastModified":{}}}},"RemoveLayerVersionPermission":{"http":{"method":"DELETE","requestUri":"/2018-10-31/layers/{LayerName}/versions/{VersionNumber}/policy/{StatementId}","responseCode":204},"input":{"type":"structure","required":["LayerName","VersionNumber","StatementId"],"members":{"LayerName":{"location":"uri","locationName":"LayerName"},"VersionNumber":{"location":"uri","locationName":"VersionNumber","type":"long"},"StatementId":{"location":"uri","locationName":"StatementId"},"RevisionId":{"location":"querystring","locationName":"RevisionId"}}}},"RemovePermission":{"http":{"method":"DELETE","requestUri":"/2015-03-31/functions/{FunctionName}/policy/{StatementId}","responseCode":204},"input":{"type":"structure","required":["FunctionName","StatementId"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"StatementId":{"location":"uri","locationName":"StatementId"},"Qualifier":{"location":"querystring","locationName":"Qualifier"},"RevisionId":{"location":"querystring","locationName":"RevisionId"}}}},"TagResource":{"http":{"requestUri":"/2017-03-31/tags/{ARN}","responseCode":204},"input":{"type":"structure","required":["Resource","Tags"],"members":{"Resource":{"location":"uri","locationName":"ARN"},"Tags":{"shape":"S2t"}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/2017-03-31/tags/{ARN}","responseCode":204},"input":{"type":"structure","required":["Resource","TagKeys"],"members":{"Resource":{"location":"uri","locationName":"ARN"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}}},"UpdateAlias":{"http":{"method":"PUT","requestUri":"/2015-03-31/functions/{FunctionName}/aliases/{Name}","responseCode":200},"input":{"type":"structure","required":["FunctionName","Name"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Name":{"location":"uri","locationName":"Name"},"FunctionVersion":{},"Description":{},"RoutingConfig":{"shape":"Sn"},"RevisionId":{}}},"output":{"shape":"Sr"}},"UpdateCodeSigningConfig":{"http":{"method":"PUT","requestUri":"/2020-04-22/code-signing-configs/{CodeSigningConfigArn}","responseCode":200},"input":{"type":"structure","required":["CodeSigningConfigArn"],"members":{"CodeSigningConfigArn":{"location":"uri","locationName":"CodeSigningConfigArn"},"Description":{},"AllowedPublishers":{"shape":"Su"},"CodeSigningPolicies":{"shape":"Sw"}}},"output":{"type":"structure","required":["CodeSigningConfig"],"members":{"CodeSigningConfig":{"shape":"Sz"}}}},"UpdateEventSourceMapping":{"http":{"method":"PUT","requestUri":"/2015-03-31/event-source-mappings/{UUID}","responseCode":202},"input":{"type":"structure","required":["UUID"],"members":{"UUID":{"location":"uri","locationName":"UUID"},"FunctionName":{},"Enabled":{"type":"boolean"},"BatchSize":{"type":"integer"},"FilterCriteria":{"shape":"S16"},"MaximumBatchingWindowInSeconds":{"type":"integer"},"DestinationConfig":{"shape":"S1e"},"MaximumRecordAgeInSeconds":{"type":"integer"},"BisectBatchOnFunctionError":{"type":"boolean"},"MaximumRetryAttempts":{"type":"integer"},"ParallelizationFactor":{"type":"integer"},"SourceAccessConfigurations":{"shape":"S1q"},"TumblingWindowInSeconds":{"type":"integer"},"FunctionResponseTypes":{"shape":"S1z"}}},"output":{"shape":"S21"}},"UpdateFunctionCode":{"http":{"method":"PUT","requestUri":"/2015-03-31/functions/{FunctionName}/code","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"ZipFile":{"shape":"S27"},"S3Bucket":{},"S3Key":{},"S3ObjectVersion":{},"ImageUri":{},"Publish":{"type":"boolean"},"DryRun":{"type":"boolean"},"RevisionId":{},"Architectures":{"shape":"S35"}}},"output":{"shape":"S37"}},"UpdateFunctionConfiguration":{"http":{"method":"PUT","requestUri":"/2015-03-31/functions/{FunctionName}/configuration","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Role":{},"Handler":{},"Description":{},"Timeout":{"type":"integer"},"MemorySize":{"type":"integer"},"VpcConfig":{"shape":"S2e"},"Environment":{"shape":"S2m"},"Runtime":{},"DeadLetterConfig":{"shape":"S2k"},"KMSKeyArn":{},"TracingConfig":{"shape":"S2r"},"RevisionId":{},"Layers":{"shape":"S2w"},"FileSystemConfigs":{"shape":"S2y"},"ImageConfig":{"shape":"S32"}}},"output":{"shape":"S37"}},"UpdateFunctionEventInvokeConfig":{"http":{"requestUri":"/2019-09-25/functions/{FunctionName}/event-invoke-config","responseCode":200},"input":{"type":"structure","required":["FunctionName"],"members":{"FunctionName":{"location":"uri","locationName":"FunctionName"},"Qualifier":{"location":"querystring","locationName":"Qualifier"},"MaximumRetryAttempts":{"type":"integer"},"MaximumEventAgeInSeconds":{"type":"integer"},"DestinationConfig":{"shape":"S1e"}}},"output":{"shape":"S4m"}}},"shapes":{"Sn":{"type":"structure","members":{"AdditionalVersionWeights":{"type":"map","key":{},"value":{"type":"double"}}}},"Sr":{"type":"structure","members":{"AliasArn":{},"Name":{},"FunctionVersion":{},"Description":{},"RoutingConfig":{"shape":"Sn"},"RevisionId":{}}},"Su":{"type":"structure","required":["SigningProfileVersionArns"],"members":{"SigningProfileVersionArns":{"type":"list","member":{}}}},"Sw":{"type":"structure","members":{"UntrustedArtifactOnDeployment":{}}},"Sz":{"type":"structure","required":["CodeSigningConfigId","CodeSigningConfigArn","AllowedPublishers","CodeSigningPolicies","LastModified"],"members":{"CodeSigningConfigId":{},"CodeSigningConfigArn":{},"Description":{},"AllowedPublishers":{"shape":"Su"},"CodeSigningPolicies":{"shape":"Sw"},"LastModified":{}}},"S16":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","members":{"Pattern":{}}}}}},"S1e":{"type":"structure","members":{"OnSuccess":{"type":"structure","members":{"Destination":{}}},"OnFailure":{"type":"structure","members":{"Destination":{}}}}},"S1m":{"type":"list","member":{}},"S1o":{"type":"list","member":{}},"S1q":{"type":"list","member":{"type":"structure","members":{"Type":{},"URI":{}}}},"S1u":{"type":"structure","members":{"Endpoints":{"type":"map","key":{},"value":{"type":"list","member":{}}}}},"S1z":{"type":"list","member":{}},"S21":{"type":"structure","members":{"UUID":{},"StartingPosition":{},"StartingPositionTimestamp":{"type":"timestamp"},"BatchSize":{"type":"integer"},"MaximumBatchingWindowInSeconds":{"type":"integer"},"ParallelizationFactor":{"type":"integer"},"EventSourceArn":{},"FilterCriteria":{"shape":"S16"},"FunctionArn":{},"LastModified":{"type":"timestamp"},"LastProcessingResult":{},"State":{},"StateTransitionReason":{},"DestinationConfig":{"shape":"S1e"},"Topics":{"shape":"S1m"},"Queues":{"shape":"S1o"},"SourceAccessConfigurations":{"shape":"S1q"},"SelfManagedEventSource":{"shape":"S1u"},"MaximumRecordAgeInSeconds":{"type":"integer"},"BisectBatchOnFunctionError":{"type":"boolean"},"MaximumRetryAttempts":{"type":"integer"},"TumblingWindowInSeconds":{"type":"integer"},"FunctionResponseTypes":{"shape":"S1z"}}},"S27":{"type":"blob","sensitive":true},"S2e":{"type":"structure","members":{"SubnetIds":{"shape":"S2f"},"SecurityGroupIds":{"shape":"S2h"}}},"S2f":{"type":"list","member":{}},"S2h":{"type":"list","member":{}},"S2k":{"type":"structure","members":{"TargetArn":{}}},"S2m":{"type":"structure","members":{"Variables":{"shape":"S2n"}}},"S2n":{"type":"map","key":{"type":"string","sensitive":true},"value":{"type":"string","sensitive":true},"sensitive":true},"S2r":{"type":"structure","members":{"Mode":{}}},"S2t":{"type":"map","key":{},"value":{}},"S2w":{"type":"list","member":{}},"S2y":{"type":"list","member":{"type":"structure","required":["Arn","LocalMountPath"],"members":{"Arn":{},"LocalMountPath":{}}}},"S32":{"type":"structure","members":{"EntryPoint":{"shape":"S33"},"Command":{"shape":"S33"},"WorkingDirectory":{}}},"S33":{"type":"list","member":{}},"S35":{"type":"list","member":{}},"S37":{"type":"structure","members":{"FunctionName":{},"FunctionArn":{},"Runtime":{},"Role":{},"Handler":{},"CodeSize":{"type":"long"},"Description":{},"Timeout":{"type":"integer"},"MemorySize":{"type":"integer"},"LastModified":{},"CodeSha256":{},"Version":{},"VpcConfig":{"type":"structure","members":{"SubnetIds":{"shape":"S2f"},"SecurityGroupIds":{"shape":"S2h"},"VpcId":{}}},"DeadLetterConfig":{"shape":"S2k"},"Environment":{"type":"structure","members":{"Variables":{"shape":"S2n"},"Error":{"type":"structure","members":{"ErrorCode":{},"Message":{"shape":"S3f"}}}}},"KMSKeyArn":{},"TracingConfig":{"type":"structure","members":{"Mode":{}}},"MasterArn":{},"RevisionId":{},"Layers":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CodeSize":{"type":"long"},"SigningProfileVersionArn":{},"SigningJobArn":{}}}},"State":{},"StateReason":{},"StateReasonCode":{},"LastUpdateStatus":{},"LastUpdateStatusReason":{},"LastUpdateStatusReasonCode":{},"FileSystemConfigs":{"shape":"S2y"},"PackageType":{},"ImageConfigResponse":{"type":"structure","members":{"ImageConfig":{"shape":"S32"},"Error":{"type":"structure","members":{"ErrorCode":{},"Message":{"shape":"S3f"}}}}},"SigningProfileVersionArn":{},"SigningJobArn":{},"Architectures":{"shape":"S35"}}},"S3f":{"type":"string","sensitive":true},"S4e":{"type":"structure","members":{"ReservedConcurrentExecutions":{"type":"integer"}}},"S4m":{"type":"structure","members":{"LastModified":{"type":"timestamp"},"FunctionArn":{},"MaximumRetryAttempts":{"type":"integer"},"MaximumEventAgeInSeconds":{"type":"integer"},"DestinationConfig":{"shape":"S1e"}}},"S4q":{"type":"structure","members":{"Content":{"shape":"S4r"},"LayerArn":{},"LayerVersionArn":{},"Description":{},"CreatedDate":{},"Version":{"type":"long"},"CompatibleRuntimes":{"shape":"S4t"},"LicenseInfo":{},"CompatibleArchitectures":{"shape":"S4v"}}},"S4r":{"type":"structure","members":{"Location":{},"CodeSha256":{},"CodeSize":{"type":"long"},"SigningProfileVersionArn":{},"SigningJobArn":{}}},"S4t":{"type":"list","member":{}},"S4v":{"type":"list","member":{}},"S5w":{"type":"list","member":{"shape":"S37"}},"S64":{"type":"structure","members":{"LayerVersionArn":{},"Version":{"type":"long"},"Description":{},"CreatedDate":{},"CompatibleRuntimes":{"shape":"S4t"},"LicenseInfo":{},"CompatibleArchitectures":{"shape":"S4v"}}}}}');

/***/ }),

/***/ 32057:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAliases":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextMarker","result_key":"Aliases"},"ListCodeSigningConfigs":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextMarker","result_key":"CodeSigningConfigs"},"ListEventSourceMappings":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextMarker","result_key":"EventSourceMappings"},"ListFunctionEventInvokeConfigs":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextMarker","result_key":"FunctionEventInvokeConfigs"},"ListFunctions":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextMarker","result_key":"Functions"},"ListFunctionsByCodeSigningConfig":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextMarker","result_key":"FunctionArns"},"ListLayerVersions":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextMarker","result_key":"LayerVersions"},"ListLayers":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextMarker","result_key":"Layers"},"ListProvisionedConcurrencyConfigs":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextMarker","result_key":"ProvisionedConcurrencyConfigs"},"ListVersionsByFunction":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextMarker","result_key":"Versions"}}}');

/***/ }),

/***/ 40626:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"FunctionExists":{"delay":1,"operation":"GetFunction","maxAttempts":20,"acceptors":[{"state":"success","matcher":"status","expected":200},{"state":"retry","matcher":"error","expected":"ResourceNotFoundException"}]},"FunctionActive":{"delay":5,"maxAttempts":60,"operation":"GetFunctionConfiguration","description":"Waits for the function\'s State to be Active.","acceptors":[{"state":"success","matcher":"path","argument":"State","expected":"Active"},{"state":"failure","matcher":"path","argument":"State","expected":"Failed"},{"state":"retry","matcher":"path","argument":"State","expected":"Pending"}]},"FunctionUpdated":{"delay":5,"maxAttempts":60,"operation":"GetFunctionConfiguration","description":"Waits for the function\'s LastUpdateStatus to be Successful.","acceptors":[{"state":"success","matcher":"path","argument":"LastUpdateStatus","expected":"Successful"},{"state":"failure","matcher":"path","argument":"LastUpdateStatus","expected":"Failed"},{"state":"retry","matcher":"path","argument":"LastUpdateStatus","expected":"InProgress"}]}}}');

/***/ }),

/***/ 96327:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-04-19","endpointPrefix":"models.lex","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Lex Model Building Service","serviceId":"Lex Model Building Service","signatureVersion":"v4","signingName":"lex","uid":"lex-models-2017-04-19"},"operations":{"CreateBotVersion":{"http":{"requestUri":"/bots/{name}/versions","responseCode":201},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"},"checksum":{}}},"output":{"type":"structure","members":{"name":{},"description":{},"intents":{"shape":"S6"},"clarificationPrompt":{"shape":"Sa"},"abortStatement":{"shape":"Si"},"status":{},"failureReason":{},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"idleSessionTTLInSeconds":{"type":"integer"},"voiceId":{},"checksum":{},"version":{},"locale":{},"childDirected":{"type":"boolean"},"enableModelImprovements":{"type":"boolean"},"detectSentiment":{"type":"boolean"}}}},"CreateIntentVersion":{"http":{"requestUri":"/intents/{name}/versions","responseCode":201},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"},"checksum":{}}},"output":{"type":"structure","members":{"name":{},"description":{},"slots":{"shape":"Sq"},"sampleUtterances":{"shape":"S13"},"confirmationPrompt":{"shape":"Sa"},"rejectionStatement":{"shape":"Si"},"followUpPrompt":{"shape":"S14"},"conclusionStatement":{"shape":"Si"},"dialogCodeHook":{"shape":"S15"},"fulfillmentActivity":{"shape":"S18"},"parentIntentSignature":{},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"version":{},"checksum":{},"kendraConfiguration":{"shape":"S1b"},"inputContexts":{"shape":"S1f"},"outputContexts":{"shape":"S1i"}}}},"CreateSlotTypeVersion":{"http":{"requestUri":"/slottypes/{name}/versions","responseCode":201},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"},"checksum":{}}},"output":{"type":"structure","members":{"name":{},"description":{},"enumerationValues":{"shape":"S1q"},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"version":{},"checksum":{},"valueSelectionStrategy":{},"parentSlotTypeSignature":{},"slotTypeConfigurations":{"shape":"S1v"}}}},"DeleteBot":{"http":{"method":"DELETE","requestUri":"/bots/{name}","responseCode":204},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"}}}},"DeleteBotAlias":{"http":{"method":"DELETE","requestUri":"/bots/{botName}/aliases/{name}","responseCode":204},"input":{"type":"structure","required":["name","botName"],"members":{"name":{"location":"uri","locationName":"name"},"botName":{"location":"uri","locationName":"botName"}}}},"DeleteBotChannelAssociation":{"http":{"method":"DELETE","requestUri":"/bots/{botName}/aliases/{aliasName}/channels/{name}","responseCode":204},"input":{"type":"structure","required":["name","botName","botAlias"],"members":{"name":{"location":"uri","locationName":"name"},"botName":{"location":"uri","locationName":"botName"},"botAlias":{"location":"uri","locationName":"aliasName"}}}},"DeleteBotVersion":{"http":{"method":"DELETE","requestUri":"/bots/{name}/versions/{version}","responseCode":204},"input":{"type":"structure","required":["name","version"],"members":{"name":{"location":"uri","locationName":"name"},"version":{"location":"uri","locationName":"version"}}}},"DeleteIntent":{"http":{"method":"DELETE","requestUri":"/intents/{name}","responseCode":204},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"}}}},"DeleteIntentVersion":{"http":{"method":"DELETE","requestUri":"/intents/{name}/versions/{version}","responseCode":204},"input":{"type":"structure","required":["name","version"],"members":{"name":{"location":"uri","locationName":"name"},"version":{"location":"uri","locationName":"version"}}}},"DeleteSlotType":{"http":{"method":"DELETE","requestUri":"/slottypes/{name}","responseCode":204},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"}}}},"DeleteSlotTypeVersion":{"http":{"method":"DELETE","requestUri":"/slottypes/{name}/version/{version}","responseCode":204},"input":{"type":"structure","required":["name","version"],"members":{"name":{"location":"uri","locationName":"name"},"version":{"location":"uri","locationName":"version"}}}},"DeleteUtterances":{"http":{"method":"DELETE","requestUri":"/bots/{botName}/utterances/{userId}","responseCode":204},"input":{"type":"structure","required":["botName","userId"],"members":{"botName":{"location":"uri","locationName":"botName"},"userId":{"location":"uri","locationName":"userId"}}}},"GetBot":{"http":{"method":"GET","requestUri":"/bots/{name}/versions/{versionoralias}","responseCode":200},"input":{"type":"structure","required":["name","versionOrAlias"],"members":{"name":{"location":"uri","locationName":"name"},"versionOrAlias":{"location":"uri","locationName":"versionoralias"}}},"output":{"type":"structure","members":{"name":{},"description":{},"intents":{"shape":"S6"},"enableModelImprovements":{"type":"boolean"},"nluIntentConfidenceThreshold":{"type":"double"},"clarificationPrompt":{"shape":"Sa"},"abortStatement":{"shape":"Si"},"status":{},"failureReason":{},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"idleSessionTTLInSeconds":{"type":"integer"},"voiceId":{},"checksum":{},"version":{},"locale":{},"childDirected":{"type":"boolean"},"detectSentiment":{"type":"boolean"}}}},"GetBotAlias":{"http":{"method":"GET","requestUri":"/bots/{botName}/aliases/{name}","responseCode":200},"input":{"type":"structure","required":["name","botName"],"members":{"name":{"location":"uri","locationName":"name"},"botName":{"location":"uri","locationName":"botName"}}},"output":{"type":"structure","members":{"name":{},"description":{},"botVersion":{},"botName":{},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"checksum":{},"conversationLogs":{"shape":"S2h"}}}},"GetBotAliases":{"http":{"method":"GET","requestUri":"/bots/{botName}/aliases/","responseCode":200},"input":{"type":"structure","required":["botName"],"members":{"botName":{"location":"uri","locationName":"botName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nameContains":{"location":"querystring","locationName":"nameContains"}}},"output":{"type":"structure","members":{"BotAliases":{"type":"list","member":{"type":"structure","members":{"name":{},"description":{},"botVersion":{},"botName":{},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"checksum":{},"conversationLogs":{"shape":"S2h"}}}},"nextToken":{}}}},"GetBotChannelAssociation":{"http":{"method":"GET","requestUri":"/bots/{botName}/aliases/{aliasName}/channels/{name}","responseCode":200},"input":{"type":"structure","required":["name","botName","botAlias"],"members":{"name":{"location":"uri","locationName":"name"},"botName":{"location":"uri","locationName":"botName"},"botAlias":{"location":"uri","locationName":"aliasName"}}},"output":{"type":"structure","members":{"name":{},"description":{},"botAlias":{},"botName":{},"createdDate":{"type":"timestamp"},"type":{},"botConfiguration":{"shape":"S2z"},"status":{},"failureReason":{}}}},"GetBotChannelAssociations":{"http":{"method":"GET","requestUri":"/bots/{botName}/aliases/{aliasName}/channels/","responseCode":200},"input":{"type":"structure","required":["botName","botAlias"],"members":{"botName":{"location":"uri","locationName":"botName"},"botAlias":{"location":"uri","locationName":"aliasName"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nameContains":{"location":"querystring","locationName":"nameContains"}}},"output":{"type":"structure","members":{"botChannelAssociations":{"type":"list","member":{"type":"structure","members":{"name":{},"description":{},"botAlias":{},"botName":{},"createdDate":{"type":"timestamp"},"type":{},"botConfiguration":{"shape":"S2z"},"status":{},"failureReason":{}}}},"nextToken":{}}}},"GetBotVersions":{"http":{"method":"GET","requestUri":"/bots/{name}/versions/","responseCode":200},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"bots":{"shape":"S38"},"nextToken":{}}}},"GetBots":{"http":{"method":"GET","requestUri":"/bots/","responseCode":200},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nameContains":{"location":"querystring","locationName":"nameContains"}}},"output":{"type":"structure","members":{"bots":{"shape":"S38"},"nextToken":{}}}},"GetBuiltinIntent":{"http":{"method":"GET","requestUri":"/builtins/intents/{signature}","responseCode":200},"input":{"type":"structure","required":["signature"],"members":{"signature":{"location":"uri","locationName":"signature"}}},"output":{"type":"structure","members":{"signature":{},"supportedLocales":{"shape":"S3e"},"slots":{"type":"list","member":{"type":"structure","members":{"name":{}}}}}}},"GetBuiltinIntents":{"http":{"method":"GET","requestUri":"/builtins/intents/","responseCode":200},"input":{"type":"structure","members":{"locale":{"location":"querystring","locationName":"locale"},"signatureContains":{"location":"querystring","locationName":"signatureContains"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"intents":{"type":"list","member":{"type":"structure","members":{"signature":{},"supportedLocales":{"shape":"S3e"}}}},"nextToken":{}}}},"GetBuiltinSlotTypes":{"http":{"method":"GET","requestUri":"/builtins/slottypes/","responseCode":200},"input":{"type":"structure","members":{"locale":{"location":"querystring","locationName":"locale"},"signatureContains":{"location":"querystring","locationName":"signatureContains"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"slotTypes":{"type":"list","member":{"type":"structure","members":{"signature":{},"supportedLocales":{"shape":"S3e"}}}},"nextToken":{}}}},"GetExport":{"http":{"method":"GET","requestUri":"/exports/","responseCode":200},"input":{"type":"structure","required":["name","version","resourceType","exportType"],"members":{"name":{"location":"querystring","locationName":"name"},"version":{"location":"querystring","locationName":"version"},"resourceType":{"location":"querystring","locationName":"resourceType"},"exportType":{"location":"querystring","locationName":"exportType"}}},"output":{"type":"structure","members":{"name":{},"version":{},"resourceType":{},"exportType":{},"exportStatus":{},"failureReason":{},"url":{}}}},"GetImport":{"http":{"method":"GET","requestUri":"/imports/{importId}","responseCode":200},"input":{"type":"structure","required":["importId"],"members":{"importId":{"location":"uri","locationName":"importId"}}},"output":{"type":"structure","members":{"name":{},"resourceType":{},"mergeStrategy":{},"importId":{},"importStatus":{},"failureReason":{"type":"list","member":{}},"createdDate":{"type":"timestamp"}}}},"GetIntent":{"http":{"method":"GET","requestUri":"/intents/{name}/versions/{version}","responseCode":200},"input":{"type":"structure","required":["name","version"],"members":{"name":{"location":"uri","locationName":"name"},"version":{"location":"uri","locationName":"version"}}},"output":{"type":"structure","members":{"name":{},"description":{},"slots":{"shape":"Sq"},"sampleUtterances":{"shape":"S13"},"confirmationPrompt":{"shape":"Sa"},"rejectionStatement":{"shape":"Si"},"followUpPrompt":{"shape":"S14"},"conclusionStatement":{"shape":"Si"},"dialogCodeHook":{"shape":"S15"},"fulfillmentActivity":{"shape":"S18"},"parentIntentSignature":{},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"version":{},"checksum":{},"kendraConfiguration":{"shape":"S1b"},"inputContexts":{"shape":"S1f"},"outputContexts":{"shape":"S1i"}}}},"GetIntentVersions":{"http":{"method":"GET","requestUri":"/intents/{name}/versions/","responseCode":200},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"intents":{"shape":"S45"},"nextToken":{}}}},"GetIntents":{"http":{"method":"GET","requestUri":"/intents/","responseCode":200},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nameContains":{"location":"querystring","locationName":"nameContains"}}},"output":{"type":"structure","members":{"intents":{"shape":"S45"},"nextToken":{}}}},"GetMigration":{"http":{"method":"GET","requestUri":"/migrations/{migrationId}","responseCode":200},"input":{"type":"structure","required":["migrationId"],"members":{"migrationId":{"location":"uri","locationName":"migrationId"}}},"output":{"type":"structure","members":{"migrationId":{},"v1BotName":{},"v1BotVersion":{},"v1BotLocale":{},"v2BotId":{},"v2BotRole":{},"migrationStatus":{},"migrationStrategy":{},"migrationTimestamp":{"type":"timestamp"},"alerts":{"type":"list","member":{"type":"structure","members":{"type":{},"message":{},"details":{"type":"list","member":{}},"referenceURLs":{"type":"list","member":{}}}}}}}},"GetMigrations":{"http":{"method":"GET","requestUri":"/migrations","responseCode":200},"input":{"type":"structure","members":{"sortByAttribute":{"location":"querystring","locationName":"sortByAttribute"},"sortByOrder":{"location":"querystring","locationName":"sortByOrder"},"v1BotNameContains":{"location":"querystring","locationName":"v1BotNameContains"},"migrationStatusEquals":{"location":"querystring","locationName":"migrationStatusEquals"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"migrationSummaries":{"type":"list","member":{"type":"structure","members":{"migrationId":{},"v1BotName":{},"v1BotVersion":{},"v1BotLocale":{},"v2BotId":{},"v2BotRole":{},"migrationStatus":{},"migrationStrategy":{},"migrationTimestamp":{"type":"timestamp"}}}},"nextToken":{}}}},"GetSlotType":{"http":{"method":"GET","requestUri":"/slottypes/{name}/versions/{version}","responseCode":200},"input":{"type":"structure","required":["name","version"],"members":{"name":{"location":"uri","locationName":"name"},"version":{"location":"uri","locationName":"version"}}},"output":{"type":"structure","members":{"name":{},"description":{},"enumerationValues":{"shape":"S1q"},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"version":{},"checksum":{},"valueSelectionStrategy":{},"parentSlotTypeSignature":{},"slotTypeConfigurations":{"shape":"S1v"}}}},"GetSlotTypeVersions":{"http":{"method":"GET","requestUri":"/slottypes/{name}/versions/","responseCode":200},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"slotTypes":{"shape":"S4x"},"nextToken":{}}}},"GetSlotTypes":{"http":{"method":"GET","requestUri":"/slottypes/","responseCode":200},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nameContains":{"location":"querystring","locationName":"nameContains"}}},"output":{"type":"structure","members":{"slotTypes":{"shape":"S4x"},"nextToken":{}}}},"GetUtterancesView":{"http":{"method":"GET","requestUri":"/bots/{botname}/utterances?view=aggregation","responseCode":200},"input":{"type":"structure","required":["botName","botVersions","statusType"],"members":{"botName":{"location":"uri","locationName":"botname"},"botVersions":{"location":"querystring","locationName":"bot_versions","type":"list","member":{}},"statusType":{"location":"querystring","locationName":"status_type"}}},"output":{"type":"structure","members":{"botName":{},"utterances":{"type":"list","member":{"type":"structure","members":{"botVersion":{},"utterances":{"type":"list","member":{"type":"structure","members":{"utteranceString":{},"count":{"type":"integer"},"distinctUsers":{"type":"integer"},"firstUtteredDate":{"type":"timestamp"},"lastUtteredDate":{"type":"timestamp"}}}}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S5e"}}}},"PutBot":{"http":{"method":"PUT","requestUri":"/bots/{name}/versions/$LATEST","responseCode":200},"input":{"type":"structure","required":["name","locale","childDirected"],"members":{"name":{"location":"uri","locationName":"name"},"description":{},"intents":{"shape":"S6"},"enableModelImprovements":{"type":"boolean"},"nluIntentConfidenceThreshold":{"type":"double"},"clarificationPrompt":{"shape":"Sa"},"abortStatement":{"shape":"Si"},"idleSessionTTLInSeconds":{"type":"integer"},"voiceId":{},"checksum":{},"processBehavior":{},"locale":{},"childDirected":{"type":"boolean"},"detectSentiment":{"type":"boolean"},"createVersion":{"type":"boolean"},"tags":{"shape":"S5e"}}},"output":{"type":"structure","members":{"name":{},"description":{},"intents":{"shape":"S6"},"enableModelImprovements":{"type":"boolean"},"nluIntentConfidenceThreshold":{"type":"double"},"clarificationPrompt":{"shape":"Sa"},"abortStatement":{"shape":"Si"},"status":{},"failureReason":{},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"idleSessionTTLInSeconds":{"type":"integer"},"voiceId":{},"checksum":{},"version":{},"locale":{},"childDirected":{"type":"boolean"},"createVersion":{"type":"boolean"},"detectSentiment":{"type":"boolean"},"tags":{"shape":"S5e"}}}},"PutBotAlias":{"http":{"method":"PUT","requestUri":"/bots/{botName}/aliases/{name}","responseCode":200},"input":{"type":"structure","required":["name","botVersion","botName"],"members":{"name":{"location":"uri","locationName":"name"},"description":{},"botVersion":{},"botName":{"location":"uri","locationName":"botName"},"checksum":{},"conversationLogs":{"type":"structure","required":["logSettings","iamRoleArn"],"members":{"logSettings":{"type":"list","member":{"type":"structure","required":["logType","destination","resourceArn"],"members":{"logType":{},"destination":{},"kmsKeyArn":{},"resourceArn":{}}}},"iamRoleArn":{}}},"tags":{"shape":"S5e"}}},"output":{"type":"structure","members":{"name":{},"description":{},"botVersion":{},"botName":{},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"checksum":{},"conversationLogs":{"shape":"S2h"},"tags":{"shape":"S5e"}}}},"PutIntent":{"http":{"method":"PUT","requestUri":"/intents/{name}/versions/$LATEST","responseCode":200},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"},"description":{},"slots":{"shape":"Sq"},"sampleUtterances":{"shape":"S13"},"confirmationPrompt":{"shape":"Sa"},"rejectionStatement":{"shape":"Si"},"followUpPrompt":{"shape":"S14"},"conclusionStatement":{"shape":"Si"},"dialogCodeHook":{"shape":"S15"},"fulfillmentActivity":{"shape":"S18"},"parentIntentSignature":{},"checksum":{},"createVersion":{"type":"boolean"},"kendraConfiguration":{"shape":"S1b"},"inputContexts":{"shape":"S1f"},"outputContexts":{"shape":"S1i"}}},"output":{"type":"structure","members":{"name":{},"description":{},"slots":{"shape":"Sq"},"sampleUtterances":{"shape":"S13"},"confirmationPrompt":{"shape":"Sa"},"rejectionStatement":{"shape":"Si"},"followUpPrompt":{"shape":"S14"},"conclusionStatement":{"shape":"Si"},"dialogCodeHook":{"shape":"S15"},"fulfillmentActivity":{"shape":"S18"},"parentIntentSignature":{},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"version":{},"checksum":{},"createVersion":{"type":"boolean"},"kendraConfiguration":{"shape":"S1b"},"inputContexts":{"shape":"S1f"},"outputContexts":{"shape":"S1i"}}}},"PutSlotType":{"http":{"method":"PUT","requestUri":"/slottypes/{name}/versions/$LATEST","responseCode":200},"input":{"type":"structure","required":["name"],"members":{"name":{"location":"uri","locationName":"name"},"description":{},"enumerationValues":{"shape":"S1q"},"checksum":{},"valueSelectionStrategy":{},"createVersion":{"type":"boolean"},"parentSlotTypeSignature":{},"slotTypeConfigurations":{"shape":"S1v"}}},"output":{"type":"structure","members":{"name":{},"description":{},"enumerationValues":{"shape":"S1q"},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"version":{},"checksum":{},"valueSelectionStrategy":{},"createVersion":{"type":"boolean"},"parentSlotTypeSignature":{},"slotTypeConfigurations":{"shape":"S1v"}}}},"StartImport":{"http":{"requestUri":"/imports/","responseCode":201},"input":{"type":"structure","required":["payload","resourceType","mergeStrategy"],"members":{"payload":{"type":"blob"},"resourceType":{},"mergeStrategy":{},"tags":{"shape":"S5e"}}},"output":{"type":"structure","members":{"name":{},"resourceType":{},"mergeStrategy":{},"importId":{},"importStatus":{},"tags":{"shape":"S5e"},"createdDate":{"type":"timestamp"}}}},"StartMigration":{"http":{"requestUri":"/migrations","responseCode":202},"input":{"type":"structure","required":["v1BotName","v1BotVersion","v2BotName","v2BotRole","migrationStrategy"],"members":{"v1BotName":{},"v1BotVersion":{},"v2BotName":{},"v2BotRole":{},"migrationStrategy":{}}},"output":{"type":"structure","members":{"v1BotName":{},"v1BotVersion":{},"v1BotLocale":{},"v2BotId":{},"v2BotRole":{},"migrationId":{},"migrationStrategy":{},"migrationTimestamp":{"type":"timestamp"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S5e"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"S6":{"type":"list","member":{"type":"structure","required":["intentName","intentVersion"],"members":{"intentName":{},"intentVersion":{}}}},"Sa":{"type":"structure","required":["messages","maxAttempts"],"members":{"messages":{"shape":"Sb"},"maxAttempts":{"type":"integer"},"responseCard":{}}},"Sb":{"type":"list","member":{"type":"structure","required":["contentType","content"],"members":{"contentType":{},"content":{},"groupNumber":{"type":"integer"}}}},"Si":{"type":"structure","required":["messages"],"members":{"messages":{"shape":"Sb"},"responseCard":{}}},"Sq":{"type":"list","member":{"type":"structure","required":["name","slotConstraint"],"members":{"name":{},"description":{},"slotConstraint":{},"slotType":{},"slotTypeVersion":{},"valueElicitationPrompt":{"shape":"Sa"},"priority":{"type":"integer"},"sampleUtterances":{"type":"list","member":{}},"responseCard":{},"obfuscationSetting":{},"defaultValueSpec":{"type":"structure","required":["defaultValueList"],"members":{"defaultValueList":{"type":"list","member":{"type":"structure","required":["defaultValue"],"members":{"defaultValue":{}}}}}}}}},"S13":{"type":"list","member":{}},"S14":{"type":"structure","required":["prompt","rejectionStatement"],"members":{"prompt":{"shape":"Sa"},"rejectionStatement":{"shape":"Si"}}},"S15":{"type":"structure","required":["uri","messageVersion"],"members":{"uri":{},"messageVersion":{}}},"S18":{"type":"structure","required":["type"],"members":{"type":{},"codeHook":{"shape":"S15"}}},"S1b":{"type":"structure","required":["kendraIndex","role"],"members":{"kendraIndex":{},"queryFilterString":{},"role":{}}},"S1f":{"type":"list","member":{"type":"structure","required":["name"],"members":{"name":{}}}},"S1i":{"type":"list","member":{"type":"structure","required":["name","timeToLiveInSeconds","turnsToLive"],"members":{"name":{},"timeToLiveInSeconds":{"type":"integer"},"turnsToLive":{"type":"integer"}}}},"S1q":{"type":"list","member":{"type":"structure","required":["value"],"members":{"value":{},"synonyms":{"type":"list","member":{}}}}},"S1v":{"type":"list","member":{"type":"structure","members":{"regexConfiguration":{"type":"structure","required":["pattern"],"members":{"pattern":{}}}}}},"S2h":{"type":"structure","members":{"logSettings":{"type":"list","member":{"type":"structure","members":{"logType":{},"destination":{},"kmsKeyArn":{},"resourceArn":{},"resourcePrefix":{}}}},"iamRoleArn":{}}},"S2z":{"type":"map","key":{},"value":{},"sensitive":true},"S38":{"type":"list","member":{"type":"structure","members":{"name":{},"description":{},"status":{},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"version":{}}}},"S3e":{"type":"list","member":{}},"S45":{"type":"list","member":{"type":"structure","members":{"name":{},"description":{},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"version":{}}}},"S4x":{"type":"list","member":{"type":"structure","members":{"name":{},"description":{},"lastUpdatedDate":{"type":"timestamp"},"createdDate":{"type":"timestamp"},"version":{}}}},"S5e":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}}}}');

/***/ }),

/***/ 12348:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetBotAliases":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetBotChannelAssociations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetBotVersions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetBots":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetBuiltinIntents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetBuiltinSlotTypes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetIntentVersions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetIntents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetMigrations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetSlotTypeVersions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetSlotTypes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 19160:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-08-01","endpointPrefix":"license-manager","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS License Manager","serviceId":"License Manager","signatureVersion":"v4","targetPrefix":"AWSLicenseManager","uid":"license-manager-2018-08-01"},"operations":{"AcceptGrant":{"input":{"type":"structure","required":["GrantArn"],"members":{"GrantArn":{}}},"output":{"type":"structure","members":{"GrantArn":{},"Status":{},"Version":{}}}},"CheckInLicense":{"input":{"type":"structure","required":["LicenseConsumptionToken"],"members":{"LicenseConsumptionToken":{},"Beneficiary":{}}},"output":{"type":"structure","members":{}}},"CheckoutBorrowLicense":{"input":{"type":"structure","required":["LicenseArn","Entitlements","DigitalSignatureMethod","ClientToken"],"members":{"LicenseArn":{},"Entitlements":{"shape":"S9"},"DigitalSignatureMethod":{},"NodeId":{},"CheckoutMetadata":{"shape":"Sd"},"ClientToken":{}}},"output":{"type":"structure","members":{"LicenseArn":{},"LicenseConsumptionToken":{},"EntitlementsAllowed":{"shape":"S9"},"NodeId":{},"SignedToken":{},"IssuedAt":{},"Expiration":{},"CheckoutMetadata":{"shape":"Sd"}}}},"CheckoutLicense":{"input":{"type":"structure","required":["ProductSKU","CheckoutType","KeyFingerprint","Entitlements","ClientToken"],"members":{"ProductSKU":{},"CheckoutType":{},"KeyFingerprint":{},"Entitlements":{"shape":"S9"},"ClientToken":{},"Beneficiary":{},"NodeId":{}}},"output":{"type":"structure","members":{"CheckoutType":{},"LicenseConsumptionToken":{},"EntitlementsAllowed":{"shape":"S9"},"SignedToken":{},"NodeId":{},"IssuedAt":{},"Expiration":{},"LicenseArn":{}}}},"CreateGrant":{"input":{"type":"structure","required":["ClientToken","GrantName","LicenseArn","Principals","HomeRegion","AllowedOperations"],"members":{"ClientToken":{},"GrantName":{},"LicenseArn":{},"Principals":{"type":"list","member":{}},"HomeRegion":{},"AllowedOperations":{"shape":"So"}}},"output":{"type":"structure","members":{"GrantArn":{},"Status":{},"Version":{}}}},"CreateGrantVersion":{"input":{"type":"structure","required":["ClientToken","GrantArn"],"members":{"ClientToken":{},"GrantArn":{},"GrantName":{},"AllowedOperations":{"shape":"So"},"Status":{},"StatusReason":{},"SourceVersion":{}}},"output":{"type":"structure","members":{"GrantArn":{},"Status":{},"Version":{}}}},"CreateLicense":{"input":{"type":"structure","required":["LicenseName","ProductName","ProductSKU","Issuer","HomeRegion","Validity","Entitlements","Beneficiary","ConsumptionConfiguration","ClientToken"],"members":{"LicenseName":{},"ProductName":{},"ProductSKU":{},"Issuer":{"shape":"Sv"},"HomeRegion":{},"Validity":{"shape":"Sw"},"Entitlements":{"shape":"Sx"},"Beneficiary":{},"ConsumptionConfiguration":{"shape":"S12"},"LicenseMetadata":{"shape":"Sd"},"ClientToken":{}}},"output":{"type":"structure","members":{"LicenseArn":{},"Status":{},"Version":{}}}},"CreateLicenseConfiguration":{"input":{"type":"structure","required":["Name","LicenseCountingType"],"members":{"Name":{},"Description":{},"LicenseCountingType":{},"LicenseCount":{"type":"long"},"LicenseCountHardLimit":{"type":"boolean"},"LicenseRules":{"shape":"S1c"},"Tags":{"shape":"S1d"},"DisassociateWhenNotFound":{"type":"boolean"},"ProductInformationList":{"shape":"S1f"}}},"output":{"type":"structure","members":{"LicenseConfigurationArn":{}}}},"CreateLicenseConversionTaskForResource":{"input":{"type":"structure","required":["ResourceArn","SourceLicenseContext","DestinationLicenseContext"],"members":{"ResourceArn":{},"SourceLicenseContext":{"shape":"S1l"},"DestinationLicenseContext":{"shape":"S1l"}}},"output":{"type":"structure","members":{"LicenseConversionTaskId":{}}}},"CreateLicenseManagerReportGenerator":{"input":{"type":"structure","required":["ReportGeneratorName","Type","ReportContext","ReportFrequency","ClientToken"],"members":{"ReportGeneratorName":{},"Type":{"shape":"S1r"},"ReportContext":{"shape":"S1t"},"ReportFrequency":{"shape":"S1v"},"ClientToken":{},"Description":{},"Tags":{"shape":"S1d"}}},"output":{"type":"structure","members":{"LicenseManagerReportGeneratorArn":{}}}},"CreateLicenseVersion":{"input":{"type":"structure","required":["LicenseArn","LicenseName","ProductName","Issuer","HomeRegion","Validity","Entitlements","ConsumptionConfiguration","Status","ClientToken"],"members":{"LicenseArn":{},"LicenseName":{},"ProductName":{},"Issuer":{"shape":"Sv"},"HomeRegion":{},"Validity":{"shape":"Sw"},"LicenseMetadata":{"shape":"Sd"},"Entitlements":{"shape":"Sx"},"ConsumptionConfiguration":{"shape":"S12"},"Status":{},"ClientToken":{},"SourceVersion":{}}},"output":{"type":"structure","members":{"LicenseArn":{},"Version":{},"Status":{}}}},"CreateToken":{"input":{"type":"structure","required":["LicenseArn","ClientToken"],"members":{"LicenseArn":{},"RoleArns":{"shape":"S1u"},"ExpirationInDays":{"type":"integer"},"TokenProperties":{"shape":"S23"},"ClientToken":{}}},"output":{"type":"structure","members":{"TokenId":{},"TokenType":{},"Token":{}}}},"DeleteGrant":{"input":{"type":"structure","required":["GrantArn","Version"],"members":{"GrantArn":{},"StatusReason":{},"Version":{}}},"output":{"type":"structure","members":{"GrantArn":{},"Status":{},"Version":{}}}},"DeleteLicense":{"input":{"type":"structure","required":["LicenseArn","SourceVersion"],"members":{"LicenseArn":{},"SourceVersion":{}}},"output":{"type":"structure","members":{"Status":{},"DeletionDate":{}}}},"DeleteLicenseConfiguration":{"input":{"type":"structure","required":["LicenseConfigurationArn"],"members":{"LicenseConfigurationArn":{}}},"output":{"type":"structure","members":{}}},"DeleteLicenseManagerReportGenerator":{"input":{"type":"structure","required":["LicenseManagerReportGeneratorArn"],"members":{"LicenseManagerReportGeneratorArn":{}}},"output":{"type":"structure","members":{}}},"DeleteToken":{"input":{"type":"structure","required":["TokenId"],"members":{"TokenId":{}}},"output":{"type":"structure","members":{}}},"ExtendLicenseConsumption":{"input":{"type":"structure","required":["LicenseConsumptionToken"],"members":{"LicenseConsumptionToken":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"LicenseConsumptionToken":{},"Expiration":{}}}},"GetAccessToken":{"input":{"type":"structure","required":["Token"],"members":{"Token":{},"TokenProperties":{"shape":"S23"}}},"output":{"type":"structure","members":{"AccessToken":{}}}},"GetGrant":{"input":{"type":"structure","required":["GrantArn"],"members":{"GrantArn":{},"Version":{}}},"output":{"type":"structure","members":{"Grant":{"shape":"S2p"}}}},"GetLicense":{"input":{"type":"structure","required":["LicenseArn"],"members":{"LicenseArn":{},"Version":{}}},"output":{"type":"structure","members":{"License":{"shape":"S2s"}}}},"GetLicenseConfiguration":{"input":{"type":"structure","required":["LicenseConfigurationArn"],"members":{"LicenseConfigurationArn":{}}},"output":{"type":"structure","members":{"LicenseConfigurationId":{},"LicenseConfigurationArn":{},"Name":{},"Description":{},"LicenseCountingType":{},"LicenseRules":{"shape":"S1c"},"LicenseCount":{"type":"long"},"LicenseCountHardLimit":{"type":"boolean"},"ConsumedLicenses":{"type":"long"},"Status":{},"OwnerAccountId":{},"ConsumedLicenseSummaryList":{"shape":"S2w"},"ManagedResourceSummaryList":{"shape":"S2z"},"Tags":{"shape":"S1d"},"ProductInformationList":{"shape":"S1f"},"AutomatedDiscoveryInformation":{"shape":"S31"},"DisassociateWhenNotFound":{"type":"boolean"}}}},"GetLicenseConversionTask":{"input":{"type":"structure","required":["LicenseConversionTaskId"],"members":{"LicenseConversionTaskId":{}}},"output":{"type":"structure","members":{"LicenseConversionTaskId":{},"ResourceArn":{},"SourceLicenseContext":{"shape":"S1l"},"DestinationLicenseContext":{"shape":"S1l"},"StatusMessage":{},"Status":{},"StartTime":{"type":"timestamp"},"LicenseConversionTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}}},"GetLicenseManagerReportGenerator":{"input":{"type":"structure","required":["LicenseManagerReportGeneratorArn"],"members":{"LicenseManagerReportGeneratorArn":{}}},"output":{"type":"structure","members":{"ReportGenerator":{"shape":"S38"}}}},"GetLicenseUsage":{"input":{"type":"structure","required":["LicenseArn"],"members":{"LicenseArn":{}}},"output":{"type":"structure","members":{"LicenseUsage":{"type":"structure","members":{"EntitlementUsages":{"type":"list","member":{"type":"structure","required":["Name","ConsumedValue","Unit"],"members":{"Name":{},"ConsumedValue":{},"MaxCount":{},"Unit":{}}}}}}}}},"GetServiceSettings":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"S3BucketArn":{},"SnsTopicArn":{},"OrganizationConfiguration":{"shape":"S3h"},"EnableCrossAccountsDiscovery":{"type":"boolean"},"LicenseManagerResourceShareArn":{}}}},"ListAssociationsForLicenseConfiguration":{"input":{"type":"structure","required":["LicenseConfigurationArn"],"members":{"LicenseConfigurationArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"LicenseConfigurationAssociations":{"type":"list","member":{"type":"structure","members":{"ResourceArn":{},"ResourceType":{},"ResourceOwnerId":{},"AssociationTime":{"type":"timestamp"},"AmiAssociationScope":{}}}},"NextToken":{}}}},"ListDistributedGrants":{"input":{"type":"structure","members":{"GrantArns":{"shape":"S1u"},"Filters":{"shape":"S3n"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Grants":{"shape":"S3u"},"NextToken":{}}}},"ListFailuresForLicenseConfigurationOperations":{"input":{"type":"structure","required":["LicenseConfigurationArn"],"members":{"LicenseConfigurationArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"LicenseOperationFailureList":{"type":"list","member":{"type":"structure","members":{"ResourceArn":{},"ResourceType":{},"ErrorMessage":{},"FailureTime":{"type":"timestamp"},"OperationName":{},"ResourceOwnerId":{},"OperationRequestedBy":{},"MetadataList":{"shape":"Sd"}}}},"NextToken":{}}}},"ListLicenseConfigurations":{"input":{"type":"structure","members":{"LicenseConfigurationArns":{"shape":"S1c"},"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"S40"}}},"output":{"type":"structure","members":{"LicenseConfigurations":{"type":"list","member":{"type":"structure","members":{"LicenseConfigurationId":{},"LicenseConfigurationArn":{},"Name":{},"Description":{},"LicenseCountingType":{},"LicenseRules":{"shape":"S1c"},"LicenseCount":{"type":"long"},"LicenseCountHardLimit":{"type":"boolean"},"DisassociateWhenNotFound":{"type":"boolean"},"ConsumedLicenses":{"type":"long"},"Status":{},"OwnerAccountId":{},"ConsumedLicenseSummaryList":{"shape":"S2w"},"ManagedResourceSummaryList":{"shape":"S2z"},"ProductInformationList":{"shape":"S1f"},"AutomatedDiscoveryInformation":{"shape":"S31"}}}},"NextToken":{}}}},"ListLicenseConversionTasks":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"shape":"S40"}}},"output":{"type":"structure","members":{"LicenseConversionTasks":{"type":"list","member":{"type":"structure","members":{"LicenseConversionTaskId":{},"ResourceArn":{},"SourceLicenseContext":{"shape":"S1l"},"DestinationLicenseContext":{"shape":"S1l"},"Status":{},"StatusMessage":{},"StartTime":{"type":"timestamp"},"LicenseConversionTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListLicenseManagerReportGenerators":{"input":{"type":"structure","members":{"Filters":{"shape":"S3n"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ReportGenerators":{"type":"list","member":{"shape":"S38"}},"NextToken":{}}}},"ListLicenseSpecificationsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"LicenseSpecifications":{"shape":"S4d"},"NextToken":{}}}},"ListLicenseVersions":{"input":{"type":"structure","required":["LicenseArn"],"members":{"LicenseArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Licenses":{"shape":"S4h"},"NextToken":{}}}},"ListLicenses":{"input":{"type":"structure","members":{"LicenseArns":{"shape":"S1u"},"Filters":{"shape":"S3n"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Licenses":{"shape":"S4h"},"NextToken":{}}}},"ListReceivedGrants":{"input":{"type":"structure","members":{"GrantArns":{"shape":"S1u"},"Filters":{"shape":"S3n"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Grants":{"shape":"S3u"},"NextToken":{}}}},"ListReceivedLicenses":{"input":{"type":"structure","members":{"LicenseArns":{"shape":"S1u"},"Filters":{"shape":"S3n"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Licenses":{"type":"list","member":{"type":"structure","members":{"LicenseArn":{},"LicenseName":{},"ProductName":{},"ProductSKU":{},"Issuer":{"shape":"S2t"},"HomeRegion":{},"Status":{},"Validity":{"shape":"Sw"},"Beneficiary":{},"Entitlements":{"shape":"Sx"},"ConsumptionConfiguration":{"shape":"S12"},"LicenseMetadata":{"shape":"Sd"},"CreateTime":{},"Version":{},"ReceivedMetadata":{"type":"structure","members":{"ReceivedStatus":{},"ReceivedStatusReason":{},"AllowedOperations":{"shape":"So"}}}}}},"NextToken":{}}}},"ListResourceInventory":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"type":"list","member":{"type":"structure","required":["Name","Condition"],"members":{"Name":{},"Condition":{},"Value":{}}}}}},"output":{"type":"structure","members":{"ResourceInventoryList":{"type":"list","member":{"type":"structure","members":{"ResourceId":{},"ResourceType":{},"ResourceArn":{},"Platform":{},"PlatformVersion":{},"ResourceOwningAccountId":{}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S1d"}}}},"ListTokens":{"input":{"type":"structure","members":{"TokenIds":{"shape":"S1c"},"Filters":{"shape":"S3n"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Tokens":{"type":"list","member":{"type":"structure","members":{"TokenId":{},"TokenType":{},"LicenseArn":{},"ExpirationTime":{},"TokenProperties":{"shape":"S23"},"RoleArns":{"shape":"S1u"},"Status":{}}}},"NextToken":{}}}},"ListUsageForLicenseConfiguration":{"input":{"type":"structure","required":["LicenseConfigurationArn"],"members":{"LicenseConfigurationArn":{},"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"S40"}}},"output":{"type":"structure","members":{"LicenseConfigurationUsageList":{"type":"list","member":{"type":"structure","members":{"ResourceArn":{},"ResourceType":{},"ResourceStatus":{},"ResourceOwnerId":{},"AssociationTime":{"type":"timestamp"},"ConsumedLicenses":{"type":"long"}}}},"NextToken":{}}}},"RejectGrant":{"input":{"type":"structure","required":["GrantArn"],"members":{"GrantArn":{}}},"output":{"type":"structure","members":{"GrantArn":{},"Status":{},"Version":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S1d"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateLicenseConfiguration":{"input":{"type":"structure","required":["LicenseConfigurationArn"],"members":{"LicenseConfigurationArn":{},"LicenseConfigurationStatus":{},"LicenseRules":{"shape":"S1c"},"LicenseCount":{"type":"long"},"LicenseCountHardLimit":{"type":"boolean"},"Name":{},"Description":{},"ProductInformationList":{"shape":"S1f"},"DisassociateWhenNotFound":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"UpdateLicenseManagerReportGenerator":{"input":{"type":"structure","required":["LicenseManagerReportGeneratorArn","ReportGeneratorName","Type","ReportContext","ReportFrequency","ClientToken"],"members":{"LicenseManagerReportGeneratorArn":{},"ReportGeneratorName":{},"Type":{"shape":"S1r"},"ReportContext":{"shape":"S1t"},"ReportFrequency":{"shape":"S1v"},"ClientToken":{},"Description":{}}},"output":{"type":"structure","members":{}}},"UpdateLicenseSpecificationsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"AddLicenseSpecifications":{"shape":"S4d"},"RemoveLicenseSpecifications":{"shape":"S4d"}}},"output":{"type":"structure","members":{}}},"UpdateServiceSettings":{"input":{"type":"structure","members":{"S3BucketArn":{},"SnsTopicArn":{},"OrganizationConfiguration":{"shape":"S3h"},"EnableCrossAccountsDiscovery":{"type":"boolean"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S9":{"type":"list","member":{"type":"structure","required":["Name","Unit"],"members":{"Name":{},"Value":{},"Unit":{}}}},"Sd":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{}}}},"So":{"type":"list","member":{}},"Sv":{"type":"structure","required":["Name"],"members":{"Name":{},"SignKey":{}}},"Sw":{"type":"structure","required":["Begin"],"members":{"Begin":{},"End":{}}},"Sx":{"type":"list","member":{"type":"structure","required":["Name","Unit"],"members":{"Name":{},"Value":{},"MaxCount":{"type":"long"},"Overage":{"type":"boolean"},"Unit":{},"AllowCheckIn":{"type":"boolean"}}}},"S12":{"type":"structure","members":{"RenewType":{},"ProvisionalConfiguration":{"type":"structure","required":["MaxTimeToLiveInMinutes"],"members":{"MaxTimeToLiveInMinutes":{"type":"integer"}}},"BorrowConfiguration":{"type":"structure","required":["AllowEarlyCheckIn","MaxTimeToLiveInMinutes"],"members":{"AllowEarlyCheckIn":{"type":"boolean"},"MaxTimeToLiveInMinutes":{"type":"integer"}}}}},"S1c":{"type":"list","member":{}},"S1d":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"S1f":{"type":"list","member":{"type":"structure","required":["ResourceType","ProductInformationFilterList"],"members":{"ResourceType":{},"ProductInformationFilterList":{"type":"list","member":{"type":"structure","required":["ProductInformationFilterName","ProductInformationFilterComparator"],"members":{"ProductInformationFilterName":{},"ProductInformationFilterValue":{"shape":"S1c"},"ProductInformationFilterComparator":{}}}}}}},"S1l":{"type":"structure","members":{"UsageOperation":{}}},"S1r":{"type":"list","member":{}},"S1t":{"type":"structure","required":["licenseConfigurationArns"],"members":{"licenseConfigurationArns":{"shape":"S1u"}}},"S1u":{"type":"list","member":{}},"S1v":{"type":"structure","members":{"value":{"type":"integer"},"period":{}}},"S23":{"type":"list","member":{}},"S2p":{"type":"structure","required":["GrantArn","GrantName","ParentArn","LicenseArn","GranteePrincipalArn","HomeRegion","GrantStatus","Version","GrantedOperations"],"members":{"GrantArn":{},"GrantName":{},"ParentArn":{},"LicenseArn":{},"GranteePrincipalArn":{},"HomeRegion":{},"GrantStatus":{},"StatusReason":{},"Version":{},"GrantedOperations":{"shape":"So"}}},"S2s":{"type":"structure","members":{"LicenseArn":{},"LicenseName":{},"ProductName":{},"ProductSKU":{},"Issuer":{"shape":"S2t"},"HomeRegion":{},"Status":{},"Validity":{"shape":"Sw"},"Beneficiary":{},"Entitlements":{"shape":"Sx"},"ConsumptionConfiguration":{"shape":"S12"},"LicenseMetadata":{"shape":"Sd"},"CreateTime":{},"Version":{}}},"S2t":{"type":"structure","members":{"Name":{},"SignKey":{},"KeyFingerprint":{}}},"S2w":{"type":"list","member":{"type":"structure","members":{"ResourceType":{},"ConsumedLicenses":{"type":"long"}}}},"S2z":{"type":"list","member":{"type":"structure","members":{"ResourceType":{},"AssociationCount":{"type":"long"}}}},"S31":{"type":"structure","members":{"LastRunTime":{"type":"timestamp"}}},"S38":{"type":"structure","members":{"ReportGeneratorName":{},"ReportType":{"shape":"S1r"},"ReportContext":{"shape":"S1t"},"ReportFrequency":{"shape":"S1v"},"LicenseManagerReportGeneratorArn":{},"LastRunStatus":{},"LastRunFailureReason":{},"LastReportGenerationTime":{},"ReportCreatorAccount":{},"Description":{},"S3Location":{"type":"structure","members":{"bucket":{},"keyPrefix":{}}},"CreateTime":{},"Tags":{"shape":"S1d"}}},"S3h":{"type":"structure","required":["EnableIntegration"],"members":{"EnableIntegration":{"type":"boolean"}}},"S3n":{"type":"list","member":{"shape":"S3o"}},"S3o":{"type":"structure","members":{"Name":{},"Values":{"type":"list","member":{}}}},"S3u":{"type":"list","member":{"shape":"S2p"}},"S40":{"type":"list","member":{"shape":"S3o"}},"S4d":{"type":"list","member":{"type":"structure","required":["LicenseConfigurationArn"],"members":{"LicenseConfigurationArn":{},"AmiAssociationScope":{}}}},"S4h":{"type":"list","member":{"shape":"S2s"}}}}');

/***/ }),

/***/ 77552:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 94784:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-11-28","endpointPrefix":"lightsail","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Lightsail","serviceId":"Lightsail","signatureVersion":"v4","targetPrefix":"Lightsail_20161128","uid":"lightsail-2016-11-28"},"operations":{"AllocateStaticIp":{"input":{"type":"structure","required":["staticIpName"],"members":{"staticIpName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"AttachCertificateToDistribution":{"input":{"type":"structure","required":["distributionName","certificateName"],"members":{"distributionName":{},"certificateName":{}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"AttachDisk":{"input":{"type":"structure","required":["diskName","instanceName","diskPath"],"members":{"diskName":{},"instanceName":{},"diskPath":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"AttachInstancesToLoadBalancer":{"input":{"type":"structure","required":["loadBalancerName","instanceNames"],"members":{"loadBalancerName":{},"instanceNames":{"shape":"Sk"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"AttachLoadBalancerTlsCertificate":{"input":{"type":"structure","required":["loadBalancerName","certificateName"],"members":{"loadBalancerName":{},"certificateName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"AttachStaticIp":{"input":{"type":"structure","required":["staticIpName","instanceName"],"members":{"staticIpName":{},"instanceName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CloseInstancePublicPorts":{"input":{"type":"structure","required":["portInfo","instanceName"],"members":{"portInfo":{"shape":"Sr"},"instanceName":{}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"CopySnapshot":{"input":{"type":"structure","required":["targetSnapshotName","sourceRegion"],"members":{"sourceSnapshotName":{},"sourceResourceName":{},"restoreDate":{},"useLatestRestorableAutoSnapshot":{"type":"boolean"},"targetSnapshotName":{},"sourceRegion":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateBucket":{"input":{"type":"structure","required":["bucketName","bundleId"],"members":{"bucketName":{},"bundleId":{},"tags":{"shape":"S10"},"enableObjectVersioning":{"type":"boolean"}}},"output":{"type":"structure","members":{"bucket":{"shape":"S15"},"operations":{"shape":"S4"}}}},"CreateBucketAccessKey":{"input":{"type":"structure","required":["bucketName"],"members":{"bucketName":{}}},"output":{"type":"structure","members":{"accessKey":{"shape":"S1g"},"operations":{"shape":"S4"}}}},"CreateCertificate":{"input":{"type":"structure","required":["certificateName","domainName"],"members":{"certificateName":{},"domainName":{},"subjectAlternativeNames":{"shape":"S1n"},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"certificate":{"shape":"S1p"},"operations":{"shape":"S4"}}}},"CreateCloudFormationStack":{"input":{"type":"structure","required":["instances"],"members":{"instances":{"type":"list","member":{"type":"structure","required":["sourceName","instanceType","portInfoSource","availabilityZone"],"members":{"sourceName":{},"instanceType":{},"portInfoSource":{},"userData":{},"availabilityZone":{}}}}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateContactMethod":{"input":{"type":"structure","required":["protocol","contactEndpoint"],"members":{"protocol":{},"contactEndpoint":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateContainerService":{"input":{"type":"structure","required":["serviceName","power","scale"],"members":{"serviceName":{},"power":{},"scale":{"type":"integer"},"tags":{"shape":"S10"},"publicDomainNames":{"shape":"S2i"},"deployment":{"type":"structure","members":{"containers":{"shape":"S2l"},"publicEndpoint":{"shape":"S2r"}}}}},"output":{"type":"structure","members":{"containerService":{"shape":"S2v"}}}},"CreateContainerServiceDeployment":{"input":{"type":"structure","required":["serviceName"],"members":{"serviceName":{},"containers":{"shape":"S2l"},"publicEndpoint":{"shape":"S2r"}}},"output":{"type":"structure","members":{"containerService":{"shape":"S2v"}}}},"CreateContainerServiceRegistryLogin":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"registryLogin":{"type":"structure","members":{"username":{},"password":{},"expiresAt":{"type":"timestamp"},"registry":{}}}}}},"CreateDisk":{"input":{"type":"structure","required":["diskName","availabilityZone","sizeInGb"],"members":{"diskName":{},"availabilityZone":{},"sizeInGb":{"type":"integer"},"tags":{"shape":"S10"},"addOns":{"shape":"S38"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateDiskFromSnapshot":{"input":{"type":"structure","required":["diskName","availabilityZone","sizeInGb"],"members":{"diskName":{},"diskSnapshotName":{},"availabilityZone":{},"sizeInGb":{"type":"integer"},"tags":{"shape":"S10"},"addOns":{"shape":"S38"},"sourceDiskName":{},"restoreDate":{},"useLatestRestorableAutoSnapshot":{"type":"boolean"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateDiskSnapshot":{"input":{"type":"structure","required":["diskSnapshotName"],"members":{"diskName":{},"diskSnapshotName":{},"instanceName":{},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateDistribution":{"input":{"type":"structure","required":["distributionName","origin","defaultCacheBehavior","bundleId"],"members":{"distributionName":{},"origin":{"shape":"S3j"},"defaultCacheBehavior":{"shape":"S3l"},"cacheBehaviorSettings":{"shape":"S3n"},"cacheBehaviors":{"shape":"S3v"},"bundleId":{},"ipAddressType":{},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"distribution":{"shape":"S3z"},"operation":{"shape":"S5"}}}},"CreateDomain":{"input":{"type":"structure","required":["domainName"],"members":{"domainName":{},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"CreateDomainEntry":{"input":{"type":"structure","required":["domainName","domainEntry"],"members":{"domainName":{},"domainEntry":{"shape":"S44"}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"CreateInstanceSnapshot":{"input":{"type":"structure","required":["instanceSnapshotName","instanceName"],"members":{"instanceSnapshotName":{},"instanceName":{},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateInstances":{"input":{"type":"structure","required":["instanceNames","availabilityZone","blueprintId","bundleId"],"members":{"instanceNames":{"shape":"Su"},"availabilityZone":{},"customImageName":{"deprecated":true},"blueprintId":{},"bundleId":{},"userData":{},"keyPairName":{},"tags":{"shape":"S10"},"addOns":{"shape":"S38"},"ipAddressType":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateInstancesFromSnapshot":{"input":{"type":"structure","required":["instanceNames","availabilityZone","bundleId"],"members":{"instanceNames":{"shape":"Su"},"attachedDiskMapping":{"type":"map","key":{},"value":{"type":"list","member":{"type":"structure","members":{"originalDiskPath":{},"newDiskName":{}}}}},"availabilityZone":{},"instanceSnapshotName":{},"bundleId":{},"userData":{},"keyPairName":{},"tags":{"shape":"S10"},"addOns":{"shape":"S38"},"ipAddressType":{},"sourceInstanceName":{},"restoreDate":{},"useLatestRestorableAutoSnapshot":{"type":"boolean"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateKeyPair":{"input":{"type":"structure","required":["keyPairName"],"members":{"keyPairName":{},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"keyPair":{"shape":"S4k"},"publicKeyBase64":{},"privateKeyBase64":{},"operation":{"shape":"S5"}}}},"CreateLoadBalancer":{"input":{"type":"structure","required":["loadBalancerName","instancePort"],"members":{"loadBalancerName":{},"instancePort":{"type":"integer"},"healthCheckPath":{},"certificateName":{},"certificateDomainName":{},"certificateAlternativeNames":{"shape":"S4n"},"tags":{"shape":"S10"},"ipAddressType":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateLoadBalancerTlsCertificate":{"input":{"type":"structure","required":["loadBalancerName","certificateName","certificateDomainName"],"members":{"loadBalancerName":{},"certificateName":{},"certificateDomainName":{},"certificateAlternativeNames":{"shape":"S4n"},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateRelationalDatabase":{"input":{"type":"structure","required":["relationalDatabaseName","relationalDatabaseBlueprintId","relationalDatabaseBundleId","masterDatabaseName","masterUsername"],"members":{"relationalDatabaseName":{},"availabilityZone":{},"relationalDatabaseBlueprintId":{},"relationalDatabaseBundleId":{},"masterDatabaseName":{},"masterUsername":{},"masterUserPassword":{"shape":"S4s"},"preferredBackupWindow":{},"preferredMaintenanceWindow":{},"publiclyAccessible":{"type":"boolean"},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateRelationalDatabaseFromSnapshot":{"input":{"type":"structure","required":["relationalDatabaseName"],"members":{"relationalDatabaseName":{},"availabilityZone":{},"publiclyAccessible":{"type":"boolean"},"relationalDatabaseSnapshotName":{},"relationalDatabaseBundleId":{},"sourceRelationalDatabaseName":{},"restoreTime":{"type":"timestamp"},"useLatestRestorableTime":{"type":"boolean"},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"CreateRelationalDatabaseSnapshot":{"input":{"type":"structure","required":["relationalDatabaseName","relationalDatabaseSnapshotName"],"members":{"relationalDatabaseName":{},"relationalDatabaseSnapshotName":{},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteAlarm":{"input":{"type":"structure","required":["alarmName"],"members":{"alarmName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteAutoSnapshot":{"input":{"type":"structure","required":["resourceName","date"],"members":{"resourceName":{},"date":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteBucket":{"input":{"type":"structure","required":["bucketName"],"members":{"bucketName":{},"forceDelete":{"type":"boolean"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteBucketAccessKey":{"input":{"type":"structure","required":["bucketName","accessKeyId"],"members":{"bucketName":{},"accessKeyId":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteCertificate":{"input":{"type":"structure","required":["certificateName"],"members":{"certificateName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteContactMethod":{"input":{"type":"structure","required":["protocol"],"members":{"protocol":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteContainerImage":{"input":{"type":"structure","required":["serviceName","image"],"members":{"serviceName":{},"image":{}}},"output":{"type":"structure","members":{}}},"DeleteContainerService":{"input":{"type":"structure","required":["serviceName"],"members":{"serviceName":{}}},"output":{"type":"structure","members":{}}},"DeleteDisk":{"input":{"type":"structure","required":["diskName"],"members":{"diskName":{},"forceDeleteAddOns":{"type":"boolean"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteDiskSnapshot":{"input":{"type":"structure","required":["diskSnapshotName"],"members":{"diskSnapshotName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteDistribution":{"input":{"type":"structure","members":{"distributionName":{}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"DeleteDomain":{"input":{"type":"structure","required":["domainName"],"members":{"domainName":{}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"DeleteDomainEntry":{"input":{"type":"structure","required":["domainName","domainEntry"],"members":{"domainName":{},"domainEntry":{"shape":"S44"}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"DeleteInstance":{"input":{"type":"structure","required":["instanceName"],"members":{"instanceName":{},"forceDeleteAddOns":{"type":"boolean"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteInstanceSnapshot":{"input":{"type":"structure","required":["instanceSnapshotName"],"members":{"instanceSnapshotName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteKeyPair":{"input":{"type":"structure","required":["keyPairName"],"members":{"keyPairName":{}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"DeleteKnownHostKeys":{"input":{"type":"structure","required":["instanceName"],"members":{"instanceName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteLoadBalancer":{"input":{"type":"structure","required":["loadBalancerName"],"members":{"loadBalancerName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteLoadBalancerTlsCertificate":{"input":{"type":"structure","required":["loadBalancerName","certificateName"],"members":{"loadBalancerName":{},"certificateName":{},"force":{"type":"boolean"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteRelationalDatabase":{"input":{"type":"structure","required":["relationalDatabaseName"],"members":{"relationalDatabaseName":{},"skipFinalSnapshot":{"type":"boolean"},"finalRelationalDatabaseSnapshotName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DeleteRelationalDatabaseSnapshot":{"input":{"type":"structure","required":["relationalDatabaseSnapshotName"],"members":{"relationalDatabaseSnapshotName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DetachCertificateFromDistribution":{"input":{"type":"structure","required":["distributionName"],"members":{"distributionName":{}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"DetachDisk":{"input":{"type":"structure","required":["diskName"],"members":{"diskName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DetachInstancesFromLoadBalancer":{"input":{"type":"structure","required":["loadBalancerName","instanceNames"],"members":{"loadBalancerName":{},"instanceNames":{"shape":"Sk"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DetachStaticIp":{"input":{"type":"structure","required":["staticIpName"],"members":{"staticIpName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DisableAddOn":{"input":{"type":"structure","required":["addOnType","resourceName"],"members":{"addOnType":{},"resourceName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"DownloadDefaultKeyPair":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"publicKeyBase64":{},"privateKeyBase64":{}}}},"EnableAddOn":{"input":{"type":"structure","required":["resourceName","addOnRequest"],"members":{"resourceName":{},"addOnRequest":{"shape":"S39"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"ExportSnapshot":{"input":{"type":"structure","required":["sourceSnapshotName"],"members":{"sourceSnapshotName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"GetActiveNames":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"activeNames":{"shape":"Su"},"nextPageToken":{}}}},"GetAlarms":{"input":{"type":"structure","members":{"alarmName":{},"pageToken":{},"monitoredResourceName":{}}},"output":{"type":"structure","members":{"alarms":{"type":"list","member":{"type":"structure","members":{"name":{},"arn":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"supportCode":{},"monitoredResourceInfo":{"type":"structure","members":{"arn":{},"name":{},"resourceType":{}}},"comparisonOperator":{},"evaluationPeriods":{"type":"integer"},"period":{"type":"integer"},"threshold":{"type":"double"},"datapointsToAlarm":{"type":"integer"},"treatMissingData":{},"statistic":{},"metricName":{},"state":{},"unit":{},"contactProtocols":{"shape":"S71"},"notificationTriggers":{"shape":"S72"},"notificationEnabled":{"type":"boolean"}}}},"nextPageToken":{}}}},"GetAutoSnapshots":{"input":{"type":"structure","required":["resourceName"],"members":{"resourceName":{}}},"output":{"type":"structure","members":{"resourceName":{},"resourceType":{},"autoSnapshots":{"type":"list","member":{"type":"structure","members":{"date":{},"createdAt":{"type":"timestamp"},"status":{},"fromAttachedDisks":{"type":"list","member":{"type":"structure","members":{"path":{},"sizeInGb":{"type":"integer"}}}}}}}}}},"GetBlueprints":{"input":{"type":"structure","members":{"includeInactive":{"type":"boolean"},"pageToken":{}}},"output":{"type":"structure","members":{"blueprints":{"type":"list","member":{"type":"structure","members":{"blueprintId":{},"name":{},"group":{},"type":{},"description":{},"isActive":{"type":"boolean"},"minPower":{"type":"integer"},"version":{},"versionCode":{},"productUrl":{},"licenseUrl":{},"platform":{}}}},"nextPageToken":{}}}},"GetBucketAccessKeys":{"input":{"type":"structure","required":["bucketName"],"members":{"bucketName":{}}},"output":{"type":"structure","members":{"accessKeys":{"type":"list","member":{"shape":"S1g"}}}}},"GetBucketBundles":{"input":{"type":"structure","members":{"includeInactive":{"type":"boolean"}}},"output":{"type":"structure","members":{"bundles":{"type":"list","member":{"type":"structure","members":{"bundleId":{},"name":{},"price":{"type":"float"},"storagePerMonthInGb":{"type":"integer"},"transferPerMonthInGb":{"type":"integer"},"isActive":{"type":"boolean"}}}}}}},"GetBucketMetricData":{"input":{"type":"structure","required":["bucketName","metricName","startTime","endTime","period","statistics","unit"],"members":{"bucketName":{},"metricName":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"period":{"type":"integer"},"statistics":{"shape":"S7q"},"unit":{}}},"output":{"type":"structure","members":{"metricName":{},"metricData":{"shape":"S7s"}}}},"GetBuckets":{"input":{"type":"structure","members":{"bucketName":{},"pageToken":{},"includeConnectedResources":{"type":"boolean"}}},"output":{"type":"structure","members":{"buckets":{"type":"list","member":{"shape":"S15"}},"nextPageToken":{}}}},"GetBundles":{"input":{"type":"structure","members":{"includeInactive":{"type":"boolean"},"pageToken":{}}},"output":{"type":"structure","members":{"bundles":{"type":"list","member":{"type":"structure","members":{"price":{"type":"float"},"cpuCount":{"type":"integer"},"diskSizeInGb":{"type":"integer"},"bundleId":{},"instanceType":{},"isActive":{"type":"boolean"},"name":{},"power":{"type":"integer"},"ramSizeInGb":{"type":"float"},"transferPerMonthInGb":{"type":"integer"},"supportedPlatforms":{"type":"list","member":{}}}}},"nextPageToken":{}}}},"GetCertificates":{"input":{"type":"structure","members":{"certificateStatuses":{"type":"list","member":{}},"includeCertificateDetails":{"type":"boolean"},"certificateName":{}}},"output":{"type":"structure","members":{"certificates":{"type":"list","member":{"shape":"S1p"}}}}},"GetCloudFormationStackRecords":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"cloudFormationStackRecords":{"type":"list","member":{"type":"structure","members":{"name":{},"arn":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"state":{},"sourceInfo":{"type":"list","member":{"type":"structure","members":{"resourceType":{},"name":{},"arn":{}}}},"destinationInfo":{"shape":"S8g"}}}},"nextPageToken":{}}}},"GetContactMethods":{"input":{"type":"structure","members":{"protocols":{"shape":"S71"}}},"output":{"type":"structure","members":{"contactMethods":{"type":"list","member":{"type":"structure","members":{"contactEndpoint":{},"status":{},"protocol":{},"name":{},"arn":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"supportCode":{}}}}}}},"GetContainerAPIMetadata":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"metadata":{"type":"list","member":{"type":"map","key":{},"value":{}}}}}},"GetContainerImages":{"input":{"type":"structure","required":["serviceName"],"members":{"serviceName":{}}},"output":{"type":"structure","members":{"containerImages":{"type":"list","member":{"shape":"S8t"}}}}},"GetContainerLog":{"input":{"type":"structure","required":["serviceName","containerName"],"members":{"serviceName":{},"containerName":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"filterPattern":{},"pageToken":{}}},"output":{"type":"structure","members":{"logEvents":{"type":"list","member":{"type":"structure","members":{"createdAt":{"type":"timestamp"},"message":{}}}},"nextPageToken":{}}}},"GetContainerServiceDeployments":{"input":{"type":"structure","required":["serviceName"],"members":{"serviceName":{}}},"output":{"type":"structure","members":{"deployments":{"type":"list","member":{"shape":"S2z"}}}}},"GetContainerServiceMetricData":{"input":{"type":"structure","required":["serviceName","metricName","startTime","endTime","period","statistics"],"members":{"serviceName":{},"metricName":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"period":{"type":"integer"},"statistics":{"shape":"S7q"}}},"output":{"type":"structure","members":{"metricName":{},"metricData":{"shape":"S7s"}}}},"GetContainerServicePowers":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"powers":{"type":"list","member":{"type":"structure","members":{"powerId":{},"price":{"type":"float"},"cpuCount":{"type":"float"},"ramSizeInGb":{"type":"float"},"name":{},"isActive":{"type":"boolean"}}}}}}},"GetContainerServices":{"input":{"type":"structure","members":{"serviceName":{}}},"output":{"type":"structure","members":{"containerServices":{"type":"list","member":{"shape":"S2v"}}}}},"GetDisk":{"input":{"type":"structure","required":["diskName"],"members":{"diskName":{}}},"output":{"type":"structure","members":{"disk":{"shape":"S9d"}}}},"GetDiskSnapshot":{"input":{"type":"structure","required":["diskSnapshotName"],"members":{"diskSnapshotName":{}}},"output":{"type":"structure","members":{"diskSnapshot":{"shape":"S9j"}}}},"GetDiskSnapshots":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"diskSnapshots":{"type":"list","member":{"shape":"S9j"}},"nextPageToken":{}}}},"GetDisks":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"disks":{"shape":"S9q"},"nextPageToken":{}}}},"GetDistributionBundles":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"bundles":{"type":"list","member":{"type":"structure","members":{"bundleId":{},"name":{},"price":{"type":"float"},"transferPerMonthInGb":{"type":"integer"},"isActive":{"type":"boolean"}}}}}}},"GetDistributionLatestCacheReset":{"input":{"type":"structure","members":{"distributionName":{}}},"output":{"type":"structure","members":{"status":{},"createTime":{"type":"timestamp"}}}},"GetDistributionMetricData":{"input":{"type":"structure","required":["distributionName","metricName","startTime","endTime","period","unit","statistics"],"members":{"distributionName":{},"metricName":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"period":{"type":"integer"},"unit":{},"statistics":{"shape":"S7q"}}},"output":{"type":"structure","members":{"metricName":{},"metricData":{"shape":"S7s"}}}},"GetDistributions":{"input":{"type":"structure","members":{"distributionName":{},"pageToken":{}}},"output":{"type":"structure","members":{"distributions":{"type":"list","member":{"shape":"S3z"}},"nextPageToken":{}}}},"GetDomain":{"input":{"type":"structure","required":["domainName"],"members":{"domainName":{}}},"output":{"type":"structure","members":{"domain":{"shape":"Sa5"}}}},"GetDomains":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"domains":{"type":"list","member":{"shape":"Sa5"}},"nextPageToken":{}}}},"GetExportSnapshotRecords":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"exportSnapshotRecords":{"type":"list","member":{"type":"structure","members":{"name":{},"arn":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"state":{},"sourceInfo":{"type":"structure","members":{"resourceType":{},"createdAt":{"type":"timestamp"},"name":{},"arn":{},"fromResourceName":{},"fromResourceArn":{},"instanceSnapshotInfo":{"type":"structure","members":{"fromBundleId":{},"fromBlueprintId":{},"fromDiskInfo":{"type":"list","member":{"type":"structure","members":{"name":{},"path":{},"sizeInGb":{"type":"integer"},"isSystemDisk":{"type":"boolean"}}}}}},"diskSnapshotInfo":{"type":"structure","members":{"sizeInGb":{"type":"integer"}}}}},"destinationInfo":{"shape":"S8g"}}}},"nextPageToken":{}}}},"GetInstance":{"input":{"type":"structure","required":["instanceName"],"members":{"instanceName":{}}},"output":{"type":"structure","members":{"instance":{"shape":"Sam"}}}},"GetInstanceAccessDetails":{"input":{"type":"structure","required":["instanceName"],"members":{"instanceName":{},"protocol":{}}},"output":{"type":"structure","members":{"accessDetails":{"type":"structure","members":{"certKey":{},"expiresAt":{"type":"timestamp"},"ipAddress":{},"password":{},"passwordData":{"type":"structure","members":{"ciphertext":{},"keyPairName":{}}},"privateKey":{},"protocol":{},"instanceName":{},"username":{},"hostKeys":{"type":"list","member":{"type":"structure","members":{"algorithm":{},"publicKey":{},"witnessedAt":{"type":"timestamp"},"fingerprintSHA1":{},"fingerprintSHA256":{},"notValidBefore":{"type":"timestamp"},"notValidAfter":{"type":"timestamp"}}}}}}}}},"GetInstanceMetricData":{"input":{"type":"structure","required":["instanceName","metricName","period","startTime","endTime","unit","statistics"],"members":{"instanceName":{},"metricName":{},"period":{"type":"integer"},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"unit":{},"statistics":{"shape":"S7q"}}},"output":{"type":"structure","members":{"metricName":{},"metricData":{"shape":"S7s"}}}},"GetInstancePortStates":{"input":{"type":"structure","required":["instanceName"],"members":{"instanceName":{}}},"output":{"type":"structure","members":{"portStates":{"type":"list","member":{"type":"structure","members":{"fromPort":{"type":"integer"},"toPort":{"type":"integer"},"protocol":{},"state":{},"cidrs":{"shape":"Su"},"ipv6Cidrs":{"shape":"Su"},"cidrListAliases":{"shape":"Su"}}}}}}},"GetInstanceSnapshot":{"input":{"type":"structure","required":["instanceSnapshotName"],"members":{"instanceSnapshotName":{}}},"output":{"type":"structure","members":{"instanceSnapshot":{"shape":"Sbf"}}}},"GetInstanceSnapshots":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"instanceSnapshots":{"type":"list","member":{"shape":"Sbf"}},"nextPageToken":{}}}},"GetInstanceState":{"input":{"type":"structure","required":["instanceName"],"members":{"instanceName":{}}},"output":{"type":"structure","members":{"state":{"shape":"Sax"}}}},"GetInstances":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"instances":{"type":"list","member":{"shape":"Sam"}},"nextPageToken":{}}}},"GetKeyPair":{"input":{"type":"structure","required":["keyPairName"],"members":{"keyPairName":{}}},"output":{"type":"structure","members":{"keyPair":{"shape":"S4k"}}}},"GetKeyPairs":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"keyPairs":{"type":"list","member":{"shape":"S4k"}},"nextPageToken":{}}}},"GetLoadBalancer":{"input":{"type":"structure","required":["loadBalancerName"],"members":{"loadBalancerName":{}}},"output":{"type":"structure","members":{"loadBalancer":{"shape":"Sbw"}}}},"GetLoadBalancerMetricData":{"input":{"type":"structure","required":["loadBalancerName","metricName","period","startTime","endTime","unit","statistics"],"members":{"loadBalancerName":{},"metricName":{},"period":{"type":"integer"},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"unit":{},"statistics":{"shape":"S7q"}}},"output":{"type":"structure","members":{"metricName":{},"metricData":{"shape":"S7s"}}}},"GetLoadBalancerTlsCertificates":{"input":{"type":"structure","required":["loadBalancerName"],"members":{"loadBalancerName":{}}},"output":{"type":"structure","members":{"tlsCertificates":{"type":"list","member":{"type":"structure","members":{"name":{},"arn":{},"supportCode":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"tags":{"shape":"S10"},"loadBalancerName":{},"isAttached":{"type":"boolean"},"status":{},"domainName":{},"domainValidationRecords":{"type":"list","member":{"type":"structure","members":{"name":{},"type":{},"value":{},"validationStatus":{},"domainName":{}}}},"failureReason":{},"issuedAt":{"type":"timestamp"},"issuer":{},"keyAlgorithm":{},"notAfter":{"type":"timestamp"},"notBefore":{"type":"timestamp"},"renewalSummary":{"type":"structure","members":{"renewalStatus":{},"domainValidationOptions":{"type":"list","member":{"type":"structure","members":{"domainName":{},"validationStatus":{}}}}}},"revocationReason":{},"revokedAt":{"type":"timestamp"},"serial":{},"signatureAlgorithm":{},"subject":{},"subjectAlternativeNames":{"shape":"Su"}}}}}}},"GetLoadBalancers":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"loadBalancers":{"type":"list","member":{"shape":"Sbw"}},"nextPageToken":{}}}},"GetOperation":{"input":{"type":"structure","required":["operationId"],"members":{"operationId":{}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"GetOperations":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"},"nextPageToken":{}}}},"GetOperationsForResource":{"input":{"type":"structure","required":["resourceName"],"members":{"resourceName":{},"pageToken":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"},"nextPageCount":{"deprecated":true},"nextPageToken":{}}}},"GetRegions":{"input":{"type":"structure","members":{"includeAvailabilityZones":{"type":"boolean"},"includeRelationalDatabaseAvailabilityZones":{"type":"boolean"}}},"output":{"type":"structure","members":{"regions":{"type":"list","member":{"type":"structure","members":{"continentCode":{},"description":{},"displayName":{},"name":{},"availabilityZones":{"shape":"Sd2"},"relationalDatabaseAvailabilityZones":{"shape":"Sd2"}}}}}}},"GetRelationalDatabase":{"input":{"type":"structure","required":["relationalDatabaseName"],"members":{"relationalDatabaseName":{}}},"output":{"type":"structure","members":{"relationalDatabase":{"shape":"Sd6"}}}},"GetRelationalDatabaseBlueprints":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"blueprints":{"type":"list","member":{"type":"structure","members":{"blueprintId":{},"engine":{},"engineVersion":{},"engineDescription":{},"engineVersionDescription":{},"isEngineDefault":{"type":"boolean"}}}},"nextPageToken":{}}}},"GetRelationalDatabaseBundles":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"bundles":{"type":"list","member":{"type":"structure","members":{"bundleId":{},"name":{},"price":{"type":"float"},"ramSizeInGb":{"type":"float"},"diskSizeInGb":{"type":"integer"},"transferPerMonthInGb":{"type":"integer"},"cpuCount":{"type":"integer"},"isEncrypted":{"type":"boolean"},"isActive":{"type":"boolean"}}}},"nextPageToken":{}}}},"GetRelationalDatabaseEvents":{"input":{"type":"structure","required":["relationalDatabaseName"],"members":{"relationalDatabaseName":{},"durationInMinutes":{"type":"integer"},"pageToken":{}}},"output":{"type":"structure","members":{"relationalDatabaseEvents":{"type":"list","member":{"type":"structure","members":{"resource":{},"createdAt":{"type":"timestamp"},"message":{},"eventCategories":{"shape":"Su"}}}},"nextPageToken":{}}}},"GetRelationalDatabaseLogEvents":{"input":{"type":"structure","required":["relationalDatabaseName","logStreamName"],"members":{"relationalDatabaseName":{},"logStreamName":{},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"startFromHead":{"type":"boolean"},"pageToken":{}}},"output":{"type":"structure","members":{"resourceLogEvents":{"type":"list","member":{"type":"structure","members":{"createdAt":{"type":"timestamp"},"message":{}}}},"nextBackwardToken":{},"nextForwardToken":{}}}},"GetRelationalDatabaseLogStreams":{"input":{"type":"structure","required":["relationalDatabaseName"],"members":{"relationalDatabaseName":{}}},"output":{"type":"structure","members":{"logStreams":{"shape":"Su"}}}},"GetRelationalDatabaseMasterUserPassword":{"input":{"type":"structure","required":["relationalDatabaseName"],"members":{"relationalDatabaseName":{},"passwordVersion":{}}},"output":{"type":"structure","members":{"masterUserPassword":{"shape":"S4s"},"createdAt":{"type":"timestamp"}}}},"GetRelationalDatabaseMetricData":{"input":{"type":"structure","required":["relationalDatabaseName","metricName","period","startTime","endTime","unit","statistics"],"members":{"relationalDatabaseName":{},"metricName":{},"period":{"type":"integer"},"startTime":{"type":"timestamp"},"endTime":{"type":"timestamp"},"unit":{},"statistics":{"shape":"S7q"}}},"output":{"type":"structure","members":{"metricName":{},"metricData":{"shape":"S7s"}}}},"GetRelationalDatabaseParameters":{"input":{"type":"structure","required":["relationalDatabaseName"],"members":{"relationalDatabaseName":{},"pageToken":{}}},"output":{"type":"structure","members":{"parameters":{"shape":"Se3"},"nextPageToken":{}}}},"GetRelationalDatabaseSnapshot":{"input":{"type":"structure","required":["relationalDatabaseSnapshotName"],"members":{"relationalDatabaseSnapshotName":{}}},"output":{"type":"structure","members":{"relationalDatabaseSnapshot":{"shape":"Se7"}}}},"GetRelationalDatabaseSnapshots":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"relationalDatabaseSnapshots":{"type":"list","member":{"shape":"Se7"}},"nextPageToken":{}}}},"GetRelationalDatabases":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"relationalDatabases":{"type":"list","member":{"shape":"Sd6"}},"nextPageToken":{}}}},"GetStaticIp":{"input":{"type":"structure","required":["staticIpName"],"members":{"staticIpName":{}}},"output":{"type":"structure","members":{"staticIp":{"shape":"Seg"}}}},"GetStaticIps":{"input":{"type":"structure","members":{"pageToken":{}}},"output":{"type":"structure","members":{"staticIps":{"type":"list","member":{"shape":"Seg"}},"nextPageToken":{}}}},"ImportKeyPair":{"input":{"type":"structure","required":["keyPairName","publicKeyBase64"],"members":{"keyPairName":{},"publicKeyBase64":{}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"IsVpcPeered":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"isPeered":{"type":"boolean"}}}},"OpenInstancePublicPorts":{"input":{"type":"structure","required":["portInfo","instanceName"],"members":{"portInfo":{"shape":"Sr"},"instanceName":{}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"PeerVpc":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"PutAlarm":{"input":{"type":"structure","required":["alarmName","metricName","monitoredResourceName","comparisonOperator","threshold","evaluationPeriods"],"members":{"alarmName":{},"metricName":{},"monitoredResourceName":{},"comparisonOperator":{},"threshold":{"type":"double"},"evaluationPeriods":{"type":"integer"},"datapointsToAlarm":{"type":"integer"},"treatMissingData":{},"contactProtocols":{"shape":"S71"},"notificationTriggers":{"shape":"S72"},"notificationEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"PutInstancePublicPorts":{"input":{"type":"structure","required":["portInfos","instanceName"],"members":{"portInfos":{"type":"list","member":{"shape":"Sr"}},"instanceName":{}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"RebootInstance":{"input":{"type":"structure","required":["instanceName"],"members":{"instanceName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"RebootRelationalDatabase":{"input":{"type":"structure","required":["relationalDatabaseName"],"members":{"relationalDatabaseName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"RegisterContainerImage":{"input":{"type":"structure","required":["serviceName","label","digest"],"members":{"serviceName":{},"label":{},"digest":{}}},"output":{"type":"structure","members":{"containerImage":{"shape":"S8t"}}}},"ReleaseStaticIp":{"input":{"type":"structure","required":["staticIpName"],"members":{"staticIpName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"ResetDistributionCache":{"input":{"type":"structure","members":{"distributionName":{}}},"output":{"type":"structure","members":{"status":{},"createTime":{"type":"timestamp"},"operation":{"shape":"S5"}}}},"SendContactMethodVerification":{"input":{"type":"structure","required":["protocol"],"members":{"protocol":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"SetIpAddressType":{"input":{"type":"structure","required":["resourceType","resourceName","ipAddressType"],"members":{"resourceType":{},"resourceName":{},"ipAddressType":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"SetResourceAccessForBucket":{"input":{"type":"structure","required":["resourceName","bucketName","access"],"members":{"resourceName":{},"bucketName":{},"access":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"StartInstance":{"input":{"type":"structure","required":["instanceName"],"members":{"instanceName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"StartRelationalDatabase":{"input":{"type":"structure","required":["relationalDatabaseName"],"members":{"relationalDatabaseName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"StopInstance":{"input":{"type":"structure","required":["instanceName"],"members":{"instanceName":{},"force":{"type":"boolean"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"StopRelationalDatabase":{"input":{"type":"structure","required":["relationalDatabaseName"],"members":{"relationalDatabaseName":{},"relationalDatabaseSnapshotName":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"TagResource":{"input":{"type":"structure","required":["resourceName","tags"],"members":{"resourceName":{},"resourceArn":{},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"TestAlarm":{"input":{"type":"structure","required":["alarmName","state"],"members":{"alarmName":{},"state":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"UnpeerVpc":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"UntagResource":{"input":{"type":"structure","required":["resourceName","tagKeys"],"members":{"resourceName":{},"resourceArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"UpdateBucket":{"input":{"type":"structure","required":["bucketName"],"members":{"bucketName":{},"accessRules":{"shape":"S16"},"versioning":{},"readonlyAccessAccounts":{"shape":"S18"},"accessLogConfig":{"shape":"S1c"}}},"output":{"type":"structure","members":{"bucket":{"shape":"S15"},"operations":{"shape":"S4"}}}},"UpdateBucketBundle":{"input":{"type":"structure","required":["bucketName","bundleId"],"members":{"bucketName":{},"bundleId":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"UpdateContainerService":{"input":{"type":"structure","required":["serviceName"],"members":{"serviceName":{},"power":{},"scale":{"type":"integer"},"isDisabled":{"type":"boolean"},"publicDomainNames":{"shape":"S2i"}}},"output":{"type":"structure","members":{"containerService":{"shape":"S2v"}}}},"UpdateDistribution":{"input":{"type":"structure","required":["distributionName"],"members":{"distributionName":{},"origin":{"shape":"S3j"},"defaultCacheBehavior":{"shape":"S3l"},"cacheBehaviorSettings":{"shape":"S3n"},"cacheBehaviors":{"shape":"S3v"},"isEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"UpdateDistributionBundle":{"input":{"type":"structure","members":{"distributionName":{},"bundleId":{}}},"output":{"type":"structure","members":{"operation":{"shape":"S5"}}}},"UpdateDomainEntry":{"input":{"type":"structure","required":["domainName","domainEntry"],"members":{"domainName":{},"domainEntry":{"shape":"S44"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"UpdateLoadBalancerAttribute":{"input":{"type":"structure","required":["loadBalancerName","attributeName","attributeValue"],"members":{"loadBalancerName":{},"attributeName":{},"attributeValue":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"UpdateRelationalDatabase":{"input":{"type":"structure","required":["relationalDatabaseName"],"members":{"relationalDatabaseName":{},"masterUserPassword":{"shape":"S4s"},"rotateMasterUserPassword":{"type":"boolean"},"preferredBackupWindow":{},"preferredMaintenanceWindow":{},"enableBackupRetention":{"type":"boolean"},"disableBackupRetention":{"type":"boolean"},"publiclyAccessible":{"type":"boolean"},"applyImmediately":{"type":"boolean"},"caCertificateIdentifier":{}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}},"UpdateRelationalDatabaseParameters":{"input":{"type":"structure","required":["relationalDatabaseName","parameters"],"members":{"relationalDatabaseName":{},"parameters":{"shape":"Se3"}}},"output":{"type":"structure","members":{"operations":{"shape":"S4"}}}}},"shapes":{"S4":{"type":"list","member":{"shape":"S5"}},"S5":{"type":"structure","members":{"id":{},"resourceName":{},"resourceType":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"isTerminal":{"type":"boolean"},"operationDetails":{},"operationType":{},"status":{},"statusChangedAt":{"type":"timestamp"},"errorCode":{},"errorDetails":{}}},"S9":{"type":"structure","members":{"availabilityZone":{},"regionName":{}}},"Sk":{"type":"list","member":{}},"Sr":{"type":"structure","members":{"fromPort":{"type":"integer"},"toPort":{"type":"integer"},"protocol":{},"cidrs":{"shape":"Su"},"ipv6Cidrs":{"shape":"Su"},"cidrListAliases":{"shape":"Su"}}},"Su":{"type":"list","member":{}},"S10":{"type":"list","member":{"type":"structure","members":{"key":{},"value":{}}}},"S15":{"type":"structure","members":{"resourceType":{},"accessRules":{"shape":"S16"},"arn":{},"bundleId":{},"createdAt":{"type":"timestamp"},"url":{},"location":{"shape":"S9"},"name":{},"supportCode":{},"tags":{"shape":"S10"},"objectVersioning":{},"ableToUpdateBundle":{"type":"boolean"},"readonlyAccessAccounts":{"shape":"S18"},"resourcesReceivingAccess":{"type":"list","member":{"type":"structure","members":{"name":{},"resourceType":{}}}},"state":{"type":"structure","members":{"code":{},"message":{}}},"accessLogConfig":{"shape":"S1c"}}},"S16":{"type":"structure","members":{"getObject":{},"allowPublicOverrides":{"type":"boolean"}}},"S18":{"type":"list","member":{}},"S1c":{"type":"structure","required":["enabled"],"members":{"enabled":{"type":"boolean"},"destination":{},"prefix":{}}},"S1g":{"type":"structure","members":{"accessKeyId":{"type":"string","sensitive":true},"secretAccessKey":{},"status":{},"createdAt":{"type":"timestamp"},"lastUsed":{"type":"structure","members":{"lastUsedDate":{"type":"timestamp"},"region":{},"serviceName":{}}}}},"S1n":{"type":"list","member":{}},"S1p":{"type":"structure","members":{"certificateArn":{},"certificateName":{},"domainName":{},"certificateDetail":{"type":"structure","members":{"arn":{},"name":{},"domainName":{},"status":{},"serialNumber":{},"subjectAlternativeNames":{"shape":"S1n"},"domainValidationRecords":{"shape":"S1t"},"requestFailureReason":{},"inUseResourceCount":{"type":"integer"},"keyAlgorithm":{},"createdAt":{"type":"timestamp"},"issuedAt":{"type":"timestamp"},"issuerCA":{},"notBefore":{"type":"timestamp"},"notAfter":{"type":"timestamp"},"eligibleToRenew":{},"renewalSummary":{"type":"structure","members":{"domainValidationRecords":{"shape":"S1t"},"renewalStatus":{},"renewalStatusReason":{},"updatedAt":{"type":"timestamp"}}},"revokedAt":{"type":"timestamp"},"revocationReason":{},"tags":{"shape":"S10"},"supportCode":{}}},"tags":{"shape":"S10"}}},"S1t":{"type":"list","member":{"type":"structure","members":{"domainName":{},"resourceRecord":{"type":"structure","members":{"name":{},"type":{},"value":{}}}}}},"S2i":{"type":"map","key":{},"value":{"type":"list","member":{}}},"S2l":{"type":"map","key":{},"value":{"type":"structure","members":{"image":{},"command":{"shape":"Su"},"environment":{"type":"map","key":{},"value":{}},"ports":{"type":"map","key":{},"value":{}}}}},"S2r":{"type":"structure","required":["containerName","containerPort"],"members":{"containerName":{},"containerPort":{"type":"integer"},"healthCheck":{"shape":"S2t"}}},"S2t":{"type":"structure","members":{"healthyThreshold":{"type":"integer"},"unhealthyThreshold":{"type":"integer"},"timeoutSeconds":{"type":"integer"},"intervalSeconds":{"type":"integer"},"path":{},"successCodes":{}}},"S2v":{"type":"structure","members":{"containerServiceName":{},"arn":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"tags":{"shape":"S10"},"power":{},"powerId":{},"state":{},"stateDetail":{"type":"structure","members":{"code":{},"message":{}}},"scale":{"type":"integer"},"currentDeployment":{"shape":"S2z"},"nextDeployment":{"shape":"S2z"},"isDisabled":{"type":"boolean"},"principalArn":{},"privateDomainName":{},"publicDomainNames":{"shape":"S2i"},"url":{}}},"S2z":{"type":"structure","members":{"version":{"type":"integer"},"state":{},"containers":{"shape":"S2l"},"publicEndpoint":{"type":"structure","members":{"containerName":{},"containerPort":{"type":"integer"},"healthCheck":{"shape":"S2t"}}},"createdAt":{"type":"timestamp"}}},"S38":{"type":"list","member":{"shape":"S39"}},"S39":{"type":"structure","required":["addOnType"],"members":{"addOnType":{},"autoSnapshotAddOnRequest":{"type":"structure","members":{"snapshotTimeOfDay":{}}}}},"S3j":{"type":"structure","members":{"name":{},"regionName":{},"protocolPolicy":{}}},"S3l":{"type":"structure","members":{"behavior":{}}},"S3n":{"type":"structure","members":{"defaultTTL":{"type":"long"},"minimumTTL":{"type":"long"},"maximumTTL":{"type":"long"},"allowedHTTPMethods":{},"cachedHTTPMethods":{},"forwardedCookies":{"type":"structure","members":{"option":{},"cookiesAllowList":{"shape":"Su"}}},"forwardedHeaders":{"type":"structure","members":{"option":{},"headersAllowList":{"type":"list","member":{}}}},"forwardedQueryStrings":{"type":"structure","members":{"option":{"type":"boolean"},"queryStringsAllowList":{"shape":"Su"}}}}},"S3v":{"type":"list","member":{"type":"structure","members":{"path":{},"behavior":{}}}},"S3z":{"type":"structure","members":{"name":{},"arn":{},"supportCode":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"alternativeDomainNames":{"shape":"Su"},"status":{},"isEnabled":{"type":"boolean"},"domainName":{},"bundleId":{},"certificateName":{},"origin":{"type":"structure","members":{"name":{},"resourceType":{},"regionName":{},"protocolPolicy":{}}},"originPublicDNS":{},"defaultCacheBehavior":{"shape":"S3l"},"cacheBehaviorSettings":{"shape":"S3n"},"cacheBehaviors":{"shape":"S3v"},"ableToUpdateBundle":{"type":"boolean"},"ipAddressType":{},"tags":{"shape":"S10"}}},"S44":{"type":"structure","members":{"id":{},"name":{},"target":{},"isAlias":{"type":"boolean"},"type":{},"options":{"deprecated":true,"type":"map","key":{},"value":{}}}},"S4k":{"type":"structure","members":{"name":{},"arn":{},"supportCode":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"tags":{"shape":"S10"},"fingerprint":{}}},"S4n":{"type":"list","member":{}},"S4s":{"type":"string","sensitive":true},"S71":{"type":"list","member":{}},"S72":{"type":"list","member":{}},"S7q":{"type":"list","member":{}},"S7s":{"type":"list","member":{"type":"structure","members":{"average":{"type":"double"},"maximum":{"type":"double"},"minimum":{"type":"double"},"sampleCount":{"type":"double"},"sum":{"type":"double"},"timestamp":{"type":"timestamp"},"unit":{}}}},"S8g":{"type":"structure","members":{"id":{},"service":{}}},"S8t":{"type":"structure","members":{"image":{},"digest":{},"createdAt":{"type":"timestamp"}}},"S9d":{"type":"structure","members":{"name":{},"arn":{},"supportCode":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"tags":{"shape":"S10"},"addOns":{"shape":"S9e"},"sizeInGb":{"type":"integer"},"isSystemDisk":{"type":"boolean"},"iops":{"type":"integer"},"path":{},"state":{},"attachedTo":{},"isAttached":{"type":"boolean"},"attachmentState":{"deprecated":true},"gbInUse":{"deprecated":true,"type":"integer"}}},"S9e":{"type":"list","member":{"type":"structure","members":{"name":{},"status":{},"snapshotTimeOfDay":{},"nextSnapshotTimeOfDay":{}}}},"S9j":{"type":"structure","members":{"name":{},"arn":{},"supportCode":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"tags":{"shape":"S10"},"sizeInGb":{"type":"integer"},"state":{},"progress":{},"fromDiskName":{},"fromDiskArn":{},"fromInstanceName":{},"fromInstanceArn":{},"isFromAutoSnapshot":{"type":"boolean"}}},"S9q":{"type":"list","member":{"shape":"S9d"}},"Sa5":{"type":"structure","members":{"name":{},"arn":{},"supportCode":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"tags":{"shape":"S10"},"domainEntries":{"type":"list","member":{"shape":"S44"}}}},"Sam":{"type":"structure","members":{"name":{},"arn":{},"supportCode":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"tags":{"shape":"S10"},"blueprintId":{},"blueprintName":{},"bundleId":{},"addOns":{"shape":"S9e"},"isStaticIp":{"type":"boolean"},"privateIpAddress":{},"publicIpAddress":{},"ipv6Addresses":{"type":"list","member":{}},"ipAddressType":{},"hardware":{"type":"structure","members":{"cpuCount":{"type":"integer"},"disks":{"shape":"S9q"},"ramSizeInGb":{"type":"float"}}},"networking":{"type":"structure","members":{"monthlyTransfer":{"type":"structure","members":{"gbPerMonthAllocated":{"type":"integer"}}},"ports":{"type":"list","member":{"type":"structure","members":{"fromPort":{"type":"integer"},"toPort":{"type":"integer"},"protocol":{},"accessFrom":{},"accessType":{},"commonName":{},"accessDirection":{},"cidrs":{"shape":"Su"},"ipv6Cidrs":{"shape":"Su"},"cidrListAliases":{"shape":"Su"}}}}}},"state":{"shape":"Sax"},"username":{},"sshKeyName":{}}},"Sax":{"type":"structure","members":{"code":{"type":"integer"},"name":{}}},"Sbf":{"type":"structure","members":{"name":{},"arn":{},"supportCode":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"tags":{"shape":"S10"},"state":{},"progress":{},"fromAttachedDisks":{"shape":"S9q"},"fromInstanceName":{},"fromInstanceArn":{},"fromBlueprintId":{},"fromBundleId":{},"isFromAutoSnapshot":{"type":"boolean"},"sizeInGb":{"type":"integer"}}},"Sbw":{"type":"structure","members":{"name":{},"arn":{},"supportCode":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"tags":{"shape":"S10"},"dnsName":{},"state":{},"protocol":{},"publicPorts":{"type":"list","member":{"type":"integer"}},"healthCheckPath":{},"instancePort":{"type":"integer"},"instanceHealthSummary":{"type":"list","member":{"type":"structure","members":{"instanceName":{},"instanceHealth":{},"instanceHealthReason":{}}}},"tlsCertificateSummaries":{"type":"list","member":{"type":"structure","members":{"name":{},"isAttached":{"type":"boolean"}}}},"configurationOptions":{"type":"map","key":{},"value":{}},"ipAddressType":{}}},"Sd2":{"type":"list","member":{"type":"structure","members":{"zoneName":{},"state":{}}}},"Sd6":{"type":"structure","members":{"name":{},"arn":{},"supportCode":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"tags":{"shape":"S10"},"relationalDatabaseBlueprintId":{},"relationalDatabaseBundleId":{},"masterDatabaseName":{},"hardware":{"type":"structure","members":{"cpuCount":{"type":"integer"},"diskSizeInGb":{"type":"integer"},"ramSizeInGb":{"type":"float"}}},"state":{},"secondaryAvailabilityZone":{},"backupRetentionEnabled":{"type":"boolean"},"pendingModifiedValues":{"type":"structure","members":{"masterUserPassword":{},"engineVersion":{},"backupRetentionEnabled":{"type":"boolean"}}},"engine":{},"engineVersion":{},"latestRestorableTime":{"type":"timestamp"},"masterUsername":{},"parameterApplyStatus":{},"preferredBackupWindow":{},"preferredMaintenanceWindow":{},"publiclyAccessible":{"type":"boolean"},"masterEndpoint":{"type":"structure","members":{"port":{"type":"integer"},"address":{}}},"pendingMaintenanceActions":{"type":"list","member":{"type":"structure","members":{"action":{},"description":{},"currentApplyDate":{"type":"timestamp"}}}},"caCertificateIdentifier":{}}},"Se3":{"type":"list","member":{"type":"structure","members":{"allowedValues":{},"applyMethod":{},"applyType":{},"dataType":{},"description":{},"isModifiable":{"type":"boolean"},"parameterName":{},"parameterValue":{}}}},"Se7":{"type":"structure","members":{"name":{},"arn":{},"supportCode":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"tags":{"shape":"S10"},"engine":{},"engineVersion":{},"sizeInGb":{"type":"integer"},"state":{},"fromRelationalDatabaseName":{},"fromRelationalDatabaseArn":{},"fromRelationalDatabaseBundleId":{},"fromRelationalDatabaseBlueprintId":{}}},"Seg":{"type":"structure","members":{"name":{},"arn":{},"supportCode":{},"createdAt":{"type":"timestamp"},"location":{"shape":"S9"},"resourceType":{},"ipAddress":{},"attachedTo":{},"isAttached":{"type":"boolean"}}}}}');

/***/ }),

/***/ 17528:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 79257:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-11-19","endpointPrefix":"geo","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Location Service","serviceId":"Location","signatureVersion":"v4","signingName":"geo","uid":"location-2020-11-19"},"operations":{"AssociateTrackerConsumer":{"http":{"requestUri":"/tracking/v0/trackers/{TrackerName}/consumers","responseCode":200},"input":{"type":"structure","required":["ConsumerArn","TrackerName"],"members":{"ConsumerArn":{},"TrackerName":{"location":"uri","locationName":"TrackerName"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"tracking."}},"BatchDeleteDevicePositionHistory":{"http":{"requestUri":"/tracking/v0/trackers/{TrackerName}/delete-positions","responseCode":200},"input":{"type":"structure","required":["DeviceIds","TrackerName"],"members":{"DeviceIds":{"type":"list","member":{}},"TrackerName":{"location":"uri","locationName":"TrackerName"}}},"output":{"type":"structure","required":["Errors"],"members":{"Errors":{"type":"list","member":{"type":"structure","required":["DeviceId","Error"],"members":{"DeviceId":{},"Error":{"shape":"Sb"}}}}}},"endpoint":{"hostPrefix":"tracking."}},"BatchDeleteGeofence":{"http":{"requestUri":"/geofencing/v0/collections/{CollectionName}/delete-geofences","responseCode":200},"input":{"type":"structure","required":["CollectionName","GeofenceIds"],"members":{"CollectionName":{"location":"uri","locationName":"CollectionName"},"GeofenceIds":{"type":"list","member":{}}}},"output":{"type":"structure","required":["Errors"],"members":{"Errors":{"type":"list","member":{"type":"structure","required":["Error","GeofenceId"],"members":{"Error":{"shape":"Sb"},"GeofenceId":{}}}}}},"endpoint":{"hostPrefix":"geofencing."}},"BatchEvaluateGeofences":{"http":{"requestUri":"/geofencing/v0/collections/{CollectionName}/positions","responseCode":200},"input":{"type":"structure","required":["CollectionName","DevicePositionUpdates"],"members":{"CollectionName":{"location":"uri","locationName":"CollectionName"},"DevicePositionUpdates":{"type":"list","member":{"shape":"Sl"}}}},"output":{"type":"structure","required":["Errors"],"members":{"Errors":{"type":"list","member":{"type":"structure","required":["DeviceId","Error","SampleTime"],"members":{"DeviceId":{},"Error":{"shape":"Sb"},"SampleTime":{"shape":"St"}}}}}},"endpoint":{"hostPrefix":"geofencing."}},"BatchGetDevicePosition":{"http":{"requestUri":"/tracking/v0/trackers/{TrackerName}/get-positions","responseCode":200},"input":{"type":"structure","required":["DeviceIds","TrackerName"],"members":{"DeviceIds":{"type":"list","member":{}},"TrackerName":{"location":"uri","locationName":"TrackerName"}}},"output":{"type":"structure","required":["DevicePositions","Errors"],"members":{"DevicePositions":{"shape":"S11"},"Errors":{"type":"list","member":{"type":"structure","required":["DeviceId","Error"],"members":{"DeviceId":{},"Error":{"shape":"Sb"}}}}}},"endpoint":{"hostPrefix":"tracking."}},"BatchPutGeofence":{"http":{"requestUri":"/geofencing/v0/collections/{CollectionName}/put-geofences","responseCode":200},"input":{"type":"structure","required":["CollectionName","Entries"],"members":{"CollectionName":{"location":"uri","locationName":"CollectionName"},"Entries":{"type":"list","member":{"type":"structure","required":["GeofenceId","Geometry"],"members":{"GeofenceId":{},"Geometry":{"shape":"S18"}}}}}},"output":{"type":"structure","required":["Errors","Successes"],"members":{"Errors":{"type":"list","member":{"type":"structure","required":["Error","GeofenceId"],"members":{"Error":{"shape":"Sb"},"GeofenceId":{}}}},"Successes":{"type":"list","member":{"type":"structure","required":["CreateTime","GeofenceId","UpdateTime"],"members":{"CreateTime":{"shape":"St"},"GeofenceId":{},"UpdateTime":{"shape":"St"}}}}}},"endpoint":{"hostPrefix":"geofencing."}},"BatchUpdateDevicePosition":{"http":{"requestUri":"/tracking/v0/trackers/{TrackerName}/positions","responseCode":200},"input":{"type":"structure","required":["TrackerName","Updates"],"members":{"TrackerName":{"location":"uri","locationName":"TrackerName"},"Updates":{"type":"list","member":{"shape":"Sl"}}}},"output":{"type":"structure","required":["Errors"],"members":{"Errors":{"type":"list","member":{"type":"structure","required":["DeviceId","Error","SampleTime"],"members":{"DeviceId":{},"Error":{"shape":"Sb"},"SampleTime":{"shape":"St"}}}}}},"endpoint":{"hostPrefix":"tracking."}},"CalculateRoute":{"http":{"requestUri":"/routes/v0/calculators/{CalculatorName}/calculate/route","responseCode":200},"input":{"type":"structure","required":["CalculatorName","DeparturePosition","DestinationPosition"],"members":{"CalculatorName":{"location":"uri","locationName":"CalculatorName"},"CarModeOptions":{"type":"structure","members":{"AvoidFerries":{"type":"boolean"},"AvoidTolls":{"type":"boolean"}}},"DepartNow":{"type":"boolean"},"DeparturePosition":{"shape":"So"},"DepartureTime":{"shape":"St"},"DestinationPosition":{"shape":"So"},"DistanceUnit":{},"IncludeLegGeometry":{"type":"boolean"},"TravelMode":{},"TruckModeOptions":{"type":"structure","members":{"AvoidFerries":{"type":"boolean"},"AvoidTolls":{"type":"boolean"},"Dimensions":{"type":"structure","members":{"Height":{"type":"double"},"Length":{"type":"double"},"Unit":{},"Width":{"type":"double"}}},"Weight":{"type":"structure","members":{"Total":{"type":"double"},"Unit":{}}}}},"WaypointPositions":{"type":"list","member":{"shape":"So"}}}},"output":{"type":"structure","required":["Legs","Summary"],"members":{"Legs":{"type":"list","member":{"type":"structure","required":["Distance","DurationSeconds","EndPosition","StartPosition","Steps"],"members":{"Distance":{"type":"double"},"DurationSeconds":{"type":"double"},"EndPosition":{"shape":"So"},"Geometry":{"type":"structure","members":{"LineString":{"type":"list","member":{"shape":"So"}}}},"StartPosition":{"shape":"So"},"Steps":{"type":"list","member":{"type":"structure","required":["Distance","DurationSeconds","EndPosition","StartPosition"],"members":{"Distance":{"type":"double"},"DurationSeconds":{"type":"double"},"EndPosition":{"shape":"So"},"GeometryOffset":{"type":"integer"},"StartPosition":{"shape":"So"}}}}}}},"Summary":{"type":"structure","required":["DataSource","Distance","DistanceUnit","DurationSeconds","RouteBBox"],"members":{"DataSource":{},"Distance":{"type":"double"},"DistanceUnit":{},"DurationSeconds":{"type":"double"},"RouteBBox":{"shape":"S2f"}}}}},"endpoint":{"hostPrefix":"routes."}},"CreateGeofenceCollection":{"http":{"requestUri":"/geofencing/v0/collections","responseCode":200},"input":{"type":"structure","required":["CollectionName","PricingPlan"],"members":{"CollectionName":{},"Description":{},"KmsKeyId":{},"PricingPlan":{},"PricingPlanDataSource":{},"Tags":{"shape":"S2k"}}},"output":{"type":"structure","required":["CollectionArn","CollectionName","CreateTime"],"members":{"CollectionArn":{},"CollectionName":{},"CreateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"geofencing."},"idempotent":true},"CreateMap":{"http":{"requestUri":"/maps/v0/maps","responseCode":200},"input":{"type":"structure","required":["Configuration","MapName","PricingPlan"],"members":{"Configuration":{"shape":"S2p"},"Description":{},"MapName":{},"PricingPlan":{},"Tags":{"shape":"S2k"}}},"output":{"type":"structure","required":["CreateTime","MapArn","MapName"],"members":{"CreateTime":{"shape":"St"},"MapArn":{},"MapName":{}}},"endpoint":{"hostPrefix":"maps."},"idempotent":true},"CreatePlaceIndex":{"http":{"requestUri":"/places/v0/indexes","responseCode":200},"input":{"type":"structure","required":["DataSource","IndexName","PricingPlan"],"members":{"DataSource":{},"DataSourceConfiguration":{"shape":"S2t"},"Description":{},"IndexName":{},"PricingPlan":{},"Tags":{"shape":"S2k"}}},"output":{"type":"structure","required":["CreateTime","IndexArn","IndexName"],"members":{"CreateTime":{"shape":"St"},"IndexArn":{},"IndexName":{}}},"endpoint":{"hostPrefix":"places."},"idempotent":true},"CreateRouteCalculator":{"http":{"requestUri":"/routes/v0/calculators","responseCode":200},"input":{"type":"structure","required":["CalculatorName","DataSource","PricingPlan"],"members":{"CalculatorName":{},"DataSource":{},"Description":{},"PricingPlan":{},"Tags":{"shape":"S2k"}}},"output":{"type":"structure","required":["CalculatorArn","CalculatorName","CreateTime"],"members":{"CalculatorArn":{},"CalculatorName":{},"CreateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"routes."},"idempotent":true},"CreateTracker":{"http":{"requestUri":"/tracking/v0/trackers","responseCode":200},"input":{"type":"structure","required":["PricingPlan","TrackerName"],"members":{"Description":{},"KmsKeyId":{},"PositionFiltering":{},"PricingPlan":{},"PricingPlanDataSource":{},"Tags":{"shape":"S2k"},"TrackerName":{}}},"output":{"type":"structure","required":["CreateTime","TrackerArn","TrackerName"],"members":{"CreateTime":{"shape":"St"},"TrackerArn":{},"TrackerName":{}}},"endpoint":{"hostPrefix":"tracking."},"idempotent":true},"DeleteGeofenceCollection":{"http":{"method":"DELETE","requestUri":"/geofencing/v0/collections/{CollectionName}","responseCode":200},"input":{"type":"structure","required":["CollectionName"],"members":{"CollectionName":{"location":"uri","locationName":"CollectionName"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"geofencing."},"idempotent":true},"DeleteMap":{"http":{"method":"DELETE","requestUri":"/maps/v0/maps/{MapName}","responseCode":200},"input":{"type":"structure","required":["MapName"],"members":{"MapName":{"location":"uri","locationName":"MapName"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"maps."},"idempotent":true},"DeletePlaceIndex":{"http":{"method":"DELETE","requestUri":"/places/v0/indexes/{IndexName}","responseCode":200},"input":{"type":"structure","required":["IndexName"],"members":{"IndexName":{"location":"uri","locationName":"IndexName"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"places."},"idempotent":true},"DeleteRouteCalculator":{"http":{"method":"DELETE","requestUri":"/routes/v0/calculators/{CalculatorName}","responseCode":200},"input":{"type":"structure","required":["CalculatorName"],"members":{"CalculatorName":{"location":"uri","locationName":"CalculatorName"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"routes."},"idempotent":true},"DeleteTracker":{"http":{"method":"DELETE","requestUri":"/tracking/v0/trackers/{TrackerName}","responseCode":200},"input":{"type":"structure","required":["TrackerName"],"members":{"TrackerName":{"location":"uri","locationName":"TrackerName"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"tracking."},"idempotent":true},"DescribeGeofenceCollection":{"http":{"method":"GET","requestUri":"/geofencing/v0/collections/{CollectionName}","responseCode":200},"input":{"type":"structure","required":["CollectionName"],"members":{"CollectionName":{"location":"uri","locationName":"CollectionName"}}},"output":{"type":"structure","required":["CollectionArn","CollectionName","CreateTime","Description","PricingPlan","UpdateTime"],"members":{"CollectionArn":{},"CollectionName":{},"CreateTime":{"shape":"St"},"Description":{},"KmsKeyId":{},"PricingPlan":{},"PricingPlanDataSource":{},"Tags":{"shape":"S2k"},"UpdateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"geofencing."}},"DescribeMap":{"http":{"method":"GET","requestUri":"/maps/v0/maps/{MapName}","responseCode":200},"input":{"type":"structure","required":["MapName"],"members":{"MapName":{"location":"uri","locationName":"MapName"}}},"output":{"type":"structure","required":["Configuration","CreateTime","DataSource","Description","MapArn","MapName","PricingPlan","UpdateTime"],"members":{"Configuration":{"shape":"S2p"},"CreateTime":{"shape":"St"},"DataSource":{},"Description":{},"MapArn":{},"MapName":{},"PricingPlan":{},"Tags":{"shape":"S2k"},"UpdateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"maps."}},"DescribePlaceIndex":{"http":{"method":"GET","requestUri":"/places/v0/indexes/{IndexName}","responseCode":200},"input":{"type":"structure","required":["IndexName"],"members":{"IndexName":{"location":"uri","locationName":"IndexName"}}},"output":{"type":"structure","required":["CreateTime","DataSource","DataSourceConfiguration","Description","IndexArn","IndexName","PricingPlan","UpdateTime"],"members":{"CreateTime":{"shape":"St"},"DataSource":{},"DataSourceConfiguration":{"shape":"S2t"},"Description":{},"IndexArn":{},"IndexName":{},"PricingPlan":{},"Tags":{"shape":"S2k"},"UpdateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"places."}},"DescribeRouteCalculator":{"http":{"method":"GET","requestUri":"/routes/v0/calculators/{CalculatorName}","responseCode":200},"input":{"type":"structure","required":["CalculatorName"],"members":{"CalculatorName":{"location":"uri","locationName":"CalculatorName"}}},"output":{"type":"structure","required":["CalculatorArn","CalculatorName","CreateTime","DataSource","Description","PricingPlan","UpdateTime"],"members":{"CalculatorArn":{},"CalculatorName":{},"CreateTime":{"shape":"St"},"DataSource":{},"Description":{},"PricingPlan":{},"Tags":{"shape":"S2k"},"UpdateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"routes."}},"DescribeTracker":{"http":{"method":"GET","requestUri":"/tracking/v0/trackers/{TrackerName}","responseCode":200},"input":{"type":"structure","required":["TrackerName"],"members":{"TrackerName":{"location":"uri","locationName":"TrackerName"}}},"output":{"type":"structure","required":["CreateTime","Description","PricingPlan","TrackerArn","TrackerName","UpdateTime"],"members":{"CreateTime":{"shape":"St"},"Description":{},"KmsKeyId":{},"PositionFiltering":{},"PricingPlan":{},"PricingPlanDataSource":{},"Tags":{"shape":"S2k"},"TrackerArn":{},"TrackerName":{},"UpdateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"tracking."}},"DisassociateTrackerConsumer":{"http":{"method":"DELETE","requestUri":"/tracking/v0/trackers/{TrackerName}/consumers/{ConsumerArn}","responseCode":200},"input":{"type":"structure","required":["ConsumerArn","TrackerName"],"members":{"ConsumerArn":{"location":"uri","locationName":"ConsumerArn"},"TrackerName":{"location":"uri","locationName":"TrackerName"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"tracking."}},"GetDevicePosition":{"http":{"method":"GET","requestUri":"/tracking/v0/trackers/{TrackerName}/devices/{DeviceId}/positions/latest","responseCode":200},"input":{"type":"structure","required":["DeviceId","TrackerName"],"members":{"DeviceId":{"location":"uri","locationName":"DeviceId"},"TrackerName":{"location":"uri","locationName":"TrackerName"}}},"output":{"type":"structure","required":["Position","ReceivedTime","SampleTime"],"members":{"Accuracy":{"shape":"Sm"},"DeviceId":{},"Position":{"shape":"So"},"PositionProperties":{"shape":"Sq"},"ReceivedTime":{"shape":"St"},"SampleTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"tracking."}},"GetDevicePositionHistory":{"http":{"requestUri":"/tracking/v0/trackers/{TrackerName}/devices/{DeviceId}/list-positions","responseCode":200},"input":{"type":"structure","required":["DeviceId","TrackerName"],"members":{"DeviceId":{"location":"uri","locationName":"DeviceId"},"EndTimeExclusive":{"shape":"St"},"NextToken":{},"StartTimeInclusive":{"shape":"St"},"TrackerName":{"location":"uri","locationName":"TrackerName"}}},"output":{"type":"structure","required":["DevicePositions"],"members":{"DevicePositions":{"shape":"S11"},"NextToken":{}}},"endpoint":{"hostPrefix":"tracking."}},"GetGeofence":{"http":{"method":"GET","requestUri":"/geofencing/v0/collections/{CollectionName}/geofences/{GeofenceId}","responseCode":200},"input":{"type":"structure","required":["CollectionName","GeofenceId"],"members":{"CollectionName":{"location":"uri","locationName":"CollectionName"},"GeofenceId":{"location":"uri","locationName":"GeofenceId"}}},"output":{"type":"structure","required":["CreateTime","GeofenceId","Geometry","Status","UpdateTime"],"members":{"CreateTime":{"shape":"St"},"GeofenceId":{},"Geometry":{"shape":"S18"},"Status":{},"UpdateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"geofencing."}},"GetMapGlyphs":{"http":{"method":"GET","requestUri":"/maps/v0/maps/{MapName}/glyphs/{FontStack}/{FontUnicodeRange}","responseCode":200},"input":{"type":"structure","required":["FontStack","FontUnicodeRange","MapName"],"members":{"FontStack":{"location":"uri","locationName":"FontStack"},"FontUnicodeRange":{"location":"uri","locationName":"FontUnicodeRange"},"MapName":{"location":"uri","locationName":"MapName"}}},"output":{"type":"structure","members":{"Blob":{"type":"blob"},"ContentType":{"location":"header","locationName":"Content-Type"}},"payload":"Blob"},"endpoint":{"hostPrefix":"maps."}},"GetMapSprites":{"http":{"method":"GET","requestUri":"/maps/v0/maps/{MapName}/sprites/{FileName}","responseCode":200},"input":{"type":"structure","required":["FileName","MapName"],"members":{"FileName":{"location":"uri","locationName":"FileName"},"MapName":{"location":"uri","locationName":"MapName"}}},"output":{"type":"structure","members":{"Blob":{"type":"blob"},"ContentType":{"location":"header","locationName":"Content-Type"}},"payload":"Blob"},"endpoint":{"hostPrefix":"maps."}},"GetMapStyleDescriptor":{"http":{"method":"GET","requestUri":"/maps/v0/maps/{MapName}/style-descriptor","responseCode":200},"input":{"type":"structure","required":["MapName"],"members":{"MapName":{"location":"uri","locationName":"MapName"}}},"output":{"type":"structure","members":{"Blob":{"type":"blob"},"ContentType":{"location":"header","locationName":"Content-Type"}},"payload":"Blob"},"endpoint":{"hostPrefix":"maps."}},"GetMapTile":{"http":{"method":"GET","requestUri":"/maps/v0/maps/{MapName}/tiles/{Z}/{X}/{Y}","responseCode":200},"input":{"type":"structure","required":["MapName","X","Y","Z"],"members":{"MapName":{"location":"uri","locationName":"MapName"},"X":{"location":"uri","locationName":"X"},"Y":{"location":"uri","locationName":"Y"},"Z":{"location":"uri","locationName":"Z"}}},"output":{"type":"structure","members":{"Blob":{"type":"blob"},"ContentType":{"location":"header","locationName":"Content-Type"}},"payload":"Blob"},"endpoint":{"hostPrefix":"maps."}},"ListDevicePositions":{"http":{"requestUri":"/tracking/v0/trackers/{TrackerName}/list-positions","responseCode":200},"input":{"type":"structure","required":["TrackerName"],"members":{"MaxResults":{"type":"integer"},"NextToken":{},"TrackerName":{"location":"uri","locationName":"TrackerName"}}},"output":{"type":"structure","required":["Entries"],"members":{"Entries":{"type":"list","member":{"type":"structure","required":["DeviceId","Position","SampleTime"],"members":{"Accuracy":{"shape":"Sm"},"DeviceId":{},"Position":{"shape":"So"},"PositionProperties":{"shape":"Sq"},"SampleTime":{"shape":"St"}}}},"NextToken":{}}},"endpoint":{"hostPrefix":"tracking."}},"ListGeofenceCollections":{"http":{"requestUri":"/geofencing/v0/list-collections","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Entries"],"members":{"Entries":{"type":"list","member":{"type":"structure","required":["CollectionName","CreateTime","Description","PricingPlan","UpdateTime"],"members":{"CollectionName":{},"CreateTime":{"shape":"St"},"Description":{},"PricingPlan":{},"PricingPlanDataSource":{},"UpdateTime":{"shape":"St"}}}},"NextToken":{}}},"endpoint":{"hostPrefix":"geofencing."}},"ListGeofences":{"http":{"requestUri":"/geofencing/v0/collections/{CollectionName}/list-geofences","responseCode":200},"input":{"type":"structure","required":["CollectionName"],"members":{"CollectionName":{"location":"uri","locationName":"CollectionName"},"NextToken":{}}},"output":{"type":"structure","required":["Entries"],"members":{"Entries":{"type":"list","member":{"type":"structure","required":["CreateTime","GeofenceId","Geometry","Status","UpdateTime"],"members":{"CreateTime":{"shape":"St"},"GeofenceId":{},"Geometry":{"shape":"S18"},"Status":{},"UpdateTime":{"shape":"St"}}}},"NextToken":{}}},"endpoint":{"hostPrefix":"geofencing."}},"ListMaps":{"http":{"requestUri":"/maps/v0/list-maps","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Entries"],"members":{"Entries":{"type":"list","member":{"type":"structure","required":["CreateTime","DataSource","Description","MapName","PricingPlan","UpdateTime"],"members":{"CreateTime":{"shape":"St"},"DataSource":{},"Description":{},"MapName":{},"PricingPlan":{},"UpdateTime":{"shape":"St"}}}},"NextToken":{}}},"endpoint":{"hostPrefix":"maps."}},"ListPlaceIndexes":{"http":{"requestUri":"/places/v0/list-indexes","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Entries"],"members":{"Entries":{"type":"list","member":{"type":"structure","required":["CreateTime","DataSource","Description","IndexName","PricingPlan","UpdateTime"],"members":{"CreateTime":{"shape":"St"},"DataSource":{},"Description":{},"IndexName":{},"PricingPlan":{},"UpdateTime":{"shape":"St"}}}},"NextToken":{}}},"endpoint":{"hostPrefix":"places."}},"ListRouteCalculators":{"http":{"requestUri":"/routes/v0/list-calculators","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Entries"],"members":{"Entries":{"type":"list","member":{"type":"structure","required":["CalculatorName","CreateTime","DataSource","Description","PricingPlan","UpdateTime"],"members":{"CalculatorName":{},"CreateTime":{"shape":"St"},"DataSource":{},"Description":{},"PricingPlan":{},"UpdateTime":{"shape":"St"}}}},"NextToken":{}}},"endpoint":{"hostPrefix":"routes."}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S2k"}}},"endpoint":{"hostPrefix":"metadata."}},"ListTrackerConsumers":{"http":{"requestUri":"/tracking/v0/trackers/{TrackerName}/list-consumers","responseCode":200},"input":{"type":"structure","required":["TrackerName"],"members":{"MaxResults":{"type":"integer"},"NextToken":{},"TrackerName":{"location":"uri","locationName":"TrackerName"}}},"output":{"type":"structure","required":["ConsumerArns"],"members":{"ConsumerArns":{"type":"list","member":{}},"NextToken":{}}},"endpoint":{"hostPrefix":"tracking."}},"ListTrackers":{"http":{"requestUri":"/tracking/v0/list-trackers","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Entries"],"members":{"Entries":{"type":"list","member":{"type":"structure","required":["CreateTime","Description","PricingPlan","TrackerName","UpdateTime"],"members":{"CreateTime":{"shape":"St"},"Description":{},"PricingPlan":{},"PricingPlanDataSource":{},"TrackerName":{},"UpdateTime":{"shape":"St"}}}},"NextToken":{}}},"endpoint":{"hostPrefix":"tracking."}},"PutGeofence":{"http":{"method":"PUT","requestUri":"/geofencing/v0/collections/{CollectionName}/geofences/{GeofenceId}","responseCode":200},"input":{"type":"structure","required":["CollectionName","GeofenceId","Geometry"],"members":{"CollectionName":{"location":"uri","locationName":"CollectionName"},"GeofenceId":{"location":"uri","locationName":"GeofenceId"},"Geometry":{"shape":"S18"}}},"output":{"type":"structure","required":["CreateTime","GeofenceId","UpdateTime"],"members":{"CreateTime":{"shape":"St"},"GeofenceId":{},"UpdateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"geofencing."}},"SearchPlaceIndexForPosition":{"http":{"requestUri":"/places/v0/indexes/{IndexName}/search/position","responseCode":200},"input":{"type":"structure","required":["IndexName","Position"],"members":{"IndexName":{"location":"uri","locationName":"IndexName"},"Language":{},"MaxResults":{"type":"integer"},"Position":{"shape":"So"}}},"output":{"type":"structure","required":["Results","Summary"],"members":{"Results":{"type":"list","member":{"type":"structure","required":["Distance","Place"],"members":{"Distance":{"type":"double"},"Place":{"shape":"S5l"}}}},"Summary":{"type":"structure","required":["DataSource","Position"],"members":{"DataSource":{},"Language":{},"MaxResults":{"type":"integer"},"Position":{"shape":"So"}}}}},"endpoint":{"hostPrefix":"places."}},"SearchPlaceIndexForSuggestions":{"http":{"requestUri":"/places/v0/indexes/{IndexName}/search/suggestions","responseCode":200},"input":{"type":"structure","required":["IndexName","Text"],"members":{"BiasPosition":{"shape":"So"},"FilterBBox":{"shape":"S2f"},"FilterCountries":{"shape":"S5r"},"IndexName":{"location":"uri","locationName":"IndexName"},"Language":{},"MaxResults":{"type":"integer"},"Text":{"type":"string","sensitive":true}}},"output":{"type":"structure","required":["Results","Summary"],"members":{"Results":{"type":"list","member":{"type":"structure","required":["Text"],"members":{"Text":{}}}},"Summary":{"type":"structure","required":["DataSource","Text"],"members":{"BiasPosition":{"shape":"So"},"DataSource":{},"FilterBBox":{"shape":"S2f"},"FilterCountries":{"shape":"S5r"},"Language":{},"MaxResults":{"type":"integer"},"Text":{"type":"string","sensitive":true}}}}},"endpoint":{"hostPrefix":"places."}},"SearchPlaceIndexForText":{"http":{"requestUri":"/places/v0/indexes/{IndexName}/search/text","responseCode":200},"input":{"type":"structure","required":["IndexName","Text"],"members":{"BiasPosition":{"shape":"So"},"FilterBBox":{"shape":"S2f"},"FilterCountries":{"shape":"S5r"},"IndexName":{"location":"uri","locationName":"IndexName"},"Language":{},"MaxResults":{"type":"integer"},"Text":{"type":"string","sensitive":true}}},"output":{"type":"structure","required":["Results","Summary"],"members":{"Results":{"type":"list","member":{"type":"structure","required":["Place"],"members":{"Distance":{"type":"double"},"Place":{"shape":"S5l"},"Relevance":{"type":"double"}}}},"Summary":{"type":"structure","required":["DataSource","Text"],"members":{"BiasPosition":{"shape":"So"},"DataSource":{},"FilterBBox":{"shape":"S2f"},"FilterCountries":{"shape":"S5r"},"Language":{},"MaxResults":{"type":"integer"},"ResultBBox":{"shape":"S2f"},"Text":{"type":"string","sensitive":true}}}}},"endpoint":{"hostPrefix":"places."}},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"S2k"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"metadata."}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"metadata."},"idempotent":true},"UpdateGeofenceCollection":{"http":{"method":"PATCH","requestUri":"/geofencing/v0/collections/{CollectionName}","responseCode":200},"input":{"type":"structure","required":["CollectionName"],"members":{"CollectionName":{"location":"uri","locationName":"CollectionName"},"Description":{},"PricingPlan":{},"PricingPlanDataSource":{}}},"output":{"type":"structure","required":["CollectionArn","CollectionName","UpdateTime"],"members":{"CollectionArn":{},"CollectionName":{},"UpdateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"geofencing."},"idempotent":true},"UpdateMap":{"http":{"method":"PATCH","requestUri":"/maps/v0/maps/{MapName}","responseCode":200},"input":{"type":"structure","required":["MapName"],"members":{"Description":{},"MapName":{"location":"uri","locationName":"MapName"},"PricingPlan":{}}},"output":{"type":"structure","required":["MapArn","MapName","UpdateTime"],"members":{"MapArn":{},"MapName":{},"UpdateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"maps."},"idempotent":true},"UpdatePlaceIndex":{"http":{"method":"PATCH","requestUri":"/places/v0/indexes/{IndexName}","responseCode":200},"input":{"type":"structure","required":["IndexName"],"members":{"DataSourceConfiguration":{"shape":"S2t"},"Description":{},"IndexName":{"location":"uri","locationName":"IndexName"},"PricingPlan":{}}},"output":{"type":"structure","required":["IndexArn","IndexName","UpdateTime"],"members":{"IndexArn":{},"IndexName":{},"UpdateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"places."},"idempotent":true},"UpdateRouteCalculator":{"http":{"method":"PATCH","requestUri":"/routes/v0/calculators/{CalculatorName}","responseCode":200},"input":{"type":"structure","required":["CalculatorName"],"members":{"CalculatorName":{"location":"uri","locationName":"CalculatorName"},"Description":{},"PricingPlan":{}}},"output":{"type":"structure","required":["CalculatorArn","CalculatorName","UpdateTime"],"members":{"CalculatorArn":{},"CalculatorName":{},"UpdateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"routes."},"idempotent":true},"UpdateTracker":{"http":{"method":"PATCH","requestUri":"/tracking/v0/trackers/{TrackerName}","responseCode":200},"input":{"type":"structure","required":["TrackerName"],"members":{"Description":{},"PositionFiltering":{},"PricingPlan":{},"PricingPlanDataSource":{},"TrackerName":{"location":"uri","locationName":"TrackerName"}}},"output":{"type":"structure","required":["TrackerArn","TrackerName","UpdateTime"],"members":{"TrackerArn":{},"TrackerName":{},"UpdateTime":{"shape":"St"}}},"endpoint":{"hostPrefix":"tracking."},"idempotent":true}},"shapes":{"Sb":{"type":"structure","members":{"Code":{},"Message":{}}},"Sl":{"type":"structure","required":["DeviceId","Position","SampleTime"],"members":{"Accuracy":{"shape":"Sm"},"DeviceId":{},"Position":{"shape":"So"},"PositionProperties":{"shape":"Sq"},"SampleTime":{"shape":"St"}}},"Sm":{"type":"structure","required":["Horizontal"],"members":{"Horizontal":{"type":"double"}}},"So":{"type":"list","member":{"type":"double"},"sensitive":true},"Sq":{"type":"map","key":{},"value":{},"sensitive":true},"St":{"type":"timestamp","timestampFormat":"iso8601"},"S11":{"type":"list","member":{"type":"structure","required":["Position","ReceivedTime","SampleTime"],"members":{"Accuracy":{"shape":"Sm"},"DeviceId":{},"Position":{"shape":"So"},"PositionProperties":{"shape":"Sq"},"ReceivedTime":{"shape":"St"},"SampleTime":{"shape":"St"}}}},"S18":{"type":"structure","members":{"Polygon":{"type":"list","member":{"type":"list","member":{"shape":"So"}}}}},"S2f":{"type":"list","member":{"type":"double"},"sensitive":true},"S2k":{"type":"map","key":{},"value":{}},"S2p":{"type":"structure","required":["Style"],"members":{"Style":{}}},"S2t":{"type":"structure","members":{"IntendedUse":{}}},"S5l":{"type":"structure","required":["Geometry"],"members":{"AddressNumber":{},"Country":{},"Geometry":{"type":"structure","members":{"Point":{"shape":"So"}}},"Interpolated":{"type":"boolean"},"Label":{},"Municipality":{},"Neighborhood":{},"PostalCode":{},"Region":{},"Street":{},"SubRegion":{},"TimeZone":{"type":"structure","required":["Name"],"members":{"Name":{},"Offset":{"type":"integer"}}}}},"S5r":{"type":"list","member":{}}}}');

/***/ }),

/***/ 53350:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetDevicePositionHistory":{"input_token":"NextToken","output_token":"NextToken","result_key":"DevicePositions"},"ListDevicePositions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Entries"},"ListGeofenceCollections":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Entries"},"ListGeofences":{"input_token":"NextToken","output_token":"NextToken","result_key":"Entries"},"ListMaps":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Entries"},"ListPlaceIndexes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Entries"},"ListRouteCalculators":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Entries"},"ListTrackerConsumers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ConsumerArns"},"ListTrackers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Entries"}}}');

/***/ }),

/***/ 73044:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-03-28","endpointPrefix":"logs","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon CloudWatch Logs","serviceId":"CloudWatch Logs","signatureVersion":"v4","targetPrefix":"Logs_20140328","uid":"logs-2014-03-28"},"operations":{"AssociateKmsKey":{"input":{"type":"structure","required":["logGroupName","kmsKeyId"],"members":{"logGroupName":{},"kmsKeyId":{}}}},"CancelExportTask":{"input":{"type":"structure","required":["taskId"],"members":{"taskId":{}}}},"CreateExportTask":{"input":{"type":"structure","required":["logGroupName","from","to","destination"],"members":{"taskName":{},"logGroupName":{},"logStreamNamePrefix":{},"from":{"type":"long"},"to":{"type":"long"},"destination":{},"destinationPrefix":{}}},"output":{"type":"structure","members":{"taskId":{}}}},"CreateLogGroup":{"input":{"type":"structure","required":["logGroupName"],"members":{"logGroupName":{},"kmsKeyId":{},"tags":{"shape":"Se"}}}},"CreateLogStream":{"input":{"type":"structure","required":["logGroupName","logStreamName"],"members":{"logGroupName":{},"logStreamName":{}}}},"DeleteDestination":{"input":{"type":"structure","required":["destinationName"],"members":{"destinationName":{}}}},"DeleteLogGroup":{"input":{"type":"structure","required":["logGroupName"],"members":{"logGroupName":{}}}},"DeleteLogStream":{"input":{"type":"structure","required":["logGroupName","logStreamName"],"members":{"logGroupName":{},"logStreamName":{}}}},"DeleteMetricFilter":{"input":{"type":"structure","required":["logGroupName","filterName"],"members":{"logGroupName":{},"filterName":{}}}},"DeleteQueryDefinition":{"input":{"type":"structure","required":["queryDefinitionId"],"members":{"queryDefinitionId":{}}},"output":{"type":"structure","members":{"success":{"type":"boolean"}}}},"DeleteResourcePolicy":{"input":{"type":"structure","members":{"policyName":{}}}},"DeleteRetentionPolicy":{"input":{"type":"structure","required":["logGroupName"],"members":{"logGroupName":{}}}},"DeleteSubscriptionFilter":{"input":{"type":"structure","required":["logGroupName","filterName"],"members":{"logGroupName":{},"filterName":{}}}},"DescribeDestinations":{"input":{"type":"structure","members":{"DestinationNamePrefix":{},"nextToken":{},"limit":{"type":"integer"}}},"output":{"type":"structure","members":{"destinations":{"type":"list","member":{"shape":"S11"}},"nextToken":{}}}},"DescribeExportTasks":{"input":{"type":"structure","members":{"taskId":{},"statusCode":{},"nextToken":{},"limit":{"type":"integer"}}},"output":{"type":"structure","members":{"exportTasks":{"type":"list","member":{"type":"structure","members":{"taskId":{},"taskName":{},"logGroupName":{},"from":{"type":"long"},"to":{"type":"long"},"destination":{},"destinationPrefix":{},"status":{"type":"structure","members":{"code":{},"message":{}}},"executionInfo":{"type":"structure","members":{"creationTime":{"type":"long"},"completionTime":{"type":"long"}}}}}},"nextToken":{}}}},"DescribeLogGroups":{"input":{"type":"structure","members":{"logGroupNamePrefix":{},"nextToken":{},"limit":{"type":"integer"}}},"output":{"type":"structure","members":{"logGroups":{"type":"list","member":{"type":"structure","members":{"logGroupName":{},"creationTime":{"type":"long"},"retentionInDays":{"type":"integer"},"metricFilterCount":{"type":"integer"},"arn":{},"storedBytes":{"type":"long"},"kmsKeyId":{}}}},"nextToken":{}}}},"DescribeLogStreams":{"input":{"type":"structure","required":["logGroupName"],"members":{"logGroupName":{},"logStreamNamePrefix":{},"orderBy":{},"descending":{"type":"boolean"},"nextToken":{},"limit":{"type":"integer"}}},"output":{"type":"structure","members":{"logStreams":{"type":"list","member":{"type":"structure","members":{"logStreamName":{},"creationTime":{"type":"long"},"firstEventTimestamp":{"type":"long"},"lastEventTimestamp":{"type":"long"},"lastIngestionTime":{"type":"long"},"uploadSequenceToken":{},"arn":{},"storedBytes":{"deprecated":true,"deprecatedMessage":"Starting on June 17, 2019, this parameter will be deprecated for log streams, and will be reported as zero. This change applies only to log streams. The storedBytes parameter for log groups is not affected.","type":"long"}}}},"nextToken":{}}}},"DescribeMetricFilters":{"input":{"type":"structure","members":{"logGroupName":{},"filterNamePrefix":{},"nextToken":{},"limit":{"type":"integer"},"metricName":{},"metricNamespace":{}}},"output":{"type":"structure","members":{"metricFilters":{"type":"list","member":{"type":"structure","members":{"filterName":{},"filterPattern":{},"metricTransformations":{"shape":"S1z"},"creationTime":{"type":"long"},"logGroupName":{}}}},"nextToken":{}}}},"DescribeQueries":{"input":{"type":"structure","members":{"logGroupName":{},"status":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"queries":{"type":"list","member":{"type":"structure","members":{"queryId":{},"queryString":{},"status":{},"createTime":{"type":"long"},"logGroupName":{}}}},"nextToken":{}}}},"DescribeQueryDefinitions":{"input":{"type":"structure","members":{"queryDefinitionNamePrefix":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"queryDefinitions":{"type":"list","member":{"type":"structure","members":{"queryDefinitionId":{},"name":{},"queryString":{},"lastModified":{"type":"long"},"logGroupNames":{"shape":"S2l"}}}},"nextToken":{}}}},"DescribeResourcePolicies":{"input":{"type":"structure","members":{"nextToken":{},"limit":{"type":"integer"}}},"output":{"type":"structure","members":{"resourcePolicies":{"type":"list","member":{"shape":"S2p"}},"nextToken":{}}}},"DescribeSubscriptionFilters":{"input":{"type":"structure","required":["logGroupName"],"members":{"logGroupName":{},"filterNamePrefix":{},"nextToken":{},"limit":{"type":"integer"}}},"output":{"type":"structure","members":{"subscriptionFilters":{"type":"list","member":{"type":"structure","members":{"filterName":{},"logGroupName":{},"filterPattern":{},"destinationArn":{},"roleArn":{},"distribution":{},"creationTime":{"type":"long"}}}},"nextToken":{}}}},"DisassociateKmsKey":{"input":{"type":"structure","required":["logGroupName"],"members":{"logGroupName":{}}}},"FilterLogEvents":{"input":{"type":"structure","required":["logGroupName"],"members":{"logGroupName":{},"logStreamNames":{"type":"list","member":{}},"logStreamNamePrefix":{},"startTime":{"type":"long"},"endTime":{"type":"long"},"filterPattern":{},"nextToken":{},"limit":{"type":"integer"},"interleaved":{"deprecated":true,"deprecatedMessage":"Starting on June 17, 2019, this parameter will be ignored and the value will be assumed to be true. The response from this operation will always interleave events from multiple log streams within a log group.","type":"boolean"}}},"output":{"type":"structure","members":{"events":{"type":"list","member":{"type":"structure","members":{"logStreamName":{},"timestamp":{"type":"long"},"message":{},"ingestionTime":{"type":"long"},"eventId":{}}}},"searchedLogStreams":{"type":"list","member":{"type":"structure","members":{"logStreamName":{},"searchedCompletely":{"type":"boolean"}}}},"nextToken":{}}}},"GetLogEvents":{"input":{"type":"structure","required":["logGroupName","logStreamName"],"members":{"logGroupName":{},"logStreamName":{},"startTime":{"type":"long"},"endTime":{"type":"long"},"nextToken":{},"limit":{"type":"integer"},"startFromHead":{"type":"boolean"}}},"output":{"type":"structure","members":{"events":{"type":"list","member":{"type":"structure","members":{"timestamp":{"type":"long"},"message":{},"ingestionTime":{"type":"long"}}}},"nextForwardToken":{},"nextBackwardToken":{}}}},"GetLogGroupFields":{"input":{"type":"structure","required":["logGroupName"],"members":{"logGroupName":{},"time":{"type":"long"}}},"output":{"type":"structure","members":{"logGroupFields":{"type":"list","member":{"type":"structure","members":{"name":{},"percent":{"type":"integer"}}}}}}},"GetLogRecord":{"input":{"type":"structure","required":["logRecordPointer"],"members":{"logRecordPointer":{}}},"output":{"type":"structure","members":{"logRecord":{"type":"map","key":{},"value":{}}}}},"GetQueryResults":{"input":{"type":"structure","required":["queryId"],"members":{"queryId":{}}},"output":{"type":"structure","members":{"results":{"type":"list","member":{"type":"list","member":{"type":"structure","members":{"field":{},"value":{}}}}},"statistics":{"type":"structure","members":{"recordsMatched":{"type":"double"},"recordsScanned":{"type":"double"},"bytesScanned":{"type":"double"}}},"status":{}}}},"ListTagsLogGroup":{"input":{"type":"structure","required":["logGroupName"],"members":{"logGroupName":{}}},"output":{"type":"structure","members":{"tags":{"shape":"Se"}}}},"PutDestination":{"input":{"type":"structure","required":["destinationName","targetArn","roleArn"],"members":{"destinationName":{},"targetArn":{},"roleArn":{}}},"output":{"type":"structure","members":{"destination":{"shape":"S11"}}}},"PutDestinationPolicy":{"input":{"type":"structure","required":["destinationName","accessPolicy"],"members":{"destinationName":{},"accessPolicy":{},"forceUpdate":{"type":"boolean"}}}},"PutLogEvents":{"input":{"type":"structure","required":["logGroupName","logStreamName","logEvents"],"members":{"logGroupName":{},"logStreamName":{},"logEvents":{"type":"list","member":{"type":"structure","required":["timestamp","message"],"members":{"timestamp":{"type":"long"},"message":{}}}},"sequenceToken":{}}},"output":{"type":"structure","members":{"nextSequenceToken":{},"rejectedLogEventsInfo":{"type":"structure","members":{"tooNewLogEventStartIndex":{"type":"integer"},"tooOldLogEventEndIndex":{"type":"integer"},"expiredLogEventEndIndex":{"type":"integer"}}}}}},"PutMetricFilter":{"input":{"type":"structure","required":["logGroupName","filterName","filterPattern","metricTransformations"],"members":{"logGroupName":{},"filterName":{},"filterPattern":{},"metricTransformations":{"shape":"S1z"}}}},"PutQueryDefinition":{"input":{"type":"structure","required":["name","queryString"],"members":{"name":{},"queryDefinitionId":{},"logGroupNames":{"shape":"S2l"},"queryString":{}}},"output":{"type":"structure","members":{"queryDefinitionId":{}}}},"PutResourcePolicy":{"input":{"type":"structure","members":{"policyName":{},"policyDocument":{}}},"output":{"type":"structure","members":{"resourcePolicy":{"shape":"S2p"}}}},"PutRetentionPolicy":{"input":{"type":"structure","required":["logGroupName","retentionInDays"],"members":{"logGroupName":{},"retentionInDays":{"type":"integer"}}}},"PutSubscriptionFilter":{"input":{"type":"structure","required":["logGroupName","filterName","filterPattern","destinationArn"],"members":{"logGroupName":{},"filterName":{},"filterPattern":{},"destinationArn":{},"roleArn":{},"distribution":{}}}},"StartQuery":{"input":{"type":"structure","required":["startTime","endTime","queryString"],"members":{"logGroupName":{},"logGroupNames":{"shape":"S2l"},"startTime":{"type":"long"},"endTime":{"type":"long"},"queryString":{},"limit":{"type":"integer"}}},"output":{"type":"structure","members":{"queryId":{}}}},"StopQuery":{"input":{"type":"structure","required":["queryId"],"members":{"queryId":{}}},"output":{"type":"structure","members":{"success":{"type":"boolean"}}}},"TagLogGroup":{"input":{"type":"structure","required":["logGroupName","tags"],"members":{"logGroupName":{},"tags":{"shape":"Se"}}}},"TestMetricFilter":{"input":{"type":"structure","required":["filterPattern","logEventMessages"],"members":{"filterPattern":{},"logEventMessages":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"matches":{"type":"list","member":{"type":"structure","members":{"eventNumber":{"type":"long"},"eventMessage":{},"extractedValues":{"type":"map","key":{},"value":{}}}}}}}},"UntagLogGroup":{"input":{"type":"structure","required":["logGroupName","tags"],"members":{"logGroupName":{},"tags":{"type":"list","member":{}}}}}},"shapes":{"Se":{"type":"map","key":{},"value":{}},"S11":{"type":"structure","members":{"destinationName":{},"targetArn":{},"roleArn":{},"accessPolicy":{},"arn":{},"creationTime":{"type":"long"}}},"S1z":{"type":"list","member":{"type":"structure","required":["metricName","metricNamespace","metricValue"],"members":{"metricName":{},"metricNamespace":{},"metricValue":{},"defaultValue":{"type":"double"},"dimensions":{"type":"map","key":{},"value":{}},"unit":{}}}},"S2l":{"type":"list","member":{}},"S2p":{"type":"structure","members":{"policyName":{},"policyDocument":{},"lastUpdatedTime":{"type":"long"}}}}}');

/***/ }),

/***/ 15472:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeDestinations":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken","result_key":"destinations"},"DescribeLogGroups":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken","result_key":"logGroups"},"DescribeLogStreams":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken","result_key":"logStreams"},"DescribeMetricFilters":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken","result_key":"metricFilters"},"DescribeSubscriptionFilters":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken","result_key":"subscriptionFilters"},"FilterLogEvents":{"input_token":"nextToken","limit_key":"limit","output_token":"nextToken","result_key":["events","searchedLogStreams"]},"GetLogEvents":{"input_token":"nextToken","limit_key":"limit","output_token":"nextForwardToken","result_key":"events"}}}');

/***/ }),

/***/ 50969:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-12-15","endpointPrefix":"lookoutequipment","jsonVersion":"1.0","protocol":"json","serviceAbbreviation":"LookoutEquipment","serviceFullName":"Amazon Lookout for Equipment","serviceId":"LookoutEquipment","signatureVersion":"v4","targetPrefix":"AWSLookoutEquipmentFrontendService","uid":"lookoutequipment-2020-12-15"},"operations":{"CreateDataset":{"input":{"type":"structure","required":["DatasetName","DatasetSchema","ClientToken"],"members":{"DatasetName":{},"DatasetSchema":{"shape":"S3"},"ServerSideKmsKeyId":{},"ClientToken":{"idempotencyToken":true},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"DatasetName":{},"DatasetArn":{},"Status":{}}}},"CreateInferenceScheduler":{"input":{"type":"structure","required":["ModelName","InferenceSchedulerName","DataUploadFrequency","DataInputConfiguration","DataOutputConfiguration","RoleArn","ClientToken"],"members":{"ModelName":{},"InferenceSchedulerName":{},"DataDelayOffsetInMinutes":{"type":"long"},"DataUploadFrequency":{},"DataInputConfiguration":{"shape":"Sj"},"DataOutputConfiguration":{"shape":"Sr"},"RoleArn":{},"ServerSideKmsKeyId":{},"ClientToken":{"idempotencyToken":true},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"InferenceSchedulerArn":{},"InferenceSchedulerName":{},"Status":{}}}},"CreateModel":{"input":{"type":"structure","required":["ModelName","DatasetName","ClientToken"],"members":{"ModelName":{},"DatasetName":{},"DatasetSchema":{"shape":"S3"},"LabelsInputConfiguration":{"shape":"Sz"},"ClientToken":{"idempotencyToken":true},"TrainingDataStartTime":{"type":"timestamp"},"TrainingDataEndTime":{"type":"timestamp"},"EvaluationDataStartTime":{"type":"timestamp"},"EvaluationDataEndTime":{"type":"timestamp"},"RoleArn":{},"DataPreProcessingConfiguration":{"shape":"S12"},"ServerSideKmsKeyId":{},"Tags":{"shape":"S7"},"OffCondition":{}}},"output":{"type":"structure","members":{"ModelArn":{},"Status":{}}}},"DeleteDataset":{"input":{"type":"structure","required":["DatasetName"],"members":{"DatasetName":{}}}},"DeleteInferenceScheduler":{"input":{"type":"structure","required":["InferenceSchedulerName"],"members":{"InferenceSchedulerName":{}}}},"DeleteModel":{"input":{"type":"structure","required":["ModelName"],"members":{"ModelName":{}}}},"DescribeDataIngestionJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{},"DatasetArn":{},"IngestionInputConfiguration":{"shape":"S1f"},"RoleArn":{},"CreatedAt":{"type":"timestamp"},"Status":{},"FailedReason":{}}}},"DescribeDataset":{"input":{"type":"structure","required":["DatasetName"],"members":{"DatasetName":{}}},"output":{"type":"structure","members":{"DatasetName":{},"DatasetArn":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Status":{},"Schema":{"jsonvalue":true},"ServerSideKmsKeyId":{},"IngestionInputConfiguration":{"shape":"S1f"}}}},"DescribeInferenceScheduler":{"input":{"type":"structure","required":["InferenceSchedulerName"],"members":{"InferenceSchedulerName":{}}},"output":{"type":"structure","members":{"ModelArn":{},"ModelName":{},"InferenceSchedulerName":{},"InferenceSchedulerArn":{},"Status":{},"DataDelayOffsetInMinutes":{"type":"long"},"DataUploadFrequency":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"DataInputConfiguration":{"shape":"Sj"},"DataOutputConfiguration":{"shape":"Sr"},"RoleArn":{},"ServerSideKmsKeyId":{}}}},"DescribeModel":{"input":{"type":"structure","required":["ModelName"],"members":{"ModelName":{}}},"output":{"type":"structure","members":{"ModelName":{},"ModelArn":{},"DatasetName":{},"DatasetArn":{},"Schema":{"jsonvalue":true},"LabelsInputConfiguration":{"shape":"Sz"},"TrainingDataStartTime":{"type":"timestamp"},"TrainingDataEndTime":{"type":"timestamp"},"EvaluationDataStartTime":{"type":"timestamp"},"EvaluationDataEndTime":{"type":"timestamp"},"RoleArn":{},"DataPreProcessingConfiguration":{"shape":"S12"},"Status":{},"TrainingExecutionStartTime":{"type":"timestamp"},"TrainingExecutionEndTime":{"type":"timestamp"},"FailedReason":{},"ModelMetrics":{"jsonvalue":true},"LastUpdatedTime":{"type":"timestamp"},"CreatedAt":{"type":"timestamp"},"ServerSideKmsKeyId":{},"OffCondition":{}}}},"ListDataIngestionJobs":{"input":{"type":"structure","members":{"DatasetName":{},"NextToken":{},"MaxResults":{"type":"integer"},"Status":{}}},"output":{"type":"structure","members":{"NextToken":{},"DataIngestionJobSummaries":{"type":"list","member":{"type":"structure","members":{"JobId":{},"DatasetName":{},"DatasetArn":{},"IngestionInputConfiguration":{"shape":"S1f"},"Status":{}}}}}}},"ListDatasets":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"DatasetNameBeginsWith":{}}},"output":{"type":"structure","members":{"NextToken":{},"DatasetSummaries":{"type":"list","member":{"type":"structure","members":{"DatasetName":{},"DatasetArn":{},"Status":{},"CreatedAt":{"type":"timestamp"}}}}}}},"ListInferenceExecutions":{"input":{"type":"structure","required":["InferenceSchedulerName"],"members":{"NextToken":{},"MaxResults":{"type":"integer"},"InferenceSchedulerName":{},"DataStartTimeAfter":{"type":"timestamp"},"DataEndTimeBefore":{"type":"timestamp"},"Status":{}}},"output":{"type":"structure","members":{"NextToken":{},"InferenceExecutionSummaries":{"type":"list","member":{"type":"structure","members":{"ModelName":{},"ModelArn":{},"InferenceSchedulerName":{},"InferenceSchedulerArn":{},"ScheduledStartTime":{"type":"timestamp"},"DataStartTime":{"type":"timestamp"},"DataEndTime":{"type":"timestamp"},"DataInputConfiguration":{"shape":"Sj"},"DataOutputConfiguration":{"shape":"Sr"},"CustomerResultObject":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{},"Key":{}}},"Status":{},"FailedReason":{}}}}}}},"ListInferenceSchedulers":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"InferenceSchedulerNameBeginsWith":{},"ModelName":{}}},"output":{"type":"structure","members":{"NextToken":{},"InferenceSchedulerSummaries":{"type":"list","member":{"type":"structure","members":{"ModelName":{},"ModelArn":{},"InferenceSchedulerName":{},"InferenceSchedulerArn":{},"Status":{},"DataDelayOffsetInMinutes":{"type":"long"},"DataUploadFrequency":{}}}}}}},"ListModels":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Status":{},"ModelNameBeginsWith":{},"DatasetNameBeginsWith":{}}},"output":{"type":"structure","members":{"NextToken":{},"ModelSummaries":{"type":"list","member":{"type":"structure","members":{"ModelName":{},"ModelArn":{},"DatasetName":{},"DatasetArn":{},"Status":{},"CreatedAt":{"type":"timestamp"}}}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S7"}}}},"StartDataIngestionJob":{"input":{"type":"structure","required":["DatasetName","IngestionInputConfiguration","RoleArn","ClientToken"],"members":{"DatasetName":{},"IngestionInputConfiguration":{"shape":"S1f"},"RoleArn":{},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"JobId":{},"Status":{}}}},"StartInferenceScheduler":{"input":{"type":"structure","required":["InferenceSchedulerName"],"members":{"InferenceSchedulerName":{}}},"output":{"type":"structure","members":{"ModelArn":{},"ModelName":{},"InferenceSchedulerName":{},"InferenceSchedulerArn":{},"Status":{}}}},"StopInferenceScheduler":{"input":{"type":"structure","required":["InferenceSchedulerName"],"members":{"InferenceSchedulerName":{}}},"output":{"type":"structure","members":{"ModelArn":{},"ModelName":{},"InferenceSchedulerName":{},"InferenceSchedulerArn":{},"Status":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateInferenceScheduler":{"input":{"type":"structure","required":["InferenceSchedulerName"],"members":{"InferenceSchedulerName":{},"DataDelayOffsetInMinutes":{"type":"long"},"DataUploadFrequency":{},"DataInputConfiguration":{"shape":"Sj"},"DataOutputConfiguration":{"shape":"Sr"},"RoleArn":{}}}}},"shapes":{"S3":{"type":"structure","members":{"InlineDataSchema":{"jsonvalue":true}}},"S7":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sj":{"type":"structure","members":{"S3InputConfiguration":{"type":"structure","required":["Bucket"],"members":{"Bucket":{},"Prefix":{}}},"InputTimeZoneOffset":{},"InferenceInputNameConfiguration":{"type":"structure","members":{"TimestampFormat":{},"ComponentTimestampDelimiter":{}}}}},"Sr":{"type":"structure","required":["S3OutputConfiguration"],"members":{"S3OutputConfiguration":{"type":"structure","required":["Bucket"],"members":{"Bucket":{},"Prefix":{}}},"KmsKeyId":{}}},"Sz":{"type":"structure","required":["S3InputConfiguration"],"members":{"S3InputConfiguration":{"type":"structure","required":["Bucket"],"members":{"Bucket":{},"Prefix":{}}}}},"S12":{"type":"structure","members":{"TargetSamplingRate":{}}},"S1f":{"type":"structure","required":["S3InputConfiguration"],"members":{"S3InputConfiguration":{"type":"structure","required":["Bucket"],"members":{"Bucket":{},"Prefix":{}}}}}}}');

/***/ }),

/***/ 92858:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDataIngestionJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDatasets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListInferenceExecutions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListInferenceSchedulers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListModels":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 37749:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-07-25","endpointPrefix":"lookoutmetrics","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"LookoutMetrics","serviceFullName":"Amazon Lookout for Metrics","serviceId":"LookoutMetrics","signatureVersion":"v4","signingName":"lookoutmetrics","uid":"lookoutmetrics-2017-07-25"},"operations":{"ActivateAnomalyDetector":{"http":{"requestUri":"/ActivateAnomalyDetector"},"input":{"type":"structure","required":["AnomalyDetectorArn"],"members":{"AnomalyDetectorArn":{}}},"output":{"type":"structure","members":{}}},"BackTestAnomalyDetector":{"http":{"requestUri":"/BackTestAnomalyDetector"},"input":{"type":"structure","required":["AnomalyDetectorArn"],"members":{"AnomalyDetectorArn":{}}},"output":{"type":"structure","members":{}}},"CreateAlert":{"http":{"requestUri":"/CreateAlert"},"input":{"type":"structure","required":["AlertName","AlertSensitivityThreshold","AnomalyDetectorArn","Action"],"members":{"AlertName":{},"AlertSensitivityThreshold":{"type":"integer"},"AlertDescription":{},"AnomalyDetectorArn":{},"Action":{"shape":"Sa"},"Tags":{"shape":"Sd"}}},"output":{"type":"structure","members":{"AlertArn":{}}}},"CreateAnomalyDetector":{"http":{"requestUri":"/CreateAnomalyDetector"},"input":{"type":"structure","required":["AnomalyDetectorName","AnomalyDetectorConfig"],"members":{"AnomalyDetectorName":{},"AnomalyDetectorDescription":{},"AnomalyDetectorConfig":{"shape":"Sk"},"KmsKeyArn":{},"Tags":{"shape":"Sd"}}},"output":{"type":"structure","members":{"AnomalyDetectorArn":{}}}},"CreateMetricSet":{"http":{"requestUri":"/CreateMetricSet"},"input":{"type":"structure","required":["AnomalyDetectorArn","MetricSetName","MetricList","MetricSource"],"members":{"AnomalyDetectorArn":{},"MetricSetName":{},"MetricSetDescription":{},"MetricList":{"shape":"Sr"},"Offset":{"type":"integer"},"TimestampColumn":{"shape":"Sx"},"DimensionList":{"shape":"Sz"},"MetricSetFrequency":{},"MetricSource":{"shape":"S10"},"Timezone":{},"Tags":{"shape":"Sd"}}},"output":{"type":"structure","members":{"MetricSetArn":{}}}},"DeleteAlert":{"http":{"requestUri":"/DeleteAlert"},"input":{"type":"structure","required":["AlertArn"],"members":{"AlertArn":{}}},"output":{"type":"structure","members":{}}},"DeleteAnomalyDetector":{"http":{"requestUri":"/DeleteAnomalyDetector"},"input":{"type":"structure","required":["AnomalyDetectorArn"],"members":{"AnomalyDetectorArn":{}}},"output":{"type":"structure","members":{}}},"DescribeAlert":{"http":{"requestUri":"/DescribeAlert"},"input":{"type":"structure","required":["AlertArn"],"members":{"AlertArn":{}}},"output":{"type":"structure","members":{"Alert":{"type":"structure","members":{"Action":{"shape":"Sa"},"AlertDescription":{},"AlertArn":{},"AnomalyDetectorArn":{},"AlertName":{},"AlertSensitivityThreshold":{"type":"integer"},"AlertType":{},"AlertStatus":{},"LastModificationTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"}}}}}},"DescribeAnomalyDetectionExecutions":{"http":{"requestUri":"/DescribeAnomalyDetectionExecutions"},"input":{"type":"structure","required":["AnomalyDetectorArn"],"members":{"AnomalyDetectorArn":{},"Timestamp":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ExecutionList":{"type":"list","member":{"type":"structure","members":{"Timestamp":{},"Status":{},"FailureReason":{}}}},"NextToken":{}}}},"DescribeAnomalyDetector":{"http":{"requestUri":"/DescribeAnomalyDetector"},"input":{"type":"structure","required":["AnomalyDetectorArn"],"members":{"AnomalyDetectorArn":{}}},"output":{"type":"structure","members":{"AnomalyDetectorArn":{},"AnomalyDetectorName":{},"AnomalyDetectorDescription":{},"AnomalyDetectorConfig":{"type":"structure","members":{"AnomalyDetectorFrequency":{}}},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"},"Status":{},"FailureReason":{},"KmsKeyArn":{}}}},"DescribeMetricSet":{"http":{"requestUri":"/DescribeMetricSet"},"input":{"type":"structure","required":["MetricSetArn"],"members":{"MetricSetArn":{}}},"output":{"type":"structure","members":{"MetricSetArn":{},"AnomalyDetectorArn":{},"MetricSetName":{},"MetricSetDescription":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"},"Offset":{"type":"integer"},"MetricList":{"shape":"Sr"},"TimestampColumn":{"shape":"Sx"},"DimensionList":{"shape":"Sz"},"MetricSetFrequency":{},"Timezone":{},"MetricSource":{"shape":"S10"}}}},"GetAnomalyGroup":{"http":{"requestUri":"/GetAnomalyGroup"},"input":{"type":"structure","required":["AnomalyGroupId","AnomalyDetectorArn"],"members":{"AnomalyGroupId":{},"AnomalyDetectorArn":{}}},"output":{"type":"structure","members":{"AnomalyGroup":{"type":"structure","members":{"StartTime":{},"EndTime":{},"AnomalyGroupId":{},"AnomalyGroupScore":{"type":"double"},"PrimaryMetricName":{},"MetricLevelImpactList":{"type":"list","member":{"type":"structure","members":{"MetricName":{},"NumTimeSeries":{"type":"integer"},"ContributionMatrix":{"type":"structure","members":{"DimensionContributionList":{"type":"list","member":{"type":"structure","members":{"DimensionName":{},"DimensionValueContributionList":{"type":"list","member":{"type":"structure","members":{"DimensionValue":{},"ContributionScore":{"type":"double"}}}}}}}}}}}}}}}}},"GetFeedback":{"http":{"requestUri":"/GetFeedback"},"input":{"type":"structure","required":["AnomalyDetectorArn","AnomalyGroupTimeSeriesFeedback"],"members":{"AnomalyDetectorArn":{},"AnomalyGroupTimeSeriesFeedback":{"type":"structure","required":["AnomalyGroupId"],"members":{"AnomalyGroupId":{},"TimeSeriesId":{}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AnomalyGroupTimeSeriesFeedback":{"type":"list","member":{"type":"structure","members":{"TimeSeriesId":{},"IsAnomaly":{"type":"boolean"}}}},"NextToken":{}}}},"GetSampleData":{"http":{"requestUri":"/GetSampleData"},"input":{"type":"structure","members":{"S3SourceConfig":{"type":"structure","required":["RoleArn","FileFormatDescriptor"],"members":{"RoleArn":{},"TemplatedPathList":{"shape":"S12"},"HistoricalDataPathList":{"shape":"S14"},"FileFormatDescriptor":{"shape":"S16"}}}}},"output":{"type":"structure","members":{"HeaderValues":{"type":"list","member":{}},"SampleRows":{"type":"list","member":{"type":"list","member":{}}}}}},"ListAlerts":{"http":{"requestUri":"/ListAlerts"},"input":{"type":"structure","members":{"AnomalyDetectorArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"AlertSummaryList":{"type":"list","member":{"type":"structure","members":{"AlertArn":{},"AnomalyDetectorArn":{},"AlertName":{},"AlertSensitivityThreshold":{"type":"integer"},"AlertType":{},"AlertStatus":{},"LastModificationTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"Tags":{"shape":"Sd"}}}},"NextToken":{}}}},"ListAnomalyDetectors":{"http":{"requestUri":"/ListAnomalyDetectors"},"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AnomalyDetectorSummaryList":{"type":"list","member":{"type":"structure","members":{"AnomalyDetectorArn":{},"AnomalyDetectorName":{},"AnomalyDetectorDescription":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"},"Status":{},"Tags":{"shape":"Sd"}}}},"NextToken":{}}}},"ListAnomalyGroupSummaries":{"http":{"requestUri":"/ListAnomalyGroupSummaries"},"input":{"type":"structure","required":["AnomalyDetectorArn","SensitivityThreshold"],"members":{"AnomalyDetectorArn":{},"SensitivityThreshold":{"type":"integer"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AnomalyGroupSummaryList":{"type":"list","member":{"type":"structure","members":{"StartTime":{},"EndTime":{},"AnomalyGroupId":{},"AnomalyGroupScore":{"type":"double"},"PrimaryMetricName":{}}}},"AnomalyGroupStatistics":{"type":"structure","members":{"EvaluationStartDate":{},"TotalCount":{"type":"integer"},"ItemizedMetricStatsList":{"type":"list","member":{"type":"structure","members":{"MetricName":{},"OccurrenceCount":{"type":"integer"}}}}}},"NextToken":{}}}},"ListAnomalyGroupTimeSeries":{"http":{"requestUri":"/ListAnomalyGroupTimeSeries"},"input":{"type":"structure","required":["AnomalyDetectorArn","AnomalyGroupId","MetricName"],"members":{"AnomalyDetectorArn":{},"AnomalyGroupId":{},"MetricName":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AnomalyGroupId":{},"MetricName":{},"TimestampList":{"type":"list","member":{}},"NextToken":{},"TimeSeriesList":{"type":"list","member":{"type":"structure","required":["TimeSeriesId","DimensionList","MetricValueList"],"members":{"TimeSeriesId":{},"DimensionList":{"type":"list","member":{"type":"structure","required":["DimensionName","DimensionValue"],"members":{"DimensionName":{},"DimensionValue":{}}}},"MetricValueList":{"type":"list","member":{"type":"double"}}}}}}}},"ListMetricSets":{"http":{"requestUri":"/ListMetricSets"},"input":{"type":"structure","members":{"AnomalyDetectorArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"MetricSetSummaryList":{"type":"list","member":{"type":"structure","members":{"MetricSetArn":{},"AnomalyDetectorArn":{},"MetricSetDescription":{},"MetricSetName":{},"CreationTime":{"type":"timestamp"},"LastModificationTime":{"type":"timestamp"},"Tags":{"shape":"Sd"}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sd","locationName":"Tags"}}}},"PutFeedback":{"http":{"requestUri":"/PutFeedback"},"input":{"type":"structure","required":["AnomalyDetectorArn","AnomalyGroupTimeSeriesFeedback"],"members":{"AnomalyDetectorArn":{},"AnomalyGroupTimeSeriesFeedback":{"type":"structure","required":["AnomalyGroupId","TimeSeriesId","IsAnomaly"],"members":{"AnomalyGroupId":{},"TimeSeriesId":{},"IsAnomaly":{"type":"boolean"}}}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"Sd","locationName":"tags"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateAnomalyDetector":{"http":{"requestUri":"/UpdateAnomalyDetector"},"input":{"type":"structure","required":["AnomalyDetectorArn"],"members":{"AnomalyDetectorArn":{},"KmsKeyArn":{},"AnomalyDetectorDescription":{},"AnomalyDetectorConfig":{"shape":"Sk"}}},"output":{"type":"structure","members":{"AnomalyDetectorArn":{}}}},"UpdateMetricSet":{"http":{"requestUri":"/UpdateMetricSet"},"input":{"type":"structure","required":["MetricSetArn"],"members":{"MetricSetArn":{},"MetricSetDescription":{},"MetricList":{"shape":"Sr"},"Offset":{"type":"integer"},"TimestampColumn":{"shape":"Sx"},"DimensionList":{"shape":"Sz"},"MetricSetFrequency":{},"MetricSource":{"shape":"S10"}}},"output":{"type":"structure","members":{"MetricSetArn":{}}}}},"shapes":{"Sa":{"type":"structure","members":{"SNSConfiguration":{"type":"structure","required":["RoleArn","SnsTopicArn"],"members":{"RoleArn":{},"SnsTopicArn":{}}},"LambdaConfiguration":{"type":"structure","required":["RoleArn","LambdaArn"],"members":{"RoleArn":{},"LambdaArn":{}}}}},"Sd":{"type":"map","key":{},"value":{}},"Sk":{"type":"structure","members":{"AnomalyDetectorFrequency":{}}},"Sr":{"type":"list","member":{"type":"structure","required":["MetricName","AggregationFunction"],"members":{"MetricName":{},"AggregationFunction":{},"Namespace":{}}}},"Sx":{"type":"structure","members":{"ColumnName":{},"ColumnFormat":{}}},"Sz":{"type":"list","member":{}},"S10":{"type":"structure","members":{"S3SourceConfig":{"type":"structure","required":["RoleArn"],"members":{"RoleArn":{},"TemplatedPathList":{"shape":"S12"},"HistoricalDataPathList":{"shape":"S14"},"FileFormatDescriptor":{"shape":"S16"}}},"AppFlowConfig":{"type":"structure","required":["RoleArn","FlowName"],"members":{"RoleArn":{},"FlowName":{}}},"CloudWatchConfig":{"type":"structure","required":["RoleArn"],"members":{"RoleArn":{}}},"RDSSourceConfig":{"type":"structure","required":["DBInstanceIdentifier","DatabaseHost","DatabasePort","SecretManagerArn","DatabaseName","TableName","RoleArn","VpcConfiguration"],"members":{"DBInstanceIdentifier":{},"DatabaseHost":{},"DatabasePort":{"type":"integer"},"SecretManagerArn":{},"DatabaseName":{},"TableName":{},"RoleArn":{},"VpcConfiguration":{"shape":"S1q"}}},"RedshiftSourceConfig":{"type":"structure","required":["ClusterIdentifier","DatabaseHost","DatabasePort","SecretManagerArn","DatabaseName","TableName","RoleArn","VpcConfiguration"],"members":{"ClusterIdentifier":{},"DatabaseHost":{},"DatabasePort":{"type":"integer"},"SecretManagerArn":{},"DatabaseName":{},"TableName":{},"RoleArn":{},"VpcConfiguration":{"shape":"S1q"}}}}},"S12":{"type":"list","member":{}},"S14":{"type":"list","member":{}},"S16":{"type":"structure","members":{"CsvFormatDescriptor":{"type":"structure","members":{"FileCompression":{},"Charset":{},"ContainsHeader":{"type":"boolean"},"Delimiter":{},"HeaderList":{"type":"list","member":{}},"QuoteSymbol":{}}},"JsonFormatDescriptor":{"type":"structure","members":{"FileCompression":{},"Charset":{}}}}},"S1q":{"type":"structure","required":["SubnetIdList","SecurityGroupIdList"],"members":{"SubnetIdList":{"type":"list","member":{}},"SecurityGroupIdList":{"type":"list","member":{}}}}}}');

/***/ }),

/***/ 13366:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeAnomalyDetectionExecutions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"GetFeedback":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAlerts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAnomalyDetectors":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAnomalyGroupSummaries":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAnomalyGroupTimeSeries":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMetricSets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 15110:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-11-20","endpointPrefix":"lookoutvision","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Lookout for Vision","serviceId":"LookoutVision","signatureVersion":"v4","signingName":"lookoutvision","uid":"lookoutvision-2020-11-20"},"operations":{"CreateDataset":{"http":{"requestUri":"/2020-11-20/projects/{projectName}/datasets","responseCode":202},"input":{"type":"structure","required":["ProjectName","DatasetType"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"DatasetType":{},"DatasetSource":{"type":"structure","members":{"GroundTruthManifest":{"type":"structure","members":{"S3Object":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{},"Key":{},"VersionId":{}}}}}}},"ClientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amzn-Client-Token"}}},"output":{"type":"structure","members":{"DatasetMetadata":{"shape":"Sc"}}}},"CreateModel":{"http":{"requestUri":"/2020-11-20/projects/{projectName}/models","responseCode":202},"input":{"type":"structure","required":["ProjectName","OutputConfig"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"Description":{},"ClientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amzn-Client-Token"},"OutputConfig":{"shape":"Si"},"KmsKeyId":{},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"ModelMetadata":{"shape":"Sr"}}}},"CreateProject":{"http":{"requestUri":"/2020-11-20/projects"},"input":{"type":"structure","required":["ProjectName"],"members":{"ProjectName":{},"ClientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amzn-Client-Token"}}},"output":{"type":"structure","members":{"ProjectMetadata":{"shape":"S10"}}}},"DeleteDataset":{"http":{"method":"DELETE","requestUri":"/2020-11-20/projects/{projectName}/datasets/{datasetType}","responseCode":202},"input":{"type":"structure","required":["ProjectName","DatasetType"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"DatasetType":{"location":"uri","locationName":"datasetType"},"ClientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amzn-Client-Token"}}},"output":{"type":"structure","members":{}}},"DeleteModel":{"http":{"method":"DELETE","requestUri":"/2020-11-20/projects/{projectName}/models/{modelVersion}","responseCode":202},"input":{"type":"structure","required":["ProjectName","ModelVersion"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"ModelVersion":{"location":"uri","locationName":"modelVersion"},"ClientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amzn-Client-Token"}}},"output":{"type":"structure","members":{"ModelArn":{}}}},"DeleteProject":{"http":{"method":"DELETE","requestUri":"/2020-11-20/projects/{projectName}"},"input":{"type":"structure","required":["ProjectName"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"ClientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amzn-Client-Token"}}},"output":{"type":"structure","members":{"ProjectArn":{}}}},"DescribeDataset":{"http":{"method":"GET","requestUri":"/2020-11-20/projects/{projectName}/datasets/{datasetType}"},"input":{"type":"structure","required":["ProjectName","DatasetType"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"DatasetType":{"location":"uri","locationName":"datasetType"}}},"output":{"type":"structure","members":{"DatasetDescription":{"type":"structure","members":{"ProjectName":{},"DatasetType":{},"CreationTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"},"Status":{},"StatusMessage":{},"ImageStats":{"type":"structure","members":{"Total":{"type":"integer"},"Labeled":{"type":"integer"},"Normal":{"type":"integer"},"Anomaly":{"type":"integer"}}}}}}}},"DescribeModel":{"http":{"method":"GET","requestUri":"/2020-11-20/projects/{projectName}/models/{modelVersion}"},"input":{"type":"structure","required":["ProjectName","ModelVersion"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"ModelVersion":{"location":"uri","locationName":"modelVersion"}}},"output":{"type":"structure","members":{"ModelDescription":{"type":"structure","members":{"ModelVersion":{},"ModelArn":{},"CreationTimestamp":{"type":"timestamp"},"Description":{},"Status":{},"StatusMessage":{},"Performance":{"shape":"Sw"},"OutputConfig":{"shape":"Si"},"EvaluationManifest":{"shape":"S1h"},"EvaluationResult":{"shape":"S1h"},"EvaluationEndTimestamp":{"type":"timestamp"},"KmsKeyId":{}}}}}},"DescribeModelPackagingJob":{"http":{"method":"GET","requestUri":"/2020-11-20/projects/{projectName}/modelpackagingjobs/{jobName}"},"input":{"type":"structure","required":["ProjectName","JobName"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"JobName":{"location":"uri","locationName":"jobName"}}},"output":{"type":"structure","members":{"ModelPackagingDescription":{"type":"structure","members":{"JobName":{},"ProjectName":{},"ModelVersion":{},"ModelPackagingConfiguration":{"shape":"S1m"},"ModelPackagingJobDescription":{},"ModelPackagingMethod":{},"ModelPackagingOutputDetails":{"type":"structure","members":{"Greengrass":{"type":"structure","members":{"ComponentVersionArn":{},"ComponentName":{},"ComponentVersion":{}}}}},"Status":{},"StatusMessage":{},"CreationTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"}}}}}},"DescribeProject":{"http":{"method":"GET","requestUri":"/2020-11-20/projects/{projectName}"},"input":{"type":"structure","required":["ProjectName"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"}}},"output":{"type":"structure","members":{"ProjectDescription":{"type":"structure","members":{"ProjectArn":{},"ProjectName":{},"CreationTimestamp":{"type":"timestamp"},"Datasets":{"type":"list","member":{"shape":"Sc"}}}}}}},"DetectAnomalies":{"http":{"requestUri":"/2020-11-20/projects/{projectName}/models/{modelVersion}/detect"},"input":{"type":"structure","required":["ProjectName","ModelVersion","Body","ContentType"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"ModelVersion":{"location":"uri","locationName":"modelVersion"},"Body":{"type":"blob","requiresLength":true,"streaming":true},"ContentType":{"location":"header","locationName":"Content-Type"}},"payload":"Body"},"output":{"type":"structure","members":{"DetectAnomalyResult":{"type":"structure","members":{"Source":{"type":"structure","members":{"Type":{}}},"IsAnomalous":{"type":"boolean"},"Confidence":{"type":"float"}}}}}},"ListDatasetEntries":{"http":{"method":"GET","requestUri":"/2020-11-20/projects/{projectName}/datasets/{datasetType}/entries"},"input":{"type":"structure","required":["ProjectName","DatasetType"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"DatasetType":{"location":"uri","locationName":"datasetType"},"Labeled":{"location":"querystring","locationName":"labeled","type":"boolean"},"AnomalyClass":{"location":"querystring","locationName":"anomalyClass"},"BeforeCreationDate":{"location":"querystring","locationName":"createdBefore","type":"timestamp"},"AfterCreationDate":{"location":"querystring","locationName":"createdAfter","type":"timestamp"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"SourceRefContains":{"location":"querystring","locationName":"sourceRefContains"}}},"output":{"type":"structure","members":{"DatasetEntries":{"type":"list","member":{}},"NextToken":{}}}},"ListModelPackagingJobs":{"http":{"method":"GET","requestUri":"/2020-11-20/projects/{projectName}/modelpackagingjobs"},"input":{"type":"structure","required":["ProjectName"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"ModelPackagingJobs":{"type":"list","member":{"type":"structure","members":{"JobName":{},"ProjectName":{},"ModelVersion":{},"ModelPackagingJobDescription":{},"ModelPackagingMethod":{},"Status":{},"StatusMessage":{},"CreationTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"}}}},"NextToken":{}}}},"ListModels":{"http":{"method":"GET","requestUri":"/2020-11-20/projects/{projectName}/models"},"input":{"type":"structure","required":["ProjectName"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"Models":{"type":"list","member":{"shape":"Sr"}},"NextToken":{}}}},"ListProjects":{"http":{"method":"GET","requestUri":"/2020-11-20/projects"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"Projects":{"type":"list","member":{"shape":"S10"}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/2020-11-20/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sm"}}}},"StartModel":{"http":{"requestUri":"/2020-11-20/projects/{projectName}/models/{modelVersion}/start","responseCode":202},"input":{"type":"structure","required":["ProjectName","ModelVersion","MinInferenceUnits"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"ModelVersion":{"location":"uri","locationName":"modelVersion"},"MinInferenceUnits":{"type":"integer"},"ClientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amzn-Client-Token"}}},"output":{"type":"structure","members":{"Status":{}}}},"StartModelPackagingJob":{"http":{"requestUri":"/2020-11-20/projects/{projectName}/modelpackagingjobs"},"input":{"type":"structure","required":["ProjectName","ModelVersion","Configuration"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"ModelVersion":{},"JobName":{},"Configuration":{"shape":"S1m"},"Description":{},"ClientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amzn-Client-Token"}}},"output":{"type":"structure","members":{"JobName":{}}}},"StopModel":{"http":{"requestUri":"/2020-11-20/projects/{projectName}/models/{modelVersion}/stop","responseCode":202},"input":{"type":"structure","required":["ProjectName","ModelVersion"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"ModelVersion":{"location":"uri","locationName":"modelVersion"},"ClientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amzn-Client-Token"}}},"output":{"type":"structure","members":{"Status":{}}}},"TagResource":{"http":{"requestUri":"/2020-11-20/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/2020-11-20/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDatasetEntries":{"http":{"method":"PATCH","requestUri":"/2020-11-20/projects/{projectName}/datasets/{datasetType}/entries","responseCode":202},"input":{"type":"structure","required":["ProjectName","DatasetType","Changes"],"members":{"ProjectName":{"location":"uri","locationName":"projectName"},"DatasetType":{"location":"uri","locationName":"datasetType"},"Changes":{"type":"blob"},"ClientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amzn-Client-Token"}}},"output":{"type":"structure","members":{"Status":{}}}}},"shapes":{"Sc":{"type":"structure","members":{"DatasetType":{},"CreationTimestamp":{"type":"timestamp"},"Status":{},"StatusMessage":{}}},"Si":{"type":"structure","required":["S3Location"],"members":{"S3Location":{"shape":"Sj"}}},"Sj":{"type":"structure","required":["Bucket"],"members":{"Bucket":{},"Prefix":{}}},"Sm":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sr":{"type":"structure","members":{"CreationTimestamp":{"type":"timestamp"},"ModelVersion":{},"ModelArn":{},"Description":{},"Status":{},"StatusMessage":{},"Performance":{"shape":"Sw"}}},"Sw":{"type":"structure","members":{"F1Score":{"type":"float"},"Recall":{"type":"float"},"Precision":{"type":"float"}}},"S10":{"type":"structure","members":{"ProjectArn":{},"ProjectName":{},"CreationTimestamp":{"type":"timestamp"}}},"S1h":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{},"Key":{}}},"S1m":{"type":"structure","required":["Greengrass"],"members":{"Greengrass":{"type":"structure","required":["CompilerOptions","S3OutputLocation","ComponentName"],"members":{"CompilerOptions":{},"TargetDevice":{},"TargetPlatform":{"type":"structure","required":["Os","Arch","Accelerator"],"members":{"Os":{},"Arch":{},"Accelerator":{}}},"S3OutputLocation":{"shape":"Sj"},"ComponentName":{},"ComponentVersion":{},"ComponentDescription":{},"Tags":{"shape":"Sm"}}}}}}}');

/***/ }),

/***/ 45644:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDatasetEntries":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"DatasetEntries"},"ListModelPackagingJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ModelPackagingJobs"},"ListModels":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Models"},"ListProjects":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Projects"}}}');

/***/ }),

/***/ 4069:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-12-12","endpointPrefix":"machinelearning","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Machine Learning","serviceId":"Machine Learning","signatureVersion":"v4","targetPrefix":"AmazonML_20141212","uid":"machinelearning-2014-12-12"},"operations":{"AddTags":{"input":{"type":"structure","required":["Tags","ResourceId","ResourceType"],"members":{"Tags":{"shape":"S2"},"ResourceId":{},"ResourceType":{}}},"output":{"type":"structure","members":{"ResourceId":{},"ResourceType":{}}}},"CreateBatchPrediction":{"input":{"type":"structure","required":["BatchPredictionId","MLModelId","BatchPredictionDataSourceId","OutputUri"],"members":{"BatchPredictionId":{},"BatchPredictionName":{},"MLModelId":{},"BatchPredictionDataSourceId":{},"OutputUri":{}}},"output":{"type":"structure","members":{"BatchPredictionId":{}}}},"CreateDataSourceFromRDS":{"input":{"type":"structure","required":["DataSourceId","RDSData","RoleARN"],"members":{"DataSourceId":{},"DataSourceName":{},"RDSData":{"type":"structure","required":["DatabaseInformation","SelectSqlQuery","DatabaseCredentials","S3StagingLocation","ResourceRole","ServiceRole","SubnetId","SecurityGroupIds"],"members":{"DatabaseInformation":{"shape":"Sf"},"SelectSqlQuery":{},"DatabaseCredentials":{"type":"structure","required":["Username","Password"],"members":{"Username":{},"Password":{}}},"S3StagingLocation":{},"DataRearrangement":{},"DataSchema":{},"DataSchemaUri":{},"ResourceRole":{},"ServiceRole":{},"SubnetId":{},"SecurityGroupIds":{"type":"list","member":{}}}},"RoleARN":{},"ComputeStatistics":{"type":"boolean"}}},"output":{"type":"structure","members":{"DataSourceId":{}}}},"CreateDataSourceFromRedshift":{"input":{"type":"structure","required":["DataSourceId","DataSpec","RoleARN"],"members":{"DataSourceId":{},"DataSourceName":{},"DataSpec":{"type":"structure","required":["DatabaseInformation","SelectSqlQuery","DatabaseCredentials","S3StagingLocation"],"members":{"DatabaseInformation":{"shape":"Sy"},"SelectSqlQuery":{},"DatabaseCredentials":{"type":"structure","required":["Username","Password"],"members":{"Username":{},"Password":{}}},"S3StagingLocation":{},"DataRearrangement":{},"DataSchema":{},"DataSchemaUri":{}}},"RoleARN":{},"ComputeStatistics":{"type":"boolean"}}},"output":{"type":"structure","members":{"DataSourceId":{}}}},"CreateDataSourceFromS3":{"input":{"type":"structure","required":["DataSourceId","DataSpec"],"members":{"DataSourceId":{},"DataSourceName":{},"DataSpec":{"type":"structure","required":["DataLocationS3"],"members":{"DataLocationS3":{},"DataRearrangement":{},"DataSchema":{},"DataSchemaLocationS3":{}}},"ComputeStatistics":{"type":"boolean"}}},"output":{"type":"structure","members":{"DataSourceId":{}}}},"CreateEvaluation":{"input":{"type":"structure","required":["EvaluationId","MLModelId","EvaluationDataSourceId"],"members":{"EvaluationId":{},"EvaluationName":{},"MLModelId":{},"EvaluationDataSourceId":{}}},"output":{"type":"structure","members":{"EvaluationId":{}}}},"CreateMLModel":{"input":{"type":"structure","required":["MLModelId","MLModelType","TrainingDataSourceId"],"members":{"MLModelId":{},"MLModelName":{},"MLModelType":{},"Parameters":{"shape":"S1d"},"TrainingDataSourceId":{},"Recipe":{},"RecipeUri":{}}},"output":{"type":"structure","members":{"MLModelId":{}}}},"CreateRealtimeEndpoint":{"input":{"type":"structure","required":["MLModelId"],"members":{"MLModelId":{}}},"output":{"type":"structure","members":{"MLModelId":{},"RealtimeEndpointInfo":{"shape":"S1j"}}}},"DeleteBatchPrediction":{"input":{"type":"structure","required":["BatchPredictionId"],"members":{"BatchPredictionId":{}}},"output":{"type":"structure","members":{"BatchPredictionId":{}}}},"DeleteDataSource":{"input":{"type":"structure","required":["DataSourceId"],"members":{"DataSourceId":{}}},"output":{"type":"structure","members":{"DataSourceId":{}}}},"DeleteEvaluation":{"input":{"type":"structure","required":["EvaluationId"],"members":{"EvaluationId":{}}},"output":{"type":"structure","members":{"EvaluationId":{}}}},"DeleteMLModel":{"input":{"type":"structure","required":["MLModelId"],"members":{"MLModelId":{}}},"output":{"type":"structure","members":{"MLModelId":{}}}},"DeleteRealtimeEndpoint":{"input":{"type":"structure","required":["MLModelId"],"members":{"MLModelId":{}}},"output":{"type":"structure","members":{"MLModelId":{},"RealtimeEndpointInfo":{"shape":"S1j"}}}},"DeleteTags":{"input":{"type":"structure","required":["TagKeys","ResourceId","ResourceType"],"members":{"TagKeys":{"type":"list","member":{}},"ResourceId":{},"ResourceType":{}}},"output":{"type":"structure","members":{"ResourceId":{},"ResourceType":{}}}},"DescribeBatchPredictions":{"input":{"type":"structure","members":{"FilterVariable":{},"EQ":{},"GT":{},"LT":{},"GE":{},"LE":{},"NE":{},"Prefix":{},"SortOrder":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Results":{"type":"list","member":{"type":"structure","members":{"BatchPredictionId":{},"MLModelId":{},"BatchPredictionDataSourceId":{},"InputDataLocationS3":{},"CreatedByIamUser":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Name":{},"Status":{},"OutputUri":{},"Message":{},"ComputeTime":{"type":"long"},"FinishedAt":{"type":"timestamp"},"StartedAt":{"type":"timestamp"},"TotalRecordCount":{"type":"long"},"InvalidRecordCount":{"type":"long"}}}},"NextToken":{}}}},"DescribeDataSources":{"input":{"type":"structure","members":{"FilterVariable":{},"EQ":{},"GT":{},"LT":{},"GE":{},"LE":{},"NE":{},"Prefix":{},"SortOrder":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Results":{"type":"list","member":{"type":"structure","members":{"DataSourceId":{},"DataLocationS3":{},"DataRearrangement":{},"CreatedByIamUser":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"DataSizeInBytes":{"type":"long"},"NumberOfFiles":{"type":"long"},"Name":{},"Status":{},"Message":{},"RedshiftMetadata":{"shape":"S2i"},"RDSMetadata":{"shape":"S2j"},"RoleARN":{},"ComputeStatistics":{"type":"boolean"},"ComputeTime":{"type":"long"},"FinishedAt":{"type":"timestamp"},"StartedAt":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeEvaluations":{"input":{"type":"structure","members":{"FilterVariable":{},"EQ":{},"GT":{},"LT":{},"GE":{},"LE":{},"NE":{},"Prefix":{},"SortOrder":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Results":{"type":"list","member":{"type":"structure","members":{"EvaluationId":{},"MLModelId":{},"EvaluationDataSourceId":{},"InputDataLocationS3":{},"CreatedByIamUser":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Name":{},"Status":{},"PerformanceMetrics":{"shape":"S2q"},"Message":{},"ComputeTime":{"type":"long"},"FinishedAt":{"type":"timestamp"},"StartedAt":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeMLModels":{"input":{"type":"structure","members":{"FilterVariable":{},"EQ":{},"GT":{},"LT":{},"GE":{},"LE":{},"NE":{},"Prefix":{},"SortOrder":{},"NextToken":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Results":{"type":"list","member":{"type":"structure","members":{"MLModelId":{},"TrainingDataSourceId":{},"CreatedByIamUser":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Name":{},"Status":{},"SizeInBytes":{"type":"long"},"EndpointInfo":{"shape":"S1j"},"TrainingParameters":{"shape":"S1d"},"InputDataLocationS3":{},"Algorithm":{},"MLModelType":{},"ScoreThreshold":{"type":"float"},"ScoreThresholdLastUpdatedAt":{"type":"timestamp"},"Message":{},"ComputeTime":{"type":"long"},"FinishedAt":{"type":"timestamp"},"StartedAt":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeTags":{"input":{"type":"structure","required":["ResourceId","ResourceType"],"members":{"ResourceId":{},"ResourceType":{}}},"output":{"type":"structure","members":{"ResourceId":{},"ResourceType":{},"Tags":{"shape":"S2"}}}},"GetBatchPrediction":{"input":{"type":"structure","required":["BatchPredictionId"],"members":{"BatchPredictionId":{}}},"output":{"type":"structure","members":{"BatchPredictionId":{},"MLModelId":{},"BatchPredictionDataSourceId":{},"InputDataLocationS3":{},"CreatedByIamUser":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Name":{},"Status":{},"OutputUri":{},"LogUri":{},"Message":{},"ComputeTime":{"type":"long"},"FinishedAt":{"type":"timestamp"},"StartedAt":{"type":"timestamp"},"TotalRecordCount":{"type":"long"},"InvalidRecordCount":{"type":"long"}}}},"GetDataSource":{"input":{"type":"structure","required":["DataSourceId"],"members":{"DataSourceId":{},"Verbose":{"type":"boolean"}}},"output":{"type":"structure","members":{"DataSourceId":{},"DataLocationS3":{},"DataRearrangement":{},"CreatedByIamUser":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"DataSizeInBytes":{"type":"long"},"NumberOfFiles":{"type":"long"},"Name":{},"Status":{},"LogUri":{},"Message":{},"RedshiftMetadata":{"shape":"S2i"},"RDSMetadata":{"shape":"S2j"},"RoleARN":{},"ComputeStatistics":{"type":"boolean"},"ComputeTime":{"type":"long"},"FinishedAt":{"type":"timestamp"},"StartedAt":{"type":"timestamp"},"DataSourceSchema":{}}}},"GetEvaluation":{"input":{"type":"structure","required":["EvaluationId"],"members":{"EvaluationId":{}}},"output":{"type":"structure","members":{"EvaluationId":{},"MLModelId":{},"EvaluationDataSourceId":{},"InputDataLocationS3":{},"CreatedByIamUser":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Name":{},"Status":{},"PerformanceMetrics":{"shape":"S2q"},"LogUri":{},"Message":{},"ComputeTime":{"type":"long"},"FinishedAt":{"type":"timestamp"},"StartedAt":{"type":"timestamp"}}}},"GetMLModel":{"input":{"type":"structure","required":["MLModelId"],"members":{"MLModelId":{},"Verbose":{"type":"boolean"}}},"output":{"type":"structure","members":{"MLModelId":{},"TrainingDataSourceId":{},"CreatedByIamUser":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Name":{},"Status":{},"SizeInBytes":{"type":"long"},"EndpointInfo":{"shape":"S1j"},"TrainingParameters":{"shape":"S1d"},"InputDataLocationS3":{},"MLModelType":{},"ScoreThreshold":{"type":"float"},"ScoreThresholdLastUpdatedAt":{"type":"timestamp"},"LogUri":{},"Message":{},"ComputeTime":{"type":"long"},"FinishedAt":{"type":"timestamp"},"StartedAt":{"type":"timestamp"},"Recipe":{},"Schema":{}}}},"Predict":{"input":{"type":"structure","required":["MLModelId","Record","PredictEndpoint"],"members":{"MLModelId":{},"Record":{"type":"map","key":{},"value":{}},"PredictEndpoint":{}}},"output":{"type":"structure","members":{"Prediction":{"type":"structure","members":{"predictedLabel":{},"predictedValue":{"type":"float"},"predictedScores":{"type":"map","key":{},"value":{"type":"float"}},"details":{"type":"map","key":{},"value":{}}}}}}},"UpdateBatchPrediction":{"input":{"type":"structure","required":["BatchPredictionId","BatchPredictionName"],"members":{"BatchPredictionId":{},"BatchPredictionName":{}}},"output":{"type":"structure","members":{"BatchPredictionId":{}}}},"UpdateDataSource":{"input":{"type":"structure","required":["DataSourceId","DataSourceName"],"members":{"DataSourceId":{},"DataSourceName":{}}},"output":{"type":"structure","members":{"DataSourceId":{}}}},"UpdateEvaluation":{"input":{"type":"structure","required":["EvaluationId","EvaluationName"],"members":{"EvaluationId":{},"EvaluationName":{}}},"output":{"type":"structure","members":{"EvaluationId":{}}}},"UpdateMLModel":{"input":{"type":"structure","required":["MLModelId"],"members":{"MLModelId":{},"MLModelName":{},"ScoreThreshold":{"type":"float"}}},"output":{"type":"structure","members":{"MLModelId":{}}}}},"shapes":{"S2":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"Sf":{"type":"structure","required":["InstanceIdentifier","DatabaseName"],"members":{"InstanceIdentifier":{},"DatabaseName":{}}},"Sy":{"type":"structure","required":["DatabaseName","ClusterIdentifier"],"members":{"DatabaseName":{},"ClusterIdentifier":{}}},"S1d":{"type":"map","key":{},"value":{}},"S1j":{"type":"structure","members":{"PeakRequestsPerSecond":{"type":"integer"},"CreatedAt":{"type":"timestamp"},"EndpointUrl":{},"EndpointStatus":{}}},"S2i":{"type":"structure","members":{"RedshiftDatabase":{"shape":"Sy"},"DatabaseUserName":{},"SelectSqlQuery":{}}},"S2j":{"type":"structure","members":{"Database":{"shape":"Sf"},"DatabaseUserName":{},"SelectSqlQuery":{},"ResourceRole":{},"ServiceRole":{},"DataPipelineId":{}}},"S2q":{"type":"structure","members":{"Properties":{"type":"map","key":{},"value":{}}}}}}');

/***/ }),

/***/ 95535:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeBatchPredictions":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"Results"},"DescribeDataSources":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"Results"},"DescribeEvaluations":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"Results"},"DescribeMLModels":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"Results"}}}');

/***/ }),

/***/ 23194:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DataSourceAvailable":{"delay":30,"operation":"DescribeDataSources","maxAttempts":60,"acceptors":[{"expected":"COMPLETED","matcher":"pathAll","state":"success","argument":"Results[].Status"},{"expected":"FAILED","matcher":"pathAny","state":"failure","argument":"Results[].Status"}]},"MLModelAvailable":{"delay":30,"operation":"DescribeMLModels","maxAttempts":60,"acceptors":[{"expected":"COMPLETED","matcher":"pathAll","state":"success","argument":"Results[].Status"},{"expected":"FAILED","matcher":"pathAny","state":"failure","argument":"Results[].Status"}]},"EvaluationAvailable":{"delay":30,"operation":"DescribeEvaluations","maxAttempts":60,"acceptors":[{"expected":"COMPLETED","matcher":"pathAll","state":"success","argument":"Results[].Status"},{"expected":"FAILED","matcher":"pathAny","state":"failure","argument":"Results[].Status"}]},"BatchPredictionAvailable":{"delay":30,"operation":"DescribeBatchPredictions","maxAttempts":60,"acceptors":[{"expected":"COMPLETED","matcher":"pathAll","state":"success","argument":"Results[].Status"},{"expected":"FAILED","matcher":"pathAny","state":"failure","argument":"Results[].Status"}]}}}');

/***/ }),

/***/ 99366:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-12-19","endpointPrefix":"macie","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Macie","serviceId":"Macie","signatureVersion":"v4","targetPrefix":"MacieService","uid":"macie-2017-12-19"},"operations":{"AssociateMemberAccount":{"input":{"type":"structure","required":["memberAccountId"],"members":{"memberAccountId":{}}}},"AssociateS3Resources":{"input":{"type":"structure","required":["s3Resources"],"members":{"memberAccountId":{},"s3Resources":{"shape":"S4"}}},"output":{"type":"structure","members":{"failedS3Resources":{"shape":"Sc"}}}},"DisassociateMemberAccount":{"input":{"type":"structure","required":["memberAccountId"],"members":{"memberAccountId":{}}}},"DisassociateS3Resources":{"input":{"type":"structure","required":["associatedS3Resources"],"members":{"memberAccountId":{},"associatedS3Resources":{"type":"list","member":{"shape":"Se"}}}},"output":{"type":"structure","members":{"failedS3Resources":{"shape":"Sc"}}}},"ListMemberAccounts":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"memberAccounts":{"type":"list","member":{"type":"structure","members":{"accountId":{}}}},"nextToken":{}}}},"ListS3Resources":{"input":{"type":"structure","members":{"memberAccountId":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"s3Resources":{"shape":"S4"},"nextToken":{}}}},"UpdateS3Resources":{"input":{"type":"structure","required":["s3ResourcesUpdate"],"members":{"memberAccountId":{},"s3ResourcesUpdate":{"type":"list","member":{"type":"structure","required":["bucketName","classificationTypeUpdate"],"members":{"bucketName":{},"prefix":{},"classificationTypeUpdate":{"type":"structure","members":{"oneTime":{},"continuous":{}}}}}}}},"output":{"type":"structure","members":{"failedS3Resources":{"shape":"Sc"}}}}},"shapes":{"S4":{"type":"list","member":{"type":"structure","required":["bucketName","classificationType"],"members":{"bucketName":{},"prefix":{},"classificationType":{"type":"structure","required":["oneTime","continuous"],"members":{"oneTime":{},"continuous":{}}}}}},"Sc":{"type":"list","member":{"type":"structure","members":{"failedItem":{"shape":"Se"},"errorCode":{},"errorMessage":{}}}},"Se":{"type":"structure","required":["bucketName"],"members":{"bucketName":{},"prefix":{}}}}}');

/***/ }),

/***/ 34091:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListMemberAccounts":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListS3Resources":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 50847:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2020-01-01","endpointPrefix":"macie2","signingName":"macie2","serviceFullName":"Amazon Macie 2","serviceId":"Macie2","protocol":"rest-json","jsonVersion":"1.1","uid":"macie2-2020-01-01","signatureVersion":"v4"},"operations":{"AcceptInvitation":{"http":{"requestUri":"/invitations/accept","responseCode":200},"input":{"type":"structure","members":{"administratorAccountId":{"locationName":"administratorAccountId"},"invitationId":{"locationName":"invitationId"},"masterAccount":{"locationName":"masterAccount"}},"required":["invitationId"]},"output":{"type":"structure","members":{}}},"BatchGetCustomDataIdentifiers":{"http":{"requestUri":"/custom-data-identifiers/get","responseCode":200},"input":{"type":"structure","members":{"ids":{"shape":"S5","locationName":"ids"}}},"output":{"type":"structure","members":{"customDataIdentifiers":{"locationName":"customDataIdentifiers","type":"list","member":{"type":"structure","members":{"arn":{"locationName":"arn"},"createdAt":{"shape":"S9","locationName":"createdAt"},"deleted":{"locationName":"deleted","type":"boolean"},"description":{"locationName":"description"},"id":{"locationName":"id"},"name":{"locationName":"name"}}}},"notFoundIdentifierIds":{"shape":"S5","locationName":"notFoundIdentifierIds"}}}},"CreateClassificationJob":{"http":{"requestUri":"/jobs","responseCode":200},"input":{"type":"structure","members":{"clientToken":{"locationName":"clientToken","idempotencyToken":true},"customDataIdentifierIds":{"shape":"S5","locationName":"customDataIdentifierIds"},"description":{"locationName":"description"},"initialRun":{"locationName":"initialRun","type":"boolean"},"jobType":{"locationName":"jobType"},"managedDataIdentifierIds":{"shape":"S5","locationName":"managedDataIdentifierIds"},"managedDataIdentifierSelector":{"locationName":"managedDataIdentifierSelector"},"name":{"locationName":"name"},"s3JobDefinition":{"shape":"Se","locationName":"s3JobDefinition"},"samplingPercentage":{"locationName":"samplingPercentage","type":"integer"},"scheduleFrequency":{"shape":"S12","locationName":"scheduleFrequency"},"tags":{"shape":"S17","locationName":"tags"}},"required":["s3JobDefinition","jobType","clientToken","name"]},"output":{"type":"structure","members":{"jobArn":{"locationName":"jobArn"},"jobId":{"locationName":"jobId"}}}},"CreateCustomDataIdentifier":{"http":{"requestUri":"/custom-data-identifiers","responseCode":200},"input":{"type":"structure","members":{"clientToken":{"locationName":"clientToken","idempotencyToken":true},"description":{"locationName":"description"},"ignoreWords":{"shape":"S5","locationName":"ignoreWords"},"keywords":{"shape":"S5","locationName":"keywords"},"maximumMatchDistance":{"locationName":"maximumMatchDistance","type":"integer"},"name":{"locationName":"name"},"regex":{"locationName":"regex"},"severityLevels":{"shape":"S1a","locationName":"severityLevels"},"tags":{"shape":"S17","locationName":"tags"}}},"output":{"type":"structure","members":{"customDataIdentifierId":{"locationName":"customDataIdentifierId"}}}},"CreateFindingsFilter":{"http":{"requestUri":"/findingsfilters","responseCode":200},"input":{"type":"structure","members":{"action":{"locationName":"action"},"clientToken":{"locationName":"clientToken","idempotencyToken":true},"description":{"locationName":"description"},"findingCriteria":{"shape":"S1h","locationName":"findingCriteria"},"name":{"locationName":"name"},"position":{"locationName":"position","type":"integer"},"tags":{"shape":"S17","locationName":"tags"}},"required":["action","findingCriteria","name"]},"output":{"type":"structure","members":{"arn":{"locationName":"arn"},"id":{"locationName":"id"}}}},"CreateInvitations":{"http":{"requestUri":"/invitations","responseCode":200},"input":{"type":"structure","members":{"accountIds":{"shape":"S5","locationName":"accountIds"},"disableEmailNotification":{"locationName":"disableEmailNotification","type":"boolean"},"message":{"locationName":"message"}},"required":["accountIds"]},"output":{"type":"structure","members":{"unprocessedAccounts":{"shape":"S1n","locationName":"unprocessedAccounts"}}}},"CreateMember":{"http":{"requestUri":"/members","responseCode":200},"input":{"type":"structure","members":{"account":{"locationName":"account","type":"structure","members":{"accountId":{"locationName":"accountId"},"email":{"locationName":"email"}},"required":["email","accountId"]},"tags":{"shape":"S17","locationName":"tags"}},"required":["account"]},"output":{"type":"structure","members":{"arn":{"locationName":"arn"}}}},"CreateSampleFindings":{"http":{"requestUri":"/findings/sample","responseCode":200},"input":{"type":"structure","members":{"findingTypes":{"locationName":"findingTypes","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"DeclineInvitations":{"http":{"requestUri":"/invitations/decline","responseCode":200},"input":{"type":"structure","members":{"accountIds":{"shape":"S5","locationName":"accountIds"}},"required":["accountIds"]},"output":{"type":"structure","members":{"unprocessedAccounts":{"shape":"S1n","locationName":"unprocessedAccounts"}}}},"DeleteCustomDataIdentifier":{"http":{"method":"DELETE","requestUri":"/custom-data-identifiers/{id}","responseCode":200},"input":{"type":"structure","members":{"id":{"location":"uri","locationName":"id"}},"required":["id"]},"output":{"type":"structure","members":{}}},"DeleteFindingsFilter":{"http":{"method":"DELETE","requestUri":"/findingsfilters/{id}","responseCode":200},"input":{"type":"structure","members":{"id":{"location":"uri","locationName":"id"}},"required":["id"]},"output":{"type":"structure","members":{}}},"DeleteInvitations":{"http":{"requestUri":"/invitations/delete","responseCode":200},"input":{"type":"structure","members":{"accountIds":{"shape":"S5","locationName":"accountIds"}},"required":["accountIds"]},"output":{"type":"structure","members":{"unprocessedAccounts":{"shape":"S1n","locationName":"unprocessedAccounts"}}}},"DeleteMember":{"http":{"method":"DELETE","requestUri":"/members/{id}","responseCode":200},"input":{"type":"structure","members":{"id":{"location":"uri","locationName":"id"}},"required":["id"]},"output":{"type":"structure","members":{}}},"DescribeBuckets":{"http":{"requestUri":"/datasources/s3","responseCode":200},"input":{"type":"structure","members":{"criteria":{"locationName":"criteria","type":"map","key":{},"value":{"type":"structure","members":{"eq":{"shape":"S5","locationName":"eq"},"gt":{"locationName":"gt","type":"long"},"gte":{"locationName":"gte","type":"long"},"lt":{"locationName":"lt","type":"long"},"lte":{"locationName":"lte","type":"long"},"neq":{"shape":"S5","locationName":"neq"},"prefix":{"locationName":"prefix"}}}},"maxResults":{"locationName":"maxResults","type":"integer"},"nextToken":{"locationName":"nextToken"},"sortCriteria":{"locationName":"sortCriteria","type":"structure","members":{"attributeName":{"locationName":"attributeName"},"orderBy":{"locationName":"orderBy"}}}}},"output":{"type":"structure","members":{"buckets":{"locationName":"buckets","type":"list","member":{"type":"structure","members":{"accountId":{"locationName":"accountId"},"allowsUnencryptedObjectUploads":{"locationName":"allowsUnencryptedObjectUploads"},"bucketArn":{"locationName":"bucketArn"},"bucketCreatedAt":{"shape":"S9","locationName":"bucketCreatedAt"},"bucketName":{"locationName":"bucketName"},"classifiableObjectCount":{"locationName":"classifiableObjectCount","type":"long"},"classifiableSizeInBytes":{"locationName":"classifiableSizeInBytes","type":"long"},"errorCode":{"locationName":"errorCode"},"errorMessage":{"locationName":"errorMessage"},"jobDetails":{"shape":"S2h","locationName":"jobDetails"},"lastUpdated":{"shape":"S9","locationName":"lastUpdated"},"objectCount":{"locationName":"objectCount","type":"long"},"objectCountByEncryptionType":{"shape":"S2k","locationName":"objectCountByEncryptionType"},"publicAccess":{"shape":"S2l","locationName":"publicAccess"},"region":{"locationName":"region"},"replicationDetails":{"locationName":"replicationDetails","type":"structure","members":{"replicated":{"locationName":"replicated","type":"boolean"},"replicatedExternally":{"locationName":"replicatedExternally","type":"boolean"},"replicationAccounts":{"shape":"S5","locationName":"replicationAccounts"}}},"serverSideEncryption":{"locationName":"serverSideEncryption","type":"structure","members":{"kmsMasterKeyId":{"locationName":"kmsMasterKeyId"},"type":{"locationName":"type"}}},"sharedAccess":{"locationName":"sharedAccess"},"sizeInBytes":{"locationName":"sizeInBytes","type":"long"},"sizeInBytesCompressed":{"locationName":"sizeInBytesCompressed","type":"long"},"tags":{"locationName":"tags","type":"list","member":{"shape":"S2y"}},"unclassifiableObjectCount":{"shape":"S2z","locationName":"unclassifiableObjectCount"},"unclassifiableObjectSizeInBytes":{"shape":"S2z","locationName":"unclassifiableObjectSizeInBytes"},"versioning":{"locationName":"versioning","type":"boolean"}}}},"nextToken":{"locationName":"nextToken"}}}},"DescribeClassificationJob":{"http":{"method":"GET","requestUri":"/jobs/{jobId}","responseCode":200},"input":{"type":"structure","members":{"jobId":{"location":"uri","locationName":"jobId"}},"required":["jobId"]},"output":{"type":"structure","members":{"clientToken":{"locationName":"clientToken","idempotencyToken":true},"createdAt":{"shape":"S9","locationName":"createdAt"},"customDataIdentifierIds":{"shape":"S5","locationName":"customDataIdentifierIds"},"description":{"locationName":"description"},"initialRun":{"locationName":"initialRun","type":"boolean"},"jobArn":{"locationName":"jobArn"},"jobId":{"locationName":"jobId"},"jobStatus":{"locationName":"jobStatus"},"jobType":{"locationName":"jobType"},"lastRunErrorStatus":{"shape":"S33","locationName":"lastRunErrorStatus"},"lastRunTime":{"shape":"S9","locationName":"lastRunTime"},"managedDataIdentifierIds":{"shape":"S5","locationName":"managedDataIdentifierIds"},"managedDataIdentifierSelector":{"locationName":"managedDataIdentifierSelector"},"name":{"locationName":"name"},"s3JobDefinition":{"shape":"Se","locationName":"s3JobDefinition"},"samplingPercentage":{"locationName":"samplingPercentage","type":"integer"},"scheduleFrequency":{"shape":"S12","locationName":"scheduleFrequency"},"statistics":{"locationName":"statistics","type":"structure","members":{"approximateNumberOfObjectsToProcess":{"locationName":"approximateNumberOfObjectsToProcess","type":"double"},"numberOfRuns":{"locationName":"numberOfRuns","type":"double"}}},"tags":{"shape":"S17","locationName":"tags"},"userPausedDetails":{"shape":"S37","locationName":"userPausedDetails"}}}},"DescribeOrganizationConfiguration":{"http":{"method":"GET","requestUri":"/admin/configuration","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"autoEnable":{"locationName":"autoEnable","type":"boolean"},"maxAccountLimitReached":{"locationName":"maxAccountLimitReached","type":"boolean"}}}},"DisableMacie":{"http":{"method":"DELETE","requestUri":"/macie","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DisableOrganizationAdminAccount":{"http":{"method":"DELETE","requestUri":"/admin","responseCode":200},"input":{"type":"structure","members":{"adminAccountId":{"location":"querystring","locationName":"adminAccountId"}},"required":["adminAccountId"]},"output":{"type":"structure","members":{}}},"DisassociateFromAdministratorAccount":{"http":{"requestUri":"/administrator/disassociate","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DisassociateFromMasterAccount":{"http":{"requestUri":"/master/disassociate","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DisassociateMember":{"http":{"requestUri":"/members/disassociate/{id}","responseCode":200},"input":{"type":"structure","members":{"id":{"location":"uri","locationName":"id"}},"required":["id"]},"output":{"type":"structure","members":{}}},"EnableMacie":{"http":{"requestUri":"/macie","responseCode":200},"input":{"type":"structure","members":{"clientToken":{"locationName":"clientToken","idempotencyToken":true},"findingPublishingFrequency":{"locationName":"findingPublishingFrequency"},"status":{"locationName":"status"}}},"output":{"type":"structure","members":{}}},"EnableOrganizationAdminAccount":{"http":{"requestUri":"/admin","responseCode":200},"input":{"type":"structure","members":{"adminAccountId":{"locationName":"adminAccountId"},"clientToken":{"locationName":"clientToken","idempotencyToken":true}},"required":["adminAccountId"]},"output":{"type":"structure","members":{}}},"GetAdministratorAccount":{"http":{"method":"GET","requestUri":"/administrator","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"administrator":{"shape":"S3s","locationName":"administrator"}}}},"GetBucketStatistics":{"http":{"requestUri":"/datasources/s3/statistics","responseCode":200},"input":{"type":"structure","members":{"accountId":{"locationName":"accountId"}}},"output":{"type":"structure","members":{"bucketCount":{"locationName":"bucketCount","type":"long"},"bucketCountByEffectivePermission":{"locationName":"bucketCountByEffectivePermission","type":"structure","members":{"publiclyAccessible":{"locationName":"publiclyAccessible","type":"long"},"publiclyReadable":{"locationName":"publiclyReadable","type":"long"},"publiclyWritable":{"locationName":"publiclyWritable","type":"long"},"unknown":{"locationName":"unknown","type":"long"}}},"bucketCountByEncryptionType":{"locationName":"bucketCountByEncryptionType","type":"structure","members":{"kmsManaged":{"locationName":"kmsManaged","type":"long"},"s3Managed":{"locationName":"s3Managed","type":"long"},"unencrypted":{"locationName":"unencrypted","type":"long"},"unknown":{"locationName":"unknown","type":"long"}}},"bucketCountByObjectEncryptionRequirement":{"locationName":"bucketCountByObjectEncryptionRequirement","type":"structure","members":{"allowsUnencryptedObjectUploads":{"locationName":"allowsUnencryptedObjectUploads","type":"long"},"deniesUnencryptedObjectUploads":{"locationName":"deniesUnencryptedObjectUploads","type":"long"},"unknown":{"locationName":"unknown","type":"long"}}},"bucketCountBySharedAccessType":{"locationName":"bucketCountBySharedAccessType","type":"structure","members":{"external":{"locationName":"external","type":"long"},"internal":{"locationName":"internal","type":"long"},"notShared":{"locationName":"notShared","type":"long"},"unknown":{"locationName":"unknown","type":"long"}}},"classifiableObjectCount":{"locationName":"classifiableObjectCount","type":"long"},"classifiableSizeInBytes":{"locationName":"classifiableSizeInBytes","type":"long"},"lastUpdated":{"shape":"S9","locationName":"lastUpdated"},"objectCount":{"locationName":"objectCount","type":"long"},"sizeInBytes":{"locationName":"sizeInBytes","type":"long"},"sizeInBytesCompressed":{"locationName":"sizeInBytesCompressed","type":"long"},"unclassifiableObjectCount":{"shape":"S2z","locationName":"unclassifiableObjectCount"},"unclassifiableObjectSizeInBytes":{"shape":"S2z","locationName":"unclassifiableObjectSizeInBytes"}}}},"GetClassificationExportConfiguration":{"http":{"method":"GET","requestUri":"/classification-export-configuration","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"configuration":{"shape":"S42","locationName":"configuration"}}}},"GetCustomDataIdentifier":{"http":{"method":"GET","requestUri":"/custom-data-identifiers/{id}","responseCode":200},"input":{"type":"structure","members":{"id":{"location":"uri","locationName":"id"}},"required":["id"]},"output":{"type":"structure","members":{"arn":{"locationName":"arn"},"createdAt":{"shape":"S9","locationName":"createdAt"},"deleted":{"locationName":"deleted","type":"boolean"},"description":{"locationName":"description"},"id":{"locationName":"id"},"ignoreWords":{"shape":"S5","locationName":"ignoreWords"},"keywords":{"shape":"S5","locationName":"keywords"},"maximumMatchDistance":{"locationName":"maximumMatchDistance","type":"integer"},"name":{"locationName":"name"},"regex":{"locationName":"regex"},"severityLevels":{"shape":"S1a","locationName":"severityLevels"},"tags":{"shape":"S17","locationName":"tags"}}}},"GetFindingStatistics":{"http":{"requestUri":"/findings/statistics","responseCode":200},"input":{"type":"structure","members":{"findingCriteria":{"shape":"S1h","locationName":"findingCriteria"},"groupBy":{"locationName":"groupBy"},"size":{"locationName":"size","type":"integer"},"sortCriteria":{"locationName":"sortCriteria","type":"structure","members":{"attributeName":{"locationName":"attributeName"},"orderBy":{"locationName":"orderBy"}}}},"required":["groupBy"]},"output":{"type":"structure","members":{"countsByGroup":{"locationName":"countsByGroup","type":"list","member":{"type":"structure","members":{"count":{"locationName":"count","type":"long"},"groupKey":{"locationName":"groupKey"}}}}}}},"GetFindings":{"http":{"requestUri":"/findings/describe","responseCode":200},"input":{"type":"structure","members":{"findingIds":{"shape":"S5","locationName":"findingIds"},"sortCriteria":{"shape":"S4e","locationName":"sortCriteria"}},"required":["findingIds"]},"output":{"type":"structure","members":{"findings":{"locationName":"findings","type":"list","member":{"type":"structure","members":{"accountId":{"locationName":"accountId"},"archived":{"locationName":"archived","type":"boolean"},"category":{"locationName":"category"},"classificationDetails":{"locationName":"classificationDetails","type":"structure","members":{"detailedResultsLocation":{"locationName":"detailedResultsLocation"},"jobArn":{"locationName":"jobArn"},"jobId":{"locationName":"jobId"},"result":{"locationName":"result","type":"structure","members":{"additionalOccurrences":{"locationName":"additionalOccurrences","type":"boolean"},"customDataIdentifiers":{"locationName":"customDataIdentifiers","type":"structure","members":{"detections":{"locationName":"detections","type":"list","member":{"type":"structure","members":{"arn":{"locationName":"arn"},"count":{"locationName":"count","type":"long"},"name":{"locationName":"name"},"occurrences":{"shape":"S4o","locationName":"occurrences"}}}},"totalCount":{"locationName":"totalCount","type":"long"}}},"mimeType":{"locationName":"mimeType"},"sensitiveData":{"locationName":"sensitiveData","type":"list","member":{"type":"structure","members":{"category":{"locationName":"category"},"detections":{"locationName":"detections","type":"list","member":{"type":"structure","members":{"count":{"locationName":"count","type":"long"},"occurrences":{"shape":"S4o","locationName":"occurrences"},"type":{"locationName":"type"}}}},"totalCount":{"locationName":"totalCount","type":"long"}}}},"sizeClassified":{"locationName":"sizeClassified","type":"long"},"status":{"locationName":"status","type":"structure","members":{"code":{"locationName":"code"},"reason":{"locationName":"reason"}}}}}}},"count":{"locationName":"count","type":"long"},"createdAt":{"shape":"S9","locationName":"createdAt"},"description":{"locationName":"description"},"id":{"locationName":"id"},"partition":{"locationName":"partition"},"policyDetails":{"locationName":"policyDetails","type":"structure","members":{"action":{"locationName":"action","type":"structure","members":{"actionType":{"locationName":"actionType"},"apiCallDetails":{"locationName":"apiCallDetails","type":"structure","members":{"api":{"locationName":"api"},"apiServiceName":{"locationName":"apiServiceName"},"firstSeen":{"shape":"S9","locationName":"firstSeen"},"lastSeen":{"shape":"S9","locationName":"lastSeen"}}}}},"actor":{"locationName":"actor","type":"structure","members":{"domainDetails":{"locationName":"domainDetails","type":"structure","members":{"domainName":{"locationName":"domainName"}}},"ipAddressDetails":{"locationName":"ipAddressDetails","type":"structure","members":{"ipAddressV4":{"locationName":"ipAddressV4"},"ipCity":{"locationName":"ipCity","type":"structure","members":{"name":{"locationName":"name"}}},"ipCountry":{"locationName":"ipCountry","type":"structure","members":{"code":{"locationName":"code"},"name":{"locationName":"name"}}},"ipGeoLocation":{"locationName":"ipGeoLocation","type":"structure","members":{"lat":{"locationName":"lat","type":"double"},"lon":{"locationName":"lon","type":"double"}}},"ipOwner":{"locationName":"ipOwner","type":"structure","members":{"asn":{"locationName":"asn"},"asnOrg":{"locationName":"asnOrg"},"isp":{"locationName":"isp"},"org":{"locationName":"org"}}}}},"userIdentity":{"locationName":"userIdentity","type":"structure","members":{"assumedRole":{"locationName":"assumedRole","type":"structure","members":{"accessKeyId":{"locationName":"accessKeyId"},"accountId":{"locationName":"accountId"},"arn":{"locationName":"arn"},"principalId":{"locationName":"principalId"},"sessionContext":{"shape":"S5g","locationName":"sessionContext"}}},"awsAccount":{"locationName":"awsAccount","type":"structure","members":{"accountId":{"locationName":"accountId"},"principalId":{"locationName":"principalId"}}},"awsService":{"locationName":"awsService","type":"structure","members":{"invokedBy":{"locationName":"invokedBy"}}},"federatedUser":{"locationName":"federatedUser","type":"structure","members":{"accessKeyId":{"locationName":"accessKeyId"},"accountId":{"locationName":"accountId"},"arn":{"locationName":"arn"},"principalId":{"locationName":"principalId"},"sessionContext":{"shape":"S5g","locationName":"sessionContext"}}},"iamUser":{"locationName":"iamUser","type":"structure","members":{"accountId":{"locationName":"accountId"},"arn":{"locationName":"arn"},"principalId":{"locationName":"principalId"},"userName":{"locationName":"userName"}}},"root":{"locationName":"root","type":"structure","members":{"accountId":{"locationName":"accountId"},"arn":{"locationName":"arn"},"principalId":{"locationName":"principalId"}}},"type":{"locationName":"type"}}}}}}},"region":{"locationName":"region"},"resourcesAffected":{"locationName":"resourcesAffected","type":"structure","members":{"s3Bucket":{"locationName":"s3Bucket","type":"structure","members":{"allowsUnencryptedObjectUploads":{"locationName":"allowsUnencryptedObjectUploads"},"arn":{"locationName":"arn"},"createdAt":{"shape":"S9","locationName":"createdAt"},"defaultServerSideEncryption":{"shape":"S5r","locationName":"defaultServerSideEncryption"},"name":{"locationName":"name"},"owner":{"locationName":"owner","type":"structure","members":{"displayName":{"locationName":"displayName"},"id":{"locationName":"id"}}},"publicAccess":{"shape":"S2l","locationName":"publicAccess"},"tags":{"shape":"S5u","locationName":"tags"}}},"s3Object":{"locationName":"s3Object","type":"structure","members":{"bucketArn":{"locationName":"bucketArn"},"eTag":{"locationName":"eTag"},"extension":{"locationName":"extension"},"key":{"locationName":"key"},"lastModified":{"shape":"S9","locationName":"lastModified"},"path":{"locationName":"path"},"publicAccess":{"locationName":"publicAccess","type":"boolean"},"serverSideEncryption":{"shape":"S5r","locationName":"serverSideEncryption"},"size":{"locationName":"size","type":"long"},"storageClass":{"locationName":"storageClass"},"tags":{"shape":"S5u","locationName":"tags"},"versionId":{"locationName":"versionId"}}}}},"sample":{"locationName":"sample","type":"boolean"},"schemaVersion":{"locationName":"schemaVersion"},"severity":{"locationName":"severity","type":"structure","members":{"description":{"locationName":"description"},"score":{"locationName":"score","type":"long"}}},"title":{"locationName":"title"},"type":{"locationName":"type"},"updatedAt":{"shape":"S9","locationName":"updatedAt"}}}}}}},"GetFindingsFilter":{"http":{"method":"GET","requestUri":"/findingsfilters/{id}","responseCode":200},"input":{"type":"structure","members":{"id":{"location":"uri","locationName":"id"}},"required":["id"]},"output":{"type":"structure","members":{"action":{"locationName":"action"},"arn":{"locationName":"arn"},"description":{"locationName":"description"},"findingCriteria":{"shape":"S1h","locationName":"findingCriteria"},"id":{"locationName":"id"},"name":{"locationName":"name"},"position":{"locationName":"position","type":"integer"},"tags":{"shape":"S17","locationName":"tags"}}}},"GetFindingsPublicationConfiguration":{"http":{"method":"GET","requestUri":"/findings-publication-configuration","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"securityHubConfiguration":{"shape":"S63","locationName":"securityHubConfiguration"}}}},"GetInvitationsCount":{"http":{"method":"GET","requestUri":"/invitations/count","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"invitationsCount":{"locationName":"invitationsCount","type":"long"}}}},"GetMacieSession":{"http":{"method":"GET","requestUri":"/macie","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"createdAt":{"shape":"S9","locationName":"createdAt"},"findingPublishingFrequency":{"locationName":"findingPublishingFrequency"},"serviceRole":{"locationName":"serviceRole"},"status":{"locationName":"status"},"updatedAt":{"shape":"S9","locationName":"updatedAt"}}}},"GetMasterAccount":{"http":{"method":"GET","requestUri":"/master","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"master":{"shape":"S3s","locationName":"master"}}}},"GetMember":{"http":{"method":"GET","requestUri":"/members/{id}","responseCode":200},"input":{"type":"structure","members":{"id":{"location":"uri","locationName":"id"}},"required":["id"]},"output":{"type":"structure","members":{"accountId":{"locationName":"accountId"},"administratorAccountId":{"locationName":"administratorAccountId"},"arn":{"locationName":"arn"},"email":{"locationName":"email"},"invitedAt":{"shape":"S9","locationName":"invitedAt"},"masterAccountId":{"locationName":"masterAccountId"},"relationshipStatus":{"locationName":"relationshipStatus"},"tags":{"shape":"S17","locationName":"tags"},"updatedAt":{"shape":"S9","locationName":"updatedAt"}}}},"GetUsageStatistics":{"http":{"requestUri":"/usage/statistics","responseCode":200},"input":{"type":"structure","members":{"filterBy":{"locationName":"filterBy","type":"list","member":{"type":"structure","members":{"comparator":{"locationName":"comparator"},"key":{"locationName":"key"},"values":{"shape":"S5","locationName":"values"}}}},"maxResults":{"locationName":"maxResults","type":"integer"},"nextToken":{"locationName":"nextToken"},"sortBy":{"locationName":"sortBy","type":"structure","members":{"key":{"locationName":"key"},"orderBy":{"locationName":"orderBy"}}},"timeRange":{"locationName":"timeRange"}}},"output":{"type":"structure","members":{"nextToken":{"locationName":"nextToken"},"records":{"locationName":"records","type":"list","member":{"type":"structure","members":{"accountId":{"locationName":"accountId"},"freeTrialStartDate":{"shape":"S9","locationName":"freeTrialStartDate"},"usage":{"locationName":"usage","type":"list","member":{"type":"structure","members":{"currency":{"locationName":"currency"},"estimatedCost":{"locationName":"estimatedCost"},"serviceLimit":{"locationName":"serviceLimit","type":"structure","members":{"isServiceLimited":{"locationName":"isServiceLimited","type":"boolean"},"unit":{"locationName":"unit"},"value":{"locationName":"value","type":"long"}}},"type":{"locationName":"type"}}}}}}},"timeRange":{"locationName":"timeRange"}}}},"GetUsageTotals":{"http":{"method":"GET","requestUri":"/usage","responseCode":200},"input":{"type":"structure","members":{"timeRange":{"location":"querystring","locationName":"timeRange"}}},"output":{"type":"structure","members":{"timeRange":{"locationName":"timeRange"},"usageTotals":{"locationName":"usageTotals","type":"list","member":{"type":"structure","members":{"currency":{"locationName":"currency"},"estimatedCost":{"locationName":"estimatedCost"},"type":{"locationName":"type"}}}}}}},"ListClassificationJobs":{"http":{"requestUri":"/jobs/list","responseCode":200},"input":{"type":"structure","members":{"filterCriteria":{"locationName":"filterCriteria","type":"structure","members":{"excludes":{"shape":"S6z","locationName":"excludes"},"includes":{"shape":"S6z","locationName":"includes"}}},"maxResults":{"locationName":"maxResults","type":"integer"},"nextToken":{"locationName":"nextToken"},"sortCriteria":{"locationName":"sortCriteria","type":"structure","members":{"attributeName":{"locationName":"attributeName"},"orderBy":{"locationName":"orderBy"}}}}},"output":{"type":"structure","members":{"items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"bucketDefinitions":{"shape":"Sf","locationName":"bucketDefinitions"},"createdAt":{"shape":"S9","locationName":"createdAt"},"jobId":{"locationName":"jobId"},"jobStatus":{"locationName":"jobStatus"},"jobType":{"locationName":"jobType"},"lastRunErrorStatus":{"shape":"S33","locationName":"lastRunErrorStatus"},"name":{"locationName":"name"},"userPausedDetails":{"shape":"S37","locationName":"userPausedDetails"},"bucketCriteria":{"shape":"Ss","locationName":"bucketCriteria"}}}},"nextToken":{"locationName":"nextToken"}}}},"ListCustomDataIdentifiers":{"http":{"requestUri":"/custom-data-identifiers/list","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"locationName":"maxResults","type":"integer"},"nextToken":{"locationName":"nextToken"}}},"output":{"type":"structure","members":{"items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"arn":{"locationName":"arn"},"createdAt":{"shape":"S9","locationName":"createdAt"},"description":{"locationName":"description"},"id":{"locationName":"id"},"name":{"locationName":"name"}}}},"nextToken":{"locationName":"nextToken"}}}},"ListFindings":{"http":{"requestUri":"/findings","responseCode":200},"input":{"type":"structure","members":{"findingCriteria":{"shape":"S1h","locationName":"findingCriteria"},"maxResults":{"locationName":"maxResults","type":"integer"},"nextToken":{"locationName":"nextToken"},"sortCriteria":{"shape":"S4e","locationName":"sortCriteria"}}},"output":{"type":"structure","members":{"findingIds":{"shape":"S5","locationName":"findingIds"},"nextToken":{"locationName":"nextToken"}}}},"ListFindingsFilters":{"http":{"method":"GET","requestUri":"/findingsfilters","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"findingsFilterListItems":{"locationName":"findingsFilterListItems","type":"list","member":{"type":"structure","members":{"action":{"locationName":"action"},"arn":{"locationName":"arn"},"id":{"locationName":"id"},"name":{"locationName":"name"},"tags":{"shape":"S17","locationName":"tags"}}}},"nextToken":{"locationName":"nextToken"}}}},"ListInvitations":{"http":{"method":"GET","requestUri":"/invitations","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"invitations":{"locationName":"invitations","type":"list","member":{"shape":"S3s"}},"nextToken":{"locationName":"nextToken"}}}},"ListManagedDataIdentifiers":{"http":{"requestUri":"/managed-data-identifiers/list","responseCode":200},"input":{"type":"structure","members":{"nextToken":{"locationName":"nextToken"}}},"output":{"type":"structure","members":{"items":{"locationName":"items","type":"list","member":{"type":"structure","members":{"category":{"locationName":"category"},"id":{"locationName":"id"}}}},"nextToken":{"locationName":"nextToken"}}}},"ListMembers":{"http":{"method":"GET","requestUri":"/members","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"onlyAssociated":{"location":"querystring","locationName":"onlyAssociated"}}},"output":{"type":"structure","members":{"members":{"locationName":"members","type":"list","member":{"type":"structure","members":{"accountId":{"locationName":"accountId"},"administratorAccountId":{"locationName":"administratorAccountId"},"arn":{"locationName":"arn"},"email":{"locationName":"email"},"invitedAt":{"shape":"S9","locationName":"invitedAt"},"masterAccountId":{"locationName":"masterAccountId"},"relationshipStatus":{"locationName":"relationshipStatus"},"tags":{"shape":"S17","locationName":"tags"},"updatedAt":{"shape":"S9","locationName":"updatedAt"}}}},"nextToken":{"locationName":"nextToken"}}}},"ListOrganizationAdminAccounts":{"http":{"method":"GET","requestUri":"/admin","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"adminAccounts":{"locationName":"adminAccounts","type":"list","member":{"type":"structure","members":{"accountId":{"locationName":"accountId"},"status":{"locationName":"status"}}}},"nextToken":{"locationName":"nextToken"}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}},"required":["resourceArn"]},"output":{"type":"structure","members":{"tags":{"shape":"S17","locationName":"tags"}}}},"PutClassificationExportConfiguration":{"http":{"method":"PUT","requestUri":"/classification-export-configuration","responseCode":200},"input":{"type":"structure","members":{"configuration":{"shape":"S42","locationName":"configuration"}},"required":["configuration"]},"output":{"type":"structure","members":{"configuration":{"shape":"S42","locationName":"configuration"}}}},"PutFindingsPublicationConfiguration":{"http":{"method":"PUT","requestUri":"/findings-publication-configuration","responseCode":200},"input":{"type":"structure","members":{"clientToken":{"locationName":"clientToken","idempotencyToken":true},"securityHubConfiguration":{"shape":"S63","locationName":"securityHubConfiguration"}}},"output":{"type":"structure","members":{}}},"SearchResources":{"http":{"requestUri":"/datasources/search-resources","responseCode":200},"input":{"type":"structure","members":{"bucketCriteria":{"locationName":"bucketCriteria","type":"structure","members":{"excludes":{"shape":"S86","locationName":"excludes"},"includes":{"shape":"S86","locationName":"includes"}}},"maxResults":{"locationName":"maxResults","type":"integer"},"nextToken":{"locationName":"nextToken"},"sortCriteria":{"locationName":"sortCriteria","type":"structure","members":{"attributeName":{"locationName":"attributeName"},"orderBy":{"locationName":"orderBy"}}}}},"output":{"type":"structure","members":{"matchingResources":{"locationName":"matchingResources","type":"list","member":{"type":"structure","members":{"matchingBucket":{"locationName":"matchingBucket","type":"structure","members":{"accountId":{"locationName":"accountId"},"bucketName":{"locationName":"bucketName"},"classifiableObjectCount":{"locationName":"classifiableObjectCount","type":"long"},"classifiableSizeInBytes":{"locationName":"classifiableSizeInBytes","type":"long"},"errorCode":{"locationName":"errorCode"},"errorMessage":{"locationName":"errorMessage"},"jobDetails":{"shape":"S2h","locationName":"jobDetails"},"objectCount":{"locationName":"objectCount","type":"long"},"objectCountByEncryptionType":{"shape":"S2k","locationName":"objectCountByEncryptionType"},"sizeInBytes":{"locationName":"sizeInBytes","type":"long"},"sizeInBytesCompressed":{"locationName":"sizeInBytesCompressed","type":"long"},"unclassifiableObjectCount":{"shape":"S2z","locationName":"unclassifiableObjectCount"},"unclassifiableObjectSizeInBytes":{"shape":"S2z","locationName":"unclassifiableObjectSizeInBytes"}}}}}},"nextToken":{"locationName":"nextToken"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S17","locationName":"tags"}},"required":["resourceArn","tags"]},"output":{"type":"structure","members":{}}},"TestCustomDataIdentifier":{"http":{"requestUri":"/custom-data-identifiers/test","responseCode":200},"input":{"type":"structure","members":{"ignoreWords":{"shape":"S5","locationName":"ignoreWords"},"keywords":{"shape":"S5","locationName":"keywords"},"maximumMatchDistance":{"locationName":"maximumMatchDistance","type":"integer"},"regex":{"locationName":"regex"},"sampleText":{"locationName":"sampleText"}},"required":["regex","sampleText"]},"output":{"type":"structure","members":{"matchCount":{"locationName":"matchCount","type":"integer"}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"shape":"S5","location":"querystring","locationName":"tagKeys"}},"required":["tagKeys","resourceArn"]},"output":{"type":"structure","members":{}}},"UpdateClassificationJob":{"http":{"method":"PATCH","requestUri":"/jobs/{jobId}","responseCode":200},"input":{"type":"structure","members":{"jobId":{"location":"uri","locationName":"jobId"},"jobStatus":{"locationName":"jobStatus"}},"required":["jobId","jobStatus"]},"output":{"type":"structure","members":{}}},"UpdateFindingsFilter":{"http":{"method":"PATCH","requestUri":"/findingsfilters/{id}","responseCode":200},"input":{"type":"structure","members":{"action":{"locationName":"action"},"description":{"locationName":"description"},"findingCriteria":{"shape":"S1h","locationName":"findingCriteria"},"id":{"location":"uri","locationName":"id"},"name":{"locationName":"name"},"position":{"locationName":"position","type":"integer"},"clientToken":{"locationName":"clientToken","idempotencyToken":true}},"required":["id"]},"output":{"type":"structure","members":{"arn":{"locationName":"arn"},"id":{"locationName":"id"}}}},"UpdateMacieSession":{"http":{"method":"PATCH","requestUri":"/macie","responseCode":200},"input":{"type":"structure","members":{"findingPublishingFrequency":{"locationName":"findingPublishingFrequency"},"status":{"locationName":"status"}}},"output":{"type":"structure","members":{}}},"UpdateMemberSession":{"http":{"method":"PATCH","requestUri":"/macie/members/{id}","responseCode":200},"input":{"type":"structure","members":{"id":{"location":"uri","locationName":"id"},"status":{"locationName":"status"}},"required":["id","status"]},"output":{"type":"structure","members":{}}},"UpdateOrganizationConfiguration":{"http":{"method":"PATCH","requestUri":"/admin/configuration","responseCode":200},"input":{"type":"structure","members":{"autoEnable":{"locationName":"autoEnable","type":"boolean"}},"required":["autoEnable"]},"output":{"type":"structure","members":{}}}},"shapes":{"S5":{"type":"list","member":{}},"S9":{"type":"timestamp","timestampFormat":"iso8601"},"Se":{"type":"structure","members":{"bucketDefinitions":{"shape":"Sf","locationName":"bucketDefinitions"},"scoping":{"locationName":"scoping","type":"structure","members":{"excludes":{"shape":"Si","locationName":"excludes"},"includes":{"shape":"Si","locationName":"includes"}}},"bucketCriteria":{"shape":"Ss","locationName":"bucketCriteria"}}},"Sf":{"type":"list","member":{"type":"structure","members":{"accountId":{"locationName":"accountId"},"buckets":{"shape":"S5","locationName":"buckets"}},"required":["accountId","buckets"]}},"Si":{"type":"structure","members":{"and":{"locationName":"and","type":"list","member":{"type":"structure","members":{"simpleScopeTerm":{"locationName":"simpleScopeTerm","type":"structure","members":{"comparator":{"locationName":"comparator"},"key":{"locationName":"key"},"values":{"shape":"S5","locationName":"values"}}},"tagScopeTerm":{"locationName":"tagScopeTerm","type":"structure","members":{"comparator":{"locationName":"comparator"},"key":{"locationName":"key"},"tagValues":{"locationName":"tagValues","type":"list","member":{"type":"structure","members":{"key":{"locationName":"key"},"value":{"locationName":"value"}}}},"target":{"locationName":"target"}}}}}}}},"Ss":{"type":"structure","members":{"excludes":{"shape":"St","locationName":"excludes"},"includes":{"shape":"St","locationName":"includes"}}},"St":{"type":"structure","members":{"and":{"locationName":"and","type":"list","member":{"type":"structure","members":{"simpleCriterion":{"locationName":"simpleCriterion","type":"structure","members":{"comparator":{"locationName":"comparator"},"key":{"locationName":"key"},"values":{"shape":"S5","locationName":"values"}}},"tagCriterion":{"locationName":"tagCriterion","type":"structure","members":{"comparator":{"locationName":"comparator"},"tagValues":{"locationName":"tagValues","type":"list","member":{"type":"structure","members":{"key":{"locationName":"key"},"value":{"locationName":"value"}}}}}}}}}}},"S12":{"type":"structure","members":{"dailySchedule":{"locationName":"dailySchedule","type":"structure","members":{}},"monthlySchedule":{"locationName":"monthlySchedule","type":"structure","members":{"dayOfMonth":{"locationName":"dayOfMonth","type":"integer"}}},"weeklySchedule":{"locationName":"weeklySchedule","type":"structure","members":{"dayOfWeek":{"locationName":"dayOfWeek"}}}}},"S17":{"type":"map","key":{},"value":{}},"S1a":{"type":"list","member":{"type":"structure","members":{"occurrencesThreshold":{"locationName":"occurrencesThreshold","type":"long"},"severity":{"locationName":"severity"}},"required":["occurrencesThreshold","severity"]}},"S1h":{"type":"structure","members":{"criterion":{"locationName":"criterion","type":"map","key":{},"value":{"type":"structure","members":{"eq":{"shape":"S5","locationName":"eq"},"eqExactMatch":{"shape":"S5","locationName":"eqExactMatch"},"gt":{"locationName":"gt","type":"long"},"gte":{"locationName":"gte","type":"long"},"lt":{"locationName":"lt","type":"long"},"lte":{"locationName":"lte","type":"long"},"neq":{"shape":"S5","locationName":"neq"}}}}}},"S1n":{"type":"list","member":{"type":"structure","members":{"accountId":{"locationName":"accountId"},"errorCode":{"locationName":"errorCode"},"errorMessage":{"locationName":"errorMessage"}}}},"S2h":{"type":"structure","members":{"isDefinedInJob":{"locationName":"isDefinedInJob"},"isMonitoredByJob":{"locationName":"isMonitoredByJob"},"lastJobId":{"locationName":"lastJobId"},"lastJobRunTime":{"shape":"S9","locationName":"lastJobRunTime"}}},"S2k":{"type":"structure","members":{"customerManaged":{"locationName":"customerManaged","type":"long"},"kmsManaged":{"locationName":"kmsManaged","type":"long"},"s3Managed":{"locationName":"s3Managed","type":"long"},"unencrypted":{"locationName":"unencrypted","type":"long"},"unknown":{"locationName":"unknown","type":"long"}}},"S2l":{"type":"structure","members":{"effectivePermission":{"locationName":"effectivePermission"},"permissionConfiguration":{"locationName":"permissionConfiguration","type":"structure","members":{"accountLevelPermissions":{"locationName":"accountLevelPermissions","type":"structure","members":{"blockPublicAccess":{"shape":"S2p","locationName":"blockPublicAccess"}}},"bucketLevelPermissions":{"locationName":"bucketLevelPermissions","type":"structure","members":{"accessControlList":{"locationName":"accessControlList","type":"structure","members":{"allowsPublicReadAccess":{"locationName":"allowsPublicReadAccess","type":"boolean"},"allowsPublicWriteAccess":{"locationName":"allowsPublicWriteAccess","type":"boolean"}}},"blockPublicAccess":{"shape":"S2p","locationName":"blockPublicAccess"},"bucketPolicy":{"locationName":"bucketPolicy","type":"structure","members":{"allowsPublicReadAccess":{"locationName":"allowsPublicReadAccess","type":"boolean"},"allowsPublicWriteAccess":{"locationName":"allowsPublicWriteAccess","type":"boolean"}}}}}}}}},"S2p":{"type":"structure","members":{"blockPublicAcls":{"locationName":"blockPublicAcls","type":"boolean"},"blockPublicPolicy":{"locationName":"blockPublicPolicy","type":"boolean"},"ignorePublicAcls":{"locationName":"ignorePublicAcls","type":"boolean"},"restrictPublicBuckets":{"locationName":"restrictPublicBuckets","type":"boolean"}}},"S2y":{"type":"structure","members":{"key":{"locationName":"key"},"value":{"locationName":"value"}}},"S2z":{"type":"structure","members":{"fileType":{"locationName":"fileType","type":"long"},"storageClass":{"locationName":"storageClass","type":"long"},"total":{"locationName":"total","type":"long"}}},"S33":{"type":"structure","members":{"code":{"locationName":"code"}}},"S37":{"type":"structure","members":{"jobExpiresAt":{"shape":"S9","locationName":"jobExpiresAt"},"jobImminentExpirationHealthEventArn":{"locationName":"jobImminentExpirationHealthEventArn"},"jobPausedAt":{"shape":"S9","locationName":"jobPausedAt"}}},"S3s":{"type":"structure","members":{"accountId":{"locationName":"accountId"},"invitationId":{"locationName":"invitationId"},"invitedAt":{"shape":"S9","locationName":"invitedAt"},"relationshipStatus":{"locationName":"relationshipStatus"}}},"S42":{"type":"structure","members":{"s3Destination":{"locationName":"s3Destination","type":"structure","members":{"bucketName":{"locationName":"bucketName"},"keyPrefix":{"locationName":"keyPrefix"},"kmsKeyArn":{"locationName":"kmsKeyArn"}},"required":["bucketName","kmsKeyArn"]}}},"S4e":{"type":"structure","members":{"attributeName":{"locationName":"attributeName"},"orderBy":{"locationName":"orderBy"}}},"S4o":{"type":"structure","members":{"cells":{"locationName":"cells","type":"list","member":{"type":"structure","members":{"cellReference":{"locationName":"cellReference"},"column":{"locationName":"column","type":"long"},"columnName":{"locationName":"columnName"},"row":{"locationName":"row","type":"long"}}}},"lineRanges":{"shape":"S4r","locationName":"lineRanges"},"offsetRanges":{"shape":"S4r","locationName":"offsetRanges"},"pages":{"locationName":"pages","type":"list","member":{"type":"structure","members":{"lineRange":{"shape":"S4s","locationName":"lineRange"},"offsetRange":{"shape":"S4s","locationName":"offsetRange"},"pageNumber":{"locationName":"pageNumber","type":"long"}}}},"records":{"locationName":"records","type":"list","member":{"type":"structure","members":{"jsonPath":{"locationName":"jsonPath"},"recordIndex":{"locationName":"recordIndex","type":"long"}}}}}},"S4r":{"type":"list","member":{"shape":"S4s"}},"S4s":{"type":"structure","members":{"end":{"locationName":"end","type":"long"},"start":{"locationName":"start","type":"long"},"startColumn":{"locationName":"startColumn","type":"long"}}},"S5g":{"type":"structure","members":{"attributes":{"locationName":"attributes","type":"structure","members":{"creationDate":{"shape":"S9","locationName":"creationDate"},"mfaAuthenticated":{"locationName":"mfaAuthenticated","type":"boolean"}}},"sessionIssuer":{"locationName":"sessionIssuer","type":"structure","members":{"accountId":{"locationName":"accountId"},"arn":{"locationName":"arn"},"principalId":{"locationName":"principalId"},"type":{"locationName":"type"},"userName":{"locationName":"userName"}}}}},"S5r":{"type":"structure","members":{"encryptionType":{"locationName":"encryptionType"},"kmsMasterKeyId":{"locationName":"kmsMasterKeyId"}}},"S5u":{"type":"list","member":{"shape":"S2y"}},"S63":{"type":"structure","members":{"publishClassificationFindings":{"locationName":"publishClassificationFindings","type":"boolean"},"publishPolicyFindings":{"locationName":"publishPolicyFindings","type":"boolean"}},"required":["publishPolicyFindings","publishClassificationFindings"]},"S6z":{"type":"list","member":{"type":"structure","members":{"comparator":{"locationName":"comparator"},"key":{"locationName":"key"},"values":{"shape":"S5","locationName":"values"}}}},"S86":{"type":"structure","members":{"and":{"locationName":"and","type":"list","member":{"type":"structure","members":{"simpleCriterion":{"locationName":"simpleCriterion","type":"structure","members":{"comparator":{"locationName":"comparator"},"key":{"locationName":"key"},"values":{"shape":"S5","locationName":"values"}}},"tagCriterion":{"locationName":"tagCriterion","type":"structure","members":{"comparator":{"locationName":"comparator"},"tagValues":{"locationName":"tagValues","type":"list","member":{"type":"structure","members":{"key":{"locationName":"key"},"value":{"locationName":"value"}}}}}}}}}}}}}');

/***/ }),

/***/ 25947:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeBuckets":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"buckets"},"GetUsageStatistics":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"records"},"ListClassificationJobs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"},"ListCustomDataIdentifiers":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"},"ListFindings":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"findingIds"},"ListFindingsFilters":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"findingsFilterListItems"},"ListInvitations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"invitations"},"ListMembers":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"members"},"ListOrganizationAdminAccounts":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"adminAccounts"},"SearchResources":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"matchingResources"}}}');

/***/ }),

/***/ 31229:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-09-24","endpointPrefix":"managedblockchain","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"ManagedBlockchain","serviceFullName":"Amazon Managed Blockchain","serviceId":"ManagedBlockchain","signatureVersion":"v4","signingName":"managedblockchain","uid":"managedblockchain-2018-09-24"},"operations":{"CreateMember":{"http":{"requestUri":"/networks/{networkId}/members"},"input":{"type":"structure","required":["ClientRequestToken","InvitationId","NetworkId","MemberConfiguration"],"members":{"ClientRequestToken":{"idempotencyToken":true},"InvitationId":{},"NetworkId":{"location":"uri","locationName":"networkId"},"MemberConfiguration":{"shape":"S4"}}},"output":{"type":"structure","members":{"MemberId":{}}}},"CreateNetwork":{"http":{"requestUri":"/networks"},"input":{"type":"structure","required":["ClientRequestToken","Name","Framework","FrameworkVersion","VotingPolicy","MemberConfiguration"],"members":{"ClientRequestToken":{"idempotencyToken":true},"Name":{},"Description":{},"Framework":{},"FrameworkVersion":{},"FrameworkConfiguration":{"type":"structure","members":{"Fabric":{"type":"structure","required":["Edition"],"members":{"Edition":{}}}}},"VotingPolicy":{"shape":"Ss"},"MemberConfiguration":{"shape":"S4"},"Tags":{"shape":"Sg"}}},"output":{"type":"structure","members":{"NetworkId":{},"MemberId":{}}}},"CreateNode":{"http":{"requestUri":"/networks/{networkId}/nodes"},"input":{"type":"structure","required":["ClientRequestToken","NetworkId","NodeConfiguration"],"members":{"ClientRequestToken":{"idempotencyToken":true},"NetworkId":{"location":"uri","locationName":"networkId"},"MemberId":{},"NodeConfiguration":{"type":"structure","required":["InstanceType"],"members":{"InstanceType":{},"AvailabilityZone":{},"LogPublishingConfiguration":{"shape":"S12"},"StateDB":{}}},"Tags":{"shape":"Sg"}}},"output":{"type":"structure","members":{"NodeId":{}}}},"CreateProposal":{"http":{"requestUri":"/networks/{networkId}/proposals"},"input":{"type":"structure","required":["ClientRequestToken","NetworkId","MemberId","Actions"],"members":{"ClientRequestToken":{"idempotencyToken":true},"NetworkId":{"location":"uri","locationName":"networkId"},"MemberId":{},"Actions":{"shape":"S17"},"Description":{},"Tags":{"shape":"Sg"}}},"output":{"type":"structure","members":{"ProposalId":{}}}},"DeleteMember":{"http":{"method":"DELETE","requestUri":"/networks/{networkId}/members/{memberId}"},"input":{"type":"structure","required":["NetworkId","MemberId"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"},"MemberId":{"location":"uri","locationName":"memberId"}}},"output":{"type":"structure","members":{}}},"DeleteNode":{"http":{"method":"DELETE","requestUri":"/networks/{networkId}/nodes/{nodeId}"},"input":{"type":"structure","required":["NetworkId","NodeId"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"},"MemberId":{"location":"querystring","locationName":"memberId"},"NodeId":{"location":"uri","locationName":"nodeId"}}},"output":{"type":"structure","members":{}}},"GetMember":{"http":{"method":"GET","requestUri":"/networks/{networkId}/members/{memberId}"},"input":{"type":"structure","required":["NetworkId","MemberId"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"},"MemberId":{"location":"uri","locationName":"memberId"}}},"output":{"type":"structure","members":{"Member":{"type":"structure","members":{"NetworkId":{},"Id":{},"Name":{},"Description":{},"FrameworkAttributes":{"type":"structure","members":{"Fabric":{"type":"structure","members":{"AdminUsername":{},"CaEndpoint":{}}}}},"LogPublishingConfiguration":{"shape":"Sb"},"Status":{},"CreationDate":{"shape":"S1p"},"Tags":{"shape":"S1q"},"Arn":{},"KmsKeyArn":{}}}}}},"GetNetwork":{"http":{"method":"GET","requestUri":"/networks/{networkId}"},"input":{"type":"structure","required":["NetworkId"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"}}},"output":{"type":"structure","members":{"Network":{"type":"structure","members":{"Id":{},"Name":{},"Description":{},"Framework":{},"FrameworkVersion":{},"FrameworkAttributes":{"type":"structure","members":{"Fabric":{"type":"structure","members":{"OrderingServiceEndpoint":{},"Edition":{}}},"Ethereum":{"type":"structure","members":{"ChainId":{}}}}},"VpcEndpointServiceName":{},"VotingPolicy":{"shape":"Ss"},"Status":{},"CreationDate":{"shape":"S1p"},"Tags":{"shape":"S1q"},"Arn":{}}}}}},"GetNode":{"http":{"method":"GET","requestUri":"/networks/{networkId}/nodes/{nodeId}"},"input":{"type":"structure","required":["NetworkId","NodeId"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"},"MemberId":{"location":"querystring","locationName":"memberId"},"NodeId":{"location":"uri","locationName":"nodeId"}}},"output":{"type":"structure","members":{"Node":{"type":"structure","members":{"NetworkId":{},"MemberId":{},"Id":{},"InstanceType":{},"AvailabilityZone":{},"FrameworkAttributes":{"type":"structure","members":{"Fabric":{"type":"structure","members":{"PeerEndpoint":{},"PeerEventEndpoint":{}}},"Ethereum":{"type":"structure","members":{"HttpEndpoint":{},"WebSocketEndpoint":{}}}}},"LogPublishingConfiguration":{"shape":"S12"},"StateDB":{},"Status":{},"CreationDate":{"shape":"S1p"},"Tags":{"shape":"S1q"},"Arn":{},"KmsKeyArn":{}}}}}},"GetProposal":{"http":{"method":"GET","requestUri":"/networks/{networkId}/proposals/{proposalId}"},"input":{"type":"structure","required":["NetworkId","ProposalId"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"},"ProposalId":{"location":"uri","locationName":"proposalId"}}},"output":{"type":"structure","members":{"Proposal":{"type":"structure","members":{"ProposalId":{},"NetworkId":{},"Description":{},"Actions":{"shape":"S17"},"ProposedByMemberId":{},"ProposedByMemberName":{},"Status":{},"CreationDate":{"shape":"S1p"},"ExpirationDate":{"shape":"S1p"},"YesVoteCount":{"type":"integer"},"NoVoteCount":{"type":"integer"},"OutstandingVoteCount":{"type":"integer"},"Tags":{"shape":"S1q"},"Arn":{}}}}}},"ListInvitations":{"http":{"method":"GET","requestUri":"/invitations"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Invitations":{"type":"list","member":{"type":"structure","members":{"InvitationId":{},"CreationDate":{"shape":"S1p"},"ExpirationDate":{"shape":"S1p"},"Status":{},"NetworkSummary":{"shape":"S2h"},"Arn":{}}}},"NextToken":{}}}},"ListMembers":{"http":{"method":"GET","requestUri":"/networks/{networkId}/members"},"input":{"type":"structure","required":["NetworkId"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"},"Name":{"location":"querystring","locationName":"name"},"Status":{"location":"querystring","locationName":"status"},"IsOwned":{"location":"querystring","locationName":"isOwned","type":"boolean"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Members":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"Description":{},"Status":{},"CreationDate":{"shape":"S1p"},"IsOwned":{"type":"boolean"},"Arn":{}}}},"NextToken":{}}}},"ListNetworks":{"http":{"method":"GET","requestUri":"/networks"},"input":{"type":"structure","members":{"Name":{"location":"querystring","locationName":"name"},"Framework":{"location":"querystring","locationName":"framework"},"Status":{"location":"querystring","locationName":"status"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Networks":{"type":"list","member":{"shape":"S2h"}},"NextToken":{}}}},"ListNodes":{"http":{"method":"GET","requestUri":"/networks/{networkId}/nodes"},"input":{"type":"structure","required":["NetworkId"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"},"MemberId":{"location":"querystring","locationName":"memberId"},"Status":{"location":"querystring","locationName":"status"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Nodes":{"type":"list","member":{"type":"structure","members":{"Id":{},"Status":{},"CreationDate":{"shape":"S1p"},"AvailabilityZone":{},"InstanceType":{},"Arn":{}}}},"NextToken":{}}}},"ListProposalVotes":{"http":{"method":"GET","requestUri":"/networks/{networkId}/proposals/{proposalId}/votes"},"input":{"type":"structure","required":["NetworkId","ProposalId"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"},"ProposalId":{"location":"uri","locationName":"proposalId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"ProposalVotes":{"type":"list","member":{"type":"structure","members":{"Vote":{},"MemberName":{},"MemberId":{}}}},"NextToken":{}}}},"ListProposals":{"http":{"method":"GET","requestUri":"/networks/{networkId}/proposals"},"input":{"type":"structure","required":["NetworkId"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Proposals":{"type":"list","member":{"type":"structure","members":{"ProposalId":{},"Description":{},"ProposedByMemberId":{},"ProposedByMemberName":{},"Status":{},"CreationDate":{"shape":"S1p"},"ExpirationDate":{"shape":"S1p"},"Arn":{}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S1q"}}}},"RejectInvitation":{"http":{"method":"DELETE","requestUri":"/invitations/{invitationId}"},"input":{"type":"structure","required":["InvitationId"],"members":{"InvitationId":{"location":"uri","locationName":"invitationId"}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"Sg"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateMember":{"http":{"method":"PATCH","requestUri":"/networks/{networkId}/members/{memberId}"},"input":{"type":"structure","required":["NetworkId","MemberId"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"},"MemberId":{"location":"uri","locationName":"memberId"},"LogPublishingConfiguration":{"shape":"Sb"}}},"output":{"type":"structure","members":{}}},"UpdateNode":{"http":{"method":"PATCH","requestUri":"/networks/{networkId}/nodes/{nodeId}"},"input":{"type":"structure","required":["NetworkId","NodeId"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"},"MemberId":{},"NodeId":{"location":"uri","locationName":"nodeId"},"LogPublishingConfiguration":{"shape":"S12"}}},"output":{"type":"structure","members":{}}},"VoteOnProposal":{"http":{"requestUri":"/networks/{networkId}/proposals/{proposalId}/votes"},"input":{"type":"structure","required":["NetworkId","ProposalId","VoterMemberId","Vote"],"members":{"NetworkId":{"location":"uri","locationName":"networkId"},"ProposalId":{"location":"uri","locationName":"proposalId"},"VoterMemberId":{},"Vote":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"S4":{"type":"structure","required":["Name","FrameworkConfiguration"],"members":{"Name":{},"Description":{},"FrameworkConfiguration":{"type":"structure","members":{"Fabric":{"type":"structure","required":["AdminUsername","AdminPassword"],"members":{"AdminUsername":{},"AdminPassword":{"type":"string","sensitive":true}}}}},"LogPublishingConfiguration":{"shape":"Sb"},"Tags":{"shape":"Sg"},"KmsKeyArn":{}}},"Sb":{"type":"structure","members":{"Fabric":{"type":"structure","members":{"CaLogs":{"shape":"Sd"}}}}},"Sd":{"type":"structure","members":{"Cloudwatch":{"type":"structure","members":{"Enabled":{"type":"boolean"}}}}},"Sg":{"type":"map","key":{},"value":{}},"Ss":{"type":"structure","members":{"ApprovalThresholdPolicy":{"type":"structure","members":{"ThresholdPercentage":{"type":"integer"},"ProposalDurationInHours":{"type":"integer"},"ThresholdComparator":{}}}}},"S12":{"type":"structure","members":{"Fabric":{"type":"structure","members":{"ChaincodeLogs":{"shape":"Sd"},"PeerLogs":{"shape":"Sd"}}}}},"S17":{"type":"structure","members":{"Invitations":{"type":"list","member":{"type":"structure","required":["Principal"],"members":{"Principal":{}}}},"Removals":{"type":"list","member":{"type":"structure","required":["MemberId"],"members":{"MemberId":{}}}}}},"S1p":{"type":"timestamp","timestampFormat":"iso8601"},"S1q":{"type":"map","key":{},"value":{}},"S2h":{"type":"structure","members":{"Id":{},"Name":{},"Description":{},"Framework":{},"FrameworkVersion":{},"Status":{},"CreationDate":{"shape":"S1p"},"Arn":{}}}}}');

/***/ }),

/***/ 57358:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListInvitations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMembers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListNetworks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListNodes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListProposalVotes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListProposals":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 87122:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-09-17","endpointPrefix":"catalog.marketplace","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"AWS Marketplace Catalog","serviceFullName":"AWS Marketplace Catalog Service","serviceId":"Marketplace Catalog","signatureVersion":"v4","signingName":"aws-marketplace","uid":"marketplace-catalog-2018-09-17"},"operations":{"CancelChangeSet":{"http":{"method":"PATCH","requestUri":"/CancelChangeSet"},"input":{"type":"structure","required":["Catalog","ChangeSetId"],"members":{"Catalog":{"location":"querystring","locationName":"catalog"},"ChangeSetId":{"location":"querystring","locationName":"changeSetId"}}},"output":{"type":"structure","members":{"ChangeSetId":{},"ChangeSetArn":{}}}},"DescribeChangeSet":{"http":{"method":"GET","requestUri":"/DescribeChangeSet"},"input":{"type":"structure","required":["Catalog","ChangeSetId"],"members":{"Catalog":{"location":"querystring","locationName":"catalog"},"ChangeSetId":{"location":"querystring","locationName":"changeSetId"}}},"output":{"type":"structure","members":{"ChangeSetId":{},"ChangeSetArn":{},"ChangeSetName":{},"StartTime":{},"EndTime":{},"Status":{},"FailureCode":{},"FailureDescription":{},"ChangeSet":{"type":"list","member":{"type":"structure","members":{"ChangeType":{},"Entity":{"shape":"Sg"},"Details":{},"ErrorDetailList":{"type":"list","member":{"type":"structure","members":{"ErrorCode":{},"ErrorMessage":{}}}},"ChangeName":{}}}}}}},"DescribeEntity":{"http":{"method":"GET","requestUri":"/DescribeEntity"},"input":{"type":"structure","required":["Catalog","EntityId"],"members":{"Catalog":{"location":"querystring","locationName":"catalog"},"EntityId":{"location":"querystring","locationName":"entityId"}}},"output":{"type":"structure","members":{"EntityType":{},"EntityIdentifier":{},"EntityArn":{},"LastModifiedDate":{},"Details":{}}}},"ListChangeSets":{"http":{"requestUri":"/ListChangeSets"},"input":{"type":"structure","required":["Catalog"],"members":{"Catalog":{},"FilterList":{"shape":"Sr"},"Sort":{"shape":"Sw"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ChangeSetSummaryList":{"type":"list","member":{"type":"structure","members":{"ChangeSetId":{},"ChangeSetArn":{},"ChangeSetName":{},"StartTime":{},"EndTime":{},"Status":{},"EntityIdList":{"type":"list","member":{}},"FailureCode":{}}}},"NextToken":{}}}},"ListEntities":{"http":{"requestUri":"/ListEntities"},"input":{"type":"structure","required":["Catalog","EntityType"],"members":{"Catalog":{},"EntityType":{},"FilterList":{"shape":"Sr"},"Sort":{"shape":"Sw"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"EntitySummaryList":{"type":"list","member":{"type":"structure","members":{"Name":{},"EntityType":{},"EntityId":{},"EntityArn":{},"LastModifiedDate":{},"Visibility":{}}}},"NextToken":{}}}},"StartChangeSet":{"http":{"requestUri":"/StartChangeSet"},"input":{"type":"structure","required":["Catalog","ChangeSet"],"members":{"Catalog":{},"ChangeSet":{"type":"list","member":{"type":"structure","required":["ChangeType","Entity","Details"],"members":{"ChangeType":{},"Entity":{"shape":"Sg"},"Details":{},"ChangeName":{}}}},"ChangeSetName":{},"ClientRequestToken":{}}},"output":{"type":"structure","members":{"ChangeSetId":{},"ChangeSetArn":{}}}}},"shapes":{"Sg":{"type":"structure","required":["Type"],"members":{"Type":{},"Identifier":{}}},"Sr":{"type":"list","member":{"type":"structure","members":{"Name":{},"ValueList":{"type":"list","member":{}}}}},"Sw":{"type":"structure","members":{"SortBy":{},"SortOrder":{}}}}}');

/***/ }),

/***/ 30187:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListChangeSets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListEntities":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 96696:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-07-01","endpointPrefix":"marketplacecommerceanalytics","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Marketplace Commerce Analytics","serviceId":"Marketplace Commerce Analytics","signatureVersion":"v4","signingName":"marketplacecommerceanalytics","targetPrefix":"MarketplaceCommerceAnalytics20150701","uid":"marketplacecommerceanalytics-2015-07-01"},"operations":{"GenerateDataSet":{"input":{"type":"structure","required":["dataSetType","dataSetPublicationDate","roleNameArn","destinationS3BucketName","snsTopicArn"],"members":{"dataSetType":{},"dataSetPublicationDate":{"type":"timestamp"},"roleNameArn":{},"destinationS3BucketName":{},"destinationS3Prefix":{},"snsTopicArn":{},"customerDefinedValues":{"shape":"S8"}}},"output":{"type":"structure","members":{"dataSetRequestId":{}}}},"StartSupportDataExport":{"input":{"type":"structure","required":["dataSetType","fromDate","roleNameArn","destinationS3BucketName","snsTopicArn"],"members":{"dataSetType":{},"fromDate":{"type":"timestamp"},"roleNameArn":{},"destinationS3BucketName":{},"destinationS3Prefix":{},"snsTopicArn":{},"customerDefinedValues":{"shape":"S8"}}},"output":{"type":"structure","members":{"dataSetRequestId":{}}}}},"shapes":{"S8":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 43265:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 85245:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2018-11-14","endpointPrefix":"mediaconnect","signingName":"mediaconnect","serviceFullName":"AWS MediaConnect","serviceId":"MediaConnect","protocol":"rest-json","jsonVersion":"1.1","uid":"mediaconnect-2018-11-14","signatureVersion":"v4"},"operations":{"AddFlowMediaStreams":{"http":{"requestUri":"/v1/flows/{flowArn}/mediaStreams","responseCode":201},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"},"MediaStreams":{"shape":"S3","locationName":"mediaStreams"}},"required":["FlowArn","MediaStreams"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"MediaStreams":{"shape":"Se","locationName":"mediaStreams"}}}},"AddFlowOutputs":{"http":{"requestUri":"/v1/flows/{flowArn}/outputs","responseCode":201},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"},"Outputs":{"shape":"Sj","locationName":"outputs"}},"required":["FlowArn","Outputs"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"Outputs":{"shape":"S11","locationName":"outputs"}}}},"AddFlowSources":{"http":{"requestUri":"/v1/flows/{flowArn}/source","responseCode":201},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"},"Sources":{"shape":"S1b","locationName":"sources"}},"required":["FlowArn","Sources"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"Sources":{"shape":"S1i","locationName":"sources"}}}},"AddFlowVpcInterfaces":{"http":{"requestUri":"/v1/flows/{flowArn}/vpcInterfaces","responseCode":201},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"},"VpcInterfaces":{"shape":"S1p","locationName":"vpcInterfaces"}},"required":["FlowArn","VpcInterfaces"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"VpcInterfaces":{"shape":"S1t","locationName":"vpcInterfaces"}}}},"CreateFlow":{"http":{"requestUri":"/v1/flows","responseCode":201},"input":{"type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"Entitlements":{"shape":"S1w","locationName":"entitlements"},"MediaStreams":{"shape":"S3","locationName":"mediaStreams"},"Name":{"locationName":"name"},"Outputs":{"shape":"Sj","locationName":"outputs"},"Source":{"shape":"S1c","locationName":"source"},"SourceFailoverConfig":{"shape":"S1z","locationName":"sourceFailoverConfig"},"Sources":{"shape":"S1b","locationName":"sources"},"VpcInterfaces":{"shape":"S1p","locationName":"vpcInterfaces"}},"required":["Name"]},"output":{"type":"structure","members":{"Flow":{"shape":"S24","locationName":"flow"}}}},"DeleteFlow":{"http":{"method":"DELETE","requestUri":"/v1/flows/{flowArn}","responseCode":202},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"}},"required":["FlowArn"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"Status":{"locationName":"status"}}}},"DescribeFlow":{"http":{"method":"GET","requestUri":"/v1/flows/{flowArn}","responseCode":200},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"}},"required":["FlowArn"]},"output":{"type":"structure","members":{"Flow":{"shape":"S24","locationName":"flow"},"Messages":{"locationName":"messages","type":"structure","members":{"Errors":{"shape":"Sl","locationName":"errors"}},"required":["Errors"]}}}},"DescribeOffering":{"http":{"method":"GET","requestUri":"/v1/offerings/{offeringArn}","responseCode":200},"input":{"type":"structure","members":{"OfferingArn":{"location":"uri","locationName":"offeringArn"}},"required":["OfferingArn"]},"output":{"type":"structure","members":{"Offering":{"shape":"S2f","locationName":"offering"}}}},"DescribeReservation":{"http":{"method":"GET","requestUri":"/v1/reservations/{reservationArn}","responseCode":200},"input":{"type":"structure","members":{"ReservationArn":{"location":"uri","locationName":"reservationArn"}},"required":["ReservationArn"]},"output":{"type":"structure","members":{"Reservation":{"shape":"S2m","locationName":"reservation"}}}},"GrantFlowEntitlements":{"http":{"requestUri":"/v1/flows/{flowArn}/entitlements","responseCode":200},"input":{"type":"structure","members":{"Entitlements":{"shape":"S1w","locationName":"entitlements"},"FlowArn":{"location":"uri","locationName":"flowArn"}},"required":["FlowArn","Entitlements"]},"output":{"type":"structure","members":{"Entitlements":{"shape":"S25","locationName":"entitlements"},"FlowArn":{"locationName":"flowArn"}}}},"ListEntitlements":{"http":{"method":"GET","requestUri":"/v1/entitlements","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Entitlements":{"locationName":"entitlements","type":"list","member":{"type":"structure","members":{"DataTransferSubscriberFeePercent":{"locationName":"dataTransferSubscriberFeePercent","type":"integer"},"EntitlementArn":{"locationName":"entitlementArn"},"EntitlementName":{"locationName":"entitlementName"}},"required":["EntitlementArn","EntitlementName"]}},"NextToken":{"locationName":"nextToken"}}}},"ListFlows":{"http":{"method":"GET","requestUri":"/v1/flows","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Flows":{"locationName":"flows","type":"list","member":{"type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"Description":{"locationName":"description"},"FlowArn":{"locationName":"flowArn"},"Name":{"locationName":"name"},"SourceType":{"locationName":"sourceType"},"Status":{"locationName":"status"}},"required":["Status","Description","SourceType","AvailabilityZone","FlowArn","Name"]}},"NextToken":{"locationName":"nextToken"}}}},"ListOfferings":{"http":{"method":"GET","requestUri":"/v1/offerings","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Offerings":{"locationName":"offerings","type":"list","member":{"shape":"S2f"}}}}},"ListReservations":{"http":{"method":"GET","requestUri":"/v1/reservations","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Reservations":{"locationName":"reservations","type":"list","member":{"shape":"S2m"}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{"Tags":{"shape":"S38","locationName":"tags"}}}},"PurchaseOffering":{"http":{"requestUri":"/v1/offerings/{offeringArn}","responseCode":201},"input":{"type":"structure","members":{"OfferingArn":{"location":"uri","locationName":"offeringArn"},"ReservationName":{"locationName":"reservationName"},"Start":{"locationName":"start"}},"required":["OfferingArn","Start","ReservationName"]},"output":{"type":"structure","members":{"Reservation":{"shape":"S2m","locationName":"reservation"}}}},"RemoveFlowMediaStream":{"http":{"method":"DELETE","requestUri":"/v1/flows/{flowArn}/mediaStreams/{mediaStreamName}","responseCode":200},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"},"MediaStreamName":{"location":"uri","locationName":"mediaStreamName"}},"required":["FlowArn","MediaStreamName"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"MediaStreamName":{"locationName":"mediaStreamName"}}}},"RemoveFlowOutput":{"http":{"method":"DELETE","requestUri":"/v1/flows/{flowArn}/outputs/{outputArn}","responseCode":202},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"},"OutputArn":{"location":"uri","locationName":"outputArn"}},"required":["FlowArn","OutputArn"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"OutputArn":{"locationName":"outputArn"}}}},"RemoveFlowSource":{"http":{"method":"DELETE","requestUri":"/v1/flows/{flowArn}/source/{sourceArn}","responseCode":202},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"},"SourceArn":{"location":"uri","locationName":"sourceArn"}},"required":["FlowArn","SourceArn"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"SourceArn":{"locationName":"sourceArn"}}}},"RemoveFlowVpcInterface":{"http":{"method":"DELETE","requestUri":"/v1/flows/{flowArn}/vpcInterfaces/{vpcInterfaceName}","responseCode":200},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"},"VpcInterfaceName":{"location":"uri","locationName":"vpcInterfaceName"}},"required":["FlowArn","VpcInterfaceName"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"NonDeletedNetworkInterfaceIds":{"shape":"Sl","locationName":"nonDeletedNetworkInterfaceIds"},"VpcInterfaceName":{"locationName":"vpcInterfaceName"}}}},"RevokeFlowEntitlement":{"http":{"method":"DELETE","requestUri":"/v1/flows/{flowArn}/entitlements/{entitlementArn}","responseCode":202},"input":{"type":"structure","members":{"EntitlementArn":{"location":"uri","locationName":"entitlementArn"},"FlowArn":{"location":"uri","locationName":"flowArn"}},"required":["FlowArn","EntitlementArn"]},"output":{"type":"structure","members":{"EntitlementArn":{"locationName":"entitlementArn"},"FlowArn":{"locationName":"flowArn"}}}},"StartFlow":{"http":{"requestUri":"/v1/flows/start/{flowArn}","responseCode":202},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"}},"required":["FlowArn"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"Status":{"locationName":"status"}}}},"StopFlow":{"http":{"requestUri":"/v1/flows/stop/{flowArn}","responseCode":202},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"}},"required":["FlowArn"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"Status":{"locationName":"status"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"S38","locationName":"tags"}},"required":["ResourceArn","Tags"]}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeys":{"shape":"Sl","location":"querystring","locationName":"tagKeys"}},"required":["TagKeys","ResourceArn"]}},"UpdateFlow":{"http":{"method":"PUT","requestUri":"/v1/flows/{flowArn}","responseCode":202},"input":{"type":"structure","members":{"FlowArn":{"location":"uri","locationName":"flowArn"},"SourceFailoverConfig":{"locationName":"sourceFailoverConfig","type":"structure","members":{"FailoverMode":{"locationName":"failoverMode"},"RecoveryWindow":{"locationName":"recoveryWindow","type":"integer"},"SourcePriority":{"shape":"S21","locationName":"sourcePriority"},"State":{"locationName":"state"}}}},"required":["FlowArn"]},"output":{"type":"structure","members":{"Flow":{"shape":"S24","locationName":"flow"}}}},"UpdateFlowEntitlement":{"http":{"method":"PUT","requestUri":"/v1/flows/{flowArn}/entitlements/{entitlementArn}","responseCode":202},"input":{"type":"structure","members":{"Description":{"locationName":"description"},"Encryption":{"shape":"S3v","locationName":"encryption"},"EntitlementArn":{"location":"uri","locationName":"entitlementArn"},"EntitlementStatus":{"locationName":"entitlementStatus"},"FlowArn":{"location":"uri","locationName":"flowArn"},"Subscribers":{"shape":"Sl","locationName":"subscribers"}},"required":["FlowArn","EntitlementArn"]},"output":{"type":"structure","members":{"Entitlement":{"shape":"S26","locationName":"entitlement"},"FlowArn":{"locationName":"flowArn"}}}},"UpdateFlowMediaStream":{"http":{"method":"PUT","requestUri":"/v1/flows/{flowArn}/mediaStreams/{mediaStreamName}","responseCode":202},"input":{"type":"structure","members":{"Attributes":{"shape":"S5","locationName":"attributes"},"ClockRate":{"locationName":"clockRate","type":"integer"},"Description":{"locationName":"description"},"FlowArn":{"location":"uri","locationName":"flowArn"},"MediaStreamName":{"location":"uri","locationName":"mediaStreamName"},"MediaStreamType":{"locationName":"mediaStreamType"},"VideoFormat":{"locationName":"videoFormat"}},"required":["FlowArn","MediaStreamName"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"MediaStream":{"shape":"Sf","locationName":"mediaStream"}}}},"UpdateFlowOutput":{"http":{"method":"PUT","requestUri":"/v1/flows/{flowArn}/outputs/{outputArn}","responseCode":202},"input":{"type":"structure","members":{"CidrAllowList":{"shape":"Sl","locationName":"cidrAllowList"},"Description":{"locationName":"description"},"Destination":{"locationName":"destination"},"Encryption":{"shape":"S3v","locationName":"encryption"},"FlowArn":{"location":"uri","locationName":"flowArn"},"MaxLatency":{"locationName":"maxLatency","type":"integer"},"MediaStreamOutputConfigurations":{"shape":"Sp","locationName":"mediaStreamOutputConfigurations"},"MinLatency":{"locationName":"minLatency","type":"integer"},"OutputArn":{"location":"uri","locationName":"outputArn"},"Port":{"locationName":"port","type":"integer"},"Protocol":{"locationName":"protocol"},"RemoteId":{"locationName":"remoteId"},"SmoothingLatency":{"locationName":"smoothingLatency","type":"integer"},"StreamId":{"locationName":"streamId"},"VpcInterfaceAttachment":{"shape":"Sz","locationName":"vpcInterfaceAttachment"}},"required":["FlowArn","OutputArn"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"Output":{"shape":"S12","locationName":"output"}}}},"UpdateFlowSource":{"http":{"method":"PUT","requestUri":"/v1/flows/{flowArn}/source/{sourceArn}","responseCode":202},"input":{"type":"structure","members":{"Decryption":{"shape":"S3v","locationName":"decryption"},"Description":{"locationName":"description"},"EntitlementArn":{"locationName":"entitlementArn"},"FlowArn":{"location":"uri","locationName":"flowArn"},"IngestPort":{"locationName":"ingestPort","type":"integer"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"MaxLatency":{"locationName":"maxLatency","type":"integer"},"MaxSyncBuffer":{"locationName":"maxSyncBuffer","type":"integer"},"MediaStreamSourceConfigurations":{"shape":"S1d","locationName":"mediaStreamSourceConfigurations"},"MinLatency":{"locationName":"minLatency","type":"integer"},"Protocol":{"locationName":"protocol"},"SourceArn":{"location":"uri","locationName":"sourceArn"},"StreamId":{"locationName":"streamId"},"VpcInterfaceName":{"locationName":"vpcInterfaceName"},"WhitelistCidr":{"locationName":"whitelistCidr"}},"required":["FlowArn","SourceArn"]},"output":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"},"Source":{"shape":"S1j","locationName":"source"}}}}},"shapes":{"S3":{"type":"list","member":{"type":"structure","members":{"Attributes":{"shape":"S5","locationName":"attributes"},"ClockRate":{"locationName":"clockRate","type":"integer"},"Description":{"locationName":"description"},"MediaStreamId":{"locationName":"mediaStreamId","type":"integer"},"MediaStreamName":{"locationName":"mediaStreamName"},"MediaStreamType":{"locationName":"mediaStreamType"},"VideoFormat":{"locationName":"videoFormat"}},"required":["MediaStreamType","MediaStreamId","MediaStreamName"]}},"S5":{"type":"structure","members":{"Fmtp":{"locationName":"fmtp","type":"structure","members":{"ChannelOrder":{"locationName":"channelOrder"},"Colorimetry":{"locationName":"colorimetry"},"ExactFramerate":{"locationName":"exactFramerate"},"Par":{"locationName":"par"},"Range":{"locationName":"range"},"ScanMode":{"locationName":"scanMode"},"Tcs":{"locationName":"tcs"}}},"Lang":{"locationName":"lang"}}},"Se":{"type":"list","member":{"shape":"Sf"}},"Sf":{"type":"structure","members":{"Attributes":{"locationName":"attributes","type":"structure","members":{"Fmtp":{"locationName":"fmtp","type":"structure","members":{"ChannelOrder":{"locationName":"channelOrder"},"Colorimetry":{"locationName":"colorimetry"},"ExactFramerate":{"locationName":"exactFramerate"},"Par":{"locationName":"par"},"Range":{"locationName":"range"},"ScanMode":{"locationName":"scanMode"},"Tcs":{"locationName":"tcs"}}},"Lang":{"locationName":"lang"}},"required":["Fmtp"]},"ClockRate":{"locationName":"clockRate","type":"integer"},"Description":{"locationName":"description"},"Fmt":{"locationName":"fmt","type":"integer"},"MediaStreamId":{"locationName":"mediaStreamId","type":"integer"},"MediaStreamName":{"locationName":"mediaStreamName"},"MediaStreamType":{"locationName":"mediaStreamType"},"VideoFormat":{"locationName":"videoFormat"}},"required":["MediaStreamType","MediaStreamId","MediaStreamName","Fmt"]},"Sj":{"type":"list","member":{"type":"structure","members":{"CidrAllowList":{"shape":"Sl","locationName":"cidrAllowList"},"Description":{"locationName":"description"},"Destination":{"locationName":"destination"},"Encryption":{"shape":"Sm","locationName":"encryption"},"MaxLatency":{"locationName":"maxLatency","type":"integer"},"MediaStreamOutputConfigurations":{"shape":"Sp","locationName":"mediaStreamOutputConfigurations"},"MinLatency":{"locationName":"minLatency","type":"integer"},"Name":{"locationName":"name"},"Port":{"locationName":"port","type":"integer"},"Protocol":{"locationName":"protocol"},"RemoteId":{"locationName":"remoteId"},"SmoothingLatency":{"locationName":"smoothingLatency","type":"integer"},"StreamId":{"locationName":"streamId"},"VpcInterfaceAttachment":{"shape":"Sz","locationName":"vpcInterfaceAttachment"}},"required":["Protocol"]}},"Sl":{"type":"list","member":{}},"Sm":{"type":"structure","members":{"Algorithm":{"locationName":"algorithm"},"ConstantInitializationVector":{"locationName":"constantInitializationVector"},"DeviceId":{"locationName":"deviceId"},"KeyType":{"locationName":"keyType"},"Region":{"locationName":"region"},"ResourceId":{"locationName":"resourceId"},"RoleArn":{"locationName":"roleArn"},"SecretArn":{"locationName":"secretArn"},"Url":{"locationName":"url"}},"required":["RoleArn"]},"Sp":{"type":"list","member":{"type":"structure","members":{"DestinationConfigurations":{"locationName":"destinationConfigurations","type":"list","member":{"type":"structure","members":{"DestinationIp":{"locationName":"destinationIp"},"DestinationPort":{"locationName":"destinationPort","type":"integer"},"Interface":{"shape":"St","locationName":"interface"}},"required":["DestinationIp","DestinationPort","Interface"]}},"EncodingName":{"locationName":"encodingName"},"EncodingParameters":{"locationName":"encodingParameters","type":"structure","members":{"CompressionFactor":{"locationName":"compressionFactor","type":"double"},"EncoderProfile":{"locationName":"encoderProfile"}},"required":["EncoderProfile","CompressionFactor"]},"MediaStreamName":{"locationName":"mediaStreamName"}},"required":["MediaStreamName","EncodingName"]}},"St":{"type":"structure","members":{"Name":{"locationName":"name"}},"required":["Name"]},"Sz":{"type":"structure","members":{"VpcInterfaceName":{"locationName":"vpcInterfaceName"}}},"S11":{"type":"list","member":{"shape":"S12"}},"S12":{"type":"structure","members":{"DataTransferSubscriberFeePercent":{"locationName":"dataTransferSubscriberFeePercent","type":"integer"},"Description":{"locationName":"description"},"Destination":{"locationName":"destination"},"Encryption":{"shape":"Sm","locationName":"encryption"},"EntitlementArn":{"locationName":"entitlementArn"},"ListenerAddress":{"locationName":"listenerAddress"},"MediaLiveInputArn":{"locationName":"mediaLiveInputArn"},"MediaStreamOutputConfigurations":{"locationName":"mediaStreamOutputConfigurations","type":"list","member":{"type":"structure","members":{"DestinationConfigurations":{"locationName":"destinationConfigurations","type":"list","member":{"type":"structure","members":{"DestinationIp":{"locationName":"destinationIp"},"DestinationPort":{"locationName":"destinationPort","type":"integer"},"Interface":{"shape":"S17","locationName":"interface"},"OutboundIp":{"locationName":"outboundIp"}},"required":["DestinationIp","DestinationPort","Interface","OutboundIp"]}},"EncodingName":{"locationName":"encodingName"},"EncodingParameters":{"locationName":"encodingParameters","type":"structure","members":{"CompressionFactor":{"locationName":"compressionFactor","type":"double"},"EncoderProfile":{"locationName":"encoderProfile"}},"required":["EncoderProfile","CompressionFactor"]},"MediaStreamName":{"locationName":"mediaStreamName"}},"required":["MediaStreamName","EncodingName"]}},"Name":{"locationName":"name"},"OutputArn":{"locationName":"outputArn"},"Port":{"locationName":"port","type":"integer"},"Transport":{"shape":"S19","locationName":"transport"},"VpcInterfaceAttachment":{"shape":"Sz","locationName":"vpcInterfaceAttachment"}},"required":["OutputArn","Name"]},"S17":{"type":"structure","members":{"Name":{"locationName":"name"}},"required":["Name"]},"S19":{"type":"structure","members":{"CidrAllowList":{"shape":"Sl","locationName":"cidrAllowList"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"MaxLatency":{"locationName":"maxLatency","type":"integer"},"MaxSyncBuffer":{"locationName":"maxSyncBuffer","type":"integer"},"MinLatency":{"locationName":"minLatency","type":"integer"},"Protocol":{"locationName":"protocol"},"RemoteId":{"locationName":"remoteId"},"SmoothingLatency":{"locationName":"smoothingLatency","type":"integer"},"StreamId":{"locationName":"streamId"}},"required":["Protocol"]},"S1b":{"type":"list","member":{"shape":"S1c"}},"S1c":{"type":"structure","members":{"Decryption":{"shape":"Sm","locationName":"decryption"},"Description":{"locationName":"description"},"EntitlementArn":{"locationName":"entitlementArn"},"IngestPort":{"locationName":"ingestPort","type":"integer"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"MaxLatency":{"locationName":"maxLatency","type":"integer"},"MaxSyncBuffer":{"locationName":"maxSyncBuffer","type":"integer"},"MediaStreamSourceConfigurations":{"shape":"S1d","locationName":"mediaStreamSourceConfigurations"},"MinLatency":{"locationName":"minLatency","type":"integer"},"Name":{"locationName":"name"},"Protocol":{"locationName":"protocol"},"StreamId":{"locationName":"streamId"},"VpcInterfaceName":{"locationName":"vpcInterfaceName"},"WhitelistCidr":{"locationName":"whitelistCidr"}}},"S1d":{"type":"list","member":{"type":"structure","members":{"EncodingName":{"locationName":"encodingName"},"InputConfigurations":{"locationName":"inputConfigurations","type":"list","member":{"type":"structure","members":{"InputPort":{"locationName":"inputPort","type":"integer"},"Interface":{"shape":"St","locationName":"interface"}},"required":["InputPort","Interface"]}},"MediaStreamName":{"locationName":"mediaStreamName"}},"required":["MediaStreamName","EncodingName"]}},"S1i":{"type":"list","member":{"shape":"S1j"}},"S1j":{"type":"structure","members":{"DataTransferSubscriberFeePercent":{"locationName":"dataTransferSubscriberFeePercent","type":"integer"},"Decryption":{"shape":"Sm","locationName":"decryption"},"Description":{"locationName":"description"},"EntitlementArn":{"locationName":"entitlementArn"},"IngestIp":{"locationName":"ingestIp"},"IngestPort":{"locationName":"ingestPort","type":"integer"},"MediaStreamSourceConfigurations":{"locationName":"mediaStreamSourceConfigurations","type":"list","member":{"type":"structure","members":{"EncodingName":{"locationName":"encodingName"},"InputConfigurations":{"locationName":"inputConfigurations","type":"list","member":{"type":"structure","members":{"InputIp":{"locationName":"inputIp"},"InputPort":{"locationName":"inputPort","type":"integer"},"Interface":{"shape":"S17","locationName":"interface"}},"required":["InputPort","InputIp","Interface"]}},"MediaStreamName":{"locationName":"mediaStreamName"}},"required":["MediaStreamName","EncodingName"]}},"Name":{"locationName":"name"},"SourceArn":{"locationName":"sourceArn"},"Transport":{"shape":"S19","locationName":"transport"},"VpcInterfaceName":{"locationName":"vpcInterfaceName"},"WhitelistCidr":{"locationName":"whitelistCidr"}},"required":["SourceArn","Name"]},"S1p":{"type":"list","member":{"type":"structure","members":{"Name":{"locationName":"name"},"NetworkInterfaceType":{"locationName":"networkInterfaceType"},"RoleArn":{"locationName":"roleArn"},"SecurityGroupIds":{"shape":"Sl","locationName":"securityGroupIds"},"SubnetId":{"locationName":"subnetId"}},"required":["SubnetId","SecurityGroupIds","RoleArn","Name"]}},"S1t":{"type":"list","member":{"type":"structure","members":{"Name":{"locationName":"name"},"NetworkInterfaceIds":{"shape":"Sl","locationName":"networkInterfaceIds"},"NetworkInterfaceType":{"locationName":"networkInterfaceType"},"RoleArn":{"locationName":"roleArn"},"SecurityGroupIds":{"shape":"Sl","locationName":"securityGroupIds"},"SubnetId":{"locationName":"subnetId"}},"required":["NetworkInterfaceType","NetworkInterfaceIds","SubnetId","SecurityGroupIds","RoleArn","Name"]}},"S1w":{"type":"list","member":{"type":"structure","members":{"DataTransferSubscriberFeePercent":{"locationName":"dataTransferSubscriberFeePercent","type":"integer"},"Description":{"locationName":"description"},"Encryption":{"shape":"Sm","locationName":"encryption"},"EntitlementStatus":{"locationName":"entitlementStatus"},"Name":{"locationName":"name"},"Subscribers":{"shape":"Sl","locationName":"subscribers"}},"required":["Subscribers"]}},"S1z":{"type":"structure","members":{"FailoverMode":{"locationName":"failoverMode"},"RecoveryWindow":{"locationName":"recoveryWindow","type":"integer"},"SourcePriority":{"shape":"S21","locationName":"sourcePriority"},"State":{"locationName":"state"}}},"S21":{"type":"structure","members":{"PrimarySource":{"locationName":"primarySource"}}},"S24":{"type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"Description":{"locationName":"description"},"EgressIp":{"locationName":"egressIp"},"Entitlements":{"shape":"S25","locationName":"entitlements"},"FlowArn":{"locationName":"flowArn"},"MediaStreams":{"shape":"Se","locationName":"mediaStreams"},"Name":{"locationName":"name"},"Outputs":{"shape":"S11","locationName":"outputs"},"Source":{"shape":"S1j","locationName":"source"},"SourceFailoverConfig":{"shape":"S1z","locationName":"sourceFailoverConfig"},"Sources":{"shape":"S1i","locationName":"sources"},"Status":{"locationName":"status"},"VpcInterfaces":{"shape":"S1t","locationName":"vpcInterfaces"}},"required":["Status","Entitlements","Outputs","AvailabilityZone","FlowArn","Source","Name"]},"S25":{"type":"list","member":{"shape":"S26"}},"S26":{"type":"structure","members":{"DataTransferSubscriberFeePercent":{"locationName":"dataTransferSubscriberFeePercent","type":"integer"},"Description":{"locationName":"description"},"Encryption":{"shape":"Sm","locationName":"encryption"},"EntitlementArn":{"locationName":"entitlementArn"},"EntitlementStatus":{"locationName":"entitlementStatus"},"Name":{"locationName":"name"},"Subscribers":{"shape":"Sl","locationName":"subscribers"}},"required":["EntitlementArn","Subscribers","Name"]},"S2f":{"type":"structure","members":{"CurrencyCode":{"locationName":"currencyCode"},"Duration":{"locationName":"duration","type":"integer"},"DurationUnits":{"locationName":"durationUnits"},"OfferingArn":{"locationName":"offeringArn"},"OfferingDescription":{"locationName":"offeringDescription"},"PricePerUnit":{"locationName":"pricePerUnit"},"PriceUnits":{"locationName":"priceUnits"},"ResourceSpecification":{"shape":"S2i","locationName":"resourceSpecification"}},"required":["CurrencyCode","OfferingArn","OfferingDescription","DurationUnits","Duration","PricePerUnit","ResourceSpecification","PriceUnits"]},"S2i":{"type":"structure","members":{"ReservedBitrate":{"locationName":"reservedBitrate","type":"integer"},"ResourceType":{"locationName":"resourceType"}},"required":["ResourceType"]},"S2m":{"type":"structure","members":{"CurrencyCode":{"locationName":"currencyCode"},"Duration":{"locationName":"duration","type":"integer"},"DurationUnits":{"locationName":"durationUnits"},"End":{"locationName":"end"},"OfferingArn":{"locationName":"offeringArn"},"OfferingDescription":{"locationName":"offeringDescription"},"PricePerUnit":{"locationName":"pricePerUnit"},"PriceUnits":{"locationName":"priceUnits"},"ReservationArn":{"locationName":"reservationArn"},"ReservationName":{"locationName":"reservationName"},"ReservationState":{"locationName":"reservationState"},"ResourceSpecification":{"shape":"S2i","locationName":"resourceSpecification"},"Start":{"locationName":"start"}},"required":["CurrencyCode","ReservationState","OfferingArn","ReservationArn","Start","OfferingDescription","ReservationName","End","Duration","DurationUnits","PricePerUnit","ResourceSpecification","PriceUnits"]},"S38":{"type":"map","key":{},"value":{}},"S3v":{"type":"structure","members":{"Algorithm":{"locationName":"algorithm"},"ConstantInitializationVector":{"locationName":"constantInitializationVector"},"DeviceId":{"locationName":"deviceId"},"KeyType":{"locationName":"keyType"},"Region":{"locationName":"region"},"ResourceId":{"locationName":"resourceId"},"RoleArn":{"locationName":"roleArn"},"SecretArn":{"locationName":"secretArn"},"Url":{"locationName":"url"}}}}}');

/***/ }),

/***/ 68160:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListEntitlements":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Entitlements"},"ListFlows":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Flows"},"ListOfferings":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Offerings"},"ListReservations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Reservations"}}}');

/***/ }),

/***/ 42876:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"FlowActive":{"description":"Wait until a flow is active","operation":"DescribeFlow","delay":3,"maxAttempts":40,"acceptors":[{"state":"success","matcher":"path","argument":"Flow.Status","expected":"ACTIVE"},{"state":"retry","matcher":"path","argument":"Flow.Status","expected":"STARTING"},{"state":"retry","matcher":"path","argument":"Flow.Status","expected":"UPDATING"},{"state":"retry","matcher":"status","expected":500},{"state":"retry","matcher":"status","expected":503},{"state":"failure","matcher":"path","argument":"Flow.Status","expected":"ERROR"}]},"FlowStandby":{"description":"Wait until a flow is in standby mode","operation":"DescribeFlow","delay":3,"maxAttempts":40,"acceptors":[{"state":"success","matcher":"path","argument":"Flow.Status","expected":"STANDBY"},{"state":"retry","matcher":"path","argument":"Flow.Status","expected":"STOPPING"},{"state":"retry","matcher":"status","expected":500},{"state":"retry","matcher":"status","expected":503},{"state":"failure","matcher":"path","argument":"Flow.Status","expected":"ERROR"}]},"FlowDeleted":{"description":"Wait until a flow is deleted","operation":"DescribeFlow","delay":3,"maxAttempts":40,"acceptors":[{"state":"success","matcher":"status","expected":404},{"state":"retry","matcher":"path","argument":"Flow.Status","expected":"DELETING"},{"state":"retry","matcher":"status","expected":500},{"state":"retry","matcher":"status","expected":503},{"state":"failure","matcher":"path","argument":"Flow.Status","expected":"ERROR"}]}}}');

/***/ }),

/***/ 41924:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2017-08-29","endpointPrefix":"mediaconvert","signingName":"mediaconvert","serviceFullName":"AWS Elemental MediaConvert","serviceId":"MediaConvert","protocol":"rest-json","jsonVersion":"1.1","uid":"mediaconvert-2017-08-29","signatureVersion":"v4","serviceAbbreviation":"MediaConvert"},"operations":{"AssociateCertificate":{"http":{"requestUri":"/2017-08-29/certificates","responseCode":201},"input":{"type":"structure","members":{"Arn":{"locationName":"arn"}},"required":["Arn"]},"output":{"type":"structure","members":{}}},"CancelJob":{"http":{"method":"DELETE","requestUri":"/2017-08-29/jobs/{id}","responseCode":202},"input":{"type":"structure","members":{"Id":{"locationName":"id","location":"uri"}},"required":["Id"]},"output":{"type":"structure","members":{}}},"CreateJob":{"http":{"requestUri":"/2017-08-29/jobs","responseCode":201},"input":{"type":"structure","members":{"AccelerationSettings":{"shape":"S7","locationName":"accelerationSettings"},"BillingTagsSource":{"locationName":"billingTagsSource"},"ClientRequestToken":{"locationName":"clientRequestToken","idempotencyToken":true},"HopDestinations":{"shape":"Sa","locationName":"hopDestinations"},"JobTemplate":{"locationName":"jobTemplate"},"Priority":{"locationName":"priority","type":"integer"},"Queue":{"locationName":"queue"},"Role":{"locationName":"role"},"Settings":{"shape":"Se","locationName":"settings"},"SimulateReservedQueue":{"locationName":"simulateReservedQueue"},"StatusUpdateInterval":{"locationName":"statusUpdateInterval"},"Tags":{"shape":"Sj1","locationName":"tags"},"UserMetadata":{"shape":"Sj1","locationName":"userMetadata"}},"required":["Role","Settings"]},"output":{"type":"structure","members":{"Job":{"shape":"Sj3","locationName":"job"}}}},"CreateJobTemplate":{"http":{"requestUri":"/2017-08-29/jobTemplates","responseCode":201},"input":{"type":"structure","members":{"AccelerationSettings":{"shape":"S7","locationName":"accelerationSettings"},"Category":{"locationName":"category"},"Description":{"locationName":"description"},"HopDestinations":{"shape":"Sa","locationName":"hopDestinations"},"Name":{"locationName":"name"},"Priority":{"locationName":"priority","type":"integer"},"Queue":{"locationName":"queue"},"Settings":{"shape":"Sjj","locationName":"settings"},"StatusUpdateInterval":{"locationName":"statusUpdateInterval"},"Tags":{"shape":"Sj1","locationName":"tags"}},"required":["Settings","Name"]},"output":{"type":"structure","members":{"JobTemplate":{"shape":"Sjn","locationName":"jobTemplate"}}}},"CreatePreset":{"http":{"requestUri":"/2017-08-29/presets","responseCode":201},"input":{"type":"structure","members":{"Category":{"locationName":"category"},"Description":{"locationName":"description"},"Name":{"locationName":"name"},"Settings":{"shape":"Sjq","locationName":"settings"},"Tags":{"shape":"Sj1","locationName":"tags"}},"required":["Settings","Name"]},"output":{"type":"structure","members":{"Preset":{"shape":"Sju","locationName":"preset"}}}},"CreateQueue":{"http":{"requestUri":"/2017-08-29/queues","responseCode":201},"input":{"type":"structure","members":{"Description":{"locationName":"description"},"Name":{"locationName":"name"},"PricingPlan":{"locationName":"pricingPlan"},"ReservationPlanSettings":{"shape":"Sjx","locationName":"reservationPlanSettings"},"Status":{"locationName":"status"},"Tags":{"shape":"Sj1","locationName":"tags"}},"required":["Name"]},"output":{"type":"structure","members":{"Queue":{"shape":"Sk2","locationName":"queue"}}}},"DeleteJobTemplate":{"http":{"method":"DELETE","requestUri":"/2017-08-29/jobTemplates/{name}","responseCode":202},"input":{"type":"structure","members":{"Name":{"locationName":"name","location":"uri"}},"required":["Name"]},"output":{"type":"structure","members":{}}},"DeletePolicy":{"http":{"method":"DELETE","requestUri":"/2017-08-29/policy","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DeletePreset":{"http":{"method":"DELETE","requestUri":"/2017-08-29/presets/{name}","responseCode":202},"input":{"type":"structure","members":{"Name":{"locationName":"name","location":"uri"}},"required":["Name"]},"output":{"type":"structure","members":{}}},"DeleteQueue":{"http":{"method":"DELETE","requestUri":"/2017-08-29/queues/{name}","responseCode":202},"input":{"type":"structure","members":{"Name":{"locationName":"name","location":"uri"}},"required":["Name"]},"output":{"type":"structure","members":{}}},"DescribeEndpoints":{"http":{"requestUri":"/2017-08-29/endpoints","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"locationName":"maxResults","type":"integer"},"Mode":{"locationName":"mode"},"NextToken":{"locationName":"nextToken"}}},"output":{"type":"structure","members":{"Endpoints":{"locationName":"endpoints","type":"list","member":{"type":"structure","members":{"Url":{"locationName":"url"}}}},"NextToken":{"locationName":"nextToken"}}}},"DisassociateCertificate":{"http":{"method":"DELETE","requestUri":"/2017-08-29/certificates/{arn}","responseCode":202},"input":{"type":"structure","members":{"Arn":{"locationName":"arn","location":"uri"}},"required":["Arn"]},"output":{"type":"structure","members":{}}},"GetJob":{"http":{"method":"GET","requestUri":"/2017-08-29/jobs/{id}","responseCode":200},"input":{"type":"structure","members":{"Id":{"locationName":"id","location":"uri"}},"required":["Id"]},"output":{"type":"structure","members":{"Job":{"shape":"Sj3","locationName":"job"}}}},"GetJobTemplate":{"http":{"method":"GET","requestUri":"/2017-08-29/jobTemplates/{name}","responseCode":200},"input":{"type":"structure","members":{"Name":{"locationName":"name","location":"uri"}},"required":["Name"]},"output":{"type":"structure","members":{"JobTemplate":{"shape":"Sjn","locationName":"jobTemplate"}}}},"GetPolicy":{"http":{"method":"GET","requestUri":"/2017-08-29/policy","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"Policy":{"shape":"Skq","locationName":"policy"}}}},"GetPreset":{"http":{"method":"GET","requestUri":"/2017-08-29/presets/{name}","responseCode":200},"input":{"type":"structure","members":{"Name":{"locationName":"name","location":"uri"}},"required":["Name"]},"output":{"type":"structure","members":{"Preset":{"shape":"Sju","locationName":"preset"}}}},"GetQueue":{"http":{"method":"GET","requestUri":"/2017-08-29/queues/{name}","responseCode":200},"input":{"type":"structure","members":{"Name":{"locationName":"name","location":"uri"}},"required":["Name"]},"output":{"type":"structure","members":{"Queue":{"shape":"Sk2","locationName":"queue"}}}},"ListJobTemplates":{"http":{"method":"GET","requestUri":"/2017-08-29/jobTemplates","responseCode":200},"input":{"type":"structure","members":{"Category":{"locationName":"category","location":"querystring"},"ListBy":{"locationName":"listBy","location":"querystring"},"MaxResults":{"locationName":"maxResults","location":"querystring","type":"integer"},"NextToken":{"locationName":"nextToken","location":"querystring"},"Order":{"locationName":"order","location":"querystring"}}},"output":{"type":"structure","members":{"JobTemplates":{"locationName":"jobTemplates","type":"list","member":{"shape":"Sjn"}},"NextToken":{"locationName":"nextToken"}}}},"ListJobs":{"http":{"method":"GET","requestUri":"/2017-08-29/jobs","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"locationName":"maxResults","location":"querystring","type":"integer"},"NextToken":{"locationName":"nextToken","location":"querystring"},"Order":{"locationName":"order","location":"querystring"},"Queue":{"locationName":"queue","location":"querystring"},"Status":{"locationName":"status","location":"querystring"}}},"output":{"type":"structure","members":{"Jobs":{"locationName":"jobs","type":"list","member":{"shape":"Sj3"}},"NextToken":{"locationName":"nextToken"}}}},"ListPresets":{"http":{"method":"GET","requestUri":"/2017-08-29/presets","responseCode":200},"input":{"type":"structure","members":{"Category":{"locationName":"category","location":"querystring"},"ListBy":{"locationName":"listBy","location":"querystring"},"MaxResults":{"locationName":"maxResults","location":"querystring","type":"integer"},"NextToken":{"locationName":"nextToken","location":"querystring"},"Order":{"locationName":"order","location":"querystring"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Presets":{"locationName":"presets","type":"list","member":{"shape":"Sju"}}}}},"ListQueues":{"http":{"method":"GET","requestUri":"/2017-08-29/queues","responseCode":200},"input":{"type":"structure","members":{"ListBy":{"locationName":"listBy","location":"querystring"},"MaxResults":{"locationName":"maxResults","location":"querystring","type":"integer"},"NextToken":{"locationName":"nextToken","location":"querystring"},"Order":{"locationName":"order","location":"querystring"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Queues":{"locationName":"queues","type":"list","member":{"shape":"Sk2"}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/2017-08-29/tags/{arn}","responseCode":200},"input":{"type":"structure","members":{"Arn":{"locationName":"arn","location":"uri"}},"required":["Arn"]},"output":{"type":"structure","members":{"ResourceTags":{"locationName":"resourceTags","type":"structure","members":{"Arn":{"locationName":"arn"},"Tags":{"shape":"Sj1","locationName":"tags"}}}}}},"PutPolicy":{"http":{"method":"PUT","requestUri":"/2017-08-29/policy","responseCode":200},"input":{"type":"structure","members":{"Policy":{"shape":"Skq","locationName":"policy"}},"required":["Policy"]},"output":{"type":"structure","members":{"Policy":{"shape":"Skq","locationName":"policy"}}}},"TagResource":{"http":{"requestUri":"/2017-08-29/tags","responseCode":200},"input":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Tags":{"shape":"Sj1","locationName":"tags"}},"required":["Arn","Tags"]},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"PUT","requestUri":"/2017-08-29/tags/{arn}","responseCode":200},"input":{"type":"structure","members":{"Arn":{"locationName":"arn","location":"uri"},"TagKeys":{"shape":"Sj8","locationName":"tagKeys"}},"required":["Arn"]},"output":{"type":"structure","members":{}}},"UpdateJobTemplate":{"http":{"method":"PUT","requestUri":"/2017-08-29/jobTemplates/{name}","responseCode":200},"input":{"type":"structure","members":{"AccelerationSettings":{"shape":"S7","locationName":"accelerationSettings"},"Category":{"locationName":"category"},"Description":{"locationName":"description"},"HopDestinations":{"shape":"Sa","locationName":"hopDestinations"},"Name":{"locationName":"name","location":"uri"},"Priority":{"locationName":"priority","type":"integer"},"Queue":{"locationName":"queue"},"Settings":{"shape":"Sjj","locationName":"settings"},"StatusUpdateInterval":{"locationName":"statusUpdateInterval"}},"required":["Name"]},"output":{"type":"structure","members":{"JobTemplate":{"shape":"Sjn","locationName":"jobTemplate"}}}},"UpdatePreset":{"http":{"method":"PUT","requestUri":"/2017-08-29/presets/{name}","responseCode":200},"input":{"type":"structure","members":{"Category":{"locationName":"category"},"Description":{"locationName":"description"},"Name":{"locationName":"name","location":"uri"},"Settings":{"shape":"Sjq","locationName":"settings"}},"required":["Name"]},"output":{"type":"structure","members":{"Preset":{"shape":"Sju","locationName":"preset"}}}},"UpdateQueue":{"http":{"method":"PUT","requestUri":"/2017-08-29/queues/{name}","responseCode":200},"input":{"type":"structure","members":{"Description":{"locationName":"description"},"Name":{"locationName":"name","location":"uri"},"ReservationPlanSettings":{"shape":"Sjx","locationName":"reservationPlanSettings"},"Status":{"locationName":"status"}},"required":["Name"]},"output":{"type":"structure","members":{"Queue":{"shape":"Sk2","locationName":"queue"}}}}},"shapes":{"S7":{"type":"structure","members":{"Mode":{"locationName":"mode"}},"required":["Mode"]},"Sa":{"type":"list","member":{"type":"structure","members":{"Priority":{"locationName":"priority","type":"integer"},"Queue":{"locationName":"queue"},"WaitMinutes":{"locationName":"waitMinutes","type":"integer"}}}},"Se":{"type":"structure","members":{"AdAvailOffset":{"locationName":"adAvailOffset","type":"integer"},"AvailBlanking":{"shape":"Sg","locationName":"availBlanking"},"Esam":{"shape":"Si","locationName":"esam"},"ExtendedDataServices":{"shape":"So","locationName":"extendedDataServices"},"Inputs":{"locationName":"inputs","type":"list","member":{"type":"structure","members":{"AudioSelectorGroups":{"shape":"St","locationName":"audioSelectorGroups"},"AudioSelectors":{"shape":"Sx","locationName":"audioSelectors"},"CaptionSelectors":{"shape":"S1i","locationName":"captionSelectors"},"Crop":{"shape":"S26","locationName":"crop"},"DeblockFilter":{"locationName":"deblockFilter"},"DecryptionSettings":{"locationName":"decryptionSettings","type":"structure","members":{"DecryptionMode":{"locationName":"decryptionMode"},"EncryptedDecryptionKey":{"locationName":"encryptedDecryptionKey"},"InitializationVector":{"locationName":"initializationVector"},"KmsKeyRegion":{"locationName":"kmsKeyRegion"}}},"DenoiseFilter":{"locationName":"denoiseFilter"},"FileInput":{"locationName":"fileInput"},"FilterEnable":{"locationName":"filterEnable"},"FilterStrength":{"locationName":"filterStrength","type":"integer"},"ImageInserter":{"shape":"S2j","locationName":"imageInserter"},"InputClippings":{"shape":"S2q","locationName":"inputClippings"},"InputScanType":{"locationName":"inputScanType"},"Position":{"shape":"S26","locationName":"position"},"ProgramNumber":{"locationName":"programNumber","type":"integer"},"PsiControl":{"locationName":"psiControl"},"SupplementalImps":{"locationName":"supplementalImps","type":"list","member":{}},"TimecodeSource":{"locationName":"timecodeSource"},"TimecodeStart":{"locationName":"timecodeStart"},"VideoSelector":{"shape":"S2z","locationName":"videoSelector"}}}},"KantarWatermark":{"shape":"S38","locationName":"kantarWatermark"},"MotionImageInserter":{"shape":"S3g","locationName":"motionImageInserter"},"NielsenConfiguration":{"shape":"S3o","locationName":"nielsenConfiguration"},"NielsenNonLinearWatermark":{"shape":"S3q","locationName":"nielsenNonLinearWatermark"},"OutputGroups":{"shape":"S3x","locationName":"outputGroups"},"TimecodeConfig":{"shape":"Sit","locationName":"timecodeConfig"},"TimedMetadataInsertion":{"shape":"Siw","locationName":"timedMetadataInsertion"}}},"Sg":{"type":"structure","members":{"AvailBlankingImage":{"locationName":"availBlankingImage"}}},"Si":{"type":"structure","members":{"ManifestConfirmConditionNotification":{"locationName":"manifestConfirmConditionNotification","type":"structure","members":{"MccXml":{"locationName":"mccXml"}}},"ResponseSignalPreroll":{"locationName":"responseSignalPreroll","type":"integer"},"SignalProcessingNotification":{"locationName":"signalProcessingNotification","type":"structure","members":{"SccXml":{"locationName":"sccXml"}}}}},"So":{"type":"structure","members":{"CopyProtectionAction":{"locationName":"copyProtectionAction"},"VchipAction":{"locationName":"vchipAction"}}},"St":{"type":"map","key":{},"value":{"type":"structure","members":{"AudioSelectorNames":{"shape":"Sv","locationName":"audioSelectorNames"}}}},"Sv":{"type":"list","member":{}},"Sx":{"type":"map","key":{},"value":{"type":"structure","members":{"CustomLanguageCode":{"locationName":"customLanguageCode"},"DefaultSelection":{"locationName":"defaultSelection"},"ExternalAudioFileInput":{"locationName":"externalAudioFileInput"},"HlsRenditionGroupSettings":{"locationName":"hlsRenditionGroupSettings","type":"structure","members":{"RenditionGroupId":{"locationName":"renditionGroupId"},"RenditionLanguageCode":{"locationName":"renditionLanguageCode"},"RenditionName":{"locationName":"renditionName"}}},"LanguageCode":{"locationName":"languageCode"},"Offset":{"locationName":"offset","type":"integer"},"Pids":{"shape":"S15","locationName":"pids"},"ProgramSelection":{"locationName":"programSelection","type":"integer"},"RemixSettings":{"shape":"S18","locationName":"remixSettings"},"SelectorType":{"locationName":"selectorType"},"Tracks":{"shape":"S15","locationName":"tracks"}}}},"S15":{"type":"list","member":{"type":"integer"}},"S18":{"type":"structure","members":{"ChannelMapping":{"locationName":"channelMapping","type":"structure","members":{"OutputChannels":{"locationName":"outputChannels","type":"list","member":{"type":"structure","members":{"InputChannels":{"locationName":"inputChannels","type":"list","member":{"type":"integer"}},"InputChannelsFineTune":{"locationName":"inputChannelsFineTune","type":"list","member":{"type":"double"}}}}}}},"ChannelsIn":{"locationName":"channelsIn","type":"integer"},"ChannelsOut":{"locationName":"channelsOut","type":"integer"}}},"S1i":{"type":"map","key":{},"value":{"type":"structure","members":{"CustomLanguageCode":{"locationName":"customLanguageCode"},"LanguageCode":{"locationName":"languageCode"},"SourceSettings":{"locationName":"sourceSettings","type":"structure","members":{"AncillarySourceSettings":{"locationName":"ancillarySourceSettings","type":"structure","members":{"Convert608To708":{"locationName":"convert608To708"},"SourceAncillaryChannelNumber":{"locationName":"sourceAncillaryChannelNumber","type":"integer"},"TerminateCaptions":{"locationName":"terminateCaptions"}}},"DvbSubSourceSettings":{"locationName":"dvbSubSourceSettings","type":"structure","members":{"Pid":{"locationName":"pid","type":"integer"}}},"EmbeddedSourceSettings":{"locationName":"embeddedSourceSettings","type":"structure","members":{"Convert608To708":{"locationName":"convert608To708"},"Source608ChannelNumber":{"locationName":"source608ChannelNumber","type":"integer"},"Source608TrackNumber":{"locationName":"source608TrackNumber","type":"integer"},"TerminateCaptions":{"locationName":"terminateCaptions"}}},"FileSourceSettings":{"locationName":"fileSourceSettings","type":"structure","members":{"Convert608To708":{"locationName":"convert608To708"},"Framerate":{"locationName":"framerate","type":"structure","members":{"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"}}},"SourceFile":{"locationName":"sourceFile"},"TimeDelta":{"locationName":"timeDelta","type":"integer"},"TimeDeltaUnits":{"locationName":"timeDeltaUnits"}}},"SourceType":{"locationName":"sourceType"},"TeletextSourceSettings":{"locationName":"teletextSourceSettings","type":"structure","members":{"PageNumber":{"locationName":"pageNumber"}}},"TrackSourceSettings":{"locationName":"trackSourceSettings","type":"structure","members":{"TrackNumber":{"locationName":"trackNumber","type":"integer"}}},"WebvttHlsSourceSettings":{"locationName":"webvttHlsSourceSettings","type":"structure","members":{"RenditionGroupId":{"locationName":"renditionGroupId"},"RenditionLanguageCode":{"locationName":"renditionLanguageCode"},"RenditionName":{"locationName":"renditionName"}}}}}}}},"S26":{"type":"structure","members":{"Height":{"locationName":"height","type":"integer"},"Width":{"locationName":"width","type":"integer"},"X":{"locationName":"x","type":"integer"},"Y":{"locationName":"y","type":"integer"}}},"S2j":{"type":"structure","members":{"InsertableImages":{"locationName":"insertableImages","type":"list","member":{"type":"structure","members":{"Duration":{"locationName":"duration","type":"integer"},"FadeIn":{"locationName":"fadeIn","type":"integer"},"FadeOut":{"locationName":"fadeOut","type":"integer"},"Height":{"locationName":"height","type":"integer"},"ImageInserterInput":{"locationName":"imageInserterInput"},"ImageX":{"locationName":"imageX","type":"integer"},"ImageY":{"locationName":"imageY","type":"integer"},"Layer":{"locationName":"layer","type":"integer"},"Opacity":{"locationName":"opacity","type":"integer"},"StartTime":{"locationName":"startTime"},"Width":{"locationName":"width","type":"integer"}}}}}},"S2q":{"type":"list","member":{"type":"structure","members":{"EndTimecode":{"locationName":"endTimecode"},"StartTimecode":{"locationName":"startTimecode"}}}},"S2z":{"type":"structure","members":{"AlphaBehavior":{"locationName":"alphaBehavior"},"ColorSpace":{"locationName":"colorSpace"},"ColorSpaceUsage":{"locationName":"colorSpaceUsage"},"Hdr10Metadata":{"shape":"S33","locationName":"hdr10Metadata"},"Pid":{"locationName":"pid","type":"integer"},"ProgramNumber":{"locationName":"programNumber","type":"integer"},"Rotate":{"locationName":"rotate"},"SampleRange":{"locationName":"sampleRange"}}},"S33":{"type":"structure","members":{"BluePrimaryX":{"locationName":"bluePrimaryX","type":"integer"},"BluePrimaryY":{"locationName":"bluePrimaryY","type":"integer"},"GreenPrimaryX":{"locationName":"greenPrimaryX","type":"integer"},"GreenPrimaryY":{"locationName":"greenPrimaryY","type":"integer"},"MaxContentLightLevel":{"locationName":"maxContentLightLevel","type":"integer"},"MaxFrameAverageLightLevel":{"locationName":"maxFrameAverageLightLevel","type":"integer"},"MaxLuminance":{"locationName":"maxLuminance","type":"integer"},"MinLuminance":{"locationName":"minLuminance","type":"integer"},"RedPrimaryX":{"locationName":"redPrimaryX","type":"integer"},"RedPrimaryY":{"locationName":"redPrimaryY","type":"integer"},"WhitePointX":{"locationName":"whitePointX","type":"integer"},"WhitePointY":{"locationName":"whitePointY","type":"integer"}}},"S38":{"type":"structure","members":{"ChannelName":{"locationName":"channelName"},"ContentReference":{"locationName":"contentReference"},"CredentialsSecretName":{"locationName":"credentialsSecretName"},"FileOffset":{"locationName":"fileOffset","type":"double"},"KantarLicenseId":{"locationName":"kantarLicenseId","type":"integer"},"KantarServerUrl":{"locationName":"kantarServerUrl"},"LogDestination":{"locationName":"logDestination"},"Metadata3":{"locationName":"metadata3"},"Metadata4":{"locationName":"metadata4"},"Metadata5":{"locationName":"metadata5"},"Metadata6":{"locationName":"metadata6"},"Metadata7":{"locationName":"metadata7"},"Metadata8":{"locationName":"metadata8"}}},"S3g":{"type":"structure","members":{"Framerate":{"locationName":"framerate","type":"structure","members":{"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"}}},"Input":{"locationName":"input"},"InsertionMode":{"locationName":"insertionMode"},"Offset":{"locationName":"offset","type":"structure","members":{"ImageX":{"locationName":"imageX","type":"integer"},"ImageY":{"locationName":"imageY","type":"integer"}}},"Playback":{"locationName":"playback"},"StartTime":{"locationName":"startTime"}}},"S3o":{"type":"structure","members":{"BreakoutCode":{"locationName":"breakoutCode","type":"integer"},"DistributorId":{"locationName":"distributorId"}}},"S3q":{"type":"structure","members":{"ActiveWatermarkProcess":{"locationName":"activeWatermarkProcess"},"AdiFilename":{"locationName":"adiFilename"},"AssetId":{"locationName":"assetId"},"AssetName":{"locationName":"assetName"},"CbetSourceId":{"locationName":"cbetSourceId"},"EpisodeId":{"locationName":"episodeId"},"MetadataDestination":{"locationName":"metadataDestination"},"SourceId":{"locationName":"sourceId","type":"integer"},"SourceWatermarkStatus":{"locationName":"sourceWatermarkStatus"},"TicServerUrl":{"locationName":"ticServerUrl"},"UniqueTicPerAudioTrack":{"locationName":"uniqueTicPerAudioTrack"}}},"S3x":{"type":"list","member":{"type":"structure","members":{"AutomatedEncodingSettings":{"locationName":"automatedEncodingSettings","type":"structure","members":{"AbrSettings":{"locationName":"abrSettings","type":"structure","members":{"MaxAbrBitrate":{"locationName":"maxAbrBitrate","type":"integer"},"MaxRenditions":{"locationName":"maxRenditions","type":"integer"},"MinAbrBitrate":{"locationName":"minAbrBitrate","type":"integer"}}}}},"CustomName":{"locationName":"customName"},"Name":{"locationName":"name"},"OutputGroupSettings":{"locationName":"outputGroupSettings","type":"structure","members":{"CmafGroupSettings":{"locationName":"cmafGroupSettings","type":"structure","members":{"AdditionalManifests":{"locationName":"additionalManifests","type":"list","member":{"type":"structure","members":{"ManifestNameModifier":{"locationName":"manifestNameModifier"},"SelectedOutputs":{"shape":"Sv","locationName":"selectedOutputs"}}}},"BaseUrl":{"locationName":"baseUrl"},"ClientCache":{"locationName":"clientCache"},"CodecSpecification":{"locationName":"codecSpecification"},"Destination":{"locationName":"destination"},"DestinationSettings":{"shape":"S49","locationName":"destinationSettings"},"Encryption":{"locationName":"encryption","type":"structure","members":{"ConstantInitializationVector":{"locationName":"constantInitializationVector"},"EncryptionMethod":{"locationName":"encryptionMethod"},"InitializationVectorInManifest":{"locationName":"initializationVectorInManifest"},"SpekeKeyProvider":{"locationName":"spekeKeyProvider","type":"structure","members":{"CertificateArn":{"locationName":"certificateArn"},"DashSignaledSystemIds":{"shape":"S4n","locationName":"dashSignaledSystemIds"},"HlsSignaledSystemIds":{"shape":"S4n","locationName":"hlsSignaledSystemIds"},"ResourceId":{"locationName":"resourceId"},"Url":{"locationName":"url"}}},"StaticKeyProvider":{"shape":"S4q","locationName":"staticKeyProvider"},"Type":{"locationName":"type"}}},"FragmentLength":{"locationName":"fragmentLength","type":"integer"},"ImageBasedTrickPlay":{"locationName":"imageBasedTrickPlay"},"ImageBasedTrickPlaySettings":{"locationName":"imageBasedTrickPlaySettings","type":"structure","members":{"IntervalCadence":{"locationName":"intervalCadence"},"ThumbnailHeight":{"locationName":"thumbnailHeight","type":"integer"},"ThumbnailInterval":{"locationName":"thumbnailInterval","type":"double"},"ThumbnailWidth":{"locationName":"thumbnailWidth","type":"integer"},"TileHeight":{"locationName":"tileHeight","type":"integer"},"TileWidth":{"locationName":"tileWidth","type":"integer"}}},"ManifestCompression":{"locationName":"manifestCompression"},"ManifestDurationFormat":{"locationName":"manifestDurationFormat"},"MinBufferTime":{"locationName":"minBufferTime","type":"integer"},"MinFinalSegmentLength":{"locationName":"minFinalSegmentLength","type":"double"},"MpdProfile":{"locationName":"mpdProfile"},"PtsOffsetHandlingForBFrames":{"locationName":"ptsOffsetHandlingForBFrames"},"SegmentControl":{"locationName":"segmentControl"},"SegmentLength":{"locationName":"segmentLength","type":"integer"},"SegmentLengthControl":{"locationName":"segmentLengthControl"},"StreamInfResolution":{"locationName":"streamInfResolution"},"TargetDurationCompatibilityMode":{"locationName":"targetDurationCompatibilityMode"},"WriteDashManifest":{"locationName":"writeDashManifest"},"WriteHlsManifest":{"locationName":"writeHlsManifest"},"WriteSegmentTimelineInRepresentation":{"locationName":"writeSegmentTimelineInRepresentation"}}},"DashIsoGroupSettings":{"locationName":"dashIsoGroupSettings","type":"structure","members":{"AdditionalManifests":{"locationName":"additionalManifests","type":"list","member":{"type":"structure","members":{"ManifestNameModifier":{"locationName":"manifestNameModifier"},"SelectedOutputs":{"shape":"Sv","locationName":"selectedOutputs"}}}},"AudioChannelConfigSchemeIdUri":{"locationName":"audioChannelConfigSchemeIdUri"},"BaseUrl":{"locationName":"baseUrl"},"Destination":{"locationName":"destination"},"DestinationSettings":{"shape":"S49","locationName":"destinationSettings"},"Encryption":{"locationName":"encryption","type":"structure","members":{"PlaybackDeviceCompatibility":{"locationName":"playbackDeviceCompatibility"},"SpekeKeyProvider":{"shape":"S5k","locationName":"spekeKeyProvider"}}},"FragmentLength":{"locationName":"fragmentLength","type":"integer"},"HbbtvCompliance":{"locationName":"hbbtvCompliance"},"ImageBasedTrickPlay":{"locationName":"imageBasedTrickPlay"},"ImageBasedTrickPlaySettings":{"locationName":"imageBasedTrickPlaySettings","type":"structure","members":{"IntervalCadence":{"locationName":"intervalCadence"},"ThumbnailHeight":{"locationName":"thumbnailHeight","type":"integer"},"ThumbnailInterval":{"locationName":"thumbnailInterval","type":"double"},"ThumbnailWidth":{"locationName":"thumbnailWidth","type":"integer"},"TileHeight":{"locationName":"tileHeight","type":"integer"},"TileWidth":{"locationName":"tileWidth","type":"integer"}}},"MinBufferTime":{"locationName":"minBufferTime","type":"integer"},"MinFinalSegmentLength":{"locationName":"minFinalSegmentLength","type":"double"},"MpdProfile":{"locationName":"mpdProfile"},"PtsOffsetHandlingForBFrames":{"locationName":"ptsOffsetHandlingForBFrames"},"SegmentControl":{"locationName":"segmentControl"},"SegmentLength":{"locationName":"segmentLength","type":"integer"},"SegmentLengthControl":{"locationName":"segmentLengthControl"},"WriteSegmentTimelineInRepresentation":{"locationName":"writeSegmentTimelineInRepresentation"}}},"FileGroupSettings":{"locationName":"fileGroupSettings","type":"structure","members":{"Destination":{"locationName":"destination"},"DestinationSettings":{"shape":"S49","locationName":"destinationSettings"}}},"HlsGroupSettings":{"locationName":"hlsGroupSettings","type":"structure","members":{"AdMarkers":{"locationName":"adMarkers","type":"list","member":{}},"AdditionalManifests":{"locationName":"additionalManifests","type":"list","member":{"type":"structure","members":{"ManifestNameModifier":{"locationName":"manifestNameModifier"},"SelectedOutputs":{"shape":"Sv","locationName":"selectedOutputs"}}}},"AudioOnlyHeader":{"locationName":"audioOnlyHeader"},"BaseUrl":{"locationName":"baseUrl"},"CaptionLanguageMappings":{"locationName":"captionLanguageMappings","type":"list","member":{"type":"structure","members":{"CaptionChannel":{"locationName":"captionChannel","type":"integer"},"CustomLanguageCode":{"locationName":"customLanguageCode"},"LanguageCode":{"locationName":"languageCode"},"LanguageDescription":{"locationName":"languageDescription"}}}},"CaptionLanguageSetting":{"locationName":"captionLanguageSetting"},"ClientCache":{"locationName":"clientCache"},"CodecSpecification":{"locationName":"codecSpecification"},"Destination":{"locationName":"destination"},"DestinationSettings":{"shape":"S49","locationName":"destinationSettings"},"DirectoryStructure":{"locationName":"directoryStructure"},"Encryption":{"locationName":"encryption","type":"structure","members":{"ConstantInitializationVector":{"locationName":"constantInitializationVector"},"EncryptionMethod":{"locationName":"encryptionMethod"},"InitializationVectorInManifest":{"locationName":"initializationVectorInManifest"},"OfflineEncrypted":{"locationName":"offlineEncrypted"},"SpekeKeyProvider":{"shape":"S5k","locationName":"spekeKeyProvider"},"StaticKeyProvider":{"shape":"S4q","locationName":"staticKeyProvider"},"Type":{"locationName":"type"}}},"ImageBasedTrickPlay":{"locationName":"imageBasedTrickPlay"},"ImageBasedTrickPlaySettings":{"locationName":"imageBasedTrickPlaySettings","type":"structure","members":{"IntervalCadence":{"locationName":"intervalCadence"},"ThumbnailHeight":{"locationName":"thumbnailHeight","type":"integer"},"ThumbnailInterval":{"locationName":"thumbnailInterval","type":"double"},"ThumbnailWidth":{"locationName":"thumbnailWidth","type":"integer"},"TileHeight":{"locationName":"tileHeight","type":"integer"},"TileWidth":{"locationName":"tileWidth","type":"integer"}}},"ManifestCompression":{"locationName":"manifestCompression"},"ManifestDurationFormat":{"locationName":"manifestDurationFormat"},"MinFinalSegmentLength":{"locationName":"minFinalSegmentLength","type":"double"},"MinSegmentLength":{"locationName":"minSegmentLength","type":"integer"},"OutputSelection":{"locationName":"outputSelection"},"ProgramDateTime":{"locationName":"programDateTime"},"ProgramDateTimePeriod":{"locationName":"programDateTimePeriod","type":"integer"},"SegmentControl":{"locationName":"segmentControl"},"SegmentLength":{"locationName":"segmentLength","type":"integer"},"SegmentLengthControl":{"locationName":"segmentLengthControl"},"SegmentsPerSubdirectory":{"locationName":"segmentsPerSubdirectory","type":"integer"},"StreamInfResolution":{"locationName":"streamInfResolution"},"TargetDurationCompatibilityMode":{"locationName":"targetDurationCompatibilityMode"},"TimedMetadataId3Frame":{"locationName":"timedMetadataId3Frame"},"TimedMetadataId3Period":{"locationName":"timedMetadataId3Period","type":"integer"},"TimestampDeltaMilliseconds":{"locationName":"timestampDeltaMilliseconds","type":"integer"}}},"MsSmoothGroupSettings":{"locationName":"msSmoothGroupSettings","type":"structure","members":{"AdditionalManifests":{"locationName":"additionalManifests","type":"list","member":{"type":"structure","members":{"ManifestNameModifier":{"locationName":"manifestNameModifier"},"SelectedOutputs":{"shape":"Sv","locationName":"selectedOutputs"}}}},"AudioDeduplication":{"locationName":"audioDeduplication"},"Destination":{"locationName":"destination"},"DestinationSettings":{"shape":"S49","locationName":"destinationSettings"},"Encryption":{"locationName":"encryption","type":"structure","members":{"SpekeKeyProvider":{"shape":"S5k","locationName":"spekeKeyProvider"}}},"FragmentLength":{"locationName":"fragmentLength","type":"integer"},"FragmentLengthControl":{"locationName":"fragmentLengthControl"},"ManifestEncoding":{"locationName":"manifestEncoding"}}},"Type":{"locationName":"type"}}},"Outputs":{"locationName":"outputs","type":"list","member":{"type":"structure","members":{"AudioDescriptions":{"shape":"S72","locationName":"audioDescriptions"},"CaptionDescriptions":{"locationName":"captionDescriptions","type":"list","member":{"type":"structure","members":{"CaptionSelectorName":{"locationName":"captionSelectorName"},"CustomLanguageCode":{"locationName":"customLanguageCode"},"DestinationSettings":{"shape":"S9k","locationName":"destinationSettings"},"LanguageCode":{"locationName":"languageCode"},"LanguageDescription":{"locationName":"languageDescription"}}}},"ContainerSettings":{"shape":"Sas","locationName":"containerSettings"},"Extension":{"locationName":"extension"},"NameModifier":{"locationName":"nameModifier"},"OutputSettings":{"locationName":"outputSettings","type":"structure","members":{"HlsSettings":{"locationName":"hlsSettings","type":"structure","members":{"AudioGroupId":{"locationName":"audioGroupId"},"AudioOnlyContainer":{"locationName":"audioOnlyContainer"},"AudioRenditionSets":{"locationName":"audioRenditionSets"},"AudioTrackType":{"locationName":"audioTrackType"},"DescriptiveVideoServiceFlag":{"locationName":"descriptiveVideoServiceFlag"},"IFrameOnlyManifest":{"locationName":"iFrameOnlyManifest"},"SegmentModifier":{"locationName":"segmentModifier"}}}}},"Preset":{"locationName":"preset"},"VideoDescription":{"shape":"Scw","locationName":"videoDescription"}}}}}}},"S49":{"type":"structure","members":{"S3Settings":{"locationName":"s3Settings","type":"structure","members":{"AccessControl":{"locationName":"accessControl","type":"structure","members":{"CannedAcl":{"locationName":"cannedAcl"}}},"Encryption":{"locationName":"encryption","type":"structure","members":{"EncryptionType":{"locationName":"encryptionType"},"KmsEncryptionContext":{"locationName":"kmsEncryptionContext"},"KmsKeyArn":{"locationName":"kmsKeyArn"}}}}}}},"S4n":{"type":"list","member":{}},"S4q":{"type":"structure","members":{"KeyFormat":{"locationName":"keyFormat"},"KeyFormatVersions":{"locationName":"keyFormatVersions"},"StaticKeyValue":{"locationName":"staticKeyValue"},"Url":{"locationName":"url"}}},"S5k":{"type":"structure","members":{"CertificateArn":{"locationName":"certificateArn"},"ResourceId":{"locationName":"resourceId"},"SystemIds":{"locationName":"systemIds","type":"list","member":{}},"Url":{"locationName":"url"}}},"S72":{"type":"list","member":{"type":"structure","members":{"AudioChannelTaggingSettings":{"locationName":"audioChannelTaggingSettings","type":"structure","members":{"ChannelTag":{"locationName":"channelTag"}}},"AudioNormalizationSettings":{"locationName":"audioNormalizationSettings","type":"structure","members":{"Algorithm":{"locationName":"algorithm"},"AlgorithmControl":{"locationName":"algorithmControl"},"CorrectionGateLevel":{"locationName":"correctionGateLevel","type":"integer"},"LoudnessLogging":{"locationName":"loudnessLogging"},"PeakCalculation":{"locationName":"peakCalculation"},"TargetLkfs":{"locationName":"targetLkfs","type":"double"}}},"AudioSourceName":{"locationName":"audioSourceName"},"AudioType":{"locationName":"audioType","type":"integer"},"AudioTypeControl":{"locationName":"audioTypeControl"},"CodecSettings":{"locationName":"codecSettings","type":"structure","members":{"AacSettings":{"locationName":"aacSettings","type":"structure","members":{"AudioDescriptionBroadcasterMix":{"locationName":"audioDescriptionBroadcasterMix"},"Bitrate":{"locationName":"bitrate","type":"integer"},"CodecProfile":{"locationName":"codecProfile"},"CodingMode":{"locationName":"codingMode"},"RateControlMode":{"locationName":"rateControlMode"},"RawFormat":{"locationName":"rawFormat"},"SampleRate":{"locationName":"sampleRate","type":"integer"},"Specification":{"locationName":"specification"},"VbrQuality":{"locationName":"vbrQuality"}}},"Ac3Settings":{"locationName":"ac3Settings","type":"structure","members":{"Bitrate":{"locationName":"bitrate","type":"integer"},"BitstreamMode":{"locationName":"bitstreamMode"},"CodingMode":{"locationName":"codingMode"},"Dialnorm":{"locationName":"dialnorm","type":"integer"},"DynamicRangeCompressionLine":{"locationName":"dynamicRangeCompressionLine"},"DynamicRangeCompressionProfile":{"locationName":"dynamicRangeCompressionProfile"},"DynamicRangeCompressionRf":{"locationName":"dynamicRangeCompressionRf"},"LfeFilter":{"locationName":"lfeFilter"},"MetadataControl":{"locationName":"metadataControl"},"SampleRate":{"locationName":"sampleRate","type":"integer"}}},"AiffSettings":{"locationName":"aiffSettings","type":"structure","members":{"BitDepth":{"locationName":"bitDepth","type":"integer"},"Channels":{"locationName":"channels","type":"integer"},"SampleRate":{"locationName":"sampleRate","type":"integer"}}},"Codec":{"locationName":"codec"},"Eac3AtmosSettings":{"locationName":"eac3AtmosSettings","type":"structure","members":{"Bitrate":{"locationName":"bitrate","type":"integer"},"BitstreamMode":{"locationName":"bitstreamMode"},"CodingMode":{"locationName":"codingMode"},"DialogueIntelligence":{"locationName":"dialogueIntelligence"},"DownmixControl":{"locationName":"downmixControl"},"DynamicRangeCompressionLine":{"locationName":"dynamicRangeCompressionLine"},"DynamicRangeCompressionRf":{"locationName":"dynamicRangeCompressionRf"},"DynamicRangeControl":{"locationName":"dynamicRangeControl"},"LoRoCenterMixLevel":{"locationName":"loRoCenterMixLevel","type":"double"},"LoRoSurroundMixLevel":{"locationName":"loRoSurroundMixLevel","type":"double"},"LtRtCenterMixLevel":{"locationName":"ltRtCenterMixLevel","type":"double"},"LtRtSurroundMixLevel":{"locationName":"ltRtSurroundMixLevel","type":"double"},"MeteringMode":{"locationName":"meteringMode"},"SampleRate":{"locationName":"sampleRate","type":"integer"},"SpeechThreshold":{"locationName":"speechThreshold","type":"integer"},"StereoDownmix":{"locationName":"stereoDownmix"},"SurroundExMode":{"locationName":"surroundExMode"}}},"Eac3Settings":{"locationName":"eac3Settings","type":"structure","members":{"AttenuationControl":{"locationName":"attenuationControl"},"Bitrate":{"locationName":"bitrate","type":"integer"},"BitstreamMode":{"locationName":"bitstreamMode"},"CodingMode":{"locationName":"codingMode"},"DcFilter":{"locationName":"dcFilter"},"Dialnorm":{"locationName":"dialnorm","type":"integer"},"DynamicRangeCompressionLine":{"locationName":"dynamicRangeCompressionLine"},"DynamicRangeCompressionRf":{"locationName":"dynamicRangeCompressionRf"},"LfeControl":{"locationName":"lfeControl"},"LfeFilter":{"locationName":"lfeFilter"},"LoRoCenterMixLevel":{"locationName":"loRoCenterMixLevel","type":"double"},"LoRoSurroundMixLevel":{"locationName":"loRoSurroundMixLevel","type":"double"},"LtRtCenterMixLevel":{"locationName":"ltRtCenterMixLevel","type":"double"},"LtRtSurroundMixLevel":{"locationName":"ltRtSurroundMixLevel","type":"double"},"MetadataControl":{"locationName":"metadataControl"},"PassthroughControl":{"locationName":"passthroughControl"},"PhaseControl":{"locationName":"phaseControl"},"SampleRate":{"locationName":"sampleRate","type":"integer"},"StereoDownmix":{"locationName":"stereoDownmix"},"SurroundExMode":{"locationName":"surroundExMode"},"SurroundMode":{"locationName":"surroundMode"}}},"Mp2Settings":{"locationName":"mp2Settings","type":"structure","members":{"Bitrate":{"locationName":"bitrate","type":"integer"},"Channels":{"locationName":"channels","type":"integer"},"SampleRate":{"locationName":"sampleRate","type":"integer"}}},"Mp3Settings":{"locationName":"mp3Settings","type":"structure","members":{"Bitrate":{"locationName":"bitrate","type":"integer"},"Channels":{"locationName":"channels","type":"integer"},"RateControlMode":{"locationName":"rateControlMode"},"SampleRate":{"locationName":"sampleRate","type":"integer"},"VbrQuality":{"locationName":"vbrQuality","type":"integer"}}},"OpusSettings":{"locationName":"opusSettings","type":"structure","members":{"Bitrate":{"locationName":"bitrate","type":"integer"},"Channels":{"locationName":"channels","type":"integer"},"SampleRate":{"locationName":"sampleRate","type":"integer"}}},"VorbisSettings":{"locationName":"vorbisSettings","type":"structure","members":{"Channels":{"locationName":"channels","type":"integer"},"SampleRate":{"locationName":"sampleRate","type":"integer"},"VbrQuality":{"locationName":"vbrQuality","type":"integer"}}},"WavSettings":{"locationName":"wavSettings","type":"structure","members":{"BitDepth":{"locationName":"bitDepth","type":"integer"},"Channels":{"locationName":"channels","type":"integer"},"Format":{"locationName":"format"},"SampleRate":{"locationName":"sampleRate","type":"integer"}}}}},"CustomLanguageCode":{"locationName":"customLanguageCode"},"LanguageCode":{"locationName":"languageCode"},"LanguageCodeControl":{"locationName":"languageCodeControl"},"RemixSettings":{"shape":"S18","locationName":"remixSettings"},"StreamName":{"locationName":"streamName"}}}},"S9k":{"type":"structure","members":{"BurninDestinationSettings":{"locationName":"burninDestinationSettings","type":"structure","members":{"Alignment":{"locationName":"alignment"},"ApplyFontColor":{"locationName":"applyFontColor"},"BackgroundColor":{"locationName":"backgroundColor"},"BackgroundOpacity":{"locationName":"backgroundOpacity","type":"integer"},"FallbackFont":{"locationName":"fallbackFont"},"FontColor":{"locationName":"fontColor"},"FontOpacity":{"locationName":"fontOpacity","type":"integer"},"FontResolution":{"locationName":"fontResolution","type":"integer"},"FontScript":{"locationName":"fontScript"},"FontSize":{"locationName":"fontSize","type":"integer"},"HexFontColor":{"locationName":"hexFontColor"},"OutlineColor":{"locationName":"outlineColor"},"OutlineSize":{"locationName":"outlineSize","type":"integer"},"ShadowColor":{"locationName":"shadowColor"},"ShadowOpacity":{"locationName":"shadowOpacity","type":"integer"},"ShadowXOffset":{"locationName":"shadowXOffset","type":"integer"},"ShadowYOffset":{"locationName":"shadowYOffset","type":"integer"},"StylePassthrough":{"locationName":"stylePassthrough"},"TeletextSpacing":{"locationName":"teletextSpacing"},"XPosition":{"locationName":"xPosition","type":"integer"},"YPosition":{"locationName":"yPosition","type":"integer"}}},"DestinationType":{"locationName":"destinationType"},"DvbSubDestinationSettings":{"locationName":"dvbSubDestinationSettings","type":"structure","members":{"Alignment":{"locationName":"alignment"},"ApplyFontColor":{"locationName":"applyFontColor"},"BackgroundColor":{"locationName":"backgroundColor"},"BackgroundOpacity":{"locationName":"backgroundOpacity","type":"integer"},"DdsHandling":{"locationName":"ddsHandling"},"DdsXCoordinate":{"locationName":"ddsXCoordinate","type":"integer"},"DdsYCoordinate":{"locationName":"ddsYCoordinate","type":"integer"},"FallbackFont":{"locationName":"fallbackFont"},"FontColor":{"locationName":"fontColor"},"FontOpacity":{"locationName":"fontOpacity","type":"integer"},"FontResolution":{"locationName":"fontResolution","type":"integer"},"FontScript":{"locationName":"fontScript"},"FontSize":{"locationName":"fontSize","type":"integer"},"Height":{"locationName":"height","type":"integer"},"HexFontColor":{"locationName":"hexFontColor"},"OutlineColor":{"locationName":"outlineColor"},"OutlineSize":{"locationName":"outlineSize","type":"integer"},"ShadowColor":{"locationName":"shadowColor"},"ShadowOpacity":{"locationName":"shadowOpacity","type":"integer"},"ShadowXOffset":{"locationName":"shadowXOffset","type":"integer"},"ShadowYOffset":{"locationName":"shadowYOffset","type":"integer"},"StylePassthrough":{"locationName":"stylePassthrough"},"SubtitlingType":{"locationName":"subtitlingType"},"TeletextSpacing":{"locationName":"teletextSpacing"},"Width":{"locationName":"width","type":"integer"},"XPosition":{"locationName":"xPosition","type":"integer"},"YPosition":{"locationName":"yPosition","type":"integer"}}},"EmbeddedDestinationSettings":{"locationName":"embeddedDestinationSettings","type":"structure","members":{"Destination608ChannelNumber":{"locationName":"destination608ChannelNumber","type":"integer"},"Destination708ServiceNumber":{"locationName":"destination708ServiceNumber","type":"integer"}}},"ImscDestinationSettings":{"locationName":"imscDestinationSettings","type":"structure","members":{"StylePassthrough":{"locationName":"stylePassthrough"}}},"SccDestinationSettings":{"locationName":"sccDestinationSettings","type":"structure","members":{"Framerate":{"locationName":"framerate"}}},"SrtDestinationSettings":{"locationName":"srtDestinationSettings","type":"structure","members":{"StylePassthrough":{"locationName":"stylePassthrough"}}},"TeletextDestinationSettings":{"locationName":"teletextDestinationSettings","type":"structure","members":{"PageNumber":{"locationName":"pageNumber"},"PageTypes":{"locationName":"pageTypes","type":"list","member":{}}}},"TtmlDestinationSettings":{"locationName":"ttmlDestinationSettings","type":"structure","members":{"StylePassthrough":{"locationName":"stylePassthrough"}}},"WebvttDestinationSettings":{"locationName":"webvttDestinationSettings","type":"structure","members":{"StylePassthrough":{"locationName":"stylePassthrough"}}}}},"Sas":{"type":"structure","members":{"CmfcSettings":{"locationName":"cmfcSettings","type":"structure","members":{"AudioDuration":{"locationName":"audioDuration"},"AudioGroupId":{"locationName":"audioGroupId"},"AudioRenditionSets":{"locationName":"audioRenditionSets"},"AudioTrackType":{"locationName":"audioTrackType"},"DescriptiveVideoServiceFlag":{"locationName":"descriptiveVideoServiceFlag"},"IFrameOnlyManifest":{"locationName":"iFrameOnlyManifest"},"Scte35Esam":{"locationName":"scte35Esam"},"Scte35Source":{"locationName":"scte35Source"}}},"Container":{"locationName":"container"},"F4vSettings":{"locationName":"f4vSettings","type":"structure","members":{"MoovPlacement":{"locationName":"moovPlacement"}}},"M2tsSettings":{"locationName":"m2tsSettings","type":"structure","members":{"AudioBufferModel":{"locationName":"audioBufferModel"},"AudioDuration":{"locationName":"audioDuration"},"AudioFramesPerPes":{"locationName":"audioFramesPerPes","type":"integer"},"AudioPids":{"shape":"Sb6","locationName":"audioPids"},"Bitrate":{"locationName":"bitrate","type":"integer"},"BufferModel":{"locationName":"bufferModel"},"DataPTSControl":{"locationName":"dataPTSControl"},"DvbNitSettings":{"locationName":"dvbNitSettings","type":"structure","members":{"NetworkId":{"locationName":"networkId","type":"integer"},"NetworkName":{"locationName":"networkName"},"NitInterval":{"locationName":"nitInterval","type":"integer"}}},"DvbSdtSettings":{"locationName":"dvbSdtSettings","type":"structure","members":{"OutputSdt":{"locationName":"outputSdt"},"SdtInterval":{"locationName":"sdtInterval","type":"integer"},"ServiceName":{"locationName":"serviceName"},"ServiceProviderName":{"locationName":"serviceProviderName"}}},"DvbSubPids":{"shape":"Sb6","locationName":"dvbSubPids"},"DvbTdtSettings":{"locationName":"dvbTdtSettings","type":"structure","members":{"TdtInterval":{"locationName":"tdtInterval","type":"integer"}}},"DvbTeletextPid":{"locationName":"dvbTeletextPid","type":"integer"},"EbpAudioInterval":{"locationName":"ebpAudioInterval"},"EbpPlacement":{"locationName":"ebpPlacement"},"EsRateInPes":{"locationName":"esRateInPes"},"ForceTsVideoEbpOrder":{"locationName":"forceTsVideoEbpOrder"},"FragmentTime":{"locationName":"fragmentTime","type":"double"},"MaxPcrInterval":{"locationName":"maxPcrInterval","type":"integer"},"MinEbpInterval":{"locationName":"minEbpInterval","type":"integer"},"NielsenId3":{"locationName":"nielsenId3"},"NullPacketBitrate":{"locationName":"nullPacketBitrate","type":"double"},"PatInterval":{"locationName":"patInterval","type":"integer"},"PcrControl":{"locationName":"pcrControl"},"PcrPid":{"locationName":"pcrPid","type":"integer"},"PmtInterval":{"locationName":"pmtInterval","type":"integer"},"PmtPid":{"locationName":"pmtPid","type":"integer"},"PrivateMetadataPid":{"locationName":"privateMetadataPid","type":"integer"},"ProgramNumber":{"locationName":"programNumber","type":"integer"},"RateMode":{"locationName":"rateMode"},"Scte35Esam":{"locationName":"scte35Esam","type":"structure","members":{"Scte35EsamPid":{"locationName":"scte35EsamPid","type":"integer"}}},"Scte35Pid":{"locationName":"scte35Pid","type":"integer"},"Scte35Source":{"locationName":"scte35Source"},"SegmentationMarkers":{"locationName":"segmentationMarkers"},"SegmentationStyle":{"locationName":"segmentationStyle"},"SegmentationTime":{"locationName":"segmentationTime","type":"double"},"TimedMetadataPid":{"locationName":"timedMetadataPid","type":"integer"},"TransportStreamId":{"locationName":"transportStreamId","type":"integer"},"VideoPid":{"locationName":"videoPid","type":"integer"}}},"M3u8Settings":{"locationName":"m3u8Settings","type":"structure","members":{"AudioDuration":{"locationName":"audioDuration"},"AudioFramesPerPes":{"locationName":"audioFramesPerPes","type":"integer"},"AudioPids":{"shape":"Sb6","locationName":"audioPids"},"DataPTSControl":{"locationName":"dataPTSControl"},"MaxPcrInterval":{"locationName":"maxPcrInterval","type":"integer"},"NielsenId3":{"locationName":"nielsenId3"},"PatInterval":{"locationName":"patInterval","type":"integer"},"PcrControl":{"locationName":"pcrControl"},"PcrPid":{"locationName":"pcrPid","type":"integer"},"PmtInterval":{"locationName":"pmtInterval","type":"integer"},"PmtPid":{"locationName":"pmtPid","type":"integer"},"PrivateMetadataPid":{"locationName":"privateMetadataPid","type":"integer"},"ProgramNumber":{"locationName":"programNumber","type":"integer"},"Scte35Pid":{"locationName":"scte35Pid","type":"integer"},"Scte35Source":{"locationName":"scte35Source"},"TimedMetadata":{"locationName":"timedMetadata"},"TimedMetadataPid":{"locationName":"timedMetadataPid","type":"integer"},"TransportStreamId":{"locationName":"transportStreamId","type":"integer"},"VideoPid":{"locationName":"videoPid","type":"integer"}}},"MovSettings":{"locationName":"movSettings","type":"structure","members":{"ClapAtom":{"locationName":"clapAtom"},"CslgAtom":{"locationName":"cslgAtom"},"Mpeg2FourCCControl":{"locationName":"mpeg2FourCCControl"},"PaddingControl":{"locationName":"paddingControl"},"Reference":{"locationName":"reference"}}},"Mp4Settings":{"locationName":"mp4Settings","type":"structure","members":{"AudioDuration":{"locationName":"audioDuration"},"CslgAtom":{"locationName":"cslgAtom"},"CttsVersion":{"locationName":"cttsVersion","type":"integer"},"FreeSpaceBox":{"locationName":"freeSpaceBox"},"MoovPlacement":{"locationName":"moovPlacement"},"Mp4MajorBrand":{"locationName":"mp4MajorBrand"}}},"MpdSettings":{"locationName":"mpdSettings","type":"structure","members":{"AccessibilityCaptionHints":{"locationName":"accessibilityCaptionHints"},"AudioDuration":{"locationName":"audioDuration"},"CaptionContainerType":{"locationName":"captionContainerType"},"Scte35Esam":{"locationName":"scte35Esam"},"Scte35Source":{"locationName":"scte35Source"}}},"MxfSettings":{"locationName":"mxfSettings","type":"structure","members":{"AfdSignaling":{"locationName":"afdSignaling"},"Profile":{"locationName":"profile"},"XavcProfileSettings":{"locationName":"xavcProfileSettings","type":"structure","members":{"DurationMode":{"locationName":"durationMode"},"MaxAncDataSize":{"locationName":"maxAncDataSize","type":"integer"}}}}}}},"Sb6":{"type":"list","member":{"type":"integer"}},"Scw":{"type":"structure","members":{"AfdSignaling":{"locationName":"afdSignaling"},"AntiAlias":{"locationName":"antiAlias"},"CodecSettings":{"locationName":"codecSettings","type":"structure","members":{"Av1Settings":{"locationName":"av1Settings","type":"structure","members":{"AdaptiveQuantization":{"locationName":"adaptiveQuantization"},"FramerateControl":{"locationName":"framerateControl"},"FramerateConversionAlgorithm":{"locationName":"framerateConversionAlgorithm"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"GopSize":{"locationName":"gopSize","type":"double"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"NumberBFramesBetweenReferenceFrames":{"locationName":"numberBFramesBetweenReferenceFrames","type":"integer"},"QvbrSettings":{"locationName":"qvbrSettings","type":"structure","members":{"QvbrQualityLevel":{"locationName":"qvbrQualityLevel","type":"integer"},"QvbrQualityLevelFineTune":{"locationName":"qvbrQualityLevelFineTune","type":"double"}}},"RateControlMode":{"locationName":"rateControlMode"},"Slices":{"locationName":"slices","type":"integer"},"SpatialAdaptiveQuantization":{"locationName":"spatialAdaptiveQuantization"}}},"AvcIntraSettings":{"locationName":"avcIntraSettings","type":"structure","members":{"AvcIntraClass":{"locationName":"avcIntraClass"},"AvcIntraUhdSettings":{"locationName":"avcIntraUhdSettings","type":"structure","members":{"QualityTuningLevel":{"locationName":"qualityTuningLevel"}}},"FramerateControl":{"locationName":"framerateControl"},"FramerateConversionAlgorithm":{"locationName":"framerateConversionAlgorithm"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"InterlaceMode":{"locationName":"interlaceMode"},"ScanTypeConversionMode":{"locationName":"scanTypeConversionMode"},"SlowPal":{"locationName":"slowPal"},"Telecine":{"locationName":"telecine"}}},"Codec":{"locationName":"codec"},"FrameCaptureSettings":{"locationName":"frameCaptureSettings","type":"structure","members":{"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"MaxCaptures":{"locationName":"maxCaptures","type":"integer"},"Quality":{"locationName":"quality","type":"integer"}}},"H264Settings":{"locationName":"h264Settings","type":"structure","members":{"AdaptiveQuantization":{"locationName":"adaptiveQuantization"},"Bitrate":{"locationName":"bitrate","type":"integer"},"CodecLevel":{"locationName":"codecLevel"},"CodecProfile":{"locationName":"codecProfile"},"DynamicSubGop":{"locationName":"dynamicSubGop"},"EntropyEncoding":{"locationName":"entropyEncoding"},"FieldEncoding":{"locationName":"fieldEncoding"},"FlickerAdaptiveQuantization":{"locationName":"flickerAdaptiveQuantization"},"FramerateControl":{"locationName":"framerateControl"},"FramerateConversionAlgorithm":{"locationName":"framerateConversionAlgorithm"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"GopBReference":{"locationName":"gopBReference"},"GopClosedCadence":{"locationName":"gopClosedCadence","type":"integer"},"GopSize":{"locationName":"gopSize","type":"double"},"GopSizeUnits":{"locationName":"gopSizeUnits"},"HrdBufferInitialFillPercentage":{"locationName":"hrdBufferInitialFillPercentage","type":"integer"},"HrdBufferSize":{"locationName":"hrdBufferSize","type":"integer"},"InterlaceMode":{"locationName":"interlaceMode"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"MinIInterval":{"locationName":"minIInterval","type":"integer"},"NumberBFramesBetweenReferenceFrames":{"locationName":"numberBFramesBetweenReferenceFrames","type":"integer"},"NumberReferenceFrames":{"locationName":"numberReferenceFrames","type":"integer"},"ParControl":{"locationName":"parControl"},"ParDenominator":{"locationName":"parDenominator","type":"integer"},"ParNumerator":{"locationName":"parNumerator","type":"integer"},"QualityTuningLevel":{"locationName":"qualityTuningLevel"},"QvbrSettings":{"locationName":"qvbrSettings","type":"structure","members":{"MaxAverageBitrate":{"locationName":"maxAverageBitrate","type":"integer"},"QvbrQualityLevel":{"locationName":"qvbrQualityLevel","type":"integer"},"QvbrQualityLevelFineTune":{"locationName":"qvbrQualityLevelFineTune","type":"double"}}},"RateControlMode":{"locationName":"rateControlMode"},"RepeatPps":{"locationName":"repeatPps"},"ScanTypeConversionMode":{"locationName":"scanTypeConversionMode"},"SceneChangeDetect":{"locationName":"sceneChangeDetect"},"Slices":{"locationName":"slices","type":"integer"},"SlowPal":{"locationName":"slowPal"},"Softness":{"locationName":"softness","type":"integer"},"SpatialAdaptiveQuantization":{"locationName":"spatialAdaptiveQuantization"},"Syntax":{"locationName":"syntax"},"Telecine":{"locationName":"telecine"},"TemporalAdaptiveQuantization":{"locationName":"temporalAdaptiveQuantization"},"UnregisteredSeiTimecode":{"locationName":"unregisteredSeiTimecode"}}},"H265Settings":{"locationName":"h265Settings","type":"structure","members":{"AdaptiveQuantization":{"locationName":"adaptiveQuantization"},"AlternateTransferFunctionSei":{"locationName":"alternateTransferFunctionSei"},"Bitrate":{"locationName":"bitrate","type":"integer"},"CodecLevel":{"locationName":"codecLevel"},"CodecProfile":{"locationName":"codecProfile"},"DynamicSubGop":{"locationName":"dynamicSubGop"},"FlickerAdaptiveQuantization":{"locationName":"flickerAdaptiveQuantization"},"FramerateControl":{"locationName":"framerateControl"},"FramerateConversionAlgorithm":{"locationName":"framerateConversionAlgorithm"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"GopBReference":{"locationName":"gopBReference"},"GopClosedCadence":{"locationName":"gopClosedCadence","type":"integer"},"GopSize":{"locationName":"gopSize","type":"double"},"GopSizeUnits":{"locationName":"gopSizeUnits"},"HrdBufferInitialFillPercentage":{"locationName":"hrdBufferInitialFillPercentage","type":"integer"},"HrdBufferSize":{"locationName":"hrdBufferSize","type":"integer"},"InterlaceMode":{"locationName":"interlaceMode"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"MinIInterval":{"locationName":"minIInterval","type":"integer"},"NumberBFramesBetweenReferenceFrames":{"locationName":"numberBFramesBetweenReferenceFrames","type":"integer"},"NumberReferenceFrames":{"locationName":"numberReferenceFrames","type":"integer"},"ParControl":{"locationName":"parControl"},"ParDenominator":{"locationName":"parDenominator","type":"integer"},"ParNumerator":{"locationName":"parNumerator","type":"integer"},"QualityTuningLevel":{"locationName":"qualityTuningLevel"},"QvbrSettings":{"locationName":"qvbrSettings","type":"structure","members":{"MaxAverageBitrate":{"locationName":"maxAverageBitrate","type":"integer"},"QvbrQualityLevel":{"locationName":"qvbrQualityLevel","type":"integer"},"QvbrQualityLevelFineTune":{"locationName":"qvbrQualityLevelFineTune","type":"double"}}},"RateControlMode":{"locationName":"rateControlMode"},"SampleAdaptiveOffsetFilterMode":{"locationName":"sampleAdaptiveOffsetFilterMode"},"ScanTypeConversionMode":{"locationName":"scanTypeConversionMode"},"SceneChangeDetect":{"locationName":"sceneChangeDetect"},"Slices":{"locationName":"slices","type":"integer"},"SlowPal":{"locationName":"slowPal"},"SpatialAdaptiveQuantization":{"locationName":"spatialAdaptiveQuantization"},"Telecine":{"locationName":"telecine"},"TemporalAdaptiveQuantization":{"locationName":"temporalAdaptiveQuantization"},"TemporalIds":{"locationName":"temporalIds"},"Tiles":{"locationName":"tiles"},"UnregisteredSeiTimecode":{"locationName":"unregisteredSeiTimecode"},"WriteMp4PackagingType":{"locationName":"writeMp4PackagingType"}}},"Mpeg2Settings":{"locationName":"mpeg2Settings","type":"structure","members":{"AdaptiveQuantization":{"locationName":"adaptiveQuantization"},"Bitrate":{"locationName":"bitrate","type":"integer"},"CodecLevel":{"locationName":"codecLevel"},"CodecProfile":{"locationName":"codecProfile"},"DynamicSubGop":{"locationName":"dynamicSubGop"},"FramerateControl":{"locationName":"framerateControl"},"FramerateConversionAlgorithm":{"locationName":"framerateConversionAlgorithm"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"GopClosedCadence":{"locationName":"gopClosedCadence","type":"integer"},"GopSize":{"locationName":"gopSize","type":"double"},"GopSizeUnits":{"locationName":"gopSizeUnits"},"HrdBufferInitialFillPercentage":{"locationName":"hrdBufferInitialFillPercentage","type":"integer"},"HrdBufferSize":{"locationName":"hrdBufferSize","type":"integer"},"InterlaceMode":{"locationName":"interlaceMode"},"IntraDcPrecision":{"locationName":"intraDcPrecision"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"MinIInterval":{"locationName":"minIInterval","type":"integer"},"NumberBFramesBetweenReferenceFrames":{"locationName":"numberBFramesBetweenReferenceFrames","type":"integer"},"ParControl":{"locationName":"parControl"},"ParDenominator":{"locationName":"parDenominator","type":"integer"},"ParNumerator":{"locationName":"parNumerator","type":"integer"},"QualityTuningLevel":{"locationName":"qualityTuningLevel"},"RateControlMode":{"locationName":"rateControlMode"},"ScanTypeConversionMode":{"locationName":"scanTypeConversionMode"},"SceneChangeDetect":{"locationName":"sceneChangeDetect"},"SlowPal":{"locationName":"slowPal"},"Softness":{"locationName":"softness","type":"integer"},"SpatialAdaptiveQuantization":{"locationName":"spatialAdaptiveQuantization"},"Syntax":{"locationName":"syntax"},"Telecine":{"locationName":"telecine"},"TemporalAdaptiveQuantization":{"locationName":"temporalAdaptiveQuantization"}}},"ProresSettings":{"locationName":"proresSettings","type":"structure","members":{"ChromaSampling":{"locationName":"chromaSampling"},"CodecProfile":{"locationName":"codecProfile"},"FramerateControl":{"locationName":"framerateControl"},"FramerateConversionAlgorithm":{"locationName":"framerateConversionAlgorithm"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"InterlaceMode":{"locationName":"interlaceMode"},"ParControl":{"locationName":"parControl"},"ParDenominator":{"locationName":"parDenominator","type":"integer"},"ParNumerator":{"locationName":"parNumerator","type":"integer"},"ScanTypeConversionMode":{"locationName":"scanTypeConversionMode"},"SlowPal":{"locationName":"slowPal"},"Telecine":{"locationName":"telecine"}}},"Vc3Settings":{"locationName":"vc3Settings","type":"structure","members":{"FramerateControl":{"locationName":"framerateControl"},"FramerateConversionAlgorithm":{"locationName":"framerateConversionAlgorithm"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"InterlaceMode":{"locationName":"interlaceMode"},"ScanTypeConversionMode":{"locationName":"scanTypeConversionMode"},"SlowPal":{"locationName":"slowPal"},"Telecine":{"locationName":"telecine"},"Vc3Class":{"locationName":"vc3Class"}}},"Vp8Settings":{"locationName":"vp8Settings","type":"structure","members":{"Bitrate":{"locationName":"bitrate","type":"integer"},"FramerateControl":{"locationName":"framerateControl"},"FramerateConversionAlgorithm":{"locationName":"framerateConversionAlgorithm"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"GopSize":{"locationName":"gopSize","type":"double"},"HrdBufferSize":{"locationName":"hrdBufferSize","type":"integer"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"ParControl":{"locationName":"parControl"},"ParDenominator":{"locationName":"parDenominator","type":"integer"},"ParNumerator":{"locationName":"parNumerator","type":"integer"},"QualityTuningLevel":{"locationName":"qualityTuningLevel"},"RateControlMode":{"locationName":"rateControlMode"}}},"Vp9Settings":{"locationName":"vp9Settings","type":"structure","members":{"Bitrate":{"locationName":"bitrate","type":"integer"},"FramerateControl":{"locationName":"framerateControl"},"FramerateConversionAlgorithm":{"locationName":"framerateConversionAlgorithm"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"GopSize":{"locationName":"gopSize","type":"double"},"HrdBufferSize":{"locationName":"hrdBufferSize","type":"integer"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"ParControl":{"locationName":"parControl"},"ParDenominator":{"locationName":"parDenominator","type":"integer"},"ParNumerator":{"locationName":"parNumerator","type":"integer"},"QualityTuningLevel":{"locationName":"qualityTuningLevel"},"RateControlMode":{"locationName":"rateControlMode"}}},"XavcSettings":{"locationName":"xavcSettings","type":"structure","members":{"AdaptiveQuantization":{"locationName":"adaptiveQuantization"},"EntropyEncoding":{"locationName":"entropyEncoding"},"FramerateControl":{"locationName":"framerateControl"},"FramerateConversionAlgorithm":{"locationName":"framerateConversionAlgorithm"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"Profile":{"locationName":"profile"},"SlowPal":{"locationName":"slowPal"},"Softness":{"locationName":"softness","type":"integer"},"SpatialAdaptiveQuantization":{"locationName":"spatialAdaptiveQuantization"},"TemporalAdaptiveQuantization":{"locationName":"temporalAdaptiveQuantization"},"Xavc4kIntraCbgProfileSettings":{"locationName":"xavc4kIntraCbgProfileSettings","type":"structure","members":{"XavcClass":{"locationName":"xavcClass"}}},"Xavc4kIntraVbrProfileSettings":{"locationName":"xavc4kIntraVbrProfileSettings","type":"structure","members":{"XavcClass":{"locationName":"xavcClass"}}},"Xavc4kProfileSettings":{"locationName":"xavc4kProfileSettings","type":"structure","members":{"BitrateClass":{"locationName":"bitrateClass"},"CodecProfile":{"locationName":"codecProfile"},"FlickerAdaptiveQuantization":{"locationName":"flickerAdaptiveQuantization"},"GopBReference":{"locationName":"gopBReference"},"GopClosedCadence":{"locationName":"gopClosedCadence","type":"integer"},"HrdBufferSize":{"locationName":"hrdBufferSize","type":"integer"},"QualityTuningLevel":{"locationName":"qualityTuningLevel"},"Slices":{"locationName":"slices","type":"integer"}}},"XavcHdIntraCbgProfileSettings":{"locationName":"xavcHdIntraCbgProfileSettings","type":"structure","members":{"XavcClass":{"locationName":"xavcClass"}}},"XavcHdProfileSettings":{"locationName":"xavcHdProfileSettings","type":"structure","members":{"BitrateClass":{"locationName":"bitrateClass"},"FlickerAdaptiveQuantization":{"locationName":"flickerAdaptiveQuantization"},"GopBReference":{"locationName":"gopBReference"},"GopClosedCadence":{"locationName":"gopClosedCadence","type":"integer"},"HrdBufferSize":{"locationName":"hrdBufferSize","type":"integer"},"InterlaceMode":{"locationName":"interlaceMode"},"QualityTuningLevel":{"locationName":"qualityTuningLevel"},"Slices":{"locationName":"slices","type":"integer"},"Telecine":{"locationName":"telecine"}}}}}}},"ColorMetadata":{"locationName":"colorMetadata"},"Crop":{"shape":"S26","locationName":"crop"},"DropFrameTimecode":{"locationName":"dropFrameTimecode"},"FixedAfd":{"locationName":"fixedAfd","type":"integer"},"Height":{"locationName":"height","type":"integer"},"Position":{"shape":"S26","locationName":"position"},"RespondToAfd":{"locationName":"respondToAfd"},"ScalingBehavior":{"locationName":"scalingBehavior"},"Sharpness":{"locationName":"sharpness","type":"integer"},"TimecodeInsertion":{"locationName":"timecodeInsertion"},"VideoPreprocessors":{"locationName":"videoPreprocessors","type":"structure","members":{"ColorCorrector":{"locationName":"colorCorrector","type":"structure","members":{"Brightness":{"locationName":"brightness","type":"integer"},"ColorSpaceConversion":{"locationName":"colorSpaceConversion"},"Contrast":{"locationName":"contrast","type":"integer"},"Hdr10Metadata":{"shape":"S33","locationName":"hdr10Metadata"},"Hue":{"locationName":"hue","type":"integer"},"SampleRangeConversion":{"locationName":"sampleRangeConversion"},"Saturation":{"locationName":"saturation","type":"integer"}}},"Deinterlacer":{"locationName":"deinterlacer","type":"structure","members":{"Algorithm":{"locationName":"algorithm"},"Control":{"locationName":"control"},"Mode":{"locationName":"mode"}}},"DolbyVision":{"locationName":"dolbyVision","type":"structure","members":{"L6Metadata":{"locationName":"l6Metadata","type":"structure","members":{"MaxCll":{"locationName":"maxCll","type":"integer"},"MaxFall":{"locationName":"maxFall","type":"integer"}}},"L6Mode":{"locationName":"l6Mode"},"Profile":{"locationName":"profile"}}},"Hdr10Plus":{"locationName":"hdr10Plus","type":"structure","members":{"MasteringMonitorNits":{"locationName":"masteringMonitorNits","type":"integer"},"TargetMonitorNits":{"locationName":"targetMonitorNits","type":"integer"}}},"ImageInserter":{"shape":"S2j","locationName":"imageInserter"},"NoiseReducer":{"locationName":"noiseReducer","type":"structure","members":{"Filter":{"locationName":"filter"},"FilterSettings":{"locationName":"filterSettings","type":"structure","members":{"Strength":{"locationName":"strength","type":"integer"}}},"SpatialFilterSettings":{"locationName":"spatialFilterSettings","type":"structure","members":{"PostFilterSharpenStrength":{"locationName":"postFilterSharpenStrength","type":"integer"},"Speed":{"locationName":"speed","type":"integer"},"Strength":{"locationName":"strength","type":"integer"}}},"TemporalFilterSettings":{"locationName":"temporalFilterSettings","type":"structure","members":{"AggressiveMode":{"locationName":"aggressiveMode","type":"integer"},"PostTemporalSharpening":{"locationName":"postTemporalSharpening"},"Speed":{"locationName":"speed","type":"integer"},"Strength":{"locationName":"strength","type":"integer"}}}}},"PartnerWatermarking":{"locationName":"partnerWatermarking","type":"structure","members":{"NexguardFileMarkerSettings":{"locationName":"nexguardFileMarkerSettings","type":"structure","members":{"License":{"locationName":"license"},"Payload":{"locationName":"payload","type":"integer"},"Preset":{"locationName":"preset"},"Strength":{"locationName":"strength"}}}}},"TimecodeBurnin":{"locationName":"timecodeBurnin","type":"structure","members":{"FontSize":{"locationName":"fontSize","type":"integer"},"Position":{"locationName":"position"},"Prefix":{"locationName":"prefix"}}}}},"Width":{"locationName":"width","type":"integer"}}},"Sit":{"type":"structure","members":{"Anchor":{"locationName":"anchor"},"Source":{"locationName":"source"},"Start":{"locationName":"start"},"TimestampOffset":{"locationName":"timestampOffset"}}},"Siw":{"type":"structure","members":{"Id3Insertions":{"locationName":"id3Insertions","type":"list","member":{"type":"structure","members":{"Id3":{"locationName":"id3"},"Timecode":{"locationName":"timecode"}}}}}},"Sj1":{"type":"map","key":{},"value":{}},"Sj3":{"type":"structure","members":{"AccelerationSettings":{"shape":"S7","locationName":"accelerationSettings"},"AccelerationStatus":{"locationName":"accelerationStatus"},"Arn":{"locationName":"arn"},"BillingTagsSource":{"locationName":"billingTagsSource"},"CreatedAt":{"shape":"Sj5","locationName":"createdAt"},"CurrentPhase":{"locationName":"currentPhase"},"ErrorCode":{"locationName":"errorCode","type":"integer"},"ErrorMessage":{"locationName":"errorMessage"},"HopDestinations":{"shape":"Sa","locationName":"hopDestinations"},"Id":{"locationName":"id"},"JobPercentComplete":{"locationName":"jobPercentComplete","type":"integer"},"JobTemplate":{"locationName":"jobTemplate"},"Messages":{"locationName":"messages","type":"structure","members":{"Info":{"shape":"Sj8","locationName":"info"},"Warning":{"shape":"Sj8","locationName":"warning"}}},"OutputGroupDetails":{"locationName":"outputGroupDetails","type":"list","member":{"type":"structure","members":{"OutputDetails":{"locationName":"outputDetails","type":"list","member":{"type":"structure","members":{"DurationInMs":{"locationName":"durationInMs","type":"integer"},"VideoDetails":{"locationName":"videoDetails","type":"structure","members":{"HeightInPx":{"locationName":"heightInPx","type":"integer"},"WidthInPx":{"locationName":"widthInPx","type":"integer"}}}}}}}}},"Priority":{"locationName":"priority","type":"integer"},"Queue":{"locationName":"queue"},"QueueTransitions":{"locationName":"queueTransitions","type":"list","member":{"type":"structure","members":{"DestinationQueue":{"locationName":"destinationQueue"},"SourceQueue":{"locationName":"sourceQueue"},"Timestamp":{"shape":"Sj5","locationName":"timestamp"}}}},"RetryCount":{"locationName":"retryCount","type":"integer"},"Role":{"locationName":"role"},"Settings":{"shape":"Se","locationName":"settings"},"SimulateReservedQueue":{"locationName":"simulateReservedQueue"},"Status":{"locationName":"status"},"StatusUpdateInterval":{"locationName":"statusUpdateInterval"},"Timing":{"locationName":"timing","type":"structure","members":{"FinishTime":{"shape":"Sj5","locationName":"finishTime"},"StartTime":{"shape":"Sj5","locationName":"startTime"},"SubmitTime":{"shape":"Sj5","locationName":"submitTime"}}},"UserMetadata":{"shape":"Sj1","locationName":"userMetadata"}},"required":["Role","Settings"]},"Sj5":{"type":"timestamp","timestampFormat":"unixTimestamp"},"Sj8":{"type":"list","member":{}},"Sjj":{"type":"structure","members":{"AdAvailOffset":{"locationName":"adAvailOffset","type":"integer"},"AvailBlanking":{"shape":"Sg","locationName":"availBlanking"},"Esam":{"shape":"Si","locationName":"esam"},"ExtendedDataServices":{"shape":"So","locationName":"extendedDataServices"},"Inputs":{"locationName":"inputs","type":"list","member":{"type":"structure","members":{"AudioSelectorGroups":{"shape":"St","locationName":"audioSelectorGroups"},"AudioSelectors":{"shape":"Sx","locationName":"audioSelectors"},"CaptionSelectors":{"shape":"S1i","locationName":"captionSelectors"},"Crop":{"shape":"S26","locationName":"crop"},"DeblockFilter":{"locationName":"deblockFilter"},"DenoiseFilter":{"locationName":"denoiseFilter"},"FilterEnable":{"locationName":"filterEnable"},"FilterStrength":{"locationName":"filterStrength","type":"integer"},"ImageInserter":{"shape":"S2j","locationName":"imageInserter"},"InputClippings":{"shape":"S2q","locationName":"inputClippings"},"InputScanType":{"locationName":"inputScanType"},"Position":{"shape":"S26","locationName":"position"},"ProgramNumber":{"locationName":"programNumber","type":"integer"},"PsiControl":{"locationName":"psiControl"},"TimecodeSource":{"locationName":"timecodeSource"},"TimecodeStart":{"locationName":"timecodeStart"},"VideoSelector":{"shape":"S2z","locationName":"videoSelector"}}}},"KantarWatermark":{"shape":"S38","locationName":"kantarWatermark"},"MotionImageInserter":{"shape":"S3g","locationName":"motionImageInserter"},"NielsenConfiguration":{"shape":"S3o","locationName":"nielsenConfiguration"},"NielsenNonLinearWatermark":{"shape":"S3q","locationName":"nielsenNonLinearWatermark"},"OutputGroups":{"shape":"S3x","locationName":"outputGroups"},"TimecodeConfig":{"shape":"Sit","locationName":"timecodeConfig"},"TimedMetadataInsertion":{"shape":"Siw","locationName":"timedMetadataInsertion"}}},"Sjn":{"type":"structure","members":{"AccelerationSettings":{"shape":"S7","locationName":"accelerationSettings"},"Arn":{"locationName":"arn"},"Category":{"locationName":"category"},"CreatedAt":{"shape":"Sj5","locationName":"createdAt"},"Description":{"locationName":"description"},"HopDestinations":{"shape":"Sa","locationName":"hopDestinations"},"LastUpdated":{"shape":"Sj5","locationName":"lastUpdated"},"Name":{"locationName":"name"},"Priority":{"locationName":"priority","type":"integer"},"Queue":{"locationName":"queue"},"Settings":{"shape":"Sjj","locationName":"settings"},"StatusUpdateInterval":{"locationName":"statusUpdateInterval"},"Type":{"locationName":"type"}},"required":["Settings","Name"]},"Sjq":{"type":"structure","members":{"AudioDescriptions":{"shape":"S72","locationName":"audioDescriptions"},"CaptionDescriptions":{"locationName":"captionDescriptions","type":"list","member":{"type":"structure","members":{"CustomLanguageCode":{"locationName":"customLanguageCode"},"DestinationSettings":{"shape":"S9k","locationName":"destinationSettings"},"LanguageCode":{"locationName":"languageCode"},"LanguageDescription":{"locationName":"languageDescription"}}}},"ContainerSettings":{"shape":"Sas","locationName":"containerSettings"},"VideoDescription":{"shape":"Scw","locationName":"videoDescription"}}},"Sju":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Category":{"locationName":"category"},"CreatedAt":{"shape":"Sj5","locationName":"createdAt"},"Description":{"locationName":"description"},"LastUpdated":{"shape":"Sj5","locationName":"lastUpdated"},"Name":{"locationName":"name"},"Settings":{"shape":"Sjq","locationName":"settings"},"Type":{"locationName":"type"}},"required":["Settings","Name"]},"Sjx":{"type":"structure","members":{"Commitment":{"locationName":"commitment"},"RenewalType":{"locationName":"renewalType"},"ReservedSlots":{"locationName":"reservedSlots","type":"integer"}},"required":["Commitment","ReservedSlots","RenewalType"]},"Sk2":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CreatedAt":{"shape":"Sj5","locationName":"createdAt"},"Description":{"locationName":"description"},"LastUpdated":{"shape":"Sj5","locationName":"lastUpdated"},"Name":{"locationName":"name"},"PricingPlan":{"locationName":"pricingPlan"},"ProgressingJobsCount":{"locationName":"progressingJobsCount","type":"integer"},"ReservationPlan":{"locationName":"reservationPlan","type":"structure","members":{"Commitment":{"locationName":"commitment"},"ExpiresAt":{"shape":"Sj5","locationName":"expiresAt"},"PurchasedAt":{"shape":"Sj5","locationName":"purchasedAt"},"RenewalType":{"locationName":"renewalType"},"ReservedSlots":{"locationName":"reservedSlots","type":"integer"},"Status":{"locationName":"status"}}},"Status":{"locationName":"status"},"SubmittedJobsCount":{"locationName":"submittedJobsCount","type":"integer"},"Type":{"locationName":"type"}},"required":["Name"]},"Skq":{"type":"structure","members":{"HttpInputs":{"locationName":"httpInputs"},"HttpsInputs":{"locationName":"httpsInputs"},"S3Inputs":{"locationName":"s3Inputs"}}}}}');

/***/ }),

/***/ 14179:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeEndpoints":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Endpoints"},"ListJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Jobs"},"ListPresets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Presets"},"ListJobTemplates":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"JobTemplates"},"ListQueues":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Queues"}}}');

/***/ }),

/***/ 32326:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2017-10-14","endpointPrefix":"medialive","signingName":"medialive","serviceFullName":"AWS Elemental MediaLive","serviceId":"MediaLive","protocol":"rest-json","uid":"medialive-2017-10-14","signatureVersion":"v4","serviceAbbreviation":"MediaLive","jsonVersion":"1.1"},"operations":{"AcceptInputDeviceTransfer":{"http":{"requestUri":"/prod/inputDevices/{inputDeviceId}/accept","responseCode":200},"input":{"type":"structure","members":{"InputDeviceId":{"location":"uri","locationName":"inputDeviceId"}},"required":["InputDeviceId"]},"output":{"type":"structure","members":{}}},"BatchDelete":{"http":{"requestUri":"/prod/batch/delete","responseCode":200},"input":{"type":"structure","members":{"ChannelIds":{"shape":"S5","locationName":"channelIds"},"InputIds":{"shape":"S5","locationName":"inputIds"},"InputSecurityGroupIds":{"shape":"S5","locationName":"inputSecurityGroupIds"},"MultiplexIds":{"shape":"S5","locationName":"multiplexIds"}}},"output":{"type":"structure","members":{"Failed":{"shape":"S7","locationName":"failed"},"Successful":{"shape":"S9","locationName":"successful"}}}},"BatchStart":{"http":{"requestUri":"/prod/batch/start","responseCode":200},"input":{"type":"structure","members":{"ChannelIds":{"shape":"S5","locationName":"channelIds"},"MultiplexIds":{"shape":"S5","locationName":"multiplexIds"}}},"output":{"type":"structure","members":{"Failed":{"shape":"S7","locationName":"failed"},"Successful":{"shape":"S9","locationName":"successful"}}}},"BatchStop":{"http":{"requestUri":"/prod/batch/stop","responseCode":200},"input":{"type":"structure","members":{"ChannelIds":{"shape":"S5","locationName":"channelIds"},"MultiplexIds":{"shape":"S5","locationName":"multiplexIds"}}},"output":{"type":"structure","members":{"Failed":{"shape":"S7","locationName":"failed"},"Successful":{"shape":"S9","locationName":"successful"}}}},"BatchUpdateSchedule":{"http":{"method":"PUT","requestUri":"/prod/channels/{channelId}/schedule","responseCode":200},"input":{"type":"structure","members":{"ChannelId":{"location":"uri","locationName":"channelId"},"Creates":{"locationName":"creates","type":"structure","members":{"ScheduleActions":{"shape":"Sh","locationName":"scheduleActions"}},"required":["ScheduleActions"]},"Deletes":{"locationName":"deletes","type":"structure","members":{"ActionNames":{"shape":"S5","locationName":"actionNames"}},"required":["ActionNames"]}},"required":["ChannelId"]},"output":{"type":"structure","members":{"Creates":{"locationName":"creates","type":"structure","members":{"ScheduleActions":{"shape":"Sh","locationName":"scheduleActions"}},"required":["ScheduleActions"]},"Deletes":{"locationName":"deletes","type":"structure","members":{"ScheduleActions":{"shape":"Sh","locationName":"scheduleActions"}},"required":["ScheduleActions"]}}}},"CancelInputDeviceTransfer":{"http":{"requestUri":"/prod/inputDevices/{inputDeviceId}/cancel","responseCode":200},"input":{"type":"structure","members":{"InputDeviceId":{"location":"uri","locationName":"inputDeviceId"}},"required":["InputDeviceId"]},"output":{"type":"structure","members":{}}},"ClaimDevice":{"http":{"requestUri":"/prod/claimDevice","responseCode":200},"input":{"type":"structure","members":{"Id":{"locationName":"id"}}},"output":{"type":"structure","members":{}}},"CreateChannel":{"http":{"requestUri":"/prod/channels","responseCode":201},"input":{"type":"structure","members":{"CdiInputSpecification":{"shape":"S22","locationName":"cdiInputSpecification"},"ChannelClass":{"locationName":"channelClass"},"Destinations":{"shape":"S25","locationName":"destinations"},"EncoderSettings":{"shape":"S2d","locationName":"encoderSettings"},"InputAttachments":{"shape":"Sci","locationName":"inputAttachments"},"InputSpecification":{"shape":"Se5","locationName":"inputSpecification"},"LogLevel":{"locationName":"logLevel"},"Name":{"locationName":"name"},"RequestId":{"locationName":"requestId","idempotencyToken":true},"Reserved":{"locationName":"reserved","deprecated":true},"RoleArn":{"locationName":"roleArn"},"Tags":{"shape":"Sea","locationName":"tags"},"Vpc":{"locationName":"vpc","type":"structure","members":{"PublicAddressAllocationIds":{"shape":"S5","locationName":"publicAddressAllocationIds"},"SecurityGroupIds":{"shape":"S5","locationName":"securityGroupIds"},"SubnetIds":{"shape":"S5","locationName":"subnetIds"}},"required":["SubnetIds"]}}},"output":{"type":"structure","members":{"Channel":{"shape":"Sed","locationName":"channel"}}}},"CreateInput":{"http":{"requestUri":"/prod/inputs","responseCode":201},"input":{"type":"structure","members":{"Destinations":{"shape":"Sel","locationName":"destinations"},"InputDevices":{"shape":"Sen","locationName":"inputDevices"},"InputSecurityGroups":{"shape":"S5","locationName":"inputSecurityGroups"},"MediaConnectFlows":{"shape":"Sep","locationName":"mediaConnectFlows"},"Name":{"locationName":"name"},"RequestId":{"locationName":"requestId","idempotencyToken":true},"RoleArn":{"locationName":"roleArn"},"Sources":{"shape":"Ser","locationName":"sources"},"Tags":{"shape":"Sea","locationName":"tags"},"Type":{"locationName":"type"},"Vpc":{"locationName":"vpc","type":"structure","members":{"SecurityGroupIds":{"shape":"S5","locationName":"securityGroupIds"},"SubnetIds":{"shape":"S5","locationName":"subnetIds"}},"required":["SubnetIds"]}}},"output":{"type":"structure","members":{"Input":{"shape":"Sew","locationName":"input"}}}},"CreateInputSecurityGroup":{"http":{"requestUri":"/prod/inputSecurityGroups","responseCode":200},"input":{"type":"structure","members":{"Tags":{"shape":"Sea","locationName":"tags"},"WhitelistRules":{"shape":"Sf8","locationName":"whitelistRules"}}},"output":{"type":"structure","members":{"SecurityGroup":{"shape":"Sfb","locationName":"securityGroup"}}}},"CreateMultiplex":{"http":{"requestUri":"/prod/multiplexes","responseCode":201},"input":{"type":"structure","members":{"AvailabilityZones":{"shape":"S5","locationName":"availabilityZones"},"MultiplexSettings":{"shape":"Sfg","locationName":"multiplexSettings"},"Name":{"locationName":"name"},"RequestId":{"locationName":"requestId","idempotencyToken":true},"Tags":{"shape":"Sea","locationName":"tags"}},"required":["RequestId","MultiplexSettings","AvailabilityZones","Name"]},"output":{"type":"structure","members":{"Multiplex":{"shape":"Sfl","locationName":"multiplex"}}}},"CreateMultiplexProgram":{"http":{"requestUri":"/prod/multiplexes/{multiplexId}/programs","responseCode":201},"input":{"type":"structure","members":{"MultiplexId":{"location":"uri","locationName":"multiplexId"},"MultiplexProgramSettings":{"shape":"Sfr","locationName":"multiplexProgramSettings"},"ProgramName":{"locationName":"programName"},"RequestId":{"locationName":"requestId","idempotencyToken":true}},"required":["MultiplexId","RequestId","MultiplexProgramSettings","ProgramName"]},"output":{"type":"structure","members":{"MultiplexProgram":{"shape":"Sg0","locationName":"multiplexProgram"}}}},"CreatePartnerInput":{"http":{"requestUri":"/prod/inputs/{inputId}/partners","responseCode":201},"input":{"type":"structure","members":{"InputId":{"location":"uri","locationName":"inputId"},"RequestId":{"locationName":"requestId","idempotencyToken":true},"Tags":{"shape":"Sea","locationName":"tags"}},"required":["InputId"]},"output":{"type":"structure","members":{"Input":{"shape":"Sew","locationName":"input"}}}},"CreateTags":{"http":{"requestUri":"/prod/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"Tags":{"shape":"Sea","locationName":"tags"}},"required":["ResourceArn"]}},"DeleteChannel":{"http":{"method":"DELETE","requestUri":"/prod/channels/{channelId}","responseCode":200},"input":{"type":"structure","members":{"ChannelId":{"location":"uri","locationName":"channelId"}},"required":["ChannelId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CdiInputSpecification":{"shape":"S22","locationName":"cdiInputSpecification"},"ChannelClass":{"locationName":"channelClass"},"Destinations":{"shape":"S25","locationName":"destinations"},"EgressEndpoints":{"shape":"See","locationName":"egressEndpoints"},"EncoderSettings":{"shape":"S2d","locationName":"encoderSettings"},"Id":{"locationName":"id"},"InputAttachments":{"shape":"Sci","locationName":"inputAttachments"},"InputSpecification":{"shape":"Se5","locationName":"inputSpecification"},"LogLevel":{"locationName":"logLevel"},"Name":{"locationName":"name"},"PipelineDetails":{"shape":"Seg","locationName":"pipelineDetails"},"PipelinesRunningCount":{"locationName":"pipelinesRunningCount","type":"integer"},"RoleArn":{"locationName":"roleArn"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"Vpc":{"shape":"Sej","locationName":"vpc"}}}},"DeleteInput":{"http":{"method":"DELETE","requestUri":"/prod/inputs/{inputId}","responseCode":200},"input":{"type":"structure","members":{"InputId":{"location":"uri","locationName":"inputId"}},"required":["InputId"]},"output":{"type":"structure","members":{}}},"DeleteInputSecurityGroup":{"http":{"method":"DELETE","requestUri":"/prod/inputSecurityGroups/{inputSecurityGroupId}","responseCode":200},"input":{"type":"structure","members":{"InputSecurityGroupId":{"location":"uri","locationName":"inputSecurityGroupId"}},"required":["InputSecurityGroupId"]},"output":{"type":"structure","members":{}}},"DeleteMultiplex":{"http":{"method":"DELETE","requestUri":"/prod/multiplexes/{multiplexId}","responseCode":202},"input":{"type":"structure","members":{"MultiplexId":{"location":"uri","locationName":"multiplexId"}},"required":["MultiplexId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"AvailabilityZones":{"shape":"S5","locationName":"availabilityZones"},"Destinations":{"shape":"Sfm","locationName":"destinations"},"Id":{"locationName":"id"},"MultiplexSettings":{"shape":"Sfg","locationName":"multiplexSettings"},"Name":{"locationName":"name"},"PipelinesRunningCount":{"locationName":"pipelinesRunningCount","type":"integer"},"ProgramCount":{"locationName":"programCount","type":"integer"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"}}}},"DeleteMultiplexProgram":{"http":{"method":"DELETE","requestUri":"/prod/multiplexes/{multiplexId}/programs/{programName}","responseCode":200},"input":{"type":"structure","members":{"MultiplexId":{"location":"uri","locationName":"multiplexId"},"ProgramName":{"location":"uri","locationName":"programName"}},"required":["MultiplexId","ProgramName"]},"output":{"type":"structure","members":{"ChannelId":{"locationName":"channelId"},"MultiplexProgramSettings":{"shape":"Sfr","locationName":"multiplexProgramSettings"},"PacketIdentifiersMap":{"shape":"Sg1","locationName":"packetIdentifiersMap"},"PipelineDetails":{"shape":"Sg3","locationName":"pipelineDetails"},"ProgramName":{"locationName":"programName"}}}},"DeleteReservation":{"http":{"method":"DELETE","requestUri":"/prod/reservations/{reservationId}","responseCode":200},"input":{"type":"structure","members":{"ReservationId":{"location":"uri","locationName":"reservationId"}},"required":["ReservationId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Count":{"locationName":"count","type":"integer"},"CurrencyCode":{"locationName":"currencyCode"},"Duration":{"locationName":"duration","type":"integer"},"DurationUnits":{"locationName":"durationUnits"},"End":{"locationName":"end"},"FixedPrice":{"locationName":"fixedPrice","type":"double"},"Name":{"locationName":"name"},"OfferingDescription":{"locationName":"offeringDescription"},"OfferingId":{"locationName":"offeringId"},"OfferingType":{"locationName":"offeringType"},"Region":{"locationName":"region"},"ReservationId":{"locationName":"reservationId"},"ResourceSpecification":{"shape":"Sgm","locationName":"resourceSpecification"},"Start":{"locationName":"start"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"UsagePrice":{"locationName":"usagePrice","type":"double"}}}},"DeleteSchedule":{"http":{"method":"DELETE","requestUri":"/prod/channels/{channelId}/schedule","responseCode":200},"input":{"type":"structure","members":{"ChannelId":{"location":"uri","locationName":"channelId"}},"required":["ChannelId"]},"output":{"type":"structure","members":{}}},"DeleteTags":{"http":{"method":"DELETE","requestUri":"/prod/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"TagKeys":{"shape":"S5","location":"querystring","locationName":"tagKeys"}},"required":["TagKeys","ResourceArn"]}},"DescribeChannel":{"http":{"method":"GET","requestUri":"/prod/channels/{channelId}","responseCode":200},"input":{"type":"structure","members":{"ChannelId":{"location":"uri","locationName":"channelId"}},"required":["ChannelId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CdiInputSpecification":{"shape":"S22","locationName":"cdiInputSpecification"},"ChannelClass":{"locationName":"channelClass"},"Destinations":{"shape":"S25","locationName":"destinations"},"EgressEndpoints":{"shape":"See","locationName":"egressEndpoints"},"EncoderSettings":{"shape":"S2d","locationName":"encoderSettings"},"Id":{"locationName":"id"},"InputAttachments":{"shape":"Sci","locationName":"inputAttachments"},"InputSpecification":{"shape":"Se5","locationName":"inputSpecification"},"LogLevel":{"locationName":"logLevel"},"Name":{"locationName":"name"},"PipelineDetails":{"shape":"Seg","locationName":"pipelineDetails"},"PipelinesRunningCount":{"locationName":"pipelinesRunningCount","type":"integer"},"RoleArn":{"locationName":"roleArn"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"Vpc":{"shape":"Sej","locationName":"vpc"}}}},"DescribeInput":{"http":{"method":"GET","requestUri":"/prod/inputs/{inputId}","responseCode":200},"input":{"type":"structure","members":{"InputId":{"location":"uri","locationName":"inputId"}},"required":["InputId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"AttachedChannels":{"shape":"S5","locationName":"attachedChannels"},"Destinations":{"shape":"Sex","locationName":"destinations"},"Id":{"locationName":"id"},"InputClass":{"locationName":"inputClass"},"InputDevices":{"shape":"Sen","locationName":"inputDevices"},"InputPartnerIds":{"shape":"S5","locationName":"inputPartnerIds"},"InputSourceType":{"locationName":"inputSourceType"},"MediaConnectFlows":{"shape":"Sf2","locationName":"mediaConnectFlows"},"Name":{"locationName":"name"},"RoleArn":{"locationName":"roleArn"},"SecurityGroups":{"shape":"S5","locationName":"securityGroups"},"Sources":{"shape":"Sf4","locationName":"sources"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"Type":{"locationName":"type"}}}},"DescribeInputDevice":{"http":{"method":"GET","requestUri":"/prod/inputDevices/{inputDeviceId}","responseCode":200},"input":{"type":"structure","members":{"InputDeviceId":{"location":"uri","locationName":"inputDeviceId"}},"required":["InputDeviceId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"ConnectionState":{"locationName":"connectionState"},"DeviceSettingsSyncState":{"locationName":"deviceSettingsSyncState"},"DeviceUpdateStatus":{"locationName":"deviceUpdateStatus"},"HdDeviceSettings":{"shape":"Sh7","locationName":"hdDeviceSettings"},"Id":{"locationName":"id"},"MacAddress":{"locationName":"macAddress"},"Name":{"locationName":"name"},"NetworkSettings":{"shape":"Shc","locationName":"networkSettings"},"SerialNumber":{"locationName":"serialNumber"},"Type":{"locationName":"type"},"UhdDeviceSettings":{"shape":"Shf","locationName":"uhdDeviceSettings"}}}},"DescribeInputDeviceThumbnail":{"http":{"method":"GET","requestUri":"/prod/inputDevices/{inputDeviceId}/thumbnailData","responseCode":200},"input":{"type":"structure","members":{"InputDeviceId":{"location":"uri","locationName":"inputDeviceId"},"Accept":{"location":"header","locationName":"accept"}},"required":["InputDeviceId","Accept"]},"output":{"type":"structure","members":{"Body":{"locationName":"body","type":"blob","streaming":true},"ContentType":{"location":"header","locationName":"Content-Type"},"ContentLength":{"location":"header","locationName":"Content-Length","type":"long"},"ETag":{"location":"header","locationName":"ETag"},"LastModified":{"location":"header","locationName":"Last-Modified","type":"timestamp"}},"payload":"Body"}},"DescribeInputSecurityGroup":{"http":{"method":"GET","requestUri":"/prod/inputSecurityGroups/{inputSecurityGroupId}","responseCode":200},"input":{"type":"structure","members":{"InputSecurityGroupId":{"location":"uri","locationName":"inputSecurityGroupId"}},"required":["InputSecurityGroupId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Id":{"locationName":"id"},"Inputs":{"shape":"S5","locationName":"inputs"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"WhitelistRules":{"shape":"Sfd","locationName":"whitelistRules"}}}},"DescribeMultiplex":{"http":{"method":"GET","requestUri":"/prod/multiplexes/{multiplexId}","responseCode":200},"input":{"type":"structure","members":{"MultiplexId":{"location":"uri","locationName":"multiplexId"}},"required":["MultiplexId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"AvailabilityZones":{"shape":"S5","locationName":"availabilityZones"},"Destinations":{"shape":"Sfm","locationName":"destinations"},"Id":{"locationName":"id"},"MultiplexSettings":{"shape":"Sfg","locationName":"multiplexSettings"},"Name":{"locationName":"name"},"PipelinesRunningCount":{"locationName":"pipelinesRunningCount","type":"integer"},"ProgramCount":{"locationName":"programCount","type":"integer"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"}}}},"DescribeMultiplexProgram":{"http":{"method":"GET","requestUri":"/prod/multiplexes/{multiplexId}/programs/{programName}","responseCode":200},"input":{"type":"structure","members":{"MultiplexId":{"location":"uri","locationName":"multiplexId"},"ProgramName":{"location":"uri","locationName":"programName"}},"required":["MultiplexId","ProgramName"]},"output":{"type":"structure","members":{"ChannelId":{"locationName":"channelId"},"MultiplexProgramSettings":{"shape":"Sfr","locationName":"multiplexProgramSettings"},"PacketIdentifiersMap":{"shape":"Sg1","locationName":"packetIdentifiersMap"},"PipelineDetails":{"shape":"Sg3","locationName":"pipelineDetails"},"ProgramName":{"locationName":"programName"}}}},"DescribeOffering":{"http":{"method":"GET","requestUri":"/prod/offerings/{offeringId}","responseCode":200},"input":{"type":"structure","members":{"OfferingId":{"location":"uri","locationName":"offeringId"}},"required":["OfferingId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CurrencyCode":{"locationName":"currencyCode"},"Duration":{"locationName":"duration","type":"integer"},"DurationUnits":{"locationName":"durationUnits"},"FixedPrice":{"locationName":"fixedPrice","type":"double"},"OfferingDescription":{"locationName":"offeringDescription"},"OfferingId":{"locationName":"offeringId"},"OfferingType":{"locationName":"offeringType"},"Region":{"locationName":"region"},"ResourceSpecification":{"shape":"Sgm","locationName":"resourceSpecification"},"UsagePrice":{"locationName":"usagePrice","type":"double"}}}},"DescribeReservation":{"http":{"method":"GET","requestUri":"/prod/reservations/{reservationId}","responseCode":200},"input":{"type":"structure","members":{"ReservationId":{"location":"uri","locationName":"reservationId"}},"required":["ReservationId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Count":{"locationName":"count","type":"integer"},"CurrencyCode":{"locationName":"currencyCode"},"Duration":{"locationName":"duration","type":"integer"},"DurationUnits":{"locationName":"durationUnits"},"End":{"locationName":"end"},"FixedPrice":{"locationName":"fixedPrice","type":"double"},"Name":{"locationName":"name"},"OfferingDescription":{"locationName":"offeringDescription"},"OfferingId":{"locationName":"offeringId"},"OfferingType":{"locationName":"offeringType"},"Region":{"locationName":"region"},"ReservationId":{"locationName":"reservationId"},"ResourceSpecification":{"shape":"Sgm","locationName":"resourceSpecification"},"Start":{"locationName":"start"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"UsagePrice":{"locationName":"usagePrice","type":"double"}}}},"DescribeSchedule":{"http":{"method":"GET","requestUri":"/prod/channels/{channelId}/schedule","responseCode":200},"input":{"type":"structure","members":{"ChannelId":{"location":"uri","locationName":"channelId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ChannelId"]},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"ScheduleActions":{"shape":"Sh","locationName":"scheduleActions"}}}},"ListChannels":{"http":{"method":"GET","requestUri":"/prod/channels","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Channels":{"locationName":"channels","type":"list","member":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CdiInputSpecification":{"shape":"S22","locationName":"cdiInputSpecification"},"ChannelClass":{"locationName":"channelClass"},"Destinations":{"shape":"S25","locationName":"destinations"},"EgressEndpoints":{"shape":"See","locationName":"egressEndpoints"},"Id":{"locationName":"id"},"InputAttachments":{"shape":"Sci","locationName":"inputAttachments"},"InputSpecification":{"shape":"Se5","locationName":"inputSpecification"},"LogLevel":{"locationName":"logLevel"},"Name":{"locationName":"name"},"PipelinesRunningCount":{"locationName":"pipelinesRunningCount","type":"integer"},"RoleArn":{"locationName":"roleArn"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"Vpc":{"shape":"Sej","locationName":"vpc"}}}},"NextToken":{"locationName":"nextToken"}}}},"ListInputDeviceTransfers":{"http":{"method":"GET","requestUri":"/prod/inputDeviceTransfers","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"TransferType":{"location":"querystring","locationName":"transferType"}},"required":["TransferType"]},"output":{"type":"structure","members":{"InputDeviceTransfers":{"locationName":"inputDeviceTransfers","type":"list","member":{"type":"structure","members":{"Id":{"locationName":"id"},"Message":{"locationName":"message"},"TargetCustomerId":{"locationName":"targetCustomerId"},"TransferType":{"locationName":"transferType"}}}},"NextToken":{"locationName":"nextToken"}}}},"ListInputDevices":{"http":{"method":"GET","requestUri":"/prod/inputDevices","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"InputDevices":{"locationName":"inputDevices","type":"list","member":{"type":"structure","members":{"Arn":{"locationName":"arn"},"ConnectionState":{"locationName":"connectionState"},"DeviceSettingsSyncState":{"locationName":"deviceSettingsSyncState"},"DeviceUpdateStatus":{"locationName":"deviceUpdateStatus"},"HdDeviceSettings":{"shape":"Sh7","locationName":"hdDeviceSettings"},"Id":{"locationName":"id"},"MacAddress":{"locationName":"macAddress"},"Name":{"locationName":"name"},"NetworkSettings":{"shape":"Shc","locationName":"networkSettings"},"SerialNumber":{"locationName":"serialNumber"},"Type":{"locationName":"type"},"UhdDeviceSettings":{"shape":"Shf","locationName":"uhdDeviceSettings"}}}},"NextToken":{"locationName":"nextToken"}}}},"ListInputSecurityGroups":{"http":{"method":"GET","requestUri":"/prod/inputSecurityGroups","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"InputSecurityGroups":{"locationName":"inputSecurityGroups","type":"list","member":{"shape":"Sfb"}},"NextToken":{"locationName":"nextToken"}}}},"ListInputs":{"http":{"method":"GET","requestUri":"/prod/inputs","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Inputs":{"locationName":"inputs","type":"list","member":{"shape":"Sew"}},"NextToken":{"locationName":"nextToken"}}}},"ListMultiplexPrograms":{"http":{"method":"GET","requestUri":"/prod/multiplexes/{multiplexId}/programs","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"MultiplexId":{"location":"uri","locationName":"multiplexId"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["MultiplexId"]},"output":{"type":"structure","members":{"MultiplexPrograms":{"locationName":"multiplexPrograms","type":"list","member":{"type":"structure","members":{"ChannelId":{"locationName":"channelId"},"ProgramName":{"locationName":"programName"}}}},"NextToken":{"locationName":"nextToken"}}}},"ListMultiplexes":{"http":{"method":"GET","requestUri":"/prod/multiplexes","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Multiplexes":{"locationName":"multiplexes","type":"list","member":{"type":"structure","members":{"Arn":{"locationName":"arn"},"AvailabilityZones":{"shape":"S5","locationName":"availabilityZones"},"Id":{"locationName":"id"},"MultiplexSettings":{"locationName":"multiplexSettings","type":"structure","members":{"TransportStreamBitrate":{"locationName":"transportStreamBitrate","type":"integer"}}},"Name":{"locationName":"name"},"PipelinesRunningCount":{"locationName":"pipelinesRunningCount","type":"integer"},"ProgramCount":{"locationName":"programCount","type":"integer"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"}}}},"NextToken":{"locationName":"nextToken"}}}},"ListOfferings":{"http":{"method":"GET","requestUri":"/prod/offerings","responseCode":200},"input":{"type":"structure","members":{"ChannelClass":{"location":"querystring","locationName":"channelClass"},"ChannelConfiguration":{"location":"querystring","locationName":"channelConfiguration"},"Codec":{"location":"querystring","locationName":"codec"},"Duration":{"location":"querystring","locationName":"duration"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"MaximumBitrate":{"location":"querystring","locationName":"maximumBitrate"},"MaximumFramerate":{"location":"querystring","locationName":"maximumFramerate"},"NextToken":{"location":"querystring","locationName":"nextToken"},"Resolution":{"location":"querystring","locationName":"resolution"},"ResourceType":{"location":"querystring","locationName":"resourceType"},"SpecialFeature":{"location":"querystring","locationName":"specialFeature"},"VideoQuality":{"location":"querystring","locationName":"videoQuality"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Offerings":{"locationName":"offerings","type":"list","member":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CurrencyCode":{"locationName":"currencyCode"},"Duration":{"locationName":"duration","type":"integer"},"DurationUnits":{"locationName":"durationUnits"},"FixedPrice":{"locationName":"fixedPrice","type":"double"},"OfferingDescription":{"locationName":"offeringDescription"},"OfferingId":{"locationName":"offeringId"},"OfferingType":{"locationName":"offeringType"},"Region":{"locationName":"region"},"ResourceSpecification":{"shape":"Sgm","locationName":"resourceSpecification"},"UsagePrice":{"locationName":"usagePrice","type":"double"}}}}}}},"ListReservations":{"http":{"method":"GET","requestUri":"/prod/reservations","responseCode":200},"input":{"type":"structure","members":{"ChannelClass":{"location":"querystring","locationName":"channelClass"},"Codec":{"location":"querystring","locationName":"codec"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"MaximumBitrate":{"location":"querystring","locationName":"maximumBitrate"},"MaximumFramerate":{"location":"querystring","locationName":"maximumFramerate"},"NextToken":{"location":"querystring","locationName":"nextToken"},"Resolution":{"location":"querystring","locationName":"resolution"},"ResourceType":{"location":"querystring","locationName":"resourceType"},"SpecialFeature":{"location":"querystring","locationName":"specialFeature"},"VideoQuality":{"location":"querystring","locationName":"videoQuality"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Reservations":{"locationName":"reservations","type":"list","member":{"shape":"Siz"}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/prod/tags/{resource-arn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{"Tags":{"shape":"Sea","locationName":"tags"}}}},"PurchaseOffering":{"http":{"requestUri":"/prod/offerings/{offeringId}/purchase","responseCode":201},"input":{"type":"structure","members":{"Count":{"locationName":"count","type":"integer"},"Name":{"locationName":"name"},"OfferingId":{"location":"uri","locationName":"offeringId"},"RequestId":{"locationName":"requestId","idempotencyToken":true},"Start":{"locationName":"start"},"Tags":{"shape":"Sea","locationName":"tags"}},"required":["OfferingId","Count"]},"output":{"type":"structure","members":{"Reservation":{"shape":"Siz","locationName":"reservation"}}}},"RejectInputDeviceTransfer":{"http":{"requestUri":"/prod/inputDevices/{inputDeviceId}/reject","responseCode":200},"input":{"type":"structure","members":{"InputDeviceId":{"location":"uri","locationName":"inputDeviceId"}},"required":["InputDeviceId"]},"output":{"type":"structure","members":{}}},"StartChannel":{"http":{"requestUri":"/prod/channels/{channelId}/start","responseCode":200},"input":{"type":"structure","members":{"ChannelId":{"location":"uri","locationName":"channelId"}},"required":["ChannelId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CdiInputSpecification":{"shape":"S22","locationName":"cdiInputSpecification"},"ChannelClass":{"locationName":"channelClass"},"Destinations":{"shape":"S25","locationName":"destinations"},"EgressEndpoints":{"shape":"See","locationName":"egressEndpoints"},"EncoderSettings":{"shape":"S2d","locationName":"encoderSettings"},"Id":{"locationName":"id"},"InputAttachments":{"shape":"Sci","locationName":"inputAttachments"},"InputSpecification":{"shape":"Se5","locationName":"inputSpecification"},"LogLevel":{"locationName":"logLevel"},"Name":{"locationName":"name"},"PipelineDetails":{"shape":"Seg","locationName":"pipelineDetails"},"PipelinesRunningCount":{"locationName":"pipelinesRunningCount","type":"integer"},"RoleArn":{"locationName":"roleArn"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"Vpc":{"shape":"Sej","locationName":"vpc"}}}},"StartMultiplex":{"http":{"requestUri":"/prod/multiplexes/{multiplexId}/start","responseCode":202},"input":{"type":"structure","members":{"MultiplexId":{"location":"uri","locationName":"multiplexId"}},"required":["MultiplexId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"AvailabilityZones":{"shape":"S5","locationName":"availabilityZones"},"Destinations":{"shape":"Sfm","locationName":"destinations"},"Id":{"locationName":"id"},"MultiplexSettings":{"shape":"Sfg","locationName":"multiplexSettings"},"Name":{"locationName":"name"},"PipelinesRunningCount":{"locationName":"pipelinesRunningCount","type":"integer"},"ProgramCount":{"locationName":"programCount","type":"integer"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"}}}},"StopChannel":{"http":{"requestUri":"/prod/channels/{channelId}/stop","responseCode":200},"input":{"type":"structure","members":{"ChannelId":{"location":"uri","locationName":"channelId"}},"required":["ChannelId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CdiInputSpecification":{"shape":"S22","locationName":"cdiInputSpecification"},"ChannelClass":{"locationName":"channelClass"},"Destinations":{"shape":"S25","locationName":"destinations"},"EgressEndpoints":{"shape":"See","locationName":"egressEndpoints"},"EncoderSettings":{"shape":"S2d","locationName":"encoderSettings"},"Id":{"locationName":"id"},"InputAttachments":{"shape":"Sci","locationName":"inputAttachments"},"InputSpecification":{"shape":"Se5","locationName":"inputSpecification"},"LogLevel":{"locationName":"logLevel"},"Name":{"locationName":"name"},"PipelineDetails":{"shape":"Seg","locationName":"pipelineDetails"},"PipelinesRunningCount":{"locationName":"pipelinesRunningCount","type":"integer"},"RoleArn":{"locationName":"roleArn"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"Vpc":{"shape":"Sej","locationName":"vpc"}}}},"StopMultiplex":{"http":{"requestUri":"/prod/multiplexes/{multiplexId}/stop","responseCode":202},"input":{"type":"structure","members":{"MultiplexId":{"location":"uri","locationName":"multiplexId"}},"required":["MultiplexId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"AvailabilityZones":{"shape":"S5","locationName":"availabilityZones"},"Destinations":{"shape":"Sfm","locationName":"destinations"},"Id":{"locationName":"id"},"MultiplexSettings":{"shape":"Sfg","locationName":"multiplexSettings"},"Name":{"locationName":"name"},"PipelinesRunningCount":{"locationName":"pipelinesRunningCount","type":"integer"},"ProgramCount":{"locationName":"programCount","type":"integer"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"}}}},"TransferInputDevice":{"http":{"requestUri":"/prod/inputDevices/{inputDeviceId}/transfer","responseCode":200},"input":{"type":"structure","members":{"InputDeviceId":{"location":"uri","locationName":"inputDeviceId"},"TargetCustomerId":{"locationName":"targetCustomerId"},"TargetRegion":{"locationName":"targetRegion"},"TransferMessage":{"locationName":"transferMessage"}},"required":["InputDeviceId"]},"output":{"type":"structure","members":{}}},"UpdateChannel":{"http":{"method":"PUT","requestUri":"/prod/channels/{channelId}","responseCode":200},"input":{"type":"structure","members":{"CdiInputSpecification":{"shape":"S22","locationName":"cdiInputSpecification"},"ChannelId":{"location":"uri","locationName":"channelId"},"Destinations":{"shape":"S25","locationName":"destinations"},"EncoderSettings":{"shape":"S2d","locationName":"encoderSettings"},"InputAttachments":{"shape":"Sci","locationName":"inputAttachments"},"InputSpecification":{"shape":"Se5","locationName":"inputSpecification"},"LogLevel":{"locationName":"logLevel"},"Name":{"locationName":"name"},"RoleArn":{"locationName":"roleArn"}},"required":["ChannelId"]},"output":{"type":"structure","members":{"Channel":{"shape":"Sed","locationName":"channel"}}}},"UpdateChannelClass":{"http":{"method":"PUT","requestUri":"/prod/channels/{channelId}/channelClass","responseCode":200},"input":{"type":"structure","members":{"ChannelClass":{"locationName":"channelClass"},"ChannelId":{"location":"uri","locationName":"channelId"},"Destinations":{"shape":"S25","locationName":"destinations"}},"required":["ChannelId","ChannelClass"]},"output":{"type":"structure","members":{"Channel":{"shape":"Sed","locationName":"channel"}}}},"UpdateInput":{"http":{"method":"PUT","requestUri":"/prod/inputs/{inputId}","responseCode":200},"input":{"type":"structure","members":{"Destinations":{"shape":"Sel","locationName":"destinations"},"InputDevices":{"locationName":"inputDevices","type":"list","member":{"type":"structure","members":{"Id":{"locationName":"id"}}}},"InputId":{"location":"uri","locationName":"inputId"},"InputSecurityGroups":{"shape":"S5","locationName":"inputSecurityGroups"},"MediaConnectFlows":{"shape":"Sep","locationName":"mediaConnectFlows"},"Name":{"locationName":"name"},"RoleArn":{"locationName":"roleArn"},"Sources":{"shape":"Ser","locationName":"sources"}},"required":["InputId"]},"output":{"type":"structure","members":{"Input":{"shape":"Sew","locationName":"input"}}}},"UpdateInputDevice":{"http":{"method":"PUT","requestUri":"/prod/inputDevices/{inputDeviceId}","responseCode":200},"input":{"type":"structure","members":{"HdDeviceSettings":{"shape":"Sjp","locationName":"hdDeviceSettings"},"InputDeviceId":{"location":"uri","locationName":"inputDeviceId"},"Name":{"locationName":"name"},"UhdDeviceSettings":{"shape":"Sjp","locationName":"uhdDeviceSettings"}},"required":["InputDeviceId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"ConnectionState":{"locationName":"connectionState"},"DeviceSettingsSyncState":{"locationName":"deviceSettingsSyncState"},"DeviceUpdateStatus":{"locationName":"deviceUpdateStatus"},"HdDeviceSettings":{"shape":"Sh7","locationName":"hdDeviceSettings"},"Id":{"locationName":"id"},"MacAddress":{"locationName":"macAddress"},"Name":{"locationName":"name"},"NetworkSettings":{"shape":"Shc","locationName":"networkSettings"},"SerialNumber":{"locationName":"serialNumber"},"Type":{"locationName":"type"},"UhdDeviceSettings":{"shape":"Shf","locationName":"uhdDeviceSettings"}}}},"UpdateInputSecurityGroup":{"http":{"method":"PUT","requestUri":"/prod/inputSecurityGroups/{inputSecurityGroupId}","responseCode":200},"input":{"type":"structure","members":{"InputSecurityGroupId":{"location":"uri","locationName":"inputSecurityGroupId"},"Tags":{"shape":"Sea","locationName":"tags"},"WhitelistRules":{"shape":"Sf8","locationName":"whitelistRules"}},"required":["InputSecurityGroupId"]},"output":{"type":"structure","members":{"SecurityGroup":{"shape":"Sfb","locationName":"securityGroup"}}}},"UpdateMultiplex":{"http":{"method":"PUT","requestUri":"/prod/multiplexes/{multiplexId}","responseCode":200},"input":{"type":"structure","members":{"MultiplexId":{"location":"uri","locationName":"multiplexId"},"MultiplexSettings":{"shape":"Sfg","locationName":"multiplexSettings"},"Name":{"locationName":"name"}},"required":["MultiplexId"]},"output":{"type":"structure","members":{"Multiplex":{"shape":"Sfl","locationName":"multiplex"}}}},"UpdateMultiplexProgram":{"http":{"method":"PUT","requestUri":"/prod/multiplexes/{multiplexId}/programs/{programName}","responseCode":200},"input":{"type":"structure","members":{"MultiplexId":{"location":"uri","locationName":"multiplexId"},"MultiplexProgramSettings":{"shape":"Sfr","locationName":"multiplexProgramSettings"},"ProgramName":{"location":"uri","locationName":"programName"}},"required":["MultiplexId","ProgramName"]},"output":{"type":"structure","members":{"MultiplexProgram":{"shape":"Sg0","locationName":"multiplexProgram"}}}},"UpdateReservation":{"http":{"method":"PUT","requestUri":"/prod/reservations/{reservationId}","responseCode":200},"input":{"type":"structure","members":{"Name":{"locationName":"name"},"ReservationId":{"location":"uri","locationName":"reservationId"}},"required":["ReservationId"]},"output":{"type":"structure","members":{"Reservation":{"shape":"Siz","locationName":"reservation"}}}}},"shapes":{"S5":{"type":"list","member":{}},"S7":{"type":"list","member":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Code":{"locationName":"code"},"Id":{"locationName":"id"},"Message":{"locationName":"message"}}}},"S9":{"type":"list","member":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Id":{"locationName":"id"},"State":{"locationName":"state"}}}},"Sh":{"type":"list","member":{"type":"structure","members":{"ActionName":{"locationName":"actionName"},"ScheduleActionSettings":{"locationName":"scheduleActionSettings","type":"structure","members":{"HlsId3SegmentTaggingSettings":{"locationName":"hlsId3SegmentTaggingSettings","type":"structure","members":{"Tag":{"locationName":"tag"}},"required":["Tag"]},"HlsTimedMetadataSettings":{"locationName":"hlsTimedMetadataSettings","type":"structure","members":{"Id3":{"locationName":"id3"}},"required":["Id3"]},"InputPrepareSettings":{"locationName":"inputPrepareSettings","type":"structure","members":{"InputAttachmentNameReference":{"locationName":"inputAttachmentNameReference"},"InputClippingSettings":{"shape":"Sn","locationName":"inputClippingSettings"},"UrlPath":{"shape":"S5","locationName":"urlPath"}}},"InputSwitchSettings":{"locationName":"inputSwitchSettings","type":"structure","members":{"InputAttachmentNameReference":{"locationName":"inputAttachmentNameReference"},"InputClippingSettings":{"shape":"Sn","locationName":"inputClippingSettings"},"UrlPath":{"shape":"S5","locationName":"urlPath"}},"required":["InputAttachmentNameReference"]},"MotionGraphicsImageActivateSettings":{"locationName":"motionGraphicsImageActivateSettings","type":"structure","members":{"Duration":{"locationName":"duration","type":"long"},"PasswordParam":{"locationName":"passwordParam"},"Url":{"locationName":"url"},"Username":{"locationName":"username"}}},"MotionGraphicsImageDeactivateSettings":{"locationName":"motionGraphicsImageDeactivateSettings","type":"structure","members":{}},"PauseStateSettings":{"locationName":"pauseStateSettings","type":"structure","members":{"Pipelines":{"locationName":"pipelines","type":"list","member":{"type":"structure","members":{"PipelineId":{"locationName":"pipelineId"}},"required":["PipelineId"]}}}},"Scte35ReturnToNetworkSettings":{"locationName":"scte35ReturnToNetworkSettings","type":"structure","members":{"SpliceEventId":{"locationName":"spliceEventId","type":"long"}},"required":["SpliceEventId"]},"Scte35SpliceInsertSettings":{"locationName":"scte35SpliceInsertSettings","type":"structure","members":{"Duration":{"locationName":"duration","type":"long"},"SpliceEventId":{"locationName":"spliceEventId","type":"long"}},"required":["SpliceEventId"]},"Scte35TimeSignalSettings":{"locationName":"scte35TimeSignalSettings","type":"structure","members":{"Scte35Descriptors":{"locationName":"scte35Descriptors","type":"list","member":{"type":"structure","members":{"Scte35DescriptorSettings":{"locationName":"scte35DescriptorSettings","type":"structure","members":{"SegmentationDescriptorScte35DescriptorSettings":{"locationName":"segmentationDescriptorScte35DescriptorSettings","type":"structure","members":{"DeliveryRestrictions":{"locationName":"deliveryRestrictions","type":"structure","members":{"ArchiveAllowedFlag":{"locationName":"archiveAllowedFlag"},"DeviceRestrictions":{"locationName":"deviceRestrictions"},"NoRegionalBlackoutFlag":{"locationName":"noRegionalBlackoutFlag"},"WebDeliveryAllowedFlag":{"locationName":"webDeliveryAllowedFlag"}},"required":["DeviceRestrictions","ArchiveAllowedFlag","WebDeliveryAllowedFlag","NoRegionalBlackoutFlag"]},"SegmentNum":{"locationName":"segmentNum","type":"integer"},"SegmentationCancelIndicator":{"locationName":"segmentationCancelIndicator"},"SegmentationDuration":{"locationName":"segmentationDuration","type":"long"},"SegmentationEventId":{"locationName":"segmentationEventId","type":"long"},"SegmentationTypeId":{"locationName":"segmentationTypeId","type":"integer"},"SegmentationUpid":{"locationName":"segmentationUpid"},"SegmentationUpidType":{"locationName":"segmentationUpidType","type":"integer"},"SegmentsExpected":{"locationName":"segmentsExpected","type":"integer"},"SubSegmentNum":{"locationName":"subSegmentNum","type":"integer"},"SubSegmentsExpected":{"locationName":"subSegmentsExpected","type":"integer"}},"required":["SegmentationEventId","SegmentationCancelIndicator"]}},"required":["SegmentationDescriptorScte35DescriptorSettings"]}},"required":["Scte35DescriptorSettings"]}}},"required":["Scte35Descriptors"]},"StaticImageActivateSettings":{"locationName":"staticImageActivateSettings","type":"structure","members":{"Duration":{"locationName":"duration","type":"integer"},"FadeIn":{"locationName":"fadeIn","type":"integer"},"FadeOut":{"locationName":"fadeOut","type":"integer"},"Height":{"locationName":"height","type":"integer"},"Image":{"shape":"S1k","locationName":"image"},"ImageX":{"locationName":"imageX","type":"integer"},"ImageY":{"locationName":"imageY","type":"integer"},"Layer":{"locationName":"layer","type":"integer"},"Opacity":{"locationName":"opacity","type":"integer"},"Width":{"locationName":"width","type":"integer"}},"required":["Image"]},"StaticImageDeactivateSettings":{"locationName":"staticImageDeactivateSettings","type":"structure","members":{"FadeOut":{"locationName":"fadeOut","type":"integer"},"Layer":{"locationName":"layer","type":"integer"}}}}},"ScheduleActionStartSettings":{"locationName":"scheduleActionStartSettings","type":"structure","members":{"FixedModeScheduleActionStartSettings":{"locationName":"fixedModeScheduleActionStartSettings","type":"structure","members":{"Time":{"locationName":"time"}},"required":["Time"]},"FollowModeScheduleActionStartSettings":{"locationName":"followModeScheduleActionStartSettings","type":"structure","members":{"FollowPoint":{"locationName":"followPoint"},"ReferenceActionName":{"locationName":"referenceActionName"}},"required":["ReferenceActionName","FollowPoint"]},"ImmediateModeScheduleActionStartSettings":{"locationName":"immediateModeScheduleActionStartSettings","type":"structure","members":{}}}}},"required":["ActionName","ScheduleActionStartSettings","ScheduleActionSettings"]}},"Sn":{"type":"structure","members":{"InputTimecodeSource":{"locationName":"inputTimecodeSource"},"StartTimecode":{"locationName":"startTimecode","type":"structure","members":{"Timecode":{"locationName":"timecode"}}},"StopTimecode":{"locationName":"stopTimecode","type":"structure","members":{"LastFrameClippingBehavior":{"locationName":"lastFrameClippingBehavior"},"Timecode":{"locationName":"timecode"}}}},"required":["InputTimecodeSource"]},"S1k":{"type":"structure","members":{"PasswordParam":{"locationName":"passwordParam"},"Uri":{"locationName":"uri"},"Username":{"locationName":"username"}},"required":["Uri"]},"S22":{"type":"structure","members":{"Resolution":{"locationName":"resolution"}}},"S25":{"type":"list","member":{"type":"structure","members":{"Id":{"locationName":"id"},"MediaPackageSettings":{"locationName":"mediaPackageSettings","type":"list","member":{"type":"structure","members":{"ChannelId":{"locationName":"channelId"}}}},"MultiplexSettings":{"locationName":"multiplexSettings","type":"structure","members":{"MultiplexId":{"locationName":"multiplexId"},"ProgramName":{"locationName":"programName"}}},"Settings":{"locationName":"settings","type":"list","member":{"type":"structure","members":{"PasswordParam":{"locationName":"passwordParam"},"StreamName":{"locationName":"streamName"},"Url":{"locationName":"url"},"Username":{"locationName":"username"}}}}}}},"S2d":{"type":"structure","members":{"AudioDescriptions":{"locationName":"audioDescriptions","type":"list","member":{"type":"structure","members":{"AudioNormalizationSettings":{"locationName":"audioNormalizationSettings","type":"structure","members":{"Algorithm":{"locationName":"algorithm"},"AlgorithmControl":{"locationName":"algorithmControl"},"TargetLkfs":{"locationName":"targetLkfs","type":"double"}}},"AudioSelectorName":{"locationName":"audioSelectorName"},"AudioType":{"locationName":"audioType"},"AudioTypeControl":{"locationName":"audioTypeControl"},"AudioWatermarkingSettings":{"locationName":"audioWatermarkingSettings","type":"structure","members":{"NielsenWatermarksSettings":{"locationName":"nielsenWatermarksSettings","type":"structure","members":{"NielsenCbetSettings":{"locationName":"nielsenCbetSettings","type":"structure","members":{"CbetCheckDigitString":{"locationName":"cbetCheckDigitString"},"CbetStepaside":{"locationName":"cbetStepaside"},"Csid":{"locationName":"csid"}},"required":["CbetCheckDigitString","CbetStepaside","Csid"]},"NielsenDistributionType":{"locationName":"nielsenDistributionType"},"NielsenNaesIiNwSettings":{"locationName":"nielsenNaesIiNwSettings","type":"structure","members":{"CheckDigitString":{"locationName":"checkDigitString"},"Sid":{"locationName":"sid","type":"double"}},"required":["CheckDigitString","Sid"]}}}}},"CodecSettings":{"locationName":"codecSettings","type":"structure","members":{"AacSettings":{"locationName":"aacSettings","type":"structure","members":{"Bitrate":{"locationName":"bitrate","type":"double"},"CodingMode":{"locationName":"codingMode"},"InputType":{"locationName":"inputType"},"Profile":{"locationName":"profile"},"RateControlMode":{"locationName":"rateControlMode"},"RawFormat":{"locationName":"rawFormat"},"SampleRate":{"locationName":"sampleRate","type":"double"},"Spec":{"locationName":"spec"},"VbrQuality":{"locationName":"vbrQuality"}}},"Ac3Settings":{"locationName":"ac3Settings","type":"structure","members":{"Bitrate":{"locationName":"bitrate","type":"double"},"BitstreamMode":{"locationName":"bitstreamMode"},"CodingMode":{"locationName":"codingMode"},"Dialnorm":{"locationName":"dialnorm","type":"integer"},"DrcProfile":{"locationName":"drcProfile"},"LfeFilter":{"locationName":"lfeFilter"},"MetadataControl":{"locationName":"metadataControl"}}},"Eac3Settings":{"locationName":"eac3Settings","type":"structure","members":{"AttenuationControl":{"locationName":"attenuationControl"},"Bitrate":{"locationName":"bitrate","type":"double"},"BitstreamMode":{"locationName":"bitstreamMode"},"CodingMode":{"locationName":"codingMode"},"DcFilter":{"locationName":"dcFilter"},"Dialnorm":{"locationName":"dialnorm","type":"integer"},"DrcLine":{"locationName":"drcLine"},"DrcRf":{"locationName":"drcRf"},"LfeControl":{"locationName":"lfeControl"},"LfeFilter":{"locationName":"lfeFilter"},"LoRoCenterMixLevel":{"locationName":"loRoCenterMixLevel","type":"double"},"LoRoSurroundMixLevel":{"locationName":"loRoSurroundMixLevel","type":"double"},"LtRtCenterMixLevel":{"locationName":"ltRtCenterMixLevel","type":"double"},"LtRtSurroundMixLevel":{"locationName":"ltRtSurroundMixLevel","type":"double"},"MetadataControl":{"locationName":"metadataControl"},"PassthroughControl":{"locationName":"passthroughControl"},"PhaseControl":{"locationName":"phaseControl"},"StereoDownmix":{"locationName":"stereoDownmix"},"SurroundExMode":{"locationName":"surroundExMode"},"SurroundMode":{"locationName":"surroundMode"}}},"Mp2Settings":{"locationName":"mp2Settings","type":"structure","members":{"Bitrate":{"locationName":"bitrate","type":"double"},"CodingMode":{"locationName":"codingMode"},"SampleRate":{"locationName":"sampleRate","type":"double"}}},"PassThroughSettings":{"locationName":"passThroughSettings","type":"structure","members":{}},"WavSettings":{"locationName":"wavSettings","type":"structure","members":{"BitDepth":{"locationName":"bitDepth","type":"double"},"CodingMode":{"locationName":"codingMode"},"SampleRate":{"locationName":"sampleRate","type":"double"}}}}},"LanguageCode":{"locationName":"languageCode"},"LanguageCodeControl":{"locationName":"languageCodeControl"},"Name":{"locationName":"name"},"RemixSettings":{"locationName":"remixSettings","type":"structure","members":{"ChannelMappings":{"locationName":"channelMappings","type":"list","member":{"type":"structure","members":{"InputChannelLevels":{"locationName":"inputChannelLevels","type":"list","member":{"type":"structure","members":{"Gain":{"locationName":"gain","type":"integer"},"InputChannel":{"locationName":"inputChannel","type":"integer"}},"required":["InputChannel","Gain"]}},"OutputChannel":{"locationName":"outputChannel","type":"integer"}},"required":["OutputChannel","InputChannelLevels"]}},"ChannelsIn":{"locationName":"channelsIn","type":"integer"},"ChannelsOut":{"locationName":"channelsOut","type":"integer"}},"required":["ChannelMappings"]},"StreamName":{"locationName":"streamName"}},"required":["AudioSelectorName","Name"]}},"AvailBlanking":{"locationName":"availBlanking","type":"structure","members":{"AvailBlankingImage":{"shape":"S1k","locationName":"availBlankingImage"},"State":{"locationName":"state"}}},"AvailConfiguration":{"locationName":"availConfiguration","type":"structure","members":{"AvailSettings":{"locationName":"availSettings","type":"structure","members":{"Scte35SpliceInsert":{"locationName":"scte35SpliceInsert","type":"structure","members":{"AdAvailOffset":{"locationName":"adAvailOffset","type":"integer"},"NoRegionalBlackoutFlag":{"locationName":"noRegionalBlackoutFlag"},"WebDeliveryAllowedFlag":{"locationName":"webDeliveryAllowedFlag"}}},"Scte35TimeSignalApos":{"locationName":"scte35TimeSignalApos","type":"structure","members":{"AdAvailOffset":{"locationName":"adAvailOffset","type":"integer"},"NoRegionalBlackoutFlag":{"locationName":"noRegionalBlackoutFlag"},"WebDeliveryAllowedFlag":{"locationName":"webDeliveryAllowedFlag"}}}}}}},"BlackoutSlate":{"locationName":"blackoutSlate","type":"structure","members":{"BlackoutSlateImage":{"shape":"S1k","locationName":"blackoutSlateImage"},"NetworkEndBlackout":{"locationName":"networkEndBlackout"},"NetworkEndBlackoutImage":{"shape":"S1k","locationName":"networkEndBlackoutImage"},"NetworkId":{"locationName":"networkId"},"State":{"locationName":"state"}}},"CaptionDescriptions":{"locationName":"captionDescriptions","type":"list","member":{"type":"structure","members":{"CaptionSelectorName":{"locationName":"captionSelectorName"},"DestinationSettings":{"locationName":"destinationSettings","type":"structure","members":{"AribDestinationSettings":{"locationName":"aribDestinationSettings","type":"structure","members":{}},"BurnInDestinationSettings":{"locationName":"burnInDestinationSettings","type":"structure","members":{"Alignment":{"locationName":"alignment"},"BackgroundColor":{"locationName":"backgroundColor"},"BackgroundOpacity":{"locationName":"backgroundOpacity","type":"integer"},"Font":{"shape":"S1k","locationName":"font"},"FontColor":{"locationName":"fontColor"},"FontOpacity":{"locationName":"fontOpacity","type":"integer"},"FontResolution":{"locationName":"fontResolution","type":"integer"},"FontSize":{"locationName":"fontSize"},"OutlineColor":{"locationName":"outlineColor"},"OutlineSize":{"locationName":"outlineSize","type":"integer"},"ShadowColor":{"locationName":"shadowColor"},"ShadowOpacity":{"locationName":"shadowOpacity","type":"integer"},"ShadowXOffset":{"locationName":"shadowXOffset","type":"integer"},"ShadowYOffset":{"locationName":"shadowYOffset","type":"integer"},"TeletextGridControl":{"locationName":"teletextGridControl"},"XPosition":{"locationName":"xPosition","type":"integer"},"YPosition":{"locationName":"yPosition","type":"integer"}}},"DvbSubDestinationSettings":{"locationName":"dvbSubDestinationSettings","type":"structure","members":{"Alignment":{"locationName":"alignment"},"BackgroundColor":{"locationName":"backgroundColor"},"BackgroundOpacity":{"locationName":"backgroundOpacity","type":"integer"},"Font":{"shape":"S1k","locationName":"font"},"FontColor":{"locationName":"fontColor"},"FontOpacity":{"locationName":"fontOpacity","type":"integer"},"FontResolution":{"locationName":"fontResolution","type":"integer"},"FontSize":{"locationName":"fontSize"},"OutlineColor":{"locationName":"outlineColor"},"OutlineSize":{"locationName":"outlineSize","type":"integer"},"ShadowColor":{"locationName":"shadowColor"},"ShadowOpacity":{"locationName":"shadowOpacity","type":"integer"},"ShadowXOffset":{"locationName":"shadowXOffset","type":"integer"},"ShadowYOffset":{"locationName":"shadowYOffset","type":"integer"},"TeletextGridControl":{"locationName":"teletextGridControl"},"XPosition":{"locationName":"xPosition","type":"integer"},"YPosition":{"locationName":"yPosition","type":"integer"}}},"EbuTtDDestinationSettings":{"locationName":"ebuTtDDestinationSettings","type":"structure","members":{"CopyrightHolder":{"locationName":"copyrightHolder"},"FillLineGap":{"locationName":"fillLineGap"},"FontFamily":{"locationName":"fontFamily"},"StyleControl":{"locationName":"styleControl"}}},"EmbeddedDestinationSettings":{"locationName":"embeddedDestinationSettings","type":"structure","members":{}},"EmbeddedPlusScte20DestinationSettings":{"locationName":"embeddedPlusScte20DestinationSettings","type":"structure","members":{}},"RtmpCaptionInfoDestinationSettings":{"locationName":"rtmpCaptionInfoDestinationSettings","type":"structure","members":{}},"Scte20PlusEmbeddedDestinationSettings":{"locationName":"scte20PlusEmbeddedDestinationSettings","type":"structure","members":{}},"Scte27DestinationSettings":{"locationName":"scte27DestinationSettings","type":"structure","members":{}},"SmpteTtDestinationSettings":{"locationName":"smpteTtDestinationSettings","type":"structure","members":{}},"TeletextDestinationSettings":{"locationName":"teletextDestinationSettings","type":"structure","members":{}},"TtmlDestinationSettings":{"locationName":"ttmlDestinationSettings","type":"structure","members":{"StyleControl":{"locationName":"styleControl"}}},"WebvttDestinationSettings":{"locationName":"webvttDestinationSettings","type":"structure","members":{"StyleControl":{"locationName":"styleControl"}}}}},"LanguageCode":{"locationName":"languageCode"},"LanguageDescription":{"locationName":"languageDescription"},"Name":{"locationName":"name"}},"required":["CaptionSelectorName","Name"]}},"FeatureActivations":{"locationName":"featureActivations","type":"structure","members":{"InputPrepareScheduleActions":{"locationName":"inputPrepareScheduleActions"}}},"GlobalConfiguration":{"locationName":"globalConfiguration","type":"structure","members":{"InitialAudioGain":{"locationName":"initialAudioGain","type":"integer"},"InputEndAction":{"locationName":"inputEndAction"},"InputLossBehavior":{"locationName":"inputLossBehavior","type":"structure","members":{"BlackFrameMsec":{"locationName":"blackFrameMsec","type":"integer"},"InputLossImageColor":{"locationName":"inputLossImageColor"},"InputLossImageSlate":{"shape":"S1k","locationName":"inputLossImageSlate"},"InputLossImageType":{"locationName":"inputLossImageType"},"RepeatFrameMsec":{"locationName":"repeatFrameMsec","type":"integer"}}},"OutputLockingMode":{"locationName":"outputLockingMode"},"OutputTimingSource":{"locationName":"outputTimingSource"},"SupportLowFramerateInputs":{"locationName":"supportLowFramerateInputs"}}},"MotionGraphicsConfiguration":{"locationName":"motionGraphicsConfiguration","type":"structure","members":{"MotionGraphicsInsertion":{"locationName":"motionGraphicsInsertion"},"MotionGraphicsSettings":{"locationName":"motionGraphicsSettings","type":"structure","members":{"HtmlMotionGraphicsSettings":{"locationName":"htmlMotionGraphicsSettings","type":"structure","members":{}}}}},"required":["MotionGraphicsSettings"]},"NielsenConfiguration":{"locationName":"nielsenConfiguration","type":"structure","members":{"DistributorId":{"locationName":"distributorId"},"NielsenPcmToId3Tagging":{"locationName":"nielsenPcmToId3Tagging"}}},"OutputGroups":{"locationName":"outputGroups","type":"list","member":{"type":"structure","members":{"Name":{"locationName":"name"},"OutputGroupSettings":{"locationName":"outputGroupSettings","type":"structure","members":{"ArchiveGroupSettings":{"locationName":"archiveGroupSettings","type":"structure","members":{"ArchiveCdnSettings":{"locationName":"archiveCdnSettings","type":"structure","members":{"ArchiveS3Settings":{"locationName":"archiveS3Settings","type":"structure","members":{"CannedAcl":{"locationName":"cannedAcl"}}}}},"Destination":{"shape":"S6c","locationName":"destination"},"RolloverInterval":{"locationName":"rolloverInterval","type":"integer"}},"required":["Destination"]},"FrameCaptureGroupSettings":{"locationName":"frameCaptureGroupSettings","type":"structure","members":{"Destination":{"shape":"S6c","locationName":"destination"},"FrameCaptureCdnSettings":{"locationName":"frameCaptureCdnSettings","type":"structure","members":{"FrameCaptureS3Settings":{"locationName":"frameCaptureS3Settings","type":"structure","members":{"CannedAcl":{"locationName":"cannedAcl"}}}}}},"required":["Destination"]},"HlsGroupSettings":{"locationName":"hlsGroupSettings","type":"structure","members":{"AdMarkers":{"locationName":"adMarkers","type":"list","member":{}},"BaseUrlContent":{"locationName":"baseUrlContent"},"BaseUrlContent1":{"locationName":"baseUrlContent1"},"BaseUrlManifest":{"locationName":"baseUrlManifest"},"BaseUrlManifest1":{"locationName":"baseUrlManifest1"},"CaptionLanguageMappings":{"locationName":"captionLanguageMappings","type":"list","member":{"type":"structure","members":{"CaptionChannel":{"locationName":"captionChannel","type":"integer"},"LanguageCode":{"locationName":"languageCode"},"LanguageDescription":{"locationName":"languageDescription"}},"required":["LanguageCode","LanguageDescription","CaptionChannel"]}},"CaptionLanguageSetting":{"locationName":"captionLanguageSetting"},"ClientCache":{"locationName":"clientCache"},"CodecSpecification":{"locationName":"codecSpecification"},"ConstantIv":{"locationName":"constantIv"},"Destination":{"shape":"S6c","locationName":"destination"},"DirectoryStructure":{"locationName":"directoryStructure"},"DiscontinuityTags":{"locationName":"discontinuityTags"},"EncryptionType":{"locationName":"encryptionType"},"HlsCdnSettings":{"locationName":"hlsCdnSettings","type":"structure","members":{"HlsAkamaiSettings":{"locationName":"hlsAkamaiSettings","type":"structure","members":{"ConnectionRetryInterval":{"locationName":"connectionRetryInterval","type":"integer"},"FilecacheDuration":{"locationName":"filecacheDuration","type":"integer"},"HttpTransferMode":{"locationName":"httpTransferMode"},"NumRetries":{"locationName":"numRetries","type":"integer"},"RestartDelay":{"locationName":"restartDelay","type":"integer"},"Salt":{"locationName":"salt"},"Token":{"locationName":"token"}}},"HlsBasicPutSettings":{"locationName":"hlsBasicPutSettings","type":"structure","members":{"ConnectionRetryInterval":{"locationName":"connectionRetryInterval","type":"integer"},"FilecacheDuration":{"locationName":"filecacheDuration","type":"integer"},"NumRetries":{"locationName":"numRetries","type":"integer"},"RestartDelay":{"locationName":"restartDelay","type":"integer"}}},"HlsMediaStoreSettings":{"locationName":"hlsMediaStoreSettings","type":"structure","members":{"ConnectionRetryInterval":{"locationName":"connectionRetryInterval","type":"integer"},"FilecacheDuration":{"locationName":"filecacheDuration","type":"integer"},"MediaStoreStorageClass":{"locationName":"mediaStoreStorageClass"},"NumRetries":{"locationName":"numRetries","type":"integer"},"RestartDelay":{"locationName":"restartDelay","type":"integer"}}},"HlsS3Settings":{"locationName":"hlsS3Settings","type":"structure","members":{"CannedAcl":{"locationName":"cannedAcl"}}},"HlsWebdavSettings":{"locationName":"hlsWebdavSettings","type":"structure","members":{"ConnectionRetryInterval":{"locationName":"connectionRetryInterval","type":"integer"},"FilecacheDuration":{"locationName":"filecacheDuration","type":"integer"},"HttpTransferMode":{"locationName":"httpTransferMode"},"NumRetries":{"locationName":"numRetries","type":"integer"},"RestartDelay":{"locationName":"restartDelay","type":"integer"}}}}},"HlsId3SegmentTagging":{"locationName":"hlsId3SegmentTagging"},"IFrameOnlyPlaylists":{"locationName":"iFrameOnlyPlaylists"},"IncompleteSegmentBehavior":{"locationName":"incompleteSegmentBehavior"},"IndexNSegments":{"locationName":"indexNSegments","type":"integer"},"InputLossAction":{"locationName":"inputLossAction"},"IvInManifest":{"locationName":"ivInManifest"},"IvSource":{"locationName":"ivSource"},"KeepSegments":{"locationName":"keepSegments","type":"integer"},"KeyFormat":{"locationName":"keyFormat"},"KeyFormatVersions":{"locationName":"keyFormatVersions"},"KeyProviderSettings":{"locationName":"keyProviderSettings","type":"structure","members":{"StaticKeySettings":{"locationName":"staticKeySettings","type":"structure","members":{"KeyProviderServer":{"shape":"S1k","locationName":"keyProviderServer"},"StaticKeyValue":{"locationName":"staticKeyValue"}},"required":["StaticKeyValue"]}}},"ManifestCompression":{"locationName":"manifestCompression"},"ManifestDurationFormat":{"locationName":"manifestDurationFormat"},"MinSegmentLength":{"locationName":"minSegmentLength","type":"integer"},"Mode":{"locationName":"mode"},"OutputSelection":{"locationName":"outputSelection"},"ProgramDateTime":{"locationName":"programDateTime"},"ProgramDateTimePeriod":{"locationName":"programDateTimePeriod","type":"integer"},"RedundantManifest":{"locationName":"redundantManifest"},"SegmentLength":{"locationName":"segmentLength","type":"integer"},"SegmentationMode":{"locationName":"segmentationMode"},"SegmentsPerSubdirectory":{"locationName":"segmentsPerSubdirectory","type":"integer"},"StreamInfResolution":{"locationName":"streamInfResolution"},"TimedMetadataId3Frame":{"locationName":"timedMetadataId3Frame"},"TimedMetadataId3Period":{"locationName":"timedMetadataId3Period","type":"integer"},"TimestampDeltaMilliseconds":{"locationName":"timestampDeltaMilliseconds","type":"integer"},"TsFileMode":{"locationName":"tsFileMode"}},"required":["Destination"]},"MediaPackageGroupSettings":{"locationName":"mediaPackageGroupSettings","type":"structure","members":{"Destination":{"shape":"S6c","locationName":"destination"}},"required":["Destination"]},"MsSmoothGroupSettings":{"locationName":"msSmoothGroupSettings","type":"structure","members":{"AcquisitionPointId":{"locationName":"acquisitionPointId"},"AudioOnlyTimecodeControl":{"locationName":"audioOnlyTimecodeControl"},"CertificateMode":{"locationName":"certificateMode"},"ConnectionRetryInterval":{"locationName":"connectionRetryInterval","type":"integer"},"Destination":{"shape":"S6c","locationName":"destination"},"EventId":{"locationName":"eventId"},"EventIdMode":{"locationName":"eventIdMode"},"EventStopBehavior":{"locationName":"eventStopBehavior"},"FilecacheDuration":{"locationName":"filecacheDuration","type":"integer"},"FragmentLength":{"locationName":"fragmentLength","type":"integer"},"InputLossAction":{"locationName":"inputLossAction"},"NumRetries":{"locationName":"numRetries","type":"integer"},"RestartDelay":{"locationName":"restartDelay","type":"integer"},"SegmentationMode":{"locationName":"segmentationMode"},"SendDelayMs":{"locationName":"sendDelayMs","type":"integer"},"SparseTrackType":{"locationName":"sparseTrackType"},"StreamManifestBehavior":{"locationName":"streamManifestBehavior"},"TimestampOffset":{"locationName":"timestampOffset"},"TimestampOffsetMode":{"locationName":"timestampOffsetMode"}},"required":["Destination"]},"MultiplexGroupSettings":{"locationName":"multiplexGroupSettings","type":"structure","members":{}},"RtmpGroupSettings":{"locationName":"rtmpGroupSettings","type":"structure","members":{"AdMarkers":{"locationName":"adMarkers","type":"list","member":{}},"AuthenticationScheme":{"locationName":"authenticationScheme"},"CacheFullBehavior":{"locationName":"cacheFullBehavior"},"CacheLength":{"locationName":"cacheLength","type":"integer"},"CaptionData":{"locationName":"captionData"},"InputLossAction":{"locationName":"inputLossAction"},"RestartDelay":{"locationName":"restartDelay","type":"integer"}}},"UdpGroupSettings":{"locationName":"udpGroupSettings","type":"structure","members":{"InputLossAction":{"locationName":"inputLossAction"},"TimedMetadataId3Frame":{"locationName":"timedMetadataId3Frame"},"TimedMetadataId3Period":{"locationName":"timedMetadataId3Period","type":"integer"}}}}},"Outputs":{"locationName":"outputs","type":"list","member":{"type":"structure","members":{"AudioDescriptionNames":{"shape":"S5","locationName":"audioDescriptionNames"},"CaptionDescriptionNames":{"shape":"S5","locationName":"captionDescriptionNames"},"OutputName":{"locationName":"outputName"},"OutputSettings":{"locationName":"outputSettings","type":"structure","members":{"ArchiveOutputSettings":{"locationName":"archiveOutputSettings","type":"structure","members":{"ContainerSettings":{"locationName":"containerSettings","type":"structure","members":{"M2tsSettings":{"shape":"S8i","locationName":"m2tsSettings"},"RawSettings":{"locationName":"rawSettings","type":"structure","members":{}}}},"Extension":{"locationName":"extension"},"NameModifier":{"locationName":"nameModifier"}},"required":["ContainerSettings"]},"FrameCaptureOutputSettings":{"locationName":"frameCaptureOutputSettings","type":"structure","members":{"NameModifier":{"locationName":"nameModifier"}}},"HlsOutputSettings":{"locationName":"hlsOutputSettings","type":"structure","members":{"H265PackagingType":{"locationName":"h265PackagingType"},"HlsSettings":{"locationName":"hlsSettings","type":"structure","members":{"AudioOnlyHlsSettings":{"locationName":"audioOnlyHlsSettings","type":"structure","members":{"AudioGroupId":{"locationName":"audioGroupId"},"AudioOnlyImage":{"shape":"S1k","locationName":"audioOnlyImage"},"AudioTrackType":{"locationName":"audioTrackType"},"SegmentType":{"locationName":"segmentType"}}},"Fmp4HlsSettings":{"locationName":"fmp4HlsSettings","type":"structure","members":{"AudioRenditionSets":{"locationName":"audioRenditionSets"},"NielsenId3Behavior":{"locationName":"nielsenId3Behavior"},"TimedMetadataBehavior":{"locationName":"timedMetadataBehavior"}}},"FrameCaptureHlsSettings":{"locationName":"frameCaptureHlsSettings","type":"structure","members":{}},"StandardHlsSettings":{"locationName":"standardHlsSettings","type":"structure","members":{"AudioRenditionSets":{"locationName":"audioRenditionSets"},"M3u8Settings":{"locationName":"m3u8Settings","type":"structure","members":{"AudioFramesPerPes":{"locationName":"audioFramesPerPes","type":"integer"},"AudioPids":{"locationName":"audioPids"},"EcmPid":{"locationName":"ecmPid"},"NielsenId3Behavior":{"locationName":"nielsenId3Behavior"},"PatInterval":{"locationName":"patInterval","type":"integer"},"PcrControl":{"locationName":"pcrControl"},"PcrPeriod":{"locationName":"pcrPeriod","type":"integer"},"PcrPid":{"locationName":"pcrPid"},"PmtInterval":{"locationName":"pmtInterval","type":"integer"},"PmtPid":{"locationName":"pmtPid"},"ProgramNum":{"locationName":"programNum","type":"integer"},"Scte35Behavior":{"locationName":"scte35Behavior"},"Scte35Pid":{"locationName":"scte35Pid"},"TimedMetadataBehavior":{"locationName":"timedMetadataBehavior"},"TimedMetadataPid":{"locationName":"timedMetadataPid"},"TransportStreamId":{"locationName":"transportStreamId","type":"integer"},"VideoPid":{"locationName":"videoPid"}}}},"required":["M3u8Settings"]}}},"NameModifier":{"locationName":"nameModifier"},"SegmentModifier":{"locationName":"segmentModifier"}},"required":["HlsSettings"]},"MediaPackageOutputSettings":{"locationName":"mediaPackageOutputSettings","type":"structure","members":{}},"MsSmoothOutputSettings":{"locationName":"msSmoothOutputSettings","type":"structure","members":{"H265PackagingType":{"locationName":"h265PackagingType"},"NameModifier":{"locationName":"nameModifier"}}},"MultiplexOutputSettings":{"locationName":"multiplexOutputSettings","type":"structure","members":{"Destination":{"shape":"S6c","locationName":"destination"}},"required":["Destination"]},"RtmpOutputSettings":{"locationName":"rtmpOutputSettings","type":"structure","members":{"CertificateMode":{"locationName":"certificateMode"},"ConnectionRetryInterval":{"locationName":"connectionRetryInterval","type":"integer"},"Destination":{"shape":"S6c","locationName":"destination"},"NumRetries":{"locationName":"numRetries","type":"integer"}},"required":["Destination"]},"UdpOutputSettings":{"locationName":"udpOutputSettings","type":"structure","members":{"BufferMsec":{"locationName":"bufferMsec","type":"integer"},"ContainerSettings":{"locationName":"containerSettings","type":"structure","members":{"M2tsSettings":{"shape":"S8i","locationName":"m2tsSettings"}}},"Destination":{"shape":"S6c","locationName":"destination"},"FecOutputSettings":{"locationName":"fecOutputSettings","type":"structure","members":{"ColumnDepth":{"locationName":"columnDepth","type":"integer"},"IncludeFec":{"locationName":"includeFec"},"RowLength":{"locationName":"rowLength","type":"integer"}}}},"required":["Destination","ContainerSettings"]}}},"VideoDescriptionName":{"locationName":"videoDescriptionName"}},"required":["OutputSettings"]}}},"required":["Outputs","OutputGroupSettings"]}},"TimecodeConfig":{"locationName":"timecodeConfig","type":"structure","members":{"Source":{"locationName":"source"},"SyncThreshold":{"locationName":"syncThreshold","type":"integer"}},"required":["Source"]},"VideoDescriptions":{"locationName":"videoDescriptions","type":"list","member":{"type":"structure","members":{"CodecSettings":{"locationName":"codecSettings","type":"structure","members":{"FrameCaptureSettings":{"locationName":"frameCaptureSettings","type":"structure","members":{"CaptureInterval":{"locationName":"captureInterval","type":"integer"},"CaptureIntervalUnits":{"locationName":"captureIntervalUnits"}}},"H264Settings":{"locationName":"h264Settings","type":"structure","members":{"AdaptiveQuantization":{"locationName":"adaptiveQuantization"},"AfdSignaling":{"locationName":"afdSignaling"},"Bitrate":{"locationName":"bitrate","type":"integer"},"BufFillPct":{"locationName":"bufFillPct","type":"integer"},"BufSize":{"locationName":"bufSize","type":"integer"},"ColorMetadata":{"locationName":"colorMetadata"},"ColorSpaceSettings":{"locationName":"colorSpaceSettings","type":"structure","members":{"ColorSpacePassthroughSettings":{"shape":"Sap","locationName":"colorSpacePassthroughSettings"},"Rec601Settings":{"shape":"Saq","locationName":"rec601Settings"},"Rec709Settings":{"shape":"Sar","locationName":"rec709Settings"}}},"EntropyEncoding":{"locationName":"entropyEncoding"},"FilterSettings":{"locationName":"filterSettings","type":"structure","members":{"TemporalFilterSettings":{"shape":"Sau","locationName":"temporalFilterSettings"}}},"FixedAfd":{"locationName":"fixedAfd"},"FlickerAq":{"locationName":"flickerAq"},"ForceFieldPictures":{"locationName":"forceFieldPictures"},"FramerateControl":{"locationName":"framerateControl"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"GopBReference":{"locationName":"gopBReference"},"GopClosedCadence":{"locationName":"gopClosedCadence","type":"integer"},"GopNumBFrames":{"locationName":"gopNumBFrames","type":"integer"},"GopSize":{"locationName":"gopSize","type":"double"},"GopSizeUnits":{"locationName":"gopSizeUnits"},"Level":{"locationName":"level"},"LookAheadRateControl":{"locationName":"lookAheadRateControl"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"MinIInterval":{"locationName":"minIInterval","type":"integer"},"NumRefFrames":{"locationName":"numRefFrames","type":"integer"},"ParControl":{"locationName":"parControl"},"ParDenominator":{"locationName":"parDenominator","type":"integer"},"ParNumerator":{"locationName":"parNumerator","type":"integer"},"Profile":{"locationName":"profile"},"QualityLevel":{"locationName":"qualityLevel"},"QvbrQualityLevel":{"locationName":"qvbrQualityLevel","type":"integer"},"RateControlMode":{"locationName":"rateControlMode"},"ScanType":{"locationName":"scanType"},"SceneChangeDetect":{"locationName":"sceneChangeDetect"},"Slices":{"locationName":"slices","type":"integer"},"Softness":{"locationName":"softness","type":"integer"},"SpatialAq":{"locationName":"spatialAq"},"SubgopLength":{"locationName":"subgopLength"},"Syntax":{"locationName":"syntax"},"TemporalAq":{"locationName":"temporalAq"},"TimecodeInsertion":{"locationName":"timecodeInsertion"}}},"H265Settings":{"locationName":"h265Settings","type":"structure","members":{"AdaptiveQuantization":{"locationName":"adaptiveQuantization"},"AfdSignaling":{"locationName":"afdSignaling"},"AlternativeTransferFunction":{"locationName":"alternativeTransferFunction"},"Bitrate":{"locationName":"bitrate","type":"integer"},"BufSize":{"locationName":"bufSize","type":"integer"},"ColorMetadata":{"locationName":"colorMetadata"},"ColorSpaceSettings":{"locationName":"colorSpaceSettings","type":"structure","members":{"ColorSpacePassthroughSettings":{"shape":"Sap","locationName":"colorSpacePassthroughSettings"},"Hdr10Settings":{"shape":"Sbs","locationName":"hdr10Settings"},"Rec601Settings":{"shape":"Saq","locationName":"rec601Settings"},"Rec709Settings":{"shape":"Sar","locationName":"rec709Settings"}}},"FilterSettings":{"locationName":"filterSettings","type":"structure","members":{"TemporalFilterSettings":{"shape":"Sau","locationName":"temporalFilterSettings"}}},"FixedAfd":{"locationName":"fixedAfd"},"FlickerAq":{"locationName":"flickerAq"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"GopClosedCadence":{"locationName":"gopClosedCadence","type":"integer"},"GopSize":{"locationName":"gopSize","type":"double"},"GopSizeUnits":{"locationName":"gopSizeUnits"},"Level":{"locationName":"level"},"LookAheadRateControl":{"locationName":"lookAheadRateControl"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"MinIInterval":{"locationName":"minIInterval","type":"integer"},"ParDenominator":{"locationName":"parDenominator","type":"integer"},"ParNumerator":{"locationName":"parNumerator","type":"integer"},"Profile":{"locationName":"profile"},"QvbrQualityLevel":{"locationName":"qvbrQualityLevel","type":"integer"},"RateControlMode":{"locationName":"rateControlMode"},"ScanType":{"locationName":"scanType"},"SceneChangeDetect":{"locationName":"sceneChangeDetect"},"Slices":{"locationName":"slices","type":"integer"},"Tier":{"locationName":"tier"},"TimecodeInsertion":{"locationName":"timecodeInsertion"}},"required":["FramerateNumerator","FramerateDenominator"]},"Mpeg2Settings":{"locationName":"mpeg2Settings","type":"structure","members":{"AdaptiveQuantization":{"locationName":"adaptiveQuantization"},"AfdSignaling":{"locationName":"afdSignaling"},"ColorMetadata":{"locationName":"colorMetadata"},"ColorSpace":{"locationName":"colorSpace"},"DisplayAspectRatio":{"locationName":"displayAspectRatio"},"FilterSettings":{"locationName":"filterSettings","type":"structure","members":{"TemporalFilterSettings":{"shape":"Sau","locationName":"temporalFilterSettings"}}},"FixedAfd":{"locationName":"fixedAfd"},"FramerateDenominator":{"locationName":"framerateDenominator","type":"integer"},"FramerateNumerator":{"locationName":"framerateNumerator","type":"integer"},"GopClosedCadence":{"locationName":"gopClosedCadence","type":"integer"},"GopNumBFrames":{"locationName":"gopNumBFrames","type":"integer"},"GopSize":{"locationName":"gopSize","type":"double"},"GopSizeUnits":{"locationName":"gopSizeUnits"},"ScanType":{"locationName":"scanType"},"SubgopLength":{"locationName":"subgopLength"},"TimecodeInsertion":{"locationName":"timecodeInsertion"}},"required":["FramerateNumerator","FramerateDenominator"]}}},"Height":{"locationName":"height","type":"integer"},"Name":{"locationName":"name"},"RespondToAfd":{"locationName":"respondToAfd"},"ScalingBehavior":{"locationName":"scalingBehavior"},"Sharpness":{"locationName":"sharpness","type":"integer"},"Width":{"locationName":"width","type":"integer"}},"required":["Name"]}}},"required":["VideoDescriptions","AudioDescriptions","OutputGroups","TimecodeConfig"]},"S6c":{"type":"structure","members":{"DestinationRefId":{"locationName":"destinationRefId"}}},"S8i":{"type":"structure","members":{"AbsentInputAudioBehavior":{"locationName":"absentInputAudioBehavior"},"Arib":{"locationName":"arib"},"AribCaptionsPid":{"locationName":"aribCaptionsPid"},"AribCaptionsPidControl":{"locationName":"aribCaptionsPidControl"},"AudioBufferModel":{"locationName":"audioBufferModel"},"AudioFramesPerPes":{"locationName":"audioFramesPerPes","type":"integer"},"AudioPids":{"locationName":"audioPids"},"AudioStreamType":{"locationName":"audioStreamType"},"Bitrate":{"locationName":"bitrate","type":"integer"},"BufferModel":{"locationName":"bufferModel"},"CcDescriptor":{"locationName":"ccDescriptor"},"DvbNitSettings":{"locationName":"dvbNitSettings","type":"structure","members":{"NetworkId":{"locationName":"networkId","type":"integer"},"NetworkName":{"locationName":"networkName"},"RepInterval":{"locationName":"repInterval","type":"integer"}},"required":["NetworkName","NetworkId"]},"DvbSdtSettings":{"locationName":"dvbSdtSettings","type":"structure","members":{"OutputSdt":{"locationName":"outputSdt"},"RepInterval":{"locationName":"repInterval","type":"integer"},"ServiceName":{"locationName":"serviceName"},"ServiceProviderName":{"locationName":"serviceProviderName"}}},"DvbSubPids":{"locationName":"dvbSubPids"},"DvbTdtSettings":{"locationName":"dvbTdtSettings","type":"structure","members":{"RepInterval":{"locationName":"repInterval","type":"integer"}}},"DvbTeletextPid":{"locationName":"dvbTeletextPid"},"Ebif":{"locationName":"ebif"},"EbpAudioInterval":{"locationName":"ebpAudioInterval"},"EbpLookaheadMs":{"locationName":"ebpLookaheadMs","type":"integer"},"EbpPlacement":{"locationName":"ebpPlacement"},"EcmPid":{"locationName":"ecmPid"},"EsRateInPes":{"locationName":"esRateInPes"},"EtvPlatformPid":{"locationName":"etvPlatformPid"},"EtvSignalPid":{"locationName":"etvSignalPid"},"FragmentTime":{"locationName":"fragmentTime","type":"double"},"Klv":{"locationName":"klv"},"KlvDataPids":{"locationName":"klvDataPids"},"NielsenId3Behavior":{"locationName":"nielsenId3Behavior"},"NullPacketBitrate":{"locationName":"nullPacketBitrate","type":"double"},"PatInterval":{"locationName":"patInterval","type":"integer"},"PcrControl":{"locationName":"pcrControl"},"PcrPeriod":{"locationName":"pcrPeriod","type":"integer"},"PcrPid":{"locationName":"pcrPid"},"PmtInterval":{"locationName":"pmtInterval","type":"integer"},"PmtPid":{"locationName":"pmtPid"},"ProgramNum":{"locationName":"programNum","type":"integer"},"RateMode":{"locationName":"rateMode"},"Scte27Pids":{"locationName":"scte27Pids"},"Scte35Control":{"locationName":"scte35Control"},"Scte35Pid":{"locationName":"scte35Pid"},"SegmentationMarkers":{"locationName":"segmentationMarkers"},"SegmentationStyle":{"locationName":"segmentationStyle"},"SegmentationTime":{"locationName":"segmentationTime","type":"double"},"TimedMetadataBehavior":{"locationName":"timedMetadataBehavior"},"TimedMetadataPid":{"locationName":"timedMetadataPid"},"TransportStreamId":{"locationName":"transportStreamId","type":"integer"},"VideoPid":{"locationName":"videoPid"}}},"Sap":{"type":"structure","members":{}},"Saq":{"type":"structure","members":{}},"Sar":{"type":"structure","members":{}},"Sau":{"type":"structure","members":{"PostFilterSharpening":{"locationName":"postFilterSharpening"},"Strength":{"locationName":"strength"}}},"Sbs":{"type":"structure","members":{"MaxCll":{"locationName":"maxCll","type":"integer"},"MaxFall":{"locationName":"maxFall","type":"integer"}}},"Sci":{"type":"list","member":{"type":"structure","members":{"AutomaticInputFailoverSettings":{"locationName":"automaticInputFailoverSettings","type":"structure","members":{"ErrorClearTimeMsec":{"locationName":"errorClearTimeMsec","type":"integer"},"FailoverConditions":{"locationName":"failoverConditions","type":"list","member":{"type":"structure","members":{"FailoverConditionSettings":{"locationName":"failoverConditionSettings","type":"structure","members":{"AudioSilenceSettings":{"locationName":"audioSilenceSettings","type":"structure","members":{"AudioSelectorName":{"locationName":"audioSelectorName"},"AudioSilenceThresholdMsec":{"locationName":"audioSilenceThresholdMsec","type":"integer"}},"required":["AudioSelectorName"]},"InputLossSettings":{"locationName":"inputLossSettings","type":"structure","members":{"InputLossThresholdMsec":{"locationName":"inputLossThresholdMsec","type":"integer"}}},"VideoBlackSettings":{"locationName":"videoBlackSettings","type":"structure","members":{"BlackDetectThreshold":{"locationName":"blackDetectThreshold","type":"double"},"VideoBlackThresholdMsec":{"locationName":"videoBlackThresholdMsec","type":"integer"}}}}}}}},"InputPreference":{"locationName":"inputPreference"},"SecondaryInputId":{"locationName":"secondaryInputId"}},"required":["SecondaryInputId"]},"InputAttachmentName":{"locationName":"inputAttachmentName"},"InputId":{"locationName":"inputId"},"InputSettings":{"locationName":"inputSettings","type":"structure","members":{"AudioSelectors":{"locationName":"audioSelectors","type":"list","member":{"type":"structure","members":{"Name":{"locationName":"name"},"SelectorSettings":{"locationName":"selectorSettings","type":"structure","members":{"AudioHlsRenditionSelection":{"locationName":"audioHlsRenditionSelection","type":"structure","members":{"GroupId":{"locationName":"groupId"},"Name":{"locationName":"name"}},"required":["Name","GroupId"]},"AudioLanguageSelection":{"locationName":"audioLanguageSelection","type":"structure","members":{"LanguageCode":{"locationName":"languageCode"},"LanguageSelectionPolicy":{"locationName":"languageSelectionPolicy"}},"required":["LanguageCode"]},"AudioPidSelection":{"locationName":"audioPidSelection","type":"structure","members":{"Pid":{"locationName":"pid","type":"integer"}},"required":["Pid"]},"AudioTrackSelection":{"locationName":"audioTrackSelection","type":"structure","members":{"Tracks":{"locationName":"tracks","type":"list","member":{"type":"structure","members":{"Track":{"locationName":"track","type":"integer"}},"required":["Track"]}}},"required":["Tracks"]}}}},"required":["Name"]}},"CaptionSelectors":{"locationName":"captionSelectors","type":"list","member":{"type":"structure","members":{"LanguageCode":{"locationName":"languageCode"},"Name":{"locationName":"name"},"SelectorSettings":{"locationName":"selectorSettings","type":"structure","members":{"AncillarySourceSettings":{"locationName":"ancillarySourceSettings","type":"structure","members":{"SourceAncillaryChannelNumber":{"locationName":"sourceAncillaryChannelNumber","type":"integer"}}},"AribSourceSettings":{"locationName":"aribSourceSettings","type":"structure","members":{}},"DvbSubSourceSettings":{"locationName":"dvbSubSourceSettings","type":"structure","members":{"OcrLanguage":{"locationName":"ocrLanguage"},"Pid":{"locationName":"pid","type":"integer"}}},"EmbeddedSourceSettings":{"locationName":"embeddedSourceSettings","type":"structure","members":{"Convert608To708":{"locationName":"convert608To708"},"Scte20Detection":{"locationName":"scte20Detection"},"Source608ChannelNumber":{"locationName":"source608ChannelNumber","type":"integer"},"Source608TrackNumber":{"locationName":"source608TrackNumber","type":"integer"}}},"Scte20SourceSettings":{"locationName":"scte20SourceSettings","type":"structure","members":{"Convert608To708":{"locationName":"convert608To708"},"Source608ChannelNumber":{"locationName":"source608ChannelNumber","type":"integer"}}},"Scte27SourceSettings":{"locationName":"scte27SourceSettings","type":"structure","members":{"OcrLanguage":{"locationName":"ocrLanguage"},"Pid":{"locationName":"pid","type":"integer"}}},"TeletextSourceSettings":{"locationName":"teletextSourceSettings","type":"structure","members":{"OutputRectangle":{"locationName":"outputRectangle","type":"structure","members":{"Height":{"locationName":"height","type":"double"},"LeftOffset":{"locationName":"leftOffset","type":"double"},"TopOffset":{"locationName":"topOffset","type":"double"},"Width":{"locationName":"width","type":"double"}},"required":["TopOffset","Height","Width","LeftOffset"]},"PageNumber":{"locationName":"pageNumber"}}}}}},"required":["Name"]}},"DeblockFilter":{"locationName":"deblockFilter"},"DenoiseFilter":{"locationName":"denoiseFilter"},"FilterStrength":{"locationName":"filterStrength","type":"integer"},"InputFilter":{"locationName":"inputFilter"},"NetworkInputSettings":{"locationName":"networkInputSettings","type":"structure","members":{"HlsInputSettings":{"locationName":"hlsInputSettings","type":"structure","members":{"Bandwidth":{"locationName":"bandwidth","type":"integer"},"BufferSegments":{"locationName":"bufferSegments","type":"integer"},"Retries":{"locationName":"retries","type":"integer"},"RetryInterval":{"locationName":"retryInterval","type":"integer"},"Scte35Source":{"locationName":"scte35Source"}}},"ServerValidation":{"locationName":"serverValidation"}}},"Scte35Pid":{"locationName":"scte35Pid","type":"integer"},"Smpte2038DataPreference":{"locationName":"smpte2038DataPreference"},"SourceEndBehavior":{"locationName":"sourceEndBehavior"},"VideoSelector":{"locationName":"videoSelector","type":"structure","members":{"ColorSpace":{"locationName":"colorSpace"},"ColorSpaceSettings":{"locationName":"colorSpaceSettings","type":"structure","members":{"Hdr10Settings":{"shape":"Sbs","locationName":"hdr10Settings"}}},"ColorSpaceUsage":{"locationName":"colorSpaceUsage"},"SelectorSettings":{"locationName":"selectorSettings","type":"structure","members":{"VideoSelectorPid":{"locationName":"videoSelectorPid","type":"structure","members":{"Pid":{"locationName":"pid","type":"integer"}}},"VideoSelectorProgramId":{"locationName":"videoSelectorProgramId","type":"structure","members":{"ProgramId":{"locationName":"programId","type":"integer"}}}}}}}}}}}},"Se5":{"type":"structure","members":{"Codec":{"locationName":"codec"},"MaximumBitrate":{"locationName":"maximumBitrate"},"Resolution":{"locationName":"resolution"}}},"Sea":{"type":"map","key":{},"value":{}},"Sed":{"type":"structure","members":{"Arn":{"locationName":"arn"},"CdiInputSpecification":{"shape":"S22","locationName":"cdiInputSpecification"},"ChannelClass":{"locationName":"channelClass"},"Destinations":{"shape":"S25","locationName":"destinations"},"EgressEndpoints":{"shape":"See","locationName":"egressEndpoints"},"EncoderSettings":{"shape":"S2d","locationName":"encoderSettings"},"Id":{"locationName":"id"},"InputAttachments":{"shape":"Sci","locationName":"inputAttachments"},"InputSpecification":{"shape":"Se5","locationName":"inputSpecification"},"LogLevel":{"locationName":"logLevel"},"Name":{"locationName":"name"},"PipelineDetails":{"shape":"Seg","locationName":"pipelineDetails"},"PipelinesRunningCount":{"locationName":"pipelinesRunningCount","type":"integer"},"RoleArn":{"locationName":"roleArn"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"Vpc":{"shape":"Sej","locationName":"vpc"}}},"See":{"type":"list","member":{"type":"structure","members":{"SourceIp":{"locationName":"sourceIp"}}}},"Seg":{"type":"list","member":{"type":"structure","members":{"ActiveInputAttachmentName":{"locationName":"activeInputAttachmentName"},"ActiveInputSwitchActionName":{"locationName":"activeInputSwitchActionName"},"ActiveMotionGraphicsActionName":{"locationName":"activeMotionGraphicsActionName"},"ActiveMotionGraphicsUri":{"locationName":"activeMotionGraphicsUri"},"PipelineId":{"locationName":"pipelineId"}}}},"Sej":{"type":"structure","members":{"AvailabilityZones":{"shape":"S5","locationName":"availabilityZones"},"NetworkInterfaceIds":{"shape":"S5","locationName":"networkInterfaceIds"},"SecurityGroupIds":{"shape":"S5","locationName":"securityGroupIds"},"SubnetIds":{"shape":"S5","locationName":"subnetIds"}}},"Sel":{"type":"list","member":{"type":"structure","members":{"StreamName":{"locationName":"streamName"}}}},"Sen":{"type":"list","member":{"type":"structure","members":{"Id":{"locationName":"id"}}}},"Sep":{"type":"list","member":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"}}}},"Ser":{"type":"list","member":{"type":"structure","members":{"PasswordParam":{"locationName":"passwordParam"},"Url":{"locationName":"url"},"Username":{"locationName":"username"}}}},"Sew":{"type":"structure","members":{"Arn":{"locationName":"arn"},"AttachedChannels":{"shape":"S5","locationName":"attachedChannels"},"Destinations":{"shape":"Sex","locationName":"destinations"},"Id":{"locationName":"id"},"InputClass":{"locationName":"inputClass"},"InputDevices":{"shape":"Sen","locationName":"inputDevices"},"InputPartnerIds":{"shape":"S5","locationName":"inputPartnerIds"},"InputSourceType":{"locationName":"inputSourceType"},"MediaConnectFlows":{"shape":"Sf2","locationName":"mediaConnectFlows"},"Name":{"locationName":"name"},"RoleArn":{"locationName":"roleArn"},"SecurityGroups":{"shape":"S5","locationName":"securityGroups"},"Sources":{"shape":"Sf4","locationName":"sources"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"Type":{"locationName":"type"}}},"Sex":{"type":"list","member":{"type":"structure","members":{"Ip":{"locationName":"ip"},"Port":{"locationName":"port"},"Url":{"locationName":"url"},"Vpc":{"locationName":"vpc","type":"structure","members":{"AvailabilityZone":{"locationName":"availabilityZone"},"NetworkInterfaceId":{"locationName":"networkInterfaceId"}}}}}},"Sf2":{"type":"list","member":{"type":"structure","members":{"FlowArn":{"locationName":"flowArn"}}}},"Sf4":{"type":"list","member":{"type":"structure","members":{"PasswordParam":{"locationName":"passwordParam"},"Url":{"locationName":"url"},"Username":{"locationName":"username"}}}},"Sf8":{"type":"list","member":{"type":"structure","members":{"Cidr":{"locationName":"cidr"}}}},"Sfb":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Id":{"locationName":"id"},"Inputs":{"shape":"S5","locationName":"inputs"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"WhitelistRules":{"shape":"Sfd","locationName":"whitelistRules"}}},"Sfd":{"type":"list","member":{"type":"structure","members":{"Cidr":{"locationName":"cidr"}}}},"Sfg":{"type":"structure","members":{"MaximumVideoBufferDelayMilliseconds":{"locationName":"maximumVideoBufferDelayMilliseconds","type":"integer"},"TransportStreamBitrate":{"locationName":"transportStreamBitrate","type":"integer"},"TransportStreamId":{"locationName":"transportStreamId","type":"integer"},"TransportStreamReservedBitrate":{"locationName":"transportStreamReservedBitrate","type":"integer"}},"required":["TransportStreamBitrate","TransportStreamId"]},"Sfl":{"type":"structure","members":{"Arn":{"locationName":"arn"},"AvailabilityZones":{"shape":"S5","locationName":"availabilityZones"},"Destinations":{"shape":"Sfm","locationName":"destinations"},"Id":{"locationName":"id"},"MultiplexSettings":{"shape":"Sfg","locationName":"multiplexSettings"},"Name":{"locationName":"name"},"PipelinesRunningCount":{"locationName":"pipelinesRunningCount","type":"integer"},"ProgramCount":{"locationName":"programCount","type":"integer"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"}}},"Sfm":{"type":"list","member":{"type":"structure","members":{"MediaConnectSettings":{"locationName":"mediaConnectSettings","type":"structure","members":{"EntitlementArn":{"locationName":"entitlementArn"}}}}}},"Sfr":{"type":"structure","members":{"PreferredChannelPipeline":{"locationName":"preferredChannelPipeline"},"ProgramNumber":{"locationName":"programNumber","type":"integer"},"ServiceDescriptor":{"locationName":"serviceDescriptor","type":"structure","members":{"ProviderName":{"locationName":"providerName"},"ServiceName":{"locationName":"serviceName"}},"required":["ProviderName","ServiceName"]},"VideoSettings":{"locationName":"videoSettings","type":"structure","members":{"ConstantBitrate":{"locationName":"constantBitrate","type":"integer"},"StatmuxSettings":{"locationName":"statmuxSettings","type":"structure","members":{"MaximumBitrate":{"locationName":"maximumBitrate","type":"integer"},"MinimumBitrate":{"locationName":"minimumBitrate","type":"integer"},"Priority":{"locationName":"priority","type":"integer"}}}}}},"required":["ProgramNumber"]},"Sg0":{"type":"structure","members":{"ChannelId":{"locationName":"channelId"},"MultiplexProgramSettings":{"shape":"Sfr","locationName":"multiplexProgramSettings"},"PacketIdentifiersMap":{"shape":"Sg1","locationName":"packetIdentifiersMap"},"PipelineDetails":{"shape":"Sg3","locationName":"pipelineDetails"},"ProgramName":{"locationName":"programName"}}},"Sg1":{"type":"structure","members":{"AudioPids":{"shape":"Sg2","locationName":"audioPids"},"DvbSubPids":{"shape":"Sg2","locationName":"dvbSubPids"},"DvbTeletextPid":{"locationName":"dvbTeletextPid","type":"integer"},"EtvPlatformPid":{"locationName":"etvPlatformPid","type":"integer"},"EtvSignalPid":{"locationName":"etvSignalPid","type":"integer"},"KlvDataPids":{"shape":"Sg2","locationName":"klvDataPids"},"PcrPid":{"locationName":"pcrPid","type":"integer"},"PmtPid":{"locationName":"pmtPid","type":"integer"},"PrivateMetadataPid":{"locationName":"privateMetadataPid","type":"integer"},"Scte27Pids":{"shape":"Sg2","locationName":"scte27Pids"},"Scte35Pid":{"locationName":"scte35Pid","type":"integer"},"TimedMetadataPid":{"locationName":"timedMetadataPid","type":"integer"},"VideoPid":{"locationName":"videoPid","type":"integer"}}},"Sg2":{"type":"list","member":{"type":"integer"}},"Sg3":{"type":"list","member":{"type":"structure","members":{"ActiveChannelPipeline":{"locationName":"activeChannelPipeline"},"PipelineId":{"locationName":"pipelineId"}}}},"Sgm":{"type":"structure","members":{"ChannelClass":{"locationName":"channelClass"},"Codec":{"locationName":"codec"},"MaximumBitrate":{"locationName":"maximumBitrate"},"MaximumFramerate":{"locationName":"maximumFramerate"},"Resolution":{"locationName":"resolution"},"ResourceType":{"locationName":"resourceType"},"SpecialFeature":{"locationName":"specialFeature"},"VideoQuality":{"locationName":"videoQuality"}}},"Sh7":{"type":"structure","members":{"ActiveInput":{"locationName":"activeInput"},"ConfiguredInput":{"locationName":"configuredInput"},"DeviceState":{"locationName":"deviceState"},"Framerate":{"locationName":"framerate","type":"double"},"Height":{"locationName":"height","type":"integer"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"ScanType":{"locationName":"scanType"},"Width":{"locationName":"width","type":"integer"}}},"Shc":{"type":"structure","members":{"DnsAddresses":{"shape":"S5","locationName":"dnsAddresses"},"Gateway":{"locationName":"gateway"},"IpAddress":{"locationName":"ipAddress"},"IpScheme":{"locationName":"ipScheme"},"SubnetMask":{"locationName":"subnetMask"}}},"Shf":{"type":"structure","members":{"ActiveInput":{"locationName":"activeInput"},"ConfiguredInput":{"locationName":"configuredInput"},"DeviceState":{"locationName":"deviceState"},"Framerate":{"locationName":"framerate","type":"double"},"Height":{"locationName":"height","type":"integer"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"},"ScanType":{"locationName":"scanType"},"Width":{"locationName":"width","type":"integer"}}},"Siz":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Count":{"locationName":"count","type":"integer"},"CurrencyCode":{"locationName":"currencyCode"},"Duration":{"locationName":"duration","type":"integer"},"DurationUnits":{"locationName":"durationUnits"},"End":{"locationName":"end"},"FixedPrice":{"locationName":"fixedPrice","type":"double"},"Name":{"locationName":"name"},"OfferingDescription":{"locationName":"offeringDescription"},"OfferingId":{"locationName":"offeringId"},"OfferingType":{"locationName":"offeringType"},"Region":{"locationName":"region"},"ReservationId":{"locationName":"reservationId"},"ResourceSpecification":{"shape":"Sgm","locationName":"resourceSpecification"},"Start":{"locationName":"start"},"State":{"locationName":"state"},"Tags":{"shape":"Sea","locationName":"tags"},"UsagePrice":{"locationName":"usagePrice","type":"double"}}},"Sjp":{"type":"structure","members":{"ConfiguredInput":{"locationName":"configuredInput"},"MaxBitrate":{"locationName":"maxBitrate","type":"integer"}}}}}');

/***/ }),

/***/ 84652:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeSchedule":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ScheduleActions"},"ListChannels":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Channels"},"ListInputSecurityGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"InputSecurityGroups"},"ListInputs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Inputs"},"ListOfferings":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Offerings"},"ListReservations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Reservations"},"ListMultiplexPrograms":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"MultiplexPrograms"},"ListMultiplexes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Multiplexes"},"ListInputDevices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"InputDevices"},"ListInputDeviceTransfers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"InputDeviceTransfers"}}}');

/***/ }),

/***/ 17259:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"ChannelCreated":{"description":"Wait until a channel has been created","operation":"DescribeChannel","delay":3,"maxAttempts":5,"acceptors":[{"state":"success","matcher":"path","argument":"State","expected":"IDLE"},{"state":"retry","matcher":"path","argument":"State","expected":"CREATING"},{"state":"retry","matcher":"status","expected":500},{"state":"failure","matcher":"path","argument":"State","expected":"CREATE_FAILED"}]},"ChannelRunning":{"description":"Wait until a channel is running","operation":"DescribeChannel","delay":5,"maxAttempts":120,"acceptors":[{"state":"success","matcher":"path","argument":"State","expected":"RUNNING"},{"state":"retry","matcher":"path","argument":"State","expected":"STARTING"},{"state":"retry","matcher":"status","expected":500}]},"ChannelStopped":{"description":"Wait until a channel has is stopped","operation":"DescribeChannel","delay":5,"maxAttempts":60,"acceptors":[{"state":"success","matcher":"path","argument":"State","expected":"IDLE"},{"state":"retry","matcher":"path","argument":"State","expected":"STOPPING"},{"state":"retry","matcher":"status","expected":500}]},"ChannelDeleted":{"description":"Wait until a channel has been deleted","operation":"DescribeChannel","delay":5,"maxAttempts":84,"acceptors":[{"state":"success","matcher":"path","argument":"State","expected":"DELETED"},{"state":"retry","matcher":"path","argument":"State","expected":"DELETING"},{"state":"retry","matcher":"status","expected":500}]},"InputAttached":{"description":"Wait until an input has been attached","operation":"DescribeInput","delay":5,"maxAttempts":20,"acceptors":[{"state":"success","matcher":"path","argument":"State","expected":"ATTACHED"},{"state":"retry","matcher":"path","argument":"State","expected":"DETACHED"},{"state":"retry","matcher":"status","expected":500}]},"InputDetached":{"description":"Wait until an input has been detached","operation":"DescribeInput","delay":5,"maxAttempts":84,"acceptors":[{"state":"success","matcher":"path","argument":"State","expected":"DETACHED"},{"state":"retry","matcher":"path","argument":"State","expected":"CREATING"},{"state":"retry","matcher":"path","argument":"State","expected":"ATTACHED"},{"state":"retry","matcher":"status","expected":500}]},"InputDeleted":{"description":"Wait until an input has been deleted","operation":"DescribeInput","delay":5,"maxAttempts":20,"acceptors":[{"state":"success","matcher":"path","argument":"State","expected":"DELETED"},{"state":"retry","matcher":"path","argument":"State","expected":"DELETING"},{"state":"retry","matcher":"status","expected":500}]},"MultiplexCreated":{"description":"Wait until a multiplex has been created","operation":"DescribeMultiplex","delay":3,"maxAttempts":5,"acceptors":[{"state":"success","matcher":"path","argument":"State","expected":"IDLE"},{"state":"retry","matcher":"path","argument":"State","expected":"CREATING"},{"state":"retry","matcher":"status","expected":500},{"state":"failure","matcher":"path","argument":"State","expected":"CREATE_FAILED"}]},"MultiplexRunning":{"description":"Wait until a multiplex is running","operation":"DescribeMultiplex","delay":5,"maxAttempts":120,"acceptors":[{"state":"success","matcher":"path","argument":"State","expected":"RUNNING"},{"state":"retry","matcher":"path","argument":"State","expected":"STARTING"},{"state":"retry","matcher":"status","expected":500}]},"MultiplexStopped":{"description":"Wait until a multiplex has is stopped","operation":"DescribeMultiplex","delay":5,"maxAttempts":28,"acceptors":[{"state":"success","matcher":"path","argument":"State","expected":"IDLE"},{"state":"retry","matcher":"path","argument":"State","expected":"STOPPING"},{"state":"retry","matcher":"status","expected":500}]},"MultiplexDeleted":{"description":"Wait until a multiplex has been deleted","operation":"DescribeMultiplex","delay":5,"maxAttempts":20,"acceptors":[{"state":"success","matcher":"path","argument":"State","expected":"DELETED"},{"state":"retry","matcher":"path","argument":"State","expected":"DELETING"},{"state":"retry","matcher":"status","expected":500}]}}}');

/***/ }),

/***/ 51261:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2017-10-12","endpointPrefix":"mediapackage","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"MediaPackage","serviceFullName":"AWS Elemental MediaPackage","serviceId":"MediaPackage","signatureVersion":"v4","signingName":"mediapackage","uid":"mediapackage-2017-10-12"},"operations":{"ConfigureLogs":{"http":{"method":"PUT","requestUri":"/channels/{id}/configure_logs","responseCode":200},"input":{"members":{"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"Id":{"location":"uri","locationName":"id"},"IngressAccessLogs":{"locationName":"ingressAccessLogs","shape":"S4"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"Description":{"locationName":"description"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"HlsIngest":{"locationName":"hlsIngest","shape":"S6"},"Id":{"locationName":"id"},"IngressAccessLogs":{"locationName":"ingressAccessLogs","shape":"S4"},"Tags":{"locationName":"tags","shape":"S9"}},"type":"structure"}},"CreateChannel":{"http":{"requestUri":"/channels","responseCode":200},"input":{"members":{"Description":{"locationName":"description"},"Id":{"locationName":"id"},"Tags":{"locationName":"tags","shape":"S9"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"Description":{"locationName":"description"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"HlsIngest":{"locationName":"hlsIngest","shape":"S6"},"Id":{"locationName":"id"},"IngressAccessLogs":{"locationName":"ingressAccessLogs","shape":"S4"},"Tags":{"locationName":"tags","shape":"S9"}},"type":"structure"}},"CreateHarvestJob":{"http":{"requestUri":"/harvest_jobs","responseCode":200},"input":{"members":{"EndTime":{"locationName":"endTime"},"Id":{"locationName":"id"},"OriginEndpointId":{"locationName":"originEndpointId"},"S3Destination":{"locationName":"s3Destination","shape":"Sd"},"StartTime":{"locationName":"startTime"}},"required":["S3Destination","EndTime","OriginEndpointId","StartTime","Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"ChannelId":{"locationName":"channelId"},"CreatedAt":{"locationName":"createdAt"},"EndTime":{"locationName":"endTime"},"Id":{"locationName":"id"},"OriginEndpointId":{"locationName":"originEndpointId"},"S3Destination":{"locationName":"s3Destination","shape":"Sd"},"StartTime":{"locationName":"startTime"},"Status":{"locationName":"status"}},"type":"structure"}},"CreateOriginEndpoint":{"http":{"requestUri":"/origin_endpoints","responseCode":200},"input":{"members":{"Authorization":{"locationName":"authorization","shape":"Sh"},"ChannelId":{"locationName":"channelId"},"CmafPackage":{"locationName":"cmafPackage","shape":"Si"},"DashPackage":{"locationName":"dashPackage","shape":"S10"},"Description":{"locationName":"description"},"HlsPackage":{"locationName":"hlsPackage","shape":"S18"},"Id":{"locationName":"id"},"ManifestName":{"locationName":"manifestName"},"MssPackage":{"locationName":"mssPackage","shape":"S1b"},"Origination":{"locationName":"origination"},"StartoverWindowSeconds":{"locationName":"startoverWindowSeconds","type":"integer"},"Tags":{"locationName":"tags","shape":"S9"},"TimeDelaySeconds":{"locationName":"timeDelaySeconds","type":"integer"},"Whitelist":{"locationName":"whitelist","shape":"Sp"}},"required":["ChannelId","Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"Authorization":{"locationName":"authorization","shape":"Sh"},"ChannelId":{"locationName":"channelId"},"CmafPackage":{"locationName":"cmafPackage","shape":"S1f"},"DashPackage":{"locationName":"dashPackage","shape":"S10"},"Description":{"locationName":"description"},"HlsPackage":{"locationName":"hlsPackage","shape":"S18"},"Id":{"locationName":"id"},"ManifestName":{"locationName":"manifestName"},"MssPackage":{"locationName":"mssPackage","shape":"S1b"},"Origination":{"locationName":"origination"},"StartoverWindowSeconds":{"locationName":"startoverWindowSeconds","type":"integer"},"Tags":{"locationName":"tags","shape":"S9"},"TimeDelaySeconds":{"locationName":"timeDelaySeconds","type":"integer"},"Url":{"locationName":"url"},"Whitelist":{"locationName":"whitelist","shape":"Sp"}},"type":"structure"}},"DeleteChannel":{"http":{"method":"DELETE","requestUri":"/channels/{id}","responseCode":202},"input":{"members":{"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{},"type":"structure"}},"DeleteOriginEndpoint":{"http":{"method":"DELETE","requestUri":"/origin_endpoints/{id}","responseCode":202},"input":{"members":{"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{},"type":"structure"}},"DescribeChannel":{"http":{"method":"GET","requestUri":"/channels/{id}","responseCode":200},"input":{"members":{"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"Description":{"locationName":"description"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"HlsIngest":{"locationName":"hlsIngest","shape":"S6"},"Id":{"locationName":"id"},"IngressAccessLogs":{"locationName":"ingressAccessLogs","shape":"S4"},"Tags":{"locationName":"tags","shape":"S9"}},"type":"structure"}},"DescribeHarvestJob":{"http":{"method":"GET","requestUri":"/harvest_jobs/{id}","responseCode":200},"input":{"members":{"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"ChannelId":{"locationName":"channelId"},"CreatedAt":{"locationName":"createdAt"},"EndTime":{"locationName":"endTime"},"Id":{"locationName":"id"},"OriginEndpointId":{"locationName":"originEndpointId"},"S3Destination":{"locationName":"s3Destination","shape":"Sd"},"StartTime":{"locationName":"startTime"},"Status":{"locationName":"status"}},"type":"structure"}},"DescribeOriginEndpoint":{"http":{"method":"GET","requestUri":"/origin_endpoints/{id}","responseCode":200},"input":{"members":{"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"Authorization":{"locationName":"authorization","shape":"Sh"},"ChannelId":{"locationName":"channelId"},"CmafPackage":{"locationName":"cmafPackage","shape":"S1f"},"DashPackage":{"locationName":"dashPackage","shape":"S10"},"Description":{"locationName":"description"},"HlsPackage":{"locationName":"hlsPackage","shape":"S18"},"Id":{"locationName":"id"},"ManifestName":{"locationName":"manifestName"},"MssPackage":{"locationName":"mssPackage","shape":"S1b"},"Origination":{"locationName":"origination"},"StartoverWindowSeconds":{"locationName":"startoverWindowSeconds","type":"integer"},"Tags":{"locationName":"tags","shape":"S9"},"TimeDelaySeconds":{"locationName":"timeDelaySeconds","type":"integer"},"Url":{"locationName":"url"},"Whitelist":{"locationName":"whitelist","shape":"Sp"}},"type":"structure"}},"ListChannels":{"http":{"method":"GET","requestUri":"/channels","responseCode":200},"input":{"members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"type":"structure"},"output":{"members":{"Channels":{"locationName":"channels","member":{"members":{"Arn":{"locationName":"arn"},"Description":{"locationName":"description"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"HlsIngest":{"locationName":"hlsIngest","shape":"S6"},"Id":{"locationName":"id"},"IngressAccessLogs":{"locationName":"ingressAccessLogs","shape":"S4"},"Tags":{"locationName":"tags","shape":"S9"}},"type":"structure"},"type":"list"},"NextToken":{"locationName":"nextToken"}},"type":"structure"}},"ListHarvestJobs":{"http":{"method":"GET","requestUri":"/harvest_jobs","responseCode":200},"input":{"members":{"IncludeChannelId":{"location":"querystring","locationName":"includeChannelId"},"IncludeStatus":{"location":"querystring","locationName":"includeStatus"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"type":"structure"},"output":{"members":{"HarvestJobs":{"locationName":"harvestJobs","member":{"members":{"Arn":{"locationName":"arn"},"ChannelId":{"locationName":"channelId"},"CreatedAt":{"locationName":"createdAt"},"EndTime":{"locationName":"endTime"},"Id":{"locationName":"id"},"OriginEndpointId":{"locationName":"originEndpointId"},"S3Destination":{"locationName":"s3Destination","shape":"Sd"},"StartTime":{"locationName":"startTime"},"Status":{"locationName":"status"}},"type":"structure"},"type":"list"},"NextToken":{"locationName":"nextToken"}},"type":"structure"}},"ListOriginEndpoints":{"http":{"method":"GET","requestUri":"/origin_endpoints","responseCode":200},"input":{"members":{"ChannelId":{"location":"querystring","locationName":"channelId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"type":"structure"},"output":{"members":{"NextToken":{"locationName":"nextToken"},"OriginEndpoints":{"locationName":"originEndpoints","member":{"members":{"Arn":{"locationName":"arn"},"Authorization":{"locationName":"authorization","shape":"Sh"},"ChannelId":{"locationName":"channelId"},"CmafPackage":{"locationName":"cmafPackage","shape":"S1f"},"DashPackage":{"locationName":"dashPackage","shape":"S10"},"Description":{"locationName":"description"},"HlsPackage":{"locationName":"hlsPackage","shape":"S18"},"Id":{"locationName":"id"},"ManifestName":{"locationName":"manifestName"},"MssPackage":{"locationName":"mssPackage","shape":"S1b"},"Origination":{"locationName":"origination"},"StartoverWindowSeconds":{"locationName":"startoverWindowSeconds","type":"integer"},"Tags":{"locationName":"tags","shape":"S9"},"TimeDelaySeconds":{"locationName":"timeDelaySeconds","type":"integer"},"Url":{"locationName":"url"},"Whitelist":{"locationName":"whitelist","shape":"Sp"}},"type":"structure"},"type":"list"}},"type":"structure"}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resource-arn}","responseCode":200},"input":{"members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"}},"required":["ResourceArn"],"type":"structure"},"output":{"members":{"Tags":{"locationName":"tags","shape":"S27"}},"type":"structure"}},"RotateChannelCredentials":{"deprecated":true,"deprecatedMessage":"This API is deprecated. Please use RotateIngestEndpointCredentials instead","http":{"method":"PUT","requestUri":"/channels/{id}/credentials","responseCode":200},"input":{"deprecated":true,"members":{"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"deprecated":true,"members":{"Arn":{"locationName":"arn"},"Description":{"locationName":"description"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"HlsIngest":{"locationName":"hlsIngest","shape":"S6"},"Id":{"locationName":"id"},"IngressAccessLogs":{"locationName":"ingressAccessLogs","shape":"S4"},"Tags":{"locationName":"tags","shape":"S9"}},"type":"structure"}},"RotateIngestEndpointCredentials":{"http":{"method":"PUT","requestUri":"/channels/{id}/ingest_endpoints/{ingest_endpoint_id}/credentials","responseCode":200},"input":{"members":{"Id":{"location":"uri","locationName":"id"},"IngestEndpointId":{"location":"uri","locationName":"ingest_endpoint_id"}},"required":["IngestEndpointId","Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"Description":{"locationName":"description"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"HlsIngest":{"locationName":"hlsIngest","shape":"S6"},"Id":{"locationName":"id"},"IngressAccessLogs":{"locationName":"ingressAccessLogs","shape":"S4"},"Tags":{"locationName":"tags","shape":"S9"}},"type":"structure"}},"TagResource":{"http":{"requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"Tags":{"locationName":"tags","shape":"S27"}},"required":["ResourceArn","Tags"],"type":"structure"}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","shape":"Sp"}},"required":["TagKeys","ResourceArn"],"type":"structure"}},"UpdateChannel":{"http":{"method":"PUT","requestUri":"/channels/{id}","responseCode":200},"input":{"members":{"Description":{"locationName":"description"},"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"Description":{"locationName":"description"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"HlsIngest":{"locationName":"hlsIngest","shape":"S6"},"Id":{"locationName":"id"},"IngressAccessLogs":{"locationName":"ingressAccessLogs","shape":"S4"},"Tags":{"locationName":"tags","shape":"S9"}},"type":"structure"}},"UpdateOriginEndpoint":{"http":{"method":"PUT","requestUri":"/origin_endpoints/{id}","responseCode":200},"input":{"members":{"Authorization":{"locationName":"authorization","shape":"Sh"},"CmafPackage":{"locationName":"cmafPackage","shape":"Si"},"DashPackage":{"locationName":"dashPackage","shape":"S10"},"Description":{"locationName":"description"},"HlsPackage":{"locationName":"hlsPackage","shape":"S18"},"Id":{"location":"uri","locationName":"id"},"ManifestName":{"locationName":"manifestName"},"MssPackage":{"locationName":"mssPackage","shape":"S1b"},"Origination":{"locationName":"origination"},"StartoverWindowSeconds":{"locationName":"startoverWindowSeconds","type":"integer"},"TimeDelaySeconds":{"locationName":"timeDelaySeconds","type":"integer"},"Whitelist":{"locationName":"whitelist","shape":"Sp"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"Authorization":{"locationName":"authorization","shape":"Sh"},"ChannelId":{"locationName":"channelId"},"CmafPackage":{"locationName":"cmafPackage","shape":"S1f"},"DashPackage":{"locationName":"dashPackage","shape":"S10"},"Description":{"locationName":"description"},"HlsPackage":{"locationName":"hlsPackage","shape":"S18"},"Id":{"locationName":"id"},"ManifestName":{"locationName":"manifestName"},"MssPackage":{"locationName":"mssPackage","shape":"S1b"},"Origination":{"locationName":"origination"},"StartoverWindowSeconds":{"locationName":"startoverWindowSeconds","type":"integer"},"Tags":{"locationName":"tags","shape":"S9"},"TimeDelaySeconds":{"locationName":"timeDelaySeconds","type":"integer"},"Url":{"locationName":"url"},"Whitelist":{"locationName":"whitelist","shape":"Sp"}},"type":"structure"}}},"shapes":{"S2":{"members":{"LogGroupName":{"locationName":"logGroupName"}},"type":"structure"},"S4":{"members":{"LogGroupName":{"locationName":"logGroupName"}},"type":"structure"},"S6":{"members":{"IngestEndpoints":{"locationName":"ingestEndpoints","member":{"members":{"Id":{"locationName":"id"},"Password":{"locationName":"password"},"Url":{"locationName":"url"},"Username":{"locationName":"username"}},"type":"structure"},"type":"list"}},"type":"structure"},"S9":{"key":{},"type":"map","value":{}},"Sd":{"members":{"BucketName":{"locationName":"bucketName"},"ManifestKey":{"locationName":"manifestKey"},"RoleArn":{"locationName":"roleArn"}},"required":["ManifestKey","BucketName","RoleArn"],"type":"structure"},"Sh":{"members":{"CdnIdentifierSecret":{"locationName":"cdnIdentifierSecret"},"SecretsRoleArn":{"locationName":"secretsRoleArn"}},"required":["SecretsRoleArn","CdnIdentifierSecret"],"type":"structure"},"Si":{"members":{"Encryption":{"locationName":"encryption","shape":"Sj"},"HlsManifests":{"locationName":"hlsManifests","member":{"members":{"AdMarkers":{"locationName":"adMarkers"},"AdTriggers":{"locationName":"adTriggers","shape":"St"},"AdsOnDeliveryRestrictions":{"locationName":"adsOnDeliveryRestrictions"},"Id":{"locationName":"id"},"IncludeIframeOnlyStream":{"locationName":"includeIframeOnlyStream","type":"boolean"},"ManifestName":{"locationName":"manifestName"},"PlaylistType":{"locationName":"playlistType"},"PlaylistWindowSeconds":{"locationName":"playlistWindowSeconds","type":"integer"},"ProgramDateTimeIntervalSeconds":{"locationName":"programDateTimeIntervalSeconds","type":"integer"}},"required":["Id"],"type":"structure"},"type":"list"},"SegmentDurationSeconds":{"locationName":"segmentDurationSeconds","type":"integer"},"SegmentPrefix":{"locationName":"segmentPrefix"},"StreamSelection":{"locationName":"streamSelection","shape":"Sy"}},"type":"structure"},"Sj":{"members":{"ConstantInitializationVector":{"locationName":"constantInitializationVector"},"KeyRotationIntervalSeconds":{"locationName":"keyRotationIntervalSeconds","type":"integer"},"SpekeKeyProvider":{"locationName":"spekeKeyProvider","shape":"Sl"}},"required":["SpekeKeyProvider"],"type":"structure"},"Sl":{"members":{"CertificateArn":{"locationName":"certificateArn"},"EncryptionContractConfiguration":{"locationName":"encryptionContractConfiguration","members":{"PresetSpeke20Audio":{"locationName":"presetSpeke20Audio"},"PresetSpeke20Video":{"locationName":"presetSpeke20Video"}},"required":["PresetSpeke20Audio","PresetSpeke20Video"],"type":"structure"},"ResourceId":{"locationName":"resourceId"},"RoleArn":{"locationName":"roleArn"},"SystemIds":{"locationName":"systemIds","shape":"Sp"},"Url":{"locationName":"url"}},"required":["ResourceId","SystemIds","Url","RoleArn"],"type":"structure"},"Sp":{"member":{},"type":"list"},"St":{"member":{},"type":"list"},"Sy":{"members":{"MaxVideoBitsPerSecond":{"locationName":"maxVideoBitsPerSecond","type":"integer"},"MinVideoBitsPerSecond":{"locationName":"minVideoBitsPerSecond","type":"integer"},"StreamOrder":{"locationName":"streamOrder"}},"type":"structure"},"S10":{"members":{"AdTriggers":{"locationName":"adTriggers","shape":"St"},"AdsOnDeliveryRestrictions":{"locationName":"adsOnDeliveryRestrictions"},"Encryption":{"locationName":"encryption","members":{"KeyRotationIntervalSeconds":{"locationName":"keyRotationIntervalSeconds","type":"integer"},"SpekeKeyProvider":{"locationName":"spekeKeyProvider","shape":"Sl"}},"required":["SpekeKeyProvider"],"type":"structure"},"ManifestLayout":{"locationName":"manifestLayout"},"ManifestWindowSeconds":{"locationName":"manifestWindowSeconds","type":"integer"},"MinBufferTimeSeconds":{"locationName":"minBufferTimeSeconds","type":"integer"},"MinUpdatePeriodSeconds":{"locationName":"minUpdatePeriodSeconds","type":"integer"},"PeriodTriggers":{"locationName":"periodTriggers","member":{},"type":"list"},"Profile":{"locationName":"profile"},"SegmentDurationSeconds":{"locationName":"segmentDurationSeconds","type":"integer"},"SegmentTemplateFormat":{"locationName":"segmentTemplateFormat"},"StreamSelection":{"locationName":"streamSelection","shape":"Sy"},"SuggestedPresentationDelaySeconds":{"locationName":"suggestedPresentationDelaySeconds","type":"integer"},"UtcTiming":{"locationName":"utcTiming"},"UtcTimingUri":{"locationName":"utcTimingUri"}},"type":"structure"},"S18":{"members":{"AdMarkers":{"locationName":"adMarkers"},"AdTriggers":{"locationName":"adTriggers","shape":"St"},"AdsOnDeliveryRestrictions":{"locationName":"adsOnDeliveryRestrictions"},"Encryption":{"locationName":"encryption","members":{"ConstantInitializationVector":{"locationName":"constantInitializationVector"},"EncryptionMethod":{"locationName":"encryptionMethod"},"KeyRotationIntervalSeconds":{"locationName":"keyRotationIntervalSeconds","type":"integer"},"RepeatExtXKey":{"locationName":"repeatExtXKey","type":"boolean"},"SpekeKeyProvider":{"locationName":"spekeKeyProvider","shape":"Sl"}},"required":["SpekeKeyProvider"],"type":"structure"},"IncludeDvbSubtitles":{"locationName":"includeDvbSubtitles","type":"boolean"},"IncludeIframeOnlyStream":{"locationName":"includeIframeOnlyStream","type":"boolean"},"PlaylistType":{"locationName":"playlistType"},"PlaylistWindowSeconds":{"locationName":"playlistWindowSeconds","type":"integer"},"ProgramDateTimeIntervalSeconds":{"locationName":"programDateTimeIntervalSeconds","type":"integer"},"SegmentDurationSeconds":{"locationName":"segmentDurationSeconds","type":"integer"},"StreamSelection":{"locationName":"streamSelection","shape":"Sy"},"UseAudioRenditionGroup":{"locationName":"useAudioRenditionGroup","type":"boolean"}},"type":"structure"},"S1b":{"members":{"Encryption":{"locationName":"encryption","members":{"SpekeKeyProvider":{"locationName":"spekeKeyProvider","shape":"Sl"}},"required":["SpekeKeyProvider"],"type":"structure"},"ManifestWindowSeconds":{"locationName":"manifestWindowSeconds","type":"integer"},"SegmentDurationSeconds":{"locationName":"segmentDurationSeconds","type":"integer"},"StreamSelection":{"locationName":"streamSelection","shape":"Sy"}},"type":"structure"},"S1f":{"members":{"Encryption":{"locationName":"encryption","shape":"Sj"},"HlsManifests":{"locationName":"hlsManifests","member":{"members":{"AdMarkers":{"locationName":"adMarkers"},"Id":{"locationName":"id"},"IncludeIframeOnlyStream":{"locationName":"includeIframeOnlyStream","type":"boolean"},"ManifestName":{"locationName":"manifestName"},"PlaylistType":{"locationName":"playlistType"},"PlaylistWindowSeconds":{"locationName":"playlistWindowSeconds","type":"integer"},"ProgramDateTimeIntervalSeconds":{"locationName":"programDateTimeIntervalSeconds","type":"integer"},"Url":{"locationName":"url"}},"required":["Id"],"type":"structure"},"type":"list"},"SegmentDurationSeconds":{"locationName":"segmentDurationSeconds","type":"integer"},"SegmentPrefix":{"locationName":"segmentPrefix"},"StreamSelection":{"locationName":"streamSelection","shape":"Sy"}},"type":"structure"},"S27":{"key":{},"type":"map","value":{}}}}');

/***/ }),

/***/ 48933:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListChannels":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Channels"},"ListOriginEndpoints":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"OriginEndpoints"},"ListHarvestJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"HarvestJobs"}}}');

/***/ }),

/***/ 98877:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2018-11-07","endpointPrefix":"mediapackage-vod","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"MediaPackage Vod","serviceFullName":"AWS Elemental MediaPackage VOD","serviceId":"MediaPackage Vod","signatureVersion":"v4","signingName":"mediapackage-vod","uid":"mediapackage-vod-2018-11-07"},"operations":{"ConfigureLogs":{"http":{"method":"PUT","requestUri":"/packaging_groups/{id}/configure_logs","responseCode":200},"input":{"members":{"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"Authorization":{"locationName":"authorization","shape":"S5"},"DomainName":{"locationName":"domainName"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"Id":{"locationName":"id"},"Tags":{"locationName":"tags","shape":"S6"}},"type":"structure"}},"CreateAsset":{"http":{"requestUri":"/assets","responseCode":200},"input":{"members":{"Id":{"locationName":"id"},"PackagingGroupId":{"locationName":"packagingGroupId"},"ResourceId":{"locationName":"resourceId"},"SourceArn":{"locationName":"sourceArn"},"SourceRoleArn":{"locationName":"sourceRoleArn"},"Tags":{"locationName":"tags","shape":"S6"}},"required":["SourceArn","Id","PackagingGroupId","SourceRoleArn"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"CreatedAt":{"locationName":"createdAt"},"EgressEndpoints":{"locationName":"egressEndpoints","shape":"S9"},"Id":{"locationName":"id"},"PackagingGroupId":{"locationName":"packagingGroupId"},"ResourceId":{"locationName":"resourceId"},"SourceArn":{"locationName":"sourceArn"},"SourceRoleArn":{"locationName":"sourceRoleArn"},"Tags":{"locationName":"tags","shape":"S6"}},"type":"structure"}},"CreatePackagingConfiguration":{"http":{"requestUri":"/packaging_configurations","responseCode":200},"input":{"members":{"CmafPackage":{"locationName":"cmafPackage","shape":"Sc"},"DashPackage":{"locationName":"dashPackage","shape":"Sn"},"HlsPackage":{"locationName":"hlsPackage","shape":"Sw"},"Id":{"locationName":"id"},"MssPackage":{"locationName":"mssPackage","shape":"Sz"},"PackagingGroupId":{"locationName":"packagingGroupId"},"Tags":{"locationName":"tags","shape":"S6"}},"required":["Id","PackagingGroupId"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"CmafPackage":{"locationName":"cmafPackage","shape":"Sc"},"DashPackage":{"locationName":"dashPackage","shape":"Sn"},"HlsPackage":{"locationName":"hlsPackage","shape":"Sw"},"Id":{"locationName":"id"},"MssPackage":{"locationName":"mssPackage","shape":"Sz"},"PackagingGroupId":{"locationName":"packagingGroupId"},"Tags":{"locationName":"tags","shape":"S6"}},"type":"structure"}},"CreatePackagingGroup":{"http":{"requestUri":"/packaging_groups","responseCode":200},"input":{"members":{"Authorization":{"locationName":"authorization","shape":"S5"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"Id":{"locationName":"id"},"Tags":{"locationName":"tags","shape":"S6"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"Authorization":{"locationName":"authorization","shape":"S5"},"DomainName":{"locationName":"domainName"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"Id":{"locationName":"id"},"Tags":{"locationName":"tags","shape":"S6"}},"type":"structure"}},"DeleteAsset":{"http":{"method":"DELETE","requestUri":"/assets/{id}","responseCode":202},"input":{"members":{"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{},"type":"structure"}},"DeletePackagingConfiguration":{"http":{"method":"DELETE","requestUri":"/packaging_configurations/{id}","responseCode":202},"input":{"members":{"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{},"type":"structure"}},"DeletePackagingGroup":{"http":{"method":"DELETE","requestUri":"/packaging_groups/{id}","responseCode":202},"input":{"members":{"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{},"type":"structure"}},"DescribeAsset":{"http":{"method":"GET","requestUri":"/assets/{id}","responseCode":200},"input":{"members":{"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"CreatedAt":{"locationName":"createdAt"},"EgressEndpoints":{"locationName":"egressEndpoints","shape":"S9"},"Id":{"locationName":"id"},"PackagingGroupId":{"locationName":"packagingGroupId"},"ResourceId":{"locationName":"resourceId"},"SourceArn":{"locationName":"sourceArn"},"SourceRoleArn":{"locationName":"sourceRoleArn"},"Tags":{"locationName":"tags","shape":"S6"}},"type":"structure"}},"DescribePackagingConfiguration":{"http":{"method":"GET","requestUri":"/packaging_configurations/{id}","responseCode":200},"input":{"members":{"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"CmafPackage":{"locationName":"cmafPackage","shape":"Sc"},"DashPackage":{"locationName":"dashPackage","shape":"Sn"},"HlsPackage":{"locationName":"hlsPackage","shape":"Sw"},"Id":{"locationName":"id"},"MssPackage":{"locationName":"mssPackage","shape":"Sz"},"PackagingGroupId":{"locationName":"packagingGroupId"},"Tags":{"locationName":"tags","shape":"S6"}},"type":"structure"}},"DescribePackagingGroup":{"http":{"method":"GET","requestUri":"/packaging_groups/{id}","responseCode":200},"input":{"members":{"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"Authorization":{"locationName":"authorization","shape":"S5"},"DomainName":{"locationName":"domainName"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"Id":{"locationName":"id"},"Tags":{"locationName":"tags","shape":"S6"}},"type":"structure"}},"ListAssets":{"http":{"method":"GET","requestUri":"/assets","responseCode":200},"input":{"members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"PackagingGroupId":{"location":"querystring","locationName":"packagingGroupId"}},"type":"structure"},"output":{"members":{"Assets":{"locationName":"assets","member":{"members":{"Arn":{"locationName":"arn"},"CreatedAt":{"locationName":"createdAt"},"Id":{"locationName":"id"},"PackagingGroupId":{"locationName":"packagingGroupId"},"ResourceId":{"locationName":"resourceId"},"SourceArn":{"locationName":"sourceArn"},"SourceRoleArn":{"locationName":"sourceRoleArn"},"Tags":{"locationName":"tags","shape":"S6"}},"type":"structure"},"type":"list"},"NextToken":{"locationName":"nextToken"}},"type":"structure"}},"ListPackagingConfigurations":{"http":{"method":"GET","requestUri":"/packaging_configurations","responseCode":200},"input":{"members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"PackagingGroupId":{"location":"querystring","locationName":"packagingGroupId"}},"type":"structure"},"output":{"members":{"NextToken":{"locationName":"nextToken"},"PackagingConfigurations":{"locationName":"packagingConfigurations","member":{"members":{"Arn":{"locationName":"arn"},"CmafPackage":{"locationName":"cmafPackage","shape":"Sc"},"DashPackage":{"locationName":"dashPackage","shape":"Sn"},"HlsPackage":{"locationName":"hlsPackage","shape":"Sw"},"Id":{"locationName":"id"},"MssPackage":{"locationName":"mssPackage","shape":"Sz"},"PackagingGroupId":{"locationName":"packagingGroupId"},"Tags":{"locationName":"tags","shape":"S6"}},"type":"structure"},"type":"list"}},"type":"structure"}},"ListPackagingGroups":{"http":{"method":"GET","requestUri":"/packaging_groups","responseCode":200},"input":{"members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"type":"structure"},"output":{"members":{"NextToken":{"locationName":"nextToken"},"PackagingGroups":{"locationName":"packagingGroups","member":{"members":{"Arn":{"locationName":"arn"},"Authorization":{"locationName":"authorization","shape":"S5"},"DomainName":{"locationName":"domainName"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"Id":{"locationName":"id"},"Tags":{"locationName":"tags","shape":"S6"}},"type":"structure"},"type":"list"}},"type":"structure"}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resource-arn}","responseCode":200},"input":{"members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"}},"required":["ResourceArn"],"type":"structure"},"output":{"members":{"Tags":{"locationName":"tags","shape":"S1x"}},"type":"structure"}},"TagResource":{"http":{"requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"Tags":{"locationName":"tags","shape":"S1x"}},"required":["ResourceArn","Tags"],"type":"structure"}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","shape":"Sf"}},"required":["TagKeys","ResourceArn"],"type":"structure"}},"UpdatePackagingGroup":{"http":{"method":"PUT","requestUri":"/packaging_groups/{id}","responseCode":200},"input":{"members":{"Authorization":{"locationName":"authorization","shape":"S5"},"Id":{"location":"uri","locationName":"id"}},"required":["Id"],"type":"structure"},"output":{"members":{"Arn":{"locationName":"arn"},"Authorization":{"locationName":"authorization","shape":"S5"},"DomainName":{"locationName":"domainName"},"EgressAccessLogs":{"locationName":"egressAccessLogs","shape":"S2"},"Id":{"locationName":"id"},"Tags":{"locationName":"tags","shape":"S6"}},"type":"structure"}}},"shapes":{"S2":{"members":{"LogGroupName":{"locationName":"logGroupName"}},"type":"structure"},"S5":{"members":{"CdnIdentifierSecret":{"locationName":"cdnIdentifierSecret"},"SecretsRoleArn":{"locationName":"secretsRoleArn"}},"required":["SecretsRoleArn","CdnIdentifierSecret"],"type":"structure"},"S6":{"key":{},"type":"map","value":{}},"S9":{"member":{"members":{"PackagingConfigurationId":{"locationName":"packagingConfigurationId"},"Status":{"locationName":"status"},"Url":{"locationName":"url"}},"type":"structure"},"type":"list"},"Sc":{"members":{"Encryption":{"locationName":"encryption","members":{"ConstantInitializationVector":{"locationName":"constantInitializationVector"},"SpekeKeyProvider":{"locationName":"spekeKeyProvider","shape":"Se"}},"required":["SpekeKeyProvider"],"type":"structure"},"HlsManifests":{"locationName":"hlsManifests","shape":"Sg"},"IncludeEncoderConfigurationInSegments":{"locationName":"includeEncoderConfigurationInSegments","type":"boolean"},"SegmentDurationSeconds":{"locationName":"segmentDurationSeconds","type":"integer"}},"required":["HlsManifests"],"type":"structure"},"Se":{"members":{"RoleArn":{"locationName":"roleArn"},"SystemIds":{"locationName":"systemIds","shape":"Sf"},"Url":{"locationName":"url"}},"required":["SystemIds","Url","RoleArn"],"type":"structure"},"Sf":{"member":{},"type":"list"},"Sg":{"member":{"members":{"AdMarkers":{"locationName":"adMarkers"},"IncludeIframeOnlyStream":{"locationName":"includeIframeOnlyStream","type":"boolean"},"ManifestName":{"locationName":"manifestName"},"ProgramDateTimeIntervalSeconds":{"locationName":"programDateTimeIntervalSeconds","type":"integer"},"RepeatExtXKey":{"locationName":"repeatExtXKey","type":"boolean"},"StreamSelection":{"locationName":"streamSelection","shape":"Sl"}},"type":"structure"},"type":"list"},"Sl":{"members":{"MaxVideoBitsPerSecond":{"locationName":"maxVideoBitsPerSecond","type":"integer"},"MinVideoBitsPerSecond":{"locationName":"minVideoBitsPerSecond","type":"integer"},"StreamOrder":{"locationName":"streamOrder"}},"type":"structure"},"Sn":{"members":{"DashManifests":{"locationName":"dashManifests","member":{"members":{"ManifestLayout":{"locationName":"manifestLayout"},"ManifestName":{"locationName":"manifestName"},"MinBufferTimeSeconds":{"locationName":"minBufferTimeSeconds","type":"integer"},"Profile":{"locationName":"profile"},"StreamSelection":{"locationName":"streamSelection","shape":"Sl"}},"type":"structure"},"type":"list"},"Encryption":{"locationName":"encryption","members":{"SpekeKeyProvider":{"locationName":"spekeKeyProvider","shape":"Se"}},"required":["SpekeKeyProvider"],"type":"structure"},"IncludeEncoderConfigurationInSegments":{"locationName":"includeEncoderConfigurationInSegments","type":"boolean"},"PeriodTriggers":{"locationName":"periodTriggers","member":{},"type":"list"},"SegmentDurationSeconds":{"locationName":"segmentDurationSeconds","type":"integer"},"SegmentTemplateFormat":{"locationName":"segmentTemplateFormat"}},"required":["DashManifests"],"type":"structure"},"Sw":{"members":{"Encryption":{"locationName":"encryption","members":{"ConstantInitializationVector":{"locationName":"constantInitializationVector"},"EncryptionMethod":{"locationName":"encryptionMethod"},"SpekeKeyProvider":{"locationName":"spekeKeyProvider","shape":"Se"}},"required":["SpekeKeyProvider"],"type":"structure"},"HlsManifests":{"locationName":"hlsManifests","shape":"Sg"},"IncludeDvbSubtitles":{"locationName":"includeDvbSubtitles","type":"boolean"},"SegmentDurationSeconds":{"locationName":"segmentDurationSeconds","type":"integer"},"UseAudioRenditionGroup":{"locationName":"useAudioRenditionGroup","type":"boolean"}},"required":["HlsManifests"],"type":"structure"},"Sz":{"members":{"Encryption":{"locationName":"encryption","members":{"SpekeKeyProvider":{"locationName":"spekeKeyProvider","shape":"Se"}},"required":["SpekeKeyProvider"],"type":"structure"},"MssManifests":{"locationName":"mssManifests","member":{"members":{"ManifestName":{"locationName":"manifestName"},"StreamSelection":{"locationName":"streamSelection","shape":"Sl"}},"type":"structure"},"type":"list"},"SegmentDurationSeconds":{"locationName":"segmentDurationSeconds","type":"integer"}},"required":["MssManifests"],"type":"structure"},"S1x":{"key":{},"type":"map","value":{}}}}');

/***/ }),

/***/ 48422:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAssets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Assets"},"ListPackagingConfigurations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PackagingConfigurations"},"ListPackagingGroups":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PackagingGroups"}}}');

/***/ }),

/***/ 68901:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-09-01","endpointPrefix":"mediastore","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"MediaStore","serviceFullName":"AWS Elemental MediaStore","serviceId":"MediaStore","signatureVersion":"v4","signingName":"mediastore","targetPrefix":"MediaStore_20170901","uid":"mediastore-2017-09-01"},"operations":{"CreateContainer":{"input":{"type":"structure","required":["ContainerName"],"members":{"ContainerName":{},"Tags":{"shape":"S3"}}},"output":{"type":"structure","required":["Container"],"members":{"Container":{"shape":"S8"}}}},"DeleteContainer":{"input":{"type":"structure","required":["ContainerName"],"members":{"ContainerName":{}}},"output":{"type":"structure","members":{}}},"DeleteContainerPolicy":{"input":{"type":"structure","required":["ContainerName"],"members":{"ContainerName":{}}},"output":{"type":"structure","members":{}}},"DeleteCorsPolicy":{"input":{"type":"structure","required":["ContainerName"],"members":{"ContainerName":{}}},"output":{"type":"structure","members":{}}},"DeleteLifecyclePolicy":{"input":{"type":"structure","required":["ContainerName"],"members":{"ContainerName":{}}},"output":{"type":"structure","members":{}}},"DeleteMetricPolicy":{"input":{"type":"structure","required":["ContainerName"],"members":{"ContainerName":{}}},"output":{"type":"structure","members":{}}},"DescribeContainer":{"input":{"type":"structure","members":{"ContainerName":{}}},"output":{"type":"structure","members":{"Container":{"shape":"S8"}}}},"GetContainerPolicy":{"input":{"type":"structure","required":["ContainerName"],"members":{"ContainerName":{}}},"output":{"type":"structure","required":["Policy"],"members":{"Policy":{}}}},"GetCorsPolicy":{"input":{"type":"structure","required":["ContainerName"],"members":{"ContainerName":{}}},"output":{"type":"structure","required":["CorsPolicy"],"members":{"CorsPolicy":{"shape":"Sv"}}}},"GetLifecyclePolicy":{"input":{"type":"structure","required":["ContainerName"],"members":{"ContainerName":{}}},"output":{"type":"structure","required":["LifecyclePolicy"],"members":{"LifecyclePolicy":{}}}},"GetMetricPolicy":{"input":{"type":"structure","required":["ContainerName"],"members":{"ContainerName":{}}},"output":{"type":"structure","required":["MetricPolicy"],"members":{"MetricPolicy":{"shape":"S1a"}}}},"ListContainers":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["Containers"],"members":{"Containers":{"type":"list","member":{"shape":"S8"}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["Resource"],"members":{"Resource":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S3"}}}},"PutContainerPolicy":{"input":{"type":"structure","required":["ContainerName","Policy"],"members":{"ContainerName":{},"Policy":{}}},"output":{"type":"structure","members":{}}},"PutCorsPolicy":{"input":{"type":"structure","required":["ContainerName","CorsPolicy"],"members":{"ContainerName":{},"CorsPolicy":{"shape":"Sv"}}},"output":{"type":"structure","members":{}}},"PutLifecyclePolicy":{"input":{"type":"structure","required":["ContainerName","LifecyclePolicy"],"members":{"ContainerName":{},"LifecyclePolicy":{}}},"output":{"type":"structure","members":{}}},"PutMetricPolicy":{"input":{"type":"structure","required":["ContainerName","MetricPolicy"],"members":{"ContainerName":{},"MetricPolicy":{"shape":"S1a"}}},"output":{"type":"structure","members":{}}},"StartAccessLogging":{"input":{"type":"structure","required":["ContainerName"],"members":{"ContainerName":{}}},"output":{"type":"structure","members":{}}},"StopAccessLogging":{"input":{"type":"structure","required":["ContainerName"],"members":{"ContainerName":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["Resource","Tags"],"members":{"Resource":{},"Tags":{"shape":"S3"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["Resource","TagKeys"],"members":{"Resource":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"S3":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"S8":{"type":"structure","members":{"Endpoint":{},"CreationTime":{"type":"timestamp"},"ARN":{},"Name":{},"Status":{},"AccessLoggingEnabled":{"type":"boolean"}}},"Sv":{"type":"list","member":{"type":"structure","required":["AllowedOrigins","AllowedHeaders"],"members":{"AllowedOrigins":{"type":"list","member":{}},"AllowedMethods":{"type":"list","member":{}},"AllowedHeaders":{"type":"list","member":{}},"MaxAgeSeconds":{"type":"integer"},"ExposeHeaders":{"type":"list","member":{}}}}},"S1a":{"type":"structure","required":["ContainerLevelMetrics"],"members":{"ContainerLevelMetrics":{},"MetricPolicyRules":{"type":"list","member":{"type":"structure","required":["ObjectGroup","ObjectGroupName"],"members":{"ObjectGroup":{},"ObjectGroupName":{}}}}}}}}');

/***/ }),

/***/ 5848:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListContainers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 55081:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-09-01","endpointPrefix":"data.mediastore","protocol":"rest-json","serviceAbbreviation":"MediaStore Data","serviceFullName":"AWS Elemental MediaStore Data Plane","serviceId":"MediaStore Data","signatureVersion":"v4","signingName":"mediastore","uid":"mediastore-data-2017-09-01"},"operations":{"DeleteObject":{"http":{"method":"DELETE","requestUri":"/{Path+}"},"input":{"type":"structure","required":["Path"],"members":{"Path":{"location":"uri","locationName":"Path"}}},"output":{"type":"structure","members":{}}},"DescribeObject":{"http":{"method":"HEAD","requestUri":"/{Path+}"},"input":{"type":"structure","required":["Path"],"members":{"Path":{"location":"uri","locationName":"Path"}}},"output":{"type":"structure","members":{"ETag":{"location":"header","locationName":"ETag"},"ContentType":{"location":"header","locationName":"Content-Type"},"ContentLength":{"location":"header","locationName":"Content-Length","type":"long"},"CacheControl":{"location":"header","locationName":"Cache-Control"},"LastModified":{"location":"header","locationName":"Last-Modified","type":"timestamp"}}}},"GetObject":{"http":{"method":"GET","requestUri":"/{Path+}"},"input":{"type":"structure","required":["Path"],"members":{"Path":{"location":"uri","locationName":"Path"},"Range":{"location":"header","locationName":"Range"}}},"output":{"type":"structure","required":["StatusCode"],"members":{"Body":{"shape":"Se"},"CacheControl":{"location":"header","locationName":"Cache-Control"},"ContentRange":{"location":"header","locationName":"Content-Range"},"ContentLength":{"location":"header","locationName":"Content-Length","type":"long"},"ContentType":{"location":"header","locationName":"Content-Type"},"ETag":{"location":"header","locationName":"ETag"},"LastModified":{"location":"header","locationName":"Last-Modified","type":"timestamp"},"StatusCode":{"location":"statusCode","type":"integer"}},"payload":"Body"}},"ListItems":{"http":{"method":"GET"},"input":{"type":"structure","members":{"Path":{"location":"querystring","locationName":"Path"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"structure","members":{"Name":{},"Type":{},"ETag":{},"LastModified":{"type":"timestamp"},"ContentType":{},"ContentLength":{"type":"long"}}}},"NextToken":{}}}},"PutObject":{"http":{"method":"PUT","requestUri":"/{Path+}"},"input":{"type":"structure","required":["Body","Path"],"members":{"Body":{"shape":"Se"},"Path":{"location":"uri","locationName":"Path"},"ContentType":{"location":"header","locationName":"Content-Type"},"CacheControl":{"location":"header","locationName":"Cache-Control"},"StorageClass":{"location":"header","locationName":"x-amz-storage-class"},"UploadAvailability":{"location":"header","locationName":"x-amz-upload-availability"}},"payload":"Body"},"output":{"type":"structure","members":{"ContentSHA256":{},"ETag":{},"StorageClass":{}}},"authtype":"v4-unsigned-body"}},"shapes":{"Se":{"type":"blob","streaming":true}}}');

/***/ }),

/***/ 97948:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListItems":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 77511:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2018-04-23","endpointPrefix":"api.mediatailor","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"MediaTailor","serviceFullName":"AWS MediaTailor","serviceId":"MediaTailor","signatureVersion":"v4","signingName":"mediatailor","uid":"mediatailor-2018-04-23"},"operations":{"ConfigureLogsForPlaybackConfiguration":{"http":{"method":"PUT","requestUri":"/configureLogs/playbackConfiguration","responseCode":200},"input":{"members":{"PercentEnabled":{"type":"integer"},"PlaybackConfigurationName":{}},"required":["PercentEnabled","PlaybackConfigurationName"],"type":"structure"},"output":{"members":{"PercentEnabled":{"type":"integer"},"PlaybackConfigurationName":{}},"type":"structure"}},"CreateChannel":{"http":{"requestUri":"/channel/{channelName}","responseCode":200},"input":{"members":{"ChannelName":{"location":"uri","locationName":"channelName"},"FillerSlate":{"shape":"S6"},"Outputs":{"shape":"S7"},"PlaybackMode":{},"Tags":{"locationName":"tags","shape":"Sc"}},"required":["ChannelName","Outputs","PlaybackMode"],"type":"structure"},"output":{"members":{"Arn":{},"ChannelName":{},"ChannelState":{},"CreationTime":{"shape":"Sf"},"FillerSlate":{"shape":"S6"},"LastModifiedTime":{"shape":"Sf"},"Outputs":{"shape":"Sg"},"PlaybackMode":{},"Tags":{"locationName":"tags","shape":"Sc"}},"type":"structure"}},"CreatePrefetchSchedule":{"http":{"requestUri":"/prefetchSchedule/{PlaybackConfigurationName}/{Name}","responseCode":200},"input":{"members":{"Consumption":{"shape":"Sj"},"Name":{"location":"uri","locationName":"Name"},"PlaybackConfigurationName":{"location":"uri","locationName":"PlaybackConfigurationName"},"Retrieval":{"shape":"Sn"},"StreamId":{}},"required":["Name","PlaybackConfigurationName","Consumption","Retrieval"],"type":"structure"},"output":{"members":{"Arn":{},"Consumption":{"shape":"Sj"},"Name":{},"PlaybackConfigurationName":{},"Retrieval":{"shape":"Sn"},"StreamId":{}},"type":"structure"}},"CreateProgram":{"http":{"requestUri":"/channel/{channelName}/program/{programName}","responseCode":200},"input":{"members":{"AdBreaks":{"shape":"Sq"},"ChannelName":{"location":"uri","locationName":"channelName"},"ProgramName":{"location":"uri","locationName":"programName"},"ScheduleConfiguration":{"members":{"Transition":{"members":{"RelativePosition":{},"RelativeProgram":{},"ScheduledStartTimeMillis":{"type":"long"},"Type":{}},"required":["Type","RelativePosition"],"type":"structure"}},"required":["Transition"],"type":"structure"},"SourceLocationName":{},"VodSourceName":{}},"required":["ChannelName","ProgramName","VodSourceName","ScheduleConfiguration","SourceLocationName"],"type":"structure"},"output":{"members":{"AdBreaks":{"shape":"Sq"},"Arn":{},"ChannelName":{},"CreationTime":{"shape":"Sf"},"ProgramName":{},"ScheduledStartTime":{"shape":"Sf"},"SourceLocationName":{},"VodSourceName":{}},"type":"structure"}},"CreateSourceLocation":{"http":{"requestUri":"/sourceLocation/{sourceLocationName}","responseCode":200},"input":{"members":{"AccessConfiguration":{"shape":"S10"},"DefaultSegmentDeliveryConfiguration":{"shape":"S13"},"HttpConfiguration":{"shape":"S14"},"SourceLocationName":{"location":"uri","locationName":"sourceLocationName"},"Tags":{"locationName":"tags","shape":"Sc"}},"required":["SourceLocationName","HttpConfiguration"],"type":"structure"},"output":{"members":{"AccessConfiguration":{"shape":"S10"},"Arn":{},"CreationTime":{"shape":"Sf"},"DefaultSegmentDeliveryConfiguration":{"shape":"S13"},"HttpConfiguration":{"shape":"S14"},"LastModifiedTime":{"shape":"Sf"},"SourceLocationName":{},"Tags":{"locationName":"tags","shape":"Sc"}},"type":"structure"}},"CreateVodSource":{"http":{"requestUri":"/sourceLocation/{sourceLocationName}/vodSource/{vodSourceName}","responseCode":200},"input":{"members":{"HttpPackageConfigurations":{"shape":"S17"},"SourceLocationName":{"location":"uri","locationName":"sourceLocationName"},"Tags":{"locationName":"tags","shape":"Sc"},"VodSourceName":{"location":"uri","locationName":"vodSourceName"}},"required":["SourceLocationName","VodSourceName","HttpPackageConfigurations"],"type":"structure"},"output":{"members":{"Arn":{},"CreationTime":{"shape":"Sf"},"HttpPackageConfigurations":{"shape":"S17"},"LastModifiedTime":{"shape":"Sf"},"SourceLocationName":{},"Tags":{"locationName":"tags","shape":"Sc"},"VodSourceName":{}},"type":"structure"}},"DeleteChannel":{"http":{"method":"DELETE","requestUri":"/channel/{channelName}","responseCode":200},"input":{"members":{"ChannelName":{"location":"uri","locationName":"channelName"}},"required":["ChannelName"],"type":"structure"},"output":{"members":{},"type":"structure"}},"DeleteChannelPolicy":{"http":{"method":"DELETE","requestUri":"/channel/{channelName}/policy","responseCode":200},"input":{"members":{"ChannelName":{"location":"uri","locationName":"channelName"}},"required":["ChannelName"],"type":"structure"},"output":{"members":{},"type":"structure"}},"DeletePlaybackConfiguration":{"http":{"method":"DELETE","requestUri":"/playbackConfiguration/{Name}","responseCode":204},"input":{"members":{"Name":{"location":"uri","locationName":"Name"}},"required":["Name"],"type":"structure"},"output":{"members":{},"type":"structure"}},"DeletePrefetchSchedule":{"http":{"method":"DELETE","requestUri":"/prefetchSchedule/{PlaybackConfigurationName}/{Name}","responseCode":204},"input":{"members":{"Name":{"location":"uri","locationName":"Name"},"PlaybackConfigurationName":{"location":"uri","locationName":"PlaybackConfigurationName"}},"required":["Name","PlaybackConfigurationName"],"type":"structure"},"output":{"members":{},"type":"structure"}},"DeleteProgram":{"http":{"method":"DELETE","requestUri":"/channel/{channelName}/program/{programName}","responseCode":200},"input":{"members":{"ChannelName":{"location":"uri","locationName":"channelName"},"ProgramName":{"location":"uri","locationName":"programName"}},"required":["ChannelName","ProgramName"],"type":"structure"},"output":{"members":{},"type":"structure"}},"DeleteSourceLocation":{"http":{"method":"DELETE","requestUri":"/sourceLocation/{sourceLocationName}","responseCode":200},"input":{"members":{"SourceLocationName":{"location":"uri","locationName":"sourceLocationName"}},"required":["SourceLocationName"],"type":"structure"},"output":{"members":{},"type":"structure"}},"DeleteVodSource":{"http":{"method":"DELETE","requestUri":"/sourceLocation/{sourceLocationName}/vodSource/{vodSourceName}","responseCode":200},"input":{"members":{"SourceLocationName":{"location":"uri","locationName":"sourceLocationName"},"VodSourceName":{"location":"uri","locationName":"vodSourceName"}},"required":["SourceLocationName","VodSourceName"],"type":"structure"},"output":{"members":{},"type":"structure"}},"DescribeChannel":{"http":{"method":"GET","requestUri":"/channel/{channelName}","responseCode":200},"input":{"members":{"ChannelName":{"location":"uri","locationName":"channelName"}},"required":["ChannelName"],"type":"structure"},"output":{"members":{"Arn":{},"ChannelName":{},"ChannelState":{},"CreationTime":{"shape":"Sf"},"FillerSlate":{"shape":"S6"},"LastModifiedTime":{"shape":"Sf"},"Outputs":{"shape":"Sg"},"PlaybackMode":{},"Tags":{"locationName":"tags","shape":"Sc"}},"type":"structure"}},"DescribeProgram":{"http":{"method":"GET","requestUri":"/channel/{channelName}/program/{programName}","responseCode":200},"input":{"members":{"ChannelName":{"location":"uri","locationName":"channelName"},"ProgramName":{"location":"uri","locationName":"programName"}},"required":["ChannelName","ProgramName"],"type":"structure"},"output":{"members":{"AdBreaks":{"shape":"Sq"},"Arn":{},"ChannelName":{},"CreationTime":{"shape":"Sf"},"ProgramName":{},"ScheduledStartTime":{"shape":"Sf"},"SourceLocationName":{},"VodSourceName":{}},"type":"structure"}},"DescribeSourceLocation":{"http":{"method":"GET","requestUri":"/sourceLocation/{sourceLocationName}","responseCode":200},"input":{"members":{"SourceLocationName":{"location":"uri","locationName":"sourceLocationName"}},"required":["SourceLocationName"],"type":"structure"},"output":{"members":{"AccessConfiguration":{"shape":"S10"},"Arn":{},"CreationTime":{"shape":"Sf"},"DefaultSegmentDeliveryConfiguration":{"shape":"S13"},"HttpConfiguration":{"shape":"S14"},"LastModifiedTime":{"shape":"Sf"},"SourceLocationName":{},"Tags":{"locationName":"tags","shape":"Sc"}},"type":"structure"}},"DescribeVodSource":{"http":{"method":"GET","requestUri":"/sourceLocation/{sourceLocationName}/vodSource/{vodSourceName}","responseCode":200},"input":{"members":{"SourceLocationName":{"location":"uri","locationName":"sourceLocationName"},"VodSourceName":{"location":"uri","locationName":"vodSourceName"}},"required":["SourceLocationName","VodSourceName"],"type":"structure"},"output":{"members":{"Arn":{},"CreationTime":{"shape":"Sf"},"HttpPackageConfigurations":{"shape":"S17"},"LastModifiedTime":{"shape":"Sf"},"SourceLocationName":{},"Tags":{"locationName":"tags","shape":"Sc"},"VodSourceName":{}},"type":"structure"}},"GetChannelPolicy":{"http":{"method":"GET","requestUri":"/channel/{channelName}/policy","responseCode":200},"input":{"members":{"ChannelName":{"location":"uri","locationName":"channelName"}},"required":["ChannelName"],"type":"structure"},"output":{"members":{"Policy":{}},"type":"structure"}},"GetChannelSchedule":{"http":{"method":"GET","requestUri":"/channel/{channelName}/schedule","responseCode":200},"input":{"members":{"ChannelName":{"location":"uri","locationName":"channelName"},"DurationMinutes":{"location":"querystring","locationName":"durationMinutes"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ChannelName"],"type":"structure"},"output":{"members":{"Items":{"member":{"members":{"ApproximateDurationSeconds":{"type":"long"},"ApproximateStartTime":{"shape":"Sf"},"Arn":{},"ChannelName":{},"ProgramName":{},"ScheduleAdBreaks":{"member":{"members":{"ApproximateDurationSeconds":{"type":"long"},"ApproximateStartTime":{"shape":"Sf"},"SourceLocationName":{},"VodSourceName":{}},"type":"structure"},"type":"list"},"ScheduleEntryType":{},"SourceLocationName":{},"VodSourceName":{}},"required":["VodSourceName","ChannelName","SourceLocationName","Arn","ProgramName"],"type":"structure"},"type":"list"},"NextToken":{}},"type":"structure"}},"GetPlaybackConfiguration":{"http":{"method":"GET","requestUri":"/playbackConfiguration/{Name}","responseCode":200},"input":{"members":{"Name":{"location":"uri","locationName":"Name"}},"required":["Name"],"type":"structure"},"output":{"members":{"AdDecisionServerUrl":{},"AvailSuppression":{"shape":"S29"},"Bumper":{"shape":"S2b"},"CdnConfiguration":{"shape":"S2c"},"ConfigurationAliases":{"shape":"S2d"},"DashConfiguration":{"shape":"S2e"},"HlsConfiguration":{"shape":"S2g"},"LivePreRollConfiguration":{"shape":"S2h"},"LogConfiguration":{"shape":"S2i"},"ManifestProcessingRules":{"shape":"S2j"},"Name":{},"PersonalizationThresholdSeconds":{"type":"integer"},"PlaybackConfigurationArn":{},"PlaybackEndpointPrefix":{},"SessionInitializationEndpointPrefix":{},"SlateAdUrl":{},"Tags":{"locationName":"tags","shape":"Sc"},"TranscodeProfileName":{},"VideoContentSourceUrl":{}},"type":"structure"}},"GetPrefetchSchedule":{"http":{"method":"GET","requestUri":"/prefetchSchedule/{PlaybackConfigurationName}/{Name}","responseCode":200},"input":{"members":{"Name":{"location":"uri","locationName":"Name"},"PlaybackConfigurationName":{"location":"uri","locationName":"PlaybackConfigurationName"}},"required":["Name","PlaybackConfigurationName"],"type":"structure"},"output":{"members":{"Arn":{},"Consumption":{"shape":"Sj"},"Name":{},"PlaybackConfigurationName":{},"Retrieval":{"shape":"Sn"},"StreamId":{}},"type":"structure"}},"ListAlerts":{"http":{"method":"GET","requestUri":"/alerts","responseCode":200},"input":{"members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"ResourceArn":{"location":"querystring","locationName":"resourceArn"}},"required":["ResourceArn"],"type":"structure"},"output":{"members":{"Items":{"member":{"members":{"AlertCode":{},"AlertMessage":{},"LastModifiedTime":{"shape":"Sf"},"RelatedResourceArns":{"shape":"S2t"},"ResourceArn":{}},"required":["ResourceArn","AlertCode","LastModifiedTime","RelatedResourceArns","AlertMessage"],"type":"structure"},"type":"list"},"NextToken":{}},"type":"structure"}},"ListChannels":{"http":{"method":"GET","requestUri":"/channels","responseCode":200},"input":{"members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"type":"structure"},"output":{"members":{"Items":{"member":{"members":{"Arn":{},"ChannelName":{},"ChannelState":{},"CreationTime":{"shape":"Sf"},"FillerSlate":{"shape":"S6"},"LastModifiedTime":{"shape":"Sf"},"Outputs":{"shape":"Sg"},"PlaybackMode":{},"Tags":{"locationName":"tags","shape":"Sc"}},"required":["ChannelState","ChannelName","Outputs","Arn","PlaybackMode"],"type":"structure"},"type":"list"},"NextToken":{}},"type":"structure"}},"ListPlaybackConfigurations":{"http":{"method":"GET","requestUri":"/playbackConfigurations","responseCode":200},"input":{"members":{"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"type":"structure"},"output":{"members":{"Items":{"member":{"members":{"AdDecisionServerUrl":{},"AvailSuppression":{"shape":"S29"},"Bumper":{"shape":"S2b"},"CdnConfiguration":{"shape":"S2c"},"ConfigurationAliases":{"shape":"S2d"},"DashConfiguration":{"shape":"S2e"},"HlsConfiguration":{"shape":"S2g"},"LivePreRollConfiguration":{"shape":"S2h"},"LogConfiguration":{"shape":"S2i"},"ManifestProcessingRules":{"shape":"S2j"},"Name":{},"PersonalizationThresholdSeconds":{"type":"integer"},"PlaybackConfigurationArn":{},"PlaybackEndpointPrefix":{},"SessionInitializationEndpointPrefix":{},"SlateAdUrl":{},"Tags":{"locationName":"tags","shape":"Sc"},"TranscodeProfileName":{},"VideoContentSourceUrl":{}},"type":"structure"},"type":"list"},"NextToken":{}},"type":"structure"}},"ListPrefetchSchedules":{"http":{"requestUri":"/prefetchSchedule/{PlaybackConfigurationName}","responseCode":200},"input":{"members":{"MaxResults":{"type":"integer"},"NextToken":{},"PlaybackConfigurationName":{"location":"uri","locationName":"PlaybackConfigurationName"},"StreamId":{}},"required":["PlaybackConfigurationName"],"type":"structure"},"output":{"members":{"Items":{"member":{"members":{"Arn":{},"Consumption":{"shape":"Sj"},"Name":{},"PlaybackConfigurationName":{},"Retrieval":{"shape":"Sn"},"StreamId":{}},"required":["Retrieval","Consumption","Arn","PlaybackConfigurationName","Name"],"type":"structure"},"type":"list"},"NextToken":{}},"type":"structure"}},"ListSourceLocations":{"http":{"method":"GET","requestUri":"/sourceLocations","responseCode":200},"input":{"members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"type":"structure"},"output":{"members":{"Items":{"member":{"members":{"AccessConfiguration":{"shape":"S10"},"Arn":{},"CreationTime":{"shape":"Sf"},"DefaultSegmentDeliveryConfiguration":{"shape":"S13"},"HttpConfiguration":{"shape":"S14"},"LastModifiedTime":{"shape":"Sf"},"SourceLocationName":{},"Tags":{"locationName":"tags","shape":"Sc"}},"required":["SourceLocationName","HttpConfiguration","Arn"],"type":"structure"},"type":"list"},"NextToken":{}},"type":"structure"}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}},"required":["ResourceArn"],"type":"structure"},"output":{"members":{"Tags":{"locationName":"tags","shape":"Sc"}},"type":"structure"}},"ListVodSources":{"http":{"method":"GET","requestUri":"/sourceLocation/{sourceLocationName}/vodSources","responseCode":200},"input":{"members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"SourceLocationName":{"location":"uri","locationName":"sourceLocationName"}},"required":["SourceLocationName"],"type":"structure"},"output":{"members":{"Items":{"member":{"members":{"Arn":{},"CreationTime":{"shape":"Sf"},"HttpPackageConfigurations":{"shape":"S17"},"LastModifiedTime":{"shape":"Sf"},"SourceLocationName":{},"Tags":{"locationName":"tags","shape":"Sc"},"VodSourceName":{}},"required":["VodSourceName","SourceLocationName","HttpPackageConfigurations","Arn"],"type":"structure"},"type":"list"},"NextToken":{}},"type":"structure"}},"PutChannelPolicy":{"http":{"method":"PUT","requestUri":"/channel/{channelName}/policy","responseCode":200},"input":{"members":{"ChannelName":{"location":"uri","locationName":"channelName"},"Policy":{}},"required":["ChannelName","Policy"],"type":"structure"},"output":{"members":{},"type":"structure"}},"PutPlaybackConfiguration":{"http":{"method":"PUT","requestUri":"/playbackConfiguration","responseCode":200},"input":{"members":{"AdDecisionServerUrl":{},"AvailSuppression":{"shape":"S29"},"Bumper":{"shape":"S2b"},"CdnConfiguration":{"shape":"S2c"},"ConfigurationAliases":{"key":{},"type":"map","value":{"shape":"Sc"}},"DashConfiguration":{"members":{"MpdLocation":{},"OriginManifestType":{}},"type":"structure"},"LivePreRollConfiguration":{"shape":"S2h"},"ManifestProcessingRules":{"shape":"S2j"},"Name":{},"PersonalizationThresholdSeconds":{"type":"integer"},"SlateAdUrl":{},"Tags":{"locationName":"tags","shape":"Sc"},"TranscodeProfileName":{},"VideoContentSourceUrl":{}},"type":"structure"},"output":{"members":{"AdDecisionServerUrl":{},"AvailSuppression":{"shape":"S29"},"Bumper":{"shape":"S2b"},"CdnConfiguration":{"shape":"S2c"},"ConfigurationAliases":{"shape":"S2d"},"DashConfiguration":{"shape":"S2e"},"HlsConfiguration":{"shape":"S2g"},"LivePreRollConfiguration":{"shape":"S2h"},"LogConfiguration":{"shape":"S2i"},"ManifestProcessingRules":{"shape":"S2j"},"Name":{},"PersonalizationThresholdSeconds":{"type":"integer"},"PlaybackConfigurationArn":{},"PlaybackEndpointPrefix":{},"SessionInitializationEndpointPrefix":{},"SlateAdUrl":{},"Tags":{"locationName":"tags","shape":"Sc"},"TranscodeProfileName":{},"VideoContentSourceUrl":{}},"type":"structure"}},"StartChannel":{"http":{"method":"PUT","requestUri":"/channel/{channelName}/start","responseCode":200},"input":{"members":{"ChannelName":{"location":"uri","locationName":"channelName"}},"required":["ChannelName"],"type":"structure"},"output":{"members":{},"type":"structure"}},"StopChannel":{"http":{"method":"PUT","requestUri":"/channel/{channelName}/stop","responseCode":200},"input":{"members":{"ChannelName":{"location":"uri","locationName":"channelName"}},"required":["ChannelName"],"type":"structure"},"output":{"members":{},"type":"structure"}},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}","responseCode":204},"input":{"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"locationName":"tags","shape":"Sc"}},"required":["ResourceArn","Tags"],"type":"structure"}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}","responseCode":204},"input":{"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","shape":"S2t"}},"required":["ResourceArn","TagKeys"],"type":"structure"}},"UpdateChannel":{"http":{"method":"PUT","requestUri":"/channel/{channelName}","responseCode":200},"input":{"members":{"ChannelName":{"location":"uri","locationName":"channelName"},"Outputs":{"shape":"S7"}},"required":["ChannelName","Outputs"],"type":"structure"},"output":{"members":{"Arn":{},"ChannelName":{},"ChannelState":{},"CreationTime":{"shape":"Sf"},"FillerSlate":{"shape":"S6"},"LastModifiedTime":{"shape":"Sf"},"Outputs":{"shape":"Sg"},"PlaybackMode":{},"Tags":{"locationName":"tags","shape":"Sc"}},"type":"structure"}},"UpdateSourceLocation":{"http":{"method":"PUT","requestUri":"/sourceLocation/{sourceLocationName}","responseCode":200},"input":{"members":{"AccessConfiguration":{"shape":"S10"},"DefaultSegmentDeliveryConfiguration":{"shape":"S13"},"HttpConfiguration":{"shape":"S14"},"SourceLocationName":{"location":"uri","locationName":"sourceLocationName"}},"required":["SourceLocationName","HttpConfiguration"],"type":"structure"},"output":{"members":{"AccessConfiguration":{"shape":"S10"},"Arn":{},"CreationTime":{"shape":"Sf"},"DefaultSegmentDeliveryConfiguration":{"shape":"S13"},"HttpConfiguration":{"shape":"S14"},"LastModifiedTime":{"shape":"Sf"},"SourceLocationName":{},"Tags":{"locationName":"tags","shape":"Sc"}},"type":"structure"}},"UpdateVodSource":{"http":{"method":"PUT","requestUri":"/sourceLocation/{sourceLocationName}/vodSource/{vodSourceName}","responseCode":200},"input":{"members":{"HttpPackageConfigurations":{"shape":"S17"},"SourceLocationName":{"location":"uri","locationName":"sourceLocationName"},"VodSourceName":{"location":"uri","locationName":"vodSourceName"}},"required":["SourceLocationName","VodSourceName","HttpPackageConfigurations"],"type":"structure"},"output":{"members":{"Arn":{},"CreationTime":{"shape":"Sf"},"HttpPackageConfigurations":{"shape":"S17"},"LastModifiedTime":{"shape":"Sf"},"SourceLocationName":{},"Tags":{"locationName":"tags","shape":"Sc"},"VodSourceName":{}},"type":"structure"}}},"shapes":{"S6":{"members":{"SourceLocationName":{},"VodSourceName":{}},"type":"structure"},"S7":{"member":{"members":{"DashPlaylistSettings":{"shape":"S9"},"HlsPlaylistSettings":{"shape":"Sa"},"ManifestName":{},"SourceGroup":{}},"required":["ManifestName","SourceGroup"],"type":"structure"},"type":"list"},"S9":{"members":{"ManifestWindowSeconds":{"type":"integer"},"MinBufferTimeSeconds":{"type":"integer"},"MinUpdatePeriodSeconds":{"type":"integer"},"SuggestedPresentationDelaySeconds":{"type":"integer"}},"type":"structure"},"Sa":{"members":{"ManifestWindowSeconds":{"type":"integer"}},"type":"structure"},"Sc":{"key":{},"type":"map","value":{}},"Sf":{"timestampFormat":"unixTimestamp","type":"timestamp"},"Sg":{"member":{"members":{"DashPlaylistSettings":{"shape":"S9"},"HlsPlaylistSettings":{"shape":"Sa"},"ManifestName":{},"PlaybackUrl":{},"SourceGroup":{}},"required":["ManifestName","PlaybackUrl","SourceGroup"],"type":"structure"},"type":"list"},"Sj":{"members":{"AvailMatchingCriteria":{"member":{"members":{"DynamicVariable":{},"Operator":{}},"required":["Operator","DynamicVariable"],"type":"structure"},"type":"list"},"EndTime":{"shape":"Sf"},"StartTime":{"shape":"Sf"}},"required":["EndTime"],"type":"structure"},"Sn":{"members":{"DynamicVariables":{"shape":"Sc"},"EndTime":{"shape":"Sf"},"StartTime":{"shape":"Sf"}},"required":["EndTime"],"type":"structure"},"Sq":{"member":{"members":{"MessageType":{},"OffsetMillis":{"type":"long"},"Slate":{"shape":"S6"},"SpliceInsertMessage":{"members":{"AvailNum":{"type":"integer"},"AvailsExpected":{"type":"integer"},"SpliceEventId":{"type":"integer"},"UniqueProgramId":{"type":"integer"}},"type":"structure"}},"type":"structure"},"type":"list"},"S10":{"members":{"AccessType":{},"SecretsManagerAccessTokenConfiguration":{"members":{"HeaderName":{},"SecretArn":{},"SecretStringKey":{}},"type":"structure"}},"type":"structure"},"S13":{"members":{"BaseUrl":{}},"type":"structure"},"S14":{"members":{"BaseUrl":{}},"required":["BaseUrl"],"type":"structure"},"S17":{"member":{"members":{"Path":{},"SourceGroup":{},"Type":{}},"required":["Path","Type","SourceGroup"],"type":"structure"},"type":"list"},"S29":{"members":{"Mode":{},"Value":{}},"type":"structure"},"S2b":{"members":{"EndUrl":{},"StartUrl":{}},"type":"structure"},"S2c":{"members":{"AdSegmentUrlPrefix":{},"ContentSegmentUrlPrefix":{}},"type":"structure"},"S2d":{"key":{},"type":"map","value":{"shape":"Sc"}},"S2e":{"members":{"ManifestEndpointPrefix":{},"MpdLocation":{},"OriginManifestType":{}},"type":"structure"},"S2g":{"members":{"ManifestEndpointPrefix":{}},"type":"structure"},"S2h":{"members":{"AdDecisionServerUrl":{},"MaxDurationSeconds":{"type":"integer"}},"type":"structure"},"S2i":{"members":{"PercentEnabled":{"type":"integer"}},"required":["PercentEnabled"],"type":"structure"},"S2j":{"members":{"AdMarkerPassthrough":{"members":{"Enabled":{"type":"boolean"}},"type":"structure"}},"type":"structure"},"S2t":{"member":{},"type":"list"}}}');

/***/ }),

/***/ 68557:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetChannelSchedule":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Items"},"ListAlerts":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Items"},"ListChannels":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Items"},"ListPlaybackConfigurations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Items"},"ListPrefetchSchedules":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Items"},"ListSourceLocations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Items"},"ListVodSources":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Items"}}}');

/***/ }),

/***/ 51950:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-01-01","endpointPrefix":"memory-db","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Amazon MemoryDB","serviceFullName":"Amazon MemoryDB","serviceId":"MemoryDB","signatureVersion":"v4","signingName":"memorydb","targetPrefix":"AmazonMemoryDB","uid":"memorydb-2021-01-01"},"operations":{"BatchUpdateCluster":{"input":{"type":"structure","required":["ClusterNames"],"members":{"ClusterNames":{"shape":"S2"},"ServiceUpdate":{"type":"structure","members":{"ServiceUpdateNameToApply":{}}}}},"output":{"type":"structure","members":{"ProcessedClusters":{"shape":"S6"},"UnprocessedClusters":{"type":"list","member":{"type":"structure","members":{"ClusterName":{},"ErrorType":{},"ErrorMessage":{}}}}}}},"CopySnapshot":{"input":{"type":"structure","required":["SourceSnapshotName","TargetSnapshotName"],"members":{"SourceSnapshotName":{},"TargetSnapshotName":{},"TargetBucket":{},"KmsKeyId":{},"Tags":{"shape":"Sy"}}},"output":{"type":"structure","members":{"Snapshot":{"shape":"S11"}}}},"CreateACL":{"input":{"type":"structure","required":["ACLName"],"members":{"ACLName":{},"UserNames":{"shape":"S17"},"Tags":{"shape":"Sy"}}},"output":{"type":"structure","members":{"ACL":{"shape":"S1a"}}}},"CreateCluster":{"input":{"type":"structure","required":["ClusterName","NodeType","ACLName"],"members":{"ClusterName":{},"NodeType":{},"ParameterGroupName":{},"Description":{},"NumShards":{"type":"integer"},"NumReplicasPerShard":{"type":"integer"},"SubnetGroupName":{},"SecurityGroupIds":{"shape":"S1f"},"MaintenanceWindow":{},"Port":{"type":"integer"},"SnsTopicArn":{},"TLSEnabled":{"type":"boolean"},"KmsKeyId":{},"SnapshotArns":{"type":"list","member":{}},"SnapshotName":{},"SnapshotRetentionLimit":{"type":"integer"},"Tags":{"shape":"Sy"},"SnapshotWindow":{},"ACLName":{},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"}}},"output":{"type":"structure","members":{"Cluster":{"shape":"S7"}}}},"CreateParameterGroup":{"input":{"type":"structure","required":["ParameterGroupName","Family"],"members":{"ParameterGroupName":{},"Family":{},"Description":{},"Tags":{"shape":"Sy"}}},"output":{"type":"structure","members":{"ParameterGroup":{"shape":"S1k"}}}},"CreateSnapshot":{"input":{"type":"structure","required":["ClusterName","SnapshotName"],"members":{"ClusterName":{},"SnapshotName":{},"KmsKeyId":{},"Tags":{"shape":"Sy"}}},"output":{"type":"structure","members":{"Snapshot":{"shape":"S11"}}}},"CreateSubnetGroup":{"input":{"type":"structure","required":["SubnetGroupName","SubnetIds"],"members":{"SubnetGroupName":{},"Description":{},"SubnetIds":{"shape":"S1o"},"Tags":{"shape":"Sy"}}},"output":{"type":"structure","members":{"SubnetGroup":{"shape":"S1q"}}}},"CreateUser":{"input":{"type":"structure","required":["UserName","AuthenticationMode","AccessString"],"members":{"UserName":{},"AuthenticationMode":{"shape":"S1v"},"AccessString":{},"Tags":{"shape":"Sy"}}},"output":{"type":"structure","members":{"User":{"shape":"S20"}}}},"DeleteACL":{"input":{"type":"structure","required":["ACLName"],"members":{"ACLName":{}}},"output":{"type":"structure","members":{"ACL":{"shape":"S1a"}}}},"DeleteCluster":{"input":{"type":"structure","required":["ClusterName"],"members":{"ClusterName":{},"FinalSnapshotName":{}}},"output":{"type":"structure","members":{"Cluster":{"shape":"S7"}}}},"DeleteParameterGroup":{"input":{"type":"structure","required":["ParameterGroupName"],"members":{"ParameterGroupName":{}}},"output":{"type":"structure","members":{"ParameterGroup":{"shape":"S1k"}}}},"DeleteSnapshot":{"input":{"type":"structure","required":["SnapshotName"],"members":{"SnapshotName":{}}},"output":{"type":"structure","members":{"Snapshot":{"shape":"S11"}}}},"DeleteSubnetGroup":{"input":{"type":"structure","required":["SubnetGroupName"],"members":{"SubnetGroupName":{}}},"output":{"type":"structure","members":{"SubnetGroup":{"shape":"S1q"}}}},"DeleteUser":{"input":{"type":"structure","required":["UserName"],"members":{"UserName":{}}},"output":{"type":"structure","members":{"User":{"shape":"S20"}}}},"DescribeACLs":{"input":{"type":"structure","members":{"ACLName":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ACLs":{"type":"list","member":{"shape":"S1a"}},"NextToken":{}}}},"DescribeClusters":{"input":{"type":"structure","members":{"ClusterName":{},"MaxResults":{"type":"integer"},"NextToken":{},"ShowShardDetails":{"type":"boolean"}}},"output":{"type":"structure","members":{"NextToken":{},"Clusters":{"shape":"S6"}}}},"DescribeEngineVersions":{"input":{"type":"structure","members":{"EngineVersion":{},"ParameterGroupFamily":{},"MaxResults":{"type":"integer"},"NextToken":{},"DefaultOnly":{"type":"boolean"}}},"output":{"type":"structure","members":{"NextToken":{},"EngineVersions":{"type":"list","member":{"type":"structure","members":{"EngineVersion":{},"EnginePatchVersion":{},"ParameterGroupFamily":{}}}}}}},"DescribeEvents":{"input":{"type":"structure","members":{"SourceName":{},"SourceType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Duration":{"type":"integer"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"Events":{"type":"list","member":{"type":"structure","members":{"SourceName":{},"SourceType":{},"Message":{},"Date":{"type":"timestamp"}}}}}}},"DescribeParameterGroups":{"input":{"type":"structure","members":{"ParameterGroupName":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"ParameterGroups":{"type":"list","member":{"shape":"S1k"}}}}},"DescribeParameters":{"input":{"type":"structure","required":["ParameterGroupName"],"members":{"ParameterGroupName":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"Parameters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{},"Description":{},"DataType":{},"AllowedValues":{},"MinimumEngineVersion":{}}}}}}},"DescribeServiceUpdates":{"input":{"type":"structure","members":{"ServiceUpdateName":{},"ClusterNames":{"shape":"S2"},"Status":{"type":"list","member":{}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"ServiceUpdates":{"type":"list","member":{"type":"structure","members":{"ClusterName":{},"ServiceUpdateName":{},"ReleaseDate":{"type":"timestamp"},"Description":{},"Status":{},"Type":{},"NodesUpdated":{},"AutoUpdateStartDate":{"type":"timestamp"}}}}}}},"DescribeSnapshots":{"input":{"type":"structure","members":{"ClusterName":{},"SnapshotName":{},"Source":{},"NextToken":{},"MaxResults":{"type":"integer"},"ShowDetail":{"type":"boolean"}}},"output":{"type":"structure","members":{"NextToken":{},"Snapshots":{"type":"list","member":{"shape":"S11"}}}}},"DescribeSubnetGroups":{"input":{"type":"structure","members":{"SubnetGroupName":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"SubnetGroups":{"type":"list","member":{"shape":"S1q"}}}}},"DescribeUsers":{"input":{"type":"structure","members":{"UserName":{},"Filters":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Users":{"type":"list","member":{"shape":"S20"}},"NextToken":{}}}},"FailoverShard":{"input":{"type":"structure","required":["ClusterName","ShardName"],"members":{"ClusterName":{},"ShardName":{}}},"output":{"type":"structure","members":{"Cluster":{"shape":"S7"}}}},"ListAllowedNodeTypeUpdates":{"input":{"type":"structure","required":["ClusterName"],"members":{"ClusterName":{}}},"output":{"type":"structure","members":{"ScaleUpNodeTypes":{"shape":"S3q"},"ScaleDownNodeTypes":{"shape":"S3q"}}}},"ListTags":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"TagList":{"shape":"Sy"}}}},"ResetParameterGroup":{"input":{"type":"structure","required":["ParameterGroupName"],"members":{"ParameterGroupName":{},"AllParameters":{"type":"boolean"},"ParameterNames":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"ParameterGroup":{"shape":"S1k"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sy"}}},"output":{"type":"structure","members":{"TagList":{"shape":"Sy"}}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"TagList":{"shape":"Sy"}}}},"UpdateACL":{"input":{"type":"structure","required":["ACLName"],"members":{"ACLName":{},"UserNamesToAdd":{"shape":"S17"},"UserNamesToRemove":{"shape":"S17"}}},"output":{"type":"structure","members":{"ACL":{"shape":"S1a"}}}},"UpdateCluster":{"input":{"type":"structure","required":["ClusterName"],"members":{"ClusterName":{},"Description":{},"SecurityGroupIds":{"shape":"S1f"},"MaintenanceWindow":{},"SnsTopicArn":{},"SnsTopicStatus":{},"ParameterGroupName":{},"SnapshotWindow":{},"SnapshotRetentionLimit":{"type":"integer"},"NodeType":{},"EngineVersion":{},"ReplicaConfiguration":{"type":"structure","members":{"ReplicaCount":{"type":"integer"}}},"ShardConfiguration":{"type":"structure","members":{"ShardCount":{"type":"integer"}}},"ACLName":{}}},"output":{"type":"structure","members":{"Cluster":{"shape":"S7"}}}},"UpdateParameterGroup":{"input":{"type":"structure","required":["ParameterGroupName","ParameterNameValues"],"members":{"ParameterGroupName":{},"ParameterNameValues":{"type":"list","member":{"type":"structure","members":{"ParameterName":{},"ParameterValue":{}}}}}},"output":{"type":"structure","members":{"ParameterGroup":{"shape":"S1k"}}}},"UpdateSubnetGroup":{"input":{"type":"structure","required":["SubnetGroupName"],"members":{"SubnetGroupName":{},"Description":{},"SubnetIds":{"shape":"S1o"}}},"output":{"type":"structure","members":{"SubnetGroup":{"shape":"S1q"}}}},"UpdateUser":{"input":{"type":"structure","required":["UserName"],"members":{"UserName":{},"AuthenticationMode":{"shape":"S1v"},"AccessString":{}}},"output":{"type":"structure","members":{"User":{"shape":"S20"}}}}},"shapes":{"S2":{"type":"list","member":{}},"S6":{"type":"list","member":{"shape":"S7"}},"S7":{"type":"structure","members":{"Name":{},"Description":{},"Status":{},"PendingUpdates":{"type":"structure","members":{"Resharding":{"type":"structure","members":{"SlotMigration":{"type":"structure","members":{"ProgressPercentage":{"type":"double"}}}}},"ACLs":{"type":"structure","members":{"ACLToApply":{}}},"ServiceUpdates":{"type":"list","member":{"type":"structure","members":{"ServiceUpdateName":{},"Status":{}}}}}},"NumberOfShards":{"type":"integer"},"Shards":{"type":"list","member":{"type":"structure","members":{"Name":{},"Status":{},"Slots":{},"Nodes":{"type":"list","member":{"type":"structure","members":{"Name":{},"Status":{},"AvailabilityZone":{},"CreateTime":{"type":"timestamp"},"Endpoint":{"shape":"Sn"}}}},"NumberOfNodes":{"type":"integer"}}}},"AvailabilityMode":{},"ClusterEndpoint":{"shape":"Sn"},"NodeType":{},"EngineVersion":{},"EnginePatchVersion":{},"ParameterGroupName":{},"ParameterGroupStatus":{},"SecurityGroups":{"type":"list","member":{"type":"structure","members":{"SecurityGroupId":{},"Status":{}}}},"SubnetGroupName":{},"TLSEnabled":{"type":"boolean"},"KmsKeyId":{},"ARN":{},"SnsTopicArn":{},"SnsTopicStatus":{},"SnapshotRetentionLimit":{"type":"integer"},"MaintenanceWindow":{},"SnapshotWindow":{},"ACLName":{},"AutoMinorVersionUpgrade":{"type":"boolean"}}},"Sn":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"}}},"Sy":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"S11":{"type":"structure","members":{"Name":{},"Status":{},"Source":{},"KmsKeyId":{},"ARN":{},"ClusterConfiguration":{"type":"structure","members":{"Name":{},"Description":{},"NodeType":{},"EngineVersion":{},"MaintenanceWindow":{},"TopicArn":{},"Port":{"type":"integer"},"ParameterGroupName":{},"SubnetGroupName":{},"VpcId":{},"SnapshotRetentionLimit":{"type":"integer"},"SnapshotWindow":{},"NumShards":{"type":"integer"},"Shards":{"type":"list","member":{"type":"structure","members":{"Name":{},"Configuration":{"type":"structure","members":{"Slots":{},"ReplicaCount":{"type":"integer"}}},"Size":{},"SnapshotCreationTime":{"type":"timestamp"}}}}}}}},"S17":{"type":"list","member":{}},"S1a":{"type":"structure","members":{"Name":{},"Status":{},"UserNames":{"shape":"S1b"},"MinimumEngineVersion":{},"PendingChanges":{"type":"structure","members":{"UserNamesToRemove":{"shape":"S1b"},"UserNamesToAdd":{"shape":"S1b"}}},"Clusters":{"type":"list","member":{}},"ARN":{}}},"S1b":{"type":"list","member":{}},"S1f":{"type":"list","member":{}},"S1k":{"type":"structure","members":{"Name":{},"Family":{},"Description":{},"ARN":{}}},"S1o":{"type":"list","member":{}},"S1q":{"type":"structure","members":{"Name":{},"Description":{},"VpcId":{},"Subnets":{"type":"list","member":{"type":"structure","members":{"Identifier":{},"AvailabilityZone":{"type":"structure","members":{"Name":{}}}}}},"ARN":{}}},"S1v":{"type":"structure","members":{"Type":{},"Passwords":{"type":"list","member":{}}}},"S20":{"type":"structure","members":{"Name":{},"Status":{},"AccessString":{},"ACLNames":{"type":"list","member":{}},"MinimumEngineVersion":{},"Authentication":{"type":"structure","members":{"Type":{},"PasswordCount":{"type":"integer"}}},"ARN":{}}},"S3q":{"type":"list","member":{}}}}');

/***/ }),

/***/ 93809:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 17752:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"acm":{"name":"ACM","cors":true},"apigateway":{"name":"APIGateway","cors":true},"applicationautoscaling":{"prefix":"application-autoscaling","name":"ApplicationAutoScaling","cors":true},"appstream":{"name":"AppStream"},"autoscaling":{"name":"AutoScaling","cors":true},"batch":{"name":"Batch"},"budgets":{"name":"Budgets"},"clouddirectory":{"name":"CloudDirectory","versions":["2016-05-10*"]},"cloudformation":{"name":"CloudFormation","cors":true},"cloudfront":{"name":"CloudFront","versions":["2013-05-12*","2013-11-11*","2014-05-31*","2014-10-21*","2014-11-06*","2015-04-17*","2015-07-27*","2015-09-17*","2016-01-13*","2016-01-28*","2016-08-01*","2016-08-20*","2016-09-07*","2016-09-29*","2016-11-25*","2017-03-25*","2017-10-30*","2018-06-18*","2018-11-05*","2019-03-26*"],"cors":true},"cloudhsm":{"name":"CloudHSM","cors":true},"cloudsearch":{"name":"CloudSearch"},"cloudsearchdomain":{"name":"CloudSearchDomain"},"cloudtrail":{"name":"CloudTrail","cors":true},"cloudwatch":{"prefix":"monitoring","name":"CloudWatch","cors":true},"cloudwatchevents":{"prefix":"events","name":"CloudWatchEvents","versions":["2014-02-03*"],"cors":true},"cloudwatchlogs":{"prefix":"logs","name":"CloudWatchLogs","cors":true},"codebuild":{"name":"CodeBuild","cors":true},"codecommit":{"name":"CodeCommit","cors":true},"codedeploy":{"name":"CodeDeploy","cors":true},"codepipeline":{"name":"CodePipeline","cors":true},"cognitoidentity":{"prefix":"cognito-identity","name":"CognitoIdentity","cors":true},"cognitoidentityserviceprovider":{"prefix":"cognito-idp","name":"CognitoIdentityServiceProvider","cors":true},"cognitosync":{"prefix":"cognito-sync","name":"CognitoSync","cors":true},"configservice":{"prefix":"config","name":"ConfigService","cors":true},"cur":{"name":"CUR","cors":true},"datapipeline":{"name":"DataPipeline"},"devicefarm":{"name":"DeviceFarm","cors":true},"directconnect":{"name":"DirectConnect","cors":true},"directoryservice":{"prefix":"ds","name":"DirectoryService"},"discovery":{"name":"Discovery"},"dms":{"name":"DMS"},"dynamodb":{"name":"DynamoDB","cors":true},"dynamodbstreams":{"prefix":"streams.dynamodb","name":"DynamoDBStreams","cors":true},"ec2":{"name":"EC2","versions":["2013-06-15*","2013-10-15*","2014-02-01*","2014-05-01*","2014-06-15*","2014-09-01*","2014-10-01*","2015-03-01*","2015-04-15*","2015-10-01*","2016-04-01*","2016-09-15*"],"cors":true},"ecr":{"name":"ECR","cors":true},"ecs":{"name":"ECS","cors":true},"efs":{"prefix":"elasticfilesystem","name":"EFS","cors":true},"elasticache":{"name":"ElastiCache","versions":["2012-11-15*","2014-03-24*","2014-07-15*","2014-09-30*"],"cors":true},"elasticbeanstalk":{"name":"ElasticBeanstalk","cors":true},"elb":{"prefix":"elasticloadbalancing","name":"ELB","cors":true},"elbv2":{"prefix":"elasticloadbalancingv2","name":"ELBv2","cors":true},"emr":{"prefix":"elasticmapreduce","name":"EMR","cors":true},"es":{"name":"ES"},"elastictranscoder":{"name":"ElasticTranscoder","cors":true},"firehose":{"name":"Firehose","cors":true},"gamelift":{"name":"GameLift","cors":true},"glacier":{"name":"Glacier"},"health":{"name":"Health"},"iam":{"name":"IAM","cors":true},"importexport":{"name":"ImportExport"},"inspector":{"name":"Inspector","versions":["2015-08-18*"],"cors":true},"iot":{"name":"Iot","cors":true},"iotdata":{"prefix":"iot-data","name":"IotData","cors":true},"kinesis":{"name":"Kinesis","cors":true},"kinesisanalytics":{"name":"KinesisAnalytics"},"kms":{"name":"KMS","cors":true},"lambda":{"name":"Lambda","cors":true},"lexruntime":{"prefix":"runtime.lex","name":"LexRuntime","cors":true},"lightsail":{"name":"Lightsail"},"machinelearning":{"name":"MachineLearning","cors":true},"marketplacecommerceanalytics":{"name":"MarketplaceCommerceAnalytics","cors":true},"marketplacemetering":{"prefix":"meteringmarketplace","name":"MarketplaceMetering"},"mturk":{"prefix":"mturk-requester","name":"MTurk","cors":true},"mobileanalytics":{"name":"MobileAnalytics","cors":true},"opsworks":{"name":"OpsWorks","cors":true},"opsworkscm":{"name":"OpsWorksCM"},"organizations":{"name":"Organizations"},"pinpoint":{"name":"Pinpoint"},"polly":{"name":"Polly","cors":true},"rds":{"name":"RDS","versions":["2014-09-01*"],"cors":true},"redshift":{"name":"Redshift","cors":true},"rekognition":{"name":"Rekognition","cors":true},"resourcegroupstaggingapi":{"name":"ResourceGroupsTaggingAPI"},"route53":{"name":"Route53","cors":true},"route53domains":{"name":"Route53Domains","cors":true},"s3":{"name":"S3","dualstackAvailable":true,"cors":true},"s3control":{"name":"S3Control","dualstackAvailable":true,"xmlNoDefaultLists":true},"servicecatalog":{"name":"ServiceCatalog","cors":true},"ses":{"prefix":"email","name":"SES","cors":true},"shield":{"name":"Shield"},"simpledb":{"prefix":"sdb","name":"SimpleDB"},"sms":{"name":"SMS"},"snowball":{"name":"Snowball"},"sns":{"name":"SNS","cors":true},"sqs":{"name":"SQS","cors":true},"ssm":{"name":"SSM","cors":true},"storagegateway":{"name":"StorageGateway","cors":true},"stepfunctions":{"prefix":"states","name":"StepFunctions"},"sts":{"name":"STS","cors":true},"support":{"name":"Support"},"swf":{"name":"SWF"},"xray":{"name":"XRay","cors":true},"waf":{"name":"WAF","cors":true},"wafregional":{"prefix":"waf-regional","name":"WAFRegional"},"workdocs":{"name":"WorkDocs","cors":true},"workspaces":{"name":"WorkSpaces"},"codestar":{"name":"CodeStar"},"lexmodelbuildingservice":{"prefix":"lex-models","name":"LexModelBuildingService","cors":true},"marketplaceentitlementservice":{"prefix":"entitlement.marketplace","name":"MarketplaceEntitlementService"},"athena":{"name":"Athena","cors":true},"greengrass":{"name":"Greengrass"},"dax":{"name":"DAX"},"migrationhub":{"prefix":"AWSMigrationHub","name":"MigrationHub"},"cloudhsmv2":{"name":"CloudHSMV2","cors":true},"glue":{"name":"Glue"},"mobile":{"name":"Mobile"},"pricing":{"name":"Pricing","cors":true},"costexplorer":{"prefix":"ce","name":"CostExplorer","cors":true},"mediaconvert":{"name":"MediaConvert"},"medialive":{"name":"MediaLive"},"mediapackage":{"name":"MediaPackage"},"mediastore":{"name":"MediaStore"},"mediastoredata":{"prefix":"mediastore-data","name":"MediaStoreData","cors":true},"appsync":{"name":"AppSync"},"guardduty":{"name":"GuardDuty"},"mq":{"name":"MQ"},"comprehend":{"name":"Comprehend","cors":true},"iotjobsdataplane":{"prefix":"iot-jobs-data","name":"IoTJobsDataPlane"},"kinesisvideoarchivedmedia":{"prefix":"kinesis-video-archived-media","name":"KinesisVideoArchivedMedia","cors":true},"kinesisvideomedia":{"prefix":"kinesis-video-media","name":"KinesisVideoMedia","cors":true},"kinesisvideo":{"name":"KinesisVideo","cors":true},"sagemakerruntime":{"prefix":"runtime.sagemaker","name":"SageMakerRuntime"},"sagemaker":{"name":"SageMaker"},"translate":{"name":"Translate","cors":true},"resourcegroups":{"prefix":"resource-groups","name":"ResourceGroups","cors":true},"alexaforbusiness":{"name":"AlexaForBusiness"},"cloud9":{"name":"Cloud9"},"serverlessapplicationrepository":{"prefix":"serverlessrepo","name":"ServerlessApplicationRepository"},"servicediscovery":{"name":"ServiceDiscovery"},"workmail":{"name":"WorkMail"},"autoscalingplans":{"prefix":"autoscaling-plans","name":"AutoScalingPlans"},"transcribeservice":{"prefix":"transcribe","name":"TranscribeService"},"connect":{"name":"Connect","cors":true},"acmpca":{"prefix":"acm-pca","name":"ACMPCA"},"fms":{"name":"FMS"},"secretsmanager":{"name":"SecretsManager","cors":true},"iotanalytics":{"name":"IoTAnalytics","cors":true},"iot1clickdevicesservice":{"prefix":"iot1click-devices","name":"IoT1ClickDevicesService"},"iot1clickprojects":{"prefix":"iot1click-projects","name":"IoT1ClickProjects"},"pi":{"name":"PI"},"neptune":{"name":"Neptune"},"mediatailor":{"name":"MediaTailor"},"eks":{"name":"EKS"},"macie":{"name":"Macie"},"dlm":{"name":"DLM"},"signer":{"name":"Signer"},"chime":{"name":"Chime"},"pinpointemail":{"prefix":"pinpoint-email","name":"PinpointEmail"},"ram":{"name":"RAM"},"route53resolver":{"name":"Route53Resolver"},"pinpointsmsvoice":{"prefix":"sms-voice","name":"PinpointSMSVoice"},"quicksight":{"name":"QuickSight"},"rdsdataservice":{"prefix":"rds-data","name":"RDSDataService"},"amplify":{"name":"Amplify"},"datasync":{"name":"DataSync"},"robomaker":{"name":"RoboMaker"},"transfer":{"name":"Transfer"},"globalaccelerator":{"name":"GlobalAccelerator"},"comprehendmedical":{"name":"ComprehendMedical","cors":true},"kinesisanalyticsv2":{"name":"KinesisAnalyticsV2"},"mediaconnect":{"name":"MediaConnect"},"fsx":{"name":"FSx"},"securityhub":{"name":"SecurityHub"},"appmesh":{"name":"AppMesh","versions":["2018-10-01*"]},"licensemanager":{"prefix":"license-manager","name":"LicenseManager"},"kafka":{"name":"Kafka"},"apigatewaymanagementapi":{"name":"ApiGatewayManagementApi"},"apigatewayv2":{"name":"ApiGatewayV2"},"docdb":{"name":"DocDB"},"backup":{"name":"Backup"},"worklink":{"name":"WorkLink"},"textract":{"name":"Textract"},"managedblockchain":{"name":"ManagedBlockchain"},"mediapackagevod":{"prefix":"mediapackage-vod","name":"MediaPackageVod"},"groundstation":{"name":"GroundStation"},"iotthingsgraph":{"name":"IoTThingsGraph"},"iotevents":{"name":"IoTEvents"},"ioteventsdata":{"prefix":"iotevents-data","name":"IoTEventsData"},"personalize":{"name":"Personalize","cors":true},"personalizeevents":{"prefix":"personalize-events","name":"PersonalizeEvents","cors":true},"personalizeruntime":{"prefix":"personalize-runtime","name":"PersonalizeRuntime","cors":true},"applicationinsights":{"prefix":"application-insights","name":"ApplicationInsights"},"servicequotas":{"prefix":"service-quotas","name":"ServiceQuotas"},"ec2instanceconnect":{"prefix":"ec2-instance-connect","name":"EC2InstanceConnect"},"eventbridge":{"name":"EventBridge"},"lakeformation":{"name":"LakeFormation"},"forecastservice":{"prefix":"forecast","name":"ForecastService","cors":true},"forecastqueryservice":{"prefix":"forecastquery","name":"ForecastQueryService","cors":true},"qldb":{"name":"QLDB"},"qldbsession":{"prefix":"qldb-session","name":"QLDBSession"},"workmailmessageflow":{"name":"WorkMailMessageFlow"},"codestarnotifications":{"prefix":"codestar-notifications","name":"CodeStarNotifications"},"savingsplans":{"name":"SavingsPlans"},"sso":{"name":"SSO"},"ssooidc":{"prefix":"sso-oidc","name":"SSOOIDC"},"marketplacecatalog":{"prefix":"marketplace-catalog","name":"MarketplaceCatalog"},"dataexchange":{"name":"DataExchange"},"sesv2":{"name":"SESV2"},"migrationhubconfig":{"prefix":"migrationhub-config","name":"MigrationHubConfig"},"connectparticipant":{"name":"ConnectParticipant"},"appconfig":{"name":"AppConfig"},"iotsecuretunneling":{"name":"IoTSecureTunneling"},"wafv2":{"name":"WAFV2"},"elasticinference":{"prefix":"elastic-inference","name":"ElasticInference"},"imagebuilder":{"name":"Imagebuilder"},"schemas":{"name":"Schemas"},"accessanalyzer":{"name":"AccessAnalyzer"},"codegurureviewer":{"prefix":"codeguru-reviewer","name":"CodeGuruReviewer"},"codeguruprofiler":{"name":"CodeGuruProfiler"},"computeoptimizer":{"prefix":"compute-optimizer","name":"ComputeOptimizer"},"frauddetector":{"name":"FraudDetector"},"kendra":{"name":"Kendra"},"networkmanager":{"name":"NetworkManager"},"outposts":{"name":"Outposts"},"augmentedairuntime":{"prefix":"sagemaker-a2i-runtime","name":"AugmentedAIRuntime"},"ebs":{"name":"EBS"},"kinesisvideosignalingchannels":{"prefix":"kinesis-video-signaling","name":"KinesisVideoSignalingChannels","cors":true},"detective":{"name":"Detective"},"codestarconnections":{"prefix":"codestar-connections","name":"CodeStarconnections"},"synthetics":{"name":"Synthetics"},"iotsitewise":{"name":"IoTSiteWise"},"macie2":{"name":"Macie2"},"codeartifact":{"name":"CodeArtifact"},"honeycode":{"name":"Honeycode"},"ivs":{"name":"IVS"},"braket":{"name":"Braket"},"identitystore":{"name":"IdentityStore"},"appflow":{"name":"Appflow"},"redshiftdata":{"prefix":"redshift-data","name":"RedshiftData"},"ssoadmin":{"prefix":"sso-admin","name":"SSOAdmin"},"timestreamquery":{"prefix":"timestream-query","name":"TimestreamQuery"},"timestreamwrite":{"prefix":"timestream-write","name":"TimestreamWrite"},"s3outposts":{"name":"S3Outposts"},"databrew":{"name":"DataBrew"},"servicecatalogappregistry":{"prefix":"servicecatalog-appregistry","name":"ServiceCatalogAppRegistry"},"networkfirewall":{"prefix":"network-firewall","name":"NetworkFirewall"},"mwaa":{"name":"MWAA"},"amplifybackend":{"name":"AmplifyBackend"},"appintegrations":{"name":"AppIntegrations"},"connectcontactlens":{"prefix":"connect-contact-lens","name":"ConnectContactLens"},"devopsguru":{"prefix":"devops-guru","name":"DevOpsGuru"},"ecrpublic":{"prefix":"ecr-public","name":"ECRPUBLIC"},"lookoutvision":{"name":"LookoutVision"},"sagemakerfeaturestoreruntime":{"prefix":"sagemaker-featurestore-runtime","name":"SageMakerFeatureStoreRuntime"},"customerprofiles":{"prefix":"customer-profiles","name":"CustomerProfiles"},"auditmanager":{"name":"AuditManager"},"emrcontainers":{"prefix":"emr-containers","name":"EMRcontainers"},"healthlake":{"name":"HealthLake"},"sagemakeredge":{"prefix":"sagemaker-edge","name":"SagemakerEdge"},"amp":{"name":"Amp"},"greengrassv2":{"name":"GreengrassV2"},"iotdeviceadvisor":{"name":"IotDeviceAdvisor"},"iotfleethub":{"name":"IoTFleetHub"},"iotwireless":{"name":"IoTWireless"},"location":{"name":"Location","cors":true},"wellarchitected":{"name":"WellArchitected"},"lexmodelsv2":{"prefix":"models.lex.v2","name":"LexModelsV2"},"lexruntimev2":{"prefix":"runtime.lex.v2","name":"LexRuntimeV2","cors":true},"fis":{"name":"Fis"},"lookoutmetrics":{"name":"LookoutMetrics"},"mgn":{"name":"Mgn"},"lookoutequipment":{"name":"LookoutEquipment"},"nimble":{"name":"Nimble"},"finspace":{"name":"Finspace"},"finspacedata":{"prefix":"finspace-data","name":"Finspacedata"},"ssmcontacts":{"prefix":"ssm-contacts","name":"SSMContacts"},"ssmincidents":{"prefix":"ssm-incidents","name":"SSMIncidents"},"applicationcostprofiler":{"name":"ApplicationCostProfiler"},"apprunner":{"name":"AppRunner"},"proton":{"name":"Proton"},"route53recoverycluster":{"prefix":"route53-recovery-cluster","name":"Route53RecoveryCluster"},"route53recoverycontrolconfig":{"prefix":"route53-recovery-control-config","name":"Route53RecoveryControlConfig"},"route53recoveryreadiness":{"prefix":"route53-recovery-readiness","name":"Route53RecoveryReadiness"},"chimesdkidentity":{"prefix":"chime-sdk-identity","name":"ChimeSDKIdentity"},"chimesdkmessaging":{"prefix":"chime-sdk-messaging","name":"ChimeSDKMessaging"},"snowdevicemanagement":{"prefix":"snow-device-management","name":"SnowDeviceManagement"},"memorydb":{"name":"MemoryDB"},"opensearch":{"name":"OpenSearch"},"kafkaconnect":{"name":"KafkaConnect"},"voiceid":{"prefix":"voice-id","name":"VoiceID"},"wisdom":{"name":"Wisdom"},"account":{"name":"Account"},"cloudcontrol":{"name":"CloudControl"},"grafana":{"name":"Grafana"},"panorama":{"name":"Panorama"},"chimesdkmeetings":{"prefix":"chime-sdk-meetings","name":"ChimeSDKMeetings"},"resiliencehub":{"name":"Resiliencehub"},"migrationhubstrategy":{"name":"MigrationHubStrategy"},"appconfigdata":{"name":"AppConfigData"},"drs":{"name":"Drs"},"migrationhubrefactorspaces":{"prefix":"migration-hub-refactor-spaces","name":"MigrationHubRefactorSpaces"},"evidently":{"name":"Evidently"},"inspector2":{"name":"Inspector2"},"rbin":{"name":"Rbin"},"rum":{"name":"RUM"},"backupgateway":{"prefix":"backup-gateway","name":"BackupGateway"},"iottwinmaker":{"name":"IoTTwinMaker"},"workspacesweb":{"prefix":"workspaces-web","name":"WorkSpacesWeb"},"amplifyuibuilder":{"name":"AmplifyUIBuilder"}}');

/***/ }),

/***/ 43027:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-01-14","endpointPrefix":"metering.marketplace","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWSMarketplace Metering","serviceId":"Marketplace Metering","signatureVersion":"v4","signingName":"aws-marketplace","targetPrefix":"AWSMPMeteringService","uid":"meteringmarketplace-2016-01-14"},"operations":{"BatchMeterUsage":{"input":{"type":"structure","required":["UsageRecords","ProductCode"],"members":{"UsageRecords":{"shape":"S2"},"ProductCode":{}}},"output":{"type":"structure","members":{"Results":{"type":"list","member":{"type":"structure","members":{"UsageRecord":{"shape":"S3"},"MeteringRecordId":{},"Status":{}}}},"UnprocessedRecords":{"shape":"S2"}}}},"MeterUsage":{"input":{"type":"structure","required":["ProductCode","Timestamp","UsageDimension"],"members":{"ProductCode":{},"Timestamp":{"type":"timestamp"},"UsageDimension":{},"UsageQuantity":{"type":"integer"},"DryRun":{"type":"boolean"},"UsageAllocations":{"shape":"S8"}}},"output":{"type":"structure","members":{"MeteringRecordId":{}}}},"RegisterUsage":{"input":{"type":"structure","required":["ProductCode","PublicKeyVersion"],"members":{"ProductCode":{},"PublicKeyVersion":{"type":"integer"},"Nonce":{}}},"output":{"type":"structure","members":{"PublicKeyRotationTimestamp":{"type":"timestamp"},"Signature":{}}}},"ResolveCustomer":{"input":{"type":"structure","required":["RegistrationToken"],"members":{"RegistrationToken":{}}},"output":{"type":"structure","members":{"CustomerIdentifier":{},"ProductCode":{}}}}},"shapes":{"S2":{"type":"list","member":{"shape":"S3"}},"S3":{"type":"structure","required":["Timestamp","CustomerIdentifier","Dimension"],"members":{"Timestamp":{"type":"timestamp"},"CustomerIdentifier":{},"Dimension":{},"Quantity":{"type":"integer"},"UsageAllocations":{"shape":"S8"}}},"S8":{"type":"list","member":{"type":"structure","required":["AllocatedUsageQuantity"],"members":{"AllocatedUsageQuantity":{"type":"integer"},"Tags":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}}}}}}}');

/***/ }),

/***/ 4843:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 65811:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-02-26","endpointPrefix":"mgn","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"mgn","serviceFullName":"Application Migration Service","serviceId":"mgn","signatureVersion":"v4","signingName":"mgn","uid":"mgn-2020-02-26"},"operations":{"ChangeServerLifeCycleState":{"http":{"requestUri":"/ChangeServerLifeCycleState","responseCode":200},"input":{"type":"structure","required":["lifeCycle","sourceServerID"],"members":{"lifeCycle":{"type":"structure","required":["state"],"members":{"state":{}}},"sourceServerID":{}}},"output":{"shape":"S5"}},"CreateReplicationConfigurationTemplate":{"http":{"requestUri":"/CreateReplicationConfigurationTemplate","responseCode":201},"input":{"type":"structure","required":["associateDefaultSecurityGroup","bandwidthThrottling","createPublicIP","dataPlaneRouting","defaultLargeStagingDiskType","ebsEncryption","replicationServerInstanceType","replicationServersSecurityGroupsIDs","stagingAreaSubnetId","stagingAreaTags","useDedicatedReplicationServer"],"members":{"associateDefaultSecurityGroup":{"type":"boolean"},"bandwidthThrottling":{"type":"long"},"createPublicIP":{"type":"boolean"},"dataPlaneRouting":{},"defaultLargeStagingDiskType":{},"ebsEncryption":{},"ebsEncryptionKeyArn":{},"replicationServerInstanceType":{},"replicationServersSecurityGroupsIDs":{"shape":"S1l"},"stagingAreaSubnetId":{},"stagingAreaTags":{"shape":"S1d"},"tags":{"shape":"S1d"},"useDedicatedReplicationServer":{"type":"boolean"}}},"output":{"shape":"S1o"}},"DeleteJob":{"http":{"requestUri":"/DeleteJob","responseCode":204},"input":{"type":"structure","required":["jobID"],"members":{"jobID":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteReplicationConfigurationTemplate":{"http":{"requestUri":"/DeleteReplicationConfigurationTemplate","responseCode":204},"input":{"type":"structure","required":["replicationConfigurationTemplateID"],"members":{"replicationConfigurationTemplateID":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteSourceServer":{"http":{"requestUri":"/DeleteSourceServer","responseCode":204},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteVcenterClient":{"http":{"requestUri":"/DeleteVcenterClient","responseCode":204},"input":{"type":"structure","required":["vcenterClientID"],"members":{"vcenterClientID":{}}},"idempotent":true},"DescribeJobLogItems":{"http":{"requestUri":"/DescribeJobLogItems","responseCode":200},"input":{"type":"structure","required":["jobID"],"members":{"jobID":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"items":{"type":"list","member":{"type":"structure","members":{"event":{},"eventData":{"type":"structure","members":{"conversionServerID":{},"rawError":{},"sourceServerID":{},"targetInstanceID":{}}},"logDateTime":{}}}},"nextToken":{}}}},"DescribeJobs":{"http":{"requestUri":"/DescribeJobs","responseCode":200},"input":{"type":"structure","required":["filters"],"members":{"filters":{"type":"structure","members":{"fromDate":{},"jobIDs":{"type":"list","member":{}},"toDate":{}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"items":{"type":"list","member":{"shape":"S2a"}},"nextToken":{}}}},"DescribeReplicationConfigurationTemplates":{"http":{"requestUri":"/DescribeReplicationConfigurationTemplates","responseCode":200},"input":{"type":"structure","required":["replicationConfigurationTemplateIDs"],"members":{"maxResults":{"type":"integer"},"nextToken":{},"replicationConfigurationTemplateIDs":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"items":{"type":"list","member":{"shape":"S1o"}},"nextToken":{}}}},"DescribeSourceServers":{"http":{"requestUri":"/DescribeSourceServers","responseCode":200},"input":{"type":"structure","required":["filters"],"members":{"filters":{"type":"structure","members":{"isArchived":{"type":"boolean"},"lifeCycleStates":{"type":"list","member":{}},"replicationTypes":{"type":"list","member":{}},"sourceServerIDs":{"type":"list","member":{}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"items":{"type":"list","member":{"shape":"S5"}},"nextToken":{}}}},"DescribeVcenterClients":{"http":{"method":"GET","requestUri":"/DescribeVcenterClients","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"items":{"type":"list","member":{"type":"structure","members":{"arn":{},"datacenterName":{},"hostname":{},"lastSeenDatetime":{},"sourceServerTags":{"shape":"S1d"},"tags":{"shape":"S1d"},"vcenterClientID":{},"vcenterUUID":{}}}},"nextToken":{}}}},"DisconnectFromService":{"http":{"requestUri":"/DisconnectFromService","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"shape":"S5"}},"FinalizeCutover":{"http":{"requestUri":"/FinalizeCutover","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"shape":"S5"}},"GetLaunchConfiguration":{"http":{"requestUri":"/GetLaunchConfiguration","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"shape":"S2z"}},"GetReplicationConfiguration":{"http":{"requestUri":"/GetReplicationConfiguration","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"shape":"S35"}},"InitializeService":{"http":{"requestUri":"/InitializeService","responseCode":204},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S1d"}}}},"MarkAsArchived":{"http":{"requestUri":"/MarkAsArchived","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"shape":"S5"}},"RetryDataReplication":{"http":{"requestUri":"/RetryDataReplication","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"shape":"S5"}},"StartCutover":{"http":{"requestUri":"/StartCutover","responseCode":202},"input":{"type":"structure","required":["sourceServerIDs"],"members":{"sourceServerIDs":{"type":"list","member":{}},"tags":{"shape":"S1d"}}},"output":{"type":"structure","members":{"job":{"shape":"S2a"}}}},"StartReplication":{"http":{"requestUri":"/StartReplication","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"sourceServerID":{}}},"output":{"shape":"S5"}},"StartTest":{"http":{"requestUri":"/StartTest","responseCode":202},"input":{"type":"structure","required":["sourceServerIDs"],"members":{"sourceServerIDs":{"type":"list","member":{}},"tags":{"shape":"S1d"}}},"output":{"type":"structure","members":{"job":{"shape":"S2a"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S1d"}}},"idempotent":true},"TerminateTargetInstances":{"http":{"requestUri":"/TerminateTargetInstances","responseCode":202},"input":{"type":"structure","required":["sourceServerIDs"],"members":{"sourceServerIDs":{"type":"list","member":{}},"tags":{"shape":"S1d"}}},"output":{"type":"structure","members":{"job":{"shape":"S2a"}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{},"sensitive":true}}},"idempotent":true},"UpdateLaunchConfiguration":{"http":{"requestUri":"/UpdateLaunchConfiguration","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"copyPrivateIp":{"type":"boolean"},"copyTags":{"type":"boolean"},"launchDisposition":{},"licensing":{"shape":"S31"},"name":{},"sourceServerID":{},"targetInstanceTypeRightSizingMethod":{}}},"output":{"shape":"S2z"},"idempotent":true},"UpdateReplicationConfiguration":{"http":{"requestUri":"/UpdateReplicationConfiguration","responseCode":200},"input":{"type":"structure","required":["sourceServerID"],"members":{"associateDefaultSecurityGroup":{"type":"boolean"},"bandwidthThrottling":{"type":"long"},"createPublicIP":{"type":"boolean"},"dataPlaneRouting":{},"defaultLargeStagingDiskType":{},"ebsEncryption":{},"ebsEncryptionKeyArn":{},"name":{},"replicatedDisks":{"shape":"S36"},"replicationServerInstanceType":{},"replicationServersSecurityGroupsIDs":{"shape":"S1l"},"sourceServerID":{},"stagingAreaSubnetId":{},"stagingAreaTags":{"shape":"S1d"},"useDedicatedReplicationServer":{"type":"boolean"}}},"output":{"shape":"S35"},"idempotent":true},"UpdateReplicationConfigurationTemplate":{"http":{"requestUri":"/UpdateReplicationConfigurationTemplate","responseCode":200},"input":{"type":"structure","required":["replicationConfigurationTemplateID"],"members":{"arn":{},"associateDefaultSecurityGroup":{"type":"boolean"},"bandwidthThrottling":{"type":"long"},"createPublicIP":{"type":"boolean"},"dataPlaneRouting":{},"defaultLargeStagingDiskType":{},"ebsEncryption":{},"ebsEncryptionKeyArn":{},"replicationConfigurationTemplateID":{},"replicationServerInstanceType":{},"replicationServersSecurityGroupsIDs":{"shape":"S1l"},"stagingAreaSubnetId":{},"stagingAreaTags":{"shape":"S1d"},"useDedicatedReplicationServer":{"type":"boolean"}}},"output":{"shape":"S1o"}},"UpdateSourceServerReplicationType":{"http":{"requestUri":"/UpdateSourceServerReplicationType","responseCode":200},"input":{"type":"structure","required":["replicationType","sourceServerID"],"members":{"replicationType":{},"sourceServerID":{}}},"output":{"shape":"S5"}}},"shapes":{"S5":{"type":"structure","members":{"arn":{},"dataReplicationInfo":{"type":"structure","members":{"dataReplicationError":{"type":"structure","members":{"error":{},"rawError":{}}},"dataReplicationInitiation":{"type":"structure","members":{"nextAttemptDateTime":{},"startDateTime":{},"steps":{"type":"list","member":{"type":"structure","members":{"name":{},"status":{}}}}}},"dataReplicationState":{},"etaDateTime":{},"lagDuration":{},"lastSnapshotDateTime":{},"replicatedDisks":{"type":"list","member":{"type":"structure","members":{"backloggedStorageBytes":{"type":"long"},"deviceName":{},"replicatedStorageBytes":{"type":"long"},"rescannedStorageBytes":{"type":"long"},"totalStorageBytes":{"type":"long"}}}}}},"isArchived":{"type":"boolean"},"launchedInstance":{"type":"structure","members":{"ec2InstanceID":{},"firstBoot":{},"jobID":{}}},"lifeCycle":{"type":"structure","members":{"addedToServiceDateTime":{},"elapsedReplicationDuration":{},"firstByteDateTime":{},"lastCutover":{"type":"structure","members":{"finalized":{"type":"structure","members":{"apiCallDateTime":{}}},"initiated":{"type":"structure","members":{"apiCallDateTime":{},"jobID":{}}},"reverted":{"type":"structure","members":{"apiCallDateTime":{}}}}},"lastSeenByServiceDateTime":{},"lastTest":{"type":"structure","members":{"finalized":{"type":"structure","members":{"apiCallDateTime":{}}},"initiated":{"type":"structure","members":{"apiCallDateTime":{},"jobID":{}}},"reverted":{"type":"structure","members":{"apiCallDateTime":{}}}}},"state":{}}},"replicationType":{},"sourceProperties":{"type":"structure","members":{"cpus":{"type":"list","member":{"type":"structure","members":{"cores":{"type":"long"},"modelName":{}}}},"disks":{"type":"list","member":{"type":"structure","members":{"bytes":{"type":"long"},"deviceName":{}}}},"identificationHints":{"type":"structure","members":{"awsInstanceID":{},"fqdn":{},"hostname":{},"vmPath":{},"vmWareUuid":{}}},"lastUpdatedDateTime":{},"networkInterfaces":{"type":"list","member":{"type":"structure","members":{"ips":{"type":"list","member":{}},"isPrimary":{"type":"boolean"},"macAddress":{}}}},"os":{"type":"structure","members":{"fullString":{}}},"ramBytes":{"type":"long"},"recommendedInstanceType":{}}},"sourceServerID":{},"tags":{"shape":"S1d"},"vcenterClientID":{}}},"S1d":{"type":"map","key":{},"value":{},"sensitive":true},"S1l":{"type":"list","member":{}},"S1o":{"type":"structure","required":["replicationConfigurationTemplateID"],"members":{"arn":{},"associateDefaultSecurityGroup":{"type":"boolean"},"bandwidthThrottling":{"type":"long"},"createPublicIP":{"type":"boolean"},"dataPlaneRouting":{},"defaultLargeStagingDiskType":{},"ebsEncryption":{},"ebsEncryptionKeyArn":{},"replicationConfigurationTemplateID":{},"replicationServerInstanceType":{},"replicationServersSecurityGroupsIDs":{"shape":"S1l"},"stagingAreaSubnetId":{},"stagingAreaTags":{"shape":"S1d"},"tags":{"shape":"S1d"},"useDedicatedReplicationServer":{"type":"boolean"}}},"S2a":{"type":"structure","required":["jobID"],"members":{"arn":{},"creationDateTime":{},"endDateTime":{},"initiatedBy":{},"jobID":{},"participatingServers":{"type":"list","member":{"type":"structure","members":{"launchStatus":{},"sourceServerID":{}}}},"status":{},"tags":{"shape":"S1d"},"type":{}}},"S2z":{"type":"structure","members":{"copyPrivateIp":{"type":"boolean"},"copyTags":{"type":"boolean"},"ec2LaunchTemplateID":{},"launchDisposition":{},"licensing":{"shape":"S31"},"name":{},"sourceServerID":{},"targetInstanceTypeRightSizingMethod":{}}},"S31":{"type":"structure","members":{"osByol":{"type":"boolean"}}},"S35":{"type":"structure","members":{"associateDefaultSecurityGroup":{"type":"boolean"},"bandwidthThrottling":{"type":"long"},"createPublicIP":{"type":"boolean"},"dataPlaneRouting":{},"defaultLargeStagingDiskType":{},"ebsEncryption":{},"ebsEncryptionKeyArn":{},"name":{},"replicatedDisks":{"shape":"S36"},"replicationServerInstanceType":{},"replicationServersSecurityGroupsIDs":{"shape":"S1l"},"sourceServerID":{},"stagingAreaSubnetId":{},"stagingAreaTags":{"shape":"S1d"},"useDedicatedReplicationServer":{"type":"boolean"}}},"S36":{"type":"list","member":{"type":"structure","members":{"deviceName":{},"iops":{"type":"long"},"isBootDisk":{"type":"boolean"},"stagingDiskType":{}}}}}}');

/***/ }),

/***/ 52443:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeJobLogItems":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"},"DescribeJobs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"},"DescribeReplicationConfigurationTemplates":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"},"DescribeSourceServers":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"},"DescribeVcenterClients":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"items"}}}');

/***/ }),

/***/ 17110:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-10-26","endpointPrefix":"refactor-spaces","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS Migration Hub Refactor Spaces","serviceId":"Migration Hub Refactor Spaces","signatureVersion":"v4","signingName":"refactor-spaces","uid":"migration-hub-refactor-spaces-2021-10-26"},"operations":{"CreateApplication":{"http":{"requestUri":"/environments/{EnvironmentIdentifier}/applications","responseCode":200},"input":{"type":"structure","required":["EnvironmentIdentifier","Name","ProxyType","VpcId"],"members":{"ApiGatewayProxy":{"shape":"S2"},"ClientToken":{"idempotencyToken":true},"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"},"Name":{},"ProxyType":{},"Tags":{"shape":"S9"},"VpcId":{}}},"output":{"type":"structure","members":{"ApiGatewayProxy":{"shape":"S2"},"ApplicationId":{},"Arn":{},"CreatedByAccountId":{},"CreatedTime":{"type":"timestamp"},"EnvironmentId":{},"LastUpdatedTime":{"type":"timestamp"},"Name":{},"OwnerAccountId":{},"ProxyType":{},"State":{},"Tags":{"shape":"S9"},"VpcId":{}}}},"CreateEnvironment":{"http":{"requestUri":"/environments","responseCode":200},"input":{"type":"structure","required":["Name","NetworkFabricType"],"members":{"ClientToken":{"idempotencyToken":true},"Description":{},"Name":{},"NetworkFabricType":{},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"Arn":{},"CreatedTime":{"type":"timestamp"},"Description":{},"EnvironmentId":{},"LastUpdatedTime":{"type":"timestamp"},"Name":{},"NetworkFabricType":{},"OwnerAccountId":{},"State":{},"Tags":{"shape":"S9"}}}},"CreateRoute":{"http":{"requestUri":"/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/routes","responseCode":200},"input":{"type":"structure","required":["ApplicationIdentifier","EnvironmentIdentifier","RouteType","ServiceIdentifier"],"members":{"ApplicationIdentifier":{"location":"uri","locationName":"ApplicationIdentifier"},"ClientToken":{"idempotencyToken":true},"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"},"RouteType":{},"ServiceIdentifier":{},"Tags":{"shape":"S9"},"UriPathRoute":{"shape":"Ss"}}},"output":{"type":"structure","members":{"ApplicationId":{},"Arn":{},"CreatedByAccountId":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"OwnerAccountId":{},"RouteId":{},"RouteType":{},"ServiceId":{},"State":{},"Tags":{"shape":"S9"},"UriPathRoute":{"shape":"Ss"}}}},"CreateService":{"http":{"requestUri":"/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/services","responseCode":200},"input":{"type":"structure","required":["ApplicationIdentifier","EndpointType","EnvironmentIdentifier","Name"],"members":{"ApplicationIdentifier":{"location":"uri","locationName":"ApplicationIdentifier"},"ClientToken":{"idempotencyToken":true},"Description":{},"EndpointType":{},"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"},"LambdaEndpoint":{"shape":"S13"},"Name":{},"Tags":{"shape":"S9"},"UrlEndpoint":{"shape":"S16"},"VpcId":{}}},"output":{"type":"structure","members":{"ApplicationId":{},"Arn":{},"CreatedByAccountId":{},"CreatedTime":{"type":"timestamp"},"Description":{},"EndpointType":{},"EnvironmentId":{},"LambdaEndpoint":{"shape":"S13"},"LastUpdatedTime":{"type":"timestamp"},"Name":{},"OwnerAccountId":{},"ServiceId":{},"State":{},"Tags":{"shape":"S9"},"UrlEndpoint":{"shape":"S16"},"VpcId":{}}}},"DeleteApplication":{"http":{"method":"DELETE","requestUri":"/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}","responseCode":200},"input":{"type":"structure","required":["ApplicationIdentifier","EnvironmentIdentifier"],"members":{"ApplicationIdentifier":{"location":"uri","locationName":"ApplicationIdentifier"},"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"}}},"output":{"type":"structure","members":{"ApplicationId":{},"Arn":{},"EnvironmentId":{},"LastUpdatedTime":{"type":"timestamp"},"Name":{},"State":{}}},"idempotent":true},"DeleteEnvironment":{"http":{"method":"DELETE","requestUri":"/environments/{EnvironmentIdentifier}","responseCode":200},"input":{"type":"structure","required":["EnvironmentIdentifier"],"members":{"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"}}},"output":{"type":"structure","members":{"Arn":{},"EnvironmentId":{},"LastUpdatedTime":{"type":"timestamp"},"Name":{},"State":{}}},"idempotent":true},"DeleteResourcePolicy":{"http":{"method":"DELETE","requestUri":"/resourcepolicy/{Identifier}","responseCode":200},"input":{"type":"structure","required":["Identifier"],"members":{"Identifier":{"location":"uri","locationName":"Identifier"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteRoute":{"http":{"method":"DELETE","requestUri":"/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/routes/{RouteIdentifier}","responseCode":200},"input":{"type":"structure","required":["ApplicationIdentifier","EnvironmentIdentifier","RouteIdentifier"],"members":{"ApplicationIdentifier":{"location":"uri","locationName":"ApplicationIdentifier"},"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"},"RouteIdentifier":{"location":"uri","locationName":"RouteIdentifier"}}},"output":{"type":"structure","members":{"ApplicationId":{},"Arn":{},"LastUpdatedTime":{"type":"timestamp"},"RouteId":{},"ServiceId":{},"State":{}}},"idempotent":true},"DeleteService":{"http":{"method":"DELETE","requestUri":"/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/services/{ServiceIdentifier}","responseCode":200},"input":{"type":"structure","required":["ApplicationIdentifier","EnvironmentIdentifier","ServiceIdentifier"],"members":{"ApplicationIdentifier":{"location":"uri","locationName":"ApplicationIdentifier"},"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"},"ServiceIdentifier":{"location":"uri","locationName":"ServiceIdentifier"}}},"output":{"type":"structure","members":{"ApplicationId":{},"Arn":{},"EnvironmentId":{},"LastUpdatedTime":{"type":"timestamp"},"Name":{},"ServiceId":{},"State":{}}},"idempotent":true},"GetApplication":{"http":{"method":"GET","requestUri":"/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}","responseCode":200},"input":{"type":"structure","required":["ApplicationIdentifier","EnvironmentIdentifier"],"members":{"ApplicationIdentifier":{"location":"uri","locationName":"ApplicationIdentifier"},"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"}}},"output":{"type":"structure","members":{"ApiGatewayProxy":{"type":"structure","members":{"ApiGatewayId":{},"EndpointType":{},"NlbArn":{},"NlbName":{},"ProxyUrl":{},"StageName":{},"VpcLinkId":{}}},"ApplicationId":{},"Arn":{},"CreatedByAccountId":{},"CreatedTime":{"type":"timestamp"},"EnvironmentId":{},"Error":{"shape":"S1s"},"LastUpdatedTime":{"type":"timestamp"},"Name":{},"OwnerAccountId":{},"ProxyType":{},"State":{},"Tags":{"shape":"S9"},"VpcId":{}}}},"GetEnvironment":{"http":{"method":"GET","requestUri":"/environments/{EnvironmentIdentifier}","responseCode":200},"input":{"type":"structure","required":["EnvironmentIdentifier"],"members":{"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"}}},"output":{"type":"structure","members":{"Arn":{},"CreatedTime":{"type":"timestamp"},"Description":{},"EnvironmentId":{},"Error":{"shape":"S1s"},"LastUpdatedTime":{"type":"timestamp"},"Name":{},"NetworkFabricType":{},"OwnerAccountId":{},"State":{},"Tags":{"shape":"S9"},"TransitGatewayId":{}}}},"GetResourcePolicy":{"http":{"method":"GET","requestUri":"/resourcepolicy/{Identifier}","responseCode":200},"input":{"type":"structure","required":["Identifier"],"members":{"Identifier":{"location":"uri","locationName":"Identifier"}}},"output":{"type":"structure","members":{"Policy":{}}}},"GetRoute":{"http":{"method":"GET","requestUri":"/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/routes/{RouteIdentifier}","responseCode":200},"input":{"type":"structure","required":["ApplicationIdentifier","EnvironmentIdentifier","RouteIdentifier"],"members":{"ApplicationIdentifier":{"location":"uri","locationName":"ApplicationIdentifier"},"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"},"RouteIdentifier":{"location":"uri","locationName":"RouteIdentifier"}}},"output":{"type":"structure","members":{"ApplicationId":{},"Arn":{},"CreatedByAccountId":{},"CreatedTime":{"type":"timestamp"},"EnvironmentId":{},"Error":{"shape":"S1s"},"IncludeChildPaths":{"type":"boolean"},"LastUpdatedTime":{"type":"timestamp"},"Methods":{"shape":"Sv"},"OwnerAccountId":{},"PathResourceToId":{"shape":"S28"},"RouteId":{},"RouteType":{},"ServiceId":{},"SourcePath":{},"State":{},"Tags":{"shape":"S9"}}}},"GetService":{"http":{"method":"GET","requestUri":"/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/services/{ServiceIdentifier}","responseCode":200},"input":{"type":"structure","required":["ApplicationIdentifier","EnvironmentIdentifier","ServiceIdentifier"],"members":{"ApplicationIdentifier":{"location":"uri","locationName":"ApplicationIdentifier"},"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"},"ServiceIdentifier":{"location":"uri","locationName":"ServiceIdentifier"}}},"output":{"type":"structure","members":{"ApplicationId":{},"Arn":{},"CreatedByAccountId":{},"CreatedTime":{"type":"timestamp"},"Description":{},"EndpointType":{},"EnvironmentId":{},"Error":{"shape":"S1s"},"LambdaEndpoint":{"type":"structure","members":{"Arn":{}}},"LastUpdatedTime":{"type":"timestamp"},"Name":{},"OwnerAccountId":{},"ServiceId":{},"State":{},"Tags":{"shape":"S9"},"UrlEndpoint":{"type":"structure","members":{"HealthUrl":{},"Url":{}}},"VpcId":{}}}},"ListApplications":{"http":{"method":"GET","requestUri":"/environments/{EnvironmentIdentifier}/applications","responseCode":200},"input":{"type":"structure","required":["EnvironmentIdentifier"],"members":{"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"ApplicationSummaryList":{"type":"list","member":{"type":"structure","members":{"ApiGatewayProxy":{"type":"structure","members":{"ApiGatewayId":{},"EndpointType":{},"NlbArn":{},"NlbName":{},"ProxyUrl":{},"StageName":{},"VpcLinkId":{}}},"ApplicationId":{},"Arn":{},"CreatedByAccountId":{},"CreatedTime":{"type":"timestamp"},"EnvironmentId":{},"Error":{"shape":"S1s"},"LastUpdatedTime":{"type":"timestamp"},"Name":{},"OwnerAccountId":{},"ProxyType":{},"State":{},"Tags":{"shape":"S9"},"VpcId":{}}}},"NextToken":{}}}},"ListEnvironmentVpcs":{"http":{"method":"GET","requestUri":"/environments/{EnvironmentIdentifier}/vpcs","responseCode":200},"input":{"type":"structure","required":["EnvironmentIdentifier"],"members":{"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"EnvironmentVpcList":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"CidrBlocks":{"type":"list","member":{}},"CreatedTime":{"type":"timestamp"},"EnvironmentId":{},"LastUpdatedTime":{"type":"timestamp"},"VpcId":{},"VpcName":{}}}},"NextToken":{}}}},"ListEnvironments":{"http":{"method":"GET","requestUri":"/environments","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"EnvironmentSummaryList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreatedTime":{"type":"timestamp"},"Description":{},"EnvironmentId":{},"Error":{"shape":"S1s"},"LastUpdatedTime":{"type":"timestamp"},"Name":{},"NetworkFabricType":{},"OwnerAccountId":{},"State":{},"Tags":{"shape":"S9"},"TransitGatewayId":{}}}},"NextToken":{}}}},"ListRoutes":{"http":{"method":"GET","requestUri":"/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/routes","responseCode":200},"input":{"type":"structure","required":["ApplicationIdentifier","EnvironmentIdentifier"],"members":{"ApplicationIdentifier":{"location":"uri","locationName":"ApplicationIdentifier"},"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{},"RouteSummaryList":{"type":"list","member":{"type":"structure","members":{"ApplicationId":{},"Arn":{},"CreatedByAccountId":{},"CreatedTime":{"type":"timestamp"},"EnvironmentId":{},"Error":{"shape":"S1s"},"IncludeChildPaths":{"type":"boolean"},"LastUpdatedTime":{"type":"timestamp"},"Methods":{"shape":"Sv"},"OwnerAccountId":{},"PathResourceToId":{"shape":"S28"},"RouteId":{},"RouteType":{},"ServiceId":{},"SourcePath":{},"State":{},"Tags":{"shape":"S9"}}}}}}},"ListServices":{"http":{"method":"GET","requestUri":"/environments/{EnvironmentIdentifier}/applications/{ApplicationIdentifier}/services","responseCode":200},"input":{"type":"structure","required":["ApplicationIdentifier","EnvironmentIdentifier"],"members":{"ApplicationIdentifier":{"location":"uri","locationName":"ApplicationIdentifier"},"EnvironmentIdentifier":{"location":"uri","locationName":"EnvironmentIdentifier"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{},"ServiceSummaryList":{"type":"list","member":{"type":"structure","members":{"ApplicationId":{},"Arn":{},"CreatedByAccountId":{},"CreatedTime":{"type":"timestamp"},"Description":{},"EndpointType":{},"EnvironmentId":{},"Error":{"shape":"S1s"},"LambdaEndpoint":{"type":"structure","members":{"Arn":{}}},"LastUpdatedTime":{"type":"timestamp"},"Name":{},"OwnerAccountId":{},"ServiceId":{},"State":{},"Tags":{"shape":"S9"},"UrlEndpoint":{"type":"structure","members":{"HealthUrl":{},"Url":{}}},"VpcId":{}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S9"}}}},"PutResourcePolicy":{"http":{"method":"PUT","requestUri":"/resourcepolicy","responseCode":200},"input":{"type":"structure","required":["Policy","ResourceArn"],"members":{"Policy":{},"ResourceArn":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{},"sensitive":true}}},"output":{"type":"structure","members":{}},"idempotent":true}},"shapes":{"S2":{"type":"structure","members":{"EndpointType":{},"StageName":{}}},"S9":{"type":"map","key":{},"value":{},"sensitive":true},"Ss":{"type":"structure","required":["ActivationState","SourcePath"],"members":{"ActivationState":{},"IncludeChildPaths":{"type":"boolean"},"Methods":{"shape":"Sv"},"SourcePath":{}}},"Sv":{"type":"list","member":{}},"S13":{"type":"structure","required":["Arn"],"members":{"Arn":{}}},"S16":{"type":"structure","required":["Url"],"members":{"HealthUrl":{},"Url":{}}},"S1s":{"type":"structure","members":{"AccountId":{},"AdditionalDetails":{"type":"map","key":{},"value":{}},"Code":{},"Message":{},"ResourceIdentifier":{},"ResourceType":{}}},"S28":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 63789:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListApplications":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ApplicationSummaryList"},"ListEnvironmentVpcs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"EnvironmentVpcList"},"ListEnvironments":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"EnvironmentSummaryList"},"ListRoutes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"RouteSummaryList"},"ListServices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ServiceSummaryList"}}}');

/***/ }),

/***/ 59734:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-06-30","endpointPrefix":"migrationhub-config","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Migration Hub Config","serviceId":"MigrationHub Config","signatureVersion":"v4","signingName":"mgh","targetPrefix":"AWSMigrationHubMultiAccountService","uid":"migrationhub-config-2019-06-30"},"operations":{"CreateHomeRegionControl":{"input":{"type":"structure","required":["HomeRegion","Target"],"members":{"HomeRegion":{},"Target":{"shape":"S3"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","members":{"HomeRegionControl":{"shape":"S8"}}}},"DescribeHomeRegionControls":{"input":{"type":"structure","members":{"ControlId":{},"HomeRegion":{},"Target":{"shape":"S3"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"HomeRegionControls":{"type":"list","member":{"shape":"S8"}},"NextToken":{}}}},"GetHomeRegion":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"HomeRegion":{}}}}},"shapes":{"S3":{"type":"structure","required":["Type"],"members":{"Type":{},"Id":{}}},"S8":{"type":"structure","members":{"ControlId":{},"HomeRegion":{},"Target":{"shape":"S3"},"RequestedTime":{"type":"timestamp"}}}}}');

/***/ }),

/***/ 51497:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeHomeRegionControls":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 64663:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-02-19","endpointPrefix":"migrationhub-strategy","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Migration Hub Strategy Recommendations","serviceId":"MigrationHubStrategy","signatureVersion":"v4","signingName":"migrationhub-strategy","uid":"migrationhubstrategy-2020-02-19"},"operations":{"GetApplicationComponentDetails":{"http":{"method":"GET","requestUri":"/get-applicationcomponent-details/{applicationComponentId}","responseCode":200},"input":{"type":"structure","required":["applicationComponentId"],"members":{"applicationComponentId":{"location":"uri","locationName":"applicationComponentId"}}},"output":{"type":"structure","members":{"applicationComponentDetail":{"shape":"S4"},"associatedApplications":{"shape":"Sy"},"associatedServerIds":{"type":"list","member":{}},"moreApplicationResource":{"type":"boolean"}}}},"GetApplicationComponentStrategies":{"http":{"method":"GET","requestUri":"/get-applicationcomponent-strategies/{applicationComponentId}","responseCode":200},"input":{"type":"structure","required":["applicationComponentId"],"members":{"applicationComponentId":{"location":"uri","locationName":"applicationComponentId"}}},"output":{"type":"structure","members":{"applicationComponentStrategies":{"type":"list","member":{"type":"structure","members":{"isPreferred":{"type":"boolean"},"recommendation":{"shape":"So"},"status":{}}}}}}},"GetAssessment":{"http":{"method":"GET","requestUri":"/get-assessment/{id}","responseCode":200},"input":{"type":"structure","required":["id"],"members":{"id":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"dataCollectionDetails":{"type":"structure","members":{"completionTime":{"type":"timestamp"},"failed":{"type":"integer"},"inProgress":{"type":"integer"},"servers":{"type":"integer"},"startTime":{"type":"timestamp"},"status":{},"success":{"type":"integer"}}},"id":{}}}},"GetImportFileTask":{"http":{"method":"GET","requestUri":"/get-import-file-task/{id}","responseCode":200},"input":{"type":"structure","required":["id"],"members":{"id":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"completionTime":{"type":"timestamp"},"id":{},"importName":{},"inputS3Bucket":{},"inputS3Key":{},"numberOfRecordsFailed":{"type":"integer"},"numberOfRecordsSuccess":{"type":"integer"},"startTime":{"type":"timestamp"},"status":{},"statusReportS3Bucket":{},"statusReportS3Key":{}}}},"GetPortfolioPreferences":{"http":{"method":"GET","requestUri":"/get-portfolio-preferences","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"applicationPreferences":{"shape":"S1i"},"databasePreferences":{"shape":"S1t"},"prioritizeBusinessGoals":{"shape":"S25"}}}},"GetPortfolioSummary":{"http":{"method":"GET","requestUri":"/get-portfolio-summary","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"assessmentSummary":{"type":"structure","members":{"antipatternReportS3Object":{"shape":"S6"},"antipatternReportStatus":{},"antipatternReportStatusMessage":{},"lastAnalyzedTimestamp":{"type":"timestamp"},"listAntipatternSeveritySummary":{"shape":"Si"},"listApplicationComponentStrategySummary":{"shape":"S2b"},"listApplicationComponentSummary":{"type":"list","member":{"type":"structure","members":{"appType":{},"count":{"type":"integer"}}}},"listServerStrategySummary":{"shape":"S2b"},"listServerSummary":{"type":"list","member":{"type":"structure","members":{"ServerOsType":{},"count":{"type":"integer"}}}}}}}}},"GetRecommendationReportDetails":{"http":{"method":"GET","requestUri":"/get-recommendation-report-details/{id}","responseCode":200},"input":{"type":"structure","required":["id"],"members":{"id":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"id":{},"recommendationReportDetails":{"type":"structure","members":{"completionTime":{"type":"timestamp"},"s3Bucket":{},"s3Keys":{"type":"list","member":{}},"startTime":{"type":"timestamp"},"status":{},"statusMessage":{}}}}}},"GetServerDetails":{"http":{"method":"GET","requestUri":"/get-server-details/{serverId}","responseCode":200},"input":{"type":"structure","required":["serverId"],"members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"serverId":{"location":"uri","locationName":"serverId"}}},"output":{"type":"structure","members":{"associatedApplications":{"shape":"Sy"},"nextToken":{},"serverDetail":{"shape":"S2u"}}}},"GetServerStrategies":{"http":{"method":"GET","requestUri":"/get-server-strategies/{serverId}","responseCode":200},"input":{"type":"structure","required":["serverId"],"members":{"serverId":{"location":"uri","locationName":"serverId"}}},"output":{"type":"structure","members":{"serverStrategies":{"type":"list","member":{"type":"structure","members":{"isPreferred":{"type":"boolean"},"numberOfApplicationComponents":{"type":"integer"},"recommendation":{"shape":"So"},"status":{}}}}}}},"ListApplicationComponents":{"http":{"requestUri":"/list-applicationcomponents","responseCode":200},"input":{"type":"structure","members":{"applicationComponentCriteria":{},"filterValue":{},"groupIdFilter":{"shape":"S3d"},"maxResults":{"type":"integer"},"nextToken":{},"sort":{}}},"output":{"type":"structure","members":{"applicationComponentInfos":{"type":"list","member":{"shape":"S4"}},"nextToken":{}}}},"ListCollectors":{"http":{"method":"GET","requestUri":"/list-collectors","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Collectors":{"type":"list","member":{"type":"structure","members":{"collectorHealth":{},"collectorId":{},"collectorVersion":{},"hostName":{},"ipAddress":{},"lastActivityTimeStamp":{},"registeredTimeStamp":{}}}},"nextToken":{}}}},"ListImportFileTask":{"http":{"method":"GET","requestUri":"/list-import-file-task","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"nextToken":{},"taskInfos":{"type":"list","member":{"type":"structure","members":{"completionTime":{"type":"timestamp"},"id":{},"importName":{},"inputS3Bucket":{},"inputS3Key":{},"numberOfRecordsFailed":{"type":"integer"},"numberOfRecordsSuccess":{"type":"integer"},"startTime":{"type":"timestamp"},"status":{},"statusReportS3Bucket":{},"statusReportS3Key":{}}}}}}},"ListServers":{"http":{"requestUri":"/list-servers","responseCode":200},"input":{"type":"structure","members":{"filterValue":{},"groupIdFilter":{"shape":"S3d"},"maxResults":{"type":"integer"},"nextToken":{},"serverCriteria":{},"sort":{}}},"output":{"type":"structure","members":{"nextToken":{},"serverInfos":{"type":"list","member":{"shape":"S2u"}}}}},"PutPortfolioPreferences":{"http":{"requestUri":"/put-portfolio-preferences","responseCode":200},"input":{"type":"structure","members":{"applicationPreferences":{"shape":"S1i"},"databasePreferences":{"shape":"S1t"},"prioritizeBusinessGoals":{"shape":"S25"}}},"output":{"type":"structure","members":{}}},"StartAssessment":{"http":{"requestUri":"/start-assessment","responseCode":200},"input":{"type":"structure","members":{"s3bucketForAnalysisData":{},"s3bucketForReportData":{}}},"output":{"type":"structure","members":{"assessmentId":{}}}},"StartImportFileTask":{"http":{"requestUri":"/start-import-file-task","responseCode":200},"input":{"type":"structure","required":["S3Bucket","name","s3key"],"members":{"S3Bucket":{},"dataSourceType":{},"groupId":{"shape":"S3d"},"name":{},"s3bucketForReportData":{},"s3key":{}}},"output":{"type":"structure","members":{"id":{}}}},"StartRecommendationReportGeneration":{"http":{"requestUri":"/start-recommendation-report-generation","responseCode":200},"input":{"type":"structure","members":{"groupIdFilter":{"shape":"S3d"},"outputFormat":{}}},"output":{"type":"structure","members":{"id":{}}}},"StopAssessment":{"http":{"requestUri":"/stop-assessment","responseCode":200},"input":{"type":"structure","required":["assessmentId"],"members":{"assessmentId":{}}},"output":{"type":"structure","members":{}}},"UpdateApplicationComponentConfig":{"http":{"requestUri":"/update-applicationcomponent-config/","responseCode":200},"input":{"type":"structure","required":["applicationComponentId"],"members":{"applicationComponentId":{},"inclusionStatus":{},"secretsManagerKey":{"type":"string","sensitive":true},"sourceCodeList":{"type":"list","member":{"type":"structure","members":{"location":{},"sourceVersion":{},"versionControl":{}}}},"strategyOption":{"shape":"S4j"}}},"output":{"type":"structure","members":{}}},"UpdateServerConfig":{"http":{"requestUri":"/update-server-config/","responseCode":200},"input":{"type":"structure","required":["serverId"],"members":{"serverId":{},"strategyOption":{"shape":"S4j"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S4":{"type":"structure","members":{"analysisStatus":{},"antipatternReportS3Object":{"shape":"S6"},"antipatternReportStatus":{},"antipatternReportStatusMessage":{},"appType":{},"associatedServerId":{},"databaseConfigDetail":{"type":"structure","members":{"secretName":{}}},"id":{},"inclusionStatus":{},"lastAnalyzedTimestamp":{"type":"timestamp"},"listAntipatternSeveritySummary":{"shape":"Si"},"moreServerAssociationExists":{"type":"boolean"},"name":{},"osDriver":{},"osVersion":{},"recommendationSet":{"shape":"So"},"resourceSubType":{},"sourceCodeRepositories":{"type":"list","member":{"type":"structure","members":{"branch":{},"repository":{},"versionControlType":{}}}},"statusMessage":{}}},"S6":{"type":"structure","members":{"s3Bucket":{},"s3key":{}}},"Si":{"type":"list","member":{"type":"structure","members":{"count":{"type":"integer"},"severity":{}}}},"So":{"type":"structure","members":{"strategy":{},"targetDestination":{},"transformationTool":{"type":"structure","members":{"description":{},"name":{},"tranformationToolInstallationLink":{}}}}},"Sy":{"type":"list","member":{"type":"structure","members":{"id":{},"name":{}}}},"S1i":{"type":"structure","members":{"managementPreference":{"type":"structure","members":{"awsManagedResources":{"type":"structure","required":["targetDestination"],"members":{"targetDestination":{"type":"list","member":{}}}},"noPreference":{"type":"structure","required":["targetDestination"],"members":{"targetDestination":{"type":"list","member":{}}}},"selfManageResources":{"type":"structure","required":["targetDestination"],"members":{"targetDestination":{"type":"list","member":{}}}}},"union":true}}},"S1t":{"type":"structure","members":{"databaseManagementPreference":{},"databaseMigrationPreference":{"type":"structure","members":{"heterogeneous":{"type":"structure","required":["targetDatabaseEngine"],"members":{"targetDatabaseEngine":{"type":"list","member":{}}}},"homogeneous":{"type":"structure","members":{"targetDatabaseEngine":{"type":"list","member":{}}}},"noPreference":{"type":"structure","required":["targetDatabaseEngine"],"members":{"targetDatabaseEngine":{"type":"list","member":{}}}}},"union":true}}},"S25":{"type":"structure","members":{"businessGoals":{"type":"structure","members":{"licenseCostReduction":{"type":"integer"},"modernizeInfrastructureWithCloudNativeTechnologies":{"type":"integer"},"reduceOperationalOverheadWithManagedServices":{"type":"integer"},"speedOfMigration":{"type":"integer"}}}}},"S2b":{"type":"list","member":{"type":"structure","members":{"count":{"type":"integer"},"strategy":{}}}},"S2u":{"type":"structure","members":{"antipatternReportS3Object":{"shape":"S6"},"antipatternReportStatus":{},"antipatternReportStatusMessage":{},"applicationComponentStrategySummary":{"shape":"S2b"},"dataCollectionStatus":{},"id":{},"lastAnalyzedTimestamp":{"type":"timestamp"},"listAntipatternSeveritySummary":{"shape":"Si"},"name":{},"recommendationSet":{"shape":"So"},"serverType":{},"statusMessage":{},"systemInfo":{"type":"structure","members":{"cpuArchitecture":{},"fileSystemType":{},"networkInfoList":{"type":"list","member":{"type":"structure","required":["interfaceName","ipAddress","macAddress","netMask"],"members":{"interfaceName":{},"ipAddress":{},"macAddress":{},"netMask":{}}}},"osInfo":{"type":"structure","members":{"type":{},"version":{}}}}}}},"S3d":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{}}}},"S4j":{"type":"structure","members":{"isPreferred":{"type":"boolean"},"strategy":{},"targetDestination":{},"toolName":{}}}}}');

/***/ }),

/***/ 30896:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetServerDetails":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"associatedApplications"},"ListApplicationComponents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"applicationComponentInfos"},"ListCollectors":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"Collectors"},"ListImportFileTask":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"taskInfos"},"ListServers":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"serverInfos"}}}');

/***/ }),

/***/ 51691:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-07-01","endpointPrefix":"mobile","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS Mobile","serviceId":"Mobile","signatureVersion":"v4","signingName":"AWSMobileHubService","uid":"mobile-2017-07-01"},"operations":{"CreateProject":{"http":{"requestUri":"/projects"},"input":{"type":"structure","members":{"name":{"location":"querystring","locationName":"name"},"region":{"location":"querystring","locationName":"region"},"contents":{"type":"blob"},"snapshotId":{"location":"querystring","locationName":"snapshotId"}},"payload":"contents"},"output":{"type":"structure","members":{"details":{"shape":"S7"}}}},"DeleteProject":{"http":{"method":"DELETE","requestUri":"/projects/{projectId}"},"input":{"type":"structure","required":["projectId"],"members":{"projectId":{"location":"uri","locationName":"projectId"}}},"output":{"type":"structure","members":{"deletedResources":{"shape":"Sc"},"orphanedResources":{"shape":"Sc"}}}},"DescribeBundle":{"http":{"method":"GET","requestUri":"/bundles/{bundleId}"},"input":{"type":"structure","required":["bundleId"],"members":{"bundleId":{"location":"uri","locationName":"bundleId"}}},"output":{"type":"structure","members":{"details":{"shape":"Sq"}}}},"DescribeProject":{"http":{"method":"GET","requestUri":"/project"},"input":{"type":"structure","required":["projectId"],"members":{"projectId":{"location":"querystring","locationName":"projectId"},"syncFromResources":{"location":"querystring","locationName":"syncFromResources","type":"boolean"}}},"output":{"type":"structure","members":{"details":{"shape":"S7"}}}},"ExportBundle":{"http":{"requestUri":"/bundles/{bundleId}"},"input":{"type":"structure","required":["bundleId"],"members":{"bundleId":{"location":"uri","locationName":"bundleId"},"projectId":{"location":"querystring","locationName":"projectId"},"platform":{"location":"querystring","locationName":"platform"}}},"output":{"type":"structure","members":{"downloadUrl":{}}}},"ExportProject":{"http":{"requestUri":"/exports/{projectId}"},"input":{"type":"structure","required":["projectId"],"members":{"projectId":{"location":"uri","locationName":"projectId"}}},"output":{"type":"structure","members":{"downloadUrl":{},"shareUrl":{},"snapshotId":{}}}},"ListBundles":{"http":{"method":"GET","requestUri":"/bundles"},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"bundleList":{"type":"list","member":{"shape":"Sq"}},"nextToken":{}}}},"ListProjects":{"http":{"method":"GET","requestUri":"/projects"},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"projects":{"type":"list","member":{"type":"structure","members":{"name":{},"projectId":{}}}},"nextToken":{}}}},"UpdateProject":{"http":{"requestUri":"/update"},"input":{"type":"structure","required":["projectId"],"members":{"contents":{"type":"blob"},"projectId":{"location":"querystring","locationName":"projectId"}},"payload":"contents"},"output":{"type":"structure","members":{"details":{"shape":"S7"}}}}},"shapes":{"S7":{"type":"structure","members":{"name":{},"projectId":{},"region":{},"state":{},"createdDate":{"type":"timestamp"},"lastUpdatedDate":{"type":"timestamp"},"consoleUrl":{},"resources":{"shape":"Sc"}}},"Sc":{"type":"list","member":{"type":"structure","members":{"type":{},"name":{},"arn":{},"feature":{},"attributes":{"type":"map","key":{},"value":{}}}}},"Sq":{"type":"structure","members":{"bundleId":{},"title":{},"version":{},"description":{},"iconUrl":{},"availablePlatforms":{"type":"list","member":{}}}}}}');

/***/ }),

/***/ 43522:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListBundles":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListProjects":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 90338:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-06-05","endpointPrefix":"mobileanalytics","serviceFullName":"Amazon Mobile Analytics","serviceId":"Mobile Analytics","signatureVersion":"v4","protocol":"rest-json"},"operations":{"PutEvents":{"http":{"requestUri":"/2014-06-05/events","responseCode":202},"input":{"type":"structure","required":["events","clientContext"],"members":{"events":{"type":"list","member":{"type":"structure","required":["eventType","timestamp"],"members":{"eventType":{},"timestamp":{},"session":{"type":"structure","members":{"id":{},"duration":{"type":"long"},"startTimestamp":{},"stopTimestamp":{}}},"version":{},"attributes":{"type":"map","key":{},"value":{}},"metrics":{"type":"map","key":{},"value":{"type":"double"}}}}},"clientContext":{"location":"header","locationName":"x-amz-Client-Context"},"clientContextEncoding":{"location":"header","locationName":"x-amz-Client-Context-Encoding"}}}}},"shapes":{}}');

/***/ }),

/***/ 98781:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-08-07","endpointPrefix":"models-v2-lex","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Lex Models V2","serviceFullName":"Amazon Lex Model Building V2","serviceId":"Lex Models V2","signatureVersion":"v4","signingName":"lex","uid":"models.lex.v2-2020-08-07"},"operations":{"BuildBotLocale":{"http":{"requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/","responseCode":202},"input":{"type":"structure","required":["botId","botVersion","localeId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"botLocaleStatus":{},"lastBuildSubmittedDateTime":{"type":"timestamp"}}}},"CreateBot":{"http":{"method":"PUT","requestUri":"/bots/","responseCode":202},"input":{"type":"structure","required":["botName","roleArn","dataPrivacy","idleSessionTTLInSeconds"],"members":{"botName":{},"description":{},"roleArn":{},"dataPrivacy":{"shape":"Sc"},"idleSessionTTLInSeconds":{"type":"integer"},"botTags":{"shape":"Sf"},"testBotAliasTags":{"shape":"Sf"}}},"output":{"type":"structure","members":{"botId":{},"botName":{},"description":{},"roleArn":{},"dataPrivacy":{"shape":"Sc"},"idleSessionTTLInSeconds":{"type":"integer"},"botStatus":{},"creationDateTime":{"type":"timestamp"},"botTags":{"shape":"Sf"},"testBotAliasTags":{"shape":"Sf"}}}},"CreateBotAlias":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botaliases/","responseCode":202},"input":{"type":"structure","required":["botAliasName","botId"],"members":{"botAliasName":{},"description":{},"botVersion":{},"botAliasLocaleSettings":{"shape":"Sm"},"conversationLogSettings":{"shape":"St"},"sentimentAnalysisSettings":{"shape":"S16"},"botId":{"location":"uri","locationName":"botId"},"tags":{"shape":"Sf"}}},"output":{"type":"structure","members":{"botAliasId":{},"botAliasName":{},"description":{},"botVersion":{},"botAliasLocaleSettings":{"shape":"Sm"},"conversationLogSettings":{"shape":"St"},"sentimentAnalysisSettings":{"shape":"S16"},"botAliasStatus":{},"botId":{},"creationDateTime":{"type":"timestamp"},"tags":{"shape":"Sf"}}}},"CreateBotLocale":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/","responseCode":202},"input":{"type":"structure","required":["botId","botVersion","localeId","nluIntentConfidenceThreshold"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{},"description":{},"nluIntentConfidenceThreshold":{"type":"double"},"voiceSettings":{"shape":"S1c"}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeName":{},"localeId":{},"description":{},"nluIntentConfidenceThreshold":{"type":"double"},"voiceSettings":{"shape":"S1c"},"botLocaleStatus":{},"creationDateTime":{"type":"timestamp"}}}},"CreateBotVersion":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botversions/","responseCode":202},"input":{"type":"structure","required":["botId","botVersionLocaleSpecification"],"members":{"botId":{"location":"uri","locationName":"botId"},"description":{},"botVersionLocaleSpecification":{"shape":"S1i"}}},"output":{"type":"structure","members":{"botId":{},"description":{},"botVersion":{},"botVersionLocaleSpecification":{"shape":"S1i"},"botStatus":{},"creationDateTime":{"type":"timestamp"}}}},"CreateExport":{"http":{"method":"PUT","requestUri":"/exports/","responseCode":202},"input":{"type":"structure","required":["resourceSpecification","fileFormat"],"members":{"resourceSpecification":{"shape":"S1n"},"fileFormat":{},"filePassword":{"shape":"S1r"}}},"output":{"type":"structure","members":{"exportId":{},"resourceSpecification":{"shape":"S1n"},"fileFormat":{},"exportStatus":{},"creationDateTime":{"type":"timestamp"}}}},"CreateIntent":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/","responseCode":200},"input":{"type":"structure","required":["intentName","botId","botVersion","localeId"],"members":{"intentName":{},"description":{},"parentIntentSignature":{},"sampleUtterances":{"shape":"S1w"},"dialogCodeHook":{"shape":"S1z"},"fulfillmentCodeHook":{"shape":"S20"},"intentConfirmationSetting":{"shape":"S2r"},"intentClosingSetting":{"shape":"S2u"},"inputContexts":{"shape":"S2v"},"outputContexts":{"shape":"S2x"},"kendraConfiguration":{"shape":"S31"},"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"}}},"output":{"type":"structure","members":{"intentId":{},"intentName":{},"description":{},"parentIntentSignature":{},"sampleUtterances":{"shape":"S1w"},"dialogCodeHook":{"shape":"S1z"},"fulfillmentCodeHook":{"shape":"S20"},"intentConfirmationSetting":{"shape":"S2r"},"intentClosingSetting":{"shape":"S2u"},"inputContexts":{"shape":"S2v"},"outputContexts":{"shape":"S2x"},"kendraConfiguration":{"shape":"S31"},"botId":{},"botVersion":{},"localeId":{},"creationDateTime":{"type":"timestamp"}}}},"CreateResourcePolicy":{"http":{"requestUri":"/policy/{resourceArn}/","responseCode":200},"input":{"type":"structure","required":["resourceArn","policy"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"policy":{}}},"output":{"type":"structure","members":{"resourceArn":{},"revisionId":{}}}},"CreateResourcePolicyStatement":{"http":{"requestUri":"/policy/{resourceArn}/statements/","responseCode":200},"input":{"type":"structure","required":["resourceArn","statementId","effect","principal","action"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"statementId":{},"effect":{},"principal":{"type":"list","member":{"type":"structure","members":{"service":{},"arn":{}}}},"action":{"type":"list","member":{}},"condition":{"type":"map","key":{},"value":{"type":"map","key":{},"value":{}}},"expectedRevisionId":{"location":"querystring","locationName":"expectedRevisionId"}}},"output":{"type":"structure","members":{"resourceArn":{},"revisionId":{}}}},"CreateSlot":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/","responseCode":200},"input":{"type":"structure","required":["slotName","slotTypeId","valueElicitationSetting","botId","botVersion","localeId","intentId"],"members":{"slotName":{},"description":{},"slotTypeId":{},"valueElicitationSetting":{"shape":"S3q"},"obfuscationSetting":{"shape":"S40"},"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"intentId":{"location":"uri","locationName":"intentId"},"multipleValuesSetting":{"shape":"S42"}}},"output":{"type":"structure","members":{"slotId":{},"slotName":{},"description":{},"slotTypeId":{},"valueElicitationSetting":{"shape":"S3q"},"obfuscationSetting":{"shape":"S40"},"botId":{},"botVersion":{},"localeId":{},"intentId":{},"creationDateTime":{"type":"timestamp"},"multipleValuesSetting":{"shape":"S42"}}}},"CreateSlotType":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/","responseCode":200},"input":{"type":"structure","required":["slotTypeName","botId","botVersion","localeId"],"members":{"slotTypeName":{},"description":{},"slotTypeValues":{"shape":"S45"},"valueSelectionSetting":{"shape":"S4a"},"parentSlotTypeSignature":{},"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"externalSourceSetting":{"shape":"S4f"}}},"output":{"type":"structure","members":{"slotTypeId":{},"slotTypeName":{},"description":{},"slotTypeValues":{"shape":"S45"},"valueSelectionSetting":{"shape":"S4a"},"parentSlotTypeSignature":{},"botId":{},"botVersion":{},"localeId":{},"creationDateTime":{"type":"timestamp"},"externalSourceSetting":{"shape":"S4f"}}}},"CreateUploadUrl":{"http":{"requestUri":"/createuploadurl/","responseCode":200},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"importId":{},"uploadUrl":{}}}},"DeleteBot":{"http":{"method":"DELETE","requestUri":"/bots/{botId}/","responseCode":202},"input":{"type":"structure","required":["botId"],"members":{"botId":{"location":"uri","locationName":"botId"},"skipResourceInUseCheck":{"location":"querystring","locationName":"skipResourceInUseCheck","type":"boolean"}}},"output":{"type":"structure","members":{"botId":{},"botStatus":{}}}},"DeleteBotAlias":{"http":{"method":"DELETE","requestUri":"/bots/{botId}/botaliases/{botAliasId}/","responseCode":202},"input":{"type":"structure","required":["botAliasId","botId"],"members":{"botAliasId":{"location":"uri","locationName":"botAliasId"},"botId":{"location":"uri","locationName":"botId"},"skipResourceInUseCheck":{"location":"querystring","locationName":"skipResourceInUseCheck","type":"boolean"}}},"output":{"type":"structure","members":{"botAliasId":{},"botId":{},"botAliasStatus":{}}}},"DeleteBotLocale":{"http":{"method":"DELETE","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/","responseCode":202},"input":{"type":"structure","required":["botId","botVersion","localeId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"botLocaleStatus":{}}}},"DeleteBotVersion":{"http":{"method":"DELETE","requestUri":"/bots/{botId}/botversions/{botVersion}/","responseCode":202},"input":{"type":"structure","required":["botId","botVersion"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"skipResourceInUseCheck":{"location":"querystring","locationName":"skipResourceInUseCheck","type":"boolean"}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"botStatus":{}}}},"DeleteExport":{"http":{"method":"DELETE","requestUri":"/exports/{exportId}/","responseCode":202},"input":{"type":"structure","required":["exportId"],"members":{"exportId":{"location":"uri","locationName":"exportId"}}},"output":{"type":"structure","members":{"exportId":{},"exportStatus":{}}}},"DeleteImport":{"http":{"method":"DELETE","requestUri":"/imports/{importId}/","responseCode":202},"input":{"type":"structure","required":["importId"],"members":{"importId":{"location":"uri","locationName":"importId"}}},"output":{"type":"structure","members":{"importId":{},"importStatus":{}}}},"DeleteIntent":{"http":{"method":"DELETE","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/","responseCode":204},"input":{"type":"structure","required":["intentId","botId","botVersion","localeId"],"members":{"intentId":{"location":"uri","locationName":"intentId"},"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"}}}},"DeleteResourcePolicy":{"http":{"method":"DELETE","requestUri":"/policy/{resourceArn}/","responseCode":204},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"expectedRevisionId":{"location":"querystring","locationName":"expectedRevisionId"}}},"output":{"type":"structure","members":{"resourceArn":{},"revisionId":{}}}},"DeleteResourcePolicyStatement":{"http":{"method":"DELETE","requestUri":"/policy/{resourceArn}/statements/{statementId}/","responseCode":204},"input":{"type":"structure","required":["resourceArn","statementId"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"statementId":{"location":"uri","locationName":"statementId"},"expectedRevisionId":{"location":"querystring","locationName":"expectedRevisionId"}}},"output":{"type":"structure","members":{"resourceArn":{},"revisionId":{}}}},"DeleteSlot":{"http":{"method":"DELETE","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/{slotId}/","responseCode":204},"input":{"type":"structure","required":["slotId","botId","botVersion","localeId","intentId"],"members":{"slotId":{"location":"uri","locationName":"slotId"},"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"intentId":{"location":"uri","locationName":"intentId"}}}},"DeleteSlotType":{"http":{"method":"DELETE","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/{slotTypeId}/","responseCode":204},"input":{"type":"structure","required":["slotTypeId","botId","botVersion","localeId"],"members":{"slotTypeId":{"location":"uri","locationName":"slotTypeId"},"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"skipResourceInUseCheck":{"location":"querystring","locationName":"skipResourceInUseCheck","type":"boolean"}}}},"DeleteUtterances":{"http":{"method":"DELETE","requestUri":"/bots/{botId}/utterances/","responseCode":204},"input":{"type":"structure","required":["botId"],"members":{"botId":{"location":"uri","locationName":"botId"},"localeId":{"location":"querystring","locationName":"localeId"},"sessionId":{"location":"querystring","locationName":"sessionId"}}},"output":{"type":"structure","members":{}}},"DescribeBot":{"http":{"method":"GET","requestUri":"/bots/{botId}/","responseCode":200},"input":{"type":"structure","required":["botId"],"members":{"botId":{"location":"uri","locationName":"botId"}}},"output":{"type":"structure","members":{"botId":{},"botName":{},"description":{},"roleArn":{},"dataPrivacy":{"shape":"Sc"},"idleSessionTTLInSeconds":{"type":"integer"},"botStatus":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"DescribeBotAlias":{"http":{"method":"GET","requestUri":"/bots/{botId}/botaliases/{botAliasId}/","responseCode":200},"input":{"type":"structure","required":["botAliasId","botId"],"members":{"botAliasId":{"location":"uri","locationName":"botAliasId"},"botId":{"location":"uri","locationName":"botId"}}},"output":{"type":"structure","members":{"botAliasId":{},"botAliasName":{},"description":{},"botVersion":{},"botAliasLocaleSettings":{"shape":"Sm"},"conversationLogSettings":{"shape":"St"},"sentimentAnalysisSettings":{"shape":"S16"},"botAliasHistoryEvents":{"type":"list","member":{"type":"structure","members":{"botVersion":{},"startDate":{"type":"timestamp"},"endDate":{"type":"timestamp"}}}},"botAliasStatus":{},"botId":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"DescribeBotLocale":{"http":{"method":"GET","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/","responseCode":200},"input":{"type":"structure","required":["botId","botVersion","localeId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"localeName":{},"description":{},"nluIntentConfidenceThreshold":{"type":"double"},"voiceSettings":{"shape":"S1c"},"intentsCount":{"type":"integer"},"slotTypesCount":{"type":"integer"},"botLocaleStatus":{},"failureReasons":{"shape":"S5l"},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"lastBuildSubmittedDateTime":{"type":"timestamp"},"botLocaleHistoryEvents":{"type":"list","member":{"type":"structure","required":["event","eventDate"],"members":{"event":{},"eventDate":{"type":"timestamp"}}}},"recommendedActions":{"shape":"S5q"}}}},"DescribeBotRecommendation":{"http":{"method":"GET","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/{botRecommendationId}/","responseCode":200},"input":{"type":"structure","required":["botId","botVersion","localeId","botRecommendationId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"botRecommendationId":{"location":"uri","locationName":"botRecommendationId"}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"botRecommendationStatus":{},"botRecommendationId":{},"failureReasons":{"shape":"S5l"},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"transcriptSourceSetting":{"shape":"S5v"},"encryptionSetting":{"shape":"S64"},"botRecommendationResults":{"type":"structure","members":{"botLocaleExportUrl":{},"associatedTranscriptsUrl":{},"statistics":{"type":"structure","members":{"intents":{"type":"structure","members":{"discoveredIntentCount":{"type":"integer"}}},"slotTypes":{"type":"structure","members":{"discoveredSlotTypeCount":{"type":"integer"}}}}}}}}}},"DescribeBotVersion":{"http":{"method":"GET","requestUri":"/bots/{botId}/botversions/{botVersion}/","responseCode":200},"input":{"type":"structure","required":["botId","botVersion"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"}}},"output":{"type":"structure","members":{"botId":{},"botName":{},"botVersion":{},"description":{},"roleArn":{},"dataPrivacy":{"shape":"Sc"},"idleSessionTTLInSeconds":{"type":"integer"},"botStatus":{},"failureReasons":{"shape":"S5l"},"creationDateTime":{"type":"timestamp"}}}},"DescribeExport":{"http":{"method":"GET","requestUri":"/exports/{exportId}/","responseCode":200},"input":{"type":"structure","required":["exportId"],"members":{"exportId":{"location":"uri","locationName":"exportId"}}},"output":{"type":"structure","members":{"exportId":{},"resourceSpecification":{"shape":"S1n"},"fileFormat":{},"exportStatus":{},"failureReasons":{"shape":"S5l"},"downloadUrl":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"DescribeImport":{"http":{"method":"GET","requestUri":"/imports/{importId}/","responseCode":200},"input":{"type":"structure","required":["importId"],"members":{"importId":{"location":"uri","locationName":"importId"}}},"output":{"type":"structure","members":{"importId":{},"resourceSpecification":{"shape":"S6h"},"importedResourceId":{},"importedResourceName":{},"mergeStrategy":{},"importStatus":{},"failureReasons":{"shape":"S5l"},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"DescribeIntent":{"http":{"method":"GET","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/","responseCode":200},"input":{"type":"structure","required":["intentId","botId","botVersion","localeId"],"members":{"intentId":{"location":"uri","locationName":"intentId"},"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"}}},"output":{"type":"structure","members":{"intentId":{},"intentName":{},"description":{},"parentIntentSignature":{},"sampleUtterances":{"shape":"S1w"},"dialogCodeHook":{"shape":"S1z"},"fulfillmentCodeHook":{"shape":"S20"},"slotPriorities":{"shape":"S6o"},"intentConfirmationSetting":{"shape":"S2r"},"intentClosingSetting":{"shape":"S2u"},"inputContexts":{"shape":"S2v"},"outputContexts":{"shape":"S2x"},"kendraConfiguration":{"shape":"S31"},"botId":{},"botVersion":{},"localeId":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"DescribeResourcePolicy":{"http":{"method":"GET","requestUri":"/policy/{resourceArn}/","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"resourceArn":{},"policy":{},"revisionId":{}}}},"DescribeSlot":{"http":{"method":"GET","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/{slotId}/","responseCode":200},"input":{"type":"structure","required":["slotId","botId","botVersion","localeId","intentId"],"members":{"slotId":{"location":"uri","locationName":"slotId"},"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"intentId":{"location":"uri","locationName":"intentId"}}},"output":{"type":"structure","members":{"slotId":{},"slotName":{},"description":{},"slotTypeId":{},"valueElicitationSetting":{"shape":"S3q"},"obfuscationSetting":{"shape":"S40"},"botId":{},"botVersion":{},"localeId":{},"intentId":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"multipleValuesSetting":{"shape":"S42"}}}},"DescribeSlotType":{"http":{"method":"GET","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/{slotTypeId}/","responseCode":200},"input":{"type":"structure","required":["slotTypeId","botId","botVersion","localeId"],"members":{"slotTypeId":{"location":"uri","locationName":"slotTypeId"},"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"}}},"output":{"type":"structure","members":{"slotTypeId":{},"slotTypeName":{},"description":{},"slotTypeValues":{"shape":"S45"},"valueSelectionSetting":{"shape":"S4a"},"parentSlotTypeSignature":{},"botId":{},"botVersion":{},"localeId":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"externalSourceSetting":{"shape":"S4f"}}}},"ListAggregatedUtterances":{"http":{"requestUri":"/bots/{botId}/aggregatedutterances/","responseCode":200},"input":{"type":"structure","required":["botId","localeId","aggregationDuration"],"members":{"botId":{"location":"uri","locationName":"botId"},"botAliasId":{},"botVersion":{},"localeId":{},"aggregationDuration":{"shape":"S6y"},"sortBy":{"type":"structure","required":["attribute","order"],"members":{"attribute":{},"order":{}}},"filters":{"type":"list","member":{"type":"structure","required":["name","values","operator"],"members":{"name":{},"values":{"shape":"S78"},"operator":{}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"botId":{},"botAliasId":{},"botVersion":{},"localeId":{},"aggregationDuration":{"shape":"S6y"},"aggregationWindowStartTime":{"type":"timestamp"},"aggregationWindowEndTime":{"type":"timestamp"},"aggregationLastRefreshedDateTime":{"type":"timestamp"},"aggregatedUtterancesSummaries":{"type":"list","member":{"type":"structure","members":{"utterance":{},"hitCount":{"type":"integer"},"missedCount":{"type":"integer"},"utteranceFirstRecordedInAggregationDuration":{"type":"timestamp"},"utteranceLastRecordedInAggregationDuration":{"type":"timestamp"},"containsDataFromDeletedResources":{"type":"boolean"}}}},"nextToken":{}}}},"ListBotAliases":{"http":{"requestUri":"/bots/{botId}/botaliases/","responseCode":200},"input":{"type":"structure","required":["botId"],"members":{"botId":{"location":"uri","locationName":"botId"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"botAliasSummaries":{"type":"list","member":{"type":"structure","members":{"botAliasId":{},"botAliasName":{},"description":{},"botVersion":{},"botAliasStatus":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"nextToken":{},"botId":{}}}},"ListBotLocales":{"http":{"requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/","responseCode":200},"input":{"type":"structure","required":["botId","botVersion"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"sortBy":{"type":"structure","required":["attribute","order"],"members":{"attribute":{},"order":{}}},"filters":{"type":"list","member":{"type":"structure","required":["name","values","operator"],"members":{"name":{},"values":{"shape":"S78"},"operator":{}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"nextToken":{},"botLocaleSummaries":{"type":"list","member":{"type":"structure","members":{"localeId":{},"localeName":{},"description":{},"botLocaleStatus":{},"lastUpdatedDateTime":{"type":"timestamp"},"lastBuildSubmittedDateTime":{"type":"timestamp"}}}}}}},"ListBotRecommendations":{"http":{"requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/","responseCode":200},"input":{"type":"structure","required":["botId","botVersion","localeId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"botRecommendationSummaries":{"type":"list","member":{"type":"structure","required":["botRecommendationStatus","botRecommendationId"],"members":{"botRecommendationStatus":{},"botRecommendationId":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListBotVersions":{"http":{"requestUri":"/bots/{botId}/botversions/","responseCode":200},"input":{"type":"structure","required":["botId"],"members":{"botId":{"location":"uri","locationName":"botId"},"sortBy":{"type":"structure","required":["attribute","order"],"members":{"attribute":{},"order":{}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"botId":{},"botVersionSummaries":{"type":"list","member":{"type":"structure","members":{"botName":{},"botVersion":{},"description":{},"botStatus":{},"creationDateTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListBots":{"http":{"requestUri":"/bots/","responseCode":200},"input":{"type":"structure","members":{"sortBy":{"type":"structure","required":["attribute","order"],"members":{"attribute":{},"order":{}}},"filters":{"type":"list","member":{"type":"structure","required":["name","values","operator"],"members":{"name":{},"values":{"shape":"S78"},"operator":{}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"botSummaries":{"type":"list","member":{"type":"structure","members":{"botId":{},"botName":{},"description":{},"botStatus":{},"latestBotVersion":{},"lastUpdatedDateTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListBuiltInIntents":{"http":{"requestUri":"/builtins/locales/{localeId}/intents/","responseCode":200},"input":{"type":"structure","required":["localeId"],"members":{"localeId":{"location":"uri","locationName":"localeId"},"sortBy":{"type":"structure","required":["attribute","order"],"members":{"attribute":{},"order":{}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"builtInIntentSummaries":{"type":"list","member":{"type":"structure","members":{"intentSignature":{},"description":{}}}},"nextToken":{},"localeId":{}}}},"ListBuiltInSlotTypes":{"http":{"requestUri":"/builtins/locales/{localeId}/slottypes/","responseCode":200},"input":{"type":"structure","required":["localeId"],"members":{"localeId":{"location":"uri","locationName":"localeId"},"sortBy":{"type":"structure","required":["attribute","order"],"members":{"attribute":{},"order":{}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"builtInSlotTypeSummaries":{"type":"list","member":{"type":"structure","members":{"slotTypeSignature":{},"description":{}}}},"nextToken":{},"localeId":{}}}},"ListExports":{"http":{"requestUri":"/exports/","responseCode":200},"input":{"type":"structure","members":{"botId":{},"botVersion":{},"sortBy":{"type":"structure","required":["attribute","order"],"members":{"attribute":{},"order":{}}},"filters":{"type":"list","member":{"type":"structure","required":["name","values","operator"],"members":{"name":{},"values":{"shape":"S78"},"operator":{}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"exportSummaries":{"type":"list","member":{"type":"structure","members":{"exportId":{},"resourceSpecification":{"shape":"S1n"},"fileFormat":{},"exportStatus":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListImports":{"http":{"requestUri":"/imports/","responseCode":200},"input":{"type":"structure","members":{"botId":{},"botVersion":{},"sortBy":{"type":"structure","required":["attribute","order"],"members":{"attribute":{},"order":{}}},"filters":{"type":"list","member":{"type":"structure","required":["name","values","operator"],"members":{"name":{},"values":{"shape":"S78"},"operator":{}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"importSummaries":{"type":"list","member":{"type":"structure","members":{"importId":{},"importedResourceId":{},"importedResourceName":{},"importStatus":{},"mergeStrategy":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListIntents":{"http":{"requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/","responseCode":200},"input":{"type":"structure","required":["botId","botVersion","localeId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"sortBy":{"type":"structure","required":["attribute","order"],"members":{"attribute":{},"order":{}}},"filters":{"type":"list","member":{"type":"structure","required":["name","values","operator"],"members":{"name":{},"values":{"shape":"S78"},"operator":{}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"intentSummaries":{"type":"list","member":{"type":"structure","members":{"intentId":{},"intentName":{},"description":{},"parentIntentSignature":{},"inputContexts":{"shape":"S2v"},"outputContexts":{"shape":"S2x"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListRecommendedIntents":{"http":{"requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/{botRecommendationId}/intents","responseCode":200},"input":{"type":"structure","required":["botId","botVersion","localeId","botRecommendationId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"botRecommendationId":{"location":"uri","locationName":"botRecommendationId"},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"botRecommendationId":{},"summaryList":{"type":"list","member":{"type":"structure","members":{"intentId":{},"intentName":{},"sampleUtterancesCount":{"type":"integer"}}}},"nextToken":{}}}},"ListSlotTypes":{"http":{"requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/","responseCode":200},"input":{"type":"structure","required":["botId","botVersion","localeId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"sortBy":{"type":"structure","required":["attribute","order"],"members":{"attribute":{},"order":{}}},"filters":{"type":"list","member":{"type":"structure","required":["name","values","operator"],"members":{"name":{},"values":{"shape":"S78"},"operator":{}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"slotTypeSummaries":{"type":"list","member":{"type":"structure","members":{"slotTypeId":{},"slotTypeName":{},"description":{},"parentSlotTypeSignature":{},"lastUpdatedDateTime":{"type":"timestamp"},"slotTypeCategory":{}}}},"nextToken":{}}}},"ListSlots":{"http":{"requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/","responseCode":200},"input":{"type":"structure","required":["botId","botVersion","localeId","intentId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"intentId":{"location":"uri","locationName":"intentId"},"sortBy":{"type":"structure","required":["attribute","order"],"members":{"attribute":{},"order":{}}},"filters":{"type":"list","member":{"type":"structure","required":["name","values","operator"],"members":{"name":{},"values":{"shape":"S78"},"operator":{}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"intentId":{},"slotSummaries":{"type":"list","member":{"type":"structure","members":{"slotId":{},"slotName":{},"description":{},"slotConstraint":{},"slotTypeId":{},"valueElicitationPromptSpecification":{"shape":"S2s"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceARN}","responseCode":200},"input":{"type":"structure","required":["resourceARN"],"members":{"resourceARN":{"location":"uri","locationName":"resourceARN"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sf"}}}},"SearchAssociatedTranscripts":{"http":{"requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/{botRecommendationId}/associatedtranscripts","responseCode":200},"input":{"type":"structure","required":["botId","botVersion","localeId","botRecommendationId","filters"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"botRecommendationId":{"location":"uri","locationName":"botRecommendationId"},"searchOrder":{},"filters":{"type":"list","member":{"type":"structure","required":["name","values"],"members":{"name":{},"values":{"shape":"S78"}}}},"maxResults":{"type":"integer"},"nextIndex":{"type":"integer"}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"botRecommendationId":{},"nextIndex":{"type":"integer"},"associatedTranscripts":{"type":"list","member":{"type":"structure","members":{"transcript":{}}}},"totalResults":{"type":"integer"}}}},"StartBotRecommendation":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/","responseCode":202},"input":{"type":"structure","required":["botId","botVersion","localeId","transcriptSourceSetting"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"transcriptSourceSetting":{"shape":"S5v"},"encryptionSetting":{"shape":"S64"}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"botRecommendationStatus":{},"botRecommendationId":{},"creationDateTime":{"type":"timestamp"},"transcriptSourceSetting":{"shape":"S5v"},"encryptionSetting":{"shape":"S64"}}}},"StartImport":{"http":{"method":"PUT","requestUri":"/imports/","responseCode":202},"input":{"type":"structure","required":["importId","resourceSpecification","mergeStrategy"],"members":{"importId":{},"resourceSpecification":{"shape":"S6h"},"mergeStrategy":{},"filePassword":{"shape":"S1r"}}},"output":{"type":"structure","members":{"importId":{},"resourceSpecification":{"shape":"S6h"},"mergeStrategy":{},"importStatus":{},"creationDateTime":{"type":"timestamp"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceARN}","responseCode":200},"input":{"type":"structure","required":["resourceARN","tags"],"members":{"resourceARN":{"location":"uri","locationName":"resourceARN"},"tags":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceARN}","responseCode":200},"input":{"type":"structure","required":["resourceARN","tagKeys"],"members":{"resourceARN":{"location":"uri","locationName":"resourceARN"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateBot":{"http":{"method":"PUT","requestUri":"/bots/{botId}/","responseCode":202},"input":{"type":"structure","required":["botId","botName","roleArn","dataPrivacy","idleSessionTTLInSeconds"],"members":{"botId":{"location":"uri","locationName":"botId"},"botName":{},"description":{},"roleArn":{},"dataPrivacy":{"shape":"Sc"},"idleSessionTTLInSeconds":{"type":"integer"}}},"output":{"type":"structure","members":{"botId":{},"botName":{},"description":{},"roleArn":{},"dataPrivacy":{"shape":"Sc"},"idleSessionTTLInSeconds":{"type":"integer"},"botStatus":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"UpdateBotAlias":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botaliases/{botAliasId}/","responseCode":202},"input":{"type":"structure","required":["botAliasId","botAliasName","botId"],"members":{"botAliasId":{"location":"uri","locationName":"botAliasId"},"botAliasName":{},"description":{},"botVersion":{},"botAliasLocaleSettings":{"shape":"Sm"},"conversationLogSettings":{"shape":"St"},"sentimentAnalysisSettings":{"shape":"S16"},"botId":{"location":"uri","locationName":"botId"}}},"output":{"type":"structure","members":{"botAliasId":{},"botAliasName":{},"description":{},"botVersion":{},"botAliasLocaleSettings":{"shape":"Sm"},"conversationLogSettings":{"shape":"St"},"sentimentAnalysisSettings":{"shape":"S16"},"botAliasStatus":{},"botId":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"UpdateBotLocale":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/","responseCode":202},"input":{"type":"structure","required":["botId","botVersion","localeId","nluIntentConfidenceThreshold"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"description":{},"nluIntentConfidenceThreshold":{"type":"double"},"voiceSettings":{"shape":"S1c"}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"localeName":{},"description":{},"nluIntentConfidenceThreshold":{"type":"double"},"voiceSettings":{"shape":"S1c"},"botLocaleStatus":{},"failureReasons":{"shape":"S5l"},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"recommendedActions":{"shape":"S5q"}}}},"UpdateBotRecommendation":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/botrecommendations/{botRecommendationId}/","responseCode":202},"input":{"type":"structure","required":["botId","botVersion","localeId","botRecommendationId","encryptionSetting"],"members":{"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"botRecommendationId":{"location":"uri","locationName":"botRecommendationId"},"encryptionSetting":{"shape":"S64"}}},"output":{"type":"structure","members":{"botId":{},"botVersion":{},"localeId":{},"botRecommendationStatus":{},"botRecommendationId":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"transcriptSourceSetting":{"shape":"S5v"},"encryptionSetting":{"shape":"S64"}}}},"UpdateExport":{"http":{"method":"PUT","requestUri":"/exports/{exportId}/","responseCode":202},"input":{"type":"structure","required":["exportId"],"members":{"exportId":{"location":"uri","locationName":"exportId"},"filePassword":{"shape":"S1r"}}},"output":{"type":"structure","members":{"exportId":{},"resourceSpecification":{"shape":"S1n"},"fileFormat":{},"exportStatus":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"UpdateIntent":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/","responseCode":200},"input":{"type":"structure","required":["intentId","intentName","botId","botVersion","localeId"],"members":{"intentId":{"location":"uri","locationName":"intentId"},"intentName":{},"description":{},"parentIntentSignature":{},"sampleUtterances":{"shape":"S1w"},"dialogCodeHook":{"shape":"S1z"},"fulfillmentCodeHook":{"shape":"S20"},"slotPriorities":{"shape":"S6o"},"intentConfirmationSetting":{"shape":"S2r"},"intentClosingSetting":{"shape":"S2u"},"inputContexts":{"shape":"S2v"},"outputContexts":{"shape":"S2x"},"kendraConfiguration":{"shape":"S31"},"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"}}},"output":{"type":"structure","members":{"intentId":{},"intentName":{},"description":{},"parentIntentSignature":{},"sampleUtterances":{"shape":"S1w"},"dialogCodeHook":{"shape":"S1z"},"fulfillmentCodeHook":{"shape":"S20"},"slotPriorities":{"shape":"S6o"},"intentConfirmationSetting":{"shape":"S2r"},"intentClosingSetting":{"shape":"S2u"},"inputContexts":{"shape":"S2v"},"outputContexts":{"shape":"S2x"},"kendraConfiguration":{"shape":"S31"},"botId":{},"botVersion":{},"localeId":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"UpdateResourcePolicy":{"http":{"method":"PUT","requestUri":"/policy/{resourceArn}/","responseCode":200},"input":{"type":"structure","required":["resourceArn","policy"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"policy":{},"expectedRevisionId":{"location":"querystring","locationName":"expectedRevisionId"}}},"output":{"type":"structure","members":{"resourceArn":{},"revisionId":{}}}},"UpdateSlot":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/intents/{intentId}/slots/{slotId}/","responseCode":200},"input":{"type":"structure","required":["slotId","slotName","slotTypeId","valueElicitationSetting","botId","botVersion","localeId","intentId"],"members":{"slotId":{"location":"uri","locationName":"slotId"},"slotName":{},"description":{},"slotTypeId":{},"valueElicitationSetting":{"shape":"S3q"},"obfuscationSetting":{"shape":"S40"},"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"intentId":{"location":"uri","locationName":"intentId"},"multipleValuesSetting":{"shape":"S42"}}},"output":{"type":"structure","members":{"slotId":{},"slotName":{},"description":{},"slotTypeId":{},"valueElicitationSetting":{"shape":"S3q"},"obfuscationSetting":{"shape":"S40"},"botId":{},"botVersion":{},"localeId":{},"intentId":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"multipleValuesSetting":{"shape":"S42"}}}},"UpdateSlotType":{"http":{"method":"PUT","requestUri":"/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/slottypes/{slotTypeId}/","responseCode":202},"input":{"type":"structure","required":["slotTypeId","slotTypeName","botId","botVersion","localeId"],"members":{"slotTypeId":{"location":"uri","locationName":"slotTypeId"},"slotTypeName":{},"description":{},"slotTypeValues":{"shape":"S45"},"valueSelectionSetting":{"shape":"S4a"},"parentSlotTypeSignature":{},"botId":{"location":"uri","locationName":"botId"},"botVersion":{"location":"uri","locationName":"botVersion"},"localeId":{"location":"uri","locationName":"localeId"},"externalSourceSetting":{"shape":"S4f"}}},"output":{"type":"structure","members":{"slotTypeId":{},"slotTypeName":{},"description":{},"slotTypeValues":{"shape":"S45"},"valueSelectionSetting":{"shape":"S4a"},"parentSlotTypeSignature":{},"botId":{},"botVersion":{},"localeId":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"externalSourceSetting":{"shape":"S4f"}}}}},"shapes":{"Sc":{"type":"structure","required":["childDirected"],"members":{"childDirected":{"type":"boolean"}}},"Sf":{"type":"map","key":{},"value":{}},"Sm":{"type":"map","key":{},"value":{"type":"structure","required":["enabled"],"members":{"enabled":{"type":"boolean"},"codeHookSpecification":{"type":"structure","required":["lambdaCodeHook"],"members":{"lambdaCodeHook":{"type":"structure","required":["lambdaARN","codeHookInterfaceVersion"],"members":{"lambdaARN":{},"codeHookInterfaceVersion":{}}}}}}}},"St":{"type":"structure","members":{"textLogSettings":{"type":"list","member":{"type":"structure","required":["enabled","destination"],"members":{"enabled":{"type":"boolean"},"destination":{"type":"structure","required":["cloudWatch"],"members":{"cloudWatch":{"type":"structure","required":["cloudWatchLogGroupArn","logPrefix"],"members":{"cloudWatchLogGroupArn":{},"logPrefix":{}}}}}}}},"audioLogSettings":{"type":"list","member":{"type":"structure","required":["enabled","destination"],"members":{"enabled":{"type":"boolean"},"destination":{"type":"structure","required":["s3Bucket"],"members":{"s3Bucket":{"type":"structure","required":["s3BucketArn","logPrefix"],"members":{"kmsKeyArn":{},"s3BucketArn":{},"logPrefix":{}}}}}}}}}},"S16":{"type":"structure","required":["detectSentiment"],"members":{"detectSentiment":{"type":"boolean"}}},"S1c":{"type":"structure","required":["voiceId"],"members":{"voiceId":{},"engine":{}}},"S1i":{"type":"map","key":{},"value":{"type":"structure","required":["sourceBotVersion"],"members":{"sourceBotVersion":{}}}},"S1n":{"type":"structure","members":{"botExportSpecification":{"type":"structure","required":["botId","botVersion"],"members":{"botId":{},"botVersion":{}}},"botLocaleExportSpecification":{"type":"structure","required":["botId","botVersion","localeId"],"members":{"botId":{},"botVersion":{},"localeId":{}}}}},"S1r":{"type":"string","sensitive":true},"S1w":{"type":"list","member":{"type":"structure","required":["utterance"],"members":{"utterance":{}}}},"S1z":{"type":"structure","required":["enabled"],"members":{"enabled":{"type":"boolean"}}},"S20":{"type":"structure","required":["enabled"],"members":{"enabled":{"type":"boolean"},"postFulfillmentStatusSpecification":{"type":"structure","members":{"successResponse":{"shape":"S22"},"failureResponse":{"shape":"S22"},"timeoutResponse":{"shape":"S22"}}},"fulfillmentUpdatesSpecification":{"type":"structure","required":["active"],"members":{"active":{"type":"boolean"},"startResponse":{"type":"structure","required":["delayInSeconds","messageGroups"],"members":{"delayInSeconds":{"type":"integer"},"messageGroups":{"shape":"S23"},"allowInterrupt":{"type":"boolean"}}},"updateResponse":{"type":"structure","required":["frequencyInSeconds","messageGroups"],"members":{"frequencyInSeconds":{"type":"integer"},"messageGroups":{"shape":"S23"},"allowInterrupt":{"type":"boolean"}}},"timeoutInSeconds":{"type":"integer"}}}}},"S22":{"type":"structure","required":["messageGroups"],"members":{"messageGroups":{"shape":"S23"},"allowInterrupt":{"type":"boolean"}}},"S23":{"type":"list","member":{"type":"structure","required":["message"],"members":{"message":{"shape":"S25"},"variations":{"type":"list","member":{"shape":"S25"}}}}},"S25":{"type":"structure","members":{"plainTextMessage":{"type":"structure","required":["value"],"members":{"value":{}}},"customPayload":{"type":"structure","required":["value"],"members":{"value":{}}},"ssmlMessage":{"type":"structure","required":["value"],"members":{"value":{}}},"imageResponseCard":{"type":"structure","required":["title"],"members":{"title":{},"subtitle":{},"imageUrl":{},"buttons":{"type":"list","member":{"type":"structure","required":["text","value"],"members":{"text":{},"value":{}}}}}}}},"S2r":{"type":"structure","required":["promptSpecification","declinationResponse"],"members":{"promptSpecification":{"shape":"S2s"},"declinationResponse":{"shape":"S22"},"active":{"type":"boolean"}}},"S2s":{"type":"structure","required":["messageGroups","maxRetries"],"members":{"messageGroups":{"shape":"S23"},"maxRetries":{"type":"integer"},"allowInterrupt":{"type":"boolean"}}},"S2u":{"type":"structure","required":["closingResponse"],"members":{"closingResponse":{"shape":"S22"},"active":{"type":"boolean"}}},"S2v":{"type":"list","member":{"type":"structure","required":["name"],"members":{"name":{}}}},"S2x":{"type":"list","member":{"type":"structure","required":["name","timeToLiveInSeconds","turnsToLive"],"members":{"name":{},"timeToLiveInSeconds":{"type":"integer"},"turnsToLive":{"type":"integer"}}}},"S31":{"type":"structure","required":["kendraIndex"],"members":{"kendraIndex":{},"queryFilterStringEnabled":{"type":"boolean"},"queryFilterString":{}}},"S3q":{"type":"structure","required":["slotConstraint"],"members":{"defaultValueSpecification":{"type":"structure","required":["defaultValueList"],"members":{"defaultValueList":{"type":"list","member":{"type":"structure","required":["defaultValue"],"members":{"defaultValue":{}}}}}},"slotConstraint":{},"promptSpecification":{"shape":"S2s"},"sampleUtterances":{"shape":"S1w"},"waitAndContinueSpecification":{"type":"structure","required":["waitingResponse","continueResponse"],"members":{"waitingResponse":{"shape":"S22"},"continueResponse":{"shape":"S22"},"stillWaitingResponse":{"type":"structure","required":["messageGroups","frequencyInSeconds","timeoutInSeconds"],"members":{"messageGroups":{"shape":"S23"},"frequencyInSeconds":{"type":"integer"},"timeoutInSeconds":{"type":"integer"},"allowInterrupt":{"type":"boolean"}}},"active":{"type":"boolean"}}}}},"S40":{"type":"structure","required":["obfuscationSettingType"],"members":{"obfuscationSettingType":{}}},"S42":{"type":"structure","members":{"allowMultipleValues":{"type":"boolean"}}},"S45":{"type":"list","member":{"type":"structure","members":{"sampleValue":{"shape":"S47"},"synonyms":{"type":"list","member":{"shape":"S47"}}}}},"S47":{"type":"structure","required":["value"],"members":{"value":{}}},"S4a":{"type":"structure","required":["resolutionStrategy"],"members":{"resolutionStrategy":{},"regexFilter":{"type":"structure","required":["pattern"],"members":{"pattern":{}}}}},"S4f":{"type":"structure","members":{"grammarSlotTypeSetting":{"type":"structure","members":{"source":{"type":"structure","required":["s3BucketName","s3ObjectKey"],"members":{"s3BucketName":{},"s3ObjectKey":{},"kmsKeyArn":{}}}}}}},"S5l":{"type":"list","member":{}},"S5q":{"type":"list","member":{}},"S5v":{"type":"structure","members":{"s3BucketTranscriptSource":{"type":"structure","required":["s3BucketName","transcriptFormat"],"members":{"s3BucketName":{},"pathFormat":{"type":"structure","members":{"objectPrefixes":{"type":"list","member":{}}}},"transcriptFormat":{},"transcriptFilter":{"type":"structure","members":{"lexTranscriptFilter":{"type":"structure","members":{"dateRangeFilter":{"type":"structure","required":["startDateTime","endDateTime"],"members":{"startDateTime":{"type":"timestamp"},"endDateTime":{"type":"timestamp"}}}}}}},"kmsKeyArn":{}}}}},"S64":{"type":"structure","members":{"kmsKeyArn":{},"botLocaleExportPassword":{"shape":"S65"},"associatedTranscriptsPassword":{"shape":"S65"}}},"S65":{"type":"string","sensitive":true},"S6h":{"type":"structure","members":{"botImportSpecification":{"type":"structure","required":["botName","roleArn","dataPrivacy"],"members":{"botName":{},"roleArn":{},"dataPrivacy":{"shape":"Sc"},"idleSessionTTLInSeconds":{"type":"integer"},"botTags":{"shape":"Sf"},"testBotAliasTags":{"shape":"Sf"}}},"botLocaleImportSpecification":{"type":"structure","required":["botId","botVersion","localeId"],"members":{"botId":{},"botVersion":{},"localeId":{},"nluIntentConfidenceThreshold":{"type":"double"},"voiceSettings":{"shape":"S1c"}}}}},"S6o":{"type":"list","member":{"type":"structure","required":["priority","slotId"],"members":{"priority":{"type":"integer"},"slotId":{}}}},"S6y":{"type":"structure","required":["relativeAggregationDuration"],"members":{"relativeAggregationDuration":{"type":"structure","required":["timeDimension","timeValue"],"members":{"timeDimension":{},"timeValue":{"type":"integer"}}}}},"S78":{"type":"list","member":{}}}}');

/***/ }),

/***/ 49461:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAggregatedUtterances":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListBotAliases":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListBotLocales":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListBotRecommendations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListBotVersions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListBots":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListBuiltInIntents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListBuiltInSlotTypes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListExports":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListImports":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListIntents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListRecommendedIntents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListSlotTypes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListSlots":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 55520:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"BotAvailable":{"delay":10,"operation":"DescribeBot","maxAttempts":35,"description":"Wait until a bot is available","acceptors":[{"expected":"Available","matcher":"path","state":"success","argument":"botStatus"},{"expected":"Deleting","matcher":"path","state":"failure","argument":"botStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"botStatus"},{"expected":"Inactive","matcher":"path","state":"failure","argument":"botStatus"}]},"BotAliasAvailable":{"delay":10,"operation":"DescribeBotAlias","maxAttempts":35,"description":"Wait until a bot alias is available","acceptors":[{"expected":"Available","matcher":"path","state":"success","argument":"botAliasStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"botAliasStatus"},{"expected":"Deleting","matcher":"path","state":"failure","argument":"botAliasStatus"}]},"BotExportCompleted":{"delay":10,"operation":"DescribeExport","maxAttempts":35,"description":"Wait until a bot has been exported","acceptors":[{"expected":"Completed","matcher":"path","state":"success","argument":"exportStatus"},{"expected":"Deleting","matcher":"path","state":"failure","argument":"exportStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"exportStatus"}]},"BotImportCompleted":{"delay":10,"operation":"DescribeImport","maxAttempts":35,"description":"Wait until a bot has been imported","acceptors":[{"expected":"Completed","matcher":"path","state":"success","argument":"importStatus"},{"expected":"Deleting","matcher":"path","state":"failure","argument":"importStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"importStatus"}]},"BotLocaleBuilt":{"delay":10,"operation":"DescribeBotLocale","maxAttempts":35,"description":"Wait until a bot locale is built","acceptors":[{"expected":"Built","matcher":"path","state":"success","argument":"botLocaleStatus"},{"expected":"Deleting","matcher":"path","state":"failure","argument":"botLocaleStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"botLocaleStatus"},{"expected":"NotBuilt","matcher":"path","state":"failure","argument":"botLocaleStatus"}]},"BotLocaleExpressTestingAvailable":{"delay":10,"operation":"DescribeBotLocale","maxAttempts":35,"description":"Wait until a bot locale build is ready for express testing","acceptors":[{"expected":"Built","matcher":"path","state":"success","argument":"botLocaleStatus"},{"expected":"ReadyExpressTesting","matcher":"path","state":"success","argument":"botLocaleStatus"},{"expected":"Deleting","matcher":"path","state":"failure","argument":"botLocaleStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"botLocaleStatus"},{"expected":"NotBuilt","matcher":"path","state":"failure","argument":"botLocaleStatus"}]},"BotVersionAvailable":{"delay":10,"operation":"DescribeBotVersion","maxAttempts":35,"description":"Wait until a bot version is available","acceptors":[{"expected":"Available","matcher":"path","state":"success","argument":"botStatus"},{"expected":"Deleting","matcher":"path","state":"failure","argument":"botStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"botStatus"},{"state":"retry","matcher":"status","expected":404}]},"BotLocaleCreated":{"delay":10,"operation":"DescribeBotLocale","maxAttempts":35,"description":"Wait unit a bot locale is created","acceptors":[{"expected":"Built","matcher":"path","state":"success","argument":"botLocaleStatus"},{"expected":"ReadyExpressTesting","matcher":"path","state":"success","argument":"botLocaleStatus"},{"expected":"NotBuilt","matcher":"path","state":"success","argument":"botLocaleStatus"},{"expected":"Deleting","matcher":"path","state":"failure","argument":"botLocaleStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"botLocaleStatus"}]}}}');

/***/ }),

/***/ 16363:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2010-08-01","endpointPrefix":"monitoring","protocol":"query","serviceAbbreviation":"CloudWatch","serviceFullName":"Amazon CloudWatch","serviceId":"CloudWatch","signatureVersion":"v4","uid":"monitoring-2010-08-01","xmlNamespace":"http://monitoring.amazonaws.com/doc/2010-08-01/"},"operations":{"DeleteAlarms":{"input":{"type":"structure","required":["AlarmNames"],"members":{"AlarmNames":{"shape":"S2"}}}},"DeleteAnomalyDetector":{"input":{"type":"structure","members":{"Namespace":{"deprecated":true,"deprecatedMessage":"Use SingleMetricAnomalyDetector."},"MetricName":{"deprecated":true,"deprecatedMessage":"Use SingleMetricAnomalyDetector."},"Dimensions":{"shape":"S7","deprecated":true,"deprecatedMessage":"Use SingleMetricAnomalyDetector."},"Stat":{"deprecated":true,"deprecatedMessage":"Use SingleMetricAnomalyDetector."},"SingleMetricAnomalyDetector":{"shape":"Sc"},"MetricMathAnomalyDetector":{"shape":"Sd"}}},"output":{"resultWrapper":"DeleteAnomalyDetectorResult","type":"structure","members":{}}},"DeleteDashboards":{"input":{"type":"structure","required":["DashboardNames"],"members":{"DashboardNames":{"type":"list","member":{}}}},"output":{"resultWrapper":"DeleteDashboardsResult","type":"structure","members":{}}},"DeleteInsightRules":{"input":{"type":"structure","required":["RuleNames"],"members":{"RuleNames":{"shape":"Sw"}}},"output":{"resultWrapper":"DeleteInsightRulesResult","type":"structure","members":{"Failures":{"shape":"Sz"}}}},"DeleteMetricStream":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"resultWrapper":"DeleteMetricStreamResult","type":"structure","members":{}}},"DescribeAlarmHistory":{"input":{"type":"structure","members":{"AlarmName":{},"AlarmTypes":{"shape":"S19"},"HistoryItemType":{},"StartDate":{"type":"timestamp"},"EndDate":{"type":"timestamp"},"MaxRecords":{"type":"integer"},"NextToken":{},"ScanBy":{}}},"output":{"resultWrapper":"DescribeAlarmHistoryResult","type":"structure","members":{"AlarmHistoryItems":{"type":"list","member":{"type":"structure","members":{"AlarmName":{},"AlarmType":{},"Timestamp":{"type":"timestamp"},"HistoryItemType":{},"HistorySummary":{},"HistoryData":{}}}},"NextToken":{}}}},"DescribeAlarms":{"input":{"type":"structure","members":{"AlarmNames":{"shape":"S2"},"AlarmNamePrefix":{},"AlarmTypes":{"shape":"S19"},"ChildrenOfAlarmName":{},"ParentsOfAlarmName":{},"StateValue":{},"ActionPrefix":{},"MaxRecords":{"type":"integer"},"NextToken":{}}},"output":{"resultWrapper":"DescribeAlarmsResult","type":"structure","members":{"CompositeAlarms":{"type":"list","member":{"type":"structure","members":{"ActionsEnabled":{"type":"boolean"},"AlarmActions":{"shape":"S1t"},"AlarmArn":{},"AlarmConfigurationUpdatedTimestamp":{"type":"timestamp"},"AlarmDescription":{},"AlarmName":{},"AlarmRule":{},"InsufficientDataActions":{"shape":"S1t"},"OKActions":{"shape":"S1t"},"StateReason":{},"StateReasonData":{},"StateUpdatedTimestamp":{"type":"timestamp"},"StateValue":{}},"xmlOrder":["ActionsEnabled","AlarmActions","AlarmArn","AlarmConfigurationUpdatedTimestamp","AlarmDescription","AlarmName","AlarmRule","InsufficientDataActions","OKActions","StateReason","StateReasonData","StateUpdatedTimestamp","StateValue"]}},"MetricAlarms":{"shape":"S20"},"NextToken":{}}}},"DescribeAlarmsForMetric":{"input":{"type":"structure","required":["MetricName","Namespace"],"members":{"MetricName":{},"Namespace":{},"Statistic":{},"ExtendedStatistic":{},"Dimensions":{"shape":"S7"},"Period":{"type":"integer"},"Unit":{}}},"output":{"resultWrapper":"DescribeAlarmsForMetricResult","type":"structure","members":{"MetricAlarms":{"shape":"S20"}}}},"DescribeAnomalyDetectors":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Namespace":{},"MetricName":{},"Dimensions":{"shape":"S7"},"AnomalyDetectorTypes":{"type":"list","member":{}}}},"output":{"resultWrapper":"DescribeAnomalyDetectorsResult","type":"structure","members":{"AnomalyDetectors":{"type":"list","member":{"type":"structure","members":{"Namespace":{"deprecated":true,"deprecatedMessage":"Use SingleMetricAnomalyDetector.Namespace property."},"MetricName":{"deprecated":true,"deprecatedMessage":"Use SingleMetricAnomalyDetector.MetricName property."},"Dimensions":{"shape":"S7","deprecated":true,"deprecatedMessage":"Use SingleMetricAnomalyDetector.Dimensions property."},"Stat":{"deprecated":true,"deprecatedMessage":"Use SingleMetricAnomalyDetector.Stat property."},"Configuration":{"shape":"S2j"},"StateValue":{},"SingleMetricAnomalyDetector":{"shape":"Sc"},"MetricMathAnomalyDetector":{"shape":"Sd"}}}},"NextToken":{}}}},"DescribeInsightRules":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"resultWrapper":"DescribeInsightRulesResult","type":"structure","members":{"NextToken":{},"InsightRules":{"type":"list","member":{"type":"structure","required":["Name","State","Schema","Definition"],"members":{"Name":{},"State":{},"Schema":{},"Definition":{}}}}}}},"DisableAlarmActions":{"input":{"type":"structure","required":["AlarmNames"],"members":{"AlarmNames":{"shape":"S2"}}}},"DisableInsightRules":{"input":{"type":"structure","required":["RuleNames"],"members":{"RuleNames":{"shape":"Sw"}}},"output":{"resultWrapper":"DisableInsightRulesResult","type":"structure","members":{"Failures":{"shape":"Sz"}}}},"EnableAlarmActions":{"input":{"type":"structure","required":["AlarmNames"],"members":{"AlarmNames":{"shape":"S2"}}}},"EnableInsightRules":{"input":{"type":"structure","required":["RuleNames"],"members":{"RuleNames":{"shape":"Sw"}}},"output":{"resultWrapper":"EnableInsightRulesResult","type":"structure","members":{"Failures":{"shape":"Sz"}}}},"GetDashboard":{"input":{"type":"structure","required":["DashboardName"],"members":{"DashboardName":{}}},"output":{"resultWrapper":"GetDashboardResult","type":"structure","members":{"DashboardArn":{},"DashboardBody":{},"DashboardName":{}}}},"GetInsightRuleReport":{"input":{"type":"structure","required":["RuleName","StartTime","EndTime","Period"],"members":{"RuleName":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Period":{"type":"integer"},"MaxContributorCount":{"type":"integer"},"Metrics":{"type":"list","member":{}},"OrderBy":{}}},"output":{"resultWrapper":"GetInsightRuleReportResult","type":"structure","members":{"KeyLabels":{"type":"list","member":{}},"AggregationStatistic":{},"AggregateValue":{"type":"double"},"ApproximateUniqueCount":{"type":"long"},"Contributors":{"type":"list","member":{"type":"structure","required":["Keys","ApproximateAggregateValue","Datapoints"],"members":{"Keys":{"type":"list","member":{}},"ApproximateAggregateValue":{"type":"double"},"Datapoints":{"type":"list","member":{"type":"structure","required":["Timestamp","ApproximateValue"],"members":{"Timestamp":{"type":"timestamp"},"ApproximateValue":{"type":"double"}}}}}}},"MetricDatapoints":{"type":"list","member":{"type":"structure","required":["Timestamp"],"members":{"Timestamp":{"type":"timestamp"},"UniqueContributors":{"type":"double"},"MaxContributorValue":{"type":"double"},"SampleCount":{"type":"double"},"Average":{"type":"double"},"Sum":{"type":"double"},"Minimum":{"type":"double"},"Maximum":{"type":"double"}}}}}}},"GetMetricData":{"input":{"type":"structure","required":["MetricDataQueries","StartTime","EndTime"],"members":{"MetricDataQueries":{"shape":"Se"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"NextToken":{},"ScanBy":{},"MaxDatapoints":{"type":"integer"},"LabelOptions":{"type":"structure","members":{"Timezone":{}}}}},"output":{"resultWrapper":"GetMetricDataResult","type":"structure","members":{"MetricDataResults":{"type":"list","member":{"type":"structure","members":{"Id":{},"Label":{},"Timestamps":{"type":"list","member":{"type":"timestamp"}},"Values":{"type":"list","member":{"type":"double"}},"StatusCode":{},"Messages":{"shape":"S40"}}}},"NextToken":{},"Messages":{"shape":"S40"}}}},"GetMetricStatistics":{"input":{"type":"structure","required":["Namespace","MetricName","StartTime","EndTime","Period"],"members":{"Namespace":{},"MetricName":{},"Dimensions":{"shape":"S7"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Period":{"type":"integer"},"Statistics":{"type":"list","member":{}},"ExtendedStatistics":{"type":"list","member":{}},"Unit":{}}},"output":{"resultWrapper":"GetMetricStatisticsResult","type":"structure","members":{"Label":{},"Datapoints":{"type":"list","member":{"type":"structure","members":{"Timestamp":{"type":"timestamp"},"SampleCount":{"type":"double"},"Average":{"type":"double"},"Sum":{"type":"double"},"Minimum":{"type":"double"},"Maximum":{"type":"double"},"Unit":{},"ExtendedStatistics":{"type":"map","key":{},"value":{"type":"double"}}},"xmlOrder":["Timestamp","SampleCount","Average","Sum","Minimum","Maximum","Unit","ExtendedStatistics"]}}}}},"GetMetricStream":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"resultWrapper":"GetMetricStreamResult","type":"structure","members":{"Arn":{},"Name":{},"IncludeFilters":{"shape":"S4e"},"ExcludeFilters":{"shape":"S4e"},"FirehoseArn":{},"RoleArn":{},"State":{},"CreationDate":{"type":"timestamp"},"LastUpdateDate":{"type":"timestamp"},"OutputFormat":{}}}},"GetMetricWidgetImage":{"input":{"type":"structure","required":["MetricWidget"],"members":{"MetricWidget":{},"OutputFormat":{}}},"output":{"resultWrapper":"GetMetricWidgetImageResult","type":"structure","members":{"MetricWidgetImage":{"type":"blob"}}}},"ListDashboards":{"input":{"type":"structure","members":{"DashboardNamePrefix":{},"NextToken":{}}},"output":{"resultWrapper":"ListDashboardsResult","type":"structure","members":{"DashboardEntries":{"type":"list","member":{"type":"structure","members":{"DashboardName":{},"DashboardArn":{},"LastModified":{"type":"timestamp"},"Size":{"type":"long"}}}},"NextToken":{}}}},"ListMetricStreams":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"resultWrapper":"ListMetricStreamsResult","type":"structure","members":{"NextToken":{},"Entries":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreationDate":{"type":"timestamp"},"LastUpdateDate":{"type":"timestamp"},"Name":{},"FirehoseArn":{},"State":{},"OutputFormat":{}}}}}}},"ListMetrics":{"input":{"type":"structure","members":{"Namespace":{},"MetricName":{},"Dimensions":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{},"Value":{}}}},"NextToken":{},"RecentlyActive":{}}},"output":{"resultWrapper":"ListMetricsResult","type":"structure","members":{"Metrics":{"type":"list","member":{"shape":"Si"}},"NextToken":{}},"xmlOrder":["Metrics","NextToken"]}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"resultWrapper":"ListTagsForResourceResult","type":"structure","members":{"Tags":{"shape":"S57"}}}},"PutAnomalyDetector":{"input":{"type":"structure","members":{"Namespace":{"deprecated":true,"deprecatedMessage":"Use SingleMetricAnomalyDetector."},"MetricName":{"deprecated":true,"deprecatedMessage":"Use SingleMetricAnomalyDetector."},"Dimensions":{"shape":"S7","deprecated":true,"deprecatedMessage":"Use SingleMetricAnomalyDetector."},"Stat":{"deprecated":true,"deprecatedMessage":"Use SingleMetricAnomalyDetector."},"Configuration":{"shape":"S2j"},"SingleMetricAnomalyDetector":{"shape":"Sc"},"MetricMathAnomalyDetector":{"shape":"Sd"}}},"output":{"resultWrapper":"PutAnomalyDetectorResult","type":"structure","members":{}}},"PutCompositeAlarm":{"input":{"type":"structure","required":["AlarmName","AlarmRule"],"members":{"ActionsEnabled":{"type":"boolean"},"AlarmActions":{"shape":"S1t"},"AlarmDescription":{},"AlarmName":{},"AlarmRule":{},"InsufficientDataActions":{"shape":"S1t"},"OKActions":{"shape":"S1t"},"Tags":{"shape":"S57"}}}},"PutDashboard":{"input":{"type":"structure","required":["DashboardName","DashboardBody"],"members":{"DashboardName":{},"DashboardBody":{}}},"output":{"resultWrapper":"PutDashboardResult","type":"structure","members":{"DashboardValidationMessages":{"type":"list","member":{"type":"structure","members":{"DataPath":{},"Message":{}}}}}}},"PutInsightRule":{"input":{"type":"structure","required":["RuleName","RuleDefinition"],"members":{"RuleName":{},"RuleState":{},"RuleDefinition":{},"Tags":{"shape":"S57"}}},"output":{"resultWrapper":"PutInsightRuleResult","type":"structure","members":{}}},"PutMetricAlarm":{"input":{"type":"structure","required":["AlarmName","EvaluationPeriods","ComparisonOperator"],"members":{"AlarmName":{},"AlarmDescription":{},"ActionsEnabled":{"type":"boolean"},"OKActions":{"shape":"S1t"},"AlarmActions":{"shape":"S1t"},"InsufficientDataActions":{"shape":"S1t"},"MetricName":{},"Namespace":{},"Statistic":{},"ExtendedStatistic":{},"Dimensions":{"shape":"S7"},"Period":{"type":"integer"},"Unit":{},"EvaluationPeriods":{"type":"integer"},"DatapointsToAlarm":{"type":"integer"},"Threshold":{"type":"double"},"ComparisonOperator":{},"TreatMissingData":{},"EvaluateLowSampleCountPercentile":{},"Metrics":{"shape":"Se"},"Tags":{"shape":"S57"},"ThresholdMetricId":{}}}},"PutMetricData":{"input":{"type":"structure","required":["Namespace","MetricData"],"members":{"Namespace":{},"MetricData":{"type":"list","member":{"type":"structure","required":["MetricName"],"members":{"MetricName":{},"Dimensions":{"shape":"S7"},"Timestamp":{"type":"timestamp"},"Value":{"type":"double"},"StatisticValues":{"type":"structure","required":["SampleCount","Sum","Minimum","Maximum"],"members":{"SampleCount":{"type":"double"},"Sum":{"type":"double"},"Minimum":{"type":"double"},"Maximum":{"type":"double"}}},"Values":{"type":"list","member":{"type":"double"}},"Counts":{"type":"list","member":{"type":"double"}},"Unit":{},"StorageResolution":{"type":"integer"}}}}}}},"PutMetricStream":{"input":{"type":"structure","required":["Name","FirehoseArn","RoleArn","OutputFormat"],"members":{"Name":{},"IncludeFilters":{"shape":"S4e"},"ExcludeFilters":{"shape":"S4e"},"FirehoseArn":{},"RoleArn":{},"OutputFormat":{},"Tags":{"shape":"S57"}}},"output":{"resultWrapper":"PutMetricStreamResult","type":"structure","members":{"Arn":{}}}},"SetAlarmState":{"input":{"type":"structure","required":["AlarmName","StateValue","StateReason"],"members":{"AlarmName":{},"StateValue":{},"StateReason":{},"StateReasonData":{}}}},"StartMetricStreams":{"input":{"type":"structure","required":["Names"],"members":{"Names":{"shape":"S5y"}}},"output":{"resultWrapper":"StartMetricStreamsResult","type":"structure","members":{}}},"StopMetricStreams":{"input":{"type":"structure","required":["Names"],"members":{"Names":{"shape":"S5y"}}},"output":{"resultWrapper":"StopMetricStreamsResult","type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S57"}}},"output":{"resultWrapper":"TagResourceResult","type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"resultWrapper":"UntagResourceResult","type":"structure","members":{}}}},"shapes":{"S2":{"type":"list","member":{}},"S7":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}},"xmlOrder":["Name","Value"]}},"Sc":{"type":"structure","members":{"Namespace":{},"MetricName":{},"Dimensions":{"shape":"S7"},"Stat":{}}},"Sd":{"type":"structure","members":{"MetricDataQueries":{"shape":"Se"}}},"Se":{"type":"list","member":{"type":"structure","required":["Id"],"members":{"Id":{},"MetricStat":{"type":"structure","required":["Metric","Period","Stat"],"members":{"Metric":{"shape":"Si"},"Period":{"type":"integer"},"Stat":{},"Unit":{}}},"Expression":{},"Label":{},"ReturnData":{"type":"boolean"},"Period":{"type":"integer"},"AccountId":{}}}},"Si":{"type":"structure","members":{"Namespace":{},"MetricName":{},"Dimensions":{"shape":"S7"}},"xmlOrder":["Namespace","MetricName","Dimensions"]},"Sw":{"type":"list","member":{}},"Sz":{"type":"list","member":{"type":"structure","members":{"FailureResource":{},"ExceptionType":{},"FailureCode":{},"FailureDescription":{}}}},"S19":{"type":"list","member":{}},"S1t":{"type":"list","member":{}},"S20":{"type":"list","member":{"type":"structure","members":{"AlarmName":{},"AlarmArn":{},"AlarmDescription":{},"AlarmConfigurationUpdatedTimestamp":{"type":"timestamp"},"ActionsEnabled":{"type":"boolean"},"OKActions":{"shape":"S1t"},"AlarmActions":{"shape":"S1t"},"InsufficientDataActions":{"shape":"S1t"},"StateValue":{},"StateReason":{},"StateReasonData":{},"StateUpdatedTimestamp":{"type":"timestamp"},"MetricName":{},"Namespace":{},"Statistic":{},"ExtendedStatistic":{},"Dimensions":{"shape":"S7"},"Period":{"type":"integer"},"Unit":{},"EvaluationPeriods":{"type":"integer"},"DatapointsToAlarm":{"type":"integer"},"Threshold":{"type":"double"},"ComparisonOperator":{},"TreatMissingData":{},"EvaluateLowSampleCountPercentile":{},"Metrics":{"shape":"Se"},"ThresholdMetricId":{}},"xmlOrder":["AlarmName","AlarmArn","AlarmDescription","AlarmConfigurationUpdatedTimestamp","ActionsEnabled","OKActions","AlarmActions","InsufficientDataActions","StateValue","StateReason","StateReasonData","StateUpdatedTimestamp","MetricName","Namespace","Statistic","Dimensions","Period","Unit","EvaluationPeriods","Threshold","ComparisonOperator","ExtendedStatistic","TreatMissingData","EvaluateLowSampleCountPercentile","DatapointsToAlarm","Metrics","ThresholdMetricId"]}},"S2j":{"type":"structure","members":{"ExcludedTimeRanges":{"type":"list","member":{"type":"structure","required":["StartTime","EndTime"],"members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}},"xmlOrder":["StartTime","EndTime"]}},"MetricTimezone":{}}},"S40":{"type":"list","member":{"type":"structure","members":{"Code":{},"Value":{}}}},"S4e":{"type":"list","member":{"type":"structure","members":{"Namespace":{}}}},"S57":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S5y":{"type":"list","member":{}}}}');

/***/ }),

/***/ 46675:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeAlarmHistory":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken","result_key":"AlarmHistoryItems"},"DescribeAlarms":{"input_token":"NextToken","limit_key":"MaxRecords","output_token":"NextToken","result_key":["MetricAlarms","CompositeAlarms"]},"DescribeAlarmsForMetric":{"result_key":"MetricAlarms"},"DescribeInsightRules":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetMetricData":{"input_token":"NextToken","limit_key":"MaxDatapoints","output_token":"NextToken","result_key":["MetricDataResults","Messages"]},"ListDashboards":{"input_token":"NextToken","output_token":"NextToken","result_key":"DashboardEntries"},"ListMetricStreams":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListMetrics":{"input_token":"NextToken","output_token":"NextToken","result_key":"Metrics"}}}');

/***/ }),

/***/ 21466:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"AlarmExists":{"delay":5,"maxAttempts":40,"operation":"DescribeAlarms","acceptors":[{"matcher":"path","expected":true,"argument":"length(MetricAlarms[]) > `0`","state":"success"}]},"CompositeAlarmExists":{"delay":5,"maxAttempts":40,"operation":"DescribeAlarms","acceptors":[{"matcher":"path","expected":true,"argument":"length(CompositeAlarms[]) > `0`","state":"success"}]}}}');

/***/ }),

/***/ 35102:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2017-11-27","endpointPrefix":"mq","signingName":"mq","serviceFullName":"AmazonMQ","serviceId":"mq","protocol":"rest-json","jsonVersion":"1.1","uid":"mq-2017-11-27","signatureVersion":"v4"},"operations":{"CreateBroker":{"http":{"requestUri":"/v1/brokers","responseCode":200},"input":{"type":"structure","members":{"AuthenticationStrategy":{"locationName":"authenticationStrategy"},"AutoMinorVersionUpgrade":{"locationName":"autoMinorVersionUpgrade","type":"boolean"},"BrokerName":{"locationName":"brokerName"},"Configuration":{"shape":"S5","locationName":"configuration"},"CreatorRequestId":{"locationName":"creatorRequestId","idempotencyToken":true},"DeploymentMode":{"locationName":"deploymentMode"},"EncryptionOptions":{"shape":"S8","locationName":"encryptionOptions"},"EngineType":{"locationName":"engineType"},"EngineVersion":{"locationName":"engineVersion"},"HostInstanceType":{"locationName":"hostInstanceType"},"LdapServerMetadata":{"shape":"Sa","locationName":"ldapServerMetadata"},"Logs":{"shape":"Sc","locationName":"logs"},"MaintenanceWindowStartTime":{"shape":"Sd","locationName":"maintenanceWindowStartTime"},"PubliclyAccessible":{"locationName":"publiclyAccessible","type":"boolean"},"SecurityGroups":{"shape":"Sb","locationName":"securityGroups"},"StorageType":{"locationName":"storageType"},"SubnetIds":{"shape":"Sb","locationName":"subnetIds"},"Tags":{"shape":"Sg","locationName":"tags"},"Users":{"locationName":"users","type":"list","member":{"type":"structure","members":{"ConsoleAccess":{"locationName":"consoleAccess","type":"boolean"},"Groups":{"shape":"Sb","locationName":"groups"},"Password":{"locationName":"password"},"Username":{"locationName":"username"}},"required":["Username","Password"]}}},"required":["EngineVersion","HostInstanceType","AutoMinorVersionUpgrade","Users","BrokerName","DeploymentMode","EngineType","PubliclyAccessible"]},"output":{"type":"structure","members":{"BrokerArn":{"locationName":"brokerArn"},"BrokerId":{"locationName":"brokerId"}}}},"CreateConfiguration":{"http":{"requestUri":"/v1/configurations","responseCode":200},"input":{"type":"structure","members":{"AuthenticationStrategy":{"locationName":"authenticationStrategy"},"EngineType":{"locationName":"engineType"},"EngineVersion":{"locationName":"engineVersion"},"Name":{"locationName":"name"},"Tags":{"shape":"Sg","locationName":"tags"}},"required":["EngineVersion","EngineType","Name"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"AuthenticationStrategy":{"locationName":"authenticationStrategy"},"Created":{"shape":"Sm","locationName":"created"},"Id":{"locationName":"id"},"LatestRevision":{"shape":"Sn","locationName":"latestRevision"},"Name":{"locationName":"name"}}}},"CreateTags":{"http":{"requestUri":"/v1/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"Tags":{"shape":"Sg","locationName":"tags"}},"required":["ResourceArn"]}},"CreateUser":{"http":{"requestUri":"/v1/brokers/{broker-id}/users/{username}","responseCode":200},"input":{"type":"structure","members":{"BrokerId":{"location":"uri","locationName":"broker-id"},"ConsoleAccess":{"locationName":"consoleAccess","type":"boolean"},"Groups":{"shape":"Sb","locationName":"groups"},"Password":{"locationName":"password"},"Username":{"location":"uri","locationName":"username"}},"required":["Username","BrokerId","Password"]},"output":{"type":"structure","members":{}}},"DeleteBroker":{"http":{"method":"DELETE","requestUri":"/v1/brokers/{broker-id}","responseCode":200},"input":{"type":"structure","members":{"BrokerId":{"location":"uri","locationName":"broker-id"}},"required":["BrokerId"]},"output":{"type":"structure","members":{"BrokerId":{"locationName":"brokerId"}}}},"DeleteTags":{"http":{"method":"DELETE","requestUri":"/v1/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"TagKeys":{"shape":"Sb","location":"querystring","locationName":"tagKeys"}},"required":["TagKeys","ResourceArn"]}},"DeleteUser":{"http":{"method":"DELETE","requestUri":"/v1/brokers/{broker-id}/users/{username}","responseCode":200},"input":{"type":"structure","members":{"BrokerId":{"location":"uri","locationName":"broker-id"},"Username":{"location":"uri","locationName":"username"}},"required":["Username","BrokerId"]},"output":{"type":"structure","members":{}}},"DescribeBroker":{"http":{"method":"GET","requestUri":"/v1/brokers/{broker-id}","responseCode":200},"input":{"type":"structure","members":{"BrokerId":{"location":"uri","locationName":"broker-id"}},"required":["BrokerId"]},"output":{"type":"structure","members":{"AuthenticationStrategy":{"locationName":"authenticationStrategy"},"AutoMinorVersionUpgrade":{"locationName":"autoMinorVersionUpgrade","type":"boolean"},"BrokerArn":{"locationName":"brokerArn"},"BrokerId":{"locationName":"brokerId"},"BrokerInstances":{"locationName":"brokerInstances","type":"list","member":{"type":"structure","members":{"ConsoleURL":{"locationName":"consoleURL"},"Endpoints":{"shape":"Sb","locationName":"endpoints"},"IpAddress":{"locationName":"ipAddress"}}}},"BrokerName":{"locationName":"brokerName"},"BrokerState":{"locationName":"brokerState"},"Configurations":{"locationName":"configurations","type":"structure","members":{"Current":{"shape":"S5","locationName":"current"},"History":{"locationName":"history","type":"list","member":{"shape":"S5"}},"Pending":{"shape":"S5","locationName":"pending"}}},"Created":{"shape":"Sm","locationName":"created"},"DeploymentMode":{"locationName":"deploymentMode"},"EncryptionOptions":{"shape":"S8","locationName":"encryptionOptions"},"EngineType":{"locationName":"engineType"},"EngineVersion":{"locationName":"engineVersion"},"HostInstanceType":{"locationName":"hostInstanceType"},"LdapServerMetadata":{"shape":"S13","locationName":"ldapServerMetadata"},"Logs":{"locationName":"logs","type":"structure","members":{"Audit":{"locationName":"audit","type":"boolean"},"AuditLogGroup":{"locationName":"auditLogGroup"},"General":{"locationName":"general","type":"boolean"},"GeneralLogGroup":{"locationName":"generalLogGroup"},"Pending":{"locationName":"pending","type":"structure","members":{"Audit":{"locationName":"audit","type":"boolean"},"General":{"locationName":"general","type":"boolean"}}}},"required":["GeneralLogGroup","General"]},"MaintenanceWindowStartTime":{"shape":"Sd","locationName":"maintenanceWindowStartTime"},"PendingAuthenticationStrategy":{"locationName":"pendingAuthenticationStrategy"},"PendingEngineVersion":{"locationName":"pendingEngineVersion"},"PendingHostInstanceType":{"locationName":"pendingHostInstanceType"},"PendingLdapServerMetadata":{"shape":"S13","locationName":"pendingLdapServerMetadata"},"PendingSecurityGroups":{"shape":"Sb","locationName":"pendingSecurityGroups"},"PubliclyAccessible":{"locationName":"publiclyAccessible","type":"boolean"},"SecurityGroups":{"shape":"Sb","locationName":"securityGroups"},"StorageType":{"locationName":"storageType"},"SubnetIds":{"shape":"Sb","locationName":"subnetIds"},"Tags":{"shape":"Sg","locationName":"tags"},"Users":{"shape":"S16","locationName":"users"}}}},"DescribeBrokerEngineTypes":{"http":{"method":"GET","requestUri":"/v1/broker-engine-types","responseCode":200},"input":{"type":"structure","members":{"EngineType":{"location":"querystring","locationName":"engineType"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"BrokerEngineTypes":{"locationName":"brokerEngineTypes","type":"list","member":{"type":"structure","members":{"EngineType":{"locationName":"engineType"},"EngineVersions":{"locationName":"engineVersions","type":"list","member":{"type":"structure","members":{"Name":{"locationName":"name"}}}}}}},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"}}}},"DescribeBrokerInstanceOptions":{"http":{"method":"GET","requestUri":"/v1/broker-instance-options","responseCode":200},"input":{"type":"structure","members":{"EngineType":{"location":"querystring","locationName":"engineType"},"HostInstanceType":{"location":"querystring","locationName":"hostInstanceType"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"StorageType":{"location":"querystring","locationName":"storageType"}}},"output":{"type":"structure","members":{"BrokerInstanceOptions":{"locationName":"brokerInstanceOptions","type":"list","member":{"type":"structure","members":{"AvailabilityZones":{"locationName":"availabilityZones","type":"list","member":{"type":"structure","members":{"Name":{"locationName":"name"}}}},"EngineType":{"locationName":"engineType"},"HostInstanceType":{"locationName":"hostInstanceType"},"StorageType":{"locationName":"storageType"},"SupportedDeploymentModes":{"locationName":"supportedDeploymentModes","type":"list","member":{}},"SupportedEngineVersions":{"shape":"Sb","locationName":"supportedEngineVersions"}}}},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"}}}},"DescribeConfiguration":{"http":{"method":"GET","requestUri":"/v1/configurations/{configuration-id}","responseCode":200},"input":{"type":"structure","members":{"ConfigurationId":{"location":"uri","locationName":"configuration-id"}},"required":["ConfigurationId"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"AuthenticationStrategy":{"locationName":"authenticationStrategy"},"Created":{"shape":"Sm","locationName":"created"},"Description":{"locationName":"description"},"EngineType":{"locationName":"engineType"},"EngineVersion":{"locationName":"engineVersion"},"Id":{"locationName":"id"},"LatestRevision":{"shape":"Sn","locationName":"latestRevision"},"Name":{"locationName":"name"},"Tags":{"shape":"Sg","locationName":"tags"}}}},"DescribeConfigurationRevision":{"http":{"method":"GET","requestUri":"/v1/configurations/{configuration-id}/revisions/{configuration-revision}","responseCode":200},"input":{"type":"structure","members":{"ConfigurationId":{"location":"uri","locationName":"configuration-id"},"ConfigurationRevision":{"location":"uri","locationName":"configuration-revision"}},"required":["ConfigurationRevision","ConfigurationId"]},"output":{"type":"structure","members":{"ConfigurationId":{"locationName":"configurationId"},"Created":{"shape":"Sm","locationName":"created"},"Data":{"locationName":"data"},"Description":{"locationName":"description"}}}},"DescribeUser":{"http":{"method":"GET","requestUri":"/v1/brokers/{broker-id}/users/{username}","responseCode":200},"input":{"type":"structure","members":{"BrokerId":{"location":"uri","locationName":"broker-id"},"Username":{"location":"uri","locationName":"username"}},"required":["Username","BrokerId"]},"output":{"type":"structure","members":{"BrokerId":{"locationName":"brokerId"},"ConsoleAccess":{"locationName":"consoleAccess","type":"boolean"},"Groups":{"shape":"Sb","locationName":"groups"},"Pending":{"locationName":"pending","type":"structure","members":{"ConsoleAccess":{"locationName":"consoleAccess","type":"boolean"},"Groups":{"shape":"Sb","locationName":"groups"},"PendingChange":{"locationName":"pendingChange"}},"required":["PendingChange"]},"Username":{"locationName":"username"}}}},"ListBrokers":{"http":{"method":"GET","requestUri":"/v1/brokers","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"BrokerSummaries":{"locationName":"brokerSummaries","type":"list","member":{"type":"structure","members":{"BrokerArn":{"locationName":"brokerArn"},"BrokerId":{"locationName":"brokerId"},"BrokerName":{"locationName":"brokerName"},"BrokerState":{"locationName":"brokerState"},"Created":{"shape":"Sm","locationName":"created"},"DeploymentMode":{"locationName":"deploymentMode"},"EngineType":{"locationName":"engineType"},"HostInstanceType":{"locationName":"hostInstanceType"}},"required":["DeploymentMode","EngineType"]}},"NextToken":{"locationName":"nextToken"}}}},"ListConfigurationRevisions":{"http":{"method":"GET","requestUri":"/v1/configurations/{configuration-id}/revisions","responseCode":200},"input":{"type":"structure","members":{"ConfigurationId":{"location":"uri","locationName":"configuration-id"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ConfigurationId"]},"output":{"type":"structure","members":{"ConfigurationId":{"locationName":"configurationId"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"},"Revisions":{"locationName":"revisions","type":"list","member":{"shape":"Sn"}}}}},"ListConfigurations":{"http":{"method":"GET","requestUri":"/v1/configurations","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Configurations":{"locationName":"configurations","type":"list","member":{"type":"structure","members":{"Arn":{"locationName":"arn"},"AuthenticationStrategy":{"locationName":"authenticationStrategy"},"Created":{"shape":"Sm","locationName":"created"},"Description":{"locationName":"description"},"EngineType":{"locationName":"engineType"},"EngineVersion":{"locationName":"engineVersion"},"Id":{"locationName":"id"},"LatestRevision":{"shape":"Sn","locationName":"latestRevision"},"Name":{"locationName":"name"},"Tags":{"shape":"Sg","locationName":"tags"}},"required":["Description","EngineVersion","LatestRevision","AuthenticationStrategy","EngineType","Id","Arn","Name","Created"]}},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"}}}},"ListTags":{"http":{"method":"GET","requestUri":"/v1/tags/{resource-arn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{"Tags":{"shape":"Sg","locationName":"tags"}}}},"ListUsers":{"http":{"method":"GET","requestUri":"/v1/brokers/{broker-id}/users","responseCode":200},"input":{"type":"structure","members":{"BrokerId":{"location":"uri","locationName":"broker-id"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["BrokerId"]},"output":{"type":"structure","members":{"BrokerId":{"locationName":"brokerId"},"MaxResults":{"locationName":"maxResults","type":"integer"},"NextToken":{"locationName":"nextToken"},"Users":{"shape":"S16","locationName":"users"}}}},"RebootBroker":{"http":{"requestUri":"/v1/brokers/{broker-id}/reboot","responseCode":200},"input":{"type":"structure","members":{"BrokerId":{"location":"uri","locationName":"broker-id"}},"required":["BrokerId"]},"output":{"type":"structure","members":{}}},"UpdateBroker":{"http":{"method":"PUT","requestUri":"/v1/brokers/{broker-id}","responseCode":200},"input":{"type":"structure","members":{"AuthenticationStrategy":{"locationName":"authenticationStrategy"},"AutoMinorVersionUpgrade":{"locationName":"autoMinorVersionUpgrade","type":"boolean"},"BrokerId":{"location":"uri","locationName":"broker-id"},"Configuration":{"shape":"S5","locationName":"configuration"},"EngineVersion":{"locationName":"engineVersion"},"HostInstanceType":{"locationName":"hostInstanceType"},"LdapServerMetadata":{"shape":"Sa","locationName":"ldapServerMetadata"},"Logs":{"shape":"Sc","locationName":"logs"},"MaintenanceWindowStartTime":{"shape":"Sd","locationName":"maintenanceWindowStartTime"},"SecurityGroups":{"shape":"Sb","locationName":"securityGroups"}},"required":["BrokerId"]},"output":{"type":"structure","members":{"AuthenticationStrategy":{"locationName":"authenticationStrategy"},"AutoMinorVersionUpgrade":{"locationName":"autoMinorVersionUpgrade","type":"boolean"},"BrokerId":{"locationName":"brokerId"},"Configuration":{"shape":"S5","locationName":"configuration"},"EngineVersion":{"locationName":"engineVersion"},"HostInstanceType":{"locationName":"hostInstanceType"},"LdapServerMetadata":{"shape":"S13","locationName":"ldapServerMetadata"},"Logs":{"shape":"Sc","locationName":"logs"},"MaintenanceWindowStartTime":{"shape":"Sd","locationName":"maintenanceWindowStartTime"},"SecurityGroups":{"shape":"Sb","locationName":"securityGroups"}}}},"UpdateConfiguration":{"http":{"method":"PUT","requestUri":"/v1/configurations/{configuration-id}","responseCode":200},"input":{"type":"structure","members":{"ConfigurationId":{"location":"uri","locationName":"configuration-id"},"Data":{"locationName":"data"},"Description":{"locationName":"description"}},"required":["ConfigurationId","Data"]},"output":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Created":{"shape":"Sm","locationName":"created"},"Id":{"locationName":"id"},"LatestRevision":{"shape":"Sn","locationName":"latestRevision"},"Name":{"locationName":"name"},"Warnings":{"locationName":"warnings","type":"list","member":{"type":"structure","members":{"AttributeName":{"locationName":"attributeName"},"ElementName":{"locationName":"elementName"},"Reason":{"locationName":"reason"}},"required":["Reason"]}}}}},"UpdateUser":{"http":{"method":"PUT","requestUri":"/v1/brokers/{broker-id}/users/{username}","responseCode":200},"input":{"type":"structure","members":{"BrokerId":{"location":"uri","locationName":"broker-id"},"ConsoleAccess":{"locationName":"consoleAccess","type":"boolean"},"Groups":{"shape":"Sb","locationName":"groups"},"Password":{"locationName":"password"},"Username":{"location":"uri","locationName":"username"}},"required":["Username","BrokerId"]},"output":{"type":"structure","members":{}}}},"shapes":{"S5":{"type":"structure","members":{"Id":{"locationName":"id"},"Revision":{"locationName":"revision","type":"integer"}},"required":["Id"]},"S8":{"type":"structure","members":{"KmsKeyId":{"locationName":"kmsKeyId"},"UseAwsOwnedKey":{"locationName":"useAwsOwnedKey","type":"boolean"}},"required":["UseAwsOwnedKey"]},"Sa":{"type":"structure","members":{"Hosts":{"shape":"Sb","locationName":"hosts"},"RoleBase":{"locationName":"roleBase"},"RoleName":{"locationName":"roleName"},"RoleSearchMatching":{"locationName":"roleSearchMatching"},"RoleSearchSubtree":{"locationName":"roleSearchSubtree","type":"boolean"},"ServiceAccountPassword":{"locationName":"serviceAccountPassword"},"ServiceAccountUsername":{"locationName":"serviceAccountUsername"},"UserBase":{"locationName":"userBase"},"UserRoleName":{"locationName":"userRoleName"},"UserSearchMatching":{"locationName":"userSearchMatching"},"UserSearchSubtree":{"locationName":"userSearchSubtree","type":"boolean"}},"required":["Hosts","UserSearchMatching","UserBase","RoleSearchMatching","ServiceAccountUsername","RoleBase","ServiceAccountPassword"]},"Sb":{"type":"list","member":{}},"Sc":{"type":"structure","members":{"Audit":{"locationName":"audit","type":"boolean"},"General":{"locationName":"general","type":"boolean"}}},"Sd":{"type":"structure","members":{"DayOfWeek":{"locationName":"dayOfWeek"},"TimeOfDay":{"locationName":"timeOfDay"},"TimeZone":{"locationName":"timeZone"}},"required":["TimeOfDay","DayOfWeek"]},"Sg":{"type":"map","key":{},"value":{}},"Sm":{"type":"timestamp","timestampFormat":"iso8601"},"Sn":{"type":"structure","members":{"Created":{"shape":"Sm","locationName":"created"},"Description":{"locationName":"description"},"Revision":{"locationName":"revision","type":"integer"}},"required":["Revision","Created"]},"S13":{"type":"structure","members":{"Hosts":{"shape":"Sb","locationName":"hosts"},"RoleBase":{"locationName":"roleBase"},"RoleName":{"locationName":"roleName"},"RoleSearchMatching":{"locationName":"roleSearchMatching"},"RoleSearchSubtree":{"locationName":"roleSearchSubtree","type":"boolean"},"ServiceAccountUsername":{"locationName":"serviceAccountUsername"},"UserBase":{"locationName":"userBase"},"UserRoleName":{"locationName":"userRoleName"},"UserSearchMatching":{"locationName":"userSearchMatching"},"UserSearchSubtree":{"locationName":"userSearchSubtree","type":"boolean"}},"required":["Hosts","UserSearchMatching","UserBase","RoleSearchMatching","ServiceAccountUsername","RoleBase"]},"S16":{"type":"list","member":{"type":"structure","members":{"PendingChange":{"locationName":"pendingChange"},"Username":{"locationName":"username"}},"required":["Username"]}}},"authorizers":{"authorization_strategy":{"name":"authorization_strategy","type":"provided","placement":{"location":"header","name":"Authorization"}}}}');

/***/ }),

/***/ 46095:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListBrokers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"BrokerSummaries"}}}');

/***/ }),

/***/ 73064:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-01-17","endpointPrefix":"mturk-requester","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Amazon MTurk","serviceFullName":"Amazon Mechanical Turk","serviceId":"MTurk","signatureVersion":"v4","targetPrefix":"MTurkRequesterServiceV20170117","uid":"mturk-requester-2017-01-17"},"operations":{"AcceptQualificationRequest":{"input":{"type":"structure","required":["QualificationRequestId"],"members":{"QualificationRequestId":{},"IntegerValue":{"type":"integer"}}},"output":{"type":"structure","members":{}}},"ApproveAssignment":{"input":{"type":"structure","required":["AssignmentId"],"members":{"AssignmentId":{},"RequesterFeedback":{},"OverrideRejection":{"type":"boolean"}}},"output":{"type":"structure","members":{}},"idempotent":true},"AssociateQualificationWithWorker":{"input":{"type":"structure","required":["QualificationTypeId","WorkerId"],"members":{"QualificationTypeId":{},"WorkerId":{},"IntegerValue":{"type":"integer"},"SendNotification":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"CreateAdditionalAssignmentsForHIT":{"input":{"type":"structure","required":["HITId","NumberOfAdditionalAssignments"],"members":{"HITId":{},"NumberOfAdditionalAssignments":{"type":"integer"},"UniqueRequestToken":{}}},"output":{"type":"structure","members":{}}},"CreateHIT":{"input":{"type":"structure","required":["LifetimeInSeconds","AssignmentDurationInSeconds","Reward","Title","Description"],"members":{"MaxAssignments":{"type":"integer"},"AutoApprovalDelayInSeconds":{"type":"long"},"LifetimeInSeconds":{"type":"long"},"AssignmentDurationInSeconds":{"type":"long"},"Reward":{},"Title":{},"Keywords":{},"Description":{},"Question":{},"RequesterAnnotation":{},"QualificationRequirements":{"shape":"Si"},"UniqueRequestToken":{},"AssignmentReviewPolicy":{"shape":"Sq"},"HITReviewPolicy":{"shape":"Sq"},"HITLayoutId":{},"HITLayoutParameters":{"shape":"Sw"}}},"output":{"type":"structure","members":{"HIT":{"shape":"Sz"}}}},"CreateHITType":{"input":{"type":"structure","required":["AssignmentDurationInSeconds","Reward","Title","Description"],"members":{"AutoApprovalDelayInSeconds":{"type":"long"},"AssignmentDurationInSeconds":{"type":"long"},"Reward":{},"Title":{},"Keywords":{},"Description":{},"QualificationRequirements":{"shape":"Si"}}},"output":{"type":"structure","members":{"HITTypeId":{}}},"idempotent":true},"CreateHITWithHITType":{"input":{"type":"structure","required":["HITTypeId","LifetimeInSeconds"],"members":{"HITTypeId":{},"MaxAssignments":{"type":"integer"},"LifetimeInSeconds":{"type":"long"},"Question":{},"RequesterAnnotation":{},"UniqueRequestToken":{},"AssignmentReviewPolicy":{"shape":"Sq"},"HITReviewPolicy":{"shape":"Sq"},"HITLayoutId":{},"HITLayoutParameters":{"shape":"Sw"}}},"output":{"type":"structure","members":{"HIT":{"shape":"Sz"}}}},"CreateQualificationType":{"input":{"type":"structure","required":["Name","Description","QualificationTypeStatus"],"members":{"Name":{},"Keywords":{},"Description":{},"QualificationTypeStatus":{},"RetryDelayInSeconds":{"type":"long"},"Test":{},"AnswerKey":{},"TestDurationInSeconds":{"type":"long"},"AutoGranted":{"type":"boolean"},"AutoGrantedValue":{"type":"integer"}}},"output":{"type":"structure","members":{"QualificationType":{"shape":"S1a"}}}},"CreateWorkerBlock":{"input":{"type":"structure","required":["WorkerId","Reason"],"members":{"WorkerId":{},"Reason":{}}},"output":{"type":"structure","members":{}}},"DeleteHIT":{"input":{"type":"structure","required":["HITId"],"members":{"HITId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteQualificationType":{"input":{"type":"structure","required":["QualificationTypeId"],"members":{"QualificationTypeId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteWorkerBlock":{"input":{"type":"structure","required":["WorkerId"],"members":{"WorkerId":{},"Reason":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DisassociateQualificationFromWorker":{"input":{"type":"structure","required":["WorkerId","QualificationTypeId"],"members":{"WorkerId":{},"QualificationTypeId":{},"Reason":{}}},"output":{"type":"structure","members":{}}},"GetAccountBalance":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"AvailableBalance":{},"OnHoldBalance":{}}},"idempotent":true},"GetAssignment":{"input":{"type":"structure","required":["AssignmentId"],"members":{"AssignmentId":{}}},"output":{"type":"structure","members":{"Assignment":{"shape":"S1p"},"HIT":{"shape":"Sz"}}},"idempotent":true},"GetFileUploadURL":{"input":{"type":"structure","required":["AssignmentId","QuestionIdentifier"],"members":{"AssignmentId":{},"QuestionIdentifier":{}}},"output":{"type":"structure","members":{"FileUploadURL":{}}},"idempotent":true},"GetHIT":{"input":{"type":"structure","required":["HITId"],"members":{"HITId":{}}},"output":{"type":"structure","members":{"HIT":{"shape":"Sz"}}},"idempotent":true},"GetQualificationScore":{"input":{"type":"structure","required":["QualificationTypeId","WorkerId"],"members":{"QualificationTypeId":{},"WorkerId":{}}},"output":{"type":"structure","members":{"Qualification":{"shape":"S1x"}}},"idempotent":true},"GetQualificationType":{"input":{"type":"structure","required":["QualificationTypeId"],"members":{"QualificationTypeId":{}}},"output":{"type":"structure","members":{"QualificationType":{"shape":"S1a"}}},"idempotent":true},"ListAssignmentsForHIT":{"input":{"type":"structure","required":["HITId"],"members":{"HITId":{},"NextToken":{},"MaxResults":{"type":"integer"},"AssignmentStatuses":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"NextToken":{},"NumResults":{"type":"integer"},"Assignments":{"type":"list","member":{"shape":"S1p"}}}},"idempotent":true},"ListBonusPayments":{"input":{"type":"structure","members":{"HITId":{},"AssignmentId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NumResults":{"type":"integer"},"NextToken":{},"BonusPayments":{"type":"list","member":{"type":"structure","members":{"WorkerId":{},"BonusAmount":{},"AssignmentId":{},"Reason":{},"GrantTime":{"type":"timestamp"}}}}}},"idempotent":true},"ListHITs":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"NumResults":{"type":"integer"},"HITs":{"shape":"S2d"}}},"idempotent":true},"ListHITsForQualificationType":{"input":{"type":"structure","required":["QualificationTypeId"],"members":{"QualificationTypeId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"NumResults":{"type":"integer"},"HITs":{"shape":"S2d"}}},"idempotent":true},"ListQualificationRequests":{"input":{"type":"structure","members":{"QualificationTypeId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NumResults":{"type":"integer"},"NextToken":{},"QualificationRequests":{"type":"list","member":{"type":"structure","members":{"QualificationRequestId":{},"QualificationTypeId":{},"WorkerId":{},"Test":{},"Answer":{},"SubmitTime":{"type":"timestamp"}}}}}},"idempotent":true},"ListQualificationTypes":{"input":{"type":"structure","required":["MustBeRequestable"],"members":{"Query":{},"MustBeRequestable":{"type":"boolean"},"MustBeOwnedByCaller":{"type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NumResults":{"type":"integer"},"NextToken":{},"QualificationTypes":{"type":"list","member":{"shape":"S1a"}}}},"idempotent":true},"ListReviewPolicyResultsForHIT":{"input":{"type":"structure","required":["HITId"],"members":{"HITId":{},"PolicyLevels":{"type":"list","member":{}},"RetrieveActions":{"type":"boolean"},"RetrieveResults":{"type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"HITId":{},"AssignmentReviewPolicy":{"shape":"Sq"},"HITReviewPolicy":{"shape":"Sq"},"AssignmentReviewReport":{"shape":"S2r"},"HITReviewReport":{"shape":"S2r"},"NextToken":{}}},"idempotent":true},"ListReviewableHITs":{"input":{"type":"structure","members":{"HITTypeId":{},"Status":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"NumResults":{"type":"integer"},"HITs":{"shape":"S2d"}}},"idempotent":true},"ListWorkerBlocks":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"NumResults":{"type":"integer"},"WorkerBlocks":{"type":"list","member":{"type":"structure","members":{"WorkerId":{},"Reason":{}}}}}},"idempotent":true},"ListWorkersWithQualificationType":{"input":{"type":"structure","required":["QualificationTypeId"],"members":{"QualificationTypeId":{},"Status":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"NumResults":{"type":"integer"},"Qualifications":{"type":"list","member":{"shape":"S1x"}}}},"idempotent":true},"NotifyWorkers":{"input":{"type":"structure","required":["Subject","MessageText","WorkerIds"],"members":{"Subject":{},"MessageText":{},"WorkerIds":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"NotifyWorkersFailureStatuses":{"type":"list","member":{"type":"structure","members":{"NotifyWorkersFailureCode":{},"NotifyWorkersFailureMessage":{},"WorkerId":{}}}}}}},"RejectAssignment":{"input":{"type":"structure","required":["AssignmentId","RequesterFeedback"],"members":{"AssignmentId":{},"RequesterFeedback":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"RejectQualificationRequest":{"input":{"type":"structure","required":["QualificationRequestId"],"members":{"QualificationRequestId":{},"Reason":{}}},"output":{"type":"structure","members":{}}},"SendBonus":{"input":{"type":"structure","required":["WorkerId","BonusAmount","AssignmentId","Reason"],"members":{"WorkerId":{},"BonusAmount":{},"AssignmentId":{},"Reason":{},"UniqueRequestToken":{}}},"output":{"type":"structure","members":{}}},"SendTestEventNotification":{"input":{"type":"structure","required":["Notification","TestEventType"],"members":{"Notification":{"shape":"S3k"},"TestEventType":{}}},"output":{"type":"structure","members":{}}},"UpdateExpirationForHIT":{"input":{"type":"structure","required":["HITId","ExpireAt"],"members":{"HITId":{},"ExpireAt":{"type":"timestamp"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateHITReviewStatus":{"input":{"type":"structure","required":["HITId"],"members":{"HITId":{},"Revert":{"type":"boolean"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateHITTypeOfHIT":{"input":{"type":"structure","required":["HITId","HITTypeId"],"members":{"HITId":{},"HITTypeId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateNotificationSettings":{"input":{"type":"structure","required":["HITTypeId"],"members":{"HITTypeId":{},"Notification":{"shape":"S3k"},"Active":{"type":"boolean"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateQualificationType":{"input":{"type":"structure","required":["QualificationTypeId"],"members":{"QualificationTypeId":{},"Description":{},"QualificationTypeStatus":{},"Test":{},"AnswerKey":{},"TestDurationInSeconds":{"type":"long"},"RetryDelayInSeconds":{"type":"long"},"AutoGranted":{"type":"boolean"},"AutoGrantedValue":{"type":"integer"}}},"output":{"type":"structure","members":{"QualificationType":{"shape":"S1a"}}}}},"shapes":{"Si":{"type":"list","member":{"type":"structure","required":["QualificationTypeId","Comparator"],"members":{"QualificationTypeId":{},"Comparator":{},"IntegerValues":{"type":"list","member":{"type":"integer"}},"LocaleValues":{"type":"list","member":{"shape":"Sn"}},"RequiredToPreview":{"deprecated":true,"type":"boolean"},"ActionsGuarded":{}}}},"Sn":{"type":"structure","required":["Country"],"members":{"Country":{},"Subdivision":{}}},"Sq":{"type":"structure","required":["PolicyName"],"members":{"PolicyName":{},"Parameters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Values":{"shape":"St"},"MapEntries":{"type":"list","member":{"type":"structure","members":{"Key":{},"Values":{"shape":"St"}}}}}}}}},"St":{"type":"list","member":{}},"Sw":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"Sz":{"type":"structure","members":{"HITId":{},"HITTypeId":{},"HITGroupId":{},"HITLayoutId":{},"CreationTime":{"type":"timestamp"},"Title":{},"Description":{},"Question":{},"Keywords":{},"HITStatus":{},"MaxAssignments":{"type":"integer"},"Reward":{},"AutoApprovalDelayInSeconds":{"type":"long"},"Expiration":{"type":"timestamp"},"AssignmentDurationInSeconds":{"type":"long"},"RequesterAnnotation":{},"QualificationRequirements":{"shape":"Si"},"HITReviewStatus":{},"NumberOfAssignmentsPending":{"type":"integer"},"NumberOfAssignmentsAvailable":{"type":"integer"},"NumberOfAssignmentsCompleted":{"type":"integer"}}},"S1a":{"type":"structure","members":{"QualificationTypeId":{},"CreationTime":{"type":"timestamp"},"Name":{},"Description":{},"Keywords":{},"QualificationTypeStatus":{},"Test":{},"TestDurationInSeconds":{"type":"long"},"AnswerKey":{},"RetryDelayInSeconds":{"type":"long"},"IsRequestable":{"type":"boolean"},"AutoGranted":{"type":"boolean"},"AutoGrantedValue":{"type":"integer"}}},"S1p":{"type":"structure","members":{"AssignmentId":{},"WorkerId":{},"HITId":{},"AssignmentStatus":{},"AutoApprovalTime":{"type":"timestamp"},"AcceptTime":{"type":"timestamp"},"SubmitTime":{"type":"timestamp"},"ApprovalTime":{"type":"timestamp"},"RejectionTime":{"type":"timestamp"},"Deadline":{"type":"timestamp"},"Answer":{},"RequesterFeedback":{}}},"S1x":{"type":"structure","members":{"QualificationTypeId":{},"WorkerId":{},"GrantTime":{"type":"timestamp"},"IntegerValue":{"type":"integer"},"LocaleValue":{"shape":"Sn"},"Status":{}}},"S2d":{"type":"list","member":{"shape":"Sz"}},"S2r":{"type":"structure","members":{"ReviewResults":{"type":"list","member":{"type":"structure","members":{"ActionId":{},"SubjectId":{},"SubjectType":{},"QuestionId":{},"Key":{},"Value":{}}}},"ReviewActions":{"type":"list","member":{"type":"structure","members":{"ActionId":{},"ActionName":{},"TargetId":{},"TargetType":{},"Status":{},"CompleteTime":{"type":"timestamp"},"Result":{},"ErrorCode":{}}}}}},"S3k":{"type":"structure","required":["Destination","Transport","Version","EventTypes"],"members":{"Destination":{},"Transport":{},"Version":{},"EventTypes":{"type":"list","member":{}}}}}}');

/***/ }),

/***/ 42409:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAssignmentsForHIT":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListBonusPayments":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListHITs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListHITsForQualificationType":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListQualificationRequests":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListQualificationTypes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListReviewPolicyResultsForHIT":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListReviewableHITs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListWorkerBlocks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListWorkersWithQualificationType":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 56612:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-07-01","endpointPrefix":"airflow","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AmazonMWAA","serviceId":"MWAA","signatureVersion":"v4","signingName":"airflow","uid":"mwaa-2020-07-01"},"operations":{"CreateCliToken":{"http":{"requestUri":"/clitoken/{Name}","responseCode":200},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","members":{"CliToken":{"type":"string","sensitive":true},"WebServerHostname":{}}},"endpoint":{"hostPrefix":"env."}},"CreateEnvironment":{"http":{"method":"PUT","requestUri":"/environments/{Name}","responseCode":200},"input":{"type":"structure","required":["DagS3Path","ExecutionRoleArn","Name","NetworkConfiguration","SourceBucketArn"],"members":{"AirflowConfigurationOptions":{"type":"map","key":{},"value":{},"sensitive":true},"AirflowVersion":{},"DagS3Path":{},"EnvironmentClass":{},"ExecutionRoleArn":{},"KmsKey":{},"LoggingConfiguration":{"shape":"Sf"},"MaxWorkers":{"type":"integer"},"MinWorkers":{"type":"integer"},"Name":{"location":"uri","locationName":"Name"},"NetworkConfiguration":{"shape":"Sl"},"PluginsS3ObjectVersion":{},"PluginsS3Path":{},"RequirementsS3ObjectVersion":{},"RequirementsS3Path":{},"Schedulers":{"type":"integer"},"SourceBucketArn":{},"Tags":{"shape":"St"},"WebserverAccessMode":{},"WeeklyMaintenanceWindowStart":{}}},"output":{"type":"structure","members":{"Arn":{}}},"endpoint":{"hostPrefix":"api."},"idempotent":true},"CreateWebLoginToken":{"http":{"requestUri":"/webtoken/{Name}","responseCode":200},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","members":{"WebServerHostname":{},"WebToken":{"type":"string","sensitive":true}}},"endpoint":{"hostPrefix":"env."},"idempotent":true},"DeleteEnvironment":{"http":{"method":"DELETE","requestUri":"/environments/{Name}","responseCode":200},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"api."},"idempotent":true},"GetEnvironment":{"http":{"method":"GET","requestUri":"/environments/{Name}","responseCode":200},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","members":{"Environment":{"type":"structure","members":{"AirflowConfigurationOptions":{"type":"map","key":{},"value":{}},"AirflowVersion":{},"Arn":{},"CreatedAt":{"type":"timestamp"},"DagS3Path":{},"EnvironmentClass":{},"ExecutionRoleArn":{},"KmsKey":{},"LastUpdate":{"type":"structure","members":{"CreatedAt":{"type":"timestamp"},"Error":{"type":"structure","members":{"ErrorCode":{},"ErrorMessage":{}}},"Status":{}}},"LoggingConfiguration":{"type":"structure","members":{"DagProcessingLogs":{"shape":"S1h"},"SchedulerLogs":{"shape":"S1h"},"TaskLogs":{"shape":"S1h"},"WebserverLogs":{"shape":"S1h"},"WorkerLogs":{"shape":"S1h"}}},"MaxWorkers":{"type":"integer"},"MinWorkers":{"type":"integer"},"Name":{},"NetworkConfiguration":{"shape":"Sl"},"PluginsS3ObjectVersion":{},"PluginsS3Path":{},"RequirementsS3ObjectVersion":{},"RequirementsS3Path":{},"Schedulers":{"type":"integer"},"ServiceRoleArn":{},"SourceBucketArn":{},"Status":{},"Tags":{"shape":"St"},"WebserverAccessMode":{},"WebserverUrl":{},"WeeklyMaintenanceWindowStart":{}}}}},"endpoint":{"hostPrefix":"api."}},"ListEnvironments":{"http":{"method":"GET","requestUri":"/environments","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","required":["Environments"],"members":{"Environments":{"type":"list","member":{}},"NextToken":{}}},"endpoint":{"hostPrefix":"api."}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"St"}}},"endpoint":{"hostPrefix":"api."}},"PublishMetrics":{"http":{"requestUri":"/metrics/environments/{EnvironmentName}","responseCode":200},"input":{"type":"structure","required":["EnvironmentName","MetricData"],"members":{"EnvironmentName":{"location":"uri","locationName":"EnvironmentName"},"MetricData":{"type":"list","member":{"type":"structure","required":["MetricName","Timestamp"],"members":{"Dimensions":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"MetricName":{},"StatisticValues":{"type":"structure","members":{"Maximum":{"type":"double"},"Minimum":{"type":"double"},"SampleCount":{"type":"integer"},"Sum":{"type":"double"}}},"Timestamp":{"type":"timestamp"},"Unit":{},"Value":{"type":"double"}}}}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"ops."}},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"St"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"api."}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn","tagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"api."},"idempotent":true},"UpdateEnvironment":{"http":{"method":"PATCH","requestUri":"/environments/{Name}","responseCode":200},"input":{"type":"structure","required":["Name"],"members":{"AirflowConfigurationOptions":{"type":"map","key":{},"value":{},"sensitive":true},"AirflowVersion":{},"DagS3Path":{},"EnvironmentClass":{},"ExecutionRoleArn":{},"LoggingConfiguration":{"shape":"Sf"},"MaxWorkers":{"type":"integer"},"MinWorkers":{"type":"integer"},"Name":{"location":"uri","locationName":"Name"},"NetworkConfiguration":{"type":"structure","required":["SecurityGroupIds"],"members":{"SecurityGroupIds":{"shape":"Sm"}}},"PluginsS3ObjectVersion":{},"PluginsS3Path":{},"RequirementsS3ObjectVersion":{},"RequirementsS3Path":{},"Schedulers":{"type":"integer"},"SourceBucketArn":{},"WebserverAccessMode":{},"WeeklyMaintenanceWindowStart":{}}},"output":{"type":"structure","members":{"Arn":{}}},"endpoint":{"hostPrefix":"api."}}},"shapes":{"Sf":{"type":"structure","members":{"DagProcessingLogs":{"shape":"Sg"},"SchedulerLogs":{"shape":"Sg"},"TaskLogs":{"shape":"Sg"},"WebserverLogs":{"shape":"Sg"},"WorkerLogs":{"shape":"Sg"}}},"Sg":{"type":"structure","required":["Enabled","LogLevel"],"members":{"Enabled":{"type":"boolean"},"LogLevel":{}}},"Sl":{"type":"structure","members":{"SecurityGroupIds":{"shape":"Sm"},"SubnetIds":{"type":"list","member":{}}}},"Sm":{"type":"list","member":{}},"St":{"type":"map","key":{},"value":{}},"S1h":{"type":"structure","members":{"CloudWatchLogGroupArn":{},"Enabled":{"type":"boolean"},"LogLevel":{}}}}}');

/***/ }),

/***/ 11793:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListEnvironments":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Environments"}}}');

/***/ }),

/***/ 50018:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-10-31","endpointPrefix":"rds","protocol":"query","serviceAbbreviation":"Amazon Neptune","serviceFullName":"Amazon Neptune","serviceId":"Neptune","signatureVersion":"v4","signingName":"rds","uid":"neptune-2014-10-31","xmlNamespace":"http://rds.amazonaws.com/doc/2014-10-31/"},"operations":{"AddRoleToDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier","RoleArn"],"members":{"DBClusterIdentifier":{},"RoleArn":{},"FeatureName":{}}}},"AddSourceIdentifierToSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"AddSourceIdentifierToSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S5"}}}},"AddTagsToResource":{"input":{"type":"structure","required":["ResourceName","Tags"],"members":{"ResourceName":{},"Tags":{"shape":"Sa"}}}},"ApplyPendingMaintenanceAction":{"input":{"type":"structure","required":["ResourceIdentifier","ApplyAction","OptInType"],"members":{"ResourceIdentifier":{},"ApplyAction":{},"OptInType":{}}},"output":{"resultWrapper":"ApplyPendingMaintenanceActionResult","type":"structure","members":{"ResourcePendingMaintenanceActions":{"shape":"Se"}}}},"CopyDBClusterParameterGroup":{"input":{"type":"structure","required":["SourceDBClusterParameterGroupIdentifier","TargetDBClusterParameterGroupIdentifier","TargetDBClusterParameterGroupDescription"],"members":{"SourceDBClusterParameterGroupIdentifier":{},"TargetDBClusterParameterGroupIdentifier":{},"TargetDBClusterParameterGroupDescription":{},"Tags":{"shape":"Sa"}}},"output":{"resultWrapper":"CopyDBClusterParameterGroupResult","type":"structure","members":{"DBClusterParameterGroup":{"shape":"Sk"}}}},"CopyDBClusterSnapshot":{"input":{"type":"structure","required":["SourceDBClusterSnapshotIdentifier","TargetDBClusterSnapshotIdentifier"],"members":{"SourceDBClusterSnapshotIdentifier":{},"TargetDBClusterSnapshotIdentifier":{},"KmsKeyId":{},"PreSignedUrl":{},"CopyTags":{"type":"boolean"},"Tags":{"shape":"Sa"}}},"output":{"resultWrapper":"CopyDBClusterSnapshotResult","type":"structure","members":{"DBClusterSnapshot":{"shape":"So"}}}},"CopyDBParameterGroup":{"input":{"type":"structure","required":["SourceDBParameterGroupIdentifier","TargetDBParameterGroupIdentifier","TargetDBParameterGroupDescription"],"members":{"SourceDBParameterGroupIdentifier":{},"TargetDBParameterGroupIdentifier":{},"TargetDBParameterGroupDescription":{},"Tags":{"shape":"Sa"}}},"output":{"resultWrapper":"CopyDBParameterGroupResult","type":"structure","members":{"DBParameterGroup":{"shape":"St"}}}},"CreateDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier","Engine"],"members":{"AvailabilityZones":{"shape":"Sp"},"BackupRetentionPeriod":{"type":"integer"},"CharacterSetName":{},"CopyTagsToSnapshot":{"type":"boolean"},"DatabaseName":{},"DBClusterIdentifier":{},"DBClusterParameterGroupName":{},"VpcSecurityGroupIds":{"shape":"Sw"},"DBSubnetGroupName":{},"Engine":{},"EngineVersion":{},"Port":{"type":"integer"},"MasterUsername":{},"MasterUserPassword":{},"OptionGroupName":{},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"ReplicationSourceIdentifier":{},"Tags":{"shape":"Sa"},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"PreSignedUrl":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"EnableCloudwatchLogsExports":{"shape":"Sx"},"DeletionProtection":{"type":"boolean"}}},"output":{"resultWrapper":"CreateDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sz"}}}},"CreateDBClusterEndpoint":{"input":{"type":"structure","required":["DBClusterIdentifier","DBClusterEndpointIdentifier","EndpointType"],"members":{"DBClusterIdentifier":{},"DBClusterEndpointIdentifier":{},"EndpointType":{},"StaticMembers":{"shape":"S1a"},"ExcludedMembers":{"shape":"S1a"},"Tags":{"shape":"Sa"}}},"output":{"resultWrapper":"CreateDBClusterEndpointResult","type":"structure","members":{"DBClusterEndpointIdentifier":{},"DBClusterIdentifier":{},"DBClusterEndpointResourceIdentifier":{},"Endpoint":{},"Status":{},"EndpointType":{},"CustomEndpointType":{},"StaticMembers":{"shape":"S1a"},"ExcludedMembers":{"shape":"S1a"},"DBClusterEndpointArn":{}}}},"CreateDBClusterParameterGroup":{"input":{"type":"structure","required":["DBClusterParameterGroupName","DBParameterGroupFamily","Description"],"members":{"DBClusterParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{},"Tags":{"shape":"Sa"}}},"output":{"resultWrapper":"CreateDBClusterParameterGroupResult","type":"structure","members":{"DBClusterParameterGroup":{"shape":"Sk"}}}},"CreateDBClusterSnapshot":{"input":{"type":"structure","required":["DBClusterSnapshotIdentifier","DBClusterIdentifier"],"members":{"DBClusterSnapshotIdentifier":{},"DBClusterIdentifier":{},"Tags":{"shape":"Sa"}}},"output":{"resultWrapper":"CreateDBClusterSnapshotResult","type":"structure","members":{"DBClusterSnapshot":{"shape":"So"}}}},"CreateDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier","DBInstanceClass","Engine"],"members":{"DBName":{},"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"Engine":{},"MasterUsername":{},"MasterUserPassword":{},"DBSecurityGroups":{"shape":"S1h"},"VpcSecurityGroupIds":{"shape":"Sw"},"AvailabilityZone":{},"DBSubnetGroupName":{},"PreferredMaintenanceWindow":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"Port":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupName":{},"CharacterSetName":{},"PubliclyAccessible":{"deprecated":true,"type":"boolean"},"Tags":{"shape":"Sa"},"DBClusterIdentifier":{},"StorageType":{},"TdeCredentialArn":{},"TdeCredentialPassword":{},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"Domain":{},"CopyTagsToSnapshot":{"type":"boolean"},"MonitoringInterval":{"type":"integer"},"MonitoringRoleArn":{},"DomainIAMRoleName":{},"PromotionTier":{"type":"integer"},"Timezone":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"EnablePerformanceInsights":{"type":"boolean"},"PerformanceInsightsKMSKeyId":{},"EnableCloudwatchLogsExports":{"shape":"Sx"},"DeletionProtection":{"type":"boolean"}}},"output":{"resultWrapper":"CreateDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S1j"}}}},"CreateDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName","DBParameterGroupFamily","Description"],"members":{"DBParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{},"Tags":{"shape":"Sa"}}},"output":{"resultWrapper":"CreateDBParameterGroupResult","type":"structure","members":{"DBParameterGroup":{"shape":"St"}}}},"CreateDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","DBSubnetGroupDescription","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S26"},"Tags":{"shape":"Sa"}}},"output":{"resultWrapper":"CreateDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S1p"}}}},"CreateEventSubscription":{"input":{"type":"structure","required":["SubscriptionName","SnsTopicArn"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S7"},"SourceIds":{"shape":"S6"},"Enabled":{"type":"boolean"},"Tags":{"shape":"Sa"}}},"output":{"resultWrapper":"CreateEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S5"}}}},"DeleteDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{},"SkipFinalSnapshot":{"type":"boolean"},"FinalDBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sz"}}}},"DeleteDBClusterEndpoint":{"input":{"type":"structure","required":["DBClusterEndpointIdentifier"],"members":{"DBClusterEndpointIdentifier":{}}},"output":{"resultWrapper":"DeleteDBClusterEndpointResult","type":"structure","members":{"DBClusterEndpointIdentifier":{},"DBClusterIdentifier":{},"DBClusterEndpointResourceIdentifier":{},"Endpoint":{},"Status":{},"EndpointType":{},"CustomEndpointType":{},"StaticMembers":{"shape":"S1a"},"ExcludedMembers":{"shape":"S1a"},"DBClusterEndpointArn":{}}}},"DeleteDBClusterParameterGroup":{"input":{"type":"structure","required":["DBClusterParameterGroupName"],"members":{"DBClusterParameterGroupName":{}}}},"DeleteDBClusterSnapshot":{"input":{"type":"structure","required":["DBClusterSnapshotIdentifier"],"members":{"DBClusterSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBClusterSnapshotResult","type":"structure","members":{"DBClusterSnapshot":{"shape":"So"}}}},"DeleteDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"SkipFinalSnapshot":{"type":"boolean"},"FinalDBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S1j"}}}},"DeleteDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{}}}},"DeleteDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName"],"members":{"DBSubnetGroupName":{}}}},"DeleteEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{}}},"output":{"resultWrapper":"DeleteEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S5"}}}},"DescribeDBClusterEndpoints":{"input":{"type":"structure","members":{"DBClusterIdentifier":{},"DBClusterEndpointIdentifier":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBClusterEndpointsResult","type":"structure","members":{"Marker":{},"DBClusterEndpoints":{"type":"list","member":{"locationName":"DBClusterEndpointList","type":"structure","members":{"DBClusterEndpointIdentifier":{},"DBClusterIdentifier":{},"DBClusterEndpointResourceIdentifier":{},"Endpoint":{},"Status":{},"EndpointType":{},"CustomEndpointType":{},"StaticMembers":{"shape":"S1a"},"ExcludedMembers":{"shape":"S1a"},"DBClusterEndpointArn":{}}}}}}},"DescribeDBClusterParameterGroups":{"input":{"type":"structure","members":{"DBClusterParameterGroupName":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBClusterParameterGroupsResult","type":"structure","members":{"Marker":{},"DBClusterParameterGroups":{"type":"list","member":{"shape":"Sk","locationName":"DBClusterParameterGroup"}}}}},"DescribeDBClusterParameters":{"input":{"type":"structure","required":["DBClusterParameterGroupName"],"members":{"DBClusterParameterGroupName":{},"Source":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBClusterParametersResult","type":"structure","members":{"Parameters":{"shape":"S2z"},"Marker":{}}}},"DescribeDBClusterSnapshotAttributes":{"input":{"type":"structure","required":["DBClusterSnapshotIdentifier"],"members":{"DBClusterSnapshotIdentifier":{}}},"output":{"resultWrapper":"DescribeDBClusterSnapshotAttributesResult","type":"structure","members":{"DBClusterSnapshotAttributesResult":{"shape":"S34"}}}},"DescribeDBClusterSnapshots":{"input":{"type":"structure","members":{"DBClusterIdentifier":{},"DBClusterSnapshotIdentifier":{},"SnapshotType":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{},"IncludeShared":{"type":"boolean"},"IncludePublic":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeDBClusterSnapshotsResult","type":"structure","members":{"Marker":{},"DBClusterSnapshots":{"type":"list","member":{"shape":"So","locationName":"DBClusterSnapshot"}}}}},"DescribeDBClusters":{"input":{"type":"structure","members":{"DBClusterIdentifier":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBClustersResult","type":"structure","members":{"Marker":{},"DBClusters":{"type":"list","member":{"shape":"Sz","locationName":"DBCluster"}}}}},"DescribeDBEngineVersions":{"input":{"type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{},"DefaultOnly":{"type":"boolean"},"ListSupportedCharacterSets":{"type":"boolean"},"ListSupportedTimezones":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeDBEngineVersionsResult","type":"structure","members":{"Marker":{},"DBEngineVersions":{"type":"list","member":{"locationName":"DBEngineVersion","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"DBEngineDescription":{},"DBEngineVersionDescription":{},"DefaultCharacterSet":{"shape":"S3i"},"SupportedCharacterSets":{"type":"list","member":{"shape":"S3i","locationName":"CharacterSet"}},"ValidUpgradeTarget":{"type":"list","member":{"locationName":"UpgradeTarget","type":"structure","members":{"Engine":{},"EngineVersion":{},"Description":{},"AutoUpgrade":{"type":"boolean"},"IsMajorVersionUpgrade":{"type":"boolean"}}}},"SupportedTimezones":{"type":"list","member":{"locationName":"Timezone","type":"structure","members":{"TimezoneName":{}}}},"ExportableLogTypes":{"shape":"Sx"},"SupportsLogExportsToCloudwatchLogs":{"type":"boolean"},"SupportsReadReplica":{"type":"boolean"}}}}}}},"DescribeDBInstances":{"input":{"type":"structure","members":{"DBInstanceIdentifier":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBInstancesResult","type":"structure","members":{"Marker":{},"DBInstances":{"type":"list","member":{"shape":"S1j","locationName":"DBInstance"}}}}},"DescribeDBParameterGroups":{"input":{"type":"structure","members":{"DBParameterGroupName":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBParameterGroupsResult","type":"structure","members":{"Marker":{},"DBParameterGroups":{"type":"list","member":{"shape":"St","locationName":"DBParameterGroup"}}}}},"DescribeDBParameters":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{},"Source":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBParametersResult","type":"structure","members":{"Parameters":{"shape":"S2z"},"Marker":{}}}},"DescribeDBSubnetGroups":{"input":{"type":"structure","members":{"DBSubnetGroupName":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSubnetGroupsResult","type":"structure","members":{"Marker":{},"DBSubnetGroups":{"type":"list","member":{"shape":"S1p","locationName":"DBSubnetGroup"}}}}},"DescribeEngineDefaultClusterParameters":{"input":{"type":"structure","required":["DBParameterGroupFamily"],"members":{"DBParameterGroupFamily":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEngineDefaultClusterParametersResult","type":"structure","members":{"EngineDefaults":{"shape":"S41"}}}},"DescribeEngineDefaultParameters":{"input":{"type":"structure","required":["DBParameterGroupFamily"],"members":{"DBParameterGroupFamily":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEngineDefaultParametersResult","type":"structure","members":{"EngineDefaults":{"shape":"S41"}}}},"DescribeEventCategories":{"input":{"type":"structure","members":{"SourceType":{},"Filters":{"shape":"S2o"}}},"output":{"resultWrapper":"DescribeEventCategoriesResult","type":"structure","members":{"EventCategoriesMapList":{"type":"list","member":{"locationName":"EventCategoriesMap","type":"structure","members":{"SourceType":{},"EventCategories":{"shape":"S7"}},"wrapper":true}}}}},"DescribeEventSubscriptions":{"input":{"type":"structure","members":{"SubscriptionName":{},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventSubscriptionsResult","type":"structure","members":{"Marker":{},"EventSubscriptionsList":{"type":"list","member":{"shape":"S5","locationName":"EventSubscription"}}}}},"DescribeEvents":{"input":{"type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Duration":{"type":"integer"},"EventCategories":{"shape":"S7"},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventsResult","type":"structure","members":{"Marker":{},"Events":{"type":"list","member":{"locationName":"Event","type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"Message":{},"EventCategories":{"shape":"S7"},"Date":{"type":"timestamp"},"SourceArn":{}}}}}}},"DescribeOrderableDBInstanceOptions":{"input":{"type":"structure","required":["Engine"],"members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"Vpc":{"type":"boolean"},"Filters":{"shape":"S2o"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOrderableDBInstanceOptionsResult","type":"structure","members":{"OrderableDBInstanceOptions":{"type":"list","member":{"locationName":"OrderableDBInstanceOption","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"AvailabilityZones":{"type":"list","member":{"shape":"S1s","locationName":"AvailabilityZone"}},"MultiAZCapable":{"type":"boolean"},"ReadReplicaCapable":{"type":"boolean"},"Vpc":{"type":"boolean"},"SupportsStorageEncryption":{"type":"boolean"},"StorageType":{},"SupportsIops":{"type":"boolean"},"SupportsEnhancedMonitoring":{"type":"boolean"},"SupportsIAMDatabaseAuthentication":{"type":"boolean"},"SupportsPerformanceInsights":{"type":"boolean"},"MinStorageSize":{"type":"integer"},"MaxStorageSize":{"type":"integer"},"MinIopsPerDbInstance":{"type":"integer"},"MaxIopsPerDbInstance":{"type":"integer"},"MinIopsPerGib":{"type":"double"},"MaxIopsPerGib":{"type":"double"}},"wrapper":true}},"Marker":{}}}},"DescribePendingMaintenanceActions":{"input":{"type":"structure","members":{"ResourceIdentifier":{},"Filters":{"shape":"S2o"},"Marker":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribePendingMaintenanceActionsResult","type":"structure","members":{"PendingMaintenanceActions":{"type":"list","member":{"shape":"Se","locationName":"ResourcePendingMaintenanceActions"}},"Marker":{}}}},"DescribeValidDBInstanceModifications":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{}}},"output":{"resultWrapper":"DescribeValidDBInstanceModificationsResult","type":"structure","members":{"ValidDBInstanceModificationsMessage":{"type":"structure","members":{"Storage":{"type":"list","member":{"locationName":"ValidStorageOptions","type":"structure","members":{"StorageType":{},"StorageSize":{"shape":"S4u"},"ProvisionedIops":{"shape":"S4u"},"IopsToStorageRatio":{"type":"list","member":{"locationName":"DoubleRange","type":"structure","members":{"From":{"type":"double"},"To":{"type":"double"}}}}}}}},"wrapper":true}}}},"FailoverDBCluster":{"input":{"type":"structure","members":{"DBClusterIdentifier":{},"TargetDBInstanceIdentifier":{}}},"output":{"resultWrapper":"FailoverDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sz"}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceName"],"members":{"ResourceName":{},"Filters":{"shape":"S2o"}}},"output":{"resultWrapper":"ListTagsForResourceResult","type":"structure","members":{"TagList":{"shape":"Sa"}}}},"ModifyDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{},"NewDBClusterIdentifier":{},"ApplyImmediately":{"type":"boolean"},"BackupRetentionPeriod":{"type":"integer"},"DBClusterParameterGroupName":{},"VpcSecurityGroupIds":{"shape":"Sw"},"Port":{"type":"integer"},"MasterUserPassword":{},"OptionGroupName":{},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"CloudwatchLogsExportConfiguration":{"shape":"S54"},"EngineVersion":{},"AllowMajorVersionUpgrade":{"type":"boolean"},"DBInstanceParameterGroupName":{},"DeletionProtection":{"type":"boolean"},"CopyTagsToSnapshot":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sz"}}}},"ModifyDBClusterEndpoint":{"input":{"type":"structure","required":["DBClusterEndpointIdentifier"],"members":{"DBClusterEndpointIdentifier":{},"EndpointType":{},"StaticMembers":{"shape":"S1a"},"ExcludedMembers":{"shape":"S1a"}}},"output":{"resultWrapper":"ModifyDBClusterEndpointResult","type":"structure","members":{"DBClusterEndpointIdentifier":{},"DBClusterIdentifier":{},"DBClusterEndpointResourceIdentifier":{},"Endpoint":{},"Status":{},"EndpointType":{},"CustomEndpointType":{},"StaticMembers":{"shape":"S1a"},"ExcludedMembers":{"shape":"S1a"},"DBClusterEndpointArn":{}}}},"ModifyDBClusterParameterGroup":{"input":{"type":"structure","required":["DBClusterParameterGroupName","Parameters"],"members":{"DBClusterParameterGroupName":{},"Parameters":{"shape":"S2z"}}},"output":{"shape":"S59","resultWrapper":"ModifyDBClusterParameterGroupResult"}},"ModifyDBClusterSnapshotAttribute":{"input":{"type":"structure","required":["DBClusterSnapshotIdentifier","AttributeName"],"members":{"DBClusterSnapshotIdentifier":{},"AttributeName":{},"ValuesToAdd":{"shape":"S37"},"ValuesToRemove":{"shape":"S37"}}},"output":{"resultWrapper":"ModifyDBClusterSnapshotAttributeResult","type":"structure","members":{"DBClusterSnapshotAttributesResult":{"shape":"S34"}}}},"ModifyDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"DBSubnetGroupName":{},"DBSecurityGroups":{"shape":"S1h"},"VpcSecurityGroupIds":{"shape":"Sw"},"ApplyImmediately":{"type":"boolean"},"MasterUserPassword":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AllowMajorVersionUpgrade":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupName":{},"NewDBInstanceIdentifier":{},"StorageType":{},"TdeCredentialArn":{},"TdeCredentialPassword":{},"CACertificateIdentifier":{},"Domain":{},"CopyTagsToSnapshot":{"type":"boolean"},"MonitoringInterval":{"type":"integer"},"DBPortNumber":{"type":"integer"},"PubliclyAccessible":{"deprecated":true,"type":"boolean"},"MonitoringRoleArn":{},"DomainIAMRoleName":{},"PromotionTier":{"type":"integer"},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"EnablePerformanceInsights":{"type":"boolean"},"PerformanceInsightsKMSKeyId":{},"CloudwatchLogsExportConfiguration":{"shape":"S54"},"DeletionProtection":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S1j"}}}},"ModifyDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName","Parameters"],"members":{"DBParameterGroupName":{},"Parameters":{"shape":"S2z"}}},"output":{"shape":"S5f","resultWrapper":"ModifyDBParameterGroupResult"}},"ModifyDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S26"}}},"output":{"resultWrapper":"ModifyDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S1p"}}}},"ModifyEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S7"},"Enabled":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S5"}}}},"PromoteReadReplicaDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{}}},"output":{"resultWrapper":"PromoteReadReplicaDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sz"}}}},"RebootDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"ForceFailover":{"type":"boolean"}}},"output":{"resultWrapper":"RebootDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S1j"}}}},"RemoveRoleFromDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier","RoleArn"],"members":{"DBClusterIdentifier":{},"RoleArn":{},"FeatureName":{}}}},"RemoveSourceIdentifierFromSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"RemoveSourceIdentifierFromSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S5"}}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceName","TagKeys"],"members":{"ResourceName":{},"TagKeys":{"type":"list","member":{}}}}},"ResetDBClusterParameterGroup":{"input":{"type":"structure","required":["DBClusterParameterGroupName"],"members":{"DBClusterParameterGroupName":{},"ResetAllParameters":{"type":"boolean"},"Parameters":{"shape":"S2z"}}},"output":{"shape":"S59","resultWrapper":"ResetDBClusterParameterGroupResult"}},"ResetDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{},"ResetAllParameters":{"type":"boolean"},"Parameters":{"shape":"S2z"}}},"output":{"shape":"S5f","resultWrapper":"ResetDBParameterGroupResult"}},"RestoreDBClusterFromSnapshot":{"input":{"type":"structure","required":["DBClusterIdentifier","SnapshotIdentifier","Engine"],"members":{"AvailabilityZones":{"shape":"Sp"},"DBClusterIdentifier":{},"SnapshotIdentifier":{},"Engine":{},"EngineVersion":{},"Port":{"type":"integer"},"DBSubnetGroupName":{},"DatabaseName":{},"OptionGroupName":{},"VpcSecurityGroupIds":{"shape":"Sw"},"Tags":{"shape":"Sa"},"KmsKeyId":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"EnableCloudwatchLogsExports":{"shape":"Sx"},"DBClusterParameterGroupName":{},"DeletionProtection":{"type":"boolean"},"CopyTagsToSnapshot":{"type":"boolean"}}},"output":{"resultWrapper":"RestoreDBClusterFromSnapshotResult","type":"structure","members":{"DBCluster":{"shape":"Sz"}}}},"RestoreDBClusterToPointInTime":{"input":{"type":"structure","required":["DBClusterIdentifier","SourceDBClusterIdentifier"],"members":{"DBClusterIdentifier":{},"RestoreType":{},"SourceDBClusterIdentifier":{},"RestoreToTime":{"type":"timestamp"},"UseLatestRestorableTime":{"type":"boolean"},"Port":{"type":"integer"},"DBSubnetGroupName":{},"OptionGroupName":{},"VpcSecurityGroupIds":{"shape":"Sw"},"Tags":{"shape":"Sa"},"KmsKeyId":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"EnableCloudwatchLogsExports":{"shape":"Sx"},"DBClusterParameterGroupName":{},"DeletionProtection":{"type":"boolean"}}},"output":{"resultWrapper":"RestoreDBClusterToPointInTimeResult","type":"structure","members":{"DBCluster":{"shape":"Sz"}}}},"StartDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{}}},"output":{"resultWrapper":"StartDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sz"}}}},"StopDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{}}},"output":{"resultWrapper":"StopDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"Sz"}}}}},"shapes":{"S5":{"type":"structure","members":{"CustomerAwsId":{},"CustSubscriptionId":{},"SnsTopicArn":{},"Status":{},"SubscriptionCreationTime":{},"SourceType":{},"SourceIdsList":{"shape":"S6"},"EventCategoriesList":{"shape":"S7"},"Enabled":{"type":"boolean"},"EventSubscriptionArn":{}},"wrapper":true},"S6":{"type":"list","member":{"locationName":"SourceId"}},"S7":{"type":"list","member":{"locationName":"EventCategory"}},"Sa":{"type":"list","member":{"locationName":"Tag","type":"structure","members":{"Key":{},"Value":{}}}},"Se":{"type":"structure","members":{"ResourceIdentifier":{},"PendingMaintenanceActionDetails":{"type":"list","member":{"locationName":"PendingMaintenanceAction","type":"structure","members":{"Action":{},"AutoAppliedAfterDate":{"type":"timestamp"},"ForcedApplyDate":{"type":"timestamp"},"OptInStatus":{},"CurrentApplyDate":{"type":"timestamp"},"Description":{}}}}},"wrapper":true},"Sk":{"type":"structure","members":{"DBClusterParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{},"DBClusterParameterGroupArn":{}},"wrapper":true},"So":{"type":"structure","members":{"AvailabilityZones":{"shape":"Sp"},"DBClusterSnapshotIdentifier":{},"DBClusterIdentifier":{},"SnapshotCreateTime":{"type":"timestamp"},"Engine":{},"AllocatedStorage":{"type":"integer"},"Status":{},"Port":{"type":"integer"},"VpcId":{},"ClusterCreateTime":{"type":"timestamp"},"MasterUsername":{},"EngineVersion":{},"LicenseModel":{},"SnapshotType":{},"PercentProgress":{"type":"integer"},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"DBClusterSnapshotArn":{},"SourceDBClusterSnapshotArn":{},"IAMDatabaseAuthenticationEnabled":{"type":"boolean"}},"wrapper":true},"Sp":{"type":"list","member":{"locationName":"AvailabilityZone"}},"St":{"type":"structure","members":{"DBParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{},"DBParameterGroupArn":{}},"wrapper":true},"Sw":{"type":"list","member":{"locationName":"VpcSecurityGroupId"}},"Sx":{"type":"list","member":{}},"Sz":{"type":"structure","members":{"AllocatedStorage":{"type":"integer"},"AvailabilityZones":{"shape":"Sp"},"BackupRetentionPeriod":{"type":"integer"},"CharacterSetName":{},"DatabaseName":{},"DBClusterIdentifier":{},"DBClusterParameterGroup":{},"DBSubnetGroup":{},"Status":{},"PercentProgress":{},"EarliestRestorableTime":{"type":"timestamp"},"Endpoint":{},"ReaderEndpoint":{},"MultiAZ":{"type":"boolean"},"Engine":{},"EngineVersion":{},"LatestRestorableTime":{"type":"timestamp"},"Port":{"type":"integer"},"MasterUsername":{},"DBClusterOptionGroupMemberships":{"type":"list","member":{"locationName":"DBClusterOptionGroup","type":"structure","members":{"DBClusterOptionGroupName":{},"Status":{}}}},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"ReplicationSourceIdentifier":{},"ReadReplicaIdentifiers":{"type":"list","member":{"locationName":"ReadReplicaIdentifier"}},"DBClusterMembers":{"type":"list","member":{"locationName":"DBClusterMember","type":"structure","members":{"DBInstanceIdentifier":{},"IsClusterWriter":{"type":"boolean"},"DBClusterParameterGroupStatus":{},"PromotionTier":{"type":"integer"}},"wrapper":true}},"VpcSecurityGroups":{"shape":"S15"},"HostedZoneId":{},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"DbClusterResourceId":{},"DBClusterArn":{},"AssociatedRoles":{"type":"list","member":{"locationName":"DBClusterRole","type":"structure","members":{"RoleArn":{},"Status":{},"FeatureName":{}}}},"IAMDatabaseAuthenticationEnabled":{"type":"boolean"},"CloneGroupId":{},"ClusterCreateTime":{"type":"timestamp"},"CopyTagsToSnapshot":{"type":"boolean"},"EnabledCloudwatchLogsExports":{"shape":"Sx"},"DeletionProtection":{"type":"boolean"},"CrossAccountClone":{"type":"boolean"},"AutomaticRestartTime":{"type":"timestamp"}},"wrapper":true},"S15":{"type":"list","member":{"locationName":"VpcSecurityGroupMembership","type":"structure","members":{"VpcSecurityGroupId":{},"Status":{}}}},"S1a":{"type":"list","member":{}},"S1h":{"type":"list","member":{"locationName":"DBSecurityGroupName"}},"S1j":{"type":"structure","members":{"DBInstanceIdentifier":{},"DBInstanceClass":{},"Engine":{},"DBInstanceStatus":{},"MasterUsername":{},"DBName":{},"Endpoint":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"},"HostedZoneId":{}}},"AllocatedStorage":{"type":"integer"},"InstanceCreateTime":{"type":"timestamp"},"PreferredBackupWindow":{},"BackupRetentionPeriod":{"type":"integer"},"DBSecurityGroups":{"type":"list","member":{"locationName":"DBSecurityGroup","type":"structure","members":{"DBSecurityGroupName":{},"Status":{}}}},"VpcSecurityGroups":{"shape":"S15"},"DBParameterGroups":{"type":"list","member":{"locationName":"DBParameterGroup","type":"structure","members":{"DBParameterGroupName":{},"ParameterApplyStatus":{}}}},"AvailabilityZone":{},"DBSubnetGroup":{"shape":"S1p"},"PreferredMaintenanceWindow":{},"PendingModifiedValues":{"type":"structure","members":{"DBInstanceClass":{},"AllocatedStorage":{"type":"integer"},"MasterUserPassword":{},"Port":{"type":"integer"},"BackupRetentionPeriod":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"LicenseModel":{},"Iops":{"type":"integer"},"DBInstanceIdentifier":{},"StorageType":{},"CACertificateIdentifier":{},"DBSubnetGroupName":{},"PendingCloudwatchLogsExports":{"type":"structure","members":{"LogTypesToEnable":{"shape":"Sx"},"LogTypesToDisable":{"shape":"Sx"}}}}},"LatestRestorableTime":{"type":"timestamp"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"ReadReplicaSourceDBInstanceIdentifier":{},"ReadReplicaDBInstanceIdentifiers":{"type":"list","member":{"locationName":"ReadReplicaDBInstanceIdentifier"}},"ReadReplicaDBClusterIdentifiers":{"type":"list","member":{"locationName":"ReadReplicaDBClusterIdentifier"}},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupMemberships":{"type":"list","member":{"locationName":"OptionGroupMembership","type":"structure","members":{"OptionGroupName":{},"Status":{}}}},"CharacterSetName":{},"SecondaryAvailabilityZone":{},"PubliclyAccessible":{"deprecated":true,"type":"boolean"},"StatusInfos":{"type":"list","member":{"locationName":"DBInstanceStatusInfo","type":"structure","members":{"StatusType":{},"Normal":{"type":"boolean"},"Status":{},"Message":{}}}},"StorageType":{},"TdeCredentialArn":{},"DbInstancePort":{"type":"integer"},"DBClusterIdentifier":{},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"DbiResourceId":{},"CACertificateIdentifier":{},"DomainMemberships":{"type":"list","member":{"locationName":"DomainMembership","type":"structure","members":{"Domain":{},"Status":{},"FQDN":{},"IAMRoleName":{}}}},"CopyTagsToSnapshot":{"type":"boolean"},"MonitoringInterval":{"type":"integer"},"EnhancedMonitoringResourceArn":{},"MonitoringRoleArn":{},"PromotionTier":{"type":"integer"},"DBInstanceArn":{},"Timezone":{},"IAMDatabaseAuthenticationEnabled":{"type":"boolean"},"PerformanceInsightsEnabled":{"type":"boolean"},"PerformanceInsightsKMSKeyId":{},"EnabledCloudwatchLogsExports":{"shape":"Sx"},"DeletionProtection":{"type":"boolean"}},"wrapper":true},"S1p":{"type":"structure","members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"VpcId":{},"SubnetGroupStatus":{},"Subnets":{"type":"list","member":{"locationName":"Subnet","type":"structure","members":{"SubnetIdentifier":{},"SubnetAvailabilityZone":{"shape":"S1s"},"SubnetStatus":{}}}},"DBSubnetGroupArn":{}},"wrapper":true},"S1s":{"type":"structure","members":{"Name":{}},"wrapper":true},"S26":{"type":"list","member":{"locationName":"SubnetIdentifier"}},"S2o":{"type":"list","member":{"locationName":"Filter","type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{"locationName":"Value"}}}}},"S2z":{"type":"list","member":{"locationName":"Parameter","type":"structure","members":{"ParameterName":{},"ParameterValue":{},"Description":{},"Source":{},"ApplyType":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"MinimumEngineVersion":{},"ApplyMethod":{}}}},"S34":{"type":"structure","members":{"DBClusterSnapshotIdentifier":{},"DBClusterSnapshotAttributes":{"type":"list","member":{"locationName":"DBClusterSnapshotAttribute","type":"structure","members":{"AttributeName":{},"AttributeValues":{"shape":"S37"}}}}},"wrapper":true},"S37":{"type":"list","member":{"locationName":"AttributeValue"}},"S3i":{"type":"structure","members":{"CharacterSetName":{},"CharacterSetDescription":{}}},"S41":{"type":"structure","members":{"DBParameterGroupFamily":{},"Marker":{},"Parameters":{"shape":"S2z"}},"wrapper":true},"S4u":{"type":"list","member":{"locationName":"Range","type":"structure","members":{"From":{"type":"integer"},"To":{"type":"integer"},"Step":{"type":"integer"}}}},"S54":{"type":"structure","members":{"EnableLogTypes":{"shape":"Sx"},"DisableLogTypes":{"shape":"Sx"}}},"S59":{"type":"structure","members":{"DBClusterParameterGroupName":{}}},"S5f":{"type":"structure","members":{"DBParameterGroupName":{}}}}}');

/***/ }),

/***/ 62952:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeDBClusterEndpoints":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBClusterEndpoints"},"DescribeDBClusterParameterGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBClusterParameterGroups"},"DescribeDBClusterParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Parameters"},"DescribeDBClusterSnapshots":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBClusterSnapshots"},"DescribeDBClusters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBClusters"},"DescribeDBEngineVersions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBEngineVersions"},"DescribeDBInstances":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBInstances"},"DescribeDBParameterGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBParameterGroups"},"DescribeDBParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Parameters"},"DescribeDBSubnetGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSubnetGroups"},"DescribeEngineDefaultParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"EngineDefaults.Marker","result_key":"EngineDefaults.Parameters"},"DescribeEventSubscriptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"EventSubscriptionsList"},"DescribeEvents":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Events"},"DescribeOrderableDBInstanceOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OrderableDBInstanceOptions"},"DescribePendingMaintenanceActions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"PendingMaintenanceActions"},"ListTagsForResource":{"result_key":"TagList"}}}');

/***/ }),

/***/ 8127:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DBInstanceAvailable":{"delay":30,"operation":"DescribeDBInstances","maxAttempts":60,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"DBInstances[].DBInstanceStatus"},{"expected":"deleted","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"deleting","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"failed","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"incompatible-restore","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"incompatible-parameters","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"}]},"DBInstanceDeleted":{"delay":30,"operation":"DescribeDBInstances","maxAttempts":60,"acceptors":[{"expected":"deleted","matcher":"pathAll","state":"success","argument":"DBInstances[].DBInstanceStatus"},{"expected":"DBInstanceNotFound","matcher":"error","state":"success"},{"expected":"creating","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"modifying","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"rebooting","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"resetting-master-credentials","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"}]}}}');

/***/ }),

/***/ 63757:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-11-12","endpointPrefix":"network-firewall","jsonVersion":"1.0","protocol":"json","serviceAbbreviation":"Network Firewall","serviceFullName":"AWS Network Firewall","serviceId":"Network Firewall","signatureVersion":"v4","signingName":"network-firewall","targetPrefix":"NetworkFirewall_20201112","uid":"network-firewall-2020-11-12"},"operations":{"AssociateFirewallPolicy":{"input":{"type":"structure","required":["FirewallPolicyArn"],"members":{"UpdateToken":{},"FirewallArn":{},"FirewallName":{},"FirewallPolicyArn":{}}},"output":{"type":"structure","members":{"FirewallArn":{},"FirewallName":{},"FirewallPolicyArn":{},"UpdateToken":{}}}},"AssociateSubnets":{"input":{"type":"structure","required":["SubnetMappings"],"members":{"UpdateToken":{},"FirewallArn":{},"FirewallName":{},"SubnetMappings":{"shape":"S7"}}},"output":{"type":"structure","members":{"FirewallArn":{},"FirewallName":{},"SubnetMappings":{"shape":"S7"},"UpdateToken":{}}}},"CreateFirewall":{"input":{"type":"structure","required":["FirewallName","FirewallPolicyArn","VpcId","SubnetMappings"],"members":{"FirewallName":{},"FirewallPolicyArn":{},"VpcId":{},"SubnetMappings":{"shape":"S7"},"DeleteProtection":{"type":"boolean"},"SubnetChangeProtection":{"type":"boolean"},"FirewallPolicyChangeProtection":{"type":"boolean"},"Description":{},"Tags":{"shape":"Sf"}}},"output":{"type":"structure","members":{"Firewall":{"shape":"Sk"},"FirewallStatus":{"shape":"Sm"}}}},"CreateFirewallPolicy":{"input":{"type":"structure","required":["FirewallPolicyName","FirewallPolicy"],"members":{"FirewallPolicyName":{},"FirewallPolicy":{"shape":"S10"},"Description":{},"Tags":{"shape":"Sf"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","required":["UpdateToken","FirewallPolicyResponse"],"members":{"UpdateToken":{},"FirewallPolicyResponse":{"shape":"S1l"}}}},"CreateRuleGroup":{"input":{"type":"structure","required":["RuleGroupName","Type","Capacity"],"members":{"RuleGroupName":{},"RuleGroup":{"shape":"S1q"},"Rules":{},"Type":{},"Description":{},"Capacity":{"type":"integer"},"Tags":{"shape":"Sf"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","required":["UpdateToken","RuleGroupResponse"],"members":{"UpdateToken":{},"RuleGroupResponse":{"shape":"S34"}}}},"DeleteFirewall":{"input":{"type":"structure","members":{"FirewallName":{},"FirewallArn":{}}},"output":{"type":"structure","members":{"Firewall":{"shape":"Sk"},"FirewallStatus":{"shape":"Sm"}}}},"DeleteFirewallPolicy":{"input":{"type":"structure","members":{"FirewallPolicyName":{},"FirewallPolicyArn":{}}},"output":{"type":"structure","required":["FirewallPolicyResponse"],"members":{"FirewallPolicyResponse":{"shape":"S1l"}}}},"DeleteResourcePolicy":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"DeleteRuleGroup":{"input":{"type":"structure","members":{"RuleGroupName":{},"RuleGroupArn":{},"Type":{}}},"output":{"type":"structure","required":["RuleGroupResponse"],"members":{"RuleGroupResponse":{"shape":"S34"}}}},"DescribeFirewall":{"input":{"type":"structure","members":{"FirewallName":{},"FirewallArn":{}}},"output":{"type":"structure","members":{"UpdateToken":{},"Firewall":{"shape":"Sk"},"FirewallStatus":{"shape":"Sm"}}}},"DescribeFirewallPolicy":{"input":{"type":"structure","members":{"FirewallPolicyName":{},"FirewallPolicyArn":{}}},"output":{"type":"structure","required":["UpdateToken","FirewallPolicyResponse"],"members":{"UpdateToken":{},"FirewallPolicyResponse":{"shape":"S1l"},"FirewallPolicy":{"shape":"S10"}}}},"DescribeLoggingConfiguration":{"input":{"type":"structure","members":{"FirewallArn":{},"FirewallName":{}}},"output":{"type":"structure","members":{"FirewallArn":{},"LoggingConfiguration":{"shape":"S3j"}}}},"DescribeResourcePolicy":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Policy":{}}}},"DescribeRuleGroup":{"input":{"type":"structure","members":{"RuleGroupName":{},"RuleGroupArn":{},"Type":{}}},"output":{"type":"structure","required":["UpdateToken","RuleGroupResponse"],"members":{"UpdateToken":{},"RuleGroup":{"shape":"S1q"},"RuleGroupResponse":{"shape":"S34"}}}},"DescribeRuleGroupMetadata":{"input":{"type":"structure","members":{"RuleGroupName":{},"RuleGroupArn":{},"Type":{}}},"output":{"type":"structure","required":["RuleGroupArn","RuleGroupName"],"members":{"RuleGroupArn":{},"RuleGroupName":{},"Description":{},"Type":{},"Capacity":{"type":"integer"},"StatefulRuleOptions":{"shape":"S31"}}}},"DisassociateSubnets":{"input":{"type":"structure","required":["SubnetIds"],"members":{"UpdateToken":{},"FirewallArn":{},"FirewallName":{},"SubnetIds":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"FirewallArn":{},"FirewallName":{},"SubnetMappings":{"shape":"S7"},"UpdateToken":{}}}},"ListFirewallPolicies":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"FirewallPolicies":{"type":"list","member":{"type":"structure","members":{"Name":{},"Arn":{}}}}}}},"ListFirewalls":{"input":{"type":"structure","members":{"NextToken":{},"VpcIds":{"type":"list","member":{}},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"Firewalls":{"type":"list","member":{"type":"structure","members":{"FirewallName":{},"FirewallArn":{}}}}}}},"ListRuleGroups":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Scope":{}}},"output":{"type":"structure","members":{"NextToken":{},"RuleGroups":{"type":"list","member":{"type":"structure","members":{"Name":{},"Arn":{}}}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"NextToken":{},"MaxResults":{"type":"integer"},"ResourceArn":{}}},"output":{"type":"structure","members":{"NextToken":{},"Tags":{"shape":"Sf"}}}},"PutResourcePolicy":{"input":{"type":"structure","required":["ResourceArn","Policy"],"members":{"ResourceArn":{},"Policy":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateFirewallDeleteProtection":{"input":{"type":"structure","required":["DeleteProtection"],"members":{"UpdateToken":{},"FirewallArn":{},"FirewallName":{},"DeleteProtection":{"type":"boolean"}}},"output":{"type":"structure","members":{"FirewallArn":{},"FirewallName":{},"DeleteProtection":{"type":"boolean"},"UpdateToken":{}}}},"UpdateFirewallDescription":{"input":{"type":"structure","members":{"UpdateToken":{},"FirewallArn":{},"FirewallName":{},"Description":{}}},"output":{"type":"structure","members":{"FirewallArn":{},"FirewallName":{},"Description":{},"UpdateToken":{}}}},"UpdateFirewallPolicy":{"input":{"type":"structure","required":["UpdateToken","FirewallPolicy"],"members":{"UpdateToken":{},"FirewallPolicyArn":{},"FirewallPolicyName":{},"FirewallPolicy":{"shape":"S10"},"Description":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","required":["UpdateToken","FirewallPolicyResponse"],"members":{"UpdateToken":{},"FirewallPolicyResponse":{"shape":"S1l"}}}},"UpdateFirewallPolicyChangeProtection":{"input":{"type":"structure","required":["FirewallPolicyChangeProtection"],"members":{"UpdateToken":{},"FirewallArn":{},"FirewallName":{},"FirewallPolicyChangeProtection":{"type":"boolean"}}},"output":{"type":"structure","members":{"UpdateToken":{},"FirewallArn":{},"FirewallName":{},"FirewallPolicyChangeProtection":{"type":"boolean"}}}},"UpdateLoggingConfiguration":{"input":{"type":"structure","members":{"FirewallArn":{},"FirewallName":{},"LoggingConfiguration":{"shape":"S3j"}}},"output":{"type":"structure","members":{"FirewallArn":{},"FirewallName":{},"LoggingConfiguration":{"shape":"S3j"}}}},"UpdateRuleGroup":{"input":{"type":"structure","required":["UpdateToken"],"members":{"UpdateToken":{},"RuleGroupArn":{},"RuleGroupName":{},"RuleGroup":{"shape":"S1q"},"Rules":{},"Type":{},"Description":{},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","required":["UpdateToken","RuleGroupResponse"],"members":{"UpdateToken":{},"RuleGroupResponse":{"shape":"S34"}}}},"UpdateSubnetChangeProtection":{"input":{"type":"structure","required":["SubnetChangeProtection"],"members":{"UpdateToken":{},"FirewallArn":{},"FirewallName":{},"SubnetChangeProtection":{"type":"boolean"}}},"output":{"type":"structure","members":{"UpdateToken":{},"FirewallArn":{},"FirewallName":{},"SubnetChangeProtection":{"type":"boolean"}}}}},"shapes":{"S7":{"type":"list","member":{"type":"structure","required":["SubnetId"],"members":{"SubnetId":{}}}},"Sf":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sk":{"type":"structure","required":["FirewallPolicyArn","VpcId","SubnetMappings","FirewallId"],"members":{"FirewallName":{},"FirewallArn":{},"FirewallPolicyArn":{},"VpcId":{},"SubnetMappings":{"shape":"S7"},"DeleteProtection":{"type":"boolean"},"SubnetChangeProtection":{"type":"boolean"},"FirewallPolicyChangeProtection":{"type":"boolean"},"Description":{},"FirewallId":{},"Tags":{"shape":"Sf"}}},"Sm":{"type":"structure","required":["Status","ConfigurationSyncStateSummary"],"members":{"Status":{},"ConfigurationSyncStateSummary":{},"SyncStates":{"type":"map","key":{},"value":{"type":"structure","members":{"Attachment":{"type":"structure","members":{"SubnetId":{},"EndpointId":{},"Status":{}}},"Config":{"type":"map","key":{},"value":{"type":"structure","members":{"SyncStatus":{},"UpdateToken":{}}}}}}}}},"S10":{"type":"structure","required":["StatelessDefaultActions","StatelessFragmentDefaultActions"],"members":{"StatelessRuleGroupReferences":{"type":"list","member":{"type":"structure","required":["ResourceArn","Priority"],"members":{"ResourceArn":{},"Priority":{"type":"integer"}}}},"StatelessDefaultActions":{"shape":"S14"},"StatelessFragmentDefaultActions":{"shape":"S14"},"StatelessCustomActions":{"shape":"S15"},"StatefulRuleGroupReferences":{"type":"list","member":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"Priority":{"type":"integer"},"Override":{"type":"structure","members":{"Action":{}}}}}},"StatefulDefaultActions":{"type":"list","member":{}},"StatefulEngineOptions":{"type":"structure","members":{"RuleOrder":{}}}}},"S14":{"type":"list","member":{}},"S15":{"type":"list","member":{"type":"structure","required":["ActionName","ActionDefinition"],"members":{"ActionName":{},"ActionDefinition":{"type":"structure","members":{"PublishMetricAction":{"type":"structure","required":["Dimensions"],"members":{"Dimensions":{"type":"list","member":{"type":"structure","required":["Value"],"members":{"Value":{}}}}}}}}}}},"S1l":{"type":"structure","required":["FirewallPolicyName","FirewallPolicyArn","FirewallPolicyId"],"members":{"FirewallPolicyName":{},"FirewallPolicyArn":{},"FirewallPolicyId":{},"Description":{},"FirewallPolicyStatus":{},"Tags":{"shape":"Sf"},"ConsumedStatelessRuleCapacity":{"type":"integer"},"ConsumedStatefulRuleCapacity":{"type":"integer"},"NumberOfAssociations":{"type":"integer"}}},"S1q":{"type":"structure","required":["RulesSource"],"members":{"RuleVariables":{"type":"structure","members":{"IPSets":{"type":"map","key":{},"value":{"type":"structure","required":["Definition"],"members":{"Definition":{"shape":"S1v"}}}},"PortSets":{"type":"map","key":{},"value":{"type":"structure","members":{"Definition":{"shape":"S1v"}}}}}},"RulesSource":{"type":"structure","members":{"RulesString":{},"RulesSourceList":{"type":"structure","required":["Targets","TargetTypes","GeneratedRulesType"],"members":{"Targets":{"type":"list","member":{}},"TargetTypes":{"type":"list","member":{}},"GeneratedRulesType":{}}},"StatefulRules":{"type":"list","member":{"type":"structure","required":["Action","Header","RuleOptions"],"members":{"Action":{},"Header":{"type":"structure","required":["Protocol","Source","SourcePort","Direction","Destination","DestinationPort"],"members":{"Protocol":{},"Source":{},"SourcePort":{},"Direction":{},"Destination":{},"DestinationPort":{}}},"RuleOptions":{"type":"list","member":{"type":"structure","required":["Keyword"],"members":{"Keyword":{},"Settings":{"type":"list","member":{}}}}}}}},"StatelessRulesAndCustomActions":{"type":"structure","required":["StatelessRules"],"members":{"StatelessRules":{"type":"list","member":{"type":"structure","required":["RuleDefinition","Priority"],"members":{"RuleDefinition":{"type":"structure","required":["MatchAttributes","Actions"],"members":{"MatchAttributes":{"type":"structure","members":{"Sources":{"shape":"S2p"},"Destinations":{"shape":"S2p"},"SourcePorts":{"shape":"S2s"},"DestinationPorts":{"shape":"S2s"},"Protocols":{"type":"list","member":{"type":"integer"}},"TCPFlags":{"type":"list","member":{"type":"structure","required":["Flags"],"members":{"Flags":{"shape":"S2z"},"Masks":{"shape":"S2z"}}}}}},"Actions":{"shape":"S14"}}},"Priority":{"type":"integer"}}}},"CustomActions":{"shape":"S15"}}}}},"StatefulRuleOptions":{"shape":"S31"}}},"S1v":{"type":"list","member":{}},"S2p":{"type":"list","member":{"type":"structure","required":["AddressDefinition"],"members":{"AddressDefinition":{}}}},"S2s":{"type":"list","member":{"type":"structure","required":["FromPort","ToPort"],"members":{"FromPort":{"type":"integer"},"ToPort":{"type":"integer"}}}},"S2z":{"type":"list","member":{}},"S31":{"type":"structure","members":{"RuleOrder":{}}},"S34":{"type":"structure","required":["RuleGroupArn","RuleGroupName","RuleGroupId"],"members":{"RuleGroupArn":{},"RuleGroupName":{},"RuleGroupId":{},"Description":{},"Type":{},"Capacity":{"type":"integer"},"RuleGroupStatus":{},"Tags":{"shape":"Sf"},"ConsumedCapacity":{"type":"integer"},"NumberOfAssociations":{"type":"integer"}}},"S3j":{"type":"structure","required":["LogDestinationConfigs"],"members":{"LogDestinationConfigs":{"type":"list","member":{"type":"structure","required":["LogType","LogDestinationType","LogDestination"],"members":{"LogType":{},"LogDestinationType":{},"LogDestination":{"type":"map","key":{},"value":{}}}}}}}}}');

/***/ }),

/***/ 74798:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListFirewallPolicies":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"FirewallPolicies"},"ListFirewalls":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Firewalls"},"ListRuleGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"RuleGroups"},"ListTagsForResource":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Tags"}}}');

/***/ }),

/***/ 10151:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-07-05","endpointPrefix":"networkmanager","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"NetworkManager","serviceFullName":"AWS Network Manager","serviceId":"NetworkManager","signatureVersion":"v4","signingName":"networkmanager","uid":"networkmanager-2019-07-05"},"operations":{"AcceptAttachment":{"http":{"requestUri":"/attachments/{attachmentId}/accept"},"input":{"type":"structure","required":["AttachmentId"],"members":{"AttachmentId":{"location":"uri","locationName":"attachmentId"}}},"output":{"type":"structure","members":{"Attachment":{"shape":"S4"}}}},"AssociateConnectPeer":{"http":{"requestUri":"/global-networks/{globalNetworkId}/connect-peer-associations"},"input":{"type":"structure","required":["GlobalNetworkId","ConnectPeerId","DeviceId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"ConnectPeerId":{},"DeviceId":{},"LinkId":{}}},"output":{"type":"structure","members":{"ConnectPeerAssociation":{"shape":"Sq"}}}},"AssociateCustomerGateway":{"http":{"requestUri":"/global-networks/{globalNetworkId}/customer-gateway-associations"},"input":{"type":"structure","required":["CustomerGatewayArn","GlobalNetworkId","DeviceId"],"members":{"CustomerGatewayArn":{},"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"DeviceId":{},"LinkId":{}}},"output":{"type":"structure","members":{"CustomerGatewayAssociation":{"shape":"Sv"}}}},"AssociateLink":{"http":{"requestUri":"/global-networks/{globalNetworkId}/link-associations"},"input":{"type":"structure","required":["GlobalNetworkId","DeviceId","LinkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"DeviceId":{},"LinkId":{}}},"output":{"type":"structure","members":{"LinkAssociation":{"shape":"Sz"}}}},"AssociateTransitGatewayConnectPeer":{"http":{"requestUri":"/global-networks/{globalNetworkId}/transit-gateway-connect-peer-associations"},"input":{"type":"structure","required":["GlobalNetworkId","TransitGatewayConnectPeerArn","DeviceId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"TransitGatewayConnectPeerArn":{},"DeviceId":{},"LinkId":{}}},"output":{"type":"structure","members":{"TransitGatewayConnectPeerAssociation":{"shape":"S14"}}}},"CreateConnectAttachment":{"http":{"requestUri":"/connect-attachments"},"input":{"type":"structure","required":["CoreNetworkId","EdgeLocation","TransportAttachmentId","Options"],"members":{"CoreNetworkId":{},"EdgeLocation":{},"TransportAttachmentId":{},"Options":{"shape":"S17"},"Tags":{"shape":"Se"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ConnectAttachment":{"shape":"S1b"}}}},"CreateConnectPeer":{"http":{"requestUri":"/connect-peers"},"input":{"type":"structure","required":["ConnectAttachmentId","PeerAddress","InsideCidrBlocks"],"members":{"ConnectAttachmentId":{},"CoreNetworkAddress":{},"PeerAddress":{},"BgpOptions":{"type":"structure","members":{"PeerAsn":{"type":"long"}}},"InsideCidrBlocks":{"shape":"S1g"},"Tags":{"shape":"Se"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ConnectPeer":{"shape":"S1i"}}}},"CreateConnection":{"http":{"requestUri":"/global-networks/{globalNetworkId}/connections"},"input":{"type":"structure","required":["GlobalNetworkId","DeviceId","ConnectedDeviceId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"DeviceId":{},"ConnectedDeviceId":{},"LinkId":{},"ConnectedLinkId":{},"Description":{},"Tags":{"shape":"Se"}}},"output":{"type":"structure","members":{"Connection":{"shape":"S1p"}}}},"CreateCoreNetwork":{"http":{"requestUri":"/core-networks"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{},"Description":{},"Tags":{"shape":"Se"},"PolicyDocument":{},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"CoreNetwork":{"shape":"S1w"}}}},"CreateDevice":{"http":{"requestUri":"/global-networks/{globalNetworkId}/devices"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"AWSLocation":{"shape":"S24"},"Description":{},"Type":{},"Vendor":{},"Model":{},"SerialNumber":{},"Location":{"shape":"S26"},"SiteId":{},"Tags":{"shape":"Se"}}},"output":{"type":"structure","members":{"Device":{"shape":"S29"}}}},"CreateGlobalNetwork":{"http":{"requestUri":"/global-networks"},"input":{"type":"structure","members":{"Description":{},"Tags":{"shape":"Se"}}},"output":{"type":"structure","members":{"GlobalNetwork":{"shape":"S2e"}}}},"CreateLink":{"http":{"requestUri":"/global-networks/{globalNetworkId}/links"},"input":{"type":"structure","required":["GlobalNetworkId","Bandwidth","SiteId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"Description":{},"Type":{},"Bandwidth":{"shape":"S2i"},"Provider":{},"SiteId":{},"Tags":{"shape":"Se"}}},"output":{"type":"structure","members":{"Link":{"shape":"S2k"}}}},"CreateSite":{"http":{"requestUri":"/global-networks/{globalNetworkId}/sites"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"Description":{},"Location":{"shape":"S26"},"Tags":{"shape":"Se"}}},"output":{"type":"structure","members":{"Site":{"shape":"S2p"}}}},"CreateSiteToSiteVpnAttachment":{"http":{"requestUri":"/site-to-site-vpn-attachments"},"input":{"type":"structure","required":["CoreNetworkId","VpnConnectionArn"],"members":{"CoreNetworkId":{},"VpnConnectionArn":{},"Tags":{"shape":"Se"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"SiteToSiteVpnAttachment":{"shape":"S2v"}}}},"CreateVpcAttachment":{"http":{"requestUri":"/vpc-attachments"},"input":{"type":"structure","required":["CoreNetworkId","VpcArn","SubnetArns"],"members":{"CoreNetworkId":{},"VpcArn":{},"SubnetArns":{"shape":"S2y"},"Options":{"shape":"S2z"},"Tags":{"shape":"Se"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"VpcAttachment":{"shape":"S32"}}}},"DeleteAttachment":{"http":{"method":"DELETE","requestUri":"/attachments/{attachmentId}"},"input":{"type":"structure","required":["AttachmentId"],"members":{"AttachmentId":{"location":"uri","locationName":"attachmentId"}}},"output":{"type":"structure","members":{"Attachment":{"shape":"S4"}}}},"DeleteConnectPeer":{"http":{"method":"DELETE","requestUri":"/connect-peers/{connectPeerId}"},"input":{"type":"structure","required":["ConnectPeerId"],"members":{"ConnectPeerId":{"location":"uri","locationName":"connectPeerId"}}},"output":{"type":"structure","members":{"ConnectPeer":{"shape":"S1i"}}}},"DeleteConnection":{"http":{"method":"DELETE","requestUri":"/global-networks/{globalNetworkId}/connections/{connectionId}"},"input":{"type":"structure","required":["GlobalNetworkId","ConnectionId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"ConnectionId":{"location":"uri","locationName":"connectionId"}}},"output":{"type":"structure","members":{"Connection":{"shape":"S1p"}}}},"DeleteCoreNetwork":{"http":{"method":"DELETE","requestUri":"/core-networks/{coreNetworkId}"},"input":{"type":"structure","required":["CoreNetworkId"],"members":{"CoreNetworkId":{"location":"uri","locationName":"coreNetworkId"}}},"output":{"type":"structure","members":{"CoreNetwork":{"shape":"S1w"}}}},"DeleteCoreNetworkPolicyVersion":{"http":{"method":"DELETE","requestUri":"/core-networks/{coreNetworkId}/core-network-policy-versions/{policyVersionId}"},"input":{"type":"structure","required":["CoreNetworkId","PolicyVersionId"],"members":{"CoreNetworkId":{"location":"uri","locationName":"coreNetworkId"},"PolicyVersionId":{"location":"uri","locationName":"policyVersionId","type":"integer"}}},"output":{"type":"structure","members":{"CoreNetworkPolicy":{"shape":"S3d"}}}},"DeleteDevice":{"http":{"method":"DELETE","requestUri":"/global-networks/{globalNetworkId}/devices/{deviceId}"},"input":{"type":"structure","required":["GlobalNetworkId","DeviceId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"DeviceId":{"location":"uri","locationName":"deviceId"}}},"output":{"type":"structure","members":{"Device":{"shape":"S29"}}}},"DeleteGlobalNetwork":{"http":{"method":"DELETE","requestUri":"/global-networks/{globalNetworkId}"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"}}},"output":{"type":"structure","members":{"GlobalNetwork":{"shape":"S2e"}}}},"DeleteLink":{"http":{"method":"DELETE","requestUri":"/global-networks/{globalNetworkId}/links/{linkId}"},"input":{"type":"structure","required":["GlobalNetworkId","LinkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"LinkId":{"location":"uri","locationName":"linkId"}}},"output":{"type":"structure","members":{"Link":{"shape":"S2k"}}}},"DeleteResourcePolicy":{"http":{"method":"DELETE","requestUri":"/resource-policy/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{}}},"DeleteSite":{"http":{"method":"DELETE","requestUri":"/global-networks/{globalNetworkId}/sites/{siteId}"},"input":{"type":"structure","required":["GlobalNetworkId","SiteId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"SiteId":{"location":"uri","locationName":"siteId"}}},"output":{"type":"structure","members":{"Site":{"shape":"S2p"}}}},"DeregisterTransitGateway":{"http":{"method":"DELETE","requestUri":"/global-networks/{globalNetworkId}/transit-gateway-registrations/{transitGatewayArn}"},"input":{"type":"structure","required":["GlobalNetworkId","TransitGatewayArn"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"TransitGatewayArn":{"location":"uri","locationName":"transitGatewayArn"}}},"output":{"type":"structure","members":{"TransitGatewayRegistration":{"shape":"S3w"}}}},"DescribeGlobalNetworks":{"http":{"method":"GET","requestUri":"/global-networks"},"input":{"type":"structure","members":{"GlobalNetworkIds":{"location":"querystring","locationName":"globalNetworkIds","type":"list","member":{}},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"GlobalNetworks":{"type":"list","member":{"shape":"S2e"}},"NextToken":{}}}},"DisassociateConnectPeer":{"http":{"method":"DELETE","requestUri":"/global-networks/{globalNetworkId}/connect-peer-associations/{connectPeerId}"},"input":{"type":"structure","required":["GlobalNetworkId","ConnectPeerId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"ConnectPeerId":{"location":"uri","locationName":"connectPeerId"}}},"output":{"type":"structure","members":{"ConnectPeerAssociation":{"shape":"Sq"}}}},"DisassociateCustomerGateway":{"http":{"method":"DELETE","requestUri":"/global-networks/{globalNetworkId}/customer-gateway-associations/{customerGatewayArn}"},"input":{"type":"structure","required":["GlobalNetworkId","CustomerGatewayArn"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"CustomerGatewayArn":{"location":"uri","locationName":"customerGatewayArn"}}},"output":{"type":"structure","members":{"CustomerGatewayAssociation":{"shape":"Sv"}}}},"DisassociateLink":{"http":{"method":"DELETE","requestUri":"/global-networks/{globalNetworkId}/link-associations"},"input":{"type":"structure","required":["GlobalNetworkId","DeviceId","LinkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"DeviceId":{"location":"querystring","locationName":"deviceId"},"LinkId":{"location":"querystring","locationName":"linkId"}}},"output":{"type":"structure","members":{"LinkAssociation":{"shape":"Sz"}}}},"DisassociateTransitGatewayConnectPeer":{"http":{"method":"DELETE","requestUri":"/global-networks/{globalNetworkId}/transit-gateway-connect-peer-associations/{transitGatewayConnectPeerArn}"},"input":{"type":"structure","required":["GlobalNetworkId","TransitGatewayConnectPeerArn"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"TransitGatewayConnectPeerArn":{"location":"uri","locationName":"transitGatewayConnectPeerArn"}}},"output":{"type":"structure","members":{"TransitGatewayConnectPeerAssociation":{"shape":"S14"}}}},"ExecuteCoreNetworkChangeSet":{"http":{"requestUri":"/core-networks/{coreNetworkId}/core-network-change-sets/{policyVersionId}/execute"},"input":{"type":"structure","required":["CoreNetworkId","PolicyVersionId"],"members":{"CoreNetworkId":{"location":"uri","locationName":"coreNetworkId"},"PolicyVersionId":{"location":"uri","locationName":"policyVersionId","type":"integer"}}},"output":{"type":"structure","members":{}}},"GetConnectAttachment":{"http":{"method":"GET","requestUri":"/connect-attachments/{attachmentId}"},"input":{"type":"structure","required":["AttachmentId"],"members":{"AttachmentId":{"location":"uri","locationName":"attachmentId"}}},"output":{"type":"structure","members":{"ConnectAttachment":{"shape":"S1b"}}}},"GetConnectPeer":{"http":{"method":"GET","requestUri":"/connect-peers/{connectPeerId}"},"input":{"type":"structure","required":["ConnectPeerId"],"members":{"ConnectPeerId":{"location":"uri","locationName":"connectPeerId"}}},"output":{"type":"structure","members":{"ConnectPeer":{"shape":"S1i"}}}},"GetConnectPeerAssociations":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/connect-peer-associations"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"ConnectPeerIds":{"location":"querystring","locationName":"connectPeerIds","type":"list","member":{}},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"ConnectPeerAssociations":{"type":"list","member":{"shape":"Sq"}},"NextToken":{}}}},"GetConnections":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/connections"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"ConnectionIds":{"location":"querystring","locationName":"connectionIds","type":"list","member":{}},"DeviceId":{"location":"querystring","locationName":"deviceId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Connections":{"type":"list","member":{"shape":"S1p"}},"NextToken":{}}}},"GetCoreNetwork":{"http":{"method":"GET","requestUri":"/core-networks/{coreNetworkId}"},"input":{"type":"structure","required":["CoreNetworkId"],"members":{"CoreNetworkId":{"location":"uri","locationName":"coreNetworkId"}}},"output":{"type":"structure","members":{"CoreNetwork":{"shape":"S1w"}}}},"GetCoreNetworkChangeSet":{"http":{"method":"GET","requestUri":"/core-networks/{coreNetworkId}/core-network-change-sets/{policyVersionId}"},"input":{"type":"structure","required":["CoreNetworkId","PolicyVersionId"],"members":{"CoreNetworkId":{"location":"uri","locationName":"coreNetworkId"},"PolicyVersionId":{"location":"uri","locationName":"policyVersionId","type":"integer"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"CoreNetworkChanges":{"type":"list","member":{"type":"structure","members":{"Type":{},"Action":{},"Identifier":{},"PreviousValues":{"shape":"S4z"},"NewValues":{"shape":"S4z"}}}},"NextToken":{}}}},"GetCoreNetworkPolicy":{"http":{"method":"GET","requestUri":"/core-networks/{coreNetworkId}/core-network-policy"},"input":{"type":"structure","required":["CoreNetworkId"],"members":{"CoreNetworkId":{"location":"uri","locationName":"coreNetworkId"},"PolicyVersionId":{"location":"querystring","locationName":"policyVersionId","type":"integer"},"Alias":{"location":"querystring","locationName":"alias"}}},"output":{"type":"structure","members":{"CoreNetworkPolicy":{"shape":"S3d"}}}},"GetCustomerGatewayAssociations":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/customer-gateway-associations"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"CustomerGatewayArns":{"location":"querystring","locationName":"customerGatewayArns","type":"list","member":{}},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"CustomerGatewayAssociations":{"type":"list","member":{"shape":"Sv"}},"NextToken":{}}}},"GetDevices":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/devices"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"DeviceIds":{"location":"querystring","locationName":"deviceIds","type":"list","member":{}},"SiteId":{"location":"querystring","locationName":"siteId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Devices":{"type":"list","member":{"shape":"S29"}},"NextToken":{}}}},"GetLinkAssociations":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/link-associations"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"DeviceId":{"location":"querystring","locationName":"deviceId"},"LinkId":{"location":"querystring","locationName":"linkId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"LinkAssociations":{"type":"list","member":{"shape":"Sz"}},"NextToken":{}}}},"GetLinks":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/links"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"LinkIds":{"location":"querystring","locationName":"linkIds","type":"list","member":{}},"SiteId":{"location":"querystring","locationName":"siteId"},"Type":{"location":"querystring","locationName":"type"},"Provider":{"location":"querystring","locationName":"provider"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Links":{"type":"list","member":{"shape":"S2k"}},"NextToken":{}}}},"GetNetworkResourceCounts":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/network-resource-count"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"ResourceType":{"location":"querystring","locationName":"resourceType"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NetworkResourceCounts":{"type":"list","member":{"type":"structure","members":{"ResourceType":{},"Count":{"type":"integer"}}}},"NextToken":{}}}},"GetNetworkResourceRelationships":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/network-resource-relationships"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"CoreNetworkId":{"location":"querystring","locationName":"coreNetworkId"},"RegisteredGatewayArn":{"location":"querystring","locationName":"registeredGatewayArn"},"AwsRegion":{"location":"querystring","locationName":"awsRegion"},"AccountId":{"location":"querystring","locationName":"accountId"},"ResourceType":{"location":"querystring","locationName":"resourceType"},"ResourceArn":{"location":"querystring","locationName":"resourceArn"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Relationships":{"type":"list","member":{"type":"structure","members":{"From":{},"To":{}}}},"NextToken":{}}}},"GetNetworkResources":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/network-resources"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"CoreNetworkId":{"location":"querystring","locationName":"coreNetworkId"},"RegisteredGatewayArn":{"location":"querystring","locationName":"registeredGatewayArn"},"AwsRegion":{"location":"querystring","locationName":"awsRegion"},"AccountId":{"location":"querystring","locationName":"accountId"},"ResourceType":{"location":"querystring","locationName":"resourceType"},"ResourceArn":{"location":"querystring","locationName":"resourceArn"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NetworkResources":{"type":"list","member":{"type":"structure","members":{"RegisteredGatewayArn":{},"CoreNetworkId":{},"AwsRegion":{},"AccountId":{},"ResourceType":{},"ResourceId":{},"ResourceArn":{},"Definition":{},"DefinitionTimestamp":{"type":"timestamp"},"Tags":{"shape":"Se"},"Metadata":{"shape":"S5t"}}}},"NextToken":{}}}},"GetNetworkRoutes":{"http":{"requestUri":"/global-networks/{globalNetworkId}/network-routes"},"input":{"type":"structure","required":["GlobalNetworkId","RouteTableIdentifier"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"RouteTableIdentifier":{"type":"structure","members":{"TransitGatewayRouteTableArn":{},"CoreNetworkSegmentEdge":{"shape":"S5x"}}},"ExactCidrMatches":{"shape":"S1g"},"LongestPrefixMatches":{"shape":"S1g"},"SubnetOfMatches":{"shape":"S1g"},"SupernetOfMatches":{"shape":"S1g"},"PrefixListIds":{"shape":"S1g"},"States":{"type":"list","member":{}},"Types":{"type":"list","member":{}},"DestinationFilters":{"type":"map","key":{},"value":{"type":"list","member":{}}}}},"output":{"type":"structure","members":{"RouteTableArn":{},"CoreNetworkSegmentEdge":{"shape":"S5x"},"RouteTableType":{},"RouteTableTimestamp":{"type":"timestamp"},"NetworkRoutes":{"type":"list","member":{"type":"structure","members":{"DestinationCidrBlock":{},"Destinations":{"type":"list","member":{"type":"structure","members":{"CoreNetworkAttachmentId":{},"TransitGatewayAttachmentId":{},"SegmentName":{},"EdgeLocation":{},"ResourceType":{},"ResourceId":{}}}},"PrefixListId":{},"State":{},"Type":{}}}}}}},"GetNetworkTelemetry":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/network-telemetry"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"CoreNetworkId":{"location":"querystring","locationName":"coreNetworkId"},"RegisteredGatewayArn":{"location":"querystring","locationName":"registeredGatewayArn"},"AwsRegion":{"location":"querystring","locationName":"awsRegion"},"AccountId":{"location":"querystring","locationName":"accountId"},"ResourceType":{"location":"querystring","locationName":"resourceType"},"ResourceArn":{"location":"querystring","locationName":"resourceArn"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NetworkTelemetry":{"type":"list","member":{"type":"structure","members":{"RegisteredGatewayArn":{},"CoreNetworkId":{},"AwsRegion":{},"AccountId":{},"ResourceType":{},"ResourceId":{},"ResourceArn":{},"Address":{},"Health":{"type":"structure","members":{"Type":{},"Status":{},"Timestamp":{"type":"timestamp"}}}}}},"NextToken":{}}}},"GetResourcePolicy":{"http":{"method":"GET","requestUri":"/resource-policy/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"PolicyDocument":{"jsonvalue":true}}}},"GetRouteAnalysis":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/route-analyses/{routeAnalysisId}"},"input":{"type":"structure","required":["GlobalNetworkId","RouteAnalysisId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"RouteAnalysisId":{"location":"uri","locationName":"routeAnalysisId"}}},"output":{"type":"structure","members":{"RouteAnalysis":{"shape":"S6p"}}}},"GetSiteToSiteVpnAttachment":{"http":{"method":"GET","requestUri":"/site-to-site-vpn-attachments/{attachmentId}"},"input":{"type":"structure","required":["AttachmentId"],"members":{"AttachmentId":{"location":"uri","locationName":"attachmentId"}}},"output":{"type":"structure","members":{"SiteToSiteVpnAttachment":{"shape":"S2v"}}}},"GetSites":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/sites"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"SiteIds":{"location":"querystring","locationName":"siteIds","type":"list","member":{}},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Sites":{"type":"list","member":{"shape":"S2p"}},"NextToken":{}}}},"GetTransitGatewayConnectPeerAssociations":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/transit-gateway-connect-peer-associations"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"TransitGatewayConnectPeerArns":{"location":"querystring","locationName":"transitGatewayConnectPeerArns","type":"list","member":{}},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"TransitGatewayConnectPeerAssociations":{"type":"list","member":{"shape":"S14"}},"NextToken":{}}}},"GetTransitGatewayRegistrations":{"http":{"method":"GET","requestUri":"/global-networks/{globalNetworkId}/transit-gateway-registrations"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"TransitGatewayArns":{"location":"querystring","locationName":"transitGatewayArns","type":"list","member":{}},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"TransitGatewayRegistrations":{"type":"list","member":{"shape":"S3w"}},"NextToken":{}}}},"GetVpcAttachment":{"http":{"method":"GET","requestUri":"/vpc-attachments/{attachmentId}"},"input":{"type":"structure","required":["AttachmentId"],"members":{"AttachmentId":{"location":"uri","locationName":"attachmentId"}}},"output":{"type":"structure","members":{"VpcAttachment":{"shape":"S32"}}}},"ListAttachments":{"http":{"method":"GET","requestUri":"/attachments"},"input":{"type":"structure","members":{"CoreNetworkId":{"location":"querystring","locationName":"coreNetworkId"},"AttachmentType":{"location":"querystring","locationName":"attachmentType"},"EdgeLocation":{"location":"querystring","locationName":"edgeLocation"},"State":{"location":"querystring","locationName":"state"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Attachments":{"type":"list","member":{"shape":"S4"}},"NextToken":{}}}},"ListConnectPeers":{"http":{"method":"GET","requestUri":"/connect-peers"},"input":{"type":"structure","members":{"CoreNetworkId":{"location":"querystring","locationName":"coreNetworkId"},"ConnectAttachmentId":{"location":"querystring","locationName":"connectAttachmentId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"ConnectPeers":{"type":"list","member":{"type":"structure","members":{"CoreNetworkId":{},"ConnectAttachmentId":{},"ConnectPeerId":{},"EdgeLocation":{},"ConnectPeerState":{},"CreatedAt":{"type":"timestamp"},"Tags":{"shape":"Se"}}}},"NextToken":{}}}},"ListCoreNetworkPolicyVersions":{"http":{"method":"GET","requestUri":"/core-networks/{coreNetworkId}/core-network-policy-versions"},"input":{"type":"structure","required":["CoreNetworkId"],"members":{"CoreNetworkId":{"location":"uri","locationName":"coreNetworkId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"CoreNetworkPolicyVersions":{"type":"list","member":{"type":"structure","members":{"CoreNetworkId":{},"PolicyVersionId":{"type":"integer"},"Alias":{},"Description":{},"CreatedAt":{"type":"timestamp"},"ChangeSetState":{}}}},"NextToken":{}}}},"ListCoreNetworks":{"http":{"method":"GET","requestUri":"/core-networks"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"CoreNetworks":{"type":"list","member":{"type":"structure","members":{"CoreNetworkId":{},"CoreNetworkArn":{},"GlobalNetworkId":{},"OwnerAccountId":{},"State":{},"Description":{},"Tags":{"shape":"Se"}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"TagList":{"shape":"Se"}}}},"PutCoreNetworkPolicy":{"http":{"requestUri":"/core-networks/{coreNetworkId}/core-network-policy"},"input":{"type":"structure","required":["CoreNetworkId","PolicyDocument"],"members":{"CoreNetworkId":{"location":"uri","locationName":"coreNetworkId"},"PolicyDocument":{"jsonvalue":true},"Description":{},"LatestVersionId":{"type":"integer"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"CoreNetworkPolicy":{"shape":"S3d"}}}},"PutResourcePolicy":{"http":{"requestUri":"/resource-policy/{resourceArn}"},"input":{"type":"structure","required":["PolicyDocument","ResourceArn"],"members":{"PolicyDocument":{"jsonvalue":true},"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{}}},"RegisterTransitGateway":{"http":{"requestUri":"/global-networks/{globalNetworkId}/transit-gateway-registrations"},"input":{"type":"structure","required":["GlobalNetworkId","TransitGatewayArn"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"TransitGatewayArn":{}}},"output":{"type":"structure","members":{"TransitGatewayRegistration":{"shape":"S3w"}}}},"RejectAttachment":{"http":{"requestUri":"/attachments/{attachmentId}/reject"},"input":{"type":"structure","required":["AttachmentId"],"members":{"AttachmentId":{"location":"uri","locationName":"attachmentId"}}},"output":{"type":"structure","members":{"Attachment":{"shape":"S4"}}}},"RestoreCoreNetworkPolicyVersion":{"http":{"requestUri":"/core-networks/{coreNetworkId}/core-network-policy-versions/{policyVersionId}/restore"},"input":{"type":"structure","required":["CoreNetworkId","PolicyVersionId"],"members":{"CoreNetworkId":{"location":"uri","locationName":"coreNetworkId"},"PolicyVersionId":{"location":"uri","locationName":"policyVersionId","type":"integer"}}},"output":{"type":"structure","members":{"CoreNetworkPolicy":{"shape":"S3d"}}}},"StartRouteAnalysis":{"http":{"requestUri":"/global-networks/{globalNetworkId}/route-analyses"},"input":{"type":"structure","required":["GlobalNetworkId","Source","Destination"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"Source":{"shape":"S8b"},"Destination":{"shape":"S8b"},"IncludeReturnPath":{"type":"boolean"},"UseMiddleboxes":{"type":"boolean"}}},"output":{"type":"structure","members":{"RouteAnalysis":{"shape":"S6p"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"Se"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateConnection":{"http":{"method":"PATCH","requestUri":"/global-networks/{globalNetworkId}/connections/{connectionId}"},"input":{"type":"structure","required":["GlobalNetworkId","ConnectionId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"ConnectionId":{"location":"uri","locationName":"connectionId"},"LinkId":{},"ConnectedLinkId":{},"Description":{}}},"output":{"type":"structure","members":{"Connection":{"shape":"S1p"}}}},"UpdateCoreNetwork":{"http":{"method":"PATCH","requestUri":"/core-networks/{coreNetworkId}"},"input":{"type":"structure","required":["CoreNetworkId"],"members":{"CoreNetworkId":{"location":"uri","locationName":"coreNetworkId"},"Description":{}}},"output":{"type":"structure","members":{"CoreNetwork":{"shape":"S1w"}}}},"UpdateDevice":{"http":{"method":"PATCH","requestUri":"/global-networks/{globalNetworkId}/devices/{deviceId}"},"input":{"type":"structure","required":["GlobalNetworkId","DeviceId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"DeviceId":{"location":"uri","locationName":"deviceId"},"AWSLocation":{"shape":"S24"},"Description":{},"Type":{},"Vendor":{},"Model":{},"SerialNumber":{},"Location":{"shape":"S26"},"SiteId":{}}},"output":{"type":"structure","members":{"Device":{"shape":"S29"}}}},"UpdateGlobalNetwork":{"http":{"method":"PATCH","requestUri":"/global-networks/{globalNetworkId}"},"input":{"type":"structure","required":["GlobalNetworkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"Description":{}}},"output":{"type":"structure","members":{"GlobalNetwork":{"shape":"S2e"}}}},"UpdateLink":{"http":{"method":"PATCH","requestUri":"/global-networks/{globalNetworkId}/links/{linkId}"},"input":{"type":"structure","required":["GlobalNetworkId","LinkId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"LinkId":{"location":"uri","locationName":"linkId"},"Description":{},"Type":{},"Bandwidth":{"shape":"S2i"},"Provider":{}}},"output":{"type":"structure","members":{"Link":{"shape":"S2k"}}}},"UpdateNetworkResourceMetadata":{"http":{"method":"PATCH","requestUri":"/global-networks/{globalNetworkId}/network-resources/{resourceArn}/metadata"},"input":{"type":"structure","required":["GlobalNetworkId","ResourceArn","Metadata"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Metadata":{"shape":"S5t"}}},"output":{"type":"structure","members":{"ResourceArn":{},"Metadata":{"shape":"S5t"}}}},"UpdateSite":{"http":{"method":"PATCH","requestUri":"/global-networks/{globalNetworkId}/sites/{siteId}"},"input":{"type":"structure","required":["GlobalNetworkId","SiteId"],"members":{"GlobalNetworkId":{"location":"uri","locationName":"globalNetworkId"},"SiteId":{"location":"uri","locationName":"siteId"},"Description":{},"Location":{"shape":"S26"}}},"output":{"type":"structure","members":{"Site":{"shape":"S2p"}}}},"UpdateVpcAttachment":{"http":{"method":"PATCH","requestUri":"/vpc-attachments/{attachmentId}"},"input":{"type":"structure","required":["AttachmentId"],"members":{"AttachmentId":{"location":"uri","locationName":"attachmentId"},"AddSubnetArns":{"shape":"S2y"},"RemoveSubnetArns":{"shape":"S2y"},"Options":{"shape":"S2z"}}},"output":{"type":"structure","members":{"VpcAttachment":{"shape":"S32"}}}}},"shapes":{"S4":{"type":"structure","members":{"CoreNetworkId":{},"CoreNetworkArn":{},"AttachmentId":{},"OwnerAccountId":{},"AttachmentType":{},"State":{},"EdgeLocation":{},"ResourceArn":{},"AttachmentPolicyRuleNumber":{"type":"integer"},"SegmentName":{},"Tags":{"shape":"Se"},"ProposedSegmentChange":{"type":"structure","members":{"Tags":{"shape":"Se"},"AttachmentPolicyRuleNumber":{"type":"integer"},"SegmentName":{}}},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"}}},"Se":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"Sq":{"type":"structure","members":{"ConnectPeerId":{},"GlobalNetworkId":{},"DeviceId":{},"LinkId":{},"State":{}}},"Sv":{"type":"structure","members":{"CustomerGatewayArn":{},"GlobalNetworkId":{},"DeviceId":{},"LinkId":{},"State":{}}},"Sz":{"type":"structure","members":{"GlobalNetworkId":{},"DeviceId":{},"LinkId":{},"LinkAssociationState":{}}},"S14":{"type":"structure","members":{"TransitGatewayConnectPeerArn":{},"GlobalNetworkId":{},"DeviceId":{},"LinkId":{},"State":{}}},"S17":{"type":"structure","members":{"Protocol":{}}},"S1b":{"type":"structure","members":{"Attachment":{"shape":"S4"},"TransportAttachmentId":{},"Options":{"shape":"S17"}}},"S1g":{"type":"list","member":{}},"S1i":{"type":"structure","members":{"CoreNetworkId":{},"ConnectAttachmentId":{},"ConnectPeerId":{},"EdgeLocation":{},"State":{},"CreatedAt":{"type":"timestamp"},"Configuration":{"type":"structure","members":{"CoreNetworkAddress":{},"PeerAddress":{},"InsideCidrBlocks":{"shape":"S1g"},"Protocol":{},"BgpConfigurations":{"type":"list","member":{"type":"structure","members":{"CoreNetworkAsn":{"type":"long"},"PeerAsn":{"type":"long"},"CoreNetworkAddress":{},"PeerAddress":{}}}}}},"Tags":{"shape":"Se"}}},"S1p":{"type":"structure","members":{"ConnectionId":{},"ConnectionArn":{},"GlobalNetworkId":{},"DeviceId":{},"ConnectedDeviceId":{},"LinkId":{},"ConnectedLinkId":{},"Description":{},"CreatedAt":{"type":"timestamp"},"State":{},"Tags":{"shape":"Se"}}},"S1w":{"type":"structure","members":{"GlobalNetworkId":{},"CoreNetworkId":{},"CoreNetworkArn":{},"Description":{},"CreatedAt":{"type":"timestamp"},"State":{},"Segments":{"type":"list","member":{"type":"structure","members":{"Name":{},"EdgeLocations":{"shape":"S20"},"SharedSegments":{"shape":"S1g"}}}},"Edges":{"type":"list","member":{"type":"structure","members":{"EdgeLocation":{},"Asn":{"type":"long"},"InsideCidrBlocks":{"shape":"S1g"}}}},"Tags":{"shape":"Se"}}},"S20":{"type":"list","member":{}},"S24":{"type":"structure","members":{"Zone":{},"SubnetArn":{}}},"S26":{"type":"structure","members":{"Address":{},"Latitude":{},"Longitude":{}},"sensitive":true},"S29":{"type":"structure","members":{"DeviceId":{},"DeviceArn":{},"GlobalNetworkId":{},"AWSLocation":{"shape":"S24"},"Description":{},"Type":{},"Vendor":{},"Model":{},"SerialNumber":{},"Location":{"shape":"S26"},"SiteId":{},"CreatedAt":{"type":"timestamp"},"State":{},"Tags":{"shape":"Se"}}},"S2e":{"type":"structure","members":{"GlobalNetworkId":{},"GlobalNetworkArn":{},"Description":{},"CreatedAt":{"type":"timestamp"},"State":{},"Tags":{"shape":"Se"}}},"S2i":{"type":"structure","members":{"UploadSpeed":{"type":"integer"},"DownloadSpeed":{"type":"integer"}}},"S2k":{"type":"structure","members":{"LinkId":{},"LinkArn":{},"GlobalNetworkId":{},"SiteId":{},"Description":{},"Type":{},"Bandwidth":{"shape":"S2i"},"Provider":{},"CreatedAt":{"type":"timestamp"},"State":{},"Tags":{"shape":"Se"}}},"S2p":{"type":"structure","members":{"SiteId":{},"SiteArn":{},"GlobalNetworkId":{},"Description":{},"Location":{"shape":"S26"},"CreatedAt":{"type":"timestamp"},"State":{},"Tags":{"shape":"Se"}}},"S2v":{"type":"structure","members":{"Attachment":{"shape":"S4"},"VpnConnectionArn":{}}},"S2y":{"type":"list","member":{}},"S2z":{"type":"structure","members":{"Ipv6Support":{"type":"boolean"}}},"S32":{"type":"structure","members":{"Attachment":{"shape":"S4"},"SubnetArns":{"shape":"S2y"},"Options":{"shape":"S2z"}}},"S3d":{"type":"structure","members":{"CoreNetworkId":{},"PolicyVersionId":{"type":"integer"},"Alias":{},"Description":{},"CreatedAt":{"type":"timestamp"},"ChangeSetState":{},"PolicyErrors":{"type":"list","member":{"type":"structure","required":["ErrorCode","Message"],"members":{"ErrorCode":{},"Message":{},"Path":{}}}},"PolicyDocument":{"jsonvalue":true}}},"S3w":{"type":"structure","members":{"GlobalNetworkId":{},"TransitGatewayArn":{},"State":{"type":"structure","members":{"Code":{},"Message":{}}}}},"S4z":{"type":"structure","members":{"SegmentName":{},"EdgeLocations":{"shape":"S20"},"Asn":{"type":"long"},"Cidr":{},"DestinationIdentifier":{},"InsideCidrBlocks":{"shape":"S1g"},"SharedSegments":{"shape":"S1g"}}},"S5t":{"type":"map","key":{},"value":{}},"S5x":{"type":"structure","members":{"CoreNetworkId":{},"SegmentName":{},"EdgeLocation":{}}},"S6p":{"type":"structure","members":{"GlobalNetworkId":{},"OwnerAccountId":{},"RouteAnalysisId":{},"StartTimestamp":{"type":"timestamp"},"Status":{},"Source":{"shape":"S6r"},"Destination":{"shape":"S6r"},"IncludeReturnPath":{"type":"boolean"},"UseMiddleboxes":{"type":"boolean"},"ForwardPath":{"shape":"S6t"},"ReturnPath":{"shape":"S6t"}}},"S6r":{"type":"structure","members":{"TransitGatewayAttachmentArn":{},"TransitGatewayArn":{},"IpAddress":{}}},"S6t":{"type":"structure","members":{"CompletionStatus":{"type":"structure","members":{"ResultCode":{},"ReasonCode":{},"ReasonContext":{"type":"map","key":{},"value":{}}}},"Path":{"type":"list","member":{"type":"structure","members":{"Sequence":{"type":"integer"},"Resource":{"type":"structure","members":{"RegisteredGatewayArn":{},"ResourceArn":{},"ResourceType":{},"Definition":{},"NameTag":{},"IsMiddlebox":{"type":"boolean"}}},"DestinationCidrBlock":{}}}}}},"S8b":{"type":"structure","members":{"TransitGatewayAttachmentArn":{},"IpAddress":{}}}}}');

/***/ }),

/***/ 68278:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeGlobalNetworks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"GlobalNetworks"},"GetConnectPeerAssociations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ConnectPeerAssociations"},"GetConnections":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Connections"},"GetCoreNetworkChangeSet":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"CoreNetworkChanges"},"GetCustomerGatewayAssociations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"CustomerGatewayAssociations"},"GetDevices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Devices"},"GetLinkAssociations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"LinkAssociations"},"GetLinks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Links"},"GetNetworkResourceCounts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"NetworkResourceCounts"},"GetNetworkResourceRelationships":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Relationships"},"GetNetworkResources":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"NetworkResources"},"GetNetworkTelemetry":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"NetworkTelemetry"},"GetSites":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Sites"},"GetTransitGatewayConnectPeerAssociations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"TransitGatewayConnectPeerAssociations"},"GetTransitGatewayRegistrations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"TransitGatewayRegistrations"},"ListAttachments":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Attachments"},"ListConnectPeers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ConnectPeers"},"ListCoreNetworkPolicyVersions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"CoreNetworkPolicyVersions"},"ListCoreNetworks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"CoreNetworks"}}}');

/***/ }),

/***/ 50605:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-08-01","endpointPrefix":"nimble","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AmazonNimbleStudio","serviceId":"nimble","signatureVersion":"v4","signingName":"nimble","uid":"nimble-2020-08-01"},"operations":{"AcceptEulas":{"http":{"requestUri":"/2020-08-01/studios/{studioId}/eula-acceptances","responseCode":200},"input":{"type":"structure","required":["studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"eulaIds":{"shape":"S3"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"eulaAcceptances":{"shape":"S6"}}}},"CreateLaunchProfile":{"http":{"requestUri":"/2020-08-01/studios/{studioId}/launch-profiles","responseCode":200},"input":{"type":"structure","required":["ec2SubnetIds","launchProfileProtocolVersions","name","streamConfiguration","studioComponentIds","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"description":{"shape":"Sc"},"ec2SubnetIds":{"shape":"Sd"},"launchProfileProtocolVersions":{"shape":"Sf"},"name":{"shape":"Sh"},"streamConfiguration":{"shape":"Si"},"studioComponentIds":{"shape":"Sq"},"studioId":{"location":"uri","locationName":"studioId"},"tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{"launchProfile":{"shape":"St"}}}},"CreateStreamingImage":{"http":{"requestUri":"/2020-08-01/studios/{studioId}/streaming-images","responseCode":200},"input":{"type":"structure","required":["ec2ImageId","name","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"description":{"type":"string","sensitive":true},"ec2ImageId":{},"name":{"type":"string","sensitive":true},"studioId":{"location":"uri","locationName":"studioId"},"tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{"streamingImage":{"shape":"S13"}}}},"CreateStreamingSession":{"http":{"requestUri":"/2020-08-01/studios/{studioId}/streaming-sessions","responseCode":200},"input":{"type":"structure","required":["studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"ec2InstanceType":{},"launchProfileId":{},"ownedBy":{},"streamingImageId":{},"studioId":{"location":"uri","locationName":"studioId"},"tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{"session":{"shape":"S1f"}}}},"CreateStreamingSessionStream":{"http":{"requestUri":"/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}/streams","responseCode":200},"input":{"type":"structure","required":["sessionId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"expirationInSeconds":{"type":"integer"},"sessionId":{"location":"uri","locationName":"sessionId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"stream":{"shape":"S1m"}}},"idempotent":true},"CreateStudio":{"http":{"requestUri":"/2020-08-01/studios","responseCode":200},"input":{"type":"structure","required":["adminRoleArn","displayName","studioName","userRoleArn"],"members":{"adminRoleArn":{},"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"displayName":{"type":"string","sensitive":true},"studioEncryptionConfiguration":{"shape":"S1s"},"studioName":{},"tags":{"shape":"Sr"},"userRoleArn":{}}},"output":{"type":"structure","members":{"studio":{"shape":"S1x"}}}},"CreateStudioComponent":{"http":{"requestUri":"/2020-08-01/studios/{studioId}/studio-components","responseCode":200},"input":{"type":"structure","required":["name","studioId","type"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"configuration":{"shape":"S23"},"description":{"shape":"S2j"},"ec2SecurityGroupIds":{"shape":"S2k"},"initializationScripts":{"shape":"S2m"},"name":{"shape":"S2r"},"scriptParameters":{"shape":"S2s"},"studioId":{"location":"uri","locationName":"studioId"},"subtype":{},"tags":{"shape":"Sr"},"type":{}}},"output":{"type":"structure","members":{"studioComponent":{"shape":"S2z"}}}},"DeleteLaunchProfile":{"http":{"method":"DELETE","requestUri":"/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}","responseCode":200},"input":{"type":"structure","required":["launchProfileId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"launchProfileId":{"location":"uri","locationName":"launchProfileId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"launchProfile":{"shape":"St"}}},"idempotent":true},"DeleteLaunchProfileMember":{"http":{"method":"DELETE","requestUri":"/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/membership/{principalId}","responseCode":200},"input":{"type":"structure","required":["launchProfileId","principalId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"launchProfileId":{"location":"uri","locationName":"launchProfileId"},"principalId":{"location":"uri","locationName":"principalId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteStreamingImage":{"http":{"method":"DELETE","requestUri":"/2020-08-01/studios/{studioId}/streaming-images/{streamingImageId}","responseCode":200},"input":{"type":"structure","required":["streamingImageId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"streamingImageId":{"location":"uri","locationName":"streamingImageId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"streamingImage":{"shape":"S13"}}},"idempotent":true},"DeleteStreamingSession":{"http":{"method":"DELETE","requestUri":"/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}","responseCode":200},"input":{"type":"structure","required":["sessionId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"sessionId":{"location":"uri","locationName":"sessionId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"session":{"shape":"S1f"}}},"idempotent":true},"DeleteStudio":{"http":{"method":"DELETE","requestUri":"/2020-08-01/studios/{studioId}","responseCode":200},"input":{"type":"structure","required":["studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","required":["studio"],"members":{"studio":{"shape":"S1x"}}},"idempotent":true},"DeleteStudioComponent":{"http":{"method":"DELETE","requestUri":"/2020-08-01/studios/{studioId}/studio-components/{studioComponentId}","responseCode":200},"input":{"type":"structure","required":["studioComponentId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"studioComponentId":{"location":"uri","locationName":"studioComponentId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"studioComponent":{"shape":"S2z"}}},"idempotent":true},"DeleteStudioMember":{"http":{"method":"DELETE","requestUri":"/2020-08-01/studios/{studioId}/membership/{principalId}","responseCode":200},"input":{"type":"structure","required":["principalId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"principalId":{"location":"uri","locationName":"principalId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{}},"idempotent":true},"GetEula":{"http":{"method":"GET","requestUri":"/2020-08-01/eulas/{eulaId}","responseCode":200},"input":{"type":"structure","required":["eulaId"],"members":{"eulaId":{"location":"uri","locationName":"eulaId"}}},"output":{"type":"structure","members":{"eula":{"shape":"S3j"}}}},"GetLaunchProfile":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}","responseCode":200},"input":{"type":"structure","required":["launchProfileId","studioId"],"members":{"launchProfileId":{"location":"uri","locationName":"launchProfileId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"launchProfile":{"shape":"St"}}}},"GetLaunchProfileDetails":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/details","responseCode":200},"input":{"type":"structure","required":["launchProfileId","studioId"],"members":{"launchProfileId":{"location":"uri","locationName":"launchProfileId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"launchProfile":{"shape":"St"},"streamingImages":{"shape":"S3p"},"studioComponentSummaries":{"type":"list","member":{"type":"structure","members":{"createdAt":{"shape":"S8"},"createdBy":{},"description":{"shape":"S2j"},"name":{"shape":"S2r"},"studioComponentId":{},"subtype":{},"type":{},"updatedAt":{"shape":"S8"},"updatedBy":{}}}}}}},"GetLaunchProfileInitialization":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/init","responseCode":200},"input":{"type":"structure","required":["launchProfileId","launchProfileProtocolVersions","launchPurpose","platform","studioId"],"members":{"launchProfileId":{"location":"uri","locationName":"launchProfileId"},"launchProfileProtocolVersions":{"shape":"S3t","location":"querystring","locationName":"launchProfileProtocolVersions"},"launchPurpose":{"location":"querystring","locationName":"launchPurpose"},"platform":{"location":"querystring","locationName":"platform"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"launchProfileInitialization":{"type":"structure","members":{"activeDirectory":{"type":"structure","members":{"computerAttributes":{"shape":"S25"},"directoryId":{},"directoryName":{},"dnsIpAddresses":{"type":"list","member":{}},"organizationalUnitDistinguishedName":{},"studioComponentId":{},"studioComponentName":{"shape":"S2r"}}},"ec2SecurityGroupIds":{"type":"list","member":{}},"launchProfileId":{},"launchProfileProtocolVersion":{},"launchPurpose":{},"name":{"shape":"Sh"},"platform":{},"systemInitializationScripts":{"shape":"S41"},"userInitializationScripts":{"shape":"S41"}}}}}},"GetLaunchProfileMember":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/membership/{principalId}","responseCode":200},"input":{"type":"structure","required":["launchProfileId","principalId","studioId"],"members":{"launchProfileId":{"location":"uri","locationName":"launchProfileId"},"principalId":{"location":"uri","locationName":"principalId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"member":{"shape":"S45"}}}},"GetStreamingImage":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/streaming-images/{streamingImageId}","responseCode":200},"input":{"type":"structure","required":["streamingImageId","studioId"],"members":{"streamingImageId":{"location":"uri","locationName":"streamingImageId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"streamingImage":{"shape":"S13"}}}},"GetStreamingSession":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}","responseCode":200},"input":{"type":"structure","required":["sessionId","studioId"],"members":{"sessionId":{"location":"uri","locationName":"sessionId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"session":{"shape":"S1f"}}}},"GetStreamingSessionStream":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}/streams/{streamId}","responseCode":200},"input":{"type":"structure","required":["sessionId","streamId","studioId"],"members":{"sessionId":{"location":"uri","locationName":"sessionId"},"streamId":{"location":"uri","locationName":"streamId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"stream":{"shape":"S1m"}}}},"GetStudio":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}","responseCode":200},"input":{"type":"structure","required":["studioId"],"members":{"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","required":["studio"],"members":{"studio":{"shape":"S1x"}}}},"GetStudioComponent":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/studio-components/{studioComponentId}","responseCode":200},"input":{"type":"structure","required":["studioComponentId","studioId"],"members":{"studioComponentId":{"location":"uri","locationName":"studioComponentId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"studioComponent":{"shape":"S2z"}}}},"GetStudioMember":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/membership/{principalId}","responseCode":200},"input":{"type":"structure","required":["principalId","studioId"],"members":{"principalId":{"location":"uri","locationName":"principalId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"member":{"shape":"S4j"}}}},"ListEulaAcceptances":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/eula-acceptances","responseCode":200},"input":{"type":"structure","required":["studioId"],"members":{"eulaIds":{"shape":"S3t","location":"querystring","locationName":"eulaIds"},"nextToken":{"location":"querystring","locationName":"nextToken"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"eulaAcceptances":{"shape":"S6"},"nextToken":{}}}},"ListEulas":{"http":{"method":"GET","requestUri":"/2020-08-01/eulas","responseCode":200},"input":{"type":"structure","members":{"eulaIds":{"shape":"S3t","location":"querystring","locationName":"eulaIds"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"eulas":{"type":"list","member":{"shape":"S3j"}},"nextToken":{}}}},"ListLaunchProfileMembers":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/membership","responseCode":200},"input":{"type":"structure","required":["launchProfileId","studioId"],"members":{"launchProfileId":{"location":"uri","locationName":"launchProfileId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"members":{"type":"list","member":{"shape":"S45"}},"nextToken":{}}}},"ListLaunchProfiles":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/launch-profiles","responseCode":200},"input":{"type":"structure","required":["studioId"],"members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"principalId":{"location":"querystring","locationName":"principalId"},"states":{"shape":"S3t","location":"querystring","locationName":"states"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"launchProfiles":{"type":"list","member":{"shape":"St"}},"nextToken":{}}}},"ListStreamingImages":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/streaming-images","responseCode":200},"input":{"type":"structure","required":["studioId"],"members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"owner":{"location":"querystring","locationName":"owner"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"nextToken":{},"streamingImages":{"shape":"S3p"}}}},"ListStreamingSessions":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/streaming-sessions","responseCode":200},"input":{"type":"structure","required":["studioId"],"members":{"createdBy":{"location":"querystring","locationName":"createdBy"},"nextToken":{"location":"querystring","locationName":"nextToken"},"ownedBy":{"location":"querystring","locationName":"ownedBy"},"sessionIds":{"location":"querystring","locationName":"sessionIds"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"nextToken":{},"sessions":{"type":"list","member":{"shape":"S1f"}}}}},"ListStudioComponents":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/studio-components","responseCode":200},"input":{"type":"structure","required":["studioId"],"members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"states":{"shape":"S3t","location":"querystring","locationName":"states"},"studioId":{"location":"uri","locationName":"studioId"},"types":{"shape":"S3t","location":"querystring","locationName":"types"}}},"output":{"type":"structure","members":{"nextToken":{},"studioComponents":{"type":"list","member":{"shape":"S2z"}}}}},"ListStudioMembers":{"http":{"method":"GET","requestUri":"/2020-08-01/studios/{studioId}/membership","responseCode":200},"input":{"type":"structure","required":["studioId"],"members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"members":{"type":"list","member":{"shape":"S4j"}},"nextToken":{}}}},"ListStudios":{"http":{"method":"GET","requestUri":"/2020-08-01/studios","responseCode":200},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["studios"],"members":{"nextToken":{},"studios":{"type":"list","member":{"shape":"S1x"}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/2020-08-01/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sr"}}}},"PutLaunchProfileMembers":{"http":{"requestUri":"/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/membership","responseCode":200},"input":{"type":"structure","required":["identityStoreId","launchProfileId","members","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"identityStoreId":{},"launchProfileId":{"location":"uri","locationName":"launchProfileId"},"members":{"type":"list","member":{"type":"structure","required":["persona","principalId"],"members":{"persona":{},"principalId":{}}}},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{}}},"PutStudioMembers":{"http":{"requestUri":"/2020-08-01/studios/{studioId}/membership","responseCode":200},"input":{"type":"structure","required":["identityStoreId","members","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"identityStoreId":{},"members":{"type":"list","member":{"type":"structure","required":["persona","principalId"],"members":{"persona":{},"principalId":{}}}},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{}}},"StartStreamingSession":{"http":{"requestUri":"/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}/start","responseCode":200},"input":{"type":"structure","required":["sessionId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"sessionId":{"location":"uri","locationName":"sessionId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"session":{"shape":"S1f"}}},"idempotent":true},"StartStudioSSOConfigurationRepair":{"http":{"method":"PUT","requestUri":"/2020-08-01/studios/{studioId}/sso-configuration","responseCode":200},"input":{"type":"structure","required":["studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","required":["studio"],"members":{"studio":{"shape":"S1x"}}},"idempotent":true},"StopStreamingSession":{"http":{"requestUri":"/2020-08-01/studios/{studioId}/streaming-sessions/{sessionId}/stop","responseCode":200},"input":{"type":"structure","required":["sessionId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"sessionId":{"location":"uri","locationName":"sessionId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"session":{"shape":"S1f"}}},"idempotent":true},"TagResource":{"http":{"requestUri":"/2020-08-01/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/2020-08-01/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"shape":"S3t","location":"querystring","locationName":"tagKeys"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateLaunchProfile":{"http":{"method":"PATCH","requestUri":"/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}","responseCode":200},"input":{"type":"structure","required":["launchProfileId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"description":{"shape":"Sc"},"launchProfileId":{"location":"uri","locationName":"launchProfileId"},"launchProfileProtocolVersions":{"shape":"Sf"},"name":{"shape":"Sh"},"streamConfiguration":{"shape":"Si"},"studioComponentIds":{"shape":"Sq"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"launchProfile":{"shape":"St"}}}},"UpdateLaunchProfileMember":{"http":{"method":"PATCH","requestUri":"/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/membership/{principalId}","responseCode":200},"input":{"type":"structure","required":["launchProfileId","persona","principalId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"launchProfileId":{"location":"uri","locationName":"launchProfileId"},"persona":{},"principalId":{"location":"uri","locationName":"principalId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"member":{"shape":"S45"}}}},"UpdateStreamingImage":{"http":{"method":"PATCH","requestUri":"/2020-08-01/studios/{studioId}/streaming-images/{streamingImageId}","responseCode":200},"input":{"type":"structure","required":["streamingImageId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"description":{"type":"string","sensitive":true},"name":{"type":"string","sensitive":true},"streamingImageId":{"location":"uri","locationName":"streamingImageId"},"studioId":{"location":"uri","locationName":"studioId"}}},"output":{"type":"structure","members":{"streamingImage":{"shape":"S13"}}}},"UpdateStudio":{"http":{"method":"PATCH","requestUri":"/2020-08-01/studios/{studioId}","responseCode":200},"input":{"type":"structure","required":["studioId"],"members":{"adminRoleArn":{},"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"displayName":{"type":"string","sensitive":true},"studioId":{"location":"uri","locationName":"studioId"},"userRoleArn":{}}},"output":{"type":"structure","required":["studio"],"members":{"studio":{"shape":"S1x"}}}},"UpdateStudioComponent":{"http":{"method":"PATCH","requestUri":"/2020-08-01/studios/{studioId}/studio-components/{studioComponentId}","responseCode":200},"input":{"type":"structure","required":["studioComponentId","studioId"],"members":{"clientToken":{"idempotencyToken":true,"location":"header","locationName":"X-Amz-Client-Token"},"configuration":{"shape":"S23"},"description":{"shape":"S2j"},"ec2SecurityGroupIds":{"shape":"S2k"},"initializationScripts":{"shape":"S2m"},"name":{"shape":"S2r"},"scriptParameters":{"shape":"S2s"},"studioComponentId":{"location":"uri","locationName":"studioComponentId"},"studioId":{"location":"uri","locationName":"studioId"},"subtype":{},"type":{}}},"output":{"type":"structure","members":{"studioComponent":{"shape":"S2z"}}}}},"shapes":{"S3":{"type":"list","member":{}},"S6":{"type":"list","member":{"type":"structure","members":{"acceptedAt":{"shape":"S8"},"acceptedBy":{},"accepteeId":{},"eulaAcceptanceId":{},"eulaId":{}}}},"S8":{"type":"timestamp","timestampFormat":"iso8601"},"Sc":{"type":"string","sensitive":true},"Sd":{"type":"list","member":{}},"Sf":{"type":"list","member":{}},"Sh":{"type":"string","sensitive":true},"Si":{"type":"structure","required":["clipboardMode","ec2InstanceTypes","streamingImageIds"],"members":{"clipboardMode":{},"ec2InstanceTypes":{"shape":"Sk"},"maxSessionLengthInMinutes":{"type":"integer"},"maxStoppedSessionLengthInMinutes":{"type":"integer"},"streamingImageIds":{"shape":"So"}}},"Sk":{"type":"list","member":{}},"So":{"type":"list","member":{}},"Sq":{"type":"list","member":{}},"Sr":{"type":"map","key":{},"value":{}},"St":{"type":"structure","members":{"arn":{},"createdAt":{"shape":"S8"},"createdBy":{},"description":{"shape":"Sc"},"ec2SubnetIds":{"shape":"Sd"},"launchProfileId":{},"launchProfileProtocolVersions":{"shape":"Sf"},"name":{"shape":"Sh"},"state":{},"statusCode":{},"statusMessage":{},"streamConfiguration":{"type":"structure","required":["clipboardMode","ec2InstanceTypes","streamingImageIds"],"members":{"clipboardMode":{},"ec2InstanceTypes":{"shape":"Sk"},"maxSessionLengthInMinutes":{"type":"integer"},"maxStoppedSessionLengthInMinutes":{"type":"integer"},"streamingImageIds":{"shape":"So"}}},"studioComponentIds":{"shape":"Sq"},"tags":{"shape":"Sr"},"updatedAt":{"shape":"S8"},"updatedBy":{}}},"S13":{"type":"structure","members":{"arn":{},"description":{"type":"string","sensitive":true},"ec2ImageId":{},"encryptionConfiguration":{"type":"structure","required":["keyType"],"members":{"keyArn":{},"keyType":{}}},"eulaIds":{"shape":"S3"},"name":{"type":"string","sensitive":true},"owner":{},"platform":{},"state":{},"statusCode":{},"statusMessage":{},"streamingImageId":{},"tags":{"shape":"Sr"}}},"S1f":{"type":"structure","members":{"arn":{},"createdAt":{"shape":"S8"},"createdBy":{},"ec2InstanceType":{},"launchProfileId":{},"ownedBy":{},"sessionId":{},"startedAt":{"shape":"S8"},"startedBy":{},"state":{},"statusCode":{},"statusMessage":{},"stopAt":{"shape":"S8"},"stoppedAt":{"shape":"S8"},"stoppedBy":{},"streamingImageId":{},"tags":{"shape":"Sr"},"terminateAt":{"shape":"S8"},"updatedAt":{"shape":"S8"},"updatedBy":{}}},"S1m":{"type":"structure","members":{"createdAt":{"shape":"S8"},"createdBy":{},"expiresAt":{"shape":"S8"},"ownedBy":{},"state":{},"statusCode":{},"streamId":{},"url":{"type":"string","sensitive":true}}},"S1s":{"type":"structure","required":["keyType"],"members":{"keyArn":{},"keyType":{}}},"S1x":{"type":"structure","members":{"adminRoleArn":{},"arn":{},"createdAt":{"shape":"S8"},"displayName":{"type":"string","sensitive":true},"homeRegion":{},"ssoClientId":{},"state":{},"statusCode":{},"statusMessage":{},"studioEncryptionConfiguration":{"shape":"S1s"},"studioId":{},"studioName":{},"studioUrl":{},"tags":{"shape":"Sr"},"updatedAt":{"shape":"S8"},"userRoleArn":{}}},"S23":{"type":"structure","members":{"activeDirectoryConfiguration":{"type":"structure","members":{"computerAttributes":{"shape":"S25"},"directoryId":{},"organizationalUnitDistinguishedName":{}}},"computeFarmConfiguration":{"type":"structure","members":{"activeDirectoryUser":{},"endpoint":{"type":"string","sensitive":true}}},"licenseServiceConfiguration":{"type":"structure","members":{"endpoint":{"type":"string","sensitive":true}}},"sharedFileSystemConfiguration":{"type":"structure","members":{"endpoint":{"shape":"S2g"},"fileSystemId":{},"linuxMountPoint":{"type":"string","sensitive":true},"shareName":{"shape":"S2g"},"windowsMountDrive":{}}}},"union":true},"S25":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{}}},"sensitive":true},"S2g":{"type":"string","sensitive":true},"S2j":{"type":"string","sensitive":true},"S2k":{"type":"list","member":{}},"S2m":{"type":"list","member":{"type":"structure","members":{"launchProfileProtocolVersion":{},"platform":{},"runContext":{},"script":{"shape":"S2q"}}}},"S2q":{"type":"string","sensitive":true},"S2r":{"type":"string","sensitive":true},"S2s":{"type":"list","member":{"type":"structure","members":{"key":{},"value":{}}},"sensitive":true},"S2z":{"type":"structure","members":{"arn":{},"configuration":{"shape":"S23"},"createdAt":{"shape":"S8"},"createdBy":{},"description":{"shape":"S2j"},"ec2SecurityGroupIds":{"shape":"S2k"},"initializationScripts":{"shape":"S2m"},"name":{"shape":"S2r"},"scriptParameters":{"shape":"S2s"},"state":{},"statusCode":{},"statusMessage":{},"studioComponentId":{},"subtype":{},"tags":{"shape":"Sr"},"type":{},"updatedAt":{"shape":"S8"},"updatedBy":{}}},"S3j":{"type":"structure","members":{"content":{},"createdAt":{"shape":"S8"},"eulaId":{},"name":{},"updatedAt":{"shape":"S8"}}},"S3p":{"type":"list","member":{"shape":"S13"}},"S3t":{"type":"list","member":{}},"S41":{"type":"list","member":{"type":"structure","members":{"script":{"shape":"S2q"},"studioComponentId":{},"studioComponentName":{"shape":"S2r"}}}},"S45":{"type":"structure","members":{"identityStoreId":{},"persona":{},"principalId":{},"sid":{}}},"S4j":{"type":"structure","members":{"identityStoreId":{},"persona":{},"principalId":{},"sid":{}}}}}');

/***/ }),

/***/ 65300:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListEulaAcceptances":{"input_token":"nextToken","output_token":"nextToken","result_key":"eulaAcceptances"},"ListEulas":{"input_token":"nextToken","output_token":"nextToken","result_key":"eulas"},"ListLaunchProfileMembers":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"members"},"ListLaunchProfiles":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"launchProfiles"},"ListStreamingImages":{"input_token":"nextToken","output_token":"nextToken","result_key":"streamingImages"},"ListStreamingSessions":{"input_token":"nextToken","output_token":"nextToken","result_key":"sessions"},"ListStudioComponents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"studioComponents"},"ListStudioMembers":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"members"},"ListStudios":{"input_token":"nextToken","output_token":"nextToken","result_key":"studios"}}}');

/***/ }),

/***/ 42486:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"LaunchProfileDeleted":{"description":"Wait until a LaunchProfile is Deleted. Use this after invoking DeleteLaunchProfile","delay":5,"maxAttempts":150,"operation":"GetLaunchProfile","acceptors":[{"matcher":"path","argument":"launchProfile.state","state":"success","expected":"DELETED"},{"matcher":"path","argument":"launchProfile.state","state":"failure","expected":"DELETE_FAILED"}]},"LaunchProfileReady":{"description":"Wait until a LaunchProfile is Ready. Use this after invoking CreateLaunchProfile or UpdateLaunchProfile","delay":5,"maxAttempts":150,"operation":"GetLaunchProfile","acceptors":[{"matcher":"path","argument":"launchProfile.state","state":"success","expected":"READY"},{"matcher":"path","argument":"launchProfile.state","state":"failure","expected":"CREATE_FAILED"},{"matcher":"path","argument":"launchProfile.state","state":"failure","expected":"UPDATE_FAILED"}]},"StreamingImageDeleted":{"description":"Wait until a StreamingImage Deleted. Use this after invoking DeleteStreamingImage","delay":2,"maxAttempts":60,"operation":"GetStreamingImage","acceptors":[{"matcher":"path","argument":"streamingImage.state","state":"success","expected":"DELETED"},{"matcher":"path","argument":"streamingImage.state","state":"failure","expected":"DELETE_FAILED"}]},"StreamingImageReady":{"description":"Wait until a StreamingImage is Ready. Use this after invoking CreateStreamingImage or UpdateStreamingImage","delay":2,"maxAttempts":60,"operation":"GetStreamingImage","acceptors":[{"matcher":"path","argument":"streamingImage.state","state":"success","expected":"READY"},{"matcher":"path","argument":"streamingImage.state","state":"failure","expected":"CREATE_FAILED"},{"matcher":"path","argument":"streamingImage.state","state":"failure","expected":"UPDATE_FAILED"}]},"StreamingSessionDeleted":{"description":"Wait until a StreamingSessionDeleted. Use this after invoking Deletesession","delay":5,"maxAttempts":180,"operation":"GetStreamingSession","acceptors":[{"matcher":"path","argument":"session.state","state":"success","expected":"DELETED"},{"matcher":"path","argument":"session.state","state":"failure","expected":"DELETE_FAILED"}]},"StreamingSessionReady":{"description":"Wait until a StreamingSession is ready. Use this after invoking CreateStreamingSession, StartStreamingSession","delay":10,"maxAttempts":180,"operation":"GetStreamingSession","acceptors":[{"matcher":"path","argument":"session.state","state":"success","expected":"READY"},{"matcher":"path","argument":"session.state","state":"failure","expected":"CREATE_FAILED"},{"matcher":"path","argument":"session.state","state":"failure","expected":"START_FAILED"}]},"StreamingSessionStopped":{"description":"Wait until a StreamingSessionStopped. Use this after invoking StopStreamingSession","delay":5,"maxAttempts":180,"operation":"GetStreamingSession","acceptors":[{"matcher":"path","argument":"session.state","state":"success","expected":"STOPPED"},{"matcher":"path","argument":"session.state","state":"failure","expected":"STOP_FAILED"}]},"StreamingSessionStreamReady":{"description":"Wait until a StreamingSessionStream is ready. Use this after invoking CreateStreamingSessionStream","delay":5,"maxAttempts":30,"operation":"GetStreamingSessionStream","acceptors":[{"matcher":"path","argument":"stream.state","state":"success","expected":"READY"},{"matcher":"path","argument":"stream.state","state":"failure","expected":"CREATE_FAILED"}]},"StudioComponentDeleted":{"description":"Wait until a StudioComponent Deleted. Use this after invoking DeleteStudioComponent","delay":1,"maxAttempts":120,"operation":"GetStudioComponent","acceptors":[{"matcher":"path","argument":"studioComponent.state","state":"success","expected":"DELETED"},{"matcher":"path","argument":"studioComponent.state","state":"failure","expected":"DELETE_FAILED"}]},"StudioComponentReady":{"description":"Wait until a StudioComponent is Ready. Use this after invoking CreateStudioComponent or UpdateStudioComponent","delay":2,"maxAttempts":60,"operation":"GetStudioComponent","acceptors":[{"matcher":"path","argument":"studioComponent.state","state":"success","expected":"READY"},{"matcher":"path","argument":"studioComponent.state","state":"failure","expected":"CREATE_FAILED"},{"matcher":"path","argument":"studioComponent.state","state":"failure","expected":"UPDATE_FAILED"}]},"StudioDeleted":{"description":"Wait until a Studio is Deleted. Use this after invoking DeleteStudio.","delay":2,"maxAttempts":60,"operation":"GetStudio","acceptors":[{"matcher":"path","argument":"studio.state","state":"success","expected":"DELETED"},{"matcher":"path","argument":"studio.state","state":"failure","expected":"DELETE_FAILED"}]},"StudioReady":{"description":"Wait until a Studio is Ready. Use this after invoking CreateStudio, UpdateStudio, or StartStudioSSOConfigurationRepair","delay":2,"maxAttempts":60,"operation":"GetStudio","acceptors":[{"matcher":"path","argument":"studio.state","state":"success","expected":"READY"},{"matcher":"path","argument":"studio.state","state":"failure","expected":"CREATE_FAILED"},{"matcher":"path","argument":"studio.state","state":"failure","expected":"UPDATE_FAILED"}]}}}');

/***/ }),

/***/ 90583:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-01-01","endpointPrefix":"es","protocol":"rest-json","serviceFullName":"Amazon OpenSearch Service","serviceId":"OpenSearch","signatureVersion":"v4","uid":"opensearch-2021-01-01"},"operations":{"AcceptInboundConnection":{"http":{"method":"PUT","requestUri":"/2021-01-01/opensearch/cc/inboundConnection/{ConnectionId}/accept"},"input":{"type":"structure","required":["ConnectionId"],"members":{"ConnectionId":{"location":"uri","locationName":"ConnectionId"}}},"output":{"type":"structure","members":{"Connection":{"shape":"S4"}}}},"AddTags":{"http":{"requestUri":"/2021-01-01/tags"},"input":{"type":"structure","required":["ARN","TagList"],"members":{"ARN":{},"TagList":{"shape":"Sf"}}}},"AssociatePackage":{"http":{"requestUri":"/2021-01-01/packages/associate/{PackageID}/{DomainName}"},"input":{"type":"structure","required":["PackageID","DomainName"],"members":{"PackageID":{"location":"uri","locationName":"PackageID"},"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"DomainPackageDetails":{"shape":"Sm"}}}},"CancelServiceSoftwareUpdate":{"http":{"requestUri":"/2021-01-01/opensearch/serviceSoftwareUpdate/cancel"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","members":{"ServiceSoftwareOptions":{"shape":"Sy"}}}},"CreateDomain":{"http":{"requestUri":"/2021-01-01/opensearch/domain"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"EngineVersion":{},"ClusterConfig":{"shape":"S15"},"EBSOptions":{"shape":"S1b"},"AccessPolicies":{},"SnapshotOptions":{"shape":"S1e"},"VPCOptions":{"shape":"S1f"},"CognitoOptions":{"shape":"S1h"},"EncryptionAtRestOptions":{"shape":"S1l"},"NodeToNodeEncryptionOptions":{"shape":"S1n"},"AdvancedOptions":{"shape":"S1o"},"LogPublishingOptions":{"shape":"S1p"},"DomainEndpointOptions":{"shape":"S1t"},"AdvancedSecurityOptions":{"shape":"S1w"},"TagList":{"shape":"Sf"},"AutoTuneOptions":{"type":"structure","members":{"DesiredState":{},"MaintenanceSchedules":{"shape":"S27"}}}}},"output":{"type":"structure","members":{"DomainStatus":{"shape":"S2e"}}}},"CreateOutboundConnection":{"http":{"requestUri":"/2021-01-01/opensearch/cc/outboundConnection"},"input":{"type":"structure","required":["LocalDomainInfo","RemoteDomainInfo","ConnectionAlias"],"members":{"LocalDomainInfo":{"shape":"S5"},"RemoteDomainInfo":{"shape":"S5"},"ConnectionAlias":{}}},"output":{"type":"structure","members":{"LocalDomainInfo":{"shape":"S5"},"RemoteDomainInfo":{"shape":"S5"},"ConnectionAlias":{},"ConnectionStatus":{"shape":"S2q"},"ConnectionId":{}}}},"CreatePackage":{"http":{"requestUri":"/2021-01-01/packages"},"input":{"type":"structure","required":["PackageName","PackageType","PackageSource"],"members":{"PackageName":{},"PackageType":{},"PackageDescription":{},"PackageSource":{"shape":"S2u"}}},"output":{"type":"structure","members":{"PackageDetails":{"shape":"S2y"}}}},"DeleteDomain":{"http":{"method":"DELETE","requestUri":"/2021-01-01/opensearch/domain/{DomainName}"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"DomainStatus":{"shape":"S2e"}}}},"DeleteInboundConnection":{"http":{"method":"DELETE","requestUri":"/2021-01-01/opensearch/cc/inboundConnection/{ConnectionId}"},"input":{"type":"structure","required":["ConnectionId"],"members":{"ConnectionId":{"location":"uri","locationName":"ConnectionId"}}},"output":{"type":"structure","members":{"Connection":{"shape":"S4"}}}},"DeleteOutboundConnection":{"http":{"method":"DELETE","requestUri":"/2021-01-01/opensearch/cc/outboundConnection/{ConnectionId}"},"input":{"type":"structure","required":["ConnectionId"],"members":{"ConnectionId":{"location":"uri","locationName":"ConnectionId"}}},"output":{"type":"structure","members":{"Connection":{"shape":"S37"}}}},"DeletePackage":{"http":{"method":"DELETE","requestUri":"/2021-01-01/packages/{PackageID}"},"input":{"type":"structure","required":["PackageID"],"members":{"PackageID":{"location":"uri","locationName":"PackageID"}}},"output":{"type":"structure","members":{"PackageDetails":{"shape":"S2y"}}}},"DescribeDomain":{"http":{"method":"GET","requestUri":"/2021-01-01/opensearch/domain/{DomainName}"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","required":["DomainStatus"],"members":{"DomainStatus":{"shape":"S2e"}}}},"DescribeDomainAutoTunes":{"http":{"method":"GET","requestUri":"/2021-01-01/opensearch/domain/{DomainName}/autoTunes"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AutoTunes":{"type":"list","member":{"type":"structure","members":{"AutoTuneType":{},"AutoTuneDetails":{"type":"structure","members":{"ScheduledAutoTuneDetails":{"type":"structure","members":{"Date":{"type":"timestamp"},"ActionType":{},"Action":{},"Severity":{}}}}}}}},"NextToken":{}}}},"DescribeDomainConfig":{"http":{"method":"GET","requestUri":"/2021-01-01/opensearch/domain/{DomainName}/config"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","required":["DomainConfig"],"members":{"DomainConfig":{"shape":"S3r"}}}},"DescribeDomains":{"http":{"requestUri":"/2021-01-01/opensearch/domain-info"},"input":{"type":"structure","required":["DomainNames"],"members":{"DomainNames":{"type":"list","member":{}}}},"output":{"type":"structure","required":["DomainStatusList"],"members":{"DomainStatusList":{"type":"list","member":{"shape":"S2e"}}}}},"DescribeInboundConnections":{"http":{"requestUri":"/2021-01-01/opensearch/cc/inboundConnection/search"},"input":{"type":"structure","members":{"Filters":{"shape":"S4i"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Connections":{"type":"list","member":{"shape":"S4"}},"NextToken":{}}}},"DescribeInstanceTypeLimits":{"http":{"method":"GET","requestUri":"/2021-01-01/opensearch/instanceTypeLimits/{EngineVersion}/{InstanceType}"},"input":{"type":"structure","required":["InstanceType","EngineVersion"],"members":{"DomainName":{"location":"querystring","locationName":"domainName"},"InstanceType":{"location":"uri","locationName":"InstanceType"},"EngineVersion":{"location":"uri","locationName":"EngineVersion"}}},"output":{"type":"structure","members":{"LimitsByRole":{"type":"map","key":{},"value":{"type":"structure","members":{"StorageTypes":{"type":"list","member":{"type":"structure","members":{"StorageTypeName":{},"StorageSubTypeName":{},"StorageTypeLimits":{"type":"list","member":{"type":"structure","members":{"LimitName":{},"LimitValues":{"shape":"S50"}}}}}}},"InstanceLimits":{"type":"structure","members":{"InstanceCountLimits":{"type":"structure","members":{"MinimumInstanceCount":{"type":"integer"},"MaximumInstanceCount":{"type":"integer"}}}}},"AdditionalLimits":{"type":"list","member":{"type":"structure","members":{"LimitName":{},"LimitValues":{"shape":"S50"}}}}}}}}}},"DescribeOutboundConnections":{"http":{"requestUri":"/2021-01-01/opensearch/cc/outboundConnection/search"},"input":{"type":"structure","members":{"Filters":{"shape":"S4i"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Connections":{"type":"list","member":{"shape":"S37"}},"NextToken":{}}}},"DescribePackages":{"http":{"requestUri":"/2021-01-01/packages/describe"},"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"PackageDetailsList":{"type":"list","member":{"shape":"S2y"}},"NextToken":{}}}},"DescribeReservedInstanceOfferings":{"http":{"method":"GET","requestUri":"/2021-01-01/opensearch/reservedInstanceOfferings"},"input":{"type":"structure","members":{"ReservedInstanceOfferingId":{"location":"querystring","locationName":"offeringId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{},"ReservedInstanceOfferings":{"type":"list","member":{"type":"structure","members":{"ReservedInstanceOfferingId":{},"InstanceType":{},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"PaymentOption":{},"RecurringCharges":{"shape":"S5r"}}}}}}},"DescribeReservedInstances":{"http":{"method":"GET","requestUri":"/2021-01-01/opensearch/reservedInstances"},"input":{"type":"structure","members":{"ReservedInstanceId":{"location":"querystring","locationName":"reservationId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{},"ReservedInstances":{"type":"list","member":{"type":"structure","members":{"ReservationName":{},"ReservedInstanceId":{},"BillingSubscriptionId":{"type":"long"},"ReservedInstanceOfferingId":{},"InstanceType":{},"StartTime":{"type":"timestamp"},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"InstanceCount":{"type":"integer"},"State":{},"PaymentOption":{},"RecurringCharges":{"shape":"S5r"}}}}}}},"DissociatePackage":{"http":{"requestUri":"/2021-01-01/packages/dissociate/{PackageID}/{DomainName}"},"input":{"type":"structure","required":["PackageID","DomainName"],"members":{"PackageID":{"location":"uri","locationName":"PackageID"},"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"DomainPackageDetails":{"shape":"Sm"}}}},"GetCompatibleVersions":{"http":{"method":"GET","requestUri":"/2021-01-01/opensearch/compatibleVersions"},"input":{"type":"structure","members":{"DomainName":{"location":"querystring","locationName":"domainName"}}},"output":{"type":"structure","members":{"CompatibleVersions":{"type":"list","member":{"type":"structure","members":{"SourceVersion":{},"TargetVersions":{"shape":"S65"}}}}}}},"GetPackageVersionHistory":{"http":{"method":"GET","requestUri":"/2021-01-01/packages/{PackageID}/history"},"input":{"type":"structure","required":["PackageID"],"members":{"PackageID":{"location":"uri","locationName":"PackageID"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"PackageID":{},"PackageVersionHistoryList":{"type":"list","member":{"type":"structure","members":{"PackageVersion":{},"CommitMessage":{},"CreatedAt":{"type":"timestamp"}}}},"NextToken":{}}}},"GetUpgradeHistory":{"http":{"method":"GET","requestUri":"/2021-01-01/opensearch/upgradeDomain/{DomainName}/history"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"UpgradeHistories":{"type":"list","member":{"type":"structure","members":{"UpgradeName":{},"StartTimestamp":{"type":"timestamp"},"UpgradeStatus":{},"StepsList":{"type":"list","member":{"type":"structure","members":{"UpgradeStep":{},"UpgradeStepStatus":{},"Issues":{"type":"list","member":{}},"ProgressPercent":{"type":"double"}}}}}}},"NextToken":{}}}},"GetUpgradeStatus":{"http":{"method":"GET","requestUri":"/2021-01-01/opensearch/upgradeDomain/{DomainName}/status"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"}}},"output":{"type":"structure","members":{"UpgradeStep":{},"StepStatus":{},"UpgradeName":{}}}},"ListDomainNames":{"http":{"method":"GET","requestUri":"/2021-01-01/domain"},"input":{"type":"structure","members":{"EngineType":{"location":"querystring","locationName":"engineType"}}},"output":{"type":"structure","members":{"DomainNames":{"type":"list","member":{"type":"structure","members":{"DomainName":{},"EngineType":{}}}}}}},"ListDomainsForPackage":{"http":{"method":"GET","requestUri":"/2021-01-01/packages/{PackageID}/domains"},"input":{"type":"structure","required":["PackageID"],"members":{"PackageID":{"location":"uri","locationName":"PackageID"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"DomainPackageDetailsList":{"shape":"S6w"},"NextToken":{}}}},"ListInstanceTypeDetails":{"http":{"method":"GET","requestUri":"/2021-01-01/opensearch/instanceTypeDetails/{EngineVersion}"},"input":{"type":"structure","required":["EngineVersion"],"members":{"EngineVersion":{"location":"uri","locationName":"EngineVersion"},"DomainName":{"location":"querystring","locationName":"domainName"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"InstanceTypeDetails":{"type":"list","member":{"type":"structure","members":{"InstanceType":{},"EncryptionEnabled":{"type":"boolean"},"CognitoEnabled":{"type":"boolean"},"AppLogsEnabled":{"type":"boolean"},"AdvancedSecurityEnabled":{"type":"boolean"},"WarmEnabled":{"type":"boolean"},"InstanceRole":{"type":"list","member":{}}}}},"NextToken":{}}}},"ListPackagesForDomain":{"http":{"method":"GET","requestUri":"/2021-01-01/domain/{DomainName}/packages"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"DomainPackageDetailsList":{"shape":"S6w"},"NextToken":{}}}},"ListTags":{"http":{"method":"GET","requestUri":"/2021-01-01/tags/"},"input":{"type":"structure","required":["ARN"],"members":{"ARN":{"location":"querystring","locationName":"arn"}}},"output":{"type":"structure","members":{"TagList":{"shape":"Sf"}}}},"ListVersions":{"http":{"method":"GET","requestUri":"/2021-01-01/opensearch/versions"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Versions":{"shape":"S65"},"NextToken":{}}}},"PurchaseReservedInstanceOffering":{"http":{"requestUri":"/2021-01-01/opensearch/purchaseReservedInstanceOffering"},"input":{"type":"structure","required":["ReservedInstanceOfferingId","ReservationName"],"members":{"ReservedInstanceOfferingId":{},"ReservationName":{},"InstanceCount":{"type":"integer"}}},"output":{"type":"structure","members":{"ReservedInstanceId":{},"ReservationName":{}}}},"RejectInboundConnection":{"http":{"method":"PUT","requestUri":"/2021-01-01/opensearch/cc/inboundConnection/{ConnectionId}/reject"},"input":{"type":"structure","required":["ConnectionId"],"members":{"ConnectionId":{"location":"uri","locationName":"ConnectionId"}}},"output":{"type":"structure","members":{"Connection":{"shape":"S4"}}}},"RemoveTags":{"http":{"requestUri":"/2021-01-01/tags-removal"},"input":{"type":"structure","required":["ARN","TagKeys"],"members":{"ARN":{},"TagKeys":{"shape":"S1g"}}}},"StartServiceSoftwareUpdate":{"http":{"requestUri":"/2021-01-01/opensearch/serviceSoftwareUpdate/start"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","members":{"ServiceSoftwareOptions":{"shape":"Sy"}}}},"UpdateDomainConfig":{"http":{"requestUri":"/2021-01-01/opensearch/domain/{DomainName}/config"},"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{"location":"uri","locationName":"DomainName"},"ClusterConfig":{"shape":"S15"},"EBSOptions":{"shape":"S1b"},"SnapshotOptions":{"shape":"S1e"},"VPCOptions":{"shape":"S1f"},"CognitoOptions":{"shape":"S1h"},"AdvancedOptions":{"shape":"S1o"},"AccessPolicies":{},"LogPublishingOptions":{"shape":"S1p"},"EncryptionAtRestOptions":{"shape":"S1l"},"DomainEndpointOptions":{"shape":"S1t"},"NodeToNodeEncryptionOptions":{"shape":"S1n"},"AdvancedSecurityOptions":{"shape":"S1w"},"AutoTuneOptions":{"shape":"S4a"},"DryRun":{"type":"boolean"}}},"output":{"type":"structure","required":["DomainConfig"],"members":{"DomainConfig":{"shape":"S3r"},"DryRunResults":{"type":"structure","members":{"DeploymentType":{},"Message":{}}}}}},"UpdatePackage":{"http":{"requestUri":"/2021-01-01/packages/update"},"input":{"type":"structure","required":["PackageID","PackageSource"],"members":{"PackageID":{},"PackageSource":{"shape":"S2u"},"PackageDescription":{},"CommitMessage":{}}},"output":{"type":"structure","members":{"PackageDetails":{"shape":"S2y"}}}},"UpgradeDomain":{"http":{"requestUri":"/2021-01-01/opensearch/upgradeDomain"},"input":{"type":"structure","required":["DomainName","TargetVersion"],"members":{"DomainName":{},"TargetVersion":{},"PerformCheckOnly":{"type":"boolean"},"AdvancedOptions":{"shape":"S1o"}}},"output":{"type":"structure","members":{"UpgradeId":{},"DomainName":{},"TargetVersion":{},"PerformCheckOnly":{"type":"boolean"},"AdvancedOptions":{"shape":"S1o"}}}}},"shapes":{"S4":{"type":"structure","members":{"LocalDomainInfo":{"shape":"S5"},"RemoteDomainInfo":{"shape":"S5"},"ConnectionId":{},"ConnectionStatus":{"type":"structure","members":{"StatusCode":{},"Message":{}}}}},"S5":{"type":"structure","members":{"AWSDomainInformation":{"type":"structure","required":["DomainName"],"members":{"OwnerId":{},"DomainName":{},"Region":{}}}}},"Sf":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sm":{"type":"structure","members":{"PackageID":{},"PackageName":{},"PackageType":{},"LastUpdated":{"type":"timestamp"},"DomainName":{},"DomainPackageStatus":{},"PackageVersion":{},"ReferencePath":{},"ErrorDetails":{"shape":"St"}}},"St":{"type":"structure","members":{"ErrorType":{},"ErrorMessage":{}}},"Sy":{"type":"structure","members":{"CurrentVersion":{},"NewVersion":{},"UpdateAvailable":{"type":"boolean"},"Cancellable":{"type":"boolean"},"UpdateStatus":{},"Description":{},"AutomatedUpdateDate":{"type":"timestamp"},"OptionalDeployment":{"type":"boolean"}}},"S15":{"type":"structure","members":{"InstanceType":{},"InstanceCount":{"type":"integer"},"DedicatedMasterEnabled":{"type":"boolean"},"ZoneAwarenessEnabled":{"type":"boolean"},"ZoneAwarenessConfig":{"type":"structure","members":{"AvailabilityZoneCount":{"type":"integer"}}},"DedicatedMasterType":{},"DedicatedMasterCount":{"type":"integer"},"WarmEnabled":{"type":"boolean"},"WarmType":{},"WarmCount":{"type":"integer"},"ColdStorageOptions":{"type":"structure","required":["Enabled"],"members":{"Enabled":{"type":"boolean"}}}}},"S1b":{"type":"structure","members":{"EBSEnabled":{"type":"boolean"},"VolumeType":{},"VolumeSize":{"type":"integer"},"Iops":{"type":"integer"}}},"S1e":{"type":"structure","members":{"AutomatedSnapshotStartHour":{"type":"integer"}}},"S1f":{"type":"structure","members":{"SubnetIds":{"shape":"S1g"},"SecurityGroupIds":{"shape":"S1g"}}},"S1g":{"type":"list","member":{}},"S1h":{"type":"structure","members":{"Enabled":{"type":"boolean"},"UserPoolId":{},"IdentityPoolId":{},"RoleArn":{}}},"S1l":{"type":"structure","members":{"Enabled":{"type":"boolean"},"KmsKeyId":{}}},"S1n":{"type":"structure","members":{"Enabled":{"type":"boolean"}}},"S1o":{"type":"map","key":{},"value":{}},"S1p":{"type":"map","key":{},"value":{"type":"structure","members":{"CloudWatchLogsLogGroupArn":{},"Enabled":{"type":"boolean"}}}},"S1t":{"type":"structure","members":{"EnforceHTTPS":{"type":"boolean"},"TLSSecurityPolicy":{},"CustomEndpointEnabled":{"type":"boolean"},"CustomEndpoint":{},"CustomEndpointCertificateArn":{}}},"S1w":{"type":"structure","members":{"Enabled":{"type":"boolean"},"InternalUserDatabaseEnabled":{"type":"boolean"},"MasterUserOptions":{"type":"structure","members":{"MasterUserARN":{},"MasterUserName":{"shape":"S1y"},"MasterUserPassword":{"type":"string","sensitive":true}}},"SAMLOptions":{"type":"structure","members":{"Enabled":{"type":"boolean"},"Idp":{"shape":"S21"},"MasterUserName":{"shape":"S1y"},"MasterBackendRole":{},"SubjectKey":{},"RolesKey":{},"SessionTimeoutMinutes":{"type":"integer"}}}}},"S1y":{"type":"string","sensitive":true},"S21":{"type":"structure","required":["MetadataContent","EntityId"],"members":{"MetadataContent":{},"EntityId":{}}},"S27":{"type":"list","member":{"type":"structure","members":{"StartAt":{"type":"timestamp"},"Duration":{"type":"structure","members":{"Value":{"type":"long"},"Unit":{}}},"CronExpressionForRecurrence":{}}}},"S2e":{"type":"structure","required":["DomainId","DomainName","ARN","ClusterConfig"],"members":{"DomainId":{},"DomainName":{},"ARN":{},"Created":{"type":"boolean"},"Deleted":{"type":"boolean"},"Endpoint":{},"Endpoints":{"type":"map","key":{},"value":{}},"Processing":{"type":"boolean"},"UpgradeProcessing":{"type":"boolean"},"EngineVersion":{},"ClusterConfig":{"shape":"S15"},"EBSOptions":{"shape":"S1b"},"AccessPolicies":{},"SnapshotOptions":{"shape":"S1e"},"VPCOptions":{"shape":"S2i"},"CognitoOptions":{"shape":"S1h"},"EncryptionAtRestOptions":{"shape":"S1l"},"NodeToNodeEncryptionOptions":{"shape":"S1n"},"AdvancedOptions":{"shape":"S1o"},"LogPublishingOptions":{"shape":"S1p"},"ServiceSoftwareOptions":{"shape":"Sy"},"DomainEndpointOptions":{"shape":"S1t"},"AdvancedSecurityOptions":{"shape":"S2j"},"AutoTuneOptions":{"type":"structure","members":{"State":{},"ErrorMessage":{}}}}},"S2i":{"type":"structure","members":{"VPCId":{},"SubnetIds":{"shape":"S1g"},"AvailabilityZones":{"shape":"S1g"},"SecurityGroupIds":{"shape":"S1g"}}},"S2j":{"type":"structure","members":{"Enabled":{"type":"boolean"},"InternalUserDatabaseEnabled":{"type":"boolean"},"SAMLOptions":{"type":"structure","members":{"Enabled":{"type":"boolean"},"Idp":{"shape":"S21"},"SubjectKey":{},"RolesKey":{},"SessionTimeoutMinutes":{"type":"integer"}}}}},"S2q":{"type":"structure","members":{"StatusCode":{},"Message":{}}},"S2u":{"type":"structure","members":{"S3BucketName":{},"S3Key":{}}},"S2y":{"type":"structure","members":{"PackageID":{},"PackageName":{},"PackageType":{},"PackageDescription":{},"PackageStatus":{},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"AvailablePackageVersion":{},"ErrorDetails":{"shape":"St"}}},"S37":{"type":"structure","members":{"LocalDomainInfo":{"shape":"S5"},"RemoteDomainInfo":{"shape":"S5"},"ConnectionId":{},"ConnectionAlias":{},"ConnectionStatus":{"shape":"S2q"}}},"S3r":{"type":"structure","members":{"EngineVersion":{"type":"structure","required":["Options","Status"],"members":{"Options":{},"Status":{"shape":"S3t"}}},"ClusterConfig":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S15"},"Status":{"shape":"S3t"}}},"EBSOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1b"},"Status":{"shape":"S3t"}}},"AccessPolicies":{"type":"structure","required":["Options","Status"],"members":{"Options":{},"Status":{"shape":"S3t"}}},"SnapshotOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1e"},"Status":{"shape":"S3t"}}},"VPCOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S2i"},"Status":{"shape":"S3t"}}},"CognitoOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1h"},"Status":{"shape":"S3t"}}},"EncryptionAtRestOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1l"},"Status":{"shape":"S3t"}}},"NodeToNodeEncryptionOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1n"},"Status":{"shape":"S3t"}}},"AdvancedOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1o"},"Status":{"shape":"S3t"}}},"LogPublishingOptions":{"type":"structure","members":{"Options":{"shape":"S1p"},"Status":{"shape":"S3t"}}},"DomainEndpointOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S1t"},"Status":{"shape":"S3t"}}},"AdvancedSecurityOptions":{"type":"structure","required":["Options","Status"],"members":{"Options":{"shape":"S2j"},"Status":{"shape":"S3t"}}},"AutoTuneOptions":{"type":"structure","members":{"Options":{"shape":"S4a"},"Status":{"type":"structure","required":["CreationDate","UpdateDate","State"],"members":{"CreationDate":{"type":"timestamp"},"UpdateDate":{"type":"timestamp"},"UpdateVersion":{"type":"integer"},"State":{},"ErrorMessage":{},"PendingDeletion":{"type":"boolean"}}}}}}},"S3t":{"type":"structure","required":["CreationDate","UpdateDate","State"],"members":{"CreationDate":{"type":"timestamp"},"UpdateDate":{"type":"timestamp"},"UpdateVersion":{"type":"integer"},"State":{},"PendingDeletion":{"type":"boolean"}}},"S4a":{"type":"structure","members":{"DesiredState":{},"RollbackOnDisable":{},"MaintenanceSchedules":{"shape":"S27"}}},"S4i":{"type":"list","member":{"type":"structure","members":{"Name":{},"Values":{"type":"list","member":{}}}}},"S50":{"type":"list","member":{}},"S5r":{"type":"list","member":{"type":"structure","members":{"RecurringChargeAmount":{"type":"double"},"RecurringChargeFrequency":{}}}},"S65":{"type":"list","member":{}},"S6w":{"type":"list","member":{"shape":"Sm"}}}}');

/***/ }),

/***/ 32668:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeDomainAutoTunes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeInboundConnections":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeOutboundConnections":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribePackages":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeReservedInstanceOfferings":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"DescribeReservedInstances":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"GetPackageVersionHistory":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"GetUpgradeHistory":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDomainsForPackage":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListInstanceTypeDetails":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListPackagesForDomain":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListVersions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 22805:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2013-02-18","endpointPrefix":"opsworks","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS OpsWorks","serviceId":"OpsWorks","signatureVersion":"v4","targetPrefix":"OpsWorks_20130218","uid":"opsworks-2013-02-18"},"operations":{"AssignInstance":{"input":{"type":"structure","required":["InstanceId","LayerIds"],"members":{"InstanceId":{},"LayerIds":{"shape":"S3"}}}},"AssignVolume":{"input":{"type":"structure","required":["VolumeId"],"members":{"VolumeId":{},"InstanceId":{}}}},"AssociateElasticIp":{"input":{"type":"structure","required":["ElasticIp"],"members":{"ElasticIp":{},"InstanceId":{}}}},"AttachElasticLoadBalancer":{"input":{"type":"structure","required":["ElasticLoadBalancerName","LayerId"],"members":{"ElasticLoadBalancerName":{},"LayerId":{}}}},"CloneStack":{"input":{"type":"structure","required":["SourceStackId","ServiceRoleArn"],"members":{"SourceStackId":{},"Name":{},"Region":{},"VpcId":{},"Attributes":{"shape":"S8"},"ServiceRoleArn":{},"DefaultInstanceProfileArn":{},"DefaultOs":{},"HostnameTheme":{},"DefaultAvailabilityZone":{},"DefaultSubnetId":{},"CustomJson":{},"ConfigurationManager":{"shape":"Sa"},"ChefConfiguration":{"shape":"Sb"},"UseCustomCookbooks":{"type":"boolean"},"UseOpsworksSecurityGroups":{"type":"boolean"},"CustomCookbooksSource":{"shape":"Sd"},"DefaultSshKeyName":{},"ClonePermissions":{"type":"boolean"},"CloneAppIds":{"shape":"S3"},"DefaultRootDeviceType":{},"AgentVersion":{}}},"output":{"type":"structure","members":{"StackId":{}}}},"CreateApp":{"input":{"type":"structure","required":["StackId","Name","Type"],"members":{"StackId":{},"Shortname":{},"Name":{},"Description":{},"DataSources":{"shape":"Si"},"Type":{},"AppSource":{"shape":"Sd"},"Domains":{"shape":"S3"},"EnableSsl":{"type":"boolean"},"SslConfiguration":{"shape":"Sl"},"Attributes":{"shape":"Sm"},"Environment":{"shape":"So"}}},"output":{"type":"structure","members":{"AppId":{}}}},"CreateDeployment":{"input":{"type":"structure","required":["StackId","Command"],"members":{"StackId":{},"AppId":{},"InstanceIds":{"shape":"S3"},"LayerIds":{"shape":"S3"},"Command":{"shape":"Ss"},"Comment":{},"CustomJson":{}}},"output":{"type":"structure","members":{"DeploymentId":{}}}},"CreateInstance":{"input":{"type":"structure","required":["StackId","LayerIds","InstanceType"],"members":{"StackId":{},"LayerIds":{"shape":"S3"},"InstanceType":{},"AutoScalingType":{},"Hostname":{},"Os":{},"AmiId":{},"SshKeyName":{},"AvailabilityZone":{},"VirtualizationType":{},"SubnetId":{},"Architecture":{},"RootDeviceType":{},"BlockDeviceMappings":{"shape":"Sz"},"InstallUpdatesOnBoot":{"type":"boolean"},"EbsOptimized":{"type":"boolean"},"AgentVersion":{},"Tenancy":{}}},"output":{"type":"structure","members":{"InstanceId":{}}}},"CreateLayer":{"input":{"type":"structure","required":["StackId","Type","Name","Shortname"],"members":{"StackId":{},"Type":{},"Name":{},"Shortname":{},"Attributes":{"shape":"S17"},"CloudWatchLogsConfiguration":{"shape":"S19"},"CustomInstanceProfileArn":{},"CustomJson":{},"CustomSecurityGroupIds":{"shape":"S3"},"Packages":{"shape":"S3"},"VolumeConfigurations":{"shape":"S1f"},"EnableAutoHealing":{"type":"boolean"},"AutoAssignElasticIps":{"type":"boolean"},"AutoAssignPublicIps":{"type":"boolean"},"CustomRecipes":{"shape":"S1h"},"InstallUpdatesOnBoot":{"type":"boolean"},"UseEbsOptimizedInstances":{"type":"boolean"},"LifecycleEventConfiguration":{"shape":"S1i"}}},"output":{"type":"structure","members":{"LayerId":{}}}},"CreateStack":{"input":{"type":"structure","required":["Name","Region","ServiceRoleArn","DefaultInstanceProfileArn"],"members":{"Name":{},"Region":{},"VpcId":{},"Attributes":{"shape":"S8"},"ServiceRoleArn":{},"DefaultInstanceProfileArn":{},"DefaultOs":{},"HostnameTheme":{},"DefaultAvailabilityZone":{},"DefaultSubnetId":{},"CustomJson":{},"ConfigurationManager":{"shape":"Sa"},"ChefConfiguration":{"shape":"Sb"},"UseCustomCookbooks":{"type":"boolean"},"UseOpsworksSecurityGroups":{"type":"boolean"},"CustomCookbooksSource":{"shape":"Sd"},"DefaultSshKeyName":{},"DefaultRootDeviceType":{},"AgentVersion":{}}},"output":{"type":"structure","members":{"StackId":{}}}},"CreateUserProfile":{"input":{"type":"structure","required":["IamUserArn"],"members":{"IamUserArn":{},"SshUsername":{},"SshPublicKey":{},"AllowSelfManagement":{"type":"boolean"}}},"output":{"type":"structure","members":{"IamUserArn":{}}}},"DeleteApp":{"input":{"type":"structure","required":["AppId"],"members":{"AppId":{}}}},"DeleteInstance":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"DeleteElasticIp":{"type":"boolean"},"DeleteVolumes":{"type":"boolean"}}}},"DeleteLayer":{"input":{"type":"structure","required":["LayerId"],"members":{"LayerId":{}}}},"DeleteStack":{"input":{"type":"structure","required":["StackId"],"members":{"StackId":{}}}},"DeleteUserProfile":{"input":{"type":"structure","required":["IamUserArn"],"members":{"IamUserArn":{}}}},"DeregisterEcsCluster":{"input":{"type":"structure","required":["EcsClusterArn"],"members":{"EcsClusterArn":{}}}},"DeregisterElasticIp":{"input":{"type":"structure","required":["ElasticIp"],"members":{"ElasticIp":{}}}},"DeregisterInstance":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{}}}},"DeregisterRdsDbInstance":{"input":{"type":"structure","required":["RdsDbInstanceArn"],"members":{"RdsDbInstanceArn":{}}}},"DeregisterVolume":{"input":{"type":"structure","required":["VolumeId"],"members":{"VolumeId":{}}}},"DescribeAgentVersions":{"input":{"type":"structure","members":{"StackId":{},"ConfigurationManager":{"shape":"Sa"}}},"output":{"type":"structure","members":{"AgentVersions":{"type":"list","member":{"type":"structure","members":{"Version":{},"ConfigurationManager":{"shape":"Sa"}}}}}}},"DescribeApps":{"input":{"type":"structure","members":{"StackId":{},"AppIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"Apps":{"type":"list","member":{"type":"structure","members":{"AppId":{},"StackId":{},"Shortname":{},"Name":{},"Description":{},"DataSources":{"shape":"Si"},"Type":{},"AppSource":{"shape":"Sd"},"Domains":{"shape":"S3"},"EnableSsl":{"type":"boolean"},"SslConfiguration":{"shape":"Sl"},"Attributes":{"shape":"Sm"},"CreatedAt":{},"Environment":{"shape":"So"}}}}}}},"DescribeCommands":{"input":{"type":"structure","members":{"DeploymentId":{},"InstanceId":{},"CommandIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"Commands":{"type":"list","member":{"type":"structure","members":{"CommandId":{},"InstanceId":{},"DeploymentId":{},"CreatedAt":{},"AcknowledgedAt":{},"CompletedAt":{},"Status":{},"ExitCode":{"type":"integer"},"LogUrl":{},"Type":{}}}}}}},"DescribeDeployments":{"input":{"type":"structure","members":{"StackId":{},"AppId":{},"DeploymentIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"Deployments":{"type":"list","member":{"type":"structure","members":{"DeploymentId":{},"StackId":{},"AppId":{},"CreatedAt":{},"CompletedAt":{},"Duration":{"type":"integer"},"IamUserArn":{},"Comment":{},"Command":{"shape":"Ss"},"Status":{},"CustomJson":{},"InstanceIds":{"shape":"S3"}}}}}}},"DescribeEcsClusters":{"input":{"type":"structure","members":{"EcsClusterArns":{"shape":"S3"},"StackId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"EcsClusters":{"type":"list","member":{"type":"structure","members":{"EcsClusterArn":{},"EcsClusterName":{},"StackId":{},"RegisteredAt":{}}}},"NextToken":{}}}},"DescribeElasticIps":{"input":{"type":"structure","members":{"InstanceId":{},"StackId":{},"Ips":{"shape":"S3"}}},"output":{"type":"structure","members":{"ElasticIps":{"type":"list","member":{"type":"structure","members":{"Ip":{},"Name":{},"Domain":{},"Region":{},"InstanceId":{}}}}}}},"DescribeElasticLoadBalancers":{"input":{"type":"structure","members":{"StackId":{},"LayerIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"ElasticLoadBalancers":{"type":"list","member":{"type":"structure","members":{"ElasticLoadBalancerName":{},"Region":{},"DnsName":{},"StackId":{},"LayerId":{},"VpcId":{},"AvailabilityZones":{"shape":"S3"},"SubnetIds":{"shape":"S3"},"Ec2InstanceIds":{"shape":"S3"}}}}}}},"DescribeInstances":{"input":{"type":"structure","members":{"StackId":{},"LayerId":{},"InstanceIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"Instances":{"type":"list","member":{"type":"structure","members":{"AgentVersion":{},"AmiId":{},"Architecture":{},"Arn":{},"AutoScalingType":{},"AvailabilityZone":{},"BlockDeviceMappings":{"shape":"Sz"},"CreatedAt":{},"EbsOptimized":{"type":"boolean"},"Ec2InstanceId":{},"EcsClusterArn":{},"EcsContainerInstanceArn":{},"ElasticIp":{},"Hostname":{},"InfrastructureClass":{},"InstallUpdatesOnBoot":{"type":"boolean"},"InstanceId":{},"InstanceProfileArn":{},"InstanceType":{},"LastServiceErrorId":{},"LayerIds":{"shape":"S3"},"Os":{},"Platform":{},"PrivateDns":{},"PrivateIp":{},"PublicDns":{},"PublicIp":{},"RegisteredBy":{},"ReportedAgentVersion":{},"ReportedOs":{"type":"structure","members":{"Family":{},"Name":{},"Version":{}}},"RootDeviceType":{},"RootDeviceVolumeId":{},"SecurityGroupIds":{"shape":"S3"},"SshHostDsaKeyFingerprint":{},"SshHostRsaKeyFingerprint":{},"SshKeyName":{},"StackId":{},"Status":{},"SubnetId":{},"Tenancy":{},"VirtualizationType":{}}}}}}},"DescribeLayers":{"input":{"type":"structure","members":{"StackId":{},"LayerIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"Layers":{"type":"list","member":{"type":"structure","members":{"Arn":{},"StackId":{},"LayerId":{},"Type":{},"Name":{},"Shortname":{},"Attributes":{"shape":"S17"},"CloudWatchLogsConfiguration":{"shape":"S19"},"CustomInstanceProfileArn":{},"CustomJson":{},"CustomSecurityGroupIds":{"shape":"S3"},"DefaultSecurityGroupNames":{"shape":"S3"},"Packages":{"shape":"S3"},"VolumeConfigurations":{"shape":"S1f"},"EnableAutoHealing":{"type":"boolean"},"AutoAssignElasticIps":{"type":"boolean"},"AutoAssignPublicIps":{"type":"boolean"},"DefaultRecipes":{"shape":"S1h"},"CustomRecipes":{"shape":"S1h"},"CreatedAt":{},"InstallUpdatesOnBoot":{"type":"boolean"},"UseEbsOptimizedInstances":{"type":"boolean"},"LifecycleEventConfiguration":{"shape":"S1i"}}}}}}},"DescribeLoadBasedAutoScaling":{"input":{"type":"structure","required":["LayerIds"],"members":{"LayerIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"LoadBasedAutoScalingConfigurations":{"type":"list","member":{"type":"structure","members":{"LayerId":{},"Enable":{"type":"boolean"},"UpScaling":{"shape":"S36"},"DownScaling":{"shape":"S36"}}}}}}},"DescribeMyUserProfile":{"output":{"type":"structure","members":{"UserProfile":{"type":"structure","members":{"IamUserArn":{},"Name":{},"SshUsername":{},"SshPublicKey":{}}}}}},"DescribeOperatingSystems":{"output":{"type":"structure","members":{"OperatingSystems":{"type":"list","member":{"type":"structure","members":{"Name":{},"Id":{},"Type":{},"ConfigurationManagers":{"type":"list","member":{"type":"structure","members":{"Name":{},"Version":{}}}},"ReportedName":{},"ReportedVersion":{},"Supported":{"type":"boolean"}}}}}}},"DescribePermissions":{"input":{"type":"structure","members":{"IamUserArn":{},"StackId":{}}},"output":{"type":"structure","members":{"Permissions":{"type":"list","member":{"type":"structure","members":{"StackId":{},"IamUserArn":{},"AllowSsh":{"type":"boolean"},"AllowSudo":{"type":"boolean"},"Level":{}}}}}}},"DescribeRaidArrays":{"input":{"type":"structure","members":{"InstanceId":{},"StackId":{},"RaidArrayIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"RaidArrays":{"type":"list","member":{"type":"structure","members":{"RaidArrayId":{},"InstanceId":{},"Name":{},"RaidLevel":{"type":"integer"},"NumberOfDisks":{"type":"integer"},"Size":{"type":"integer"},"Device":{},"MountPoint":{},"AvailabilityZone":{},"CreatedAt":{},"StackId":{},"VolumeType":{},"Iops":{"type":"integer"}}}}}}},"DescribeRdsDbInstances":{"input":{"type":"structure","required":["StackId"],"members":{"StackId":{},"RdsDbInstanceArns":{"shape":"S3"}}},"output":{"type":"structure","members":{"RdsDbInstances":{"type":"list","member":{"type":"structure","members":{"RdsDbInstanceArn":{},"DbInstanceIdentifier":{},"DbUser":{},"DbPassword":{},"Region":{},"Address":{},"Engine":{},"StackId":{},"MissingOnRds":{"type":"boolean"}}}}}}},"DescribeServiceErrors":{"input":{"type":"structure","members":{"StackId":{},"InstanceId":{},"ServiceErrorIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"ServiceErrors":{"type":"list","member":{"type":"structure","members":{"ServiceErrorId":{},"StackId":{},"InstanceId":{},"Type":{},"Message":{},"CreatedAt":{}}}}}}},"DescribeStackProvisioningParameters":{"input":{"type":"structure","required":["StackId"],"members":{"StackId":{}}},"output":{"type":"structure","members":{"AgentInstallerUrl":{},"Parameters":{"type":"map","key":{},"value":{}}}}},"DescribeStackSummary":{"input":{"type":"structure","required":["StackId"],"members":{"StackId":{}}},"output":{"type":"structure","members":{"StackSummary":{"type":"structure","members":{"StackId":{},"Name":{},"Arn":{},"LayersCount":{"type":"integer"},"AppsCount":{"type":"integer"},"InstancesCount":{"type":"structure","members":{"Assigning":{"type":"integer"},"Booting":{"type":"integer"},"ConnectionLost":{"type":"integer"},"Deregistering":{"type":"integer"},"Online":{"type":"integer"},"Pending":{"type":"integer"},"Rebooting":{"type":"integer"},"Registered":{"type":"integer"},"Registering":{"type":"integer"},"Requested":{"type":"integer"},"RunningSetup":{"type":"integer"},"SetupFailed":{"type":"integer"},"ShuttingDown":{"type":"integer"},"StartFailed":{"type":"integer"},"StopFailed":{"type":"integer"},"Stopped":{"type":"integer"},"Stopping":{"type":"integer"},"Terminated":{"type":"integer"},"Terminating":{"type":"integer"},"Unassigning":{"type":"integer"}}}}}}}},"DescribeStacks":{"input":{"type":"structure","members":{"StackIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"Stacks":{"type":"list","member":{"type":"structure","members":{"StackId":{},"Name":{},"Arn":{},"Region":{},"VpcId":{},"Attributes":{"shape":"S8"},"ServiceRoleArn":{},"DefaultInstanceProfileArn":{},"DefaultOs":{},"HostnameTheme":{},"DefaultAvailabilityZone":{},"DefaultSubnetId":{},"CustomJson":{},"ConfigurationManager":{"shape":"Sa"},"ChefConfiguration":{"shape":"Sb"},"UseCustomCookbooks":{"type":"boolean"},"UseOpsworksSecurityGroups":{"type":"boolean"},"CustomCookbooksSource":{"shape":"Sd"},"DefaultSshKeyName":{},"CreatedAt":{},"DefaultRootDeviceType":{},"AgentVersion":{}}}}}}},"DescribeTimeBasedAutoScaling":{"input":{"type":"structure","required":["InstanceIds"],"members":{"InstanceIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"TimeBasedAutoScalingConfigurations":{"type":"list","member":{"type":"structure","members":{"InstanceId":{},"AutoScalingSchedule":{"shape":"S4b"}}}}}}},"DescribeUserProfiles":{"input":{"type":"structure","members":{"IamUserArns":{"shape":"S3"}}},"output":{"type":"structure","members":{"UserProfiles":{"type":"list","member":{"type":"structure","members":{"IamUserArn":{},"Name":{},"SshUsername":{},"SshPublicKey":{},"AllowSelfManagement":{"type":"boolean"}}}}}}},"DescribeVolumes":{"input":{"type":"structure","members":{"InstanceId":{},"StackId":{},"RaidArrayId":{},"VolumeIds":{"shape":"S3"}}},"output":{"type":"structure","members":{"Volumes":{"type":"list","member":{"type":"structure","members":{"VolumeId":{},"Ec2VolumeId":{},"Name":{},"RaidArrayId":{},"InstanceId":{},"Status":{},"Size":{"type":"integer"},"Device":{},"MountPoint":{},"Region":{},"AvailabilityZone":{},"VolumeType":{},"Iops":{"type":"integer"},"Encrypted":{"type":"boolean"}}}}}}},"DetachElasticLoadBalancer":{"input":{"type":"structure","required":["ElasticLoadBalancerName","LayerId"],"members":{"ElasticLoadBalancerName":{},"LayerId":{}}}},"DisassociateElasticIp":{"input":{"type":"structure","required":["ElasticIp"],"members":{"ElasticIp":{}}}},"GetHostnameSuggestion":{"input":{"type":"structure","required":["LayerId"],"members":{"LayerId":{}}},"output":{"type":"structure","members":{"LayerId":{},"Hostname":{}}}},"GrantAccess":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"ValidForInMinutes":{"type":"integer"}}},"output":{"type":"structure","members":{"TemporaryCredential":{"type":"structure","members":{"Username":{},"Password":{},"ValidForInMinutes":{"type":"integer"},"InstanceId":{}}}}}},"ListTags":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S50"},"NextToken":{}}}},"RebootInstance":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{}}}},"RegisterEcsCluster":{"input":{"type":"structure","required":["EcsClusterArn","StackId"],"members":{"EcsClusterArn":{},"StackId":{}}},"output":{"type":"structure","members":{"EcsClusterArn":{}}}},"RegisterElasticIp":{"input":{"type":"structure","required":["ElasticIp","StackId"],"members":{"ElasticIp":{},"StackId":{}}},"output":{"type":"structure","members":{"ElasticIp":{}}}},"RegisterInstance":{"input":{"type":"structure","required":["StackId"],"members":{"StackId":{},"Hostname":{},"PublicIp":{},"PrivateIp":{},"RsaPublicKey":{},"RsaPublicKeyFingerprint":{},"InstanceIdentity":{"type":"structure","members":{"Document":{},"Signature":{}}}}},"output":{"type":"structure","members":{"InstanceId":{}}}},"RegisterRdsDbInstance":{"input":{"type":"structure","required":["StackId","RdsDbInstanceArn","DbUser","DbPassword"],"members":{"StackId":{},"RdsDbInstanceArn":{},"DbUser":{},"DbPassword":{}}}},"RegisterVolume":{"input":{"type":"structure","required":["StackId"],"members":{"Ec2VolumeId":{},"StackId":{}}},"output":{"type":"structure","members":{"VolumeId":{}}}},"SetLoadBasedAutoScaling":{"input":{"type":"structure","required":["LayerId"],"members":{"LayerId":{},"Enable":{"type":"boolean"},"UpScaling":{"shape":"S36"},"DownScaling":{"shape":"S36"}}}},"SetPermission":{"input":{"type":"structure","required":["StackId","IamUserArn"],"members":{"StackId":{},"IamUserArn":{},"AllowSsh":{"type":"boolean"},"AllowSudo":{"type":"boolean"},"Level":{}}}},"SetTimeBasedAutoScaling":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"AutoScalingSchedule":{"shape":"S4b"}}}},"StartInstance":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{}}}},"StartStack":{"input":{"type":"structure","required":["StackId"],"members":{"StackId":{}}}},"StopInstance":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"Force":{"type":"boolean"}}}},"StopStack":{"input":{"type":"structure","required":["StackId"],"members":{"StackId":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S50"}}}},"UnassignInstance":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{}}}},"UnassignVolume":{"input":{"type":"structure","required":["VolumeId"],"members":{"VolumeId":{}}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}}},"UpdateApp":{"input":{"type":"structure","required":["AppId"],"members":{"AppId":{},"Name":{},"Description":{},"DataSources":{"shape":"Si"},"Type":{},"AppSource":{"shape":"Sd"},"Domains":{"shape":"S3"},"EnableSsl":{"type":"boolean"},"SslConfiguration":{"shape":"Sl"},"Attributes":{"shape":"Sm"},"Environment":{"shape":"So"}}}},"UpdateElasticIp":{"input":{"type":"structure","required":["ElasticIp"],"members":{"ElasticIp":{},"Name":{}}}},"UpdateInstance":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"LayerIds":{"shape":"S3"},"InstanceType":{},"AutoScalingType":{},"Hostname":{},"Os":{},"AmiId":{},"SshKeyName":{},"Architecture":{},"InstallUpdatesOnBoot":{"type":"boolean"},"EbsOptimized":{"type":"boolean"},"AgentVersion":{}}}},"UpdateLayer":{"input":{"type":"structure","required":["LayerId"],"members":{"LayerId":{},"Name":{},"Shortname":{},"Attributes":{"shape":"S17"},"CloudWatchLogsConfiguration":{"shape":"S19"},"CustomInstanceProfileArn":{},"CustomJson":{},"CustomSecurityGroupIds":{"shape":"S3"},"Packages":{"shape":"S3"},"VolumeConfigurations":{"shape":"S1f"},"EnableAutoHealing":{"type":"boolean"},"AutoAssignElasticIps":{"type":"boolean"},"AutoAssignPublicIps":{"type":"boolean"},"CustomRecipes":{"shape":"S1h"},"InstallUpdatesOnBoot":{"type":"boolean"},"UseEbsOptimizedInstances":{"type":"boolean"},"LifecycleEventConfiguration":{"shape":"S1i"}}}},"UpdateMyUserProfile":{"input":{"type":"structure","members":{"SshPublicKey":{}}}},"UpdateRdsDbInstance":{"input":{"type":"structure","required":["RdsDbInstanceArn"],"members":{"RdsDbInstanceArn":{},"DbUser":{},"DbPassword":{}}}},"UpdateStack":{"input":{"type":"structure","required":["StackId"],"members":{"StackId":{},"Name":{},"Attributes":{"shape":"S8"},"ServiceRoleArn":{},"DefaultInstanceProfileArn":{},"DefaultOs":{},"HostnameTheme":{},"DefaultAvailabilityZone":{},"DefaultSubnetId":{},"CustomJson":{},"ConfigurationManager":{"shape":"Sa"},"ChefConfiguration":{"shape":"Sb"},"UseCustomCookbooks":{"type":"boolean"},"CustomCookbooksSource":{"shape":"Sd"},"DefaultSshKeyName":{},"DefaultRootDeviceType":{},"UseOpsworksSecurityGroups":{"type":"boolean"},"AgentVersion":{}}}},"UpdateUserProfile":{"input":{"type":"structure","required":["IamUserArn"],"members":{"IamUserArn":{},"SshUsername":{},"SshPublicKey":{},"AllowSelfManagement":{"type":"boolean"}}}},"UpdateVolume":{"input":{"type":"structure","required":["VolumeId"],"members":{"VolumeId":{},"Name":{},"MountPoint":{}}}}},"shapes":{"S3":{"type":"list","member":{}},"S8":{"type":"map","key":{},"value":{}},"Sa":{"type":"structure","members":{"Name":{},"Version":{}}},"Sb":{"type":"structure","members":{"ManageBerkshelf":{"type":"boolean"},"BerkshelfVersion":{}}},"Sd":{"type":"structure","members":{"Type":{},"Url":{},"Username":{},"Password":{},"SshKey":{},"Revision":{}}},"Si":{"type":"list","member":{"type":"structure","members":{"Type":{},"Arn":{},"DatabaseName":{}}}},"Sl":{"type":"structure","required":["Certificate","PrivateKey"],"members":{"Certificate":{},"PrivateKey":{},"Chain":{}}},"Sm":{"type":"map","key":{},"value":{}},"So":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{},"Secure":{"type":"boolean"}}}},"Ss":{"type":"structure","required":["Name"],"members":{"Name":{},"Args":{"type":"map","key":{},"value":{"shape":"S3"}}}},"Sz":{"type":"list","member":{"type":"structure","members":{"DeviceName":{},"NoDevice":{},"VirtualName":{},"Ebs":{"type":"structure","members":{"SnapshotId":{},"Iops":{"type":"integer"},"VolumeSize":{"type":"integer"},"VolumeType":{},"DeleteOnTermination":{"type":"boolean"}}}}}},"S17":{"type":"map","key":{},"value":{}},"S19":{"type":"structure","members":{"Enabled":{"type":"boolean"},"LogStreams":{"type":"list","member":{"type":"structure","members":{"LogGroupName":{},"DatetimeFormat":{},"TimeZone":{},"File":{},"FileFingerprintLines":{},"MultiLineStartPattern":{},"InitialPosition":{},"Encoding":{},"BufferDuration":{"type":"integer"},"BatchCount":{"type":"integer"},"BatchSize":{"type":"integer"}}}}}},"S1f":{"type":"list","member":{"type":"structure","required":["MountPoint","NumberOfDisks","Size"],"members":{"MountPoint":{},"RaidLevel":{"type":"integer"},"NumberOfDisks":{"type":"integer"},"Size":{"type":"integer"},"VolumeType":{},"Iops":{"type":"integer"},"Encrypted":{"type":"boolean"}}}},"S1h":{"type":"structure","members":{"Setup":{"shape":"S3"},"Configure":{"shape":"S3"},"Deploy":{"shape":"S3"},"Undeploy":{"shape":"S3"},"Shutdown":{"shape":"S3"}}},"S1i":{"type":"structure","members":{"Shutdown":{"type":"structure","members":{"ExecutionTimeout":{"type":"integer"},"DelayUntilElbConnectionsDrained":{"type":"boolean"}}}}},"S36":{"type":"structure","members":{"InstanceCount":{"type":"integer"},"ThresholdsWaitTime":{"type":"integer"},"IgnoreMetricsTime":{"type":"integer"},"CpuThreshold":{"type":"double"},"MemoryThreshold":{"type":"double"},"LoadThreshold":{"type":"double"},"Alarms":{"shape":"S3"}}},"S4b":{"type":"structure","members":{"Monday":{"shape":"S4c"},"Tuesday":{"shape":"S4c"},"Wednesday":{"shape":"S4c"},"Thursday":{"shape":"S4c"},"Friday":{"shape":"S4c"},"Saturday":{"shape":"S4c"},"Sunday":{"shape":"S4c"}}},"S4c":{"type":"map","key":{},"value":{}},"S50":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 24750:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeApps":{"result_key":"Apps"},"DescribeCommands":{"result_key":"Commands"},"DescribeDeployments":{"result_key":"Deployments"},"DescribeEcsClusters":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"EcsClusters"},"DescribeElasticIps":{"result_key":"ElasticIps"},"DescribeElasticLoadBalancers":{"result_key":"ElasticLoadBalancers"},"DescribeInstances":{"result_key":"Instances"},"DescribeLayers":{"result_key":"Layers"},"DescribeLoadBasedAutoScaling":{"result_key":"LoadBasedAutoScalingConfigurations"},"DescribePermissions":{"result_key":"Permissions"},"DescribeRaidArrays":{"result_key":"RaidArrays"},"DescribeServiceErrors":{"result_key":"ServiceErrors"},"DescribeStacks":{"result_key":"Stacks"},"DescribeTimeBasedAutoScaling":{"result_key":"TimeBasedAutoScalingConfigurations"},"DescribeUserProfiles":{"result_key":"UserProfiles"},"DescribeVolumes":{"result_key":"Volumes"}}}');

/***/ }),

/***/ 74961:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"AppExists":{"delay":1,"operation":"DescribeApps","maxAttempts":40,"acceptors":[{"expected":200,"matcher":"status","state":"success"},{"matcher":"status","expected":400,"state":"failure"}]},"DeploymentSuccessful":{"delay":15,"operation":"DescribeDeployments","maxAttempts":40,"description":"Wait until a deployment has completed successfully.","acceptors":[{"expected":"successful","matcher":"pathAll","state":"success","argument":"Deployments[].Status"},{"expected":"failed","matcher":"pathAny","state":"failure","argument":"Deployments[].Status"}]},"InstanceOnline":{"delay":15,"operation":"DescribeInstances","maxAttempts":40,"description":"Wait until OpsWorks instance is online.","acceptors":[{"expected":"online","matcher":"pathAll","state":"success","argument":"Instances[].Status"},{"expected":"setup_failed","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"shutting_down","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"start_failed","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"stopped","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"stopping","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"terminating","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"terminated","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"stop_failed","matcher":"pathAny","state":"failure","argument":"Instances[].Status"}]},"InstanceRegistered":{"delay":15,"operation":"DescribeInstances","maxAttempts":40,"description":"Wait until OpsWorks instance is registered.","acceptors":[{"expected":"registered","matcher":"pathAll","state":"success","argument":"Instances[].Status"},{"expected":"setup_failed","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"shutting_down","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"stopped","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"stopping","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"terminating","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"terminated","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"stop_failed","matcher":"pathAny","state":"failure","argument":"Instances[].Status"}]},"InstanceStopped":{"delay":15,"operation":"DescribeInstances","maxAttempts":40,"description":"Wait until OpsWorks instance is stopped.","acceptors":[{"expected":"stopped","matcher":"pathAll","state":"success","argument":"Instances[].Status"},{"expected":"booting","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"pending","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"rebooting","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"requested","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"running_setup","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"setup_failed","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"start_failed","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"stop_failed","matcher":"pathAny","state":"failure","argument":"Instances[].Status"}]},"InstanceTerminated":{"delay":15,"operation":"DescribeInstances","maxAttempts":40,"description":"Wait until OpsWorks instance is terminated.","acceptors":[{"expected":"terminated","matcher":"pathAll","state":"success","argument":"Instances[].Status"},{"expected":"ResourceNotFoundException","matcher":"error","state":"success"},{"expected":"booting","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"online","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"pending","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"rebooting","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"requested","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"running_setup","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"setup_failed","matcher":"pathAny","state":"failure","argument":"Instances[].Status"},{"expected":"start_failed","matcher":"pathAny","state":"failure","argument":"Instances[].Status"}]}}}');

/***/ }),

/***/ 56705:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-11-01","endpointPrefix":"opsworks-cm","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"OpsWorksCM","serviceFullName":"AWS OpsWorks CM","serviceId":"OpsWorksCM","signatureVersion":"v4","signingName":"opsworks-cm","targetPrefix":"OpsWorksCM_V2016_11_01","uid":"opsworkscm-2016-11-01"},"operations":{"AssociateNode":{"input":{"type":"structure","required":["ServerName","NodeName","EngineAttributes"],"members":{"ServerName":{},"NodeName":{},"EngineAttributes":{"shape":"S4"}}},"output":{"type":"structure","members":{"NodeAssociationStatusToken":{}}}},"CreateBackup":{"input":{"type":"structure","required":["ServerName"],"members":{"ServerName":{},"Description":{},"Tags":{"shape":"Sc"}}},"output":{"type":"structure","members":{"Backup":{"shape":"Sh"}}}},"CreateServer":{"input":{"type":"structure","required":["Engine","ServerName","InstanceProfileArn","InstanceType","ServiceRoleArn"],"members":{"AssociatePublicIpAddress":{"type":"boolean"},"CustomDomain":{},"CustomCertificate":{},"CustomPrivateKey":{"type":"string","sensitive":true},"DisableAutomatedBackup":{"type":"boolean"},"Engine":{},"EngineModel":{},"EngineVersion":{},"EngineAttributes":{"shape":"S4"},"BackupRetentionCount":{"type":"integer"},"ServerName":{},"InstanceProfileArn":{},"InstanceType":{},"KeyPair":{},"PreferredMaintenanceWindow":{},"PreferredBackupWindow":{},"SecurityGroupIds":{"shape":"Sn"},"ServiceRoleArn":{},"SubnetIds":{"shape":"Sn"},"Tags":{"shape":"Sc"},"BackupId":{}}},"output":{"type":"structure","members":{"Server":{"shape":"Sz"}}}},"DeleteBackup":{"input":{"type":"structure","required":["BackupId"],"members":{"BackupId":{}}},"output":{"type":"structure","members":{}}},"DeleteServer":{"input":{"type":"structure","required":["ServerName"],"members":{"ServerName":{}}},"output":{"type":"structure","members":{}}},"DescribeAccountAttributes":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"Attributes":{"type":"list","member":{"type":"structure","members":{"Name":{},"Maximum":{"type":"integer"},"Used":{"type":"integer"}}}}}}},"DescribeBackups":{"input":{"type":"structure","members":{"BackupId":{},"ServerName":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Backups":{"type":"list","member":{"shape":"Sh"}},"NextToken":{}}}},"DescribeEvents":{"input":{"type":"structure","required":["ServerName"],"members":{"ServerName":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ServerEvents":{"type":"list","member":{"type":"structure","members":{"CreatedAt":{"type":"timestamp"},"ServerName":{},"Message":{},"LogUrl":{}}}},"NextToken":{}}}},"DescribeNodeAssociationStatus":{"input":{"type":"structure","required":["NodeAssociationStatusToken","ServerName"],"members":{"NodeAssociationStatusToken":{},"ServerName":{}}},"output":{"type":"structure","members":{"NodeAssociationStatus":{},"EngineAttributes":{"shape":"S4"}}}},"DescribeServers":{"input":{"type":"structure","members":{"ServerName":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Servers":{"type":"list","member":{"shape":"Sz"}},"NextToken":{}}}},"DisassociateNode":{"input":{"type":"structure","required":["ServerName","NodeName"],"members":{"ServerName":{},"NodeName":{},"EngineAttributes":{"shape":"S4"}}},"output":{"type":"structure","members":{"NodeAssociationStatusToken":{}}}},"ExportServerEngineAttribute":{"input":{"type":"structure","required":["ExportAttributeName","ServerName"],"members":{"ExportAttributeName":{},"ServerName":{},"InputAttributes":{"shape":"S4"}}},"output":{"type":"structure","members":{"EngineAttribute":{"shape":"S5"},"ServerName":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sc"},"NextToken":{}}}},"RestoreServer":{"input":{"type":"structure","required":["BackupId","ServerName"],"members":{"BackupId":{},"ServerName":{},"InstanceType":{},"KeyPair":{}}},"output":{"type":"structure","members":{"Server":{"shape":"Sz"}}}},"StartMaintenance":{"input":{"type":"structure","required":["ServerName"],"members":{"ServerName":{},"EngineAttributes":{"shape":"S4"}}},"output":{"type":"structure","members":{"Server":{"shape":"Sz"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sc"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateServer":{"input":{"type":"structure","required":["ServerName"],"members":{"DisableAutomatedBackup":{"type":"boolean"},"BackupRetentionCount":{"type":"integer"},"ServerName":{},"PreferredMaintenanceWindow":{},"PreferredBackupWindow":{}}},"output":{"type":"structure","members":{"Server":{"shape":"Sz"}}}},"UpdateServerEngineAttributes":{"input":{"type":"structure","required":["ServerName","AttributeName"],"members":{"ServerName":{},"AttributeName":{},"AttributeValue":{}}},"output":{"type":"structure","members":{"Server":{"shape":"Sz"}}}}},"shapes":{"S4":{"type":"list","member":{"shape":"S5"}},"S5":{"type":"structure","members":{"Name":{},"Value":{"type":"string","sensitive":true}}},"Sc":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sh":{"type":"structure","members":{"BackupArn":{},"BackupId":{},"BackupType":{},"CreatedAt":{"type":"timestamp"},"Description":{},"Engine":{},"EngineModel":{},"EngineVersion":{},"InstanceProfileArn":{},"InstanceType":{},"KeyPair":{},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"S3DataSize":{"deprecated":true,"type":"integer"},"S3DataUrl":{"deprecated":true},"S3LogUrl":{},"SecurityGroupIds":{"shape":"Sn"},"ServerName":{},"ServiceRoleArn":{},"Status":{},"StatusDescription":{},"SubnetIds":{"shape":"Sn"},"ToolsVersion":{},"UserArn":{}}},"Sn":{"type":"list","member":{}},"Sz":{"type":"structure","members":{"AssociatePublicIpAddress":{"type":"boolean"},"BackupRetentionCount":{"type":"integer"},"ServerName":{},"CreatedAt":{"type":"timestamp"},"CloudFormationStackArn":{},"CustomDomain":{},"DisableAutomatedBackup":{"type":"boolean"},"Endpoint":{},"Engine":{},"EngineModel":{},"EngineAttributes":{"shape":"S4"},"EngineVersion":{},"InstanceProfileArn":{},"InstanceType":{},"KeyPair":{},"MaintenanceStatus":{},"PreferredMaintenanceWindow":{},"PreferredBackupWindow":{},"SecurityGroupIds":{"shape":"Sn"},"ServiceRoleArn":{},"Status":{},"StatusReason":{},"SubnetIds":{"shape":"Sn"},"ServerArn":{}}}}}');

/***/ }),

/***/ 49463:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeBackups":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Backups"},"DescribeEvents":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ServerEvents"},"DescribeServers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Servers"},"ListTagsForResource":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Tags"}}}');

/***/ }),

/***/ 65003:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"NodeAssociated":{"delay":15,"maxAttempts":15,"operation":"DescribeNodeAssociationStatus","description":"Wait until node is associated or disassociated.","acceptors":[{"expected":"SUCCESS","state":"success","matcher":"path","argument":"NodeAssociationStatus"},{"expected":"FAILED","state":"failure","matcher":"path","argument":"NodeAssociationStatus"}]}}}');

/***/ }),

/***/ 58874:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-11-28","endpointPrefix":"organizations","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Organizations","serviceFullName":"AWS Organizations","serviceId":"Organizations","signatureVersion":"v4","targetPrefix":"AWSOrganizationsV20161128","uid":"organizations-2016-11-28"},"operations":{"AcceptHandshake":{"input":{"type":"structure","required":["HandshakeId"],"members":{"HandshakeId":{}}},"output":{"type":"structure","members":{"Handshake":{"shape":"S4"}}}},"AttachPolicy":{"input":{"type":"structure","required":["PolicyId","TargetId"],"members":{"PolicyId":{},"TargetId":{}}}},"CancelHandshake":{"input":{"type":"structure","required":["HandshakeId"],"members":{"HandshakeId":{}}},"output":{"type":"structure","members":{"Handshake":{"shape":"S4"}}}},"CreateAccount":{"input":{"type":"structure","required":["Email","AccountName"],"members":{"Email":{"shape":"Sn"},"AccountName":{"shape":"So"},"RoleName":{},"IamUserAccessToBilling":{},"Tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{"CreateAccountStatus":{"shape":"Sw"}}}},"CreateGovCloudAccount":{"input":{"type":"structure","required":["Email","AccountName"],"members":{"Email":{"shape":"Sn"},"AccountName":{"shape":"So"},"RoleName":{},"IamUserAccessToBilling":{},"Tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{"CreateAccountStatus":{"shape":"Sw"}}}},"CreateOrganization":{"input":{"type":"structure","members":{"FeatureSet":{}}},"output":{"type":"structure","members":{"Organization":{"shape":"S16"}}}},"CreateOrganizationalUnit":{"input":{"type":"structure","required":["ParentId","Name"],"members":{"ParentId":{},"Name":{},"Tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{"OrganizationalUnit":{"shape":"S1i"}}}},"CreatePolicy":{"input":{"type":"structure","required":["Content","Description","Name","Type"],"members":{"Content":{},"Description":{},"Name":{},"Type":{},"Tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{"Policy":{"shape":"S1q"}}}},"DeclineHandshake":{"input":{"type":"structure","required":["HandshakeId"],"members":{"HandshakeId":{}}},"output":{"type":"structure","members":{"Handshake":{"shape":"S4"}}}},"DeleteOrganization":{},"DeleteOrganizationalUnit":{"input":{"type":"structure","required":["OrganizationalUnitId"],"members":{"OrganizationalUnitId":{}}}},"DeletePolicy":{"input":{"type":"structure","required":["PolicyId"],"members":{"PolicyId":{}}}},"DeregisterDelegatedAdministrator":{"input":{"type":"structure","required":["AccountId","ServicePrincipal"],"members":{"AccountId":{},"ServicePrincipal":{}}}},"DescribeAccount":{"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{}}},"output":{"type":"structure","members":{"Account":{"shape":"S22"}}}},"DescribeCreateAccountStatus":{"input":{"type":"structure","required":["CreateAccountRequestId"],"members":{"CreateAccountRequestId":{}}},"output":{"type":"structure","members":{"CreateAccountStatus":{"shape":"Sw"}}}},"DescribeEffectivePolicy":{"input":{"type":"structure","required":["PolicyType"],"members":{"PolicyType":{},"TargetId":{}}},"output":{"type":"structure","members":{"EffectivePolicy":{"type":"structure","members":{"PolicyContent":{},"LastUpdatedTimestamp":{"type":"timestamp"},"TargetId":{},"PolicyType":{}}}}}},"DescribeHandshake":{"input":{"type":"structure","required":["HandshakeId"],"members":{"HandshakeId":{}}},"output":{"type":"structure","members":{"Handshake":{"shape":"S4"}}}},"DescribeOrganization":{"output":{"type":"structure","members":{"Organization":{"shape":"S16"}}}},"DescribeOrganizationalUnit":{"input":{"type":"structure","required":["OrganizationalUnitId"],"members":{"OrganizationalUnitId":{}}},"output":{"type":"structure","members":{"OrganizationalUnit":{"shape":"S1i"}}}},"DescribePolicy":{"input":{"type":"structure","required":["PolicyId"],"members":{"PolicyId":{}}},"output":{"type":"structure","members":{"Policy":{"shape":"S1q"}}}},"DetachPolicy":{"input":{"type":"structure","required":["PolicyId","TargetId"],"members":{"PolicyId":{},"TargetId":{}}}},"DisableAWSServiceAccess":{"input":{"type":"structure","required":["ServicePrincipal"],"members":{"ServicePrincipal":{}}}},"DisablePolicyType":{"input":{"type":"structure","required":["RootId","PolicyType"],"members":{"RootId":{},"PolicyType":{}}},"output":{"type":"structure","members":{"Root":{"shape":"S2n"}}}},"EnableAWSServiceAccess":{"input":{"type":"structure","required":["ServicePrincipal"],"members":{"ServicePrincipal":{}}}},"EnableAllFeatures":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"Handshake":{"shape":"S4"}}}},"EnablePolicyType":{"input":{"type":"structure","required":["RootId","PolicyType"],"members":{"RootId":{},"PolicyType":{}}},"output":{"type":"structure","members":{"Root":{"shape":"S2n"}}}},"InviteAccountToOrganization":{"input":{"type":"structure","required":["Target"],"members":{"Target":{"shape":"S7"},"Notes":{"type":"string","sensitive":true},"Tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{"Handshake":{"shape":"S4"}}}},"LeaveOrganization":{},"ListAWSServiceAccessForOrganization":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"EnabledServicePrincipals":{"type":"list","member":{"type":"structure","members":{"ServicePrincipal":{},"DateEnabled":{"type":"timestamp"}}}},"NextToken":{}}}},"ListAccounts":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Accounts":{"shape":"S36"},"NextToken":{}}}},"ListAccountsForParent":{"input":{"type":"structure","required":["ParentId"],"members":{"ParentId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Accounts":{"shape":"S36"},"NextToken":{}}}},"ListChildren":{"input":{"type":"structure","required":["ParentId","ChildType"],"members":{"ParentId":{},"ChildType":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Children":{"type":"list","member":{"type":"structure","members":{"Id":{},"Type":{}}}},"NextToken":{}}}},"ListCreateAccountStatus":{"input":{"type":"structure","members":{"States":{"type":"list","member":{}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"CreateAccountStatuses":{"type":"list","member":{"shape":"Sw"}},"NextToken":{}}}},"ListDelegatedAdministrators":{"input":{"type":"structure","members":{"ServicePrincipal":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DelegatedAdministrators":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Email":{"shape":"Sn"},"Name":{"shape":"So"},"Status":{},"JoinedMethod":{},"JoinedTimestamp":{"type":"timestamp"},"DelegationEnabledDate":{"type":"timestamp"}}}},"NextToken":{}}}},"ListDelegatedServicesForAccount":{"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DelegatedServices":{"type":"list","member":{"type":"structure","members":{"ServicePrincipal":{},"DelegationEnabledDate":{"type":"timestamp"}}}},"NextToken":{}}}},"ListHandshakesForAccount":{"input":{"type":"structure","members":{"Filter":{"shape":"S3s"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Handshakes":{"shape":"S3u"},"NextToken":{}}}},"ListHandshakesForOrganization":{"input":{"type":"structure","members":{"Filter":{"shape":"S3s"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Handshakes":{"shape":"S3u"},"NextToken":{}}}},"ListOrganizationalUnitsForParent":{"input":{"type":"structure","required":["ParentId"],"members":{"ParentId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"OrganizationalUnits":{"type":"list","member":{"shape":"S1i"}},"NextToken":{}}}},"ListParents":{"input":{"type":"structure","required":["ChildId"],"members":{"ChildId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Parents":{"type":"list","member":{"type":"structure","members":{"Id":{},"Type":{}}}},"NextToken":{}}}},"ListPolicies":{"input":{"type":"structure","required":["Filter"],"members":{"Filter":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Policies":{"shape":"S47"},"NextToken":{}}}},"ListPoliciesForTarget":{"input":{"type":"structure","required":["TargetId","Filter"],"members":{"TargetId":{},"Filter":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Policies":{"shape":"S47"},"NextToken":{}}}},"ListRoots":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Roots":{"type":"list","member":{"shape":"S2n"}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceId"],"members":{"ResourceId":{},"NextToken":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sr"},"NextToken":{}}}},"ListTargetsForPolicy":{"input":{"type":"structure","required":["PolicyId"],"members":{"PolicyId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Targets":{"type":"list","member":{"type":"structure","members":{"TargetId":{},"Arn":{},"Name":{},"Type":{}}}},"NextToken":{}}}},"MoveAccount":{"input":{"type":"structure","required":["AccountId","SourceParentId","DestinationParentId"],"members":{"AccountId":{},"SourceParentId":{},"DestinationParentId":{}}}},"RegisterDelegatedAdministrator":{"input":{"type":"structure","required":["AccountId","ServicePrincipal"],"members":{"AccountId":{},"ServicePrincipal":{}}}},"RemoveAccountFromOrganization":{"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceId","Tags"],"members":{"ResourceId":{},"Tags":{"shape":"Sr"}}}},"UntagResource":{"input":{"type":"structure","required":["ResourceId","TagKeys"],"members":{"ResourceId":{},"TagKeys":{"type":"list","member":{}}}}},"UpdateOrganizationalUnit":{"input":{"type":"structure","required":["OrganizationalUnitId"],"members":{"OrganizationalUnitId":{},"Name":{}}},"output":{"type":"structure","members":{"OrganizationalUnit":{"shape":"S1i"}}}},"UpdatePolicy":{"input":{"type":"structure","required":["PolicyId"],"members":{"PolicyId":{},"Name":{},"Description":{},"Content":{}}},"output":{"type":"structure","members":{"Policy":{"shape":"S1q"}}}}},"shapes":{"S4":{"type":"structure","members":{"Id":{},"Arn":{},"Parties":{"type":"list","member":{"shape":"S7"}},"State":{},"RequestedTimestamp":{"type":"timestamp"},"ExpirationTimestamp":{"type":"timestamp"},"Action":{},"Resources":{"shape":"Sd"}}},"S7":{"type":"structure","required":["Id","Type"],"members":{"Id":{"type":"string","sensitive":true},"Type":{}}},"Sd":{"type":"list","member":{"type":"structure","members":{"Value":{"type":"string","sensitive":true},"Type":{},"Resources":{"shape":"Sd"}}}},"Sn":{"type":"string","sensitive":true},"So":{"type":"string","sensitive":true},"Sr":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sw":{"type":"structure","members":{"Id":{},"AccountName":{"shape":"So"},"State":{},"RequestedTimestamp":{"type":"timestamp"},"CompletedTimestamp":{"type":"timestamp"},"AccountId":{},"GovCloudAccountId":{},"FailureReason":{}}},"S16":{"type":"structure","members":{"Id":{},"Arn":{},"FeatureSet":{},"MasterAccountArn":{},"MasterAccountId":{},"MasterAccountEmail":{"shape":"Sn"},"AvailablePolicyTypes":{"shape":"S1a"}}},"S1a":{"type":"list","member":{"type":"structure","members":{"Type":{},"Status":{}}}},"S1i":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{}}},"S1q":{"type":"structure","members":{"PolicySummary":{"shape":"S1r"},"Content":{}}},"S1r":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"Description":{},"Type":{},"AwsManaged":{"type":"boolean"}}},"S22":{"type":"structure","members":{"Id":{},"Arn":{},"Email":{"shape":"Sn"},"Name":{"shape":"So"},"Status":{},"JoinedMethod":{},"JoinedTimestamp":{"type":"timestamp"}}},"S2n":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"PolicyTypes":{"shape":"S1a"}}},"S36":{"type":"list","member":{"shape":"S22"}},"S3s":{"type":"structure","members":{"ActionType":{},"ParentHandshakeId":{}}},"S3u":{"type":"list","member":{"shape":"S4"}},"S47":{"type":"list","member":{"shape":"S1r"}}}}');

/***/ }),

/***/ 43261:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAWSServiceAccessForOrganization":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListAccounts":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListAccountsForParent":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListChildren":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListCreateAccountStatus":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListDelegatedAdministrators":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DelegatedAdministrators"},"ListDelegatedServicesForAccount":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DelegatedServices"},"ListHandshakesForAccount":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListHandshakesForOrganization":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListOrganizationalUnitsForParent":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListParents":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListPolicies":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListPoliciesForTarget":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListRoots":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListTagsForResource":{"input_token":"NextToken","output_token":"NextToken","result_key":"Tags"},"ListTargetsForPolicy":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"}}}');

/***/ }),

/***/ 4807:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-12-03","endpointPrefix":"outposts","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Outposts","serviceFullName":"AWS Outposts","serviceId":"Outposts","signatureVersion":"v4","signingName":"outposts","uid":"outposts-2019-12-03"},"operations":{"CancelOrder":{"http":{"requestUri":"/orders/{OrderId}/cancel"},"input":{"type":"structure","required":["OrderId"],"members":{"OrderId":{"location":"uri","locationName":"OrderId"}}},"output":{"type":"structure","members":{}}},"CreateOrder":{"http":{"requestUri":"/orders"},"input":{"type":"structure","required":["OutpostIdentifier","LineItems","PaymentOption"],"members":{"OutpostIdentifier":{},"LineItems":{"type":"list","member":{"type":"structure","members":{"CatalogItemId":{},"Quantity":{"type":"integer"}}}},"PaymentOption":{},"PaymentTerm":{}}},"output":{"type":"structure","members":{"Order":{"shape":"Sd"}}}},"CreateOutpost":{"http":{"requestUri":"/outposts"},"input":{"type":"structure","required":["Name","SiteId"],"members":{"Name":{},"Description":{},"SiteId":{},"AvailabilityZone":{},"AvailabilityZoneId":{},"Tags":{"shape":"Sr"},"SupportedHardwareType":{}}},"output":{"type":"structure","members":{"Outpost":{"shape":"Sw"}}}},"CreateSite":{"http":{"requestUri":"/sites"},"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"Notes":{},"Tags":{"shape":"Sr"},"OperatingAddress":{"shape":"S16"},"ShippingAddress":{"shape":"S16"},"RackPhysicalProperties":{"shape":"S1i"}}},"output":{"type":"structure","members":{"Site":{"shape":"S1t"}}}},"DeleteOutpost":{"http":{"method":"DELETE","requestUri":"/outposts/{OutpostId}"},"input":{"type":"structure","required":["OutpostId"],"members":{"OutpostId":{"location":"uri","locationName":"OutpostId"}}},"output":{"type":"structure","members":{}}},"DeleteSite":{"http":{"method":"DELETE","requestUri":"/sites/{SiteId}"},"input":{"type":"structure","required":["SiteId"],"members":{"SiteId":{"location":"uri","locationName":"SiteId"}}},"output":{"type":"structure","members":{}}},"GetCatalogItem":{"http":{"method":"GET","requestUri":"/catalog/item/{CatalogItemId}"},"input":{"type":"structure","required":["CatalogItemId"],"members":{"CatalogItemId":{"location":"uri","locationName":"CatalogItemId"}}},"output":{"type":"structure","members":{"CatalogItem":{"shape":"S21"}}}},"GetOrder":{"http":{"method":"GET","requestUri":"/orders/{OrderId}"},"input":{"type":"structure","required":["OrderId"],"members":{"OrderId":{"location":"uri","locationName":"OrderId"}}},"output":{"type":"structure","members":{"Order":{"shape":"Sd"}}}},"GetOutpost":{"http":{"method":"GET","requestUri":"/outposts/{OutpostId}"},"input":{"type":"structure","required":["OutpostId"],"members":{"OutpostId":{"location":"uri","locationName":"OutpostId"}}},"output":{"type":"structure","members":{"Outpost":{"shape":"Sw"}}}},"GetOutpostInstanceTypes":{"http":{"method":"GET","requestUri":"/outposts/{OutpostId}/instanceTypes"},"input":{"type":"structure","required":["OutpostId"],"members":{"OutpostId":{"location":"uri","locationName":"OutpostId"},"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"InstanceTypes":{"type":"list","member":{"type":"structure","members":{"InstanceType":{}}}},"NextToken":{},"OutpostId":{},"OutpostArn":{}}}},"GetSite":{"http":{"method":"GET","requestUri":"/sites/{SiteId}"},"input":{"type":"structure","required":["SiteId"],"members":{"SiteId":{"location":"uri","locationName":"SiteId"}}},"output":{"type":"structure","members":{"Site":{"shape":"S1t"}}}},"GetSiteAddress":{"http":{"method":"GET","requestUri":"/sites/{SiteId}/address"},"input":{"type":"structure","required":["SiteId","AddressType"],"members":{"SiteId":{"location":"uri","locationName":"SiteId"},"AddressType":{"location":"querystring","locationName":"AddressType"}}},"output":{"type":"structure","members":{"SiteId":{},"AddressType":{},"Address":{"shape":"S16"}}}},"ListCatalogItems":{"http":{"method":"GET","requestUri":"/catalog/items"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"ItemClassFilter":{"location":"querystring","locationName":"ItemClassFilter","type":"list","member":{}},"SupportedStorageFilter":{"shape":"S2c","location":"querystring","locationName":"SupportedStorageFilter"},"EC2FamilyFilter":{"location":"querystring","locationName":"EC2FamilyFilter","type":"list","member":{}}}},"output":{"type":"structure","members":{"CatalogItems":{"type":"list","member":{"shape":"S21"}},"NextToken":{}}}},"ListOrders":{"http":{"method":"GET","requestUri":"/list-orders"},"input":{"type":"structure","members":{"OutpostIdentifierFilter":{"location":"querystring","locationName":"OutpostIdentifierFilter"},"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"Orders":{"type":"list","member":{"type":"structure","members":{"OutpostId":{},"OrderId":{},"OrderType":{},"Status":{},"LineItemCountsByStatus":{"type":"map","key":{},"value":{"type":"integer"}},"OrderSubmissionDate":{"type":"timestamp"},"OrderFulfilledDate":{"type":"timestamp"}}}},"NextToken":{}}}},"ListOutposts":{"http":{"method":"GET","requestUri":"/outposts"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"LifeCycleStatusFilter":{"location":"querystring","locationName":"LifeCycleStatusFilter","type":"list","member":{}},"AvailabilityZoneFilter":{"location":"querystring","locationName":"AvailabilityZoneFilter","type":"list","member":{}},"AvailabilityZoneIdFilter":{"location":"querystring","locationName":"AvailabilityZoneIdFilter","type":"list","member":{}}}},"output":{"type":"structure","members":{"Outposts":{"type":"list","member":{"shape":"Sw"}},"NextToken":{}}}},"ListSites":{"http":{"method":"GET","requestUri":"/sites"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"Sites":{"type":"list","member":{"shape":"S1t"}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sr"}}}},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"Sr"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateOutpost":{"http":{"method":"PATCH","requestUri":"/outposts/{OutpostId}"},"input":{"type":"structure","required":["OutpostId"],"members":{"OutpostId":{"location":"uri","locationName":"OutpostId"},"Name":{},"Description":{},"SupportedHardwareType":{}}},"output":{"type":"structure","members":{"Outpost":{"shape":"Sw"}}}},"UpdateSite":{"http":{"method":"PATCH","requestUri":"/sites/{SiteId}"},"input":{"type":"structure","required":["SiteId"],"members":{"SiteId":{"location":"uri","locationName":"SiteId"},"Name":{},"Description":{},"Notes":{}}},"output":{"type":"structure","members":{"Site":{"shape":"S1t"}}}},"UpdateSiteAddress":{"http":{"method":"PUT","requestUri":"/sites/{SiteId}/address"},"input":{"type":"structure","required":["SiteId","AddressType","Address"],"members":{"SiteId":{"location":"uri","locationName":"SiteId"},"AddressType":{},"Address":{"shape":"S16"}}},"output":{"type":"structure","members":{"AddressType":{},"Address":{"shape":"S16"}}}},"UpdateSiteRackPhysicalProperties":{"http":{"method":"PATCH","requestUri":"/sites/{SiteId}/rackPhysicalProperties"},"input":{"type":"structure","required":["SiteId"],"members":{"SiteId":{"location":"uri","locationName":"SiteId"},"PowerDrawKva":{},"PowerPhase":{},"PowerConnector":{},"PowerFeedDrop":{},"UplinkGbps":{},"UplinkCount":{},"FiberOpticCableType":{},"OpticalStandard":{},"MaximumSupportedWeightLbs":{}}},"output":{"type":"structure","members":{"Site":{"shape":"S1t"}}}}},"shapes":{"Sd":{"type":"structure","members":{"OutpostId":{},"OrderId":{},"Status":{},"LineItems":{"type":"list","member":{"type":"structure","members":{"CatalogItemId":{},"LineItemId":{},"Quantity":{"type":"integer"},"Status":{}}}},"PaymentOption":{},"OrderSubmissionDate":{"type":"timestamp"},"OrderFulfilledDate":{"type":"timestamp"}}},"Sr":{"type":"map","key":{},"value":{}},"Sw":{"type":"structure","members":{"OutpostId":{},"OwnerId":{},"OutpostArn":{},"SiteId":{},"Name":{},"Description":{},"LifeCycleStatus":{},"AvailabilityZone":{},"AvailabilityZoneId":{},"Tags":{"shape":"Sr"},"SiteArn":{},"SupportedHardwareType":{}}},"S16":{"type":"structure","required":["AddressLine1","City","StateOrRegion","PostalCode","CountryCode"],"members":{"ContactName":{},"ContactPhoneNumber":{},"AddressLine1":{},"AddressLine2":{},"AddressLine3":{},"City":{},"StateOrRegion":{},"DistrictOrCounty":{},"PostalCode":{},"CountryCode":{},"Municipality":{}}},"S1i":{"type":"structure","members":{"PowerDrawKva":{},"PowerPhase":{},"PowerConnector":{},"PowerFeedDrop":{},"UplinkGbps":{},"UplinkCount":{},"FiberOpticCableType":{},"OpticalStandard":{},"MaximumSupportedWeightLbs":{}}},"S1t":{"type":"structure","members":{"SiteId":{},"AccountId":{},"Name":{},"Description":{},"Tags":{"shape":"Sr"},"SiteArn":{},"Notes":{},"OperatingAddressCountryCode":{},"OperatingAddressStateOrRegion":{},"OperatingAddressCity":{},"RackPhysicalProperties":{"shape":"S1i"}}},"S21":{"type":"structure","members":{"CatalogItemId":{},"ItemStatus":{},"EC2Capacities":{"type":"list","member":{"type":"structure","members":{"Family":{},"MaxSize":{},"Quantity":{}}}},"PowerKva":{"type":"float"},"WeightLbs":{"type":"integer"},"SupportedUplinkGbps":{"type":"list","member":{"type":"integer"}},"SupportedStorage":{"shape":"S2c"}}},"S2c":{"type":"list","member":{}}}}');

/***/ }),

/***/ 3364:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCatalogItems":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListOrders":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListOutposts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSites":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 91489:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-07-24","endpointPrefix":"panorama","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Panorama","serviceFullName":"AWS Panorama","serviceId":"Panorama","signatureVersion":"v4","signingName":"panorama","uid":"panorama-2019-07-24"},"operations":{"CreateApplicationInstance":{"http":{"requestUri":"/application-instances"},"input":{"type":"structure","required":["ManifestPayload","DefaultRuntimeContextDevice"],"members":{"Name":{},"Description":{},"ManifestPayload":{"shape":"S4"},"ManifestOverridesPayload":{"shape":"S6"},"ApplicationInstanceIdToReplace":{},"RuntimeRoleArn":{},"DefaultRuntimeContextDevice":{},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","required":["ApplicationInstanceId"],"members":{"ApplicationInstanceId":{}}}},"CreateJobForDevices":{"http":{"requestUri":"/jobs"},"input":{"type":"structure","required":["DeviceIds","DeviceJobConfig","JobType"],"members":{"DeviceIds":{"type":"list","member":{}},"DeviceJobConfig":{"type":"structure","members":{"OTAJobConfig":{"type":"structure","required":["ImageVersion"],"members":{"ImageVersion":{}}}}},"JobType":{}}},"output":{"type":"structure","required":["Jobs"],"members":{"Jobs":{"type":"list","member":{"type":"structure","members":{"JobId":{},"DeviceId":{}}}}}}},"CreateNodeFromTemplateJob":{"http":{"requestUri":"/packages/template-job"},"input":{"type":"structure","required":["TemplateType","OutputPackageName","OutputPackageVersion","NodeName","TemplateParameters"],"members":{"TemplateType":{},"OutputPackageName":{},"OutputPackageVersion":{},"NodeName":{},"NodeDescription":{},"TemplateParameters":{"shape":"Sv"},"JobTags":{"shape":"Sy"}}},"output":{"type":"structure","required":["JobId"],"members":{"JobId":{}}}},"CreatePackage":{"http":{"requestUri":"/packages"},"input":{"type":"structure","required":["PackageName"],"members":{"PackageName":{},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","required":["StorageLocation"],"members":{"PackageId":{},"Arn":{},"StorageLocation":{"shape":"S16"}}}},"CreatePackageImportJob":{"http":{"requestUri":"/packages/import-jobs"},"input":{"type":"structure","required":["JobType","InputConfig","OutputConfig","ClientToken"],"members":{"JobType":{},"InputConfig":{"shape":"S1b"},"OutputConfig":{"shape":"S1h"},"ClientToken":{},"JobTags":{"shape":"Sy"}}},"output":{"type":"structure","required":["JobId"],"members":{"JobId":{}}}},"DeleteDevice":{"http":{"method":"DELETE","requestUri":"/devices/{DeviceId}"},"input":{"type":"structure","required":["DeviceId"],"members":{"DeviceId":{"location":"uri","locationName":"DeviceId"}}},"output":{"type":"structure","members":{"DeviceId":{}}}},"DeletePackage":{"http":{"method":"DELETE","requestUri":"/packages/{PackageId}"},"input":{"type":"structure","required":["PackageId"],"members":{"PackageId":{"location":"uri","locationName":"PackageId"},"ForceDelete":{"location":"querystring","locationName":"ForceDelete","type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeregisterPackageVersion":{"http":{"method":"DELETE","requestUri":"/packages/{PackageId}/versions/{PackageVersion}/patch/{PatchVersion}"},"input":{"type":"structure","required":["PackageId","PackageVersion","PatchVersion"],"members":{"OwnerAccount":{"location":"querystring","locationName":"OwnerAccount"},"PackageId":{"location":"uri","locationName":"PackageId"},"PackageVersion":{"location":"uri","locationName":"PackageVersion"},"PatchVersion":{"location":"uri","locationName":"PatchVersion"},"UpdatedLatestPatchVersion":{"location":"querystring","locationName":"UpdatedLatestPatchVersion"}}},"output":{"type":"structure","members":{}}},"DescribeApplicationInstance":{"http":{"method":"GET","requestUri":"/application-instances/{applicationInstanceId}"},"input":{"type":"structure","required":["ApplicationInstanceId"],"members":{"ApplicationInstanceId":{"location":"uri","locationName":"applicationInstanceId"}}},"output":{"type":"structure","members":{"Name":{},"Description":{},"DefaultRuntimeContextDevice":{},"DefaultRuntimeContextDeviceName":{},"ApplicationInstanceIdToReplace":{},"RuntimeRoleArn":{},"Status":{},"HealthStatus":{},"StatusDescription":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"ApplicationInstanceId":{},"Arn":{},"Tags":{"shape":"Sb"}}}},"DescribeApplicationInstanceDetails":{"http":{"method":"GET","requestUri":"/application-instances/{applicationInstanceId}/details"},"input":{"type":"structure","required":["ApplicationInstanceId"],"members":{"ApplicationInstanceId":{"location":"uri","locationName":"applicationInstanceId"}}},"output":{"type":"structure","members":{"Name":{},"Description":{},"DefaultRuntimeContextDevice":{},"ManifestPayload":{"shape":"S4"},"ManifestOverridesPayload":{"shape":"S6"},"ApplicationInstanceIdToReplace":{},"CreatedTime":{"type":"timestamp"},"ApplicationInstanceId":{}}}},"DescribeDevice":{"http":{"method":"GET","requestUri":"/devices/{DeviceId}"},"input":{"type":"structure","required":["DeviceId"],"members":{"DeviceId":{"location":"uri","locationName":"DeviceId"}}},"output":{"type":"structure","members":{"DeviceId":{},"Name":{},"Arn":{},"Description":{},"Type":{},"DeviceConnectionStatus":{},"CreatedTime":{"type":"timestamp"},"ProvisioningStatus":{},"LatestSoftware":{},"CurrentSoftware":{},"SerialNumber":{},"Tags":{"shape":"Sb"},"NetworkingConfiguration":{"shape":"S2f"},"CurrentNetworkingStatus":{"type":"structure","members":{"Ethernet0Status":{"shape":"S2p"},"Ethernet1Status":{"shape":"S2p"}}},"LeaseExpirationTime":{"type":"timestamp"}}}},"DescribeDeviceJob":{"http":{"method":"GET","requestUri":"/jobs/{JobId}"},"input":{"type":"structure","required":["JobId"],"members":{"JobId":{"location":"uri","locationName":"JobId"}}},"output":{"type":"structure","members":{"JobId":{},"DeviceId":{},"DeviceArn":{},"DeviceName":{},"DeviceType":{},"ImageVersion":{},"Status":{},"CreatedTime":{"type":"timestamp"}}}},"DescribeNode":{"http":{"method":"GET","requestUri":"/nodes/{NodeId}"},"input":{"type":"structure","required":["NodeId"],"members":{"NodeId":{"location":"uri","locationName":"NodeId"},"OwnerAccount":{"location":"querystring","locationName":"OwnerAccount"}}},"output":{"type":"structure","required":["NodeId","Name","Category","OwnerAccount","PackageName","PackageId","PackageVersion","PatchVersion","NodeInterface","Description","CreatedTime","LastUpdatedTime"],"members":{"NodeId":{},"Name":{},"Category":{},"OwnerAccount":{},"PackageName":{},"PackageId":{},"PackageArn":{},"PackageVersion":{},"PatchVersion":{},"NodeInterface":{"type":"structure","required":["Inputs","Outputs"],"members":{"Inputs":{"type":"list","member":{"type":"structure","members":{"Name":{},"Description":{},"Type":{},"DefaultValue":{},"MaxConnections":{"type":"integer"}}}},"Outputs":{"type":"list","member":{"type":"structure","members":{"Name":{},"Description":{},"Type":{}}}}}},"AssetName":{},"Description":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"}}}},"DescribeNodeFromTemplateJob":{"http":{"method":"GET","requestUri":"/packages/template-job/{JobId}"},"input":{"type":"structure","required":["JobId"],"members":{"JobId":{"location":"uri","locationName":"JobId"}}},"output":{"type":"structure","required":["JobId","Status","StatusMessage","CreatedTime","LastUpdatedTime","OutputPackageName","OutputPackageVersion","NodeName","TemplateType","TemplateParameters"],"members":{"JobId":{},"Status":{},"StatusMessage":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"OutputPackageName":{},"OutputPackageVersion":{},"NodeName":{},"NodeDescription":{},"TemplateType":{},"TemplateParameters":{"shape":"Sv"},"JobTags":{"shape":"Sy"}}}},"DescribePackage":{"http":{"method":"GET","requestUri":"/packages/metadata/{PackageId}"},"input":{"type":"structure","required":["PackageId"],"members":{"PackageId":{"location":"uri","locationName":"PackageId"}}},"output":{"type":"structure","required":["PackageId","PackageName","Arn","StorageLocation","CreatedTime","Tags"],"members":{"PackageId":{},"PackageName":{},"Arn":{},"StorageLocation":{"shape":"S16"},"ReadAccessPrincipalArns":{"shape":"S3i"},"WriteAccessPrincipalArns":{"shape":"S3i"},"CreatedTime":{"type":"timestamp"},"Tags":{"shape":"Sb"}}}},"DescribePackageImportJob":{"http":{"method":"GET","requestUri":"/packages/import-jobs/{JobId}"},"input":{"type":"structure","required":["JobId"],"members":{"JobId":{"location":"uri","locationName":"JobId"}}},"output":{"type":"structure","required":["JobId","JobType","InputConfig","OutputConfig","Output","CreatedTime","LastUpdatedTime","Status","StatusMessage"],"members":{"JobId":{},"ClientToken":{},"JobType":{},"InputConfig":{"shape":"S1b"},"OutputConfig":{"shape":"S1h"},"Output":{"type":"structure","required":["PackageId","PackageVersion","PatchVersion","OutputS3Location"],"members":{"PackageId":{},"PackageVersion":{},"PatchVersion":{},"OutputS3Location":{"type":"structure","required":["BucketName","ObjectKey"],"members":{"BucketName":{},"ObjectKey":{}}}}},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"Status":{},"StatusMessage":{},"JobTags":{"shape":"Sy"}}}},"DescribePackageVersion":{"http":{"method":"GET","requestUri":"/packages/metadata/{PackageId}/versions/{PackageVersion}"},"input":{"type":"structure","required":["PackageId","PackageVersion"],"members":{"OwnerAccount":{"location":"querystring","locationName":"OwnerAccount"},"PackageId":{"location":"uri","locationName":"PackageId"},"PackageVersion":{"location":"uri","locationName":"PackageVersion"},"PatchVersion":{"location":"querystring","locationName":"PatchVersion"}}},"output":{"type":"structure","required":["PackageId","PackageName","PackageVersion","PatchVersion","IsLatestPatch","Status"],"members":{"OwnerAccount":{},"PackageId":{},"PackageArn":{},"PackageName":{},"PackageVersion":{},"PatchVersion":{},"IsLatestPatch":{"type":"boolean"},"Status":{},"StatusDescription":{},"RegisteredTime":{"type":"timestamp"}}}},"ListApplicationInstanceDependencies":{"http":{"method":"GET","requestUri":"/application-instances/{applicationInstanceId}/package-dependencies"},"input":{"type":"structure","required":["ApplicationInstanceId"],"members":{"ApplicationInstanceId":{"location":"uri","locationName":"applicationInstanceId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"PackageObjects":{"type":"list","member":{"type":"structure","required":["Name","PackageVersion","PatchVersion"],"members":{"Name":{},"PackageVersion":{},"PatchVersion":{}}}},"NextToken":{}}}},"ListApplicationInstanceNodeInstances":{"http":{"method":"GET","requestUri":"/application-instances/{applicationInstanceId}/node-instances"},"input":{"type":"structure","required":["ApplicationInstanceId"],"members":{"ApplicationInstanceId":{"location":"uri","locationName":"applicationInstanceId"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NodeInstances":{"type":"list","member":{"type":"structure","required":["NodeInstanceId","CurrentStatus"],"members":{"NodeInstanceId":{},"NodeId":{},"PackageName":{},"PackageVersion":{},"PackagePatchVersion":{},"NodeName":{},"CurrentStatus":{}}}},"NextToken":{}}}},"ListApplicationInstances":{"http":{"method":"GET","requestUri":"/application-instances"},"input":{"type":"structure","members":{"DeviceId":{"location":"querystring","locationName":"deviceId"},"StatusFilter":{"location":"querystring","locationName":"statusFilter"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"ApplicationInstances":{"type":"list","member":{"type":"structure","members":{"Name":{},"ApplicationInstanceId":{},"DefaultRuntimeContextDevice":{},"DefaultRuntimeContextDeviceName":{},"Description":{},"Status":{},"HealthStatus":{},"StatusDescription":{},"CreatedTime":{"type":"timestamp"},"Arn":{},"Tags":{"shape":"Sb"}}}},"NextToken":{}}}},"ListDevices":{"http":{"method":"GET","requestUri":"/devices"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","required":["Devices"],"members":{"Devices":{"type":"list","member":{"type":"structure","members":{"DeviceId":{},"Name":{},"CreatedTime":{"type":"timestamp"},"ProvisioningStatus":{},"LastUpdatedTime":{"type":"timestamp"},"LeaseExpirationTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListDevicesJobs":{"http":{"method":"GET","requestUri":"/jobs"},"input":{"type":"structure","members":{"DeviceId":{"location":"querystring","locationName":"DeviceId"},"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"DeviceJobs":{"type":"list","member":{"type":"structure","members":{"DeviceName":{},"DeviceId":{},"JobId":{},"CreatedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListNodeFromTemplateJobs":{"http":{"method":"GET","requestUri":"/packages/template-job"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","required":["NodeFromTemplateJobs"],"members":{"NodeFromTemplateJobs":{"type":"list","member":{"type":"structure","members":{"JobId":{},"TemplateType":{},"Status":{},"StatusMessage":{},"CreatedTime":{"type":"timestamp"},"NodeName":{}}}},"NextToken":{}}}},"ListNodes":{"http":{"method":"GET","requestUri":"/nodes"},"input":{"type":"structure","members":{"Category":{"location":"querystring","locationName":"category"},"OwnerAccount":{"location":"querystring","locationName":"ownerAccount"},"PackageName":{"location":"querystring","locationName":"packageName"},"PackageVersion":{"location":"querystring","locationName":"packageVersion"},"PatchVersion":{"location":"querystring","locationName":"patchVersion"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"Nodes":{"type":"list","member":{"type":"structure","required":["NodeId","Name","Category","PackageName","PackageId","PackageVersion","PatchVersion","CreatedTime"],"members":{"NodeId":{},"Name":{},"Category":{},"OwnerAccount":{},"PackageName":{},"PackageId":{},"PackageArn":{},"PackageVersion":{},"PatchVersion":{},"Description":{},"CreatedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListPackageImportJobs":{"http":{"method":"GET","requestUri":"/packages/import-jobs"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","required":["PackageImportJobs"],"members":{"PackageImportJobs":{"type":"list","member":{"type":"structure","members":{"JobId":{},"JobType":{},"Status":{},"StatusMessage":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListPackages":{"http":{"method":"GET","requestUri":"/packages"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Packages":{"type":"list","member":{"type":"structure","members":{"PackageId":{},"PackageName":{},"Arn":{},"CreatedTime":{"type":"timestamp"},"Tags":{"shape":"Sb"}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sb"}}}},"ProvisionDevice":{"http":{"requestUri":"/devices"},"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"Tags":{"shape":"Sb"},"NetworkingConfiguration":{"shape":"S2f"}}},"output":{"type":"structure","required":["Arn","Status"],"members":{"DeviceId":{},"Arn":{},"Status":{},"Certificates":{"type":"blob"},"IotThingName":{}}}},"RegisterPackageVersion":{"http":{"method":"PUT","requestUri":"/packages/{PackageId}/versions/{PackageVersion}/patch/{PatchVersion}"},"input":{"type":"structure","required":["PackageId","PackageVersion","PatchVersion"],"members":{"OwnerAccount":{},"PackageId":{"location":"uri","locationName":"PackageId"},"PackageVersion":{"location":"uri","locationName":"PackageVersion"},"PatchVersion":{"location":"uri","locationName":"PatchVersion"},"MarkLatest":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"RemoveApplicationInstance":{"http":{"method":"DELETE","requestUri":"/application-instances/{applicationInstanceId}"},"input":{"type":"structure","required":["ApplicationInstanceId"],"members":{"ApplicationInstanceId":{"location":"uri","locationName":"applicationInstanceId"}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDeviceMetadata":{"http":{"method":"PUT","requestUri":"/devices/{DeviceId}"},"input":{"type":"structure","required":["DeviceId"],"members":{"DeviceId":{"location":"uri","locationName":"DeviceId"},"Description":{}}},"output":{"type":"structure","members":{"DeviceId":{}}}}},"shapes":{"S4":{"type":"structure","members":{"PayloadData":{}},"union":true},"S6":{"type":"structure","members":{"PayloadData":{}},"union":true},"Sb":{"type":"map","key":{},"value":{}},"Sv":{"type":"map","key":{},"value":{"type":"string","sensitive":true}},"Sy":{"type":"list","member":{"type":"structure","required":["ResourceType","Tags"],"members":{"ResourceType":{},"Tags":{"shape":"Sb"}}}},"S16":{"type":"structure","required":["Bucket","RepoPrefixLocation","GeneratedPrefixLocation","BinaryPrefixLocation","ManifestPrefixLocation"],"members":{"Bucket":{},"RepoPrefixLocation":{},"GeneratedPrefixLocation":{},"BinaryPrefixLocation":{},"ManifestPrefixLocation":{}}},"S1b":{"type":"structure","members":{"PackageVersionInputConfig":{"type":"structure","required":["S3Location"],"members":{"S3Location":{"type":"structure","required":["BucketName","ObjectKey"],"members":{"Region":{},"BucketName":{},"ObjectKey":{}}}}}}},"S1h":{"type":"structure","members":{"PackageVersionOutputConfig":{"type":"structure","required":["PackageName","PackageVersion"],"members":{"PackageName":{},"PackageVersion":{},"MarkLatest":{"type":"boolean"}}}}},"S2f":{"type":"structure","members":{"Ethernet0":{"shape":"S2g"},"Ethernet1":{"shape":"S2g"}}},"S2g":{"type":"structure","required":["ConnectionType"],"members":{"ConnectionType":{},"StaticIpConnectionInfo":{"type":"structure","required":["IpAddress","Mask","Dns","DefaultGateway"],"members":{"IpAddress":{},"Mask":{},"Dns":{"type":"list","member":{}},"DefaultGateway":{}}}}},"S2p":{"type":"structure","members":{"IpAddress":{},"ConnectionStatus":{},"HwAddress":{}}},"S3i":{"type":"list","member":{}}}}');

/***/ }),

/***/ 77238:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListApplicationInstanceDependencies":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListApplicationInstanceNodeInstances":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListApplicationInstances":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDevices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDevicesJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListNodeFromTemplateJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListNodes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListPackageImportJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListPackages":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 70169:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-05-22","endpointPrefix":"personalize","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Personalize","serviceId":"Personalize","signatureVersion":"v4","signingName":"personalize","targetPrefix":"AmazonPersonalize","uid":"personalize-2018-05-22"},"operations":{"CreateBatchInferenceJob":{"input":{"type":"structure","required":["jobName","solutionVersionArn","jobInput","jobOutput","roleArn"],"members":{"jobName":{},"solutionVersionArn":{},"filterArn":{},"numResults":{"type":"integer"},"jobInput":{"shape":"S5"},"jobOutput":{"shape":"S9"},"roleArn":{},"batchInferenceJobConfig":{"shape":"Sb"}}},"output":{"type":"structure","members":{"batchInferenceJobArn":{}}}},"CreateBatchSegmentJob":{"input":{"type":"structure","required":["jobName","solutionVersionArn","jobInput","jobOutput","roleArn"],"members":{"jobName":{},"solutionVersionArn":{},"filterArn":{},"numResults":{"type":"integer"},"jobInput":{"shape":"Sh"},"jobOutput":{"shape":"Si"},"roleArn":{}}},"output":{"type":"structure","members":{"batchSegmentJobArn":{}}}},"CreateCampaign":{"input":{"type":"structure","required":["name","solutionVersionArn"],"members":{"name":{},"solutionVersionArn":{},"minProvisionedTPS":{"type":"integer"},"campaignConfig":{"shape":"Sm"}}},"output":{"type":"structure","members":{"campaignArn":{}}},"idempotent":true},"CreateDataset":{"input":{"type":"structure","required":["name","schemaArn","datasetGroupArn","datasetType"],"members":{"name":{},"schemaArn":{},"datasetGroupArn":{},"datasetType":{}}},"output":{"type":"structure","members":{"datasetArn":{}}},"idempotent":true},"CreateDatasetExportJob":{"input":{"type":"structure","required":["jobName","datasetArn","roleArn","jobOutput"],"members":{"jobName":{},"datasetArn":{},"ingestionMode":{},"roleArn":{},"jobOutput":{"shape":"St"}}},"output":{"type":"structure","members":{"datasetExportJobArn":{}}},"idempotent":true},"CreateDatasetGroup":{"input":{"type":"structure","required":["name"],"members":{"name":{},"roleArn":{},"kmsKeyArn":{},"domain":{}}},"output":{"type":"structure","members":{"datasetGroupArn":{},"domain":{}}}},"CreateDatasetImportJob":{"input":{"type":"structure","required":["jobName","datasetArn","dataSource","roleArn"],"members":{"jobName":{},"datasetArn":{},"dataSource":{"shape":"Sz"},"roleArn":{}}},"output":{"type":"structure","members":{"datasetImportJobArn":{}}}},"CreateEventTracker":{"input":{"type":"structure","required":["name","datasetGroupArn"],"members":{"name":{},"datasetGroupArn":{}}},"output":{"type":"structure","members":{"eventTrackerArn":{},"trackingId":{}}},"idempotent":true},"CreateFilter":{"input":{"type":"structure","required":["name","datasetGroupArn","filterExpression"],"members":{"name":{},"datasetGroupArn":{},"filterExpression":{"shape":"S15"}}},"output":{"type":"structure","members":{"filterArn":{}}}},"CreateRecommender":{"input":{"type":"structure","required":["name","datasetGroupArn","recipeArn"],"members":{"name":{},"datasetGroupArn":{},"recipeArn":{},"recommenderConfig":{"shape":"S18"}}},"output":{"type":"structure","members":{"recommenderArn":{}}},"idempotent":true},"CreateSchema":{"input":{"type":"structure","required":["name","schema"],"members":{"name":{},"schema":{},"domain":{}}},"output":{"type":"structure","members":{"schemaArn":{}}},"idempotent":true},"CreateSolution":{"input":{"type":"structure","required":["name","datasetGroupArn"],"members":{"name":{},"performHPO":{"type":"boolean"},"performAutoML":{"type":"boolean"},"recipeArn":{},"datasetGroupArn":{},"eventType":{},"solutionConfig":{"shape":"S1h"}}},"output":{"type":"structure","members":{"solutionArn":{}}}},"CreateSolutionVersion":{"input":{"type":"structure","required":["solutionArn"],"members":{"solutionArn":{},"trainingMode":{}}},"output":{"type":"structure","members":{"solutionVersionArn":{}}}},"DeleteCampaign":{"input":{"type":"structure","required":["campaignArn"],"members":{"campaignArn":{}}},"idempotent":true},"DeleteDataset":{"input":{"type":"structure","required":["datasetArn"],"members":{"datasetArn":{}}},"idempotent":true},"DeleteDatasetGroup":{"input":{"type":"structure","required":["datasetGroupArn"],"members":{"datasetGroupArn":{}}},"idempotent":true},"DeleteEventTracker":{"input":{"type":"structure","required":["eventTrackerArn"],"members":{"eventTrackerArn":{}}},"idempotent":true},"DeleteFilter":{"input":{"type":"structure","required":["filterArn"],"members":{"filterArn":{}}}},"DeleteRecommender":{"input":{"type":"structure","required":["recommenderArn"],"members":{"recommenderArn":{}}},"idempotent":true},"DeleteSchema":{"input":{"type":"structure","required":["schemaArn"],"members":{"schemaArn":{}}},"idempotent":true},"DeleteSolution":{"input":{"type":"structure","required":["solutionArn"],"members":{"solutionArn":{}}},"idempotent":true},"DescribeAlgorithm":{"input":{"type":"structure","required":["algorithmArn"],"members":{"algorithmArn":{}}},"output":{"type":"structure","members":{"algorithm":{"type":"structure","members":{"name":{},"algorithmArn":{},"algorithmImage":{"type":"structure","required":["dockerURI"],"members":{"name":{},"dockerURI":{}}},"defaultHyperParameters":{"shape":"Sc"},"defaultHyperParameterRanges":{"type":"structure","members":{"integerHyperParameterRanges":{"type":"list","member":{"type":"structure","members":{"name":{},"minValue":{"type":"integer"},"maxValue":{"type":"integer"},"isTunable":{"type":"boolean"}}}},"continuousHyperParameterRanges":{"type":"list","member":{"type":"structure","members":{"name":{},"minValue":{"type":"double"},"maxValue":{"type":"double"},"isTunable":{"type":"boolean"}}}},"categoricalHyperParameterRanges":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"shape":"S21"},"isTunable":{"type":"boolean"}}}}}},"defaultResourceConfig":{"type":"map","key":{},"value":{}},"trainingInputMode":{},"roleArn":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}}},"idempotent":true},"DescribeBatchInferenceJob":{"input":{"type":"structure","required":["batchInferenceJobArn"],"members":{"batchInferenceJobArn":{}}},"output":{"type":"structure","members":{"batchInferenceJob":{"type":"structure","members":{"jobName":{},"batchInferenceJobArn":{},"filterArn":{},"failureReason":{},"solutionVersionArn":{},"numResults":{"type":"integer"},"jobInput":{"shape":"S5"},"jobOutput":{"shape":"S9"},"batchInferenceJobConfig":{"shape":"Sb"},"roleArn":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}}},"idempotent":true},"DescribeBatchSegmentJob":{"input":{"type":"structure","required":["batchSegmentJobArn"],"members":{"batchSegmentJobArn":{}}},"output":{"type":"structure","members":{"batchSegmentJob":{"type":"structure","members":{"jobName":{},"batchSegmentJobArn":{},"filterArn":{},"failureReason":{},"solutionVersionArn":{},"numResults":{"type":"integer"},"jobInput":{"shape":"Sh"},"jobOutput":{"shape":"Si"},"roleArn":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}}},"idempotent":true},"DescribeCampaign":{"input":{"type":"structure","required":["campaignArn"],"members":{"campaignArn":{}}},"output":{"type":"structure","members":{"campaign":{"type":"structure","members":{"name":{},"campaignArn":{},"solutionVersionArn":{},"minProvisionedTPS":{"type":"integer"},"campaignConfig":{"shape":"Sm"},"status":{},"failureReason":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"latestCampaignUpdate":{"type":"structure","members":{"solutionVersionArn":{},"minProvisionedTPS":{"type":"integer"},"campaignConfig":{"shape":"Sm"},"status":{},"failureReason":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}}}}},"idempotent":true},"DescribeDataset":{"input":{"type":"structure","required":["datasetArn"],"members":{"datasetArn":{}}},"output":{"type":"structure","members":{"dataset":{"type":"structure","members":{"name":{},"datasetArn":{},"datasetGroupArn":{},"datasetType":{},"schemaArn":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}}},"idempotent":true},"DescribeDatasetExportJob":{"input":{"type":"structure","required":["datasetExportJobArn"],"members":{"datasetExportJobArn":{}}},"output":{"type":"structure","members":{"datasetExportJob":{"type":"structure","members":{"jobName":{},"datasetExportJobArn":{},"datasetArn":{},"ingestionMode":{},"roleArn":{},"status":{},"jobOutput":{"shape":"St"},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"failureReason":{}}}}},"idempotent":true},"DescribeDatasetGroup":{"input":{"type":"structure","required":["datasetGroupArn"],"members":{"datasetGroupArn":{}}},"output":{"type":"structure","members":{"datasetGroup":{"type":"structure","members":{"name":{},"datasetGroupArn":{},"status":{},"roleArn":{},"kmsKeyArn":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"failureReason":{},"domain":{}}}}},"idempotent":true},"DescribeDatasetImportJob":{"input":{"type":"structure","required":["datasetImportJobArn"],"members":{"datasetImportJobArn":{}}},"output":{"type":"structure","members":{"datasetImportJob":{"type":"structure","members":{"jobName":{},"datasetImportJobArn":{},"datasetArn":{},"dataSource":{"shape":"Sz"},"roleArn":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"failureReason":{}}}}},"idempotent":true},"DescribeEventTracker":{"input":{"type":"structure","required":["eventTrackerArn"],"members":{"eventTrackerArn":{}}},"output":{"type":"structure","members":{"eventTracker":{"type":"structure","members":{"name":{},"eventTrackerArn":{},"accountId":{},"trackingId":{},"datasetGroupArn":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}}},"idempotent":true},"DescribeFeatureTransformation":{"input":{"type":"structure","required":["featureTransformationArn"],"members":{"featureTransformationArn":{}}},"output":{"type":"structure","members":{"featureTransformation":{"type":"structure","members":{"name":{},"featureTransformationArn":{},"defaultParameters":{"type":"map","key":{},"value":{}},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"status":{}}}}},"idempotent":true},"DescribeFilter":{"input":{"type":"structure","required":["filterArn"],"members":{"filterArn":{}}},"output":{"type":"structure","members":{"filter":{"type":"structure","members":{"name":{},"filterArn":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"datasetGroupArn":{},"failureReason":{},"filterExpression":{"shape":"S15"},"status":{}}}}},"idempotent":true},"DescribeRecipe":{"input":{"type":"structure","required":["recipeArn"],"members":{"recipeArn":{}}},"output":{"type":"structure","members":{"recipe":{"type":"structure","members":{"name":{},"recipeArn":{},"algorithmArn":{},"featureTransformationArn":{},"status":{},"description":{},"creationDateTime":{"type":"timestamp"},"recipeType":{},"lastUpdatedDateTime":{"type":"timestamp"}}}}},"idempotent":true},"DescribeRecommender":{"input":{"type":"structure","required":["recommenderArn"],"members":{"recommenderArn":{}}},"output":{"type":"structure","members":{"recommender":{"type":"structure","members":{"recommenderArn":{},"datasetGroupArn":{},"name":{},"recipeArn":{},"recommenderConfig":{"shape":"S18"},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"status":{},"failureReason":{},"latestRecommenderUpdate":{"type":"structure","members":{"recommenderConfig":{"shape":"S18"},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"status":{},"failureReason":{}}}}}}},"idempotent":true},"DescribeSchema":{"input":{"type":"structure","required":["schemaArn"],"members":{"schemaArn":{}}},"output":{"type":"structure","members":{"schema":{"type":"structure","members":{"name":{},"schemaArn":{},"schema":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"domain":{}}}}},"idempotent":true},"DescribeSolution":{"input":{"type":"structure","required":["solutionArn"],"members":{"solutionArn":{}}},"output":{"type":"structure","members":{"solution":{"type":"structure","members":{"name":{},"solutionArn":{},"performHPO":{"type":"boolean"},"performAutoML":{"type":"boolean"},"recipeArn":{},"datasetGroupArn":{},"eventType":{},"solutionConfig":{"shape":"S1h"},"autoMLResult":{"type":"structure","members":{"bestRecipeArn":{}}},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"latestSolutionVersion":{"shape":"S4h"}}}}},"idempotent":true},"DescribeSolutionVersion":{"input":{"type":"structure","required":["solutionVersionArn"],"members":{"solutionVersionArn":{}}},"output":{"type":"structure","members":{"solutionVersion":{"type":"structure","members":{"solutionVersionArn":{},"solutionArn":{},"performHPO":{"type":"boolean"},"performAutoML":{"type":"boolean"},"recipeArn":{},"eventType":{},"datasetGroupArn":{},"solutionConfig":{"shape":"S1h"},"trainingHours":{"type":"double"},"trainingMode":{},"tunedHPOParams":{"type":"structure","members":{"algorithmHyperParameters":{"shape":"Sc"}}},"status":{},"failureReason":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}}},"idempotent":true},"GetSolutionMetrics":{"input":{"type":"structure","required":["solutionVersionArn"],"members":{"solutionVersionArn":{}}},"output":{"type":"structure","members":{"solutionVersionArn":{},"metrics":{"type":"map","key":{},"value":{"type":"double"}}}}},"ListBatchInferenceJobs":{"input":{"type":"structure","members":{"solutionVersionArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"batchInferenceJobs":{"type":"list","member":{"type":"structure","members":{"batchInferenceJobArn":{},"jobName":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"failureReason":{},"solutionVersionArn":{}}}},"nextToken":{}}},"idempotent":true},"ListBatchSegmentJobs":{"input":{"type":"structure","members":{"solutionVersionArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"batchSegmentJobs":{"type":"list","member":{"type":"structure","members":{"batchSegmentJobArn":{},"jobName":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"failureReason":{},"solutionVersionArn":{}}}},"nextToken":{}}},"idempotent":true},"ListCampaigns":{"input":{"type":"structure","members":{"solutionArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"campaigns":{"type":"list","member":{"type":"structure","members":{"name":{},"campaignArn":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"failureReason":{}}}},"nextToken":{}}},"idempotent":true},"ListDatasetExportJobs":{"input":{"type":"structure","members":{"datasetArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"datasetExportJobs":{"type":"list","member":{"type":"structure","members":{"datasetExportJobArn":{},"jobName":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"failureReason":{}}}},"nextToken":{}}},"idempotent":true},"ListDatasetGroups":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"datasetGroups":{"type":"list","member":{"type":"structure","members":{"name":{},"datasetGroupArn":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"failureReason":{},"domain":{}}}},"nextToken":{}}},"idempotent":true},"ListDatasetImportJobs":{"input":{"type":"structure","members":{"datasetArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"datasetImportJobs":{"type":"list","member":{"type":"structure","members":{"datasetImportJobArn":{},"jobName":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"failureReason":{}}}},"nextToken":{}}},"idempotent":true},"ListDatasets":{"input":{"type":"structure","members":{"datasetGroupArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"datasets":{"type":"list","member":{"type":"structure","members":{"name":{},"datasetArn":{},"datasetType":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"nextToken":{}}},"idempotent":true},"ListEventTrackers":{"input":{"type":"structure","members":{"datasetGroupArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"eventTrackers":{"type":"list","member":{"type":"structure","members":{"name":{},"eventTrackerArn":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"nextToken":{}}},"idempotent":true},"ListFilters":{"input":{"type":"structure","members":{"datasetGroupArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","members":{"name":{},"filterArn":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"datasetGroupArn":{},"failureReason":{},"status":{}}}},"nextToken":{}}},"idempotent":true},"ListRecipes":{"input":{"type":"structure","members":{"recipeProvider":{},"nextToken":{},"maxResults":{"type":"integer"},"domain":{}}},"output":{"type":"structure","members":{"recipes":{"type":"list","member":{"type":"structure","members":{"name":{},"recipeArn":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"domain":{}}}},"nextToken":{}}},"idempotent":true},"ListRecommenders":{"input":{"type":"structure","members":{"datasetGroupArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"recommenders":{"type":"list","member":{"type":"structure","members":{"name":{},"recommenderArn":{},"datasetGroupArn":{},"recipeArn":{},"recommenderConfig":{"shape":"S18"},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"nextToken":{}}},"idempotent":true},"ListSchemas":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"schemas":{"type":"list","member":{"type":"structure","members":{"name":{},"schemaArn":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"domain":{}}}},"nextToken":{}}},"idempotent":true},"ListSolutionVersions":{"input":{"type":"structure","members":{"solutionArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"solutionVersions":{"type":"list","member":{"shape":"S4h"}},"nextToken":{}}},"idempotent":true},"ListSolutions":{"input":{"type":"structure","members":{"datasetGroupArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"solutions":{"type":"list","member":{"type":"structure","members":{"name":{},"solutionArn":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"}}}},"nextToken":{}}},"idempotent":true},"StopSolutionVersionCreation":{"input":{"type":"structure","required":["solutionVersionArn"],"members":{"solutionVersionArn":{}}},"idempotent":true},"UpdateCampaign":{"input":{"type":"structure","required":["campaignArn"],"members":{"campaignArn":{},"solutionVersionArn":{},"minProvisionedTPS":{"type":"integer"},"campaignConfig":{"shape":"Sm"}}},"output":{"type":"structure","members":{"campaignArn":{}}},"idempotent":true},"UpdateRecommender":{"input":{"type":"structure","required":["recommenderArn","recommenderConfig"],"members":{"recommenderArn":{},"recommenderConfig":{"shape":"S18"}}},"output":{"type":"structure","members":{"recommenderArn":{}}},"idempotent":true}},"shapes":{"S5":{"type":"structure","required":["s3DataSource"],"members":{"s3DataSource":{"shape":"S6"}}},"S6":{"type":"structure","required":["path"],"members":{"path":{},"kmsKeyArn":{}}},"S9":{"type":"structure","required":["s3DataDestination"],"members":{"s3DataDestination":{"shape":"S6"}}},"Sb":{"type":"structure","members":{"itemExplorationConfig":{"shape":"Sc"}}},"Sc":{"type":"map","key":{},"value":{}},"Sh":{"type":"structure","required":["s3DataSource"],"members":{"s3DataSource":{"shape":"S6"}}},"Si":{"type":"structure","required":["s3DataDestination"],"members":{"s3DataDestination":{"shape":"S6"}}},"Sm":{"type":"structure","members":{"itemExplorationConfig":{"shape":"Sc"}}},"St":{"type":"structure","required":["s3DataDestination"],"members":{"s3DataDestination":{"shape":"S6"}}},"Sz":{"type":"structure","members":{"dataLocation":{}}},"S15":{"type":"string","sensitive":true},"S18":{"type":"structure","members":{"itemExplorationConfig":{"shape":"Sc"}}},"S1h":{"type":"structure","members":{"eventValueThreshold":{},"hpoConfig":{"type":"structure","members":{"hpoObjective":{"type":"structure","members":{"type":{},"metricName":{},"metricRegex":{}}},"hpoResourceConfig":{"type":"structure","members":{"maxNumberOfTrainingJobs":{},"maxParallelTrainingJobs":{}}},"algorithmHyperParameterRanges":{"type":"structure","members":{"integerHyperParameterRanges":{"type":"list","member":{"type":"structure","members":{"name":{},"minValue":{"type":"integer"},"maxValue":{"type":"integer"}}}},"continuousHyperParameterRanges":{"type":"list","member":{"type":"structure","members":{"name":{},"minValue":{"type":"double"},"maxValue":{"type":"double"}}}},"categoricalHyperParameterRanges":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"shape":"S21"}}}}}}}},"algorithmHyperParameters":{"shape":"Sc"},"featureTransformationParameters":{"type":"map","key":{},"value":{}},"autoMLConfig":{"type":"structure","members":{"metricName":{},"recipeList":{"type":"list","member":{}}}},"optimizationObjective":{"type":"structure","members":{"itemAttribute":{},"objectiveSensitivity":{}}}}},"S21":{"type":"list","member":{}},"S4h":{"type":"structure","members":{"solutionVersionArn":{},"status":{},"creationDateTime":{"type":"timestamp"},"lastUpdatedDateTime":{"type":"timestamp"},"failureReason":{}}}}}');

/***/ }),

/***/ 64441:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListBatchInferenceJobs":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"batchInferenceJobs"},"ListBatchSegmentJobs":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"batchSegmentJobs"},"ListCampaigns":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"campaigns"},"ListDatasetExportJobs":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"datasetExportJobs"},"ListDatasetGroups":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"datasetGroups"},"ListDatasetImportJobs":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"datasetImportJobs"},"ListDatasets":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"datasets"},"ListEventTrackers":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"eventTrackers"},"ListFilters":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"Filters"},"ListRecipes":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"recipes"},"ListRecommenders":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"recommenders"},"ListSchemas":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"schemas"},"ListSolutionVersions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"solutionVersions"},"ListSolutions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"solutions"}}}');

/***/ }),

/***/ 3606:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-03-22","endpointPrefix":"personalize-events","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Personalize Events","serviceId":"Personalize Events","signatureVersion":"v4","signingName":"personalize","uid":"personalize-events-2018-03-22"},"operations":{"PutEvents":{"http":{"requestUri":"/events"},"input":{"type":"structure","required":["trackingId","sessionId","eventList"],"members":{"trackingId":{},"userId":{},"sessionId":{},"eventList":{"type":"list","member":{"type":"structure","required":["eventType","sentAt"],"members":{"eventId":{},"eventType":{},"eventValue":{"type":"float"},"itemId":{},"properties":{"jsonvalue":true},"sentAt":{"type":"timestamp"},"recommendationId":{},"impression":{"type":"list","member":{}}}}}}}},"PutItems":{"http":{"requestUri":"/items"},"input":{"type":"structure","required":["datasetArn","items"],"members":{"datasetArn":{},"items":{"type":"list","member":{"type":"structure","required":["itemId"],"members":{"itemId":{},"properties":{"jsonvalue":true}}}}}}},"PutUsers":{"http":{"requestUri":"/users"},"input":{"type":"structure","required":["datasetArn","users"],"members":{"datasetArn":{},"users":{"type":"list","member":{"type":"structure","required":["userId"],"members":{"userId":{},"properties":{"jsonvalue":true}}}}}}}},"shapes":{}}');

/***/ }),

/***/ 94507:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 18824:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-05-22","endpointPrefix":"personalize-runtime","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Personalize Runtime","serviceId":"Personalize Runtime","signatureVersion":"v4","signingName":"personalize","uid":"personalize-runtime-2018-05-22"},"operations":{"GetPersonalizedRanking":{"http":{"requestUri":"/personalize-ranking"},"input":{"type":"structure","required":["campaignArn","inputList","userId"],"members":{"campaignArn":{},"inputList":{"type":"list","member":{}},"userId":{},"context":{"shape":"S6"},"filterArn":{},"filterValues":{"shape":"S9"}}},"output":{"type":"structure","members":{"personalizedRanking":{"shape":"Sd"},"recommendationId":{}}},"idempotent":true},"GetRecommendations":{"http":{"requestUri":"/recommendations"},"input":{"type":"structure","members":{"campaignArn":{},"itemId":{},"userId":{},"numResults":{"type":"integer"},"context":{"shape":"S6"},"filterArn":{},"filterValues":{"shape":"S9"},"recommenderArn":{}}},"output":{"type":"structure","members":{"itemList":{"shape":"Sd"},"recommendationId":{}}},"idempotent":true}},"shapes":{"S6":{"type":"map","key":{},"value":{"type":"string","sensitive":true}},"S9":{"type":"map","key":{},"value":{"type":"string","sensitive":true}},"Sd":{"type":"list","member":{"type":"structure","members":{"itemId":{},"score":{"type":"double"}}}}}}');

/***/ }),

/***/ 8069:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 18761:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-02-27","endpointPrefix":"pi","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"AWS PI","serviceFullName":"AWS Performance Insights","serviceId":"PI","signatureVersion":"v4","signingName":"pi","targetPrefix":"PerformanceInsightsv20180227","uid":"pi-2018-02-27"},"operations":{"DescribeDimensionKeys":{"input":{"type":"structure","required":["ServiceType","Identifier","StartTime","EndTime","Metric","GroupBy"],"members":{"ServiceType":{},"Identifier":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Metric":{},"PeriodInSeconds":{"type":"integer"},"GroupBy":{"shape":"S6"},"PartitionBy":{"shape":"S6"},"Filter":{"shape":"S9"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AlignedStartTime":{"type":"timestamp"},"AlignedEndTime":{"type":"timestamp"},"PartitionKeys":{"type":"list","member":{"type":"structure","required":["Dimensions"],"members":{"Dimensions":{"shape":"Sf"}}}},"Keys":{"type":"list","member":{"type":"structure","members":{"Dimensions":{"shape":"Sf"},"Total":{"type":"double"},"Partitions":{"type":"list","member":{"type":"double"}}}}},"NextToken":{}}}},"GetDimensionKeyDetails":{"input":{"type":"structure","required":["ServiceType","Identifier","Group","GroupIdentifier"],"members":{"ServiceType":{},"Identifier":{},"Group":{},"GroupIdentifier":{},"RequestedDimensions":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"Dimensions":{"type":"list","member":{"type":"structure","members":{"Value":{},"Dimension":{},"Status":{}}}}}}},"GetResourceMetrics":{"input":{"type":"structure","required":["ServiceType","Identifier","MetricQueries","StartTime","EndTime"],"members":{"ServiceType":{},"Identifier":{},"MetricQueries":{"type":"list","member":{"type":"structure","required":["Metric"],"members":{"Metric":{},"GroupBy":{"shape":"S6"},"Filter":{"shape":"S9"}}}},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"PeriodInSeconds":{"type":"integer"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AlignedStartTime":{"type":"timestamp"},"AlignedEndTime":{"type":"timestamp"},"Identifier":{},"MetricList":{"type":"list","member":{"type":"structure","members":{"Key":{"type":"structure","required":["Metric"],"members":{"Metric":{},"Dimensions":{"shape":"Sf"}}},"DataPoints":{"type":"list","member":{"type":"structure","required":["Timestamp","Value"],"members":{"Timestamp":{"type":"timestamp"},"Value":{"type":"double"}}}}}}},"NextToken":{}}}}},"shapes":{"S6":{"type":"structure","required":["Group"],"members":{"Group":{},"Dimensions":{"type":"list","member":{}},"Limit":{"type":"integer"}}},"S9":{"type":"map","key":{},"value":{}},"Sf":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 84882:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 40605:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2016-12-01","endpointPrefix":"pinpoint","signingName":"mobiletargeting","serviceFullName":"Amazon Pinpoint","serviceId":"Pinpoint","protocol":"rest-json","jsonVersion":"1.1","uid":"pinpoint-2016-12-01","signatureVersion":"v4"},"operations":{"CreateApp":{"http":{"requestUri":"/v1/apps","responseCode":201},"input":{"type":"structure","members":{"CreateApplicationRequest":{"type":"structure","members":{"Name":{},"tags":{"shape":"S4","locationName":"tags"}},"required":["Name"]}},"required":["CreateApplicationRequest"],"payload":"CreateApplicationRequest"},"output":{"type":"structure","members":{"ApplicationResponse":{"shape":"S6"}},"required":["ApplicationResponse"],"payload":"ApplicationResponse"}},"CreateCampaign":{"http":{"requestUri":"/v1/apps/{application-id}/campaigns","responseCode":201},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"WriteCampaignRequest":{"shape":"S8"}},"required":["ApplicationId","WriteCampaignRequest"],"payload":"WriteCampaignRequest"},"output":{"type":"structure","members":{"CampaignResponse":{"shape":"S1j"}},"required":["CampaignResponse"],"payload":"CampaignResponse"}},"CreateEmailTemplate":{"http":{"requestUri":"/v1/templates/{template-name}/email","responseCode":201},"input":{"type":"structure","members":{"EmailTemplateRequest":{"shape":"S1p"},"TemplateName":{"location":"uri","locationName":"template-name"}},"required":["TemplateName","EmailTemplateRequest"],"payload":"EmailTemplateRequest"},"output":{"type":"structure","members":{"CreateTemplateMessageBody":{"shape":"S1r"}},"required":["CreateTemplateMessageBody"],"payload":"CreateTemplateMessageBody"}},"CreateExportJob":{"http":{"requestUri":"/v1/apps/{application-id}/jobs/export","responseCode":202},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"ExportJobRequest":{"type":"structure","members":{"RoleArn":{},"S3UrlPrefix":{},"SegmentId":{},"SegmentVersion":{"type":"integer"}},"required":["S3UrlPrefix","RoleArn"]}},"required":["ApplicationId","ExportJobRequest"],"payload":"ExportJobRequest"},"output":{"type":"structure","members":{"ExportJobResponse":{"shape":"S1v"}},"required":["ExportJobResponse"],"payload":"ExportJobResponse"}},"CreateImportJob":{"http":{"requestUri":"/v1/apps/{application-id}/jobs/import","responseCode":201},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"ImportJobRequest":{"type":"structure","members":{"DefineSegment":{"type":"boolean"},"ExternalId":{},"Format":{},"RegisterEndpoints":{"type":"boolean"},"RoleArn":{},"S3Url":{},"SegmentId":{},"SegmentName":{}},"required":["Format","S3Url","RoleArn"]}},"required":["ApplicationId","ImportJobRequest"],"payload":"ImportJobRequest"},"output":{"type":"structure","members":{"ImportJobResponse":{"shape":"S22"}},"required":["ImportJobResponse"],"payload":"ImportJobResponse"}},"CreateInAppTemplate":{"http":{"requestUri":"/v1/templates/{template-name}/inapp","responseCode":201},"input":{"type":"structure","members":{"InAppTemplateRequest":{"shape":"S25"},"TemplateName":{"location":"uri","locationName":"template-name"}},"required":["TemplateName","InAppTemplateRequest"],"payload":"InAppTemplateRequest"},"output":{"type":"structure","members":{"TemplateCreateMessageBody":{"type":"structure","members":{"Arn":{},"Message":{},"RequestID":{}}}},"required":["TemplateCreateMessageBody"],"payload":"TemplateCreateMessageBody"}},"CreateJourney":{"http":{"requestUri":"/v1/apps/{application-id}/journeys","responseCode":201},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"WriteJourneyRequest":{"shape":"S29"}},"required":["ApplicationId","WriteJourneyRequest"],"payload":"WriteJourneyRequest"},"output":{"type":"structure","members":{"JourneyResponse":{"shape":"S3i"}},"required":["JourneyResponse"],"payload":"JourneyResponse"}},"CreatePushTemplate":{"http":{"requestUri":"/v1/templates/{template-name}/push","responseCode":201},"input":{"type":"structure","members":{"PushNotificationTemplateRequest":{"shape":"S3l"},"TemplateName":{"location":"uri","locationName":"template-name"}},"required":["TemplateName","PushNotificationTemplateRequest"],"payload":"PushNotificationTemplateRequest"},"output":{"type":"structure","members":{"CreateTemplateMessageBody":{"shape":"S1r"}},"required":["CreateTemplateMessageBody"],"payload":"CreateTemplateMessageBody"}},"CreateRecommenderConfiguration":{"http":{"requestUri":"/v1/recommenders","responseCode":201},"input":{"type":"structure","members":{"CreateRecommenderConfiguration":{"type":"structure","members":{"Attributes":{"shape":"S4"},"Description":{},"Name":{},"RecommendationProviderIdType":{},"RecommendationProviderRoleArn":{},"RecommendationProviderUri":{},"RecommendationTransformerUri":{},"RecommendationsDisplayName":{},"RecommendationsPerMessage":{"type":"integer"}},"required":["RecommendationProviderUri","RecommendationProviderRoleArn"]}},"required":["CreateRecommenderConfiguration"],"payload":"CreateRecommenderConfiguration"},"output":{"type":"structure","members":{"RecommenderConfigurationResponse":{"shape":"S3t"}},"required":["RecommenderConfigurationResponse"],"payload":"RecommenderConfigurationResponse"}},"CreateSegment":{"http":{"requestUri":"/v1/apps/{application-id}/segments","responseCode":201},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"WriteSegmentRequest":{"shape":"S3v"}},"required":["ApplicationId","WriteSegmentRequest"],"payload":"WriteSegmentRequest"},"output":{"type":"structure","members":{"SegmentResponse":{"shape":"S46"}},"required":["SegmentResponse"],"payload":"SegmentResponse"}},"CreateSmsTemplate":{"http":{"requestUri":"/v1/templates/{template-name}/sms","responseCode":201},"input":{"type":"structure","members":{"SMSTemplateRequest":{"shape":"S4b"},"TemplateName":{"location":"uri","locationName":"template-name"}},"required":["TemplateName","SMSTemplateRequest"],"payload":"SMSTemplateRequest"},"output":{"type":"structure","members":{"CreateTemplateMessageBody":{"shape":"S1r"}},"required":["CreateTemplateMessageBody"],"payload":"CreateTemplateMessageBody"}},"CreateVoiceTemplate":{"http":{"requestUri":"/v1/templates/{template-name}/voice","responseCode":201},"input":{"type":"structure","members":{"TemplateName":{"location":"uri","locationName":"template-name"},"VoiceTemplateRequest":{"shape":"S4e"}},"required":["TemplateName","VoiceTemplateRequest"],"payload":"VoiceTemplateRequest"},"output":{"type":"structure","members":{"CreateTemplateMessageBody":{"shape":"S1r"}},"required":["CreateTemplateMessageBody"],"payload":"CreateTemplateMessageBody"}},"DeleteAdmChannel":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/channels/adm","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"ADMChannelResponse":{"shape":"S4i"}},"required":["ADMChannelResponse"],"payload":"ADMChannelResponse"}},"DeleteApnsChannel":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/channels/apns","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"APNSChannelResponse":{"shape":"S4l"}},"required":["APNSChannelResponse"],"payload":"APNSChannelResponse"}},"DeleteApnsSandboxChannel":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/channels/apns_sandbox","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"APNSSandboxChannelResponse":{"shape":"S4o"}},"required":["APNSSandboxChannelResponse"],"payload":"APNSSandboxChannelResponse"}},"DeleteApnsVoipChannel":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/channels/apns_voip","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"APNSVoipChannelResponse":{"shape":"S4r"}},"required":["APNSVoipChannelResponse"],"payload":"APNSVoipChannelResponse"}},"DeleteApnsVoipSandboxChannel":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/channels/apns_voip_sandbox","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"APNSVoipSandboxChannelResponse":{"shape":"S4u"}},"required":["APNSVoipSandboxChannelResponse"],"payload":"APNSVoipSandboxChannelResponse"}},"DeleteApp":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"ApplicationResponse":{"shape":"S6"}},"required":["ApplicationResponse"],"payload":"ApplicationResponse"}},"DeleteBaiduChannel":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/channels/baidu","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"BaiduChannelResponse":{"shape":"S4z"}},"required":["BaiduChannelResponse"],"payload":"BaiduChannelResponse"}},"DeleteCampaign":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/campaigns/{campaign-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"CampaignId":{"location":"uri","locationName":"campaign-id"}},"required":["CampaignId","ApplicationId"]},"output":{"type":"structure","members":{"CampaignResponse":{"shape":"S1j"}},"required":["CampaignResponse"],"payload":"CampaignResponse"}},"DeleteEmailChannel":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/channels/email","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"EmailChannelResponse":{"shape":"S54"}},"required":["EmailChannelResponse"],"payload":"EmailChannelResponse"}},"DeleteEmailTemplate":{"http":{"method":"DELETE","requestUri":"/v1/templates/{template-name}/email","responseCode":202},"input":{"type":"structure","members":{"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName"]},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"DeleteEndpoint":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/endpoints/{endpoint-id}","responseCode":202},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"EndpointId":{"location":"uri","locationName":"endpoint-id"}},"required":["ApplicationId","EndpointId"]},"output":{"type":"structure","members":{"EndpointResponse":{"shape":"S5a"}},"required":["EndpointResponse"],"payload":"EndpointResponse"}},"DeleteEventStream":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/eventstream","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"EventStream":{"shape":"S5j"}},"required":["EventStream"],"payload":"EventStream"}},"DeleteGcmChannel":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/channels/gcm","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"GCMChannelResponse":{"shape":"S5m"}},"required":["GCMChannelResponse"],"payload":"GCMChannelResponse"}},"DeleteInAppTemplate":{"http":{"method":"DELETE","requestUri":"/v1/templates/{template-name}/inapp","responseCode":202},"input":{"type":"structure","members":{"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName"]},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"DeleteJourney":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/journeys/{journey-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"JourneyId":{"location":"uri","locationName":"journey-id"}},"required":["JourneyId","ApplicationId"]},"output":{"type":"structure","members":{"JourneyResponse":{"shape":"S3i"}},"required":["JourneyResponse"],"payload":"JourneyResponse"}},"DeletePushTemplate":{"http":{"method":"DELETE","requestUri":"/v1/templates/{template-name}/push","responseCode":202},"input":{"type":"structure","members":{"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName"]},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"DeleteRecommenderConfiguration":{"http":{"method":"DELETE","requestUri":"/v1/recommenders/{recommender-id}","responseCode":200},"input":{"type":"structure","members":{"RecommenderId":{"location":"uri","locationName":"recommender-id"}},"required":["RecommenderId"]},"output":{"type":"structure","members":{"RecommenderConfigurationResponse":{"shape":"S3t"}},"required":["RecommenderConfigurationResponse"],"payload":"RecommenderConfigurationResponse"}},"DeleteSegment":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/segments/{segment-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"SegmentId":{"location":"uri","locationName":"segment-id"}},"required":["SegmentId","ApplicationId"]},"output":{"type":"structure","members":{"SegmentResponse":{"shape":"S46"}},"required":["SegmentResponse"],"payload":"SegmentResponse"}},"DeleteSmsChannel":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/channels/sms","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"SMSChannelResponse":{"shape":"S5z"}},"required":["SMSChannelResponse"],"payload":"SMSChannelResponse"}},"DeleteSmsTemplate":{"http":{"method":"DELETE","requestUri":"/v1/templates/{template-name}/sms","responseCode":202},"input":{"type":"structure","members":{"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName"]},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"DeleteUserEndpoints":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/users/{user-id}","responseCode":202},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"UserId":{"location":"uri","locationName":"user-id"}},"required":["ApplicationId","UserId"]},"output":{"type":"structure","members":{"EndpointsResponse":{"shape":"S64"}},"required":["EndpointsResponse"],"payload":"EndpointsResponse"}},"DeleteVoiceChannel":{"http":{"method":"DELETE","requestUri":"/v1/apps/{application-id}/channels/voice","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"VoiceChannelResponse":{"shape":"S68"}},"required":["VoiceChannelResponse"],"payload":"VoiceChannelResponse"}},"DeleteVoiceTemplate":{"http":{"method":"DELETE","requestUri":"/v1/templates/{template-name}/voice","responseCode":202},"input":{"type":"structure","members":{"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName"]},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"GetAdmChannel":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/channels/adm","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"ADMChannelResponse":{"shape":"S4i"}},"required":["ADMChannelResponse"],"payload":"ADMChannelResponse"}},"GetApnsChannel":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/channels/apns","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"APNSChannelResponse":{"shape":"S4l"}},"required":["APNSChannelResponse"],"payload":"APNSChannelResponse"}},"GetApnsSandboxChannel":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/channels/apns_sandbox","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"APNSSandboxChannelResponse":{"shape":"S4o"}},"required":["APNSSandboxChannelResponse"],"payload":"APNSSandboxChannelResponse"}},"GetApnsVoipChannel":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/channels/apns_voip","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"APNSVoipChannelResponse":{"shape":"S4r"}},"required":["APNSVoipChannelResponse"],"payload":"APNSVoipChannelResponse"}},"GetApnsVoipSandboxChannel":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/channels/apns_voip_sandbox","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"APNSVoipSandboxChannelResponse":{"shape":"S4u"}},"required":["APNSVoipSandboxChannelResponse"],"payload":"APNSVoipSandboxChannelResponse"}},"GetApp":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"ApplicationResponse":{"shape":"S6"}},"required":["ApplicationResponse"],"payload":"ApplicationResponse"}},"GetApplicationDateRangeKpi":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/kpis/daterange/{kpi-name}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"EndTime":{"shape":"S3c","location":"querystring","locationName":"end-time"},"KpiName":{"location":"uri","locationName":"kpi-name"},"NextToken":{"location":"querystring","locationName":"next-token"},"PageSize":{"location":"querystring","locationName":"page-size"},"StartTime":{"shape":"S3c","location":"querystring","locationName":"start-time"}},"required":["ApplicationId","KpiName"]},"output":{"type":"structure","members":{"ApplicationDateRangeKpiResponse":{"type":"structure","members":{"ApplicationId":{},"EndTime":{"shape":"S3c"},"KpiName":{},"KpiResult":{"shape":"S6q"},"NextToken":{},"StartTime":{"shape":"S3c"}},"required":["KpiResult","KpiName","EndTime","StartTime","ApplicationId"]}},"required":["ApplicationDateRangeKpiResponse"],"payload":"ApplicationDateRangeKpiResponse"}},"GetApplicationSettings":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/settings","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"ApplicationSettingsResource":{"shape":"S6x"}},"required":["ApplicationSettingsResource"],"payload":"ApplicationSettingsResource"}},"GetApps":{"http":{"method":"GET","requestUri":"/v1/apps","responseCode":200},"input":{"type":"structure","members":{"PageSize":{"location":"querystring","locationName":"page-size"},"Token":{"location":"querystring","locationName":"token"}}},"output":{"type":"structure","members":{"ApplicationsResponse":{"type":"structure","members":{"Item":{"type":"list","member":{"shape":"S6"}},"NextToken":{}}}},"required":["ApplicationsResponse"],"payload":"ApplicationsResponse"}},"GetBaiduChannel":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/channels/baidu","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"BaiduChannelResponse":{"shape":"S4z"}},"required":["BaiduChannelResponse"],"payload":"BaiduChannelResponse"}},"GetCampaign":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/campaigns/{campaign-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"CampaignId":{"location":"uri","locationName":"campaign-id"}},"required":["CampaignId","ApplicationId"]},"output":{"type":"structure","members":{"CampaignResponse":{"shape":"S1j"}},"required":["CampaignResponse"],"payload":"CampaignResponse"}},"GetCampaignActivities":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/campaigns/{campaign-id}/activities","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"CampaignId":{"location":"uri","locationName":"campaign-id"},"PageSize":{"location":"querystring","locationName":"page-size"},"Token":{"location":"querystring","locationName":"token"}},"required":["ApplicationId","CampaignId"]},"output":{"type":"structure","members":{"ActivitiesResponse":{"type":"structure","members":{"Item":{"type":"list","member":{"type":"structure","members":{"ApplicationId":{},"CampaignId":{},"End":{},"Id":{},"Result":{},"ScheduledStart":{},"Start":{},"State":{},"SuccessfulEndpointCount":{"type":"integer"},"TimezonesCompletedCount":{"type":"integer"},"TimezonesTotalCount":{"type":"integer"},"TotalEndpointCount":{"type":"integer"},"TreatmentId":{}},"required":["CampaignId","Id","ApplicationId"]}},"NextToken":{}},"required":["Item"]}},"required":["ActivitiesResponse"],"payload":"ActivitiesResponse"}},"GetCampaignDateRangeKpi":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/campaigns/{campaign-id}/kpis/daterange/{kpi-name}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"CampaignId":{"location":"uri","locationName":"campaign-id"},"EndTime":{"shape":"S3c","location":"querystring","locationName":"end-time"},"KpiName":{"location":"uri","locationName":"kpi-name"},"NextToken":{"location":"querystring","locationName":"next-token"},"PageSize":{"location":"querystring","locationName":"page-size"},"StartTime":{"shape":"S3c","location":"querystring","locationName":"start-time"}},"required":["ApplicationId","KpiName","CampaignId"]},"output":{"type":"structure","members":{"CampaignDateRangeKpiResponse":{"type":"structure","members":{"ApplicationId":{},"CampaignId":{},"EndTime":{"shape":"S3c"},"KpiName":{},"KpiResult":{"shape":"S6q"},"NextToken":{},"StartTime":{"shape":"S3c"}},"required":["KpiResult","KpiName","EndTime","CampaignId","StartTime","ApplicationId"]}},"required":["CampaignDateRangeKpiResponse"],"payload":"CampaignDateRangeKpiResponse"}},"GetCampaignVersion":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/campaigns/{campaign-id}/versions/{version}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"CampaignId":{"location":"uri","locationName":"campaign-id"},"Version":{"location":"uri","locationName":"version"}},"required":["Version","ApplicationId","CampaignId"]},"output":{"type":"structure","members":{"CampaignResponse":{"shape":"S1j"}},"required":["CampaignResponse"],"payload":"CampaignResponse"}},"GetCampaignVersions":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/campaigns/{campaign-id}/versions","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"CampaignId":{"location":"uri","locationName":"campaign-id"},"PageSize":{"location":"querystring","locationName":"page-size"},"Token":{"location":"querystring","locationName":"token"}},"required":["ApplicationId","CampaignId"]},"output":{"type":"structure","members":{"CampaignsResponse":{"shape":"S7i"}},"required":["CampaignsResponse"],"payload":"CampaignsResponse"}},"GetCampaigns":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/campaigns","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"PageSize":{"location":"querystring","locationName":"page-size"},"Token":{"location":"querystring","locationName":"token"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"CampaignsResponse":{"shape":"S7i"}},"required":["CampaignsResponse"],"payload":"CampaignsResponse"}},"GetChannels":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/channels","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"ChannelsResponse":{"type":"structure","members":{"Channels":{"type":"map","key":{},"value":{"type":"structure","members":{"ApplicationId":{},"CreationDate":{},"Enabled":{"type":"boolean"},"HasCredential":{"type":"boolean"},"Id":{},"IsArchived":{"type":"boolean"},"LastModifiedBy":{},"LastModifiedDate":{},"Version":{"type":"integer"}}}}},"required":["Channels"]}},"required":["ChannelsResponse"],"payload":"ChannelsResponse"}},"GetEmailChannel":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/channels/email","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"EmailChannelResponse":{"shape":"S54"}},"required":["EmailChannelResponse"],"payload":"EmailChannelResponse"}},"GetEmailTemplate":{"http":{"method":"GET","requestUri":"/v1/templates/{template-name}/email","responseCode":200},"input":{"type":"structure","members":{"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName"]},"output":{"type":"structure","members":{"EmailTemplateResponse":{"type":"structure","members":{"Arn":{},"CreationDate":{},"DefaultSubstitutions":{},"HtmlPart":{},"LastModifiedDate":{},"RecommenderId":{},"Subject":{},"tags":{"shape":"S4","locationName":"tags"},"TemplateDescription":{},"TemplateName":{},"TemplateType":{},"TextPart":{},"Version":{}},"required":["LastModifiedDate","CreationDate","TemplateName","TemplateType"]}},"required":["EmailTemplateResponse"],"payload":"EmailTemplateResponse"}},"GetEndpoint":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/endpoints/{endpoint-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"EndpointId":{"location":"uri","locationName":"endpoint-id"}},"required":["ApplicationId","EndpointId"]},"output":{"type":"structure","members":{"EndpointResponse":{"shape":"S5a"}},"required":["EndpointResponse"],"payload":"EndpointResponse"}},"GetEventStream":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/eventstream","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"EventStream":{"shape":"S5j"}},"required":["EventStream"],"payload":"EventStream"}},"GetExportJob":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/jobs/export/{job-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"JobId":{"location":"uri","locationName":"job-id"}},"required":["ApplicationId","JobId"]},"output":{"type":"structure","members":{"ExportJobResponse":{"shape":"S1v"}},"required":["ExportJobResponse"],"payload":"ExportJobResponse"}},"GetExportJobs":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/jobs/export","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"PageSize":{"location":"querystring","locationName":"page-size"},"Token":{"location":"querystring","locationName":"token"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"ExportJobsResponse":{"shape":"S85"}},"required":["ExportJobsResponse"],"payload":"ExportJobsResponse"}},"GetGcmChannel":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/channels/gcm","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"GCMChannelResponse":{"shape":"S5m"}},"required":["GCMChannelResponse"],"payload":"GCMChannelResponse"}},"GetImportJob":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/jobs/import/{job-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"JobId":{"location":"uri","locationName":"job-id"}},"required":["ApplicationId","JobId"]},"output":{"type":"structure","members":{"ImportJobResponse":{"shape":"S22"}},"required":["ImportJobResponse"],"payload":"ImportJobResponse"}},"GetImportJobs":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/jobs/import","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"PageSize":{"location":"querystring","locationName":"page-size"},"Token":{"location":"querystring","locationName":"token"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"ImportJobsResponse":{"shape":"S8d"}},"required":["ImportJobsResponse"],"payload":"ImportJobsResponse"}},"GetInAppMessages":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/endpoints/{endpoint-id}/inappmessages","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"EndpointId":{"location":"uri","locationName":"endpoint-id"}},"required":["ApplicationId","EndpointId"]},"output":{"type":"structure","members":{"InAppMessagesResponse":{"type":"structure","members":{"InAppMessageCampaigns":{"type":"list","member":{"type":"structure","members":{"CampaignId":{},"DailyCap":{"type":"integer"},"InAppMessage":{"type":"structure","members":{"Content":{"shape":"So"},"CustomConfig":{"shape":"S4"},"Layout":{}}},"Priority":{"type":"integer"},"Schedule":{"type":"structure","members":{"EndDate":{},"EventFilter":{"shape":"Sz"},"QuietTime":{"shape":"S1c"}}},"SessionCap":{"type":"integer"},"TotalCap":{"type":"integer"},"TreatmentId":{}}}}}}},"required":["InAppMessagesResponse"],"payload":"InAppMessagesResponse"}},"GetInAppTemplate":{"http":{"method":"GET","requestUri":"/v1/templates/{template-name}/inapp","responseCode":200},"input":{"type":"structure","members":{"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName"]},"output":{"type":"structure","members":{"InAppTemplateResponse":{"type":"structure","members":{"Arn":{},"Content":{"shape":"So"},"CreationDate":{},"CustomConfig":{"shape":"S4"},"LastModifiedDate":{},"Layout":{},"tags":{"shape":"S4","locationName":"tags"},"TemplateDescription":{},"TemplateName":{},"TemplateType":{},"Version":{}},"required":["LastModifiedDate","CreationDate","TemplateName","TemplateType"]}},"required":["InAppTemplateResponse"],"payload":"InAppTemplateResponse"}},"GetJourney":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/journeys/{journey-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"JourneyId":{"location":"uri","locationName":"journey-id"}},"required":["JourneyId","ApplicationId"]},"output":{"type":"structure","members":{"JourneyResponse":{"shape":"S3i"}},"required":["JourneyResponse"],"payload":"JourneyResponse"}},"GetJourneyDateRangeKpi":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/journeys/{journey-id}/kpis/daterange/{kpi-name}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"EndTime":{"shape":"S3c","location":"querystring","locationName":"end-time"},"JourneyId":{"location":"uri","locationName":"journey-id"},"KpiName":{"location":"uri","locationName":"kpi-name"},"NextToken":{"location":"querystring","locationName":"next-token"},"PageSize":{"location":"querystring","locationName":"page-size"},"StartTime":{"shape":"S3c","location":"querystring","locationName":"start-time"}},"required":["JourneyId","ApplicationId","KpiName"]},"output":{"type":"structure","members":{"JourneyDateRangeKpiResponse":{"type":"structure","members":{"ApplicationId":{},"EndTime":{"shape":"S3c"},"JourneyId":{},"KpiName":{},"KpiResult":{"shape":"S6q"},"NextToken":{},"StartTime":{"shape":"S3c"}},"required":["KpiResult","KpiName","JourneyId","EndTime","StartTime","ApplicationId"]}},"required":["JourneyDateRangeKpiResponse"],"payload":"JourneyDateRangeKpiResponse"}},"GetJourneyExecutionActivityMetrics":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/journeys/{journey-id}/activities/{journey-activity-id}/execution-metrics","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"JourneyActivityId":{"location":"uri","locationName":"journey-activity-id"},"JourneyId":{"location":"uri","locationName":"journey-id"},"NextToken":{"location":"querystring","locationName":"next-token"},"PageSize":{"location":"querystring","locationName":"page-size"}},"required":["JourneyActivityId","ApplicationId","JourneyId"]},"output":{"type":"structure","members":{"JourneyExecutionActivityMetricsResponse":{"type":"structure","members":{"ActivityType":{},"ApplicationId":{},"JourneyActivityId":{},"JourneyId":{},"LastEvaluatedTime":{},"Metrics":{"shape":"S4"}},"required":["Metrics","JourneyId","LastEvaluatedTime","JourneyActivityId","ActivityType","ApplicationId"]}},"required":["JourneyExecutionActivityMetricsResponse"],"payload":"JourneyExecutionActivityMetricsResponse"}},"GetJourneyExecutionMetrics":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/journeys/{journey-id}/execution-metrics","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"JourneyId":{"location":"uri","locationName":"journey-id"},"NextToken":{"location":"querystring","locationName":"next-token"},"PageSize":{"location":"querystring","locationName":"page-size"}},"required":["ApplicationId","JourneyId"]},"output":{"type":"structure","members":{"JourneyExecutionMetricsResponse":{"type":"structure","members":{"ApplicationId":{},"JourneyId":{},"LastEvaluatedTime":{},"Metrics":{"shape":"S4"}},"required":["Metrics","JourneyId","LastEvaluatedTime","ApplicationId"]}},"required":["JourneyExecutionMetricsResponse"],"payload":"JourneyExecutionMetricsResponse"}},"GetPushTemplate":{"http":{"method":"GET","requestUri":"/v1/templates/{template-name}/push","responseCode":200},"input":{"type":"structure","members":{"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName"]},"output":{"type":"structure","members":{"PushNotificationTemplateResponse":{"type":"structure","members":{"ADM":{"shape":"S3m"},"APNS":{"shape":"S3n"},"Arn":{},"Baidu":{"shape":"S3m"},"CreationDate":{},"Default":{"shape":"S3o"},"DefaultSubstitutions":{},"GCM":{"shape":"S3m"},"LastModifiedDate":{},"RecommenderId":{},"tags":{"shape":"S4","locationName":"tags"},"TemplateDescription":{},"TemplateName":{},"TemplateType":{},"Version":{}},"required":["LastModifiedDate","CreationDate","TemplateType","TemplateName"]}},"required":["PushNotificationTemplateResponse"],"payload":"PushNotificationTemplateResponse"}},"GetRecommenderConfiguration":{"http":{"method":"GET","requestUri":"/v1/recommenders/{recommender-id}","responseCode":200},"input":{"type":"structure","members":{"RecommenderId":{"location":"uri","locationName":"recommender-id"}},"required":["RecommenderId"]},"output":{"type":"structure","members":{"RecommenderConfigurationResponse":{"shape":"S3t"}},"required":["RecommenderConfigurationResponse"],"payload":"RecommenderConfigurationResponse"}},"GetRecommenderConfigurations":{"http":{"method":"GET","requestUri":"/v1/recommenders","responseCode":200},"input":{"type":"structure","members":{"PageSize":{"location":"querystring","locationName":"page-size"},"Token":{"location":"querystring","locationName":"token"}}},"output":{"type":"structure","members":{"ListRecommenderConfigurationsResponse":{"type":"structure","members":{"Item":{"type":"list","member":{"shape":"S3t"}},"NextToken":{}},"required":["Item"]}},"required":["ListRecommenderConfigurationsResponse"],"payload":"ListRecommenderConfigurationsResponse"}},"GetSegment":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/segments/{segment-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"SegmentId":{"location":"uri","locationName":"segment-id"}},"required":["SegmentId","ApplicationId"]},"output":{"type":"structure","members":{"SegmentResponse":{"shape":"S46"}},"required":["SegmentResponse"],"payload":"SegmentResponse"}},"GetSegmentExportJobs":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/segments/{segment-id}/jobs/export","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"PageSize":{"location":"querystring","locationName":"page-size"},"SegmentId":{"location":"uri","locationName":"segment-id"},"Token":{"location":"querystring","locationName":"token"}},"required":["SegmentId","ApplicationId"]},"output":{"type":"structure","members":{"ExportJobsResponse":{"shape":"S85"}},"required":["ExportJobsResponse"],"payload":"ExportJobsResponse"}},"GetSegmentImportJobs":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/segments/{segment-id}/jobs/import","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"PageSize":{"location":"querystring","locationName":"page-size"},"SegmentId":{"location":"uri","locationName":"segment-id"},"Token":{"location":"querystring","locationName":"token"}},"required":["SegmentId","ApplicationId"]},"output":{"type":"structure","members":{"ImportJobsResponse":{"shape":"S8d"}},"required":["ImportJobsResponse"],"payload":"ImportJobsResponse"}},"GetSegmentVersion":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/segments/{segment-id}/versions/{version}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"SegmentId":{"location":"uri","locationName":"segment-id"},"Version":{"location":"uri","locationName":"version"}},"required":["SegmentId","Version","ApplicationId"]},"output":{"type":"structure","members":{"SegmentResponse":{"shape":"S46"}},"required":["SegmentResponse"],"payload":"SegmentResponse"}},"GetSegmentVersions":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/segments/{segment-id}/versions","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"PageSize":{"location":"querystring","locationName":"page-size"},"SegmentId":{"location":"uri","locationName":"segment-id"},"Token":{"location":"querystring","locationName":"token"}},"required":["SegmentId","ApplicationId"]},"output":{"type":"structure","members":{"SegmentsResponse":{"shape":"S9j"}},"required":["SegmentsResponse"],"payload":"SegmentsResponse"}},"GetSegments":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/segments","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"PageSize":{"location":"querystring","locationName":"page-size"},"Token":{"location":"querystring","locationName":"token"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"SegmentsResponse":{"shape":"S9j"}},"required":["SegmentsResponse"],"payload":"SegmentsResponse"}},"GetSmsChannel":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/channels/sms","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"SMSChannelResponse":{"shape":"S5z"}},"required":["SMSChannelResponse"],"payload":"SMSChannelResponse"}},"GetSmsTemplate":{"http":{"method":"GET","requestUri":"/v1/templates/{template-name}/sms","responseCode":200},"input":{"type":"structure","members":{"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName"]},"output":{"type":"structure","members":{"SMSTemplateResponse":{"type":"structure","members":{"Arn":{},"Body":{},"CreationDate":{},"DefaultSubstitutions":{},"LastModifiedDate":{},"RecommenderId":{},"tags":{"shape":"S4","locationName":"tags"},"TemplateDescription":{},"TemplateName":{},"TemplateType":{},"Version":{}},"required":["LastModifiedDate","CreationDate","TemplateName","TemplateType"]}},"required":["SMSTemplateResponse"],"payload":"SMSTemplateResponse"}},"GetUserEndpoints":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/users/{user-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"UserId":{"location":"uri","locationName":"user-id"}},"required":["ApplicationId","UserId"]},"output":{"type":"structure","members":{"EndpointsResponse":{"shape":"S64"}},"required":["EndpointsResponse"],"payload":"EndpointsResponse"}},"GetVoiceChannel":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/channels/voice","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"VoiceChannelResponse":{"shape":"S68"}},"required":["VoiceChannelResponse"],"payload":"VoiceChannelResponse"}},"GetVoiceTemplate":{"http":{"method":"GET","requestUri":"/v1/templates/{template-name}/voice","responseCode":200},"input":{"type":"structure","members":{"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName"]},"output":{"type":"structure","members":{"VoiceTemplateResponse":{"type":"structure","members":{"Arn":{},"Body":{},"CreationDate":{},"DefaultSubstitutions":{},"LanguageCode":{},"LastModifiedDate":{},"tags":{"shape":"S4","locationName":"tags"},"TemplateDescription":{},"TemplateName":{},"TemplateType":{},"Version":{},"VoiceId":{}},"required":["LastModifiedDate","CreationDate","TemplateName","TemplateType"]}},"required":["VoiceTemplateResponse"],"payload":"VoiceTemplateResponse"}},"ListJourneys":{"http":{"method":"GET","requestUri":"/v1/apps/{application-id}/journeys","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"PageSize":{"location":"querystring","locationName":"page-size"},"Token":{"location":"querystring","locationName":"token"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"JourneysResponse":{"type":"structure","members":{"Item":{"type":"list","member":{"shape":"S3i"}},"NextToken":{}},"required":["Item"]}},"required":["JourneysResponse"],"payload":"JourneysResponse"}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/v1/tags/{resource-arn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{"TagsModel":{"shape":"Sa5"}},"required":["TagsModel"],"payload":"TagsModel"}},"ListTemplateVersions":{"http":{"method":"GET","requestUri":"/v1/templates/{template-name}/{template-type}/versions","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"next-token"},"PageSize":{"location":"querystring","locationName":"page-size"},"TemplateName":{"location":"uri","locationName":"template-name"},"TemplateType":{"location":"uri","locationName":"template-type"}},"required":["TemplateName","TemplateType"]},"output":{"type":"structure","members":{"TemplateVersionsResponse":{"type":"structure","members":{"Item":{"type":"list","member":{"type":"structure","members":{"CreationDate":{},"DefaultSubstitutions":{},"LastModifiedDate":{},"TemplateDescription":{},"TemplateName":{},"TemplateType":{},"Version":{}},"required":["LastModifiedDate","CreationDate","TemplateName","TemplateType"]}},"Message":{},"NextToken":{},"RequestID":{}},"required":["Item"]}},"required":["TemplateVersionsResponse"],"payload":"TemplateVersionsResponse"}},"ListTemplates":{"http":{"method":"GET","requestUri":"/v1/templates","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"next-token"},"PageSize":{"location":"querystring","locationName":"page-size"},"Prefix":{"location":"querystring","locationName":"prefix"},"TemplateType":{"location":"querystring","locationName":"template-type"}}},"output":{"type":"structure","members":{"TemplatesResponse":{"type":"structure","members":{"Item":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreationDate":{},"DefaultSubstitutions":{},"LastModifiedDate":{},"tags":{"shape":"S4","locationName":"tags"},"TemplateDescription":{},"TemplateName":{},"TemplateType":{},"Version":{}},"required":["LastModifiedDate","CreationDate","TemplateName","TemplateType"]}},"NextToken":{}},"required":["Item"]}},"required":["TemplatesResponse"],"payload":"TemplatesResponse"}},"PhoneNumberValidate":{"http":{"requestUri":"/v1/phone/number/validate","responseCode":200},"input":{"type":"structure","members":{"NumberValidateRequest":{"type":"structure","members":{"IsoCountryCode":{},"PhoneNumber":{}}}},"required":["NumberValidateRequest"],"payload":"NumberValidateRequest"},"output":{"type":"structure","members":{"NumberValidateResponse":{"type":"structure","members":{"Carrier":{},"City":{},"CleansedPhoneNumberE164":{},"CleansedPhoneNumberNational":{},"Country":{},"CountryCodeIso2":{},"CountryCodeNumeric":{},"County":{},"OriginalCountryCodeIso2":{},"OriginalPhoneNumber":{},"PhoneType":{},"PhoneTypeCode":{"type":"integer"},"Timezone":{},"ZipCode":{}}}},"required":["NumberValidateResponse"],"payload":"NumberValidateResponse"}},"PutEventStream":{"http":{"requestUri":"/v1/apps/{application-id}/eventstream","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"WriteEventStream":{"type":"structure","members":{"DestinationStreamArn":{},"RoleArn":{}},"required":["RoleArn","DestinationStreamArn"]}},"required":["ApplicationId","WriteEventStream"],"payload":"WriteEventStream"},"output":{"type":"structure","members":{"EventStream":{"shape":"S5j"}},"required":["EventStream"],"payload":"EventStream"}},"PutEvents":{"http":{"requestUri":"/v1/apps/{application-id}/events","responseCode":202},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"EventsRequest":{"type":"structure","members":{"BatchItem":{"type":"map","key":{},"value":{"type":"structure","members":{"Endpoint":{"type":"structure","members":{"Address":{},"Attributes":{"shape":"S5b"},"ChannelType":{},"Demographic":{"shape":"S5d"},"EffectiveDate":{},"EndpointStatus":{},"Location":{"shape":"S5e"},"Metrics":{"shape":"S5f"},"OptOut":{},"RequestId":{},"User":{"shape":"S5g"}}},"Events":{"type":"map","key":{},"value":{"type":"structure","members":{"AppPackageName":{},"AppTitle":{},"AppVersionCode":{},"Attributes":{"shape":"S4"},"ClientSdkVersion":{},"EventType":{},"Metrics":{"shape":"S5f"},"SdkName":{},"Session":{"type":"structure","members":{"Duration":{"type":"integer"},"Id":{},"StartTimestamp":{},"StopTimestamp":{}},"required":["StartTimestamp","Id"]},"Timestamp":{}},"required":["EventType","Timestamp"]}}},"required":["Endpoint","Events"]}}},"required":["BatchItem"]}},"required":["ApplicationId","EventsRequest"],"payload":"EventsRequest"},"output":{"type":"structure","members":{"EventsResponse":{"type":"structure","members":{"Results":{"type":"map","key":{},"value":{"type":"structure","members":{"EndpointItemResponse":{"type":"structure","members":{"Message":{},"StatusCode":{"type":"integer"}}},"EventsItemResponse":{"type":"map","key":{},"value":{"type":"structure","members":{"Message":{},"StatusCode":{"type":"integer"}}}}}}}}}},"required":["EventsResponse"],"payload":"EventsResponse"}},"RemoveAttributes":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/attributes/{attribute-type}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"AttributeType":{"location":"uri","locationName":"attribute-type"},"UpdateAttributesRequest":{"type":"structure","members":{"Blacklist":{"shape":"S14"}}}},"required":["AttributeType","ApplicationId","UpdateAttributesRequest"],"payload":"UpdateAttributesRequest"},"output":{"type":"structure","members":{"AttributesResource":{"type":"structure","members":{"ApplicationId":{},"AttributeType":{},"Attributes":{"shape":"S14"}},"required":["AttributeType","ApplicationId"]}},"required":["AttributesResource"],"payload":"AttributesResource"}},"SendMessages":{"http":{"requestUri":"/v1/apps/{application-id}/messages","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"MessageRequest":{"type":"structure","members":{"Addresses":{"type":"map","key":{},"value":{"type":"structure","members":{"BodyOverride":{},"ChannelType":{},"Context":{"shape":"S4"},"RawContent":{},"Substitutions":{"shape":"S5b"},"TitleOverride":{}}}},"Context":{"shape":"S4"},"Endpoints":{"shape":"Sba"},"MessageConfiguration":{"shape":"Sbc"},"TemplateConfiguration":{"shape":"S1d"},"TraceId":{}},"required":["MessageConfiguration"]}},"required":["ApplicationId","MessageRequest"],"payload":"MessageRequest"},"output":{"type":"structure","members":{"MessageResponse":{"shape":"Sbr"}},"required":["MessageResponse"],"payload":"MessageResponse"}},"SendOTPMessage":{"http":{"requestUri":"/v1/apps/{application-id}/otp","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"SendOTPMessageRequestParameters":{"type":"structure","members":{"AllowedAttempts":{"type":"integer"},"BrandName":{},"Channel":{},"CodeLength":{"type":"integer"},"DestinationIdentity":{},"EntityId":{},"Language":{},"OriginationIdentity":{},"ReferenceId":{},"TemplateId":{},"ValidityPeriod":{"type":"integer"}},"required":["BrandName","ReferenceId","Channel","DestinationIdentity","OriginationIdentity"]}},"required":["ApplicationId","SendOTPMessageRequestParameters"],"payload":"SendOTPMessageRequestParameters"},"output":{"type":"structure","members":{"MessageResponse":{"shape":"Sbr"}},"required":["MessageResponse"],"payload":"MessageResponse"}},"SendUsersMessages":{"http":{"requestUri":"/v1/apps/{application-id}/users-messages","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"SendUsersMessageRequest":{"type":"structure","members":{"Context":{"shape":"S4"},"MessageConfiguration":{"shape":"Sbc"},"TemplateConfiguration":{"shape":"S1d"},"TraceId":{},"Users":{"shape":"Sba"}},"required":["MessageConfiguration","Users"]}},"required":["ApplicationId","SendUsersMessageRequest"],"payload":"SendUsersMessageRequest"},"output":{"type":"structure","members":{"SendUsersMessageResponse":{"type":"structure","members":{"ApplicationId":{},"RequestId":{},"Result":{"type":"map","key":{},"value":{"shape":"Sbs"}}},"required":["ApplicationId"]}},"required":["SendUsersMessageResponse"],"payload":"SendUsersMessageResponse"}},"TagResource":{"http":{"requestUri":"/v1/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"TagsModel":{"shape":"Sa5"}},"required":["ResourceArn","TagsModel"],"payload":"TagsModel"}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/v1/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"TagKeys":{"shape":"S14","location":"querystring","locationName":"tagKeys"}},"required":["TagKeys","ResourceArn"]}},"UpdateAdmChannel":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/channels/adm","responseCode":200},"input":{"type":"structure","members":{"ADMChannelRequest":{"type":"structure","members":{"ClientId":{},"ClientSecret":{},"Enabled":{"type":"boolean"}},"required":["ClientSecret","ClientId"]},"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId","ADMChannelRequest"],"payload":"ADMChannelRequest"},"output":{"type":"structure","members":{"ADMChannelResponse":{"shape":"S4i"}},"required":["ADMChannelResponse"],"payload":"ADMChannelResponse"}},"UpdateApnsChannel":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/channels/apns","responseCode":200},"input":{"type":"structure","members":{"APNSChannelRequest":{"type":"structure","members":{"BundleId":{},"Certificate":{},"DefaultAuthenticationMethod":{},"Enabled":{"type":"boolean"},"PrivateKey":{},"TeamId":{},"TokenKey":{},"TokenKeyId":{}}},"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId","APNSChannelRequest"],"payload":"APNSChannelRequest"},"output":{"type":"structure","members":{"APNSChannelResponse":{"shape":"S4l"}},"required":["APNSChannelResponse"],"payload":"APNSChannelResponse"}},"UpdateApnsSandboxChannel":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/channels/apns_sandbox","responseCode":200},"input":{"type":"structure","members":{"APNSSandboxChannelRequest":{"type":"structure","members":{"BundleId":{},"Certificate":{},"DefaultAuthenticationMethod":{},"Enabled":{"type":"boolean"},"PrivateKey":{},"TeamId":{},"TokenKey":{},"TokenKeyId":{}}},"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId","APNSSandboxChannelRequest"],"payload":"APNSSandboxChannelRequest"},"output":{"type":"structure","members":{"APNSSandboxChannelResponse":{"shape":"S4o"}},"required":["APNSSandboxChannelResponse"],"payload":"APNSSandboxChannelResponse"}},"UpdateApnsVoipChannel":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/channels/apns_voip","responseCode":200},"input":{"type":"structure","members":{"APNSVoipChannelRequest":{"type":"structure","members":{"BundleId":{},"Certificate":{},"DefaultAuthenticationMethod":{},"Enabled":{"type":"boolean"},"PrivateKey":{},"TeamId":{},"TokenKey":{},"TokenKeyId":{}}},"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId","APNSVoipChannelRequest"],"payload":"APNSVoipChannelRequest"},"output":{"type":"structure","members":{"APNSVoipChannelResponse":{"shape":"S4r"}},"required":["APNSVoipChannelResponse"],"payload":"APNSVoipChannelResponse"}},"UpdateApnsVoipSandboxChannel":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/channels/apns_voip_sandbox","responseCode":200},"input":{"type":"structure","members":{"APNSVoipSandboxChannelRequest":{"type":"structure","members":{"BundleId":{},"Certificate":{},"DefaultAuthenticationMethod":{},"Enabled":{"type":"boolean"},"PrivateKey":{},"TeamId":{},"TokenKey":{},"TokenKeyId":{}}},"ApplicationId":{"location":"uri","locationName":"application-id"}},"required":["ApplicationId","APNSVoipSandboxChannelRequest"],"payload":"APNSVoipSandboxChannelRequest"},"output":{"type":"structure","members":{"APNSVoipSandboxChannelResponse":{"shape":"S4u"}},"required":["APNSVoipSandboxChannelResponse"],"payload":"APNSVoipSandboxChannelResponse"}},"UpdateApplicationSettings":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/settings","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"WriteApplicationSettingsRequest":{"type":"structure","members":{"CampaignHook":{"shape":"S1f"},"CloudWatchMetricsEnabled":{"type":"boolean"},"EventTaggingEnabled":{"type":"boolean"},"Limits":{"shape":"S1h"},"QuietTime":{"shape":"S1c"}}}},"required":["ApplicationId","WriteApplicationSettingsRequest"],"payload":"WriteApplicationSettingsRequest"},"output":{"type":"structure","members":{"ApplicationSettingsResource":{"shape":"S6x"}},"required":["ApplicationSettingsResource"],"payload":"ApplicationSettingsResource"}},"UpdateBaiduChannel":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/channels/baidu","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"BaiduChannelRequest":{"type":"structure","members":{"ApiKey":{},"Enabled":{"type":"boolean"},"SecretKey":{}},"required":["SecretKey","ApiKey"]}},"required":["ApplicationId","BaiduChannelRequest"],"payload":"BaiduChannelRequest"},"output":{"type":"structure","members":{"BaiduChannelResponse":{"shape":"S4z"}},"required":["BaiduChannelResponse"],"payload":"BaiduChannelResponse"}},"UpdateCampaign":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/campaigns/{campaign-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"CampaignId":{"location":"uri","locationName":"campaign-id"},"WriteCampaignRequest":{"shape":"S8"}},"required":["CampaignId","ApplicationId","WriteCampaignRequest"],"payload":"WriteCampaignRequest"},"output":{"type":"structure","members":{"CampaignResponse":{"shape":"S1j"}},"required":["CampaignResponse"],"payload":"CampaignResponse"}},"UpdateEmailChannel":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/channels/email","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"EmailChannelRequest":{"type":"structure","members":{"ConfigurationSet":{},"Enabled":{"type":"boolean"},"FromAddress":{},"Identity":{},"RoleArn":{}},"required":["FromAddress","Identity"]}},"required":["ApplicationId","EmailChannelRequest"],"payload":"EmailChannelRequest"},"output":{"type":"structure","members":{"EmailChannelResponse":{"shape":"S54"}},"required":["EmailChannelResponse"],"payload":"EmailChannelResponse"}},"UpdateEmailTemplate":{"http":{"method":"PUT","requestUri":"/v1/templates/{template-name}/email","responseCode":202},"input":{"type":"structure","members":{"CreateNewVersion":{"location":"querystring","locationName":"create-new-version","type":"boolean"},"EmailTemplateRequest":{"shape":"S1p"},"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName","EmailTemplateRequest"],"payload":"EmailTemplateRequest"},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"UpdateEndpoint":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/endpoints/{endpoint-id}","responseCode":202},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"EndpointId":{"location":"uri","locationName":"endpoint-id"},"EndpointRequest":{"type":"structure","members":{"Address":{},"Attributes":{"shape":"S5b"},"ChannelType":{},"Demographic":{"shape":"S5d"},"EffectiveDate":{},"EndpointStatus":{},"Location":{"shape":"S5e"},"Metrics":{"shape":"S5f"},"OptOut":{},"RequestId":{},"User":{"shape":"S5g"}}}},"required":["ApplicationId","EndpointId","EndpointRequest"],"payload":"EndpointRequest"},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"UpdateEndpointsBatch":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/endpoints","responseCode":202},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"EndpointBatchRequest":{"type":"structure","members":{"Item":{"type":"list","member":{"type":"structure","members":{"Address":{},"Attributes":{"shape":"S5b"},"ChannelType":{},"Demographic":{"shape":"S5d"},"EffectiveDate":{},"EndpointStatus":{},"Id":{},"Location":{"shape":"S5e"},"Metrics":{"shape":"S5f"},"OptOut":{},"RequestId":{},"User":{"shape":"S5g"}}}}},"required":["Item"]}},"required":["ApplicationId","EndpointBatchRequest"],"payload":"EndpointBatchRequest"},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"UpdateGcmChannel":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/channels/gcm","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"GCMChannelRequest":{"type":"structure","members":{"ApiKey":{},"Enabled":{"type":"boolean"}},"required":["ApiKey"]}},"required":["ApplicationId","GCMChannelRequest"],"payload":"GCMChannelRequest"},"output":{"type":"structure","members":{"GCMChannelResponse":{"shape":"S5m"}},"required":["GCMChannelResponse"],"payload":"GCMChannelResponse"}},"UpdateInAppTemplate":{"http":{"method":"PUT","requestUri":"/v1/templates/{template-name}/inapp","responseCode":202},"input":{"type":"structure","members":{"CreateNewVersion":{"location":"querystring","locationName":"create-new-version","type":"boolean"},"InAppTemplateRequest":{"shape":"S25"},"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName","InAppTemplateRequest"],"payload":"InAppTemplateRequest"},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"UpdateJourney":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/journeys/{journey-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"JourneyId":{"location":"uri","locationName":"journey-id"},"WriteJourneyRequest":{"shape":"S29"}},"required":["JourneyId","ApplicationId","WriteJourneyRequest"],"payload":"WriteJourneyRequest"},"output":{"type":"structure","members":{"JourneyResponse":{"shape":"S3i"}},"required":["JourneyResponse"],"payload":"JourneyResponse"}},"UpdateJourneyState":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/journeys/{journey-id}/state","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"JourneyId":{"location":"uri","locationName":"journey-id"},"JourneyStateRequest":{"type":"structure","members":{"State":{}}}},"required":["JourneyId","ApplicationId","JourneyStateRequest"],"payload":"JourneyStateRequest"},"output":{"type":"structure","members":{"JourneyResponse":{"shape":"S3i"}},"required":["JourneyResponse"],"payload":"JourneyResponse"}},"UpdatePushTemplate":{"http":{"method":"PUT","requestUri":"/v1/templates/{template-name}/push","responseCode":202},"input":{"type":"structure","members":{"CreateNewVersion":{"location":"querystring","locationName":"create-new-version","type":"boolean"},"PushNotificationTemplateRequest":{"shape":"S3l"},"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName","PushNotificationTemplateRequest"],"payload":"PushNotificationTemplateRequest"},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"UpdateRecommenderConfiguration":{"http":{"method":"PUT","requestUri":"/v1/recommenders/{recommender-id}","responseCode":200},"input":{"type":"structure","members":{"RecommenderId":{"location":"uri","locationName":"recommender-id"},"UpdateRecommenderConfiguration":{"type":"structure","members":{"Attributes":{"shape":"S4"},"Description":{},"Name":{},"RecommendationProviderIdType":{},"RecommendationProviderRoleArn":{},"RecommendationProviderUri":{},"RecommendationTransformerUri":{},"RecommendationsDisplayName":{},"RecommendationsPerMessage":{"type":"integer"}},"required":["RecommendationProviderUri","RecommendationProviderRoleArn"]}},"required":["RecommenderId","UpdateRecommenderConfiguration"],"payload":"UpdateRecommenderConfiguration"},"output":{"type":"structure","members":{"RecommenderConfigurationResponse":{"shape":"S3t"}},"required":["RecommenderConfigurationResponse"],"payload":"RecommenderConfigurationResponse"}},"UpdateSegment":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/segments/{segment-id}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"SegmentId":{"location":"uri","locationName":"segment-id"},"WriteSegmentRequest":{"shape":"S3v"}},"required":["SegmentId","ApplicationId","WriteSegmentRequest"],"payload":"WriteSegmentRequest"},"output":{"type":"structure","members":{"SegmentResponse":{"shape":"S46"}},"required":["SegmentResponse"],"payload":"SegmentResponse"}},"UpdateSmsChannel":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/channels/sms","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"SMSChannelRequest":{"type":"structure","members":{"Enabled":{"type":"boolean"},"SenderId":{},"ShortCode":{}}}},"required":["ApplicationId","SMSChannelRequest"],"payload":"SMSChannelRequest"},"output":{"type":"structure","members":{"SMSChannelResponse":{"shape":"S5z"}},"required":["SMSChannelResponse"],"payload":"SMSChannelResponse"}},"UpdateSmsTemplate":{"http":{"method":"PUT","requestUri":"/v1/templates/{template-name}/sms","responseCode":202},"input":{"type":"structure","members":{"CreateNewVersion":{"location":"querystring","locationName":"create-new-version","type":"boolean"},"SMSTemplateRequest":{"shape":"S4b"},"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"}},"required":["TemplateName","SMSTemplateRequest"],"payload":"SMSTemplateRequest"},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"UpdateTemplateActiveVersion":{"http":{"method":"PUT","requestUri":"/v1/templates/{template-name}/{template-type}/active-version","responseCode":200},"input":{"type":"structure","members":{"TemplateActiveVersionRequest":{"type":"structure","members":{"Version":{}}},"TemplateName":{"location":"uri","locationName":"template-name"},"TemplateType":{"location":"uri","locationName":"template-type"}},"required":["TemplateName","TemplateType","TemplateActiveVersionRequest"],"payload":"TemplateActiveVersionRequest"},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"UpdateVoiceChannel":{"http":{"method":"PUT","requestUri":"/v1/apps/{application-id}/channels/voice","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"VoiceChannelRequest":{"type":"structure","members":{"Enabled":{"type":"boolean"}}}},"required":["ApplicationId","VoiceChannelRequest"],"payload":"VoiceChannelRequest"},"output":{"type":"structure","members":{"VoiceChannelResponse":{"shape":"S68"}},"required":["VoiceChannelResponse"],"payload":"VoiceChannelResponse"}},"UpdateVoiceTemplate":{"http":{"method":"PUT","requestUri":"/v1/templates/{template-name}/voice","responseCode":202},"input":{"type":"structure","members":{"CreateNewVersion":{"location":"querystring","locationName":"create-new-version","type":"boolean"},"TemplateName":{"location":"uri","locationName":"template-name"},"Version":{"location":"querystring","locationName":"version"},"VoiceTemplateRequest":{"shape":"S4e"}},"required":["TemplateName","VoiceTemplateRequest"],"payload":"VoiceTemplateRequest"},"output":{"type":"structure","members":{"MessageBody":{"shape":"S57"}},"required":["MessageBody"],"payload":"MessageBody"}},"VerifyOTPMessage":{"http":{"requestUri":"/v1/apps/{application-id}/verify-otp","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"application-id"},"VerifyOTPMessageRequestParameters":{"type":"structure","members":{"DestinationIdentity":{},"Otp":{},"ReferenceId":{}},"required":["ReferenceId","Otp","DestinationIdentity"]}},"required":["ApplicationId","VerifyOTPMessageRequestParameters"],"payload":"VerifyOTPMessageRequestParameters"},"output":{"type":"structure","members":{"VerificationResponse":{"type":"structure","members":{"Valid":{"type":"boolean"}}}},"required":["VerificationResponse"],"payload":"VerificationResponse"}}},"shapes":{"S4":{"type":"map","key":{},"value":{}},"S6":{"type":"structure","members":{"Arn":{},"Id":{},"Name":{},"tags":{"shape":"S4","locationName":"tags"}},"required":["Id","Arn","Name"]},"S8":{"type":"structure","members":{"AdditionalTreatments":{"type":"list","member":{"type":"structure","members":{"CustomDeliveryConfiguration":{"shape":"Sb"},"MessageConfiguration":{"shape":"Se"},"Schedule":{"shape":"Sy"},"SizePercent":{"type":"integer"},"TemplateConfiguration":{"shape":"S1d"},"TreatmentDescription":{},"TreatmentName":{}},"required":["SizePercent"]}},"CustomDeliveryConfiguration":{"shape":"Sb"},"Description":{},"HoldoutPercent":{"type":"integer"},"Hook":{"shape":"S1f"},"IsPaused":{"type":"boolean"},"Limits":{"shape":"S1h"},"MessageConfiguration":{"shape":"Se"},"Name":{},"Schedule":{"shape":"Sy"},"SegmentId":{},"SegmentVersion":{"type":"integer"},"tags":{"shape":"S4","locationName":"tags"},"TemplateConfiguration":{"shape":"S1d"},"TreatmentDescription":{},"TreatmentName":{},"Priority":{"type":"integer"}}},"Sb":{"type":"structure","members":{"DeliveryUri":{},"EndpointTypes":{"shape":"Sc"}},"required":["DeliveryUri"]},"Sc":{"type":"list","member":{}},"Se":{"type":"structure","members":{"ADMMessage":{"shape":"Sf"},"APNSMessage":{"shape":"Sf"},"BaiduMessage":{"shape":"Sf"},"CustomMessage":{"type":"structure","members":{"Data":{}}},"DefaultMessage":{"shape":"Sf"},"EmailMessage":{"type":"structure","members":{"Body":{},"FromAddress":{},"HtmlBody":{},"Title":{}}},"GCMMessage":{"shape":"Sf"},"SMSMessage":{"type":"structure","members":{"Body":{},"MessageType":{},"OriginationNumber":{},"SenderId":{},"EntityId":{},"TemplateId":{}}},"InAppMessage":{"type":"structure","members":{"Body":{},"Content":{"shape":"So"},"CustomConfig":{"shape":"S4"},"Layout":{}}}}},"Sf":{"type":"structure","members":{"Action":{},"Body":{},"ImageIconUrl":{},"ImageSmallIconUrl":{},"ImageUrl":{},"JsonBody":{},"MediaUrl":{},"RawContent":{},"SilentPush":{"type":"boolean"},"TimeToLive":{"type":"integer"},"Title":{},"Url":{}}},"So":{"type":"list","member":{"type":"structure","members":{"BackgroundColor":{},"BodyConfig":{"type":"structure","members":{"Alignment":{},"Body":{},"TextColor":{}},"required":["Alignment","TextColor","Body"]},"HeaderConfig":{"type":"structure","members":{"Alignment":{},"Header":{},"TextColor":{}},"required":["Alignment","Header","TextColor"]},"ImageUrl":{},"PrimaryBtn":{"shape":"St"},"SecondaryBtn":{"shape":"St"}}}},"St":{"type":"structure","members":{"Android":{"shape":"Su"},"DefaultConfig":{"type":"structure","members":{"BackgroundColor":{},"BorderRadius":{"type":"integer"},"ButtonAction":{},"Link":{},"Text":{},"TextColor":{}},"required":["ButtonAction","Text"]},"IOS":{"shape":"Su"},"Web":{"shape":"Su"}}},"Su":{"type":"structure","members":{"ButtonAction":{},"Link":{}},"required":["ButtonAction"]},"Sy":{"type":"structure","members":{"EndTime":{},"EventFilter":{"shape":"Sz"},"Frequency":{},"IsLocalTime":{"type":"boolean"},"QuietTime":{"shape":"S1c"},"StartTime":{},"Timezone":{}},"required":["StartTime"]},"Sz":{"type":"structure","members":{"Dimensions":{"shape":"S10"},"FilterType":{}},"required":["FilterType","Dimensions"]},"S10":{"type":"structure","members":{"Attributes":{"shape":"S11"},"EventType":{"shape":"S15"},"Metrics":{"shape":"S17"}}},"S11":{"type":"map","key":{},"value":{"type":"structure","members":{"AttributeType":{},"Values":{"shape":"S14"}},"required":["Values"]}},"S14":{"type":"list","member":{}},"S15":{"type":"structure","members":{"DimensionType":{},"Values":{"shape":"S14"}},"required":["Values"]},"S17":{"type":"map","key":{},"value":{"type":"structure","members":{"ComparisonOperator":{},"Value":{"type":"double"}},"required":["ComparisonOperator","Value"]}},"S1c":{"type":"structure","members":{"End":{},"Start":{}}},"S1d":{"type":"structure","members":{"EmailTemplate":{"shape":"S1e"},"PushTemplate":{"shape":"S1e"},"SMSTemplate":{"shape":"S1e"},"VoiceTemplate":{"shape":"S1e"}}},"S1e":{"type":"structure","members":{"Name":{},"Version":{}}},"S1f":{"type":"structure","members":{"LambdaFunctionName":{},"Mode":{},"WebUrl":{}}},"S1h":{"type":"structure","members":{"Daily":{"type":"integer"},"MaximumDuration":{"type":"integer"},"MessagesPerSecond":{"type":"integer"},"Total":{"type":"integer"},"Session":{"type":"integer"}}},"S1j":{"type":"structure","members":{"AdditionalTreatments":{"type":"list","member":{"type":"structure","members":{"CustomDeliveryConfiguration":{"shape":"Sb"},"Id":{},"MessageConfiguration":{"shape":"Se"},"Schedule":{"shape":"Sy"},"SizePercent":{"type":"integer"},"State":{"shape":"S1m"},"TemplateConfiguration":{"shape":"S1d"},"TreatmentDescription":{},"TreatmentName":{}},"required":["Id","SizePercent"]}},"ApplicationId":{},"Arn":{},"CreationDate":{},"CustomDeliveryConfiguration":{"shape":"Sb"},"DefaultState":{"shape":"S1m"},"Description":{},"HoldoutPercent":{"type":"integer"},"Hook":{"shape":"S1f"},"Id":{},"IsPaused":{"type":"boolean"},"LastModifiedDate":{},"Limits":{"shape":"S1h"},"MessageConfiguration":{"shape":"Se"},"Name":{},"Schedule":{"shape":"Sy"},"SegmentId":{},"SegmentVersion":{"type":"integer"},"State":{"shape":"S1m"},"tags":{"shape":"S4","locationName":"tags"},"TemplateConfiguration":{"shape":"S1d"},"TreatmentDescription":{},"TreatmentName":{},"Version":{"type":"integer"},"Priority":{"type":"integer"}},"required":["LastModifiedDate","CreationDate","SegmentId","SegmentVersion","Id","Arn","ApplicationId"]},"S1m":{"type":"structure","members":{"CampaignStatus":{}}},"S1p":{"type":"structure","members":{"DefaultSubstitutions":{},"HtmlPart":{},"RecommenderId":{},"Subject":{},"tags":{"shape":"S4","locationName":"tags"},"TemplateDescription":{},"TextPart":{}}},"S1r":{"type":"structure","members":{"Arn":{},"Message":{},"RequestID":{}}},"S1v":{"type":"structure","members":{"ApplicationId":{},"CompletedPieces":{"type":"integer"},"CompletionDate":{},"CreationDate":{},"Definition":{"type":"structure","members":{"RoleArn":{},"S3UrlPrefix":{},"SegmentId":{},"SegmentVersion":{"type":"integer"}},"required":["S3UrlPrefix","RoleArn"]},"FailedPieces":{"type":"integer"},"Failures":{"shape":"S14"},"Id":{},"JobStatus":{},"TotalFailures":{"type":"integer"},"TotalPieces":{"type":"integer"},"TotalProcessed":{"type":"integer"},"Type":{}},"required":["JobStatus","CreationDate","Type","Definition","Id","ApplicationId"]},"S22":{"type":"structure","members":{"ApplicationId":{},"CompletedPieces":{"type":"integer"},"CompletionDate":{},"CreationDate":{},"Definition":{"type":"structure","members":{"DefineSegment":{"type":"boolean"},"ExternalId":{},"Format":{},"RegisterEndpoints":{"type":"boolean"},"RoleArn":{},"S3Url":{},"SegmentId":{},"SegmentName":{}},"required":["Format","S3Url","RoleArn"]},"FailedPieces":{"type":"integer"},"Failures":{"shape":"S14"},"Id":{},"JobStatus":{},"TotalFailures":{"type":"integer"},"TotalPieces":{"type":"integer"},"TotalProcessed":{"type":"integer"},"Type":{}},"required":["JobStatus","CreationDate","Type","Definition","Id","ApplicationId"]},"S25":{"type":"structure","members":{"Content":{"shape":"So"},"CustomConfig":{"shape":"S4"},"Layout":{},"tags":{"shape":"S4","locationName":"tags"},"TemplateDescription":{}}},"S29":{"type":"structure","members":{"Activities":{"shape":"S2a"},"CreationDate":{},"LastModifiedDate":{},"Limits":{"shape":"S3a"},"LocalTime":{"type":"boolean"},"Name":{},"QuietTime":{"shape":"S1c"},"RefreshFrequency":{},"Schedule":{"shape":"S3b"},"StartActivity":{},"StartCondition":{"shape":"S3d"},"State":{},"WaitForQuietTime":{"type":"boolean"},"RefreshOnSegmentUpdate":{"type":"boolean"}},"required":["Name"]},"S2a":{"type":"map","key":{},"value":{"type":"structure","members":{"CUSTOM":{"type":"structure","members":{"DeliveryUri":{},"EndpointTypes":{"shape":"Sc"},"MessageConfig":{"type":"structure","members":{"Data":{}}},"NextActivity":{},"TemplateName":{},"TemplateVersion":{}}},"ConditionalSplit":{"type":"structure","members":{"Condition":{"type":"structure","members":{"Conditions":{"type":"list","member":{"shape":"S2h"}},"Operator":{}}},"EvaluationWaitTime":{"shape":"S2u"},"FalseActivity":{},"TrueActivity":{}}},"Description":{},"EMAIL":{"type":"structure","members":{"MessageConfig":{"type":"structure","members":{"FromAddress":{}}},"NextActivity":{},"TemplateName":{},"TemplateVersion":{}}},"Holdout":{"type":"structure","members":{"NextActivity":{},"Percentage":{"type":"integer"}},"required":["Percentage"]},"MultiCondition":{"type":"structure","members":{"Branches":{"type":"list","member":{"type":"structure","members":{"Condition":{"shape":"S2h"},"NextActivity":{}}}},"DefaultActivity":{},"EvaluationWaitTime":{"shape":"S2u"}}},"PUSH":{"type":"structure","members":{"MessageConfig":{"type":"structure","members":{"TimeToLive":{}}},"NextActivity":{},"TemplateName":{},"TemplateVersion":{}}},"RandomSplit":{"type":"structure","members":{"Branches":{"type":"list","member":{"type":"structure","members":{"NextActivity":{},"Percentage":{"type":"integer"}}}}}},"SMS":{"type":"structure","members":{"MessageConfig":{"type":"structure","members":{"MessageType":{},"OriginationNumber":{},"SenderId":{},"EntityId":{},"TemplateId":{}}},"NextActivity":{},"TemplateName":{},"TemplateVersion":{}}},"Wait":{"type":"structure","members":{"NextActivity":{},"WaitTime":{"shape":"S2u"}}},"ContactCenter":{"type":"structure","members":{"NextActivity":{}}}}}},"S2h":{"type":"structure","members":{"EventCondition":{"type":"structure","members":{"Dimensions":{"shape":"S10"},"MessageActivity":{}}},"SegmentCondition":{"shape":"S2j"},"SegmentDimensions":{"shape":"S2k","locationName":"segmentDimensions"}}},"S2j":{"type":"structure","members":{"SegmentId":{}},"required":["SegmentId"]},"S2k":{"type":"structure","members":{"Attributes":{"shape":"S11"},"Behavior":{"type":"structure","members":{"Recency":{"type":"structure","members":{"Duration":{},"RecencyType":{}},"required":["Duration","RecencyType"]}}},"Demographic":{"type":"structure","members":{"AppVersion":{"shape":"S15"},"Channel":{"shape":"S15"},"DeviceType":{"shape":"S15"},"Make":{"shape":"S15"},"Model":{"shape":"S15"},"Platform":{"shape":"S15"}}},"Location":{"type":"structure","members":{"Country":{"shape":"S15"},"GPSPoint":{"type":"structure","members":{"Coordinates":{"type":"structure","members":{"Latitude":{"type":"double"},"Longitude":{"type":"double"}},"required":["Latitude","Longitude"]},"RangeInKilometers":{"type":"double"}},"required":["Coordinates"]}}},"Metrics":{"shape":"S17"},"UserAttributes":{"shape":"S11"}}},"S2u":{"type":"structure","members":{"WaitFor":{},"WaitUntil":{}}},"S3a":{"type":"structure","members":{"DailyCap":{"type":"integer"},"EndpointReentryCap":{"type":"integer"},"MessagesPerSecond":{"type":"integer"},"EndpointReentryInterval":{}}},"S3b":{"type":"structure","members":{"EndTime":{"shape":"S3c"},"StartTime":{"shape":"S3c"},"Timezone":{}}},"S3c":{"type":"timestamp","timestampFormat":"iso8601"},"S3d":{"type":"structure","members":{"Description":{},"EventStartCondition":{"type":"structure","members":{"EventFilter":{"type":"structure","members":{"Dimensions":{"shape":"S10"},"FilterType":{}},"required":["FilterType","Dimensions"]},"SegmentId":{}}},"SegmentStartCondition":{"shape":"S2j"}}},"S3i":{"type":"structure","members":{"Activities":{"shape":"S2a"},"ApplicationId":{},"CreationDate":{},"Id":{},"LastModifiedDate":{},"Limits":{"shape":"S3a"},"LocalTime":{"type":"boolean"},"Name":{},"QuietTime":{"shape":"S1c"},"RefreshFrequency":{},"Schedule":{"shape":"S3b"},"StartActivity":{},"StartCondition":{"shape":"S3d"},"State":{},"tags":{"shape":"S4","locationName":"tags"},"WaitForQuietTime":{"type":"boolean"},"RefreshOnSegmentUpdate":{"type":"boolean"},"JourneyChannelSettings":{"type":"structure","members":{"ConnectCampaignArn":{},"ConnectCampaignExecutionRoleArn":{}}}},"required":["Name","Id","ApplicationId"]},"S3l":{"type":"structure","members":{"ADM":{"shape":"S3m"},"APNS":{"shape":"S3n"},"Baidu":{"shape":"S3m"},"Default":{"shape":"S3o"},"DefaultSubstitutions":{},"GCM":{"shape":"S3m"},"RecommenderId":{},"tags":{"shape":"S4","locationName":"tags"},"TemplateDescription":{}}},"S3m":{"type":"structure","members":{"Action":{},"Body":{},"ImageIconUrl":{},"ImageUrl":{},"RawContent":{},"SmallImageIconUrl":{},"Sound":{},"Title":{},"Url":{}}},"S3n":{"type":"structure","members":{"Action":{},"Body":{},"MediaUrl":{},"RawContent":{},"Sound":{},"Title":{},"Url":{}}},"S3o":{"type":"structure","members":{"Action":{},"Body":{},"Sound":{},"Title":{},"Url":{}}},"S3t":{"type":"structure","members":{"Attributes":{"shape":"S4"},"CreationDate":{},"Description":{},"Id":{},"LastModifiedDate":{},"Name":{},"RecommendationProviderIdType":{},"RecommendationProviderRoleArn":{},"RecommendationProviderUri":{},"RecommendationTransformerUri":{},"RecommendationsDisplayName":{},"RecommendationsPerMessage":{"type":"integer"}},"required":["RecommendationProviderUri","LastModifiedDate","CreationDate","RecommendationProviderRoleArn","Id"]},"S3v":{"type":"structure","members":{"Dimensions":{"shape":"S2k"},"Name":{},"SegmentGroups":{"shape":"S3w"},"tags":{"shape":"S4","locationName":"tags"}}},"S3w":{"type":"structure","members":{"Groups":{"type":"list","member":{"type":"structure","members":{"Dimensions":{"type":"list","member":{"shape":"S2k"}},"SourceSegments":{"type":"list","member":{"type":"structure","members":{"Id":{},"Version":{"type":"integer"}},"required":["Id"]}},"SourceType":{},"Type":{}}}},"Include":{}}},"S46":{"type":"structure","members":{"ApplicationId":{},"Arn":{},"CreationDate":{},"Dimensions":{"shape":"S2k"},"Id":{},"ImportDefinition":{"type":"structure","members":{"ChannelCounts":{"type":"map","key":{},"value":{"type":"integer"}},"ExternalId":{},"Format":{},"RoleArn":{},"S3Url":{},"Size":{"type":"integer"}},"required":["Format","S3Url","Size","ExternalId","RoleArn"]},"LastModifiedDate":{},"Name":{},"SegmentGroups":{"shape":"S3w"},"SegmentType":{},"tags":{"shape":"S4","locationName":"tags"},"Version":{"type":"integer"}},"required":["SegmentType","CreationDate","Id","Arn","ApplicationId"]},"S4b":{"type":"structure","members":{"Body":{},"DefaultSubstitutions":{},"RecommenderId":{},"tags":{"shape":"S4","locationName":"tags"},"TemplateDescription":{}}},"S4e":{"type":"structure","members":{"Body":{},"DefaultSubstitutions":{},"LanguageCode":{},"tags":{"shape":"S4","locationName":"tags"},"TemplateDescription":{},"VoiceId":{}}},"S4i":{"type":"structure","members":{"ApplicationId":{},"CreationDate":{},"Enabled":{"type":"boolean"},"HasCredential":{"type":"boolean"},"Id":{},"IsArchived":{"type":"boolean"},"LastModifiedBy":{},"LastModifiedDate":{},"Platform":{},"Version":{"type":"integer"}},"required":["Platform"]},"S4l":{"type":"structure","members":{"ApplicationId":{},"CreationDate":{},"DefaultAuthenticationMethod":{},"Enabled":{"type":"boolean"},"HasCredential":{"type":"boolean"},"HasTokenKey":{"type":"boolean"},"Id":{},"IsArchived":{"type":"boolean"},"LastModifiedBy":{},"LastModifiedDate":{},"Platform":{},"Version":{"type":"integer"}},"required":["Platform"]},"S4o":{"type":"structure","members":{"ApplicationId":{},"CreationDate":{},"DefaultAuthenticationMethod":{},"Enabled":{"type":"boolean"},"HasCredential":{"type":"boolean"},"HasTokenKey":{"type":"boolean"},"Id":{},"IsArchived":{"type":"boolean"},"LastModifiedBy":{},"LastModifiedDate":{},"Platform":{},"Version":{"type":"integer"}},"required":["Platform"]},"S4r":{"type":"structure","members":{"ApplicationId":{},"CreationDate":{},"DefaultAuthenticationMethod":{},"Enabled":{"type":"boolean"},"HasCredential":{"type":"boolean"},"HasTokenKey":{"type":"boolean"},"Id":{},"IsArchived":{"type":"boolean"},"LastModifiedBy":{},"LastModifiedDate":{},"Platform":{},"Version":{"type":"integer"}},"required":["Platform"]},"S4u":{"type":"structure","members":{"ApplicationId":{},"CreationDate":{},"DefaultAuthenticationMethod":{},"Enabled":{"type":"boolean"},"HasCredential":{"type":"boolean"},"HasTokenKey":{"type":"boolean"},"Id":{},"IsArchived":{"type":"boolean"},"LastModifiedBy":{},"LastModifiedDate":{},"Platform":{},"Version":{"type":"integer"}},"required":["Platform"]},"S4z":{"type":"structure","members":{"ApplicationId":{},"CreationDate":{},"Credential":{},"Enabled":{"type":"boolean"},"HasCredential":{"type":"boolean"},"Id":{},"IsArchived":{"type":"boolean"},"LastModifiedBy":{},"LastModifiedDate":{},"Platform":{},"Version":{"type":"integer"}},"required":["Credential","Platform"]},"S54":{"type":"structure","members":{"ApplicationId":{},"ConfigurationSet":{},"CreationDate":{},"Enabled":{"type":"boolean"},"FromAddress":{},"HasCredential":{"type":"boolean"},"Id":{},"Identity":{},"IsArchived":{"type":"boolean"},"LastModifiedBy":{},"LastModifiedDate":{},"MessagesPerSecond":{"type":"integer"},"Platform":{},"RoleArn":{},"Version":{"type":"integer"}},"required":["Platform"]},"S57":{"type":"structure","members":{"Message":{},"RequestID":{}}},"S5a":{"type":"structure","members":{"Address":{},"ApplicationId":{},"Attributes":{"shape":"S5b"},"ChannelType":{},"CohortId":{},"CreationDate":{},"Demographic":{"shape":"S5d"},"EffectiveDate":{},"EndpointStatus":{},"Id":{},"Location":{"shape":"S5e"},"Metrics":{"shape":"S5f"},"OptOut":{},"RequestId":{},"User":{"shape":"S5g"}}},"S5b":{"type":"map","key":{},"value":{"shape":"S14"}},"S5d":{"type":"structure","members":{"AppVersion":{},"Locale":{},"Make":{},"Model":{},"ModelVersion":{},"Platform":{},"PlatformVersion":{},"Timezone":{}}},"S5e":{"type":"structure","members":{"City":{},"Country":{},"Latitude":{"type":"double"},"Longitude":{"type":"double"},"PostalCode":{},"Region":{}}},"S5f":{"type":"map","key":{},"value":{"type":"double"}},"S5g":{"type":"structure","members":{"UserAttributes":{"shape":"S5b"},"UserId":{}}},"S5j":{"type":"structure","members":{"ApplicationId":{},"DestinationStreamArn":{},"ExternalId":{},"LastModifiedDate":{},"LastUpdatedBy":{},"RoleArn":{}},"required":["ApplicationId","RoleArn","DestinationStreamArn"]},"S5m":{"type":"structure","members":{"ApplicationId":{},"CreationDate":{},"Credential":{},"Enabled":{"type":"boolean"},"HasCredential":{"type":"boolean"},"Id":{},"IsArchived":{"type":"boolean"},"LastModifiedBy":{},"LastModifiedDate":{},"Platform":{},"Version":{"type":"integer"}},"required":["Credential","Platform"]},"S5z":{"type":"structure","members":{"ApplicationId":{},"CreationDate":{},"Enabled":{"type":"boolean"},"HasCredential":{"type":"boolean"},"Id":{},"IsArchived":{"type":"boolean"},"LastModifiedBy":{},"LastModifiedDate":{},"Platform":{},"PromotionalMessagesPerSecond":{"type":"integer"},"SenderId":{},"ShortCode":{},"TransactionalMessagesPerSecond":{"type":"integer"},"Version":{"type":"integer"}},"required":["Platform"]},"S64":{"type":"structure","members":{"Item":{"type":"list","member":{"shape":"S5a"}}},"required":["Item"]},"S68":{"type":"structure","members":{"ApplicationId":{},"CreationDate":{},"Enabled":{"type":"boolean"},"HasCredential":{"type":"boolean"},"Id":{},"IsArchived":{"type":"boolean"},"LastModifiedBy":{},"LastModifiedDate":{},"Platform":{},"Version":{"type":"integer"}},"required":["Platform"]},"S6q":{"type":"structure","members":{"Rows":{"type":"list","member":{"type":"structure","members":{"GroupedBys":{"shape":"S6t"},"Values":{"shape":"S6t"}},"required":["GroupedBys","Values"]}}},"required":["Rows"]},"S6t":{"type":"list","member":{"type":"structure","members":{"Key":{},"Type":{},"Value":{}},"required":["Type","Value","Key"]}},"S6x":{"type":"structure","members":{"ApplicationId":{},"CampaignHook":{"shape":"S1f"},"LastModifiedDate":{},"Limits":{"shape":"S1h"},"QuietTime":{"shape":"S1c"}},"required":["ApplicationId"]},"S7i":{"type":"structure","members":{"Item":{"type":"list","member":{"shape":"S1j"}},"NextToken":{}},"required":["Item"]},"S85":{"type":"structure","members":{"Item":{"type":"list","member":{"shape":"S1v"}},"NextToken":{}},"required":["Item"]},"S8d":{"type":"structure","members":{"Item":{"type":"list","member":{"shape":"S22"}},"NextToken":{}},"required":["Item"]},"S9j":{"type":"structure","members":{"Item":{"type":"list","member":{"shape":"S46"}},"NextToken":{}},"required":["Item"]},"Sa5":{"type":"structure","members":{"tags":{"shape":"S4","locationName":"tags"}},"required":["tags"]},"Sba":{"type":"map","key":{},"value":{"type":"structure","members":{"BodyOverride":{},"Context":{"shape":"S4"},"RawContent":{},"Substitutions":{"shape":"S5b"},"TitleOverride":{}}}},"Sbc":{"type":"structure","members":{"ADMMessage":{"type":"structure","members":{"Action":{},"Body":{},"ConsolidationKey":{},"Data":{"shape":"S4"},"ExpiresAfter":{},"IconReference":{},"ImageIconUrl":{},"ImageUrl":{},"MD5":{},"RawContent":{},"SilentPush":{"type":"boolean"},"SmallImageIconUrl":{},"Sound":{},"Substitutions":{"shape":"S5b"},"Title":{},"Url":{}}},"APNSMessage":{"type":"structure","members":{"APNSPushType":{},"Action":{},"Badge":{"type":"integer"},"Body":{},"Category":{},"CollapseId":{},"Data":{"shape":"S4"},"MediaUrl":{},"PreferredAuthenticationMethod":{},"Priority":{},"RawContent":{},"SilentPush":{"type":"boolean"},"Sound":{},"Substitutions":{"shape":"S5b"},"ThreadId":{},"TimeToLive":{"type":"integer"},"Title":{},"Url":{}}},"BaiduMessage":{"type":"structure","members":{"Action":{},"Body":{},"Data":{"shape":"S4"},"IconReference":{},"ImageIconUrl":{},"ImageUrl":{},"RawContent":{},"SilentPush":{"type":"boolean"},"SmallImageIconUrl":{},"Sound":{},"Substitutions":{"shape":"S5b"},"TimeToLive":{"type":"integer"},"Title":{},"Url":{}}},"DefaultMessage":{"type":"structure","members":{"Body":{},"Substitutions":{"shape":"S5b"}}},"DefaultPushNotificationMessage":{"type":"structure","members":{"Action":{},"Body":{},"Data":{"shape":"S4"},"SilentPush":{"type":"boolean"},"Substitutions":{"shape":"S5b"},"Title":{},"Url":{}}},"EmailMessage":{"type":"structure","members":{"Body":{},"FeedbackForwardingAddress":{},"FromAddress":{},"RawEmail":{"type":"structure","members":{"Data":{"type":"blob"}}},"ReplyToAddresses":{"shape":"S14"},"SimpleEmail":{"type":"structure","members":{"HtmlPart":{"shape":"Sbm"},"Subject":{"shape":"Sbm"},"TextPart":{"shape":"Sbm"}}},"Substitutions":{"shape":"S5b"}}},"GCMMessage":{"type":"structure","members":{"Action":{},"Body":{},"CollapseKey":{},"Data":{"shape":"S4"},"IconReference":{},"ImageIconUrl":{},"ImageUrl":{},"Priority":{},"RawContent":{},"RestrictedPackageName":{},"SilentPush":{"type":"boolean"},"SmallImageIconUrl":{},"Sound":{},"Substitutions":{"shape":"S5b"},"TimeToLive":{"type":"integer"},"Title":{},"Url":{}}},"SMSMessage":{"type":"structure","members":{"Body":{},"Keyword":{},"MediaUrl":{},"MessageType":{},"OriginationNumber":{},"SenderId":{},"Substitutions":{"shape":"S5b"},"EntityId":{},"TemplateId":{}}},"VoiceMessage":{"type":"structure","members":{"Body":{},"LanguageCode":{},"OriginationNumber":{},"Substitutions":{"shape":"S5b"},"VoiceId":{}}}}},"Sbm":{"type":"structure","members":{"Charset":{},"Data":{}}},"Sbr":{"type":"structure","members":{"ApplicationId":{},"EndpointResult":{"shape":"Sbs"},"RequestId":{},"Result":{"type":"map","key":{},"value":{"type":"structure","members":{"DeliveryStatus":{},"MessageId":{},"StatusCode":{"type":"integer"},"StatusMessage":{},"UpdatedToken":{}},"required":["DeliveryStatus","StatusCode"]}}},"required":["ApplicationId"]},"Sbs":{"type":"map","key":{},"value":{"type":"structure","members":{"Address":{},"DeliveryStatus":{},"MessageId":{},"StatusCode":{"type":"integer"},"StatusMessage":{},"UpdatedToken":{}},"required":["DeliveryStatus","StatusCode"]}}}}');

/***/ }),

/***/ 55228:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-07-26","endpointPrefix":"email","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Pinpoint Email","serviceFullName":"Amazon Pinpoint Email Service","serviceId":"Pinpoint Email","signatureVersion":"v4","signingName":"ses","uid":"pinpoint-email-2018-07-26"},"operations":{"CreateConfigurationSet":{"http":{"requestUri":"/v1/email/configuration-sets"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{},"TrackingOptions":{"shape":"S3"},"DeliveryOptions":{"shape":"S5"},"ReputationOptions":{"shape":"S8"},"SendingOptions":{"shape":"Sb"},"Tags":{"shape":"Sc"}}},"output":{"type":"structure","members":{}}},"CreateConfigurationSetEventDestination":{"http":{"requestUri":"/v1/email/configuration-sets/{ConfigurationSetName}/event-destinations"},"input":{"type":"structure","required":["ConfigurationSetName","EventDestinationName","EventDestination"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"EventDestinationName":{},"EventDestination":{"shape":"Sj"}}},"output":{"type":"structure","members":{}}},"CreateDedicatedIpPool":{"http":{"requestUri":"/v1/email/dedicated-ip-pools"},"input":{"type":"structure","required":["PoolName"],"members":{"PoolName":{},"Tags":{"shape":"Sc"}}},"output":{"type":"structure","members":{}}},"CreateDeliverabilityTestReport":{"http":{"requestUri":"/v1/email/deliverability-dashboard/test"},"input":{"type":"structure","required":["FromEmailAddress","Content"],"members":{"ReportName":{},"FromEmailAddress":{},"Content":{"shape":"S12"},"Tags":{"shape":"Sc"}}},"output":{"type":"structure","required":["ReportId","DeliverabilityTestStatus"],"members":{"ReportId":{},"DeliverabilityTestStatus":{}}}},"CreateEmailIdentity":{"http":{"requestUri":"/v1/email/identities"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{},"Tags":{"shape":"Sc"}}},"output":{"type":"structure","members":{"IdentityType":{},"VerifiedForSendingStatus":{"type":"boolean"},"DkimAttributes":{"shape":"S1k"}}}},"DeleteConfigurationSet":{"http":{"method":"DELETE","requestUri":"/v1/email/configuration-sets/{ConfigurationSetName}"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"}}},"output":{"type":"structure","members":{}}},"DeleteConfigurationSetEventDestination":{"http":{"method":"DELETE","requestUri":"/v1/email/configuration-sets/{ConfigurationSetName}/event-destinations/{EventDestinationName}"},"input":{"type":"structure","required":["ConfigurationSetName","EventDestinationName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"EventDestinationName":{"location":"uri","locationName":"EventDestinationName"}}},"output":{"type":"structure","members":{}}},"DeleteDedicatedIpPool":{"http":{"method":"DELETE","requestUri":"/v1/email/dedicated-ip-pools/{PoolName}"},"input":{"type":"structure","required":["PoolName"],"members":{"PoolName":{"location":"uri","locationName":"PoolName"}}},"output":{"type":"structure","members":{}}},"DeleteEmailIdentity":{"http":{"method":"DELETE","requestUri":"/v1/email/identities/{EmailIdentity}"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"}}},"output":{"type":"structure","members":{}}},"GetAccount":{"http":{"method":"GET","requestUri":"/v1/email/account"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"SendQuota":{"type":"structure","members":{"Max24HourSend":{"type":"double"},"MaxSendRate":{"type":"double"},"SentLast24Hours":{"type":"double"}}},"SendingEnabled":{"type":"boolean"},"DedicatedIpAutoWarmupEnabled":{"type":"boolean"},"EnforcementStatus":{},"ProductionAccessEnabled":{"type":"boolean"}}}},"GetBlacklistReports":{"http":{"method":"GET","requestUri":"/v1/email/deliverability-dashboard/blacklist-report"},"input":{"type":"structure","required":["BlacklistItemNames"],"members":{"BlacklistItemNames":{"location":"querystring","locationName":"BlacklistItemNames","type":"list","member":{}}}},"output":{"type":"structure","required":["BlacklistReport"],"members":{"BlacklistReport":{"type":"map","key":{},"value":{"type":"list","member":{"type":"structure","members":{"RblName":{},"ListingTime":{"type":"timestamp"},"Description":{}}}}}}}},"GetConfigurationSet":{"http":{"method":"GET","requestUri":"/v1/email/configuration-sets/{ConfigurationSetName}"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"}}},"output":{"type":"structure","members":{"ConfigurationSetName":{},"TrackingOptions":{"shape":"S3"},"DeliveryOptions":{"shape":"S5"},"ReputationOptions":{"shape":"S8"},"SendingOptions":{"shape":"Sb"},"Tags":{"shape":"Sc"}}}},"GetConfigurationSetEventDestinations":{"http":{"method":"GET","requestUri":"/v1/email/configuration-sets/{ConfigurationSetName}/event-destinations"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"}}},"output":{"type":"structure","members":{"EventDestinations":{"type":"list","member":{"type":"structure","required":["Name","MatchingEventTypes"],"members":{"Name":{},"Enabled":{"type":"boolean"},"MatchingEventTypes":{"shape":"Sk"},"KinesisFirehoseDestination":{"shape":"Sm"},"CloudWatchDestination":{"shape":"So"},"SnsDestination":{"shape":"Su"},"PinpointDestination":{"shape":"Sv"}}}}}}},"GetDedicatedIp":{"http":{"method":"GET","requestUri":"/v1/email/dedicated-ips/{IP}"},"input":{"type":"structure","required":["Ip"],"members":{"Ip":{"location":"uri","locationName":"IP"}}},"output":{"type":"structure","members":{"DedicatedIp":{"shape":"S2m"}}}},"GetDedicatedIps":{"http":{"method":"GET","requestUri":"/v1/email/dedicated-ips"},"input":{"type":"structure","members":{"PoolName":{"location":"querystring","locationName":"PoolName"},"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","members":{"DedicatedIps":{"type":"list","member":{"shape":"S2m"}},"NextToken":{}}}},"GetDeliverabilityDashboardOptions":{"http":{"method":"GET","requestUri":"/v1/email/deliverability-dashboard"},"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["DashboardEnabled"],"members":{"DashboardEnabled":{"type":"boolean"},"SubscriptionExpiryDate":{"type":"timestamp"},"AccountStatus":{},"ActiveSubscribedDomains":{"shape":"S2x"},"PendingExpirationSubscribedDomains":{"shape":"S2x"}}}},"GetDeliverabilityTestReport":{"http":{"method":"GET","requestUri":"/v1/email/deliverability-dashboard/test-reports/{ReportId}"},"input":{"type":"structure","required":["ReportId"],"members":{"ReportId":{"location":"uri","locationName":"ReportId"}}},"output":{"type":"structure","required":["DeliverabilityTestReport","OverallPlacement","IspPlacements"],"members":{"DeliverabilityTestReport":{"shape":"S35"},"OverallPlacement":{"shape":"S37"},"IspPlacements":{"type":"list","member":{"type":"structure","members":{"IspName":{},"PlacementStatistics":{"shape":"S37"}}}},"Message":{},"Tags":{"shape":"Sc"}}}},"GetDomainDeliverabilityCampaign":{"http":{"method":"GET","requestUri":"/v1/email/deliverability-dashboard/campaigns/{CampaignId}"},"input":{"type":"structure","required":["CampaignId"],"members":{"CampaignId":{"location":"uri","locationName":"CampaignId"}}},"output":{"type":"structure","required":["DomainDeliverabilityCampaign"],"members":{"DomainDeliverabilityCampaign":{"shape":"S3f"}}}},"GetDomainStatisticsReport":{"http":{"method":"GET","requestUri":"/v1/email/deliverability-dashboard/statistics-report/{Domain}"},"input":{"type":"structure","required":["Domain","StartDate","EndDate"],"members":{"Domain":{"location":"uri","locationName":"Domain"},"StartDate":{"location":"querystring","locationName":"StartDate","type":"timestamp"},"EndDate":{"location":"querystring","locationName":"EndDate","type":"timestamp"}}},"output":{"type":"structure","required":["OverallVolume","DailyVolumes"],"members":{"OverallVolume":{"type":"structure","members":{"VolumeStatistics":{"shape":"S3p"},"ReadRatePercent":{"type":"double"},"DomainIspPlacements":{"shape":"S3q"}}},"DailyVolumes":{"type":"list","member":{"type":"structure","members":{"StartDate":{"type":"timestamp"},"VolumeStatistics":{"shape":"S3p"},"DomainIspPlacements":{"shape":"S3q"}}}}}}},"GetEmailIdentity":{"http":{"method":"GET","requestUri":"/v1/email/identities/{EmailIdentity}"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"}}},"output":{"type":"structure","members":{"IdentityType":{},"FeedbackForwardingStatus":{"type":"boolean"},"VerifiedForSendingStatus":{"type":"boolean"},"DkimAttributes":{"shape":"S1k"},"MailFromAttributes":{"type":"structure","required":["MailFromDomain","MailFromDomainStatus","BehaviorOnMxFailure"],"members":{"MailFromDomain":{},"MailFromDomainStatus":{},"BehaviorOnMxFailure":{}}},"Tags":{"shape":"Sc"}}}},"ListConfigurationSets":{"http":{"method":"GET","requestUri":"/v1/email/configuration-sets"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","members":{"ConfigurationSets":{"type":"list","member":{}},"NextToken":{}}}},"ListDedicatedIpPools":{"http":{"method":"GET","requestUri":"/v1/email/dedicated-ip-pools"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","members":{"DedicatedIpPools":{"type":"list","member":{}},"NextToken":{}}}},"ListDeliverabilityTestReports":{"http":{"method":"GET","requestUri":"/v1/email/deliverability-dashboard/test-reports"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","required":["DeliverabilityTestReports"],"members":{"DeliverabilityTestReports":{"type":"list","member":{"shape":"S35"}},"NextToken":{}}}},"ListDomainDeliverabilityCampaigns":{"http":{"method":"GET","requestUri":"/v1/email/deliverability-dashboard/domains/{SubscribedDomain}/campaigns"},"input":{"type":"structure","required":["StartDate","EndDate","SubscribedDomain"],"members":{"StartDate":{"location":"querystring","locationName":"StartDate","type":"timestamp"},"EndDate":{"location":"querystring","locationName":"EndDate","type":"timestamp"},"SubscribedDomain":{"location":"uri","locationName":"SubscribedDomain"},"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","required":["DomainDeliverabilityCampaigns"],"members":{"DomainDeliverabilityCampaigns":{"type":"list","member":{"shape":"S3f"}},"NextToken":{}}}},"ListEmailIdentities":{"http":{"method":"GET","requestUri":"/v1/email/identities"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","members":{"EmailIdentities":{"type":"list","member":{"type":"structure","members":{"IdentityType":{},"IdentityName":{},"SendingEnabled":{"type":"boolean"}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/v1/email/tags"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"querystring","locationName":"ResourceArn"}}},"output":{"type":"structure","required":["Tags"],"members":{"Tags":{"shape":"Sc"}}}},"PutAccountDedicatedIpWarmupAttributes":{"http":{"method":"PUT","requestUri":"/v1/email/account/dedicated-ips/warmup"},"input":{"type":"structure","members":{"AutoWarmupEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutAccountSendingAttributes":{"http":{"method":"PUT","requestUri":"/v1/email/account/sending"},"input":{"type":"structure","members":{"SendingEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutConfigurationSetDeliveryOptions":{"http":{"method":"PUT","requestUri":"/v1/email/configuration-sets/{ConfigurationSetName}/delivery-options"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"TlsPolicy":{},"SendingPoolName":{}}},"output":{"type":"structure","members":{}}},"PutConfigurationSetReputationOptions":{"http":{"method":"PUT","requestUri":"/v1/email/configuration-sets/{ConfigurationSetName}/reputation-options"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"ReputationMetricsEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutConfigurationSetSendingOptions":{"http":{"method":"PUT","requestUri":"/v1/email/configuration-sets/{ConfigurationSetName}/sending"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"SendingEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutConfigurationSetTrackingOptions":{"http":{"method":"PUT","requestUri":"/v1/email/configuration-sets/{ConfigurationSetName}/tracking-options"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"CustomRedirectDomain":{}}},"output":{"type":"structure","members":{}}},"PutDedicatedIpInPool":{"http":{"method":"PUT","requestUri":"/v1/email/dedicated-ips/{IP}/pool"},"input":{"type":"structure","required":["Ip","DestinationPoolName"],"members":{"Ip":{"location":"uri","locationName":"IP"},"DestinationPoolName":{}}},"output":{"type":"structure","members":{}}},"PutDedicatedIpWarmupAttributes":{"http":{"method":"PUT","requestUri":"/v1/email/dedicated-ips/{IP}/warmup"},"input":{"type":"structure","required":["Ip","WarmupPercentage"],"members":{"Ip":{"location":"uri","locationName":"IP"},"WarmupPercentage":{"type":"integer"}}},"output":{"type":"structure","members":{}}},"PutDeliverabilityDashboardOption":{"http":{"method":"PUT","requestUri":"/v1/email/deliverability-dashboard"},"input":{"type":"structure","required":["DashboardEnabled"],"members":{"DashboardEnabled":{"type":"boolean"},"SubscribedDomains":{"shape":"S2x"}}},"output":{"type":"structure","members":{}}},"PutEmailIdentityDkimAttributes":{"http":{"method":"PUT","requestUri":"/v1/email/identities/{EmailIdentity}/dkim"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"},"SigningEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutEmailIdentityFeedbackAttributes":{"http":{"method":"PUT","requestUri":"/v1/email/identities/{EmailIdentity}/feedback"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"},"EmailForwardingEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutEmailIdentityMailFromAttributes":{"http":{"method":"PUT","requestUri":"/v1/email/identities/{EmailIdentity}/mail-from"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"},"MailFromDomain":{},"BehaviorOnMxFailure":{}}},"output":{"type":"structure","members":{}}},"SendEmail":{"http":{"requestUri":"/v1/email/outbound-emails"},"input":{"type":"structure","required":["Destination","Content"],"members":{"FromEmailAddress":{},"Destination":{"type":"structure","members":{"ToAddresses":{"shape":"S59"},"CcAddresses":{"shape":"S59"},"BccAddresses":{"shape":"S59"}}},"ReplyToAddresses":{"shape":"S59"},"FeedbackForwardingEmailAddress":{},"Content":{"shape":"S12"},"EmailTags":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"ConfigurationSetName":{}}},"output":{"type":"structure","members":{"MessageId":{}}}},"TagResource":{"http":{"requestUri":"/v1/email/tags"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sc"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/v1/email/tags"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"querystring","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"TagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateConfigurationSetEventDestination":{"http":{"method":"PUT","requestUri":"/v1/email/configuration-sets/{ConfigurationSetName}/event-destinations/{EventDestinationName}"},"input":{"type":"structure","required":["ConfigurationSetName","EventDestinationName","EventDestination"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"EventDestinationName":{"location":"uri","locationName":"EventDestinationName"},"EventDestination":{"shape":"Sj"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S3":{"type":"structure","required":["CustomRedirectDomain"],"members":{"CustomRedirectDomain":{}}},"S5":{"type":"structure","members":{"TlsPolicy":{},"SendingPoolName":{}}},"S8":{"type":"structure","members":{"ReputationMetricsEnabled":{"type":"boolean"},"LastFreshStart":{"type":"timestamp"}}},"Sb":{"type":"structure","members":{"SendingEnabled":{"type":"boolean"}}},"Sc":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sj":{"type":"structure","members":{"Enabled":{"type":"boolean"},"MatchingEventTypes":{"shape":"Sk"},"KinesisFirehoseDestination":{"shape":"Sm"},"CloudWatchDestination":{"shape":"So"},"SnsDestination":{"shape":"Su"},"PinpointDestination":{"shape":"Sv"}}},"Sk":{"type":"list","member":{}},"Sm":{"type":"structure","required":["IamRoleArn","DeliveryStreamArn"],"members":{"IamRoleArn":{},"DeliveryStreamArn":{}}},"So":{"type":"structure","required":["DimensionConfigurations"],"members":{"DimensionConfigurations":{"type":"list","member":{"type":"structure","required":["DimensionName","DimensionValueSource","DefaultDimensionValue"],"members":{"DimensionName":{},"DimensionValueSource":{},"DefaultDimensionValue":{}}}}}},"Su":{"type":"structure","required":["TopicArn"],"members":{"TopicArn":{}}},"Sv":{"type":"structure","members":{"ApplicationArn":{}}},"S12":{"type":"structure","members":{"Simple":{"type":"structure","required":["Subject","Body"],"members":{"Subject":{"shape":"S14"},"Body":{"type":"structure","members":{"Text":{"shape":"S14"},"Html":{"shape":"S14"}}}}},"Raw":{"type":"structure","required":["Data"],"members":{"Data":{"type":"blob"}}},"Template":{"type":"structure","members":{"TemplateArn":{},"TemplateData":{}}}}},"S14":{"type":"structure","required":["Data"],"members":{"Data":{},"Charset":{}}},"S1k":{"type":"structure","members":{"SigningEnabled":{"type":"boolean"},"Status":{},"Tokens":{"type":"list","member":{}}}},"S2m":{"type":"structure","required":["Ip","WarmupStatus","WarmupPercentage"],"members":{"Ip":{},"WarmupStatus":{},"WarmupPercentage":{"type":"integer"},"PoolName":{}}},"S2x":{"type":"list","member":{"type":"structure","members":{"Domain":{},"SubscriptionStartDate":{"type":"timestamp"},"InboxPlacementTrackingOption":{"type":"structure","members":{"Global":{"type":"boolean"},"TrackedIsps":{"type":"list","member":{}}}}}}},"S35":{"type":"structure","members":{"ReportId":{},"ReportName":{},"Subject":{},"FromEmailAddress":{},"CreateDate":{"type":"timestamp"},"DeliverabilityTestStatus":{}}},"S37":{"type":"structure","members":{"InboxPercentage":{"type":"double"},"SpamPercentage":{"type":"double"},"MissingPercentage":{"type":"double"},"SpfPercentage":{"type":"double"},"DkimPercentage":{"type":"double"}}},"S3f":{"type":"structure","members":{"CampaignId":{},"ImageUrl":{},"Subject":{},"FromAddress":{},"SendingIps":{"type":"list","member":{}},"FirstSeenDateTime":{"type":"timestamp"},"LastSeenDateTime":{"type":"timestamp"},"InboxCount":{"type":"long"},"SpamCount":{"type":"long"},"ReadRate":{"type":"double"},"DeleteRate":{"type":"double"},"ReadDeleteRate":{"type":"double"},"ProjectedVolume":{"type":"long"},"Esps":{"type":"list","member":{}}}},"S3p":{"type":"structure","members":{"InboxRawCount":{"type":"long"},"SpamRawCount":{"type":"long"},"ProjectedInbox":{"type":"long"},"ProjectedSpam":{"type":"long"}}},"S3q":{"type":"list","member":{"type":"structure","members":{"IspName":{},"InboxRawCount":{"type":"long"},"SpamRawCount":{"type":"long"},"InboxPercentage":{"type":"double"},"SpamPercentage":{"type":"double"}}}},"S59":{"type":"list","member":{}}}}');

/***/ }),

/***/ 45172:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetDedicatedIps":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListConfigurationSets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListDedicatedIpPools":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListDeliverabilityTestReports":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListDomainDeliverabilityCampaigns":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListEmailIdentities":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"}}}');

/***/ }),

/***/ 55078:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-06-10","endpointPrefix":"polly","protocol":"rest-json","serviceFullName":"Amazon Polly","serviceId":"Polly","signatureVersion":"v4","uid":"polly-2016-06-10"},"operations":{"DeleteLexicon":{"http":{"method":"DELETE","requestUri":"/v1/lexicons/{LexiconName}","responseCode":200},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"LexiconName"}}},"output":{"type":"structure","members":{}}},"DescribeVoices":{"http":{"method":"GET","requestUri":"/v1/voices","responseCode":200},"input":{"type":"structure","members":{"Engine":{"location":"querystring","locationName":"Engine"},"LanguageCode":{"location":"querystring","locationName":"LanguageCode"},"IncludeAdditionalLanguageCodes":{"location":"querystring","locationName":"IncludeAdditionalLanguageCodes","type":"boolean"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Voices":{"type":"list","member":{"type":"structure","members":{"Gender":{},"Id":{},"LanguageCode":{},"LanguageName":{},"Name":{},"AdditionalLanguageCodes":{"type":"list","member":{}},"SupportedEngines":{"type":"list","member":{}}}}},"NextToken":{}}}},"GetLexicon":{"http":{"method":"GET","requestUri":"/v1/lexicons/{LexiconName}","responseCode":200},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"LexiconName"}}},"output":{"type":"structure","members":{"Lexicon":{"type":"structure","members":{"Content":{"shape":"Sl"},"Name":{}}},"LexiconAttributes":{"shape":"Sm"}}}},"GetSpeechSynthesisTask":{"http":{"method":"GET","requestUri":"/v1/synthesisTasks/{TaskId}","responseCode":200},"input":{"type":"structure","required":["TaskId"],"members":{"TaskId":{"location":"uri","locationName":"TaskId"}}},"output":{"type":"structure","members":{"SynthesisTask":{"shape":"Sv"}}}},"ListLexicons":{"http":{"method":"GET","requestUri":"/v1/lexicons","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Lexicons":{"type":"list","member":{"type":"structure","members":{"Name":{},"Attributes":{"shape":"Sm"}}}},"NextToken":{}}}},"ListSpeechSynthesisTasks":{"http":{"method":"GET","requestUri":"/v1/synthesisTasks","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"},"Status":{"location":"querystring","locationName":"Status"}}},"output":{"type":"structure","members":{"NextToken":{},"SynthesisTasks":{"type":"list","member":{"shape":"Sv"}}}}},"PutLexicon":{"http":{"method":"PUT","requestUri":"/v1/lexicons/{LexiconName}","responseCode":200},"input":{"type":"structure","required":["Name","Content"],"members":{"Name":{"location":"uri","locationName":"LexiconName"},"Content":{"shape":"Sl"}}},"output":{"type":"structure","members":{}}},"StartSpeechSynthesisTask":{"http":{"requestUri":"/v1/synthesisTasks","responseCode":200},"input":{"type":"structure","required":["OutputFormat","OutputS3BucketName","Text","VoiceId"],"members":{"Engine":{},"LanguageCode":{},"LexiconNames":{"shape":"S12"},"OutputFormat":{},"OutputS3BucketName":{},"OutputS3KeyPrefix":{},"SampleRate":{},"SnsTopicArn":{},"SpeechMarkTypes":{"shape":"S15"},"Text":{},"TextType":{},"VoiceId":{}}},"output":{"type":"structure","members":{"SynthesisTask":{"shape":"Sv"}}}},"SynthesizeSpeech":{"http":{"requestUri":"/v1/speech","responseCode":200},"input":{"type":"structure","required":["OutputFormat","Text","VoiceId"],"members":{"Engine":{},"LanguageCode":{},"LexiconNames":{"shape":"S12"},"OutputFormat":{},"SampleRate":{},"SpeechMarkTypes":{"shape":"S15"},"Text":{},"TextType":{},"VoiceId":{}}},"output":{"type":"structure","members":{"AudioStream":{"type":"blob","streaming":true},"ContentType":{"location":"header","locationName":"Content-Type"},"RequestCharacters":{"location":"header","locationName":"x-amzn-RequestCharacters","type":"integer"}},"payload":"AudioStream"}}},"shapes":{"Sl":{"type":"string","sensitive":true},"Sm":{"type":"structure","members":{"Alphabet":{},"LanguageCode":{},"LastModified":{"type":"timestamp"},"LexiconArn":{},"LexemesCount":{"type":"integer"},"Size":{"type":"integer"}}},"Sv":{"type":"structure","members":{"Engine":{},"TaskId":{},"TaskStatus":{},"TaskStatusReason":{},"OutputUri":{},"CreationTime":{"type":"timestamp"},"RequestCharacters":{"type":"integer"},"SnsTopicArn":{},"LexiconNames":{"shape":"S12"},"OutputFormat":{},"SampleRate":{},"SpeechMarkTypes":{"shape":"S15"},"TextType":{},"VoiceId":{},"LanguageCode":{}}},"S12":{"type":"list","member":{}},"S15":{"type":"list","member":{}}}}');

/***/ }),

/***/ 77060:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListSpeechSynthesisTasks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 22484:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-10-15","endpointPrefix":"api.pricing","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"AWS Pricing","serviceFullName":"AWS Price List Service","serviceId":"Pricing","signatureVersion":"v4","signingName":"pricing","targetPrefix":"AWSPriceListService","uid":"pricing-2017-10-15"},"operations":{"DescribeServices":{"input":{"type":"structure","members":{"ServiceCode":{},"FormatVersion":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Services":{"type":"list","member":{"type":"structure","members":{"ServiceCode":{},"AttributeNames":{"type":"list","member":{}}}}},"FormatVersion":{},"NextToken":{}}}},"GetAttributeValues":{"input":{"type":"structure","required":["ServiceCode","AttributeName"],"members":{"ServiceCode":{},"AttributeName":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"AttributeValues":{"type":"list","member":{"type":"structure","members":{"Value":{}}}},"NextToken":{}}}},"GetProducts":{"input":{"type":"structure","members":{"ServiceCode":{},"Filters":{"type":"list","member":{"type":"structure","required":["Type","Field","Value"],"members":{"Type":{},"Field":{},"Value":{}}}},"FormatVersion":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"FormatVersion":{},"PriceList":{"type":"list","member":{"jsonvalue":true}},"NextToken":{}}}}},"shapes":{}}');

/***/ }),

/***/ 60369:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeServices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"GetAttributeValues":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"GetProducts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 78577:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-07-20","endpointPrefix":"proton","jsonVersion":"1.0","protocol":"json","serviceFullName":"AWS Proton","serviceId":"Proton","signatureVersion":"v4","signingName":"proton","targetPrefix":"AwsProton20200720","uid":"proton-2020-07-20"},"operations":{"AcceptEnvironmentAccountConnection":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","required":["environmentAccountConnection"],"members":{"environmentAccountConnection":{"shape":"S4"}}},"idempotent":true},"CancelEnvironmentDeployment":{"input":{"type":"structure","required":["environmentName"],"members":{"environmentName":{}}},"output":{"type":"structure","required":["environment"],"members":{"environment":{"shape":"Sd"}}}},"CancelServiceInstanceDeployment":{"input":{"type":"structure","required":["serviceInstanceName","serviceName"],"members":{"serviceInstanceName":{},"serviceName":{}}},"output":{"type":"structure","required":["serviceInstance"],"members":{"serviceInstance":{"shape":"Ss"}}}},"CancelServicePipelineDeployment":{"input":{"type":"structure","required":["serviceName"],"members":{"serviceName":{}}},"output":{"type":"structure","required":["pipeline"],"members":{"pipeline":{"shape":"Sw"}}}},"CreateEnvironment":{"input":{"type":"structure","required":["name","spec","templateMajorVersion","templateName"],"members":{"description":{"shape":"Sh"},"environmentAccountConnectionId":{},"name":{},"protonServiceRoleArn":{},"provisioningRepository":{"shape":"Sy"},"spec":{"shape":"So"},"tags":{"shape":"Sz"},"templateMajorVersion":{},"templateMinorVersion":{},"templateName":{}}},"output":{"type":"structure","required":["environment"],"members":{"environment":{"shape":"Sd"}}},"idempotent":true},"CreateEnvironmentAccountConnection":{"input":{"type":"structure","required":["environmentName","managementAccountId","roleArn"],"members":{"clientToken":{"idempotencyToken":true},"environmentName":{},"managementAccountId":{},"roleArn":{},"tags":{"shape":"Sz"}}},"output":{"type":"structure","required":["environmentAccountConnection"],"members":{"environmentAccountConnection":{"shape":"S4"}}},"idempotent":true},"CreateEnvironmentTemplate":{"input":{"type":"structure","required":["name"],"members":{"description":{"shape":"Sh"},"displayName":{"shape":"S18"},"encryptionKey":{},"name":{},"provisioning":{},"tags":{"shape":"Sz"}}},"output":{"type":"structure","required":["environmentTemplate"],"members":{"environmentTemplate":{"shape":"S1a"}}},"idempotent":true},"CreateEnvironmentTemplateVersion":{"input":{"type":"structure","required":["source","templateName"],"members":{"clientToken":{"idempotencyToken":true},"description":{"shape":"Sh"},"majorVersion":{},"source":{"shape":"S1e"},"tags":{"shape":"Sz"},"templateName":{}}},"output":{"type":"structure","required":["environmentTemplateVersion"],"members":{"environmentTemplateVersion":{"shape":"S1j"}}},"idempotent":true},"CreateRepository":{"input":{"type":"structure","required":["connectionArn","name","provider"],"members":{"connectionArn":{},"encryptionKey":{},"name":{},"provider":{}}},"output":{"type":"structure","required":["repository"],"members":{"repository":{"shape":"S1p"}}},"idempotent":true},"CreateService":{"input":{"type":"structure","required":["name","spec","templateMajorVersion","templateName"],"members":{"branchName":{},"description":{"shape":"Sh"},"name":{},"repositoryConnectionArn":{},"repositoryId":{},"spec":{"shape":"So"},"tags":{"shape":"Sz"},"templateMajorVersion":{},"templateMinorVersion":{},"templateName":{}}},"output":{"type":"structure","required":["service"],"members":{"service":{"shape":"S1t"}}},"idempotent":true},"CreateServiceTemplate":{"input":{"type":"structure","required":["name"],"members":{"description":{"shape":"Sh"},"displayName":{"shape":"S18"},"encryptionKey":{},"name":{},"pipelineProvisioning":{},"tags":{"shape":"Sz"}}},"output":{"type":"structure","required":["serviceTemplate"],"members":{"serviceTemplate":{"shape":"S1y"}}},"idempotent":true},"CreateServiceTemplateVersion":{"input":{"type":"structure","required":["compatibleEnvironmentTemplates","source","templateName"],"members":{"clientToken":{"idempotencyToken":true},"compatibleEnvironmentTemplates":{"shape":"S21"},"description":{"shape":"Sh"},"majorVersion":{},"source":{"shape":"S1e"},"tags":{"shape":"Sz"},"templateName":{}}},"output":{"type":"structure","required":["serviceTemplateVersion"],"members":{"serviceTemplateVersion":{"shape":"S24"}}},"idempotent":true},"CreateTemplateSyncConfig":{"input":{"type":"structure","required":["branch","repositoryName","repositoryProvider","templateName","templateType"],"members":{"branch":{},"repositoryName":{},"repositoryProvider":{},"subdirectory":{},"templateName":{},"templateType":{}}},"output":{"type":"structure","members":{"templateSyncConfig":{"shape":"S2c"}}},"idempotent":true},"DeleteEnvironment":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{"environment":{"shape":"Sd"}}},"idempotent":true},"DeleteEnvironmentAccountConnection":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","members":{"environmentAccountConnection":{"shape":"S4"}}},"idempotent":true},"DeleteEnvironmentTemplate":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{"environmentTemplate":{"shape":"S1a"}}},"idempotent":true},"DeleteEnvironmentTemplateVersion":{"input":{"type":"structure","required":["majorVersion","minorVersion","templateName"],"members":{"majorVersion":{},"minorVersion":{},"templateName":{}}},"output":{"type":"structure","members":{"environmentTemplateVersion":{"shape":"S1j"}}},"idempotent":true},"DeleteRepository":{"input":{"type":"structure","required":["name","provider"],"members":{"name":{},"provider":{}}},"output":{"type":"structure","members":{"repository":{"shape":"S1p"}}},"idempotent":true},"DeleteService":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{"service":{"shape":"S1t"}}},"idempotent":true},"DeleteServiceTemplate":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{"serviceTemplate":{"shape":"S1y"}}},"idempotent":true},"DeleteServiceTemplateVersion":{"input":{"type":"structure","required":["majorVersion","minorVersion","templateName"],"members":{"majorVersion":{},"minorVersion":{},"templateName":{}}},"output":{"type":"structure","members":{"serviceTemplateVersion":{"shape":"S24"}}},"idempotent":true},"DeleteTemplateSyncConfig":{"input":{"type":"structure","required":["templateName","templateType"],"members":{"templateName":{},"templateType":{}}},"output":{"type":"structure","members":{"templateSyncConfig":{"shape":"S2c"}}},"idempotent":true},"GetAccountSettings":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"accountSettings":{"shape":"S2x"}}}},"GetEnvironment":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","required":["environment"],"members":{"environment":{"shape":"Sd"}}}},"GetEnvironmentAccountConnection":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","required":["environmentAccountConnection"],"members":{"environmentAccountConnection":{"shape":"S4"}}}},"GetEnvironmentTemplate":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","required":["environmentTemplate"],"members":{"environmentTemplate":{"shape":"S1a"}}}},"GetEnvironmentTemplateVersion":{"input":{"type":"structure","required":["majorVersion","minorVersion","templateName"],"members":{"majorVersion":{},"minorVersion":{},"templateName":{}}},"output":{"type":"structure","required":["environmentTemplateVersion"],"members":{"environmentTemplateVersion":{"shape":"S1j"}}}},"GetRepository":{"input":{"type":"structure","required":["name","provider"],"members":{"name":{},"provider":{}}},"output":{"type":"structure","required":["repository"],"members":{"repository":{"shape":"S1p"}}}},"GetRepositorySyncStatus":{"input":{"type":"structure","required":["branch","repositoryName","repositoryProvider","syncType"],"members":{"branch":{},"repositoryName":{},"repositoryProvider":{},"syncType":{}}},"output":{"type":"structure","members":{"latestSync":{"type":"structure","required":["events","startedAt","status"],"members":{"events":{"type":"list","member":{"type":"structure","required":["event","time","type"],"members":{"event":{},"externalId":{},"time":{"type":"timestamp"},"type":{}}}},"startedAt":{"type":"timestamp"},"status":{}}}}}},"GetService":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","members":{"service":{"shape":"S1t"}}}},"GetServiceInstance":{"input":{"type":"structure","required":["name","serviceName"],"members":{"name":{},"serviceName":{}}},"output":{"type":"structure","required":["serviceInstance"],"members":{"serviceInstance":{"shape":"Ss"}}}},"GetServiceTemplate":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","required":["serviceTemplate"],"members":{"serviceTemplate":{"shape":"S1y"}}}},"GetServiceTemplateVersion":{"input":{"type":"structure","required":["majorVersion","minorVersion","templateName"],"members":{"majorVersion":{},"minorVersion":{},"templateName":{}}},"output":{"type":"structure","required":["serviceTemplateVersion"],"members":{"serviceTemplateVersion":{"shape":"S24"}}}},"GetTemplateSyncConfig":{"input":{"type":"structure","required":["templateName","templateType"],"members":{"templateName":{},"templateType":{}}},"output":{"type":"structure","members":{"templateSyncConfig":{"shape":"S2c"}}}},"GetTemplateSyncStatus":{"input":{"type":"structure","required":["templateName","templateType","templateVersion"],"members":{"templateName":{},"templateType":{},"templateVersion":{}}},"output":{"type":"structure","members":{"desiredState":{"shape":"S3t"},"latestSuccessfulSync":{"shape":"S3v"},"latestSync":{"shape":"S3v"}}}},"ListEnvironmentAccountConnections":{"input":{"type":"structure","required":["requestedBy"],"members":{"environmentName":{},"maxResults":{"type":"integer"},"nextToken":{},"requestedBy":{},"statuses":{"type":"list","member":{}}}},"output":{"type":"structure","required":["environmentAccountConnections"],"members":{"environmentAccountConnections":{"type":"list","member":{"type":"structure","required":["arn","environmentAccountId","environmentName","id","lastModifiedAt","managementAccountId","requestedAt","roleArn","status"],"members":{"arn":{},"environmentAccountId":{},"environmentName":{},"id":{},"lastModifiedAt":{"type":"timestamp"},"managementAccountId":{},"requestedAt":{"type":"timestamp"},"roleArn":{},"status":{}}}},"nextToken":{}}}},"ListEnvironmentOutputs":{"input":{"type":"structure","required":["environmentName"],"members":{"environmentName":{},"nextToken":{}}},"output":{"type":"structure","required":["outputs"],"members":{"nextToken":{},"outputs":{"shape":"S4a"}}}},"ListEnvironmentProvisionedResources":{"input":{"type":"structure","required":["environmentName"],"members":{"environmentName":{},"nextToken":{}}},"output":{"type":"structure","required":["provisionedResources"],"members":{"nextToken":{},"provisionedResources":{"shape":"S4g"}}}},"ListEnvironmentTemplateVersions":{"input":{"type":"structure","required":["templateName"],"members":{"majorVersion":{},"maxResults":{"type":"integer"},"nextToken":{},"templateName":{}}},"output":{"type":"structure","required":["templateVersions"],"members":{"nextToken":{},"templateVersions":{"type":"list","member":{"type":"structure","required":["arn","createdAt","lastModifiedAt","majorVersion","minorVersion","status","templateName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"description":{"shape":"Sh"},"lastModifiedAt":{"type":"timestamp"},"majorVersion":{},"minorVersion":{},"recommendedMinorVersion":{},"status":{},"statusMessage":{"shape":"Sg"},"templateName":{}}}}}}},"ListEnvironmentTemplates":{"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["templates"],"members":{"nextToken":{},"templates":{"type":"list","member":{"type":"structure","required":["arn","createdAt","lastModifiedAt","name"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"description":{"shape":"Sh"},"displayName":{"shape":"S18"},"lastModifiedAt":{"type":"timestamp"},"name":{},"provisioning":{},"recommendedVersion":{}}}}}}},"ListEnvironments":{"input":{"type":"structure","members":{"environmentTemplates":{"type":"list","member":{"type":"structure","required":["majorVersion","templateName"],"members":{"majorVersion":{},"templateName":{}}}},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["environments"],"members":{"environments":{"type":"list","member":{"type":"structure","required":["arn","createdAt","deploymentStatus","lastDeploymentAttemptedAt","lastDeploymentSucceededAt","name","templateMajorVersion","templateMinorVersion","templateName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"deploymentStatus":{},"deploymentStatusMessage":{"shape":"Sg"},"description":{"shape":"Sh"},"environmentAccountConnectionId":{},"environmentAccountId":{},"lastDeploymentAttemptedAt":{"type":"timestamp"},"lastDeploymentSucceededAt":{"type":"timestamp"},"name":{},"protonServiceRoleArn":{},"provisioning":{},"templateMajorVersion":{},"templateMinorVersion":{},"templateName":{}}}},"nextToken":{}}}},"ListRepositories":{"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["repositories"],"members":{"nextToken":{},"repositories":{"type":"list","member":{"type":"structure","required":["arn","name","provider"],"members":{"arn":{},"name":{},"provider":{}}}}}}},"ListRepositorySyncDefinitions":{"input":{"type":"structure","required":["repositoryName","repositoryProvider","syncType"],"members":{"nextToken":{},"repositoryName":{},"repositoryProvider":{},"syncType":{}}},"output":{"type":"structure","required":["syncDefinitions"],"members":{"nextToken":{},"syncDefinitions":{"type":"list","member":{"type":"structure","required":["branch","directory","parent","target"],"members":{"branch":{},"directory":{},"parent":{},"target":{}}}}}}},"ListServiceInstanceOutputs":{"input":{"type":"structure","required":["serviceInstanceName","serviceName"],"members":{"nextToken":{},"serviceInstanceName":{},"serviceName":{}}},"output":{"type":"structure","required":["outputs"],"members":{"nextToken":{},"outputs":{"shape":"S4a"}}}},"ListServiceInstanceProvisionedResources":{"input":{"type":"structure","required":["serviceInstanceName","serviceName"],"members":{"nextToken":{},"serviceInstanceName":{},"serviceName":{}}},"output":{"type":"structure","required":["provisionedResources"],"members":{"nextToken":{},"provisionedResources":{"shape":"S4g"}}}},"ListServiceInstances":{"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{},"serviceName":{}}},"output":{"type":"structure","required":["serviceInstances"],"members":{"nextToken":{},"serviceInstances":{"type":"list","member":{"type":"structure","required":["arn","createdAt","deploymentStatus","environmentName","lastDeploymentAttemptedAt","lastDeploymentSucceededAt","name","serviceName","templateMajorVersion","templateMinorVersion","templateName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"deploymentStatus":{},"deploymentStatusMessage":{"shape":"Sg"},"environmentName":{},"lastDeploymentAttemptedAt":{"type":"timestamp"},"lastDeploymentSucceededAt":{"type":"timestamp"},"name":{},"serviceName":{},"templateMajorVersion":{},"templateMinorVersion":{},"templateName":{}}}}}}},"ListServicePipelineOutputs":{"input":{"type":"structure","required":["serviceName"],"members":{"nextToken":{},"serviceName":{}}},"output":{"type":"structure","required":["outputs"],"members":{"nextToken":{},"outputs":{"shape":"S4a"}}}},"ListServicePipelineProvisionedResources":{"input":{"type":"structure","required":["serviceName"],"members":{"nextToken":{},"serviceName":{}}},"output":{"type":"structure","required":["provisionedResources"],"members":{"nextToken":{},"provisionedResources":{"shape":"S4g"}}}},"ListServiceTemplateVersions":{"input":{"type":"structure","required":["templateName"],"members":{"majorVersion":{},"maxResults":{"type":"integer"},"nextToken":{},"templateName":{}}},"output":{"type":"structure","required":["templateVersions"],"members":{"nextToken":{},"templateVersions":{"type":"list","member":{"type":"structure","required":["arn","createdAt","lastModifiedAt","majorVersion","minorVersion","status","templateName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"description":{"shape":"Sh"},"lastModifiedAt":{"type":"timestamp"},"majorVersion":{},"minorVersion":{},"recommendedMinorVersion":{},"status":{},"statusMessage":{"shape":"Sg"},"templateName":{}}}}}}},"ListServiceTemplates":{"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["templates"],"members":{"nextToken":{},"templates":{"type":"list","member":{"type":"structure","required":["arn","createdAt","lastModifiedAt","name"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"description":{"shape":"Sh"},"displayName":{"shape":"S18"},"lastModifiedAt":{"type":"timestamp"},"name":{},"pipelineProvisioning":{},"recommendedVersion":{}}}}}}},"ListServices":{"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["services"],"members":{"nextToken":{},"services":{"type":"list","member":{"type":"structure","required":["arn","createdAt","lastModifiedAt","name","status","templateName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"description":{"shape":"Sh"},"lastModifiedAt":{"type":"timestamp"},"name":{},"status":{},"statusMessage":{"shape":"Sg"},"templateName":{}}}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["resourceArn"],"members":{"maxResults":{"type":"integer"},"nextToken":{},"resourceArn":{}}},"output":{"type":"structure","required":["tags"],"members":{"nextToken":{},"tags":{"shape":"Sz"}}}},"NotifyResourceDeploymentStatusChange":{"input":{"type":"structure","required":["resourceArn","status"],"members":{"deploymentId":{},"outputs":{"type":"list","member":{"shape":"S4b"}},"resourceArn":{},"status":{},"statusMessage":{"type":"string","sensitive":true}}},"output":{"type":"structure","members":{}}},"RejectEnvironmentAccountConnection":{"input":{"type":"structure","required":["id"],"members":{"id":{}}},"output":{"type":"structure","required":["environmentAccountConnection"],"members":{"environmentAccountConnection":{"shape":"S4"}}},"idempotent":true},"TagResource":{"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"Sz"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UntagResource":{"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateAccountSettings":{"input":{"type":"structure","members":{"pipelineProvisioningRepository":{"shape":"Sy"},"pipelineServiceRoleArn":{}}},"output":{"type":"structure","required":["accountSettings"],"members":{"accountSettings":{"shape":"S2x"}}}},"UpdateEnvironment":{"input":{"type":"structure","required":["deploymentType","name"],"members":{"deploymentType":{},"description":{"shape":"Sh"},"environmentAccountConnectionId":{},"name":{},"protonServiceRoleArn":{},"provisioningRepository":{"shape":"Sy"},"spec":{"shape":"So"},"templateMajorVersion":{},"templateMinorVersion":{}}},"output":{"type":"structure","required":["environment"],"members":{"environment":{"shape":"Sd"}}}},"UpdateEnvironmentAccountConnection":{"input":{"type":"structure","required":["id","roleArn"],"members":{"id":{},"roleArn":{}}},"output":{"type":"structure","required":["environmentAccountConnection"],"members":{"environmentAccountConnection":{"shape":"S4"}}},"idempotent":true},"UpdateEnvironmentTemplate":{"input":{"type":"structure","required":["name"],"members":{"description":{"shape":"Sh"},"displayName":{"shape":"S18"},"name":{}}},"output":{"type":"structure","required":["environmentTemplate"],"members":{"environmentTemplate":{"shape":"S1a"}}}},"UpdateEnvironmentTemplateVersion":{"input":{"type":"structure","required":["majorVersion","minorVersion","templateName"],"members":{"description":{"shape":"Sh"},"majorVersion":{},"minorVersion":{},"status":{},"templateName":{}}},"output":{"type":"structure","required":["environmentTemplateVersion"],"members":{"environmentTemplateVersion":{"shape":"S1j"}}}},"UpdateService":{"input":{"type":"structure","required":["name"],"members":{"description":{"shape":"Sh"},"name":{},"spec":{"shape":"So"}}},"output":{"type":"structure","required":["service"],"members":{"service":{"shape":"S1t"}}}},"UpdateServiceInstance":{"input":{"type":"structure","required":["deploymentType","name","serviceName"],"members":{"deploymentType":{},"name":{},"serviceName":{},"spec":{"shape":"So"},"templateMajorVersion":{},"templateMinorVersion":{}}},"output":{"type":"structure","required":["serviceInstance"],"members":{"serviceInstance":{"shape":"Ss"}}}},"UpdateServicePipeline":{"input":{"type":"structure","required":["deploymentType","serviceName","spec"],"members":{"deploymentType":{},"serviceName":{},"spec":{"shape":"So"},"templateMajorVersion":{},"templateMinorVersion":{}}},"output":{"type":"structure","required":["pipeline"],"members":{"pipeline":{"shape":"Sw"}}}},"UpdateServiceTemplate":{"input":{"type":"structure","required":["name"],"members":{"description":{"shape":"Sh"},"displayName":{"shape":"S18"},"name":{}}},"output":{"type":"structure","required":["serviceTemplate"],"members":{"serviceTemplate":{"shape":"S1y"}}}},"UpdateServiceTemplateVersion":{"input":{"type":"structure","required":["majorVersion","minorVersion","templateName"],"members":{"compatibleEnvironmentTemplates":{"shape":"S21"},"description":{"shape":"Sh"},"majorVersion":{},"minorVersion":{},"status":{},"templateName":{}}},"output":{"type":"structure","required":["serviceTemplateVersion"],"members":{"serviceTemplateVersion":{"shape":"S24"}}}},"UpdateTemplateSyncConfig":{"input":{"type":"structure","required":["branch","repositoryName","repositoryProvider","templateName","templateType"],"members":{"branch":{},"repositoryName":{},"repositoryProvider":{},"subdirectory":{},"templateName":{},"templateType":{}}},"output":{"type":"structure","members":{"templateSyncConfig":{"shape":"S2c"}}}}},"shapes":{"S4":{"type":"structure","required":["arn","environmentAccountId","environmentName","id","lastModifiedAt","managementAccountId","requestedAt","roleArn","status"],"members":{"arn":{},"environmentAccountId":{},"environmentName":{},"id":{},"lastModifiedAt":{"type":"timestamp"},"managementAccountId":{},"requestedAt":{"type":"timestamp"},"roleArn":{},"status":{}}},"Sd":{"type":"structure","required":["arn","createdAt","deploymentStatus","lastDeploymentAttemptedAt","lastDeploymentSucceededAt","name","templateMajorVersion","templateMinorVersion","templateName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"deploymentStatus":{},"deploymentStatusMessage":{"shape":"Sg"},"description":{"shape":"Sh"},"environmentAccountConnectionId":{},"environmentAccountId":{},"lastDeploymentAttemptedAt":{"type":"timestamp"},"lastDeploymentSucceededAt":{"type":"timestamp"},"name":{},"protonServiceRoleArn":{},"provisioning":{},"provisioningRepository":{"shape":"Sj"},"spec":{"shape":"So"},"templateMajorVersion":{},"templateMinorVersion":{},"templateName":{}}},"Sg":{"type":"string","sensitive":true},"Sh":{"type":"string","sensitive":true},"Sj":{"type":"structure","required":["arn","branch","name","provider"],"members":{"arn":{},"branch":{},"name":{},"provider":{}}},"So":{"type":"string","sensitive":true},"Ss":{"type":"structure","required":["arn","createdAt","deploymentStatus","environmentName","lastDeploymentAttemptedAt","lastDeploymentSucceededAt","name","serviceName","templateMajorVersion","templateMinorVersion","templateName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"deploymentStatus":{},"deploymentStatusMessage":{"shape":"Sg"},"environmentName":{},"lastDeploymentAttemptedAt":{"type":"timestamp"},"lastDeploymentSucceededAt":{"type":"timestamp"},"name":{},"serviceName":{},"spec":{"shape":"So"},"templateMajorVersion":{},"templateMinorVersion":{},"templateName":{}}},"Sw":{"type":"structure","required":["arn","createdAt","deploymentStatus","lastDeploymentAttemptedAt","lastDeploymentSucceededAt","templateMajorVersion","templateMinorVersion","templateName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"deploymentStatus":{},"deploymentStatusMessage":{"shape":"Sg"},"lastDeploymentAttemptedAt":{"type":"timestamp"},"lastDeploymentSucceededAt":{"type":"timestamp"},"spec":{"shape":"So"},"templateMajorVersion":{},"templateMinorVersion":{},"templateName":{}}},"Sy":{"type":"structure","required":["branch","name","provider"],"members":{"branch":{},"name":{},"provider":{}}},"Sz":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"S18":{"type":"string","sensitive":true},"S1a":{"type":"structure","required":["arn","createdAt","lastModifiedAt","name"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"description":{"shape":"Sh"},"displayName":{"shape":"S18"},"encryptionKey":{},"lastModifiedAt":{"type":"timestamp"},"name":{},"provisioning":{},"recommendedVersion":{}}},"S1e":{"type":"structure","members":{"s3":{"type":"structure","required":["bucket","key"],"members":{"bucket":{},"key":{}}}},"union":true},"S1j":{"type":"structure","required":["arn","createdAt","lastModifiedAt","majorVersion","minorVersion","status","templateName"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"description":{"shape":"Sh"},"lastModifiedAt":{"type":"timestamp"},"majorVersion":{},"minorVersion":{},"recommendedMinorVersion":{},"schema":{"shape":"S1l"},"status":{},"statusMessage":{"shape":"Sg"},"templateName":{}}},"S1l":{"type":"string","sensitive":true},"S1p":{"type":"structure","required":["arn","connectionArn","name","provider"],"members":{"arn":{},"connectionArn":{},"encryptionKey":{},"name":{},"provider":{}}},"S1t":{"type":"structure","required":["arn","createdAt","lastModifiedAt","name","spec","status","templateName"],"members":{"arn":{},"branchName":{},"createdAt":{"type":"timestamp"},"description":{"shape":"Sh"},"lastModifiedAt":{"type":"timestamp"},"name":{},"pipeline":{"shape":"Sw"},"repositoryConnectionArn":{},"repositoryId":{},"spec":{"shape":"So"},"status":{},"statusMessage":{"shape":"Sg"},"templateName":{}}},"S1y":{"type":"structure","required":["arn","createdAt","lastModifiedAt","name"],"members":{"arn":{},"createdAt":{"type":"timestamp"},"description":{"shape":"Sh"},"displayName":{"shape":"S18"},"encryptionKey":{},"lastModifiedAt":{"type":"timestamp"},"name":{},"pipelineProvisioning":{},"recommendedVersion":{}}},"S21":{"type":"list","member":{"type":"structure","required":["majorVersion","templateName"],"members":{"majorVersion":{},"templateName":{}}}},"S24":{"type":"structure","required":["arn","compatibleEnvironmentTemplates","createdAt","lastModifiedAt","majorVersion","minorVersion","status","templateName"],"members":{"arn":{},"compatibleEnvironmentTemplates":{"type":"list","member":{"type":"structure","required":["majorVersion","templateName"],"members":{"majorVersion":{},"templateName":{}}}},"createdAt":{"type":"timestamp"},"description":{"shape":"Sh"},"lastModifiedAt":{"type":"timestamp"},"majorVersion":{},"minorVersion":{},"recommendedMinorVersion":{},"schema":{"shape":"S1l"},"status":{},"statusMessage":{"shape":"Sg"},"templateName":{}}},"S2c":{"type":"structure","required":["branch","repositoryName","repositoryProvider","templateName","templateType"],"members":{"branch":{},"repositoryName":{},"repositoryProvider":{},"subdirectory":{},"templateName":{},"templateType":{}}},"S2x":{"type":"structure","members":{"pipelineProvisioningRepository":{"shape":"Sj"},"pipelineServiceRoleArn":{}}},"S3t":{"type":"structure","required":["branch","directory","repositoryName","repositoryProvider","sha"],"members":{"branch":{},"directory":{},"repositoryName":{},"repositoryProvider":{},"sha":{}}},"S3v":{"type":"structure","required":["events","initialRevision","startedAt","status","target","targetRevision"],"members":{"events":{"type":"list","member":{"type":"structure","required":["event","time","type"],"members":{"event":{},"externalId":{},"time":{"type":"timestamp"},"type":{}}}},"initialRevision":{"shape":"S3t"},"startedAt":{"type":"timestamp"},"status":{},"target":{},"targetRevision":{"shape":"S3t"}}},"S4a":{"type":"list","member":{"shape":"S4b"}},"S4b":{"type":"structure","members":{"key":{},"valueString":{}},"sensitive":true},"S4g":{"type":"list","member":{"type":"structure","members":{"identifier":{},"name":{},"provisioningEngine":{}}}}}}');

/***/ }),

/***/ 14299:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListEnvironmentAccountConnections":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"environmentAccountConnections"},"ListEnvironmentOutputs":{"input_token":"nextToken","output_token":"nextToken","result_key":"outputs"},"ListEnvironmentProvisionedResources":{"input_token":"nextToken","output_token":"nextToken","result_key":"provisionedResources"},"ListEnvironmentTemplateVersions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"templateVersions"},"ListEnvironmentTemplates":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"templates"},"ListEnvironments":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"environments"},"ListRepositories":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"repositories"},"ListRepositorySyncDefinitions":{"input_token":"nextToken","output_token":"nextToken","result_key":"syncDefinitions"},"ListServiceInstanceOutputs":{"input_token":"nextToken","output_token":"nextToken","result_key":"outputs"},"ListServiceInstanceProvisionedResources":{"input_token":"nextToken","output_token":"nextToken","result_key":"provisionedResources"},"ListServiceInstances":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"serviceInstances"},"ListServicePipelineOutputs":{"input_token":"nextToken","output_token":"nextToken","result_key":"outputs"},"ListServicePipelineProvisionedResources":{"input_token":"nextToken","output_token":"nextToken","result_key":"provisionedResources"},"ListServiceTemplateVersions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"templateVersions"},"ListServiceTemplates":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"templates"},"ListServices":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"services"},"ListTagsForResource":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"tags"}}}');

/***/ }),

/***/ 99338:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"EnvironmentDeployed":{"description":"Wait until an Environment is deployed. Use this after invoking CreateEnvironment or UpdateEnvironment","delay":5,"maxAttempts":999,"operation":"GetEnvironment","acceptors":[{"matcher":"path","argument":"environment.deploymentStatus","state":"success","expected":"SUCCEEDED"},{"matcher":"path","argument":"environment.deploymentStatus","state":"failure","expected":"FAILED"}]},"EnvironmentTemplateVersionRegistered":{"description":"Wait until an EnvironmentTemplateVersion is registered. Use this after invoking CreateEnvironmentTemplateVersion","delay":2,"maxAttempts":150,"operation":"GetEnvironmentTemplateVersion","acceptors":[{"matcher":"path","argument":"environmentTemplateVersion.status","state":"success","expected":"DRAFT"},{"matcher":"path","argument":"environmentTemplateVersion.status","state":"success","expected":"PUBLISHED"},{"matcher":"path","argument":"environmentTemplateVersion.status","state":"failure","expected":"REGISTRATION_FAILED"}]},"ServiceCreated":{"description":"Wait until an Service has deployed its instances and possibly pipeline. Use this after invoking CreateService","delay":5,"maxAttempts":999,"operation":"GetService","acceptors":[{"matcher":"path","argument":"service.status","state":"success","expected":"ACTIVE"},{"matcher":"path","argument":"service.status","state":"failure","expected":"CREATE_FAILED_CLEANUP_COMPLETE"},{"matcher":"path","argument":"service.status","state":"failure","expected":"CREATE_FAILED_CLEANUP_FAILED"},{"matcher":"path","argument":"service.status","state":"failure","expected":"CREATE_FAILED"}]},"ServiceDeleted":{"description":"Wait until a Service, its instances, and possibly pipeline have been deleted after DeleteService is invoked","delay":5,"maxAttempts":999,"operation":"GetService","acceptors":[{"matcher":"error","state":"success","expected":"ResourceNotFoundException"},{"matcher":"path","argument":"service.status","state":"failure","expected":"DELETE_FAILED"}]},"ServiceInstanceDeployed":{"description":"Wait until a ServiceInstance is deployed. Use this after invoking CreateService or UpdateServiceInstance","delay":5,"maxAttempts":999,"operation":"GetServiceInstance","acceptors":[{"matcher":"path","argument":"serviceInstance.deploymentStatus","state":"success","expected":"SUCCEEDED"},{"matcher":"path","argument":"serviceInstance.deploymentStatus","state":"failure","expected":"FAILED"}]},"ServicePipelineDeployed":{"description":"Wait until an ServicePipeline is deployed. Use this after invoking CreateService or UpdateServicePipeline","delay":10,"maxAttempts":360,"operation":"GetService","acceptors":[{"matcher":"path","argument":"service.pipeline.deploymentStatus","state":"success","expected":"SUCCEEDED"},{"matcher":"path","argument":"service.pipeline.deploymentStatus","state":"failure","expected":"FAILED"}]},"ServiceTemplateVersionRegistered":{"description":"Wait until a ServiceTemplateVersion is registered. Use this after invoking CreateServiceTemplateVersion","delay":2,"maxAttempts":150,"operation":"GetServiceTemplateVersion","acceptors":[{"matcher":"path","argument":"serviceTemplateVersion.status","state":"success","expected":"DRAFT"},{"matcher":"path","argument":"serviceTemplateVersion.status","state":"success","expected":"PUBLISHED"},{"matcher":"path","argument":"serviceTemplateVersion.status","state":"failure","expected":"REGISTRATION_FAILED"}]},"ServiceUpdated":{"description":"Wait until a Service, its instances, and possibly pipeline have been deployed after UpdateService is invoked","delay":5,"maxAttempts":999,"operation":"GetService","acceptors":[{"matcher":"path","argument":"service.status","state":"success","expected":"ACTIVE"},{"matcher":"path","argument":"service.status","state":"failure","expected":"UPDATE_FAILED_CLEANUP_COMPLETE"},{"matcher":"path","argument":"service.status","state":"failure","expected":"UPDATE_FAILED_CLEANUP_FAILED"},{"matcher":"path","argument":"service.status","state":"failure","expected":"UPDATE_FAILED"},{"matcher":"path","argument":"service.status","state":"failure","expected":"UPDATE_COMPLETE_CLEANUP_FAILED"}]}}}');

/***/ }),

/***/ 71346:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-01-02","endpointPrefix":"qldb","jsonVersion":"1.0","protocol":"rest-json","serviceAbbreviation":"QLDB","serviceFullName":"Amazon QLDB","serviceId":"QLDB","signatureVersion":"v4","signingName":"qldb","uid":"qldb-2019-01-02"},"operations":{"CancelJournalKinesisStream":{"http":{"method":"DELETE","requestUri":"/ledgers/{name}/journal-kinesis-streams/{streamId}"},"input":{"type":"structure","required":["LedgerName","StreamId"],"members":{"LedgerName":{"location":"uri","locationName":"name"},"StreamId":{"location":"uri","locationName":"streamId"}}},"output":{"type":"structure","members":{"StreamId":{}}}},"CreateLedger":{"http":{"requestUri":"/ledgers"},"input":{"type":"structure","required":["Name","PermissionsMode"],"members":{"Name":{},"Tags":{"shape":"S6"},"PermissionsMode":{},"DeletionProtection":{"type":"boolean"},"KmsKey":{}}},"output":{"type":"structure","members":{"Name":{},"Arn":{},"State":{},"CreationDateTime":{"type":"timestamp"},"PermissionsMode":{},"DeletionProtection":{"type":"boolean"},"KmsKeyArn":{}}}},"DeleteLedger":{"http":{"method":"DELETE","requestUri":"/ledgers/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}}},"DescribeJournalKinesisStream":{"http":{"method":"GET","requestUri":"/ledgers/{name}/journal-kinesis-streams/{streamId}"},"input":{"type":"structure","required":["LedgerName","StreamId"],"members":{"LedgerName":{"location":"uri","locationName":"name"},"StreamId":{"location":"uri","locationName":"streamId"}}},"output":{"type":"structure","members":{"Stream":{"shape":"Sj"}}}},"DescribeJournalS3Export":{"http":{"method":"GET","requestUri":"/ledgers/{name}/journal-s3-exports/{exportId}"},"input":{"type":"structure","required":["Name","ExportId"],"members":{"Name":{"location":"uri","locationName":"name"},"ExportId":{"location":"uri","locationName":"exportId"}}},"output":{"type":"structure","required":["ExportDescription"],"members":{"ExportDescription":{"shape":"Sr"}}}},"DescribeLedger":{"http":{"method":"GET","requestUri":"/ledgers/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"Name":{},"Arn":{},"State":{},"CreationDateTime":{"type":"timestamp"},"PermissionsMode":{},"DeletionProtection":{"type":"boolean"},"EncryptionDescription":{"shape":"S10"}}}},"ExportJournalToS3":{"http":{"requestUri":"/ledgers/{name}/journal-s3-exports"},"input":{"type":"structure","required":["Name","InclusiveStartTime","ExclusiveEndTime","S3ExportConfiguration","RoleArn"],"members":{"Name":{"location":"uri","locationName":"name"},"InclusiveStartTime":{"type":"timestamp"},"ExclusiveEndTime":{"type":"timestamp"},"S3ExportConfiguration":{"shape":"St"},"RoleArn":{}}},"output":{"type":"structure","required":["ExportId"],"members":{"ExportId":{}}}},"GetBlock":{"http":{"requestUri":"/ledgers/{name}/block"},"input":{"type":"structure","required":["Name","BlockAddress"],"members":{"Name":{"location":"uri","locationName":"name"},"BlockAddress":{"shape":"S15"},"DigestTipAddress":{"shape":"S15"}}},"output":{"type":"structure","required":["Block"],"members":{"Block":{"shape":"S15"},"Proof":{"shape":"S15"}}}},"GetDigest":{"http":{"requestUri":"/ledgers/{name}/digest"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["Digest","DigestTipAddress"],"members":{"Digest":{"type":"blob"},"DigestTipAddress":{"shape":"S15"}}}},"GetRevision":{"http":{"requestUri":"/ledgers/{name}/revision"},"input":{"type":"structure","required":["Name","BlockAddress","DocumentId"],"members":{"Name":{"location":"uri","locationName":"name"},"BlockAddress":{"shape":"S15"},"DocumentId":{},"DigestTipAddress":{"shape":"S15"}}},"output":{"type":"structure","required":["Revision"],"members":{"Proof":{"shape":"S15"},"Revision":{"shape":"S15"}}}},"ListJournalKinesisStreamsForLedger":{"http":{"method":"GET","requestUri":"/ledgers/{name}/journal-kinesis-streams"},"input":{"type":"structure","required":["LedgerName"],"members":{"LedgerName":{"location":"uri","locationName":"name"},"MaxResults":{"location":"querystring","locationName":"max_results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next_token"}}},"output":{"type":"structure","members":{"Streams":{"type":"list","member":{"shape":"Sj"}},"NextToken":{}}}},"ListJournalS3Exports":{"http":{"method":"GET","requestUri":"/journal-s3-exports"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"max_results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next_token"}}},"output":{"type":"structure","members":{"JournalS3Exports":{"shape":"S1k"},"NextToken":{}}}},"ListJournalS3ExportsForLedger":{"http":{"method":"GET","requestUri":"/ledgers/{name}/journal-s3-exports"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"},"MaxResults":{"location":"querystring","locationName":"max_results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next_token"}}},"output":{"type":"structure","members":{"JournalS3Exports":{"shape":"S1k"},"NextToken":{}}}},"ListLedgers":{"http":{"method":"GET","requestUri":"/ledgers"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"max_results","type":"integer"},"NextToken":{"location":"querystring","locationName":"next_token"}}},"output":{"type":"structure","members":{"Ledgers":{"type":"list","member":{"type":"structure","members":{"Name":{},"State":{},"CreationDateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S6"}}}},"StreamJournalToKinesis":{"http":{"requestUri":"/ledgers/{name}/journal-kinesis-streams"},"input":{"type":"structure","required":["LedgerName","RoleArn","InclusiveStartTime","KinesisConfiguration","StreamName"],"members":{"LedgerName":{"location":"uri","locationName":"name"},"RoleArn":{},"Tags":{"shape":"S6"},"InclusiveStartTime":{"type":"timestamp"},"ExclusiveEndTime":{"type":"timestamp"},"KinesisConfiguration":{"shape":"Sl"},"StreamName":{}}},"output":{"type":"structure","members":{"StreamId":{}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"S6"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateLedger":{"http":{"method":"PATCH","requestUri":"/ledgers/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"},"DeletionProtection":{"type":"boolean"},"KmsKey":{}}},"output":{"type":"structure","members":{"Name":{},"Arn":{},"State":{},"CreationDateTime":{"type":"timestamp"},"DeletionProtection":{"type":"boolean"},"EncryptionDescription":{"shape":"S10"}}}},"UpdateLedgerPermissionsMode":{"http":{"method":"PATCH","requestUri":"/ledgers/{name}/permissions-mode"},"input":{"type":"structure","required":["Name","PermissionsMode"],"members":{"Name":{"location":"uri","locationName":"name"},"PermissionsMode":{}}},"output":{"type":"structure","members":{"Name":{},"Arn":{},"PermissionsMode":{}}}}},"shapes":{"S6":{"type":"map","key":{},"value":{}},"Sj":{"type":"structure","required":["LedgerName","RoleArn","StreamId","Status","KinesisConfiguration","StreamName"],"members":{"LedgerName":{},"CreationTime":{"type":"timestamp"},"InclusiveStartTime":{"type":"timestamp"},"ExclusiveEndTime":{"type":"timestamp"},"RoleArn":{},"StreamId":{},"Arn":{},"Status":{},"KinesisConfiguration":{"shape":"Sl"},"ErrorCause":{},"StreamName":{}}},"Sl":{"type":"structure","required":["StreamArn"],"members":{"StreamArn":{},"AggregationEnabled":{"type":"boolean"}}},"Sr":{"type":"structure","required":["LedgerName","ExportId","ExportCreationTime","Status","InclusiveStartTime","ExclusiveEndTime","S3ExportConfiguration","RoleArn"],"members":{"LedgerName":{},"ExportId":{},"ExportCreationTime":{"type":"timestamp"},"Status":{},"InclusiveStartTime":{"type":"timestamp"},"ExclusiveEndTime":{"type":"timestamp"},"S3ExportConfiguration":{"shape":"St"},"RoleArn":{}}},"St":{"type":"structure","required":["Bucket","Prefix","EncryptionConfiguration"],"members":{"Bucket":{},"Prefix":{},"EncryptionConfiguration":{"type":"structure","required":["ObjectEncryptionType"],"members":{"ObjectEncryptionType":{},"KmsKeyArn":{}}}}},"S10":{"type":"structure","required":["KmsKeyArn","EncryptionStatus"],"members":{"KmsKeyArn":{},"EncryptionStatus":{},"InaccessibleKmsKeyDateTime":{"type":"timestamp"}}},"S15":{"type":"structure","members":{"IonText":{"type":"string","sensitive":true}},"sensitive":true},"S1k":{"type":"list","member":{"shape":"Sr"}}}}');

/***/ }),

/***/ 34265:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListJournalKinesisStreamsForLedger":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListJournalS3Exports":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListJournalS3ExportsForLedger":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListLedgers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 60040:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-07-11","endpointPrefix":"session.qldb","jsonVersion":"1.0","protocol":"json","serviceAbbreviation":"QLDB Session","serviceFullName":"Amazon QLDB Session","serviceId":"QLDB Session","signatureVersion":"v4","signingName":"qldb","targetPrefix":"QLDBSession","uid":"qldb-session-2019-07-11"},"operations":{"SendCommand":{"input":{"type":"structure","members":{"SessionToken":{},"StartSession":{"type":"structure","required":["LedgerName"],"members":{"LedgerName":{}}},"StartTransaction":{"type":"structure","members":{}},"EndSession":{"type":"structure","members":{}},"CommitTransaction":{"type":"structure","required":["TransactionId","CommitDigest"],"members":{"TransactionId":{},"CommitDigest":{"type":"blob"}}},"AbortTransaction":{"type":"structure","members":{}},"ExecuteStatement":{"type":"structure","required":["TransactionId","Statement"],"members":{"TransactionId":{},"Statement":{},"Parameters":{"type":"list","member":{"shape":"Se"}}}},"FetchPage":{"type":"structure","required":["TransactionId","NextPageToken"],"members":{"TransactionId":{},"NextPageToken":{}}}}},"output":{"type":"structure","members":{"StartSession":{"type":"structure","members":{"SessionToken":{},"TimingInformation":{"shape":"Sl"}}},"StartTransaction":{"type":"structure","members":{"TransactionId":{},"TimingInformation":{"shape":"Sl"}}},"EndSession":{"type":"structure","members":{"TimingInformation":{"shape":"Sl"}}},"CommitTransaction":{"type":"structure","members":{"TransactionId":{},"CommitDigest":{"type":"blob"},"TimingInformation":{"shape":"Sl"},"ConsumedIOs":{"shape":"Sq"}}},"AbortTransaction":{"type":"structure","members":{"TimingInformation":{"shape":"Sl"}}},"ExecuteStatement":{"type":"structure","members":{"FirstPage":{"shape":"Sv"},"TimingInformation":{"shape":"Sl"},"ConsumedIOs":{"shape":"Sq"}}},"FetchPage":{"type":"structure","members":{"Page":{"shape":"Sv"},"TimingInformation":{"shape":"Sl"},"ConsumedIOs":{"shape":"Sq"}}}}}}},"shapes":{"Se":{"type":"structure","members":{"IonBinary":{"type":"blob"},"IonText":{}}},"Sl":{"type":"structure","members":{"ProcessingTimeMilliseconds":{"type":"long"}}},"Sq":{"type":"structure","members":{"ReadIOs":{"type":"long"},"WriteIOs":{"type":"long"}}},"Sv":{"type":"structure","members":{"Values":{"type":"list","member":{"shape":"Se"}},"NextPageToken":{}}}}}');

/***/ }),

/***/ 61051:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 8419:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-04-01","endpointPrefix":"quicksight","jsonVersion":"1.0","protocol":"rest-json","serviceFullName":"Amazon QuickSight","serviceId":"QuickSight","signatureVersion":"v4","uid":"quicksight-2018-04-01"},"operations":{"CancelIngestion":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/data-sets/{DataSetId}/ingestions/{IngestionId}"},"input":{"type":"structure","required":["AwsAccountId","DataSetId","IngestionId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSetId":{"location":"uri","locationName":"DataSetId"},"IngestionId":{"location":"uri","locationName":"IngestionId"}}},"output":{"type":"structure","members":{"Arn":{},"IngestionId":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"CreateAccountCustomization":{"http":{"requestUri":"/accounts/{AwsAccountId}/customizations"},"input":{"type":"structure","required":["AwsAccountId","AccountCustomization"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"querystring","locationName":"namespace"},"AccountCustomization":{"shape":"Sa"},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Arn":{},"AwsAccountId":{},"Namespace":{},"AccountCustomization":{"shape":"Sa"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"CreateAnalysis":{"http":{"requestUri":"/accounts/{AwsAccountId}/analyses/{AnalysisId}"},"input":{"type":"structure","required":["AwsAccountId","AnalysisId","Name","SourceEntity"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"AnalysisId":{"location":"uri","locationName":"AnalysisId"},"Name":{},"Parameters":{"shape":"Sj"},"Permissions":{"shape":"S10"},"SourceEntity":{"shape":"S14"},"ThemeArn":{},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Arn":{},"AnalysisId":{},"CreationStatus":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"CreateDashboard":{"http":{"requestUri":"/accounts/{AwsAccountId}/dashboards/{DashboardId}"},"input":{"type":"structure","required":["AwsAccountId","DashboardId","Name","SourceEntity"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DashboardId":{"location":"uri","locationName":"DashboardId"},"Name":{},"Parameters":{"shape":"Sj"},"Permissions":{"shape":"S10"},"SourceEntity":{"shape":"S1c"},"Tags":{"shape":"Sb"},"VersionDescription":{},"DashboardPublishOptions":{"shape":"S1f"},"ThemeArn":{}}},"output":{"type":"structure","members":{"Arn":{},"VersionArn":{},"DashboardId":{},"CreationStatus":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"CreateDataSet":{"http":{"requestUri":"/accounts/{AwsAccountId}/data-sets"},"input":{"type":"structure","required":["AwsAccountId","DataSetId","Name","PhysicalTableMap","ImportMode"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSetId":{},"Name":{},"PhysicalTableMap":{"shape":"S1p"},"LogicalTableMap":{"shape":"S2a"},"ImportMode":{},"ColumnGroups":{"shape":"S37"},"FieldFolders":{"shape":"S3d"},"Permissions":{"shape":"S10"},"RowLevelPermissionDataSet":{"shape":"S3i"},"RowLevelPermissionTagConfiguration":{"shape":"S3m"},"ColumnLevelPermissionRules":{"shape":"S3s"},"Tags":{"shape":"Sb"},"DataSetUsageConfiguration":{"shape":"S3w"}}},"output":{"type":"structure","members":{"Arn":{},"DataSetId":{},"IngestionArn":{},"IngestionId":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"CreateDataSource":{"http":{"requestUri":"/accounts/{AwsAccountId}/data-sources"},"input":{"type":"structure","required":["AwsAccountId","DataSourceId","Name","Type"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSourceId":{},"Name":{},"Type":{},"DataSourceParameters":{"shape":"S40"},"Credentials":{"shape":"S53"},"Permissions":{"shape":"S10"},"VpcConnectionProperties":{"shape":"S59"},"SslProperties":{"shape":"S5a"},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Arn":{},"DataSourceId":{},"CreationStatus":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"CreateFolder":{"http":{"requestUri":"/accounts/{AwsAccountId}/folders/{FolderId}"},"input":{"type":"structure","required":["AwsAccountId","FolderId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"FolderId":{"location":"uri","locationName":"FolderId"},"Name":{},"FolderType":{},"ParentFolderArn":{},"Permissions":{"shape":"S10"},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"Arn":{},"FolderId":{},"RequestId":{}}}},"CreateFolderMembership":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/folders/{FolderId}/members/{MemberType}/{MemberId}"},"input":{"type":"structure","required":["AwsAccountId","FolderId","MemberId","MemberType"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"FolderId":{"location":"uri","locationName":"FolderId"},"MemberId":{"location":"uri","locationName":"MemberId"},"MemberType":{"location":"uri","locationName":"MemberType"}}},"output":{"type":"structure","members":{"Status":{"type":"integer"},"FolderMember":{"type":"structure","members":{"MemberId":{},"MemberType":{}}},"RequestId":{}}}},"CreateGroup":{"http":{"requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/groups"},"input":{"type":"structure","required":["GroupName","AwsAccountId","Namespace"],"members":{"GroupName":{},"Description":{},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"Group":{"shape":"S5o"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"CreateGroupMembership":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}/members/{MemberName}"},"input":{"type":"structure","required":["MemberName","GroupName","AwsAccountId","Namespace"],"members":{"MemberName":{"location":"uri","locationName":"MemberName"},"GroupName":{"location":"uri","locationName":"GroupName"},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"GroupMember":{"shape":"S5s"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"CreateIAMPolicyAssignment":{"http":{"requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/iam-policy-assignments/"},"input":{"type":"structure","required":["AwsAccountId","AssignmentName","AssignmentStatus","Namespace"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"AssignmentName":{},"AssignmentStatus":{},"PolicyArn":{},"Identities":{"shape":"S5w"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"AssignmentName":{},"AssignmentId":{},"AssignmentStatus":{},"PolicyArn":{},"Identities":{"shape":"S5w"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"CreateIngestion":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/data-sets/{DataSetId}/ingestions/{IngestionId}"},"input":{"type":"structure","required":["DataSetId","IngestionId","AwsAccountId"],"members":{"DataSetId":{"location":"uri","locationName":"DataSetId"},"IngestionId":{"location":"uri","locationName":"IngestionId"},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"IngestionType":{}}},"output":{"type":"structure","members":{"Arn":{},"IngestionId":{},"IngestionStatus":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"CreateNamespace":{"http":{"requestUri":"/accounts/{AwsAccountId}"},"input":{"type":"structure","required":["AwsAccountId","Namespace","IdentityStore"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{},"IdentityStore":{},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Arn":{},"Name":{},"CapacityRegion":{},"CreationStatus":{},"IdentityStore":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"CreateTemplate":{"http":{"requestUri":"/accounts/{AwsAccountId}/templates/{TemplateId}"},"input":{"type":"structure","required":["AwsAccountId","TemplateId","SourceEntity"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"TemplateId":{"location":"uri","locationName":"TemplateId"},"Name":{},"Permissions":{"shape":"S10"},"SourceEntity":{"shape":"S6a"},"Tags":{"shape":"Sb"},"VersionDescription":{}}},"output":{"type":"structure","members":{"Arn":{},"VersionArn":{},"TemplateId":{},"CreationStatus":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"CreateTemplateAlias":{"http":{"requestUri":"/accounts/{AwsAccountId}/templates/{TemplateId}/aliases/{AliasName}"},"input":{"type":"structure","required":["AwsAccountId","TemplateId","AliasName","TemplateVersionNumber"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"TemplateId":{"location":"uri","locationName":"TemplateId"},"AliasName":{"location":"uri","locationName":"AliasName"},"TemplateVersionNumber":{"type":"long"}}},"output":{"type":"structure","members":{"TemplateAlias":{"shape":"S6i"},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"CreateTheme":{"http":{"requestUri":"/accounts/{AwsAccountId}/themes/{ThemeId}"},"input":{"type":"structure","required":["AwsAccountId","ThemeId","Name","BaseThemeId","Configuration"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"ThemeId":{"location":"uri","locationName":"ThemeId"},"Name":{},"BaseThemeId":{},"VersionDescription":{},"Configuration":{"shape":"S6l"},"Permissions":{"shape":"S10"},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Arn":{},"VersionArn":{},"ThemeId":{},"CreationStatus":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"CreateThemeAlias":{"http":{"requestUri":"/accounts/{AwsAccountId}/themes/{ThemeId}/aliases/{AliasName}"},"input":{"type":"structure","required":["AwsAccountId","ThemeId","AliasName","ThemeVersionNumber"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"ThemeId":{"location":"uri","locationName":"ThemeId"},"AliasName":{"location":"uri","locationName":"AliasName"},"ThemeVersionNumber":{"type":"long"}}},"output":{"type":"structure","members":{"ThemeAlias":{"shape":"S70"},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"DeleteAccountCustomization":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/customizations"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"querystring","locationName":"namespace"}}},"output":{"type":"structure","members":{"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DeleteAnalysis":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/analyses/{AnalysisId}"},"input":{"type":"structure","required":["AwsAccountId","AnalysisId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"AnalysisId":{"location":"uri","locationName":"AnalysisId"},"RecoveryWindowInDays":{"location":"querystring","locationName":"recovery-window-in-days","type":"long"},"ForceDeleteWithoutRecovery":{"location":"querystring","locationName":"force-delete-without-recovery","type":"boolean"}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"Arn":{},"AnalysisId":{},"DeletionTime":{"type":"timestamp"},"RequestId":{}}}},"DeleteDashboard":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/dashboards/{DashboardId}"},"input":{"type":"structure","required":["AwsAccountId","DashboardId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DashboardId":{"location":"uri","locationName":"DashboardId"},"VersionNumber":{"location":"querystring","locationName":"version-number","type":"long"}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"Arn":{},"DashboardId":{},"RequestId":{}}}},"DeleteDataSet":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/data-sets/{DataSetId}"},"input":{"type":"structure","required":["AwsAccountId","DataSetId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSetId":{"location":"uri","locationName":"DataSetId"}}},"output":{"type":"structure","members":{"Arn":{},"DataSetId":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DeleteDataSource":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/data-sources/{DataSourceId}"},"input":{"type":"structure","required":["AwsAccountId","DataSourceId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSourceId":{"location":"uri","locationName":"DataSourceId"}}},"output":{"type":"structure","members":{"Arn":{},"DataSourceId":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DeleteFolder":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/folders/{FolderId}"},"input":{"type":"structure","required":["AwsAccountId","FolderId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"FolderId":{"location":"uri","locationName":"FolderId"}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"Arn":{},"FolderId":{},"RequestId":{}}}},"DeleteFolderMembership":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/folders/{FolderId}/members/{MemberType}/{MemberId}"},"input":{"type":"structure","required":["AwsAccountId","FolderId","MemberId","MemberType"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"FolderId":{"location":"uri","locationName":"FolderId"},"MemberId":{"location":"uri","locationName":"MemberId"},"MemberType":{"location":"uri","locationName":"MemberType"}}},"output":{"type":"structure","members":{"Status":{"type":"integer"},"RequestId":{}}}},"DeleteGroup":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}"},"input":{"type":"structure","required":["GroupName","AwsAccountId","Namespace"],"members":{"GroupName":{"location":"uri","locationName":"GroupName"},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DeleteGroupMembership":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}/members/{MemberName}"},"input":{"type":"structure","required":["MemberName","GroupName","AwsAccountId","Namespace"],"members":{"MemberName":{"location":"uri","locationName":"MemberName"},"GroupName":{"location":"uri","locationName":"GroupName"},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DeleteIAMPolicyAssignment":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/namespace/{Namespace}/iam-policy-assignments/{AssignmentName}"},"input":{"type":"structure","required":["AwsAccountId","AssignmentName","Namespace"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"AssignmentName":{"location":"uri","locationName":"AssignmentName"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"AssignmentName":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DeleteNamespace":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}"},"input":{"type":"structure","required":["AwsAccountId","Namespace"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DeleteTemplate":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/templates/{TemplateId}"},"input":{"type":"structure","required":["AwsAccountId","TemplateId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"TemplateId":{"location":"uri","locationName":"TemplateId"},"VersionNumber":{"location":"querystring","locationName":"version-number","type":"long"}}},"output":{"type":"structure","members":{"RequestId":{},"Arn":{},"TemplateId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DeleteTemplateAlias":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/templates/{TemplateId}/aliases/{AliasName}"},"input":{"type":"structure","required":["AwsAccountId","TemplateId","AliasName"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"TemplateId":{"location":"uri","locationName":"TemplateId"},"AliasName":{"location":"uri","locationName":"AliasName"}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"TemplateId":{},"AliasName":{},"Arn":{},"RequestId":{}}}},"DeleteTheme":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/themes/{ThemeId}"},"input":{"type":"structure","required":["AwsAccountId","ThemeId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"ThemeId":{"location":"uri","locationName":"ThemeId"},"VersionNumber":{"location":"querystring","locationName":"version-number","type":"long"}}},"output":{"type":"structure","members":{"Arn":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"},"ThemeId":{}}}},"DeleteThemeAlias":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/themes/{ThemeId}/aliases/{AliasName}"},"input":{"type":"structure","required":["AwsAccountId","ThemeId","AliasName"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"ThemeId":{"location":"uri","locationName":"ThemeId"},"AliasName":{"location":"uri","locationName":"AliasName"}}},"output":{"type":"structure","members":{"AliasName":{},"Arn":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"},"ThemeId":{}}}},"DeleteUser":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/users/{UserName}"},"input":{"type":"structure","required":["UserName","AwsAccountId","Namespace"],"members":{"UserName":{"location":"uri","locationName":"UserName"},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DeleteUserByPrincipalId":{"http":{"method":"DELETE","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/user-principals/{PrincipalId}"},"input":{"type":"structure","required":["PrincipalId","AwsAccountId","Namespace"],"members":{"PrincipalId":{"location":"uri","locationName":"PrincipalId"},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeAccountCustomization":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/customizations"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"querystring","locationName":"namespace"},"Resolved":{"location":"querystring","locationName":"resolved","type":"boolean"}}},"output":{"type":"structure","members":{"Arn":{},"AwsAccountId":{},"Namespace":{},"AccountCustomization":{"shape":"Sa"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeAccountSettings":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/settings"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"}}},"output":{"type":"structure","members":{"AccountSettings":{"type":"structure","members":{"AccountName":{},"Edition":{},"DefaultNamespace":{},"NotificationEmail":{}}},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeAnalysis":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/analyses/{AnalysisId}"},"input":{"type":"structure","required":["AwsAccountId","AnalysisId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"AnalysisId":{"location":"uri","locationName":"AnalysisId"}}},"output":{"type":"structure","members":{"Analysis":{"type":"structure","members":{"AnalysisId":{},"Arn":{},"Name":{},"Status":{},"Errors":{"type":"list","member":{"type":"structure","members":{"Type":{},"Message":{}}}},"DataSetArns":{"shape":"S8d"},"ThemeArn":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"Sheets":{"shape":"S8e"}}},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"DescribeAnalysisPermissions":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/analyses/{AnalysisId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","AnalysisId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"AnalysisId":{"location":"uri","locationName":"AnalysisId"}}},"output":{"type":"structure","members":{"AnalysisId":{},"AnalysisArn":{},"Permissions":{"shape":"S10"},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"DescribeDashboard":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/dashboards/{DashboardId}"},"input":{"type":"structure","required":["AwsAccountId","DashboardId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DashboardId":{"location":"uri","locationName":"DashboardId"},"VersionNumber":{"location":"querystring","locationName":"version-number","type":"long"},"AliasName":{"location":"querystring","locationName":"alias-name"}}},"output":{"type":"structure","members":{"Dashboard":{"type":"structure","members":{"DashboardId":{},"Arn":{},"Name":{},"Version":{"type":"structure","members":{"CreatedTime":{"type":"timestamp"},"Errors":{"type":"list","member":{"type":"structure","members":{"Type":{},"Message":{}}}},"VersionNumber":{"type":"long"},"Status":{},"Arn":{},"SourceEntityArn":{},"DataSetArns":{"shape":"S8d"},"Description":{},"ThemeArn":{},"Sheets":{"shape":"S8e"}}},"CreatedTime":{"type":"timestamp"},"LastPublishedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"}}},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"DescribeDashboardPermissions":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/dashboards/{DashboardId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","DashboardId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DashboardId":{"location":"uri","locationName":"DashboardId"}}},"output":{"type":"structure","members":{"DashboardId":{},"DashboardArn":{},"Permissions":{"shape":"S10"},"Status":{"location":"statusCode","type":"integer"},"RequestId":{},"LinkSharingConfiguration":{"shape":"S8r"}}}},"DescribeDataSet":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/data-sets/{DataSetId}"},"input":{"type":"structure","required":["AwsAccountId","DataSetId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSetId":{"location":"uri","locationName":"DataSetId"}}},"output":{"type":"structure","members":{"DataSet":{"type":"structure","members":{"Arn":{},"DataSetId":{},"Name":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"PhysicalTableMap":{"shape":"S1p"},"LogicalTableMap":{"shape":"S2a"},"OutputColumns":{"type":"list","member":{"type":"structure","members":{"Name":{},"Description":{},"Type":{}}}},"ImportMode":{},"ConsumedSpiceCapacityInBytes":{"type":"long"},"ColumnGroups":{"shape":"S37"},"FieldFolders":{"shape":"S3d"},"RowLevelPermissionDataSet":{"shape":"S3i"},"RowLevelPermissionTagConfiguration":{"shape":"S3m"},"ColumnLevelPermissionRules":{"shape":"S3s"},"DataSetUsageConfiguration":{"shape":"S3w"}}},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeDataSetPermissions":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/data-sets/{DataSetId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","DataSetId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSetId":{"location":"uri","locationName":"DataSetId"}}},"output":{"type":"structure","members":{"DataSetArn":{},"DataSetId":{},"Permissions":{"shape":"S10"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeDataSource":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/data-sources/{DataSourceId}"},"input":{"type":"structure","required":["AwsAccountId","DataSourceId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSourceId":{"location":"uri","locationName":"DataSourceId"}}},"output":{"type":"structure","members":{"DataSource":{"shape":"S91"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeDataSourcePermissions":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/data-sources/{DataSourceId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","DataSourceId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSourceId":{"location":"uri","locationName":"DataSourceId"}}},"output":{"type":"structure","members":{"DataSourceArn":{},"DataSourceId":{},"Permissions":{"shape":"S10"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeFolder":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/folders/{FolderId}"},"input":{"type":"structure","required":["AwsAccountId","FolderId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"FolderId":{"location":"uri","locationName":"FolderId"}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"Folder":{"type":"structure","members":{"FolderId":{},"Arn":{},"Name":{},"FolderType":{},"FolderPath":{"type":"list","member":{}},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"}}},"RequestId":{}}}},"DescribeFolderPermissions":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/folders/{FolderId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","FolderId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"FolderId":{"location":"uri","locationName":"FolderId"}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"FolderId":{},"Arn":{},"Permissions":{"shape":"S10"},"RequestId":{}}}},"DescribeFolderResolvedPermissions":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/folders/{FolderId}/resolved-permissions"},"input":{"type":"structure","required":["AwsAccountId","FolderId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"FolderId":{"location":"uri","locationName":"FolderId"}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"FolderId":{},"Arn":{},"Permissions":{"shape":"S10"},"RequestId":{}}}},"DescribeGroup":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}"},"input":{"type":"structure","required":["GroupName","AwsAccountId","Namespace"],"members":{"GroupName":{"location":"uri","locationName":"GroupName"},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"Group":{"shape":"S5o"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeIAMPolicyAssignment":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/iam-policy-assignments/{AssignmentName}"},"input":{"type":"structure","required":["AwsAccountId","AssignmentName","Namespace"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"AssignmentName":{"location":"uri","locationName":"AssignmentName"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"IAMPolicyAssignment":{"type":"structure","members":{"AwsAccountId":{},"AssignmentId":{},"AssignmentName":{},"PolicyArn":{},"Identities":{"shape":"S5w"},"AssignmentStatus":{}}},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeIngestion":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/data-sets/{DataSetId}/ingestions/{IngestionId}"},"input":{"type":"structure","required":["AwsAccountId","DataSetId","IngestionId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSetId":{"location":"uri","locationName":"DataSetId"},"IngestionId":{"location":"uri","locationName":"IngestionId"}}},"output":{"type":"structure","members":{"Ingestion":{"shape":"S9l"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeIpRestriction":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/ip-restriction"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"}}},"output":{"type":"structure","members":{"AwsAccountId":{},"IpRestrictionRuleMap":{"shape":"S9u"},"Enabled":{"type":"boolean"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeNamespace":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}"},"input":{"type":"structure","required":["AwsAccountId","Namespace"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"Namespace":{"shape":"Sa0"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeTemplate":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/templates/{TemplateId}"},"input":{"type":"structure","required":["AwsAccountId","TemplateId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"TemplateId":{"location":"uri","locationName":"TemplateId"},"VersionNumber":{"location":"querystring","locationName":"version-number","type":"long"},"AliasName":{"location":"querystring","locationName":"alias-name"}}},"output":{"type":"structure","members":{"Template":{"type":"structure","members":{"Arn":{},"Name":{},"Version":{"type":"structure","members":{"CreatedTime":{"type":"timestamp"},"Errors":{"type":"list","member":{"type":"structure","members":{"Type":{},"Message":{}}}},"VersionNumber":{"type":"long"},"Status":{},"DataSetConfigurations":{"type":"list","member":{"type":"structure","members":{"Placeholder":{},"DataSetSchema":{"type":"structure","members":{"ColumnSchemaList":{"type":"list","member":{"type":"structure","members":{"Name":{},"DataType":{},"GeographicRole":{}}}}}},"ColumnGroupSchemaList":{"type":"list","member":{"type":"structure","members":{"Name":{},"ColumnGroupColumnSchemaList":{"type":"list","member":{"type":"structure","members":{"Name":{}}}}}}}}}},"Description":{},"SourceEntityArn":{},"ThemeArn":{},"Sheets":{"shape":"S8e"}}},"TemplateId":{},"LastUpdatedTime":{"type":"timestamp"},"CreatedTime":{"type":"timestamp"}}},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"DescribeTemplateAlias":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/templates/{TemplateId}/aliases/{AliasName}"},"input":{"type":"structure","required":["AwsAccountId","TemplateId","AliasName"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"TemplateId":{"location":"uri","locationName":"TemplateId"},"AliasName":{"location":"uri","locationName":"AliasName"}}},"output":{"type":"structure","members":{"TemplateAlias":{"shape":"S6i"},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"DescribeTemplatePermissions":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/templates/{TemplateId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","TemplateId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"TemplateId":{"location":"uri","locationName":"TemplateId"}}},"output":{"type":"structure","members":{"TemplateId":{},"TemplateArn":{},"Permissions":{"shape":"S10"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeTheme":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/themes/{ThemeId}"},"input":{"type":"structure","required":["AwsAccountId","ThemeId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"ThemeId":{"location":"uri","locationName":"ThemeId"},"VersionNumber":{"location":"querystring","locationName":"version-number","type":"long"},"AliasName":{"location":"querystring","locationName":"alias-name"}}},"output":{"type":"structure","members":{"Theme":{"type":"structure","members":{"Arn":{},"Name":{},"ThemeId":{},"Version":{"type":"structure","members":{"VersionNumber":{"type":"long"},"Arn":{},"Description":{},"BaseThemeId":{},"CreatedTime":{"type":"timestamp"},"Configuration":{"shape":"S6l"},"Errors":{"type":"list","member":{"type":"structure","members":{"Type":{},"Message":{}}}},"Status":{}}},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"Type":{}}},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"DescribeThemeAlias":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/themes/{ThemeId}/aliases/{AliasName}"},"input":{"type":"structure","required":["AwsAccountId","ThemeId","AliasName"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"ThemeId":{"location":"uri","locationName":"ThemeId"},"AliasName":{"location":"uri","locationName":"AliasName"}}},"output":{"type":"structure","members":{"ThemeAlias":{"shape":"S70"},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"DescribeThemePermissions":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/themes/{ThemeId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","ThemeId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"ThemeId":{"location":"uri","locationName":"ThemeId"}}},"output":{"type":"structure","members":{"ThemeId":{},"ThemeArn":{},"Permissions":{"shape":"S10"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"DescribeUser":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/users/{UserName}"},"input":{"type":"structure","required":["UserName","AwsAccountId","Namespace"],"members":{"UserName":{"location":"uri","locationName":"UserName"},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"User":{"shape":"Sb2"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"GenerateEmbedUrlForAnonymousUser":{"http":{"requestUri":"/accounts/{AwsAccountId}/embed-url/anonymous-user"},"input":{"type":"structure","required":["AwsAccountId","Namespace","AuthorizedResourceArns","ExperienceConfiguration"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"SessionLifetimeInMinutes":{"type":"long"},"Namespace":{},"SessionTags":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{"shape":"S3r"}}}},"AuthorizedResourceArns":{"type":"list","member":{}},"ExperienceConfiguration":{"type":"structure","members":{"Dashboard":{"type":"structure","required":["InitialDashboardId"],"members":{"InitialDashboardId":{}}}}}}},"output":{"type":"structure","required":["EmbedUrl","Status","RequestId"],"members":{"EmbedUrl":{"shape":"Sbe"},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"GenerateEmbedUrlForRegisteredUser":{"http":{"requestUri":"/accounts/{AwsAccountId}/embed-url/registered-user"},"input":{"type":"structure","required":["AwsAccountId","UserArn","ExperienceConfiguration"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"SessionLifetimeInMinutes":{"type":"long"},"UserArn":{},"ExperienceConfiguration":{"type":"structure","members":{"Dashboard":{"type":"structure","required":["InitialDashboardId"],"members":{"InitialDashboardId":{}}},"QuickSightConsole":{"type":"structure","members":{"InitialPath":{}}},"QSearchBar":{"type":"structure","members":{"InitialTopicId":{}}}}}}},"output":{"type":"structure","required":["EmbedUrl","Status","RequestId"],"members":{"EmbedUrl":{"shape":"Sbe"},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"GetDashboardEmbedUrl":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/dashboards/{DashboardId}/embed-url"},"input":{"type":"structure","required":["AwsAccountId","DashboardId","IdentityType"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DashboardId":{"location":"uri","locationName":"DashboardId"},"IdentityType":{"location":"querystring","locationName":"creds-type"},"SessionLifetimeInMinutes":{"location":"querystring","locationName":"session-lifetime","type":"long"},"UndoRedoDisabled":{"location":"querystring","locationName":"undo-redo-disabled","type":"boolean"},"ResetDisabled":{"location":"querystring","locationName":"reset-disabled","type":"boolean"},"StatePersistenceEnabled":{"location":"querystring","locationName":"state-persistence-enabled","type":"boolean"},"UserArn":{"location":"querystring","locationName":"user-arn"},"Namespace":{"location":"querystring","locationName":"namespace"},"AdditionalDashboardIds":{"location":"querystring","locationName":"additional-dashboard-ids","type":"list","member":{}}}},"output":{"type":"structure","members":{"EmbedUrl":{"shape":"Sbe"},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"GetSessionEmbedUrl":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/session-embed-url"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"EntryPoint":{"location":"querystring","locationName":"entry-point"},"SessionLifetimeInMinutes":{"location":"querystring","locationName":"session-lifetime","type":"long"},"UserArn":{"location":"querystring","locationName":"user-arn"}}},"output":{"type":"structure","members":{"EmbedUrl":{"shape":"Sbe"},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"ListAnalyses":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/analyses"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"AnalysisSummaryList":{"shape":"Sbw"},"NextToken":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"ListDashboardVersions":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/dashboards/{DashboardId}/versions"},"input":{"type":"structure","required":["AwsAccountId","DashboardId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DashboardId":{"location":"uri","locationName":"DashboardId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"DashboardVersionSummaryList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreatedTime":{"type":"timestamp"},"VersionNumber":{"type":"long"},"Status":{},"SourceEntityArn":{},"Description":{}}}},"NextToken":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"ListDashboards":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/dashboards"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"DashboardSummaryList":{"shape":"Sc4"},"NextToken":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"ListDataSets":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/data-sets"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"DataSetSummaries":{"type":"list","member":{"type":"structure","members":{"Arn":{},"DataSetId":{},"Name":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"ImportMode":{},"RowLevelPermissionDataSet":{"shape":"S3i"},"RowLevelPermissionTagConfigurationApplied":{"type":"boolean"},"ColumnLevelPermissionRulesApplied":{"type":"boolean"}}}},"NextToken":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"ListDataSources":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/data-sources"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"DataSources":{"type":"list","member":{"shape":"S91"}},"NextToken":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"ListFolderMembers":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/folders/{FolderId}/members"},"input":{"type":"structure","required":["AwsAccountId","FolderId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"FolderId":{"location":"uri","locationName":"FolderId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"FolderMemberList":{"type":"list","member":{"type":"structure","members":{"MemberId":{},"MemberArn":{}}}},"NextToken":{},"RequestId":{}}}},"ListFolders":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/folders"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"FolderSummaryList":{"shape":"Scj"},"NextToken":{},"RequestId":{}}}},"ListGroupMemberships":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}/members"},"input":{"type":"structure","required":["GroupName","AwsAccountId","Namespace"],"members":{"GroupName":{"location":"uri","locationName":"GroupName"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"GroupMemberList":{"type":"list","member":{"shape":"S5s"}},"NextToken":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"ListGroups":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/groups"},"input":{"type":"structure","required":["AwsAccountId","Namespace"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"GroupList":{"shape":"Scq"},"NextToken":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"ListIAMPolicyAssignments":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/iam-policy-assignments"},"input":{"type":"structure","required":["AwsAccountId","Namespace"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"AssignmentStatus":{},"Namespace":{"location":"uri","locationName":"Namespace"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"IAMPolicyAssignments":{"type":"list","member":{"type":"structure","members":{"AssignmentName":{},"AssignmentStatus":{}}}},"NextToken":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"ListIAMPolicyAssignmentsForUser":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/users/{UserName}/iam-policy-assignments"},"input":{"type":"structure","required":["AwsAccountId","UserName","Namespace"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"UserName":{"location":"uri","locationName":"UserName"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"ActiveAssignments":{"type":"list","member":{"type":"structure","members":{"AssignmentName":{},"PolicyArn":{}}}},"RequestId":{},"NextToken":{},"Status":{"location":"statusCode","type":"integer"}}}},"ListIngestions":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/data-sets/{DataSetId}/ingestions"},"input":{"type":"structure","required":["DataSetId","AwsAccountId"],"members":{"DataSetId":{"location":"uri","locationName":"DataSetId"},"NextToken":{"location":"querystring","locationName":"next-token"},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Ingestions":{"type":"list","member":{"shape":"S9l"}},"NextToken":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"ListNamespaces":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/namespaces"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"Namespaces":{"type":"list","member":{"shape":"Sa0"}},"NextToken":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/resources/{ResourceArn}/tags"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sb"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"ListTemplateAliases":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/templates/{TemplateId}/aliases"},"input":{"type":"structure","required":["AwsAccountId","TemplateId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"TemplateId":{"location":"uri","locationName":"TemplateId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-result","type":"integer"}}},"output":{"type":"structure","members":{"TemplateAliasList":{"type":"list","member":{"shape":"S6i"}},"Status":{"location":"statusCode","type":"integer"},"RequestId":{},"NextToken":{}}}},"ListTemplateVersions":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/templates/{TemplateId}/versions"},"input":{"type":"structure","required":["AwsAccountId","TemplateId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"TemplateId":{"location":"uri","locationName":"TemplateId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"TemplateVersionSummaryList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"VersionNumber":{"type":"long"},"CreatedTime":{"type":"timestamp"},"Status":{},"Description":{}}}},"NextToken":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"ListTemplates":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/templates"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-result","type":"integer"}}},"output":{"type":"structure","members":{"TemplateSummaryList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"TemplateId":{},"Name":{},"LatestVersionNumber":{"type":"long"},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"}}}},"NextToken":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"ListThemeAliases":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/themes/{ThemeId}/aliases"},"input":{"type":"structure","required":["AwsAccountId","ThemeId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"ThemeId":{"location":"uri","locationName":"ThemeId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-result","type":"integer"}}},"output":{"type":"structure","members":{"ThemeAliasList":{"type":"list","member":{"shape":"S70"}},"Status":{"location":"statusCode","type":"integer"},"RequestId":{},"NextToken":{}}}},"ListThemeVersions":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/themes/{ThemeId}/versions"},"input":{"type":"structure","required":["AwsAccountId","ThemeId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"ThemeId":{"location":"uri","locationName":"ThemeId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"ThemeVersionSummaryList":{"type":"list","member":{"type":"structure","members":{"VersionNumber":{"type":"long"},"Arn":{},"Description":{},"CreatedTime":{"type":"timestamp"},"Status":{}}}},"NextToken":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"ListThemes":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/themes"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"Type":{"location":"querystring","locationName":"type"}}},"output":{"type":"structure","members":{"ThemeSummaryList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Name":{},"ThemeId":{},"LatestVersionNumber":{"type":"long"},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"}}}},"NextToken":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"ListUserGroups":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/users/{UserName}/groups"},"input":{"type":"structure","required":["UserName","AwsAccountId","Namespace"],"members":{"UserName":{"location":"uri","locationName":"UserName"},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"}}},"output":{"type":"structure","members":{"GroupList":{"shape":"Scq"},"NextToken":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"ListUsers":{"http":{"method":"GET","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/users"},"input":{"type":"structure","required":["AwsAccountId","Namespace"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"NextToken":{"location":"querystring","locationName":"next-token"},"MaxResults":{"location":"querystring","locationName":"max-results","type":"integer"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"UserList":{"type":"list","member":{"shape":"Sb2"}},"NextToken":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"RegisterUser":{"http":{"requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/users"},"input":{"type":"structure","required":["IdentityType","Email","UserRole","AwsAccountId","Namespace"],"members":{"IdentityType":{},"Email":{},"UserRole":{},"IamArn":{},"SessionName":{},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"},"UserName":{},"CustomPermissionsName":{},"ExternalLoginFederationProviderType":{},"CustomFederationProviderUrl":{},"ExternalLoginId":{}}},"output":{"type":"structure","members":{"User":{"shape":"Sb2"},"UserInvitationUrl":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"RestoreAnalysis":{"http":{"requestUri":"/accounts/{AwsAccountId}/restore/analyses/{AnalysisId}"},"input":{"type":"structure","required":["AwsAccountId","AnalysisId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"AnalysisId":{"location":"uri","locationName":"AnalysisId"}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"Arn":{},"AnalysisId":{},"RequestId":{}}}},"SearchAnalyses":{"http":{"requestUri":"/accounts/{AwsAccountId}/search/analyses"},"input":{"type":"structure","required":["AwsAccountId","Filters"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Filters":{"type":"list","member":{"type":"structure","members":{"Operator":{},"Name":{},"Value":{}}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"AnalysisSummaryList":{"shape":"Sbw"},"NextToken":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"SearchDashboards":{"http":{"requestUri":"/accounts/{AwsAccountId}/search/dashboards"},"input":{"type":"structure","required":["AwsAccountId","Filters"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Filters":{"type":"list","member":{"type":"structure","required":["Operator"],"members":{"Operator":{},"Name":{},"Value":{}}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DashboardSummaryList":{"shape":"Sc4"},"NextToken":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"SearchFolders":{"http":{"requestUri":"/accounts/{AwsAccountId}/search/folders"},"input":{"type":"structure","required":["AwsAccountId","Filters"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Filters":{"type":"list","member":{"type":"structure","members":{"Operator":{},"Name":{},"Value":{}}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"FolderSummaryList":{"shape":"Scj"},"NextToken":{},"RequestId":{}}}},"TagResource":{"http":{"requestUri":"/resources/{ResourceArn}/tags"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/resources/{ResourceArn}/tags"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"keys","type":"list","member":{}}}},"output":{"type":"structure","members":{"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateAccountCustomization":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/customizations"},"input":{"type":"structure","required":["AwsAccountId","AccountCustomization"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"querystring","locationName":"namespace"},"AccountCustomization":{"shape":"Sa"}}},"output":{"type":"structure","members":{"Arn":{},"AwsAccountId":{},"Namespace":{},"AccountCustomization":{"shape":"Sa"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateAccountSettings":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/settings"},"input":{"type":"structure","required":["AwsAccountId","DefaultNamespace"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DefaultNamespace":{},"NotificationEmail":{}}},"output":{"type":"structure","members":{"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateAnalysis":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/analyses/{AnalysisId}"},"input":{"type":"structure","required":["AwsAccountId","AnalysisId","Name","SourceEntity"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"AnalysisId":{"location":"uri","locationName":"AnalysisId"},"Name":{},"Parameters":{"shape":"Sj"},"SourceEntity":{"shape":"S14"},"ThemeArn":{}}},"output":{"type":"structure","members":{"Arn":{},"AnalysisId":{},"UpdateStatus":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"UpdateAnalysisPermissions":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/analyses/{AnalysisId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","AnalysisId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"AnalysisId":{"location":"uri","locationName":"AnalysisId"},"GrantPermissions":{"shape":"Sew"},"RevokePermissions":{"shape":"Sew"}}},"output":{"type":"structure","members":{"AnalysisArn":{},"AnalysisId":{},"Permissions":{"shape":"S10"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateDashboard":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/dashboards/{DashboardId}"},"input":{"type":"structure","required":["AwsAccountId","DashboardId","Name","SourceEntity"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DashboardId":{"location":"uri","locationName":"DashboardId"},"Name":{},"SourceEntity":{"shape":"S1c"},"Parameters":{"shape":"Sj"},"VersionDescription":{},"DashboardPublishOptions":{"shape":"S1f"},"ThemeArn":{}}},"output":{"type":"structure","members":{"Arn":{},"VersionArn":{},"DashboardId":{},"CreationStatus":{},"Status":{"type":"integer"},"RequestId":{}}}},"UpdateDashboardPermissions":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/dashboards/{DashboardId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","DashboardId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DashboardId":{"location":"uri","locationName":"DashboardId"},"GrantPermissions":{"shape":"Sew"},"RevokePermissions":{"shape":"Sew"},"GrantLinkPermissions":{"shape":"Sf1"},"RevokeLinkPermissions":{"shape":"Sf1"}}},"output":{"type":"structure","members":{"DashboardArn":{},"DashboardId":{},"Permissions":{"shape":"S10"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"},"LinkSharingConfiguration":{"shape":"S8r"}}}},"UpdateDashboardPublishedVersion":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/dashboards/{DashboardId}/versions/{VersionNumber}"},"input":{"type":"structure","required":["AwsAccountId","DashboardId","VersionNumber"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DashboardId":{"location":"uri","locationName":"DashboardId"},"VersionNumber":{"location":"uri","locationName":"VersionNumber","type":"long"}}},"output":{"type":"structure","members":{"DashboardId":{},"DashboardArn":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"UpdateDataSet":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/data-sets/{DataSetId}"},"input":{"type":"structure","required":["AwsAccountId","DataSetId","Name","PhysicalTableMap","ImportMode"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSetId":{"location":"uri","locationName":"DataSetId"},"Name":{},"PhysicalTableMap":{"shape":"S1p"},"LogicalTableMap":{"shape":"S2a"},"ImportMode":{},"ColumnGroups":{"shape":"S37"},"FieldFolders":{"shape":"S3d"},"RowLevelPermissionDataSet":{"shape":"S3i"},"RowLevelPermissionTagConfiguration":{"shape":"S3m"},"ColumnLevelPermissionRules":{"shape":"S3s"},"DataSetUsageConfiguration":{"shape":"S3w"}}},"output":{"type":"structure","members":{"Arn":{},"DataSetId":{},"IngestionArn":{},"IngestionId":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateDataSetPermissions":{"http":{"requestUri":"/accounts/{AwsAccountId}/data-sets/{DataSetId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","DataSetId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSetId":{"location":"uri","locationName":"DataSetId"},"GrantPermissions":{"shape":"S10"},"RevokePermissions":{"shape":"S10"}}},"output":{"type":"structure","members":{"DataSetArn":{},"DataSetId":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateDataSource":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/data-sources/{DataSourceId}"},"input":{"type":"structure","required":["AwsAccountId","DataSourceId","Name"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSourceId":{"location":"uri","locationName":"DataSourceId"},"Name":{},"DataSourceParameters":{"shape":"S40"},"Credentials":{"shape":"S53"},"VpcConnectionProperties":{"shape":"S59"},"SslProperties":{"shape":"S5a"}}},"output":{"type":"structure","members":{"Arn":{},"DataSourceId":{},"UpdateStatus":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateDataSourcePermissions":{"http":{"requestUri":"/accounts/{AwsAccountId}/data-sources/{DataSourceId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","DataSourceId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"DataSourceId":{"location":"uri","locationName":"DataSourceId"},"GrantPermissions":{"shape":"S10"},"RevokePermissions":{"shape":"S10"}}},"output":{"type":"structure","members":{"DataSourceArn":{},"DataSourceId":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateFolder":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/folders/{FolderId}"},"input":{"type":"structure","required":["AwsAccountId","FolderId","Name"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"FolderId":{"location":"uri","locationName":"FolderId"},"Name":{}}},"output":{"type":"structure","members":{"Status":{"location":"statusCode","type":"integer"},"Arn":{},"FolderId":{},"RequestId":{}}}},"UpdateFolderPermissions":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/folders/{FolderId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","FolderId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"FolderId":{"location":"uri","locationName":"FolderId"},"GrantPermissions":{"shape":"S10"},"RevokePermissions":{"shape":"S10"}}},"output":{"type":"structure","members":{"Status":{"type":"integer"},"Arn":{},"FolderId":{},"Permissions":{"shape":"S10"},"RequestId":{}}}},"UpdateGroup":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/groups/{GroupName}"},"input":{"type":"structure","required":["GroupName","AwsAccountId","Namespace"],"members":{"GroupName":{"location":"uri","locationName":"GroupName"},"Description":{},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"}}},"output":{"type":"structure","members":{"Group":{"shape":"S5o"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateIAMPolicyAssignment":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/iam-policy-assignments/{AssignmentName}"},"input":{"type":"structure","required":["AwsAccountId","AssignmentName","Namespace"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"AssignmentName":{"location":"uri","locationName":"AssignmentName"},"Namespace":{"location":"uri","locationName":"Namespace"},"AssignmentStatus":{},"PolicyArn":{},"Identities":{"shape":"S5w"}}},"output":{"type":"structure","members":{"AssignmentName":{},"AssignmentId":{},"PolicyArn":{},"Identities":{"shape":"S5w"},"AssignmentStatus":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateIpRestriction":{"http":{"requestUri":"/accounts/{AwsAccountId}/ip-restriction"},"input":{"type":"structure","required":["AwsAccountId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"IpRestrictionRuleMap":{"shape":"S9u"},"Enabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"AwsAccountId":{},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateTemplate":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/templates/{TemplateId}"},"input":{"type":"structure","required":["AwsAccountId","TemplateId","SourceEntity"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"TemplateId":{"location":"uri","locationName":"TemplateId"},"SourceEntity":{"shape":"S6a"},"VersionDescription":{},"Name":{}}},"output":{"type":"structure","members":{"TemplateId":{},"Arn":{},"VersionArn":{},"CreationStatus":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"UpdateTemplateAlias":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/templates/{TemplateId}/aliases/{AliasName}"},"input":{"type":"structure","required":["AwsAccountId","TemplateId","AliasName","TemplateVersionNumber"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"TemplateId":{"location":"uri","locationName":"TemplateId"},"AliasName":{"location":"uri","locationName":"AliasName"},"TemplateVersionNumber":{"type":"long"}}},"output":{"type":"structure","members":{"TemplateAlias":{"shape":"S6i"},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"UpdateTemplatePermissions":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/templates/{TemplateId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","TemplateId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"TemplateId":{"location":"uri","locationName":"TemplateId"},"GrantPermissions":{"shape":"Sew"},"RevokePermissions":{"shape":"Sew"}}},"output":{"type":"structure","members":{"TemplateId":{},"TemplateArn":{},"Permissions":{"shape":"S10"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateTheme":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/themes/{ThemeId}"},"input":{"type":"structure","required":["AwsAccountId","ThemeId","BaseThemeId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"ThemeId":{"location":"uri","locationName":"ThemeId"},"Name":{},"BaseThemeId":{},"VersionDescription":{},"Configuration":{"shape":"S6l"}}},"output":{"type":"structure","members":{"ThemeId":{},"Arn":{},"VersionArn":{},"CreationStatus":{},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"UpdateThemeAlias":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/themes/{ThemeId}/aliases/{AliasName}"},"input":{"type":"structure","required":["AwsAccountId","ThemeId","AliasName","ThemeVersionNumber"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"ThemeId":{"location":"uri","locationName":"ThemeId"},"AliasName":{"location":"uri","locationName":"AliasName"},"ThemeVersionNumber":{"type":"long"}}},"output":{"type":"structure","members":{"ThemeAlias":{"shape":"S70"},"Status":{"location":"statusCode","type":"integer"},"RequestId":{}}}},"UpdateThemePermissions":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/themes/{ThemeId}/permissions"},"input":{"type":"structure","required":["AwsAccountId","ThemeId"],"members":{"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"ThemeId":{"location":"uri","locationName":"ThemeId"},"GrantPermissions":{"shape":"Sew"},"RevokePermissions":{"shape":"Sew"}}},"output":{"type":"structure","members":{"ThemeId":{},"ThemeArn":{},"Permissions":{"shape":"S10"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}},"UpdateUser":{"http":{"method":"PUT","requestUri":"/accounts/{AwsAccountId}/namespaces/{Namespace}/users/{UserName}"},"input":{"type":"structure","required":["UserName","AwsAccountId","Namespace","Email","Role"],"members":{"UserName":{"location":"uri","locationName":"UserName"},"AwsAccountId":{"location":"uri","locationName":"AwsAccountId"},"Namespace":{"location":"uri","locationName":"Namespace"},"Email":{},"Role":{},"CustomPermissionsName":{},"UnapplyCustomPermissions":{"type":"boolean"},"ExternalLoginFederationProviderType":{},"CustomFederationProviderUrl":{},"ExternalLoginId":{}}},"output":{"type":"structure","members":{"User":{"shape":"Sb2"},"RequestId":{},"Status":{"location":"statusCode","type":"integer"}}}}},"shapes":{"Sa":{"type":"structure","members":{"DefaultTheme":{},"DefaultEmailCustomizationTemplate":{}}},"Sb":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sj":{"type":"structure","members":{"StringParameters":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{}}}}},"IntegerParameters":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{"type":"long"}}}}},"DecimalParameters":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{"type":"double"}}}}},"DateTimeParameters":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{"type":"timestamp"}}}}}}},"S10":{"type":"list","member":{"shape":"S11"}},"S11":{"type":"structure","required":["Principal","Actions"],"members":{"Principal":{},"Actions":{"type":"list","member":{}}}},"S14":{"type":"structure","members":{"SourceTemplate":{"type":"structure","required":["DataSetReferences","Arn"],"members":{"DataSetReferences":{"shape":"S16"},"Arn":{}}}}},"S16":{"type":"list","member":{"type":"structure","required":["DataSetPlaceholder","DataSetArn"],"members":{"DataSetPlaceholder":{},"DataSetArn":{}}}},"S1c":{"type":"structure","members":{"SourceTemplate":{"type":"structure","required":["DataSetReferences","Arn"],"members":{"DataSetReferences":{"shape":"S16"},"Arn":{}}}}},"S1f":{"type":"structure","members":{"AdHocFilteringOption":{"type":"structure","members":{"AvailabilityStatus":{}}},"ExportToCSVOption":{"type":"structure","members":{"AvailabilityStatus":{}}},"SheetControlsOption":{"type":"structure","members":{"VisibilityState":{}}}}},"S1p":{"type":"map","key":{},"value":{"type":"structure","members":{"RelationalTable":{"type":"structure","required":["DataSourceArn","Name","InputColumns"],"members":{"DataSourceArn":{},"Catalog":{},"Schema":{},"Name":{},"InputColumns":{"shape":"S1w"}}},"CustomSql":{"type":"structure","required":["DataSourceArn","Name","SqlQuery"],"members":{"DataSourceArn":{},"Name":{},"SqlQuery":{},"Columns":{"shape":"S1w"}}},"S3Source":{"type":"structure","required":["DataSourceArn","InputColumns"],"members":{"DataSourceArn":{},"UploadSettings":{"type":"structure","members":{"Format":{},"StartFromRow":{"type":"integer"},"ContainsHeader":{"type":"boolean"},"TextQualifier":{},"Delimiter":{}}},"InputColumns":{"shape":"S1w"}}}}}},"S1w":{"type":"list","member":{"type":"structure","required":["Name","Type"],"members":{"Name":{},"Type":{}}}},"S2a":{"type":"map","key":{},"value":{"type":"structure","required":["Alias","Source"],"members":{"Alias":{},"DataTransforms":{"type":"list","member":{"type":"structure","members":{"ProjectOperation":{"type":"structure","required":["ProjectedColumns"],"members":{"ProjectedColumns":{"type":"list","member":{}}}},"FilterOperation":{"type":"structure","required":["ConditionExpression"],"members":{"ConditionExpression":{}}},"CreateColumnsOperation":{"type":"structure","required":["Columns"],"members":{"Columns":{"type":"list","member":{"type":"structure","required":["ColumnName","ColumnId","Expression"],"members":{"ColumnName":{},"ColumnId":{},"Expression":{}}}}}},"RenameColumnOperation":{"type":"structure","required":["ColumnName","NewColumnName"],"members":{"ColumnName":{},"NewColumnName":{}}},"CastColumnTypeOperation":{"type":"structure","required":["ColumnName","NewColumnType"],"members":{"ColumnName":{},"NewColumnType":{},"Format":{}}},"TagColumnOperation":{"type":"structure","required":["ColumnName","Tags"],"members":{"ColumnName":{},"Tags":{"type":"list","member":{"type":"structure","members":{"ColumnGeographicRole":{},"ColumnDescription":{"type":"structure","members":{"Text":{}}}}}}}},"UntagColumnOperation":{"type":"structure","required":["ColumnName","TagNames"],"members":{"ColumnName":{},"TagNames":{"type":"list","member":{}}}}}}},"Source":{"type":"structure","members":{"JoinInstruction":{"type":"structure","required":["LeftOperand","RightOperand","Type","OnClause"],"members":{"LeftOperand":{},"RightOperand":{},"LeftJoinKeyProperties":{"shape":"S33"},"RightJoinKeyProperties":{"shape":"S33"},"Type":{},"OnClause":{}}},"PhysicalTableId":{},"DataSetArn":{}}}}}},"S33":{"type":"structure","members":{"UniqueKey":{"type":"boolean"}}},"S37":{"type":"list","member":{"type":"structure","members":{"GeoSpatialColumnGroup":{"type":"structure","required":["Name","CountryCode","Columns"],"members":{"Name":{},"CountryCode":{},"Columns":{"type":"list","member":{}}}}}}},"S3d":{"type":"map","key":{},"value":{"type":"structure","members":{"description":{},"columns":{"type":"list","member":{}}}}},"S3i":{"type":"structure","required":["Arn","PermissionPolicy"],"members":{"Namespace":{},"Arn":{},"PermissionPolicy":{},"FormatVersion":{},"Status":{}}},"S3m":{"type":"structure","required":["TagRules"],"members":{"Status":{},"TagRules":{"type":"list","member":{"type":"structure","required":["TagKey","ColumnName"],"members":{"TagKey":{},"ColumnName":{},"TagMultiValueDelimiter":{},"MatchAllValue":{"shape":"S3r"}}}}}},"S3r":{"type":"string","sensitive":true},"S3s":{"type":"list","member":{"type":"structure","members":{"Principals":{"type":"list","member":{}},"ColumnNames":{"type":"list","member":{}}}}},"S3w":{"type":"structure","members":{"DisableUseAsDirectQuerySource":{"type":"boolean"},"DisableUseAsImportedSource":{"type":"boolean"}}},"S40":{"type":"structure","members":{"AmazonElasticsearchParameters":{"type":"structure","required":["Domain"],"members":{"Domain":{}}},"AthenaParameters":{"type":"structure","members":{"WorkGroup":{}}},"AuroraParameters":{"type":"structure","required":["Host","Port","Database"],"members":{"Host":{},"Port":{"type":"integer"},"Database":{}}},"AuroraPostgreSqlParameters":{"type":"structure","required":["Host","Port","Database"],"members":{"Host":{},"Port":{"type":"integer"},"Database":{}}},"AwsIotAnalyticsParameters":{"type":"structure","required":["DataSetName"],"members":{"DataSetName":{}}},"JiraParameters":{"type":"structure","required":["SiteBaseUrl"],"members":{"SiteBaseUrl":{}}},"MariaDbParameters":{"type":"structure","required":["Host","Port","Database"],"members":{"Host":{},"Port":{"type":"integer"},"Database":{}}},"MySqlParameters":{"type":"structure","required":["Host","Port","Database"],"members":{"Host":{},"Port":{"type":"integer"},"Database":{}}},"OracleParameters":{"type":"structure","required":["Host","Port","Database"],"members":{"Host":{},"Port":{"type":"integer"},"Database":{}}},"PostgreSqlParameters":{"type":"structure","required":["Host","Port","Database"],"members":{"Host":{},"Port":{"type":"integer"},"Database":{}}},"PrestoParameters":{"type":"structure","required":["Host","Port","Catalog"],"members":{"Host":{},"Port":{"type":"integer"},"Catalog":{}}},"RdsParameters":{"type":"structure","required":["InstanceId","Database"],"members":{"InstanceId":{},"Database":{}}},"RedshiftParameters":{"type":"structure","required":["Database"],"members":{"Host":{},"Port":{"type":"integer"},"Database":{},"ClusterId":{}}},"S3Parameters":{"type":"structure","required":["ManifestFileLocation"],"members":{"ManifestFileLocation":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{},"Key":{}}}}},"ServiceNowParameters":{"type":"structure","required":["SiteBaseUrl"],"members":{"SiteBaseUrl":{}}},"SnowflakeParameters":{"type":"structure","required":["Host","Database","Warehouse"],"members":{"Host":{},"Database":{},"Warehouse":{}}},"SparkParameters":{"type":"structure","required":["Host","Port"],"members":{"Host":{},"Port":{"type":"integer"}}},"SqlServerParameters":{"type":"structure","required":["Host","Port","Database"],"members":{"Host":{},"Port":{"type":"integer"},"Database":{}}},"TeradataParameters":{"type":"structure","required":["Host","Port","Database"],"members":{"Host":{},"Port":{"type":"integer"},"Database":{}}},"TwitterParameters":{"type":"structure","required":["Query","MaxRows"],"members":{"Query":{},"MaxRows":{"type":"integer"}}},"AmazonOpenSearchParameters":{"type":"structure","required":["Domain"],"members":{"Domain":{}}},"ExasolParameters":{"type":"structure","required":["Host","Port"],"members":{"Host":{},"Port":{"type":"integer"}}}}},"S53":{"type":"structure","members":{"CredentialPair":{"type":"structure","required":["Username","Password"],"members":{"Username":{},"Password":{},"AlternateDataSourceParameters":{"shape":"S57"}}},"CopySourceArn":{}},"sensitive":true},"S57":{"type":"list","member":{"shape":"S40"}},"S59":{"type":"structure","required":["VpcConnectionArn"],"members":{"VpcConnectionArn":{}}},"S5a":{"type":"structure","members":{"DisableSsl":{"type":"boolean"}}},"S5o":{"type":"structure","members":{"Arn":{},"GroupName":{},"Description":{},"PrincipalId":{}}},"S5s":{"type":"structure","members":{"Arn":{},"MemberName":{}}},"S5w":{"type":"map","key":{},"value":{"type":"list","member":{}}},"S6a":{"type":"structure","members":{"SourceAnalysis":{"type":"structure","required":["Arn","DataSetReferences"],"members":{"Arn":{},"DataSetReferences":{"shape":"S16"}}},"SourceTemplate":{"type":"structure","required":["Arn"],"members":{"Arn":{}}}}},"S6i":{"type":"structure","members":{"AliasName":{},"Arn":{},"TemplateVersionNumber":{"type":"long"}}},"S6l":{"type":"structure","members":{"DataColorPalette":{"type":"structure","members":{"Colors":{"shape":"S6n"},"MinMaxGradient":{"shape":"S6n"},"EmptyFillColor":{}}},"UIColorPalette":{"type":"structure","members":{"PrimaryForeground":{},"PrimaryBackground":{},"SecondaryForeground":{},"SecondaryBackground":{},"Accent":{},"AccentForeground":{},"Danger":{},"DangerForeground":{},"Warning":{},"WarningForeground":{},"Success":{},"SuccessForeground":{},"Dimension":{},"DimensionForeground":{},"Measure":{},"MeasureForeground":{}}},"Sheet":{"type":"structure","members":{"Tile":{"type":"structure","members":{"Border":{"type":"structure","members":{"Show":{"type":"boolean"}}}}},"TileLayout":{"type":"structure","members":{"Gutter":{"type":"structure","members":{"Show":{"type":"boolean"}}},"Margin":{"type":"structure","members":{"Show":{"type":"boolean"}}}}}}}}},"S6n":{"type":"list","member":{}},"S70":{"type":"structure","members":{"Arn":{},"AliasName":{},"ThemeVersionNumber":{"type":"long"}}},"S8d":{"type":"list","member":{}},"S8e":{"type":"list","member":{"type":"structure","members":{"SheetId":{},"Name":{}}}},"S8r":{"type":"structure","members":{"Permissions":{"shape":"S10"}}},"S91":{"type":"structure","members":{"Arn":{},"DataSourceId":{},"Name":{},"Type":{},"Status":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"DataSourceParameters":{"shape":"S40"},"AlternateDataSourceParameters":{"shape":"S57"},"VpcConnectionProperties":{"shape":"S59"},"SslProperties":{"shape":"S5a"},"ErrorInfo":{"type":"structure","members":{"Type":{},"Message":{}}}}},"S9l":{"type":"structure","required":["Arn","IngestionStatus","CreatedTime"],"members":{"Arn":{},"IngestionId":{},"IngestionStatus":{},"ErrorInfo":{"type":"structure","members":{"Type":{},"Message":{}}},"RowInfo":{"type":"structure","members":{"RowsIngested":{"type":"long"},"RowsDropped":{"type":"long"},"TotalRowsInDataset":{"type":"long"}}},"QueueInfo":{"type":"structure","required":["WaitingOnIngestion","QueuedIngestion"],"members":{"WaitingOnIngestion":{},"QueuedIngestion":{}}},"CreatedTime":{"type":"timestamp"},"IngestionTimeInSeconds":{"type":"long"},"IngestionSizeInBytes":{"type":"long"},"RequestSource":{},"RequestType":{}}},"S9u":{"type":"map","key":{},"value":{}},"Sa0":{"type":"structure","members":{"Name":{},"Arn":{},"CapacityRegion":{},"CreationStatus":{},"IdentityStore":{},"NamespaceError":{"type":"structure","members":{"Type":{},"Message":{}}}}},"Sb2":{"type":"structure","members":{"Arn":{},"UserName":{},"Email":{},"Role":{},"IdentityType":{},"Active":{"type":"boolean"},"PrincipalId":{},"CustomPermissionsName":{},"ExternalLoginFederationProviderType":{},"ExternalLoginFederationProviderUrl":{},"ExternalLoginId":{}}},"Sbe":{"type":"string","sensitive":true},"Sbw":{"type":"list","member":{"type":"structure","members":{"Arn":{},"AnalysisId":{},"Name":{},"Status":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"}}}},"Sc4":{"type":"list","member":{"type":"structure","members":{"Arn":{},"DashboardId":{},"Name":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"PublishedVersionNumber":{"type":"long"},"LastPublishedTime":{"type":"timestamp"}}}},"Scj":{"type":"list","member":{"type":"structure","members":{"Arn":{},"FolderId":{},"Name":{},"FolderType":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"}}}},"Scq":{"type":"list","member":{"shape":"S5o"}},"Sew":{"type":"list","member":{"shape":"S11"}},"Sf1":{"type":"list","member":{"shape":"S11"}}}}');

/***/ }),

/***/ 43387:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAnalyses":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"AnalysisSummaryList"},"ListDashboardVersions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"DashboardVersionSummaryList"},"ListDashboards":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"DashboardSummaryList"},"ListDataSets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"DataSetSummaries"},"ListDataSources":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"DataSources"},"ListIngestions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Ingestions"},"ListNamespaces":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Namespaces"},"ListTemplateAliases":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"TemplateAliasList"},"ListTemplateVersions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"TemplateVersionSummaryList"},"ListTemplates":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"TemplateSummaryList"},"ListThemeVersions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ThemeVersionSummaryList"},"ListThemes":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ThemeSummaryList"},"SearchAnalyses":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"AnalysisSummaryList"},"SearchDashboards":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"DashboardSummaryList"}}}');

/***/ }),

/***/ 61375:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-01-04","endpointPrefix":"ram","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"RAM","serviceFullName":"AWS Resource Access Manager","serviceId":"RAM","signatureVersion":"v4","uid":"ram-2018-01-04"},"operations":{"AcceptResourceShareInvitation":{"http":{"requestUri":"/acceptresourceshareinvitation"},"input":{"type":"structure","required":["resourceShareInvitationArn"],"members":{"resourceShareInvitationArn":{},"clientToken":{}}},"output":{"type":"structure","members":{"resourceShareInvitation":{"shape":"S4"},"clientToken":{}}}},"AssociateResourceShare":{"http":{"requestUri":"/associateresourceshare"},"input":{"type":"structure","required":["resourceShareArn"],"members":{"resourceShareArn":{},"resourceArns":{"shape":"Sd"},"principals":{"shape":"Se"},"clientToken":{}}},"output":{"type":"structure","members":{"resourceShareAssociations":{"shape":"S7"},"clientToken":{}}}},"AssociateResourceSharePermission":{"http":{"requestUri":"/associateresourcesharepermission"},"input":{"type":"structure","required":["resourceShareArn","permissionArn"],"members":{"resourceShareArn":{},"permissionArn":{},"replace":{"type":"boolean"},"clientToken":{},"permissionVersion":{"type":"integer"}}},"output":{"type":"structure","members":{"returnValue":{"type":"boolean"},"clientToken":{}}}},"CreateResourceShare":{"http":{"requestUri":"/createresourceshare"},"input":{"type":"structure","required":["name"],"members":{"name":{},"resourceArns":{"shape":"Sd"},"principals":{"shape":"Se"},"tags":{"shape":"Sk"},"allowExternalPrincipals":{"type":"boolean"},"clientToken":{},"permissionArns":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"resourceShare":{"shape":"Sq"},"clientToken":{}}}},"DeleteResourceShare":{"http":{"method":"DELETE","requestUri":"/deleteresourceshare"},"input":{"type":"structure","required":["resourceShareArn"],"members":{"resourceShareArn":{"location":"querystring","locationName":"resourceShareArn"},"clientToken":{"location":"querystring","locationName":"clientToken"}}},"output":{"type":"structure","members":{"returnValue":{"type":"boolean"},"clientToken":{}}}},"DisassociateResourceShare":{"http":{"requestUri":"/disassociateresourceshare"},"input":{"type":"structure","required":["resourceShareArn"],"members":{"resourceShareArn":{},"resourceArns":{"shape":"Sd"},"principals":{"shape":"Se"},"clientToken":{}}},"output":{"type":"structure","members":{"resourceShareAssociations":{"shape":"S7"},"clientToken":{}}}},"DisassociateResourceSharePermission":{"http":{"requestUri":"/disassociateresourcesharepermission"},"input":{"type":"structure","required":["resourceShareArn","permissionArn"],"members":{"resourceShareArn":{},"permissionArn":{},"clientToken":{}}},"output":{"type":"structure","members":{"returnValue":{"type":"boolean"},"clientToken":{}}}},"EnableSharingWithAwsOrganization":{"http":{"requestUri":"/enablesharingwithawsorganization"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"returnValue":{"type":"boolean"}}}},"GetPermission":{"http":{"requestUri":"/getpermission"},"input":{"type":"structure","required":["permissionArn"],"members":{"permissionArn":{},"permissionVersion":{"type":"integer"}}},"output":{"type":"structure","members":{"permission":{"type":"structure","members":{"arn":{},"version":{},"defaultVersion":{"type":"boolean"},"name":{},"resourceType":{},"permission":{},"creationTime":{"type":"timestamp"},"lastUpdatedTime":{"type":"timestamp"},"isResourceTypeDefault":{"type":"boolean"}}}}}},"GetResourcePolicies":{"http":{"requestUri":"/getresourcepolicies"},"input":{"type":"structure","required":["resourceArns"],"members":{"resourceArns":{"shape":"Sd"},"principal":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"policies":{"type":"list","member":{}},"nextToken":{}}}},"GetResourceShareAssociations":{"http":{"requestUri":"/getresourceshareassociations"},"input":{"type":"structure","required":["associationType"],"members":{"associationType":{},"resourceShareArns":{"shape":"S1a"},"resourceArn":{},"principal":{},"associationStatus":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"resourceShareAssociations":{"shape":"S7"},"nextToken":{}}}},"GetResourceShareInvitations":{"http":{"requestUri":"/getresourceshareinvitations"},"input":{"type":"structure","members":{"resourceShareInvitationArns":{"type":"list","member":{}},"resourceShareArns":{"shape":"S1a"},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"resourceShareInvitations":{"type":"list","member":{"shape":"S4"}},"nextToken":{}}}},"GetResourceShares":{"http":{"requestUri":"/getresourceshares"},"input":{"type":"structure","required":["resourceOwner"],"members":{"resourceShareArns":{"shape":"S1a"},"resourceShareStatus":{},"resourceOwner":{},"name":{},"tagFilters":{"type":"list","member":{"type":"structure","members":{"tagKey":{},"tagValues":{"type":"list","member":{}}}}},"nextToken":{},"maxResults":{"type":"integer"},"permissionArn":{}}},"output":{"type":"structure","members":{"resourceShares":{"type":"list","member":{"shape":"Sq"}},"nextToken":{}}}},"ListPendingInvitationResources":{"http":{"requestUri":"/listpendinginvitationresources"},"input":{"type":"structure","required":["resourceShareInvitationArn"],"members":{"resourceShareInvitationArn":{},"nextToken":{},"maxResults":{"type":"integer"},"resourceRegionScope":{}}},"output":{"type":"structure","members":{"resources":{"shape":"S1q"},"nextToken":{}}}},"ListPermissions":{"http":{"requestUri":"/listpermissions"},"input":{"type":"structure","members":{"resourceType":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"permissions":{"shape":"S1w"},"nextToken":{}}}},"ListPrincipals":{"http":{"requestUri":"/listprincipals"},"input":{"type":"structure","required":["resourceOwner"],"members":{"resourceOwner":{},"resourceArn":{},"principals":{"shape":"Se"},"resourceType":{},"resourceShareArns":{"shape":"S1a"},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"principals":{"type":"list","member":{"type":"structure","members":{"id":{},"resourceShareArn":{},"creationTime":{"type":"timestamp"},"lastUpdatedTime":{"type":"timestamp"},"external":{"type":"boolean"}}}},"nextToken":{}}}},"ListResourceSharePermissions":{"http":{"requestUri":"/listresourcesharepermissions"},"input":{"type":"structure","required":["resourceShareArn"],"members":{"resourceShareArn":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"permissions":{"shape":"S1w"},"nextToken":{}}}},"ListResourceTypes":{"http":{"requestUri":"/listresourcetypes"},"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"},"resourceRegionScope":{}}},"output":{"type":"structure","members":{"resourceTypes":{"type":"list","member":{"type":"structure","members":{"resourceType":{},"serviceName":{},"resourceRegionScope":{}}}},"nextToken":{}}}},"ListResources":{"http":{"requestUri":"/listresources"},"input":{"type":"structure","required":["resourceOwner"],"members":{"resourceOwner":{},"principal":{},"resourceType":{},"resourceArns":{"shape":"Sd"},"resourceShareArns":{"shape":"S1a"},"nextToken":{},"maxResults":{"type":"integer"},"resourceRegionScope":{}}},"output":{"type":"structure","members":{"resources":{"shape":"S1q"},"nextToken":{}}}},"PromoteResourceShareCreatedFromPolicy":{"http":{"requestUri":"/promoteresourcesharecreatedfrompolicy"},"input":{"type":"structure","required":["resourceShareArn"],"members":{"resourceShareArn":{"location":"querystring","locationName":"resourceShareArn"}}},"output":{"type":"structure","members":{"returnValue":{"type":"boolean"}}}},"RejectResourceShareInvitation":{"http":{"requestUri":"/rejectresourceshareinvitation"},"input":{"type":"structure","required":["resourceShareInvitationArn"],"members":{"resourceShareInvitationArn":{},"clientToken":{}}},"output":{"type":"structure","members":{"resourceShareInvitation":{"shape":"S4"},"clientToken":{}}}},"TagResource":{"http":{"requestUri":"/tagresource"},"input":{"type":"structure","required":["resourceShareArn","tags"],"members":{"resourceShareArn":{},"tags":{"shape":"Sk"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"requestUri":"/untagresource"},"input":{"type":"structure","required":["resourceShareArn","tagKeys"],"members":{"resourceShareArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateResourceShare":{"http":{"requestUri":"/updateresourceshare"},"input":{"type":"structure","required":["resourceShareArn"],"members":{"resourceShareArn":{},"name":{},"allowExternalPrincipals":{"type":"boolean"},"clientToken":{}}},"output":{"type":"structure","members":{"resourceShare":{"shape":"Sq"},"clientToken":{}}}}},"shapes":{"S4":{"type":"structure","members":{"resourceShareInvitationArn":{},"resourceShareName":{},"resourceShareArn":{},"senderAccountId":{},"receiverAccountId":{},"invitationTimestamp":{"type":"timestamp"},"status":{},"resourceShareAssociations":{"shape":"S7","deprecated":true,"deprecatedMessage":"This member has been deprecated. Use ListPendingInvitationResources."},"receiverArn":{}}},"S7":{"type":"list","member":{"type":"structure","members":{"resourceShareArn":{},"resourceShareName":{},"associatedEntity":{},"associationType":{},"status":{},"statusMessage":{},"creationTime":{"type":"timestamp"},"lastUpdatedTime":{"type":"timestamp"},"external":{"type":"boolean"}}}},"Sd":{"type":"list","member":{}},"Se":{"type":"list","member":{}},"Sk":{"type":"list","member":{"type":"structure","members":{"key":{},"value":{}}}},"Sq":{"type":"structure","members":{"resourceShareArn":{},"name":{},"owningAccountId":{},"allowExternalPrincipals":{"type":"boolean"},"status":{},"statusMessage":{},"tags":{"shape":"Sk"},"creationTime":{"type":"timestamp"},"lastUpdatedTime":{"type":"timestamp"},"featureSet":{}}},"S1a":{"type":"list","member":{}},"S1q":{"type":"list","member":{"type":"structure","members":{"arn":{},"type":{},"resourceShareArn":{},"resourceGroupArn":{},"status":{},"statusMessage":{},"creationTime":{"type":"timestamp"},"lastUpdatedTime":{"type":"timestamp"},"resourceRegionScope":{}}}},"S1w":{"type":"list","member":{"type":"structure","members":{"arn":{},"version":{},"defaultVersion":{"type":"boolean"},"name":{},"resourceType":{},"status":{},"creationTime":{"type":"timestamp"},"lastUpdatedTime":{"type":"timestamp"},"isResourceTypeDefault":{"type":"boolean"}}}}}}');

/***/ }),

/***/ 85336:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetResourcePolicies":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetResourceShareAssociations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetResourceShareInvitations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"GetResourceShares":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListPendingInvitationResources":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListPermissions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListPrincipals":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListResourceSharePermissions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListResourceTypes":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListResources":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 18897:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-06-15","endpointPrefix":"rbin","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Recycle Bin","serviceId":"rbin","signatureVersion":"v4","signingName":"rbin","uid":"rbin-2021-06-15"},"operations":{"CreateRule":{"http":{"requestUri":"/rules","responseCode":201},"input":{"type":"structure","required":["RetentionPeriod","ResourceType"],"members":{"RetentionPeriod":{"shape":"S2"},"Description":{},"Tags":{"shape":"S6"},"ResourceType":{},"ResourceTags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Identifier":{},"RetentionPeriod":{"shape":"S2"},"Description":{},"Tags":{"shape":"S6"},"ResourceType":{},"ResourceTags":{"shape":"Sb"},"Status":{}}}},"DeleteRule":{"http":{"method":"DELETE","requestUri":"/rules/{identifier}","responseCode":204},"input":{"type":"structure","required":["Identifier"],"members":{"Identifier":{"location":"uri","locationName":"identifier"}}},"output":{"type":"structure","members":{}}},"GetRule":{"http":{"method":"GET","requestUri":"/rules/{identifier}","responseCode":200},"input":{"type":"structure","required":["Identifier"],"members":{"Identifier":{"location":"uri","locationName":"identifier"}}},"output":{"type":"structure","members":{"Identifier":{},"Description":{},"ResourceType":{},"RetentionPeriod":{"shape":"S2"},"ResourceTags":{"shape":"Sb"},"Status":{}}}},"ListRules":{"http":{"requestUri":"/list-rules","responseCode":200},"input":{"type":"structure","required":["ResourceType"],"members":{"MaxResults":{"type":"integer"},"NextToken":{},"ResourceType":{},"ResourceTags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Rules":{"type":"list","member":{"type":"structure","members":{"Identifier":{},"Description":{},"RetentionPeriod":{"shape":"S2"}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S6"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":201},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"S6"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateRule":{"http":{"method":"PATCH","requestUri":"/rules/{identifier}","responseCode":200},"input":{"type":"structure","required":["Identifier"],"members":{"Identifier":{"location":"uri","locationName":"identifier"},"RetentionPeriod":{"shape":"S2"},"Description":{},"ResourceType":{},"ResourceTags":{"shape":"Sb"}}},"output":{"type":"structure","members":{"Identifier":{},"RetentionPeriod":{"shape":"S2"},"Description":{},"ResourceType":{},"ResourceTags":{"shape":"Sb"},"Status":{}}}}},"shapes":{"S2":{"type":"structure","required":["RetentionPeriodValue","RetentionPeriodUnit"],"members":{"RetentionPeriodValue":{"type":"integer"},"RetentionPeriodUnit":{}}},"S6":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sb":{"type":"list","member":{"type":"structure","required":["ResourceTagKey"],"members":{"ResourceTagKey":{},"ResourceTagValue":{}}}}}}');

/***/ }),

/***/ 57601:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListRules":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Rules"}}}');

/***/ }),

/***/ 59989:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2013-01-10","endpointPrefix":"rds","protocol":"query","serviceAbbreviation":"Amazon RDS","serviceFullName":"Amazon Relational Database Service","serviceId":"RDS","signatureVersion":"v4","uid":"rds-2013-01-10","xmlNamespace":"http://rds.amazonaws.com/doc/2013-01-10/"},"operations":{"AddSourceIdentifierToSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"AddSourceIdentifierToSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"AddTagsToResource":{"input":{"type":"structure","required":["ResourceName","Tags"],"members":{"ResourceName":{},"Tags":{"shape":"S9"}}}},"AuthorizeDBSecurityGroupIngress":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{},"CIDRIP":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"AuthorizeDBSecurityGroupIngressResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sd"}}}},"CopyDBSnapshot":{"input":{"type":"structure","required":["SourceDBSnapshotIdentifier","TargetDBSnapshotIdentifier"],"members":{"SourceDBSnapshotIdentifier":{},"TargetDBSnapshotIdentifier":{}}},"output":{"resultWrapper":"CopyDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"Sk"}}}},"CreateDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier","AllocatedStorage","DBInstanceClass","Engine","MasterUsername","MasterUserPassword"],"members":{"DBName":{},"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"Engine":{},"MasterUsername":{},"MasterUserPassword":{},"DBSecurityGroups":{"shape":"Sp"},"VpcSecurityGroupIds":{"shape":"Sq"},"AvailabilityZone":{},"DBSubnetGroupName":{},"PreferredMaintenanceWindow":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"Port":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupName":{},"CharacterSetName":{},"PubliclyAccessible":{"type":"boolean"}}},"output":{"resultWrapper":"CreateDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"CreateDBInstanceReadReplica":{"input":{"type":"structure","required":["DBInstanceIdentifier","SourceDBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"SourceDBInstanceIdentifier":{},"DBInstanceClass":{},"AvailabilityZone":{},"Port":{"type":"integer"},"AutoMinorVersionUpgrade":{"type":"boolean"},"Iops":{"type":"integer"},"OptionGroupName":{},"PubliclyAccessible":{"type":"boolean"}}},"output":{"resultWrapper":"CreateDBInstanceReadReplicaResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"CreateDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName","DBParameterGroupFamily","Description"],"members":{"DBParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{}}},"output":{"resultWrapper":"CreateDBParameterGroupResult","type":"structure","members":{"DBParameterGroup":{"shape":"S1c"}}}},"CreateDBSecurityGroup":{"input":{"type":"structure","required":["DBSecurityGroupName","DBSecurityGroupDescription"],"members":{"DBSecurityGroupName":{},"DBSecurityGroupDescription":{}}},"output":{"resultWrapper":"CreateDBSecurityGroupResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sd"}}}},"CreateDBSnapshot":{"input":{"type":"structure","required":["DBSnapshotIdentifier","DBInstanceIdentifier"],"members":{"DBSnapshotIdentifier":{},"DBInstanceIdentifier":{}}},"output":{"resultWrapper":"CreateDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"Sk"}}}},"CreateDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","DBSubnetGroupDescription","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S1i"}}},"output":{"resultWrapper":"CreateDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S11"}}}},"CreateEventSubscription":{"input":{"type":"structure","required":["SubscriptionName","SnsTopicArn"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S6"},"SourceIds":{"shape":"S5"},"Enabled":{"type":"boolean"}}},"output":{"resultWrapper":"CreateEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"CreateOptionGroup":{"input":{"type":"structure","required":["OptionGroupName","EngineName","MajorEngineVersion","OptionGroupDescription"],"members":{"OptionGroupName":{},"EngineName":{},"MajorEngineVersion":{},"OptionGroupDescription":{}}},"output":{"resultWrapper":"CreateOptionGroupResult","type":"structure","members":{"OptionGroup":{"shape":"S1o"}}}},"DeleteDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"SkipFinalSnapshot":{"type":"boolean"},"FinalDBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"DeleteDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{}}}},"DeleteDBSecurityGroup":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{}}}},"DeleteDBSnapshot":{"input":{"type":"structure","required":["DBSnapshotIdentifier"],"members":{"DBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"Sk"}}}},"DeleteDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName"],"members":{"DBSubnetGroupName":{}}}},"DeleteEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{}}},"output":{"resultWrapper":"DeleteEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"DeleteOptionGroup":{"input":{"type":"structure","required":["OptionGroupName"],"members":{"OptionGroupName":{}}}},"DescribeDBEngineVersions":{"input":{"type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"MaxRecords":{"type":"integer"},"Marker":{},"DefaultOnly":{"type":"boolean"},"ListSupportedCharacterSets":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeDBEngineVersionsResult","type":"structure","members":{"Marker":{},"DBEngineVersions":{"type":"list","member":{"locationName":"DBEngineVersion","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"DBEngineDescription":{},"DBEngineVersionDescription":{},"DefaultCharacterSet":{"shape":"S25"},"SupportedCharacterSets":{"type":"list","member":{"shape":"S25","locationName":"CharacterSet"}}}}}}}},"DescribeDBInstances":{"input":{"type":"structure","members":{"DBInstanceIdentifier":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBInstancesResult","type":"structure","members":{"Marker":{},"DBInstances":{"type":"list","member":{"shape":"St","locationName":"DBInstance"}}}}},"DescribeDBParameterGroups":{"input":{"type":"structure","members":{"DBParameterGroupName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBParameterGroupsResult","type":"structure","members":{"Marker":{},"DBParameterGroups":{"type":"list","member":{"shape":"S1c","locationName":"DBParameterGroup"}}}}},"DescribeDBParameters":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{},"Source":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBParametersResult","type":"structure","members":{"Parameters":{"shape":"S2f"},"Marker":{}}}},"DescribeDBSecurityGroups":{"input":{"type":"structure","members":{"DBSecurityGroupName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSecurityGroupsResult","type":"structure","members":{"Marker":{},"DBSecurityGroups":{"type":"list","member":{"shape":"Sd","locationName":"DBSecurityGroup"}}}}},"DescribeDBSnapshots":{"input":{"type":"structure","members":{"DBInstanceIdentifier":{},"DBSnapshotIdentifier":{},"SnapshotType":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSnapshotsResult","type":"structure","members":{"Marker":{},"DBSnapshots":{"type":"list","member":{"shape":"Sk","locationName":"DBSnapshot"}}}}},"DescribeDBSubnetGroups":{"input":{"type":"structure","members":{"DBSubnetGroupName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSubnetGroupsResult","type":"structure","members":{"Marker":{},"DBSubnetGroups":{"type":"list","member":{"shape":"S11","locationName":"DBSubnetGroup"}}}}},"DescribeEngineDefaultParameters":{"input":{"type":"structure","required":["DBParameterGroupFamily"],"members":{"DBParameterGroupFamily":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEngineDefaultParametersResult","type":"structure","members":{"EngineDefaults":{"type":"structure","members":{"DBParameterGroupFamily":{},"Marker":{},"Parameters":{"shape":"S2f"}},"wrapper":true}}}},"DescribeEventCategories":{"input":{"type":"structure","members":{"SourceType":{}}},"output":{"resultWrapper":"DescribeEventCategoriesResult","type":"structure","members":{"EventCategoriesMapList":{"type":"list","member":{"locationName":"EventCategoriesMap","type":"structure","members":{"SourceType":{},"EventCategories":{"shape":"S6"}},"wrapper":true}}}}},"DescribeEventSubscriptions":{"input":{"type":"structure","members":{"SubscriptionName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventSubscriptionsResult","type":"structure","members":{"Marker":{},"EventSubscriptionsList":{"type":"list","member":{"shape":"S4","locationName":"EventSubscription"}}}}},"DescribeEvents":{"input":{"type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Duration":{"type":"integer"},"EventCategories":{"shape":"S6"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventsResult","type":"structure","members":{"Marker":{},"Events":{"type":"list","member":{"locationName":"Event","type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"Message":{},"EventCategories":{"shape":"S6"},"Date":{"type":"timestamp"}}}}}}},"DescribeOptionGroupOptions":{"input":{"type":"structure","required":["EngineName"],"members":{"EngineName":{},"MajorEngineVersion":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOptionGroupOptionsResult","type":"structure","members":{"OptionGroupOptions":{"type":"list","member":{"locationName":"OptionGroupOption","type":"structure","members":{"Name":{},"Description":{},"EngineName":{},"MajorEngineVersion":{},"MinimumRequiredMinorEngineVersion":{},"PortRequired":{"type":"boolean"},"DefaultPort":{"type":"integer"},"OptionsDependedOn":{"type":"list","member":{"locationName":"OptionName"}}}}},"Marker":{}}}},"DescribeOptionGroups":{"input":{"type":"structure","members":{"OptionGroupName":{},"Marker":{},"MaxRecords":{"type":"integer"},"EngineName":{},"MajorEngineVersion":{}}},"output":{"resultWrapper":"DescribeOptionGroupsResult","type":"structure","members":{"OptionGroupsList":{"type":"list","member":{"shape":"S1o","locationName":"OptionGroup"}},"Marker":{}}}},"DescribeOrderableDBInstanceOptions":{"input":{"type":"structure","required":["Engine"],"members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"Vpc":{"type":"boolean"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOrderableDBInstanceOptionsResult","type":"structure","members":{"OrderableDBInstanceOptions":{"type":"list","member":{"locationName":"OrderableDBInstanceOption","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"AvailabilityZones":{"type":"list","member":{"shape":"S14","locationName":"AvailabilityZone"}},"MultiAZCapable":{"type":"boolean"},"ReadReplicaCapable":{"type":"boolean"},"Vpc":{"type":"boolean"}},"wrapper":true}},"Marker":{}}}},"DescribeReservedDBInstances":{"input":{"type":"structure","members":{"ReservedDBInstanceId":{},"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedDBInstancesResult","type":"structure","members":{"Marker":{},"ReservedDBInstances":{"type":"list","member":{"shape":"S3m","locationName":"ReservedDBInstance"}}}}},"DescribeReservedDBInstancesOfferings":{"input":{"type":"structure","members":{"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedDBInstancesOfferingsResult","type":"structure","members":{"Marker":{},"ReservedDBInstancesOfferings":{"type":"list","member":{"locationName":"ReservedDBInstancesOffering","type":"structure","members":{"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"RecurringCharges":{"shape":"S3o"}},"wrapper":true}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceName"],"members":{"ResourceName":{}}},"output":{"resultWrapper":"ListTagsForResourceResult","type":"structure","members":{"TagList":{"shape":"S9"}}}},"ModifyDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"DBSecurityGroups":{"shape":"Sp"},"VpcSecurityGroupIds":{"shape":"Sq"},"ApplyImmediately":{"type":"boolean"},"MasterUserPassword":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AllowMajorVersionUpgrade":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"Iops":{"type":"integer"},"OptionGroupName":{},"NewDBInstanceIdentifier":{}}},"output":{"resultWrapper":"ModifyDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"ModifyDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName","Parameters"],"members":{"DBParameterGroupName":{},"Parameters":{"shape":"S2f"}}},"output":{"shape":"S3z","resultWrapper":"ModifyDBParameterGroupResult"}},"ModifyDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S1i"}}},"output":{"resultWrapper":"ModifyDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S11"}}}},"ModifyEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S6"},"Enabled":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"ModifyOptionGroup":{"input":{"type":"structure","required":["OptionGroupName"],"members":{"OptionGroupName":{},"OptionsToInclude":{"type":"list","member":{"locationName":"OptionConfiguration","type":"structure","required":["OptionName"],"members":{"OptionName":{},"Port":{"type":"integer"},"DBSecurityGroupMemberships":{"shape":"Sp"},"VpcSecurityGroupMemberships":{"shape":"Sq"}}}},"OptionsToRemove":{"type":"list","member":{}},"ApplyImmediately":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyOptionGroupResult","type":"structure","members":{"OptionGroup":{"shape":"S1o"}}}},"PromoteReadReplica":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{}}},"output":{"resultWrapper":"PromoteReadReplicaResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"PurchaseReservedDBInstancesOffering":{"input":{"type":"structure","required":["ReservedDBInstancesOfferingId"],"members":{"ReservedDBInstancesOfferingId":{},"ReservedDBInstanceId":{},"DBInstanceCount":{"type":"integer"}}},"output":{"resultWrapper":"PurchaseReservedDBInstancesOfferingResult","type":"structure","members":{"ReservedDBInstance":{"shape":"S3m"}}}},"RebootDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"ForceFailover":{"type":"boolean"}}},"output":{"resultWrapper":"RebootDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"RemoveSourceIdentifierFromSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"RemoveSourceIdentifierFromSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceName","TagKeys"],"members":{"ResourceName":{},"TagKeys":{"type":"list","member":{}}}}},"ResetDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{},"ResetAllParameters":{"type":"boolean"},"Parameters":{"shape":"S2f"}}},"output":{"shape":"S3z","resultWrapper":"ResetDBParameterGroupResult"}},"RestoreDBInstanceFromDBSnapshot":{"input":{"type":"structure","required":["DBInstanceIdentifier","DBSnapshotIdentifier"],"members":{"DBInstanceIdentifier":{},"DBSnapshotIdentifier":{},"DBInstanceClass":{},"Port":{"type":"integer"},"AvailabilityZone":{},"DBSubnetGroupName":{},"MultiAZ":{"type":"boolean"},"PubliclyAccessible":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"DBName":{},"Engine":{},"Iops":{"type":"integer"},"OptionGroupName":{}}},"output":{"resultWrapper":"RestoreDBInstanceFromDBSnapshotResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"RestoreDBInstanceToPointInTime":{"input":{"type":"structure","required":["SourceDBInstanceIdentifier","TargetDBInstanceIdentifier"],"members":{"SourceDBInstanceIdentifier":{},"TargetDBInstanceIdentifier":{},"RestoreTime":{"type":"timestamp"},"UseLatestRestorableTime":{"type":"boolean"},"DBInstanceClass":{},"Port":{"type":"integer"},"AvailabilityZone":{},"DBSubnetGroupName":{},"MultiAZ":{"type":"boolean"},"PubliclyAccessible":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"DBName":{},"Engine":{},"Iops":{"type":"integer"},"OptionGroupName":{}}},"output":{"resultWrapper":"RestoreDBInstanceToPointInTimeResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"RevokeDBSecurityGroupIngress":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{},"CIDRIP":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"RevokeDBSecurityGroupIngressResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sd"}}}}},"shapes":{"S4":{"type":"structure","members":{"Id":{},"CustomerAwsId":{},"CustSubscriptionId":{},"SnsTopicArn":{},"Status":{},"SubscriptionCreationTime":{},"SourceType":{},"SourceIdsList":{"shape":"S5"},"EventCategoriesList":{"shape":"S6"},"Enabled":{"type":"boolean"}},"wrapper":true},"S5":{"type":"list","member":{"locationName":"SourceId"}},"S6":{"type":"list","member":{"locationName":"EventCategory"}},"S9":{"type":"list","member":{"locationName":"Tag","type":"structure","members":{"Key":{},"Value":{}}}},"Sd":{"type":"structure","members":{"OwnerId":{},"DBSecurityGroupName":{},"DBSecurityGroupDescription":{},"VpcId":{},"EC2SecurityGroups":{"type":"list","member":{"locationName":"EC2SecurityGroup","type":"structure","members":{"Status":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}}},"IPRanges":{"type":"list","member":{"locationName":"IPRange","type":"structure","members":{"Status":{},"CIDRIP":{}}}}},"wrapper":true},"Sk":{"type":"structure","members":{"DBSnapshotIdentifier":{},"DBInstanceIdentifier":{},"SnapshotCreateTime":{"type":"timestamp"},"Engine":{},"AllocatedStorage":{"type":"integer"},"Status":{},"Port":{"type":"integer"},"AvailabilityZone":{},"VpcId":{},"InstanceCreateTime":{"type":"timestamp"},"MasterUsername":{},"EngineVersion":{},"LicenseModel":{},"SnapshotType":{},"Iops":{"type":"integer"}},"wrapper":true},"Sp":{"type":"list","member":{"locationName":"DBSecurityGroupName"}},"Sq":{"type":"list","member":{"locationName":"VpcSecurityGroupId"}},"St":{"type":"structure","members":{"DBInstanceIdentifier":{},"DBInstanceClass":{},"Engine":{},"DBInstanceStatus":{},"MasterUsername":{},"DBName":{},"Endpoint":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"}}},"AllocatedStorage":{"type":"integer"},"InstanceCreateTime":{"type":"timestamp"},"PreferredBackupWindow":{},"BackupRetentionPeriod":{"type":"integer"},"DBSecurityGroups":{"shape":"Sv"},"VpcSecurityGroups":{"shape":"Sx"},"DBParameterGroups":{"type":"list","member":{"locationName":"DBParameterGroup","type":"structure","members":{"DBParameterGroupName":{},"ParameterApplyStatus":{}}}},"AvailabilityZone":{},"DBSubnetGroup":{"shape":"S11"},"PreferredMaintenanceWindow":{},"PendingModifiedValues":{"type":"structure","members":{"DBInstanceClass":{},"AllocatedStorage":{"type":"integer"},"MasterUserPassword":{},"Port":{"type":"integer"},"BackupRetentionPeriod":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"Iops":{"type":"integer"},"DBInstanceIdentifier":{}}},"LatestRestorableTime":{"type":"timestamp"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"ReadReplicaSourceDBInstanceIdentifier":{},"ReadReplicaDBInstanceIdentifiers":{"type":"list","member":{"locationName":"ReadReplicaDBInstanceIdentifier"}},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupMembership":{"type":"structure","members":{"OptionGroupName":{},"Status":{}}},"CharacterSetName":{},"SecondaryAvailabilityZone":{},"PubliclyAccessible":{"type":"boolean"}},"wrapper":true},"Sv":{"type":"list","member":{"locationName":"DBSecurityGroup","type":"structure","members":{"DBSecurityGroupName":{},"Status":{}}}},"Sx":{"type":"list","member":{"locationName":"VpcSecurityGroupMembership","type":"structure","members":{"VpcSecurityGroupId":{},"Status":{}}}},"S11":{"type":"structure","members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"VpcId":{},"SubnetGroupStatus":{},"Subnets":{"type":"list","member":{"locationName":"Subnet","type":"structure","members":{"SubnetIdentifier":{},"SubnetAvailabilityZone":{"shape":"S14"},"SubnetStatus":{}}}}},"wrapper":true},"S14":{"type":"structure","members":{"Name":{},"ProvisionedIopsCapable":{"type":"boolean"}},"wrapper":true},"S1c":{"type":"structure","members":{"DBParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{}},"wrapper":true},"S1i":{"type":"list","member":{"locationName":"SubnetIdentifier"}},"S1o":{"type":"structure","members":{"OptionGroupName":{},"OptionGroupDescription":{},"EngineName":{},"MajorEngineVersion":{},"Options":{"type":"list","member":{"locationName":"Option","type":"structure","members":{"OptionName":{},"OptionDescription":{},"Port":{"type":"integer"},"DBSecurityGroupMemberships":{"shape":"Sv"},"VpcSecurityGroupMemberships":{"shape":"Sx"}}}},"AllowsVpcAndNonVpcInstanceMemberships":{"type":"boolean"},"VpcId":{}},"wrapper":true},"S25":{"type":"structure","members":{"CharacterSetName":{},"CharacterSetDescription":{}}},"S2f":{"type":"list","member":{"locationName":"Parameter","type":"structure","members":{"ParameterName":{},"ParameterValue":{},"Description":{},"Source":{},"ApplyType":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"MinimumEngineVersion":{},"ApplyMethod":{}}}},"S3m":{"type":"structure","members":{"ReservedDBInstanceId":{},"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"StartTime":{"type":"timestamp"},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"DBInstanceCount":{"type":"integer"},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"State":{},"RecurringCharges":{"shape":"S3o"}},"wrapper":true},"S3o":{"type":"list","member":{"locationName":"RecurringCharge","type":"structure","members":{"RecurringChargeAmount":{"type":"double"},"RecurringChargeFrequency":{}},"wrapper":true}},"S3z":{"type":"structure","members":{"DBParameterGroupName":{}}}}}');

/***/ }),

/***/ 978:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeDBEngineVersions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBEngineVersions"},"DescribeDBInstances":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBInstances"},"DescribeDBParameterGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBParameterGroups"},"DescribeDBParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Parameters"},"DescribeDBSecurityGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSecurityGroups"},"DescribeDBSnapshots":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSnapshots"},"DescribeDBSubnetGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSubnetGroups"},"DescribeEngineDefaultParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"EngineDefaults.Marker","result_key":"EngineDefaults.Parameters"},"DescribeEventSubscriptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"EventSubscriptionsList"},"DescribeEvents":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Events"},"DescribeOptionGroupOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OptionGroupOptions"},"DescribeOptionGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OptionGroupsList"},"DescribeOrderableDBInstanceOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OrderableDBInstanceOptions"},"DescribeReservedDBInstances":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedDBInstances"},"DescribeReservedDBInstancesOfferings":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedDBInstancesOfferings"},"ListTagsForResource":{"result_key":"TagList"}}}');

/***/ }),

/***/ 55061:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2013-02-12","endpointPrefix":"rds","protocol":"query","serviceAbbreviation":"Amazon RDS","serviceFullName":"Amazon Relational Database Service","serviceId":"RDS","signatureVersion":"v4","uid":"rds-2013-02-12","xmlNamespace":"http://rds.amazonaws.com/doc/2013-02-12/"},"operations":{"AddSourceIdentifierToSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"AddSourceIdentifierToSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"AddTagsToResource":{"input":{"type":"structure","required":["ResourceName","Tags"],"members":{"ResourceName":{},"Tags":{"shape":"S9"}}}},"AuthorizeDBSecurityGroupIngress":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{},"CIDRIP":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"AuthorizeDBSecurityGroupIngressResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sd"}}}},"CopyDBSnapshot":{"input":{"type":"structure","required":["SourceDBSnapshotIdentifier","TargetDBSnapshotIdentifier"],"members":{"SourceDBSnapshotIdentifier":{},"TargetDBSnapshotIdentifier":{}}},"output":{"resultWrapper":"CopyDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"Sk"}}}},"CreateDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier","AllocatedStorage","DBInstanceClass","Engine","MasterUsername","MasterUserPassword"],"members":{"DBName":{},"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"Engine":{},"MasterUsername":{},"MasterUserPassword":{},"DBSecurityGroups":{"shape":"Sp"},"VpcSecurityGroupIds":{"shape":"Sq"},"AvailabilityZone":{},"DBSubnetGroupName":{},"PreferredMaintenanceWindow":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"Port":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupName":{},"CharacterSetName":{},"PubliclyAccessible":{"type":"boolean"}}},"output":{"resultWrapper":"CreateDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"CreateDBInstanceReadReplica":{"input":{"type":"structure","required":["DBInstanceIdentifier","SourceDBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"SourceDBInstanceIdentifier":{},"DBInstanceClass":{},"AvailabilityZone":{},"Port":{"type":"integer"},"AutoMinorVersionUpgrade":{"type":"boolean"},"Iops":{"type":"integer"},"OptionGroupName":{},"PubliclyAccessible":{"type":"boolean"}}},"output":{"resultWrapper":"CreateDBInstanceReadReplicaResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"CreateDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName","DBParameterGroupFamily","Description"],"members":{"DBParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{}}},"output":{"resultWrapper":"CreateDBParameterGroupResult","type":"structure","members":{"DBParameterGroup":{"shape":"S1d"}}}},"CreateDBSecurityGroup":{"input":{"type":"structure","required":["DBSecurityGroupName","DBSecurityGroupDescription"],"members":{"DBSecurityGroupName":{},"DBSecurityGroupDescription":{}}},"output":{"resultWrapper":"CreateDBSecurityGroupResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sd"}}}},"CreateDBSnapshot":{"input":{"type":"structure","required":["DBSnapshotIdentifier","DBInstanceIdentifier"],"members":{"DBSnapshotIdentifier":{},"DBInstanceIdentifier":{}}},"output":{"resultWrapper":"CreateDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"Sk"}}}},"CreateDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","DBSubnetGroupDescription","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S1j"}}},"output":{"resultWrapper":"CreateDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S11"}}}},"CreateEventSubscription":{"input":{"type":"structure","required":["SubscriptionName","SnsTopicArn"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S6"},"SourceIds":{"shape":"S5"},"Enabled":{"type":"boolean"}}},"output":{"resultWrapper":"CreateEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"CreateOptionGroup":{"input":{"type":"structure","required":["OptionGroupName","EngineName","MajorEngineVersion","OptionGroupDescription"],"members":{"OptionGroupName":{},"EngineName":{},"MajorEngineVersion":{},"OptionGroupDescription":{}}},"output":{"resultWrapper":"CreateOptionGroupResult","type":"structure","members":{"OptionGroup":{"shape":"S1p"}}}},"DeleteDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"SkipFinalSnapshot":{"type":"boolean"},"FinalDBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"DeleteDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{}}}},"DeleteDBSecurityGroup":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{}}}},"DeleteDBSnapshot":{"input":{"type":"structure","required":["DBSnapshotIdentifier"],"members":{"DBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"Sk"}}}},"DeleteDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName"],"members":{"DBSubnetGroupName":{}}}},"DeleteEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{}}},"output":{"resultWrapper":"DeleteEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"DeleteOptionGroup":{"input":{"type":"structure","required":["OptionGroupName"],"members":{"OptionGroupName":{}}}},"DescribeDBEngineVersions":{"input":{"type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"MaxRecords":{"type":"integer"},"Marker":{},"DefaultOnly":{"type":"boolean"},"ListSupportedCharacterSets":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeDBEngineVersionsResult","type":"structure","members":{"Marker":{},"DBEngineVersions":{"type":"list","member":{"locationName":"DBEngineVersion","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"DBEngineDescription":{},"DBEngineVersionDescription":{},"DefaultCharacterSet":{"shape":"S28"},"SupportedCharacterSets":{"type":"list","member":{"shape":"S28","locationName":"CharacterSet"}}}}}}}},"DescribeDBInstances":{"input":{"type":"structure","members":{"DBInstanceIdentifier":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBInstancesResult","type":"structure","members":{"Marker":{},"DBInstances":{"type":"list","member":{"shape":"St","locationName":"DBInstance"}}}}},"DescribeDBLogFiles":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"FilenameContains":{},"FileLastWritten":{"type":"long"},"FileSize":{"type":"long"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBLogFilesResult","type":"structure","members":{"DescribeDBLogFiles":{"type":"list","member":{"locationName":"DescribeDBLogFilesDetails","type":"structure","members":{"LogFileName":{},"LastWritten":{"type":"long"},"Size":{"type":"long"}}}},"Marker":{}}}},"DescribeDBParameterGroups":{"input":{"type":"structure","members":{"DBParameterGroupName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBParameterGroupsResult","type":"structure","members":{"Marker":{},"DBParameterGroups":{"type":"list","member":{"shape":"S1d","locationName":"DBParameterGroup"}}}}},"DescribeDBParameters":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{},"Source":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBParametersResult","type":"structure","members":{"Parameters":{"shape":"S2n"},"Marker":{}}}},"DescribeDBSecurityGroups":{"input":{"type":"structure","members":{"DBSecurityGroupName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSecurityGroupsResult","type":"structure","members":{"Marker":{},"DBSecurityGroups":{"type":"list","member":{"shape":"Sd","locationName":"DBSecurityGroup"}}}}},"DescribeDBSnapshots":{"input":{"type":"structure","members":{"DBInstanceIdentifier":{},"DBSnapshotIdentifier":{},"SnapshotType":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSnapshotsResult","type":"structure","members":{"Marker":{},"DBSnapshots":{"type":"list","member":{"shape":"Sk","locationName":"DBSnapshot"}}}}},"DescribeDBSubnetGroups":{"input":{"type":"structure","members":{"DBSubnetGroupName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSubnetGroupsResult","type":"structure","members":{"Marker":{},"DBSubnetGroups":{"type":"list","member":{"shape":"S11","locationName":"DBSubnetGroup"}}}}},"DescribeEngineDefaultParameters":{"input":{"type":"structure","required":["DBParameterGroupFamily"],"members":{"DBParameterGroupFamily":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEngineDefaultParametersResult","type":"structure","members":{"EngineDefaults":{"type":"structure","members":{"DBParameterGroupFamily":{},"Marker":{},"Parameters":{"shape":"S2n"}},"wrapper":true}}}},"DescribeEventCategories":{"input":{"type":"structure","members":{"SourceType":{}}},"output":{"resultWrapper":"DescribeEventCategoriesResult","type":"structure","members":{"EventCategoriesMapList":{"type":"list","member":{"locationName":"EventCategoriesMap","type":"structure","members":{"SourceType":{},"EventCategories":{"shape":"S6"}},"wrapper":true}}}}},"DescribeEventSubscriptions":{"input":{"type":"structure","members":{"SubscriptionName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventSubscriptionsResult","type":"structure","members":{"Marker":{},"EventSubscriptionsList":{"type":"list","member":{"shape":"S4","locationName":"EventSubscription"}}}}},"DescribeEvents":{"input":{"type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Duration":{"type":"integer"},"EventCategories":{"shape":"S6"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventsResult","type":"structure","members":{"Marker":{},"Events":{"type":"list","member":{"locationName":"Event","type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"Message":{},"EventCategories":{"shape":"S6"},"Date":{"type":"timestamp"}}}}}}},"DescribeOptionGroupOptions":{"input":{"type":"structure","required":["EngineName"],"members":{"EngineName":{},"MajorEngineVersion":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOptionGroupOptionsResult","type":"structure","members":{"OptionGroupOptions":{"type":"list","member":{"locationName":"OptionGroupOption","type":"structure","members":{"Name":{},"Description":{},"EngineName":{},"MajorEngineVersion":{},"MinimumRequiredMinorEngineVersion":{},"PortRequired":{"type":"boolean"},"DefaultPort":{"type":"integer"},"OptionsDependedOn":{"type":"list","member":{"locationName":"OptionName"}},"Persistent":{"type":"boolean"},"OptionGroupOptionSettings":{"type":"list","member":{"locationName":"OptionGroupOptionSetting","type":"structure","members":{"SettingName":{},"SettingDescription":{},"DefaultValue":{},"ApplyType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"}}}}}}},"Marker":{}}}},"DescribeOptionGroups":{"input":{"type":"structure","members":{"OptionGroupName":{},"Marker":{},"MaxRecords":{"type":"integer"},"EngineName":{},"MajorEngineVersion":{}}},"output":{"resultWrapper":"DescribeOptionGroupsResult","type":"structure","members":{"OptionGroupsList":{"type":"list","member":{"shape":"S1p","locationName":"OptionGroup"}},"Marker":{}}}},"DescribeOrderableDBInstanceOptions":{"input":{"type":"structure","required":["Engine"],"members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"Vpc":{"type":"boolean"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOrderableDBInstanceOptionsResult","type":"structure","members":{"OrderableDBInstanceOptions":{"type":"list","member":{"locationName":"OrderableDBInstanceOption","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"AvailabilityZones":{"type":"list","member":{"shape":"S14","locationName":"AvailabilityZone"}},"MultiAZCapable":{"type":"boolean"},"ReadReplicaCapable":{"type":"boolean"},"Vpc":{"type":"boolean"}},"wrapper":true}},"Marker":{}}}},"DescribeReservedDBInstances":{"input":{"type":"structure","members":{"ReservedDBInstanceId":{},"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedDBInstancesResult","type":"structure","members":{"Marker":{},"ReservedDBInstances":{"type":"list","member":{"shape":"S3w","locationName":"ReservedDBInstance"}}}}},"DescribeReservedDBInstancesOfferings":{"input":{"type":"structure","members":{"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedDBInstancesOfferingsResult","type":"structure","members":{"Marker":{},"ReservedDBInstancesOfferings":{"type":"list","member":{"locationName":"ReservedDBInstancesOffering","type":"structure","members":{"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"RecurringCharges":{"shape":"S3y"}},"wrapper":true}}}}},"DownloadDBLogFilePortion":{"input":{"type":"structure","required":["DBInstanceIdentifier","LogFileName"],"members":{"DBInstanceIdentifier":{},"LogFileName":{},"Marker":{},"NumberOfLines":{"type":"integer"}}},"output":{"resultWrapper":"DownloadDBLogFilePortionResult","type":"structure","members":{"LogFileData":{},"Marker":{},"AdditionalDataPending":{"type":"boolean"}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceName"],"members":{"ResourceName":{}}},"output":{"resultWrapper":"ListTagsForResourceResult","type":"structure","members":{"TagList":{"shape":"S9"}}}},"ModifyDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"DBSecurityGroups":{"shape":"Sp"},"VpcSecurityGroupIds":{"shape":"Sq"},"ApplyImmediately":{"type":"boolean"},"MasterUserPassword":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AllowMajorVersionUpgrade":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"Iops":{"type":"integer"},"OptionGroupName":{},"NewDBInstanceIdentifier":{}}},"output":{"resultWrapper":"ModifyDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"ModifyDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName","Parameters"],"members":{"DBParameterGroupName":{},"Parameters":{"shape":"S2n"}}},"output":{"shape":"S4b","resultWrapper":"ModifyDBParameterGroupResult"}},"ModifyDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S1j"}}},"output":{"resultWrapper":"ModifyDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S11"}}}},"ModifyEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S6"},"Enabled":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"ModifyOptionGroup":{"input":{"type":"structure","required":["OptionGroupName"],"members":{"OptionGroupName":{},"OptionsToInclude":{"type":"list","member":{"locationName":"OptionConfiguration","type":"structure","required":["OptionName"],"members":{"OptionName":{},"Port":{"type":"integer"},"DBSecurityGroupMemberships":{"shape":"Sp"},"VpcSecurityGroupMemberships":{"shape":"Sq"},"OptionSettings":{"type":"list","member":{"shape":"S1t","locationName":"OptionSetting"}}}}},"OptionsToRemove":{"type":"list","member":{}},"ApplyImmediately":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyOptionGroupResult","type":"structure","members":{"OptionGroup":{"shape":"S1p"}}}},"PromoteReadReplica":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{}}},"output":{"resultWrapper":"PromoteReadReplicaResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"PurchaseReservedDBInstancesOffering":{"input":{"type":"structure","required":["ReservedDBInstancesOfferingId"],"members":{"ReservedDBInstancesOfferingId":{},"ReservedDBInstanceId":{},"DBInstanceCount":{"type":"integer"}}},"output":{"resultWrapper":"PurchaseReservedDBInstancesOfferingResult","type":"structure","members":{"ReservedDBInstance":{"shape":"S3w"}}}},"RebootDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"ForceFailover":{"type":"boolean"}}},"output":{"resultWrapper":"RebootDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"RemoveSourceIdentifierFromSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"RemoveSourceIdentifierFromSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceName","TagKeys"],"members":{"ResourceName":{},"TagKeys":{"type":"list","member":{}}}}},"ResetDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{},"ResetAllParameters":{"type":"boolean"},"Parameters":{"shape":"S2n"}}},"output":{"shape":"S4b","resultWrapper":"ResetDBParameterGroupResult"}},"RestoreDBInstanceFromDBSnapshot":{"input":{"type":"structure","required":["DBInstanceIdentifier","DBSnapshotIdentifier"],"members":{"DBInstanceIdentifier":{},"DBSnapshotIdentifier":{},"DBInstanceClass":{},"Port":{"type":"integer"},"AvailabilityZone":{},"DBSubnetGroupName":{},"MultiAZ":{"type":"boolean"},"PubliclyAccessible":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"DBName":{},"Engine":{},"Iops":{"type":"integer"},"OptionGroupName":{}}},"output":{"resultWrapper":"RestoreDBInstanceFromDBSnapshotResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"RestoreDBInstanceToPointInTime":{"input":{"type":"structure","required":["SourceDBInstanceIdentifier","TargetDBInstanceIdentifier"],"members":{"SourceDBInstanceIdentifier":{},"TargetDBInstanceIdentifier":{},"RestoreTime":{"type":"timestamp"},"UseLatestRestorableTime":{"type":"boolean"},"DBInstanceClass":{},"Port":{"type":"integer"},"AvailabilityZone":{},"DBSubnetGroupName":{},"MultiAZ":{"type":"boolean"},"PubliclyAccessible":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"DBName":{},"Engine":{},"Iops":{"type":"integer"},"OptionGroupName":{}}},"output":{"resultWrapper":"RestoreDBInstanceToPointInTimeResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"RevokeDBSecurityGroupIngress":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{},"CIDRIP":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"RevokeDBSecurityGroupIngressResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sd"}}}}},"shapes":{"S4":{"type":"structure","members":{"CustomerAwsId":{},"CustSubscriptionId":{},"SnsTopicArn":{},"Status":{},"SubscriptionCreationTime":{},"SourceType":{},"SourceIdsList":{"shape":"S5"},"EventCategoriesList":{"shape":"S6"},"Enabled":{"type":"boolean"}},"wrapper":true},"S5":{"type":"list","member":{"locationName":"SourceId"}},"S6":{"type":"list","member":{"locationName":"EventCategory"}},"S9":{"type":"list","member":{"locationName":"Tag","type":"structure","members":{"Key":{},"Value":{}}}},"Sd":{"type":"structure","members":{"OwnerId":{},"DBSecurityGroupName":{},"DBSecurityGroupDescription":{},"VpcId":{},"EC2SecurityGroups":{"type":"list","member":{"locationName":"EC2SecurityGroup","type":"structure","members":{"Status":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}}},"IPRanges":{"type":"list","member":{"locationName":"IPRange","type":"structure","members":{"Status":{},"CIDRIP":{}}}}},"wrapper":true},"Sk":{"type":"structure","members":{"DBSnapshotIdentifier":{},"DBInstanceIdentifier":{},"SnapshotCreateTime":{"type":"timestamp"},"Engine":{},"AllocatedStorage":{"type":"integer"},"Status":{},"Port":{"type":"integer"},"AvailabilityZone":{},"VpcId":{},"InstanceCreateTime":{"type":"timestamp"},"MasterUsername":{},"EngineVersion":{},"LicenseModel":{},"SnapshotType":{},"Iops":{"type":"integer"},"OptionGroupName":{}},"wrapper":true},"Sp":{"type":"list","member":{"locationName":"DBSecurityGroupName"}},"Sq":{"type":"list","member":{"locationName":"VpcSecurityGroupId"}},"St":{"type":"structure","members":{"DBInstanceIdentifier":{},"DBInstanceClass":{},"Engine":{},"DBInstanceStatus":{},"MasterUsername":{},"DBName":{},"Endpoint":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"}}},"AllocatedStorage":{"type":"integer"},"InstanceCreateTime":{"type":"timestamp"},"PreferredBackupWindow":{},"BackupRetentionPeriod":{"type":"integer"},"DBSecurityGroups":{"shape":"Sv"},"VpcSecurityGroups":{"shape":"Sx"},"DBParameterGroups":{"type":"list","member":{"locationName":"DBParameterGroup","type":"structure","members":{"DBParameterGroupName":{},"ParameterApplyStatus":{}}}},"AvailabilityZone":{},"DBSubnetGroup":{"shape":"S11"},"PreferredMaintenanceWindow":{},"PendingModifiedValues":{"type":"structure","members":{"DBInstanceClass":{},"AllocatedStorage":{"type":"integer"},"MasterUserPassword":{},"Port":{"type":"integer"},"BackupRetentionPeriod":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"Iops":{"type":"integer"},"DBInstanceIdentifier":{}}},"LatestRestorableTime":{"type":"timestamp"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"ReadReplicaSourceDBInstanceIdentifier":{},"ReadReplicaDBInstanceIdentifiers":{"type":"list","member":{"locationName":"ReadReplicaDBInstanceIdentifier"}},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupMemberships":{"type":"list","member":{"locationName":"OptionGroupMembership","type":"structure","members":{"OptionGroupName":{},"Status":{}}}},"CharacterSetName":{},"SecondaryAvailabilityZone":{},"PubliclyAccessible":{"type":"boolean"}},"wrapper":true},"Sv":{"type":"list","member":{"locationName":"DBSecurityGroup","type":"structure","members":{"DBSecurityGroupName":{},"Status":{}}}},"Sx":{"type":"list","member":{"locationName":"VpcSecurityGroupMembership","type":"structure","members":{"VpcSecurityGroupId":{},"Status":{}}}},"S11":{"type":"structure","members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"VpcId":{},"SubnetGroupStatus":{},"Subnets":{"type":"list","member":{"locationName":"Subnet","type":"structure","members":{"SubnetIdentifier":{},"SubnetAvailabilityZone":{"shape":"S14"},"SubnetStatus":{}}}}},"wrapper":true},"S14":{"type":"structure","members":{"Name":{},"ProvisionedIopsCapable":{"type":"boolean"}},"wrapper":true},"S1d":{"type":"structure","members":{"DBParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{}},"wrapper":true},"S1j":{"type":"list","member":{"locationName":"SubnetIdentifier"}},"S1p":{"type":"structure","members":{"OptionGroupName":{},"OptionGroupDescription":{},"EngineName":{},"MajorEngineVersion":{},"Options":{"type":"list","member":{"locationName":"Option","type":"structure","members":{"OptionName":{},"OptionDescription":{},"Persistent":{"type":"boolean"},"Port":{"type":"integer"},"OptionSettings":{"type":"list","member":{"shape":"S1t","locationName":"OptionSetting"}},"DBSecurityGroupMemberships":{"shape":"Sv"},"VpcSecurityGroupMemberships":{"shape":"Sx"}}}},"AllowsVpcAndNonVpcInstanceMemberships":{"type":"boolean"},"VpcId":{}},"wrapper":true},"S1t":{"type":"structure","members":{"Name":{},"Value":{},"DefaultValue":{},"Description":{},"ApplyType":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"IsCollection":{"type":"boolean"}}},"S28":{"type":"structure","members":{"CharacterSetName":{},"CharacterSetDescription":{}}},"S2n":{"type":"list","member":{"locationName":"Parameter","type":"structure","members":{"ParameterName":{},"ParameterValue":{},"Description":{},"Source":{},"ApplyType":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"MinimumEngineVersion":{},"ApplyMethod":{}}}},"S3w":{"type":"structure","members":{"ReservedDBInstanceId":{},"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"StartTime":{"type":"timestamp"},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"DBInstanceCount":{"type":"integer"},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"State":{},"RecurringCharges":{"shape":"S3y"}},"wrapper":true},"S3y":{"type":"list","member":{"locationName":"RecurringCharge","type":"structure","members":{"RecurringChargeAmount":{"type":"double"},"RecurringChargeFrequency":{}},"wrapper":true}},"S4b":{"type":"structure","members":{"DBParameterGroupName":{}}}}}');

/***/ }),

/***/ 39581:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeDBEngineVersions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBEngineVersions"},"DescribeDBInstances":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBInstances"},"DescribeDBLogFiles":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DescribeDBLogFiles"},"DescribeDBParameterGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBParameterGroups"},"DescribeDBParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Parameters"},"DescribeDBSecurityGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSecurityGroups"},"DescribeDBSnapshots":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSnapshots"},"DescribeDBSubnetGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSubnetGroups"},"DescribeEngineDefaultParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"EngineDefaults.Marker","result_key":"EngineDefaults.Parameters"},"DescribeEventSubscriptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"EventSubscriptionsList"},"DescribeEvents":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Events"},"DescribeOptionGroupOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OptionGroupOptions"},"DescribeOptionGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OptionGroupsList"},"DescribeOrderableDBInstanceOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OrderableDBInstanceOptions"},"DescribeReservedDBInstances":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedDBInstances"},"DescribeReservedDBInstancesOfferings":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedDBInstancesOfferings"},"DownloadDBLogFilePortion":{"input_token":"Marker","limit_key":"NumberOfLines","more_results":"AdditionalDataPending","output_token":"Marker","result_key":"LogFileData"},"ListTagsForResource":{"result_key":"TagList"}}}');

/***/ }),

/***/ 36331:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2013-09-09","endpointPrefix":"rds","protocol":"query","serviceAbbreviation":"Amazon RDS","serviceFullName":"Amazon Relational Database Service","serviceId":"RDS","signatureVersion":"v4","uid":"rds-2013-09-09","xmlNamespace":"http://rds.amazonaws.com/doc/2013-09-09/"},"operations":{"AddSourceIdentifierToSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"AddSourceIdentifierToSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"AddTagsToResource":{"input":{"type":"structure","required":["ResourceName","Tags"],"members":{"ResourceName":{},"Tags":{"shape":"S9"}}}},"AuthorizeDBSecurityGroupIngress":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{},"CIDRIP":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"AuthorizeDBSecurityGroupIngressResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sd"}}}},"CopyDBSnapshot":{"input":{"type":"structure","required":["SourceDBSnapshotIdentifier","TargetDBSnapshotIdentifier"],"members":{"SourceDBSnapshotIdentifier":{},"TargetDBSnapshotIdentifier":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CopyDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"Sk"}}}},"CreateDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier","AllocatedStorage","DBInstanceClass","Engine","MasterUsername","MasterUserPassword"],"members":{"DBName":{},"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"Engine":{},"MasterUsername":{},"MasterUserPassword":{},"DBSecurityGroups":{"shape":"Sp"},"VpcSecurityGroupIds":{"shape":"Sq"},"AvailabilityZone":{},"DBSubnetGroupName":{},"PreferredMaintenanceWindow":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"Port":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupName":{},"CharacterSetName":{},"PubliclyAccessible":{"type":"boolean"},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"CreateDBInstanceReadReplica":{"input":{"type":"structure","required":["DBInstanceIdentifier","SourceDBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"SourceDBInstanceIdentifier":{},"DBInstanceClass":{},"AvailabilityZone":{},"Port":{"type":"integer"},"AutoMinorVersionUpgrade":{"type":"boolean"},"Iops":{"type":"integer"},"OptionGroupName":{},"PubliclyAccessible":{"type":"boolean"},"Tags":{"shape":"S9"},"DBSubnetGroupName":{}}},"output":{"resultWrapper":"CreateDBInstanceReadReplicaResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"CreateDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName","DBParameterGroupFamily","Description"],"members":{"DBParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateDBParameterGroupResult","type":"structure","members":{"DBParameterGroup":{"shape":"S1f"}}}},"CreateDBSecurityGroup":{"input":{"type":"structure","required":["DBSecurityGroupName","DBSecurityGroupDescription"],"members":{"DBSecurityGroupName":{},"DBSecurityGroupDescription":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateDBSecurityGroupResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sd"}}}},"CreateDBSnapshot":{"input":{"type":"structure","required":["DBSnapshotIdentifier","DBInstanceIdentifier"],"members":{"DBSnapshotIdentifier":{},"DBInstanceIdentifier":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"Sk"}}}},"CreateDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","DBSubnetGroupDescription","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S1l"},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S11"}}}},"CreateEventSubscription":{"input":{"type":"structure","required":["SubscriptionName","SnsTopicArn"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S6"},"SourceIds":{"shape":"S5"},"Enabled":{"type":"boolean"},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"CreateOptionGroup":{"input":{"type":"structure","required":["OptionGroupName","EngineName","MajorEngineVersion","OptionGroupDescription"],"members":{"OptionGroupName":{},"EngineName":{},"MajorEngineVersion":{},"OptionGroupDescription":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateOptionGroupResult","type":"structure","members":{"OptionGroup":{"shape":"S1r"}}}},"DeleteDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"SkipFinalSnapshot":{"type":"boolean"},"FinalDBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"DeleteDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{}}}},"DeleteDBSecurityGroup":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{}}}},"DeleteDBSnapshot":{"input":{"type":"structure","required":["DBSnapshotIdentifier"],"members":{"DBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"Sk"}}}},"DeleteDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName"],"members":{"DBSubnetGroupName":{}}}},"DeleteEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{}}},"output":{"resultWrapper":"DeleteEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"DeleteOptionGroup":{"input":{"type":"structure","required":["OptionGroupName"],"members":{"OptionGroupName":{}}}},"DescribeDBEngineVersions":{"input":{"type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{},"DefaultOnly":{"type":"boolean"},"ListSupportedCharacterSets":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeDBEngineVersionsResult","type":"structure","members":{"Marker":{},"DBEngineVersions":{"type":"list","member":{"locationName":"DBEngineVersion","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"DBEngineDescription":{},"DBEngineVersionDescription":{},"DefaultCharacterSet":{"shape":"S2d"},"SupportedCharacterSets":{"type":"list","member":{"shape":"S2d","locationName":"CharacterSet"}}}}}}}},"DescribeDBInstances":{"input":{"type":"structure","members":{"DBInstanceIdentifier":{},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBInstancesResult","type":"structure","members":{"Marker":{},"DBInstances":{"type":"list","member":{"shape":"St","locationName":"DBInstance"}}}}},"DescribeDBLogFiles":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"FilenameContains":{},"FileLastWritten":{"type":"long"},"FileSize":{"type":"long"},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBLogFilesResult","type":"structure","members":{"DescribeDBLogFiles":{"type":"list","member":{"locationName":"DescribeDBLogFilesDetails","type":"structure","members":{"LogFileName":{},"LastWritten":{"type":"long"},"Size":{"type":"long"}}}},"Marker":{}}}},"DescribeDBParameterGroups":{"input":{"type":"structure","members":{"DBParameterGroupName":{},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBParameterGroupsResult","type":"structure","members":{"Marker":{},"DBParameterGroups":{"type":"list","member":{"shape":"S1f","locationName":"DBParameterGroup"}}}}},"DescribeDBParameters":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{},"Source":{},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBParametersResult","type":"structure","members":{"Parameters":{"shape":"S2s"},"Marker":{}}}},"DescribeDBSecurityGroups":{"input":{"type":"structure","members":{"DBSecurityGroupName":{},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSecurityGroupsResult","type":"structure","members":{"Marker":{},"DBSecurityGroups":{"type":"list","member":{"shape":"Sd","locationName":"DBSecurityGroup"}}}}},"DescribeDBSnapshots":{"input":{"type":"structure","members":{"DBInstanceIdentifier":{},"DBSnapshotIdentifier":{},"SnapshotType":{},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSnapshotsResult","type":"structure","members":{"Marker":{},"DBSnapshots":{"type":"list","member":{"shape":"Sk","locationName":"DBSnapshot"}}}}},"DescribeDBSubnetGroups":{"input":{"type":"structure","members":{"DBSubnetGroupName":{},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSubnetGroupsResult","type":"structure","members":{"Marker":{},"DBSubnetGroups":{"type":"list","member":{"shape":"S11","locationName":"DBSubnetGroup"}}}}},"DescribeEngineDefaultParameters":{"input":{"type":"structure","required":["DBParameterGroupFamily"],"members":{"DBParameterGroupFamily":{},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEngineDefaultParametersResult","type":"structure","members":{"EngineDefaults":{"type":"structure","members":{"DBParameterGroupFamily":{},"Marker":{},"Parameters":{"shape":"S2s"}},"wrapper":true}}}},"DescribeEventCategories":{"input":{"type":"structure","members":{"SourceType":{},"Filters":{"shape":"S27"}}},"output":{"resultWrapper":"DescribeEventCategoriesResult","type":"structure","members":{"EventCategoriesMapList":{"type":"list","member":{"locationName":"EventCategoriesMap","type":"structure","members":{"SourceType":{},"EventCategories":{"shape":"S6"}},"wrapper":true}}}}},"DescribeEventSubscriptions":{"input":{"type":"structure","members":{"SubscriptionName":{},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventSubscriptionsResult","type":"structure","members":{"Marker":{},"EventSubscriptionsList":{"type":"list","member":{"shape":"S4","locationName":"EventSubscription"}}}}},"DescribeEvents":{"input":{"type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Duration":{"type":"integer"},"EventCategories":{"shape":"S6"},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventsResult","type":"structure","members":{"Marker":{},"Events":{"type":"list","member":{"locationName":"Event","type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"Message":{},"EventCategories":{"shape":"S6"},"Date":{"type":"timestamp"}}}}}}},"DescribeOptionGroupOptions":{"input":{"type":"structure","required":["EngineName"],"members":{"EngineName":{},"MajorEngineVersion":{},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOptionGroupOptionsResult","type":"structure","members":{"OptionGroupOptions":{"type":"list","member":{"locationName":"OptionGroupOption","type":"structure","members":{"Name":{},"Description":{},"EngineName":{},"MajorEngineVersion":{},"MinimumRequiredMinorEngineVersion":{},"PortRequired":{"type":"boolean"},"DefaultPort":{"type":"integer"},"OptionsDependedOn":{"type":"list","member":{"locationName":"OptionName"}},"Persistent":{"type":"boolean"},"Permanent":{"type":"boolean"},"OptionGroupOptionSettings":{"type":"list","member":{"locationName":"OptionGroupOptionSetting","type":"structure","members":{"SettingName":{},"SettingDescription":{},"DefaultValue":{},"ApplyType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"}}}}}}},"Marker":{}}}},"DescribeOptionGroups":{"input":{"type":"structure","members":{"OptionGroupName":{},"Filters":{"shape":"S27"},"Marker":{},"MaxRecords":{"type":"integer"},"EngineName":{},"MajorEngineVersion":{}}},"output":{"resultWrapper":"DescribeOptionGroupsResult","type":"structure","members":{"OptionGroupsList":{"type":"list","member":{"shape":"S1r","locationName":"OptionGroup"}},"Marker":{}}}},"DescribeOrderableDBInstanceOptions":{"input":{"type":"structure","required":["Engine"],"members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"Vpc":{"type":"boolean"},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOrderableDBInstanceOptionsResult","type":"structure","members":{"OrderableDBInstanceOptions":{"type":"list","member":{"locationName":"OrderableDBInstanceOption","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"AvailabilityZones":{"type":"list","member":{"shape":"S14","locationName":"AvailabilityZone"}},"MultiAZCapable":{"type":"boolean"},"ReadReplicaCapable":{"type":"boolean"},"Vpc":{"type":"boolean"}},"wrapper":true}},"Marker":{}}}},"DescribeReservedDBInstances":{"input":{"type":"structure","members":{"ReservedDBInstanceId":{},"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedDBInstancesResult","type":"structure","members":{"Marker":{},"ReservedDBInstances":{"type":"list","member":{"shape":"S41","locationName":"ReservedDBInstance"}}}}},"DescribeReservedDBInstancesOfferings":{"input":{"type":"structure","members":{"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"Filters":{"shape":"S27"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedDBInstancesOfferingsResult","type":"structure","members":{"Marker":{},"ReservedDBInstancesOfferings":{"type":"list","member":{"locationName":"ReservedDBInstancesOffering","type":"structure","members":{"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"RecurringCharges":{"shape":"S43"}},"wrapper":true}}}}},"DownloadDBLogFilePortion":{"input":{"type":"structure","required":["DBInstanceIdentifier","LogFileName"],"members":{"DBInstanceIdentifier":{},"LogFileName":{},"Marker":{},"NumberOfLines":{"type":"integer"}}},"output":{"resultWrapper":"DownloadDBLogFilePortionResult","type":"structure","members":{"LogFileData":{},"Marker":{},"AdditionalDataPending":{"type":"boolean"}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceName"],"members":{"ResourceName":{},"Filters":{"shape":"S27"}}},"output":{"resultWrapper":"ListTagsForResourceResult","type":"structure","members":{"TagList":{"shape":"S9"}}}},"ModifyDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"DBSecurityGroups":{"shape":"Sp"},"VpcSecurityGroupIds":{"shape":"Sq"},"ApplyImmediately":{"type":"boolean"},"MasterUserPassword":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AllowMajorVersionUpgrade":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"Iops":{"type":"integer"},"OptionGroupName":{},"NewDBInstanceIdentifier":{}}},"output":{"resultWrapper":"ModifyDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"ModifyDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName","Parameters"],"members":{"DBParameterGroupName":{},"Parameters":{"shape":"S2s"}}},"output":{"shape":"S4g","resultWrapper":"ModifyDBParameterGroupResult"}},"ModifyDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S1l"}}},"output":{"resultWrapper":"ModifyDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S11"}}}},"ModifyEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S6"},"Enabled":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"ModifyOptionGroup":{"input":{"type":"structure","required":["OptionGroupName"],"members":{"OptionGroupName":{},"OptionsToInclude":{"type":"list","member":{"locationName":"OptionConfiguration","type":"structure","required":["OptionName"],"members":{"OptionName":{},"Port":{"type":"integer"},"DBSecurityGroupMemberships":{"shape":"Sp"},"VpcSecurityGroupMemberships":{"shape":"Sq"},"OptionSettings":{"type":"list","member":{"shape":"S1v","locationName":"OptionSetting"}}}}},"OptionsToRemove":{"type":"list","member":{}},"ApplyImmediately":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyOptionGroupResult","type":"structure","members":{"OptionGroup":{"shape":"S1r"}}}},"PromoteReadReplica":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{}}},"output":{"resultWrapper":"PromoteReadReplicaResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"PurchaseReservedDBInstancesOffering":{"input":{"type":"structure","required":["ReservedDBInstancesOfferingId"],"members":{"ReservedDBInstancesOfferingId":{},"ReservedDBInstanceId":{},"DBInstanceCount":{"type":"integer"},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"PurchaseReservedDBInstancesOfferingResult","type":"structure","members":{"ReservedDBInstance":{"shape":"S41"}}}},"RebootDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"ForceFailover":{"type":"boolean"}}},"output":{"resultWrapper":"RebootDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"RemoveSourceIdentifierFromSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"RemoveSourceIdentifierFromSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceName","TagKeys"],"members":{"ResourceName":{},"TagKeys":{"type":"list","member":{}}}}},"ResetDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{},"ResetAllParameters":{"type":"boolean"},"Parameters":{"shape":"S2s"}}},"output":{"shape":"S4g","resultWrapper":"ResetDBParameterGroupResult"}},"RestoreDBInstanceFromDBSnapshot":{"input":{"type":"structure","required":["DBInstanceIdentifier","DBSnapshotIdentifier"],"members":{"DBInstanceIdentifier":{},"DBSnapshotIdentifier":{},"DBInstanceClass":{},"Port":{"type":"integer"},"AvailabilityZone":{},"DBSubnetGroupName":{},"MultiAZ":{"type":"boolean"},"PubliclyAccessible":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"DBName":{},"Engine":{},"Iops":{"type":"integer"},"OptionGroupName":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"RestoreDBInstanceFromDBSnapshotResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"RestoreDBInstanceToPointInTime":{"input":{"type":"structure","required":["SourceDBInstanceIdentifier","TargetDBInstanceIdentifier"],"members":{"SourceDBInstanceIdentifier":{},"TargetDBInstanceIdentifier":{},"RestoreTime":{"type":"timestamp"},"UseLatestRestorableTime":{"type":"boolean"},"DBInstanceClass":{},"Port":{"type":"integer"},"AvailabilityZone":{},"DBSubnetGroupName":{},"MultiAZ":{"type":"boolean"},"PubliclyAccessible":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"DBName":{},"Engine":{},"Iops":{"type":"integer"},"OptionGroupName":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"RestoreDBInstanceToPointInTimeResult","type":"structure","members":{"DBInstance":{"shape":"St"}}}},"RevokeDBSecurityGroupIngress":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{},"CIDRIP":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"RevokeDBSecurityGroupIngressResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sd"}}}}},"shapes":{"S4":{"type":"structure","members":{"CustomerAwsId":{},"CustSubscriptionId":{},"SnsTopicArn":{},"Status":{},"SubscriptionCreationTime":{},"SourceType":{},"SourceIdsList":{"shape":"S5"},"EventCategoriesList":{"shape":"S6"},"Enabled":{"type":"boolean"}},"wrapper":true},"S5":{"type":"list","member":{"locationName":"SourceId"}},"S6":{"type":"list","member":{"locationName":"EventCategory"}},"S9":{"type":"list","member":{"locationName":"Tag","type":"structure","members":{"Key":{},"Value":{}}}},"Sd":{"type":"structure","members":{"OwnerId":{},"DBSecurityGroupName":{},"DBSecurityGroupDescription":{},"VpcId":{},"EC2SecurityGroups":{"type":"list","member":{"locationName":"EC2SecurityGroup","type":"structure","members":{"Status":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}}},"IPRanges":{"type":"list","member":{"locationName":"IPRange","type":"structure","members":{"Status":{},"CIDRIP":{}}}}},"wrapper":true},"Sk":{"type":"structure","members":{"DBSnapshotIdentifier":{},"DBInstanceIdentifier":{},"SnapshotCreateTime":{"type":"timestamp"},"Engine":{},"AllocatedStorage":{"type":"integer"},"Status":{},"Port":{"type":"integer"},"AvailabilityZone":{},"VpcId":{},"InstanceCreateTime":{"type":"timestamp"},"MasterUsername":{},"EngineVersion":{},"LicenseModel":{},"SnapshotType":{},"Iops":{"type":"integer"},"OptionGroupName":{},"PercentProgress":{"type":"integer"},"SourceRegion":{}},"wrapper":true},"Sp":{"type":"list","member":{"locationName":"DBSecurityGroupName"}},"Sq":{"type":"list","member":{"locationName":"VpcSecurityGroupId"}},"St":{"type":"structure","members":{"DBInstanceIdentifier":{},"DBInstanceClass":{},"Engine":{},"DBInstanceStatus":{},"MasterUsername":{},"DBName":{},"Endpoint":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"}}},"AllocatedStorage":{"type":"integer"},"InstanceCreateTime":{"type":"timestamp"},"PreferredBackupWindow":{},"BackupRetentionPeriod":{"type":"integer"},"DBSecurityGroups":{"shape":"Sv"},"VpcSecurityGroups":{"shape":"Sx"},"DBParameterGroups":{"type":"list","member":{"locationName":"DBParameterGroup","type":"structure","members":{"DBParameterGroupName":{},"ParameterApplyStatus":{}}}},"AvailabilityZone":{},"DBSubnetGroup":{"shape":"S11"},"PreferredMaintenanceWindow":{},"PendingModifiedValues":{"type":"structure","members":{"DBInstanceClass":{},"AllocatedStorage":{"type":"integer"},"MasterUserPassword":{},"Port":{"type":"integer"},"BackupRetentionPeriod":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"Iops":{"type":"integer"},"DBInstanceIdentifier":{}}},"LatestRestorableTime":{"type":"timestamp"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"ReadReplicaSourceDBInstanceIdentifier":{},"ReadReplicaDBInstanceIdentifiers":{"type":"list","member":{"locationName":"ReadReplicaDBInstanceIdentifier"}},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupMemberships":{"type":"list","member":{"locationName":"OptionGroupMembership","type":"structure","members":{"OptionGroupName":{},"Status":{}}}},"CharacterSetName":{},"SecondaryAvailabilityZone":{},"PubliclyAccessible":{"type":"boolean"},"StatusInfos":{"type":"list","member":{"locationName":"DBInstanceStatusInfo","type":"structure","members":{"StatusType":{},"Normal":{"type":"boolean"},"Status":{},"Message":{}}}}},"wrapper":true},"Sv":{"type":"list","member":{"locationName":"DBSecurityGroup","type":"structure","members":{"DBSecurityGroupName":{},"Status":{}}}},"Sx":{"type":"list","member":{"locationName":"VpcSecurityGroupMembership","type":"structure","members":{"VpcSecurityGroupId":{},"Status":{}}}},"S11":{"type":"structure","members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"VpcId":{},"SubnetGroupStatus":{},"Subnets":{"type":"list","member":{"locationName":"Subnet","type":"structure","members":{"SubnetIdentifier":{},"SubnetAvailabilityZone":{"shape":"S14"},"SubnetStatus":{}}}}},"wrapper":true},"S14":{"type":"structure","members":{"Name":{},"ProvisionedIopsCapable":{"type":"boolean"}},"wrapper":true},"S1f":{"type":"structure","members":{"DBParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{}},"wrapper":true},"S1l":{"type":"list","member":{"locationName":"SubnetIdentifier"}},"S1r":{"type":"structure","members":{"OptionGroupName":{},"OptionGroupDescription":{},"EngineName":{},"MajorEngineVersion":{},"Options":{"type":"list","member":{"locationName":"Option","type":"structure","members":{"OptionName":{},"OptionDescription":{},"Persistent":{"type":"boolean"},"Permanent":{"type":"boolean"},"Port":{"type":"integer"},"OptionSettings":{"type":"list","member":{"shape":"S1v","locationName":"OptionSetting"}},"DBSecurityGroupMemberships":{"shape":"Sv"},"VpcSecurityGroupMemberships":{"shape":"Sx"}}}},"AllowsVpcAndNonVpcInstanceMemberships":{"type":"boolean"},"VpcId":{}},"wrapper":true},"S1v":{"type":"structure","members":{"Name":{},"Value":{},"DefaultValue":{},"Description":{},"ApplyType":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"IsCollection":{"type":"boolean"}}},"S27":{"type":"list","member":{"locationName":"Filter","type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{"locationName":"Value"}}}}},"S2d":{"type":"structure","members":{"CharacterSetName":{},"CharacterSetDescription":{}}},"S2s":{"type":"list","member":{"locationName":"Parameter","type":"structure","members":{"ParameterName":{},"ParameterValue":{},"Description":{},"Source":{},"ApplyType":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"MinimumEngineVersion":{},"ApplyMethod":{}}}},"S41":{"type":"structure","members":{"ReservedDBInstanceId":{},"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"StartTime":{"type":"timestamp"},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"DBInstanceCount":{"type":"integer"},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"State":{},"RecurringCharges":{"shape":"S43"}},"wrapper":true},"S43":{"type":"list","member":{"locationName":"RecurringCharge","type":"structure","members":{"RecurringChargeAmount":{"type":"double"},"RecurringChargeFrequency":{}},"wrapper":true}},"S4g":{"type":"structure","members":{"DBParameterGroupName":{}}}}}');

/***/ }),

/***/ 14485:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeDBEngineVersions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBEngineVersions"},"DescribeDBInstances":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBInstances"},"DescribeDBLogFiles":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DescribeDBLogFiles"},"DescribeDBParameterGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBParameterGroups"},"DescribeDBParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Parameters"},"DescribeDBSecurityGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSecurityGroups"},"DescribeDBSnapshots":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSnapshots"},"DescribeDBSubnetGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSubnetGroups"},"DescribeEngineDefaultParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"EngineDefaults.Marker","result_key":"EngineDefaults.Parameters"},"DescribeEventSubscriptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"EventSubscriptionsList"},"DescribeEvents":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Events"},"DescribeOptionGroupOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OptionGroupOptions"},"DescribeOptionGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OptionGroupsList"},"DescribeOrderableDBInstanceOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OrderableDBInstanceOptions"},"DescribeReservedDBInstances":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedDBInstances"},"DescribeReservedDBInstancesOfferings":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedDBInstancesOfferings"},"DownloadDBLogFilePortion":{"input_token":"Marker","limit_key":"NumberOfLines","more_results":"AdditionalDataPending","output_token":"Marker","result_key":"LogFileData"},"ListTagsForResource":{"result_key":"TagList"}}}');

/***/ }),

/***/ 36851:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DBInstanceAvailable":{"delay":30,"operation":"DescribeDBInstances","maxAttempts":60,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"DBInstances[].DBInstanceStatus"},{"expected":"deleted","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"deleting","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"failed","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"incompatible-restore","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"incompatible-parameters","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"incompatible-parameters","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"incompatible-restore","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"}]},"DBInstanceDeleted":{"delay":30,"operation":"DescribeDBInstances","maxAttempts":60,"acceptors":[{"expected":"deleted","matcher":"pathAll","state":"success","argument":"DBInstances[].DBInstanceStatus"},{"expected":"creating","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"modifying","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"rebooting","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"resetting-master-credentials","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"}]}}}');

/***/ }),

/***/ 19226:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-09-01","endpointPrefix":"rds","protocol":"query","serviceAbbreviation":"Amazon RDS","serviceFullName":"Amazon Relational Database Service","serviceId":"RDS","signatureVersion":"v4","uid":"rds-2014-09-01","xmlNamespace":"http://rds.amazonaws.com/doc/2014-09-01/"},"operations":{"AddSourceIdentifierToSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"AddSourceIdentifierToSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"AddTagsToResource":{"input":{"type":"structure","required":["ResourceName","Tags"],"members":{"ResourceName":{},"Tags":{"shape":"S9"}}}},"AuthorizeDBSecurityGroupIngress":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{},"CIDRIP":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"AuthorizeDBSecurityGroupIngressResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sd"}}}},"CopyDBParameterGroup":{"input":{"type":"structure","required":["SourceDBParameterGroupIdentifier","TargetDBParameterGroupIdentifier","TargetDBParameterGroupDescription"],"members":{"SourceDBParameterGroupIdentifier":{},"TargetDBParameterGroupIdentifier":{},"TargetDBParameterGroupDescription":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CopyDBParameterGroupResult","type":"structure","members":{"DBParameterGroup":{"shape":"Sk"}}}},"CopyDBSnapshot":{"input":{"type":"structure","required":["SourceDBSnapshotIdentifier","TargetDBSnapshotIdentifier"],"members":{"SourceDBSnapshotIdentifier":{},"TargetDBSnapshotIdentifier":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CopyDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"Sn"}}}},"CopyOptionGroup":{"input":{"type":"structure","required":["SourceOptionGroupIdentifier","TargetOptionGroupIdentifier","TargetOptionGroupDescription"],"members":{"SourceOptionGroupIdentifier":{},"TargetOptionGroupIdentifier":{},"TargetOptionGroupDescription":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CopyOptionGroupResult","type":"structure","members":{"OptionGroup":{"shape":"St"}}}},"CreateDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier","AllocatedStorage","DBInstanceClass","Engine","MasterUsername","MasterUserPassword"],"members":{"DBName":{},"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"Engine":{},"MasterUsername":{},"MasterUserPassword":{},"DBSecurityGroups":{"shape":"S13"},"VpcSecurityGroupIds":{"shape":"S14"},"AvailabilityZone":{},"DBSubnetGroupName":{},"PreferredMaintenanceWindow":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"Port":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupName":{},"CharacterSetName":{},"PubliclyAccessible":{"type":"boolean"},"Tags":{"shape":"S9"},"StorageType":{},"TdeCredentialArn":{},"TdeCredentialPassword":{}}},"output":{"resultWrapper":"CreateDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S17"}}}},"CreateDBInstanceReadReplica":{"input":{"type":"structure","required":["DBInstanceIdentifier","SourceDBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"SourceDBInstanceIdentifier":{},"DBInstanceClass":{},"AvailabilityZone":{},"Port":{"type":"integer"},"AutoMinorVersionUpgrade":{"type":"boolean"},"Iops":{"type":"integer"},"OptionGroupName":{},"PubliclyAccessible":{"type":"boolean"},"Tags":{"shape":"S9"},"DBSubnetGroupName":{},"StorageType":{}}},"output":{"resultWrapper":"CreateDBInstanceReadReplicaResult","type":"structure","members":{"DBInstance":{"shape":"S17"}}}},"CreateDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName","DBParameterGroupFamily","Description"],"members":{"DBParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateDBParameterGroupResult","type":"structure","members":{"DBParameterGroup":{"shape":"Sk"}}}},"CreateDBSecurityGroup":{"input":{"type":"structure","required":["DBSecurityGroupName","DBSecurityGroupDescription"],"members":{"DBSecurityGroupName":{},"DBSecurityGroupDescription":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateDBSecurityGroupResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sd"}}}},"CreateDBSnapshot":{"input":{"type":"structure","required":["DBSnapshotIdentifier","DBInstanceIdentifier"],"members":{"DBSnapshotIdentifier":{},"DBInstanceIdentifier":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"Sn"}}}},"CreateDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","DBSubnetGroupDescription","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S1u"},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S1b"}}}},"CreateEventSubscription":{"input":{"type":"structure","required":["SubscriptionName","SnsTopicArn"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S6"},"SourceIds":{"shape":"S5"},"Enabled":{"type":"boolean"},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"CreateOptionGroup":{"input":{"type":"structure","required":["OptionGroupName","EngineName","MajorEngineVersion","OptionGroupDescription"],"members":{"OptionGroupName":{},"EngineName":{},"MajorEngineVersion":{},"OptionGroupDescription":{},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"CreateOptionGroupResult","type":"structure","members":{"OptionGroup":{"shape":"St"}}}},"DeleteDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"SkipFinalSnapshot":{"type":"boolean"},"FinalDBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S17"}}}},"DeleteDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{}}}},"DeleteDBSecurityGroup":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{}}}},"DeleteDBSnapshot":{"input":{"type":"structure","required":["DBSnapshotIdentifier"],"members":{"DBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"Sn"}}}},"DeleteDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName"],"members":{"DBSubnetGroupName":{}}}},"DeleteEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{}}},"output":{"resultWrapper":"DeleteEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"DeleteOptionGroup":{"input":{"type":"structure","required":["OptionGroupName"],"members":{"OptionGroupName":{}}}},"DescribeDBEngineVersions":{"input":{"type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{},"DefaultOnly":{"type":"boolean"},"ListSupportedCharacterSets":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeDBEngineVersionsResult","type":"structure","members":{"Marker":{},"DBEngineVersions":{"type":"list","member":{"locationName":"DBEngineVersion","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"DBEngineDescription":{},"DBEngineVersionDescription":{},"DefaultCharacterSet":{"shape":"S2h"},"SupportedCharacterSets":{"type":"list","member":{"shape":"S2h","locationName":"CharacterSet"}}}}}}}},"DescribeDBInstances":{"input":{"type":"structure","members":{"DBInstanceIdentifier":{},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBInstancesResult","type":"structure","members":{"Marker":{},"DBInstances":{"type":"list","member":{"shape":"S17","locationName":"DBInstance"}}}}},"DescribeDBLogFiles":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"FilenameContains":{},"FileLastWritten":{"type":"long"},"FileSize":{"type":"long"},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBLogFilesResult","type":"structure","members":{"DescribeDBLogFiles":{"type":"list","member":{"locationName":"DescribeDBLogFilesDetails","type":"structure","members":{"LogFileName":{},"LastWritten":{"type":"long"},"Size":{"type":"long"}}}},"Marker":{}}}},"DescribeDBParameterGroups":{"input":{"type":"structure","members":{"DBParameterGroupName":{},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBParameterGroupsResult","type":"structure","members":{"Marker":{},"DBParameterGroups":{"type":"list","member":{"shape":"Sk","locationName":"DBParameterGroup"}}}}},"DescribeDBParameters":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{},"Source":{},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBParametersResult","type":"structure","members":{"Parameters":{"shape":"S2w"},"Marker":{}}}},"DescribeDBSecurityGroups":{"input":{"type":"structure","members":{"DBSecurityGroupName":{},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSecurityGroupsResult","type":"structure","members":{"Marker":{},"DBSecurityGroups":{"type":"list","member":{"shape":"Sd","locationName":"DBSecurityGroup"}}}}},"DescribeDBSnapshots":{"input":{"type":"structure","members":{"DBInstanceIdentifier":{},"DBSnapshotIdentifier":{},"SnapshotType":{},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSnapshotsResult","type":"structure","members":{"Marker":{},"DBSnapshots":{"type":"list","member":{"shape":"Sn","locationName":"DBSnapshot"}}}}},"DescribeDBSubnetGroups":{"input":{"type":"structure","members":{"DBSubnetGroupName":{},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSubnetGroupsResult","type":"structure","members":{"Marker":{},"DBSubnetGroups":{"type":"list","member":{"shape":"S1b","locationName":"DBSubnetGroup"}}}}},"DescribeEngineDefaultParameters":{"input":{"type":"structure","required":["DBParameterGroupFamily"],"members":{"DBParameterGroupFamily":{},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEngineDefaultParametersResult","type":"structure","members":{"EngineDefaults":{"type":"structure","members":{"DBParameterGroupFamily":{},"Marker":{},"Parameters":{"shape":"S2w"}},"wrapper":true}}}},"DescribeEventCategories":{"input":{"type":"structure","members":{"SourceType":{},"Filters":{"shape":"S2b"}}},"output":{"resultWrapper":"DescribeEventCategoriesResult","type":"structure","members":{"EventCategoriesMapList":{"type":"list","member":{"locationName":"EventCategoriesMap","type":"structure","members":{"SourceType":{},"EventCategories":{"shape":"S6"}},"wrapper":true}}}}},"DescribeEventSubscriptions":{"input":{"type":"structure","members":{"SubscriptionName":{},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventSubscriptionsResult","type":"structure","members":{"Marker":{},"EventSubscriptionsList":{"type":"list","member":{"shape":"S4","locationName":"EventSubscription"}}}}},"DescribeEvents":{"input":{"type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Duration":{"type":"integer"},"EventCategories":{"shape":"S6"},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventsResult","type":"structure","members":{"Marker":{},"Events":{"type":"list","member":{"locationName":"Event","type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"Message":{},"EventCategories":{"shape":"S6"},"Date":{"type":"timestamp"}}}}}}},"DescribeOptionGroupOptions":{"input":{"type":"structure","required":["EngineName"],"members":{"EngineName":{},"MajorEngineVersion":{},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOptionGroupOptionsResult","type":"structure","members":{"OptionGroupOptions":{"type":"list","member":{"locationName":"OptionGroupOption","type":"structure","members":{"Name":{},"Description":{},"EngineName":{},"MajorEngineVersion":{},"MinimumRequiredMinorEngineVersion":{},"PortRequired":{"type":"boolean"},"DefaultPort":{"type":"integer"},"OptionsDependedOn":{"type":"list","member":{"locationName":"OptionName"}},"Persistent":{"type":"boolean"},"Permanent":{"type":"boolean"},"OptionGroupOptionSettings":{"type":"list","member":{"locationName":"OptionGroupOptionSetting","type":"structure","members":{"SettingName":{},"SettingDescription":{},"DefaultValue":{},"ApplyType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"}}}}}}},"Marker":{}}}},"DescribeOptionGroups":{"input":{"type":"structure","members":{"OptionGroupName":{},"Filters":{"shape":"S2b"},"Marker":{},"MaxRecords":{"type":"integer"},"EngineName":{},"MajorEngineVersion":{}}},"output":{"resultWrapper":"DescribeOptionGroupsResult","type":"structure","members":{"OptionGroupsList":{"type":"list","member":{"shape":"St","locationName":"OptionGroup"}},"Marker":{}}}},"DescribeOrderableDBInstanceOptions":{"input":{"type":"structure","required":["Engine"],"members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"Vpc":{"type":"boolean"},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOrderableDBInstanceOptionsResult","type":"structure","members":{"OrderableDBInstanceOptions":{"type":"list","member":{"locationName":"OrderableDBInstanceOption","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"AvailabilityZones":{"type":"list","member":{"shape":"S1e","locationName":"AvailabilityZone"}},"MultiAZCapable":{"type":"boolean"},"ReadReplicaCapable":{"type":"boolean"},"Vpc":{"type":"boolean"},"StorageType":{},"SupportsIops":{"type":"boolean"}},"wrapper":true}},"Marker":{}}}},"DescribeReservedDBInstances":{"input":{"type":"structure","members":{"ReservedDBInstanceId":{},"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedDBInstancesResult","type":"structure","members":{"Marker":{},"ReservedDBInstances":{"type":"list","member":{"shape":"S45","locationName":"ReservedDBInstance"}}}}},"DescribeReservedDBInstancesOfferings":{"input":{"type":"structure","members":{"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"Filters":{"shape":"S2b"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedDBInstancesOfferingsResult","type":"structure","members":{"Marker":{},"ReservedDBInstancesOfferings":{"type":"list","member":{"locationName":"ReservedDBInstancesOffering","type":"structure","members":{"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"RecurringCharges":{"shape":"S47"}},"wrapper":true}}}}},"DownloadDBLogFilePortion":{"input":{"type":"structure","required":["DBInstanceIdentifier","LogFileName"],"members":{"DBInstanceIdentifier":{},"LogFileName":{},"Marker":{},"NumberOfLines":{"type":"integer"}}},"output":{"resultWrapper":"DownloadDBLogFilePortionResult","type":"structure","members":{"LogFileData":{},"Marker":{},"AdditionalDataPending":{"type":"boolean"}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceName"],"members":{"ResourceName":{},"Filters":{"shape":"S2b"}}},"output":{"resultWrapper":"ListTagsForResourceResult","type":"structure","members":{"TagList":{"shape":"S9"}}}},"ModifyDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"DBSecurityGroups":{"shape":"S13"},"VpcSecurityGroupIds":{"shape":"S14"},"ApplyImmediately":{"type":"boolean"},"MasterUserPassword":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AllowMajorVersionUpgrade":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"Iops":{"type":"integer"},"OptionGroupName":{},"NewDBInstanceIdentifier":{},"StorageType":{},"TdeCredentialArn":{},"TdeCredentialPassword":{}}},"output":{"resultWrapper":"ModifyDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S17"}}}},"ModifyDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName","Parameters"],"members":{"DBParameterGroupName":{},"Parameters":{"shape":"S2w"}}},"output":{"shape":"S4k","resultWrapper":"ModifyDBParameterGroupResult"}},"ModifyDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S1u"}}},"output":{"resultWrapper":"ModifyDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S1b"}}}},"ModifyEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S6"},"Enabled":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"ModifyOptionGroup":{"input":{"type":"structure","required":["OptionGroupName"],"members":{"OptionGroupName":{},"OptionsToInclude":{"type":"list","member":{"locationName":"OptionConfiguration","type":"structure","required":["OptionName"],"members":{"OptionName":{},"Port":{"type":"integer"},"DBSecurityGroupMemberships":{"shape":"S13"},"VpcSecurityGroupMemberships":{"shape":"S14"},"OptionSettings":{"type":"list","member":{"shape":"Sx","locationName":"OptionSetting"}}}}},"OptionsToRemove":{"type":"list","member":{}},"ApplyImmediately":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyOptionGroupResult","type":"structure","members":{"OptionGroup":{"shape":"St"}}}},"PromoteReadReplica":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{}}},"output":{"resultWrapper":"PromoteReadReplicaResult","type":"structure","members":{"DBInstance":{"shape":"S17"}}}},"PurchaseReservedDBInstancesOffering":{"input":{"type":"structure","required":["ReservedDBInstancesOfferingId"],"members":{"ReservedDBInstancesOfferingId":{},"ReservedDBInstanceId":{},"DBInstanceCount":{"type":"integer"},"Tags":{"shape":"S9"}}},"output":{"resultWrapper":"PurchaseReservedDBInstancesOfferingResult","type":"structure","members":{"ReservedDBInstance":{"shape":"S45"}}}},"RebootDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"ForceFailover":{"type":"boolean"}}},"output":{"resultWrapper":"RebootDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S17"}}}},"RemoveSourceIdentifierFromSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"RemoveSourceIdentifierFromSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S4"}}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceName","TagKeys"],"members":{"ResourceName":{},"TagKeys":{"type":"list","member":{}}}}},"ResetDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{},"ResetAllParameters":{"type":"boolean"},"Parameters":{"shape":"S2w"}}},"output":{"shape":"S4k","resultWrapper":"ResetDBParameterGroupResult"}},"RestoreDBInstanceFromDBSnapshot":{"input":{"type":"structure","required":["DBInstanceIdentifier","DBSnapshotIdentifier"],"members":{"DBInstanceIdentifier":{},"DBSnapshotIdentifier":{},"DBInstanceClass":{},"Port":{"type":"integer"},"AvailabilityZone":{},"DBSubnetGroupName":{},"MultiAZ":{"type":"boolean"},"PubliclyAccessible":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"DBName":{},"Engine":{},"Iops":{"type":"integer"},"OptionGroupName":{},"Tags":{"shape":"S9"},"StorageType":{},"TdeCredentialArn":{},"TdeCredentialPassword":{}}},"output":{"resultWrapper":"RestoreDBInstanceFromDBSnapshotResult","type":"structure","members":{"DBInstance":{"shape":"S17"}}}},"RestoreDBInstanceToPointInTime":{"input":{"type":"structure","required":["SourceDBInstanceIdentifier","TargetDBInstanceIdentifier"],"members":{"SourceDBInstanceIdentifier":{},"TargetDBInstanceIdentifier":{},"RestoreTime":{"type":"timestamp"},"UseLatestRestorableTime":{"type":"boolean"},"DBInstanceClass":{},"Port":{"type":"integer"},"AvailabilityZone":{},"DBSubnetGroupName":{},"MultiAZ":{"type":"boolean"},"PubliclyAccessible":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"DBName":{},"Engine":{},"Iops":{"type":"integer"},"OptionGroupName":{},"Tags":{"shape":"S9"},"StorageType":{},"TdeCredentialArn":{},"TdeCredentialPassword":{}}},"output":{"resultWrapper":"RestoreDBInstanceToPointInTimeResult","type":"structure","members":{"DBInstance":{"shape":"S17"}}}},"RevokeDBSecurityGroupIngress":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{},"CIDRIP":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"RevokeDBSecurityGroupIngressResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sd"}}}}},"shapes":{"S4":{"type":"structure","members":{"CustomerAwsId":{},"CustSubscriptionId":{},"SnsTopicArn":{},"Status":{},"SubscriptionCreationTime":{},"SourceType":{},"SourceIdsList":{"shape":"S5"},"EventCategoriesList":{"shape":"S6"},"Enabled":{"type":"boolean"}},"wrapper":true},"S5":{"type":"list","member":{"locationName":"SourceId"}},"S6":{"type":"list","member":{"locationName":"EventCategory"}},"S9":{"type":"list","member":{"locationName":"Tag","type":"structure","members":{"Key":{},"Value":{}}}},"Sd":{"type":"structure","members":{"OwnerId":{},"DBSecurityGroupName":{},"DBSecurityGroupDescription":{},"VpcId":{},"EC2SecurityGroups":{"type":"list","member":{"locationName":"EC2SecurityGroup","type":"structure","members":{"Status":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}}},"IPRanges":{"type":"list","member":{"locationName":"IPRange","type":"structure","members":{"Status":{},"CIDRIP":{}}}}},"wrapper":true},"Sk":{"type":"structure","members":{"DBParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{}},"wrapper":true},"Sn":{"type":"structure","members":{"DBSnapshotIdentifier":{},"DBInstanceIdentifier":{},"SnapshotCreateTime":{"type":"timestamp"},"Engine":{},"AllocatedStorage":{"type":"integer"},"Status":{},"Port":{"type":"integer"},"AvailabilityZone":{},"VpcId":{},"InstanceCreateTime":{"type":"timestamp"},"MasterUsername":{},"EngineVersion":{},"LicenseModel":{},"SnapshotType":{},"Iops":{"type":"integer"},"OptionGroupName":{},"PercentProgress":{"type":"integer"},"SourceRegion":{},"StorageType":{},"TdeCredentialArn":{}},"wrapper":true},"St":{"type":"structure","members":{"OptionGroupName":{},"OptionGroupDescription":{},"EngineName":{},"MajorEngineVersion":{},"Options":{"type":"list","member":{"locationName":"Option","type":"structure","members":{"OptionName":{},"OptionDescription":{},"Persistent":{"type":"boolean"},"Permanent":{"type":"boolean"},"Port":{"type":"integer"},"OptionSettings":{"type":"list","member":{"shape":"Sx","locationName":"OptionSetting"}},"DBSecurityGroupMemberships":{"shape":"Sy"},"VpcSecurityGroupMemberships":{"shape":"S10"}}}},"AllowsVpcAndNonVpcInstanceMemberships":{"type":"boolean"},"VpcId":{}},"wrapper":true},"Sx":{"type":"structure","members":{"Name":{},"Value":{},"DefaultValue":{},"Description":{},"ApplyType":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"IsCollection":{"type":"boolean"}}},"Sy":{"type":"list","member":{"locationName":"DBSecurityGroup","type":"structure","members":{"DBSecurityGroupName":{},"Status":{}}}},"S10":{"type":"list","member":{"locationName":"VpcSecurityGroupMembership","type":"structure","members":{"VpcSecurityGroupId":{},"Status":{}}}},"S13":{"type":"list","member":{"locationName":"DBSecurityGroupName"}},"S14":{"type":"list","member":{"locationName":"VpcSecurityGroupId"}},"S17":{"type":"structure","members":{"DBInstanceIdentifier":{},"DBInstanceClass":{},"Engine":{},"DBInstanceStatus":{},"MasterUsername":{},"DBName":{},"Endpoint":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"}}},"AllocatedStorage":{"type":"integer"},"InstanceCreateTime":{"type":"timestamp"},"PreferredBackupWindow":{},"BackupRetentionPeriod":{"type":"integer"},"DBSecurityGroups":{"shape":"Sy"},"VpcSecurityGroups":{"shape":"S10"},"DBParameterGroups":{"type":"list","member":{"locationName":"DBParameterGroup","type":"structure","members":{"DBParameterGroupName":{},"ParameterApplyStatus":{}}}},"AvailabilityZone":{},"DBSubnetGroup":{"shape":"S1b"},"PreferredMaintenanceWindow":{},"PendingModifiedValues":{"type":"structure","members":{"DBInstanceClass":{},"AllocatedStorage":{"type":"integer"},"MasterUserPassword":{},"Port":{"type":"integer"},"BackupRetentionPeriod":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"Iops":{"type":"integer"},"DBInstanceIdentifier":{},"StorageType":{}}},"LatestRestorableTime":{"type":"timestamp"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"ReadReplicaSourceDBInstanceIdentifier":{},"ReadReplicaDBInstanceIdentifiers":{"type":"list","member":{"locationName":"ReadReplicaDBInstanceIdentifier"}},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupMemberships":{"type":"list","member":{"locationName":"OptionGroupMembership","type":"structure","members":{"OptionGroupName":{},"Status":{}}}},"CharacterSetName":{},"SecondaryAvailabilityZone":{},"PubliclyAccessible":{"type":"boolean"},"StatusInfos":{"type":"list","member":{"locationName":"DBInstanceStatusInfo","type":"structure","members":{"StatusType":{},"Normal":{"type":"boolean"},"Status":{},"Message":{}}}},"StorageType":{},"TdeCredentialArn":{}},"wrapper":true},"S1b":{"type":"structure","members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"VpcId":{},"SubnetGroupStatus":{},"Subnets":{"type":"list","member":{"locationName":"Subnet","type":"structure","members":{"SubnetIdentifier":{},"SubnetAvailabilityZone":{"shape":"S1e"},"SubnetStatus":{}}}}},"wrapper":true},"S1e":{"type":"structure","members":{"Name":{}},"wrapper":true},"S1u":{"type":"list","member":{"locationName":"SubnetIdentifier"}},"S2b":{"type":"list","member":{"locationName":"Filter","type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{"locationName":"Value"}}}}},"S2h":{"type":"structure","members":{"CharacterSetName":{},"CharacterSetDescription":{}}},"S2w":{"type":"list","member":{"locationName":"Parameter","type":"structure","members":{"ParameterName":{},"ParameterValue":{},"Description":{},"Source":{},"ApplyType":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"MinimumEngineVersion":{},"ApplyMethod":{}}}},"S45":{"type":"structure","members":{"ReservedDBInstanceId":{},"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"StartTime":{"type":"timestamp"},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"DBInstanceCount":{"type":"integer"},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"State":{},"RecurringCharges":{"shape":"S47"}},"wrapper":true},"S47":{"type":"list","member":{"locationName":"RecurringCharge","type":"structure","members":{"RecurringChargeAmount":{"type":"double"},"RecurringChargeFrequency":{}},"wrapper":true}},"S4k":{"type":"structure","members":{"DBParameterGroupName":{}}}}}');

/***/ }),

/***/ 49863:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 91916:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-10-31","endpointPrefix":"rds","protocol":"query","serviceAbbreviation":"Amazon RDS","serviceFullName":"Amazon Relational Database Service","serviceId":"RDS","signatureVersion":"v4","uid":"rds-2014-10-31","xmlNamespace":"http://rds.amazonaws.com/doc/2014-10-31/"},"operations":{"AddRoleToDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier","RoleArn"],"members":{"DBClusterIdentifier":{},"RoleArn":{},"FeatureName":{}}}},"AddRoleToDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier","RoleArn","FeatureName"],"members":{"DBInstanceIdentifier":{},"RoleArn":{},"FeatureName":{}}}},"AddSourceIdentifierToSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"AddSourceIdentifierToSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S6"}}}},"AddTagsToResource":{"input":{"type":"structure","required":["ResourceName","Tags"],"members":{"ResourceName":{},"Tags":{"shape":"Sb"}}}},"ApplyPendingMaintenanceAction":{"input":{"type":"structure","required":["ResourceIdentifier","ApplyAction","OptInType"],"members":{"ResourceIdentifier":{},"ApplyAction":{},"OptInType":{}}},"output":{"resultWrapper":"ApplyPendingMaintenanceActionResult","type":"structure","members":{"ResourcePendingMaintenanceActions":{"shape":"Sf"}}}},"AuthorizeDBSecurityGroupIngress":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{},"CIDRIP":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"AuthorizeDBSecurityGroupIngressResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sl"}}}},"BacktrackDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier","BacktrackTo"],"members":{"DBClusterIdentifier":{},"BacktrackTo":{"type":"timestamp"},"Force":{"type":"boolean"},"UseEarliestTimeOnPointInTimeUnavailable":{"type":"boolean"}}},"output":{"shape":"Ss","resultWrapper":"BacktrackDBClusterResult"}},"CancelExportTask":{"input":{"type":"structure","required":["ExportTaskIdentifier"],"members":{"ExportTaskIdentifier":{}}},"output":{"shape":"Su","resultWrapper":"CancelExportTaskResult"}},"CopyDBClusterParameterGroup":{"input":{"type":"structure","required":["SourceDBClusterParameterGroupIdentifier","TargetDBClusterParameterGroupIdentifier","TargetDBClusterParameterGroupDescription"],"members":{"SourceDBClusterParameterGroupIdentifier":{},"TargetDBClusterParameterGroupIdentifier":{},"TargetDBClusterParameterGroupDescription":{},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CopyDBClusterParameterGroupResult","type":"structure","members":{"DBClusterParameterGroup":{"shape":"Sz"}}}},"CopyDBClusterSnapshot":{"input":{"type":"structure","required":["SourceDBClusterSnapshotIdentifier","TargetDBClusterSnapshotIdentifier"],"members":{"SourceDBClusterSnapshotIdentifier":{},"TargetDBClusterSnapshotIdentifier":{},"KmsKeyId":{},"PreSignedUrl":{},"CopyTags":{"type":"boolean"},"Tags":{"shape":"Sb"},"SourceRegion":{}}},"output":{"resultWrapper":"CopyDBClusterSnapshotResult","type":"structure","members":{"DBClusterSnapshot":{"shape":"S12"}}}},"CopyDBParameterGroup":{"input":{"type":"structure","required":["SourceDBParameterGroupIdentifier","TargetDBParameterGroupIdentifier","TargetDBParameterGroupDescription"],"members":{"SourceDBParameterGroupIdentifier":{},"TargetDBParameterGroupIdentifier":{},"TargetDBParameterGroupDescription":{},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CopyDBParameterGroupResult","type":"structure","members":{"DBParameterGroup":{"shape":"S16"}}}},"CopyDBSnapshot":{"input":{"type":"structure","required":["SourceDBSnapshotIdentifier","TargetDBSnapshotIdentifier"],"members":{"SourceDBSnapshotIdentifier":{},"TargetDBSnapshotIdentifier":{},"KmsKeyId":{},"Tags":{"shape":"Sb"},"CopyTags":{"type":"boolean"},"PreSignedUrl":{},"OptionGroupName":{},"TargetCustomAvailabilityZone":{},"SourceRegion":{}}},"output":{"resultWrapper":"CopyDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"S19"}}}},"CopyOptionGroup":{"input":{"type":"structure","required":["SourceOptionGroupIdentifier","TargetOptionGroupIdentifier","TargetOptionGroupDescription"],"members":{"SourceOptionGroupIdentifier":{},"TargetOptionGroupIdentifier":{},"TargetOptionGroupDescription":{},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CopyOptionGroupResult","type":"structure","members":{"OptionGroup":{"shape":"S1f"}}}},"CreateCustomAvailabilityZone":{"input":{"type":"structure","required":["CustomAvailabilityZoneName"],"members":{"CustomAvailabilityZoneName":{},"ExistingVpnId":{},"NewVpnTunnelName":{},"VpnTunnelOriginatorIP":{}}},"output":{"resultWrapper":"CreateCustomAvailabilityZoneResult","type":"structure","members":{"CustomAvailabilityZone":{"shape":"S1q"}}}},"CreateCustomDBEngineVersion":{"input":{"type":"structure","required":["Engine","EngineVersion","DatabaseInstallationFilesS3BucketName","KMSKeyId","Manifest"],"members":{"Engine":{},"EngineVersion":{},"DatabaseInstallationFilesS3BucketName":{},"DatabaseInstallationFilesS3Prefix":{},"KMSKeyId":{},"Description":{},"Manifest":{},"Tags":{"shape":"Sb"}}},"output":{"shape":"S21","resultWrapper":"CreateCustomDBEngineVersionResult"}},"CreateDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier","Engine"],"members":{"AvailabilityZones":{"shape":"S13"},"BackupRetentionPeriod":{"type":"integer"},"CharacterSetName":{},"DatabaseName":{},"DBClusterIdentifier":{},"DBClusterParameterGroupName":{},"VpcSecurityGroupIds":{"shape":"S2c"},"DBSubnetGroupName":{},"Engine":{},"EngineVersion":{},"Port":{"type":"integer"},"MasterUsername":{},"MasterUserPassword":{},"OptionGroupName":{},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"ReplicationSourceIdentifier":{},"Tags":{"shape":"Sb"},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"PreSignedUrl":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"BacktrackWindow":{"type":"long"},"EnableCloudwatchLogsExports":{"shape":"S29"},"EngineMode":{},"ScalingConfiguration":{"shape":"S2e"},"DeletionProtection":{"type":"boolean"},"GlobalClusterIdentifier":{},"EnableHttpEndpoint":{"type":"boolean"},"CopyTagsToSnapshot":{"type":"boolean"},"Domain":{},"DomainIAMRoleName":{},"EnableGlobalWriteForwarding":{"type":"boolean"},"DBClusterInstanceClass":{},"AllocatedStorage":{"type":"integer"},"StorageType":{},"Iops":{"type":"integer"},"PubliclyAccessible":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"MonitoringInterval":{"type":"integer"},"MonitoringRoleArn":{},"EnablePerformanceInsights":{"type":"boolean"},"PerformanceInsightsKMSKeyId":{},"PerformanceInsightsRetentionPeriod":{"type":"integer"},"SourceRegion":{}}},"output":{"resultWrapper":"CreateDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"S2g"}}}},"CreateDBClusterEndpoint":{"input":{"type":"structure","required":["DBClusterIdentifier","DBClusterEndpointIdentifier","EndpointType"],"members":{"DBClusterIdentifier":{},"DBClusterEndpointIdentifier":{},"EndpointType":{},"StaticMembers":{"shape":"Sv"},"ExcludedMembers":{"shape":"Sv"},"Tags":{"shape":"Sb"}}},"output":{"shape":"S2x","resultWrapper":"CreateDBClusterEndpointResult"}},"CreateDBClusterParameterGroup":{"input":{"type":"structure","required":["DBClusterParameterGroupName","DBParameterGroupFamily","Description"],"members":{"DBClusterParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CreateDBClusterParameterGroupResult","type":"structure","members":{"DBClusterParameterGroup":{"shape":"Sz"}}}},"CreateDBClusterSnapshot":{"input":{"type":"structure","required":["DBClusterSnapshotIdentifier","DBClusterIdentifier"],"members":{"DBClusterSnapshotIdentifier":{},"DBClusterIdentifier":{},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CreateDBClusterSnapshotResult","type":"structure","members":{"DBClusterSnapshot":{"shape":"S12"}}}},"CreateDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier","DBInstanceClass","Engine"],"members":{"DBName":{},"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"Engine":{},"MasterUsername":{},"MasterUserPassword":{},"DBSecurityGroups":{"shape":"S33"},"VpcSecurityGroupIds":{"shape":"S2c"},"AvailabilityZone":{},"DBSubnetGroupName":{},"PreferredMaintenanceWindow":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"Port":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupName":{},"CharacterSetName":{},"NcharCharacterSetName":{},"PubliclyAccessible":{"type":"boolean"},"Tags":{"shape":"Sb"},"DBClusterIdentifier":{},"StorageType":{},"TdeCredentialArn":{},"TdeCredentialPassword":{},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"Domain":{},"CopyTagsToSnapshot":{"type":"boolean"},"MonitoringInterval":{"type":"integer"},"MonitoringRoleArn":{},"DomainIAMRoleName":{},"PromotionTier":{"type":"integer"},"Timezone":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"EnablePerformanceInsights":{"type":"boolean"},"PerformanceInsightsKMSKeyId":{},"PerformanceInsightsRetentionPeriod":{"type":"integer"},"EnableCloudwatchLogsExports":{"shape":"S29"},"ProcessorFeatures":{"shape":"S1b"},"DeletionProtection":{"type":"boolean"},"MaxAllocatedStorage":{"type":"integer"},"EnableCustomerOwnedIp":{"type":"boolean"},"CustomIamInstanceProfile":{},"BackupTarget":{}}},"output":{"resultWrapper":"CreateDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S35"}}}},"CreateDBInstanceReadReplica":{"input":{"type":"structure","required":["DBInstanceIdentifier","SourceDBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"SourceDBInstanceIdentifier":{},"DBInstanceClass":{},"AvailabilityZone":{},"Port":{"type":"integer"},"MultiAZ":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"Iops":{"type":"integer"},"OptionGroupName":{},"DBParameterGroupName":{},"PubliclyAccessible":{"type":"boolean"},"Tags":{"shape":"Sb"},"DBSubnetGroupName":{},"VpcSecurityGroupIds":{"shape":"S2c"},"StorageType":{},"CopyTagsToSnapshot":{"type":"boolean"},"MonitoringInterval":{"type":"integer"},"MonitoringRoleArn":{},"KmsKeyId":{},"PreSignedUrl":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"EnablePerformanceInsights":{"type":"boolean"},"PerformanceInsightsKMSKeyId":{},"PerformanceInsightsRetentionPeriod":{"type":"integer"},"EnableCloudwatchLogsExports":{"shape":"S29"},"ProcessorFeatures":{"shape":"S1b"},"UseDefaultProcessorFeatures":{"type":"boolean"},"DeletionProtection":{"type":"boolean"},"Domain":{},"DomainIAMRoleName":{},"ReplicaMode":{},"MaxAllocatedStorage":{"type":"integer"},"CustomIamInstanceProfile":{},"SourceRegion":{}}},"output":{"resultWrapper":"CreateDBInstanceReadReplicaResult","type":"structure","members":{"DBInstance":{"shape":"S35"}}}},"CreateDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName","DBParameterGroupFamily","Description"],"members":{"DBParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CreateDBParameterGroupResult","type":"structure","members":{"DBParameterGroup":{"shape":"S16"}}}},"CreateDBProxy":{"input":{"type":"structure","required":["DBProxyName","EngineFamily","Auth","RoleArn","VpcSubnetIds"],"members":{"DBProxyName":{},"EngineFamily":{},"Auth":{"shape":"S3x"},"RoleArn":{},"VpcSubnetIds":{"shape":"Sv"},"VpcSecurityGroupIds":{"shape":"Sv"},"RequireTLS":{"type":"boolean"},"IdleClientTimeout":{"type":"integer"},"DebugLogging":{"type":"boolean"},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CreateDBProxyResult","type":"structure","members":{"DBProxy":{"shape":"S42"}}}},"CreateDBProxyEndpoint":{"input":{"type":"structure","required":["DBProxyName","DBProxyEndpointName","VpcSubnetIds"],"members":{"DBProxyName":{},"DBProxyEndpointName":{},"VpcSubnetIds":{"shape":"Sv"},"VpcSecurityGroupIds":{"shape":"Sv"},"TargetRole":{},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CreateDBProxyEndpointResult","type":"structure","members":{"DBProxyEndpoint":{"shape":"S4b"}}}},"CreateDBSecurityGroup":{"input":{"type":"structure","required":["DBSecurityGroupName","DBSecurityGroupDescription"],"members":{"DBSecurityGroupName":{},"DBSecurityGroupDescription":{},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CreateDBSecurityGroupResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sl"}}}},"CreateDBSnapshot":{"input":{"type":"structure","required":["DBSnapshotIdentifier","DBInstanceIdentifier"],"members":{"DBSnapshotIdentifier":{},"DBInstanceIdentifier":{},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CreateDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"S19"}}}},"CreateDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","DBSubnetGroupDescription","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S4i"},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CreateDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S39"}}}},"CreateEventSubscription":{"input":{"type":"structure","required":["SubscriptionName","SnsTopicArn"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S8"},"SourceIds":{"shape":"S7"},"Enabled":{"type":"boolean"},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CreateEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S6"}}}},"CreateGlobalCluster":{"input":{"type":"structure","members":{"GlobalClusterIdentifier":{},"SourceDBClusterIdentifier":{},"Engine":{},"EngineVersion":{},"DeletionProtection":{"type":"boolean"},"DatabaseName":{},"StorageEncrypted":{"type":"boolean"}}},"output":{"resultWrapper":"CreateGlobalClusterResult","type":"structure","members":{"GlobalCluster":{"shape":"S4o"}}}},"CreateOptionGroup":{"input":{"type":"structure","required":["OptionGroupName","EngineName","MajorEngineVersion","OptionGroupDescription"],"members":{"OptionGroupName":{},"EngineName":{},"MajorEngineVersion":{},"OptionGroupDescription":{},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"CreateOptionGroupResult","type":"structure","members":{"OptionGroup":{"shape":"S1f"}}}},"DeleteCustomAvailabilityZone":{"input":{"type":"structure","required":["CustomAvailabilityZoneId"],"members":{"CustomAvailabilityZoneId":{}}},"output":{"resultWrapper":"DeleteCustomAvailabilityZoneResult","type":"structure","members":{"CustomAvailabilityZone":{"shape":"S1q"}}}},"DeleteCustomDBEngineVersion":{"input":{"type":"structure","required":["Engine","EngineVersion"],"members":{"Engine":{},"EngineVersion":{}}},"output":{"shape":"S21","resultWrapper":"DeleteCustomDBEngineVersionResult"}},"DeleteDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{},"SkipFinalSnapshot":{"type":"boolean"},"FinalDBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"S2g"}}}},"DeleteDBClusterEndpoint":{"input":{"type":"structure","required":["DBClusterEndpointIdentifier"],"members":{"DBClusterEndpointIdentifier":{}}},"output":{"shape":"S2x","resultWrapper":"DeleteDBClusterEndpointResult"}},"DeleteDBClusterParameterGroup":{"input":{"type":"structure","required":["DBClusterParameterGroupName"],"members":{"DBClusterParameterGroupName":{}}}},"DeleteDBClusterSnapshot":{"input":{"type":"structure","required":["DBClusterSnapshotIdentifier"],"members":{"DBClusterSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBClusterSnapshotResult","type":"structure","members":{"DBClusterSnapshot":{"shape":"S12"}}}},"DeleteDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"SkipFinalSnapshot":{"type":"boolean"},"FinalDBSnapshotIdentifier":{},"DeleteAutomatedBackups":{"type":"boolean"}}},"output":{"resultWrapper":"DeleteDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S35"}}}},"DeleteDBInstanceAutomatedBackup":{"input":{"type":"structure","members":{"DbiResourceId":{},"DBInstanceAutomatedBackupsArn":{}}},"output":{"resultWrapper":"DeleteDBInstanceAutomatedBackupResult","type":"structure","members":{"DBInstanceAutomatedBackup":{"shape":"S59"}}}},"DeleteDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{}}}},"DeleteDBProxy":{"input":{"type":"structure","required":["DBProxyName"],"members":{"DBProxyName":{}}},"output":{"resultWrapper":"DeleteDBProxyResult","type":"structure","members":{"DBProxy":{"shape":"S42"}}}},"DeleteDBProxyEndpoint":{"input":{"type":"structure","required":["DBProxyEndpointName"],"members":{"DBProxyEndpointName":{}}},"output":{"resultWrapper":"DeleteDBProxyEndpointResult","type":"structure","members":{"DBProxyEndpoint":{"shape":"S4b"}}}},"DeleteDBSecurityGroup":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{}}}},"DeleteDBSnapshot":{"input":{"type":"structure","required":["DBSnapshotIdentifier"],"members":{"DBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DeleteDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"S19"}}}},"DeleteDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName"],"members":{"DBSubnetGroupName":{}}}},"DeleteEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{}}},"output":{"resultWrapper":"DeleteEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S6"}}}},"DeleteGlobalCluster":{"input":{"type":"structure","required":["GlobalClusterIdentifier"],"members":{"GlobalClusterIdentifier":{}}},"output":{"resultWrapper":"DeleteGlobalClusterResult","type":"structure","members":{"GlobalCluster":{"shape":"S4o"}}}},"DeleteInstallationMedia":{"input":{"type":"structure","required":["InstallationMediaId"],"members":{"InstallationMediaId":{}}},"output":{"shape":"S5p","resultWrapper":"DeleteInstallationMediaResult"}},"DeleteOptionGroup":{"input":{"type":"structure","required":["OptionGroupName"],"members":{"OptionGroupName":{}}}},"DeregisterDBProxyTargets":{"input":{"type":"structure","required":["DBProxyName"],"members":{"DBProxyName":{},"TargetGroupName":{},"DBInstanceIdentifiers":{"shape":"Sv"},"DBClusterIdentifiers":{"shape":"Sv"}}},"output":{"resultWrapper":"DeregisterDBProxyTargetsResult","type":"structure","members":{}}},"DescribeAccountAttributes":{"input":{"type":"structure","members":{}},"output":{"resultWrapper":"DescribeAccountAttributesResult","type":"structure","members":{"AccountQuotas":{"type":"list","member":{"locationName":"AccountQuota","type":"structure","members":{"AccountQuotaName":{},"Used":{"type":"long"},"Max":{"type":"long"}},"wrapper":true}}}}},"DescribeCertificates":{"input":{"type":"structure","members":{"CertificateIdentifier":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeCertificatesResult","type":"structure","members":{"Certificates":{"type":"list","member":{"shape":"S65","locationName":"Certificate"}},"Marker":{}}}},"DescribeCustomAvailabilityZones":{"input":{"type":"structure","members":{"CustomAvailabilityZoneId":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeCustomAvailabilityZonesResult","type":"structure","members":{"Marker":{},"CustomAvailabilityZones":{"type":"list","member":{"shape":"S1q","locationName":"CustomAvailabilityZone"}}}}},"DescribeDBClusterBacktracks":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{},"BacktrackIdentifier":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBClusterBacktracksResult","type":"structure","members":{"Marker":{},"DBClusterBacktracks":{"type":"list","member":{"shape":"Ss","locationName":"DBClusterBacktrack"}}}}},"DescribeDBClusterEndpoints":{"input":{"type":"structure","members":{"DBClusterIdentifier":{},"DBClusterEndpointIdentifier":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBClusterEndpointsResult","type":"structure","members":{"Marker":{},"DBClusterEndpoints":{"type":"list","member":{"shape":"S2x","locationName":"DBClusterEndpointList"}}}}},"DescribeDBClusterParameterGroups":{"input":{"type":"structure","members":{"DBClusterParameterGroupName":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBClusterParameterGroupsResult","type":"structure","members":{"Marker":{},"DBClusterParameterGroups":{"type":"list","member":{"shape":"Sz","locationName":"DBClusterParameterGroup"}}}}},"DescribeDBClusterParameters":{"input":{"type":"structure","required":["DBClusterParameterGroupName"],"members":{"DBClusterParameterGroupName":{},"Source":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBClusterParametersResult","type":"structure","members":{"Parameters":{"shape":"S6k"},"Marker":{}}}},"DescribeDBClusterSnapshotAttributes":{"input":{"type":"structure","required":["DBClusterSnapshotIdentifier"],"members":{"DBClusterSnapshotIdentifier":{}}},"output":{"resultWrapper":"DescribeDBClusterSnapshotAttributesResult","type":"structure","members":{"DBClusterSnapshotAttributesResult":{"shape":"S6p"}}}},"DescribeDBClusterSnapshots":{"input":{"type":"structure","members":{"DBClusterIdentifier":{},"DBClusterSnapshotIdentifier":{},"SnapshotType":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{},"IncludeShared":{"type":"boolean"},"IncludePublic":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeDBClusterSnapshotsResult","type":"structure","members":{"Marker":{},"DBClusterSnapshots":{"type":"list","member":{"shape":"S12","locationName":"DBClusterSnapshot"}}}}},"DescribeDBClusters":{"input":{"type":"structure","members":{"DBClusterIdentifier":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{},"IncludeShared":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeDBClustersResult","type":"structure","members":{"Marker":{},"DBClusters":{"type":"list","member":{"shape":"S2g","locationName":"DBCluster"}}}}},"DescribeDBEngineVersions":{"input":{"type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{},"DefaultOnly":{"type":"boolean"},"ListSupportedCharacterSets":{"type":"boolean"},"ListSupportedTimezones":{"type":"boolean"},"IncludeAll":{"type":"boolean"}}},"output":{"resultWrapper":"DescribeDBEngineVersionsResult","type":"structure","members":{"Marker":{},"DBEngineVersions":{"type":"list","member":{"shape":"S21","locationName":"DBEngineVersion"}}}}},"DescribeDBInstanceAutomatedBackups":{"input":{"type":"structure","members":{"DbiResourceId":{},"DBInstanceIdentifier":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{},"DBInstanceAutomatedBackupsArn":{}}},"output":{"resultWrapper":"DescribeDBInstanceAutomatedBackupsResult","type":"structure","members":{"Marker":{},"DBInstanceAutomatedBackups":{"type":"list","member":{"shape":"S59","locationName":"DBInstanceAutomatedBackup"}}}}},"DescribeDBInstances":{"input":{"type":"structure","members":{"DBInstanceIdentifier":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBInstancesResult","type":"structure","members":{"Marker":{},"DBInstances":{"type":"list","member":{"shape":"S35","locationName":"DBInstance"}}}}},"DescribeDBLogFiles":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"FilenameContains":{},"FileLastWritten":{"type":"long"},"FileSize":{"type":"long"},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBLogFilesResult","type":"structure","members":{"DescribeDBLogFiles":{"type":"list","member":{"locationName":"DescribeDBLogFilesDetails","type":"structure","members":{"LogFileName":{},"LastWritten":{"type":"long"},"Size":{"type":"long"}}}},"Marker":{}}}},"DescribeDBParameterGroups":{"input":{"type":"structure","members":{"DBParameterGroupName":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBParameterGroupsResult","type":"structure","members":{"Marker":{},"DBParameterGroups":{"type":"list","member":{"shape":"S16","locationName":"DBParameterGroup"}}}}},"DescribeDBParameters":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{},"Source":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBParametersResult","type":"structure","members":{"Parameters":{"shape":"S6k"},"Marker":{}}}},"DescribeDBProxies":{"input":{"type":"structure","members":{"DBProxyName":{},"Filters":{"shape":"S60"},"Marker":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeDBProxiesResult","type":"structure","members":{"DBProxies":{"type":"list","member":{"shape":"S42"}},"Marker":{}}}},"DescribeDBProxyEndpoints":{"input":{"type":"structure","members":{"DBProxyName":{},"DBProxyEndpointName":{},"Filters":{"shape":"S60"},"Marker":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeDBProxyEndpointsResult","type":"structure","members":{"DBProxyEndpoints":{"type":"list","member":{"shape":"S4b"}},"Marker":{}}}},"DescribeDBProxyTargetGroups":{"input":{"type":"structure","required":["DBProxyName"],"members":{"DBProxyName":{},"TargetGroupName":{},"Filters":{"shape":"S60"},"Marker":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeDBProxyTargetGroupsResult","type":"structure","members":{"TargetGroups":{"type":"list","member":{"shape":"S7r"}},"Marker":{}}}},"DescribeDBProxyTargets":{"input":{"type":"structure","required":["DBProxyName"],"members":{"DBProxyName":{},"TargetGroupName":{},"Filters":{"shape":"S60"},"Marker":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeDBProxyTargetsResult","type":"structure","members":{"Targets":{"shape":"S7v"},"Marker":{}}}},"DescribeDBSecurityGroups":{"input":{"type":"structure","members":{"DBSecurityGroupName":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSecurityGroupsResult","type":"structure","members":{"Marker":{},"DBSecurityGroups":{"type":"list","member":{"shape":"Sl","locationName":"DBSecurityGroup"}}}}},"DescribeDBSnapshotAttributes":{"input":{"type":"structure","required":["DBSnapshotIdentifier"],"members":{"DBSnapshotIdentifier":{}}},"output":{"resultWrapper":"DescribeDBSnapshotAttributesResult","type":"structure","members":{"DBSnapshotAttributesResult":{"shape":"S87"}}}},"DescribeDBSnapshots":{"input":{"type":"structure","members":{"DBInstanceIdentifier":{},"DBSnapshotIdentifier":{},"SnapshotType":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{},"IncludeShared":{"type":"boolean"},"IncludePublic":{"type":"boolean"},"DbiResourceId":{}}},"output":{"resultWrapper":"DescribeDBSnapshotsResult","type":"structure","members":{"Marker":{},"DBSnapshots":{"type":"list","member":{"shape":"S19","locationName":"DBSnapshot"}}}}},"DescribeDBSubnetGroups":{"input":{"type":"structure","members":{"DBSubnetGroupName":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDBSubnetGroupsResult","type":"structure","members":{"Marker":{},"DBSubnetGroups":{"type":"list","member":{"shape":"S39","locationName":"DBSubnetGroup"}}}}},"DescribeEngineDefaultClusterParameters":{"input":{"type":"structure","required":["DBParameterGroupFamily"],"members":{"DBParameterGroupFamily":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEngineDefaultClusterParametersResult","type":"structure","members":{"EngineDefaults":{"shape":"S8i"}}}},"DescribeEngineDefaultParameters":{"input":{"type":"structure","required":["DBParameterGroupFamily"],"members":{"DBParameterGroupFamily":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEngineDefaultParametersResult","type":"structure","members":{"EngineDefaults":{"shape":"S8i"}}}},"DescribeEventCategories":{"input":{"type":"structure","members":{"SourceType":{},"Filters":{"shape":"S60"}}},"output":{"resultWrapper":"DescribeEventCategoriesResult","type":"structure","members":{"EventCategoriesMapList":{"type":"list","member":{"locationName":"EventCategoriesMap","type":"structure","members":{"SourceType":{},"EventCategories":{"shape":"S8"}},"wrapper":true}}}}},"DescribeEventSubscriptions":{"input":{"type":"structure","members":{"SubscriptionName":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventSubscriptionsResult","type":"structure","members":{"Marker":{},"EventSubscriptionsList":{"type":"list","member":{"shape":"S6","locationName":"EventSubscription"}}}}},"DescribeEvents":{"input":{"type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Duration":{"type":"integer"},"EventCategories":{"shape":"S8"},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventsResult","type":"structure","members":{"Marker":{},"Events":{"type":"list","member":{"locationName":"Event","type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"Message":{},"EventCategories":{"shape":"S8"},"Date":{"type":"timestamp"},"SourceArn":{}}}}}}},"DescribeExportTasks":{"input":{"type":"structure","members":{"ExportTaskIdentifier":{},"SourceArn":{},"Filters":{"shape":"S60"},"Marker":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeExportTasksResult","type":"structure","members":{"Marker":{},"ExportTasks":{"type":"list","member":{"shape":"Su","locationName":"ExportTask"}}}}},"DescribeGlobalClusters":{"input":{"type":"structure","members":{"GlobalClusterIdentifier":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeGlobalClustersResult","type":"structure","members":{"Marker":{},"GlobalClusters":{"type":"list","member":{"shape":"S4o","locationName":"GlobalClusterMember"}}}}},"DescribeInstallationMedia":{"input":{"type":"structure","members":{"InstallationMediaId":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeInstallationMediaResult","type":"structure","members":{"Marker":{},"InstallationMedia":{"type":"list","member":{"shape":"S5p","locationName":"InstallationMedia"}}}}},"DescribeOptionGroupOptions":{"input":{"type":"structure","required":["EngineName"],"members":{"EngineName":{},"MajorEngineVersion":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOptionGroupOptionsResult","type":"structure","members":{"OptionGroupOptions":{"type":"list","member":{"locationName":"OptionGroupOption","type":"structure","members":{"Name":{},"Description":{},"EngineName":{},"MajorEngineVersion":{},"MinimumRequiredMinorEngineVersion":{},"PortRequired":{"type":"boolean"},"DefaultPort":{"type":"integer"},"OptionsDependedOn":{"type":"list","member":{"locationName":"OptionName"}},"OptionsConflictsWith":{"type":"list","member":{"locationName":"OptionConflictName"}},"Persistent":{"type":"boolean"},"Permanent":{"type":"boolean"},"RequiresAutoMinorEngineVersionUpgrade":{"type":"boolean"},"VpcOnly":{"type":"boolean"},"SupportsOptionVersionDowngrade":{"type":"boolean"},"OptionGroupOptionSettings":{"type":"list","member":{"locationName":"OptionGroupOptionSetting","type":"structure","members":{"SettingName":{},"SettingDescription":{},"DefaultValue":{},"ApplyType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"IsRequired":{"type":"boolean"},"MinimumEngineVersionPerAllowedValue":{"type":"list","member":{"locationName":"MinimumEngineVersionPerAllowedValue","type":"structure","members":{"AllowedValue":{},"MinimumEngineVersion":{}}}}}}},"OptionGroupOptionVersions":{"type":"list","member":{"locationName":"OptionVersion","type":"structure","members":{"Version":{},"IsDefault":{"type":"boolean"}}}}}}},"Marker":{}}}},"DescribeOptionGroups":{"input":{"type":"structure","members":{"OptionGroupName":{},"Filters":{"shape":"S60"},"Marker":{},"MaxRecords":{"type":"integer"},"EngineName":{},"MajorEngineVersion":{}}},"output":{"resultWrapper":"DescribeOptionGroupsResult","type":"structure","members":{"OptionGroupsList":{"type":"list","member":{"shape":"S1f","locationName":"OptionGroup"}},"Marker":{}}}},"DescribeOrderableDBInstanceOptions":{"input":{"type":"structure","required":["Engine"],"members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"AvailabilityZoneGroup":{},"Vpc":{"type":"boolean"},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOrderableDBInstanceOptionsResult","type":"structure","members":{"OrderableDBInstanceOptions":{"type":"list","member":{"locationName":"OrderableDBInstanceOption","type":"structure","members":{"Engine":{},"EngineVersion":{},"DBInstanceClass":{},"LicenseModel":{},"AvailabilityZoneGroup":{},"AvailabilityZones":{"type":"list","member":{"shape":"S3c","locationName":"AvailabilityZone"}},"MultiAZCapable":{"type":"boolean"},"ReadReplicaCapable":{"type":"boolean"},"Vpc":{"type":"boolean"},"SupportsStorageEncryption":{"type":"boolean"},"StorageType":{},"SupportsIops":{"type":"boolean"},"SupportsEnhancedMonitoring":{"type":"boolean"},"SupportsIAMDatabaseAuthentication":{"type":"boolean"},"SupportsPerformanceInsights":{"type":"boolean"},"MinStorageSize":{"type":"integer"},"MaxStorageSize":{"type":"integer"},"MinIopsPerDbInstance":{"type":"integer"},"MaxIopsPerDbInstance":{"type":"integer"},"MinIopsPerGib":{"type":"double"},"MaxIopsPerGib":{"type":"double"},"AvailableProcessorFeatures":{"shape":"S9r"},"SupportedEngineModes":{"shape":"S26"},"SupportsStorageAutoscaling":{"type":"boolean"},"SupportsKerberosAuthentication":{"type":"boolean"},"OutpostCapable":{"type":"boolean"},"SupportedActivityStreamModes":{"type":"list","member":{}},"SupportsGlobalDatabases":{"type":"boolean"},"SupportsClusters":{"type":"boolean"}},"wrapper":true}},"Marker":{}}}},"DescribePendingMaintenanceActions":{"input":{"type":"structure","members":{"ResourceIdentifier":{},"Filters":{"shape":"S60"},"Marker":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribePendingMaintenanceActionsResult","type":"structure","members":{"PendingMaintenanceActions":{"type":"list","member":{"shape":"Sf","locationName":"ResourcePendingMaintenanceActions"}},"Marker":{}}}},"DescribeReservedDBInstances":{"input":{"type":"structure","members":{"ReservedDBInstanceId":{},"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"LeaseId":{},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedDBInstancesResult","type":"structure","members":{"Marker":{},"ReservedDBInstances":{"type":"list","member":{"shape":"Sa0","locationName":"ReservedDBInstance"}}}}},"DescribeReservedDBInstancesOfferings":{"input":{"type":"structure","members":{"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"Filters":{"shape":"S60"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedDBInstancesOfferingsResult","type":"structure","members":{"Marker":{},"ReservedDBInstancesOfferings":{"type":"list","member":{"locationName":"ReservedDBInstancesOffering","type":"structure","members":{"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"RecurringCharges":{"shape":"Sa2"}},"wrapper":true}}}}},"DescribeSourceRegions":{"input":{"type":"structure","members":{"RegionName":{},"MaxRecords":{"type":"integer"},"Marker":{},"Filters":{"shape":"S60"}}},"output":{"resultWrapper":"DescribeSourceRegionsResult","type":"structure","members":{"Marker":{},"SourceRegions":{"type":"list","member":{"locationName":"SourceRegion","type":"structure","members":{"RegionName":{},"Endpoint":{},"Status":{},"SupportsDBInstanceAutomatedBackupsReplication":{"type":"boolean"}}}}}}},"DescribeValidDBInstanceModifications":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{}}},"output":{"resultWrapper":"DescribeValidDBInstanceModificationsResult","type":"structure","members":{"ValidDBInstanceModificationsMessage":{"type":"structure","members":{"Storage":{"type":"list","member":{"locationName":"ValidStorageOptions","type":"structure","members":{"StorageType":{},"StorageSize":{"shape":"Sah"},"ProvisionedIops":{"shape":"Sah"},"IopsToStorageRatio":{"type":"list","member":{"locationName":"DoubleRange","type":"structure","members":{"From":{"type":"double"},"To":{"type":"double"}}}},"SupportsStorageAutoscaling":{"type":"boolean"}}}},"ValidProcessorFeatures":{"shape":"S9r"}},"wrapper":true}}}},"DownloadDBLogFilePortion":{"input":{"type":"structure","required":["DBInstanceIdentifier","LogFileName"],"members":{"DBInstanceIdentifier":{},"LogFileName":{},"Marker":{},"NumberOfLines":{"type":"integer"}}},"output":{"resultWrapper":"DownloadDBLogFilePortionResult","type":"structure","members":{"LogFileData":{},"Marker":{},"AdditionalDataPending":{"type":"boolean"}}}},"FailoverDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{},"TargetDBInstanceIdentifier":{}}},"output":{"resultWrapper":"FailoverDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"S2g"}}}},"FailoverGlobalCluster":{"input":{"type":"structure","required":["GlobalClusterIdentifier","TargetDbClusterIdentifier"],"members":{"GlobalClusterIdentifier":{},"TargetDbClusterIdentifier":{}}},"output":{"resultWrapper":"FailoverGlobalClusterResult","type":"structure","members":{"GlobalCluster":{"shape":"S4o"}}}},"ImportInstallationMedia":{"input":{"type":"structure","required":["CustomAvailabilityZoneId","Engine","EngineVersion","EngineInstallationMediaPath","OSInstallationMediaPath"],"members":{"CustomAvailabilityZoneId":{},"Engine":{},"EngineVersion":{},"EngineInstallationMediaPath":{},"OSInstallationMediaPath":{}}},"output":{"shape":"S5p","resultWrapper":"ImportInstallationMediaResult"}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceName"],"members":{"ResourceName":{},"Filters":{"shape":"S60"}}},"output":{"resultWrapper":"ListTagsForResourceResult","type":"structure","members":{"TagList":{"shape":"Sb"}}}},"ModifyCertificates":{"input":{"type":"structure","members":{"CertificateIdentifier":{},"RemoveCustomerOverride":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyCertificatesResult","type":"structure","members":{"Certificate":{"shape":"S65"}}}},"ModifyCurrentDBClusterCapacity":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{},"Capacity":{"type":"integer"},"SecondsBeforeTimeout":{"type":"integer"},"TimeoutAction":{}}},"output":{"resultWrapper":"ModifyCurrentDBClusterCapacityResult","type":"structure","members":{"DBClusterIdentifier":{},"PendingCapacity":{"type":"integer"},"CurrentCapacity":{"type":"integer"},"SecondsBeforeTimeout":{"type":"integer"},"TimeoutAction":{}}}},"ModifyCustomDBEngineVersion":{"input":{"type":"structure","required":["Engine","EngineVersion"],"members":{"Engine":{},"EngineVersion":{},"Description":{},"Status":{}}},"output":{"shape":"S21","resultWrapper":"ModifyCustomDBEngineVersionResult"}},"ModifyDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{},"NewDBClusterIdentifier":{},"ApplyImmediately":{"type":"boolean"},"BackupRetentionPeriod":{"type":"integer"},"DBClusterParameterGroupName":{},"VpcSecurityGroupIds":{"shape":"S2c"},"Port":{"type":"integer"},"MasterUserPassword":{},"OptionGroupName":{},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"BacktrackWindow":{"type":"long"},"CloudwatchLogsExportConfiguration":{"shape":"Sb3"},"EngineVersion":{},"AllowMajorVersionUpgrade":{"type":"boolean"},"DBInstanceParameterGroupName":{},"Domain":{},"DomainIAMRoleName":{},"ScalingConfiguration":{"shape":"S2e"},"DeletionProtection":{"type":"boolean"},"EnableHttpEndpoint":{"type":"boolean"},"CopyTagsToSnapshot":{"type":"boolean"},"EnableGlobalWriteForwarding":{"type":"boolean"},"DBClusterInstanceClass":{},"AllocatedStorage":{"type":"integer"},"StorageType":{},"Iops":{"type":"integer"},"AutoMinorVersionUpgrade":{"type":"boolean"},"MonitoringInterval":{"type":"integer"},"MonitoringRoleArn":{},"EnablePerformanceInsights":{"type":"boolean"},"PerformanceInsightsKMSKeyId":{},"PerformanceInsightsRetentionPeriod":{"type":"integer"}}},"output":{"resultWrapper":"ModifyDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"S2g"}}}},"ModifyDBClusterEndpoint":{"input":{"type":"structure","required":["DBClusterEndpointIdentifier"],"members":{"DBClusterEndpointIdentifier":{},"EndpointType":{},"StaticMembers":{"shape":"Sv"},"ExcludedMembers":{"shape":"Sv"}}},"output":{"shape":"S2x","resultWrapper":"ModifyDBClusterEndpointResult"}},"ModifyDBClusterParameterGroup":{"input":{"type":"structure","required":["DBClusterParameterGroupName","Parameters"],"members":{"DBClusterParameterGroupName":{},"Parameters":{"shape":"S6k"}}},"output":{"shape":"Sb7","resultWrapper":"ModifyDBClusterParameterGroupResult"}},"ModifyDBClusterSnapshotAttribute":{"input":{"type":"structure","required":["DBClusterSnapshotIdentifier","AttributeName"],"members":{"DBClusterSnapshotIdentifier":{},"AttributeName":{},"ValuesToAdd":{"shape":"S6s"},"ValuesToRemove":{"shape":"S6s"}}},"output":{"resultWrapper":"ModifyDBClusterSnapshotAttributeResult","type":"structure","members":{"DBClusterSnapshotAttributesResult":{"shape":"S6p"}}}},"ModifyDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"DBSubnetGroupName":{},"DBSecurityGroups":{"shape":"S33"},"VpcSecurityGroupIds":{"shape":"S2c"},"ApplyImmediately":{"type":"boolean"},"MasterUserPassword":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AllowMajorVersionUpgrade":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupName":{},"NewDBInstanceIdentifier":{},"StorageType":{},"TdeCredentialArn":{},"TdeCredentialPassword":{},"CACertificateIdentifier":{},"Domain":{},"CopyTagsToSnapshot":{"type":"boolean"},"MonitoringInterval":{"type":"integer"},"DBPortNumber":{"type":"integer"},"PubliclyAccessible":{"type":"boolean"},"MonitoringRoleArn":{},"DomainIAMRoleName":{},"PromotionTier":{"type":"integer"},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"EnablePerformanceInsights":{"type":"boolean"},"PerformanceInsightsKMSKeyId":{},"PerformanceInsightsRetentionPeriod":{"type":"integer"},"CloudwatchLogsExportConfiguration":{"shape":"Sb3"},"ProcessorFeatures":{"shape":"S1b"},"UseDefaultProcessorFeatures":{"type":"boolean"},"DeletionProtection":{"type":"boolean"},"MaxAllocatedStorage":{"type":"integer"},"CertificateRotationRestart":{"type":"boolean"},"ReplicaMode":{},"EnableCustomerOwnedIp":{"type":"boolean"},"AwsBackupRecoveryPointArn":{},"AutomationMode":{},"ResumeFullAutomationModeMinutes":{"type":"integer"}}},"output":{"resultWrapper":"ModifyDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S35"}}}},"ModifyDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName","Parameters"],"members":{"DBParameterGroupName":{},"Parameters":{"shape":"S6k"}}},"output":{"shape":"Sbe","resultWrapper":"ModifyDBParameterGroupResult"}},"ModifyDBProxy":{"input":{"type":"structure","required":["DBProxyName"],"members":{"DBProxyName":{},"NewDBProxyName":{},"Auth":{"shape":"S3x"},"RequireTLS":{"type":"boolean"},"IdleClientTimeout":{"type":"integer"},"DebugLogging":{"type":"boolean"},"RoleArn":{},"SecurityGroups":{"shape":"Sv"}}},"output":{"resultWrapper":"ModifyDBProxyResult","type":"structure","members":{"DBProxy":{"shape":"S42"}}}},"ModifyDBProxyEndpoint":{"input":{"type":"structure","required":["DBProxyEndpointName"],"members":{"DBProxyEndpointName":{},"NewDBProxyEndpointName":{},"VpcSecurityGroupIds":{"shape":"Sv"}}},"output":{"resultWrapper":"ModifyDBProxyEndpointResult","type":"structure","members":{"DBProxyEndpoint":{"shape":"S4b"}}}},"ModifyDBProxyTargetGroup":{"input":{"type":"structure","required":["TargetGroupName","DBProxyName"],"members":{"TargetGroupName":{},"DBProxyName":{},"ConnectionPoolConfig":{"type":"structure","members":{"MaxConnectionsPercent":{"type":"integer"},"MaxIdleConnectionsPercent":{"type":"integer"},"ConnectionBorrowTimeout":{"type":"integer"},"SessionPinningFilters":{"shape":"Sv"},"InitQuery":{}}},"NewName":{}}},"output":{"resultWrapper":"ModifyDBProxyTargetGroupResult","type":"structure","members":{"DBProxyTargetGroup":{"shape":"S7r"}}}},"ModifyDBSnapshot":{"input":{"type":"structure","required":["DBSnapshotIdentifier"],"members":{"DBSnapshotIdentifier":{},"EngineVersion":{},"OptionGroupName":{}}},"output":{"resultWrapper":"ModifyDBSnapshotResult","type":"structure","members":{"DBSnapshot":{"shape":"S19"}}}},"ModifyDBSnapshotAttribute":{"input":{"type":"structure","required":["DBSnapshotIdentifier","AttributeName"],"members":{"DBSnapshotIdentifier":{},"AttributeName":{},"ValuesToAdd":{"shape":"S6s"},"ValuesToRemove":{"shape":"S6s"}}},"output":{"resultWrapper":"ModifyDBSnapshotAttributeResult","type":"structure","members":{"DBSnapshotAttributesResult":{"shape":"S87"}}}},"ModifyDBSubnetGroup":{"input":{"type":"structure","required":["DBSubnetGroupName","SubnetIds"],"members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"SubnetIds":{"shape":"S4i"}}},"output":{"resultWrapper":"ModifyDBSubnetGroupResult","type":"structure","members":{"DBSubnetGroup":{"shape":"S39"}}}},"ModifyEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"EventCategories":{"shape":"S8"},"Enabled":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S6"}}}},"ModifyGlobalCluster":{"input":{"type":"structure","members":{"GlobalClusterIdentifier":{},"NewGlobalClusterIdentifier":{},"DeletionProtection":{"type":"boolean"},"EngineVersion":{},"AllowMajorVersionUpgrade":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyGlobalClusterResult","type":"structure","members":{"GlobalCluster":{"shape":"S4o"}}}},"ModifyOptionGroup":{"input":{"type":"structure","required":["OptionGroupName"],"members":{"OptionGroupName":{},"OptionsToInclude":{"type":"list","member":{"locationName":"OptionConfiguration","type":"structure","required":["OptionName"],"members":{"OptionName":{},"Port":{"type":"integer"},"OptionVersion":{},"DBSecurityGroupMemberships":{"shape":"S33"},"VpcSecurityGroupMemberships":{"shape":"S2c"},"OptionSettings":{"type":"list","member":{"shape":"S1j","locationName":"OptionSetting"}}}}},"OptionsToRemove":{"type":"list","member":{}},"ApplyImmediately":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyOptionGroupResult","type":"structure","members":{"OptionGroup":{"shape":"S1f"}}}},"PromoteReadReplica":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{}}},"output":{"resultWrapper":"PromoteReadReplicaResult","type":"structure","members":{"DBInstance":{"shape":"S35"}}}},"PromoteReadReplicaDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{}}},"output":{"resultWrapper":"PromoteReadReplicaDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"S2g"}}}},"PurchaseReservedDBInstancesOffering":{"input":{"type":"structure","required":["ReservedDBInstancesOfferingId"],"members":{"ReservedDBInstancesOfferingId":{},"ReservedDBInstanceId":{},"DBInstanceCount":{"type":"integer"},"Tags":{"shape":"Sb"}}},"output":{"resultWrapper":"PurchaseReservedDBInstancesOfferingResult","type":"structure","members":{"ReservedDBInstance":{"shape":"Sa0"}}}},"RebootDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{}}},"output":{"resultWrapper":"RebootDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"S2g"}}}},"RebootDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"ForceFailover":{"type":"boolean"}}},"output":{"resultWrapper":"RebootDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S35"}}}},"RegisterDBProxyTargets":{"input":{"type":"structure","required":["DBProxyName"],"members":{"DBProxyName":{},"TargetGroupName":{},"DBInstanceIdentifiers":{"shape":"Sv"},"DBClusterIdentifiers":{"shape":"Sv"}}},"output":{"resultWrapper":"RegisterDBProxyTargetsResult","type":"structure","members":{"DBProxyTargets":{"shape":"S7v"}}}},"RemoveFromGlobalCluster":{"input":{"type":"structure","members":{"GlobalClusterIdentifier":{},"DbClusterIdentifier":{}}},"output":{"resultWrapper":"RemoveFromGlobalClusterResult","type":"structure","members":{"GlobalCluster":{"shape":"S4o"}}}},"RemoveRoleFromDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier","RoleArn"],"members":{"DBClusterIdentifier":{},"RoleArn":{},"FeatureName":{}}}},"RemoveRoleFromDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier","RoleArn","FeatureName"],"members":{"DBInstanceIdentifier":{},"RoleArn":{},"FeatureName":{}}}},"RemoveSourceIdentifierFromSubscription":{"input":{"type":"structure","required":["SubscriptionName","SourceIdentifier"],"members":{"SubscriptionName":{},"SourceIdentifier":{}}},"output":{"resultWrapper":"RemoveSourceIdentifierFromSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S6"}}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceName","TagKeys"],"members":{"ResourceName":{},"TagKeys":{"type":"list","member":{}}}}},"ResetDBClusterParameterGroup":{"input":{"type":"structure","required":["DBClusterParameterGroupName"],"members":{"DBClusterParameterGroupName":{},"ResetAllParameters":{"type":"boolean"},"Parameters":{"shape":"S6k"}}},"output":{"shape":"Sb7","resultWrapper":"ResetDBClusterParameterGroupResult"}},"ResetDBParameterGroup":{"input":{"type":"structure","required":["DBParameterGroupName"],"members":{"DBParameterGroupName":{},"ResetAllParameters":{"type":"boolean"},"Parameters":{"shape":"S6k"}}},"output":{"shape":"Sbe","resultWrapper":"ResetDBParameterGroupResult"}},"RestoreDBClusterFromS3":{"input":{"type":"structure","required":["DBClusterIdentifier","Engine","MasterUsername","MasterUserPassword","SourceEngine","SourceEngineVersion","S3BucketName","S3IngestionRoleArn"],"members":{"AvailabilityZones":{"shape":"S13"},"BackupRetentionPeriod":{"type":"integer"},"CharacterSetName":{},"DatabaseName":{},"DBClusterIdentifier":{},"DBClusterParameterGroupName":{},"VpcSecurityGroupIds":{"shape":"S2c"},"DBSubnetGroupName":{},"Engine":{},"EngineVersion":{},"Port":{"type":"integer"},"MasterUsername":{},"MasterUserPassword":{},"OptionGroupName":{},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"Tags":{"shape":"Sb"},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"SourceEngine":{},"SourceEngineVersion":{},"S3BucketName":{},"S3Prefix":{},"S3IngestionRoleArn":{},"BacktrackWindow":{"type":"long"},"EnableCloudwatchLogsExports":{"shape":"S29"},"DeletionProtection":{"type":"boolean"},"CopyTagsToSnapshot":{"type":"boolean"},"Domain":{},"DomainIAMRoleName":{}}},"output":{"resultWrapper":"RestoreDBClusterFromS3Result","type":"structure","members":{"DBCluster":{"shape":"S2g"}}}},"RestoreDBClusterFromSnapshot":{"input":{"type":"structure","required":["DBClusterIdentifier","SnapshotIdentifier","Engine"],"members":{"AvailabilityZones":{"shape":"S13"},"DBClusterIdentifier":{},"SnapshotIdentifier":{},"Engine":{},"EngineVersion":{},"Port":{"type":"integer"},"DBSubnetGroupName":{},"DatabaseName":{},"OptionGroupName":{},"VpcSecurityGroupIds":{"shape":"S2c"},"Tags":{"shape":"Sb"},"KmsKeyId":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"BacktrackWindow":{"type":"long"},"EnableCloudwatchLogsExports":{"shape":"S29"},"EngineMode":{},"ScalingConfiguration":{"shape":"S2e"},"DBClusterParameterGroupName":{},"DeletionProtection":{"type":"boolean"},"CopyTagsToSnapshot":{"type":"boolean"},"Domain":{},"DomainIAMRoleName":{},"DBClusterInstanceClass":{},"StorageType":{},"Iops":{"type":"integer"},"PubliclyAccessible":{"type":"boolean"}}},"output":{"resultWrapper":"RestoreDBClusterFromSnapshotResult","type":"structure","members":{"DBCluster":{"shape":"S2g"}}}},"RestoreDBClusterToPointInTime":{"input":{"type":"structure","required":["DBClusterIdentifier","SourceDBClusterIdentifier"],"members":{"DBClusterIdentifier":{},"RestoreType":{},"SourceDBClusterIdentifier":{},"RestoreToTime":{"type":"timestamp"},"UseLatestRestorableTime":{"type":"boolean"},"Port":{"type":"integer"},"DBSubnetGroupName":{},"OptionGroupName":{},"VpcSecurityGroupIds":{"shape":"S2c"},"Tags":{"shape":"Sb"},"KmsKeyId":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"BacktrackWindow":{"type":"long"},"EnableCloudwatchLogsExports":{"shape":"S29"},"DBClusterParameterGroupName":{},"DeletionProtection":{"type":"boolean"},"CopyTagsToSnapshot":{"type":"boolean"},"Domain":{},"DomainIAMRoleName":{},"ScalingConfiguration":{"shape":"S2e"},"EngineMode":{},"DBClusterInstanceClass":{},"StorageType":{},"PubliclyAccessible":{"type":"boolean"},"Iops":{"type":"integer"}}},"output":{"resultWrapper":"RestoreDBClusterToPointInTimeResult","type":"structure","members":{"DBCluster":{"shape":"S2g"}}}},"RestoreDBInstanceFromDBSnapshot":{"input":{"type":"structure","required":["DBInstanceIdentifier","DBSnapshotIdentifier"],"members":{"DBInstanceIdentifier":{},"DBSnapshotIdentifier":{},"DBInstanceClass":{},"Port":{"type":"integer"},"AvailabilityZone":{},"DBSubnetGroupName":{},"MultiAZ":{"type":"boolean"},"PubliclyAccessible":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"DBName":{},"Engine":{},"Iops":{"type":"integer"},"OptionGroupName":{},"Tags":{"shape":"Sb"},"StorageType":{},"TdeCredentialArn":{},"TdeCredentialPassword":{},"VpcSecurityGroupIds":{"shape":"S2c"},"Domain":{},"CopyTagsToSnapshot":{"type":"boolean"},"DomainIAMRoleName":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"EnableCloudwatchLogsExports":{"shape":"S29"},"ProcessorFeatures":{"shape":"S1b"},"UseDefaultProcessorFeatures":{"type":"boolean"},"DBParameterGroupName":{},"DeletionProtection":{"type":"boolean"},"EnableCustomerOwnedIp":{"type":"boolean"},"CustomIamInstanceProfile":{},"BackupTarget":{}}},"output":{"resultWrapper":"RestoreDBInstanceFromDBSnapshotResult","type":"structure","members":{"DBInstance":{"shape":"S35"}}}},"RestoreDBInstanceFromS3":{"input":{"type":"structure","required":["DBInstanceIdentifier","DBInstanceClass","Engine","SourceEngine","SourceEngineVersion","S3BucketName","S3IngestionRoleArn"],"members":{"DBName":{},"DBInstanceIdentifier":{},"AllocatedStorage":{"type":"integer"},"DBInstanceClass":{},"Engine":{},"MasterUsername":{},"MasterUserPassword":{},"DBSecurityGroups":{"shape":"S33"},"VpcSecurityGroupIds":{"shape":"S2c"},"AvailabilityZone":{},"DBSubnetGroupName":{},"PreferredMaintenanceWindow":{},"DBParameterGroupName":{},"BackupRetentionPeriod":{"type":"integer"},"PreferredBackupWindow":{},"Port":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupName":{},"PubliclyAccessible":{"type":"boolean"},"Tags":{"shape":"Sb"},"StorageType":{},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"CopyTagsToSnapshot":{"type":"boolean"},"MonitoringInterval":{"type":"integer"},"MonitoringRoleArn":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"SourceEngine":{},"SourceEngineVersion":{},"S3BucketName":{},"S3Prefix":{},"S3IngestionRoleArn":{},"EnablePerformanceInsights":{"type":"boolean"},"PerformanceInsightsKMSKeyId":{},"PerformanceInsightsRetentionPeriod":{"type":"integer"},"EnableCloudwatchLogsExports":{"shape":"S29"},"ProcessorFeatures":{"shape":"S1b"},"UseDefaultProcessorFeatures":{"type":"boolean"},"DeletionProtection":{"type":"boolean"},"MaxAllocatedStorage":{"type":"integer"}}},"output":{"resultWrapper":"RestoreDBInstanceFromS3Result","type":"structure","members":{"DBInstance":{"shape":"S35"}}}},"RestoreDBInstanceToPointInTime":{"input":{"type":"structure","required":["TargetDBInstanceIdentifier"],"members":{"SourceDBInstanceIdentifier":{},"TargetDBInstanceIdentifier":{},"RestoreTime":{"type":"timestamp"},"UseLatestRestorableTime":{"type":"boolean"},"DBInstanceClass":{},"Port":{"type":"integer"},"AvailabilityZone":{},"DBSubnetGroupName":{},"MultiAZ":{"type":"boolean"},"PubliclyAccessible":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"LicenseModel":{},"DBName":{},"Engine":{},"Iops":{"type":"integer"},"OptionGroupName":{},"CopyTagsToSnapshot":{"type":"boolean"},"Tags":{"shape":"Sb"},"StorageType":{},"TdeCredentialArn":{},"TdeCredentialPassword":{},"VpcSecurityGroupIds":{"shape":"S2c"},"Domain":{},"DomainIAMRoleName":{},"EnableIAMDatabaseAuthentication":{"type":"boolean"},"EnableCloudwatchLogsExports":{"shape":"S29"},"ProcessorFeatures":{"shape":"S1b"},"UseDefaultProcessorFeatures":{"type":"boolean"},"DBParameterGroupName":{},"DeletionProtection":{"type":"boolean"},"SourceDbiResourceId":{},"MaxAllocatedStorage":{"type":"integer"},"SourceDBInstanceAutomatedBackupsArn":{},"EnableCustomerOwnedIp":{"type":"boolean"},"CustomIamInstanceProfile":{},"BackupTarget":{}}},"output":{"resultWrapper":"RestoreDBInstanceToPointInTimeResult","type":"structure","members":{"DBInstance":{"shape":"S35"}}}},"RevokeDBSecurityGroupIngress":{"input":{"type":"structure","required":["DBSecurityGroupName"],"members":{"DBSecurityGroupName":{},"CIDRIP":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"RevokeDBSecurityGroupIngressResult","type":"structure","members":{"DBSecurityGroup":{"shape":"Sl"}}}},"StartActivityStream":{"input":{"type":"structure","required":["ResourceArn","Mode","KmsKeyId"],"members":{"ResourceArn":{},"Mode":{},"KmsKeyId":{},"ApplyImmediately":{"type":"boolean"},"EngineNativeAuditFieldsIncluded":{"type":"boolean"}}},"output":{"resultWrapper":"StartActivityStreamResult","type":"structure","members":{"KmsKeyId":{},"KinesisStreamName":{},"Status":{},"Mode":{},"ApplyImmediately":{"type":"boolean"},"EngineNativeAuditFieldsIncluded":{"type":"boolean"}}}},"StartDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{}}},"output":{"resultWrapper":"StartDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"S2g"}}}},"StartDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{}}},"output":{"resultWrapper":"StartDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S35"}}}},"StartDBInstanceAutomatedBackupsReplication":{"input":{"type":"structure","required":["SourceDBInstanceArn"],"members":{"SourceDBInstanceArn":{},"BackupRetentionPeriod":{"type":"integer"},"KmsKeyId":{},"PreSignedUrl":{}}},"output":{"resultWrapper":"StartDBInstanceAutomatedBackupsReplicationResult","type":"structure","members":{"DBInstanceAutomatedBackup":{"shape":"S59"}}}},"StartExportTask":{"input":{"type":"structure","required":["ExportTaskIdentifier","SourceArn","S3BucketName","IamRoleArn","KmsKeyId"],"members":{"ExportTaskIdentifier":{},"SourceArn":{},"S3BucketName":{},"IamRoleArn":{},"KmsKeyId":{},"S3Prefix":{},"ExportOnly":{"shape":"Sv"}}},"output":{"shape":"Su","resultWrapper":"StartExportTaskResult"}},"StopActivityStream":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"ApplyImmediately":{"type":"boolean"}}},"output":{"resultWrapper":"StopActivityStreamResult","type":"structure","members":{"KmsKeyId":{},"KinesisStreamName":{},"Status":{}}}},"StopDBCluster":{"input":{"type":"structure","required":["DBClusterIdentifier"],"members":{"DBClusterIdentifier":{}}},"output":{"resultWrapper":"StopDBClusterResult","type":"structure","members":{"DBCluster":{"shape":"S2g"}}}},"StopDBInstance":{"input":{"type":"structure","required":["DBInstanceIdentifier"],"members":{"DBInstanceIdentifier":{},"DBSnapshotIdentifier":{}}},"output":{"resultWrapper":"StopDBInstanceResult","type":"structure","members":{"DBInstance":{"shape":"S35"}}}},"StopDBInstanceAutomatedBackupsReplication":{"input":{"type":"structure","required":["SourceDBInstanceArn"],"members":{"SourceDBInstanceArn":{}}},"output":{"resultWrapper":"StopDBInstanceAutomatedBackupsReplicationResult","type":"structure","members":{"DBInstanceAutomatedBackup":{"shape":"S59"}}}}},"shapes":{"S6":{"type":"structure","members":{"CustomerAwsId":{},"CustSubscriptionId":{},"SnsTopicArn":{},"Status":{},"SubscriptionCreationTime":{},"SourceType":{},"SourceIdsList":{"shape":"S7"},"EventCategoriesList":{"shape":"S8"},"Enabled":{"type":"boolean"},"EventSubscriptionArn":{}},"wrapper":true},"S7":{"type":"list","member":{"locationName":"SourceId"}},"S8":{"type":"list","member":{"locationName":"EventCategory"}},"Sb":{"type":"list","member":{"locationName":"Tag","type":"structure","members":{"Key":{},"Value":{}}}},"Sf":{"type":"structure","members":{"ResourceIdentifier":{},"PendingMaintenanceActionDetails":{"type":"list","member":{"locationName":"PendingMaintenanceAction","type":"structure","members":{"Action":{},"AutoAppliedAfterDate":{"type":"timestamp"},"ForcedApplyDate":{"type":"timestamp"},"OptInStatus":{},"CurrentApplyDate":{"type":"timestamp"},"Description":{}}}}},"wrapper":true},"Sl":{"type":"structure","members":{"OwnerId":{},"DBSecurityGroupName":{},"DBSecurityGroupDescription":{},"VpcId":{},"EC2SecurityGroups":{"type":"list","member":{"locationName":"EC2SecurityGroup","type":"structure","members":{"Status":{},"EC2SecurityGroupName":{},"EC2SecurityGroupId":{},"EC2SecurityGroupOwnerId":{}}}},"IPRanges":{"type":"list","member":{"locationName":"IPRange","type":"structure","members":{"Status":{},"CIDRIP":{}}}},"DBSecurityGroupArn":{}},"wrapper":true},"Ss":{"type":"structure","members":{"DBClusterIdentifier":{},"BacktrackIdentifier":{},"BacktrackTo":{"type":"timestamp"},"BacktrackedFrom":{"type":"timestamp"},"BacktrackRequestCreationTime":{"type":"timestamp"},"Status":{}}},"Su":{"type":"structure","members":{"ExportTaskIdentifier":{},"SourceArn":{},"ExportOnly":{"shape":"Sv"},"SnapshotTime":{"type":"timestamp"},"TaskStartTime":{"type":"timestamp"},"TaskEndTime":{"type":"timestamp"},"S3Bucket":{},"S3Prefix":{},"IamRoleArn":{},"KmsKeyId":{},"Status":{},"PercentProgress":{"type":"integer"},"TotalExtractedDataInGB":{"type":"integer"},"FailureCause":{},"WarningMessage":{}}},"Sv":{"type":"list","member":{}},"Sz":{"type":"structure","members":{"DBClusterParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{},"DBClusterParameterGroupArn":{}},"wrapper":true},"S12":{"type":"structure","members":{"AvailabilityZones":{"shape":"S13"},"DBClusterSnapshotIdentifier":{},"DBClusterIdentifier":{},"SnapshotCreateTime":{"type":"timestamp"},"Engine":{},"EngineMode":{},"AllocatedStorage":{"type":"integer"},"Status":{},"Port":{"type":"integer"},"VpcId":{},"ClusterCreateTime":{"type":"timestamp"},"MasterUsername":{},"EngineVersion":{},"LicenseModel":{},"SnapshotType":{},"PercentProgress":{"type":"integer"},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"DBClusterSnapshotArn":{},"SourceDBClusterSnapshotArn":{},"IAMDatabaseAuthenticationEnabled":{"type":"boolean"},"TagList":{"shape":"Sb"}},"wrapper":true},"S13":{"type":"list","member":{"locationName":"AvailabilityZone"}},"S16":{"type":"structure","members":{"DBParameterGroupName":{},"DBParameterGroupFamily":{},"Description":{},"DBParameterGroupArn":{}},"wrapper":true},"S19":{"type":"structure","members":{"DBSnapshotIdentifier":{},"DBInstanceIdentifier":{},"SnapshotCreateTime":{"type":"timestamp"},"Engine":{},"AllocatedStorage":{"type":"integer"},"Status":{},"Port":{"type":"integer"},"AvailabilityZone":{},"VpcId":{},"InstanceCreateTime":{"type":"timestamp"},"MasterUsername":{},"EngineVersion":{},"LicenseModel":{},"SnapshotType":{},"Iops":{"type":"integer"},"OptionGroupName":{},"PercentProgress":{"type":"integer"},"SourceRegion":{},"SourceDBSnapshotIdentifier":{},"StorageType":{},"TdeCredentialArn":{},"Encrypted":{"type":"boolean"},"KmsKeyId":{},"DBSnapshotArn":{},"Timezone":{},"IAMDatabaseAuthenticationEnabled":{"type":"boolean"},"ProcessorFeatures":{"shape":"S1b"},"DbiResourceId":{},"TagList":{"shape":"Sb"},"OriginalSnapshotCreateTime":{"type":"timestamp"},"SnapshotTarget":{}},"wrapper":true},"S1b":{"type":"list","member":{"locationName":"ProcessorFeature","type":"structure","members":{"Name":{},"Value":{}}}},"S1f":{"type":"structure","members":{"OptionGroupName":{},"OptionGroupDescription":{},"EngineName":{},"MajorEngineVersion":{},"Options":{"type":"list","member":{"locationName":"Option","type":"structure","members":{"OptionName":{},"OptionDescription":{},"Persistent":{"type":"boolean"},"Permanent":{"type":"boolean"},"Port":{"type":"integer"},"OptionVersion":{},"OptionSettings":{"type":"list","member":{"shape":"S1j","locationName":"OptionSetting"}},"DBSecurityGroupMemberships":{"shape":"S1k"},"VpcSecurityGroupMemberships":{"shape":"S1m"}}}},"AllowsVpcAndNonVpcInstanceMemberships":{"type":"boolean"},"VpcId":{},"OptionGroupArn":{}},"wrapper":true},"S1j":{"type":"structure","members":{"Name":{},"Value":{},"DefaultValue":{},"Description":{},"ApplyType":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"IsCollection":{"type":"boolean"}}},"S1k":{"type":"list","member":{"locationName":"DBSecurityGroup","type":"structure","members":{"DBSecurityGroupName":{},"Status":{}}}},"S1m":{"type":"list","member":{"locationName":"VpcSecurityGroupMembership","type":"structure","members":{"VpcSecurityGroupId":{},"Status":{}}}},"S1q":{"type":"structure","members":{"CustomAvailabilityZoneId":{},"CustomAvailabilityZoneName":{},"CustomAvailabilityZoneStatus":{},"VpnDetails":{"type":"structure","members":{"VpnId":{},"VpnTunnelOriginatorIP":{},"VpnGatewayIp":{},"VpnPSK":{"type":"string","sensitive":true},"VpnName":{},"VpnState":{}}}},"wrapper":true},"S21":{"type":"structure","members":{"Engine":{},"EngineVersion":{},"DBParameterGroupFamily":{},"DBEngineDescription":{},"DBEngineVersionDescription":{},"DefaultCharacterSet":{"shape":"S22"},"SupportedCharacterSets":{"shape":"S23"},"SupportedNcharCharacterSets":{"shape":"S23"},"ValidUpgradeTarget":{"type":"list","member":{"locationName":"UpgradeTarget","type":"structure","members":{"Engine":{},"EngineVersion":{},"Description":{},"AutoUpgrade":{"type":"boolean"},"IsMajorVersionUpgrade":{"type":"boolean"},"SupportedEngineModes":{"shape":"S26"},"SupportsParallelQuery":{"type":"boolean"},"SupportsGlobalDatabases":{"type":"boolean"}}}},"SupportedTimezones":{"type":"list","member":{"locationName":"Timezone","type":"structure","members":{"TimezoneName":{}}}},"ExportableLogTypes":{"shape":"S29"},"SupportsLogExportsToCloudwatchLogs":{"type":"boolean"},"SupportsReadReplica":{"type":"boolean"},"SupportedEngineModes":{"shape":"S26"},"SupportedFeatureNames":{"type":"list","member":{}},"Status":{},"SupportsParallelQuery":{"type":"boolean"},"SupportsGlobalDatabases":{"type":"boolean"},"MajorEngineVersion":{},"DatabaseInstallationFilesS3BucketName":{},"DatabaseInstallationFilesS3Prefix":{},"DBEngineVersionArn":{},"KMSKeyId":{},"CreateTime":{"type":"timestamp"},"TagList":{"shape":"Sb"}}},"S22":{"type":"structure","members":{"CharacterSetName":{},"CharacterSetDescription":{}}},"S23":{"type":"list","member":{"shape":"S22","locationName":"CharacterSet"}},"S26":{"type":"list","member":{}},"S29":{"type":"list","member":{}},"S2c":{"type":"list","member":{"locationName":"VpcSecurityGroupId"}},"S2e":{"type":"structure","members":{"MinCapacity":{"type":"integer"},"MaxCapacity":{"type":"integer"},"AutoPause":{"type":"boolean"},"SecondsUntilAutoPause":{"type":"integer"},"TimeoutAction":{},"SecondsBeforeTimeout":{"type":"integer"}}},"S2g":{"type":"structure","members":{"AllocatedStorage":{"type":"integer"},"AvailabilityZones":{"shape":"S13"},"BackupRetentionPeriod":{"type":"integer"},"CharacterSetName":{},"DatabaseName":{},"DBClusterIdentifier":{},"DBClusterParameterGroup":{},"DBSubnetGroup":{},"Status":{},"AutomaticRestartTime":{"type":"timestamp"},"PercentProgress":{},"EarliestRestorableTime":{"type":"timestamp"},"Endpoint":{},"ReaderEndpoint":{},"CustomEndpoints":{"shape":"Sv"},"MultiAZ":{"type":"boolean"},"Engine":{},"EngineVersion":{},"LatestRestorableTime":{"type":"timestamp"},"Port":{"type":"integer"},"MasterUsername":{},"DBClusterOptionGroupMemberships":{"type":"list","member":{"locationName":"DBClusterOptionGroup","type":"structure","members":{"DBClusterOptionGroupName":{},"Status":{}}}},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"ReplicationSourceIdentifier":{},"ReadReplicaIdentifiers":{"type":"list","member":{"locationName":"ReadReplicaIdentifier"}},"DBClusterMembers":{"type":"list","member":{"locationName":"DBClusterMember","type":"structure","members":{"DBInstanceIdentifier":{},"IsClusterWriter":{"type":"boolean"},"DBClusterParameterGroupStatus":{},"PromotionTier":{"type":"integer"}},"wrapper":true}},"VpcSecurityGroups":{"shape":"S1m"},"HostedZoneId":{},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"DbClusterResourceId":{},"DBClusterArn":{},"AssociatedRoles":{"type":"list","member":{"locationName":"DBClusterRole","type":"structure","members":{"RoleArn":{},"Status":{},"FeatureName":{}}}},"IAMDatabaseAuthenticationEnabled":{"type":"boolean"},"CloneGroupId":{},"ClusterCreateTime":{"type":"timestamp"},"EarliestBacktrackTime":{"type":"timestamp"},"BacktrackWindow":{"type":"long"},"BacktrackConsumedChangeRecords":{"type":"long"},"EnabledCloudwatchLogsExports":{"shape":"S29"},"Capacity":{"type":"integer"},"EngineMode":{},"ScalingConfigurationInfo":{"type":"structure","members":{"MinCapacity":{"type":"integer"},"MaxCapacity":{"type":"integer"},"AutoPause":{"type":"boolean"},"SecondsUntilAutoPause":{"type":"integer"},"TimeoutAction":{},"SecondsBeforeTimeout":{"type":"integer"}}},"DeletionProtection":{"type":"boolean"},"HttpEndpointEnabled":{"type":"boolean"},"ActivityStreamMode":{},"ActivityStreamStatus":{},"ActivityStreamKmsKeyId":{},"ActivityStreamKinesisStreamName":{},"CopyTagsToSnapshot":{"type":"boolean"},"CrossAccountClone":{"type":"boolean"},"DomainMemberships":{"shape":"S2r"},"TagList":{"shape":"Sb"},"GlobalWriteForwardingStatus":{},"GlobalWriteForwardingRequested":{"type":"boolean"},"PendingModifiedValues":{"type":"structure","members":{"PendingCloudwatchLogsExports":{"shape":"S2v"},"DBClusterIdentifier":{},"MasterUserPassword":{},"IAMDatabaseAuthenticationEnabled":{"type":"boolean"},"EngineVersion":{}}},"DBClusterInstanceClass":{},"StorageType":{},"Iops":{"type":"integer"},"PubliclyAccessible":{"type":"boolean"},"AutoMinorVersionUpgrade":{"type":"boolean"},"MonitoringInterval":{"type":"integer"},"MonitoringRoleArn":{},"PerformanceInsightsEnabled":{"type":"boolean"},"PerformanceInsightsKMSKeyId":{},"PerformanceInsightsRetentionPeriod":{"type":"integer"}},"wrapper":true},"S2r":{"type":"list","member":{"locationName":"DomainMembership","type":"structure","members":{"Domain":{},"Status":{},"FQDN":{},"IAMRoleName":{}}}},"S2v":{"type":"structure","members":{"LogTypesToEnable":{"shape":"S29"},"LogTypesToDisable":{"shape":"S29"}}},"S2x":{"type":"structure","members":{"DBClusterEndpointIdentifier":{},"DBClusterIdentifier":{},"DBClusterEndpointResourceIdentifier":{},"Endpoint":{},"Status":{},"EndpointType":{},"CustomEndpointType":{},"StaticMembers":{"shape":"Sv"},"ExcludedMembers":{"shape":"Sv"},"DBClusterEndpointArn":{}}},"S33":{"type":"list","member":{"locationName":"DBSecurityGroupName"}},"S35":{"type":"structure","members":{"DBInstanceIdentifier":{},"DBInstanceClass":{},"Engine":{},"DBInstanceStatus":{},"AutomaticRestartTime":{"type":"timestamp"},"MasterUsername":{},"DBName":{},"Endpoint":{"shape":"S36"},"AllocatedStorage":{"type":"integer"},"InstanceCreateTime":{"type":"timestamp"},"PreferredBackupWindow":{},"BackupRetentionPeriod":{"type":"integer"},"DBSecurityGroups":{"shape":"S1k"},"VpcSecurityGroups":{"shape":"S1m"},"DBParameterGroups":{"type":"list","member":{"locationName":"DBParameterGroup","type":"structure","members":{"DBParameterGroupName":{},"ParameterApplyStatus":{}}}},"AvailabilityZone":{},"DBSubnetGroup":{"shape":"S39"},"PreferredMaintenanceWindow":{},"PendingModifiedValues":{"type":"structure","members":{"DBInstanceClass":{},"AllocatedStorage":{"type":"integer"},"MasterUserPassword":{},"Port":{"type":"integer"},"BackupRetentionPeriod":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"LicenseModel":{},"Iops":{"type":"integer"},"DBInstanceIdentifier":{},"StorageType":{},"CACertificateIdentifier":{},"DBSubnetGroupName":{},"PendingCloudwatchLogsExports":{"shape":"S2v"},"ProcessorFeatures":{"shape":"S1b"},"IAMDatabaseAuthenticationEnabled":{"type":"boolean"},"AutomationMode":{},"ResumeFullAutomationModeTime":{"type":"timestamp"}}},"LatestRestorableTime":{"type":"timestamp"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"ReadReplicaSourceDBInstanceIdentifier":{},"ReadReplicaDBInstanceIdentifiers":{"type":"list","member":{"locationName":"ReadReplicaDBInstanceIdentifier"}},"ReadReplicaDBClusterIdentifiers":{"type":"list","member":{"locationName":"ReadReplicaDBClusterIdentifier"}},"ReplicaMode":{},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupMemberships":{"type":"list","member":{"locationName":"OptionGroupMembership","type":"structure","members":{"OptionGroupName":{},"Status":{}}}},"CharacterSetName":{},"NcharCharacterSetName":{},"SecondaryAvailabilityZone":{},"PubliclyAccessible":{"type":"boolean"},"StatusInfos":{"type":"list","member":{"locationName":"DBInstanceStatusInfo","type":"structure","members":{"StatusType":{},"Normal":{"type":"boolean"},"Status":{},"Message":{}}}},"StorageType":{},"TdeCredentialArn":{},"DbInstancePort":{"type":"integer"},"DBClusterIdentifier":{},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"DbiResourceId":{},"CACertificateIdentifier":{},"DomainMemberships":{"shape":"S2r"},"CopyTagsToSnapshot":{"type":"boolean"},"MonitoringInterval":{"type":"integer"},"EnhancedMonitoringResourceArn":{},"MonitoringRoleArn":{},"PromotionTier":{"type":"integer"},"DBInstanceArn":{},"Timezone":{},"IAMDatabaseAuthenticationEnabled":{"type":"boolean"},"PerformanceInsightsEnabled":{"type":"boolean"},"PerformanceInsightsKMSKeyId":{},"PerformanceInsightsRetentionPeriod":{"type":"integer"},"EnabledCloudwatchLogsExports":{"shape":"S29"},"ProcessorFeatures":{"shape":"S1b"},"DeletionProtection":{"type":"boolean"},"AssociatedRoles":{"type":"list","member":{"locationName":"DBInstanceRole","type":"structure","members":{"RoleArn":{},"FeatureName":{},"Status":{}}}},"ListenerEndpoint":{"shape":"S36"},"MaxAllocatedStorage":{"type":"integer"},"TagList":{"shape":"Sb"},"DBInstanceAutomatedBackupsReplications":{"shape":"S3p"},"CustomerOwnedIpEnabled":{"type":"boolean"},"AwsBackupRecoveryPointArn":{},"ActivityStreamStatus":{},"ActivityStreamKmsKeyId":{},"ActivityStreamKinesisStreamName":{},"ActivityStreamMode":{},"ActivityStreamEngineNativeAuditFieldsIncluded":{"type":"boolean"},"AutomationMode":{},"ResumeFullAutomationModeTime":{"type":"timestamp"},"CustomIamInstanceProfile":{},"BackupTarget":{}},"wrapper":true},"S36":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"},"HostedZoneId":{}}},"S39":{"type":"structure","members":{"DBSubnetGroupName":{},"DBSubnetGroupDescription":{},"VpcId":{},"SubnetGroupStatus":{},"Subnets":{"type":"list","member":{"locationName":"Subnet","type":"structure","members":{"SubnetIdentifier":{},"SubnetAvailabilityZone":{"shape":"S3c"},"SubnetOutpost":{"type":"structure","members":{"Arn":{}}},"SubnetStatus":{}}}},"DBSubnetGroupArn":{}},"wrapper":true},"S3c":{"type":"structure","members":{"Name":{}},"wrapper":true},"S3p":{"type":"list","member":{"locationName":"DBInstanceAutomatedBackupsReplication","type":"structure","members":{"DBInstanceAutomatedBackupsArn":{}}}},"S3x":{"type":"list","member":{"type":"structure","members":{"Description":{},"UserName":{},"AuthScheme":{},"SecretArn":{},"IAMAuth":{}}}},"S42":{"type":"structure","members":{"DBProxyName":{},"DBProxyArn":{},"Status":{},"EngineFamily":{},"VpcId":{},"VpcSecurityGroupIds":{"shape":"Sv"},"VpcSubnetIds":{"shape":"Sv"},"Auth":{"type":"list","member":{"type":"structure","members":{"Description":{},"UserName":{},"AuthScheme":{},"SecretArn":{},"IAMAuth":{}}}},"RoleArn":{},"Endpoint":{},"RequireTLS":{"type":"boolean"},"IdleClientTimeout":{"type":"integer"},"DebugLogging":{"type":"boolean"},"CreatedDate":{"type":"timestamp"},"UpdatedDate":{"type":"timestamp"}}},"S4b":{"type":"structure","members":{"DBProxyEndpointName":{},"DBProxyEndpointArn":{},"DBProxyName":{},"Status":{},"VpcId":{},"VpcSecurityGroupIds":{"shape":"Sv"},"VpcSubnetIds":{"shape":"Sv"},"Endpoint":{},"CreatedDate":{"type":"timestamp"},"TargetRole":{},"IsDefault":{"type":"boolean"}}},"S4i":{"type":"list","member":{"locationName":"SubnetIdentifier"}},"S4o":{"type":"structure","members":{"GlobalClusterIdentifier":{},"GlobalClusterResourceId":{},"GlobalClusterArn":{},"Status":{},"Engine":{},"EngineVersion":{},"DatabaseName":{},"StorageEncrypted":{"type":"boolean"},"DeletionProtection":{"type":"boolean"},"GlobalClusterMembers":{"type":"list","member":{"locationName":"GlobalClusterMember","type":"structure","members":{"DBClusterArn":{},"Readers":{"type":"list","member":{}},"IsWriter":{"type":"boolean"},"GlobalWriteForwardingStatus":{}},"wrapper":true}},"FailoverState":{"type":"structure","members":{"Status":{},"FromDbClusterArn":{},"ToDbClusterArn":{}},"wrapper":true}},"wrapper":true},"S59":{"type":"structure","members":{"DBInstanceArn":{},"DbiResourceId":{},"Region":{},"DBInstanceIdentifier":{},"RestoreWindow":{"type":"structure","members":{"EarliestTime":{"type":"timestamp"},"LatestTime":{"type":"timestamp"}}},"AllocatedStorage":{"type":"integer"},"Status":{},"Port":{"type":"integer"},"AvailabilityZone":{},"VpcId":{},"InstanceCreateTime":{"type":"timestamp"},"MasterUsername":{},"Engine":{},"EngineVersion":{},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupName":{},"TdeCredentialArn":{},"Encrypted":{"type":"boolean"},"StorageType":{},"KmsKeyId":{},"Timezone":{},"IAMDatabaseAuthenticationEnabled":{"type":"boolean"},"BackupRetentionPeriod":{"type":"integer"},"DBInstanceAutomatedBackupsArn":{},"DBInstanceAutomatedBackupsReplications":{"shape":"S3p"},"BackupTarget":{}},"wrapper":true},"S5p":{"type":"structure","members":{"InstallationMediaId":{},"CustomAvailabilityZoneId":{},"Engine":{},"EngineVersion":{},"EngineInstallationMediaPath":{},"OSInstallationMediaPath":{},"Status":{},"FailureCause":{"type":"structure","members":{"Message":{}}}}},"S60":{"type":"list","member":{"locationName":"Filter","type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{"locationName":"Value"}}}}},"S65":{"type":"structure","members":{"CertificateIdentifier":{},"CertificateType":{},"Thumbprint":{},"ValidFrom":{"type":"timestamp"},"ValidTill":{"type":"timestamp"},"CertificateArn":{},"CustomerOverride":{"type":"boolean"},"CustomerOverrideValidTill":{"type":"timestamp"}},"wrapper":true},"S6k":{"type":"list","member":{"locationName":"Parameter","type":"structure","members":{"ParameterName":{},"ParameterValue":{},"Description":{},"Source":{},"ApplyType":{},"DataType":{},"AllowedValues":{},"IsModifiable":{"type":"boolean"},"MinimumEngineVersion":{},"ApplyMethod":{},"SupportedEngineModes":{"shape":"S26"}}}},"S6p":{"type":"structure","members":{"DBClusterSnapshotIdentifier":{},"DBClusterSnapshotAttributes":{"type":"list","member":{"locationName":"DBClusterSnapshotAttribute","type":"structure","members":{"AttributeName":{},"AttributeValues":{"shape":"S6s"}}}}},"wrapper":true},"S6s":{"type":"list","member":{"locationName":"AttributeValue"}},"S7r":{"type":"structure","members":{"DBProxyName":{},"TargetGroupName":{},"TargetGroupArn":{},"IsDefault":{"type":"boolean"},"Status":{},"ConnectionPoolConfig":{"type":"structure","members":{"MaxConnectionsPercent":{"type":"integer"},"MaxIdleConnectionsPercent":{"type":"integer"},"ConnectionBorrowTimeout":{"type":"integer"},"SessionPinningFilters":{"shape":"Sv"},"InitQuery":{}}},"CreatedDate":{"type":"timestamp"},"UpdatedDate":{"type":"timestamp"}}},"S7v":{"type":"list","member":{"type":"structure","members":{"TargetArn":{},"Endpoint":{},"TrackedClusterId":{},"RdsResourceId":{},"Port":{"type":"integer"},"Type":{},"Role":{},"TargetHealth":{"type":"structure","members":{"State":{},"Reason":{},"Description":{}}}}}},"S87":{"type":"structure","members":{"DBSnapshotIdentifier":{},"DBSnapshotAttributes":{"type":"list","member":{"locationName":"DBSnapshotAttribute","type":"structure","members":{"AttributeName":{},"AttributeValues":{"shape":"S6s"}},"wrapper":true}}},"wrapper":true},"S8i":{"type":"structure","members":{"DBParameterGroupFamily":{},"Marker":{},"Parameters":{"shape":"S6k"}},"wrapper":true},"S9r":{"type":"list","member":{"locationName":"AvailableProcessorFeature","type":"structure","members":{"Name":{},"DefaultValue":{},"AllowedValues":{}}}},"Sa0":{"type":"structure","members":{"ReservedDBInstanceId":{},"ReservedDBInstancesOfferingId":{},"DBInstanceClass":{},"StartTime":{"type":"timestamp"},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"DBInstanceCount":{"type":"integer"},"ProductDescription":{},"OfferingType":{},"MultiAZ":{"type":"boolean"},"State":{},"RecurringCharges":{"shape":"Sa2"},"ReservedDBInstanceArn":{},"LeaseId":{}},"wrapper":true},"Sa2":{"type":"list","member":{"locationName":"RecurringCharge","type":"structure","members":{"RecurringChargeAmount":{"type":"double"},"RecurringChargeFrequency":{}},"wrapper":true}},"Sah":{"type":"list","member":{"locationName":"Range","type":"structure","members":{"From":{"type":"integer"},"To":{"type":"integer"},"Step":{"type":"integer"}}}},"Sb3":{"type":"structure","members":{"EnableLogTypes":{"shape":"S29"},"DisableLogTypes":{"shape":"S29"}}},"Sb7":{"type":"structure","members":{"DBClusterParameterGroupName":{}}},"Sbe":{"type":"structure","members":{"DBParameterGroupName":{}}}}}');

/***/ }),

/***/ 85082:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeCertificates":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Certificates"},"DescribeCustomAvailabilityZones":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"CustomAvailabilityZones"},"DescribeDBClusterBacktracks":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBClusterBacktracks"},"DescribeDBClusterEndpoints":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBClusterEndpoints"},"DescribeDBClusterParameterGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBClusterParameterGroups"},"DescribeDBClusterParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Parameters"},"DescribeDBClusterSnapshots":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBClusterSnapshots"},"DescribeDBClusters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBClusters"},"DescribeDBEngineVersions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBEngineVersions"},"DescribeDBInstanceAutomatedBackups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBInstanceAutomatedBackups"},"DescribeDBInstances":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBInstances"},"DescribeDBLogFiles":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DescribeDBLogFiles"},"DescribeDBParameterGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBParameterGroups"},"DescribeDBParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Parameters"},"DescribeDBProxies":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBProxies"},"DescribeDBProxyEndpoints":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBProxyEndpoints"},"DescribeDBProxyTargetGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"TargetGroups"},"DescribeDBProxyTargets":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Targets"},"DescribeDBSecurityGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSecurityGroups"},"DescribeDBSnapshots":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSnapshots"},"DescribeDBSubnetGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DBSubnetGroups"},"DescribeEngineDefaultParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"EngineDefaults.Marker","result_key":"EngineDefaults.Parameters"},"DescribeEventSubscriptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"EventSubscriptionsList"},"DescribeEvents":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Events"},"DescribeExportTasks":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ExportTasks"},"DescribeGlobalClusters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"GlobalClusters"},"DescribeInstallationMedia":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"InstallationMedia"},"DescribeOptionGroupOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OptionGroupOptions"},"DescribeOptionGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OptionGroupsList"},"DescribeOrderableDBInstanceOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OrderableDBInstanceOptions"},"DescribePendingMaintenanceActions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"PendingMaintenanceActions"},"DescribeReservedDBInstances":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedDBInstances"},"DescribeReservedDBInstancesOfferings":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedDBInstancesOfferings"},"DescribeSourceRegions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"SourceRegions"},"DownloadDBLogFilePortion":{"input_token":"Marker","limit_key":"NumberOfLines","more_results":"AdditionalDataPending","output_token":"Marker","result_key":"LogFileData"},"ListTagsForResource":{"result_key":"TagList"}}}');

/***/ }),

/***/ 20371:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"DBInstanceAvailable":{"delay":30,"operation":"DescribeDBInstances","maxAttempts":60,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"DBInstances[].DBInstanceStatus"},{"expected":"deleted","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"deleting","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"failed","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"incompatible-restore","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"incompatible-parameters","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"}]},"DBInstanceDeleted":{"delay":30,"operation":"DescribeDBInstances","maxAttempts":60,"acceptors":[{"expected":true,"matcher":"path","state":"success","argument":"length(DBInstances) == `0`"},{"expected":"DBInstanceNotFound","matcher":"error","state":"success"},{"expected":"creating","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"modifying","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"rebooting","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"},{"expected":"resetting-master-credentials","matcher":"pathAny","state":"failure","argument":"DBInstances[].DBInstanceStatus"}]},"DBSnapshotAvailable":{"delay":30,"operation":"DescribeDBSnapshots","maxAttempts":60,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"DBSnapshots[].Status"},{"expected":"deleted","matcher":"pathAny","state":"failure","argument":"DBSnapshots[].Status"},{"expected":"deleting","matcher":"pathAny","state":"failure","argument":"DBSnapshots[].Status"},{"expected":"failed","matcher":"pathAny","state":"failure","argument":"DBSnapshots[].Status"},{"expected":"incompatible-restore","matcher":"pathAny","state":"failure","argument":"DBSnapshots[].Status"},{"expected":"incompatible-parameters","matcher":"pathAny","state":"failure","argument":"DBSnapshots[].Status"}]},"DBSnapshotDeleted":{"delay":30,"operation":"DescribeDBSnapshots","maxAttempts":60,"acceptors":[{"expected":true,"matcher":"path","state":"success","argument":"length(DBSnapshots) == `0`"},{"expected":"DBSnapshotNotFound","matcher":"error","state":"success"},{"expected":"creating","matcher":"pathAny","state":"failure","argument":"DBSnapshots[].Status"},{"expected":"modifying","matcher":"pathAny","state":"failure","argument":"DBSnapshots[].Status"},{"expected":"rebooting","matcher":"pathAny","state":"failure","argument":"DBSnapshots[].Status"},{"expected":"resetting-master-credentials","matcher":"pathAny","state":"failure","argument":"DBSnapshots[].Status"}]},"DBClusterSnapshotAvailable":{"delay":30,"operation":"DescribeDBClusterSnapshots","maxAttempts":60,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"DBClusterSnapshots[].Status"},{"expected":"deleted","matcher":"pathAny","state":"failure","argument":"DBClusterSnapshots[].Status"},{"expected":"deleting","matcher":"pathAny","state":"failure","argument":"DBClusterSnapshots[].Status"},{"expected":"failed","matcher":"pathAny","state":"failure","argument":"DBClusterSnapshots[].Status"},{"expected":"incompatible-restore","matcher":"pathAny","state":"failure","argument":"DBClusterSnapshots[].Status"},{"expected":"incompatible-parameters","matcher":"pathAny","state":"failure","argument":"DBClusterSnapshots[].Status"}]},"DBClusterSnapshotDeleted":{"delay":30,"operation":"DescribeDBClusterSnapshots","maxAttempts":60,"acceptors":[{"expected":true,"matcher":"path","state":"success","argument":"length(DBClusterSnapshots) == `0`"},{"expected":"DBClusterSnapshotNotFoundFault","matcher":"error","state":"success"},{"expected":"creating","matcher":"pathAny","state":"failure","argument":"DBClusterSnapshots[].Status"},{"expected":"modifying","matcher":"pathAny","state":"failure","argument":"DBClusterSnapshots[].Status"},{"expected":"rebooting","matcher":"pathAny","state":"failure","argument":"DBClusterSnapshots[].Status"},{"expected":"resetting-master-credentials","matcher":"pathAny","state":"failure","argument":"DBClusterSnapshots[].Status"}]}}}');

/***/ }),

/***/ 13559:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-08-01","endpointPrefix":"rds-data","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS RDS DataService","serviceId":"RDS Data","signatureVersion":"v4","signingName":"rds-data","uid":"rds-data-2018-08-01"},"operations":{"BatchExecuteStatement":{"http":{"requestUri":"/BatchExecute","responseCode":200},"input":{"type":"structure","required":["resourceArn","secretArn","sql"],"members":{"database":{},"parameterSets":{"type":"list","member":{"shape":"S4"}},"resourceArn":{},"schema":{},"secretArn":{},"sql":{},"transactionId":{}}},"output":{"type":"structure","members":{"updateResults":{"type":"list","member":{"type":"structure","members":{"generatedFields":{"shape":"Sq"}}}}}}},"BeginTransaction":{"http":{"requestUri":"/BeginTransaction","responseCode":200},"input":{"type":"structure","required":["resourceArn","secretArn"],"members":{"database":{},"resourceArn":{},"schema":{},"secretArn":{}}},"output":{"type":"structure","members":{"transactionId":{}}}},"CommitTransaction":{"http":{"requestUri":"/CommitTransaction","responseCode":200},"input":{"type":"structure","required":["resourceArn","secretArn","transactionId"],"members":{"resourceArn":{},"secretArn":{},"transactionId":{}}},"output":{"type":"structure","members":{"transactionStatus":{}}}},"ExecuteSql":{"http":{"requestUri":"/ExecuteSql","responseCode":200},"input":{"type":"structure","required":["awsSecretStoreArn","dbClusterOrInstanceArn","sqlStatements"],"members":{"awsSecretStoreArn":{},"database":{},"dbClusterOrInstanceArn":{},"schema":{},"sqlStatements":{}}},"output":{"type":"structure","members":{"sqlStatementResults":{"type":"list","member":{"type":"structure","members":{"numberOfRecordsUpdated":{"type":"long"},"resultFrame":{"type":"structure","members":{"records":{"type":"list","member":{"type":"structure","members":{"values":{"type":"list","member":{"shape":"S15"}}}}},"resultSetMetadata":{"type":"structure","members":{"columnCount":{"type":"long"},"columnMetadata":{"shape":"S1c"}}}}}}}}}},"deprecated":true,"deprecatedMessage":"The ExecuteSql API is deprecated, please use the ExecuteStatement API."},"ExecuteStatement":{"http":{"requestUri":"/Execute","responseCode":200},"input":{"type":"structure","required":["resourceArn","secretArn","sql"],"members":{"continueAfterTimeout":{"type":"boolean"},"database":{},"includeResultMetadata":{"type":"boolean"},"parameters":{"shape":"S4"},"resourceArn":{},"resultSetOptions":{"type":"structure","members":{"decimalReturnType":{}}},"schema":{},"secretArn":{},"sql":{},"transactionId":{}}},"output":{"type":"structure","members":{"columnMetadata":{"shape":"S1c"},"generatedFields":{"shape":"Sq"},"numberOfRecordsUpdated":{"type":"long"},"records":{"type":"list","member":{"shape":"Sq"}}}}},"RollbackTransaction":{"http":{"requestUri":"/RollbackTransaction","responseCode":200},"input":{"type":"structure","required":["resourceArn","secretArn","transactionId"],"members":{"resourceArn":{},"secretArn":{},"transactionId":{}}},"output":{"type":"structure","members":{"transactionStatus":{}}}}},"shapes":{"S4":{"type":"list","member":{"type":"structure","members":{"name":{},"typeHint":{},"value":{"shape":"S8"}}}},"S8":{"type":"structure","members":{"arrayValue":{"shape":"S9"},"blobValue":{"type":"blob"},"booleanValue":{"type":"boolean"},"doubleValue":{"type":"double"},"isNull":{"type":"boolean"},"longValue":{"type":"long"},"stringValue":{}},"union":true},"S9":{"type":"structure","members":{"arrayValues":{"type":"list","member":{"shape":"S9"}},"booleanValues":{"type":"list","member":{"type":"boolean"}},"doubleValues":{"type":"list","member":{"type":"double"}},"longValues":{"type":"list","member":{"type":"long"}},"stringValues":{"type":"list","member":{}}},"union":true},"Sq":{"type":"list","member":{"shape":"S8"}},"S15":{"type":"structure","members":{"arrayValues":{"shape":"S16"},"bigIntValue":{"type":"long"},"bitValue":{"type":"boolean"},"blobValue":{"type":"blob"},"doubleValue":{"type":"double"},"intValue":{"type":"integer"},"isNull":{"type":"boolean"},"realValue":{"type":"float"},"stringValue":{},"structValue":{"type":"structure","members":{"attributes":{"shape":"S16"}}}},"union":true},"S16":{"type":"list","member":{"shape":"S15"}},"S1c":{"type":"list","member":{"type":"structure","members":{"arrayBaseColumnType":{"type":"integer"},"isAutoIncrement":{"type":"boolean"},"isCaseSensitive":{"type":"boolean"},"isCurrency":{"type":"boolean"},"isSigned":{"type":"boolean"},"label":{},"name":{},"nullable":{"type":"integer"},"precision":{"type":"integer"},"scale":{"type":"integer"},"schemaName":{},"tableName":{},"type":{"type":"integer"},"typeName":{}}}}}}');

/***/ }),

/***/ 41160:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 24827:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2012-12-01","endpointPrefix":"redshift","protocol":"query","serviceFullName":"Amazon Redshift","serviceId":"Redshift","signatureVersion":"v4","uid":"redshift-2012-12-01","xmlNamespace":"http://redshift.amazonaws.com/doc/2012-12-01/"},"operations":{"AcceptReservedNodeExchange":{"input":{"type":"structure","required":["ReservedNodeId","TargetReservedNodeOfferingId"],"members":{"ReservedNodeId":{},"TargetReservedNodeOfferingId":{}}},"output":{"resultWrapper":"AcceptReservedNodeExchangeResult","type":"structure","members":{"ExchangedReservedNode":{"shape":"S4"}}}},"AddPartner":{"input":{"shape":"Sb"},"output":{"shape":"Sg","resultWrapper":"AddPartnerResult"}},"AssociateDataShareConsumer":{"input":{"type":"structure","required":["DataShareArn"],"members":{"DataShareArn":{},"AssociateEntireAccount":{"type":"boolean"},"ConsumerArn":{}}},"output":{"shape":"Sj","resultWrapper":"AssociateDataShareConsumerResult"}},"AuthorizeClusterSecurityGroupIngress":{"input":{"type":"structure","required":["ClusterSecurityGroupName"],"members":{"ClusterSecurityGroupName":{},"CIDRIP":{},"EC2SecurityGroupName":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"AuthorizeClusterSecurityGroupIngressResult","type":"structure","members":{"ClusterSecurityGroup":{"shape":"Sq"}}}},"AuthorizeDataShare":{"input":{"type":"structure","required":["DataShareArn","ConsumerIdentifier"],"members":{"DataShareArn":{},"ConsumerIdentifier":{}}},"output":{"shape":"Sj","resultWrapper":"AuthorizeDataShareResult"}},"AuthorizeEndpointAccess":{"input":{"type":"structure","required":["Account"],"members":{"ClusterIdentifier":{},"Account":{},"VpcIds":{"shape":"Sz"}}},"output":{"shape":"S10","resultWrapper":"AuthorizeEndpointAccessResult"}},"AuthorizeSnapshotAccess":{"input":{"type":"structure","required":["SnapshotIdentifier","AccountWithRestoreAccess"],"members":{"SnapshotIdentifier":{},"SnapshotClusterIdentifier":{},"AccountWithRestoreAccess":{}}},"output":{"resultWrapper":"AuthorizeSnapshotAccessResult","type":"structure","members":{"Snapshot":{"shape":"S14"}}}},"BatchDeleteClusterSnapshots":{"input":{"type":"structure","required":["Identifiers"],"members":{"Identifiers":{"type":"list","member":{"shape":"S1c","locationName":"DeleteClusterSnapshotMessage"}}}},"output":{"resultWrapper":"BatchDeleteClusterSnapshotsResult","type":"structure","members":{"Resources":{"shape":"S1e"},"Errors":{"type":"list","member":{"shape":"S1g","locationName":"SnapshotErrorMessage"}}}}},"BatchModifyClusterSnapshots":{"input":{"type":"structure","required":["SnapshotIdentifierList"],"members":{"SnapshotIdentifierList":{"shape":"S1e"},"ManualSnapshotRetentionPeriod":{"type":"integer"},"Force":{"type":"boolean"}}},"output":{"resultWrapper":"BatchModifyClusterSnapshotsResult","type":"structure","members":{"Resources":{"shape":"S1e"},"Errors":{"type":"list","member":{"shape":"S1g","locationName":"SnapshotErrorMessage"}}}}},"CancelResize":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{}}},"output":{"shape":"S1l","resultWrapper":"CancelResizeResult"}},"CopyClusterSnapshot":{"input":{"type":"structure","required":["SourceSnapshotIdentifier","TargetSnapshotIdentifier"],"members":{"SourceSnapshotIdentifier":{},"SourceSnapshotClusterIdentifier":{},"TargetSnapshotIdentifier":{},"ManualSnapshotRetentionPeriod":{"type":"integer"}}},"output":{"resultWrapper":"CopyClusterSnapshotResult","type":"structure","members":{"Snapshot":{"shape":"S14"}}}},"CreateAuthenticationProfile":{"input":{"type":"structure","required":["AuthenticationProfileName","AuthenticationProfileContent"],"members":{"AuthenticationProfileName":{},"AuthenticationProfileContent":{}}},"output":{"resultWrapper":"CreateAuthenticationProfileResult","type":"structure","members":{"AuthenticationProfileName":{},"AuthenticationProfileContent":{}}}},"CreateCluster":{"input":{"type":"structure","required":["ClusterIdentifier","NodeType","MasterUsername","MasterUserPassword"],"members":{"DBName":{},"ClusterIdentifier":{},"ClusterType":{},"NodeType":{},"MasterUsername":{},"MasterUserPassword":{},"ClusterSecurityGroups":{"shape":"S1x"},"VpcSecurityGroupIds":{"shape":"S1y"},"ClusterSubnetGroupName":{},"AvailabilityZone":{},"PreferredMaintenanceWindow":{},"ClusterParameterGroupName":{},"AutomatedSnapshotRetentionPeriod":{"type":"integer"},"ManualSnapshotRetentionPeriod":{"type":"integer"},"Port":{"type":"integer"},"ClusterVersion":{},"AllowVersionUpgrade":{"type":"boolean"},"NumberOfNodes":{"type":"integer"},"PubliclyAccessible":{"type":"boolean"},"Encrypted":{"type":"boolean"},"HsmClientCertificateIdentifier":{},"HsmConfigurationIdentifier":{},"ElasticIp":{},"Tags":{"shape":"St"},"KmsKeyId":{},"EnhancedVpcRouting":{"type":"boolean"},"AdditionalInfo":{},"IamRoles":{"shape":"S1z"},"MaintenanceTrackName":{},"SnapshotScheduleIdentifier":{},"AvailabilityZoneRelocation":{"type":"boolean"},"AquaConfigurationStatus":{},"DefaultIamRoleArn":{}}},"output":{"resultWrapper":"CreateClusterResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"CreateClusterParameterGroup":{"input":{"type":"structure","required":["ParameterGroupName","ParameterGroupFamily","Description"],"members":{"ParameterGroupName":{},"ParameterGroupFamily":{},"Description":{},"Tags":{"shape":"St"}}},"output":{"resultWrapper":"CreateClusterParameterGroupResult","type":"structure","members":{"ClusterParameterGroup":{"shape":"S31"}}}},"CreateClusterSecurityGroup":{"input":{"type":"structure","required":["ClusterSecurityGroupName","Description"],"members":{"ClusterSecurityGroupName":{},"Description":{},"Tags":{"shape":"St"}}},"output":{"resultWrapper":"CreateClusterSecurityGroupResult","type":"structure","members":{"ClusterSecurityGroup":{"shape":"Sq"}}}},"CreateClusterSnapshot":{"input":{"type":"structure","required":["SnapshotIdentifier","ClusterIdentifier"],"members":{"SnapshotIdentifier":{},"ClusterIdentifier":{},"ManualSnapshotRetentionPeriod":{"type":"integer"},"Tags":{"shape":"St"}}},"output":{"resultWrapper":"CreateClusterSnapshotResult","type":"structure","members":{"Snapshot":{"shape":"S14"}}}},"CreateClusterSubnetGroup":{"input":{"type":"structure","required":["ClusterSubnetGroupName","Description","SubnetIds"],"members":{"ClusterSubnetGroupName":{},"Description":{},"SubnetIds":{"shape":"S37"},"Tags":{"shape":"St"}}},"output":{"resultWrapper":"CreateClusterSubnetGroupResult","type":"structure","members":{"ClusterSubnetGroup":{"shape":"S39"}}}},"CreateEndpointAccess":{"input":{"type":"structure","required":["EndpointName","SubnetGroupName"],"members":{"ClusterIdentifier":{},"ResourceOwner":{},"EndpointName":{},"SubnetGroupName":{},"VpcSecurityGroupIds":{"shape":"S1y"}}},"output":{"shape":"S3g","resultWrapper":"CreateEndpointAccessResult"}},"CreateEventSubscription":{"input":{"type":"structure","required":["SubscriptionName","SnsTopicArn"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"SourceIds":{"shape":"S3i"},"EventCategories":{"shape":"S3j"},"Severity":{},"Enabled":{"type":"boolean"},"Tags":{"shape":"St"}}},"output":{"resultWrapper":"CreateEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S3l"}}}},"CreateHsmClientCertificate":{"input":{"type":"structure","required":["HsmClientCertificateIdentifier"],"members":{"HsmClientCertificateIdentifier":{},"Tags":{"shape":"St"}}},"output":{"resultWrapper":"CreateHsmClientCertificateResult","type":"structure","members":{"HsmClientCertificate":{"shape":"S3o"}}}},"CreateHsmConfiguration":{"input":{"type":"structure","required":["HsmConfigurationIdentifier","Description","HsmIpAddress","HsmPartitionName","HsmPartitionPassword","HsmServerPublicCertificate"],"members":{"HsmConfigurationIdentifier":{},"Description":{},"HsmIpAddress":{},"HsmPartitionName":{},"HsmPartitionPassword":{},"HsmServerPublicCertificate":{},"Tags":{"shape":"St"}}},"output":{"resultWrapper":"CreateHsmConfigurationResult","type":"structure","members":{"HsmConfiguration":{"shape":"S3r"}}}},"CreateScheduledAction":{"input":{"type":"structure","required":["ScheduledActionName","TargetAction","Schedule","IamRole"],"members":{"ScheduledActionName":{},"TargetAction":{"shape":"S3t"},"Schedule":{},"IamRole":{},"ScheduledActionDescription":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Enable":{"type":"boolean"}}},"output":{"shape":"S3x","resultWrapper":"CreateScheduledActionResult"}},"CreateSnapshotCopyGrant":{"input":{"type":"structure","required":["SnapshotCopyGrantName"],"members":{"SnapshotCopyGrantName":{},"KmsKeyId":{},"Tags":{"shape":"St"}}},"output":{"resultWrapper":"CreateSnapshotCopyGrantResult","type":"structure","members":{"SnapshotCopyGrant":{"shape":"S42"}}}},"CreateSnapshotSchedule":{"input":{"type":"structure","members":{"ScheduleDefinitions":{"shape":"S44"},"ScheduleIdentifier":{},"ScheduleDescription":{},"Tags":{"shape":"St"},"DryRun":{"type":"boolean"},"NextInvocations":{"type":"integer"}}},"output":{"shape":"S45","resultWrapper":"CreateSnapshotScheduleResult"}},"CreateTags":{"input":{"type":"structure","required":["ResourceName","Tags"],"members":{"ResourceName":{},"Tags":{"shape":"St"}}}},"CreateUsageLimit":{"input":{"type":"structure","required":["ClusterIdentifier","FeatureType","LimitType","Amount"],"members":{"ClusterIdentifier":{},"FeatureType":{},"LimitType":{},"Amount":{"type":"long"},"Period":{},"BreachAction":{},"Tags":{"shape":"St"}}},"output":{"shape":"S4f","resultWrapper":"CreateUsageLimitResult"}},"DeauthorizeDataShare":{"input":{"type":"structure","required":["DataShareArn","ConsumerIdentifier"],"members":{"DataShareArn":{},"ConsumerIdentifier":{}}},"output":{"shape":"Sj","resultWrapper":"DeauthorizeDataShareResult"}},"DeleteAuthenticationProfile":{"input":{"type":"structure","required":["AuthenticationProfileName"],"members":{"AuthenticationProfileName":{}}},"output":{"resultWrapper":"DeleteAuthenticationProfileResult","type":"structure","members":{"AuthenticationProfileName":{}}}},"DeleteCluster":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{},"SkipFinalClusterSnapshot":{"type":"boolean"},"FinalClusterSnapshotIdentifier":{},"FinalClusterSnapshotRetentionPeriod":{"type":"integer"}}},"output":{"resultWrapper":"DeleteClusterResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"DeleteClusterParameterGroup":{"input":{"type":"structure","required":["ParameterGroupName"],"members":{"ParameterGroupName":{}}}},"DeleteClusterSecurityGroup":{"input":{"type":"structure","required":["ClusterSecurityGroupName"],"members":{"ClusterSecurityGroupName":{}}}},"DeleteClusterSnapshot":{"input":{"shape":"S1c"},"output":{"resultWrapper":"DeleteClusterSnapshotResult","type":"structure","members":{"Snapshot":{"shape":"S14"}}}},"DeleteClusterSubnetGroup":{"input":{"type":"structure","required":["ClusterSubnetGroupName"],"members":{"ClusterSubnetGroupName":{}}}},"DeleteEndpointAccess":{"input":{"type":"structure","required":["EndpointName"],"members":{"EndpointName":{}}},"output":{"shape":"S3g","resultWrapper":"DeleteEndpointAccessResult"}},"DeleteEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{}}}},"DeleteHsmClientCertificate":{"input":{"type":"structure","required":["HsmClientCertificateIdentifier"],"members":{"HsmClientCertificateIdentifier":{}}}},"DeleteHsmConfiguration":{"input":{"type":"structure","required":["HsmConfigurationIdentifier"],"members":{"HsmConfigurationIdentifier":{}}}},"DeletePartner":{"input":{"shape":"Sb"},"output":{"shape":"Sg","resultWrapper":"DeletePartnerResult"}},"DeleteScheduledAction":{"input":{"type":"structure","required":["ScheduledActionName"],"members":{"ScheduledActionName":{}}}},"DeleteSnapshotCopyGrant":{"input":{"type":"structure","required":["SnapshotCopyGrantName"],"members":{"SnapshotCopyGrantName":{}}}},"DeleteSnapshotSchedule":{"input":{"type":"structure","required":["ScheduleIdentifier"],"members":{"ScheduleIdentifier":{}}}},"DeleteTags":{"input":{"type":"structure","required":["ResourceName","TagKeys"],"members":{"ResourceName":{},"TagKeys":{"shape":"S4x"}}}},"DeleteUsageLimit":{"input":{"type":"structure","required":["UsageLimitId"],"members":{"UsageLimitId":{}}}},"DescribeAccountAttributes":{"input":{"type":"structure","members":{"AttributeNames":{"type":"list","member":{"locationName":"AttributeName"}}}},"output":{"resultWrapper":"DescribeAccountAttributesResult","type":"structure","members":{"AccountAttributes":{"type":"list","member":{"locationName":"AccountAttribute","type":"structure","members":{"AttributeName":{},"AttributeValues":{"type":"list","member":{"locationName":"AttributeValueTarget","type":"structure","members":{"AttributeValue":{}}}}}}}}}},"DescribeAuthenticationProfiles":{"input":{"type":"structure","members":{"AuthenticationProfileName":{}}},"output":{"resultWrapper":"DescribeAuthenticationProfilesResult","type":"structure","members":{"AuthenticationProfiles":{"type":"list","member":{"type":"structure","members":{"AuthenticationProfileName":{},"AuthenticationProfileContent":{}}}}}}},"DescribeClusterDbRevisions":{"input":{"type":"structure","members":{"ClusterIdentifier":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeClusterDbRevisionsResult","type":"structure","members":{"Marker":{},"ClusterDbRevisions":{"type":"list","member":{"locationName":"ClusterDbRevision","type":"structure","members":{"ClusterIdentifier":{},"CurrentDatabaseRevision":{},"DatabaseRevisionReleaseDate":{"type":"timestamp"},"RevisionTargets":{"type":"list","member":{"locationName":"RevisionTarget","type":"structure","members":{"DatabaseRevision":{},"Description":{},"DatabaseRevisionReleaseDate":{"type":"timestamp"}}}}}}}}}},"DescribeClusterParameterGroups":{"input":{"type":"structure","members":{"ParameterGroupName":{},"MaxRecords":{"type":"integer"},"Marker":{},"TagKeys":{"shape":"S4x"},"TagValues":{"shape":"S5h"}}},"output":{"resultWrapper":"DescribeClusterParameterGroupsResult","type":"structure","members":{"Marker":{},"ParameterGroups":{"type":"list","member":{"shape":"S31","locationName":"ClusterParameterGroup"}}}}},"DescribeClusterParameters":{"input":{"type":"structure","required":["ParameterGroupName"],"members":{"ParameterGroupName":{},"Source":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeClusterParametersResult","type":"structure","members":{"Parameters":{"shape":"S5m"},"Marker":{}}}},"DescribeClusterSecurityGroups":{"input":{"type":"structure","members":{"ClusterSecurityGroupName":{},"MaxRecords":{"type":"integer"},"Marker":{},"TagKeys":{"shape":"S4x"},"TagValues":{"shape":"S5h"}}},"output":{"resultWrapper":"DescribeClusterSecurityGroupsResult","type":"structure","members":{"Marker":{},"ClusterSecurityGroups":{"type":"list","member":{"shape":"Sq","locationName":"ClusterSecurityGroup"}}}}},"DescribeClusterSnapshots":{"input":{"type":"structure","members":{"ClusterIdentifier":{},"SnapshotIdentifier":{},"SnapshotType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"MaxRecords":{"type":"integer"},"Marker":{},"OwnerAccount":{},"TagKeys":{"shape":"S4x"},"TagValues":{"shape":"S5h"},"ClusterExists":{"type":"boolean"},"SortingEntities":{"type":"list","member":{"locationName":"SnapshotSortingEntity","type":"structure","required":["Attribute"],"members":{"Attribute":{},"SortOrder":{}}}}}},"output":{"resultWrapper":"DescribeClusterSnapshotsResult","type":"structure","members":{"Marker":{},"Snapshots":{"type":"list","member":{"shape":"S14","locationName":"Snapshot"}}}}},"DescribeClusterSubnetGroups":{"input":{"type":"structure","members":{"ClusterSubnetGroupName":{},"MaxRecords":{"type":"integer"},"Marker":{},"TagKeys":{"shape":"S4x"},"TagValues":{"shape":"S5h"}}},"output":{"resultWrapper":"DescribeClusterSubnetGroupsResult","type":"structure","members":{"Marker":{},"ClusterSubnetGroups":{"type":"list","member":{"shape":"S39","locationName":"ClusterSubnetGroup"}}}}},"DescribeClusterTracks":{"input":{"type":"structure","members":{"MaintenanceTrackName":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeClusterTracksResult","type":"structure","members":{"MaintenanceTracks":{"type":"list","member":{"locationName":"MaintenanceTrack","type":"structure","members":{"MaintenanceTrackName":{},"DatabaseVersion":{},"UpdateTargets":{"type":"list","member":{"locationName":"UpdateTarget","type":"structure","members":{"MaintenanceTrackName":{},"DatabaseVersion":{},"SupportedOperations":{"type":"list","member":{"locationName":"SupportedOperation","type":"structure","members":{"OperationName":{}}}}}}}}}},"Marker":{}}}},"DescribeClusterVersions":{"input":{"type":"structure","members":{"ClusterVersion":{},"ClusterParameterGroupFamily":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeClusterVersionsResult","type":"structure","members":{"Marker":{},"ClusterVersions":{"type":"list","member":{"locationName":"ClusterVersion","type":"structure","members":{"ClusterVersion":{},"ClusterParameterGroupFamily":{},"Description":{}}}}}}},"DescribeClusters":{"input":{"type":"structure","members":{"ClusterIdentifier":{},"MaxRecords":{"type":"integer"},"Marker":{},"TagKeys":{"shape":"S4x"},"TagValues":{"shape":"S5h"}}},"output":{"resultWrapper":"DescribeClustersResult","type":"structure","members":{"Marker":{},"Clusters":{"type":"list","member":{"shape":"S22","locationName":"Cluster"}}}}},"DescribeDataShares":{"input":{"type":"structure","members":{"DataShareArn":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDataSharesResult","type":"structure","members":{"DataShares":{"shape":"S6j"},"Marker":{}}}},"DescribeDataSharesForConsumer":{"input":{"type":"structure","members":{"ConsumerArn":{},"Status":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDataSharesForConsumerResult","type":"structure","members":{"DataShares":{"shape":"S6j"},"Marker":{}}}},"DescribeDataSharesForProducer":{"input":{"type":"structure","members":{"ProducerArn":{},"Status":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDataSharesForProducerResult","type":"structure","members":{"DataShares":{"shape":"S6j"},"Marker":{}}}},"DescribeDefaultClusterParameters":{"input":{"type":"structure","required":["ParameterGroupFamily"],"members":{"ParameterGroupFamily":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeDefaultClusterParametersResult","type":"structure","members":{"DefaultClusterParameters":{"type":"structure","members":{"ParameterGroupFamily":{},"Marker":{},"Parameters":{"shape":"S5m"}},"wrapper":true}}}},"DescribeEndpointAccess":{"input":{"type":"structure","members":{"ClusterIdentifier":{},"ResourceOwner":{},"EndpointName":{},"VpcId":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEndpointAccessResult","type":"structure","members":{"EndpointAccessList":{"type":"list","member":{"shape":"S3g"}},"Marker":{}}}},"DescribeEndpointAuthorization":{"input":{"type":"structure","members":{"ClusterIdentifier":{},"Account":{},"Grantee":{"type":"boolean"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEndpointAuthorizationResult","type":"structure","members":{"EndpointAuthorizationList":{"type":"list","member":{"shape":"S10"}},"Marker":{}}}},"DescribeEventCategories":{"input":{"type":"structure","members":{"SourceType":{}}},"output":{"resultWrapper":"DescribeEventCategoriesResult","type":"structure","members":{"EventCategoriesMapList":{"type":"list","member":{"locationName":"EventCategoriesMap","type":"structure","members":{"SourceType":{},"Events":{"type":"list","member":{"locationName":"EventInfoMap","type":"structure","members":{"EventId":{},"EventCategories":{"shape":"S3j"},"EventDescription":{},"Severity":{}},"wrapper":true}}},"wrapper":true}}}}},"DescribeEventSubscriptions":{"input":{"type":"structure","members":{"SubscriptionName":{},"MaxRecords":{"type":"integer"},"Marker":{},"TagKeys":{"shape":"S4x"},"TagValues":{"shape":"S5h"}}},"output":{"resultWrapper":"DescribeEventSubscriptionsResult","type":"structure","members":{"Marker":{},"EventSubscriptionsList":{"type":"list","member":{"shape":"S3l","locationName":"EventSubscription"}}}}},"DescribeEvents":{"input":{"type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Duration":{"type":"integer"},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeEventsResult","type":"structure","members":{"Marker":{},"Events":{"type":"list","member":{"locationName":"Event","type":"structure","members":{"SourceIdentifier":{},"SourceType":{},"Message":{},"EventCategories":{"shape":"S3j"},"Severity":{},"Date":{"type":"timestamp"},"EventId":{}}}}}}},"DescribeHsmClientCertificates":{"input":{"type":"structure","members":{"HsmClientCertificateIdentifier":{},"MaxRecords":{"type":"integer"},"Marker":{},"TagKeys":{"shape":"S4x"},"TagValues":{"shape":"S5h"}}},"output":{"resultWrapper":"DescribeHsmClientCertificatesResult","type":"structure","members":{"Marker":{},"HsmClientCertificates":{"type":"list","member":{"shape":"S3o","locationName":"HsmClientCertificate"}}}}},"DescribeHsmConfigurations":{"input":{"type":"structure","members":{"HsmConfigurationIdentifier":{},"MaxRecords":{"type":"integer"},"Marker":{},"TagKeys":{"shape":"S4x"},"TagValues":{"shape":"S5h"}}},"output":{"resultWrapper":"DescribeHsmConfigurationsResult","type":"structure","members":{"Marker":{},"HsmConfigurations":{"type":"list","member":{"shape":"S3r","locationName":"HsmConfiguration"}}}}},"DescribeLoggingStatus":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{}}},"output":{"shape":"S7k","resultWrapper":"DescribeLoggingStatusResult"}},"DescribeNodeConfigurationOptions":{"input":{"type":"structure","required":["ActionType"],"members":{"ActionType":{},"ClusterIdentifier":{},"SnapshotIdentifier":{},"OwnerAccount":{},"Filters":{"locationName":"Filter","type":"list","member":{"locationName":"NodeConfigurationOptionsFilter","type":"structure","members":{"Name":{},"Operator":{},"Values":{"shape":"S7r","locationName":"Value"}}}},"Marker":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeNodeConfigurationOptionsResult","type":"structure","members":{"NodeConfigurationOptionList":{"type":"list","member":{"locationName":"NodeConfigurationOption","type":"structure","members":{"NodeType":{},"NumberOfNodes":{"type":"integer"},"EstimatedDiskUtilizationPercent":{"type":"double"},"Mode":{}}}},"Marker":{}}}},"DescribeOrderableClusterOptions":{"input":{"type":"structure","members":{"ClusterVersion":{},"NodeType":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeOrderableClusterOptionsResult","type":"structure","members":{"OrderableClusterOptions":{"type":"list","member":{"locationName":"OrderableClusterOption","type":"structure","members":{"ClusterVersion":{},"ClusterType":{},"NodeType":{},"AvailabilityZones":{"type":"list","member":{"shape":"S3c","locationName":"AvailabilityZone"}}},"wrapper":true}},"Marker":{}}}},"DescribePartners":{"input":{"type":"structure","required":["AccountId","ClusterIdentifier"],"members":{"AccountId":{},"ClusterIdentifier":{},"DatabaseName":{},"PartnerName":{}}},"output":{"resultWrapper":"DescribePartnersResult","type":"structure","members":{"PartnerIntegrationInfoList":{"type":"list","member":{"locationName":"PartnerIntegrationInfo","type":"structure","members":{"DatabaseName":{},"PartnerName":{},"Status":{},"StatusMessage":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"}}}}}}},"DescribeReservedNodeExchangeStatus":{"input":{"type":"structure","members":{"ReservedNodeId":{},"ReservedNodeExchangeRequestId":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedNodeExchangeStatusResult","type":"structure","members":{"ReservedNodeExchangeStatusDetails":{"type":"list","member":{"shape":"S2x","locationName":"ReservedNodeExchangeStatus"}},"Marker":{}}}},"DescribeReservedNodeOfferings":{"input":{"type":"structure","members":{"ReservedNodeOfferingId":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedNodeOfferingsResult","type":"structure","members":{"Marker":{},"ReservedNodeOfferings":{"shape":"S8c"}}}},"DescribeReservedNodes":{"input":{"type":"structure","members":{"ReservedNodeId":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeReservedNodesResult","type":"structure","members":{"Marker":{},"ReservedNodes":{"type":"list","member":{"shape":"S4","locationName":"ReservedNode"}}}}},"DescribeResize":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{}}},"output":{"shape":"S1l","resultWrapper":"DescribeResizeResult"}},"DescribeScheduledActions":{"input":{"type":"structure","members":{"ScheduledActionName":{},"TargetActionType":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Active":{"type":"boolean"},"Filters":{"type":"list","member":{"locationName":"ScheduledActionFilter","type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"shape":"S7r"}}}},"Marker":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeScheduledActionsResult","type":"structure","members":{"Marker":{},"ScheduledActions":{"type":"list","member":{"shape":"S3x","locationName":"ScheduledAction"}}}}},"DescribeSnapshotCopyGrants":{"input":{"type":"structure","members":{"SnapshotCopyGrantName":{},"MaxRecords":{"type":"integer"},"Marker":{},"TagKeys":{"shape":"S4x"},"TagValues":{"shape":"S5h"}}},"output":{"resultWrapper":"DescribeSnapshotCopyGrantsResult","type":"structure","members":{"Marker":{},"SnapshotCopyGrants":{"type":"list","member":{"shape":"S42","locationName":"SnapshotCopyGrant"}}}}},"DescribeSnapshotSchedules":{"input":{"type":"structure","members":{"ClusterIdentifier":{},"ScheduleIdentifier":{},"TagKeys":{"shape":"S4x"},"TagValues":{"shape":"S5h"},"Marker":{},"MaxRecords":{"type":"integer"}}},"output":{"resultWrapper":"DescribeSnapshotSchedulesResult","type":"structure","members":{"SnapshotSchedules":{"type":"list","member":{"shape":"S45","locationName":"SnapshotSchedule"}},"Marker":{}}}},"DescribeStorage":{"output":{"resultWrapper":"DescribeStorageResult","type":"structure","members":{"TotalBackupSizeInMegaBytes":{"type":"double"},"TotalProvisionedStorageInMegaBytes":{"type":"double"}}}},"DescribeTableRestoreStatus":{"input":{"type":"structure","members":{"ClusterIdentifier":{},"TableRestoreRequestId":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"DescribeTableRestoreStatusResult","type":"structure","members":{"TableRestoreStatusDetails":{"type":"list","member":{"shape":"S8z","locationName":"TableRestoreStatus"}},"Marker":{}}}},"DescribeTags":{"input":{"type":"structure","members":{"ResourceName":{},"ResourceType":{},"MaxRecords":{"type":"integer"},"Marker":{},"TagKeys":{"shape":"S4x"},"TagValues":{"shape":"S5h"}}},"output":{"resultWrapper":"DescribeTagsResult","type":"structure","members":{"TaggedResources":{"type":"list","member":{"locationName":"TaggedResource","type":"structure","members":{"Tag":{"shape":"Su"},"ResourceName":{},"ResourceType":{}}}},"Marker":{}}}},"DescribeUsageLimits":{"input":{"type":"structure","members":{"UsageLimitId":{},"ClusterIdentifier":{},"FeatureType":{},"MaxRecords":{"type":"integer"},"Marker":{},"TagKeys":{"shape":"S4x"},"TagValues":{"shape":"S5h"}}},"output":{"resultWrapper":"DescribeUsageLimitsResult","type":"structure","members":{"UsageLimits":{"type":"list","member":{"shape":"S4f"}},"Marker":{}}}},"DisableLogging":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{}}},"output":{"shape":"S7k","resultWrapper":"DisableLoggingResult"}},"DisableSnapshotCopy":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{}}},"output":{"resultWrapper":"DisableSnapshotCopyResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"DisassociateDataShareConsumer":{"input":{"type":"structure","required":["DataShareArn"],"members":{"DataShareArn":{},"DisassociateEntireAccount":{"type":"boolean"},"ConsumerArn":{}}},"output":{"shape":"Sj","resultWrapper":"DisassociateDataShareConsumerResult"}},"EnableLogging":{"input":{"type":"structure","required":["ClusterIdentifier","BucketName"],"members":{"ClusterIdentifier":{},"BucketName":{},"S3KeyPrefix":{}}},"output":{"shape":"S7k","resultWrapper":"EnableLoggingResult"}},"EnableSnapshotCopy":{"input":{"type":"structure","required":["ClusterIdentifier","DestinationRegion"],"members":{"ClusterIdentifier":{},"DestinationRegion":{},"RetentionPeriod":{"type":"integer"},"SnapshotCopyGrantName":{},"ManualSnapshotRetentionPeriod":{"type":"integer"}}},"output":{"resultWrapper":"EnableSnapshotCopyResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"GetClusterCredentials":{"input":{"type":"structure","required":["DbUser","ClusterIdentifier"],"members":{"DbUser":{},"DbName":{},"ClusterIdentifier":{},"DurationSeconds":{"type":"integer"},"AutoCreate":{"type":"boolean"},"DbGroups":{"type":"list","member":{"locationName":"DbGroup"}}}},"output":{"resultWrapper":"GetClusterCredentialsResult","type":"structure","members":{"DbUser":{},"DbPassword":{"type":"string","sensitive":true},"Expiration":{"type":"timestamp"}}}},"GetReservedNodeExchangeConfigurationOptions":{"input":{"type":"structure","required":["ActionType"],"members":{"ActionType":{},"ClusterIdentifier":{},"SnapshotIdentifier":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"GetReservedNodeExchangeConfigurationOptionsResult","type":"structure","members":{"Marker":{},"ReservedNodeConfigurationOptionList":{"type":"list","member":{"locationName":"ReservedNodeConfigurationOption","type":"structure","members":{"SourceReservedNode":{"shape":"S4"},"TargetReservedNodeCount":{"type":"integer"},"TargetReservedNodeOffering":{"shape":"S8d"}},"wrapper":true}}}}},"GetReservedNodeExchangeOfferings":{"input":{"type":"structure","required":["ReservedNodeId"],"members":{"ReservedNodeId":{},"MaxRecords":{"type":"integer"},"Marker":{}}},"output":{"resultWrapper":"GetReservedNodeExchangeOfferingsResult","type":"structure","members":{"Marker":{},"ReservedNodeOfferings":{"shape":"S8c"}}}},"ModifyAquaConfiguration":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{},"AquaConfigurationStatus":{}}},"output":{"resultWrapper":"ModifyAquaConfigurationResult","type":"structure","members":{"AquaConfiguration":{"shape":"S2v"}}}},"ModifyAuthenticationProfile":{"input":{"type":"structure","required":["AuthenticationProfileName","AuthenticationProfileContent"],"members":{"AuthenticationProfileName":{},"AuthenticationProfileContent":{}}},"output":{"resultWrapper":"ModifyAuthenticationProfileResult","type":"structure","members":{"AuthenticationProfileName":{},"AuthenticationProfileContent":{}}}},"ModifyCluster":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{},"ClusterType":{},"NodeType":{},"NumberOfNodes":{"type":"integer"},"ClusterSecurityGroups":{"shape":"S1x"},"VpcSecurityGroupIds":{"shape":"S1y"},"MasterUserPassword":{},"ClusterParameterGroupName":{},"AutomatedSnapshotRetentionPeriod":{"type":"integer"},"ManualSnapshotRetentionPeriod":{"type":"integer"},"PreferredMaintenanceWindow":{},"ClusterVersion":{},"AllowVersionUpgrade":{"type":"boolean"},"HsmClientCertificateIdentifier":{},"HsmConfigurationIdentifier":{},"NewClusterIdentifier":{},"PubliclyAccessible":{"type":"boolean"},"ElasticIp":{},"EnhancedVpcRouting":{"type":"boolean"},"MaintenanceTrackName":{},"Encrypted":{"type":"boolean"},"KmsKeyId":{},"AvailabilityZoneRelocation":{"type":"boolean"},"AvailabilityZone":{},"Port":{"type":"integer"}}},"output":{"resultWrapper":"ModifyClusterResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"ModifyClusterDbRevision":{"input":{"type":"structure","required":["ClusterIdentifier","RevisionTarget"],"members":{"ClusterIdentifier":{},"RevisionTarget":{}}},"output":{"resultWrapper":"ModifyClusterDbRevisionResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"ModifyClusterIamRoles":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{},"AddIamRoles":{"shape":"S1z"},"RemoveIamRoles":{"shape":"S1z"},"DefaultIamRoleArn":{}}},"output":{"resultWrapper":"ModifyClusterIamRolesResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"ModifyClusterMaintenance":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{},"DeferMaintenance":{"type":"boolean"},"DeferMaintenanceIdentifier":{},"DeferMaintenanceStartTime":{"type":"timestamp"},"DeferMaintenanceEndTime":{"type":"timestamp"},"DeferMaintenanceDuration":{"type":"integer"}}},"output":{"resultWrapper":"ModifyClusterMaintenanceResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"ModifyClusterParameterGroup":{"input":{"type":"structure","required":["ParameterGroupName","Parameters"],"members":{"ParameterGroupName":{},"Parameters":{"shape":"S5m"}}},"output":{"shape":"Sa3","resultWrapper":"ModifyClusterParameterGroupResult"}},"ModifyClusterSnapshot":{"input":{"type":"structure","required":["SnapshotIdentifier"],"members":{"SnapshotIdentifier":{},"ManualSnapshotRetentionPeriod":{"type":"integer"},"Force":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyClusterSnapshotResult","type":"structure","members":{"Snapshot":{"shape":"S14"}}}},"ModifyClusterSnapshotSchedule":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{},"ScheduleIdentifier":{},"DisassociateSchedule":{"type":"boolean"}}}},"ModifyClusterSubnetGroup":{"input":{"type":"structure","required":["ClusterSubnetGroupName","SubnetIds"],"members":{"ClusterSubnetGroupName":{},"Description":{},"SubnetIds":{"shape":"S37"}}},"output":{"resultWrapper":"ModifyClusterSubnetGroupResult","type":"structure","members":{"ClusterSubnetGroup":{"shape":"S39"}}}},"ModifyEndpointAccess":{"input":{"type":"structure","required":["EndpointName"],"members":{"EndpointName":{},"VpcSecurityGroupIds":{"shape":"S1y"}}},"output":{"shape":"S3g","resultWrapper":"ModifyEndpointAccessResult"}},"ModifyEventSubscription":{"input":{"type":"structure","required":["SubscriptionName"],"members":{"SubscriptionName":{},"SnsTopicArn":{},"SourceType":{},"SourceIds":{"shape":"S3i"},"EventCategories":{"shape":"S3j"},"Severity":{},"Enabled":{"type":"boolean"}}},"output":{"resultWrapper":"ModifyEventSubscriptionResult","type":"structure","members":{"EventSubscription":{"shape":"S3l"}}}},"ModifyScheduledAction":{"input":{"type":"structure","required":["ScheduledActionName"],"members":{"ScheduledActionName":{},"TargetAction":{"shape":"S3t"},"Schedule":{},"IamRole":{},"ScheduledActionDescription":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Enable":{"type":"boolean"}}},"output":{"shape":"S3x","resultWrapper":"ModifyScheduledActionResult"}},"ModifySnapshotCopyRetentionPeriod":{"input":{"type":"structure","required":["ClusterIdentifier","RetentionPeriod"],"members":{"ClusterIdentifier":{},"RetentionPeriod":{"type":"integer"},"Manual":{"type":"boolean"}}},"output":{"resultWrapper":"ModifySnapshotCopyRetentionPeriodResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"ModifySnapshotSchedule":{"input":{"type":"structure","required":["ScheduleIdentifier","ScheduleDefinitions"],"members":{"ScheduleIdentifier":{},"ScheduleDefinitions":{"shape":"S44"}}},"output":{"shape":"S45","resultWrapper":"ModifySnapshotScheduleResult"}},"ModifyUsageLimit":{"input":{"type":"structure","required":["UsageLimitId"],"members":{"UsageLimitId":{},"Amount":{"type":"long"},"BreachAction":{}}},"output":{"shape":"S4f","resultWrapper":"ModifyUsageLimitResult"}},"PauseCluster":{"input":{"shape":"S3v"},"output":{"resultWrapper":"PauseClusterResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"PurchaseReservedNodeOffering":{"input":{"type":"structure","required":["ReservedNodeOfferingId"],"members":{"ReservedNodeOfferingId":{},"NodeCount":{"type":"integer"}}},"output":{"resultWrapper":"PurchaseReservedNodeOfferingResult","type":"structure","members":{"ReservedNode":{"shape":"S4"}}}},"RebootCluster":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{}}},"output":{"resultWrapper":"RebootClusterResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"RejectDataShare":{"input":{"type":"structure","required":["DataShareArn"],"members":{"DataShareArn":{}}},"output":{"shape":"Sj","resultWrapper":"RejectDataShareResult"}},"ResetClusterParameterGroup":{"input":{"type":"structure","required":["ParameterGroupName"],"members":{"ParameterGroupName":{},"ResetAllParameters":{"type":"boolean"},"Parameters":{"shape":"S5m"}}},"output":{"shape":"Sa3","resultWrapper":"ResetClusterParameterGroupResult"}},"ResizeCluster":{"input":{"shape":"S3u"},"output":{"resultWrapper":"ResizeClusterResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"RestoreFromClusterSnapshot":{"input":{"type":"structure","required":["ClusterIdentifier","SnapshotIdentifier"],"members":{"ClusterIdentifier":{},"SnapshotIdentifier":{},"SnapshotClusterIdentifier":{},"Port":{"type":"integer"},"AvailabilityZone":{},"AllowVersionUpgrade":{"type":"boolean"},"ClusterSubnetGroupName":{},"PubliclyAccessible":{"type":"boolean"},"OwnerAccount":{},"HsmClientCertificateIdentifier":{},"HsmConfigurationIdentifier":{},"ElasticIp":{},"ClusterParameterGroupName":{},"ClusterSecurityGroups":{"shape":"S1x"},"VpcSecurityGroupIds":{"shape":"S1y"},"PreferredMaintenanceWindow":{},"AutomatedSnapshotRetentionPeriod":{"type":"integer"},"ManualSnapshotRetentionPeriod":{"type":"integer"},"KmsKeyId":{},"NodeType":{},"EnhancedVpcRouting":{"type":"boolean"},"AdditionalInfo":{},"IamRoles":{"shape":"S1z"},"MaintenanceTrackName":{},"SnapshotScheduleIdentifier":{},"NumberOfNodes":{"type":"integer"},"AvailabilityZoneRelocation":{"type":"boolean"},"AquaConfigurationStatus":{},"DefaultIamRoleArn":{},"ReservedNodeId":{},"TargetReservedNodeOfferingId":{}}},"output":{"resultWrapper":"RestoreFromClusterSnapshotResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"RestoreTableFromClusterSnapshot":{"input":{"type":"structure","required":["ClusterIdentifier","SnapshotIdentifier","SourceDatabaseName","SourceTableName","NewTableName"],"members":{"ClusterIdentifier":{},"SnapshotIdentifier":{},"SourceDatabaseName":{},"SourceSchemaName":{},"SourceTableName":{},"TargetDatabaseName":{},"TargetSchemaName":{},"NewTableName":{},"EnableCaseSensitiveIdentifier":{"type":"boolean"}}},"output":{"resultWrapper":"RestoreTableFromClusterSnapshotResult","type":"structure","members":{"TableRestoreStatus":{"shape":"S8z"}}}},"ResumeCluster":{"input":{"shape":"S3w"},"output":{"resultWrapper":"ResumeClusterResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"RevokeClusterSecurityGroupIngress":{"input":{"type":"structure","required":["ClusterSecurityGroupName"],"members":{"ClusterSecurityGroupName":{},"CIDRIP":{},"EC2SecurityGroupName":{},"EC2SecurityGroupOwnerId":{}}},"output":{"resultWrapper":"RevokeClusterSecurityGroupIngressResult","type":"structure","members":{"ClusterSecurityGroup":{"shape":"Sq"}}}},"RevokeEndpointAccess":{"input":{"type":"structure","members":{"ClusterIdentifier":{},"Account":{},"VpcIds":{"shape":"Sz"},"Force":{"type":"boolean"}}},"output":{"shape":"S10","resultWrapper":"RevokeEndpointAccessResult"}},"RevokeSnapshotAccess":{"input":{"type":"structure","required":["SnapshotIdentifier","AccountWithRestoreAccess"],"members":{"SnapshotIdentifier":{},"SnapshotClusterIdentifier":{},"AccountWithRestoreAccess":{}}},"output":{"resultWrapper":"RevokeSnapshotAccessResult","type":"structure","members":{"Snapshot":{"shape":"S14"}}}},"RotateEncryptionKey":{"input":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{}}},"output":{"resultWrapper":"RotateEncryptionKeyResult","type":"structure","members":{"Cluster":{"shape":"S22"}}}},"UpdatePartnerStatus":{"input":{"type":"structure","required":["AccountId","ClusterIdentifier","DatabaseName","PartnerName","Status"],"members":{"AccountId":{},"ClusterIdentifier":{},"DatabaseName":{},"PartnerName":{},"Status":{},"StatusMessage":{}}},"output":{"shape":"Sg","resultWrapper":"UpdatePartnerStatusResult"}}},"shapes":{"S4":{"type":"structure","members":{"ReservedNodeId":{},"ReservedNodeOfferingId":{},"NodeType":{},"StartTime":{"type":"timestamp"},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"NodeCount":{"type":"integer"},"State":{},"OfferingType":{},"RecurringCharges":{"shape":"S8"},"ReservedNodeOfferingType":{}},"wrapper":true},"S8":{"type":"list","member":{"locationName":"RecurringCharge","type":"structure","members":{"RecurringChargeAmount":{"type":"double"},"RecurringChargeFrequency":{}},"wrapper":true}},"Sb":{"type":"structure","required":["AccountId","ClusterIdentifier","DatabaseName","PartnerName"],"members":{"AccountId":{},"ClusterIdentifier":{},"DatabaseName":{},"PartnerName":{}}},"Sg":{"type":"structure","members":{"DatabaseName":{},"PartnerName":{}}},"Sj":{"type":"structure","members":{"DataShareArn":{},"ProducerArn":{},"AllowPubliclyAccessibleConsumers":{"type":"boolean"},"DataShareAssociations":{"type":"list","member":{"type":"structure","members":{"ConsumerIdentifier":{},"Status":{},"CreatedDate":{"type":"timestamp"},"StatusChangeDate":{"type":"timestamp"}}}}}},"Sq":{"type":"structure","members":{"ClusterSecurityGroupName":{},"Description":{},"EC2SecurityGroups":{"type":"list","member":{"locationName":"EC2SecurityGroup","type":"structure","members":{"Status":{},"EC2SecurityGroupName":{},"EC2SecurityGroupOwnerId":{},"Tags":{"shape":"St"}}}},"IPRanges":{"type":"list","member":{"locationName":"IPRange","type":"structure","members":{"Status":{},"CIDRIP":{},"Tags":{"shape":"St"}}}},"Tags":{"shape":"St"}},"wrapper":true},"St":{"type":"list","member":{"shape":"Su","locationName":"Tag"}},"Su":{"type":"structure","members":{"Key":{},"Value":{}}},"Sz":{"type":"list","member":{"locationName":"VpcIdentifier"}},"S10":{"type":"structure","members":{"Grantor":{},"Grantee":{},"ClusterIdentifier":{},"AuthorizeTime":{"type":"timestamp"},"ClusterStatus":{},"Status":{},"AllowedAllVPCs":{"type":"boolean"},"AllowedVPCs":{"shape":"Sz"},"EndpointCount":{"type":"integer"}}},"S14":{"type":"structure","members":{"SnapshotIdentifier":{},"ClusterIdentifier":{},"SnapshotCreateTime":{"type":"timestamp"},"Status":{},"Port":{"type":"integer"},"AvailabilityZone":{},"ClusterCreateTime":{"type":"timestamp"},"MasterUsername":{},"ClusterVersion":{},"EngineFullVersion":{},"SnapshotType":{},"NodeType":{},"NumberOfNodes":{"type":"integer"},"DBName":{},"VpcId":{},"Encrypted":{"type":"boolean"},"KmsKeyId":{},"EncryptedWithHSM":{"type":"boolean"},"AccountsWithRestoreAccess":{"type":"list","member":{"locationName":"AccountWithRestoreAccess","type":"structure","members":{"AccountId":{},"AccountAlias":{}}}},"OwnerAccount":{},"TotalBackupSizeInMegaBytes":{"type":"double"},"ActualIncrementalBackupSizeInMegaBytes":{"type":"double"},"BackupProgressInMegaBytes":{"type":"double"},"CurrentBackupRateInMegaBytesPerSecond":{"type":"double"},"EstimatedSecondsToCompletion":{"type":"long"},"ElapsedTimeInSeconds":{"type":"long"},"SourceRegion":{},"Tags":{"shape":"St"},"RestorableNodeTypes":{"type":"list","member":{"locationName":"NodeType"}},"EnhancedVpcRouting":{"type":"boolean"},"MaintenanceTrackName":{},"ManualSnapshotRetentionPeriod":{"type":"integer"},"ManualSnapshotRemainingDays":{"type":"integer"},"SnapshotRetentionStartTime":{"type":"timestamp"}},"wrapper":true},"S1c":{"type":"structure","required":["SnapshotIdentifier"],"members":{"SnapshotIdentifier":{},"SnapshotClusterIdentifier":{}}},"S1e":{"type":"list","member":{"locationName":"String"}},"S1g":{"type":"structure","members":{"SnapshotIdentifier":{},"SnapshotClusterIdentifier":{},"FailureCode":{},"FailureReason":{}}},"S1l":{"type":"structure","members":{"TargetNodeType":{},"TargetNumberOfNodes":{"type":"integer"},"TargetClusterType":{},"Status":{},"ImportTablesCompleted":{"type":"list","member":{}},"ImportTablesInProgress":{"type":"list","member":{}},"ImportTablesNotStarted":{"type":"list","member":{}},"AvgResizeRateInMegaBytesPerSecond":{"type":"double"},"TotalResizeDataInMegaBytes":{"type":"long"},"ProgressInMegaBytes":{"type":"long"},"ElapsedTimeInSeconds":{"type":"long"},"EstimatedTimeToCompletionInSeconds":{"type":"long"},"ResizeType":{},"Message":{},"TargetEncryptionType":{},"DataTransferProgressPercent":{"type":"double"}}},"S1x":{"type":"list","member":{"locationName":"ClusterSecurityGroupName"}},"S1y":{"type":"list","member":{"locationName":"VpcSecurityGroupId"}},"S1z":{"type":"list","member":{"locationName":"IamRoleArn"}},"S22":{"type":"structure","members":{"ClusterIdentifier":{},"NodeType":{},"ClusterStatus":{},"ClusterAvailabilityStatus":{},"ModifyStatus":{},"MasterUsername":{},"DBName":{},"Endpoint":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"},"VpcEndpoints":{"type":"list","member":{"shape":"S25","locationName":"VpcEndpoint"}}}},"ClusterCreateTime":{"type":"timestamp"},"AutomatedSnapshotRetentionPeriod":{"type":"integer"},"ManualSnapshotRetentionPeriod":{"type":"integer"},"ClusterSecurityGroups":{"type":"list","member":{"locationName":"ClusterSecurityGroup","type":"structure","members":{"ClusterSecurityGroupName":{},"Status":{}}}},"VpcSecurityGroups":{"shape":"S2a"},"ClusterParameterGroups":{"type":"list","member":{"locationName":"ClusterParameterGroup","type":"structure","members":{"ParameterGroupName":{},"ParameterApplyStatus":{},"ClusterParameterStatusList":{"type":"list","member":{"type":"structure","members":{"ParameterName":{},"ParameterApplyStatus":{},"ParameterApplyErrorDescription":{}}}}}}},"ClusterSubnetGroupName":{},"VpcId":{},"AvailabilityZone":{},"PreferredMaintenanceWindow":{},"PendingModifiedValues":{"type":"structure","members":{"MasterUserPassword":{},"NodeType":{},"NumberOfNodes":{"type":"integer"},"ClusterType":{},"ClusterVersion":{},"AutomatedSnapshotRetentionPeriod":{"type":"integer"},"ClusterIdentifier":{},"PubliclyAccessible":{"type":"boolean"},"EnhancedVpcRouting":{"type":"boolean"},"MaintenanceTrackName":{},"EncryptionType":{}}},"ClusterVersion":{},"AllowVersionUpgrade":{"type":"boolean"},"NumberOfNodes":{"type":"integer"},"PubliclyAccessible":{"type":"boolean"},"Encrypted":{"type":"boolean"},"RestoreStatus":{"type":"structure","members":{"Status":{},"CurrentRestoreRateInMegaBytesPerSecond":{"type":"double"},"SnapshotSizeInMegaBytes":{"type":"long"},"ProgressInMegaBytes":{"type":"long"},"ElapsedTimeInSeconds":{"type":"long"},"EstimatedTimeToCompletionInSeconds":{"type":"long"}}},"DataTransferProgress":{"type":"structure","members":{"Status":{},"CurrentRateInMegaBytesPerSecond":{"type":"double"},"TotalDataInMegaBytes":{"type":"long"},"DataTransferredInMegaBytes":{"type":"long"},"EstimatedTimeToCompletionInSeconds":{"type":"long"},"ElapsedTimeInSeconds":{"type":"long"}}},"HsmStatus":{"type":"structure","members":{"HsmClientCertificateIdentifier":{},"HsmConfigurationIdentifier":{},"Status":{}}},"ClusterSnapshotCopyStatus":{"type":"structure","members":{"DestinationRegion":{},"RetentionPeriod":{"type":"long"},"ManualSnapshotRetentionPeriod":{"type":"integer"},"SnapshotCopyGrantName":{}}},"ClusterPublicKey":{},"ClusterNodes":{"type":"list","member":{"type":"structure","members":{"NodeRole":{},"PrivateIPAddress":{},"PublicIPAddress":{}}}},"ElasticIpStatus":{"type":"structure","members":{"ElasticIp":{},"Status":{}}},"ClusterRevisionNumber":{},"Tags":{"shape":"St"},"KmsKeyId":{},"EnhancedVpcRouting":{"type":"boolean"},"IamRoles":{"type":"list","member":{"locationName":"ClusterIamRole","type":"structure","members":{"IamRoleArn":{},"ApplyStatus":{}}}},"PendingActions":{"type":"list","member":{}},"MaintenanceTrackName":{},"ElasticResizeNumberOfNodeOptions":{},"DeferredMaintenanceWindows":{"type":"list","member":{"locationName":"DeferredMaintenanceWindow","type":"structure","members":{"DeferMaintenanceIdentifier":{},"DeferMaintenanceStartTime":{"type":"timestamp"},"DeferMaintenanceEndTime":{"type":"timestamp"}}}},"SnapshotScheduleIdentifier":{},"SnapshotScheduleState":{},"ExpectedNextSnapshotScheduleTime":{"type":"timestamp"},"ExpectedNextSnapshotScheduleTimeStatus":{},"NextMaintenanceWindowStartTime":{"type":"timestamp"},"ResizeInfo":{"type":"structure","members":{"ResizeType":{},"AllowCancelResize":{"type":"boolean"}}},"AvailabilityZoneRelocationStatus":{},"ClusterNamespaceArn":{},"TotalStorageCapacityInMegaBytes":{"type":"long"},"AquaConfiguration":{"shape":"S2v"},"DefaultIamRoleArn":{},"ReservedNodeExchangeStatus":{"shape":"S2x"}},"wrapper":true},"S25":{"type":"structure","members":{"VpcEndpointId":{},"VpcId":{},"NetworkInterfaces":{"type":"list","member":{"locationName":"NetworkInterface","type":"structure","members":{"NetworkInterfaceId":{},"SubnetId":{},"PrivateIpAddress":{},"AvailabilityZone":{}}}}}},"S2a":{"type":"list","member":{"locationName":"VpcSecurityGroup","type":"structure","members":{"VpcSecurityGroupId":{},"Status":{}}}},"S2v":{"type":"structure","members":{"AquaStatus":{},"AquaConfigurationStatus":{}}},"S2x":{"type":"structure","members":{"ReservedNodeExchangeRequestId":{},"Status":{},"RequestTime":{"type":"timestamp"},"SourceReservedNodeId":{},"SourceReservedNodeType":{},"SourceReservedNodeCount":{"type":"integer"},"TargetReservedNodeOfferingId":{},"TargetReservedNodeType":{},"TargetReservedNodeCount":{"type":"integer"}},"wrapper":true},"S31":{"type":"structure","members":{"ParameterGroupName":{},"ParameterGroupFamily":{},"Description":{},"Tags":{"shape":"St"}},"wrapper":true},"S37":{"type":"list","member":{"locationName":"SubnetIdentifier"}},"S39":{"type":"structure","members":{"ClusterSubnetGroupName":{},"Description":{},"VpcId":{},"SubnetGroupStatus":{},"Subnets":{"type":"list","member":{"locationName":"Subnet","type":"structure","members":{"SubnetIdentifier":{},"SubnetAvailabilityZone":{"shape":"S3c"},"SubnetStatus":{}}}},"Tags":{"shape":"St"}},"wrapper":true},"S3c":{"type":"structure","members":{"Name":{},"SupportedPlatforms":{"type":"list","member":{"locationName":"SupportedPlatform","type":"structure","members":{"Name":{}},"wrapper":true}}},"wrapper":true},"S3g":{"type":"structure","members":{"ClusterIdentifier":{},"ResourceOwner":{},"SubnetGroupName":{},"EndpointStatus":{},"EndpointName":{},"EndpointCreateTime":{"type":"timestamp"},"Port":{"type":"integer"},"Address":{},"VpcSecurityGroups":{"shape":"S2a"},"VpcEndpoint":{"shape":"S25"}}},"S3i":{"type":"list","member":{"locationName":"SourceId"}},"S3j":{"type":"list","member":{"locationName":"EventCategory"}},"S3l":{"type":"structure","members":{"CustomerAwsId":{},"CustSubscriptionId":{},"SnsTopicArn":{},"Status":{},"SubscriptionCreationTime":{"type":"timestamp"},"SourceType":{},"SourceIdsList":{"shape":"S3i"},"EventCategoriesList":{"shape":"S3j"},"Severity":{},"Enabled":{"type":"boolean"},"Tags":{"shape":"St"}},"wrapper":true},"S3o":{"type":"structure","members":{"HsmClientCertificateIdentifier":{},"HsmClientCertificatePublicKey":{},"Tags":{"shape":"St"}},"wrapper":true},"S3r":{"type":"structure","members":{"HsmConfigurationIdentifier":{},"Description":{},"HsmIpAddress":{},"HsmPartitionName":{},"Tags":{"shape":"St"}},"wrapper":true},"S3t":{"type":"structure","members":{"ResizeCluster":{"shape":"S3u"},"PauseCluster":{"shape":"S3v"},"ResumeCluster":{"shape":"S3w"}}},"S3u":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{},"ClusterType":{},"NodeType":{},"NumberOfNodes":{"type":"integer"},"Classic":{"type":"boolean"},"ReservedNodeId":{},"TargetReservedNodeOfferingId":{}}},"S3v":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{}}},"S3w":{"type":"structure","required":["ClusterIdentifier"],"members":{"ClusterIdentifier":{}}},"S3x":{"type":"structure","members":{"ScheduledActionName":{},"TargetAction":{"shape":"S3t"},"Schedule":{},"IamRole":{},"ScheduledActionDescription":{},"State":{},"NextInvocations":{"type":"list","member":{"locationName":"ScheduledActionTime","type":"timestamp"}},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"S42":{"type":"structure","members":{"SnapshotCopyGrantName":{},"KmsKeyId":{},"Tags":{"shape":"St"}},"wrapper":true},"S44":{"type":"list","member":{"locationName":"ScheduleDefinition"}},"S45":{"type":"structure","members":{"ScheduleDefinitions":{"shape":"S44"},"ScheduleIdentifier":{},"ScheduleDescription":{},"Tags":{"shape":"St"},"NextInvocations":{"type":"list","member":{"locationName":"SnapshotTime","type":"timestamp"}},"AssociatedClusterCount":{"type":"integer"},"AssociatedClusters":{"type":"list","member":{"locationName":"ClusterAssociatedToSchedule","type":"structure","members":{"ClusterIdentifier":{},"ScheduleAssociationState":{}}}}}},"S4f":{"type":"structure","members":{"UsageLimitId":{},"ClusterIdentifier":{},"FeatureType":{},"LimitType":{},"Amount":{"type":"long"},"Period":{},"BreachAction":{},"Tags":{"shape":"St"}}},"S4x":{"type":"list","member":{"locationName":"TagKey"}},"S5h":{"type":"list","member":{"locationName":"TagValue"}},"S5m":{"type":"list","member":{"locationName":"Parameter","type":"structure","members":{"ParameterName":{},"ParameterValue":{},"Description":{},"Source":{},"DataType":{},"AllowedValues":{},"ApplyType":{},"IsModifiable":{"type":"boolean"},"MinimumEngineVersion":{}}}},"S6j":{"type":"list","member":{"shape":"Sj"}},"S7k":{"type":"structure","members":{"LoggingEnabled":{"type":"boolean"},"BucketName":{},"S3KeyPrefix":{},"LastSuccessfulDeliveryTime":{"type":"timestamp"},"LastFailureTime":{"type":"timestamp"},"LastFailureMessage":{}}},"S7r":{"type":"list","member":{"locationName":"item"}},"S8c":{"type":"list","member":{"shape":"S8d","locationName":"ReservedNodeOffering"}},"S8d":{"type":"structure","members":{"ReservedNodeOfferingId":{},"NodeType":{},"Duration":{"type":"integer"},"FixedPrice":{"type":"double"},"UsagePrice":{"type":"double"},"CurrencyCode":{},"OfferingType":{},"RecurringCharges":{"shape":"S8"},"ReservedNodeOfferingType":{}},"wrapper":true},"S8z":{"type":"structure","members":{"TableRestoreRequestId":{},"Status":{},"Message":{},"RequestTime":{"type":"timestamp"},"ProgressInMegaBytes":{"type":"long"},"TotalDataInMegaBytes":{"type":"long"},"ClusterIdentifier":{},"SnapshotIdentifier":{},"SourceDatabaseName":{},"SourceSchemaName":{},"SourceTableName":{},"TargetDatabaseName":{},"TargetSchemaName":{},"NewTableName":{}},"wrapper":true},"Sa3":{"type":"structure","members":{"ParameterGroupName":{},"ParameterGroupStatus":{}}}}}');

/***/ }),

/***/ 88012:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeClusterDbRevisions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ClusterDbRevisions"},"DescribeClusterParameterGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ParameterGroups"},"DescribeClusterParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Parameters"},"DescribeClusterSecurityGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ClusterSecurityGroups"},"DescribeClusterSnapshots":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Snapshots"},"DescribeClusterSubnetGroups":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ClusterSubnetGroups"},"DescribeClusterTracks":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"MaintenanceTracks"},"DescribeClusterVersions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ClusterVersions"},"DescribeClusters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Clusters"},"DescribeDataShares":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DataShares"},"DescribeDataSharesForConsumer":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DataShares"},"DescribeDataSharesForProducer":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"DataShares"},"DescribeDefaultClusterParameters":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"DefaultClusterParameters.Marker","result_key":"DefaultClusterParameters.Parameters"},"DescribeEndpointAccess":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"EndpointAccessList"},"DescribeEndpointAuthorization":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"EndpointAuthorizationList"},"DescribeEventSubscriptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"EventSubscriptionsList"},"DescribeEvents":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"Events"},"DescribeHsmClientCertificates":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"HsmClientCertificates"},"DescribeHsmConfigurations":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"HsmConfigurations"},"DescribeNodeConfigurationOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"NodeConfigurationOptionList"},"DescribeOrderableClusterOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"OrderableClusterOptions"},"DescribeReservedNodeExchangeStatus":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedNodeExchangeStatusDetails"},"DescribeReservedNodeOfferings":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedNodeOfferings"},"DescribeReservedNodes":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedNodes"},"DescribeScheduledActions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ScheduledActions"},"DescribeSnapshotCopyGrants":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"SnapshotCopyGrants"},"DescribeSnapshotSchedules":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"SnapshotSchedules"},"DescribeTableRestoreStatus":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"TableRestoreStatusDetails"},"DescribeTags":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"TaggedResources"},"DescribeUsageLimits":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"UsageLimits"},"GetReservedNodeExchangeConfigurationOptions":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedNodeConfigurationOptionList"},"GetReservedNodeExchangeOfferings":{"input_token":"Marker","limit_key":"MaxRecords","output_token":"Marker","result_key":"ReservedNodeOfferings"}}}');

/***/ }),

/***/ 79011:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"ClusterAvailable":{"delay":60,"operation":"DescribeClusters","maxAttempts":30,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"Clusters[].ClusterStatus"},{"expected":"deleting","matcher":"pathAny","state":"failure","argument":"Clusters[].ClusterStatus"},{"expected":"ClusterNotFound","matcher":"error","state":"retry"}]},"ClusterDeleted":{"delay":60,"operation":"DescribeClusters","maxAttempts":30,"acceptors":[{"expected":"ClusterNotFound","matcher":"error","state":"success"},{"expected":"creating","matcher":"pathAny","state":"failure","argument":"Clusters[].ClusterStatus"},{"expected":"modifying","matcher":"pathAny","state":"failure","argument":"Clusters[].ClusterStatus"}]},"ClusterRestored":{"operation":"DescribeClusters","maxAttempts":30,"delay":60,"acceptors":[{"state":"success","matcher":"pathAll","argument":"Clusters[].RestoreStatus.Status","expected":"completed"},{"state":"failure","matcher":"pathAny","argument":"Clusters[].ClusterStatus","expected":"deleting"}]},"SnapshotAvailable":{"delay":15,"operation":"DescribeClusterSnapshots","maxAttempts":20,"acceptors":[{"expected":"available","matcher":"pathAll","state":"success","argument":"Snapshots[].Status"},{"expected":"failed","matcher":"pathAny","state":"failure","argument":"Snapshots[].Status"},{"expected":"deleted","matcher":"pathAny","state":"failure","argument":"Snapshots[].Status"}]}}}');

/***/ }),

/***/ 85203:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-12-20","endpointPrefix":"redshift-data","jsonVersion":"1.1","protocol":"json","serviceFullName":"Redshift Data API Service","serviceId":"Redshift Data","signatureVersion":"v4","signingName":"redshift-data","targetPrefix":"RedshiftData","uid":"redshift-data-2019-12-20"},"operations":{"BatchExecuteStatement":{"input":{"type":"structure","required":["Database","Sqls"],"members":{"ClusterIdentifier":{},"Database":{},"DbUser":{},"SecretArn":{},"Sqls":{"type":"list","member":{}},"StatementName":{},"WithEvent":{"type":"boolean"}}},"output":{"type":"structure","members":{"ClusterIdentifier":{},"CreatedAt":{"type":"timestamp"},"Database":{},"DbUser":{},"Id":{},"SecretArn":{}}}},"CancelStatement":{"input":{"type":"structure","required":["Id"],"members":{"Id":{}}},"output":{"type":"structure","members":{"Status":{"type":"boolean"}}}},"DescribeStatement":{"input":{"type":"structure","required":["Id"],"members":{"Id":{}}},"output":{"type":"structure","required":["Id"],"members":{"ClusterIdentifier":{},"CreatedAt":{"type":"timestamp"},"Database":{},"DbUser":{},"Duration":{"type":"long"},"Error":{},"HasResultSet":{"type":"boolean"},"Id":{},"QueryParameters":{"shape":"Sh"},"QueryString":{},"RedshiftPid":{"type":"long"},"RedshiftQueryId":{"type":"long"},"ResultRows":{"type":"long"},"ResultSize":{"type":"long"},"SecretArn":{},"Status":{},"SubStatements":{"type":"list","member":{"type":"structure","required":["Id"],"members":{"CreatedAt":{"type":"timestamp"},"Duration":{"type":"long"},"Error":{},"HasResultSet":{"type":"boolean"},"Id":{},"QueryString":{},"RedshiftQueryId":{"type":"long"},"ResultRows":{"type":"long"},"ResultSize":{"type":"long"},"Status":{},"UpdatedAt":{"type":"timestamp"}}}},"UpdatedAt":{"type":"timestamp"}}}},"DescribeTable":{"input":{"type":"structure","required":["Database"],"members":{"ClusterIdentifier":{},"ConnectedDatabase":{},"Database":{},"DbUser":{},"MaxResults":{"type":"integer"},"NextToken":{},"Schema":{},"SecretArn":{},"Table":{}}},"output":{"type":"structure","members":{"ColumnList":{"type":"list","member":{"shape":"St"}},"NextToken":{},"TableName":{}}}},"ExecuteStatement":{"input":{"type":"structure","required":["Database","Sql"],"members":{"ClusterIdentifier":{},"Database":{},"DbUser":{},"Parameters":{"shape":"Sh"},"SecretArn":{},"Sql":{},"StatementName":{},"WithEvent":{"type":"boolean"}}},"output":{"type":"structure","members":{"ClusterIdentifier":{},"CreatedAt":{"type":"timestamp"},"Database":{},"DbUser":{},"Id":{},"SecretArn":{}}}},"GetStatementResult":{"input":{"type":"structure","required":["Id"],"members":{"Id":{},"NextToken":{}}},"output":{"type":"structure","required":["Records"],"members":{"ColumnMetadata":{"type":"list","member":{"shape":"St"}},"NextToken":{},"Records":{"type":"list","member":{"type":"list","member":{"type":"structure","members":{"blobValue":{"type":"blob"},"booleanValue":{"type":"boolean"},"doubleValue":{"type":"double"},"isNull":{"type":"boolean"},"longValue":{"type":"long"},"stringValue":{}},"union":true}}},"TotalNumRows":{"type":"long"}}}},"ListDatabases":{"input":{"type":"structure","required":["Database"],"members":{"ClusterIdentifier":{},"Database":{},"DbUser":{},"MaxResults":{"type":"integer"},"NextToken":{},"SecretArn":{}}},"output":{"type":"structure","members":{"Databases":{"type":"list","member":{}},"NextToken":{}}}},"ListSchemas":{"input":{"type":"structure","required":["Database"],"members":{"ClusterIdentifier":{},"ConnectedDatabase":{},"Database":{},"DbUser":{},"MaxResults":{"type":"integer"},"NextToken":{},"SchemaPattern":{},"SecretArn":{}}},"output":{"type":"structure","members":{"NextToken":{},"Schemas":{"type":"list","member":{}}}}},"ListStatements":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"RoleLevel":{"type":"boolean"},"StatementName":{},"Status":{}}},"output":{"type":"structure","required":["Statements"],"members":{"NextToken":{},"Statements":{"type":"list","member":{"type":"structure","required":["Id"],"members":{"CreatedAt":{"type":"timestamp"},"Id":{},"IsBatchStatement":{"type":"boolean"},"QueryParameters":{"shape":"Sh"},"QueryString":{},"QueryStrings":{"type":"list","member":{}},"SecretArn":{},"StatementName":{},"Status":{},"UpdatedAt":{"type":"timestamp"}}}}}}},"ListTables":{"input":{"type":"structure","required":["Database"],"members":{"ClusterIdentifier":{},"ConnectedDatabase":{},"Database":{},"DbUser":{},"MaxResults":{"type":"integer"},"NextToken":{},"SchemaPattern":{},"SecretArn":{},"TablePattern":{}}},"output":{"type":"structure","members":{"NextToken":{},"Tables":{"type":"list","member":{"type":"structure","members":{"name":{},"schema":{},"type":{}}}}}}}},"shapes":{"Sh":{"type":"list","member":{"type":"structure","required":["name","value"],"members":{"name":{},"value":{}}}},"St":{"type":"structure","members":{"columnDefault":{},"isCaseSensitive":{"type":"boolean"},"isCurrency":{"type":"boolean"},"isSigned":{"type":"boolean"},"label":{},"length":{"type":"integer"},"name":{},"nullable":{"type":"integer"},"precision":{"type":"integer"},"scale":{"type":"integer"},"schemaName":{},"tableName":{},"typeName":{}}}}}');

/***/ }),

/***/ 27797:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeTable":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ColumnList"},"GetStatementResult":{"input_token":"NextToken","output_token":"NextToken","result_key":"Records"},"ListDatabases":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Databases"},"ListSchemas":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Schemas"},"ListStatements":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Statements"},"ListTables":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Tables"}}}');

/***/ }),

/***/ 66442:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-06-27","endpointPrefix":"rekognition","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Rekognition","serviceId":"Rekognition","signatureVersion":"v4","targetPrefix":"RekognitionService","uid":"rekognition-2016-06-27"},"operations":{"CompareFaces":{"input":{"type":"structure","required":["SourceImage","TargetImage"],"members":{"SourceImage":{"shape":"S2"},"TargetImage":{"shape":"S2"},"SimilarityThreshold":{"type":"float"},"QualityFilter":{}}},"output":{"type":"structure","members":{"SourceImageFace":{"type":"structure","members":{"BoundingBox":{"shape":"Sc"},"Confidence":{"type":"float"}}},"FaceMatches":{"type":"list","member":{"type":"structure","members":{"Similarity":{"type":"float"},"Face":{"shape":"Sg"}}}},"UnmatchedFaces":{"type":"list","member":{"shape":"Sg"}},"SourceImageOrientationCorrection":{},"TargetImageOrientationCorrection":{}}}},"CreateCollection":{"input":{"type":"structure","required":["CollectionId"],"members":{"CollectionId":{},"Tags":{"shape":"Sw"}}},"output":{"type":"structure","members":{"StatusCode":{"type":"integer"},"CollectionArn":{},"FaceModelVersion":{}}}},"CreateDataset":{"input":{"type":"structure","required":["DatasetType","ProjectArn"],"members":{"DatasetSource":{"type":"structure","members":{"GroundTruthManifest":{"shape":"S14"},"DatasetArn":{}}},"DatasetType":{},"ProjectArn":{}}},"output":{"type":"structure","members":{"DatasetArn":{}}}},"CreateProject":{"input":{"type":"structure","required":["ProjectName"],"members":{"ProjectName":{}}},"output":{"type":"structure","members":{"ProjectArn":{}}}},"CreateProjectVersion":{"input":{"type":"structure","required":["ProjectArn","VersionName","OutputConfig"],"members":{"ProjectArn":{},"VersionName":{},"OutputConfig":{"shape":"S1e"},"TrainingData":{"shape":"S1g"},"TestingData":{"shape":"S1j"},"Tags":{"shape":"Sw"},"KmsKeyId":{}}},"output":{"type":"structure","members":{"ProjectVersionArn":{}}}},"CreateStreamProcessor":{"input":{"type":"structure","required":["Input","Output","Name","Settings","RoleArn"],"members":{"Input":{"shape":"S1o"},"Output":{"shape":"S1r"},"Name":{},"Settings":{"shape":"S1v"},"RoleArn":{},"Tags":{"shape":"Sw"}}},"output":{"type":"structure","members":{"StreamProcessorArn":{}}}},"DeleteCollection":{"input":{"type":"structure","required":["CollectionId"],"members":{"CollectionId":{}}},"output":{"type":"structure","members":{"StatusCode":{"type":"integer"}}}},"DeleteDataset":{"input":{"type":"structure","required":["DatasetArn"],"members":{"DatasetArn":{}}},"output":{"type":"structure","members":{}}},"DeleteFaces":{"input":{"type":"structure","required":["CollectionId","FaceIds"],"members":{"CollectionId":{},"FaceIds":{"shape":"S25"}}},"output":{"type":"structure","members":{"DeletedFaces":{"shape":"S25"}}}},"DeleteProject":{"input":{"type":"structure","required":["ProjectArn"],"members":{"ProjectArn":{}}},"output":{"type":"structure","members":{"Status":{}}}},"DeleteProjectVersion":{"input":{"type":"structure","required":["ProjectVersionArn"],"members":{"ProjectVersionArn":{}}},"output":{"type":"structure","members":{"Status":{}}}},"DeleteStreamProcessor":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DescribeCollection":{"input":{"type":"structure","required":["CollectionId"],"members":{"CollectionId":{}}},"output":{"type":"structure","members":{"FaceCount":{"type":"long"},"FaceModelVersion":{},"CollectionARN":{},"CreationTimestamp":{"type":"timestamp"}}}},"DescribeDataset":{"input":{"type":"structure","required":["DatasetArn"],"members":{"DatasetArn":{}}},"output":{"type":"structure","members":{"DatasetDescription":{"type":"structure","members":{"CreationTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"},"Status":{},"StatusMessage":{},"StatusMessageCode":{},"DatasetStats":{"type":"structure","members":{"LabeledEntries":{"type":"integer"},"TotalEntries":{"type":"integer"},"TotalLabels":{"type":"integer"},"ErrorEntries":{"type":"integer"}}}}}}}},"DescribeProjectVersions":{"input":{"type":"structure","required":["ProjectArn"],"members":{"ProjectArn":{},"VersionNames":{"type":"list","member":{}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ProjectVersionDescriptions":{"type":"list","member":{"type":"structure","members":{"ProjectVersionArn":{},"CreationTimestamp":{"type":"timestamp"},"MinInferenceUnits":{"type":"integer"},"Status":{},"StatusMessage":{},"BillableTrainingTimeInSeconds":{"type":"long"},"TrainingEndTimestamp":{"type":"timestamp"},"OutputConfig":{"shape":"S1e"},"TrainingDataResult":{"type":"structure","members":{"Input":{"shape":"S1g"},"Output":{"shape":"S1g"},"Validation":{"shape":"S30"}}},"TestingDataResult":{"type":"structure","members":{"Input":{"shape":"S1j"},"Output":{"shape":"S1j"},"Validation":{"shape":"S30"}}},"EvaluationResult":{"type":"structure","members":{"F1Score":{"type":"float"},"Summary":{"type":"structure","members":{"S3Object":{"shape":"S4"}}}}},"ManifestSummary":{"shape":"S14"},"KmsKeyId":{}}}},"NextToken":{}}}},"DescribeProjects":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"ProjectNames":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"ProjectDescriptions":{"type":"list","member":{"type":"structure","members":{"ProjectArn":{},"CreationTimestamp":{"type":"timestamp"},"Status":{},"Datasets":{"type":"list","member":{"type":"structure","members":{"CreationTimestamp":{"type":"timestamp"},"DatasetType":{},"DatasetArn":{},"Status":{},"StatusMessage":{},"StatusMessageCode":{}}}}}}},"NextToken":{}}}},"DescribeStreamProcessor":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Name":{},"StreamProcessorArn":{},"Status":{},"StatusMessage":{},"CreationTimestamp":{"type":"timestamp"},"LastUpdateTimestamp":{"type":"timestamp"},"Input":{"shape":"S1o"},"Output":{"shape":"S1r"},"RoleArn":{},"Settings":{"shape":"S1v"}}}},"DetectCustomLabels":{"input":{"type":"structure","required":["ProjectVersionArn","Image"],"members":{"ProjectVersionArn":{},"Image":{"shape":"S2"},"MaxResults":{"type":"integer"},"MinConfidence":{"type":"float"}}},"output":{"type":"structure","members":{"CustomLabels":{"type":"list","member":{"type":"structure","members":{"Name":{},"Confidence":{"type":"float"},"Geometry":{"shape":"S3j"}}}}}}},"DetectFaces":{"input":{"type":"structure","required":["Image"],"members":{"Image":{"shape":"S2"},"Attributes":{"shape":"S3n"}}},"output":{"type":"structure","members":{"FaceDetails":{"type":"list","member":{"shape":"S3r"}},"OrientationCorrection":{}}}},"DetectLabels":{"input":{"type":"structure","required":["Image"],"members":{"Image":{"shape":"S2"},"MaxLabels":{"type":"integer"},"MinConfidence":{"type":"float"}}},"output":{"type":"structure","members":{"Labels":{"type":"list","member":{"shape":"S44"}},"OrientationCorrection":{},"LabelModelVersion":{}}}},"DetectModerationLabels":{"input":{"type":"structure","required":["Image"],"members":{"Image":{"shape":"S2"},"MinConfidence":{"type":"float"},"HumanLoopConfig":{"type":"structure","required":["HumanLoopName","FlowDefinitionArn"],"members":{"HumanLoopName":{},"FlowDefinitionArn":{},"DataAttributes":{"type":"structure","members":{"ContentClassifiers":{"type":"list","member":{}}}}}}}},"output":{"type":"structure","members":{"ModerationLabels":{"type":"list","member":{"shape":"S4i"}},"ModerationModelVersion":{},"HumanLoopActivationOutput":{"type":"structure","members":{"HumanLoopArn":{},"HumanLoopActivationReasons":{"type":"list","member":{}},"HumanLoopActivationConditionsEvaluationResults":{"jsonvalue":true}}}}}},"DetectProtectiveEquipment":{"input":{"type":"structure","required":["Image"],"members":{"Image":{"shape":"S2"},"SummarizationAttributes":{"type":"structure","required":["MinConfidence","RequiredEquipmentTypes"],"members":{"MinConfidence":{"type":"float"},"RequiredEquipmentTypes":{"type":"list","member":{}}}}}},"output":{"type":"structure","members":{"ProtectiveEquipmentModelVersion":{},"Persons":{"type":"list","member":{"type":"structure","members":{"BodyParts":{"type":"list","member":{"type":"structure","members":{"Name":{},"Confidence":{"type":"float"},"EquipmentDetections":{"type":"list","member":{"type":"structure","members":{"BoundingBox":{"shape":"Sc"},"Confidence":{"type":"float"},"Type":{},"CoversBodyPart":{"type":"structure","members":{"Confidence":{"type":"float"},"Value":{"type":"boolean"}}}}}}}}},"BoundingBox":{"shape":"Sc"},"Confidence":{"type":"float"},"Id":{"type":"integer"}}}},"Summary":{"type":"structure","members":{"PersonsWithRequiredEquipment":{"shape":"S52"},"PersonsWithoutRequiredEquipment":{"shape":"S52"},"PersonsIndeterminate":{"shape":"S52"}}}}}},"DetectText":{"input":{"type":"structure","required":["Image"],"members":{"Image":{"shape":"S2"},"Filters":{"type":"structure","members":{"WordFilter":{"shape":"S55"},"RegionsOfInterest":{"shape":"S58"}}}}},"output":{"type":"structure","members":{"TextDetections":{"type":"list","member":{"shape":"S5c"}},"TextModelVersion":{}}}},"DistributeDatasetEntries":{"input":{"type":"structure","required":["Datasets"],"members":{"Datasets":{"type":"list","member":{"type":"structure","required":["Arn"],"members":{"Arn":{}}}}}},"output":{"type":"structure","members":{}}},"GetCelebrityInfo":{"input":{"type":"structure","required":["Id"],"members":{"Id":{}}},"output":{"type":"structure","members":{"Urls":{"shape":"S5l"},"Name":{},"KnownGender":{"shape":"S5n"}}}},"GetCelebrityRecognition":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxResults":{"type":"integer"},"NextToken":{},"SortBy":{}}},"output":{"type":"structure","members":{"JobStatus":{},"StatusMessage":{},"VideoMetadata":{"shape":"S5w"},"NextToken":{},"Celebrities":{"type":"list","member":{"type":"structure","members":{"Timestamp":{"type":"long"},"Celebrity":{"type":"structure","members":{"Urls":{"shape":"S5l"},"Name":{},"Id":{},"Confidence":{"type":"float"},"BoundingBox":{"shape":"Sc"},"Face":{"shape":"S3r"},"KnownGender":{"shape":"S5n"}}}}}}}}},"GetContentModeration":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxResults":{"type":"integer"},"NextToken":{},"SortBy":{}}},"output":{"type":"structure","members":{"JobStatus":{},"StatusMessage":{},"VideoMetadata":{"shape":"S5w"},"ModerationLabels":{"type":"list","member":{"type":"structure","members":{"Timestamp":{"type":"long"},"ModerationLabel":{"shape":"S4i"}}}},"NextToken":{},"ModerationModelVersion":{}}}},"GetFaceDetection":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"JobStatus":{},"StatusMessage":{},"VideoMetadata":{"shape":"S5w"},"NextToken":{},"Faces":{"type":"list","member":{"type":"structure","members":{"Timestamp":{"type":"long"},"Face":{"shape":"S3r"}}}}}}},"GetFaceSearch":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxResults":{"type":"integer"},"NextToken":{},"SortBy":{}}},"output":{"type":"structure","members":{"JobStatus":{},"StatusMessage":{},"NextToken":{},"VideoMetadata":{"shape":"S5w"},"Persons":{"type":"list","member":{"type":"structure","members":{"Timestamp":{"type":"long"},"Person":{"shape":"S6g"},"FaceMatches":{"shape":"S6i"}}}}}}},"GetLabelDetection":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxResults":{"type":"integer"},"NextToken":{},"SortBy":{}}},"output":{"type":"structure","members":{"JobStatus":{},"StatusMessage":{},"VideoMetadata":{"shape":"S5w"},"NextToken":{},"Labels":{"type":"list","member":{"type":"structure","members":{"Timestamp":{"type":"long"},"Label":{"shape":"S44"}}}},"LabelModelVersion":{}}}},"GetPersonTracking":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxResults":{"type":"integer"},"NextToken":{},"SortBy":{}}},"output":{"type":"structure","members":{"JobStatus":{},"StatusMessage":{},"VideoMetadata":{"shape":"S5w"},"NextToken":{},"Persons":{"type":"list","member":{"type":"structure","members":{"Timestamp":{"type":"long"},"Person":{"shape":"S6g"}}}}}}},"GetSegmentDetection":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"JobStatus":{},"StatusMessage":{},"VideoMetadata":{"type":"list","member":{"shape":"S5w"}},"AudioMetadata":{"type":"list","member":{"type":"structure","members":{"Codec":{},"DurationMillis":{"type":"long"},"SampleRate":{"type":"long"},"NumberOfChannels":{"type":"long"}}}},"NextToken":{},"Segments":{"type":"list","member":{"type":"structure","members":{"Type":{},"StartTimestampMillis":{"type":"long"},"EndTimestampMillis":{"type":"long"},"DurationMillis":{"type":"long"},"StartTimecodeSMPTE":{},"EndTimecodeSMPTE":{},"DurationSMPTE":{},"TechnicalCueSegment":{"type":"structure","members":{"Type":{},"Confidence":{"type":"float"}}},"ShotSegment":{"type":"structure","members":{"Index":{"type":"long"},"Confidence":{"type":"float"}}},"StartFrameNumber":{"type":"long"},"EndFrameNumber":{"type":"long"},"DurationFrames":{"type":"long"}}}},"SelectedSegmentTypes":{"type":"list","member":{"type":"structure","members":{"Type":{},"ModelVersion":{}}}}}}},"GetTextDetection":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"JobStatus":{},"StatusMessage":{},"VideoMetadata":{"shape":"S5w"},"TextDetections":{"type":"list","member":{"type":"structure","members":{"Timestamp":{"type":"long"},"TextDetection":{"shape":"S5c"}}}},"NextToken":{},"TextModelVersion":{}}}},"IndexFaces":{"input":{"type":"structure","required":["CollectionId","Image"],"members":{"CollectionId":{},"Image":{"shape":"S2"},"ExternalImageId":{},"DetectionAttributes":{"shape":"S3n"},"MaxFaces":{"type":"integer"},"QualityFilter":{}}},"output":{"type":"structure","members":{"FaceRecords":{"type":"list","member":{"type":"structure","members":{"Face":{"shape":"S6k"},"FaceDetail":{"shape":"S3r"}}}},"OrientationCorrection":{},"FaceModelVersion":{},"UnindexedFaces":{"type":"list","member":{"type":"structure","members":{"Reasons":{"type":"list","member":{}},"FaceDetail":{"shape":"S3r"}}}}}}},"ListCollections":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"CollectionIds":{"type":"list","member":{}},"NextToken":{},"FaceModelVersions":{"type":"list","member":{}}}}},"ListDatasetEntries":{"input":{"type":"structure","required":["DatasetArn"],"members":{"DatasetArn":{},"ContainsLabels":{"type":"list","member":{}},"Labeled":{"type":"boolean"},"SourceRefContains":{},"HasErrors":{"type":"boolean"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DatasetEntries":{"type":"list","member":{}},"NextToken":{}}}},"ListDatasetLabels":{"input":{"type":"structure","required":["DatasetArn"],"members":{"DatasetArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"DatasetLabelDescriptions":{"type":"list","member":{"type":"structure","members":{"LabelName":{},"LabelStats":{"type":"structure","members":{"EntryCount":{"type":"integer"},"BoundingBoxCount":{"type":"integer"}}}}}},"NextToken":{}}}},"ListFaces":{"input":{"type":"structure","required":["CollectionId"],"members":{"CollectionId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Faces":{"type":"list","member":{"shape":"S6k"}},"NextToken":{},"FaceModelVersion":{}}}},"ListStreamProcessors":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"StreamProcessors":{"type":"list","member":{"type":"structure","members":{"Name":{},"Status":{}}}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sw"}}}},"RecognizeCelebrities":{"input":{"type":"structure","required":["Image"],"members":{"Image":{"shape":"S2"}}},"output":{"type":"structure","members":{"CelebrityFaces":{"type":"list","member":{"type":"structure","members":{"Urls":{"shape":"S5l"},"Name":{},"Id":{},"Face":{"shape":"Sg"},"MatchConfidence":{"type":"float"},"KnownGender":{"shape":"S5n"}}}},"UnrecognizedFaces":{"type":"list","member":{"shape":"Sg"}},"OrientationCorrection":{}}}},"SearchFaces":{"input":{"type":"structure","required":["CollectionId","FaceId"],"members":{"CollectionId":{},"FaceId":{},"MaxFaces":{"type":"integer"},"FaceMatchThreshold":{"type":"float"}}},"output":{"type":"structure","members":{"SearchedFaceId":{},"FaceMatches":{"shape":"S6i"},"FaceModelVersion":{}}}},"SearchFacesByImage":{"input":{"type":"structure","required":["CollectionId","Image"],"members":{"CollectionId":{},"Image":{"shape":"S2"},"MaxFaces":{"type":"integer"},"FaceMatchThreshold":{"type":"float"},"QualityFilter":{}}},"output":{"type":"structure","members":{"SearchedFaceBoundingBox":{"shape":"Sc"},"SearchedFaceConfidence":{"type":"float"},"FaceMatches":{"shape":"S6i"},"FaceModelVersion":{}}}},"StartCelebrityRecognition":{"input":{"type":"structure","required":["Video"],"members":{"Video":{"shape":"S8v"},"ClientRequestToken":{},"NotificationChannel":{"shape":"S8x"},"JobTag":{}}},"output":{"type":"structure","members":{"JobId":{}}},"idempotent":true},"StartContentModeration":{"input":{"type":"structure","required":["Video"],"members":{"Video":{"shape":"S8v"},"MinConfidence":{"type":"float"},"ClientRequestToken":{},"NotificationChannel":{"shape":"S8x"},"JobTag":{}}},"output":{"type":"structure","members":{"JobId":{}}},"idempotent":true},"StartFaceDetection":{"input":{"type":"structure","required":["Video"],"members":{"Video":{"shape":"S8v"},"ClientRequestToken":{},"NotificationChannel":{"shape":"S8x"},"FaceAttributes":{},"JobTag":{}}},"output":{"type":"structure","members":{"JobId":{}}},"idempotent":true},"StartFaceSearch":{"input":{"type":"structure","required":["Video","CollectionId"],"members":{"Video":{"shape":"S8v"},"ClientRequestToken":{},"FaceMatchThreshold":{"type":"float"},"CollectionId":{},"NotificationChannel":{"shape":"S8x"},"JobTag":{}}},"output":{"type":"structure","members":{"JobId":{}}},"idempotent":true},"StartLabelDetection":{"input":{"type":"structure","required":["Video"],"members":{"Video":{"shape":"S8v"},"ClientRequestToken":{},"MinConfidence":{"type":"float"},"NotificationChannel":{"shape":"S8x"},"JobTag":{}}},"output":{"type":"structure","members":{"JobId":{}}},"idempotent":true},"StartPersonTracking":{"input":{"type":"structure","required":["Video"],"members":{"Video":{"shape":"S8v"},"ClientRequestToken":{},"NotificationChannel":{"shape":"S8x"},"JobTag":{}}},"output":{"type":"structure","members":{"JobId":{}}},"idempotent":true},"StartProjectVersion":{"input":{"type":"structure","required":["ProjectVersionArn","MinInferenceUnits"],"members":{"ProjectVersionArn":{},"MinInferenceUnits":{"type":"integer"}}},"output":{"type":"structure","members":{"Status":{}}}},"StartSegmentDetection":{"input":{"type":"structure","required":["Video","SegmentTypes"],"members":{"Video":{"shape":"S8v"},"ClientRequestToken":{},"NotificationChannel":{"shape":"S8x"},"JobTag":{},"Filters":{"type":"structure","members":{"TechnicalCueFilter":{"type":"structure","members":{"MinSegmentConfidence":{"type":"float"},"BlackFrame":{"type":"structure","members":{"MaxPixelThreshold":{"type":"float"},"MinCoveragePercentage":{"type":"float"}}}}},"ShotFilter":{"type":"structure","members":{"MinSegmentConfidence":{"type":"float"}}}}},"SegmentTypes":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"JobId":{}}},"idempotent":true},"StartStreamProcessor":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"StartTextDetection":{"input":{"type":"structure","required":["Video"],"members":{"Video":{"shape":"S8v"},"ClientRequestToken":{},"NotificationChannel":{"shape":"S8x"},"JobTag":{},"Filters":{"type":"structure","members":{"WordFilter":{"shape":"S55"},"RegionsOfInterest":{"shape":"S58"}}}}},"output":{"type":"structure","members":{"JobId":{}}},"idempotent":true},"StopProjectVersion":{"input":{"type":"structure","required":["ProjectVersionArn"],"members":{"ProjectVersionArn":{}}},"output":{"type":"structure","members":{"Status":{}}}},"StopStreamProcessor":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sw"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDatasetEntries":{"input":{"type":"structure","required":["DatasetArn","Changes"],"members":{"DatasetArn":{},"Changes":{"type":"structure","required":["GroundTruth"],"members":{"GroundTruth":{"type":"blob"}}}}},"output":{"type":"structure","members":{}}}},"shapes":{"S2":{"type":"structure","members":{"Bytes":{"type":"blob"},"S3Object":{"shape":"S4"}}},"S4":{"type":"structure","members":{"Bucket":{},"Name":{},"Version":{}}},"Sc":{"type":"structure","members":{"Width":{"type":"float"},"Height":{"type":"float"},"Left":{"type":"float"},"Top":{"type":"float"}}},"Sg":{"type":"structure","members":{"BoundingBox":{"shape":"Sc"},"Confidence":{"type":"float"},"Landmarks":{"shape":"Sh"},"Pose":{"shape":"Sk"},"Quality":{"shape":"Sm"},"Emotions":{"shape":"Sn"},"Smile":{"shape":"Sq"}}},"Sh":{"type":"list","member":{"type":"structure","members":{"Type":{},"X":{"type":"float"},"Y":{"type":"float"}}}},"Sk":{"type":"structure","members":{"Roll":{"type":"float"},"Yaw":{"type":"float"},"Pitch":{"type":"float"}}},"Sm":{"type":"structure","members":{"Brightness":{"type":"float"},"Sharpness":{"type":"float"}}},"Sn":{"type":"list","member":{"type":"structure","members":{"Type":{},"Confidence":{"type":"float"}}}},"Sq":{"type":"structure","members":{"Value":{"type":"boolean"},"Confidence":{"type":"float"}}},"Sw":{"type":"map","key":{},"value":{}},"S14":{"type":"structure","members":{"S3Object":{"shape":"S4"}}},"S1e":{"type":"structure","members":{"S3Bucket":{},"S3KeyPrefix":{}}},"S1g":{"type":"structure","members":{"Assets":{"shape":"S1h"}}},"S1h":{"type":"list","member":{"type":"structure","members":{"GroundTruthManifest":{"shape":"S14"}}}},"S1j":{"type":"structure","members":{"Assets":{"shape":"S1h"},"AutoCreate":{"type":"boolean"}}},"S1o":{"type":"structure","members":{"KinesisVideoStream":{"type":"structure","members":{"Arn":{}}}}},"S1r":{"type":"structure","members":{"KinesisDataStream":{"type":"structure","members":{"Arn":{}}}}},"S1v":{"type":"structure","members":{"FaceSearch":{"type":"structure","members":{"CollectionId":{},"FaceMatchThreshold":{"type":"float"}}}}},"S25":{"type":"list","member":{}},"S30":{"type":"structure","members":{"Assets":{"shape":"S1h"}}},"S3j":{"type":"structure","members":{"BoundingBox":{"shape":"Sc"},"Polygon":{"type":"list","member":{"type":"structure","members":{"X":{"type":"float"},"Y":{"type":"float"}}}}}},"S3n":{"type":"list","member":{}},"S3r":{"type":"structure","members":{"BoundingBox":{"shape":"Sc"},"AgeRange":{"type":"structure","members":{"Low":{"type":"integer"},"High":{"type":"integer"}}},"Smile":{"shape":"Sq"},"Eyeglasses":{"type":"structure","members":{"Value":{"type":"boolean"},"Confidence":{"type":"float"}}},"Sunglasses":{"type":"structure","members":{"Value":{"type":"boolean"},"Confidence":{"type":"float"}}},"Gender":{"type":"structure","members":{"Value":{},"Confidence":{"type":"float"}}},"Beard":{"type":"structure","members":{"Value":{"type":"boolean"},"Confidence":{"type":"float"}}},"Mustache":{"type":"structure","members":{"Value":{"type":"boolean"},"Confidence":{"type":"float"}}},"EyesOpen":{"type":"structure","members":{"Value":{"type":"boolean"},"Confidence":{"type":"float"}}},"MouthOpen":{"type":"structure","members":{"Value":{"type":"boolean"},"Confidence":{"type":"float"}}},"Emotions":{"shape":"Sn"},"Landmarks":{"shape":"Sh"},"Pose":{"shape":"Sk"},"Quality":{"shape":"Sm"},"Confidence":{"type":"float"}}},"S44":{"type":"structure","members":{"Name":{},"Confidence":{"type":"float"},"Instances":{"type":"list","member":{"type":"structure","members":{"BoundingBox":{"shape":"Sc"},"Confidence":{"type":"float"}}}},"Parents":{"type":"list","member":{"type":"structure","members":{"Name":{}}}}}},"S4i":{"type":"structure","members":{"Confidence":{"type":"float"},"Name":{},"ParentName":{}}},"S52":{"type":"list","member":{"type":"integer"}},"S55":{"type":"structure","members":{"MinConfidence":{"type":"float"},"MinBoundingBoxHeight":{"type":"float"},"MinBoundingBoxWidth":{"type":"float"}}},"S58":{"type":"list","member":{"type":"structure","members":{"BoundingBox":{"shape":"Sc"}}}},"S5c":{"type":"structure","members":{"DetectedText":{},"Type":{},"Id":{"type":"integer"},"ParentId":{"type":"integer"},"Confidence":{"type":"float"},"Geometry":{"shape":"S3j"}}},"S5l":{"type":"list","member":{}},"S5n":{"type":"structure","members":{"Type":{}}},"S5w":{"type":"structure","members":{"Codec":{},"DurationMillis":{"type":"long"},"Format":{},"FrameRate":{"type":"float"},"FrameHeight":{"type":"long"},"FrameWidth":{"type":"long"},"ColorRange":{}}},"S6g":{"type":"structure","members":{"Index":{"type":"long"},"BoundingBox":{"shape":"Sc"},"Face":{"shape":"S3r"}}},"S6i":{"type":"list","member":{"type":"structure","members":{"Similarity":{"type":"float"},"Face":{"shape":"S6k"}}}},"S6k":{"type":"structure","members":{"FaceId":{},"BoundingBox":{"shape":"Sc"},"ImageId":{},"ExternalImageId":{},"Confidence":{"type":"float"}}},"S8v":{"type":"structure","members":{"S3Object":{"shape":"S4"}}},"S8x":{"type":"structure","required":["SNSTopicArn","RoleArn"],"members":{"SNSTopicArn":{},"RoleArn":{}}}}}');

/***/ }),

/***/ 37753:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeProjectVersions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ProjectVersionDescriptions"},"DescribeProjects":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ProjectDescriptions"},"GetCelebrityRecognition":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetContentModeration":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetFaceDetection":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetFaceSearch":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetLabelDetection":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetPersonTracking":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetSegmentDetection":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetTextDetection":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListCollections":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"CollectionIds"},"ListDatasetEntries":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DatasetEntries"},"ListDatasetLabels":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DatasetLabelDescriptions"},"ListFaces":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Faces"},"ListStreamProcessors":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"}}}');

/***/ }),

/***/ 78910:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"ProjectVersionTrainingCompleted":{"description":"Wait until the ProjectVersion training completes.","operation":"DescribeProjectVersions","delay":120,"maxAttempts":360,"acceptors":[{"state":"success","matcher":"pathAll","argument":"ProjectVersionDescriptions[].Status","expected":"TRAINING_COMPLETED"},{"state":"failure","matcher":"pathAny","argument":"ProjectVersionDescriptions[].Status","expected":"TRAINING_FAILED"}]},"ProjectVersionRunning":{"description":"Wait until the ProjectVersion is running.","delay":30,"maxAttempts":40,"operation":"DescribeProjectVersions","acceptors":[{"state":"success","matcher":"pathAll","argument":"ProjectVersionDescriptions[].Status","expected":"RUNNING"},{"state":"failure","matcher":"pathAny","argument":"ProjectVersionDescriptions[].Status","expected":"FAILED"}]}}}');

/***/ }),

/***/ 3885:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-04-30","endpointPrefix":"resiliencehub","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS Resilience Hub","serviceId":"resiliencehub","signatureVersion":"v4","signingName":"resiliencehub","uid":"resiliencehub-2020-04-30"},"operations":{"AddDraftAppVersionResourceMappings":{"http":{"requestUri":"/add-draft-app-version-resource-mappings","responseCode":200},"input":{"type":"structure","required":["appArn","resourceMappings"],"members":{"appArn":{},"resourceMappings":{"shape":"S3"}}},"output":{"type":"structure","required":["appArn","appVersion","resourceMappings"],"members":{"appArn":{},"appVersion":{},"resourceMappings":{"shape":"S3"}}}},"CreateApp":{"http":{"requestUri":"/create-app","responseCode":200},"input":{"type":"structure","required":["name"],"members":{"clientToken":{"idempotencyToken":true},"description":{},"name":{},"policyArn":{},"tags":{"shape":"Sh"}}},"output":{"type":"structure","required":["app"],"members":{"app":{"shape":"Sl"}}}},"CreateRecommendationTemplate":{"http":{"requestUri":"/create-recommendation-template","responseCode":200},"input":{"type":"structure","required":["assessmentArn","name"],"members":{"assessmentArn":{},"bucketName":{},"clientToken":{"idempotencyToken":true},"format":{},"name":{},"recommendationIds":{"shape":"Ss"},"recommendationTypes":{"shape":"Su"},"tags":{"shape":"Sh"}}},"output":{"type":"structure","members":{"recommendationTemplate":{"shape":"Sx"}}}},"CreateResiliencyPolicy":{"http":{"requestUri":"/create-resiliency-policy","responseCode":200},"input":{"type":"structure","required":["policy","policyName","tier"],"members":{"clientToken":{"idempotencyToken":true},"dataLocationConstraint":{},"policy":{"shape":"S14"},"policyDescription":{},"policyName":{},"tags":{"shape":"Sh"},"tier":{}}},"output":{"type":"structure","required":["policy"],"members":{"policy":{"shape":"S1a"}}}},"DeleteApp":{"http":{"requestUri":"/delete-app","responseCode":200},"input":{"type":"structure","required":["appArn"],"members":{"appArn":{},"clientToken":{"idempotencyToken":true},"forceDelete":{"type":"boolean"}}},"output":{"type":"structure","required":["appArn"],"members":{"appArn":{}}}},"DeleteAppAssessment":{"http":{"requestUri":"/delete-app-assessment","responseCode":200},"input":{"type":"structure","required":["assessmentArn"],"members":{"assessmentArn":{},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["assessmentArn","assessmentStatus"],"members":{"assessmentArn":{},"assessmentStatus":{}}}},"DeleteRecommendationTemplate":{"http":{"requestUri":"/delete-recommendation-template","responseCode":200},"input":{"type":"structure","required":["recommendationTemplateArn"],"members":{"clientToken":{"idempotencyToken":true},"recommendationTemplateArn":{}}},"output":{"type":"structure","required":["recommendationTemplateArn","status"],"members":{"recommendationTemplateArn":{},"status":{}}}},"DeleteResiliencyPolicy":{"http":{"requestUri":"/delete-resiliency-policy","responseCode":200},"input":{"type":"structure","required":["policyArn"],"members":{"clientToken":{"idempotencyToken":true},"policyArn":{}}},"output":{"type":"structure","required":["policyArn"],"members":{"policyArn":{}}}},"DescribeApp":{"http":{"requestUri":"/describe-app","responseCode":200},"input":{"type":"structure","required":["appArn"],"members":{"appArn":{}}},"output":{"type":"structure","required":["app"],"members":{"app":{"shape":"Sl"}}}},"DescribeAppAssessment":{"http":{"requestUri":"/describe-app-assessment","responseCode":200},"input":{"type":"structure","required":["assessmentArn"],"members":{"assessmentArn":{}}},"output":{"type":"structure","required":["assessment"],"members":{"assessment":{"shape":"S1p"}}}},"DescribeAppVersionResourcesResolutionStatus":{"http":{"requestUri":"/describe-app-version-resources-resolution-status","responseCode":200},"input":{"type":"structure","required":["appArn","appVersion"],"members":{"appArn":{},"appVersion":{},"resolutionId":{}}},"output":{"type":"structure","required":["appArn","appVersion","resolutionId","status"],"members":{"appArn":{},"appVersion":{},"errorMessage":{},"resolutionId":{},"status":{}}}},"DescribeAppVersionTemplate":{"http":{"requestUri":"/describe-app-version-template","responseCode":200},"input":{"type":"structure","required":["appArn","appVersion"],"members":{"appArn":{},"appVersion":{}}},"output":{"type":"structure","required":["appArn","appTemplateBody","appVersion"],"members":{"appArn":{},"appTemplateBody":{},"appVersion":{}}}},"DescribeDraftAppVersionResourcesImportStatus":{"http":{"requestUri":"/describe-draft-app-version-resources-import-status","responseCode":200},"input":{"type":"structure","required":["appArn"],"members":{"appArn":{}}},"output":{"type":"structure","required":["appArn","appVersion","status","statusChangeTime"],"members":{"appArn":{},"appVersion":{},"errorMessage":{},"status":{},"statusChangeTime":{"type":"timestamp"}}}},"DescribeResiliencyPolicy":{"http":{"requestUri":"/describe-resiliency-policy","responseCode":200},"input":{"type":"structure","required":["policyArn"],"members":{"policyArn":{}}},"output":{"type":"structure","required":["policy"],"members":{"policy":{"shape":"S1a"}}}},"ImportResourcesToDraftAppVersion":{"http":{"requestUri":"/import-resources-to-draft-app-version","responseCode":200},"input":{"type":"structure","required":["appArn","sourceArns"],"members":{"appArn":{},"sourceArns":{"shape":"S2b"}}},"output":{"type":"structure","required":["appArn","appVersion","sourceArns","status"],"members":{"appArn":{},"appVersion":{},"sourceArns":{"shape":"S2b"},"status":{}}}},"ListAlarmRecommendations":{"http":{"requestUri":"/list-alarm-recommendations","responseCode":200},"input":{"type":"structure","required":["assessmentArn"],"members":{"assessmentArn":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["alarmRecommendations"],"members":{"alarmRecommendations":{"type":"list","member":{"type":"structure","required":["name","recommendationId","referenceId","type"],"members":{"appComponentName":{},"description":{},"items":{"shape":"S2k"},"name":{},"prerequisite":{},"recommendationId":{},"referenceId":{},"type":{}}}},"nextToken":{}}}},"ListAppAssessments":{"http":{"method":"GET","requestUri":"/list-app-assessments","responseCode":200},"input":{"type":"structure","members":{"appArn":{"location":"querystring","locationName":"appArn"},"assessmentName":{"location":"querystring","locationName":"assessmentName"},"assessmentStatus":{"location":"querystring","locationName":"assessmentStatus","type":"list","member":{}},"complianceStatus":{"location":"querystring","locationName":"complianceStatus"},"invoker":{"location":"querystring","locationName":"invoker"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"reverseOrder":{"location":"querystring","locationName":"reverseOrder","type":"boolean"}}},"output":{"type":"structure","required":["assessmentSummaries"],"members":{"assessmentSummaries":{"type":"list","member":{"type":"structure","required":["assessmentArn","assessmentStatus"],"members":{"appArn":{},"appVersion":{},"assessmentArn":{},"assessmentName":{},"assessmentStatus":{},"complianceStatus":{},"cost":{"shape":"S1t"},"endTime":{"type":"timestamp"},"invoker":{},"message":{},"resiliencyScore":{"type":"double"},"startTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListAppComponentCompliances":{"http":{"requestUri":"/list-app-component-compliances","responseCode":200},"input":{"type":"structure","required":["assessmentArn"],"members":{"assessmentArn":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["componentCompliances"],"members":{"componentCompliances":{"type":"list","member":{"type":"structure","members":{"appComponentName":{},"compliance":{"shape":"S1q"},"cost":{"shape":"S1t"},"message":{},"resiliencyScore":{"shape":"S1x"},"status":{}}}},"nextToken":{}}}},"ListAppComponentRecommendations":{"http":{"requestUri":"/list-app-component-recommendations","responseCode":200},"input":{"type":"structure","required":["assessmentArn"],"members":{"assessmentArn":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["componentRecommendations"],"members":{"componentRecommendations":{"type":"list","member":{"type":"structure","required":["appComponentName","configRecommendations","recommendationStatus"],"members":{"appComponentName":{},"configRecommendations":{"type":"list","member":{"type":"structure","required":["name","optimizationType","referenceId"],"members":{"appComponentName":{},"compliance":{"shape":"S1q"},"cost":{"shape":"S1t"},"description":{},"haArchitecture":{},"name":{},"optimizationType":{},"recommendationCompliance":{"type":"map","key":{},"value":{"type":"structure","required":["expectedComplianceStatus"],"members":{"expectedComplianceStatus":{},"expectedRpoDescription":{},"expectedRpoInSecs":{"type":"integer"},"expectedRtoDescription":{},"expectedRtoInSecs":{"type":"integer"}}}},"referenceId":{},"suggestedChanges":{"type":"list","member":{}}}}},"recommendationStatus":{}}}},"nextToken":{}}}},"ListAppVersionResourceMappings":{"http":{"requestUri":"/list-app-version-resource-mappings","responseCode":200},"input":{"type":"structure","required":["appArn","appVersion"],"members":{"appArn":{},"appVersion":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["resourceMappings"],"members":{"nextToken":{},"resourceMappings":{"shape":"S3"}}}},"ListAppVersionResources":{"http":{"requestUri":"/list-app-version-resources","responseCode":200},"input":{"type":"structure","required":["appArn","appVersion"],"members":{"appArn":{},"appVersion":{},"maxResults":{"type":"integer"},"nextToken":{},"resolutionId":{}}},"output":{"type":"structure","required":["physicalResources","resolutionId"],"members":{"nextToken":{},"physicalResources":{"type":"list","member":{"type":"structure","required":["logicalResourceId","physicalResourceId","resourceType"],"members":{"appComponents":{"type":"list","member":{"type":"structure","required":["name","type"],"members":{"name":{},"type":{}}}},"logicalResourceId":{"shape":"S3h"},"physicalResourceId":{"shape":"S8"},"resourceName":{},"resourceType":{}}}},"resolutionId":{}}}},"ListAppVersions":{"http":{"requestUri":"/list-app-versions","responseCode":200},"input":{"type":"structure","required":["appArn"],"members":{"appArn":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["appVersions"],"members":{"appVersions":{"type":"list","member":{"type":"structure","required":["appVersion"],"members":{"appVersion":{}}}},"nextToken":{}}}},"ListApps":{"http":{"method":"GET","requestUri":"/list-apps","responseCode":200},"input":{"type":"structure","members":{"appArn":{"location":"querystring","locationName":"appArn"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"name":{"location":"querystring","locationName":"name"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["appSummaries"],"members":{"appSummaries":{"type":"list","member":{"type":"structure","required":["appArn","creationTime","name"],"members":{"appArn":{},"complianceStatus":{},"creationTime":{"type":"timestamp"},"description":{},"name":{},"resiliencyScore":{"type":"double"}}}},"nextToken":{}}}},"ListRecommendationTemplates":{"http":{"method":"GET","requestUri":"/list-recommendation-templates","responseCode":200},"input":{"type":"structure","required":["assessmentArn"],"members":{"assessmentArn":{"location":"querystring","locationName":"assessmentArn"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"name":{"location":"querystring","locationName":"name"},"nextToken":{"location":"querystring","locationName":"nextToken"},"recommendationTemplateArn":{"location":"querystring","locationName":"recommendationTemplateArn"},"reverseOrder":{"location":"querystring","locationName":"reverseOrder","type":"boolean"},"status":{"location":"querystring","locationName":"status","type":"list","member":{}}}},"output":{"type":"structure","members":{"nextToken":{},"recommendationTemplates":{"type":"list","member":{"shape":"Sx"}}}}},"ListResiliencyPolicies":{"http":{"method":"GET","requestUri":"/list-resiliency-policies","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"policyName":{"location":"querystring","locationName":"policyName"}}},"output":{"type":"structure","required":["resiliencyPolicies"],"members":{"nextToken":{},"resiliencyPolicies":{"shape":"S3w"}}}},"ListSopRecommendations":{"http":{"requestUri":"/list-sop-recommendations","responseCode":200},"input":{"type":"structure","required":["assessmentArn"],"members":{"assessmentArn":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["sopRecommendations"],"members":{"nextToken":{},"sopRecommendations":{"type":"list","member":{"type":"structure","required":["recommendationId","referenceId","serviceType"],"members":{"appComponentName":{},"description":{},"items":{"shape":"S2k"},"name":{},"prerequisite":{},"recommendationId":{},"referenceId":{},"serviceType":{}}}}}}},"ListSuggestedResiliencyPolicies":{"http":{"method":"GET","requestUri":"/list-suggested-resiliency-policies","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["resiliencyPolicies"],"members":{"nextToken":{},"resiliencyPolicies":{"shape":"S3w"}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sh"}}}},"ListTestRecommendations":{"http":{"requestUri":"/list-test-recommendations","responseCode":200},"input":{"type":"structure","required":["assessmentArn"],"members":{"assessmentArn":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["testRecommendations"],"members":{"nextToken":{},"testRecommendations":{"type":"list","member":{"type":"structure","required":["referenceId"],"members":{"appComponentName":{},"description":{},"intent":{},"items":{"shape":"S2k"},"name":{},"prerequisite":{},"recommendationId":{},"referenceId":{},"risk":{},"type":{}}}}}}},"ListUnsupportedAppVersionResources":{"http":{"requestUri":"/list-unsupported-app-version-resources","responseCode":200},"input":{"type":"structure","required":["appArn","appVersion"],"members":{"appArn":{},"appVersion":{},"maxResults":{"type":"integer"},"nextToken":{},"resolutionId":{}}},"output":{"type":"structure","required":["resolutionId","unsupportedResources"],"members":{"nextToken":{},"resolutionId":{},"unsupportedResources":{"type":"list","member":{"type":"structure","required":["logicalResourceId","physicalResourceId","resourceType"],"members":{"logicalResourceId":{"shape":"S3h"},"physicalResourceId":{"shape":"S8"},"resourceType":{}}}}}}},"PublishAppVersion":{"http":{"requestUri":"/publish-app-version","responseCode":200},"input":{"type":"structure","required":["appArn"],"members":{"appArn":{}}},"output":{"type":"structure","required":["appArn"],"members":{"appArn":{},"appVersion":{}}}},"PutDraftAppVersionTemplate":{"http":{"requestUri":"/put-draft-app-version-template","responseCode":200},"input":{"type":"structure","required":["appArn","appTemplateBody"],"members":{"appArn":{},"appTemplateBody":{}}},"output":{"type":"structure","members":{"appArn":{},"appVersion":{}}}},"RemoveDraftAppVersionResourceMappings":{"http":{"requestUri":"/remove-draft-app-version-resource-mappings","responseCode":200},"input":{"type":"structure","required":["appArn"],"members":{"appArn":{},"appRegistryAppNames":{"shape":"S4m"},"logicalStackNames":{"type":"list","member":{}},"resourceGroupNames":{"shape":"S4m"},"resourceNames":{"shape":"S4m"}}},"output":{"type":"structure","members":{"appArn":{},"appVersion":{}}}},"ResolveAppVersionResources":{"http":{"requestUri":"/resolve-app-version-resources","responseCode":200},"input":{"type":"structure","required":["appArn","appVersion"],"members":{"appArn":{},"appVersion":{}}},"output":{"type":"structure","required":["appArn","appVersion","resolutionId","status"],"members":{"appArn":{},"appVersion":{},"resolutionId":{},"status":{}}}},"StartAppAssessment":{"http":{"requestUri":"/start-app-assessment","responseCode":200},"input":{"type":"structure","required":["appArn","appVersion","assessmentName"],"members":{"appArn":{},"appVersion":{},"assessmentName":{},"clientToken":{"idempotencyToken":true},"tags":{"shape":"Sh"}}},"output":{"type":"structure","required":["assessment"],"members":{"assessment":{"shape":"S1p"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sh"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{},"sensitive":true}}},"output":{"type":"structure","members":{}}},"UpdateApp":{"http":{"requestUri":"/update-app","responseCode":200},"input":{"type":"structure","required":["appArn"],"members":{"appArn":{},"clearResiliencyPolicyArn":{"type":"boolean"},"description":{},"policyArn":{}}},"output":{"type":"structure","required":["app"],"members":{"app":{"shape":"Sl"}}}},"UpdateResiliencyPolicy":{"http":{"requestUri":"/update-resiliency-policy","responseCode":200},"input":{"type":"structure","required":["policyArn"],"members":{"dataLocationConstraint":{},"policy":{"shape":"S14"},"policyArn":{},"policyDescription":{},"policyName":{},"tier":{}}},"output":{"type":"structure","required":["policy"],"members":{"policy":{"shape":"S1a"}}}}},"shapes":{"S3":{"type":"list","member":{"type":"structure","required":["mappingType","physicalResourceId"],"members":{"appRegistryAppName":{},"logicalStackName":{},"mappingType":{},"physicalResourceId":{"shape":"S8"},"resourceGroupName":{},"resourceName":{}}}},"S8":{"type":"structure","required":["identifier","type"],"members":{"awsAccountId":{},"awsRegion":{},"identifier":{},"type":{}}},"Sh":{"type":"map","key":{},"value":{},"sensitive":true},"Sl":{"type":"structure","required":["appArn","creationTime","name"],"members":{"appArn":{},"complianceStatus":{},"creationTime":{"type":"timestamp"},"description":{},"lastAppComplianceEvaluationTime":{"type":"timestamp"},"lastResiliencyScoreEvaluationTime":{"type":"timestamp"},"name":{},"policyArn":{},"resiliencyScore":{"type":"double"},"status":{},"tags":{"shape":"Sh"}}},"Ss":{"type":"list","member":{}},"Su":{"type":"list","member":{}},"Sx":{"type":"structure","required":["assessmentArn","format","name","recommendationTemplateArn","recommendationTypes","status"],"members":{"appArn":{},"assessmentArn":{},"endTime":{"type":"timestamp"},"format":{},"message":{},"name":{},"needsReplacements":{"type":"boolean"},"recommendationIds":{"shape":"Ss"},"recommendationTemplateArn":{},"recommendationTypes":{"shape":"Su"},"startTime":{"type":"timestamp"},"status":{},"tags":{"shape":"Sh"},"templatesLocation":{"type":"structure","members":{"bucket":{},"prefix":{}}}}},"S14":{"type":"map","key":{},"value":{"type":"structure","required":["rpoInSecs","rtoInSecs"],"members":{"rpoInSecs":{"type":"integer"},"rtoInSecs":{"type":"integer"}}}},"S1a":{"type":"structure","members":{"creationTime":{"type":"timestamp"},"dataLocationConstraint":{},"estimatedCostTier":{},"policy":{"shape":"S14"},"policyArn":{},"policyDescription":{},"policyName":{},"tags":{"shape":"Sh"},"tier":{}}},"S1p":{"type":"structure","required":["assessmentArn","assessmentStatus","invoker"],"members":{"appArn":{},"appVersion":{},"assessmentArn":{},"assessmentName":{},"assessmentStatus":{},"compliance":{"shape":"S1q"},"complianceStatus":{},"cost":{"shape":"S1t"},"endTime":{"type":"timestamp"},"invoker":{},"message":{},"policy":{"shape":"S1a"},"resiliencyScore":{"shape":"S1x"},"startTime":{"type":"timestamp"},"tags":{"shape":"Sh"}}},"S1q":{"type":"map","key":{},"value":{"type":"structure","required":["complianceStatus"],"members":{"achievableRpoInSecs":{"type":"integer"},"achievableRtoInSecs":{"type":"integer"},"complianceStatus":{},"currentRpoInSecs":{"type":"integer"},"currentRtoInSecs":{"type":"integer"},"message":{},"rpoDescription":{},"rpoReferenceId":{},"rtoDescription":{},"rtoReferenceId":{}}}},"S1t":{"type":"structure","required":["amount","currency","frequency"],"members":{"amount":{"type":"double"},"currency":{},"frequency":{}}},"S1x":{"type":"structure","required":["disruptionScore","score"],"members":{"disruptionScore":{"type":"map","key":{},"value":{"type":"double"}},"score":{"type":"double"}}},"S2b":{"type":"list","member":{}},"S2k":{"type":"list","member":{"type":"structure","members":{"alreadyImplemented":{"type":"boolean"},"resourceId":{},"targetAccountId":{},"targetRegion":{}}}},"S3h":{"type":"structure","required":["identifier"],"members":{"identifier":{},"logicalStackName":{},"resourceGroupName":{}}},"S3w":{"type":"list","member":{"shape":"S1a"}},"S4m":{"type":"list","member":{}}}}');

/***/ }),

/***/ 77288:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAlarmRecommendations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAppAssessments":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAppComponentCompliances":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAppComponentRecommendations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAppVersionResourceMappings":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAppVersionResources":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListAppVersions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListApps":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListRecommendationTemplates":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListResiliencyPolicies":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListSopRecommendations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListSuggestedResiliencyPolicies":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListTestRecommendations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListUnsupportedAppVersionResources":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 73621:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-11-27","endpointPrefix":"resource-groups","protocol":"rest-json","serviceAbbreviation":"Resource Groups","serviceFullName":"AWS Resource Groups","serviceId":"Resource Groups","signatureVersion":"v4","signingName":"resource-groups","uid":"resource-groups-2017-11-27"},"operations":{"CreateGroup":{"http":{"requestUri":"/groups"},"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Description":{},"ResourceQuery":{"shape":"S4"},"Tags":{"shape":"S7"},"Configuration":{"shape":"Sa"}}},"output":{"type":"structure","members":{"Group":{"shape":"Sj"},"ResourceQuery":{"shape":"S4"},"Tags":{"shape":"S7"},"GroupConfiguration":{"shape":"Sl"}}}},"DeleteGroup":{"http":{"requestUri":"/delete-group"},"input":{"type":"structure","members":{"GroupName":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use Group instead."},"Group":{}}},"output":{"type":"structure","members":{"Group":{"shape":"Sj"}}}},"GetGroup":{"http":{"requestUri":"/get-group"},"input":{"type":"structure","members":{"GroupName":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use Group instead."},"Group":{}}},"output":{"type":"structure","members":{"Group":{"shape":"Sj"}}}},"GetGroupConfiguration":{"http":{"requestUri":"/get-group-configuration"},"input":{"type":"structure","members":{"Group":{}}},"output":{"type":"structure","members":{"GroupConfiguration":{"shape":"Sl"}}}},"GetGroupQuery":{"http":{"requestUri":"/get-group-query"},"input":{"type":"structure","members":{"GroupName":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use Group instead."},"Group":{}}},"output":{"type":"structure","members":{"GroupQuery":{"shape":"Sx"}}}},"GetTags":{"http":{"method":"GET","requestUri":"/resources/{Arn}/tags"},"input":{"type":"structure","required":["Arn"],"members":{"Arn":{"location":"uri","locationName":"Arn"}}},"output":{"type":"structure","members":{"Arn":{},"Tags":{"shape":"S7"}}}},"GroupResources":{"http":{"requestUri":"/group-resources"},"input":{"type":"structure","required":["Group","ResourceArns"],"members":{"Group":{},"ResourceArns":{"shape":"S11"}}},"output":{"type":"structure","members":{"Succeeded":{"shape":"S11"},"Failed":{"shape":"S14"},"Pending":{"shape":"S18"}}}},"ListGroupResources":{"http":{"requestUri":"/list-group-resources"},"input":{"type":"structure","members":{"GroupName":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use Group instead."},"Group":{},"Filters":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Resources":{"type":"list","member":{"type":"structure","members":{"Identifier":{"shape":"S1l"},"Status":{"type":"structure","members":{"Name":{}}}}}},"ResourceIdentifiers":{"shape":"S1p","deprecated":true,"deprecatedMessage":"This field is deprecated, use Resources instead."},"NextToken":{},"QueryErrors":{"shape":"S1q"}}}},"ListGroups":{"http":{"requestUri":"/groups-list"},"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"type":"list","member":{}}}}},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"GroupIdentifiers":{"type":"list","member":{"type":"structure","members":{"GroupName":{},"GroupArn":{}}}},"Groups":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use GroupIdentifiers instead.","type":"list","member":{"shape":"Sj"}},"NextToken":{}}}},"PutGroupConfiguration":{"http":{"requestUri":"/put-group-configuration","responseCode":202},"input":{"type":"structure","members":{"Group":{},"Configuration":{"shape":"Sa"}}},"output":{"type":"structure","members":{}}},"SearchResources":{"http":{"requestUri":"/resources/search"},"input":{"type":"structure","required":["ResourceQuery"],"members":{"ResourceQuery":{"shape":"S4"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ResourceIdentifiers":{"shape":"S1p"},"NextToken":{},"QueryErrors":{"shape":"S1q"}}}},"Tag":{"http":{"method":"PUT","requestUri":"/resources/{Arn}/tags"},"input":{"type":"structure","required":["Arn","Tags"],"members":{"Arn":{"location":"uri","locationName":"Arn"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"Arn":{},"Tags":{"shape":"S7"}}}},"UngroupResources":{"http":{"requestUri":"/ungroup-resources"},"input":{"type":"structure","required":["Group","ResourceArns"],"members":{"Group":{},"ResourceArns":{"shape":"S11"}}},"output":{"type":"structure","members":{"Succeeded":{"shape":"S11"},"Failed":{"shape":"S14"},"Pending":{"shape":"S18"}}}},"Untag":{"http":{"method":"PATCH","requestUri":"/resources/{Arn}/tags"},"input":{"type":"structure","required":["Arn","Keys"],"members":{"Arn":{"location":"uri","locationName":"Arn"},"Keys":{"shape":"S2d"}}},"output":{"type":"structure","members":{"Arn":{},"Keys":{"shape":"S2d"}}}},"UpdateGroup":{"http":{"requestUri":"/update-group"},"input":{"type":"structure","members":{"GroupName":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use Group instead."},"Group":{},"Description":{}}},"output":{"type":"structure","members":{"Group":{"shape":"Sj"}}}},"UpdateGroupQuery":{"http":{"requestUri":"/update-group-query"},"input":{"type":"structure","required":["ResourceQuery"],"members":{"GroupName":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use Group instead."},"Group":{},"ResourceQuery":{"shape":"S4"}}},"output":{"type":"structure","members":{"GroupQuery":{"shape":"Sx"}}}}},"shapes":{"S4":{"type":"structure","required":["Type","Query"],"members":{"Type":{},"Query":{}}},"S7":{"type":"map","key":{},"value":{}},"Sa":{"type":"list","member":{"type":"structure","required":["Type"],"members":{"Type":{},"Parameters":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{},"Values":{"type":"list","member":{}}}}}}}},"Sj":{"type":"structure","required":["GroupArn","Name"],"members":{"GroupArn":{},"Name":{},"Description":{}}},"Sl":{"type":"structure","members":{"Configuration":{"shape":"Sa"},"ProposedConfiguration":{"shape":"Sa"},"Status":{},"FailureReason":{}}},"Sx":{"type":"structure","required":["GroupName","ResourceQuery"],"members":{"GroupName":{},"ResourceQuery":{"shape":"S4"}}},"S11":{"type":"list","member":{}},"S14":{"type":"list","member":{"type":"structure","members":{"ResourceArn":{},"ErrorMessage":{},"ErrorCode":{}}}},"S18":{"type":"list","member":{"type":"structure","members":{"ResourceArn":{}}}},"S1l":{"type":"structure","members":{"ResourceArn":{},"ResourceType":{}}},"S1p":{"type":"list","member":{"shape":"S1l"}},"S1q":{"type":"list","member":{"type":"structure","members":{"ErrorCode":{},"Message":{}}}},"S2d":{"type":"list","member":{}}}}');

/***/ }),

/***/ 24085:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListGroupResources":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":["ResourceIdentifiers","Resources"]},"ListGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"GroupIdentifiers"},"SearchResources":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ResourceIdentifiers"}}}');

/***/ }),

/***/ 71720:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-01-26","endpointPrefix":"tagging","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Resource Groups Tagging API","serviceId":"Resource Groups Tagging API","signatureVersion":"v4","targetPrefix":"ResourceGroupsTaggingAPI_20170126","uid":"resourcegroupstaggingapi-2017-01-26"},"operations":{"DescribeReportCreation":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"Status":{},"S3Location":{},"ErrorMessage":{}}}},"GetComplianceSummary":{"input":{"type":"structure","members":{"TargetIdFilters":{"type":"list","member":{}},"RegionFilters":{"type":"list","member":{}},"ResourceTypeFilters":{"shape":"Sb"},"TagKeyFilters":{"type":"list","member":{}},"GroupBy":{"type":"list","member":{}},"MaxResults":{"type":"integer"},"PaginationToken":{}}},"output":{"type":"structure","members":{"SummaryList":{"type":"list","member":{"type":"structure","members":{"LastUpdated":{},"TargetId":{},"TargetIdType":{},"Region":{},"ResourceType":{},"NonCompliantResources":{"type":"long"}}}},"PaginationToken":{}}}},"GetResources":{"input":{"type":"structure","members":{"PaginationToken":{},"TagFilters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Values":{"type":"list","member":{}}}}},"ResourcesPerPage":{"type":"integer"},"TagsPerPage":{"type":"integer"},"ResourceTypeFilters":{"shape":"Sb"},"IncludeComplianceDetails":{"type":"boolean"},"ExcludeCompliantResources":{"type":"boolean"},"ResourceARNList":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"PaginationToken":{},"ResourceTagMappingList":{"type":"list","member":{"type":"structure","members":{"ResourceARN":{},"Tags":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"ComplianceDetails":{"type":"structure","members":{"NoncompliantKeys":{"shape":"S16"},"KeysWithNoncompliantValues":{"shape":"S16"},"ComplianceStatus":{"type":"boolean"}}}}}}}}},"GetTagKeys":{"input":{"type":"structure","members":{"PaginationToken":{}}},"output":{"type":"structure","members":{"PaginationToken":{},"TagKeys":{"shape":"S16"}}}},"GetTagValues":{"input":{"type":"structure","required":["Key"],"members":{"PaginationToken":{},"Key":{}}},"output":{"type":"structure","members":{"PaginationToken":{},"TagValues":{"type":"list","member":{}}}}},"StartReportCreation":{"input":{"type":"structure","required":["S3Bucket"],"members":{"S3Bucket":{}}},"output":{"type":"structure","members":{}}},"TagResources":{"input":{"type":"structure","required":["ResourceARNList","Tags"],"members":{"ResourceARNList":{"shape":"S1h"},"Tags":{"type":"map","key":{},"value":{}}}},"output":{"type":"structure","members":{"FailedResourcesMap":{"shape":"S1k"}}}},"UntagResources":{"input":{"type":"structure","required":["ResourceARNList","TagKeys"],"members":{"ResourceARNList":{"shape":"S1h"},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"FailedResourcesMap":{"shape":"S1k"}}}}},"shapes":{"Sb":{"type":"list","member":{}},"S16":{"type":"list","member":{}},"S1h":{"type":"list","member":{}},"S1k":{"type":"map","key":{},"value":{"type":"structure","members":{"StatusCode":{"type":"integer"},"ErrorCode":{},"ErrorMessage":{}}}}}}');

/***/ }),

/***/ 36635:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetComplianceSummary":{"input_token":"PaginationToken","limit_key":"MaxResults","output_token":"PaginationToken","result_key":"SummaryList"},"GetResources":{"input_token":"PaginationToken","limit_key":"ResourcesPerPage","output_token":"PaginationToken","result_key":"ResourceTagMappingList"},"GetTagKeys":{"input_token":"PaginationToken","output_token":"PaginationToken","result_key":"TagKeys"},"GetTagValues":{"input_token":"PaginationToken","output_token":"PaginationToken","result_key":"TagValues"}}}');

/***/ }),

/***/ 6904:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-06-29","endpointPrefix":"robomaker","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"RoboMaker","serviceFullName":"AWS RoboMaker","serviceId":"RoboMaker","signatureVersion":"v4","signingName":"robomaker","uid":"robomaker-2018-06-29"},"operations":{"BatchDeleteWorlds":{"http":{"requestUri":"/batchDeleteWorlds"},"input":{"type":"structure","required":["worlds"],"members":{"worlds":{"shape":"S2"}}},"output":{"type":"structure","members":{"unprocessedWorlds":{"shape":"S2"}}}},"BatchDescribeSimulationJob":{"http":{"requestUri":"/batchDescribeSimulationJob"},"input":{"type":"structure","required":["jobs"],"members":{"jobs":{"shape":"S2"}}},"output":{"type":"structure","members":{"jobs":{"type":"list","member":{"type":"structure","members":{"arn":{},"name":{},"status":{},"lastStartedAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"failureBehavior":{},"failureCode":{},"failureReason":{},"clientRequestToken":{},"outputLocation":{"shape":"Sh"},"loggingConfig":{"shape":"Sk"},"maxJobDurationInSeconds":{"type":"long"},"simulationTimeMillis":{"type":"long"},"iamRole":{},"robotApplications":{"shape":"Sp"},"simulationApplications":{"shape":"S1d"},"dataSources":{"shape":"S1h"},"tags":{"shape":"S1o"},"vpcConfig":{"shape":"S1r"},"networkInterface":{"shape":"S1u"},"compute":{"shape":"S1v"}}}},"unprocessedJobs":{"shape":"S2"}}}},"CancelDeploymentJob":{"http":{"requestUri":"/cancelDeploymentJob"},"input":{"type":"structure","required":["job"],"members":{"job":{}}},"output":{"type":"structure","members":{}}},"CancelSimulationJob":{"http":{"requestUri":"/cancelSimulationJob"},"input":{"type":"structure","required":["job"],"members":{"job":{}}},"output":{"type":"structure","members":{}}},"CancelSimulationJobBatch":{"http":{"requestUri":"/cancelSimulationJobBatch"},"input":{"type":"structure","required":["batch"],"members":{"batch":{}}},"output":{"type":"structure","members":{}}},"CancelWorldExportJob":{"http":{"requestUri":"/cancelWorldExportJob"},"input":{"type":"structure","required":["job"],"members":{"job":{}}},"output":{"type":"structure","members":{}}},"CancelWorldGenerationJob":{"http":{"requestUri":"/cancelWorldGenerationJob"},"input":{"type":"structure","required":["job"],"members":{"job":{}}},"output":{"type":"structure","members":{}}},"CreateDeploymentJob":{"http":{"requestUri":"/createDeploymentJob"},"input":{"type":"structure","required":["clientRequestToken","fleet","deploymentApplicationConfigs"],"members":{"deploymentConfig":{"shape":"S2a"},"clientRequestToken":{"idempotencyToken":true},"fleet":{},"deploymentApplicationConfigs":{"shape":"S2e"},"tags":{"shape":"S1o"}}},"output":{"type":"structure","members":{"arn":{},"fleet":{},"status":{},"deploymentApplicationConfigs":{"shape":"S2e"},"failureReason":{},"failureCode":{},"createdAt":{"type":"timestamp"},"deploymentConfig":{"shape":"S2a"},"tags":{"shape":"S1o"}}}},"CreateFleet":{"http":{"requestUri":"/createFleet"},"input":{"type":"structure","required":["name"],"members":{"name":{},"tags":{"shape":"S1o"}}},"output":{"type":"structure","members":{"arn":{},"name":{},"createdAt":{"type":"timestamp"},"tags":{"shape":"S1o"}}}},"CreateRobot":{"http":{"requestUri":"/createRobot"},"input":{"type":"structure","required":["name","architecture","greengrassGroupId"],"members":{"name":{},"architecture":{},"greengrassGroupId":{},"tags":{"shape":"S1o"}}},"output":{"type":"structure","members":{"arn":{},"name":{},"createdAt":{"type":"timestamp"},"greengrassGroupId":{},"architecture":{},"tags":{"shape":"S1o"}}}},"CreateRobotApplication":{"http":{"requestUri":"/createRobotApplication"},"input":{"type":"structure","required":["name","robotSoftwareSuite"],"members":{"name":{},"sources":{"shape":"S2t"},"robotSoftwareSuite":{"shape":"S2v"},"tags":{"shape":"S1o"},"environment":{"shape":"S2y"}}},"output":{"type":"structure","members":{"arn":{},"name":{},"version":{},"sources":{"shape":"S31"},"robotSoftwareSuite":{"shape":"S2v"},"lastUpdatedAt":{"type":"timestamp"},"revisionId":{},"tags":{"shape":"S1o"},"environment":{"shape":"S2y"}}}},"CreateRobotApplicationVersion":{"http":{"requestUri":"/createRobotApplicationVersion"},"input":{"type":"structure","required":["application"],"members":{"application":{},"currentRevisionId":{},"s3Etags":{"shape":"S35"},"imageDigest":{}}},"output":{"type":"structure","members":{"arn":{},"name":{},"version":{},"sources":{"shape":"S31"},"robotSoftwareSuite":{"shape":"S2v"},"lastUpdatedAt":{"type":"timestamp"},"revisionId":{},"environment":{"shape":"S2y"}}}},"CreateSimulationApplication":{"http":{"requestUri":"/createSimulationApplication"},"input":{"type":"structure","required":["name","simulationSoftwareSuite","robotSoftwareSuite"],"members":{"name":{},"sources":{"shape":"S2t"},"simulationSoftwareSuite":{"shape":"S39"},"robotSoftwareSuite":{"shape":"S2v"},"renderingEngine":{"shape":"S3c"},"tags":{"shape":"S1o"},"environment":{"shape":"S2y"}}},"output":{"type":"structure","members":{"arn":{},"name":{},"version":{},"sources":{"shape":"S31"},"simulationSoftwareSuite":{"shape":"S39"},"robotSoftwareSuite":{"shape":"S2v"},"renderingEngine":{"shape":"S3c"},"lastUpdatedAt":{"type":"timestamp"},"revisionId":{},"tags":{"shape":"S1o"},"environment":{"shape":"S2y"}}}},"CreateSimulationApplicationVersion":{"http":{"requestUri":"/createSimulationApplicationVersion"},"input":{"type":"structure","required":["application"],"members":{"application":{},"currentRevisionId":{},"s3Etags":{"shape":"S35"},"imageDigest":{}}},"output":{"type":"structure","members":{"arn":{},"name":{},"version":{},"sources":{"shape":"S31"},"simulationSoftwareSuite":{"shape":"S39"},"robotSoftwareSuite":{"shape":"S2v"},"renderingEngine":{"shape":"S3c"},"lastUpdatedAt":{"type":"timestamp"},"revisionId":{},"environment":{"shape":"S2y"}}}},"CreateSimulationJob":{"http":{"requestUri":"/createSimulationJob"},"input":{"type":"structure","required":["maxJobDurationInSeconds","iamRole"],"members":{"clientRequestToken":{"idempotencyToken":true},"outputLocation":{"shape":"Sh"},"loggingConfig":{"shape":"Sk"},"maxJobDurationInSeconds":{"type":"long"},"iamRole":{},"failureBehavior":{},"robotApplications":{"shape":"Sp"},"simulationApplications":{"shape":"S1d"},"dataSources":{"shape":"S3j"},"tags":{"shape":"S1o"},"vpcConfig":{"shape":"S3m"},"compute":{"shape":"S3n"}}},"output":{"type":"structure","members":{"arn":{},"status":{},"lastStartedAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"failureBehavior":{},"failureCode":{},"clientRequestToken":{},"outputLocation":{"shape":"Sh"},"loggingConfig":{"shape":"Sk"},"maxJobDurationInSeconds":{"type":"long"},"simulationTimeMillis":{"type":"long"},"iamRole":{},"robotApplications":{"shape":"Sp"},"simulationApplications":{"shape":"S1d"},"dataSources":{"shape":"S1h"},"tags":{"shape":"S1o"},"vpcConfig":{"shape":"S1r"},"compute":{"shape":"S1v"}}}},"CreateWorldExportJob":{"http":{"requestUri":"/createWorldExportJob"},"input":{"type":"structure","required":["worlds","outputLocation","iamRole"],"members":{"clientRequestToken":{"idempotencyToken":true},"worlds":{"shape":"S2"},"outputLocation":{"shape":"Sh"},"iamRole":{},"tags":{"shape":"S1o"}}},"output":{"type":"structure","members":{"arn":{},"status":{},"createdAt":{"type":"timestamp"},"failureCode":{},"clientRequestToken":{},"outputLocation":{"shape":"Sh"},"iamRole":{},"tags":{"shape":"S1o"}}}},"CreateWorldGenerationJob":{"http":{"requestUri":"/createWorldGenerationJob"},"input":{"type":"structure","required":["template","worldCount"],"members":{"clientRequestToken":{"idempotencyToken":true},"template":{},"worldCount":{"shape":"S3u"},"tags":{"shape":"S1o"},"worldTags":{"shape":"S1o"}}},"output":{"type":"structure","members":{"arn":{},"status":{},"createdAt":{"type":"timestamp"},"failureCode":{},"clientRequestToken":{},"template":{},"worldCount":{"shape":"S3u"},"tags":{"shape":"S1o"},"worldTags":{"shape":"S1o"}}}},"CreateWorldTemplate":{"http":{"requestUri":"/createWorldTemplate"},"input":{"type":"structure","members":{"clientRequestToken":{},"name":{},"templateBody":{},"templateLocation":{"shape":"S43"},"tags":{"shape":"S1o"}}},"output":{"type":"structure","members":{"arn":{},"clientRequestToken":{},"createdAt":{"type":"timestamp"},"name":{},"tags":{"shape":"S1o"}}}},"DeleteFleet":{"http":{"requestUri":"/deleteFleet"},"input":{"type":"structure","required":["fleet"],"members":{"fleet":{}}},"output":{"type":"structure","members":{}}},"DeleteRobot":{"http":{"requestUri":"/deleteRobot"},"input":{"type":"structure","required":["robot"],"members":{"robot":{}}},"output":{"type":"structure","members":{}}},"DeleteRobotApplication":{"http":{"requestUri":"/deleteRobotApplication"},"input":{"type":"structure","required":["application"],"members":{"application":{},"applicationVersion":{}}},"output":{"type":"structure","members":{}}},"DeleteSimulationApplication":{"http":{"requestUri":"/deleteSimulationApplication"},"input":{"type":"structure","required":["application"],"members":{"application":{},"applicationVersion":{}}},"output":{"type":"structure","members":{}}},"DeleteWorldTemplate":{"http":{"requestUri":"/deleteWorldTemplate"},"input":{"type":"structure","required":["template"],"members":{"template":{}}},"output":{"type":"structure","members":{}}},"DeregisterRobot":{"http":{"requestUri":"/deregisterRobot"},"input":{"type":"structure","required":["fleet","robot"],"members":{"fleet":{},"robot":{}}},"output":{"type":"structure","members":{"fleet":{},"robot":{}}}},"DescribeDeploymentJob":{"http":{"requestUri":"/describeDeploymentJob"},"input":{"type":"structure","required":["job"],"members":{"job":{}}},"output":{"type":"structure","members":{"arn":{},"fleet":{},"status":{},"deploymentConfig":{"shape":"S2a"},"deploymentApplicationConfigs":{"shape":"S2e"},"failureReason":{},"failureCode":{},"createdAt":{"type":"timestamp"},"robotDeploymentSummary":{"type":"list","member":{"type":"structure","members":{"arn":{},"deploymentStartTime":{"type":"timestamp"},"deploymentFinishTime":{"type":"timestamp"},"status":{},"progressDetail":{"type":"structure","members":{"currentProgress":{},"percentDone":{"type":"float"},"estimatedTimeRemainingSeconds":{"type":"integer"},"targetResource":{}}},"failureReason":{},"failureCode":{}}}},"tags":{"shape":"S1o"}}}},"DescribeFleet":{"http":{"requestUri":"/describeFleet"},"input":{"type":"structure","required":["fleet"],"members":{"fleet":{}}},"output":{"type":"structure","members":{"name":{},"arn":{},"robots":{"shape":"S4s"},"createdAt":{"type":"timestamp"},"lastDeploymentStatus":{},"lastDeploymentJob":{},"lastDeploymentTime":{"type":"timestamp"},"tags":{"shape":"S1o"}}}},"DescribeRobot":{"http":{"requestUri":"/describeRobot"},"input":{"type":"structure","required":["robot"],"members":{"robot":{}}},"output":{"type":"structure","members":{"arn":{},"name":{},"fleetArn":{},"status":{},"greengrassGroupId":{},"createdAt":{"type":"timestamp"},"architecture":{},"lastDeploymentJob":{},"lastDeploymentTime":{"type":"timestamp"},"tags":{"shape":"S1o"}}}},"DescribeRobotApplication":{"http":{"requestUri":"/describeRobotApplication"},"input":{"type":"structure","required":["application"],"members":{"application":{},"applicationVersion":{}}},"output":{"type":"structure","members":{"arn":{},"name":{},"version":{},"sources":{"shape":"S31"},"robotSoftwareSuite":{"shape":"S2v"},"revisionId":{},"lastUpdatedAt":{"type":"timestamp"},"tags":{"shape":"S1o"},"environment":{"shape":"S2y"},"imageDigest":{}}}},"DescribeSimulationApplication":{"http":{"requestUri":"/describeSimulationApplication"},"input":{"type":"structure","required":["application"],"members":{"application":{},"applicationVersion":{}}},"output":{"type":"structure","members":{"arn":{},"name":{},"version":{},"sources":{"shape":"S31"},"simulationSoftwareSuite":{"shape":"S39"},"robotSoftwareSuite":{"shape":"S2v"},"renderingEngine":{"shape":"S3c"},"revisionId":{},"lastUpdatedAt":{"type":"timestamp"},"tags":{"shape":"S1o"},"environment":{"shape":"S2y"},"imageDigest":{}}}},"DescribeSimulationJob":{"http":{"requestUri":"/describeSimulationJob"},"input":{"type":"structure","required":["job"],"members":{"job":{}}},"output":{"type":"structure","members":{"arn":{},"name":{},"status":{},"lastStartedAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"failureBehavior":{},"failureCode":{},"failureReason":{},"clientRequestToken":{},"outputLocation":{"shape":"Sh"},"loggingConfig":{"shape":"Sk"},"maxJobDurationInSeconds":{"type":"long"},"simulationTimeMillis":{"type":"long"},"iamRole":{},"robotApplications":{"shape":"Sp"},"simulationApplications":{"shape":"S1d"},"dataSources":{"shape":"S1h"},"tags":{"shape":"S1o"},"vpcConfig":{"shape":"S1r"},"networkInterface":{"shape":"S1u"},"compute":{"shape":"S1v"}}}},"DescribeSimulationJobBatch":{"http":{"requestUri":"/describeSimulationJobBatch"},"input":{"type":"structure","required":["batch"],"members":{"batch":{}}},"output":{"type":"structure","members":{"arn":{},"status":{},"lastUpdatedAt":{"type":"timestamp"},"createdAt":{"type":"timestamp"},"clientRequestToken":{},"batchPolicy":{"shape":"S55"},"failureCode":{},"failureReason":{},"failedRequests":{"shape":"S59"},"pendingRequests":{"shape":"S5d"},"createdRequests":{"shape":"S5e"},"tags":{"shape":"S1o"}}}},"DescribeWorld":{"http":{"requestUri":"/describeWorld"},"input":{"type":"structure","required":["world"],"members":{"world":{}}},"output":{"type":"structure","members":{"arn":{},"generationJob":{},"template":{},"createdAt":{"type":"timestamp"},"tags":{"shape":"S1o"},"worldDescriptionBody":{}}}},"DescribeWorldExportJob":{"http":{"requestUri":"/describeWorldExportJob"},"input":{"type":"structure","required":["job"],"members":{"job":{}}},"output":{"type":"structure","members":{"arn":{},"status":{},"createdAt":{"type":"timestamp"},"failureCode":{},"failureReason":{},"clientRequestToken":{},"worlds":{"shape":"S2"},"outputLocation":{"shape":"Sh"},"iamRole":{},"tags":{"shape":"S1o"}}}},"DescribeWorldGenerationJob":{"http":{"requestUri":"/describeWorldGenerationJob"},"input":{"type":"structure","required":["job"],"members":{"job":{}}},"output":{"type":"structure","members":{"arn":{},"status":{},"createdAt":{"type":"timestamp"},"failureCode":{},"failureReason":{},"clientRequestToken":{},"template":{},"worldCount":{"shape":"S3u"},"finishedWorldsSummary":{"type":"structure","members":{"finishedCount":{"type":"integer"},"succeededWorlds":{"shape":"S2"},"failureSummary":{"type":"structure","members":{"totalFailureCount":{"type":"integer"},"failures":{"type":"list","member":{"type":"structure","members":{"failureCode":{},"sampleFailureReason":{},"failureCount":{"type":"integer"}}}}}}}},"tags":{"shape":"S1o"},"worldTags":{"shape":"S1o"}}}},"DescribeWorldTemplate":{"http":{"requestUri":"/describeWorldTemplate"},"input":{"type":"structure","required":["template"],"members":{"template":{}}},"output":{"type":"structure","members":{"arn":{},"clientRequestToken":{},"name":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"tags":{"shape":"S1o"},"version":{}}}},"GetWorldTemplateBody":{"http":{"requestUri":"/getWorldTemplateBody"},"input":{"type":"structure","members":{"template":{},"generationJob":{}}},"output":{"type":"structure","members":{"templateBody":{}}}},"ListDeploymentJobs":{"http":{"requestUri":"/listDeploymentJobs"},"input":{"type":"structure","members":{"filters":{"shape":"S5z"},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"deploymentJobs":{"type":"list","member":{"type":"structure","members":{"arn":{},"fleet":{},"status":{},"deploymentApplicationConfigs":{"shape":"S2e"},"deploymentConfig":{"shape":"S2a"},"failureReason":{},"failureCode":{},"createdAt":{"type":"timestamp"}}}},"nextToken":{}}}},"ListFleets":{"http":{"requestUri":"/listFleets"},"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"},"filters":{"shape":"S5z"}}},"output":{"type":"structure","members":{"fleetDetails":{"type":"list","member":{"type":"structure","members":{"name":{},"arn":{},"createdAt":{"type":"timestamp"},"lastDeploymentStatus":{},"lastDeploymentJob":{},"lastDeploymentTime":{"type":"timestamp"}}}},"nextToken":{}}}},"ListRobotApplications":{"http":{"requestUri":"/listRobotApplications"},"input":{"type":"structure","members":{"versionQualifier":{},"nextToken":{},"maxResults":{"type":"integer"},"filters":{"shape":"S5z"}}},"output":{"type":"structure","members":{"robotApplicationSummaries":{"type":"list","member":{"type":"structure","members":{"name":{},"arn":{},"version":{},"lastUpdatedAt":{"type":"timestamp"},"robotSoftwareSuite":{"shape":"S2v"}}}},"nextToken":{}}}},"ListRobots":{"http":{"requestUri":"/listRobots"},"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"},"filters":{"shape":"S5z"}}},"output":{"type":"structure","members":{"robots":{"shape":"S4s"},"nextToken":{}}}},"ListSimulationApplications":{"http":{"requestUri":"/listSimulationApplications"},"input":{"type":"structure","members":{"versionQualifier":{},"nextToken":{},"maxResults":{"type":"integer"},"filters":{"shape":"S5z"}}},"output":{"type":"structure","members":{"simulationApplicationSummaries":{"type":"list","member":{"type":"structure","members":{"name":{},"arn":{},"version":{},"lastUpdatedAt":{"type":"timestamp"},"robotSoftwareSuite":{"shape":"S2v"},"simulationSoftwareSuite":{"shape":"S39"}}}},"nextToken":{}}}},"ListSimulationJobBatches":{"http":{"requestUri":"/listSimulationJobBatches"},"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"},"filters":{"shape":"S5z"}}},"output":{"type":"structure","members":{"simulationJobBatchSummaries":{"type":"list","member":{"type":"structure","members":{"arn":{},"lastUpdatedAt":{"type":"timestamp"},"createdAt":{"type":"timestamp"},"status":{},"failedRequestCount":{"type":"integer"},"pendingRequestCount":{"type":"integer"},"createdRequestCount":{"type":"integer"}}}},"nextToken":{}}}},"ListSimulationJobs":{"http":{"requestUri":"/listSimulationJobs"},"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"},"filters":{"shape":"S5z"}}},"output":{"type":"structure","required":["simulationJobSummaries"],"members":{"simulationJobSummaries":{"shape":"S5e"},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S1o"}}}},"ListWorldExportJobs":{"http":{"requestUri":"/listWorldExportJobs"},"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"},"filters":{"shape":"S5z"}}},"output":{"type":"structure","required":["worldExportJobSummaries"],"members":{"worldExportJobSummaries":{"type":"list","member":{"type":"structure","members":{"arn":{},"status":{},"createdAt":{"type":"timestamp"},"worlds":{"shape":"S2"}}}},"nextToken":{}}}},"ListWorldGenerationJobs":{"http":{"requestUri":"/listWorldGenerationJobs"},"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"},"filters":{"shape":"S5z"}}},"output":{"type":"structure","required":["worldGenerationJobSummaries"],"members":{"worldGenerationJobSummaries":{"type":"list","member":{"type":"structure","members":{"arn":{},"template":{},"createdAt":{"type":"timestamp"},"status":{},"worldCount":{"shape":"S3u"},"succeededWorldCount":{"type":"integer"},"failedWorldCount":{"type":"integer"}}}},"nextToken":{}}}},"ListWorldTemplates":{"http":{"requestUri":"/listWorldTemplates"},"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"templateSummaries":{"type":"list","member":{"type":"structure","members":{"arn":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"name":{},"version":{}}}},"nextToken":{}}}},"ListWorlds":{"http":{"requestUri":"/listWorlds"},"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"},"filters":{"shape":"S5z"}}},"output":{"type":"structure","members":{"worldSummaries":{"type":"list","member":{"type":"structure","members":{"arn":{},"createdAt":{"type":"timestamp"},"generationJob":{},"template":{}}}},"nextToken":{}}}},"RegisterRobot":{"http":{"requestUri":"/registerRobot"},"input":{"type":"structure","required":["fleet","robot"],"members":{"fleet":{},"robot":{}}},"output":{"type":"structure","members":{"fleet":{},"robot":{}}}},"RestartSimulationJob":{"http":{"requestUri":"/restartSimulationJob"},"input":{"type":"structure","required":["job"],"members":{"job":{}}},"output":{"type":"structure","members":{}}},"StartSimulationJobBatch":{"http":{"requestUri":"/startSimulationJobBatch"},"input":{"type":"structure","required":["createSimulationJobRequests"],"members":{"clientRequestToken":{"idempotencyToken":true},"batchPolicy":{"shape":"S55"},"createSimulationJobRequests":{"shape":"S5d"},"tags":{"shape":"S1o"}}},"output":{"type":"structure","members":{"arn":{},"status":{},"createdAt":{"type":"timestamp"},"clientRequestToken":{},"batchPolicy":{"shape":"S55"},"failureCode":{},"failureReason":{},"failedRequests":{"shape":"S59"},"pendingRequests":{"shape":"S5d"},"createdRequests":{"shape":"S5e"},"tags":{"shape":"S1o"}}}},"SyncDeploymentJob":{"http":{"requestUri":"/syncDeploymentJob"},"input":{"type":"structure","required":["clientRequestToken","fleet"],"members":{"clientRequestToken":{"idempotencyToken":true},"fleet":{}}},"output":{"type":"structure","members":{"arn":{},"fleet":{},"status":{},"deploymentConfig":{"shape":"S2a"},"deploymentApplicationConfigs":{"shape":"S2e"},"failureReason":{},"failureCode":{},"createdAt":{"type":"timestamp"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S1o"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateRobotApplication":{"http":{"requestUri":"/updateRobotApplication"},"input":{"type":"structure","required":["application","robotSoftwareSuite"],"members":{"application":{},"sources":{"shape":"S2t"},"robotSoftwareSuite":{"shape":"S2v"},"currentRevisionId":{},"environment":{"shape":"S2y"}}},"output":{"type":"structure","members":{"arn":{},"name":{},"version":{},"sources":{"shape":"S31"},"robotSoftwareSuite":{"shape":"S2v"},"lastUpdatedAt":{"type":"timestamp"},"revisionId":{},"environment":{"shape":"S2y"}}}},"UpdateSimulationApplication":{"http":{"requestUri":"/updateSimulationApplication"},"input":{"type":"structure","required":["application","simulationSoftwareSuite","robotSoftwareSuite"],"members":{"application":{},"sources":{"shape":"S2t"},"simulationSoftwareSuite":{"shape":"S39"},"robotSoftwareSuite":{"shape":"S2v"},"renderingEngine":{"shape":"S3c"},"currentRevisionId":{},"environment":{"shape":"S2y"}}},"output":{"type":"structure","members":{"arn":{},"name":{},"version":{},"sources":{"shape":"S31"},"simulationSoftwareSuite":{"shape":"S39"},"robotSoftwareSuite":{"shape":"S2v"},"renderingEngine":{"shape":"S3c"},"lastUpdatedAt":{"type":"timestamp"},"revisionId":{},"environment":{"shape":"S2y"}}}},"UpdateWorldTemplate":{"http":{"requestUri":"/updateWorldTemplate"},"input":{"type":"structure","required":["template"],"members":{"template":{},"name":{},"templateBody":{},"templateLocation":{"shape":"S43"}}},"output":{"type":"structure","members":{"arn":{},"name":{},"createdAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"}}}}},"shapes":{"S2":{"type":"list","member":{}},"Sh":{"type":"structure","members":{"s3Bucket":{},"s3Prefix":{}}},"Sk":{"type":"structure","required":["recordAllRosTopics"],"members":{"recordAllRosTopics":{"type":"boolean"}}},"Sp":{"type":"list","member":{"type":"structure","required":["application","launchConfig"],"members":{"application":{},"applicationVersion":{},"launchConfig":{"shape":"Ss"},"uploadConfigurations":{"shape":"S15"},"useDefaultUploadConfigurations":{"type":"boolean"},"tools":{"shape":"S19"},"useDefaultTools":{"type":"boolean"}}}},"Ss":{"type":"structure","members":{"packageName":{},"launchFile":{},"environmentVariables":{"shape":"Su"},"portForwardingConfig":{"type":"structure","members":{"portMappings":{"type":"list","member":{"type":"structure","required":["jobPort","applicationPort"],"members":{"jobPort":{"type":"integer"},"applicationPort":{"type":"integer"},"enableOnPublicIp":{"type":"boolean"}}}}}},"streamUI":{"type":"boolean"},"command":{"type":"list","member":{}}}},"Su":{"type":"map","key":{},"value":{}},"S15":{"type":"list","member":{"type":"structure","required":["name","path","uploadBehavior"],"members":{"name":{},"path":{},"uploadBehavior":{}}}},"S19":{"type":"list","member":{"type":"structure","required":["name","command"],"members":{"streamUI":{"type":"boolean"},"name":{},"command":{},"streamOutputToCloudWatch":{"type":"boolean"},"exitBehavior":{}}}},"S1d":{"type":"list","member":{"type":"structure","required":["application","launchConfig"],"members":{"application":{},"applicationVersion":{},"launchConfig":{"shape":"Ss"},"uploadConfigurations":{"shape":"S15"},"worldConfigs":{"type":"list","member":{"type":"structure","members":{"world":{}}}},"useDefaultUploadConfigurations":{"type":"boolean"},"tools":{"shape":"S19"},"useDefaultTools":{"type":"boolean"}}}},"S1h":{"type":"list","member":{"type":"structure","members":{"name":{},"s3Bucket":{},"s3Keys":{"type":"list","member":{"type":"structure","members":{"s3Key":{},"etag":{}}}},"type":{},"destination":{}}}},"S1o":{"type":"map","key":{},"value":{}},"S1r":{"type":"structure","members":{"subnets":{"shape":"S1s"},"securityGroups":{"shape":"S1t"},"vpcId":{},"assignPublicIp":{"type":"boolean"}}},"S1s":{"type":"list","member":{}},"S1t":{"type":"list","member":{}},"S1u":{"type":"structure","members":{"networkInterfaceId":{},"privateIpAddress":{},"publicIpAddress":{}}},"S1v":{"type":"structure","members":{"simulationUnitLimit":{"type":"integer"},"computeType":{},"gpuUnitLimit":{"type":"integer"}}},"S2a":{"type":"structure","members":{"concurrentDeploymentPercentage":{"type":"integer"},"failureThresholdPercentage":{"type":"integer"},"robotDeploymentTimeoutInSeconds":{"type":"long"},"downloadConditionFile":{"type":"structure","required":["bucket","key"],"members":{"bucket":{},"key":{},"etag":{}}}}},"S2e":{"type":"list","member":{"type":"structure","required":["application","applicationVersion","launchConfig"],"members":{"application":{},"applicationVersion":{},"launchConfig":{"type":"structure","required":["packageName","launchFile"],"members":{"packageName":{},"preLaunchFile":{},"launchFile":{},"postLaunchFile":{},"environmentVariables":{"shape":"Su"}}}}}},"S2t":{"type":"list","member":{"type":"structure","members":{"s3Bucket":{},"s3Key":{},"architecture":{}}}},"S2v":{"type":"structure","members":{"name":{},"version":{}}},"S2y":{"type":"structure","members":{"uri":{}}},"S31":{"type":"list","member":{"type":"structure","members":{"s3Bucket":{},"s3Key":{},"etag":{},"architecture":{}}}},"S35":{"type":"list","member":{}},"S39":{"type":"structure","members":{"name":{},"version":{}}},"S3c":{"type":"structure","members":{"name":{},"version":{}}},"S3j":{"type":"list","member":{"type":"structure","required":["name","s3Bucket","s3Keys"],"members":{"name":{},"s3Bucket":{},"s3Keys":{"type":"list","member":{}},"type":{},"destination":{}}}},"S3m":{"type":"structure","required":["subnets"],"members":{"subnets":{"shape":"S1s"},"securityGroups":{"shape":"S1t"},"assignPublicIp":{"type":"boolean"}}},"S3n":{"type":"structure","members":{"simulationUnitLimit":{"type":"integer"},"computeType":{},"gpuUnitLimit":{"type":"integer"}}},"S3u":{"type":"structure","members":{"floorplanCount":{"type":"integer"},"interiorCountPerFloorplan":{"type":"integer"}}},"S43":{"type":"structure","required":["s3Bucket","s3Key"],"members":{"s3Bucket":{},"s3Key":{}}},"S4s":{"type":"list","member":{"type":"structure","members":{"arn":{},"name":{},"fleetArn":{},"status":{},"greenGrassGroupId":{},"createdAt":{"type":"timestamp"},"architecture":{},"lastDeploymentJob":{},"lastDeploymentTime":{"type":"timestamp"}}}},"S55":{"type":"structure","members":{"timeoutInSeconds":{"type":"long"},"maxConcurrency":{"type":"integer"}}},"S59":{"type":"list","member":{"type":"structure","members":{"request":{"shape":"S5b"},"failureReason":{},"failureCode":{},"failedAt":{"type":"timestamp"}}}},"S5b":{"type":"structure","required":["maxJobDurationInSeconds"],"members":{"outputLocation":{"shape":"Sh"},"loggingConfig":{"shape":"Sk"},"maxJobDurationInSeconds":{"type":"long"},"iamRole":{},"failureBehavior":{},"useDefaultApplications":{"type":"boolean"},"robotApplications":{"shape":"Sp"},"simulationApplications":{"shape":"S1d"},"dataSources":{"shape":"S3j"},"vpcConfig":{"shape":"S3m"},"compute":{"shape":"S3n"},"tags":{"shape":"S1o"}}},"S5d":{"type":"list","member":{"shape":"S5b"}},"S5e":{"type":"list","member":{"type":"structure","members":{"arn":{},"lastUpdatedAt":{"type":"timestamp"},"name":{},"status":{},"simulationApplicationNames":{"type":"list","member":{}},"robotApplicationNames":{"type":"list","member":{}},"dataSourceNames":{"type":"list","member":{}},"computeType":{}}}},"S5z":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"type":"list","member":{}}}}}}}');

/***/ }),

/***/ 43495:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDeploymentJobs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"deploymentJobs"},"ListFleets":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"fleetDetails"},"ListRobotApplications":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"robotApplicationSummaries"},"ListRobots":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"robots"},"ListSimulationApplications":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"simulationApplicationSummaries"},"ListSimulationJobBatches":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"simulationJobBatchSummaries"},"ListSimulationJobs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"simulationJobSummaries"},"ListWorldExportJobs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"worldExportJobSummaries"},"ListWorldGenerationJobs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"worldGenerationJobSummaries"},"ListWorldTemplates":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"templateSummaries"},"ListWorlds":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"worldSummaries"}}}');

/***/ }),

/***/ 20959:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2013-04-01","endpointPrefix":"route53","globalEndpoint":"route53.amazonaws.com","protocol":"rest-xml","serviceAbbreviation":"Route 53","serviceFullName":"Amazon Route 53","serviceId":"Route 53","signatureVersion":"v4","uid":"route53-2013-04-01"},"operations":{"ActivateKeySigningKey":{"http":{"requestUri":"/2013-04-01/keysigningkey/{HostedZoneId}/{Name}/activate"},"input":{"type":"structure","required":["HostedZoneId","Name"],"members":{"HostedZoneId":{"location":"uri","locationName":"HostedZoneId"},"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","required":["ChangeInfo"],"members":{"ChangeInfo":{"shape":"S5"}}}},"AssociateVPCWithHostedZone":{"http":{"requestUri":"/2013-04-01/hostedzone/{Id}/associatevpc"},"input":{"locationName":"AssociateVPCWithHostedZoneRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["HostedZoneId","VPC"],"members":{"HostedZoneId":{"location":"uri","locationName":"Id"},"VPC":{"shape":"Sa"},"Comment":{}}},"output":{"type":"structure","required":["ChangeInfo"],"members":{"ChangeInfo":{"shape":"S5"}}}},"ChangeResourceRecordSets":{"http":{"requestUri":"/2013-04-01/hostedzone/{Id}/rrset/"},"input":{"locationName":"ChangeResourceRecordSetsRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["HostedZoneId","ChangeBatch"],"members":{"HostedZoneId":{"location":"uri","locationName":"Id"},"ChangeBatch":{"type":"structure","required":["Changes"],"members":{"Comment":{},"Changes":{"type":"list","member":{"locationName":"Change","type":"structure","required":["Action","ResourceRecordSet"],"members":{"Action":{},"ResourceRecordSet":{"shape":"Sk"}}}}}}}},"output":{"type":"structure","required":["ChangeInfo"],"members":{"ChangeInfo":{"shape":"S5"}}}},"ChangeTagsForResource":{"http":{"requestUri":"/2013-04-01/tags/{ResourceType}/{ResourceId}"},"input":{"locationName":"ChangeTagsForResourceRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["ResourceType","ResourceId"],"members":{"ResourceType":{"location":"uri","locationName":"ResourceType"},"ResourceId":{"location":"uri","locationName":"ResourceId"},"AddTags":{"shape":"S18"},"RemoveTagKeys":{"type":"list","member":{"locationName":"Key"}}}},"output":{"type":"structure","members":{}}},"CreateHealthCheck":{"http":{"requestUri":"/2013-04-01/healthcheck","responseCode":201},"input":{"locationName":"CreateHealthCheckRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["CallerReference","HealthCheckConfig"],"members":{"CallerReference":{},"HealthCheckConfig":{"shape":"S1g"}}},"output":{"type":"structure","required":["HealthCheck","Location"],"members":{"HealthCheck":{"shape":"S23"},"Location":{"location":"header","locationName":"Location"}}}},"CreateHostedZone":{"http":{"requestUri":"/2013-04-01/hostedzone","responseCode":201},"input":{"locationName":"CreateHostedZoneRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["Name","CallerReference"],"members":{"Name":{},"VPC":{"shape":"Sa"},"CallerReference":{},"HostedZoneConfig":{"shape":"S2l"},"DelegationSetId":{}}},"output":{"type":"structure","required":["HostedZone","ChangeInfo","DelegationSet","Location"],"members":{"HostedZone":{"shape":"S2o"},"ChangeInfo":{"shape":"S5"},"DelegationSet":{"shape":"S2q"},"VPC":{"shape":"Sa"},"Location":{"location":"header","locationName":"Location"}}}},"CreateKeySigningKey":{"http":{"requestUri":"/2013-04-01/keysigningkey","responseCode":201},"input":{"locationName":"CreateKeySigningKeyRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["CallerReference","HostedZoneId","KeyManagementServiceArn","Name","Status"],"members":{"CallerReference":{},"HostedZoneId":{},"KeyManagementServiceArn":{},"Name":{},"Status":{}}},"output":{"type":"structure","required":["ChangeInfo","KeySigningKey","Location"],"members":{"ChangeInfo":{"shape":"S5"},"KeySigningKey":{"shape":"S2w"},"Location":{"location":"header","locationName":"Location"}}}},"CreateQueryLoggingConfig":{"http":{"requestUri":"/2013-04-01/queryloggingconfig","responseCode":201},"input":{"locationName":"CreateQueryLoggingConfigRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["HostedZoneId","CloudWatchLogsLogGroupArn"],"members":{"HostedZoneId":{},"CloudWatchLogsLogGroupArn":{}}},"output":{"type":"structure","required":["QueryLoggingConfig","Location"],"members":{"QueryLoggingConfig":{"shape":"S33"},"Location":{"location":"header","locationName":"Location"}}}},"CreateReusableDelegationSet":{"http":{"requestUri":"/2013-04-01/delegationset","responseCode":201},"input":{"locationName":"CreateReusableDelegationSetRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["CallerReference"],"members":{"CallerReference":{},"HostedZoneId":{}}},"output":{"type":"structure","required":["DelegationSet","Location"],"members":{"DelegationSet":{"shape":"S2q"},"Location":{"location":"header","locationName":"Location"}}}},"CreateTrafficPolicy":{"http":{"requestUri":"/2013-04-01/trafficpolicy","responseCode":201},"input":{"locationName":"CreateTrafficPolicyRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["Name","Document"],"members":{"Name":{},"Document":{},"Comment":{}}},"output":{"type":"structure","required":["TrafficPolicy","Location"],"members":{"TrafficPolicy":{"shape":"S3c"},"Location":{"location":"header","locationName":"Location"}}}},"CreateTrafficPolicyInstance":{"http":{"requestUri":"/2013-04-01/trafficpolicyinstance","responseCode":201},"input":{"locationName":"CreateTrafficPolicyInstanceRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["HostedZoneId","Name","TTL","TrafficPolicyId","TrafficPolicyVersion"],"members":{"HostedZoneId":{},"Name":{},"TTL":{"type":"long"},"TrafficPolicyId":{},"TrafficPolicyVersion":{"type":"integer"}}},"output":{"type":"structure","required":["TrafficPolicyInstance","Location"],"members":{"TrafficPolicyInstance":{"shape":"S3h"},"Location":{"location":"header","locationName":"Location"}}}},"CreateTrafficPolicyVersion":{"http":{"requestUri":"/2013-04-01/trafficpolicy/{Id}","responseCode":201},"input":{"locationName":"CreateTrafficPolicyVersionRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["Id","Document"],"members":{"Id":{"location":"uri","locationName":"Id"},"Document":{},"Comment":{}}},"output":{"type":"structure","required":["TrafficPolicy","Location"],"members":{"TrafficPolicy":{"shape":"S3c"},"Location":{"location":"header","locationName":"Location"}}}},"CreateVPCAssociationAuthorization":{"http":{"requestUri":"/2013-04-01/hostedzone/{Id}/authorizevpcassociation"},"input":{"locationName":"CreateVPCAssociationAuthorizationRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["HostedZoneId","VPC"],"members":{"HostedZoneId":{"location":"uri","locationName":"Id"},"VPC":{"shape":"Sa"}}},"output":{"type":"structure","required":["HostedZoneId","VPC"],"members":{"HostedZoneId":{},"VPC":{"shape":"Sa"}}}},"DeactivateKeySigningKey":{"http":{"requestUri":"/2013-04-01/keysigningkey/{HostedZoneId}/{Name}/deactivate"},"input":{"type":"structure","required":["HostedZoneId","Name"],"members":{"HostedZoneId":{"location":"uri","locationName":"HostedZoneId"},"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","required":["ChangeInfo"],"members":{"ChangeInfo":{"shape":"S5"}}}},"DeleteHealthCheck":{"http":{"method":"DELETE","requestUri":"/2013-04-01/healthcheck/{HealthCheckId}"},"input":{"type":"structure","required":["HealthCheckId"],"members":{"HealthCheckId":{"location":"uri","locationName":"HealthCheckId"}}},"output":{"type":"structure","members":{}}},"DeleteHostedZone":{"http":{"method":"DELETE","requestUri":"/2013-04-01/hostedzone/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","required":["ChangeInfo"],"members":{"ChangeInfo":{"shape":"S5"}}}},"DeleteKeySigningKey":{"http":{"method":"DELETE","requestUri":"/2013-04-01/keysigningkey/{HostedZoneId}/{Name}"},"input":{"type":"structure","required":["HostedZoneId","Name"],"members":{"HostedZoneId":{"location":"uri","locationName":"HostedZoneId"},"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","required":["ChangeInfo"],"members":{"ChangeInfo":{"shape":"S5"}}}},"DeleteQueryLoggingConfig":{"http":{"method":"DELETE","requestUri":"/2013-04-01/queryloggingconfig/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DeleteReusableDelegationSet":{"http":{"method":"DELETE","requestUri":"/2013-04-01/delegationset/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DeleteTrafficPolicy":{"http":{"method":"DELETE","requestUri":"/2013-04-01/trafficpolicy/{Id}/{Version}"},"input":{"type":"structure","required":["Id","Version"],"members":{"Id":{"location":"uri","locationName":"Id"},"Version":{"location":"uri","locationName":"Version","type":"integer"}}},"output":{"type":"structure","members":{}}},"DeleteTrafficPolicyInstance":{"http":{"method":"DELETE","requestUri":"/2013-04-01/trafficpolicyinstance/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","members":{}}},"DeleteVPCAssociationAuthorization":{"http":{"requestUri":"/2013-04-01/hostedzone/{Id}/deauthorizevpcassociation"},"input":{"locationName":"DeleteVPCAssociationAuthorizationRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["HostedZoneId","VPC"],"members":{"HostedZoneId":{"location":"uri","locationName":"Id"},"VPC":{"shape":"Sa"}}},"output":{"type":"structure","members":{}}},"DisableHostedZoneDNSSEC":{"http":{"requestUri":"/2013-04-01/hostedzone/{Id}/disable-dnssec"},"input":{"type":"structure","required":["HostedZoneId"],"members":{"HostedZoneId":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","required":["ChangeInfo"],"members":{"ChangeInfo":{"shape":"S5"}}}},"DisassociateVPCFromHostedZone":{"http":{"requestUri":"/2013-04-01/hostedzone/{Id}/disassociatevpc"},"input":{"locationName":"DisassociateVPCFromHostedZoneRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["HostedZoneId","VPC"],"members":{"HostedZoneId":{"location":"uri","locationName":"Id"},"VPC":{"shape":"Sa"},"Comment":{}}},"output":{"type":"structure","required":["ChangeInfo"],"members":{"ChangeInfo":{"shape":"S5"}}}},"EnableHostedZoneDNSSEC":{"http":{"requestUri":"/2013-04-01/hostedzone/{Id}/enable-dnssec"},"input":{"type":"structure","required":["HostedZoneId"],"members":{"HostedZoneId":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","required":["ChangeInfo"],"members":{"ChangeInfo":{"shape":"S5"}}}},"GetAccountLimit":{"http":{"method":"GET","requestUri":"/2013-04-01/accountlimit/{Type}"},"input":{"type":"structure","required":["Type"],"members":{"Type":{"location":"uri","locationName":"Type"}}},"output":{"type":"structure","required":["Limit","Count"],"members":{"Limit":{"type":"structure","required":["Type","Value"],"members":{"Type":{},"Value":{"type":"long"}}},"Count":{"type":"long"}}}},"GetChange":{"http":{"method":"GET","requestUri":"/2013-04-01/change/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","required":["ChangeInfo"],"members":{"ChangeInfo":{"shape":"S5"}}}},"GetCheckerIpRanges":{"http":{"method":"GET","requestUri":"/2013-04-01/checkeripranges"},"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["CheckerIpRanges"],"members":{"CheckerIpRanges":{"type":"list","member":{}}}}},"GetDNSSEC":{"http":{"method":"GET","requestUri":"/2013-04-01/hostedzone/{Id}/dnssec"},"input":{"type":"structure","required":["HostedZoneId"],"members":{"HostedZoneId":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","required":["Status","KeySigningKeys"],"members":{"Status":{"type":"structure","members":{"ServeSignature":{},"StatusMessage":{}}},"KeySigningKeys":{"type":"list","member":{"shape":"S2w"}}}}},"GetGeoLocation":{"http":{"method":"GET","requestUri":"/2013-04-01/geolocation"},"input":{"type":"structure","members":{"ContinentCode":{"location":"querystring","locationName":"continentcode"},"CountryCode":{"location":"querystring","locationName":"countrycode"},"SubdivisionCode":{"location":"querystring","locationName":"subdivisioncode"}}},"output":{"type":"structure","required":["GeoLocationDetails"],"members":{"GeoLocationDetails":{"shape":"S4w"}}}},"GetHealthCheck":{"http":{"method":"GET","requestUri":"/2013-04-01/healthcheck/{HealthCheckId}"},"input":{"type":"structure","required":["HealthCheckId"],"members":{"HealthCheckId":{"location":"uri","locationName":"HealthCheckId"}}},"output":{"type":"structure","required":["HealthCheck"],"members":{"HealthCheck":{"shape":"S23"}}}},"GetHealthCheckCount":{"http":{"method":"GET","requestUri":"/2013-04-01/healthcheckcount"},"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["HealthCheckCount"],"members":{"HealthCheckCount":{"type":"long"}}}},"GetHealthCheckLastFailureReason":{"http":{"method":"GET","requestUri":"/2013-04-01/healthcheck/{HealthCheckId}/lastfailurereason"},"input":{"type":"structure","required":["HealthCheckId"],"members":{"HealthCheckId":{"location":"uri","locationName":"HealthCheckId"}}},"output":{"type":"structure","required":["HealthCheckObservations"],"members":{"HealthCheckObservations":{"shape":"S57"}}}},"GetHealthCheckStatus":{"http":{"method":"GET","requestUri":"/2013-04-01/healthcheck/{HealthCheckId}/status"},"input":{"type":"structure","required":["HealthCheckId"],"members":{"HealthCheckId":{"location":"uri","locationName":"HealthCheckId"}}},"output":{"type":"structure","required":["HealthCheckObservations"],"members":{"HealthCheckObservations":{"shape":"S57"}}}},"GetHostedZone":{"http":{"method":"GET","requestUri":"/2013-04-01/hostedzone/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","required":["HostedZone"],"members":{"HostedZone":{"shape":"S2o"},"DelegationSet":{"shape":"S2q"},"VPCs":{"shape":"S5f"}}}},"GetHostedZoneCount":{"http":{"method":"GET","requestUri":"/2013-04-01/hostedzonecount"},"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["HostedZoneCount"],"members":{"HostedZoneCount":{"type":"long"}}}},"GetHostedZoneLimit":{"http":{"method":"GET","requestUri":"/2013-04-01/hostedzonelimit/{Id}/{Type}"},"input":{"type":"structure","required":["Type","HostedZoneId"],"members":{"Type":{"location":"uri","locationName":"Type"},"HostedZoneId":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","required":["Limit","Count"],"members":{"Limit":{"type":"structure","required":["Type","Value"],"members":{"Type":{},"Value":{"type":"long"}}},"Count":{"type":"long"}}}},"GetQueryLoggingConfig":{"http":{"method":"GET","requestUri":"/2013-04-01/queryloggingconfig/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","required":["QueryLoggingConfig"],"members":{"QueryLoggingConfig":{"shape":"S33"}}}},"GetReusableDelegationSet":{"http":{"method":"GET","requestUri":"/2013-04-01/delegationset/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","required":["DelegationSet"],"members":{"DelegationSet":{"shape":"S2q"}}}},"GetReusableDelegationSetLimit":{"http":{"method":"GET","requestUri":"/2013-04-01/reusabledelegationsetlimit/{Id}/{Type}"},"input":{"type":"structure","required":["Type","DelegationSetId"],"members":{"Type":{"location":"uri","locationName":"Type"},"DelegationSetId":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","required":["Limit","Count"],"members":{"Limit":{"type":"structure","required":["Type","Value"],"members":{"Type":{},"Value":{"type":"long"}}},"Count":{"type":"long"}}}},"GetTrafficPolicy":{"http":{"method":"GET","requestUri":"/2013-04-01/trafficpolicy/{Id}/{Version}"},"input":{"type":"structure","required":["Id","Version"],"members":{"Id":{"location":"uri","locationName":"Id"},"Version":{"location":"uri","locationName":"Version","type":"integer"}}},"output":{"type":"structure","required":["TrafficPolicy"],"members":{"TrafficPolicy":{"shape":"S3c"}}}},"GetTrafficPolicyInstance":{"http":{"method":"GET","requestUri":"/2013-04-01/trafficpolicyinstance/{Id}"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"}}},"output":{"type":"structure","required":["TrafficPolicyInstance"],"members":{"TrafficPolicyInstance":{"shape":"S3h"}}}},"GetTrafficPolicyInstanceCount":{"http":{"method":"GET","requestUri":"/2013-04-01/trafficpolicyinstancecount"},"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["TrafficPolicyInstanceCount"],"members":{"TrafficPolicyInstanceCount":{"type":"integer"}}}},"ListGeoLocations":{"http":{"method":"GET","requestUri":"/2013-04-01/geolocations"},"input":{"type":"structure","members":{"StartContinentCode":{"location":"querystring","locationName":"startcontinentcode"},"StartCountryCode":{"location":"querystring","locationName":"startcountrycode"},"StartSubdivisionCode":{"location":"querystring","locationName":"startsubdivisioncode"},"MaxItems":{"location":"querystring","locationName":"maxitems"}}},"output":{"type":"structure","required":["GeoLocationDetailsList","IsTruncated","MaxItems"],"members":{"GeoLocationDetailsList":{"type":"list","member":{"shape":"S4w","locationName":"GeoLocationDetails"}},"IsTruncated":{"type":"boolean"},"NextContinentCode":{},"NextCountryCode":{},"NextSubdivisionCode":{},"MaxItems":{}}}},"ListHealthChecks":{"http":{"method":"GET","requestUri":"/2013-04-01/healthcheck"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"marker"},"MaxItems":{"location":"querystring","locationName":"maxitems"}}},"output":{"type":"structure","required":["HealthChecks","Marker","IsTruncated","MaxItems"],"members":{"HealthChecks":{"type":"list","member":{"shape":"S23","locationName":"HealthCheck"}},"Marker":{},"IsTruncated":{"type":"boolean"},"NextMarker":{},"MaxItems":{}}}},"ListHostedZones":{"http":{"method":"GET","requestUri":"/2013-04-01/hostedzone"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"marker"},"MaxItems":{"location":"querystring","locationName":"maxitems"},"DelegationSetId":{"location":"querystring","locationName":"delegationsetid"}}},"output":{"type":"structure","required":["HostedZones","Marker","IsTruncated","MaxItems"],"members":{"HostedZones":{"shape":"S6d"},"Marker":{},"IsTruncated":{"type":"boolean"},"NextMarker":{},"MaxItems":{}}}},"ListHostedZonesByName":{"http":{"method":"GET","requestUri":"/2013-04-01/hostedzonesbyname"},"input":{"type":"structure","members":{"DNSName":{"location":"querystring","locationName":"dnsname"},"HostedZoneId":{"location":"querystring","locationName":"hostedzoneid"},"MaxItems":{"location":"querystring","locationName":"maxitems"}}},"output":{"type":"structure","required":["HostedZones","IsTruncated","MaxItems"],"members":{"HostedZones":{"shape":"S6d"},"DNSName":{},"HostedZoneId":{},"IsTruncated":{"type":"boolean"},"NextDNSName":{},"NextHostedZoneId":{},"MaxItems":{}}}},"ListHostedZonesByVPC":{"http":{"method":"GET","requestUri":"/2013-04-01/hostedzonesbyvpc"},"input":{"type":"structure","required":["VPCId","VPCRegion"],"members":{"VPCId":{"location":"querystring","locationName":"vpcid"},"VPCRegion":{"location":"querystring","locationName":"vpcregion"},"MaxItems":{"location":"querystring","locationName":"maxitems"},"NextToken":{"location":"querystring","locationName":"nexttoken"}}},"output":{"type":"structure","required":["HostedZoneSummaries","MaxItems"],"members":{"HostedZoneSummaries":{"type":"list","member":{"locationName":"HostedZoneSummary","type":"structure","required":["HostedZoneId","Name","Owner"],"members":{"HostedZoneId":{},"Name":{},"Owner":{"type":"structure","members":{"OwningAccount":{},"OwningService":{}}}}}},"MaxItems":{},"NextToken":{}}}},"ListQueryLoggingConfigs":{"http":{"method":"GET","requestUri":"/2013-04-01/queryloggingconfig"},"input":{"type":"structure","members":{"HostedZoneId":{"location":"querystring","locationName":"hostedzoneid"},"NextToken":{"location":"querystring","locationName":"nexttoken"},"MaxResults":{"location":"querystring","locationName":"maxresults"}}},"output":{"type":"structure","required":["QueryLoggingConfigs"],"members":{"QueryLoggingConfigs":{"type":"list","member":{"shape":"S33","locationName":"QueryLoggingConfig"}},"NextToken":{}}}},"ListResourceRecordSets":{"http":{"method":"GET","requestUri":"/2013-04-01/hostedzone/{Id}/rrset"},"input":{"type":"structure","required":["HostedZoneId"],"members":{"HostedZoneId":{"location":"uri","locationName":"Id"},"StartRecordName":{"location":"querystring","locationName":"name"},"StartRecordType":{"location":"querystring","locationName":"type"},"StartRecordIdentifier":{"location":"querystring","locationName":"identifier"},"MaxItems":{"location":"querystring","locationName":"maxitems"}}},"output":{"type":"structure","required":["ResourceRecordSets","IsTruncated","MaxItems"],"members":{"ResourceRecordSets":{"type":"list","member":{"shape":"Sk","locationName":"ResourceRecordSet"}},"IsTruncated":{"type":"boolean"},"NextRecordName":{},"NextRecordType":{},"NextRecordIdentifier":{},"MaxItems":{}}}},"ListReusableDelegationSets":{"http":{"method":"GET","requestUri":"/2013-04-01/delegationset"},"input":{"type":"structure","members":{"Marker":{"location":"querystring","locationName":"marker"},"MaxItems":{"location":"querystring","locationName":"maxitems"}}},"output":{"type":"structure","required":["DelegationSets","Marker","IsTruncated","MaxItems"],"members":{"DelegationSets":{"type":"list","member":{"shape":"S2q","locationName":"DelegationSet"}},"Marker":{},"IsTruncated":{"type":"boolean"},"NextMarker":{},"MaxItems":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/2013-04-01/tags/{ResourceType}/{ResourceId}"},"input":{"type":"structure","required":["ResourceType","ResourceId"],"members":{"ResourceType":{"location":"uri","locationName":"ResourceType"},"ResourceId":{"location":"uri","locationName":"ResourceId"}}},"output":{"type":"structure","required":["ResourceTagSet"],"members":{"ResourceTagSet":{"shape":"S70"}}}},"ListTagsForResources":{"http":{"requestUri":"/2013-04-01/tags/{ResourceType}"},"input":{"locationName":"ListTagsForResourcesRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["ResourceType","ResourceIds"],"members":{"ResourceType":{"location":"uri","locationName":"ResourceType"},"ResourceIds":{"type":"list","member":{"locationName":"ResourceId"}}}},"output":{"type":"structure","required":["ResourceTagSets"],"members":{"ResourceTagSets":{"type":"list","member":{"shape":"S70","locationName":"ResourceTagSet"}}}}},"ListTrafficPolicies":{"http":{"method":"GET","requestUri":"/2013-04-01/trafficpolicies"},"input":{"type":"structure","members":{"TrafficPolicyIdMarker":{"location":"querystring","locationName":"trafficpolicyid"},"MaxItems":{"location":"querystring","locationName":"maxitems"}}},"output":{"type":"structure","required":["TrafficPolicySummaries","IsTruncated","TrafficPolicyIdMarker","MaxItems"],"members":{"TrafficPolicySummaries":{"type":"list","member":{"locationName":"TrafficPolicySummary","type":"structure","required":["Id","Name","Type","LatestVersion","TrafficPolicyCount"],"members":{"Id":{},"Name":{},"Type":{},"LatestVersion":{"type":"integer"},"TrafficPolicyCount":{"type":"integer"}}}},"IsTruncated":{"type":"boolean"},"TrafficPolicyIdMarker":{},"MaxItems":{}}}},"ListTrafficPolicyInstances":{"http":{"method":"GET","requestUri":"/2013-04-01/trafficpolicyinstances"},"input":{"type":"structure","members":{"HostedZoneIdMarker":{"location":"querystring","locationName":"hostedzoneid"},"TrafficPolicyInstanceNameMarker":{"location":"querystring","locationName":"trafficpolicyinstancename"},"TrafficPolicyInstanceTypeMarker":{"location":"querystring","locationName":"trafficpolicyinstancetype"},"MaxItems":{"location":"querystring","locationName":"maxitems"}}},"output":{"type":"structure","required":["TrafficPolicyInstances","IsTruncated","MaxItems"],"members":{"TrafficPolicyInstances":{"shape":"S7b"},"HostedZoneIdMarker":{},"TrafficPolicyInstanceNameMarker":{},"TrafficPolicyInstanceTypeMarker":{},"IsTruncated":{"type":"boolean"},"MaxItems":{}}}},"ListTrafficPolicyInstancesByHostedZone":{"http":{"method":"GET","requestUri":"/2013-04-01/trafficpolicyinstances/hostedzone"},"input":{"type":"structure","required":["HostedZoneId"],"members":{"HostedZoneId":{"location":"querystring","locationName":"id"},"TrafficPolicyInstanceNameMarker":{"location":"querystring","locationName":"trafficpolicyinstancename"},"TrafficPolicyInstanceTypeMarker":{"location":"querystring","locationName":"trafficpolicyinstancetype"},"MaxItems":{"location":"querystring","locationName":"maxitems"}}},"output":{"type":"structure","required":["TrafficPolicyInstances","IsTruncated","MaxItems"],"members":{"TrafficPolicyInstances":{"shape":"S7b"},"TrafficPolicyInstanceNameMarker":{},"TrafficPolicyInstanceTypeMarker":{},"IsTruncated":{"type":"boolean"},"MaxItems":{}}}},"ListTrafficPolicyInstancesByPolicy":{"http":{"method":"GET","requestUri":"/2013-04-01/trafficpolicyinstances/trafficpolicy"},"input":{"type":"structure","required":["TrafficPolicyId","TrafficPolicyVersion"],"members":{"TrafficPolicyId":{"location":"querystring","locationName":"id"},"TrafficPolicyVersion":{"location":"querystring","locationName":"version","type":"integer"},"HostedZoneIdMarker":{"location":"querystring","locationName":"hostedzoneid"},"TrafficPolicyInstanceNameMarker":{"location":"querystring","locationName":"trafficpolicyinstancename"},"TrafficPolicyInstanceTypeMarker":{"location":"querystring","locationName":"trafficpolicyinstancetype"},"MaxItems":{"location":"querystring","locationName":"maxitems"}}},"output":{"type":"structure","required":["TrafficPolicyInstances","IsTruncated","MaxItems"],"members":{"TrafficPolicyInstances":{"shape":"S7b"},"HostedZoneIdMarker":{},"TrafficPolicyInstanceNameMarker":{},"TrafficPolicyInstanceTypeMarker":{},"IsTruncated":{"type":"boolean"},"MaxItems":{}}}},"ListTrafficPolicyVersions":{"http":{"method":"GET","requestUri":"/2013-04-01/trafficpolicies/{Id}/versions"},"input":{"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"TrafficPolicyVersionMarker":{"location":"querystring","locationName":"trafficpolicyversion"},"MaxItems":{"location":"querystring","locationName":"maxitems"}}},"output":{"type":"structure","required":["TrafficPolicies","IsTruncated","TrafficPolicyVersionMarker","MaxItems"],"members":{"TrafficPolicies":{"type":"list","member":{"shape":"S3c","locationName":"TrafficPolicy"}},"IsTruncated":{"type":"boolean"},"TrafficPolicyVersionMarker":{},"MaxItems":{}}}},"ListVPCAssociationAuthorizations":{"http":{"method":"GET","requestUri":"/2013-04-01/hostedzone/{Id}/authorizevpcassociation"},"input":{"type":"structure","required":["HostedZoneId"],"members":{"HostedZoneId":{"location":"uri","locationName":"Id"},"NextToken":{"location":"querystring","locationName":"nexttoken"},"MaxResults":{"location":"querystring","locationName":"maxresults"}}},"output":{"type":"structure","required":["HostedZoneId","VPCs"],"members":{"HostedZoneId":{},"NextToken":{},"VPCs":{"shape":"S5f"}}}},"TestDNSAnswer":{"http":{"method":"GET","requestUri":"/2013-04-01/testdnsanswer"},"input":{"type":"structure","required":["HostedZoneId","RecordName","RecordType"],"members":{"HostedZoneId":{"location":"querystring","locationName":"hostedzoneid"},"RecordName":{"location":"querystring","locationName":"recordname"},"RecordType":{"location":"querystring","locationName":"recordtype"},"ResolverIP":{"location":"querystring","locationName":"resolverip"},"EDNS0ClientSubnetIP":{"location":"querystring","locationName":"edns0clientsubnetip"},"EDNS0ClientSubnetMask":{"location":"querystring","locationName":"edns0clientsubnetmask"}}},"output":{"type":"structure","required":["Nameserver","RecordName","RecordType","RecordData","ResponseCode","Protocol"],"members":{"Nameserver":{},"RecordName":{},"RecordType":{},"RecordData":{"type":"list","member":{"locationName":"RecordDataEntry"}},"ResponseCode":{},"Protocol":{}}}},"UpdateHealthCheck":{"http":{"requestUri":"/2013-04-01/healthcheck/{HealthCheckId}"},"input":{"locationName":"UpdateHealthCheckRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["HealthCheckId"],"members":{"HealthCheckId":{"location":"uri","locationName":"HealthCheckId"},"HealthCheckVersion":{"type":"long"},"IPAddress":{},"Port":{"type":"integer"},"ResourcePath":{},"FullyQualifiedDomainName":{},"SearchString":{},"FailureThreshold":{"type":"integer"},"Inverted":{"type":"boolean"},"Disabled":{"type":"boolean"},"HealthThreshold":{"type":"integer"},"ChildHealthChecks":{"shape":"S1t"},"EnableSNI":{"type":"boolean"},"Regions":{"shape":"S1v"},"AlarmIdentifier":{"shape":"S1x"},"InsufficientDataHealthStatus":{},"ResetElements":{"type":"list","member":{"locationName":"ResettableElementName"}}}},"output":{"type":"structure","required":["HealthCheck"],"members":{"HealthCheck":{"shape":"S23"}}}},"UpdateHostedZoneComment":{"http":{"requestUri":"/2013-04-01/hostedzone/{Id}"},"input":{"locationName":"UpdateHostedZoneCommentRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["Id"],"members":{"Id":{"location":"uri","locationName":"Id"},"Comment":{}}},"output":{"type":"structure","required":["HostedZone"],"members":{"HostedZone":{"shape":"S2o"}}}},"UpdateTrafficPolicyComment":{"http":{"requestUri":"/2013-04-01/trafficpolicy/{Id}/{Version}"},"input":{"locationName":"UpdateTrafficPolicyCommentRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["Id","Version","Comment"],"members":{"Id":{"location":"uri","locationName":"Id"},"Version":{"location":"uri","locationName":"Version","type":"integer"},"Comment":{}}},"output":{"type":"structure","required":["TrafficPolicy"],"members":{"TrafficPolicy":{"shape":"S3c"}}}},"UpdateTrafficPolicyInstance":{"http":{"requestUri":"/2013-04-01/trafficpolicyinstance/{Id}"},"input":{"locationName":"UpdateTrafficPolicyInstanceRequest","xmlNamespace":{"uri":"https://route53.amazonaws.com/doc/2013-04-01/"},"type":"structure","required":["Id","TTL","TrafficPolicyId","TrafficPolicyVersion"],"members":{"Id":{"location":"uri","locationName":"Id"},"TTL":{"type":"long"},"TrafficPolicyId":{},"TrafficPolicyVersion":{"type":"integer"}}},"output":{"type":"structure","required":["TrafficPolicyInstance"],"members":{"TrafficPolicyInstance":{"shape":"S3h"}}}}},"shapes":{"S5":{"type":"structure","required":["Id","Status","SubmittedAt"],"members":{"Id":{},"Status":{},"SubmittedAt":{"type":"timestamp"},"Comment":{}}},"Sa":{"type":"structure","members":{"VPCRegion":{},"VPCId":{}}},"Sk":{"type":"structure","required":["Name","Type"],"members":{"Name":{},"Type":{},"SetIdentifier":{},"Weight":{"type":"long"},"Region":{},"GeoLocation":{"type":"structure","members":{"ContinentCode":{},"CountryCode":{},"SubdivisionCode":{}}},"Failover":{},"MultiValueAnswer":{"type":"boolean"},"TTL":{"type":"long"},"ResourceRecords":{"type":"list","member":{"locationName":"ResourceRecord","type":"structure","required":["Value"],"members":{"Value":{}}}},"AliasTarget":{"type":"structure","required":["HostedZoneId","DNSName","EvaluateTargetHealth"],"members":{"HostedZoneId":{},"DNSName":{},"EvaluateTargetHealth":{"type":"boolean"}}},"HealthCheckId":{},"TrafficPolicyInstanceId":{}}},"S18":{"type":"list","member":{"locationName":"Tag","type":"structure","members":{"Key":{},"Value":{}}}},"S1g":{"type":"structure","required":["Type"],"members":{"IPAddress":{},"Port":{"type":"integer"},"Type":{},"ResourcePath":{},"FullyQualifiedDomainName":{},"SearchString":{},"RequestInterval":{"type":"integer"},"FailureThreshold":{"type":"integer"},"MeasureLatency":{"type":"boolean"},"Inverted":{"type":"boolean"},"Disabled":{"type":"boolean"},"HealthThreshold":{"type":"integer"},"ChildHealthChecks":{"shape":"S1t"},"EnableSNI":{"type":"boolean"},"Regions":{"shape":"S1v"},"AlarmIdentifier":{"shape":"S1x"},"InsufficientDataHealthStatus":{},"RoutingControlArn":{}}},"S1t":{"type":"list","member":{"locationName":"ChildHealthCheck"}},"S1v":{"type":"list","member":{"locationName":"Region"}},"S1x":{"type":"structure","required":["Region","Name"],"members":{"Region":{},"Name":{}}},"S23":{"type":"structure","required":["Id","CallerReference","HealthCheckConfig","HealthCheckVersion"],"members":{"Id":{},"CallerReference":{},"LinkedService":{"shape":"S24"},"HealthCheckConfig":{"shape":"S1g"},"HealthCheckVersion":{"type":"long"},"CloudWatchAlarmConfiguration":{"type":"structure","required":["EvaluationPeriods","Threshold","ComparisonOperator","Period","MetricName","Namespace","Statistic"],"members":{"EvaluationPeriods":{"type":"integer"},"Threshold":{"type":"double"},"ComparisonOperator":{},"Period":{"type":"integer"},"MetricName":{},"Namespace":{},"Statistic":{},"Dimensions":{"type":"list","member":{"locationName":"Dimension","type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}}}}}},"S24":{"type":"structure","members":{"ServicePrincipal":{},"Description":{}}},"S2l":{"type":"structure","members":{"Comment":{},"PrivateZone":{"type":"boolean"}}},"S2o":{"type":"structure","required":["Id","Name","CallerReference"],"members":{"Id":{},"Name":{},"CallerReference":{},"Config":{"shape":"S2l"},"ResourceRecordSetCount":{"type":"long"},"LinkedService":{"shape":"S24"}}},"S2q":{"type":"structure","required":["NameServers"],"members":{"Id":{},"CallerReference":{},"NameServers":{"type":"list","member":{"locationName":"NameServer"}}}},"S2w":{"type":"structure","members":{"Name":{},"KmsArn":{},"Flag":{"type":"integer"},"SigningAlgorithmMnemonic":{},"SigningAlgorithmType":{"type":"integer"},"DigestAlgorithmMnemonic":{},"DigestAlgorithmType":{"type":"integer"},"KeyTag":{"type":"integer"},"DigestValue":{},"PublicKey":{},"DSRecord":{},"DNSKEYRecord":{},"Status":{},"StatusMessage":{},"CreatedDate":{"type":"timestamp"},"LastModifiedDate":{"type":"timestamp"}}},"S33":{"type":"structure","required":["Id","HostedZoneId","CloudWatchLogsLogGroupArn"],"members":{"Id":{},"HostedZoneId":{},"CloudWatchLogsLogGroupArn":{}}},"S3c":{"type":"structure","required":["Id","Version","Name","Type","Document"],"members":{"Id":{},"Version":{"type":"integer"},"Name":{},"Type":{},"Document":{},"Comment":{}}},"S3h":{"type":"structure","required":["Id","HostedZoneId","Name","TTL","State","Message","TrafficPolicyId","TrafficPolicyVersion","TrafficPolicyType"],"members":{"Id":{},"HostedZoneId":{},"Name":{},"TTL":{"type":"long"},"State":{},"Message":{},"TrafficPolicyId":{},"TrafficPolicyVersion":{"type":"integer"},"TrafficPolicyType":{}}},"S4w":{"type":"structure","members":{"ContinentCode":{},"ContinentName":{},"CountryCode":{},"CountryName":{},"SubdivisionCode":{},"SubdivisionName":{}}},"S57":{"type":"list","member":{"locationName":"HealthCheckObservation","type":"structure","members":{"Region":{},"IPAddress":{},"StatusReport":{"type":"structure","members":{"Status":{},"CheckedTime":{"type":"timestamp"}}}}}},"S5f":{"type":"list","member":{"shape":"Sa","locationName":"VPC"}},"S6d":{"type":"list","member":{"shape":"S2o","locationName":"HostedZone"}},"S70":{"type":"structure","members":{"ResourceType":{},"ResourceId":{},"Tags":{"shape":"S18"}}},"S7b":{"type":"list","member":{"shape":"S3h","locationName":"TrafficPolicyInstance"}}}}');

/***/ }),

/***/ 46456:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListHealthChecks":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"NextMarker","result_key":"HealthChecks"},"ListHostedZones":{"input_token":"Marker","limit_key":"MaxItems","more_results":"IsTruncated","output_token":"NextMarker","result_key":"HostedZones"},"ListQueryLoggingConfigs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"QueryLoggingConfigs"},"ListResourceRecordSets":{"input_token":["StartRecordName","StartRecordType","StartRecordIdentifier"],"limit_key":"MaxItems","more_results":"IsTruncated","output_token":["NextRecordName","NextRecordType","NextRecordIdentifier"],"result_key":"ResourceRecordSets"}}}');

/***/ }),

/***/ 28347:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"ResourceRecordSetsChanged":{"delay":30,"maxAttempts":60,"operation":"GetChange","acceptors":[{"matcher":"path","expected":"INSYNC","argument":"ChangeInfo.Status","state":"success"}]}}}');

/***/ }),

/***/ 73989:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-12-02","endpointPrefix":"route53-recovery-cluster","jsonVersion":"1.0","protocol":"json","serviceFullName":"Route53 Recovery Cluster","serviceId":"Route53 Recovery Cluster","signatureVersion":"v4","signingName":"route53-recovery-cluster","targetPrefix":"ToggleCustomerAPI","uid":"route53-recovery-cluster-2019-12-02"},"operations":{"GetRoutingControlState":{"input":{"type":"structure","required":["RoutingControlArn"],"members":{"RoutingControlArn":{}}},"output":{"type":"structure","required":["RoutingControlArn","RoutingControlState"],"members":{"RoutingControlArn":{},"RoutingControlState":{}}}},"UpdateRoutingControlState":{"input":{"type":"structure","required":["RoutingControlArn","RoutingControlState"],"members":{"RoutingControlArn":{},"RoutingControlState":{}}},"output":{"type":"structure","members":{}}},"UpdateRoutingControlStates":{"input":{"type":"structure","required":["UpdateRoutingControlStateEntries"],"members":{"UpdateRoutingControlStateEntries":{"type":"list","member":{"type":"structure","required":["RoutingControlArn","RoutingControlState"],"members":{"RoutingControlArn":{},"RoutingControlState":{}}}}}},"output":{"type":"structure","members":{}}}},"shapes":{}}');

/***/ }),

/***/ 69118:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 38334:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2020-11-02","endpointPrefix":"route53-recovery-control-config","signingName":"route53-recovery-control-config","serviceFullName":"AWS Route53 Recovery Control Config","serviceId":"Route53 Recovery Control Config","protocol":"rest-json","jsonVersion":"1.1","uid":"route53-recovery-control-config-2020-11-02","signatureVersion":"v4"},"operations":{"CreateCluster":{"http":{"requestUri":"/cluster","responseCode":200},"input":{"type":"structure","members":{"ClientToken":{"idempotencyToken":true},"ClusterName":{},"Tags":{"shape":"S3"}},"required":["ClusterName"]},"output":{"type":"structure","members":{"Cluster":{"shape":"S7"}}}},"CreateControlPanel":{"http":{"requestUri":"/controlpanel","responseCode":200},"input":{"type":"structure","members":{"ClientToken":{"idempotencyToken":true},"ClusterArn":{},"ControlPanelName":{},"Tags":{"shape":"S3"}},"required":["ClusterArn","ControlPanelName"]},"output":{"type":"structure","members":{"ControlPanel":{"shape":"Sg"}}}},"CreateRoutingControl":{"http":{"requestUri":"/routingcontrol","responseCode":200},"input":{"type":"structure","members":{"ClientToken":{"idempotencyToken":true},"ClusterArn":{},"ControlPanelArn":{},"RoutingControlName":{}},"required":["ClusterArn","RoutingControlName"]},"output":{"type":"structure","members":{"RoutingControl":{"shape":"Sl"}}}},"CreateSafetyRule":{"http":{"requestUri":"/safetyrule","responseCode":200},"input":{"type":"structure","members":{"AssertionRule":{"type":"structure","members":{"AssertedControls":{"shape":"So"},"ControlPanelArn":{},"Name":{},"RuleConfig":{"shape":"Sp"},"WaitPeriodMs":{"type":"integer"}},"required":["ControlPanelArn","AssertedControls","RuleConfig","WaitPeriodMs","Name"]},"ClientToken":{"idempotencyToken":true},"GatingRule":{"type":"structure","members":{"ControlPanelArn":{},"GatingControls":{"shape":"So"},"Name":{},"RuleConfig":{"shape":"Sp"},"TargetControls":{"shape":"So"},"WaitPeriodMs":{"type":"integer"}},"required":["TargetControls","ControlPanelArn","GatingControls","RuleConfig","WaitPeriodMs","Name"]},"Tags":{"shape":"S3"}}},"output":{"type":"structure","members":{"AssertionRule":{"shape":"St"},"GatingRule":{"shape":"Su"}}}},"DeleteCluster":{"http":{"method":"DELETE","requestUri":"/cluster/{ClusterArn}","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"ClusterArn"}},"required":["ClusterArn"]},"output":{"type":"structure","members":{}}},"DeleteControlPanel":{"http":{"method":"DELETE","requestUri":"/controlpanel/{ControlPanelArn}","responseCode":200},"input":{"type":"structure","members":{"ControlPanelArn":{"location":"uri","locationName":"ControlPanelArn"}},"required":["ControlPanelArn"]},"output":{"type":"structure","members":{}}},"DeleteRoutingControl":{"http":{"method":"DELETE","requestUri":"/routingcontrol/{RoutingControlArn}","responseCode":200},"input":{"type":"structure","members":{"RoutingControlArn":{"location":"uri","locationName":"RoutingControlArn"}},"required":["RoutingControlArn"]},"output":{"type":"structure","members":{}}},"DeleteSafetyRule":{"http":{"method":"DELETE","requestUri":"/safetyrule/{SafetyRuleArn}","responseCode":200},"input":{"type":"structure","members":{"SafetyRuleArn":{"location":"uri","locationName":"SafetyRuleArn"}},"required":["SafetyRuleArn"]},"output":{"type":"structure","members":{}}},"DescribeCluster":{"http":{"method":"GET","requestUri":"/cluster/{ClusterArn}","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"uri","locationName":"ClusterArn"}},"required":["ClusterArn"]},"output":{"type":"structure","members":{"Cluster":{"shape":"S7"}}}},"DescribeControlPanel":{"http":{"method":"GET","requestUri":"/controlpanel/{ControlPanelArn}","responseCode":200},"input":{"type":"structure","members":{"ControlPanelArn":{"location":"uri","locationName":"ControlPanelArn"}},"required":["ControlPanelArn"]},"output":{"type":"structure","members":{"ControlPanel":{"shape":"Sg"}}}},"DescribeRoutingControl":{"http":{"method":"GET","requestUri":"/routingcontrol/{RoutingControlArn}","responseCode":200},"input":{"type":"structure","members":{"RoutingControlArn":{"location":"uri","locationName":"RoutingControlArn"}},"required":["RoutingControlArn"]},"output":{"type":"structure","members":{"RoutingControl":{"shape":"Sl"}}}},"DescribeSafetyRule":{"http":{"method":"GET","requestUri":"/safetyrule/{SafetyRuleArn}","responseCode":200},"input":{"type":"structure","members":{"SafetyRuleArn":{"location":"uri","locationName":"SafetyRuleArn"}},"required":["SafetyRuleArn"]},"output":{"type":"structure","members":{"AssertionRule":{"shape":"St"},"GatingRule":{"shape":"Su"}}}},"ListAssociatedRoute53HealthChecks":{"http":{"method":"GET","requestUri":"/routingcontrol/{RoutingControlArn}/associatedRoute53HealthChecks","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"},"RoutingControlArn":{"location":"uri","locationName":"RoutingControlArn"}},"required":["RoutingControlArn"]},"output":{"type":"structure","members":{"HealthCheckIds":{"type":"list","member":{}},"NextToken":{}}}},"ListClusters":{"http":{"method":"GET","requestUri":"/cluster","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Clusters":{"type":"list","member":{"shape":"S7"}},"NextToken":{}}}},"ListControlPanels":{"http":{"method":"GET","requestUri":"/controlpanels","responseCode":200},"input":{"type":"structure","members":{"ClusterArn":{"location":"querystring","locationName":"ClusterArn"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"ControlPanels":{"type":"list","member":{"shape":"Sg"}},"NextToken":{}}}},"ListRoutingControls":{"http":{"method":"GET","requestUri":"/controlpanel/{ControlPanelArn}/routingcontrols","responseCode":200},"input":{"type":"structure","members":{"ControlPanelArn":{"location":"uri","locationName":"ControlPanelArn"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["ControlPanelArn"]},"output":{"type":"structure","members":{"NextToken":{},"RoutingControls":{"type":"list","member":{"shape":"Sl"}}}}},"ListSafetyRules":{"http":{"method":"GET","requestUri":"/controlpanel/{ControlPanelArn}/safetyrules","responseCode":200},"input":{"type":"structure","members":{"ControlPanelArn":{"location":"uri","locationName":"ControlPanelArn"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}},"required":["ControlPanelArn"]},"output":{"type":"structure","members":{"NextToken":{},"SafetyRules":{"type":"list","member":{"type":"structure","members":{"ASSERTION":{"shape":"St"},"GATING":{"shape":"Su"}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{"Tags":{"shape":"S3"}}}},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"S3"}},"required":["ResourceArn","Tags"]},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"TagKeys","type":"list","member":{}}},"required":["ResourceArn","TagKeys"]},"output":{"type":"structure","members":{}}},"UpdateControlPanel":{"http":{"method":"PUT","requestUri":"/controlpanel","responseCode":200},"input":{"type":"structure","members":{"ControlPanelArn":{},"ControlPanelName":{}},"required":["ControlPanelArn","ControlPanelName"]},"output":{"type":"structure","members":{"ControlPanel":{"shape":"Sg"}}}},"UpdateRoutingControl":{"http":{"method":"PUT","requestUri":"/routingcontrol","responseCode":200},"input":{"type":"structure","members":{"RoutingControlArn":{},"RoutingControlName":{}},"required":["RoutingControlName","RoutingControlArn"]},"output":{"type":"structure","members":{"RoutingControl":{"shape":"Sl"}}}},"UpdateSafetyRule":{"http":{"method":"PUT","requestUri":"/safetyrule","responseCode":200},"input":{"type":"structure","members":{"AssertionRuleUpdate":{"type":"structure","members":{"Name":{},"SafetyRuleArn":{},"WaitPeriodMs":{"type":"integer"}},"required":["SafetyRuleArn","WaitPeriodMs","Name"]},"GatingRuleUpdate":{"type":"structure","members":{"Name":{},"SafetyRuleArn":{},"WaitPeriodMs":{"type":"integer"}},"required":["SafetyRuleArn","WaitPeriodMs","Name"]}}},"output":{"type":"structure","members":{"AssertionRule":{"shape":"St"},"GatingRule":{"shape":"Su"}}}}},"shapes":{"S3":{"type":"map","key":{},"value":{}},"S7":{"type":"structure","members":{"ClusterArn":{},"ClusterEndpoints":{"type":"list","member":{"type":"structure","members":{"Endpoint":{},"Region":{}}}},"Name":{},"Status":{}}},"Sg":{"type":"structure","members":{"ClusterArn":{},"ControlPanelArn":{},"DefaultControlPanel":{"type":"boolean"},"Name":{},"RoutingControlCount":{"type":"integer"},"Status":{}}},"Sl":{"type":"structure","members":{"ControlPanelArn":{},"Name":{},"RoutingControlArn":{},"Status":{}}},"So":{"type":"list","member":{}},"Sp":{"type":"structure","members":{"Inverted":{"type":"boolean"},"Threshold":{"type":"integer"},"Type":{}},"required":["Type","Inverted","Threshold"]},"St":{"type":"structure","members":{"AssertedControls":{"shape":"So"},"ControlPanelArn":{},"Name":{},"RuleConfig":{"shape":"Sp"},"SafetyRuleArn":{},"Status":{},"WaitPeriodMs":{"type":"integer"}},"required":["Status","ControlPanelArn","SafetyRuleArn","AssertedControls","RuleConfig","WaitPeriodMs","Name"]},"Su":{"type":"structure","members":{"ControlPanelArn":{},"GatingControls":{"shape":"So"},"Name":{},"RuleConfig":{"shape":"Sp"},"SafetyRuleArn":{},"Status":{},"TargetControls":{"shape":"So"},"WaitPeriodMs":{"type":"integer"}},"required":["Status","TargetControls","ControlPanelArn","SafetyRuleArn","GatingControls","RuleConfig","WaitPeriodMs","Name"]}}}');

/***/ }),

/***/ 19728:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAssociatedRoute53HealthChecks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListClusters":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListControlPanels":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListRoutingControls":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSafetyRules":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 57184:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"ClusterCreated":{"description":"Wait until a cluster is created","operation":"DescribeCluster","delay":5,"maxAttempts":26,"acceptors":[{"state":"success","matcher":"path","argument":"Cluster.Status","expected":"DEPLOYED"},{"state":"retry","matcher":"path","argument":"Cluster.Status","expected":"PENDING"},{"state":"retry","matcher":"status","expected":500}]},"ClusterDeleted":{"description":"Wait for a cluster to be deleted","operation":"DescribeCluster","delay":5,"maxAttempts":26,"acceptors":[{"state":"success","matcher":"status","expected":404},{"state":"retry","matcher":"path","argument":"Cluster.Status","expected":"PENDING_DELETION"},{"state":"retry","matcher":"status","expected":500}]},"ControlPanelCreated":{"description":"Wait until a control panel is created","operation":"DescribeControlPanel","delay":5,"maxAttempts":26,"acceptors":[{"state":"success","matcher":"path","argument":"ControlPanel.Status","expected":"DEPLOYED"},{"state":"retry","matcher":"path","argument":"ControlPanel.Status","expected":"PENDING"},{"state":"retry","matcher":"status","expected":500}]},"ControlPanelDeleted":{"description":"Wait until a control panel is deleted","operation":"DescribeControlPanel","delay":5,"maxAttempts":26,"acceptors":[{"state":"success","matcher":"status","expected":404},{"state":"retry","matcher":"path","argument":"ControlPanel.Status","expected":"PENDING_DELETION"},{"state":"retry","matcher":"status","expected":500}]},"RoutingControlCreated":{"description":"Wait until a routing control is created","operation":"DescribeRoutingControl","delay":5,"maxAttempts":26,"acceptors":[{"state":"success","matcher":"path","argument":"RoutingControl.Status","expected":"DEPLOYED"},{"state":"retry","matcher":"path","argument":"RoutingControl.Status","expected":"PENDING"},{"state":"retry","matcher":"status","expected":500}]},"RoutingControlDeleted":{"description":"Wait for a routing control to be deleted","operation":"DescribeRoutingControl","delay":5,"maxAttempts":26,"acceptors":[{"state":"success","matcher":"status","expected":404},{"state":"retry","matcher":"path","argument":"RoutingControl.Status","expected":"PENDING_DELETION"},{"state":"retry","matcher":"status","expected":500}]}}}');

/***/ }),

/***/ 40156:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2019-12-02","endpointPrefix":"route53-recovery-readiness","signingName":"route53-recovery-readiness","serviceFullName":"AWS Route53 Recovery Readiness","serviceId":"Route53 Recovery Readiness","protocol":"rest-json","jsonVersion":"1.1","uid":"route53-recovery-readiness-2019-12-02","signatureVersion":"v4"},"operations":{"CreateCell":{"http":{"requestUri":"/cells","responseCode":200},"input":{"type":"structure","members":{"CellName":{"locationName":"cellName"},"Cells":{"shape":"S3","locationName":"cells"},"Tags":{"shape":"S4","locationName":"tags"}},"required":["CellName"]},"output":{"type":"structure","members":{"CellArn":{"locationName":"cellArn"},"CellName":{"locationName":"cellName"},"Cells":{"shape":"S3","locationName":"cells"},"ParentReadinessScopes":{"shape":"S3","locationName":"parentReadinessScopes"},"Tags":{"shape":"S4","locationName":"tags"}}}},"CreateCrossAccountAuthorization":{"http":{"requestUri":"/crossaccountauthorizations","responseCode":200},"input":{"type":"structure","members":{"CrossAccountAuthorization":{"locationName":"crossAccountAuthorization"}},"required":["CrossAccountAuthorization"]},"output":{"type":"structure","members":{"CrossAccountAuthorization":{"locationName":"crossAccountAuthorization"}}}},"CreateReadinessCheck":{"http":{"requestUri":"/readinesschecks","responseCode":200},"input":{"type":"structure","members":{"ReadinessCheckName":{"locationName":"readinessCheckName"},"ResourceSetName":{"locationName":"resourceSetName"},"Tags":{"shape":"S4","locationName":"tags"}},"required":["ResourceSetName","ReadinessCheckName"]},"output":{"type":"structure","members":{"ReadinessCheckArn":{"locationName":"readinessCheckArn"},"ReadinessCheckName":{"locationName":"readinessCheckName"},"ResourceSet":{"locationName":"resourceSet"},"Tags":{"shape":"S4","locationName":"tags"}}}},"CreateRecoveryGroup":{"http":{"requestUri":"/recoverygroups","responseCode":200},"input":{"type":"structure","members":{"Cells":{"shape":"S3","locationName":"cells"},"RecoveryGroupName":{"locationName":"recoveryGroupName"},"Tags":{"shape":"S4","locationName":"tags"}},"required":["RecoveryGroupName"]},"output":{"type":"structure","members":{"Cells":{"shape":"S3","locationName":"cells"},"RecoveryGroupArn":{"locationName":"recoveryGroupArn"},"RecoveryGroupName":{"locationName":"recoveryGroupName"},"Tags":{"shape":"S4","locationName":"tags"}}}},"CreateResourceSet":{"http":{"requestUri":"/resourcesets","responseCode":200},"input":{"type":"structure","members":{"ResourceSetName":{"locationName":"resourceSetName"},"ResourceSetType":{"locationName":"resourceSetType"},"Resources":{"shape":"Sh","locationName":"resources"},"Tags":{"shape":"S4","locationName":"tags"}},"required":["ResourceSetType","ResourceSetName","Resources"]},"output":{"type":"structure","members":{"ResourceSetArn":{"locationName":"resourceSetArn"},"ResourceSetName":{"locationName":"resourceSetName"},"ResourceSetType":{"locationName":"resourceSetType"},"Resources":{"shape":"Sh","locationName":"resources"},"Tags":{"shape":"S4","locationName":"tags"}}}},"DeleteCell":{"http":{"method":"DELETE","requestUri":"/cells/{cellName}","responseCode":204},"input":{"type":"structure","members":{"CellName":{"location":"uri","locationName":"cellName"}},"required":["CellName"]}},"DeleteCrossAccountAuthorization":{"http":{"method":"DELETE","requestUri":"/crossaccountauthorizations/{crossAccountAuthorization}","responseCode":200},"input":{"type":"structure","members":{"CrossAccountAuthorization":{"location":"uri","locationName":"crossAccountAuthorization"}},"required":["CrossAccountAuthorization"]},"output":{"type":"structure","members":{}}},"DeleteReadinessCheck":{"http":{"method":"DELETE","requestUri":"/readinesschecks/{readinessCheckName}","responseCode":204},"input":{"type":"structure","members":{"ReadinessCheckName":{"location":"uri","locationName":"readinessCheckName"}},"required":["ReadinessCheckName"]}},"DeleteRecoveryGroup":{"http":{"method":"DELETE","requestUri":"/recoverygroups/{recoveryGroupName}","responseCode":204},"input":{"type":"structure","members":{"RecoveryGroupName":{"location":"uri","locationName":"recoveryGroupName"}},"required":["RecoveryGroupName"]}},"DeleteResourceSet":{"http":{"method":"DELETE","requestUri":"/resourcesets/{resourceSetName}","responseCode":204},"input":{"type":"structure","members":{"ResourceSetName":{"location":"uri","locationName":"resourceSetName"}},"required":["ResourceSetName"]}},"GetArchitectureRecommendations":{"http":{"method":"GET","requestUri":"/recoverygroups/{recoveryGroupName}/architectureRecommendations","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"RecoveryGroupName":{"location":"uri","locationName":"recoveryGroupName"}},"required":["RecoveryGroupName"]},"output":{"type":"structure","members":{"LastAuditTimestamp":{"locationName":"lastAuditTimestamp","type":"timestamp","timestampFormat":"iso8601"},"NextToken":{"locationName":"nextToken"},"Recommendations":{"locationName":"recommendations","type":"list","member":{"type":"structure","members":{"RecommendationText":{"locationName":"recommendationText"}},"required":["RecommendationText"]}}}}},"GetCell":{"http":{"method":"GET","requestUri":"/cells/{cellName}","responseCode":200},"input":{"type":"structure","members":{"CellName":{"location":"uri","locationName":"cellName"}},"required":["CellName"]},"output":{"type":"structure","members":{"CellArn":{"locationName":"cellArn"},"CellName":{"locationName":"cellName"},"Cells":{"shape":"S3","locationName":"cells"},"ParentReadinessScopes":{"shape":"S3","locationName":"parentReadinessScopes"},"Tags":{"shape":"S4","locationName":"tags"}}}},"GetCellReadinessSummary":{"http":{"method":"GET","requestUri":"/cellreadiness/{cellName}","responseCode":200},"input":{"type":"structure","members":{"CellName":{"location":"uri","locationName":"cellName"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["CellName"]},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Readiness":{"locationName":"readiness"},"ReadinessChecks":{"shape":"S15","locationName":"readinessChecks"}}}},"GetReadinessCheck":{"http":{"method":"GET","requestUri":"/readinesschecks/{readinessCheckName}","responseCode":200},"input":{"type":"structure","members":{"ReadinessCheckName":{"location":"uri","locationName":"readinessCheckName"}},"required":["ReadinessCheckName"]},"output":{"type":"structure","members":{"ReadinessCheckArn":{"locationName":"readinessCheckArn"},"ReadinessCheckName":{"locationName":"readinessCheckName"},"ResourceSet":{"locationName":"resourceSet"},"Tags":{"shape":"S4","locationName":"tags"}}}},"GetReadinessCheckResourceStatus":{"http":{"method":"GET","requestUri":"/readinesschecks/{readinessCheckName}/resource/{resourceIdentifier}/status","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"ReadinessCheckName":{"location":"uri","locationName":"readinessCheckName"},"ResourceIdentifier":{"location":"uri","locationName":"resourceIdentifier"}},"required":["ReadinessCheckName","ResourceIdentifier"]},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Readiness":{"locationName":"readiness"},"Rules":{"locationName":"rules","type":"list","member":{"type":"structure","members":{"LastCheckedTimestamp":{"shape":"S1d","locationName":"lastCheckedTimestamp"},"Messages":{"shape":"S1e","locationName":"messages"},"Readiness":{"locationName":"readiness"},"RuleId":{"locationName":"ruleId"}},"required":["Messages","Readiness","RuleId","LastCheckedTimestamp"]}}}}},"GetReadinessCheckStatus":{"http":{"method":"GET","requestUri":"/readinesschecks/{readinessCheckName}/status","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"ReadinessCheckName":{"location":"uri","locationName":"readinessCheckName"}},"required":["ReadinessCheckName"]},"output":{"type":"structure","members":{"Messages":{"shape":"S1e","locationName":"messages"},"NextToken":{"locationName":"nextToken"},"Readiness":{"locationName":"readiness"},"Resources":{"locationName":"resources","type":"list","member":{"type":"structure","members":{"ComponentId":{"locationName":"componentId"},"LastCheckedTimestamp":{"shape":"S1d","locationName":"lastCheckedTimestamp"},"Readiness":{"locationName":"readiness"},"ResourceArn":{"locationName":"resourceArn"}},"required":["Readiness","LastCheckedTimestamp"]}}}}},"GetRecoveryGroup":{"http":{"method":"GET","requestUri":"/recoverygroups/{recoveryGroupName}","responseCode":200},"input":{"type":"structure","members":{"RecoveryGroupName":{"location":"uri","locationName":"recoveryGroupName"}},"required":["RecoveryGroupName"]},"output":{"type":"structure","members":{"Cells":{"shape":"S3","locationName":"cells"},"RecoveryGroupArn":{"locationName":"recoveryGroupArn"},"RecoveryGroupName":{"locationName":"recoveryGroupName"},"Tags":{"shape":"S4","locationName":"tags"}}}},"GetRecoveryGroupReadinessSummary":{"http":{"method":"GET","requestUri":"/recoverygroupreadiness/{recoveryGroupName}","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"RecoveryGroupName":{"location":"uri","locationName":"recoveryGroupName"}},"required":["RecoveryGroupName"]},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Readiness":{"locationName":"readiness"},"ReadinessChecks":{"shape":"S15","locationName":"readinessChecks"}}}},"GetResourceSet":{"http":{"method":"GET","requestUri":"/resourcesets/{resourceSetName}","responseCode":200},"input":{"type":"structure","members":{"ResourceSetName":{"location":"uri","locationName":"resourceSetName"}},"required":["ResourceSetName"]},"output":{"type":"structure","members":{"ResourceSetArn":{"locationName":"resourceSetArn"},"ResourceSetName":{"locationName":"resourceSetName"},"ResourceSetType":{"locationName":"resourceSetType"},"Resources":{"shape":"Sh","locationName":"resources"},"Tags":{"shape":"S4","locationName":"tags"}}}},"ListCells":{"http":{"method":"GET","requestUri":"/cells","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Cells":{"locationName":"cells","type":"list","member":{"type":"structure","members":{"CellArn":{"locationName":"cellArn"},"CellName":{"locationName":"cellName"},"Cells":{"shape":"S3","locationName":"cells"},"ParentReadinessScopes":{"shape":"S3","locationName":"parentReadinessScopes"},"Tags":{"shape":"S4","locationName":"tags"}},"required":["ParentReadinessScopes","CellArn","CellName","Cells"]}},"NextToken":{"locationName":"nextToken"}}}},"ListCrossAccountAuthorizations":{"http":{"method":"GET","requestUri":"/crossaccountauthorizations","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"CrossAccountAuthorizations":{"locationName":"crossAccountAuthorizations","type":"list","member":{}},"NextToken":{"locationName":"nextToken"}}}},"ListReadinessChecks":{"http":{"method":"GET","requestUri":"/readinesschecks","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"ReadinessChecks":{"locationName":"readinessChecks","type":"list","member":{"type":"structure","members":{"ReadinessCheckArn":{"locationName":"readinessCheckArn"},"ReadinessCheckName":{"locationName":"readinessCheckName"},"ResourceSet":{"locationName":"resourceSet"},"Tags":{"shape":"S4","locationName":"tags"}},"required":["ReadinessCheckArn","ResourceSet"]}}}}},"ListRecoveryGroups":{"http":{"method":"GET","requestUri":"/recoverygroups","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"RecoveryGroups":{"locationName":"recoveryGroups","type":"list","member":{"type":"structure","members":{"Cells":{"shape":"S3","locationName":"cells"},"RecoveryGroupArn":{"locationName":"recoveryGroupArn"},"RecoveryGroupName":{"locationName":"recoveryGroupName"},"Tags":{"shape":"S4","locationName":"tags"}},"required":["RecoveryGroupArn","RecoveryGroupName","Cells"]}}}}},"ListResourceSets":{"http":{"method":"GET","requestUri":"/resourcesets","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"ResourceSets":{"locationName":"resourceSets","type":"list","member":{"type":"structure","members":{"ResourceSetArn":{"locationName":"resourceSetArn"},"ResourceSetName":{"locationName":"resourceSetName"},"ResourceSetType":{"locationName":"resourceSetType"},"Resources":{"shape":"Sh","locationName":"resources"},"Tags":{"shape":"S4","locationName":"tags"}},"required":["ResourceSetType","ResourceSetName","ResourceSetArn","Resources"]}}}}},"ListRules":{"http":{"method":"GET","requestUri":"/rules","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"ResourceType":{"location":"querystring","locationName":"resourceType"}}},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Rules":{"locationName":"rules","type":"list","member":{"type":"structure","members":{"ResourceType":{"locationName":"resourceType"},"RuleDescription":{"locationName":"ruleDescription"},"RuleId":{"locationName":"ruleId"}},"required":["RuleDescription","RuleId","ResourceType"]}}}}},"ListTagsForResources":{"http":{"method":"GET","requestUri":"/tags/{resource-arn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{"Tags":{"shape":"S4","locationName":"tags"}}}},"TagResource":{"http":{"requestUri":"/tags/{resource-arn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"Tags":{"shape":"S4","locationName":"tags"}},"required":["ResourceArn","Tags"]},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"TagKeys":{"shape":"S3","location":"querystring","locationName":"tagKeys"}},"required":["TagKeys","ResourceArn"]}},"UpdateCell":{"http":{"method":"PUT","requestUri":"/cells/{cellName}","responseCode":200},"input":{"type":"structure","members":{"CellName":{"location":"uri","locationName":"cellName"},"Cells":{"shape":"S3","locationName":"cells"}},"required":["CellName","Cells"]},"output":{"type":"structure","members":{"CellArn":{"locationName":"cellArn"},"CellName":{"locationName":"cellName"},"Cells":{"shape":"S3","locationName":"cells"},"ParentReadinessScopes":{"shape":"S3","locationName":"parentReadinessScopes"},"Tags":{"shape":"S4","locationName":"tags"}}}},"UpdateReadinessCheck":{"http":{"method":"PUT","requestUri":"/readinesschecks/{readinessCheckName}","responseCode":200},"input":{"type":"structure","members":{"ReadinessCheckName":{"location":"uri","locationName":"readinessCheckName"},"ResourceSetName":{"locationName":"resourceSetName"}},"required":["ReadinessCheckName","ResourceSetName"]},"output":{"type":"structure","members":{"ReadinessCheckArn":{"locationName":"readinessCheckArn"},"ReadinessCheckName":{"locationName":"readinessCheckName"},"ResourceSet":{"locationName":"resourceSet"},"Tags":{"shape":"S4","locationName":"tags"}}}},"UpdateRecoveryGroup":{"http":{"method":"PUT","requestUri":"/recoverygroups/{recoveryGroupName}","responseCode":200},"input":{"type":"structure","members":{"Cells":{"shape":"S3","locationName":"cells"},"RecoveryGroupName":{"location":"uri","locationName":"recoveryGroupName"}},"required":["RecoveryGroupName","Cells"]},"output":{"type":"structure","members":{"Cells":{"shape":"S3","locationName":"cells"},"RecoveryGroupArn":{"locationName":"recoveryGroupArn"},"RecoveryGroupName":{"locationName":"recoveryGroupName"},"Tags":{"shape":"S4","locationName":"tags"}}}},"UpdateResourceSet":{"http":{"method":"PUT","requestUri":"/resourcesets/{resourceSetName}","responseCode":200},"input":{"type":"structure","members":{"ResourceSetName":{"location":"uri","locationName":"resourceSetName"},"ResourceSetType":{"locationName":"resourceSetType"},"Resources":{"shape":"Sh","locationName":"resources"}},"required":["ResourceSetName","ResourceSetType","Resources"]},"output":{"type":"structure","members":{"ResourceSetArn":{"locationName":"resourceSetArn"},"ResourceSetName":{"locationName":"resourceSetName"},"ResourceSetType":{"locationName":"resourceSetType"},"Resources":{"shape":"Sh","locationName":"resources"},"Tags":{"shape":"S4","locationName":"tags"}}}}},"shapes":{"S3":{"type":"list","member":{}},"S4":{"type":"map","key":{},"value":{}},"Sh":{"type":"list","member":{"type":"structure","members":{"ComponentId":{"locationName":"componentId"},"DnsTargetResource":{"locationName":"dnsTargetResource","type":"structure","members":{"DomainName":{"locationName":"domainName"},"HostedZoneArn":{"locationName":"hostedZoneArn"},"RecordSetId":{"locationName":"recordSetId"},"RecordType":{"locationName":"recordType"},"TargetResource":{"locationName":"targetResource","type":"structure","members":{"NLBResource":{"locationName":"nLBResource","type":"structure","members":{"Arn":{"locationName":"arn"}}},"R53Resource":{"locationName":"r53Resource","type":"structure","members":{"DomainName":{"locationName":"domainName"},"RecordSetId":{"locationName":"recordSetId"}}}}}}},"ReadinessScopes":{"shape":"S3","locationName":"readinessScopes"},"ResourceArn":{"locationName":"resourceArn"}}}},"S15":{"type":"list","member":{"type":"structure","members":{"Readiness":{"locationName":"readiness"},"ReadinessCheckName":{"locationName":"readinessCheckName"}}}},"S1d":{"type":"timestamp","timestampFormat":"iso8601"},"S1e":{"type":"list","member":{"type":"structure","members":{"MessageText":{"locationName":"messageText"}}}}}}');

/***/ }),

/***/ 74839:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListReadinessChecks":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ReadinessChecks"},"ListResourceSets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ResourceSets"},"ListCells":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Cells"},"ListRecoveryGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"RecoveryGroups"},"ListRules":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Rules"},"ListCrossAccountAuthorizations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"CrossAccountAuthorizations"},"GetCellReadinessSummary":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ReadinessChecks","non_aggregate_keys":["Readiness"]},"GetRecoveryGroupReadinessSummary":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ReadinessChecks","non_aggregate_keys":["Readiness"]},"GetReadinessCheckStatus":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Resources","non_aggregate_keys":["Readiness","Messages"]},"GetReadinessCheckResourceStatus":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Rules","non_aggregate_keys":["Readiness"]}}}');

/***/ }),

/***/ 57598:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-05-15","endpointPrefix":"route53domains","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Route 53 Domains","serviceId":"Route 53 Domains","signatureVersion":"v4","targetPrefix":"Route53Domains_v20140515","uid":"route53domains-2014-05-15"},"operations":{"AcceptDomainTransferFromAnotherAwsAccount":{"input":{"type":"structure","required":["DomainName","Password"],"members":{"DomainName":{},"Password":{}}},"output":{"type":"structure","members":{"OperationId":{}}}},"CancelDomainTransferToAnotherAwsAccount":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","members":{"OperationId":{}}}},"CheckDomainAvailability":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"IdnLangCode":{}}},"output":{"type":"structure","required":["Availability"],"members":{"Availability":{}}}},"CheckDomainTransferability":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"AuthCode":{"shape":"Sd"}}},"output":{"type":"structure","required":["Transferability"],"members":{"Transferability":{"type":"structure","members":{"Transferable":{}}}}}},"DeleteDomain":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","members":{"OperationId":{}}}},"DeleteTagsForDomain":{"input":{"type":"structure","required":["DomainName","TagsToDelete"],"members":{"DomainName":{},"TagsToDelete":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"DisableDomainAutoRenew":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","members":{}}},"DisableDomainTransferLock":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","required":["OperationId"],"members":{"OperationId":{}}}},"EnableDomainAutoRenew":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","members":{}}},"EnableDomainTransferLock":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","required":["OperationId"],"members":{"OperationId":{}}}},"GetContactReachabilityStatus":{"input":{"type":"structure","members":{"domainName":{}}},"output":{"type":"structure","members":{"domainName":{},"status":{}}}},"GetDomainDetail":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","required":["DomainName","Nameservers","AdminContact","RegistrantContact","TechContact"],"members":{"DomainName":{},"Nameservers":{"shape":"S10"},"AutoRenew":{"type":"boolean"},"AdminContact":{"shape":"S16"},"RegistrantContact":{"shape":"S16"},"TechContact":{"shape":"S16"},"AdminPrivacy":{"type":"boolean"},"RegistrantPrivacy":{"type":"boolean"},"TechPrivacy":{"type":"boolean"},"RegistrarName":{},"WhoIsServer":{},"RegistrarUrl":{},"AbuseContactEmail":{},"AbuseContactPhone":{},"RegistryDomainId":{},"CreationDate":{"type":"timestamp"},"UpdatedDate":{"type":"timestamp"},"ExpirationDate":{"type":"timestamp"},"Reseller":{},"DnsSec":{},"StatusList":{"type":"list","member":{}}}}},"GetDomainSuggestions":{"input":{"type":"structure","required":["DomainName","SuggestionCount","OnlyAvailable"],"members":{"DomainName":{},"SuggestionCount":{"type":"integer"},"OnlyAvailable":{"type":"boolean"}}},"output":{"type":"structure","members":{"SuggestionsList":{"type":"list","member":{"type":"structure","members":{"DomainName":{},"Availability":{}}}}}}},"GetOperationDetail":{"input":{"type":"structure","required":["OperationId"],"members":{"OperationId":{}}},"output":{"type":"structure","members":{"OperationId":{},"Status":{},"Message":{},"DomainName":{},"Type":{},"SubmittedDate":{"type":"timestamp"}}}},"ListDomains":{"input":{"type":"structure","members":{"FilterConditions":{"type":"list","member":{"type":"structure","required":["Name","Operator","Values"],"members":{"Name":{},"Operator":{},"Values":{"type":"list","member":{}}}}},"SortCondition":{"type":"structure","required":["Name","SortOrder"],"members":{"Name":{},"SortOrder":{}}},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"type":"structure","required":["Domains"],"members":{"Domains":{"type":"list","member":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"AutoRenew":{"type":"boolean"},"TransferLock":{"type":"boolean"},"Expiry":{"type":"timestamp"}}}},"NextPageMarker":{}}}},"ListOperations":{"input":{"type":"structure","members":{"SubmittedSince":{"type":"timestamp"},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"type":"structure","required":["Operations"],"members":{"Operations":{"type":"list","member":{"type":"structure","required":["OperationId","Status","Type","SubmittedDate"],"members":{"OperationId":{},"Status":{},"Type":{},"SubmittedDate":{"type":"timestamp"}}}},"NextPageMarker":{}}}},"ListPrices":{"input":{"type":"structure","members":{"Tld":{},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"type":"structure","required":["Prices"],"members":{"Prices":{"type":"list","member":{"type":"structure","members":{"Name":{},"RegistrationPrice":{"shape":"S2r"},"TransferPrice":{"shape":"S2r"},"RenewalPrice":{"shape":"S2r"},"ChangeOwnershipPrice":{"shape":"S2r"},"RestorationPrice":{"shape":"S2r"}}}},"NextPageMarker":{}}}},"ListTagsForDomain":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","required":["TagList"],"members":{"TagList":{"shape":"S2w"}}}},"RegisterDomain":{"input":{"type":"structure","required":["DomainName","DurationInYears","AdminContact","RegistrantContact","TechContact"],"members":{"DomainName":{},"IdnLangCode":{},"DurationInYears":{"type":"integer"},"AutoRenew":{"type":"boolean"},"AdminContact":{"shape":"S16"},"RegistrantContact":{"shape":"S16"},"TechContact":{"shape":"S16"},"PrivacyProtectAdminContact":{"type":"boolean"},"PrivacyProtectRegistrantContact":{"type":"boolean"},"PrivacyProtectTechContact":{"type":"boolean"}}},"output":{"type":"structure","required":["OperationId"],"members":{"OperationId":{}}}},"RejectDomainTransferFromAnotherAwsAccount":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","members":{"OperationId":{}}}},"RenewDomain":{"input":{"type":"structure","required":["DomainName","CurrentExpiryYear"],"members":{"DomainName":{},"DurationInYears":{"type":"integer"},"CurrentExpiryYear":{"type":"integer"}}},"output":{"type":"structure","required":["OperationId"],"members":{"OperationId":{}}}},"ResendContactReachabilityEmail":{"input":{"type":"structure","members":{"domainName":{}}},"output":{"type":"structure","members":{"domainName":{},"emailAddress":{},"isAlreadyVerified":{"type":"boolean"}}}},"RetrieveDomainAuthCode":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"type":"structure","required":["AuthCode"],"members":{"AuthCode":{"shape":"Sd"}}}},"TransferDomain":{"input":{"type":"structure","required":["DomainName","DurationInYears","AdminContact","RegistrantContact","TechContact"],"members":{"DomainName":{},"IdnLangCode":{},"DurationInYears":{"type":"integer"},"Nameservers":{"shape":"S10"},"AuthCode":{"shape":"Sd"},"AutoRenew":{"type":"boolean"},"AdminContact":{"shape":"S16"},"RegistrantContact":{"shape":"S16"},"TechContact":{"shape":"S16"},"PrivacyProtectAdminContact":{"type":"boolean"},"PrivacyProtectRegistrantContact":{"type":"boolean"},"PrivacyProtectTechContact":{"type":"boolean"}}},"output":{"type":"structure","required":["OperationId"],"members":{"OperationId":{}}}},"TransferDomainToAnotherAwsAccount":{"input":{"type":"structure","required":["DomainName","AccountId"],"members":{"DomainName":{},"AccountId":{}}},"output":{"type":"structure","members":{"OperationId":{},"Password":{}}}},"UpdateDomainContact":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"AdminContact":{"shape":"S16"},"RegistrantContact":{"shape":"S16"},"TechContact":{"shape":"S16"}}},"output":{"type":"structure","required":["OperationId"],"members":{"OperationId":{}}}},"UpdateDomainContactPrivacy":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"AdminPrivacy":{"type":"boolean"},"RegistrantPrivacy":{"type":"boolean"},"TechPrivacy":{"type":"boolean"}}},"output":{"type":"structure","required":["OperationId"],"members":{"OperationId":{}}}},"UpdateDomainNameservers":{"input":{"type":"structure","required":["DomainName","Nameservers"],"members":{"DomainName":{},"FIAuthKey":{"deprecated":true,"type":"string","sensitive":true},"Nameservers":{"shape":"S10"}}},"output":{"type":"structure","required":["OperationId"],"members":{"OperationId":{}}}},"UpdateTagsForDomain":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{},"TagsToUpdate":{"shape":"S2w"}}},"output":{"type":"structure","members":{}}},"ViewBilling":{"input":{"type":"structure","members":{"Start":{"type":"timestamp"},"End":{"type":"timestamp"},"Marker":{},"MaxItems":{"type":"integer"}}},"output":{"type":"structure","members":{"NextPageMarker":{},"BillingRecords":{"type":"list","member":{"type":"structure","members":{"DomainName":{},"Operation":{},"InvoiceId":{},"BillDate":{"type":"timestamp"},"Price":{"type":"double"}}}}}}}},"shapes":{"Sd":{"type":"string","sensitive":true},"S10":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{},"GlueIps":{"type":"list","member":{}}}}},"S16":{"type":"structure","members":{"FirstName":{},"LastName":{},"ContactType":{},"OrganizationName":{},"AddressLine1":{},"AddressLine2":{},"City":{},"State":{},"CountryCode":{},"ZipCode":{},"PhoneNumber":{},"Email":{},"Fax":{},"ExtraParams":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{"type":"string","sensitive":true}}}}},"sensitive":true},"S2r":{"type":"structure","required":["Price","Currency"],"members":{"Price":{"type":"double"},"Currency":{}}},"S2w":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}}}}');

/***/ }),

/***/ 52189:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDomains":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextPageMarker","result_key":"Domains"},"ListOperations":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextPageMarker","result_key":"Operations"},"ListPrices":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextPageMarker","result_key":"Prices"},"ViewBilling":{"input_token":"Marker","limit_key":"MaxItems","output_token":"NextPageMarker","result_key":"BillingRecords"}}}');

/***/ }),

/***/ 89229:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-04-01","endpointPrefix":"route53resolver","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Route53Resolver","serviceFullName":"Amazon Route 53 Resolver","serviceId":"Route53Resolver","signatureVersion":"v4","targetPrefix":"Route53Resolver","uid":"route53resolver-2018-04-01"},"operations":{"AssociateFirewallRuleGroup":{"input":{"type":"structure","required":["CreatorRequestId","FirewallRuleGroupId","VpcId","Priority","Name"],"members":{"CreatorRequestId":{"idempotencyToken":true},"FirewallRuleGroupId":{},"VpcId":{},"Priority":{"type":"integer"},"Name":{},"MutationProtection":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"FirewallRuleGroupAssociation":{"shape":"Sc"}}}},"AssociateResolverEndpointIpAddress":{"input":{"type":"structure","required":["ResolverEndpointId","IpAddress"],"members":{"ResolverEndpointId":{},"IpAddress":{"shape":"Sj"}}},"output":{"type":"structure","members":{"ResolverEndpoint":{"shape":"Sn"}}}},"AssociateResolverQueryLogConfig":{"input":{"type":"structure","required":["ResolverQueryLogConfigId","ResourceId"],"members":{"ResolverQueryLogConfigId":{},"ResourceId":{}}},"output":{"type":"structure","members":{"ResolverQueryLogConfigAssociation":{"shape":"Su"}}}},"AssociateResolverRule":{"input":{"type":"structure","required":["ResolverRuleId","VPCId"],"members":{"ResolverRuleId":{},"Name":{},"VPCId":{}}},"output":{"type":"structure","members":{"ResolverRuleAssociation":{"shape":"S10"}}}},"CreateFirewallDomainList":{"input":{"type":"structure","required":["CreatorRequestId","Name"],"members":{"CreatorRequestId":{"idempotencyToken":true},"Name":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"FirewallDomainList":{"shape":"S14"}}}},"CreateFirewallRule":{"input":{"type":"structure","required":["CreatorRequestId","FirewallRuleGroupId","FirewallDomainListId","Priority","Action","Name"],"members":{"CreatorRequestId":{"idempotencyToken":true},"FirewallRuleGroupId":{},"FirewallDomainListId":{},"Priority":{"type":"integer"},"Action":{},"BlockResponse":{},"BlockOverrideDomain":{},"BlockOverrideDnsType":{},"BlockOverrideTtl":{"type":"integer"},"Name":{}}},"output":{"type":"structure","members":{"FirewallRule":{"shape":"S1e"}}}},"CreateFirewallRuleGroup":{"input":{"type":"structure","required":["CreatorRequestId","Name"],"members":{"CreatorRequestId":{"idempotencyToken":true},"Name":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"FirewallRuleGroup":{"shape":"S1h"}}}},"CreateResolverEndpoint":{"input":{"type":"structure","required":["CreatorRequestId","SecurityGroupIds","Direction","IpAddresses"],"members":{"CreatorRequestId":{},"Name":{},"SecurityGroupIds":{"shape":"So"},"Direction":{},"IpAddresses":{"type":"list","member":{"type":"structure","required":["SubnetId"],"members":{"SubnetId":{},"Ip":{}}}},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"ResolverEndpoint":{"shape":"Sn"}}}},"CreateResolverQueryLogConfig":{"input":{"type":"structure","required":["Name","DestinationArn","CreatorRequestId"],"members":{"Name":{},"DestinationArn":{},"CreatorRequestId":{"idempotencyToken":true},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"ResolverQueryLogConfig":{"shape":"S1t"}}}},"CreateResolverRule":{"input":{"type":"structure","required":["CreatorRequestId","RuleType","DomainName"],"members":{"CreatorRequestId":{},"Name":{},"RuleType":{},"DomainName":{},"TargetIps":{"shape":"S1z"},"ResolverEndpointId":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"ResolverRule":{"shape":"S23"}}}},"DeleteFirewallDomainList":{"input":{"type":"structure","required":["FirewallDomainListId"],"members":{"FirewallDomainListId":{}}},"output":{"type":"structure","members":{"FirewallDomainList":{"shape":"S14"}}}},"DeleteFirewallRule":{"input":{"type":"structure","required":["FirewallRuleGroupId","FirewallDomainListId"],"members":{"FirewallRuleGroupId":{},"FirewallDomainListId":{}}},"output":{"type":"structure","members":{"FirewallRule":{"shape":"S1e"}}}},"DeleteFirewallRuleGroup":{"input":{"type":"structure","required":["FirewallRuleGroupId"],"members":{"FirewallRuleGroupId":{}}},"output":{"type":"structure","members":{"FirewallRuleGroup":{"shape":"S1h"}}}},"DeleteResolverEndpoint":{"input":{"type":"structure","required":["ResolverEndpointId"],"members":{"ResolverEndpointId":{}}},"output":{"type":"structure","members":{"ResolverEndpoint":{"shape":"Sn"}}}},"DeleteResolverQueryLogConfig":{"input":{"type":"structure","required":["ResolverQueryLogConfigId"],"members":{"ResolverQueryLogConfigId":{}}},"output":{"type":"structure","members":{"ResolverQueryLogConfig":{"shape":"S1t"}}}},"DeleteResolverRule":{"input":{"type":"structure","required":["ResolverRuleId"],"members":{"ResolverRuleId":{}}},"output":{"type":"structure","members":{"ResolverRule":{"shape":"S23"}}}},"DisassociateFirewallRuleGroup":{"input":{"type":"structure","required":["FirewallRuleGroupAssociationId"],"members":{"FirewallRuleGroupAssociationId":{}}},"output":{"type":"structure","members":{"FirewallRuleGroupAssociation":{"shape":"Sc"}}}},"DisassociateResolverEndpointIpAddress":{"input":{"type":"structure","required":["ResolverEndpointId","IpAddress"],"members":{"ResolverEndpointId":{},"IpAddress":{"shape":"Sj"}}},"output":{"type":"structure","members":{"ResolverEndpoint":{"shape":"Sn"}}}},"DisassociateResolverQueryLogConfig":{"input":{"type":"structure","required":["ResolverQueryLogConfigId","ResourceId"],"members":{"ResolverQueryLogConfigId":{},"ResourceId":{}}},"output":{"type":"structure","members":{"ResolverQueryLogConfigAssociation":{"shape":"Su"}}}},"DisassociateResolverRule":{"input":{"type":"structure","required":["VPCId","ResolverRuleId"],"members":{"VPCId":{},"ResolverRuleId":{}}},"output":{"type":"structure","members":{"ResolverRuleAssociation":{"shape":"S10"}}}},"GetFirewallConfig":{"input":{"type":"structure","required":["ResourceId"],"members":{"ResourceId":{}}},"output":{"type":"structure","members":{"FirewallConfig":{"shape":"S2r"}}}},"GetFirewallDomainList":{"input":{"type":"structure","required":["FirewallDomainListId"],"members":{"FirewallDomainListId":{}}},"output":{"type":"structure","members":{"FirewallDomainList":{"shape":"S14"}}}},"GetFirewallRuleGroup":{"input":{"type":"structure","required":["FirewallRuleGroupId"],"members":{"FirewallRuleGroupId":{}}},"output":{"type":"structure","members":{"FirewallRuleGroup":{"shape":"S1h"}}}},"GetFirewallRuleGroupAssociation":{"input":{"type":"structure","required":["FirewallRuleGroupAssociationId"],"members":{"FirewallRuleGroupAssociationId":{}}},"output":{"type":"structure","members":{"FirewallRuleGroupAssociation":{"shape":"Sc"}}}},"GetFirewallRuleGroupPolicy":{"input":{"type":"structure","required":["Arn"],"members":{"Arn":{}}},"output":{"type":"structure","members":{"FirewallRuleGroupPolicy":{}}}},"GetResolverConfig":{"input":{"type":"structure","required":["ResourceId"],"members":{"ResourceId":{}}},"output":{"type":"structure","members":{"ResolverConfig":{"shape":"S34"}}}},"GetResolverDnssecConfig":{"input":{"type":"structure","required":["ResourceId"],"members":{"ResourceId":{}}},"output":{"type":"structure","members":{"ResolverDNSSECConfig":{"shape":"S38"}}}},"GetResolverEndpoint":{"input":{"type":"structure","required":["ResolverEndpointId"],"members":{"ResolverEndpointId":{}}},"output":{"type":"structure","members":{"ResolverEndpoint":{"shape":"Sn"}}}},"GetResolverQueryLogConfig":{"input":{"type":"structure","required":["ResolverQueryLogConfigId"],"members":{"ResolverQueryLogConfigId":{}}},"output":{"type":"structure","members":{"ResolverQueryLogConfig":{"shape":"S1t"}}}},"GetResolverQueryLogConfigAssociation":{"input":{"type":"structure","required":["ResolverQueryLogConfigAssociationId"],"members":{"ResolverQueryLogConfigAssociationId":{}}},"output":{"type":"structure","members":{"ResolverQueryLogConfigAssociation":{"shape":"Su"}}}},"GetResolverQueryLogConfigPolicy":{"input":{"type":"structure","required":["Arn"],"members":{"Arn":{}}},"output":{"type":"structure","members":{"ResolverQueryLogConfigPolicy":{}}}},"GetResolverRule":{"input":{"type":"structure","required":["ResolverRuleId"],"members":{"ResolverRuleId":{}}},"output":{"type":"structure","members":{"ResolverRule":{"shape":"S23"}}}},"GetResolverRuleAssociation":{"input":{"type":"structure","required":["ResolverRuleAssociationId"],"members":{"ResolverRuleAssociationId":{}}},"output":{"type":"structure","members":{"ResolverRuleAssociation":{"shape":"S10"}}}},"GetResolverRulePolicy":{"input":{"type":"structure","required":["Arn"],"members":{"Arn":{}}},"output":{"type":"structure","members":{"ResolverRulePolicy":{}}}},"ImportFirewallDomains":{"input":{"type":"structure","required":["FirewallDomainListId","Operation","DomainFileUrl"],"members":{"FirewallDomainListId":{},"Operation":{},"DomainFileUrl":{}}},"output":{"type":"structure","members":{"Id":{},"Name":{},"Status":{},"StatusMessage":{}}}},"ListFirewallConfigs":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"FirewallConfigs":{"type":"list","member":{"shape":"S2r"}}}}},"ListFirewallDomainLists":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"FirewallDomainLists":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"CreatorRequestId":{},"ManagedOwnerName":{}}}}}}},"ListFirewallDomains":{"input":{"type":"structure","required":["FirewallDomainListId"],"members":{"FirewallDomainListId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"Domains":{"shape":"S47"}}}},"ListFirewallRuleGroupAssociations":{"input":{"type":"structure","members":{"FirewallRuleGroupId":{},"VpcId":{},"Priority":{"type":"integer"},"Status":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"FirewallRuleGroupAssociations":{"type":"list","member":{"shape":"Sc"}}}}},"ListFirewallRuleGroups":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"FirewallRuleGroups":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"OwnerId":{},"CreatorRequestId":{},"ShareStatus":{}}}}}}},"ListFirewallRules":{"input":{"type":"structure","required":["FirewallRuleGroupId"],"members":{"FirewallRuleGroupId":{},"Priority":{"type":"integer"},"Action":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"FirewallRules":{"type":"list","member":{"shape":"S1e"}}}}},"ListResolverConfigs":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"ResolverConfigs":{"type":"list","member":{"shape":"S34"}}}}},"ListResolverDnssecConfigs":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"S4o"}}},"output":{"type":"structure","members":{"NextToken":{},"ResolverDnssecConfigs":{"type":"list","member":{"shape":"S38"}}}}},"ListResolverEndpointIpAddresses":{"input":{"type":"structure","required":["ResolverEndpointId"],"members":{"ResolverEndpointId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"IpAddresses":{"type":"list","member":{"type":"structure","members":{"IpId":{},"SubnetId":{},"Ip":{},"Status":{},"StatusMessage":{},"CreationTime":{},"ModificationTime":{}}}}}}},"ListResolverEndpoints":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"S4o"}}},"output":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"ResolverEndpoints":{"type":"list","member":{"shape":"Sn"}}}}},"ListResolverQueryLogConfigAssociations":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"S4o"},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","members":{"NextToken":{},"TotalCount":{"type":"integer"},"TotalFilteredCount":{"type":"integer"},"ResolverQueryLogConfigAssociations":{"type":"list","member":{"shape":"Su"}}}}},"ListResolverQueryLogConfigs":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"S4o"},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","members":{"NextToken":{},"TotalCount":{"type":"integer"},"TotalFilteredCount":{"type":"integer"},"ResolverQueryLogConfigs":{"type":"list","member":{"shape":"S1t"}}}}},"ListResolverRuleAssociations":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"S4o"}}},"output":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"ResolverRuleAssociations":{"type":"list","member":{"shape":"S10"}}}}},"ListResolverRules":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"S4o"}}},"output":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"ResolverRules":{"type":"list","member":{"shape":"S23"}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S7"},"NextToken":{}}}},"PutFirewallRuleGroupPolicy":{"input":{"type":"structure","required":["Arn","FirewallRuleGroupPolicy"],"members":{"Arn":{},"FirewallRuleGroupPolicy":{}}},"output":{"type":"structure","members":{"ReturnValue":{"type":"boolean"}}}},"PutResolverQueryLogConfigPolicy":{"input":{"type":"structure","required":["Arn","ResolverQueryLogConfigPolicy"],"members":{"Arn":{},"ResolverQueryLogConfigPolicy":{}}},"output":{"type":"structure","members":{"ReturnValue":{"type":"boolean"}}}},"PutResolverRulePolicy":{"input":{"type":"structure","required":["Arn","ResolverRulePolicy"],"members":{"Arn":{},"ResolverRulePolicy":{}}},"output":{"type":"structure","members":{"ReturnValue":{"type":"boolean"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateFirewallConfig":{"input":{"type":"structure","required":["ResourceId","FirewallFailOpen"],"members":{"ResourceId":{},"FirewallFailOpen":{}}},"output":{"type":"structure","members":{"FirewallConfig":{"shape":"S2r"}}}},"UpdateFirewallDomains":{"input":{"type":"structure","required":["FirewallDomainListId","Operation","Domains"],"members":{"FirewallDomainListId":{},"Operation":{},"Domains":{"shape":"S47"}}},"output":{"type":"structure","members":{"Id":{},"Name":{},"Status":{},"StatusMessage":{}}}},"UpdateFirewallRule":{"input":{"type":"structure","required":["FirewallRuleGroupId","FirewallDomainListId"],"members":{"FirewallRuleGroupId":{},"FirewallDomainListId":{},"Priority":{"type":"integer"},"Action":{},"BlockResponse":{},"BlockOverrideDomain":{},"BlockOverrideDnsType":{},"BlockOverrideTtl":{"type":"integer"},"Name":{}}},"output":{"type":"structure","members":{"FirewallRule":{"shape":"S1e"}}}},"UpdateFirewallRuleGroupAssociation":{"input":{"type":"structure","required":["FirewallRuleGroupAssociationId"],"members":{"FirewallRuleGroupAssociationId":{},"Priority":{"type":"integer"},"MutationProtection":{},"Name":{}}},"output":{"type":"structure","members":{"FirewallRuleGroupAssociation":{"shape":"Sc"}}}},"UpdateResolverConfig":{"input":{"type":"structure","required":["ResourceId","AutodefinedReverseFlag"],"members":{"ResourceId":{},"AutodefinedReverseFlag":{}}},"output":{"type":"structure","members":{"ResolverConfig":{"shape":"S34"}}}},"UpdateResolverDnssecConfig":{"input":{"type":"structure","required":["ResourceId","Validation"],"members":{"ResourceId":{},"Validation":{}}},"output":{"type":"structure","members":{"ResolverDNSSECConfig":{"shape":"S38"}}}},"UpdateResolverEndpoint":{"input":{"type":"structure","required":["ResolverEndpointId"],"members":{"ResolverEndpointId":{},"Name":{}}},"output":{"type":"structure","members":{"ResolverEndpoint":{"shape":"Sn"}}}},"UpdateResolverRule":{"input":{"type":"structure","required":["ResolverRuleId","Config"],"members":{"ResolverRuleId":{},"Config":{"type":"structure","members":{"Name":{},"TargetIps":{"shape":"S1z"},"ResolverEndpointId":{}}}}},"output":{"type":"structure","members":{"ResolverRule":{"shape":"S23"}}}}},"shapes":{"S7":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sc":{"type":"structure","members":{"Id":{},"Arn":{},"FirewallRuleGroupId":{},"VpcId":{},"Name":{},"Priority":{"type":"integer"},"MutationProtection":{},"ManagedOwnerName":{},"Status":{},"StatusMessage":{},"CreatorRequestId":{},"CreationTime":{},"ModificationTime":{}}},"Sj":{"type":"structure","members":{"IpId":{},"SubnetId":{},"Ip":{}}},"Sn":{"type":"structure","members":{"Id":{},"CreatorRequestId":{},"Arn":{},"Name":{},"SecurityGroupIds":{"shape":"So"},"Direction":{},"IpAddressCount":{"type":"integer"},"HostVPCId":{},"Status":{},"StatusMessage":{},"CreationTime":{},"ModificationTime":{}}},"So":{"type":"list","member":{}},"Su":{"type":"structure","members":{"Id":{},"ResolverQueryLogConfigId":{},"ResourceId":{},"Status":{},"Error":{},"ErrorMessage":{},"CreationTime":{}}},"S10":{"type":"structure","members":{"Id":{},"ResolverRuleId":{},"Name":{},"VPCId":{},"Status":{},"StatusMessage":{}}},"S14":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"DomainCount":{"type":"integer"},"Status":{},"StatusMessage":{},"ManagedOwnerName":{},"CreatorRequestId":{},"CreationTime":{},"ModificationTime":{}}},"S1e":{"type":"structure","members":{"FirewallRuleGroupId":{},"FirewallDomainListId":{},"Name":{},"Priority":{"type":"integer"},"Action":{},"BlockResponse":{},"BlockOverrideDomain":{},"BlockOverrideDnsType":{},"BlockOverrideTtl":{"type":"integer"},"CreatorRequestId":{},"CreationTime":{},"ModificationTime":{}}},"S1h":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"RuleCount":{"type":"integer"},"Status":{},"StatusMessage":{},"OwnerId":{},"CreatorRequestId":{},"ShareStatus":{},"CreationTime":{},"ModificationTime":{}}},"S1t":{"type":"structure","members":{"Id":{},"OwnerId":{},"Status":{},"ShareStatus":{},"AssociationCount":{"type":"integer"},"Arn":{},"Name":{},"DestinationArn":{},"CreatorRequestId":{},"CreationTime":{}}},"S1z":{"type":"list","member":{"type":"structure","required":["Ip"],"members":{"Ip":{},"Port":{"type":"integer"}}}},"S23":{"type":"structure","members":{"Id":{},"CreatorRequestId":{},"Arn":{},"DomainName":{},"Status":{},"StatusMessage":{},"RuleType":{},"Name":{},"TargetIps":{"shape":"S1z"},"ResolverEndpointId":{},"OwnerId":{},"ShareStatus":{},"CreationTime":{},"ModificationTime":{}}},"S2r":{"type":"structure","members":{"Id":{},"ResourceId":{},"OwnerId":{},"FirewallFailOpen":{}}},"S34":{"type":"structure","members":{"Id":{},"ResourceId":{},"OwnerId":{},"AutodefinedReverse":{}}},"S38":{"type":"structure","members":{"Id":{},"OwnerId":{},"ResourceId":{},"ValidationStatus":{}}},"S47":{"type":"list","member":{}},"S4o":{"type":"list","member":{"type":"structure","members":{"Name":{},"Values":{"type":"list","member":{}}}}}}}');

/***/ }),

/***/ 95050:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListFirewallConfigs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"FirewallConfigs"},"ListFirewallDomainLists":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"FirewallDomainLists"},"ListFirewallDomains":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Domains"},"ListFirewallRuleGroupAssociations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"FirewallRuleGroupAssociations"},"ListFirewallRuleGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"FirewallRuleGroups"},"ListFirewallRules":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"FirewallRules"},"ListResolverConfigs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ResolverConfigs"},"ListResolverDnssecConfigs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ResolverDnssecConfigs"},"ListResolverEndpointIpAddresses":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"IpAddresses"},"ListResolverEndpoints":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ResolverEndpoints"},"ListResolverQueryLogConfigAssociations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ResolverQueryLogConfigAssociations"},"ListResolverQueryLogConfigs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ResolverQueryLogConfigs"},"ListResolverRuleAssociations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ResolverRuleAssociations"},"ListResolverRules":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ResolverRules"},"ListTagsForResource":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Tags"}}}');

/***/ }),

/***/ 84126:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-05-10","endpointPrefix":"rum","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"CloudWatch RUM","serviceId":"RUM","signatureVersion":"v4","signingName":"rum","uid":"rum-2018-05-10"},"operations":{"CreateAppMonitor":{"http":{"requestUri":"/appmonitor","responseCode":200},"input":{"type":"structure","required":["Domain","Name"],"members":{"AppMonitorConfiguration":{"shape":"S2"},"CwLogEnabled":{"type":"boolean"},"Domain":{},"Name":{},"Tags":{"shape":"Sf"}}},"output":{"type":"structure","members":{"Id":{}}},"idempotent":true},"DeleteAppMonitor":{"http":{"method":"DELETE","requestUri":"/appmonitor/{Name}","responseCode":200},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","members":{}},"idempotent":true},"GetAppMonitor":{"http":{"method":"GET","requestUri":"/appmonitor/{Name}","responseCode":200},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","members":{"AppMonitor":{"type":"structure","members":{"AppMonitorConfiguration":{"shape":"S2"},"Created":{},"DataStorage":{"type":"structure","members":{"CwLog":{"type":"structure","members":{"CwLogEnabled":{"type":"boolean"},"CwLogGroup":{}}}}},"Domain":{},"Id":{},"LastModified":{},"Name":{},"State":{},"Tags":{"shape":"Sf"}}}}}},"GetAppMonitorData":{"http":{"requestUri":"/appmonitor/{Name}/data","responseCode":200},"input":{"type":"structure","required":["Name","TimeRange"],"members":{"Filters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Values":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"Name":{"location":"uri","locationName":"Name"},"NextToken":{},"TimeRange":{"type":"structure","required":["After"],"members":{"After":{"type":"long"},"Before":{"type":"long"}}}}},"output":{"type":"structure","members":{"Events":{"type":"list","member":{}},"NextToken":{}}}},"ListAppMonitors":{"http":{"requestUri":"/appmonitors","responseCode":200},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"AppMonitorSummaries":{"type":"list","member":{"type":"structure","members":{"Created":{},"Id":{},"LastModified":{},"Name":{},"State":{}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}}},"output":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sf"}}}},"PutRumEvents":{"http":{"requestUri":"/appmonitors/{Id}/","responseCode":200},"input":{"type":"structure","required":["AppMonitorDetails","BatchId","Id","RumEvents","UserDetails"],"members":{"AppMonitorDetails":{"type":"structure","members":{"id":{},"name":{},"version":{}}},"BatchId":{},"Id":{"location":"uri","locationName":"Id"},"RumEvents":{"type":"list","member":{"type":"structure","required":["details","id","timestamp","type"],"members":{"details":{"jsonvalue":true},"id":{},"metadata":{"jsonvalue":true},"timestamp":{"type":"timestamp"},"type":{}}}},"UserDetails":{"type":"structure","members":{"sessionId":{},"userId":{}}}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"dataplane."}},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"Sf"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}","responseCode":200},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateAppMonitor":{"http":{"method":"PATCH","requestUri":"/appmonitor/{Name}","responseCode":200},"input":{"type":"structure","required":["Name"],"members":{"AppMonitorConfiguration":{"shape":"S2"},"CwLogEnabled":{"type":"boolean"},"Domain":{},"Name":{"location":"uri","locationName":"Name"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S2":{"type":"structure","members":{"AllowCookies":{"type":"boolean"},"EnableXRay":{"type":"boolean"},"ExcludedPages":{"shape":"S4"},"FavoritePages":{"type":"list","member":{}},"GuestRoleArn":{},"IdentityPoolId":{},"IncludedPages":{"shape":"S4"},"SessionSampleRate":{"type":"double"},"Telemetries":{"type":"list","member":{}}}},"S4":{"type":"list","member":{}},"Sf":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 79432:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetAppMonitorData":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Events"},"ListAppMonitors":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"AppMonitorSummaries"}}}');

/***/ }),

/***/ 11059:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-11-28","endpointPrefix":"runtime.lex","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Lex Runtime Service","serviceId":"Lex Runtime Service","signatureVersion":"v4","signingName":"lex","uid":"runtime.lex-2016-11-28"},"operations":{"DeleteSession":{"http":{"method":"DELETE","requestUri":"/bot/{botName}/alias/{botAlias}/user/{userId}/session"},"input":{"type":"structure","required":["botName","botAlias","userId"],"members":{"botName":{"location":"uri","locationName":"botName"},"botAlias":{"location":"uri","locationName":"botAlias"},"userId":{"location":"uri","locationName":"userId"}}},"output":{"type":"structure","members":{"botName":{},"botAlias":{},"userId":{},"sessionId":{}}}},"GetSession":{"http":{"method":"GET","requestUri":"/bot/{botName}/alias/{botAlias}/user/{userId}/session/"},"input":{"type":"structure","required":["botName","botAlias","userId"],"members":{"botName":{"location":"uri","locationName":"botName"},"botAlias":{"location":"uri","locationName":"botAlias"},"userId":{"location":"uri","locationName":"userId"},"checkpointLabelFilter":{"location":"querystring","locationName":"checkpointLabelFilter"}}},"output":{"type":"structure","members":{"recentIntentSummaryView":{"shape":"Sa"},"sessionAttributes":{"shape":"Sd"},"sessionId":{},"dialogAction":{"shape":"Sh"},"activeContexts":{"shape":"Sk"}}}},"PostContent":{"http":{"requestUri":"/bot/{botName}/alias/{botAlias}/user/{userId}/content"},"input":{"type":"structure","required":["botName","botAlias","userId","contentType","inputStream"],"members":{"botName":{"location":"uri","locationName":"botName"},"botAlias":{"location":"uri","locationName":"botAlias"},"userId":{"location":"uri","locationName":"userId"},"sessionAttributes":{"shape":"St","jsonvalue":true,"location":"header","locationName":"x-amz-lex-session-attributes"},"requestAttributes":{"shape":"St","jsonvalue":true,"location":"header","locationName":"x-amz-lex-request-attributes"},"contentType":{"location":"header","locationName":"Content-Type"},"accept":{"location":"header","locationName":"Accept"},"inputStream":{"shape":"Sw"},"activeContexts":{"shape":"Sx","jsonvalue":true,"location":"header","locationName":"x-amz-lex-active-contexts"}},"payload":"inputStream"},"output":{"type":"structure","members":{"contentType":{"location":"header","locationName":"Content-Type"},"intentName":{"location":"header","locationName":"x-amz-lex-intent-name"},"nluIntentConfidence":{"jsonvalue":true,"location":"header","locationName":"x-amz-lex-nlu-intent-confidence"},"alternativeIntents":{"jsonvalue":true,"location":"header","locationName":"x-amz-lex-alternative-intents"},"slots":{"jsonvalue":true,"location":"header","locationName":"x-amz-lex-slots"},"sessionAttributes":{"jsonvalue":true,"location":"header","locationName":"x-amz-lex-session-attributes"},"sentimentResponse":{"location":"header","locationName":"x-amz-lex-sentiment"},"message":{"shape":"Si","deprecated":true,"deprecatedMessage":"The message field is deprecated, use the encodedMessage field instead. The message field is available only in the de-DE, en-AU, en-GB, en-US, es-419, es-ES, es-US, fr-CA, fr-FR and it-IT locales.","location":"header","locationName":"x-amz-lex-message"},"encodedMessage":{"shape":"Sz","location":"header","locationName":"x-amz-lex-encoded-message"},"messageFormat":{"location":"header","locationName":"x-amz-lex-message-format"},"dialogState":{"location":"header","locationName":"x-amz-lex-dialog-state"},"slotToElicit":{"location":"header","locationName":"x-amz-lex-slot-to-elicit"},"inputTranscript":{"deprecated":true,"deprecatedMessage":"The inputTranscript field is deprecated, use the encodedInputTranscript field instead. The inputTranscript field is available only in the de-DE, en-AU, en-GB, en-US, es-419, es-ES, es-US, fr-CA, fr-FR and it-IT locales.","location":"header","locationName":"x-amz-lex-input-transcript"},"encodedInputTranscript":{"location":"header","locationName":"x-amz-lex-encoded-input-transcript","type":"string","sensitive":true},"audioStream":{"shape":"Sw"},"botVersion":{"location":"header","locationName":"x-amz-lex-bot-version"},"sessionId":{"location":"header","locationName":"x-amz-lex-session-id"},"activeContexts":{"shape":"Sx","jsonvalue":true,"location":"header","locationName":"x-amz-lex-active-contexts"}},"payload":"audioStream"},"authtype":"v4-unsigned-body"},"PostText":{"http":{"requestUri":"/bot/{botName}/alias/{botAlias}/user/{userId}/text"},"input":{"type":"structure","required":["botName","botAlias","userId","inputText"],"members":{"botName":{"location":"uri","locationName":"botName"},"botAlias":{"location":"uri","locationName":"botAlias"},"userId":{"location":"uri","locationName":"userId"},"sessionAttributes":{"shape":"Sd"},"requestAttributes":{"shape":"Sd"},"inputText":{"shape":"Si"},"activeContexts":{"shape":"Sk"}}},"output":{"type":"structure","members":{"intentName":{},"nluIntentConfidence":{"shape":"S15"},"alternativeIntents":{"type":"list","member":{"type":"structure","members":{"intentName":{},"nluIntentConfidence":{"shape":"S15"},"slots":{"shape":"Sd"}}}},"slots":{"shape":"Sd"},"sessionAttributes":{"shape":"Sd"},"message":{"shape":"Si"},"sentimentResponse":{"type":"structure","members":{"sentimentLabel":{},"sentimentScore":{}}},"messageFormat":{},"dialogState":{},"slotToElicit":{},"responseCard":{"type":"structure","members":{"version":{},"contentType":{},"genericAttachments":{"type":"list","member":{"type":"structure","members":{"title":{},"subTitle":{},"attachmentLinkUrl":{},"imageUrl":{},"buttons":{"type":"list","member":{"type":"structure","required":["text","value"],"members":{"text":{},"value":{}}}}}}}}},"sessionId":{},"botVersion":{},"activeContexts":{"shape":"Sk"}}}},"PutSession":{"http":{"requestUri":"/bot/{botName}/alias/{botAlias}/user/{userId}/session"},"input":{"type":"structure","required":["botName","botAlias","userId"],"members":{"botName":{"location":"uri","locationName":"botName"},"botAlias":{"location":"uri","locationName":"botAlias"},"userId":{"location":"uri","locationName":"userId"},"sessionAttributes":{"shape":"Sd"},"dialogAction":{"shape":"Sh"},"recentIntentSummaryView":{"shape":"Sa"},"accept":{"location":"header","locationName":"Accept"},"activeContexts":{"shape":"Sk"}}},"output":{"type":"structure","members":{"contentType":{"location":"header","locationName":"Content-Type"},"intentName":{"location":"header","locationName":"x-amz-lex-intent-name"},"slots":{"jsonvalue":true,"location":"header","locationName":"x-amz-lex-slots"},"sessionAttributes":{"jsonvalue":true,"location":"header","locationName":"x-amz-lex-session-attributes"},"message":{"shape":"Si","deprecated":true,"deprecatedMessage":"The message field is deprecated, use the encodedMessage field instead. The message field is available only in the de-DE, en-AU, en-GB, en-US, es-419, es-ES, es-US, fr-CA, fr-FR and it-IT locales.","location":"header","locationName":"x-amz-lex-message"},"encodedMessage":{"shape":"Sz","location":"header","locationName":"x-amz-lex-encoded-message"},"messageFormat":{"location":"header","locationName":"x-amz-lex-message-format"},"dialogState":{"location":"header","locationName":"x-amz-lex-dialog-state"},"slotToElicit":{"location":"header","locationName":"x-amz-lex-slot-to-elicit"},"audioStream":{"shape":"Sw"},"sessionId":{"location":"header","locationName":"x-amz-lex-session-id"},"activeContexts":{"shape":"Sx","jsonvalue":true,"location":"header","locationName":"x-amz-lex-active-contexts"}},"payload":"audioStream"}}},"shapes":{"Sa":{"type":"list","member":{"type":"structure","required":["dialogActionType"],"members":{"intentName":{},"checkpointLabel":{},"slots":{"shape":"Sd"},"confirmationStatus":{},"dialogActionType":{},"fulfillmentState":{},"slotToElicit":{}}}},"Sd":{"type":"map","key":{},"value":{},"sensitive":true},"Sh":{"type":"structure","required":["type"],"members":{"type":{},"intentName":{},"slots":{"shape":"Sd"},"slotToElicit":{},"fulfillmentState":{},"message":{"shape":"Si"},"messageFormat":{}}},"Si":{"type":"string","sensitive":true},"Sk":{"type":"list","member":{"type":"structure","required":["name","timeToLive","parameters"],"members":{"name":{},"timeToLive":{"type":"structure","members":{"timeToLiveInSeconds":{"type":"integer"},"turnsToLive":{"type":"integer"}}},"parameters":{"type":"map","key":{},"value":{"shape":"Si"}}}},"sensitive":true},"St":{"type":"string","sensitive":true},"Sw":{"type":"blob","streaming":true},"Sx":{"type":"string","sensitive":true},"Sz":{"type":"string","sensitive":true},"S15":{"type":"structure","members":{"score":{"type":"double"}}}}}');

/***/ }),

/***/ 97715:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 17908:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-08-07","endpointPrefix":"runtime-v2-lex","jsonVersion":"1.1","protocol":"rest-json","protocolSettings":{"h2":"eventstream"},"serviceAbbreviation":"Lex Runtime V2","serviceFullName":"Amazon Lex Runtime V2","serviceId":"Lex Runtime V2","signatureVersion":"v4","signingName":"lex","uid":"runtime.lex.v2-2020-08-07"},"operations":{"DeleteSession":{"http":{"method":"DELETE","requestUri":"/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}"},"input":{"type":"structure","required":["botId","botAliasId","sessionId","localeId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botAliasId":{"location":"uri","locationName":"botAliasId"},"localeId":{"location":"uri","locationName":"localeId"},"sessionId":{"location":"uri","locationName":"sessionId"}}},"output":{"type":"structure","members":{"botId":{},"botAliasId":{},"localeId":{},"sessionId":{}}}},"GetSession":{"http":{"method":"GET","requestUri":"/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}"},"input":{"type":"structure","required":["botId","botAliasId","localeId","sessionId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botAliasId":{"location":"uri","locationName":"botAliasId"},"localeId":{"location":"uri","locationName":"localeId"},"sessionId":{"location":"uri","locationName":"sessionId"}}},"output":{"type":"structure","members":{"sessionId":{},"messages":{"shape":"Sa"},"interpretations":{"shape":"Sl"},"sessionState":{"shape":"S11"}}}},"PutSession":{"http":{"requestUri":"/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}"},"input":{"type":"structure","required":["botId","botAliasId","localeId","sessionState","sessionId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botAliasId":{"location":"uri","locationName":"botAliasId"},"localeId":{"location":"uri","locationName":"localeId"},"sessionId":{"location":"uri","locationName":"sessionId"},"messages":{"shape":"Sa"},"sessionState":{"shape":"S11"},"requestAttributes":{"shape":"S1d"},"responseContentType":{"location":"header","locationName":"ResponseContentType"}}},"output":{"type":"structure","members":{"contentType":{"location":"header","locationName":"Content-Type"},"messages":{"location":"header","locationName":"x-amz-lex-messages"},"sessionState":{"location":"header","locationName":"x-amz-lex-session-state"},"requestAttributes":{"location":"header","locationName":"x-amz-lex-request-attributes"},"sessionId":{"location":"header","locationName":"x-amz-lex-session-id"},"audioStream":{"shape":"S1h"}},"payload":"audioStream"}},"RecognizeText":{"http":{"requestUri":"/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}/text"},"input":{"type":"structure","required":["botId","botAliasId","localeId","text","sessionId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botAliasId":{"location":"uri","locationName":"botAliasId"},"localeId":{"location":"uri","locationName":"localeId"},"sessionId":{"location":"uri","locationName":"sessionId"},"text":{"shape":"Sc"},"sessionState":{"shape":"S11"},"requestAttributes":{"shape":"S1d"}}},"output":{"type":"structure","members":{"messages":{"shape":"Sa"},"sessionState":{"shape":"S11"},"interpretations":{"shape":"Sl"},"requestAttributes":{"shape":"S1d"},"sessionId":{}}}},"RecognizeUtterance":{"http":{"requestUri":"/bots/{botId}/botAliases/{botAliasId}/botLocales/{localeId}/sessions/{sessionId}/utterance"},"input":{"type":"structure","required":["botId","botAliasId","localeId","requestContentType","sessionId"],"members":{"botId":{"location":"uri","locationName":"botId"},"botAliasId":{"location":"uri","locationName":"botAliasId"},"localeId":{"location":"uri","locationName":"localeId"},"sessionId":{"location":"uri","locationName":"sessionId"},"sessionState":{"shape":"S1l","location":"header","locationName":"x-amz-lex-session-state"},"requestAttributes":{"shape":"S1l","location":"header","locationName":"x-amz-lex-request-attributes"},"requestContentType":{"location":"header","locationName":"Content-Type"},"responseContentType":{"location":"header","locationName":"Response-Content-Type"},"inputStream":{"shape":"S1h"}},"payload":"inputStream"},"output":{"type":"structure","members":{"inputMode":{"location":"header","locationName":"x-amz-lex-input-mode"},"contentType":{"location":"header","locationName":"Content-Type"},"messages":{"location":"header","locationName":"x-amz-lex-messages"},"interpretations":{"location":"header","locationName":"x-amz-lex-interpretations"},"sessionState":{"location":"header","locationName":"x-amz-lex-session-state"},"requestAttributes":{"location":"header","locationName":"x-amz-lex-request-attributes"},"sessionId":{"location":"header","locationName":"x-amz-lex-session-id"},"inputTranscript":{"location":"header","locationName":"x-amz-lex-input-transcript"},"audioStream":{"shape":"S1h"}},"payload":"audioStream"},"authtype":"v4-unsigned-body"}},"shapes":{"Sa":{"type":"list","member":{"type":"structure","required":["contentType"],"members":{"content":{"shape":"Sc"},"contentType":{},"imageResponseCard":{"type":"structure","required":["title"],"members":{"title":{},"subtitle":{},"imageUrl":{},"buttons":{"type":"list","member":{"type":"structure","required":["text","value"],"members":{"text":{},"value":{}}}}}}}}},"Sc":{"type":"string","sensitive":true},"Sl":{"type":"list","member":{"type":"structure","members":{"nluConfidence":{"type":"structure","members":{"score":{"type":"double"}}},"sentimentResponse":{"type":"structure","members":{"sentiment":{},"sentimentScore":{"type":"structure","members":{"positive":{"type":"double"},"negative":{"type":"double"},"neutral":{"type":"double"},"mixed":{"type":"double"}}}}},"intent":{"shape":"Ss"}}}},"Ss":{"type":"structure","required":["name"],"members":{"name":{},"slots":{"type":"map","key":{},"value":{"shape":"Su"}},"state":{},"confirmationState":{}}},"Su":{"type":"structure","members":{"value":{"type":"structure","required":["interpretedValue"],"members":{"originalValue":{},"interpretedValue":{},"resolvedValues":{"type":"list","member":{}}}},"shape":{},"values":{"type":"list","member":{"shape":"Su"}}}},"S11":{"type":"structure","members":{"dialogAction":{"type":"structure","required":["type"],"members":{"type":{},"slotToElicit":{},"slotElicitationStyle":{}}},"intent":{"shape":"Ss"},"activeContexts":{"type":"list","member":{"type":"structure","required":["name","timeToLive","contextAttributes"],"members":{"name":{},"timeToLive":{"type":"structure","required":["timeToLiveInSeconds","turnsToLive"],"members":{"timeToLiveInSeconds":{"type":"integer"},"turnsToLive":{"type":"integer"}}},"contextAttributes":{"type":"map","key":{},"value":{"shape":"Sc"}}}}},"sessionAttributes":{"shape":"S1d"},"originatingRequestId":{}}},"S1d":{"type":"map","key":{},"value":{}},"S1h":{"type":"blob","streaming":true},"S1l":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 469:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 27032:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-05-13","endpointPrefix":"runtime.sagemaker","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon SageMaker Runtime","serviceId":"SageMaker Runtime","signatureVersion":"v4","signingName":"sagemaker","uid":"runtime.sagemaker-2017-05-13"},"operations":{"InvokeEndpoint":{"http":{"requestUri":"/endpoints/{EndpointName}/invocations"},"input":{"type":"structure","required":["EndpointName","Body"],"members":{"EndpointName":{"location":"uri","locationName":"EndpointName"},"Body":{"shape":"S3"},"ContentType":{"location":"header","locationName":"Content-Type"},"Accept":{"location":"header","locationName":"Accept"},"CustomAttributes":{"shape":"S5","location":"header","locationName":"X-Amzn-SageMaker-Custom-Attributes"},"TargetModel":{"location":"header","locationName":"X-Amzn-SageMaker-Target-Model"},"TargetVariant":{"location":"header","locationName":"X-Amzn-SageMaker-Target-Variant"},"TargetContainerHostname":{"location":"header","locationName":"X-Amzn-SageMaker-Target-Container-Hostname"},"InferenceId":{"location":"header","locationName":"X-Amzn-SageMaker-Inference-Id"}},"payload":"Body"},"output":{"type":"structure","required":["Body"],"members":{"Body":{"shape":"S3"},"ContentType":{"location":"header","locationName":"Content-Type"},"InvokedProductionVariant":{"location":"header","locationName":"x-Amzn-Invoked-Production-Variant"},"CustomAttributes":{"shape":"S5","location":"header","locationName":"X-Amzn-SageMaker-Custom-Attributes"}},"payload":"Body"}},"InvokeEndpointAsync":{"http":{"requestUri":"/endpoints/{EndpointName}/async-invocations","responseCode":202},"input":{"type":"structure","required":["EndpointName","InputLocation"],"members":{"EndpointName":{"location":"uri","locationName":"EndpointName"},"ContentType":{"location":"header","locationName":"X-Amzn-SageMaker-Content-Type"},"Accept":{"location":"header","locationName":"X-Amzn-SageMaker-Accept"},"CustomAttributes":{"shape":"S5","location":"header","locationName":"X-Amzn-SageMaker-Custom-Attributes"},"InferenceId":{"location":"header","locationName":"X-Amzn-SageMaker-Inference-Id"},"InputLocation":{"location":"header","locationName":"X-Amzn-SageMaker-InputLocation"},"RequestTTLSeconds":{"location":"header","locationName":"X-Amzn-SageMaker-RequestTTLSeconds","type":"integer"}}},"output":{"type":"structure","members":{"InferenceId":{},"OutputLocation":{"location":"header","locationName":"X-Amzn-SageMaker-OutputLocation"}}}}},"shapes":{"S3":{"type":"blob","sensitive":true},"S5":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 7570:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 1129:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2006-03-01","checksumFormat":"md5","endpointPrefix":"s3","globalEndpoint":"s3.amazonaws.com","protocol":"rest-xml","serviceAbbreviation":"Amazon S3","serviceFullName":"Amazon Simple Storage Service","serviceId":"S3","signatureVersion":"s3","uid":"s3-2006-03-01"},"operations":{"AbortMultipartUpload":{"http":{"method":"DELETE","requestUri":"/{Bucket}/{Key+}","responseCode":204},"input":{"type":"structure","required":["Bucket","Key","UploadId"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"UploadId":{"location":"querystring","locationName":"uploadId"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}}}},"CompleteMultipartUpload":{"http":{"requestUri":"/{Bucket}/{Key+}"},"input":{"type":"structure","required":["Bucket","Key","UploadId"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"MultipartUpload":{"locationName":"CompleteMultipartUpload","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","members":{"Parts":{"locationName":"Part","type":"list","member":{"type":"structure","members":{"ETag":{},"PartNumber":{"type":"integer"}}},"flattened":true}}},"UploadId":{"location":"querystring","locationName":"uploadId"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"MultipartUpload"},"output":{"type":"structure","members":{"Location":{},"Bucket":{},"Key":{},"Expiration":{"location":"header","locationName":"x-amz-expiration"},"ETag":{},"ServerSideEncryption":{"location":"header","locationName":"x-amz-server-side-encryption"},"VersionId":{"location":"header","locationName":"x-amz-version-id"},"SSEKMSKeyId":{"shape":"Sk","location":"header","locationName":"x-amz-server-side-encryption-aws-kms-key-id"},"BucketKeyEnabled":{"location":"header","locationName":"x-amz-server-side-encryption-bucket-key-enabled","type":"boolean"},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}}}},"CopyObject":{"http":{"method":"PUT","requestUri":"/{Bucket}/{Key+}"},"input":{"type":"structure","required":["Bucket","CopySource","Key"],"members":{"ACL":{"location":"header","locationName":"x-amz-acl"},"Bucket":{"location":"uri","locationName":"Bucket"},"CacheControl":{"location":"header","locationName":"Cache-Control"},"ContentDisposition":{"location":"header","locationName":"Content-Disposition"},"ContentEncoding":{"location":"header","locationName":"Content-Encoding"},"ContentLanguage":{"location":"header","locationName":"Content-Language"},"ContentType":{"location":"header","locationName":"Content-Type"},"CopySource":{"location":"header","locationName":"x-amz-copy-source"},"CopySourceIfMatch":{"location":"header","locationName":"x-amz-copy-source-if-match"},"CopySourceIfModifiedSince":{"location":"header","locationName":"x-amz-copy-source-if-modified-since","type":"timestamp"},"CopySourceIfNoneMatch":{"location":"header","locationName":"x-amz-copy-source-if-none-match"},"CopySourceIfUnmodifiedSince":{"location":"header","locationName":"x-amz-copy-source-if-unmodified-since","type":"timestamp"},"Expires":{"location":"header","locationName":"Expires","type":"timestamp"},"GrantFullControl":{"location":"header","locationName":"x-amz-grant-full-control"},"GrantRead":{"location":"header","locationName":"x-amz-grant-read"},"GrantReadACP":{"location":"header","locationName":"x-amz-grant-read-acp"},"GrantWriteACP":{"location":"header","locationName":"x-amz-grant-write-acp"},"Key":{"location":"uri","locationName":"Key"},"Metadata":{"shape":"S13","location":"headers","locationName":"x-amz-meta-"},"MetadataDirective":{"location":"header","locationName":"x-amz-metadata-directive"},"TaggingDirective":{"location":"header","locationName":"x-amz-tagging-directive"},"ServerSideEncryption":{"location":"header","locationName":"x-amz-server-side-encryption"},"StorageClass":{"location":"header","locationName":"x-amz-storage-class"},"WebsiteRedirectLocation":{"location":"header","locationName":"x-amz-website-redirect-location"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKey":{"shape":"S1b","location":"header","locationName":"x-amz-server-side-encryption-customer-key"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"SSEKMSKeyId":{"shape":"Sk","location":"header","locationName":"x-amz-server-side-encryption-aws-kms-key-id"},"SSEKMSEncryptionContext":{"shape":"S1d","location":"header","locationName":"x-amz-server-side-encryption-context"},"BucketKeyEnabled":{"location":"header","locationName":"x-amz-server-side-encryption-bucket-key-enabled","type":"boolean"},"CopySourceSSECustomerAlgorithm":{"location":"header","locationName":"x-amz-copy-source-server-side-encryption-customer-algorithm"},"CopySourceSSECustomerKey":{"shape":"S1f","location":"header","locationName":"x-amz-copy-source-server-side-encryption-customer-key"},"CopySourceSSECustomerKeyMD5":{"location":"header","locationName":"x-amz-copy-source-server-side-encryption-customer-key-MD5"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"Tagging":{"location":"header","locationName":"x-amz-tagging"},"ObjectLockMode":{"location":"header","locationName":"x-amz-object-lock-mode"},"ObjectLockRetainUntilDate":{"shape":"S1j","location":"header","locationName":"x-amz-object-lock-retain-until-date"},"ObjectLockLegalHoldStatus":{"location":"header","locationName":"x-amz-object-lock-legal-hold"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"},"ExpectedSourceBucketOwner":{"location":"header","locationName":"x-amz-source-expected-bucket-owner"}}},"output":{"type":"structure","members":{"CopyObjectResult":{"type":"structure","members":{"ETag":{},"LastModified":{"type":"timestamp"}}},"Expiration":{"location":"header","locationName":"x-amz-expiration"},"CopySourceVersionId":{"location":"header","locationName":"x-amz-copy-source-version-id"},"VersionId":{"location":"header","locationName":"x-amz-version-id"},"ServerSideEncryption":{"location":"header","locationName":"x-amz-server-side-encryption"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"SSEKMSKeyId":{"shape":"Sk","location":"header","locationName":"x-amz-server-side-encryption-aws-kms-key-id"},"SSEKMSEncryptionContext":{"shape":"S1d","location":"header","locationName":"x-amz-server-side-encryption-context"},"BucketKeyEnabled":{"location":"header","locationName":"x-amz-server-side-encryption-bucket-key-enabled","type":"boolean"},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}},"payload":"CopyObjectResult"},"alias":"PutObjectCopy"},"CreateBucket":{"http":{"method":"PUT","requestUri":"/{Bucket}"},"input":{"type":"structure","required":["Bucket"],"members":{"ACL":{"location":"header","locationName":"x-amz-acl"},"Bucket":{"location":"uri","locationName":"Bucket"},"CreateBucketConfiguration":{"locationName":"CreateBucketConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","members":{"LocationConstraint":{}}},"GrantFullControl":{"location":"header","locationName":"x-amz-grant-full-control"},"GrantRead":{"location":"header","locationName":"x-amz-grant-read"},"GrantReadACP":{"location":"header","locationName":"x-amz-grant-read-acp"},"GrantWrite":{"location":"header","locationName":"x-amz-grant-write"},"GrantWriteACP":{"location":"header","locationName":"x-amz-grant-write-acp"},"ObjectLockEnabledForBucket":{"location":"header","locationName":"x-amz-bucket-object-lock-enabled","type":"boolean"},"ObjectOwnership":{"location":"header","locationName":"x-amz-object-ownership"}},"payload":"CreateBucketConfiguration"},"output":{"type":"structure","members":{"Location":{"location":"header","locationName":"Location"}}},"alias":"PutBucket"},"CreateMultipartUpload":{"http":{"requestUri":"/{Bucket}/{Key+}?uploads"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"ACL":{"location":"header","locationName":"x-amz-acl"},"Bucket":{"location":"uri","locationName":"Bucket"},"CacheControl":{"location":"header","locationName":"Cache-Control"},"ContentDisposition":{"location":"header","locationName":"Content-Disposition"},"ContentEncoding":{"location":"header","locationName":"Content-Encoding"},"ContentLanguage":{"location":"header","locationName":"Content-Language"},"ContentType":{"location":"header","locationName":"Content-Type"},"Expires":{"location":"header","locationName":"Expires","type":"timestamp"},"GrantFullControl":{"location":"header","locationName":"x-amz-grant-full-control"},"GrantRead":{"location":"header","locationName":"x-amz-grant-read"},"GrantReadACP":{"location":"header","locationName":"x-amz-grant-read-acp"},"GrantWriteACP":{"location":"header","locationName":"x-amz-grant-write-acp"},"Key":{"location":"uri","locationName":"Key"},"Metadata":{"shape":"S13","location":"headers","locationName":"x-amz-meta-"},"ServerSideEncryption":{"location":"header","locationName":"x-amz-server-side-encryption"},"StorageClass":{"location":"header","locationName":"x-amz-storage-class"},"WebsiteRedirectLocation":{"location":"header","locationName":"x-amz-website-redirect-location"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKey":{"shape":"S1b","location":"header","locationName":"x-amz-server-side-encryption-customer-key"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"SSEKMSKeyId":{"shape":"Sk","location":"header","locationName":"x-amz-server-side-encryption-aws-kms-key-id"},"SSEKMSEncryptionContext":{"shape":"S1d","location":"header","locationName":"x-amz-server-side-encryption-context"},"BucketKeyEnabled":{"location":"header","locationName":"x-amz-server-side-encryption-bucket-key-enabled","type":"boolean"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"Tagging":{"location":"header","locationName":"x-amz-tagging"},"ObjectLockMode":{"location":"header","locationName":"x-amz-object-lock-mode"},"ObjectLockRetainUntilDate":{"shape":"S1j","location":"header","locationName":"x-amz-object-lock-retain-until-date"},"ObjectLockLegalHoldStatus":{"location":"header","locationName":"x-amz-object-lock-legal-hold"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"AbortDate":{"location":"header","locationName":"x-amz-abort-date","type":"timestamp"},"AbortRuleId":{"location":"header","locationName":"x-amz-abort-rule-id"},"Bucket":{"locationName":"Bucket"},"Key":{},"UploadId":{},"ServerSideEncryption":{"location":"header","locationName":"x-amz-server-side-encryption"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"SSEKMSKeyId":{"shape":"Sk","location":"header","locationName":"x-amz-server-side-encryption-aws-kms-key-id"},"SSEKMSEncryptionContext":{"shape":"S1d","location":"header","locationName":"x-amz-server-side-encryption-context"},"BucketKeyEnabled":{"location":"header","locationName":"x-amz-server-side-encryption-bucket-key-enabled","type":"boolean"},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}}},"alias":"InitiateMultipartUpload"},"DeleteBucket":{"http":{"method":"DELETE","requestUri":"/{Bucket}","responseCode":204},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"DeleteBucketAnalyticsConfiguration":{"http":{"method":"DELETE","requestUri":"/{Bucket}?analytics","responseCode":204},"input":{"type":"structure","required":["Bucket","Id"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Id":{"location":"querystring","locationName":"id"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"DeleteBucketCors":{"http":{"method":"DELETE","requestUri":"/{Bucket}?cors","responseCode":204},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"DeleteBucketEncryption":{"http":{"method":"DELETE","requestUri":"/{Bucket}?encryption","responseCode":204},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"DeleteBucketIntelligentTieringConfiguration":{"http":{"method":"DELETE","requestUri":"/{Bucket}?intelligent-tiering","responseCode":204},"input":{"type":"structure","required":["Bucket","Id"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Id":{"location":"querystring","locationName":"id"}}}},"DeleteBucketInventoryConfiguration":{"http":{"method":"DELETE","requestUri":"/{Bucket}?inventory","responseCode":204},"input":{"type":"structure","required":["Bucket","Id"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Id":{"location":"querystring","locationName":"id"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"DeleteBucketLifecycle":{"http":{"method":"DELETE","requestUri":"/{Bucket}?lifecycle","responseCode":204},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"DeleteBucketMetricsConfiguration":{"http":{"method":"DELETE","requestUri":"/{Bucket}?metrics","responseCode":204},"input":{"type":"structure","required":["Bucket","Id"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Id":{"location":"querystring","locationName":"id"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"DeleteBucketOwnershipControls":{"http":{"method":"DELETE","requestUri":"/{Bucket}?ownershipControls","responseCode":204},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"DeleteBucketPolicy":{"http":{"method":"DELETE","requestUri":"/{Bucket}?policy","responseCode":204},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"DeleteBucketReplication":{"http":{"method":"DELETE","requestUri":"/{Bucket}?replication","responseCode":204},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"DeleteBucketTagging":{"http":{"method":"DELETE","requestUri":"/{Bucket}?tagging","responseCode":204},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"DeleteBucketWebsite":{"http":{"method":"DELETE","requestUri":"/{Bucket}?website","responseCode":204},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"DeleteObject":{"http":{"method":"DELETE","requestUri":"/{Bucket}/{Key+}","responseCode":204},"input":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"MFA":{"location":"header","locationName":"x-amz-mfa"},"VersionId":{"location":"querystring","locationName":"versionId"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"BypassGovernanceRetention":{"location":"header","locationName":"x-amz-bypass-governance-retention","type":"boolean"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"DeleteMarker":{"location":"header","locationName":"x-amz-delete-marker","type":"boolean"},"VersionId":{"location":"header","locationName":"x-amz-version-id"},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}}}},"DeleteObjectTagging":{"http":{"method":"DELETE","requestUri":"/{Bucket}/{Key+}?tagging","responseCode":204},"input":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"VersionId":{"location":"querystring","locationName":"versionId"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"VersionId":{"location":"header","locationName":"x-amz-version-id"}}}},"DeleteObjects":{"http":{"requestUri":"/{Bucket}?delete"},"input":{"type":"structure","required":["Bucket","Delete"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Delete":{"locationName":"Delete","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","required":["Objects"],"members":{"Objects":{"locationName":"Object","type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"VersionId":{}}},"flattened":true},"Quiet":{"type":"boolean"}}},"MFA":{"location":"header","locationName":"x-amz-mfa"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"BypassGovernanceRetention":{"location":"header","locationName":"x-amz-bypass-governance-retention","type":"boolean"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"Delete"},"output":{"type":"structure","members":{"Deleted":{"type":"list","member":{"type":"structure","members":{"Key":{},"VersionId":{},"DeleteMarker":{"type":"boolean"},"DeleteMarkerVersionId":{}}},"flattened":true},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"},"Errors":{"locationName":"Error","type":"list","member":{"type":"structure","members":{"Key":{},"VersionId":{},"Code":{},"Message":{}}},"flattened":true}}},"alias":"DeleteMultipleObjects","httpChecksumRequired":true},"DeletePublicAccessBlock":{"http":{"method":"DELETE","requestUri":"/{Bucket}?publicAccessBlock","responseCode":204},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"GetBucketAccelerateConfiguration":{"http":{"method":"GET","requestUri":"/{Bucket}?accelerate"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Status":{}}}},"GetBucketAcl":{"http":{"method":"GET","requestUri":"/{Bucket}?acl"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Owner":{"shape":"S38"},"Grants":{"shape":"S3b","locationName":"AccessControlList"}}}},"GetBucketAnalyticsConfiguration":{"http":{"method":"GET","requestUri":"/{Bucket}?analytics"},"input":{"type":"structure","required":["Bucket","Id"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Id":{"location":"querystring","locationName":"id"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"AnalyticsConfiguration":{"shape":"S3k"}},"payload":"AnalyticsConfiguration"}},"GetBucketCors":{"http":{"method":"GET","requestUri":"/{Bucket}?cors"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"CORSRules":{"shape":"S3z","locationName":"CORSRule"}}}},"GetBucketEncryption":{"http":{"method":"GET","requestUri":"/{Bucket}?encryption"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"ServerSideEncryptionConfiguration":{"shape":"S4c"}},"payload":"ServerSideEncryptionConfiguration"}},"GetBucketIntelligentTieringConfiguration":{"http":{"method":"GET","requestUri":"/{Bucket}?intelligent-tiering"},"input":{"type":"structure","required":["Bucket","Id"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Id":{"location":"querystring","locationName":"id"}}},"output":{"type":"structure","members":{"IntelligentTieringConfiguration":{"shape":"S4i"}},"payload":"IntelligentTieringConfiguration"}},"GetBucketInventoryConfiguration":{"http":{"method":"GET","requestUri":"/{Bucket}?inventory"},"input":{"type":"structure","required":["Bucket","Id"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Id":{"location":"querystring","locationName":"id"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"InventoryConfiguration":{"shape":"S4s"}},"payload":"InventoryConfiguration"}},"GetBucketLifecycle":{"http":{"method":"GET","requestUri":"/{Bucket}?lifecycle"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Rules":{"shape":"S58","locationName":"Rule"}}},"deprecated":true},"GetBucketLifecycleConfiguration":{"http":{"method":"GET","requestUri":"/{Bucket}?lifecycle"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Rules":{"shape":"S5o","locationName":"Rule"}}}},"GetBucketLocation":{"http":{"method":"GET","requestUri":"/{Bucket}?location"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"LocationConstraint":{}}}},"GetBucketLogging":{"http":{"method":"GET","requestUri":"/{Bucket}?logging"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"LoggingEnabled":{"shape":"S60"}}}},"GetBucketMetricsConfiguration":{"http":{"method":"GET","requestUri":"/{Bucket}?metrics"},"input":{"type":"structure","required":["Bucket","Id"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Id":{"location":"querystring","locationName":"id"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"MetricsConfiguration":{"shape":"S68"}},"payload":"MetricsConfiguration"}},"GetBucketNotification":{"http":{"method":"GET","requestUri":"/{Bucket}?notification"},"input":{"shape":"S6c"},"output":{"shape":"S6d"},"deprecated":true},"GetBucketNotificationConfiguration":{"http":{"method":"GET","requestUri":"/{Bucket}?notification"},"input":{"shape":"S6c"},"output":{"shape":"S6o"}},"GetBucketOwnershipControls":{"http":{"method":"GET","requestUri":"/{Bucket}?ownershipControls"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"OwnershipControls":{"shape":"S75"}},"payload":"OwnershipControls"}},"GetBucketPolicy":{"http":{"method":"GET","requestUri":"/{Bucket}?policy"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Policy":{}},"payload":"Policy"}},"GetBucketPolicyStatus":{"http":{"method":"GET","requestUri":"/{Bucket}?policyStatus"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"PolicyStatus":{"type":"structure","members":{"IsPublic":{"locationName":"IsPublic","type":"boolean"}}}},"payload":"PolicyStatus"}},"GetBucketReplication":{"http":{"method":"GET","requestUri":"/{Bucket}?replication"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"ReplicationConfiguration":{"shape":"S7h"}},"payload":"ReplicationConfiguration"}},"GetBucketRequestPayment":{"http":{"method":"GET","requestUri":"/{Bucket}?requestPayment"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Payer":{}}}},"GetBucketTagging":{"http":{"method":"GET","requestUri":"/{Bucket}?tagging"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","required":["TagSet"],"members":{"TagSet":{"shape":"S3q"}}}},"GetBucketVersioning":{"http":{"method":"GET","requestUri":"/{Bucket}?versioning"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Status":{},"MFADelete":{"locationName":"MfaDelete"}}}},"GetBucketWebsite":{"http":{"method":"GET","requestUri":"/{Bucket}?website"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"RedirectAllRequestsTo":{"shape":"S8k"},"IndexDocument":{"shape":"S8n"},"ErrorDocument":{"shape":"S8p"},"RoutingRules":{"shape":"S8q"}}}},"GetObject":{"http":{"method":"GET","requestUri":"/{Bucket}/{Key+}"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"IfMatch":{"location":"header","locationName":"If-Match"},"IfModifiedSince":{"location":"header","locationName":"If-Modified-Since","type":"timestamp"},"IfNoneMatch":{"location":"header","locationName":"If-None-Match"},"IfUnmodifiedSince":{"location":"header","locationName":"If-Unmodified-Since","type":"timestamp"},"Key":{"location":"uri","locationName":"Key"},"Range":{"location":"header","locationName":"Range"},"ResponseCacheControl":{"location":"querystring","locationName":"response-cache-control"},"ResponseContentDisposition":{"location":"querystring","locationName":"response-content-disposition"},"ResponseContentEncoding":{"location":"querystring","locationName":"response-content-encoding"},"ResponseContentLanguage":{"location":"querystring","locationName":"response-content-language"},"ResponseContentType":{"location":"querystring","locationName":"response-content-type"},"ResponseExpires":{"location":"querystring","locationName":"response-expires","type":"timestamp","timestampFormat":"rfc822"},"VersionId":{"location":"querystring","locationName":"versionId"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKey":{"shape":"S1b","location":"header","locationName":"x-amz-server-side-encryption-customer-key"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"PartNumber":{"location":"querystring","locationName":"partNumber","type":"integer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Body":{"streaming":true,"type":"blob"},"DeleteMarker":{"location":"header","locationName":"x-amz-delete-marker","type":"boolean"},"AcceptRanges":{"location":"header","locationName":"accept-ranges"},"Expiration":{"location":"header","locationName":"x-amz-expiration"},"Restore":{"location":"header","locationName":"x-amz-restore"},"LastModified":{"location":"header","locationName":"Last-Modified","type":"timestamp"},"ContentLength":{"location":"header","locationName":"Content-Length","type":"long"},"ETag":{"location":"header","locationName":"ETag"},"MissingMeta":{"location":"header","locationName":"x-amz-missing-meta","type":"integer"},"VersionId":{"location":"header","locationName":"x-amz-version-id"},"CacheControl":{"location":"header","locationName":"Cache-Control"},"ContentDisposition":{"location":"header","locationName":"Content-Disposition"},"ContentEncoding":{"location":"header","locationName":"Content-Encoding"},"ContentLanguage":{"location":"header","locationName":"Content-Language"},"ContentRange":{"location":"header","locationName":"Content-Range"},"ContentType":{"location":"header","locationName":"Content-Type"},"Expires":{"location":"header","locationName":"Expires","type":"timestamp"},"WebsiteRedirectLocation":{"location":"header","locationName":"x-amz-website-redirect-location"},"ServerSideEncryption":{"location":"header","locationName":"x-amz-server-side-encryption"},"Metadata":{"shape":"S13","location":"headers","locationName":"x-amz-meta-"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"SSEKMSKeyId":{"shape":"Sk","location":"header","locationName":"x-amz-server-side-encryption-aws-kms-key-id"},"BucketKeyEnabled":{"location":"header","locationName":"x-amz-server-side-encryption-bucket-key-enabled","type":"boolean"},"StorageClass":{"location":"header","locationName":"x-amz-storage-class"},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"},"ReplicationStatus":{"location":"header","locationName":"x-amz-replication-status"},"PartsCount":{"location":"header","locationName":"x-amz-mp-parts-count","type":"integer"},"TagCount":{"location":"header","locationName":"x-amz-tagging-count","type":"integer"},"ObjectLockMode":{"location":"header","locationName":"x-amz-object-lock-mode"},"ObjectLockRetainUntilDate":{"shape":"S1j","location":"header","locationName":"x-amz-object-lock-retain-until-date"},"ObjectLockLegalHoldStatus":{"location":"header","locationName":"x-amz-object-lock-legal-hold"}},"payload":"Body"}},"GetObjectAcl":{"http":{"method":"GET","requestUri":"/{Bucket}/{Key+}?acl"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"VersionId":{"location":"querystring","locationName":"versionId"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Owner":{"shape":"S38"},"Grants":{"shape":"S3b","locationName":"AccessControlList"},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}}}},"GetObjectLegalHold":{"http":{"method":"GET","requestUri":"/{Bucket}/{Key+}?legal-hold"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"VersionId":{"location":"querystring","locationName":"versionId"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"LegalHold":{"shape":"S9p"}},"payload":"LegalHold"}},"GetObjectLockConfiguration":{"http":{"method":"GET","requestUri":"/{Bucket}?object-lock"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"ObjectLockConfiguration":{"shape":"S9s"}},"payload":"ObjectLockConfiguration"}},"GetObjectRetention":{"http":{"method":"GET","requestUri":"/{Bucket}/{Key+}?retention"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"VersionId":{"location":"querystring","locationName":"versionId"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Retention":{"shape":"Sa0"}},"payload":"Retention"}},"GetObjectTagging":{"http":{"method":"GET","requestUri":"/{Bucket}/{Key+}?tagging"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"VersionId":{"location":"querystring","locationName":"versionId"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"}}},"output":{"type":"structure","required":["TagSet"],"members":{"VersionId":{"location":"header","locationName":"x-amz-version-id"},"TagSet":{"shape":"S3q"}}}},"GetObjectTorrent":{"http":{"method":"GET","requestUri":"/{Bucket}/{Key+}?torrent"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Body":{"streaming":true,"type":"blob"},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}},"payload":"Body"}},"GetPublicAccessBlock":{"http":{"method":"GET","requestUri":"/{Bucket}?publicAccessBlock"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"PublicAccessBlockConfiguration":{"shape":"Sa7"}},"payload":"PublicAccessBlockConfiguration"}},"HeadBucket":{"http":{"method":"HEAD","requestUri":"/{Bucket}"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}}},"HeadObject":{"http":{"method":"HEAD","requestUri":"/{Bucket}/{Key+}"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"IfMatch":{"location":"header","locationName":"If-Match"},"IfModifiedSince":{"location":"header","locationName":"If-Modified-Since","type":"timestamp"},"IfNoneMatch":{"location":"header","locationName":"If-None-Match"},"IfUnmodifiedSince":{"location":"header","locationName":"If-Unmodified-Since","type":"timestamp"},"Key":{"location":"uri","locationName":"Key"},"Range":{"location":"header","locationName":"Range"},"VersionId":{"location":"querystring","locationName":"versionId"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKey":{"shape":"S1b","location":"header","locationName":"x-amz-server-side-encryption-customer-key"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"PartNumber":{"location":"querystring","locationName":"partNumber","type":"integer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"DeleteMarker":{"location":"header","locationName":"x-amz-delete-marker","type":"boolean"},"AcceptRanges":{"location":"header","locationName":"accept-ranges"},"Expiration":{"location":"header","locationName":"x-amz-expiration"},"Restore":{"location":"header","locationName":"x-amz-restore"},"ArchiveStatus":{"location":"header","locationName":"x-amz-archive-status"},"LastModified":{"location":"header","locationName":"Last-Modified","type":"timestamp"},"ContentLength":{"location":"header","locationName":"Content-Length","type":"long"},"ETag":{"location":"header","locationName":"ETag"},"MissingMeta":{"location":"header","locationName":"x-amz-missing-meta","type":"integer"},"VersionId":{"location":"header","locationName":"x-amz-version-id"},"CacheControl":{"location":"header","locationName":"Cache-Control"},"ContentDisposition":{"location":"header","locationName":"Content-Disposition"},"ContentEncoding":{"location":"header","locationName":"Content-Encoding"},"ContentLanguage":{"location":"header","locationName":"Content-Language"},"ContentType":{"location":"header","locationName":"Content-Type"},"Expires":{"location":"header","locationName":"Expires","type":"timestamp"},"WebsiteRedirectLocation":{"location":"header","locationName":"x-amz-website-redirect-location"},"ServerSideEncryption":{"location":"header","locationName":"x-amz-server-side-encryption"},"Metadata":{"shape":"S13","location":"headers","locationName":"x-amz-meta-"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"SSEKMSKeyId":{"shape":"Sk","location":"header","locationName":"x-amz-server-side-encryption-aws-kms-key-id"},"BucketKeyEnabled":{"location":"header","locationName":"x-amz-server-side-encryption-bucket-key-enabled","type":"boolean"},"StorageClass":{"location":"header","locationName":"x-amz-storage-class"},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"},"ReplicationStatus":{"location":"header","locationName":"x-amz-replication-status"},"PartsCount":{"location":"header","locationName":"x-amz-mp-parts-count","type":"integer"},"ObjectLockMode":{"location":"header","locationName":"x-amz-object-lock-mode"},"ObjectLockRetainUntilDate":{"shape":"S1j","location":"header","locationName":"x-amz-object-lock-retain-until-date"},"ObjectLockLegalHoldStatus":{"location":"header","locationName":"x-amz-object-lock-legal-hold"}}}},"ListBucketAnalyticsConfigurations":{"http":{"method":"GET","requestUri":"/{Bucket}?analytics"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContinuationToken":{"location":"querystring","locationName":"continuation-token"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"IsTruncated":{"type":"boolean"},"ContinuationToken":{},"NextContinuationToken":{},"AnalyticsConfigurationList":{"locationName":"AnalyticsConfiguration","type":"list","member":{"shape":"S3k"},"flattened":true}}}},"ListBucketIntelligentTieringConfigurations":{"http":{"method":"GET","requestUri":"/{Bucket}?intelligent-tiering"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContinuationToken":{"location":"querystring","locationName":"continuation-token"}}},"output":{"type":"structure","members":{"IsTruncated":{"type":"boolean"},"ContinuationToken":{},"NextContinuationToken":{},"IntelligentTieringConfigurationList":{"locationName":"IntelligentTieringConfiguration","type":"list","member":{"shape":"S4i"},"flattened":true}}}},"ListBucketInventoryConfigurations":{"http":{"method":"GET","requestUri":"/{Bucket}?inventory"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContinuationToken":{"location":"querystring","locationName":"continuation-token"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"ContinuationToken":{},"InventoryConfigurationList":{"locationName":"InventoryConfiguration","type":"list","member":{"shape":"S4s"},"flattened":true},"IsTruncated":{"type":"boolean"},"NextContinuationToken":{}}}},"ListBucketMetricsConfigurations":{"http":{"method":"GET","requestUri":"/{Bucket}?metrics"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContinuationToken":{"location":"querystring","locationName":"continuation-token"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"IsTruncated":{"type":"boolean"},"ContinuationToken":{},"NextContinuationToken":{},"MetricsConfigurationList":{"locationName":"MetricsConfiguration","type":"list","member":{"shape":"S68"},"flattened":true}}}},"ListBuckets":{"http":{"method":"GET"},"output":{"type":"structure","members":{"Buckets":{"type":"list","member":{"locationName":"Bucket","type":"structure","members":{"Name":{},"CreationDate":{"type":"timestamp"}}}},"Owner":{"shape":"S38"}}},"alias":"GetService"},"ListMultipartUploads":{"http":{"method":"GET","requestUri":"/{Bucket}?uploads"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Delimiter":{"location":"querystring","locationName":"delimiter"},"EncodingType":{"location":"querystring","locationName":"encoding-type"},"KeyMarker":{"location":"querystring","locationName":"key-marker"},"MaxUploads":{"location":"querystring","locationName":"max-uploads","type":"integer"},"Prefix":{"location":"querystring","locationName":"prefix"},"UploadIdMarker":{"location":"querystring","locationName":"upload-id-marker"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Bucket":{},"KeyMarker":{},"UploadIdMarker":{},"NextKeyMarker":{},"Prefix":{},"Delimiter":{},"NextUploadIdMarker":{},"MaxUploads":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Uploads":{"locationName":"Upload","type":"list","member":{"type":"structure","members":{"UploadId":{},"Key":{},"Initiated":{"type":"timestamp"},"StorageClass":{},"Owner":{"shape":"S38"},"Initiator":{"shape":"Sb8"}}},"flattened":true},"CommonPrefixes":{"shape":"Sb9"},"EncodingType":{}}}},"ListObjectVersions":{"http":{"method":"GET","requestUri":"/{Bucket}?versions"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Delimiter":{"location":"querystring","locationName":"delimiter"},"EncodingType":{"location":"querystring","locationName":"encoding-type"},"KeyMarker":{"location":"querystring","locationName":"key-marker"},"MaxKeys":{"location":"querystring","locationName":"max-keys","type":"integer"},"Prefix":{"location":"querystring","locationName":"prefix"},"VersionIdMarker":{"location":"querystring","locationName":"version-id-marker"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"IsTruncated":{"type":"boolean"},"KeyMarker":{},"VersionIdMarker":{},"NextKeyMarker":{},"NextVersionIdMarker":{},"Versions":{"locationName":"Version","type":"list","member":{"type":"structure","members":{"ETag":{},"Size":{"type":"integer"},"StorageClass":{},"Key":{},"VersionId":{},"IsLatest":{"type":"boolean"},"LastModified":{"type":"timestamp"},"Owner":{"shape":"S38"}}},"flattened":true},"DeleteMarkers":{"locationName":"DeleteMarker","type":"list","member":{"type":"structure","members":{"Owner":{"shape":"S38"},"Key":{},"VersionId":{},"IsLatest":{"type":"boolean"},"LastModified":{"type":"timestamp"}}},"flattened":true},"Name":{},"Prefix":{},"Delimiter":{},"MaxKeys":{"type":"integer"},"CommonPrefixes":{"shape":"Sb9"},"EncodingType":{}}},"alias":"GetBucketObjectVersions"},"ListObjects":{"http":{"method":"GET","requestUri":"/{Bucket}"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Delimiter":{"location":"querystring","locationName":"delimiter"},"EncodingType":{"location":"querystring","locationName":"encoding-type"},"Marker":{"location":"querystring","locationName":"marker"},"MaxKeys":{"location":"querystring","locationName":"max-keys","type":"integer"},"Prefix":{"location":"querystring","locationName":"prefix"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"IsTruncated":{"type":"boolean"},"Marker":{},"NextMarker":{},"Contents":{"shape":"Sbr"},"Name":{},"Prefix":{},"Delimiter":{},"MaxKeys":{"type":"integer"},"CommonPrefixes":{"shape":"Sb9"},"EncodingType":{}}},"alias":"GetBucket"},"ListObjectsV2":{"http":{"method":"GET","requestUri":"/{Bucket}?list-type=2"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Delimiter":{"location":"querystring","locationName":"delimiter"},"EncodingType":{"location":"querystring","locationName":"encoding-type"},"MaxKeys":{"location":"querystring","locationName":"max-keys","type":"integer"},"Prefix":{"location":"querystring","locationName":"prefix"},"ContinuationToken":{"location":"querystring","locationName":"continuation-token"},"FetchOwner":{"location":"querystring","locationName":"fetch-owner","type":"boolean"},"StartAfter":{"location":"querystring","locationName":"start-after"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"IsTruncated":{"type":"boolean"},"Contents":{"shape":"Sbr"},"Name":{},"Prefix":{},"Delimiter":{},"MaxKeys":{"type":"integer"},"CommonPrefixes":{"shape":"Sb9"},"EncodingType":{},"KeyCount":{"type":"integer"},"ContinuationToken":{},"NextContinuationToken":{},"StartAfter":{}}}},"ListParts":{"http":{"method":"GET","requestUri":"/{Bucket}/{Key+}"},"input":{"type":"structure","required":["Bucket","Key","UploadId"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"MaxParts":{"location":"querystring","locationName":"max-parts","type":"integer"},"PartNumberMarker":{"location":"querystring","locationName":"part-number-marker","type":"integer"},"UploadId":{"location":"querystring","locationName":"uploadId"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"AbortDate":{"location":"header","locationName":"x-amz-abort-date","type":"timestamp"},"AbortRuleId":{"location":"header","locationName":"x-amz-abort-rule-id"},"Bucket":{},"Key":{},"UploadId":{},"PartNumberMarker":{"type":"integer"},"NextPartNumberMarker":{"type":"integer"},"MaxParts":{"type":"integer"},"IsTruncated":{"type":"boolean"},"Parts":{"locationName":"Part","type":"list","member":{"type":"structure","members":{"PartNumber":{"type":"integer"},"LastModified":{"type":"timestamp"},"ETag":{},"Size":{"type":"integer"}}},"flattened":true},"Initiator":{"shape":"Sb8"},"Owner":{"shape":"S38"},"StorageClass":{},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}}}},"PutBucketAccelerateConfiguration":{"http":{"method":"PUT","requestUri":"/{Bucket}?accelerate"},"input":{"type":"structure","required":["Bucket","AccelerateConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"AccelerateConfiguration":{"locationName":"AccelerateConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","members":{"Status":{}}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"AccelerateConfiguration"}},"PutBucketAcl":{"http":{"method":"PUT","requestUri":"/{Bucket}?acl"},"input":{"type":"structure","required":["Bucket"],"members":{"ACL":{"location":"header","locationName":"x-amz-acl"},"AccessControlPolicy":{"shape":"Sc9","locationName":"AccessControlPolicy","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"GrantFullControl":{"location":"header","locationName":"x-amz-grant-full-control"},"GrantRead":{"location":"header","locationName":"x-amz-grant-read"},"GrantReadACP":{"location":"header","locationName":"x-amz-grant-read-acp"},"GrantWrite":{"location":"header","locationName":"x-amz-grant-write"},"GrantWriteACP":{"location":"header","locationName":"x-amz-grant-write-acp"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"AccessControlPolicy"},"httpChecksumRequired":true},"PutBucketAnalyticsConfiguration":{"http":{"method":"PUT","requestUri":"/{Bucket}?analytics"},"input":{"type":"structure","required":["Bucket","Id","AnalyticsConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Id":{"location":"querystring","locationName":"id"},"AnalyticsConfiguration":{"shape":"S3k","locationName":"AnalyticsConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"AnalyticsConfiguration"}},"PutBucketCors":{"http":{"method":"PUT","requestUri":"/{Bucket}?cors"},"input":{"type":"structure","required":["Bucket","CORSConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"CORSConfiguration":{"locationName":"CORSConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","required":["CORSRules"],"members":{"CORSRules":{"shape":"S3z","locationName":"CORSRule"}}},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"CORSConfiguration"},"httpChecksumRequired":true},"PutBucketEncryption":{"http":{"method":"PUT","requestUri":"/{Bucket}?encryption"},"input":{"type":"structure","required":["Bucket","ServerSideEncryptionConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"ServerSideEncryptionConfiguration":{"shape":"S4c","locationName":"ServerSideEncryptionConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"ServerSideEncryptionConfiguration"},"httpChecksumRequired":true},"PutBucketIntelligentTieringConfiguration":{"http":{"method":"PUT","requestUri":"/{Bucket}?intelligent-tiering"},"input":{"type":"structure","required":["Bucket","Id","IntelligentTieringConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Id":{"location":"querystring","locationName":"id"},"IntelligentTieringConfiguration":{"shape":"S4i","locationName":"IntelligentTieringConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}}},"payload":"IntelligentTieringConfiguration"}},"PutBucketInventoryConfiguration":{"http":{"method":"PUT","requestUri":"/{Bucket}?inventory"},"input":{"type":"structure","required":["Bucket","Id","InventoryConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Id":{"location":"querystring","locationName":"id"},"InventoryConfiguration":{"shape":"S4s","locationName":"InventoryConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"InventoryConfiguration"}},"PutBucketLifecycle":{"http":{"method":"PUT","requestUri":"/{Bucket}?lifecycle"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"LifecycleConfiguration":{"locationName":"LifecycleConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","required":["Rules"],"members":{"Rules":{"shape":"S58","locationName":"Rule"}}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"LifecycleConfiguration"},"deprecated":true,"httpChecksumRequired":true},"PutBucketLifecycleConfiguration":{"http":{"method":"PUT","requestUri":"/{Bucket}?lifecycle"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"LifecycleConfiguration":{"locationName":"LifecycleConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","required":["Rules"],"members":{"Rules":{"shape":"S5o","locationName":"Rule"}}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"LifecycleConfiguration"},"httpChecksumRequired":true},"PutBucketLogging":{"http":{"method":"PUT","requestUri":"/{Bucket}?logging"},"input":{"type":"structure","required":["Bucket","BucketLoggingStatus"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"BucketLoggingStatus":{"locationName":"BucketLoggingStatus","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","members":{"LoggingEnabled":{"shape":"S60"}}},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"BucketLoggingStatus"},"httpChecksumRequired":true},"PutBucketMetricsConfiguration":{"http":{"method":"PUT","requestUri":"/{Bucket}?metrics"},"input":{"type":"structure","required":["Bucket","Id","MetricsConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Id":{"location":"querystring","locationName":"id"},"MetricsConfiguration":{"shape":"S68","locationName":"MetricsConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"MetricsConfiguration"}},"PutBucketNotification":{"http":{"method":"PUT","requestUri":"/{Bucket}?notification"},"input":{"type":"structure","required":["Bucket","NotificationConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"NotificationConfiguration":{"shape":"S6d","locationName":"NotificationConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"NotificationConfiguration"},"deprecated":true,"httpChecksumRequired":true},"PutBucketNotificationConfiguration":{"http":{"method":"PUT","requestUri":"/{Bucket}?notification"},"input":{"type":"structure","required":["Bucket","NotificationConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"NotificationConfiguration":{"shape":"S6o","locationName":"NotificationConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"},"SkipDestinationValidation":{"location":"header","locationName":"x-amz-skip-destination-validation","type":"boolean"}},"payload":"NotificationConfiguration"}},"PutBucketOwnershipControls":{"http":{"method":"PUT","requestUri":"/{Bucket}?ownershipControls"},"input":{"type":"structure","required":["Bucket","OwnershipControls"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"},"OwnershipControls":{"shape":"S75","locationName":"OwnershipControls","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}}},"payload":"OwnershipControls"},"httpChecksumRequired":true},"PutBucketPolicy":{"http":{"method":"PUT","requestUri":"/{Bucket}?policy"},"input":{"type":"structure","required":["Bucket","Policy"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"ConfirmRemoveSelfBucketAccess":{"location":"header","locationName":"x-amz-confirm-remove-self-bucket-access","type":"boolean"},"Policy":{},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"Policy"},"httpChecksumRequired":true},"PutBucketReplication":{"http":{"method":"PUT","requestUri":"/{Bucket}?replication"},"input":{"type":"structure","required":["Bucket","ReplicationConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"ReplicationConfiguration":{"shape":"S7h","locationName":"ReplicationConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"Token":{"location":"header","locationName":"x-amz-bucket-object-lock-token"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"ReplicationConfiguration"},"httpChecksumRequired":true},"PutBucketRequestPayment":{"http":{"method":"PUT","requestUri":"/{Bucket}?requestPayment"},"input":{"type":"structure","required":["Bucket","RequestPaymentConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"RequestPaymentConfiguration":{"locationName":"RequestPaymentConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","required":["Payer"],"members":{"Payer":{}}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"RequestPaymentConfiguration"},"httpChecksumRequired":true},"PutBucketTagging":{"http":{"method":"PUT","requestUri":"/{Bucket}?tagging"},"input":{"type":"structure","required":["Bucket","Tagging"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"Tagging":{"shape":"Scz","locationName":"Tagging","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"Tagging"},"httpChecksumRequired":true},"PutBucketVersioning":{"http":{"method":"PUT","requestUri":"/{Bucket}?versioning"},"input":{"type":"structure","required":["Bucket","VersioningConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"MFA":{"location":"header","locationName":"x-amz-mfa"},"VersioningConfiguration":{"locationName":"VersioningConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","members":{"MFADelete":{"locationName":"MfaDelete"},"Status":{}}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"VersioningConfiguration"},"httpChecksumRequired":true},"PutBucketWebsite":{"http":{"method":"PUT","requestUri":"/{Bucket}?website"},"input":{"type":"structure","required":["Bucket","WebsiteConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"WebsiteConfiguration":{"locationName":"WebsiteConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","members":{"ErrorDocument":{"shape":"S8p"},"IndexDocument":{"shape":"S8n"},"RedirectAllRequestsTo":{"shape":"S8k"},"RoutingRules":{"shape":"S8q"}}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"WebsiteConfiguration"},"httpChecksumRequired":true},"PutObject":{"http":{"method":"PUT","requestUri":"/{Bucket}/{Key+}"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"ACL":{"location":"header","locationName":"x-amz-acl"},"Body":{"streaming":true,"type":"blob"},"Bucket":{"location":"uri","locationName":"Bucket"},"CacheControl":{"location":"header","locationName":"Cache-Control"},"ContentDisposition":{"location":"header","locationName":"Content-Disposition"},"ContentEncoding":{"location":"header","locationName":"Content-Encoding"},"ContentLanguage":{"location":"header","locationName":"Content-Language"},"ContentLength":{"location":"header","locationName":"Content-Length","type":"long"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"ContentType":{"location":"header","locationName":"Content-Type"},"Expires":{"location":"header","locationName":"Expires","type":"timestamp"},"GrantFullControl":{"location":"header","locationName":"x-amz-grant-full-control"},"GrantRead":{"location":"header","locationName":"x-amz-grant-read"},"GrantReadACP":{"location":"header","locationName":"x-amz-grant-read-acp"},"GrantWriteACP":{"location":"header","locationName":"x-amz-grant-write-acp"},"Key":{"location":"uri","locationName":"Key"},"Metadata":{"shape":"S13","location":"headers","locationName":"x-amz-meta-"},"ServerSideEncryption":{"location":"header","locationName":"x-amz-server-side-encryption"},"StorageClass":{"location":"header","locationName":"x-amz-storage-class"},"WebsiteRedirectLocation":{"location":"header","locationName":"x-amz-website-redirect-location"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKey":{"shape":"S1b","location":"header","locationName":"x-amz-server-side-encryption-customer-key"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"SSEKMSKeyId":{"shape":"Sk","location":"header","locationName":"x-amz-server-side-encryption-aws-kms-key-id"},"SSEKMSEncryptionContext":{"shape":"S1d","location":"header","locationName":"x-amz-server-side-encryption-context"},"BucketKeyEnabled":{"location":"header","locationName":"x-amz-server-side-encryption-bucket-key-enabled","type":"boolean"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"Tagging":{"location":"header","locationName":"x-amz-tagging"},"ObjectLockMode":{"location":"header","locationName":"x-amz-object-lock-mode"},"ObjectLockRetainUntilDate":{"shape":"S1j","location":"header","locationName":"x-amz-object-lock-retain-until-date"},"ObjectLockLegalHoldStatus":{"location":"header","locationName":"x-amz-object-lock-legal-hold"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"Body"},"output":{"type":"structure","members":{"Expiration":{"location":"header","locationName":"x-amz-expiration"},"ETag":{"location":"header","locationName":"ETag"},"ServerSideEncryption":{"location":"header","locationName":"x-amz-server-side-encryption"},"VersionId":{"location":"header","locationName":"x-amz-version-id"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"SSEKMSKeyId":{"shape":"Sk","location":"header","locationName":"x-amz-server-side-encryption-aws-kms-key-id"},"SSEKMSEncryptionContext":{"shape":"S1d","location":"header","locationName":"x-amz-server-side-encryption-context"},"BucketKeyEnabled":{"location":"header","locationName":"x-amz-server-side-encryption-bucket-key-enabled","type":"boolean"},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}}}},"PutObjectAcl":{"http":{"method":"PUT","requestUri":"/{Bucket}/{Key+}?acl"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"ACL":{"location":"header","locationName":"x-amz-acl"},"AccessControlPolicy":{"shape":"Sc9","locationName":"AccessControlPolicy","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"GrantFullControl":{"location":"header","locationName":"x-amz-grant-full-control"},"GrantRead":{"location":"header","locationName":"x-amz-grant-read"},"GrantReadACP":{"location":"header","locationName":"x-amz-grant-read-acp"},"GrantWrite":{"location":"header","locationName":"x-amz-grant-write"},"GrantWriteACP":{"location":"header","locationName":"x-amz-grant-write-acp"},"Key":{"location":"uri","locationName":"Key"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"VersionId":{"location":"querystring","locationName":"versionId"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"AccessControlPolicy"},"output":{"type":"structure","members":{"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}}},"httpChecksumRequired":true},"PutObjectLegalHold":{"http":{"method":"PUT","requestUri":"/{Bucket}/{Key+}?legal-hold"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"LegalHold":{"shape":"S9p","locationName":"LegalHold","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"VersionId":{"location":"querystring","locationName":"versionId"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"LegalHold"},"output":{"type":"structure","members":{"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}}},"httpChecksumRequired":true},"PutObjectLockConfiguration":{"http":{"method":"PUT","requestUri":"/{Bucket}?object-lock"},"input":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ObjectLockConfiguration":{"shape":"S9s","locationName":"ObjectLockConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"Token":{"location":"header","locationName":"x-amz-bucket-object-lock-token"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"ObjectLockConfiguration"},"output":{"type":"structure","members":{"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}}},"httpChecksumRequired":true},"PutObjectRetention":{"http":{"method":"PUT","requestUri":"/{Bucket}/{Key+}?retention"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"Retention":{"shape":"Sa0","locationName":"Retention","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"VersionId":{"location":"querystring","locationName":"versionId"},"BypassGovernanceRetention":{"location":"header","locationName":"x-amz-bypass-governance-retention","type":"boolean"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"Retention"},"output":{"type":"structure","members":{"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}}},"httpChecksumRequired":true},"PutObjectTagging":{"http":{"method":"PUT","requestUri":"/{Bucket}/{Key+}?tagging"},"input":{"type":"structure","required":["Bucket","Key","Tagging"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"VersionId":{"location":"querystring","locationName":"versionId"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"Tagging":{"shape":"Scz","locationName":"Tagging","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"}},"payload":"Tagging"},"output":{"type":"structure","members":{"VersionId":{"location":"header","locationName":"x-amz-version-id"}}},"httpChecksumRequired":true},"PutPublicAccessBlock":{"http":{"method":"PUT","requestUri":"/{Bucket}?publicAccessBlock"},"input":{"type":"structure","required":["Bucket","PublicAccessBlockConfiguration"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"PublicAccessBlockConfiguration":{"shape":"Sa7","locationName":"PublicAccessBlockConfiguration","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"PublicAccessBlockConfiguration"},"httpChecksumRequired":true},"RestoreObject":{"http":{"requestUri":"/{Bucket}/{Key+}?restore"},"input":{"type":"structure","required":["Bucket","Key"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"VersionId":{"location":"querystring","locationName":"versionId"},"RestoreRequest":{"locationName":"RestoreRequest","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","members":{"Days":{"type":"integer"},"GlacierJobParameters":{"type":"structure","required":["Tier"],"members":{"Tier":{}}},"Type":{},"Tier":{},"Description":{},"SelectParameters":{"type":"structure","required":["InputSerialization","ExpressionType","Expression","OutputSerialization"],"members":{"InputSerialization":{"shape":"Sdp"},"ExpressionType":{},"Expression":{},"OutputSerialization":{"shape":"Se4"}}},"OutputLocation":{"type":"structure","members":{"S3":{"type":"structure","required":["BucketName","Prefix"],"members":{"BucketName":{},"Prefix":{},"Encryption":{"type":"structure","required":["EncryptionType"],"members":{"EncryptionType":{},"KMSKeyId":{"shape":"Sk"},"KMSContext":{}}},"CannedACL":{},"AccessControlList":{"shape":"S3b"},"Tagging":{"shape":"Scz"},"UserMetadata":{"type":"list","member":{"locationName":"MetadataEntry","type":"structure","members":{"Name":{},"Value":{}}}},"StorageClass":{}}}}}}},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"RestoreRequest"},"output":{"type":"structure","members":{"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"},"RestoreOutputPath":{"location":"header","locationName":"x-amz-restore-output-path"}}},"alias":"PostObjectRestore"},"SelectObjectContent":{"http":{"requestUri":"/{Bucket}/{Key+}?select&select-type=2"},"input":{"locationName":"SelectObjectContentRequest","xmlNamespace":{"uri":"http://s3.amazonaws.com/doc/2006-03-01/"},"type":"structure","required":["Bucket","Key","Expression","ExpressionType","InputSerialization","OutputSerialization"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"Key":{"location":"uri","locationName":"Key"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKey":{"shape":"S1b","location":"header","locationName":"x-amz-server-side-encryption-customer-key"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"Expression":{},"ExpressionType":{},"RequestProgress":{"type":"structure","members":{"Enabled":{"type":"boolean"}}},"InputSerialization":{"shape":"Sdp"},"OutputSerialization":{"shape":"Se4"},"ScanRange":{"type":"structure","members":{"Start":{"type":"long"},"End":{"type":"long"}}},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"output":{"type":"structure","members":{"Payload":{"type":"structure","members":{"Records":{"type":"structure","members":{"Payload":{"eventpayload":true,"type":"blob"}},"event":true},"Stats":{"type":"structure","members":{"Details":{"eventpayload":true,"type":"structure","members":{"BytesScanned":{"type":"long"},"BytesProcessed":{"type":"long"},"BytesReturned":{"type":"long"}}}},"event":true},"Progress":{"type":"structure","members":{"Details":{"eventpayload":true,"type":"structure","members":{"BytesScanned":{"type":"long"},"BytesProcessed":{"type":"long"},"BytesReturned":{"type":"long"}}}},"event":true},"Cont":{"type":"structure","members":{},"event":true},"End":{"type":"structure","members":{},"event":true}},"eventstream":true}},"payload":"Payload"}},"UploadPart":{"http":{"method":"PUT","requestUri":"/{Bucket}/{Key+}"},"input":{"type":"structure","required":["Bucket","Key","PartNumber","UploadId"],"members":{"Body":{"streaming":true,"type":"blob"},"Bucket":{"location":"uri","locationName":"Bucket"},"ContentLength":{"location":"header","locationName":"Content-Length","type":"long"},"ContentMD5":{"location":"header","locationName":"Content-MD5"},"Key":{"location":"uri","locationName":"Key"},"PartNumber":{"location":"querystring","locationName":"partNumber","type":"integer"},"UploadId":{"location":"querystring","locationName":"uploadId"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKey":{"shape":"S1b","location":"header","locationName":"x-amz-server-side-encryption-customer-key"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}},"payload":"Body"},"output":{"type":"structure","members":{"ServerSideEncryption":{"location":"header","locationName":"x-amz-server-side-encryption"},"ETag":{"location":"header","locationName":"ETag"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"SSEKMSKeyId":{"shape":"Sk","location":"header","locationName":"x-amz-server-side-encryption-aws-kms-key-id"},"BucketKeyEnabled":{"location":"header","locationName":"x-amz-server-side-encryption-bucket-key-enabled","type":"boolean"},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}}}},"UploadPartCopy":{"http":{"method":"PUT","requestUri":"/{Bucket}/{Key+}"},"input":{"type":"structure","required":["Bucket","CopySource","Key","PartNumber","UploadId"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"CopySource":{"location":"header","locationName":"x-amz-copy-source"},"CopySourceIfMatch":{"location":"header","locationName":"x-amz-copy-source-if-match"},"CopySourceIfModifiedSince":{"location":"header","locationName":"x-amz-copy-source-if-modified-since","type":"timestamp"},"CopySourceIfNoneMatch":{"location":"header","locationName":"x-amz-copy-source-if-none-match"},"CopySourceIfUnmodifiedSince":{"location":"header","locationName":"x-amz-copy-source-if-unmodified-since","type":"timestamp"},"CopySourceRange":{"location":"header","locationName":"x-amz-copy-source-range"},"Key":{"location":"uri","locationName":"Key"},"PartNumber":{"location":"querystring","locationName":"partNumber","type":"integer"},"UploadId":{"location":"querystring","locationName":"uploadId"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKey":{"shape":"S1b","location":"header","locationName":"x-amz-server-side-encryption-customer-key"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"CopySourceSSECustomerAlgorithm":{"location":"header","locationName":"x-amz-copy-source-server-side-encryption-customer-algorithm"},"CopySourceSSECustomerKey":{"shape":"S1f","location":"header","locationName":"x-amz-copy-source-server-side-encryption-customer-key"},"CopySourceSSECustomerKeyMD5":{"location":"header","locationName":"x-amz-copy-source-server-side-encryption-customer-key-MD5"},"RequestPayer":{"location":"header","locationName":"x-amz-request-payer"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"},"ExpectedSourceBucketOwner":{"location":"header","locationName":"x-amz-source-expected-bucket-owner"}}},"output":{"type":"structure","members":{"CopySourceVersionId":{"location":"header","locationName":"x-amz-copy-source-version-id"},"CopyPartResult":{"type":"structure","members":{"ETag":{},"LastModified":{"type":"timestamp"}}},"ServerSideEncryption":{"location":"header","locationName":"x-amz-server-side-encryption"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-server-side-encryption-customer-algorithm"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-server-side-encryption-customer-key-MD5"},"SSEKMSKeyId":{"shape":"Sk","location":"header","locationName":"x-amz-server-side-encryption-aws-kms-key-id"},"BucketKeyEnabled":{"location":"header","locationName":"x-amz-server-side-encryption-bucket-key-enabled","type":"boolean"},"RequestCharged":{"location":"header","locationName":"x-amz-request-charged"}},"payload":"CopyPartResult"}},"WriteGetObjectResponse":{"http":{"requestUri":"/WriteGetObjectResponse"},"input":{"type":"structure","required":["RequestRoute","RequestToken"],"members":{"RequestRoute":{"hostLabel":true,"location":"header","locationName":"x-amz-request-route"},"RequestToken":{"location":"header","locationName":"x-amz-request-token"},"Body":{"streaming":true,"type":"blob"},"StatusCode":{"location":"header","locationName":"x-amz-fwd-status","type":"integer"},"ErrorCode":{"location":"header","locationName":"x-amz-fwd-error-code"},"ErrorMessage":{"location":"header","locationName":"x-amz-fwd-error-message"},"AcceptRanges":{"location":"header","locationName":"x-amz-fwd-header-accept-ranges"},"CacheControl":{"location":"header","locationName":"x-amz-fwd-header-Cache-Control"},"ContentDisposition":{"location":"header","locationName":"x-amz-fwd-header-Content-Disposition"},"ContentEncoding":{"location":"header","locationName":"x-amz-fwd-header-Content-Encoding"},"ContentLanguage":{"location":"header","locationName":"x-amz-fwd-header-Content-Language"},"ContentLength":{"location":"header","locationName":"Content-Length","type":"long"},"ContentRange":{"location":"header","locationName":"x-amz-fwd-header-Content-Range"},"ContentType":{"location":"header","locationName":"x-amz-fwd-header-Content-Type"},"DeleteMarker":{"location":"header","locationName":"x-amz-fwd-header-x-amz-delete-marker","type":"boolean"},"ETag":{"location":"header","locationName":"x-amz-fwd-header-ETag"},"Expires":{"location":"header","locationName":"x-amz-fwd-header-Expires","type":"timestamp"},"Expiration":{"location":"header","locationName":"x-amz-fwd-header-x-amz-expiration"},"LastModified":{"location":"header","locationName":"x-amz-fwd-header-Last-Modified","type":"timestamp"},"MissingMeta":{"location":"header","locationName":"x-amz-fwd-header-x-amz-missing-meta","type":"integer"},"Metadata":{"shape":"S13","location":"headers","locationName":"x-amz-meta-"},"ObjectLockMode":{"location":"header","locationName":"x-amz-fwd-header-x-amz-object-lock-mode"},"ObjectLockLegalHoldStatus":{"location":"header","locationName":"x-amz-fwd-header-x-amz-object-lock-legal-hold"},"ObjectLockRetainUntilDate":{"shape":"S1j","location":"header","locationName":"x-amz-fwd-header-x-amz-object-lock-retain-until-date"},"PartsCount":{"location":"header","locationName":"x-amz-fwd-header-x-amz-mp-parts-count","type":"integer"},"ReplicationStatus":{"location":"header","locationName":"x-amz-fwd-header-x-amz-replication-status"},"RequestCharged":{"location":"header","locationName":"x-amz-fwd-header-x-amz-request-charged"},"Restore":{"location":"header","locationName":"x-amz-fwd-header-x-amz-restore"},"ServerSideEncryption":{"location":"header","locationName":"x-amz-fwd-header-x-amz-server-side-encryption"},"SSECustomerAlgorithm":{"location":"header","locationName":"x-amz-fwd-header-x-amz-server-side-encryption-customer-algorithm"},"SSEKMSKeyId":{"shape":"Sk","location":"header","locationName":"x-amz-fwd-header-x-amz-server-side-encryption-aws-kms-key-id"},"SSECustomerKeyMD5":{"location":"header","locationName":"x-amz-fwd-header-x-amz-server-side-encryption-customer-key-MD5"},"StorageClass":{"location":"header","locationName":"x-amz-fwd-header-x-amz-storage-class"},"TagCount":{"location":"header","locationName":"x-amz-fwd-header-x-amz-tagging-count","type":"integer"},"VersionId":{"location":"header","locationName":"x-amz-fwd-header-x-amz-version-id"},"BucketKeyEnabled":{"location":"header","locationName":"x-amz-fwd-header-x-amz-server-side-encryption-bucket-key-enabled","type":"boolean"}},"payload":"Body"},"authtype":"v4-unsigned-body","endpoint":{"hostPrefix":"{RequestRoute}."}}},"shapes":{"Sk":{"type":"string","sensitive":true},"S13":{"type":"map","key":{},"value":{}},"S1b":{"type":"blob","sensitive":true},"S1d":{"type":"string","sensitive":true},"S1f":{"type":"blob","sensitive":true},"S1j":{"type":"timestamp","timestampFormat":"iso8601"},"S38":{"type":"structure","members":{"DisplayName":{},"ID":{}}},"S3b":{"type":"list","member":{"locationName":"Grant","type":"structure","members":{"Grantee":{"shape":"S3d"},"Permission":{}}}},"S3d":{"type":"structure","required":["Type"],"members":{"DisplayName":{},"EmailAddress":{},"ID":{},"Type":{"locationName":"xsi:type","xmlAttribute":true},"URI":{}},"xmlNamespace":{"prefix":"xsi","uri":"http://www.w3.org/2001/XMLSchema-instance"}},"S3k":{"type":"structure","required":["Id","StorageClassAnalysis"],"members":{"Id":{},"Filter":{"type":"structure","members":{"Prefix":{},"Tag":{"shape":"S3n"},"And":{"type":"structure","members":{"Prefix":{},"Tags":{"shape":"S3q","flattened":true,"locationName":"Tag"}}}}},"StorageClassAnalysis":{"type":"structure","members":{"DataExport":{"type":"structure","required":["OutputSchemaVersion","Destination"],"members":{"OutputSchemaVersion":{},"Destination":{"type":"structure","required":["S3BucketDestination"],"members":{"S3BucketDestination":{"type":"structure","required":["Format","Bucket"],"members":{"Format":{},"BucketAccountId":{},"Bucket":{},"Prefix":{}}}}}}}}}}},"S3n":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}},"S3q":{"type":"list","member":{"shape":"S3n","locationName":"Tag"}},"S3z":{"type":"list","member":{"type":"structure","required":["AllowedMethods","AllowedOrigins"],"members":{"ID":{},"AllowedHeaders":{"locationName":"AllowedHeader","type":"list","member":{},"flattened":true},"AllowedMethods":{"locationName":"AllowedMethod","type":"list","member":{},"flattened":true},"AllowedOrigins":{"locationName":"AllowedOrigin","type":"list","member":{},"flattened":true},"ExposeHeaders":{"locationName":"ExposeHeader","type":"list","member":{},"flattened":true},"MaxAgeSeconds":{"type":"integer"}}},"flattened":true},"S4c":{"type":"structure","required":["Rules"],"members":{"Rules":{"locationName":"Rule","type":"list","member":{"type":"structure","members":{"ApplyServerSideEncryptionByDefault":{"type":"structure","required":["SSEAlgorithm"],"members":{"SSEAlgorithm":{},"KMSMasterKeyID":{"shape":"Sk"}}},"BucketKeyEnabled":{"type":"boolean"}}},"flattened":true}}},"S4i":{"type":"structure","required":["Id","Status","Tierings"],"members":{"Id":{},"Filter":{"type":"structure","members":{"Prefix":{},"Tag":{"shape":"S3n"},"And":{"type":"structure","members":{"Prefix":{},"Tags":{"shape":"S3q","flattened":true,"locationName":"Tag"}}}}},"Status":{},"Tierings":{"locationName":"Tiering","type":"list","member":{"type":"structure","required":["Days","AccessTier"],"members":{"Days":{"type":"integer"},"AccessTier":{}}},"flattened":true}}},"S4s":{"type":"structure","required":["Destination","IsEnabled","Id","IncludedObjectVersions","Schedule"],"members":{"Destination":{"type":"structure","required":["S3BucketDestination"],"members":{"S3BucketDestination":{"type":"structure","required":["Bucket","Format"],"members":{"AccountId":{},"Bucket":{},"Format":{},"Prefix":{},"Encryption":{"type":"structure","members":{"SSES3":{"locationName":"SSE-S3","type":"structure","members":{}},"SSEKMS":{"locationName":"SSE-KMS","type":"structure","required":["KeyId"],"members":{"KeyId":{"shape":"Sk"}}}}}}}}},"IsEnabled":{"type":"boolean"},"Filter":{"type":"structure","required":["Prefix"],"members":{"Prefix":{}}},"Id":{},"IncludedObjectVersions":{},"OptionalFields":{"type":"list","member":{"locationName":"Field"}},"Schedule":{"type":"structure","required":["Frequency"],"members":{"Frequency":{}}}}},"S58":{"type":"list","member":{"type":"structure","required":["Prefix","Status"],"members":{"Expiration":{"shape":"S5a"},"ID":{},"Prefix":{},"Status":{},"Transition":{"shape":"S5f"},"NoncurrentVersionTransition":{"shape":"S5h"},"NoncurrentVersionExpiration":{"shape":"S5j"},"AbortIncompleteMultipartUpload":{"shape":"S5k"}}},"flattened":true},"S5a":{"type":"structure","members":{"Date":{"shape":"S5b"},"Days":{"type":"integer"},"ExpiredObjectDeleteMarker":{"type":"boolean"}}},"S5b":{"type":"timestamp","timestampFormat":"iso8601"},"S5f":{"type":"structure","members":{"Date":{"shape":"S5b"},"Days":{"type":"integer"},"StorageClass":{}}},"S5h":{"type":"structure","members":{"NoncurrentDays":{"type":"integer"},"StorageClass":{},"NewerNoncurrentVersions":{"type":"integer"}}},"S5j":{"type":"structure","members":{"NoncurrentDays":{"type":"integer"},"NewerNoncurrentVersions":{"type":"integer"}}},"S5k":{"type":"structure","members":{"DaysAfterInitiation":{"type":"integer"}}},"S5o":{"type":"list","member":{"type":"structure","required":["Status"],"members":{"Expiration":{"shape":"S5a"},"ID":{},"Prefix":{"deprecated":true},"Filter":{"type":"structure","members":{"Prefix":{},"Tag":{"shape":"S3n"},"ObjectSizeGreaterThan":{"type":"long"},"ObjectSizeLessThan":{"type":"long"},"And":{"type":"structure","members":{"Prefix":{},"Tags":{"shape":"S3q","flattened":true,"locationName":"Tag"},"ObjectSizeGreaterThan":{"type":"long"},"ObjectSizeLessThan":{"type":"long"}}}}},"Status":{},"Transitions":{"locationName":"Transition","type":"list","member":{"shape":"S5f"},"flattened":true},"NoncurrentVersionTransitions":{"locationName":"NoncurrentVersionTransition","type":"list","member":{"shape":"S5h"},"flattened":true},"NoncurrentVersionExpiration":{"shape":"S5j"},"AbortIncompleteMultipartUpload":{"shape":"S5k"}}},"flattened":true},"S60":{"type":"structure","required":["TargetBucket","TargetPrefix"],"members":{"TargetBucket":{},"TargetGrants":{"type":"list","member":{"locationName":"Grant","type":"structure","members":{"Grantee":{"shape":"S3d"},"Permission":{}}}},"TargetPrefix":{}}},"S68":{"type":"structure","required":["Id"],"members":{"Id":{},"Filter":{"type":"structure","members":{"Prefix":{},"Tag":{"shape":"S3n"},"AccessPointArn":{},"And":{"type":"structure","members":{"Prefix":{},"Tags":{"shape":"S3q","flattened":true,"locationName":"Tag"},"AccessPointArn":{}}}}}}},"S6c":{"type":"structure","required":["Bucket"],"members":{"Bucket":{"location":"uri","locationName":"Bucket"},"ExpectedBucketOwner":{"location":"header","locationName":"x-amz-expected-bucket-owner"}}},"S6d":{"type":"structure","members":{"TopicConfiguration":{"type":"structure","members":{"Id":{},"Events":{"shape":"S6g","locationName":"Event"},"Event":{"deprecated":true},"Topic":{}}},"QueueConfiguration":{"type":"structure","members":{"Id":{},"Event":{"deprecated":true},"Events":{"shape":"S6g","locationName":"Event"},"Queue":{}}},"CloudFunctionConfiguration":{"type":"structure","members":{"Id":{},"Event":{"deprecated":true},"Events":{"shape":"S6g","locationName":"Event"},"CloudFunction":{},"InvocationRole":{}}}}},"S6g":{"type":"list","member":{},"flattened":true},"S6o":{"type":"structure","members":{"TopicConfigurations":{"locationName":"TopicConfiguration","type":"list","member":{"type":"structure","required":["TopicArn","Events"],"members":{"Id":{},"TopicArn":{"locationName":"Topic"},"Events":{"shape":"S6g","locationName":"Event"},"Filter":{"shape":"S6r"}}},"flattened":true},"QueueConfigurations":{"locationName":"QueueConfiguration","type":"list","member":{"type":"structure","required":["QueueArn","Events"],"members":{"Id":{},"QueueArn":{"locationName":"Queue"},"Events":{"shape":"S6g","locationName":"Event"},"Filter":{"shape":"S6r"}}},"flattened":true},"LambdaFunctionConfigurations":{"locationName":"CloudFunctionConfiguration","type":"list","member":{"type":"structure","required":["LambdaFunctionArn","Events"],"members":{"Id":{},"LambdaFunctionArn":{"locationName":"CloudFunction"},"Events":{"shape":"S6g","locationName":"Event"},"Filter":{"shape":"S6r"}}},"flattened":true},"EventBridgeConfiguration":{"type":"structure","members":{}}}},"S6r":{"type":"structure","members":{"Key":{"locationName":"S3Key","type":"structure","members":{"FilterRules":{"locationName":"FilterRule","type":"list","member":{"type":"structure","members":{"Name":{},"Value":{}}},"flattened":true}}}}},"S75":{"type":"structure","required":["Rules"],"members":{"Rules":{"locationName":"Rule","type":"list","member":{"type":"structure","required":["ObjectOwnership"],"members":{"ObjectOwnership":{}}},"flattened":true}}},"S7h":{"type":"structure","required":["Role","Rules"],"members":{"Role":{},"Rules":{"locationName":"Rule","type":"list","member":{"type":"structure","required":["Status","Destination"],"members":{"ID":{},"Priority":{"type":"integer"},"Prefix":{"deprecated":true},"Filter":{"type":"structure","members":{"Prefix":{},"Tag":{"shape":"S3n"},"And":{"type":"structure","members":{"Prefix":{},"Tags":{"shape":"S3q","flattened":true,"locationName":"Tag"}}}}},"Status":{},"SourceSelectionCriteria":{"type":"structure","members":{"SseKmsEncryptedObjects":{"type":"structure","required":["Status"],"members":{"Status":{}}},"ReplicaModifications":{"type":"structure","required":["Status"],"members":{"Status":{}}}}},"ExistingObjectReplication":{"type":"structure","required":["Status"],"members":{"Status":{}}},"Destination":{"type":"structure","required":["Bucket"],"members":{"Bucket":{},"Account":{},"StorageClass":{},"AccessControlTranslation":{"type":"structure","required":["Owner"],"members":{"Owner":{}}},"EncryptionConfiguration":{"type":"structure","members":{"ReplicaKmsKeyID":{}}},"ReplicationTime":{"type":"structure","required":["Status","Time"],"members":{"Status":{},"Time":{"shape":"S83"}}},"Metrics":{"type":"structure","required":["Status"],"members":{"Status":{},"EventThreshold":{"shape":"S83"}}}}},"DeleteMarkerReplication":{"type":"structure","members":{"Status":{}}}}},"flattened":true}}},"S83":{"type":"structure","members":{"Minutes":{"type":"integer"}}},"S8k":{"type":"structure","required":["HostName"],"members":{"HostName":{},"Protocol":{}}},"S8n":{"type":"structure","required":["Suffix"],"members":{"Suffix":{}}},"S8p":{"type":"structure","required":["Key"],"members":{"Key":{}}},"S8q":{"type":"list","member":{"locationName":"RoutingRule","type":"structure","required":["Redirect"],"members":{"Condition":{"type":"structure","members":{"HttpErrorCodeReturnedEquals":{},"KeyPrefixEquals":{}}},"Redirect":{"type":"structure","members":{"HostName":{},"HttpRedirectCode":{},"Protocol":{},"ReplaceKeyPrefixWith":{},"ReplaceKeyWith":{}}}}}},"S9p":{"type":"structure","members":{"Status":{}}},"S9s":{"type":"structure","members":{"ObjectLockEnabled":{},"Rule":{"type":"structure","members":{"DefaultRetention":{"type":"structure","members":{"Mode":{},"Days":{"type":"integer"},"Years":{"type":"integer"}}}}}}},"Sa0":{"type":"structure","members":{"Mode":{},"RetainUntilDate":{"shape":"S5b"}}},"Sa7":{"type":"structure","members":{"BlockPublicAcls":{"locationName":"BlockPublicAcls","type":"boolean"},"IgnorePublicAcls":{"locationName":"IgnorePublicAcls","type":"boolean"},"BlockPublicPolicy":{"locationName":"BlockPublicPolicy","type":"boolean"},"RestrictPublicBuckets":{"locationName":"RestrictPublicBuckets","type":"boolean"}}},"Sb8":{"type":"structure","members":{"ID":{},"DisplayName":{}}},"Sb9":{"type":"list","member":{"type":"structure","members":{"Prefix":{}}},"flattened":true},"Sbr":{"type":"list","member":{"type":"structure","members":{"Key":{},"LastModified":{"type":"timestamp"},"ETag":{},"Size":{"type":"integer"},"StorageClass":{},"Owner":{"shape":"S38"}}},"flattened":true},"Sc9":{"type":"structure","members":{"Grants":{"shape":"S3b","locationName":"AccessControlList"},"Owner":{"shape":"S38"}}},"Scz":{"type":"structure","required":["TagSet"],"members":{"TagSet":{"shape":"S3q"}}},"Sdp":{"type":"structure","members":{"CSV":{"type":"structure","members":{"FileHeaderInfo":{},"Comments":{},"QuoteEscapeCharacter":{},"RecordDelimiter":{},"FieldDelimiter":{},"QuoteCharacter":{},"AllowQuotedRecordDelimiter":{"type":"boolean"}}},"CompressionType":{},"JSON":{"type":"structure","members":{"Type":{}}},"Parquet":{"type":"structure","members":{}}}},"Se4":{"type":"structure","members":{"CSV":{"type":"structure","members":{"QuoteFields":{},"QuoteEscapeCharacter":{},"RecordDelimiter":{},"FieldDelimiter":{},"QuoteCharacter":{}}},"JSON":{"type":"structure","members":{"RecordDelimiter":{}}}}}}}');

/***/ }),

/***/ 7265:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListBuckets":{"result_key":"Buckets"},"ListMultipartUploads":{"input_token":["KeyMarker","UploadIdMarker"],"limit_key":"MaxUploads","more_results":"IsTruncated","output_token":["NextKeyMarker","NextUploadIdMarker"],"result_key":["Uploads","CommonPrefixes"]},"ListObjectVersions":{"input_token":["KeyMarker","VersionIdMarker"],"limit_key":"MaxKeys","more_results":"IsTruncated","output_token":["NextKeyMarker","NextVersionIdMarker"],"result_key":["Versions","DeleteMarkers","CommonPrefixes"]},"ListObjects":{"input_token":"Marker","limit_key":"MaxKeys","more_results":"IsTruncated","output_token":"NextMarker || Contents[-1].Key","result_key":["Contents","CommonPrefixes"]},"ListObjectsV2":{"input_token":"ContinuationToken","limit_key":"MaxKeys","output_token":"NextContinuationToken","result_key":["Contents","CommonPrefixes"]},"ListParts":{"input_token":"PartNumberMarker","limit_key":"MaxParts","more_results":"IsTruncated","output_token":"NextPartNumberMarker","result_key":"Parts"}}}');

/***/ }),

/***/ 74048:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"BucketExists":{"delay":5,"operation":"HeadBucket","maxAttempts":20,"acceptors":[{"expected":200,"matcher":"status","state":"success"},{"expected":301,"matcher":"status","state":"success"},{"expected":403,"matcher":"status","state":"success"},{"expected":404,"matcher":"status","state":"retry"}]},"BucketNotExists":{"delay":5,"operation":"HeadBucket","maxAttempts":20,"acceptors":[{"expected":404,"matcher":"status","state":"success"}]},"ObjectExists":{"delay":5,"operation":"HeadObject","maxAttempts":20,"acceptors":[{"expected":200,"matcher":"status","state":"success"},{"expected":404,"matcher":"status","state":"retry"}]},"ObjectNotExists":{"delay":5,"operation":"HeadObject","maxAttempts":20,"acceptors":[{"expected":404,"matcher":"status","state":"success"}]}}}');

/***/ }),

/***/ 1201:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-08-20","endpointPrefix":"s3-control","protocol":"rest-xml","serviceFullName":"AWS S3 Control","serviceId":"S3 Control","signatureVersion":"s3v4","signingName":"s3","uid":"s3control-2018-08-20"},"operations":{"CreateAccessPoint":{"http":{"method":"PUT","requestUri":"/v20180820/accesspoint/{name}"},"input":{"locationName":"CreateAccessPointRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["AccountId","Name","Bucket"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"},"Bucket":{},"VpcConfiguration":{"shape":"S5"},"PublicAccessBlockConfiguration":{"shape":"S7"}}},"output":{"type":"structure","members":{"AccessPointArn":{},"Alias":{}}},"endpoint":{"hostPrefix":"{AccountId}."}},"CreateAccessPointForObjectLambda":{"http":{"method":"PUT","requestUri":"/v20180820/accesspointforobjectlambda/{name}"},"input":{"locationName":"CreateAccessPointForObjectLambdaRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["AccountId","Name","Configuration"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"},"Configuration":{"shape":"Se"}}},"output":{"type":"structure","members":{"ObjectLambdaAccessPointArn":{}}},"endpoint":{"hostPrefix":"{AccountId}."}},"CreateBucket":{"http":{"method":"PUT","requestUri":"/v20180820/bucket/{name}"},"input":{"type":"structure","required":["Bucket"],"members":{"ACL":{"location":"header","locationName":"x-amz-acl"},"Bucket":{"location":"uri","locationName":"name"},"CreateBucketConfiguration":{"locationName":"CreateBucketConfiguration","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","members":{"LocationConstraint":{}}},"GrantFullControl":{"location":"header","locationName":"x-amz-grant-full-control"},"GrantRead":{"location":"header","locationName":"x-amz-grant-read"},"GrantReadACP":{"location":"header","locationName":"x-amz-grant-read-acp"},"GrantWrite":{"location":"header","locationName":"x-amz-grant-write"},"GrantWriteACP":{"location":"header","locationName":"x-amz-grant-write-acp"},"ObjectLockEnabledForBucket":{"location":"header","locationName":"x-amz-bucket-object-lock-enabled","type":"boolean"},"OutpostId":{"location":"header","locationName":"x-amz-outpost-id"}},"payload":"CreateBucketConfiguration"},"output":{"type":"structure","members":{"Location":{"location":"header","locationName":"Location"},"BucketArn":{}}},"httpChecksumRequired":true},"CreateJob":{"http":{"requestUri":"/v20180820/jobs"},"input":{"locationName":"CreateJobRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["AccountId","Operation","Report","ClientRequestToken","Manifest","Priority","RoleArn"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"ConfirmationRequired":{"type":"boolean"},"Operation":{"shape":"S19"},"Report":{"shape":"S2e"},"ClientRequestToken":{"idempotencyToken":true},"Manifest":{"shape":"S2i"},"Description":{},"Priority":{"type":"integer"},"RoleArn":{},"Tags":{"shape":"S1r"}}},"output":{"type":"structure","members":{"JobId":{}}},"endpoint":{"hostPrefix":"{AccountId}."}},"CreateMultiRegionAccessPoint":{"http":{"requestUri":"/v20180820/async-requests/mrap/create"},"input":{"locationName":"CreateMultiRegionAccessPointRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["AccountId","ClientToken","Details"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"ClientToken":{"idempotencyToken":true},"Details":{"shape":"S2x"}}},"output":{"type":"structure","members":{"RequestTokenARN":{}}},"endpoint":{"hostPrefix":"{AccountId}."},"httpChecksumRequired":true},"DeleteAccessPoint":{"http":{"method":"DELETE","requestUri":"/v20180820/accesspoint/{name}"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"DeleteAccessPointForObjectLambda":{"http":{"method":"DELETE","requestUri":"/v20180820/accesspointforobjectlambda/{name}"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"DeleteAccessPointPolicy":{"http":{"method":"DELETE","requestUri":"/v20180820/accesspoint/{name}/policy"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"DeleteAccessPointPolicyForObjectLambda":{"http":{"method":"DELETE","requestUri":"/v20180820/accesspointforobjectlambda/{name}/policy"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"DeleteBucket":{"http":{"method":"DELETE","requestUri":"/v20180820/bucket/{name}"},"input":{"type":"structure","required":["AccountId","Bucket"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Bucket":{"location":"uri","locationName":"name"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"DeleteBucketLifecycleConfiguration":{"http":{"method":"DELETE","requestUri":"/v20180820/bucket/{name}/lifecycleconfiguration"},"input":{"type":"structure","required":["AccountId","Bucket"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Bucket":{"location":"uri","locationName":"name"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"DeleteBucketPolicy":{"http":{"method":"DELETE","requestUri":"/v20180820/bucket/{name}/policy"},"input":{"type":"structure","required":["AccountId","Bucket"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Bucket":{"location":"uri","locationName":"name"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"DeleteBucketTagging":{"http":{"method":"DELETE","requestUri":"/v20180820/bucket/{name}/tagging","responseCode":204},"input":{"type":"structure","required":["AccountId","Bucket"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Bucket":{"location":"uri","locationName":"name"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"DeleteJobTagging":{"http":{"method":"DELETE","requestUri":"/v20180820/jobs/{id}/tagging"},"input":{"type":"structure","required":["AccountId","JobId"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"JobId":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"{AccountId}."}},"DeleteMultiRegionAccessPoint":{"http":{"requestUri":"/v20180820/async-requests/mrap/delete"},"input":{"locationName":"DeleteMultiRegionAccessPointRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["AccountId","ClientToken","Details"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"ClientToken":{"idempotencyToken":true},"Details":{"shape":"S3e"}}},"output":{"type":"structure","members":{"RequestTokenARN":{}}},"endpoint":{"hostPrefix":"{AccountId}."},"httpChecksumRequired":true},"DeletePublicAccessBlock":{"http":{"method":"DELETE","requestUri":"/v20180820/configuration/publicAccessBlock"},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"DeleteStorageLensConfiguration":{"http":{"method":"DELETE","requestUri":"/v20180820/storagelens/{storagelensid}"},"input":{"type":"structure","required":["ConfigId","AccountId"],"members":{"ConfigId":{"location":"uri","locationName":"storagelensid"},"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"DeleteStorageLensConfigurationTagging":{"http":{"method":"DELETE","requestUri":"/v20180820/storagelens/{storagelensid}/tagging"},"input":{"type":"structure","required":["ConfigId","AccountId"],"members":{"ConfigId":{"location":"uri","locationName":"storagelensid"},"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"{AccountId}."}},"DescribeJob":{"http":{"method":"GET","requestUri":"/v20180820/jobs/{id}"},"input":{"type":"structure","required":["AccountId","JobId"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"JobId":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"Job":{"type":"structure","members":{"JobId":{},"ConfirmationRequired":{"type":"boolean"},"Description":{},"JobArn":{},"Status":{},"Manifest":{"shape":"S2i"},"Operation":{"shape":"S19"},"Priority":{"type":"integer"},"ProgressSummary":{"shape":"S3q"},"StatusUpdateReason":{},"FailureReasons":{"type":"list","member":{"type":"structure","members":{"FailureCode":{},"FailureReason":{}}}},"Report":{"shape":"S2e"},"CreationTime":{"type":"timestamp"},"TerminationDate":{"type":"timestamp"},"RoleArn":{},"SuspendedDate":{"type":"timestamp"},"SuspendedCause":{}}}}},"endpoint":{"hostPrefix":"{AccountId}."}},"DescribeMultiRegionAccessPointOperation":{"http":{"method":"GET","requestUri":"/v20180820/async-requests/mrap/{request_token+}"},"input":{"type":"structure","required":["AccountId","RequestTokenARN"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"RequestTokenARN":{"location":"uri","locationName":"request_token"}}},"output":{"type":"structure","members":{"AsyncOperation":{"type":"structure","members":{"CreationTime":{"type":"timestamp"},"Operation":{},"RequestTokenARN":{},"RequestParameters":{"type":"structure","members":{"CreateMultiRegionAccessPointRequest":{"shape":"S2x"},"DeleteMultiRegionAccessPointRequest":{"shape":"S3e"},"PutMultiRegionAccessPointPolicyRequest":{"shape":"S49"}}},"RequestStatus":{},"ResponseDetails":{"type":"structure","members":{"MultiRegionAccessPointDetails":{"type":"structure","members":{"Regions":{"type":"list","member":{"locationName":"Region","type":"structure","members":{"Name":{},"RequestStatus":{}}}}}},"ErrorDetails":{"type":"structure","members":{"Code":{},"Message":{},"Resource":{},"RequestId":{}}}}}}}}},"endpoint":{"hostPrefix":"{AccountId}."},"httpChecksumRequired":true},"GetAccessPoint":{"http":{"method":"GET","requestUri":"/v20180820/accesspoint/{name}"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"Name":{},"Bucket":{},"NetworkOrigin":{},"VpcConfiguration":{"shape":"S5"},"PublicAccessBlockConfiguration":{"shape":"S7"},"CreationDate":{"type":"timestamp"},"Alias":{},"AccessPointArn":{},"Endpoints":{"type":"map","key":{},"value":{}}}},"endpoint":{"hostPrefix":"{AccountId}."}},"GetAccessPointConfigurationForObjectLambda":{"http":{"method":"GET","requestUri":"/v20180820/accesspointforobjectlambda/{name}/configuration"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"Configuration":{"shape":"Se"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"GetAccessPointForObjectLambda":{"http":{"method":"GET","requestUri":"/v20180820/accesspointforobjectlambda/{name}"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"Name":{},"PublicAccessBlockConfiguration":{"shape":"S7"},"CreationDate":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"GetAccessPointPolicy":{"http":{"method":"GET","requestUri":"/v20180820/accesspoint/{name}/policy"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"Policy":{}}},"endpoint":{"hostPrefix":"{AccountId}."}},"GetAccessPointPolicyForObjectLambda":{"http":{"method":"GET","requestUri":"/v20180820/accesspointforobjectlambda/{name}/policy"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"Policy":{}}},"endpoint":{"hostPrefix":"{AccountId}."}},"GetAccessPointPolicyStatus":{"http":{"method":"GET","requestUri":"/v20180820/accesspoint/{name}/policyStatus"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"PolicyStatus":{"shape":"S4y"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"GetAccessPointPolicyStatusForObjectLambda":{"http":{"method":"GET","requestUri":"/v20180820/accesspointforobjectlambda/{name}/policyStatus"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"PolicyStatus":{"shape":"S4y"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"GetBucket":{"http":{"method":"GET","requestUri":"/v20180820/bucket/{name}"},"input":{"type":"structure","required":["AccountId","Bucket"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Bucket":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"Bucket":{},"PublicAccessBlockEnabled":{"type":"boolean"},"CreationDate":{"type":"timestamp"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"GetBucketLifecycleConfiguration":{"http":{"method":"GET","requestUri":"/v20180820/bucket/{name}/lifecycleconfiguration"},"input":{"type":"structure","required":["AccountId","Bucket"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Bucket":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"Rules":{"shape":"S57"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"GetBucketPolicy":{"http":{"method":"GET","requestUri":"/v20180820/bucket/{name}/policy"},"input":{"type":"structure","required":["AccountId","Bucket"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Bucket":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"Policy":{}}},"endpoint":{"hostPrefix":"{AccountId}."}},"GetBucketTagging":{"http":{"method":"GET","requestUri":"/v20180820/bucket/{name}/tagging"},"input":{"type":"structure","required":["AccountId","Bucket"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Bucket":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","required":["TagSet"],"members":{"TagSet":{"shape":"S1r"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"GetJobTagging":{"http":{"method":"GET","requestUri":"/v20180820/jobs/{id}/tagging"},"input":{"type":"structure","required":["AccountId","JobId"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"JobId":{"location":"uri","locationName":"id"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S1r"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"GetMultiRegionAccessPoint":{"http":{"method":"GET","requestUri":"/v20180820/mrap/instances/{name}"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"AccessPoint":{"shape":"S5y"}}},"endpoint":{"hostPrefix":"{AccountId}."},"httpChecksumRequired":true},"GetMultiRegionAccessPointPolicy":{"http":{"method":"GET","requestUri":"/v20180820/mrap/instances/{name}/policy"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"Policy":{"type":"structure","members":{"Established":{"type":"structure","members":{"Policy":{}}},"Proposed":{"type":"structure","members":{"Policy":{}}}}}}},"endpoint":{"hostPrefix":"{AccountId}."},"httpChecksumRequired":true},"GetMultiRegionAccessPointPolicyStatus":{"http":{"method":"GET","requestUri":"/v20180820/mrap/instances/{name}/policystatus"},"input":{"type":"structure","required":["AccountId","Name"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"Established":{"shape":"S4y"}}},"endpoint":{"hostPrefix":"{AccountId}."},"httpChecksumRequired":true},"GetPublicAccessBlock":{"http":{"method":"GET","requestUri":"/v20180820/configuration/publicAccessBlock"},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"}}},"output":{"type":"structure","members":{"PublicAccessBlockConfiguration":{"shape":"S7"}},"payload":"PublicAccessBlockConfiguration"},"endpoint":{"hostPrefix":"{AccountId}."}},"GetStorageLensConfiguration":{"http":{"method":"GET","requestUri":"/v20180820/storagelens/{storagelensid}"},"input":{"type":"structure","required":["ConfigId","AccountId"],"members":{"ConfigId":{"location":"uri","locationName":"storagelensid"},"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"}}},"output":{"type":"structure","members":{"StorageLensConfiguration":{"shape":"S6f"}},"payload":"StorageLensConfiguration"},"endpoint":{"hostPrefix":"{AccountId}."}},"GetStorageLensConfigurationTagging":{"http":{"method":"GET","requestUri":"/v20180820/storagelens/{storagelensid}/tagging"},"input":{"type":"structure","required":["ConfigId","AccountId"],"members":{"ConfigId":{"location":"uri","locationName":"storagelensid"},"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S79"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"ListAccessPoints":{"http":{"method":"GET","requestUri":"/v20180820/accesspoint"},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Bucket":{"location":"querystring","locationName":"bucket"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"AccessPointList":{"type":"list","member":{"locationName":"AccessPoint","type":"structure","required":["Name","NetworkOrigin","Bucket"],"members":{"Name":{},"NetworkOrigin":{},"VpcConfiguration":{"shape":"S5"},"Bucket":{},"AccessPointArn":{},"Alias":{}}}},"NextToken":{}}},"endpoint":{"hostPrefix":"{AccountId}."}},"ListAccessPointsForObjectLambda":{"http":{"method":"GET","requestUri":"/v20180820/accesspointforobjectlambda"},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"ObjectLambdaAccessPointList":{"type":"list","member":{"locationName":"ObjectLambdaAccessPoint","type":"structure","required":["Name"],"members":{"Name":{},"ObjectLambdaAccessPointArn":{}}}},"NextToken":{}}},"endpoint":{"hostPrefix":"{AccountId}."}},"ListJobs":{"http":{"method":"GET","requestUri":"/v20180820/jobs"},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"JobStatuses":{"location":"querystring","locationName":"jobStatuses","type":"list","member":{}},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"Jobs":{"type":"list","member":{"type":"structure","members":{"JobId":{},"Description":{},"Operation":{},"Priority":{"type":"integer"},"Status":{},"CreationTime":{"type":"timestamp"},"TerminationDate":{"type":"timestamp"},"ProgressSummary":{"shape":"S3q"}}}}}},"endpoint":{"hostPrefix":"{AccountId}."}},"ListMultiRegionAccessPoints":{"http":{"method":"GET","requestUri":"/v20180820/mrap/instances"},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"AccessPoints":{"type":"list","member":{"shape":"S5y","locationName":"AccessPoint"}},"NextToken":{}}},"endpoint":{"hostPrefix":"{AccountId}."},"httpChecksumRequired":true},"ListRegionalBuckets":{"http":{"method":"GET","requestUri":"/v20180820/bucket"},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"OutpostId":{"location":"header","locationName":"x-amz-outpost-id"}}},"output":{"type":"structure","members":{"RegionalBucketList":{"type":"list","member":{"locationName":"RegionalBucket","type":"structure","required":["Bucket","PublicAccessBlockEnabled","CreationDate"],"members":{"Bucket":{},"BucketArn":{},"PublicAccessBlockEnabled":{"type":"boolean"},"CreationDate":{"type":"timestamp"},"OutpostId":{}}}},"NextToken":{}}},"endpoint":{"hostPrefix":"{AccountId}."}},"ListStorageLensConfigurations":{"http":{"method":"GET","requestUri":"/v20180820/storagelens"},"input":{"type":"structure","required":["AccountId"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"NextToken":{},"StorageLensConfigurationList":{"type":"list","member":{"locationName":"StorageLensConfiguration","type":"structure","required":["Id","StorageLensArn","HomeRegion"],"members":{"Id":{},"StorageLensArn":{},"HomeRegion":{},"IsEnabled":{"type":"boolean"}}},"flattened":true}}},"endpoint":{"hostPrefix":"{AccountId}."}},"PutAccessPointConfigurationForObjectLambda":{"http":{"method":"PUT","requestUri":"/v20180820/accesspointforobjectlambda/{name}/configuration"},"input":{"locationName":"PutAccessPointConfigurationForObjectLambdaRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["AccountId","Name","Configuration"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"},"Configuration":{"shape":"Se"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"PutAccessPointPolicy":{"http":{"method":"PUT","requestUri":"/v20180820/accesspoint/{name}/policy"},"input":{"locationName":"PutAccessPointPolicyRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["AccountId","Name","Policy"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"},"Policy":{}}},"endpoint":{"hostPrefix":"{AccountId}."}},"PutAccessPointPolicyForObjectLambda":{"http":{"method":"PUT","requestUri":"/v20180820/accesspointforobjectlambda/{name}/policy"},"input":{"locationName":"PutAccessPointPolicyForObjectLambdaRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["AccountId","Name","Policy"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Name":{"location":"uri","locationName":"name"},"Policy":{}}},"endpoint":{"hostPrefix":"{AccountId}."}},"PutBucketLifecycleConfiguration":{"http":{"method":"PUT","requestUri":"/v20180820/bucket/{name}/lifecycleconfiguration"},"input":{"type":"structure","required":["AccountId","Bucket"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Bucket":{"location":"uri","locationName":"name"},"LifecycleConfiguration":{"locationName":"LifecycleConfiguration","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","members":{"Rules":{"shape":"S57"}}}},"payload":"LifecycleConfiguration"},"endpoint":{"hostPrefix":"{AccountId}."},"httpChecksumRequired":true},"PutBucketPolicy":{"http":{"method":"PUT","requestUri":"/v20180820/bucket/{name}/policy"},"input":{"locationName":"PutBucketPolicyRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["AccountId","Bucket","Policy"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Bucket":{"location":"uri","locationName":"name"},"ConfirmRemoveSelfBucketAccess":{"location":"header","locationName":"x-amz-confirm-remove-self-bucket-access","type":"boolean"},"Policy":{}}},"endpoint":{"hostPrefix":"{AccountId}."},"httpChecksumRequired":true},"PutBucketTagging":{"http":{"method":"PUT","requestUri":"/v20180820/bucket/{name}/tagging"},"input":{"type":"structure","required":["AccountId","Bucket","Tagging"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Bucket":{"location":"uri","locationName":"name"},"Tagging":{"locationName":"Tagging","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["TagSet"],"members":{"TagSet":{"shape":"S1r"}}}},"payload":"Tagging"},"endpoint":{"hostPrefix":"{AccountId}."},"httpChecksumRequired":true},"PutJobTagging":{"http":{"method":"PUT","requestUri":"/v20180820/jobs/{id}/tagging"},"input":{"locationName":"PutJobTaggingRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["AccountId","JobId","Tags"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"JobId":{"location":"uri","locationName":"id"},"Tags":{"shape":"S1r"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"{AccountId}."}},"PutMultiRegionAccessPointPolicy":{"http":{"requestUri":"/v20180820/async-requests/mrap/put-policy"},"input":{"locationName":"PutMultiRegionAccessPointPolicyRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["AccountId","ClientToken","Details"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"ClientToken":{"idempotencyToken":true},"Details":{"shape":"S49"}}},"output":{"type":"structure","members":{"RequestTokenARN":{}}},"endpoint":{"hostPrefix":"{AccountId}."},"httpChecksumRequired":true},"PutPublicAccessBlock":{"http":{"method":"PUT","requestUri":"/v20180820/configuration/publicAccessBlock"},"input":{"type":"structure","required":["PublicAccessBlockConfiguration","AccountId"],"members":{"PublicAccessBlockConfiguration":{"shape":"S7","locationName":"PublicAccessBlockConfiguration","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"}},"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"}},"payload":"PublicAccessBlockConfiguration"},"endpoint":{"hostPrefix":"{AccountId}."}},"PutStorageLensConfiguration":{"http":{"method":"PUT","requestUri":"/v20180820/storagelens/{storagelensid}"},"input":{"locationName":"PutStorageLensConfigurationRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["ConfigId","AccountId","StorageLensConfiguration"],"members":{"ConfigId":{"location":"uri","locationName":"storagelensid"},"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"StorageLensConfiguration":{"shape":"S6f"},"Tags":{"shape":"S79"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"PutStorageLensConfigurationTagging":{"http":{"method":"PUT","requestUri":"/v20180820/storagelens/{storagelensid}/tagging"},"input":{"locationName":"PutStorageLensConfigurationTaggingRequest","xmlNamespace":{"uri":"http://awss3control.amazonaws.com/doc/2018-08-20/"},"type":"structure","required":["ConfigId","AccountId","Tags"],"members":{"ConfigId":{"location":"uri","locationName":"storagelensid"},"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"Tags":{"shape":"S79"}}},"output":{"type":"structure","members":{}},"endpoint":{"hostPrefix":"{AccountId}."}},"UpdateJobPriority":{"http":{"requestUri":"/v20180820/jobs/{id}/priority"},"input":{"type":"structure","required":["AccountId","JobId","Priority"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"JobId":{"location":"uri","locationName":"id"},"Priority":{"location":"querystring","locationName":"priority","type":"integer"}}},"output":{"type":"structure","required":["JobId","Priority"],"members":{"JobId":{},"Priority":{"type":"integer"}}},"endpoint":{"hostPrefix":"{AccountId}."}},"UpdateJobStatus":{"http":{"requestUri":"/v20180820/jobs/{id}/status"},"input":{"type":"structure","required":["AccountId","JobId","RequestedJobStatus"],"members":{"AccountId":{"hostLabel":true,"location":"header","locationName":"x-amz-account-id"},"JobId":{"location":"uri","locationName":"id"},"RequestedJobStatus":{"location":"querystring","locationName":"requestedJobStatus"},"StatusUpdateReason":{"location":"querystring","locationName":"statusUpdateReason"}}},"output":{"type":"structure","members":{"JobId":{},"Status":{},"StatusUpdateReason":{}}},"endpoint":{"hostPrefix":"{AccountId}."}}},"shapes":{"S5":{"type":"structure","required":["VpcId"],"members":{"VpcId":{}}},"S7":{"type":"structure","members":{"BlockPublicAcls":{"locationName":"BlockPublicAcls","type":"boolean"},"IgnorePublicAcls":{"locationName":"IgnorePublicAcls","type":"boolean"},"BlockPublicPolicy":{"locationName":"BlockPublicPolicy","type":"boolean"},"RestrictPublicBuckets":{"locationName":"RestrictPublicBuckets","type":"boolean"}}},"Se":{"type":"structure","required":["SupportingAccessPoint","TransformationConfigurations"],"members":{"SupportingAccessPoint":{},"CloudWatchMetricsEnabled":{"type":"boolean"},"AllowedFeatures":{"type":"list","member":{"locationName":"AllowedFeature"}},"TransformationConfigurations":{"type":"list","member":{"locationName":"TransformationConfiguration","type":"structure","required":["Actions","ContentTransformation"],"members":{"Actions":{"type":"list","member":{"locationName":"Action"}},"ContentTransformation":{"type":"structure","members":{"AwsLambda":{"type":"structure","required":["FunctionArn"],"members":{"FunctionArn":{},"FunctionPayload":{}}}},"union":true}}}}}},"S19":{"type":"structure","members":{"LambdaInvoke":{"type":"structure","members":{"FunctionArn":{}}},"S3PutObjectCopy":{"type":"structure","members":{"TargetResource":{},"CannedAccessControlList":{},"AccessControlGrants":{"shape":"S1e"},"MetadataDirective":{},"ModifiedSinceConstraint":{"type":"timestamp"},"NewObjectMetadata":{"type":"structure","members":{"CacheControl":{},"ContentDisposition":{},"ContentEncoding":{},"ContentLanguage":{},"UserMetadata":{"type":"map","key":{},"value":{}},"ContentLength":{"type":"long"},"ContentMD5":{},"ContentType":{},"HttpExpiresDate":{"type":"timestamp"},"RequesterCharged":{"type":"boolean"},"SSEAlgorithm":{}}},"NewObjectTagging":{"shape":"S1r"},"RedirectLocation":{},"RequesterPays":{"type":"boolean"},"StorageClass":{},"UnModifiedSinceConstraint":{"type":"timestamp"},"SSEAwsKmsKeyId":{},"TargetKeyPrefix":{},"ObjectLockLegalHoldStatus":{},"ObjectLockMode":{},"ObjectLockRetainUntilDate":{"type":"timestamp"},"BucketKeyEnabled":{"type":"boolean"}}},"S3PutObjectAcl":{"type":"structure","members":{"AccessControlPolicy":{"type":"structure","members":{"AccessControlList":{"type":"structure","required":["Owner"],"members":{"Owner":{"type":"structure","members":{"ID":{},"DisplayName":{}}},"Grants":{"shape":"S1e"}}},"CannedAccessControlList":{}}}}},"S3PutObjectTagging":{"type":"structure","members":{"TagSet":{"shape":"S1r"}}},"S3DeleteObjectTagging":{"type":"structure","members":{}},"S3InitiateRestoreObject":{"type":"structure","members":{"ExpirationInDays":{"type":"integer"},"GlacierJobTier":{}}},"S3PutObjectLegalHold":{"type":"structure","required":["LegalHold"],"members":{"LegalHold":{"type":"structure","required":["Status"],"members":{"Status":{}}}}},"S3PutObjectRetention":{"type":"structure","required":["Retention"],"members":{"BypassGovernanceRetention":{"type":"boolean"},"Retention":{"type":"structure","members":{"RetainUntilDate":{"type":"timestamp"},"Mode":{}}}}}}},"S1e":{"type":"list","member":{"type":"structure","members":{"Grantee":{"type":"structure","members":{"TypeIdentifier":{},"Identifier":{},"DisplayName":{}}},"Permission":{}}}},"S1r":{"type":"list","member":{"shape":"S1s"}},"S1s":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}},"S2e":{"type":"structure","required":["Enabled"],"members":{"Bucket":{},"Format":{},"Enabled":{"type":"boolean"},"Prefix":{},"ReportScope":{}}},"S2i":{"type":"structure","required":["Spec","Location"],"members":{"Spec":{"type":"structure","required":["Format"],"members":{"Format":{},"Fields":{"type":"list","member":{}}}},"Location":{"type":"structure","required":["ObjectArn","ETag"],"members":{"ObjectArn":{},"ObjectVersionId":{},"ETag":{}}}}},"S2x":{"type":"structure","required":["Name","Regions"],"members":{"Name":{},"PublicAccessBlock":{"shape":"S7"},"Regions":{"type":"list","member":{"locationName":"Region","type":"structure","required":["Bucket"],"members":{"Bucket":{}}}}}},"S3e":{"type":"structure","required":["Name"],"members":{"Name":{}}},"S3q":{"type":"structure","members":{"TotalNumberOfTasks":{"type":"long"},"NumberOfTasksSucceeded":{"type":"long"},"NumberOfTasksFailed":{"type":"long"}}},"S49":{"type":"structure","required":["Name","Policy"],"members":{"Name":{},"Policy":{}}},"S4y":{"type":"structure","members":{"IsPublic":{"locationName":"IsPublic","type":"boolean"}}},"S57":{"type":"list","member":{"locationName":"Rule","type":"structure","required":["Status"],"members":{"Expiration":{"type":"structure","members":{"Date":{"type":"timestamp"},"Days":{"type":"integer"},"ExpiredObjectDeleteMarker":{"type":"boolean"}}},"ID":{},"Filter":{"type":"structure","members":{"Prefix":{},"Tag":{"shape":"S1s"},"And":{"type":"structure","members":{"Prefix":{},"Tags":{"shape":"S1r"}}}}},"Status":{},"Transitions":{"type":"list","member":{"locationName":"Transition","type":"structure","members":{"Date":{"type":"timestamp"},"Days":{"type":"integer"},"StorageClass":{}}}},"NoncurrentVersionTransitions":{"type":"list","member":{"locationName":"NoncurrentVersionTransition","type":"structure","members":{"NoncurrentDays":{"type":"integer"},"StorageClass":{}}}},"NoncurrentVersionExpiration":{"type":"structure","members":{"NoncurrentDays":{"type":"integer"}}},"AbortIncompleteMultipartUpload":{"type":"structure","members":{"DaysAfterInitiation":{"type":"integer"}}}}}},"S5y":{"type":"structure","members":{"Name":{},"Alias":{},"CreatedAt":{"type":"timestamp"},"PublicAccessBlock":{"shape":"S7"},"Status":{},"Regions":{"type":"list","member":{"locationName":"Region","type":"structure","members":{"Bucket":{},"Region":{}}}}}},"S6f":{"type":"structure","required":["Id","AccountLevel","IsEnabled"],"members":{"Id":{},"AccountLevel":{"type":"structure","required":["BucketLevel"],"members":{"ActivityMetrics":{"shape":"S6h"},"BucketLevel":{"type":"structure","members":{"ActivityMetrics":{"shape":"S6h"},"PrefixLevel":{"type":"structure","required":["StorageMetrics"],"members":{"StorageMetrics":{"type":"structure","members":{"IsEnabled":{"type":"boolean"},"SelectionCriteria":{"type":"structure","members":{"Delimiter":{},"MaxDepth":{"type":"integer"},"MinStorageBytesPercentage":{"type":"double"}}}}}}}}}}},"Include":{"type":"structure","members":{"Buckets":{"shape":"S6r"},"Regions":{"shape":"S6s"}}},"Exclude":{"type":"structure","members":{"Buckets":{"shape":"S6r"},"Regions":{"shape":"S6s"}}},"DataExport":{"type":"structure","members":{"S3BucketDestination":{"type":"structure","required":["Format","OutputSchemaVersion","AccountId","Arn"],"members":{"Format":{},"OutputSchemaVersion":{},"AccountId":{},"Arn":{},"Prefix":{},"Encryption":{"type":"structure","members":{"SSES3":{"locationName":"SSE-S3","type":"structure","members":{}},"SSEKMS":{"locationName":"SSE-KMS","type":"structure","required":["KeyId"],"members":{"KeyId":{}}}}}}},"CloudWatchMetrics":{"type":"structure","required":["IsEnabled"],"members":{"IsEnabled":{"type":"boolean"}}}}},"IsEnabled":{"type":"boolean"},"AwsOrg":{"type":"structure","required":["Arn"],"members":{"Arn":{}}},"StorageLensArn":{}}},"S6h":{"type":"structure","members":{"IsEnabled":{"type":"boolean"}}},"S6r":{"type":"list","member":{"locationName":"Arn"}},"S6s":{"type":"list","member":{"locationName":"Region"}},"S79":{"type":"list","member":{"locationName":"Tag","type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}}}}');

/***/ }),

/***/ 55527:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAccessPoints":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListAccessPointsForObjectLambda":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ObjectLambdaAccessPointList"},"ListJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMultiRegionAccessPoints":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListRegionalBuckets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListStorageLensConfigurations":{"input_token":"NextToken","output_token":"NextToken"}}}');

/***/ }),

/***/ 79971:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-07-25","endpointPrefix":"s3-outposts","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Amazon S3 Outposts","serviceFullName":"Amazon S3 on Outposts","serviceId":"S3Outposts","signatureVersion":"v4","signingName":"s3-outposts","uid":"s3outposts-2017-07-25"},"operations":{"CreateEndpoint":{"http":{"requestUri":"/S3Outposts/CreateEndpoint"},"input":{"type":"structure","required":["OutpostId","SubnetId","SecurityGroupId"],"members":{"OutpostId":{},"SubnetId":{},"SecurityGroupId":{},"AccessType":{},"CustomerOwnedIpv4Pool":{}}},"output":{"type":"structure","members":{"EndpointArn":{}}}},"DeleteEndpoint":{"http":{"method":"DELETE","requestUri":"/S3Outposts/DeleteEndpoint"},"input":{"type":"structure","required":["EndpointId","OutpostId"],"members":{"EndpointId":{"location":"querystring","locationName":"endpointId"},"OutpostId":{"location":"querystring","locationName":"outpostId"}}}},"ListEndpoints":{"http":{"method":"GET","requestUri":"/S3Outposts/ListEndpoints"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"nextToken"},"MaxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"Endpoints":{"type":"list","member":{"type":"structure","members":{"EndpointArn":{},"OutpostsId":{},"CidrBlock":{},"Status":{},"CreationTime":{"type":"timestamp"},"NetworkInterfaces":{"type":"list","member":{"type":"structure","members":{"NetworkInterfaceId":{}}}},"VpcId":{},"SubnetId":{},"SecurityGroupId":{},"AccessType":{},"CustomerOwnedIpv4Pool":{}}}},"NextToken":{}}}}},"shapes":{}}');

/***/ }),

/***/ 32505:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListEndpoints":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Endpoints"}}}');

/***/ }),

/***/ 71132:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-07-24","endpointPrefix":"api.sagemaker","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"SageMaker","serviceFullName":"Amazon SageMaker Service","serviceId":"SageMaker","signatureVersion":"v4","signingName":"sagemaker","targetPrefix":"SageMaker","uid":"sagemaker-2017-07-24"},"operations":{"AddAssociation":{"input":{"type":"structure","required":["SourceArn","DestinationArn"],"members":{"SourceArn":{},"DestinationArn":{},"AssociationType":{}}},"output":{"type":"structure","members":{"SourceArn":{},"DestinationArn":{}}}},"AddTags":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S7"}}}},"AssociateTrialComponent":{"input":{"type":"structure","required":["TrialComponentName","TrialName"],"members":{"TrialComponentName":{},"TrialName":{}}},"output":{"type":"structure","members":{"TrialComponentArn":{},"TrialArn":{}}}},"BatchDescribeModelPackage":{"input":{"type":"structure","required":["ModelPackageArnList"],"members":{"ModelPackageArnList":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"ModelPackageSummaries":{"type":"map","key":{},"value":{"type":"structure","required":["ModelPackageGroupName","ModelPackageArn","CreationTime","InferenceSpecification","ModelPackageStatus"],"members":{"ModelPackageGroupName":{},"ModelPackageVersion":{"type":"integer"},"ModelPackageArn":{},"ModelPackageDescription":{},"CreationTime":{"type":"timestamp"},"InferenceSpecification":{"shape":"Sr"},"ModelPackageStatus":{},"ModelApprovalStatus":{}}}},"BatchDescribeModelPackageErrorMap":{"type":"map","key":{},"value":{"type":"structure","required":["ErrorCode","ErrorResponse"],"members":{"ErrorCode":{},"ErrorResponse":{}}}}}}},"CreateAction":{"input":{"type":"structure","required":["ActionName","Source","ActionType"],"members":{"ActionName":{},"Source":{"shape":"S1j"},"ActionType":{},"Description":{},"Status":{},"Properties":{"shape":"S1o"},"MetadataProperties":{"shape":"S1q"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"ActionArn":{}}}},"CreateAlgorithm":{"input":{"type":"structure","required":["AlgorithmName","TrainingSpecification"],"members":{"AlgorithmName":{},"AlgorithmDescription":{},"TrainingSpecification":{"shape":"S1v"},"InferenceSpecification":{"shape":"Sr"},"ValidationSpecification":{"shape":"S2o"},"CertifyForMarketplace":{"type":"boolean"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["AlgorithmArn"],"members":{"AlgorithmArn":{}}}},"CreateApp":{"input":{"type":"structure","required":["DomainId","UserProfileName","AppType","AppName"],"members":{"DomainId":{},"UserProfileName":{},"AppType":{},"AppName":{},"Tags":{"shape":"S7"},"ResourceSpec":{"shape":"S48"}}},"output":{"type":"structure","members":{"AppArn":{}}}},"CreateAppImageConfig":{"input":{"type":"structure","required":["AppImageConfigName"],"members":{"AppImageConfigName":{},"Tags":{"shape":"S7"},"KernelGatewayImageConfig":{"shape":"S4h"}}},"output":{"type":"structure","members":{"AppImageConfigArn":{}}}},"CreateArtifact":{"input":{"type":"structure","required":["Source","ArtifactType"],"members":{"ArtifactName":{},"Source":{"shape":"S4t"},"ArtifactType":{},"Properties":{"shape":"S1o"},"MetadataProperties":{"shape":"S1q"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"ArtifactArn":{}}}},"CreateAutoMLJob":{"input":{"type":"structure","required":["AutoMLJobName","InputDataConfig","OutputDataConfig","RoleArn"],"members":{"AutoMLJobName":{},"InputDataConfig":{"shape":"S51"},"OutputDataConfig":{"shape":"S57"},"ProblemType":{},"AutoMLJobObjective":{"shape":"S59"},"AutoMLJobConfig":{"shape":"S5b"},"RoleArn":{},"GenerateCandidateDefinitionsOnly":{"type":"boolean"},"Tags":{"shape":"S7"},"ModelDeployConfig":{"shape":"S5n"}}},"output":{"type":"structure","required":["AutoMLJobArn"],"members":{"AutoMLJobArn":{}}}},"CreateCodeRepository":{"input":{"type":"structure","required":["CodeRepositoryName","GitConfig"],"members":{"CodeRepositoryName":{},"GitConfig":{"shape":"S5t"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["CodeRepositoryArn"],"members":{"CodeRepositoryArn":{}}}},"CreateCompilationJob":{"input":{"type":"structure","required":["CompilationJobName","RoleArn","OutputConfig","StoppingCondition"],"members":{"CompilationJobName":{},"RoleArn":{},"ModelPackageVersionArn":{},"InputConfig":{"shape":"S60"},"OutputConfig":{"shape":"S62"},"VpcConfig":{"shape":"S69"},"StoppingCondition":{"shape":"S3h"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["CompilationJobArn"],"members":{"CompilationJobArn":{}}}},"CreateContext":{"input":{"type":"structure","required":["ContextName","Source","ContextType"],"members":{"ContextName":{},"Source":{"shape":"S6h"},"ContextType":{},"Description":{},"Properties":{"shape":"S1o"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"ContextArn":{}}}},"CreateDataQualityJobDefinition":{"input":{"type":"structure","required":["JobDefinitionName","DataQualityAppSpecification","DataQualityJobInput","DataQualityJobOutputConfig","JobResources","RoleArn"],"members":{"JobDefinitionName":{},"DataQualityBaselineConfig":{"shape":"S6m"},"DataQualityAppSpecification":{"shape":"S6q"},"DataQualityJobInput":{"shape":"S6z"},"DataQualityJobOutputConfig":{"shape":"S76"},"JobResources":{"shape":"S7c"},"NetworkConfig":{"shape":"S7h"},"RoleArn":{},"StoppingCondition":{"shape":"S7i"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["JobDefinitionArn"],"members":{"JobDefinitionArn":{}}}},"CreateDeviceFleet":{"input":{"type":"structure","required":["DeviceFleetName","OutputConfig"],"members":{"DeviceFleetName":{},"RoleArn":{},"Description":{},"OutputConfig":{"shape":"S7o"},"Tags":{"shape":"S7"},"EnableIotRoleAlias":{"type":"boolean"}}}},"CreateDomain":{"input":{"type":"structure","required":["DomainName","AuthMode","DefaultUserSettings","SubnetIds","VpcId"],"members":{"DomainName":{},"AuthMode":{},"DefaultUserSettings":{"shape":"S7u"},"SubnetIds":{"shape":"S5k"},"VpcId":{},"Tags":{"shape":"S7"},"AppNetworkAccessType":{},"HomeEfsFileSystemKmsKeyId":{"deprecated":true,"deprecatedMessage":"This property is deprecated, use KmsKeyId instead."},"KmsKeyId":{},"AppSecurityGroupManagement":{},"DomainSettings":{"shape":"S8d"}}},"output":{"type":"structure","members":{"DomainArn":{},"Url":{}}}},"CreateEdgePackagingJob":{"input":{"type":"structure","required":["EdgePackagingJobName","CompilationJobName","ModelName","ModelVersion","RoleArn","OutputConfig"],"members":{"EdgePackagingJobName":{},"CompilationJobName":{},"ModelName":{},"ModelVersion":{},"RoleArn":{},"OutputConfig":{"shape":"S7o"},"ResourceKey":{},"Tags":{"shape":"S7"}}}},"CreateEndpoint":{"input":{"type":"structure","required":["EndpointName","EndpointConfigName"],"members":{"EndpointName":{},"EndpointConfigName":{},"DeploymentConfig":{"shape":"S8n"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["EndpointArn"],"members":{"EndpointArn":{}}}},"CreateEndpointConfig":{"input":{"type":"structure","required":["EndpointConfigName","ProductionVariants"],"members":{"EndpointConfigName":{},"ProductionVariants":{"shape":"S94"},"DataCaptureConfig":{"shape":"S9g"},"Tags":{"shape":"S7"},"KmsKeyId":{},"AsyncInferenceConfig":{"shape":"S9r"}}},"output":{"type":"structure","required":["EndpointConfigArn"],"members":{"EndpointConfigArn":{}}}},"CreateExperiment":{"input":{"type":"structure","required":["ExperimentName"],"members":{"ExperimentName":{},"DisplayName":{},"Description":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"ExperimentArn":{}}}},"CreateFeatureGroup":{"input":{"type":"structure","required":["FeatureGroupName","RecordIdentifierFeatureName","EventTimeFeatureName","FeatureDefinitions"],"members":{"FeatureGroupName":{},"RecordIdentifierFeatureName":{},"EventTimeFeatureName":{},"FeatureDefinitions":{"shape":"Sa5"},"OnlineStoreConfig":{"shape":"Sa8"},"OfflineStoreConfig":{"shape":"Saa"},"RoleArn":{},"Description":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["FeatureGroupArn"],"members":{"FeatureGroupArn":{}}}},"CreateFlowDefinition":{"input":{"type":"structure","required":["FlowDefinitionName","HumanLoopConfig","OutputConfig","RoleArn"],"members":{"FlowDefinitionName":{},"HumanLoopRequestSource":{"shape":"Sal"},"HumanLoopActivationConfig":{"shape":"San"},"HumanLoopConfig":{"shape":"Saq"},"OutputConfig":{"shape":"Sb5"},"RoleArn":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["FlowDefinitionArn"],"members":{"FlowDefinitionArn":{}}}},"CreateHumanTaskUi":{"input":{"type":"structure","required":["HumanTaskUiName","UiTemplate"],"members":{"HumanTaskUiName":{},"UiTemplate":{"shape":"Sba"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["HumanTaskUiArn"],"members":{"HumanTaskUiArn":{}}}},"CreateHyperParameterTuningJob":{"input":{"type":"structure","required":["HyperParameterTuningJobName","HyperParameterTuningJobConfig"],"members":{"HyperParameterTuningJobName":{},"HyperParameterTuningJobConfig":{"shape":"Sbf"},"TrainingJobDefinition":{"shape":"Sbw"},"TrainingJobDefinitions":{"shape":"Sc4"},"WarmStartConfig":{"shape":"Sc5"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["HyperParameterTuningJobArn"],"members":{"HyperParameterTuningJobArn":{}}}},"CreateImage":{"input":{"type":"structure","required":["ImageName","RoleArn"],"members":{"Description":{},"DisplayName":{},"ImageName":{},"RoleArn":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"ImageArn":{}}}},"CreateImageVersion":{"input":{"type":"structure","required":["BaseImage","ClientToken","ImageName"],"members":{"BaseImage":{},"ClientToken":{"idempotencyToken":true},"ImageName":{}}},"output":{"type":"structure","members":{"ImageVersionArn":{}}}},"CreateInferenceRecommendationsJob":{"input":{"type":"structure","required":["JobName","JobType","RoleArn","InputConfig"],"members":{"JobName":{},"JobType":{},"RoleArn":{},"InputConfig":{"shape":"Scm"},"JobDescription":{},"StoppingConditions":{"shape":"Sd8"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["JobArn"],"members":{"JobArn":{}}}},"CreateLabelingJob":{"input":{"type":"structure","required":["LabelingJobName","LabelAttributeName","InputConfig","OutputConfig","RoleArn","HumanTaskConfig"],"members":{"LabelingJobName":{},"LabelAttributeName":{},"InputConfig":{"shape":"Sdh"},"OutputConfig":{"shape":"Sdo"},"RoleArn":{},"LabelCategoryConfigS3Uri":{},"StoppingConditions":{"shape":"Sdp"},"LabelingJobAlgorithmsConfig":{"shape":"Sds"},"HumanTaskConfig":{"shape":"Sdw"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["LabelingJobArn"],"members":{"LabelingJobArn":{}}}},"CreateModel":{"input":{"type":"structure","required":["ModelName","ExecutionRoleArn"],"members":{"ModelName":{},"PrimaryContainer":{"shape":"Seb"},"Containers":{"shape":"Sek"},"InferenceExecutionConfig":{"shape":"Sel"},"ExecutionRoleArn":{},"Tags":{"shape":"S7"},"VpcConfig":{"shape":"S5h"},"EnableNetworkIsolation":{"type":"boolean"}}},"output":{"type":"structure","required":["ModelArn"],"members":{"ModelArn":{}}}},"CreateModelBiasJobDefinition":{"input":{"type":"structure","required":["JobDefinitionName","ModelBiasAppSpecification","ModelBiasJobInput","ModelBiasJobOutputConfig","JobResources","RoleArn"],"members":{"JobDefinitionName":{},"ModelBiasBaselineConfig":{"shape":"Sep"},"ModelBiasAppSpecification":{"shape":"Seq"},"ModelBiasJobInput":{"shape":"Ser"},"ModelBiasJobOutputConfig":{"shape":"S76"},"JobResources":{"shape":"S7c"},"NetworkConfig":{"shape":"S7h"},"RoleArn":{},"StoppingCondition":{"shape":"S7i"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["JobDefinitionArn"],"members":{"JobDefinitionArn":{}}}},"CreateModelExplainabilityJobDefinition":{"input":{"type":"structure","required":["JobDefinitionName","ModelExplainabilityAppSpecification","ModelExplainabilityJobInput","ModelExplainabilityJobOutputConfig","JobResources","RoleArn"],"members":{"JobDefinitionName":{},"ModelExplainabilityBaselineConfig":{"shape":"Sev"},"ModelExplainabilityAppSpecification":{"shape":"Sew"},"ModelExplainabilityJobInput":{"shape":"Sex"},"ModelExplainabilityJobOutputConfig":{"shape":"S76"},"JobResources":{"shape":"S7c"},"NetworkConfig":{"shape":"S7h"},"RoleArn":{},"StoppingCondition":{"shape":"S7i"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["JobDefinitionArn"],"members":{"JobDefinitionArn":{}}}},"CreateModelPackage":{"input":{"type":"structure","members":{"ModelPackageName":{},"ModelPackageGroupName":{},"ModelPackageDescription":{},"InferenceSpecification":{"shape":"Sr"},"ValidationSpecification":{"shape":"Sf0"},"SourceAlgorithmSpecification":{"shape":"Sf3"},"CertifyForMarketplace":{"type":"boolean"},"Tags":{"shape":"S7"},"ModelApprovalStatus":{},"MetadataProperties":{"shape":"S1q"},"ModelMetrics":{"shape":"Sf6"},"ClientToken":{"idempotencyToken":true},"CustomerMetadataProperties":{"shape":"Sfd"},"DriftCheckBaselines":{"shape":"Sfg"},"Domain":{},"Task":{},"SamplePayloadUrl":{},"AdditionalInferenceSpecifications":{"shape":"Sfm"}}},"output":{"type":"structure","required":["ModelPackageArn"],"members":{"ModelPackageArn":{}}}},"CreateModelPackageGroup":{"input":{"type":"structure","required":["ModelPackageGroupName"],"members":{"ModelPackageGroupName":{},"ModelPackageGroupDescription":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["ModelPackageGroupArn"],"members":{"ModelPackageGroupArn":{}}}},"CreateModelQualityJobDefinition":{"input":{"type":"structure","required":["JobDefinitionName","ModelQualityAppSpecification","ModelQualityJobInput","ModelQualityJobOutputConfig","JobResources","RoleArn"],"members":{"JobDefinitionName":{},"ModelQualityBaselineConfig":{"shape":"Sft"},"ModelQualityAppSpecification":{"shape":"Sfu"},"ModelQualityJobInput":{"shape":"Sfw"},"ModelQualityJobOutputConfig":{"shape":"S76"},"JobResources":{"shape":"S7c"},"NetworkConfig":{"shape":"S7h"},"RoleArn":{},"StoppingCondition":{"shape":"S7i"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["JobDefinitionArn"],"members":{"JobDefinitionArn":{}}}},"CreateMonitoringSchedule":{"input":{"type":"structure","required":["MonitoringScheduleName","MonitoringScheduleConfig"],"members":{"MonitoringScheduleName":{},"MonitoringScheduleConfig":{"shape":"Sg0"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["MonitoringScheduleArn"],"members":{"MonitoringScheduleArn":{}}}},"CreateNotebookInstance":{"input":{"type":"structure","required":["NotebookInstanceName","InstanceType","RoleArn"],"members":{"NotebookInstanceName":{},"InstanceType":{},"SubnetId":{},"SecurityGroupIds":{"shape":"S7v"},"RoleArn":{},"KmsKeyId":{},"Tags":{"shape":"S7"},"LifecycleConfigName":{},"DirectInternetAccess":{},"VolumeSizeInGB":{"type":"integer"},"AcceleratorTypes":{"shape":"Sgi"},"DefaultCodeRepository":{},"AdditionalCodeRepositories":{"shape":"Sgl"},"RootAccess":{},"PlatformIdentifier":{}}},"output":{"type":"structure","members":{"NotebookInstanceArn":{}}}},"CreateNotebookInstanceLifecycleConfig":{"input":{"type":"structure","required":["NotebookInstanceLifecycleConfigName"],"members":{"NotebookInstanceLifecycleConfigName":{},"OnCreate":{"shape":"Sgr"},"OnStart":{"shape":"Sgr"}}},"output":{"type":"structure","members":{"NotebookInstanceLifecycleConfigArn":{}}}},"CreatePipeline":{"input":{"type":"structure","required":["PipelineName","PipelineDefinition","ClientRequestToken","RoleArn"],"members":{"PipelineName":{},"PipelineDisplayName":{},"PipelineDefinition":{},"PipelineDescription":{},"ClientRequestToken":{"idempotencyToken":true},"RoleArn":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"PipelineArn":{}}}},"CreatePresignedDomainUrl":{"input":{"type":"structure","required":["DomainId","UserProfileName"],"members":{"DomainId":{},"UserProfileName":{},"SessionExpirationDurationInSeconds":{"type":"integer"},"ExpiresInSeconds":{"type":"integer"}}},"output":{"type":"structure","members":{"AuthorizedUrl":{}}}},"CreatePresignedNotebookInstanceUrl":{"input":{"type":"structure","required":["NotebookInstanceName"],"members":{"NotebookInstanceName":{},"SessionExpirationDurationInSeconds":{"type":"integer"}}},"output":{"type":"structure","members":{"AuthorizedUrl":{}}}},"CreateProcessingJob":{"input":{"type":"structure","required":["ProcessingJobName","ProcessingResources","AppSpecification","RoleArn"],"members":{"ProcessingInputs":{"shape":"Shc"},"ProcessingOutputConfig":{"shape":"Shz"},"ProcessingJobName":{},"ProcessingResources":{"shape":"Si4"},"StoppingCondition":{"shape":"Si6"},"AppSpecification":{"shape":"Si8"},"Environment":{"shape":"Sia"},"NetworkConfig":{"shape":"Sg8"},"RoleArn":{},"Tags":{"shape":"S7"},"ExperimentConfig":{"shape":"Sib"}}},"output":{"type":"structure","required":["ProcessingJobArn"],"members":{"ProcessingJobArn":{}}}},"CreateProject":{"input":{"type":"structure","required":["ProjectName","ServiceCatalogProvisioningDetails"],"members":{"ProjectName":{},"ProjectDescription":{},"ServiceCatalogProvisioningDetails":{"shape":"Sig"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["ProjectArn","ProjectId"],"members":{"ProjectArn":{},"ProjectId":{}}}},"CreateStudioLifecycleConfig":{"input":{"type":"structure","required":["StudioLifecycleConfigName","StudioLifecycleConfigContent","StudioLifecycleConfigAppType"],"members":{"StudioLifecycleConfigName":{},"StudioLifecycleConfigContent":{},"StudioLifecycleConfigAppType":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"StudioLifecycleConfigArn":{}}}},"CreateTrainingJob":{"input":{"type":"structure","required":["TrainingJobName","AlgorithmSpecification","RoleArn","OutputDataConfig","ResourceConfig","StoppingCondition"],"members":{"TrainingJobName":{},"HyperParameters":{"shape":"S2t"},"AlgorithmSpecification":{"shape":"Siw"},"RoleArn":{},"InputDataConfig":{"shape":"S2v"},"OutputDataConfig":{"shape":"S3c"},"ResourceConfig":{"shape":"S3e"},"VpcConfig":{"shape":"S5h"},"StoppingCondition":{"shape":"S3h"},"Tags":{"shape":"S7"},"EnableNetworkIsolation":{"type":"boolean"},"EnableInterContainerTrafficEncryption":{"type":"boolean"},"EnableManagedSpotTraining":{"type":"boolean"},"CheckpointConfig":{"shape":"Sc1"},"DebugHookConfig":{"shape":"Six"},"DebugRuleConfigurations":{"shape":"Sj5"},"TensorBoardOutputConfig":{"shape":"Sja"},"ExperimentConfig":{"shape":"Sib"},"ProfilerConfig":{"shape":"Sjb"},"ProfilerRuleConfigurations":{"shape":"Sje"},"Environment":{"shape":"Sjg"},"RetryStrategy":{"shape":"Sc2"}}},"output":{"type":"structure","required":["TrainingJobArn"],"members":{"TrainingJobArn":{}}}},"CreateTransformJob":{"input":{"type":"structure","required":["TransformJobName","ModelName","TransformInput","TransformOutput","TransformResources"],"members":{"TransformJobName":{},"ModelName":{},"MaxConcurrentTransforms":{"type":"integer"},"ModelClientConfig":{"shape":"Sjn"},"MaxPayloadInMB":{"type":"integer"},"BatchStrategy":{},"Environment":{"shape":"S3o"},"TransformInput":{"shape":"S3r"},"TransformOutput":{"shape":"S3v"},"TransformResources":{"shape":"S3y"},"DataProcessing":{"shape":"Sjq"},"Tags":{"shape":"S7"},"ExperimentConfig":{"shape":"Sib"}}},"output":{"type":"structure","required":["TransformJobArn"],"members":{"TransformJobArn":{}}}},"CreateTrial":{"input":{"type":"structure","required":["TrialName","ExperimentName"],"members":{"TrialName":{},"DisplayName":{},"ExperimentName":{},"MetadataProperties":{"shape":"S1q"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"TrialArn":{}}}},"CreateTrialComponent":{"input":{"type":"structure","required":["TrialComponentName"],"members":{"TrialComponentName":{},"DisplayName":{},"Status":{"shape":"Sjy"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Parameters":{"shape":"Sk2"},"InputArtifacts":{"shape":"Sk6"},"OutputArtifacts":{"shape":"Sk6"},"MetadataProperties":{"shape":"S1q"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"TrialComponentArn":{}}}},"CreateUserProfile":{"input":{"type":"structure","required":["DomainId","UserProfileName"],"members":{"DomainId":{},"UserProfileName":{},"SingleSignOnUserIdentifier":{},"SingleSignOnUserValue":{},"Tags":{"shape":"S7"},"UserSettings":{"shape":"S7u"}}},"output":{"type":"structure","members":{"UserProfileArn":{}}}},"CreateWorkforce":{"input":{"type":"structure","required":["WorkforceName"],"members":{"CognitoConfig":{"shape":"Skh"},"OidcConfig":{"shape":"Skk"},"SourceIpConfig":{"shape":"Skn"},"WorkforceName":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["WorkforceArn"],"members":{"WorkforceArn":{}}}},"CreateWorkteam":{"input":{"type":"structure","required":["WorkteamName","MemberDefinitions","Description"],"members":{"WorkteamName":{},"WorkforceName":{},"MemberDefinitions":{"shape":"Skv"},"Description":{},"NotificationConfiguration":{"shape":"Sl3"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"WorkteamArn":{}}}},"DeleteAction":{"input":{"type":"structure","required":["ActionName"],"members":{"ActionName":{}}},"output":{"type":"structure","members":{"ActionArn":{}}}},"DeleteAlgorithm":{"input":{"type":"structure","required":["AlgorithmName"],"members":{"AlgorithmName":{}}}},"DeleteApp":{"input":{"type":"structure","required":["DomainId","UserProfileName","AppType","AppName"],"members":{"DomainId":{},"UserProfileName":{},"AppType":{},"AppName":{}}}},"DeleteAppImageConfig":{"input":{"type":"structure","required":["AppImageConfigName"],"members":{"AppImageConfigName":{}}}},"DeleteArtifact":{"input":{"type":"structure","members":{"ArtifactArn":{},"Source":{"shape":"S4t"}}},"output":{"type":"structure","members":{"ArtifactArn":{}}}},"DeleteAssociation":{"input":{"type":"structure","required":["SourceArn","DestinationArn"],"members":{"SourceArn":{},"DestinationArn":{}}},"output":{"type":"structure","members":{"SourceArn":{},"DestinationArn":{}}}},"DeleteCodeRepository":{"input":{"type":"structure","required":["CodeRepositoryName"],"members":{"CodeRepositoryName":{}}}},"DeleteContext":{"input":{"type":"structure","required":["ContextName"],"members":{"ContextName":{}}},"output":{"type":"structure","members":{"ContextArn":{}}}},"DeleteDataQualityJobDefinition":{"input":{"type":"structure","required":["JobDefinitionName"],"members":{"JobDefinitionName":{}}}},"DeleteDeviceFleet":{"input":{"type":"structure","required":["DeviceFleetName"],"members":{"DeviceFleetName":{}}}},"DeleteDomain":{"input":{"type":"structure","required":["DomainId"],"members":{"DomainId":{},"RetentionPolicy":{"type":"structure","members":{"HomeEfsFileSystem":{}}}}}},"DeleteEndpoint":{"input":{"type":"structure","required":["EndpointName"],"members":{"EndpointName":{}}}},"DeleteEndpointConfig":{"input":{"type":"structure","required":["EndpointConfigName"],"members":{"EndpointConfigName":{}}}},"DeleteExperiment":{"input":{"type":"structure","required":["ExperimentName"],"members":{"ExperimentName":{}}},"output":{"type":"structure","members":{"ExperimentArn":{}}}},"DeleteFeatureGroup":{"input":{"type":"structure","required":["FeatureGroupName"],"members":{"FeatureGroupName":{}}}},"DeleteFlowDefinition":{"input":{"type":"structure","required":["FlowDefinitionName"],"members":{"FlowDefinitionName":{}}},"output":{"type":"structure","members":{}}},"DeleteHumanTaskUi":{"input":{"type":"structure","required":["HumanTaskUiName"],"members":{"HumanTaskUiName":{}}},"output":{"type":"structure","members":{}}},"DeleteImage":{"input":{"type":"structure","required":["ImageName"],"members":{"ImageName":{}}},"output":{"type":"structure","members":{}}},"DeleteImageVersion":{"input":{"type":"structure","required":["ImageName","Version"],"members":{"ImageName":{},"Version":{"type":"integer"}}},"output":{"type":"structure","members":{}}},"DeleteModel":{"input":{"type":"structure","required":["ModelName"],"members":{"ModelName":{}}}},"DeleteModelBiasJobDefinition":{"input":{"type":"structure","required":["JobDefinitionName"],"members":{"JobDefinitionName":{}}}},"DeleteModelExplainabilityJobDefinition":{"input":{"type":"structure","required":["JobDefinitionName"],"members":{"JobDefinitionName":{}}}},"DeleteModelPackage":{"input":{"type":"structure","required":["ModelPackageName"],"members":{"ModelPackageName":{}}}},"DeleteModelPackageGroup":{"input":{"type":"structure","required":["ModelPackageGroupName"],"members":{"ModelPackageGroupName":{}}}},"DeleteModelPackageGroupPolicy":{"input":{"type":"structure","required":["ModelPackageGroupName"],"members":{"ModelPackageGroupName":{}}}},"DeleteModelQualityJobDefinition":{"input":{"type":"structure","required":["JobDefinitionName"],"members":{"JobDefinitionName":{}}}},"DeleteMonitoringSchedule":{"input":{"type":"structure","required":["MonitoringScheduleName"],"members":{"MonitoringScheduleName":{}}}},"DeleteNotebookInstance":{"input":{"type":"structure","required":["NotebookInstanceName"],"members":{"NotebookInstanceName":{}}}},"DeleteNotebookInstanceLifecycleConfig":{"input":{"type":"structure","required":["NotebookInstanceLifecycleConfigName"],"members":{"NotebookInstanceLifecycleConfigName":{}}}},"DeletePipeline":{"input":{"type":"structure","required":["PipelineName","ClientRequestToken"],"members":{"PipelineName":{},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"PipelineArn":{}}}},"DeleteProject":{"input":{"type":"structure","required":["ProjectName"],"members":{"ProjectName":{}}}},"DeleteStudioLifecycleConfig":{"input":{"type":"structure","required":["StudioLifecycleConfigName"],"members":{"StudioLifecycleConfigName":{}}}},"DeleteTags":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"DeleteTrial":{"input":{"type":"structure","required":["TrialName"],"members":{"TrialName":{}}},"output":{"type":"structure","members":{"TrialArn":{}}}},"DeleteTrialComponent":{"input":{"type":"structure","required":["TrialComponentName"],"members":{"TrialComponentName":{}}},"output":{"type":"structure","members":{"TrialComponentArn":{}}}},"DeleteUserProfile":{"input":{"type":"structure","required":["DomainId","UserProfileName"],"members":{"DomainId":{},"UserProfileName":{}}}},"DeleteWorkforce":{"input":{"type":"structure","required":["WorkforceName"],"members":{"WorkforceName":{}}},"output":{"type":"structure","members":{}}},"DeleteWorkteam":{"input":{"type":"structure","required":["WorkteamName"],"members":{"WorkteamName":{}}},"output":{"type":"structure","required":["Success"],"members":{"Success":{"type":"boolean"}}}},"DeregisterDevices":{"input":{"type":"structure","required":["DeviceFleetName","DeviceNames"],"members":{"DeviceFleetName":{},"DeviceNames":{"type":"list","member":{}}}}},"DescribeAction":{"input":{"type":"structure","required":["ActionName"],"members":{"ActionName":{}}},"output":{"type":"structure","members":{"ActionName":{},"ActionArn":{},"Source":{"shape":"S1j"},"ActionType":{},"Description":{},"Status":{},"Properties":{"shape":"S1o"},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"},"MetadataProperties":{"shape":"S1q"},"LineageGroupArn":{}}}},"DescribeAlgorithm":{"input":{"type":"structure","required":["AlgorithmName"],"members":{"AlgorithmName":{}}},"output":{"type":"structure","required":["AlgorithmName","AlgorithmArn","CreationTime","TrainingSpecification","AlgorithmStatus","AlgorithmStatusDetails"],"members":{"AlgorithmName":{},"AlgorithmArn":{},"AlgorithmDescription":{},"CreationTime":{"type":"timestamp"},"TrainingSpecification":{"shape":"S1v"},"InferenceSpecification":{"shape":"Sr"},"ValidationSpecification":{"shape":"S2o"},"AlgorithmStatus":{},"AlgorithmStatusDetails":{"type":"structure","members":{"ValidationStatuses":{"shape":"Sn3"},"ImageScanStatuses":{"shape":"Sn3"}}},"ProductId":{},"CertifyForMarketplace":{"type":"boolean"}}}},"DescribeApp":{"input":{"type":"structure","required":["DomainId","UserProfileName","AppType","AppName"],"members":{"DomainId":{},"UserProfileName":{},"AppType":{},"AppName":{}}},"output":{"type":"structure","members":{"AppArn":{},"AppType":{},"AppName":{},"DomainId":{},"UserProfileName":{},"Status":{},"LastHealthCheckTimestamp":{"type":"timestamp"},"LastUserActivityTimestamp":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"FailureReason":{},"ResourceSpec":{"shape":"S48"}}}},"DescribeAppImageConfig":{"input":{"type":"structure","required":["AppImageConfigName"],"members":{"AppImageConfigName":{}}},"output":{"type":"structure","members":{"AppImageConfigArn":{},"AppImageConfigName":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"KernelGatewayImageConfig":{"shape":"S4h"}}}},"DescribeArtifact":{"input":{"type":"structure","required":["ArtifactArn"],"members":{"ArtifactArn":{}}},"output":{"type":"structure","members":{"ArtifactName":{},"ArtifactArn":{},"Source":{"shape":"S4t"},"ArtifactType":{},"Properties":{"shape":"S1o"},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"},"MetadataProperties":{"shape":"S1q"},"LineageGroupArn":{}}}},"DescribeAutoMLJob":{"input":{"type":"structure","required":["AutoMLJobName"],"members":{"AutoMLJobName":{}}},"output":{"type":"structure","required":["AutoMLJobName","AutoMLJobArn","InputDataConfig","OutputDataConfig","RoleArn","CreationTime","LastModifiedTime","AutoMLJobStatus","AutoMLJobSecondaryStatus"],"members":{"AutoMLJobName":{},"AutoMLJobArn":{},"InputDataConfig":{"shape":"S51"},"OutputDataConfig":{"shape":"S57"},"RoleArn":{},"AutoMLJobObjective":{"shape":"S59"},"ProblemType":{},"AutoMLJobConfig":{"shape":"S5b"},"CreationTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"FailureReason":{},"PartialFailureReasons":{"shape":"Snh"},"BestCandidate":{"shape":"Snj"},"AutoMLJobStatus":{},"AutoMLJobSecondaryStatus":{},"GenerateCandidateDefinitionsOnly":{"type":"boolean"},"AutoMLJobArtifacts":{"type":"structure","members":{"CandidateDefinitionNotebookLocation":{},"DataExplorationNotebookLocation":{}}},"ResolvedAttributes":{"type":"structure","members":{"AutoMLJobObjective":{"shape":"S59"},"ProblemType":{},"CompletionCriteria":{"shape":"S5c"}}},"ModelDeployConfig":{"shape":"S5n"},"ModelDeployResult":{"type":"structure","members":{"EndpointName":{}}}}}},"DescribeCodeRepository":{"input":{"type":"structure","required":["CodeRepositoryName"],"members":{"CodeRepositoryName":{}}},"output":{"type":"structure","required":["CodeRepositoryName","CodeRepositoryArn","CreationTime","LastModifiedTime"],"members":{"CodeRepositoryName":{},"CodeRepositoryArn":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"GitConfig":{"shape":"S5t"}}}},"DescribeCompilationJob":{"input":{"type":"structure","required":["CompilationJobName"],"members":{"CompilationJobName":{}}},"output":{"type":"structure","required":["CompilationJobName","CompilationJobArn","CompilationJobStatus","StoppingCondition","CreationTime","LastModifiedTime","FailureReason","ModelArtifacts","RoleArn","InputConfig","OutputConfig"],"members":{"CompilationJobName":{},"CompilationJobArn":{},"CompilationJobStatus":{},"CompilationStartTime":{"type":"timestamp"},"CompilationEndTime":{"type":"timestamp"},"StoppingCondition":{"shape":"S3h"},"InferenceImage":{},"ModelPackageVersionArn":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"FailureReason":{},"ModelArtifacts":{"shape":"Soi"},"ModelDigests":{"type":"structure","members":{"ArtifactDigest":{}}},"RoleArn":{},"InputConfig":{"shape":"S60"},"OutputConfig":{"shape":"S62"},"VpcConfig":{"shape":"S69"}}}},"DescribeContext":{"input":{"type":"structure","required":["ContextName"],"members":{"ContextName":{}}},"output":{"type":"structure","members":{"ContextName":{},"ContextArn":{},"Source":{"shape":"S6h"},"ContextType":{},"Description":{},"Properties":{"shape":"S1o"},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"},"LineageGroupArn":{}}}},"DescribeDataQualityJobDefinition":{"input":{"type":"structure","required":["JobDefinitionName"],"members":{"JobDefinitionName":{}}},"output":{"type":"structure","required":["JobDefinitionArn","JobDefinitionName","CreationTime","DataQualityAppSpecification","DataQualityJobInput","DataQualityJobOutputConfig","JobResources","RoleArn"],"members":{"JobDefinitionArn":{},"JobDefinitionName":{},"CreationTime":{"type":"timestamp"},"DataQualityBaselineConfig":{"shape":"S6m"},"DataQualityAppSpecification":{"shape":"S6q"},"DataQualityJobInput":{"shape":"S6z"},"DataQualityJobOutputConfig":{"shape":"S76"},"JobResources":{"shape":"S7c"},"NetworkConfig":{"shape":"S7h"},"RoleArn":{},"StoppingCondition":{"shape":"S7i"}}}},"DescribeDevice":{"input":{"type":"structure","required":["DeviceName","DeviceFleetName"],"members":{"NextToken":{},"DeviceName":{},"DeviceFleetName":{}}},"output":{"type":"structure","required":["DeviceName","DeviceFleetName","RegistrationTime"],"members":{"DeviceArn":{},"DeviceName":{},"Description":{},"DeviceFleetName":{},"IotThingName":{},"RegistrationTime":{"type":"timestamp"},"LatestHeartbeat":{"type":"timestamp"},"Models":{"type":"list","member":{"type":"structure","required":["ModelName","ModelVersion"],"members":{"ModelName":{},"ModelVersion":{},"LatestSampleTime":{"type":"timestamp"},"LatestInference":{"type":"timestamp"}}}},"MaxModels":{"type":"integer"},"NextToken":{},"AgentVersion":{}}}},"DescribeDeviceFleet":{"input":{"type":"structure","required":["DeviceFleetName"],"members":{"DeviceFleetName":{}}},"output":{"type":"structure","required":["DeviceFleetName","DeviceFleetArn","OutputConfig","CreationTime","LastModifiedTime"],"members":{"DeviceFleetName":{},"DeviceFleetArn":{},"OutputConfig":{"shape":"S7o"},"Description":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"RoleArn":{},"IotRoleAlias":{}}}},"DescribeDomain":{"input":{"type":"structure","required":["DomainId"],"members":{"DomainId":{}}},"output":{"type":"structure","members":{"DomainArn":{},"DomainId":{},"DomainName":{},"HomeEfsFileSystemId":{},"SingleSignOnManagedApplicationInstanceId":{},"Status":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"FailureReason":{},"AuthMode":{},"DefaultUserSettings":{"shape":"S7u"},"AppNetworkAccessType":{},"HomeEfsFileSystemKmsKeyId":{"deprecated":true,"deprecatedMessage":"This property is deprecated, use KmsKeyId instead."},"SubnetIds":{"shape":"S5k"},"Url":{},"VpcId":{},"KmsKeyId":{},"DomainSettings":{"shape":"S8d"},"AppSecurityGroupManagement":{},"SecurityGroupIdForDomainBoundary":{}}}},"DescribeEdgePackagingJob":{"input":{"type":"structure","required":["EdgePackagingJobName"],"members":{"EdgePackagingJobName":{}}},"output":{"type":"structure","required":["EdgePackagingJobArn","EdgePackagingJobName","EdgePackagingJobStatus"],"members":{"EdgePackagingJobArn":{},"EdgePackagingJobName":{},"CompilationJobName":{},"ModelName":{},"ModelVersion":{},"RoleArn":{},"OutputConfig":{"shape":"S7o"},"ResourceKey":{},"EdgePackagingJobStatus":{},"EdgePackagingJobStatusMessage":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"ModelArtifact":{},"ModelSignature":{},"PresetDeploymentOutput":{"type":"structure","required":["Type"],"members":{"Type":{},"Artifact":{},"Status":{},"StatusMessage":{}}}}}},"DescribeEndpoint":{"input":{"type":"structure","required":["EndpointName"],"members":{"EndpointName":{}}},"output":{"type":"structure","required":["EndpointName","EndpointArn","EndpointConfigName","EndpointStatus","CreationTime","LastModifiedTime"],"members":{"EndpointName":{},"EndpointArn":{},"EndpointConfigName":{},"ProductionVariants":{"shape":"Spe"},"DataCaptureConfig":{"shape":"Spn"},"EndpointStatus":{},"FailureReason":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastDeploymentConfig":{"shape":"S8n"},"AsyncInferenceConfig":{"shape":"S9r"},"PendingDeploymentSummary":{"type":"structure","required":["EndpointConfigName"],"members":{"EndpointConfigName":{},"ProductionVariants":{"type":"list","member":{"type":"structure","required":["VariantName"],"members":{"VariantName":{},"DeployedImages":{"shape":"Spg"},"CurrentWeight":{"type":"float"},"DesiredWeight":{"type":"float"},"CurrentInstanceCount":{"type":"integer"},"DesiredInstanceCount":{"type":"integer"},"InstanceType":{},"AcceleratorType":{},"VariantStatus":{"shape":"Spj"},"CurrentServerlessConfig":{"shape":"S9d"},"DesiredServerlessConfig":{"shape":"S9d"}}}},"StartTime":{"type":"timestamp"}}}}}},"DescribeEndpointConfig":{"input":{"type":"structure","required":["EndpointConfigName"],"members":{"EndpointConfigName":{}}},"output":{"type":"structure","required":["EndpointConfigName","EndpointConfigArn","ProductionVariants","CreationTime"],"members":{"EndpointConfigName":{},"EndpointConfigArn":{},"ProductionVariants":{"shape":"S94"},"DataCaptureConfig":{"shape":"S9g"},"KmsKeyId":{},"CreationTime":{"type":"timestamp"},"AsyncInferenceConfig":{"shape":"S9r"}}}},"DescribeExperiment":{"input":{"type":"structure","required":["ExperimentName"],"members":{"ExperimentName":{}}},"output":{"type":"structure","members":{"ExperimentName":{},"ExperimentArn":{},"DisplayName":{},"Source":{"shape":"Spx"},"Description":{},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"}}}},"DescribeFeatureGroup":{"input":{"type":"structure","required":["FeatureGroupName"],"members":{"FeatureGroupName":{},"NextToken":{}}},"output":{"type":"structure","required":["FeatureGroupArn","FeatureGroupName","RecordIdentifierFeatureName","EventTimeFeatureName","FeatureDefinitions","CreationTime","NextToken"],"members":{"FeatureGroupArn":{},"FeatureGroupName":{},"RecordIdentifierFeatureName":{},"EventTimeFeatureName":{},"FeatureDefinitions":{"shape":"Sa5"},"CreationTime":{"type":"timestamp"},"OnlineStoreConfig":{"shape":"Sa8"},"OfflineStoreConfig":{"shape":"Saa"},"RoleArn":{},"FeatureGroupStatus":{},"OfflineStoreStatus":{"shape":"Sq3"},"FailureReason":{},"Description":{},"NextToken":{}}}},"DescribeFlowDefinition":{"input":{"type":"structure","required":["FlowDefinitionName"],"members":{"FlowDefinitionName":{}}},"output":{"type":"structure","required":["FlowDefinitionArn","FlowDefinitionName","FlowDefinitionStatus","CreationTime","HumanLoopConfig","OutputConfig","RoleArn"],"members":{"FlowDefinitionArn":{},"FlowDefinitionName":{},"FlowDefinitionStatus":{},"CreationTime":{"type":"timestamp"},"HumanLoopRequestSource":{"shape":"Sal"},"HumanLoopActivationConfig":{"shape":"San"},"HumanLoopConfig":{"shape":"Saq"},"OutputConfig":{"shape":"Sb5"},"RoleArn":{},"FailureReason":{}}}},"DescribeHumanTaskUi":{"input":{"type":"structure","required":["HumanTaskUiName"],"members":{"HumanTaskUiName":{}}},"output":{"type":"structure","required":["HumanTaskUiArn","HumanTaskUiName","CreationTime","UiTemplate"],"members":{"HumanTaskUiArn":{},"HumanTaskUiName":{},"HumanTaskUiStatus":{},"CreationTime":{"type":"timestamp"},"UiTemplate":{"type":"structure","members":{"Url":{},"ContentSha256":{}}}}}},"DescribeHyperParameterTuningJob":{"input":{"type":"structure","required":["HyperParameterTuningJobName"],"members":{"HyperParameterTuningJobName":{}}},"output":{"type":"structure","required":["HyperParameterTuningJobName","HyperParameterTuningJobArn","HyperParameterTuningJobConfig","HyperParameterTuningJobStatus","CreationTime","TrainingJobStatusCounters","ObjectiveStatusCounters"],"members":{"HyperParameterTuningJobName":{},"HyperParameterTuningJobArn":{},"HyperParameterTuningJobConfig":{"shape":"Sbf"},"TrainingJobDefinition":{"shape":"Sbw"},"TrainingJobDefinitions":{"shape":"Sc4"},"HyperParameterTuningJobStatus":{},"CreationTime":{"type":"timestamp"},"HyperParameterTuningEndTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"TrainingJobStatusCounters":{"shape":"Sqi"},"ObjectiveStatusCounters":{"shape":"Sqk"},"BestTrainingJob":{"shape":"Sqm"},"OverallBestTrainingJob":{"shape":"Sqm"},"WarmStartConfig":{"shape":"Sc5"},"FailureReason":{}}}},"DescribeImage":{"input":{"type":"structure","required":["ImageName"],"members":{"ImageName":{}}},"output":{"type":"structure","members":{"CreationTime":{"type":"timestamp"},"Description":{},"DisplayName":{},"FailureReason":{},"ImageArn":{},"ImageName":{},"ImageStatus":{},"LastModifiedTime":{"type":"timestamp"},"RoleArn":{}}}},"DescribeImageVersion":{"input":{"type":"structure","required":["ImageName"],"members":{"ImageName":{},"Version":{"type":"integer"}}},"output":{"type":"structure","members":{"BaseImage":{},"ContainerImage":{},"CreationTime":{"type":"timestamp"},"FailureReason":{},"ImageArn":{},"ImageVersionArn":{},"ImageVersionStatus":{},"LastModifiedTime":{"type":"timestamp"},"Version":{"type":"integer"}}}},"DescribeInferenceRecommendationsJob":{"input":{"type":"structure","required":["JobName"],"members":{"JobName":{}}},"output":{"type":"structure","required":["JobName","JobType","JobArn","RoleArn","Status","CreationTime","LastModifiedTime","InputConfig"],"members":{"JobName":{},"JobDescription":{},"JobType":{},"JobArn":{},"RoleArn":{},"Status":{},"CreationTime":{"type":"timestamp"},"CompletionTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"FailureReason":{},"InputConfig":{"shape":"Scm"},"StoppingConditions":{"shape":"Sd8"},"InferenceRecommendations":{"type":"list","member":{"type":"structure","required":["Metrics","EndpointConfiguration","ModelConfiguration"],"members":{"Metrics":{"type":"structure","required":["CostPerHour","CostPerInference","MaxInvocations","ModelLatency"],"members":{"CostPerHour":{"type":"float"},"CostPerInference":{"type":"float"},"MaxInvocations":{"type":"integer"},"ModelLatency":{"type":"integer"}}},"EndpointConfiguration":{"type":"structure","required":["EndpointName","VariantName","InstanceType","InitialInstanceCount"],"members":{"EndpointName":{},"VariantName":{},"InstanceType":{},"InitialInstanceCount":{"type":"integer"}}},"ModelConfiguration":{"type":"structure","members":{"InferenceSpecificationName":{},"EnvironmentParameters":{"type":"list","member":{"type":"structure","required":["Key","ValueType","Value"],"members":{"Key":{},"ValueType":{},"Value":{}}}}}}}}}}}},"DescribeLabelingJob":{"input":{"type":"structure","required":["LabelingJobName"],"members":{"LabelingJobName":{}}},"output":{"type":"structure","required":["LabelingJobStatus","LabelCounters","CreationTime","LastModifiedTime","JobReferenceCode","LabelingJobName","LabelingJobArn","InputConfig","OutputConfig","RoleArn","HumanTaskConfig"],"members":{"LabelingJobStatus":{},"LabelCounters":{"shape":"Sr9"},"FailureReason":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"JobReferenceCode":{},"LabelingJobName":{},"LabelingJobArn":{},"LabelAttributeName":{},"InputConfig":{"shape":"Sdh"},"OutputConfig":{"shape":"Sdo"},"RoleArn":{},"LabelCategoryConfigS3Uri":{},"StoppingConditions":{"shape":"Sdp"},"LabelingJobAlgorithmsConfig":{"shape":"Sds"},"HumanTaskConfig":{"shape":"Sdw"},"Tags":{"shape":"S7"},"LabelingJobOutput":{"shape":"Src"}}}},"DescribeLineageGroup":{"input":{"type":"structure","required":["LineageGroupName"],"members":{"LineageGroupName":{}}},"output":{"type":"structure","members":{"LineageGroupName":{},"LineageGroupArn":{},"DisplayName":{},"Description":{},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"}}}},"DescribeModel":{"input":{"type":"structure","required":["ModelName"],"members":{"ModelName":{}}},"output":{"type":"structure","required":["ModelName","ExecutionRoleArn","CreationTime","ModelArn"],"members":{"ModelName":{},"PrimaryContainer":{"shape":"Seb"},"Containers":{"shape":"Sek"},"InferenceExecutionConfig":{"shape":"Sel"},"ExecutionRoleArn":{},"VpcConfig":{"shape":"S5h"},"CreationTime":{"type":"timestamp"},"ModelArn":{},"EnableNetworkIsolation":{"type":"boolean"}}}},"DescribeModelBiasJobDefinition":{"input":{"type":"structure","required":["JobDefinitionName"],"members":{"JobDefinitionName":{}}},"output":{"type":"structure","required":["JobDefinitionArn","JobDefinitionName","CreationTime","ModelBiasAppSpecification","ModelBiasJobInput","ModelBiasJobOutputConfig","JobResources","RoleArn"],"members":{"JobDefinitionArn":{},"JobDefinitionName":{},"CreationTime":{"type":"timestamp"},"ModelBiasBaselineConfig":{"shape":"Sep"},"ModelBiasAppSpecification":{"shape":"Seq"},"ModelBiasJobInput":{"shape":"Ser"},"ModelBiasJobOutputConfig":{"shape":"S76"},"JobResources":{"shape":"S7c"},"NetworkConfig":{"shape":"S7h"},"RoleArn":{},"StoppingCondition":{"shape":"S7i"}}}},"DescribeModelExplainabilityJobDefinition":{"input":{"type":"structure","required":["JobDefinitionName"],"members":{"JobDefinitionName":{}}},"output":{"type":"structure","required":["JobDefinitionArn","JobDefinitionName","CreationTime","ModelExplainabilityAppSpecification","ModelExplainabilityJobInput","ModelExplainabilityJobOutputConfig","JobResources","RoleArn"],"members":{"JobDefinitionArn":{},"JobDefinitionName":{},"CreationTime":{"type":"timestamp"},"ModelExplainabilityBaselineConfig":{"shape":"Sev"},"ModelExplainabilityAppSpecification":{"shape":"Sew"},"ModelExplainabilityJobInput":{"shape":"Sex"},"ModelExplainabilityJobOutputConfig":{"shape":"S76"},"JobResources":{"shape":"S7c"},"NetworkConfig":{"shape":"S7h"},"RoleArn":{},"StoppingCondition":{"shape":"S7i"}}}},"DescribeModelPackage":{"input":{"type":"structure","required":["ModelPackageName"],"members":{"ModelPackageName":{}}},"output":{"type":"structure","required":["ModelPackageName","ModelPackageArn","CreationTime","ModelPackageStatus","ModelPackageStatusDetails"],"members":{"ModelPackageName":{},"ModelPackageGroupName":{},"ModelPackageVersion":{"type":"integer"},"ModelPackageArn":{},"ModelPackageDescription":{},"CreationTime":{"type":"timestamp"},"InferenceSpecification":{"shape":"Sr"},"SourceAlgorithmSpecification":{"shape":"Sf3"},"ValidationSpecification":{"shape":"Sf0"},"ModelPackageStatus":{},"ModelPackageStatusDetails":{"shape":"Srn"},"CertifyForMarketplace":{"type":"boolean"},"ModelApprovalStatus":{},"CreatedBy":{"shape":"Smx"},"MetadataProperties":{"shape":"S1q"},"ModelMetrics":{"shape":"Sf6"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"},"ApprovalDescription":{},"CustomerMetadataProperties":{"shape":"Sfd"},"DriftCheckBaselines":{"shape":"Sfg"},"Domain":{},"Task":{},"SamplePayloadUrl":{},"AdditionalInferenceSpecifications":{"shape":"Sfm"}}}},"DescribeModelPackageGroup":{"input":{"type":"structure","required":["ModelPackageGroupName"],"members":{"ModelPackageGroupName":{}}},"output":{"type":"structure","required":["ModelPackageGroupName","ModelPackageGroupArn","CreationTime","CreatedBy","ModelPackageGroupStatus"],"members":{"ModelPackageGroupName":{},"ModelPackageGroupArn":{},"ModelPackageGroupDescription":{},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"ModelPackageGroupStatus":{}}}},"DescribeModelQualityJobDefinition":{"input":{"type":"structure","required":["JobDefinitionName"],"members":{"JobDefinitionName":{}}},"output":{"type":"structure","required":["JobDefinitionArn","JobDefinitionName","CreationTime","ModelQualityAppSpecification","ModelQualityJobInput","ModelQualityJobOutputConfig","JobResources","RoleArn"],"members":{"JobDefinitionArn":{},"JobDefinitionName":{},"CreationTime":{"type":"timestamp"},"ModelQualityBaselineConfig":{"shape":"Sft"},"ModelQualityAppSpecification":{"shape":"Sfu"},"ModelQualityJobInput":{"shape":"Sfw"},"ModelQualityJobOutputConfig":{"shape":"S76"},"JobResources":{"shape":"S7c"},"NetworkConfig":{"shape":"S7h"},"RoleArn":{},"StoppingCondition":{"shape":"S7i"}}}},"DescribeMonitoringSchedule":{"input":{"type":"structure","required":["MonitoringScheduleName"],"members":{"MonitoringScheduleName":{}}},"output":{"type":"structure","required":["MonitoringScheduleArn","MonitoringScheduleName","MonitoringScheduleStatus","CreationTime","LastModifiedTime","MonitoringScheduleConfig"],"members":{"MonitoringScheduleArn":{},"MonitoringScheduleName":{},"MonitoringScheduleStatus":{},"MonitoringType":{},"FailureReason":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"MonitoringScheduleConfig":{"shape":"Sg0"},"EndpointName":{},"LastMonitoringExecutionSummary":{"shape":"Ss0"}}}},"DescribeNotebookInstance":{"input":{"type":"structure","required":["NotebookInstanceName"],"members":{"NotebookInstanceName":{}}},"output":{"type":"structure","members":{"NotebookInstanceArn":{},"NotebookInstanceName":{},"NotebookInstanceStatus":{},"FailureReason":{},"Url":{},"InstanceType":{},"SubnetId":{},"SecurityGroups":{"shape":"S7v"},"RoleArn":{},"KmsKeyId":{},"NetworkInterfaceId":{},"LastModifiedTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"NotebookInstanceLifecycleConfigName":{},"DirectInternetAccess":{},"VolumeSizeInGB":{"type":"integer"},"AcceleratorTypes":{"shape":"Sgi"},"DefaultCodeRepository":{},"AdditionalCodeRepositories":{"shape":"Sgl"},"RootAccess":{},"PlatformIdentifier":{}}}},"DescribeNotebookInstanceLifecycleConfig":{"input":{"type":"structure","required":["NotebookInstanceLifecycleConfigName"],"members":{"NotebookInstanceLifecycleConfigName":{}}},"output":{"type":"structure","members":{"NotebookInstanceLifecycleConfigArn":{},"NotebookInstanceLifecycleConfigName":{},"OnCreate":{"shape":"Sgr"},"OnStart":{"shape":"Sgr"},"LastModifiedTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"}}}},"DescribePipeline":{"input":{"type":"structure","required":["PipelineName"],"members":{"PipelineName":{}}},"output":{"type":"structure","members":{"PipelineArn":{},"PipelineName":{},"PipelineDisplayName":{},"PipelineDefinition":{},"PipelineDescription":{},"RoleArn":{},"PipelineStatus":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastRunTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedBy":{"shape":"Smx"}}}},"DescribePipelineDefinitionForExecution":{"input":{"type":"structure","required":["PipelineExecutionArn"],"members":{"PipelineExecutionArn":{}}},"output":{"type":"structure","members":{"PipelineDefinition":{},"CreationTime":{"type":"timestamp"}}}},"DescribePipelineExecution":{"input":{"type":"structure","required":["PipelineExecutionArn"],"members":{"PipelineExecutionArn":{}}},"output":{"type":"structure","members":{"PipelineArn":{},"PipelineExecutionArn":{},"PipelineExecutionDisplayName":{},"PipelineExecutionStatus":{},"PipelineExecutionDescription":{},"PipelineExperimentConfig":{"shape":"Ssj"},"FailureReason":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedBy":{"shape":"Smx"}}}},"DescribeProcessingJob":{"input":{"type":"structure","required":["ProcessingJobName"],"members":{"ProcessingJobName":{}}},"output":{"type":"structure","required":["ProcessingJobName","ProcessingResources","AppSpecification","ProcessingJobArn","ProcessingJobStatus","CreationTime"],"members":{"ProcessingInputs":{"shape":"Shc"},"ProcessingOutputConfig":{"shape":"Shz"},"ProcessingJobName":{},"ProcessingResources":{"shape":"Si4"},"StoppingCondition":{"shape":"Si6"},"AppSpecification":{"shape":"Si8"},"Environment":{"shape":"Sia"},"NetworkConfig":{"shape":"Sg8"},"RoleArn":{},"ExperimentConfig":{"shape":"Sib"},"ProcessingJobArn":{},"ProcessingJobStatus":{},"ExitMessage":{},"FailureReason":{},"ProcessingEndTime":{"type":"timestamp"},"ProcessingStartTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"MonitoringScheduleArn":{},"AutoMLJobArn":{},"TrainingJobArn":{}}}},"DescribeProject":{"input":{"type":"structure","required":["ProjectName"],"members":{"ProjectName":{}}},"output":{"type":"structure","required":["ProjectArn","ProjectName","ProjectId","ServiceCatalogProvisioningDetails","ProjectStatus","CreationTime"],"members":{"ProjectArn":{},"ProjectName":{},"ProjectId":{},"ProjectDescription":{},"ServiceCatalogProvisioningDetails":{"shape":"Sig"},"ServiceCatalogProvisionedProductDetails":{"shape":"Ssr"},"ProjectStatus":{},"CreatedBy":{"shape":"Smx"},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"}}}},"DescribeStudioLifecycleConfig":{"input":{"type":"structure","required":["StudioLifecycleConfigName"],"members":{"StudioLifecycleConfigName":{}}},"output":{"type":"structure","members":{"StudioLifecycleConfigArn":{},"StudioLifecycleConfigName":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"StudioLifecycleConfigContent":{},"StudioLifecycleConfigAppType":{}}}},"DescribeSubscribedWorkteam":{"input":{"type":"structure","required":["WorkteamArn"],"members":{"WorkteamArn":{}}},"output":{"type":"structure","required":["SubscribedWorkteam"],"members":{"SubscribedWorkteam":{"shape":"Ssy"}}}},"DescribeTrainingJob":{"input":{"type":"structure","required":["TrainingJobName"],"members":{"TrainingJobName":{}}},"output":{"type":"structure","required":["TrainingJobName","TrainingJobArn","ModelArtifacts","TrainingJobStatus","SecondaryStatus","AlgorithmSpecification","ResourceConfig","StoppingCondition","CreationTime"],"members":{"TrainingJobName":{},"TrainingJobArn":{},"TuningJobArn":{},"LabelingJobArn":{},"AutoMLJobArn":{},"ModelArtifacts":{"shape":"Soi"},"TrainingJobStatus":{},"SecondaryStatus":{},"FailureReason":{},"HyperParameters":{"shape":"S2t"},"AlgorithmSpecification":{"shape":"Siw"},"RoleArn":{},"InputDataConfig":{"shape":"S2v"},"OutputDataConfig":{"shape":"S3c"},"ResourceConfig":{"shape":"S3e"},"VpcConfig":{"shape":"S5h"},"StoppingCondition":{"shape":"S3h"},"CreationTime":{"type":"timestamp"},"TrainingStartTime":{"type":"timestamp"},"TrainingEndTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"SecondaryStatusTransitions":{"shape":"St2"},"FinalMetricDataList":{"shape":"St5"},"EnableNetworkIsolation":{"type":"boolean"},"EnableInterContainerTrafficEncryption":{"type":"boolean"},"EnableManagedSpotTraining":{"type":"boolean"},"CheckpointConfig":{"shape":"Sc1"},"TrainingTimeInSeconds":{"type":"integer"},"BillableTimeInSeconds":{"type":"integer"},"DebugHookConfig":{"shape":"Six"},"ExperimentConfig":{"shape":"Sib"},"DebugRuleConfigurations":{"shape":"Sj5"},"TensorBoardOutputConfig":{"shape":"Sja"},"DebugRuleEvaluationStatuses":{"shape":"St9"},"ProfilerConfig":{"shape":"Sjb"},"ProfilerRuleConfigurations":{"shape":"Sje"},"ProfilerRuleEvaluationStatuses":{"type":"list","member":{"type":"structure","members":{"RuleConfigurationName":{},"RuleEvaluationJobArn":{},"RuleEvaluationStatus":{},"StatusDetails":{},"LastModifiedTime":{"type":"timestamp"}}}},"ProfilingStatus":{},"RetryStrategy":{"shape":"Sc2"},"Environment":{"shape":"Sjg"}}}},"DescribeTransformJob":{"input":{"type":"structure","required":["TransformJobName"],"members":{"TransformJobName":{}}},"output":{"type":"structure","required":["TransformJobName","TransformJobArn","TransformJobStatus","ModelName","TransformInput","TransformResources","CreationTime"],"members":{"TransformJobName":{},"TransformJobArn":{},"TransformJobStatus":{},"FailureReason":{},"ModelName":{},"MaxConcurrentTransforms":{"type":"integer"},"ModelClientConfig":{"shape":"Sjn"},"MaxPayloadInMB":{"type":"integer"},"BatchStrategy":{},"Environment":{"shape":"S3o"},"TransformInput":{"shape":"S3r"},"TransformOutput":{"shape":"S3v"},"TransformResources":{"shape":"S3y"},"CreationTime":{"type":"timestamp"},"TransformStartTime":{"type":"timestamp"},"TransformEndTime":{"type":"timestamp"},"LabelingJobArn":{},"AutoMLJobArn":{},"DataProcessing":{"shape":"Sjq"},"ExperimentConfig":{"shape":"Sib"}}}},"DescribeTrial":{"input":{"type":"structure","required":["TrialName"],"members":{"TrialName":{}}},"output":{"type":"structure","members":{"TrialName":{},"TrialArn":{},"DisplayName":{},"ExperimentName":{},"Source":{"shape":"Stl"},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"},"MetadataProperties":{"shape":"S1q"}}}},"DescribeTrialComponent":{"input":{"type":"structure","required":["TrialComponentName"],"members":{"TrialComponentName":{}}},"output":{"type":"structure","members":{"TrialComponentName":{},"TrialComponentArn":{},"DisplayName":{},"Source":{"shape":"Stp"},"Status":{"shape":"Sjy"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"},"Parameters":{"shape":"Sk2"},"InputArtifacts":{"shape":"Sk6"},"OutputArtifacts":{"shape":"Sk6"},"MetadataProperties":{"shape":"S1q"},"Metrics":{"shape":"Str"},"LineageGroupArn":{}}}},"DescribeUserProfile":{"input":{"type":"structure","required":["DomainId","UserProfileName"],"members":{"DomainId":{},"UserProfileName":{}}},"output":{"type":"structure","members":{"DomainId":{},"UserProfileArn":{},"UserProfileName":{},"HomeEfsFileSystemUid":{},"Status":{},"LastModifiedTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"FailureReason":{},"SingleSignOnUserIdentifier":{},"SingleSignOnUserValue":{},"UserSettings":{"shape":"S7u"}}}},"DescribeWorkforce":{"input":{"type":"structure","required":["WorkforceName"],"members":{"WorkforceName":{}}},"output":{"type":"structure","required":["Workforce"],"members":{"Workforce":{"shape":"Su1"}}}},"DescribeWorkteam":{"input":{"type":"structure","required":["WorkteamName"],"members":{"WorkteamName":{}}},"output":{"type":"structure","required":["Workteam"],"members":{"Workteam":{"shape":"Su5"}}}},"DisableSagemakerServicecatalogPortfolio":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DisassociateTrialComponent":{"input":{"type":"structure","required":["TrialComponentName","TrialName"],"members":{"TrialComponentName":{},"TrialName":{}}},"output":{"type":"structure","members":{"TrialComponentArn":{},"TrialArn":{}}}},"EnableSagemakerServicecatalogPortfolio":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"GetDeviceFleetReport":{"input":{"type":"structure","required":["DeviceFleetName"],"members":{"DeviceFleetName":{}}},"output":{"type":"structure","required":["DeviceFleetArn","DeviceFleetName"],"members":{"DeviceFleetArn":{},"DeviceFleetName":{},"OutputConfig":{"shape":"S7o"},"Description":{},"ReportGenerated":{"type":"timestamp"},"DeviceStats":{"type":"structure","required":["ConnectedDeviceCount","RegisteredDeviceCount"],"members":{"ConnectedDeviceCount":{"type":"long"},"RegisteredDeviceCount":{"type":"long"}}},"AgentVersions":{"type":"list","member":{"type":"structure","required":["Version","AgentCount"],"members":{"Version":{},"AgentCount":{"type":"long"}}}},"ModelStats":{"type":"list","member":{"type":"structure","required":["ModelName","ModelVersion","OfflineDeviceCount","ConnectedDeviceCount","ActiveDeviceCount","SamplingDeviceCount"],"members":{"ModelName":{},"ModelVersion":{},"OfflineDeviceCount":{"type":"long"},"ConnectedDeviceCount":{"type":"long"},"ActiveDeviceCount":{"type":"long"},"SamplingDeviceCount":{"type":"long"}}}}}}},"GetLineageGroupPolicy":{"input":{"type":"structure","required":["LineageGroupName"],"members":{"LineageGroupName":{}}},"output":{"type":"structure","members":{"LineageGroupArn":{},"ResourcePolicy":{}}}},"GetModelPackageGroupPolicy":{"input":{"type":"structure","required":["ModelPackageGroupName"],"members":{"ModelPackageGroupName":{}}},"output":{"type":"structure","required":["ResourcePolicy"],"members":{"ResourcePolicy":{}}}},"GetSagemakerServicecatalogPortfolioStatus":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"Status":{}}}},"GetSearchSuggestions":{"input":{"type":"structure","required":["Resource"],"members":{"Resource":{},"SuggestionQuery":{"type":"structure","members":{"PropertyNameQuery":{"type":"structure","required":["PropertyNameHint"],"members":{"PropertyNameHint":{}}}}}}},"output":{"type":"structure","members":{"PropertyNameSuggestions":{"type":"list","member":{"type":"structure","members":{"PropertyName":{}}}}}}},"ListActions":{"input":{"type":"structure","members":{"SourceUri":{},"ActionType":{},"CreatedAfter":{"type":"timestamp"},"CreatedBefore":{"type":"timestamp"},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ActionSummaries":{"type":"list","member":{"type":"structure","members":{"ActionArn":{},"ActionName":{},"Source":{"shape":"S1j"},"ActionType":{},"Status":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListAlgorithms":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"MaxResults":{"type":"integer"},"NameContains":{},"NextToken":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","required":["AlgorithmSummaryList"],"members":{"AlgorithmSummaryList":{"type":"list","member":{"type":"structure","required":["AlgorithmName","AlgorithmArn","CreationTime","AlgorithmStatus"],"members":{"AlgorithmName":{},"AlgorithmArn":{},"AlgorithmDescription":{},"CreationTime":{"type":"timestamp"},"AlgorithmStatus":{}}}},"NextToken":{}}}},"ListAppImageConfigs":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"NameContains":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"},"ModifiedTimeBefore":{"type":"timestamp"},"ModifiedTimeAfter":{"type":"timestamp"},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","members":{"NextToken":{},"AppImageConfigs":{"type":"list","member":{"type":"structure","members":{"AppImageConfigArn":{},"AppImageConfigName":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"KernelGatewayImageConfig":{"shape":"S4h"}}}}}}},"ListApps":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"SortOrder":{},"SortBy":{},"DomainIdEquals":{},"UserProfileNameEquals":{}}},"output":{"type":"structure","members":{"Apps":{"type":"list","member":{"type":"structure","members":{"DomainId":{},"UserProfileName":{},"AppType":{},"AppName":{},"Status":{},"CreationTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListArtifacts":{"input":{"type":"structure","members":{"SourceUri":{},"ArtifactType":{},"CreatedAfter":{"type":"timestamp"},"CreatedBefore":{"type":"timestamp"},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ArtifactSummaries":{"type":"list","member":{"type":"structure","members":{"ArtifactArn":{},"ArtifactName":{},"Source":{"shape":"S4t"},"ArtifactType":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListAssociations":{"input":{"type":"structure","members":{"SourceArn":{},"DestinationArn":{},"SourceType":{},"DestinationType":{},"AssociationType":{},"CreatedAfter":{"type":"timestamp"},"CreatedBefore":{"type":"timestamp"},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"AssociationSummaries":{"type":"list","member":{"type":"structure","members":{"SourceArn":{},"DestinationArn":{},"SourceType":{},"DestinationType":{},"AssociationType":{},"SourceName":{},"DestinationName":{},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"}}}},"NextToken":{}}}},"ListAutoMLJobs":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"NameContains":{},"StatusEquals":{},"SortOrder":{},"SortBy":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["AutoMLJobSummaries"],"members":{"AutoMLJobSummaries":{"type":"list","member":{"type":"structure","required":["AutoMLJobName","AutoMLJobArn","AutoMLJobStatus","AutoMLJobSecondaryStatus","CreationTime","LastModifiedTime"],"members":{"AutoMLJobName":{},"AutoMLJobArn":{},"AutoMLJobStatus":{},"AutoMLJobSecondaryStatus":{},"CreationTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"FailureReason":{},"PartialFailureReasons":{"shape":"Snh"}}}},"NextToken":{}}}},"ListCandidatesForAutoMLJob":{"input":{"type":"structure","required":["AutoMLJobName"],"members":{"AutoMLJobName":{},"StatusEquals":{},"CandidateNameEquals":{},"SortOrder":{},"SortBy":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Candidates"],"members":{"Candidates":{"type":"list","member":{"shape":"Snj"}},"NextToken":{}}}},"ListCodeRepositories":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"MaxResults":{"type":"integer"},"NameContains":{},"NextToken":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","required":["CodeRepositorySummaryList"],"members":{"CodeRepositorySummaryList":{"type":"list","member":{"type":"structure","required":["CodeRepositoryName","CodeRepositoryArn","CreationTime","LastModifiedTime"],"members":{"CodeRepositoryName":{},"CodeRepositoryArn":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"GitConfig":{"shape":"S5t"}}}},"NextToken":{}}}},"ListCompilationJobs":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"NameContains":{},"StatusEquals":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","required":["CompilationJobSummaries"],"members":{"CompilationJobSummaries":{"type":"list","member":{"type":"structure","required":["CompilationJobName","CompilationJobArn","CreationTime","CompilationJobStatus"],"members":{"CompilationJobName":{},"CompilationJobArn":{},"CreationTime":{"type":"timestamp"},"CompilationStartTime":{"type":"timestamp"},"CompilationEndTime":{"type":"timestamp"},"CompilationTargetDevice":{},"CompilationTargetPlatformOs":{},"CompilationTargetPlatformArch":{},"CompilationTargetPlatformAccelerator":{},"LastModifiedTime":{"type":"timestamp"},"CompilationJobStatus":{}}}},"NextToken":{}}}},"ListContexts":{"input":{"type":"structure","members":{"SourceUri":{},"ContextType":{},"CreatedAfter":{"type":"timestamp"},"CreatedBefore":{"type":"timestamp"},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ContextSummaries":{"type":"list","member":{"type":"structure","members":{"ContextArn":{},"ContextName":{},"Source":{"shape":"S6h"},"ContextType":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListDataQualityJobDefinitions":{"input":{"type":"structure","members":{"EndpointName":{},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"},"NameContains":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"}}},"output":{"type":"structure","required":["JobDefinitionSummaries"],"members":{"JobDefinitionSummaries":{"shape":"Swy"},"NextToken":{}}}},"ListDeviceFleets":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"NameContains":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","required":["DeviceFleetSummaries"],"members":{"DeviceFleetSummaries":{"type":"list","member":{"type":"structure","required":["DeviceFleetArn","DeviceFleetName"],"members":{"DeviceFleetArn":{},"DeviceFleetName":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListDevices":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"LatestHeartbeatAfter":{"type":"timestamp"},"ModelName":{},"DeviceFleetName":{}}},"output":{"type":"structure","required":["DeviceSummaries"],"members":{"DeviceSummaries":{"type":"list","member":{"type":"structure","required":["DeviceName","DeviceArn"],"members":{"DeviceName":{},"DeviceArn":{},"Description":{},"DeviceFleetName":{},"IotThingName":{},"RegistrationTime":{"type":"timestamp"},"LatestHeartbeat":{"type":"timestamp"},"Models":{"type":"list","member":{"type":"structure","required":["ModelName","ModelVersion"],"members":{"ModelName":{},"ModelVersion":{}}}},"AgentVersion":{}}}},"NextToken":{}}}},"ListDomains":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Domains":{"type":"list","member":{"type":"structure","members":{"DomainArn":{},"DomainId":{},"DomainName":{},"Status":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"Url":{}}}},"NextToken":{}}}},"ListEdgePackagingJobs":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"NameContains":{},"ModelNameContains":{},"StatusEquals":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","required":["EdgePackagingJobSummaries"],"members":{"EdgePackagingJobSummaries":{"type":"list","member":{"type":"structure","required":["EdgePackagingJobArn","EdgePackagingJobName","EdgePackagingJobStatus"],"members":{"EdgePackagingJobArn":{},"EdgePackagingJobName":{},"EdgePackagingJobStatus":{},"CompilationJobName":{},"ModelName":{},"ModelVersion":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListEndpointConfigs":{"input":{"type":"structure","members":{"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"},"NameContains":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"}}},"output":{"type":"structure","required":["EndpointConfigs"],"members":{"EndpointConfigs":{"type":"list","member":{"type":"structure","required":["EndpointConfigName","EndpointConfigArn","CreationTime"],"members":{"EndpointConfigName":{},"EndpointConfigArn":{},"CreationTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListEndpoints":{"input":{"type":"structure","members":{"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"},"NameContains":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"StatusEquals":{}}},"output":{"type":"structure","required":["Endpoints"],"members":{"Endpoints":{"type":"list","member":{"type":"structure","required":["EndpointName","EndpointArn","CreationTime","LastModifiedTime","EndpointStatus"],"members":{"EndpointName":{},"EndpointArn":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"EndpointStatus":{}}}},"NextToken":{}}}},"ListExperiments":{"input":{"type":"structure","members":{"CreatedAfter":{"type":"timestamp"},"CreatedBefore":{"type":"timestamp"},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ExperimentSummaries":{"type":"list","member":{"type":"structure","members":{"ExperimentArn":{},"ExperimentName":{},"DisplayName":{},"ExperimentSource":{"shape":"Spx"},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListFeatureGroups":{"input":{"type":"structure","members":{"NameContains":{},"FeatureGroupStatusEquals":{},"OfflineStoreStatusEquals":{},"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"SortOrder":{},"SortBy":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["FeatureGroupSummaries","NextToken"],"members":{"FeatureGroupSummaries":{"type":"list","member":{"type":"structure","required":["FeatureGroupName","FeatureGroupArn","CreationTime"],"members":{"FeatureGroupName":{},"FeatureGroupArn":{},"CreationTime":{"type":"timestamp"},"FeatureGroupStatus":{},"OfflineStoreStatus":{"shape":"Sq3"}}}},"NextToken":{}}}},"ListFlowDefinitions":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["FlowDefinitionSummaries"],"members":{"FlowDefinitionSummaries":{"type":"list","member":{"type":"structure","required":["FlowDefinitionName","FlowDefinitionArn","FlowDefinitionStatus","CreationTime"],"members":{"FlowDefinitionName":{},"FlowDefinitionArn":{},"FlowDefinitionStatus":{},"CreationTime":{"type":"timestamp"},"FailureReason":{}}}},"NextToken":{}}}},"ListHumanTaskUis":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["HumanTaskUiSummaries"],"members":{"HumanTaskUiSummaries":{"type":"list","member":{"type":"structure","required":["HumanTaskUiName","HumanTaskUiArn","CreationTime"],"members":{"HumanTaskUiName":{},"HumanTaskUiArn":{},"CreationTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListHyperParameterTuningJobs":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"SortBy":{},"SortOrder":{},"NameContains":{},"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"StatusEquals":{}}},"output":{"type":"structure","required":["HyperParameterTuningJobSummaries"],"members":{"HyperParameterTuningJobSummaries":{"type":"list","member":{"type":"structure","required":["HyperParameterTuningJobName","HyperParameterTuningJobArn","HyperParameterTuningJobStatus","Strategy","CreationTime","TrainingJobStatusCounters","ObjectiveStatusCounters"],"members":{"HyperParameterTuningJobName":{},"HyperParameterTuningJobArn":{},"HyperParameterTuningJobStatus":{},"Strategy":{},"CreationTime":{"type":"timestamp"},"HyperParameterTuningEndTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"TrainingJobStatusCounters":{"shape":"Sqi"},"ObjectiveStatusCounters":{"shape":"Sqk"},"ResourceLimits":{"shape":"Sbh"}}}},"NextToken":{}}}},"ListImageVersions":{"input":{"type":"structure","required":["ImageName"],"members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"ImageName":{},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"MaxResults":{"type":"integer"},"NextToken":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","members":{"ImageVersions":{"type":"list","member":{"type":"structure","required":["CreationTime","ImageArn","ImageVersionArn","ImageVersionStatus","LastModifiedTime","Version"],"members":{"CreationTime":{"type":"timestamp"},"FailureReason":{},"ImageArn":{},"ImageVersionArn":{},"ImageVersionStatus":{},"LastModifiedTime":{"type":"timestamp"},"Version":{"type":"integer"}}}},"NextToken":{}}}},"ListImages":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"MaxResults":{"type":"integer"},"NameContains":{},"NextToken":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","members":{"Images":{"type":"list","member":{"type":"structure","required":["CreationTime","ImageArn","ImageName","ImageStatus","LastModifiedTime"],"members":{"CreationTime":{"type":"timestamp"},"Description":{},"DisplayName":{},"FailureReason":{},"ImageArn":{},"ImageName":{},"ImageStatus":{},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListInferenceRecommendationsJobs":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"NameContains":{},"StatusEquals":{},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["InferenceRecommendationsJobs"],"members":{"InferenceRecommendationsJobs":{"type":"list","member":{"type":"structure","required":["JobName","JobDescription","JobType","JobArn","Status","CreationTime","RoleArn","LastModifiedTime"],"members":{"JobName":{},"JobDescription":{},"JobType":{},"JobArn":{},"Status":{},"CreationTime":{"type":"timestamp"},"CompletionTime":{"type":"timestamp"},"RoleArn":{},"LastModifiedTime":{"type":"timestamp"},"FailureReason":{}}}},"NextToken":{}}}},"ListLabelingJobs":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"MaxResults":{"type":"integer"},"NextToken":{},"NameContains":{},"SortBy":{},"SortOrder":{},"StatusEquals":{}}},"output":{"type":"structure","members":{"LabelingJobSummaryList":{"type":"list","member":{"type":"structure","required":["LabelingJobName","LabelingJobArn","CreationTime","LastModifiedTime","LabelingJobStatus","LabelCounters","WorkteamArn","PreHumanTaskLambdaArn"],"members":{"LabelingJobName":{},"LabelingJobArn":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LabelingJobStatus":{},"LabelCounters":{"shape":"Sr9"},"WorkteamArn":{},"PreHumanTaskLambdaArn":{},"AnnotationConsolidationLambdaArn":{},"FailureReason":{},"LabelingJobOutput":{"shape":"Src"},"InputConfig":{"shape":"Sdh"}}}},"NextToken":{}}}},"ListLabelingJobsForWorkteam":{"input":{"type":"structure","required":["WorkteamArn"],"members":{"WorkteamArn":{},"MaxResults":{"type":"integer"},"NextToken":{},"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"JobReferenceCodeContains":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","required":["LabelingJobSummaryList"],"members":{"LabelingJobSummaryList":{"type":"list","member":{"type":"structure","required":["JobReferenceCode","WorkRequesterAccountId","CreationTime"],"members":{"LabelingJobName":{},"JobReferenceCode":{},"WorkRequesterAccountId":{},"CreationTime":{"type":"timestamp"},"LabelCounters":{"type":"structure","members":{"HumanLabeled":{"type":"integer"},"PendingHuman":{"type":"integer"},"Total":{"type":"integer"}}},"NumberOfHumanWorkersPerDataObject":{"type":"integer"}}}},"NextToken":{}}}},"ListLineageGroups":{"input":{"type":"structure","members":{"CreatedAfter":{"type":"timestamp"},"CreatedBefore":{"type":"timestamp"},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"LineageGroupSummaries":{"type":"list","member":{"type":"structure","members":{"LineageGroupArn":{},"LineageGroupName":{},"DisplayName":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListModelBiasJobDefinitions":{"input":{"type":"structure","members":{"EndpointName":{},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"},"NameContains":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"}}},"output":{"type":"structure","required":["JobDefinitionSummaries"],"members":{"JobDefinitionSummaries":{"shape":"Swy"},"NextToken":{}}}},"ListModelExplainabilityJobDefinitions":{"input":{"type":"structure","members":{"EndpointName":{},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"},"NameContains":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"}}},"output":{"type":"structure","required":["JobDefinitionSummaries"],"members":{"JobDefinitionSummaries":{"shape":"Swy"},"NextToken":{}}}},"ListModelMetadata":{"input":{"type":"structure","members":{"SearchExpression":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["ModelMetadataSummaries"],"members":{"ModelMetadataSummaries":{"type":"list","member":{"type":"structure","required":["Domain","Framework","Task","Model","FrameworkVersion"],"members":{"Domain":{},"Framework":{},"Task":{},"Model":{},"FrameworkVersion":{}}}},"NextToken":{}}}},"ListModelPackageGroups":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"MaxResults":{"type":"integer"},"NameContains":{},"NextToken":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","required":["ModelPackageGroupSummaryList"],"members":{"ModelPackageGroupSummaryList":{"type":"list","member":{"type":"structure","required":["ModelPackageGroupName","ModelPackageGroupArn","CreationTime","ModelPackageGroupStatus"],"members":{"ModelPackageGroupName":{},"ModelPackageGroupArn":{},"ModelPackageGroupDescription":{},"CreationTime":{"type":"timestamp"},"ModelPackageGroupStatus":{}}}},"NextToken":{}}}},"ListModelPackages":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"MaxResults":{"type":"integer"},"NameContains":{},"ModelApprovalStatus":{},"ModelPackageGroupName":{},"ModelPackageType":{},"NextToken":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","required":["ModelPackageSummaryList"],"members":{"ModelPackageSummaryList":{"type":"list","member":{"type":"structure","required":["ModelPackageName","ModelPackageArn","CreationTime","ModelPackageStatus"],"members":{"ModelPackageName":{},"ModelPackageGroupName":{},"ModelPackageVersion":{"type":"integer"},"ModelPackageArn":{},"ModelPackageDescription":{},"CreationTime":{"type":"timestamp"},"ModelPackageStatus":{},"ModelApprovalStatus":{}}}},"NextToken":{}}}},"ListModelQualityJobDefinitions":{"input":{"type":"structure","members":{"EndpointName":{},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"},"NameContains":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"}}},"output":{"type":"structure","required":["JobDefinitionSummaries"],"members":{"JobDefinitionSummaries":{"shape":"Swy"},"NextToken":{}}}},"ListModels":{"input":{"type":"structure","members":{"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"},"NameContains":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"}}},"output":{"type":"structure","required":["Models"],"members":{"Models":{"type":"list","member":{"type":"structure","required":["ModelName","ModelArn","CreationTime"],"members":{"ModelName":{},"ModelArn":{},"CreationTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListMonitoringExecutions":{"input":{"type":"structure","members":{"MonitoringScheduleName":{},"EndpointName":{},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"},"ScheduledTimeBefore":{"type":"timestamp"},"ScheduledTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"StatusEquals":{},"MonitoringJobDefinitionName":{},"MonitoringTypeEquals":{}}},"output":{"type":"structure","required":["MonitoringExecutionSummaries"],"members":{"MonitoringExecutionSummaries":{"type":"list","member":{"shape":"Ss0"}},"NextToken":{}}}},"ListMonitoringSchedules":{"input":{"type":"structure","members":{"EndpointName":{},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"},"NameContains":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"StatusEquals":{},"MonitoringJobDefinitionName":{},"MonitoringTypeEquals":{}}},"output":{"type":"structure","required":["MonitoringScheduleSummaries"],"members":{"MonitoringScheduleSummaries":{"type":"list","member":{"type":"structure","required":["MonitoringScheduleName","MonitoringScheduleArn","CreationTime","LastModifiedTime","MonitoringScheduleStatus"],"members":{"MonitoringScheduleName":{},"MonitoringScheduleArn":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"MonitoringScheduleStatus":{},"EndpointName":{},"MonitoringJobDefinitionName":{},"MonitoringType":{}}}},"NextToken":{}}}},"ListNotebookInstanceLifecycleConfigs":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"SortBy":{},"SortOrder":{},"NameContains":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"}}},"output":{"type":"structure","members":{"NextToken":{},"NotebookInstanceLifecycleConfigs":{"type":"list","member":{"type":"structure","required":["NotebookInstanceLifecycleConfigName","NotebookInstanceLifecycleConfigArn"],"members":{"NotebookInstanceLifecycleConfigName":{},"NotebookInstanceLifecycleConfigArn":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}}}}},"ListNotebookInstances":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"SortBy":{},"SortOrder":{},"NameContains":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"StatusEquals":{},"NotebookInstanceLifecycleConfigNameContains":{},"DefaultCodeRepositoryContains":{},"AdditionalCodeRepositoryEquals":{}}},"output":{"type":"structure","members":{"NextToken":{},"NotebookInstances":{"type":"list","member":{"type":"structure","required":["NotebookInstanceName","NotebookInstanceArn"],"members":{"NotebookInstanceName":{},"NotebookInstanceArn":{},"NotebookInstanceStatus":{},"Url":{},"InstanceType":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"NotebookInstanceLifecycleConfigName":{},"DefaultCodeRepository":{},"AdditionalCodeRepositories":{"shape":"Sgl"}}}}}}},"ListPipelineExecutionSteps":{"input":{"type":"structure","members":{"PipelineExecutionArn":{},"NextToken":{},"MaxResults":{"type":"integer"},"SortOrder":{}}},"output":{"type":"structure","members":{"PipelineExecutionSteps":{"type":"list","member":{"type":"structure","members":{"StepName":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"StepStatus":{},"CacheHitResult":{"type":"structure","members":{"SourcePipelineExecutionArn":{}}},"AttemptCount":{"type":"integer"},"FailureReason":{},"Metadata":{"type":"structure","members":{"TrainingJob":{"type":"structure","members":{"Arn":{}}},"ProcessingJob":{"type":"structure","members":{"Arn":{}}},"TransformJob":{"type":"structure","members":{"Arn":{}}},"TuningJob":{"type":"structure","members":{"Arn":{}}},"Model":{"type":"structure","members":{"Arn":{}}},"RegisterModel":{"type":"structure","members":{"Arn":{}}},"Condition":{"type":"structure","members":{"Outcome":{}}},"Callback":{"type":"structure","members":{"CallbackToken":{},"SqsQueueUrl":{},"OutputParameters":{"shape":"S11r"}}},"Lambda":{"type":"structure","members":{"Arn":{},"OutputParameters":{"shape":"S11r"}}},"QualityCheck":{"type":"structure","members":{"CheckType":{},"BaselineUsedForDriftCheckStatistics":{},"BaselineUsedForDriftCheckConstraints":{},"CalculatedBaselineStatistics":{},"CalculatedBaselineConstraints":{},"ModelPackageGroupName":{},"ViolationReport":{},"CheckJobArn":{},"SkipCheck":{"type":"boolean"},"RegisterNewBaseline":{"type":"boolean"}}},"ClarifyCheck":{"type":"structure","members":{"CheckType":{},"BaselineUsedForDriftCheckConstraints":{},"CalculatedBaselineConstraints":{},"ModelPackageGroupName":{},"ViolationReport":{},"CheckJobArn":{},"SkipCheck":{"type":"boolean"},"RegisterNewBaseline":{"type":"boolean"}}}}}}}},"NextToken":{}}}},"ListPipelineExecutions":{"input":{"type":"structure","required":["PipelineName"],"members":{"PipelineName":{},"CreatedAfter":{"type":"timestamp"},"CreatedBefore":{"type":"timestamp"},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"PipelineExecutionSummaries":{"type":"list","member":{"type":"structure","members":{"PipelineExecutionArn":{},"StartTime":{"type":"timestamp"},"PipelineExecutionStatus":{},"PipelineExecutionDescription":{},"PipelineExecutionDisplayName":{}}}},"NextToken":{}}}},"ListPipelineParametersForExecution":{"input":{"type":"structure","required":["PipelineExecutionArn"],"members":{"PipelineExecutionArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"PipelineParameters":{"shape":"S123"},"NextToken":{}}}},"ListPipelines":{"input":{"type":"structure","members":{"PipelineNamePrefix":{},"CreatedAfter":{"type":"timestamp"},"CreatedBefore":{"type":"timestamp"},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"PipelineSummaries":{"type":"list","member":{"type":"structure","members":{"PipelineArn":{},"PipelineName":{},"PipelineDisplayName":{},"PipelineDescription":{},"RoleArn":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastExecutionTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListProcessingJobs":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"NameContains":{},"StatusEquals":{},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["ProcessingJobSummaries"],"members":{"ProcessingJobSummaries":{"type":"list","member":{"type":"structure","required":["ProcessingJobName","ProcessingJobArn","CreationTime","ProcessingJobStatus"],"members":{"ProcessingJobName":{},"ProcessingJobArn":{},"CreationTime":{"type":"timestamp"},"ProcessingEndTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"ProcessingJobStatus":{},"FailureReason":{},"ExitMessage":{}}}},"NextToken":{}}}},"ListProjects":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"MaxResults":{"type":"integer"},"NameContains":{},"NextToken":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","required":["ProjectSummaryList"],"members":{"ProjectSummaryList":{"type":"list","member":{"type":"structure","required":["ProjectName","ProjectArn","ProjectId","CreationTime","ProjectStatus"],"members":{"ProjectName":{},"ProjectDescription":{},"ProjectArn":{},"ProjectId":{},"CreationTime":{"type":"timestamp"},"ProjectStatus":{}}}},"NextToken":{}}}},"ListStudioLifecycleConfigs":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"NameContains":{},"AppTypeEquals":{},"CreationTimeBefore":{"type":"timestamp"},"CreationTimeAfter":{"type":"timestamp"},"ModifiedTimeBefore":{"type":"timestamp"},"ModifiedTimeAfter":{"type":"timestamp"},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","members":{"NextToken":{},"StudioLifecycleConfigs":{"type":"list","member":{"type":"structure","members":{"StudioLifecycleConfigArn":{},"StudioLifecycleConfigName":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"StudioLifecycleConfigAppType":{}}}}}}},"ListSubscribedWorkteams":{"input":{"type":"structure","members":{"NameContains":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["SubscribedWorkteams"],"members":{"SubscribedWorkteams":{"type":"list","member":{"shape":"Ssy"}},"NextToken":{}}}},"ListTags":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S7"},"NextToken":{}}}},"ListTrainingJobs":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"NameContains":{},"StatusEquals":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","required":["TrainingJobSummaries"],"members":{"TrainingJobSummaries":{"type":"list","member":{"type":"structure","required":["TrainingJobName","TrainingJobArn","CreationTime","TrainingJobStatus"],"members":{"TrainingJobName":{},"TrainingJobArn":{},"CreationTime":{"type":"timestamp"},"TrainingEndTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"TrainingJobStatus":{}}}},"NextToken":{}}}},"ListTrainingJobsForHyperParameterTuningJob":{"input":{"type":"structure","required":["HyperParameterTuningJobName"],"members":{"HyperParameterTuningJobName":{},"NextToken":{},"MaxResults":{"type":"integer"},"StatusEquals":{},"SortBy":{},"SortOrder":{}}},"output":{"type":"structure","required":["TrainingJobSummaries"],"members":{"TrainingJobSummaries":{"type":"list","member":{"shape":"Sqm"}},"NextToken":{}}}},"ListTransformJobs":{"input":{"type":"structure","members":{"CreationTimeAfter":{"type":"timestamp"},"CreationTimeBefore":{"type":"timestamp"},"LastModifiedTimeAfter":{"type":"timestamp"},"LastModifiedTimeBefore":{"type":"timestamp"},"NameContains":{},"StatusEquals":{},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["TransformJobSummaries"],"members":{"TransformJobSummaries":{"type":"list","member":{"type":"structure","required":["TransformJobName","TransformJobArn","CreationTime","TransformJobStatus"],"members":{"TransformJobName":{},"TransformJobArn":{},"CreationTime":{"type":"timestamp"},"TransformEndTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"TransformJobStatus":{},"FailureReason":{}}}},"NextToken":{}}}},"ListTrialComponents":{"input":{"type":"structure","members":{"ExperimentName":{},"TrialName":{},"SourceArn":{},"CreatedAfter":{"type":"timestamp"},"CreatedBefore":{"type":"timestamp"},"SortBy":{},"SortOrder":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"TrialComponentSummaries":{"type":"list","member":{"type":"structure","members":{"TrialComponentName":{},"TrialComponentArn":{},"DisplayName":{},"TrialComponentSource":{"shape":"Stp"},"Status":{"shape":"Sjy"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"}}}},"NextToken":{}}}},"ListTrials":{"input":{"type":"structure","members":{"ExperimentName":{},"TrialComponentName":{},"CreatedAfter":{"type":"timestamp"},"CreatedBefore":{"type":"timestamp"},"SortBy":{},"SortOrder":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"TrialSummaries":{"type":"list","member":{"type":"structure","members":{"TrialArn":{},"TrialName":{},"DisplayName":{},"TrialSource":{"shape":"Stl"},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListUserProfiles":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"SortOrder":{},"SortBy":{},"DomainIdEquals":{},"UserProfileNameContains":{}}},"output":{"type":"structure","members":{"UserProfiles":{"type":"list","member":{"type":"structure","members":{"DomainId":{},"UserProfileName":{},"Status":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListWorkforces":{"input":{"type":"structure","members":{"SortBy":{},"SortOrder":{},"NameContains":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["Workforces"],"members":{"Workforces":{"type":"list","member":{"shape":"Su1"}},"NextToken":{}}}},"ListWorkteams":{"input":{"type":"structure","members":{"SortBy":{},"SortOrder":{},"NameContains":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["Workteams"],"members":{"Workteams":{"type":"list","member":{"shape":"Su5"}},"NextToken":{}}}},"PutModelPackageGroupPolicy":{"input":{"type":"structure","required":["ModelPackageGroupName","ResourcePolicy"],"members":{"ModelPackageGroupName":{},"ResourcePolicy":{}}},"output":{"type":"structure","required":["ModelPackageGroupArn"],"members":{"ModelPackageGroupArn":{}}}},"QueryLineage":{"input":{"type":"structure","required":["StartArns"],"members":{"StartArns":{"type":"list","member":{}},"Direction":{},"IncludeEdges":{"type":"boolean"},"Filters":{"type":"structure","members":{"Types":{"type":"list","member":{}},"LineageTypes":{"type":"list","member":{}},"CreatedBefore":{"type":"timestamp"},"CreatedAfter":{"type":"timestamp"},"ModifiedBefore":{"type":"timestamp"},"ModifiedAfter":{"type":"timestamp"},"Properties":{"type":"map","key":{},"value":{}}}},"MaxDepth":{"type":"integer"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Vertices":{"type":"list","member":{"type":"structure","members":{"Arn":{},"Type":{},"LineageType":{}}}},"Edges":{"type":"list","member":{"type":"structure","members":{"SourceArn":{},"DestinationArn":{},"AssociationType":{}}}},"NextToken":{}}}},"RegisterDevices":{"input":{"type":"structure","required":["DeviceFleetName","Devices"],"members":{"DeviceFleetName":{},"Devices":{"shape":"S14f"},"Tags":{"shape":"S7"}}}},"RenderUiTemplate":{"input":{"type":"structure","required":["Task","RoleArn"],"members":{"UiTemplate":{"shape":"Sba"},"Task":{"type":"structure","required":["Input"],"members":{"Input":{}}},"RoleArn":{},"HumanTaskUiArn":{}}},"output":{"type":"structure","required":["RenderedContent","Errors"],"members":{"RenderedContent":{},"Errors":{"type":"list","member":{"type":"structure","required":["Code","Message"],"members":{"Code":{},"Message":{}}}}}}},"RetryPipelineExecution":{"input":{"type":"structure","required":["PipelineExecutionArn","ClientRequestToken"],"members":{"PipelineExecutionArn":{},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"PipelineExecutionArn":{}}}},"Search":{"input":{"type":"structure","required":["Resource"],"members":{"Resource":{},"SearchExpression":{"shape":"S14q"},"SortBy":{},"SortOrder":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Results":{"type":"list","member":{"type":"structure","members":{"TrainingJob":{"shape":"S153"},"Experiment":{"type":"structure","members":{"ExperimentName":{},"ExperimentArn":{},"DisplayName":{},"Source":{"shape":"Spx"},"Description":{},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"},"Tags":{"shape":"S7"}}},"Trial":{"type":"structure","members":{"TrialName":{},"TrialArn":{},"DisplayName":{},"ExperimentName":{},"Source":{"shape":"Stl"},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"},"MetadataProperties":{"shape":"S1q"},"Tags":{"shape":"S7"},"TrialComponentSummaries":{"type":"list","member":{"type":"structure","members":{"TrialComponentName":{},"TrialComponentArn":{},"TrialComponentSource":{"shape":"Stp"},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"}}}}}},"TrialComponent":{"type":"structure","members":{"TrialComponentName":{},"DisplayName":{},"TrialComponentArn":{},"Source":{"shape":"Stp"},"Status":{"shape":"Sjy"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"},"Parameters":{"shape":"Sk2"},"InputArtifacts":{"shape":"Sk6"},"OutputArtifacts":{"shape":"Sk6"},"Metrics":{"shape":"Str"},"MetadataProperties":{"shape":"S1q"},"SourceDetail":{"type":"structure","members":{"SourceArn":{},"TrainingJob":{"shape":"S153"},"ProcessingJob":{"type":"structure","members":{"ProcessingInputs":{"shape":"Shc"},"ProcessingOutputConfig":{"shape":"Shz"},"ProcessingJobName":{},"ProcessingResources":{"shape":"Si4"},"StoppingCondition":{"shape":"Si6"},"AppSpecification":{"shape":"Si8"},"Environment":{"shape":"Sia"},"NetworkConfig":{"shape":"Sg8"},"RoleArn":{},"ExperimentConfig":{"shape":"Sib"},"ProcessingJobArn":{},"ProcessingJobStatus":{},"ExitMessage":{},"FailureReason":{},"ProcessingEndTime":{"type":"timestamp"},"ProcessingStartTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"MonitoringScheduleArn":{},"AutoMLJobArn":{},"TrainingJobArn":{},"Tags":{"shape":"S7"}}},"TransformJob":{"type":"structure","members":{"TransformJobName":{},"TransformJobArn":{},"TransformJobStatus":{},"FailureReason":{},"ModelName":{},"MaxConcurrentTransforms":{"type":"integer"},"ModelClientConfig":{"shape":"Sjn"},"MaxPayloadInMB":{"type":"integer"},"BatchStrategy":{},"Environment":{"shape":"S3o"},"TransformInput":{"shape":"S3r"},"TransformOutput":{"shape":"S3v"},"TransformResources":{"shape":"S3y"},"CreationTime":{"type":"timestamp"},"TransformStartTime":{"type":"timestamp"},"TransformEndTime":{"type":"timestamp"},"LabelingJobArn":{},"AutoMLJobArn":{},"DataProcessing":{"shape":"Sjq"},"ExperimentConfig":{"shape":"Sib"},"Tags":{"shape":"S7"}}}}},"LineageGroupArn":{},"Tags":{"shape":"S7"},"Parents":{"type":"list","member":{"type":"structure","members":{"TrialName":{},"ExperimentName":{}}}}}},"Endpoint":{"type":"structure","required":["EndpointName","EndpointArn","EndpointConfigName","EndpointStatus","CreationTime","LastModifiedTime"],"members":{"EndpointName":{},"EndpointArn":{},"EndpointConfigName":{},"ProductionVariants":{"shape":"Spe"},"DataCaptureConfig":{"shape":"Spn"},"EndpointStatus":{},"FailureReason":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"MonitoringSchedules":{"type":"list","member":{"type":"structure","members":{"MonitoringScheduleArn":{},"MonitoringScheduleName":{},"MonitoringScheduleStatus":{},"MonitoringType":{},"FailureReason":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"MonitoringScheduleConfig":{"shape":"Sg0"},"EndpointName":{},"LastMonitoringExecutionSummary":{"shape":"Ss0"},"Tags":{"shape":"S7"}}}},"Tags":{"shape":"S7"}}},"ModelPackage":{"type":"structure","members":{"ModelPackageName":{},"ModelPackageGroupName":{},"ModelPackageVersion":{"type":"integer"},"ModelPackageArn":{},"ModelPackageDescription":{},"CreationTime":{"type":"timestamp"},"InferenceSpecification":{"shape":"Sr"},"SourceAlgorithmSpecification":{"shape":"Sf3"},"ValidationSpecification":{"shape":"Sf0"},"ModelPackageStatus":{},"ModelPackageStatusDetails":{"shape":"Srn"},"CertifyForMarketplace":{"type":"boolean"},"ModelApprovalStatus":{},"CreatedBy":{"shape":"Smx"},"MetadataProperties":{"shape":"S1q"},"ModelMetrics":{"shape":"Sf6"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"},"ApprovalDescription":{},"Domain":{},"Task":{},"SamplePayloadUrl":{},"AdditionalInferenceSpecifications":{"shape":"Sfm"},"Tags":{"shape":"S7"},"CustomerMetadataProperties":{"shape":"Sfd"},"DriftCheckBaselines":{"shape":"Sfg"}}},"ModelPackageGroup":{"type":"structure","members":{"ModelPackageGroupName":{},"ModelPackageGroupArn":{},"ModelPackageGroupDescription":{},"CreationTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"ModelPackageGroupStatus":{},"Tags":{"shape":"S7"}}},"Pipeline":{"type":"structure","members":{"PipelineArn":{},"PipelineName":{},"PipelineDisplayName":{},"PipelineDescription":{},"RoleArn":{},"PipelineStatus":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LastRunTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedBy":{"shape":"Smx"},"Tags":{"shape":"S7"}}},"PipelineExecution":{"type":"structure","members":{"PipelineArn":{},"PipelineExecutionArn":{},"PipelineExecutionDisplayName":{},"PipelineExecutionStatus":{},"PipelineExecutionDescription":{},"PipelineExperimentConfig":{"shape":"Ssj"},"FailureReason":{},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"CreatedBy":{"shape":"Smx"},"LastModifiedBy":{"shape":"Smx"},"PipelineParameters":{"shape":"S123"}}},"FeatureGroup":{"type":"structure","members":{"FeatureGroupArn":{},"FeatureGroupName":{},"RecordIdentifierFeatureName":{},"EventTimeFeatureName":{},"FeatureDefinitions":{"shape":"Sa5"},"CreationTime":{"type":"timestamp"},"OnlineStoreConfig":{"shape":"Sa8"},"OfflineStoreConfig":{"shape":"Saa"},"RoleArn":{},"FeatureGroupStatus":{},"OfflineStoreStatus":{"shape":"Sq3"},"FailureReason":{},"Description":{},"Tags":{"shape":"S7"}}},"Project":{"type":"structure","members":{"ProjectArn":{},"ProjectName":{},"ProjectId":{},"ProjectDescription":{},"ServiceCatalogProvisioningDetails":{"shape":"Sig"},"ServiceCatalogProvisionedProductDetails":{"shape":"Ssr"},"ProjectStatus":{},"CreatedBy":{"shape":"Smx"},"CreationTime":{"type":"timestamp"},"Tags":{"shape":"S7"},"LastModifiedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Smx"}}}}}},"NextToken":{}}}},"SendPipelineExecutionStepFailure":{"input":{"type":"structure","required":["CallbackToken"],"members":{"CallbackToken":{},"FailureReason":{},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"PipelineExecutionArn":{}}}},"SendPipelineExecutionStepSuccess":{"input":{"type":"structure","required":["CallbackToken"],"members":{"CallbackToken":{},"OutputParameters":{"shape":"S11r"},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"PipelineExecutionArn":{}}}},"StartMonitoringSchedule":{"input":{"type":"structure","required":["MonitoringScheduleName"],"members":{"MonitoringScheduleName":{}}}},"StartNotebookInstance":{"input":{"type":"structure","required":["NotebookInstanceName"],"members":{"NotebookInstanceName":{}}}},"StartPipelineExecution":{"input":{"type":"structure","required":["PipelineName","ClientRequestToken"],"members":{"PipelineName":{},"PipelineExecutionDisplayName":{},"PipelineParameters":{"shape":"S123"},"PipelineExecutionDescription":{},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"PipelineExecutionArn":{}}}},"StopAutoMLJob":{"input":{"type":"structure","required":["AutoMLJobName"],"members":{"AutoMLJobName":{}}}},"StopCompilationJob":{"input":{"type":"structure","required":["CompilationJobName"],"members":{"CompilationJobName":{}}}},"StopEdgePackagingJob":{"input":{"type":"structure","required":["EdgePackagingJobName"],"members":{"EdgePackagingJobName":{}}}},"StopHyperParameterTuningJob":{"input":{"type":"structure","required":["HyperParameterTuningJobName"],"members":{"HyperParameterTuningJobName":{}}}},"StopInferenceRecommendationsJob":{"input":{"type":"structure","required":["JobName"],"members":{"JobName":{}}}},"StopLabelingJob":{"input":{"type":"structure","required":["LabelingJobName"],"members":{"LabelingJobName":{}}}},"StopMonitoringSchedule":{"input":{"type":"structure","required":["MonitoringScheduleName"],"members":{"MonitoringScheduleName":{}}}},"StopNotebookInstance":{"input":{"type":"structure","required":["NotebookInstanceName"],"members":{"NotebookInstanceName":{}}}},"StopPipelineExecution":{"input":{"type":"structure","required":["PipelineExecutionArn","ClientRequestToken"],"members":{"PipelineExecutionArn":{},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"PipelineExecutionArn":{}}}},"StopProcessingJob":{"input":{"type":"structure","required":["ProcessingJobName"],"members":{"ProcessingJobName":{}}}},"StopTrainingJob":{"input":{"type":"structure","required":["TrainingJobName"],"members":{"TrainingJobName":{}}}},"StopTransformJob":{"input":{"type":"structure","required":["TransformJobName"],"members":{"TransformJobName":{}}}},"UpdateAction":{"input":{"type":"structure","required":["ActionName"],"members":{"ActionName":{},"Description":{},"Status":{},"Properties":{"shape":"S1o"},"PropertiesToRemove":{"shape":"S169"}}},"output":{"type":"structure","members":{"ActionArn":{}}}},"UpdateAppImageConfig":{"input":{"type":"structure","required":["AppImageConfigName"],"members":{"AppImageConfigName":{},"KernelGatewayImageConfig":{"shape":"S4h"}}},"output":{"type":"structure","members":{"AppImageConfigArn":{}}}},"UpdateArtifact":{"input":{"type":"structure","required":["ArtifactArn"],"members":{"ArtifactArn":{},"ArtifactName":{},"Properties":{"shape":"S1o"},"PropertiesToRemove":{"shape":"S169"}}},"output":{"type":"structure","members":{"ArtifactArn":{}}}},"UpdateCodeRepository":{"input":{"type":"structure","required":["CodeRepositoryName"],"members":{"CodeRepositoryName":{},"GitConfig":{"type":"structure","members":{"SecretArn":{}}}}},"output":{"type":"structure","required":["CodeRepositoryArn"],"members":{"CodeRepositoryArn":{}}}},"UpdateContext":{"input":{"type":"structure","required":["ContextName"],"members":{"ContextName":{},"Description":{},"Properties":{"shape":"S1o"},"PropertiesToRemove":{"shape":"S169"}}},"output":{"type":"structure","members":{"ContextArn":{}}}},"UpdateDeviceFleet":{"input":{"type":"structure","required":["DeviceFleetName","OutputConfig"],"members":{"DeviceFleetName":{},"RoleArn":{},"Description":{},"OutputConfig":{"shape":"S7o"},"EnableIotRoleAlias":{"type":"boolean"}}}},"UpdateDevices":{"input":{"type":"structure","required":["DeviceFleetName","Devices"],"members":{"DeviceFleetName":{},"Devices":{"shape":"S14f"}}}},"UpdateDomain":{"input":{"type":"structure","required":["DomainId"],"members":{"DomainId":{},"DefaultUserSettings":{"shape":"S7u"},"DomainSettingsForUpdate":{"type":"structure","members":{"RStudioServerProDomainSettingsForUpdate":{"type":"structure","required":["DomainExecutionRoleArn"],"members":{"DomainExecutionRoleArn":{},"DefaultResourceSpec":{"shape":"S48"}}}}}}},"output":{"type":"structure","members":{"DomainArn":{}}}},"UpdateEndpoint":{"input":{"type":"structure","required":["EndpointName","EndpointConfigName"],"members":{"EndpointName":{},"EndpointConfigName":{},"RetainAllVariantProperties":{"type":"boolean"},"ExcludeRetainedVariantProperties":{"type":"list","member":{"type":"structure","required":["VariantPropertyType"],"members":{"VariantPropertyType":{}}}},"DeploymentConfig":{"shape":"S8n"},"RetainDeploymentConfig":{"type":"boolean"}}},"output":{"type":"structure","required":["EndpointArn"],"members":{"EndpointArn":{}}}},"UpdateEndpointWeightsAndCapacities":{"input":{"type":"structure","required":["EndpointName","DesiredWeightsAndCapacities"],"members":{"EndpointName":{},"DesiredWeightsAndCapacities":{"type":"list","member":{"type":"structure","required":["VariantName"],"members":{"VariantName":{},"DesiredWeight":{"type":"float"},"DesiredInstanceCount":{"type":"integer"}}}}}},"output":{"type":"structure","required":["EndpointArn"],"members":{"EndpointArn":{}}}},"UpdateExperiment":{"input":{"type":"structure","required":["ExperimentName"],"members":{"ExperimentName":{},"DisplayName":{},"Description":{}}},"output":{"type":"structure","members":{"ExperimentArn":{}}}},"UpdateImage":{"input":{"type":"structure","required":["ImageName"],"members":{"DeleteProperties":{"type":"list","member":{}},"Description":{},"DisplayName":{},"ImageName":{},"RoleArn":{}}},"output":{"type":"structure","members":{"ImageArn":{}}}},"UpdateModelPackage":{"input":{"type":"structure","required":["ModelPackageArn"],"members":{"ModelPackageArn":{},"ModelApprovalStatus":{},"ApprovalDescription":{},"CustomerMetadataProperties":{"shape":"Sfd"},"CustomerMetadataPropertiesToRemove":{"type":"list","member":{}},"AdditionalInferenceSpecificationsToAdd":{"shape":"Sfm"}}},"output":{"type":"structure","required":["ModelPackageArn"],"members":{"ModelPackageArn":{}}}},"UpdateMonitoringSchedule":{"input":{"type":"structure","required":["MonitoringScheduleName","MonitoringScheduleConfig"],"members":{"MonitoringScheduleName":{},"MonitoringScheduleConfig":{"shape":"Sg0"}}},"output":{"type":"structure","required":["MonitoringScheduleArn"],"members":{"MonitoringScheduleArn":{}}}},"UpdateNotebookInstance":{"input":{"type":"structure","required":["NotebookInstanceName"],"members":{"NotebookInstanceName":{},"InstanceType":{},"RoleArn":{},"LifecycleConfigName":{},"DisassociateLifecycleConfig":{"type":"boolean"},"VolumeSizeInGB":{"type":"integer"},"DefaultCodeRepository":{},"AdditionalCodeRepositories":{"shape":"Sgl"},"AcceleratorTypes":{"shape":"Sgi"},"DisassociateAcceleratorTypes":{"type":"boolean"},"DisassociateDefaultCodeRepository":{"type":"boolean"},"DisassociateAdditionalCodeRepositories":{"type":"boolean"},"RootAccess":{}}},"output":{"type":"structure","members":{}}},"UpdateNotebookInstanceLifecycleConfig":{"input":{"type":"structure","required":["NotebookInstanceLifecycleConfigName"],"members":{"NotebookInstanceLifecycleConfigName":{},"OnCreate":{"shape":"Sgr"},"OnStart":{"shape":"Sgr"}}},"output":{"type":"structure","members":{}}},"UpdatePipeline":{"input":{"type":"structure","required":["PipelineName"],"members":{"PipelineName":{},"PipelineDisplayName":{},"PipelineDefinition":{},"PipelineDescription":{},"RoleArn":{}}},"output":{"type":"structure","members":{"PipelineArn":{}}}},"UpdatePipelineExecution":{"input":{"type":"structure","required":["PipelineExecutionArn"],"members":{"PipelineExecutionArn":{},"PipelineExecutionDescription":{},"PipelineExecutionDisplayName":{}}},"output":{"type":"structure","members":{"PipelineExecutionArn":{}}}},"UpdateProject":{"input":{"type":"structure","required":["ProjectName"],"members":{"ProjectName":{},"ProjectDescription":{},"ServiceCatalogProvisioningUpdateDetails":{"type":"structure","members":{"ProvisioningArtifactId":{},"ProvisioningParameters":{"shape":"Sii"}}},"Tags":{"shape":"S7"}}},"output":{"type":"structure","required":["ProjectArn"],"members":{"ProjectArn":{}}}},"UpdateTrainingJob":{"input":{"type":"structure","required":["TrainingJobName"],"members":{"TrainingJobName":{},"ProfilerConfig":{"type":"structure","members":{"S3OutputPath":{},"ProfilingIntervalInMilliseconds":{"type":"long"},"ProfilingParameters":{"shape":"Sjd"},"DisableProfiler":{"type":"boolean"}}},"ProfilerRuleConfigurations":{"shape":"Sje"}}},"output":{"type":"structure","required":["TrainingJobArn"],"members":{"TrainingJobArn":{}}}},"UpdateTrial":{"input":{"type":"structure","required":["TrialName"],"members":{"TrialName":{},"DisplayName":{}}},"output":{"type":"structure","members":{"TrialArn":{}}}},"UpdateTrialComponent":{"input":{"type":"structure","required":["TrialComponentName"],"members":{"TrialComponentName":{},"DisplayName":{},"Status":{"shape":"Sjy"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Parameters":{"shape":"Sk2"},"ParametersToRemove":{"shape":"S17w"},"InputArtifacts":{"shape":"Sk6"},"InputArtifactsToRemove":{"shape":"S17w"},"OutputArtifacts":{"shape":"Sk6"},"OutputArtifactsToRemove":{"shape":"S17w"}}},"output":{"type":"structure","members":{"TrialComponentArn":{}}}},"UpdateUserProfile":{"input":{"type":"structure","required":["DomainId","UserProfileName"],"members":{"DomainId":{},"UserProfileName":{},"UserSettings":{"shape":"S7u"}}},"output":{"type":"structure","members":{"UserProfileArn":{}}}},"UpdateWorkforce":{"input":{"type":"structure","required":["WorkforceName"],"members":{"WorkforceName":{},"SourceIpConfig":{"shape":"Skn"},"OidcConfig":{"shape":"Skk"}}},"output":{"type":"structure","required":["Workforce"],"members":{"Workforce":{"shape":"Su1"}}}},"UpdateWorkteam":{"input":{"type":"structure","required":["WorkteamName"],"members":{"WorkteamName":{},"MemberDefinitions":{"shape":"Skv"},"Description":{},"NotificationConfiguration":{"shape":"Sl3"}}},"output":{"type":"structure","required":["Workteam"],"members":{"Workteam":{"shape":"Su5"}}}}},"shapes":{"S7":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sr":{"type":"structure","required":["Containers","SupportedContentTypes","SupportedResponseMIMETypes"],"members":{"Containers":{"shape":"Ss"},"SupportedTransformInstanceTypes":{"shape":"S16"},"SupportedRealtimeInferenceInstanceTypes":{"shape":"S18"},"SupportedContentTypes":{"shape":"S1a"},"SupportedResponseMIMETypes":{"shape":"S1c"}}},"Ss":{"type":"list","member":{"type":"structure","required":["Image"],"members":{"ContainerHostname":{},"Image":{},"ImageDigest":{},"ModelDataUrl":{},"ProductId":{},"Environment":{"shape":"Sz"},"ModelInput":{"type":"structure","required":["DataInputConfig"],"members":{"DataInputConfig":{}}},"Framework":{},"FrameworkVersion":{},"NearestModelName":{}}}},"Sz":{"type":"map","key":{},"value":{}},"S16":{"type":"list","member":{}},"S18":{"type":"list","member":{}},"S1a":{"type":"list","member":{}},"S1c":{"type":"list","member":{}},"S1j":{"type":"structure","required":["SourceUri"],"members":{"SourceUri":{},"SourceType":{},"SourceId":{}}},"S1o":{"type":"map","key":{},"value":{}},"S1q":{"type":"structure","members":{"CommitId":{},"Repository":{},"GeneratedBy":{},"ProjectId":{}}},"S1v":{"type":"structure","required":["TrainingImage","SupportedTrainingInstanceTypes","TrainingChannels"],"members":{"TrainingImage":{},"TrainingImageDigest":{},"SupportedHyperParameters":{"type":"list","member":{"type":"structure","required":["Name","Type"],"members":{"Name":{},"Description":{},"Type":{},"Range":{"type":"structure","members":{"IntegerParameterRangeSpecification":{"type":"structure","required":["MinValue","MaxValue"],"members":{"MinValue":{},"MaxValue":{}}},"ContinuousParameterRangeSpecification":{"type":"structure","required":["MinValue","MaxValue"],"members":{"MinValue":{},"MaxValue":{}}},"CategoricalParameterRangeSpecification":{"type":"structure","required":["Values"],"members":{"Values":{"shape":"S25"}}}}},"IsTunable":{"type":"boolean"},"IsRequired":{"type":"boolean"},"DefaultValue":{}}}},"SupportedTrainingInstanceTypes":{"type":"list","member":{}},"SupportsDistributedTraining":{"type":"boolean"},"MetricDefinitions":{"shape":"S2a"},"TrainingChannels":{"type":"list","member":{"type":"structure","required":["Name","SupportedContentTypes","SupportedInputModes"],"members":{"Name":{},"Description":{},"IsRequired":{"type":"boolean"},"SupportedContentTypes":{"shape":"S1a"},"SupportedCompressionTypes":{"type":"list","member":{}},"SupportedInputModes":{"type":"list","member":{}}}}},"SupportedTuningJobObjectiveMetrics":{"type":"list","member":{"shape":"S2m"}}}},"S25":{"type":"list","member":{}},"S2a":{"type":"list","member":{"type":"structure","required":["Name","Regex"],"members":{"Name":{},"Regex":{}}}},"S2m":{"type":"structure","required":["Type","MetricName"],"members":{"Type":{},"MetricName":{}}},"S2o":{"type":"structure","required":["ValidationRole","ValidationProfiles"],"members":{"ValidationRole":{},"ValidationProfiles":{"type":"list","member":{"type":"structure","required":["ProfileName","TrainingJobDefinition"],"members":{"ProfileName":{},"TrainingJobDefinition":{"type":"structure","required":["TrainingInputMode","InputDataConfig","OutputDataConfig","ResourceConfig","StoppingCondition"],"members":{"TrainingInputMode":{},"HyperParameters":{"shape":"S2t"},"InputDataConfig":{"shape":"S2v"},"OutputDataConfig":{"shape":"S3c"},"ResourceConfig":{"shape":"S3e"},"StoppingCondition":{"shape":"S3h"}}},"TransformJobDefinition":{"shape":"S3k"}}}}}},"S2t":{"type":"map","key":{},"value":{}},"S2v":{"type":"list","member":{"type":"structure","required":["ChannelName","DataSource"],"members":{"ChannelName":{},"DataSource":{"type":"structure","members":{"S3DataSource":{"type":"structure","required":["S3DataType","S3Uri"],"members":{"S3DataType":{},"S3Uri":{},"S3DataDistributionType":{},"AttributeNames":{"type":"list","member":{}}}},"FileSystemDataSource":{"type":"structure","required":["FileSystemId","FileSystemAccessMode","FileSystemType","DirectoryPath"],"members":{"FileSystemId":{},"FileSystemAccessMode":{},"FileSystemType":{},"DirectoryPath":{}}}}},"ContentType":{},"CompressionType":{},"RecordWrapperType":{},"InputMode":{},"ShuffleConfig":{"type":"structure","required":["Seed"],"members":{"Seed":{"type":"long"}}}}}},"S3c":{"type":"structure","required":["S3OutputPath"],"members":{"KmsKeyId":{},"S3OutputPath":{}}},"S3e":{"type":"structure","required":["InstanceType","InstanceCount","VolumeSizeInGB"],"members":{"InstanceType":{},"InstanceCount":{"type":"integer"},"VolumeSizeInGB":{"type":"integer"},"VolumeKmsKeyId":{}}},"S3h":{"type":"structure","members":{"MaxRuntimeInSeconds":{"type":"integer"},"MaxWaitTimeInSeconds":{"type":"integer"}}},"S3k":{"type":"structure","required":["TransformInput","TransformOutput","TransformResources"],"members":{"MaxConcurrentTransforms":{"type":"integer"},"MaxPayloadInMB":{"type":"integer"},"BatchStrategy":{},"Environment":{"shape":"S3o"},"TransformInput":{"shape":"S3r"},"TransformOutput":{"shape":"S3v"},"TransformResources":{"shape":"S3y"}}},"S3o":{"type":"map","key":{},"value":{}},"S3r":{"type":"structure","required":["DataSource"],"members":{"DataSource":{"type":"structure","required":["S3DataSource"],"members":{"S3DataSource":{"type":"structure","required":["S3DataType","S3Uri"],"members":{"S3DataType":{},"S3Uri":{}}}}},"ContentType":{},"CompressionType":{},"SplitType":{}}},"S3v":{"type":"structure","required":["S3OutputPath"],"members":{"S3OutputPath":{},"Accept":{},"AssembleWith":{},"KmsKeyId":{}}},"S3y":{"type":"structure","required":["InstanceType","InstanceCount"],"members":{"InstanceType":{},"InstanceCount":{"type":"integer"},"VolumeKmsKeyId":{}}},"S48":{"type":"structure","members":{"SageMakerImageArn":{},"SageMakerImageVersionArn":{},"InstanceType":{},"LifecycleConfigArn":{}}},"S4h":{"type":"structure","required":["KernelSpecs"],"members":{"KernelSpecs":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{},"DisplayName":{}}}},"FileSystemConfig":{"type":"structure","members":{"MountPath":{},"DefaultUid":{"type":"integer"},"DefaultGid":{"type":"integer"}}}}},"S4t":{"type":"structure","required":["SourceUri"],"members":{"SourceUri":{},"SourceTypes":{"type":"list","member":{"type":"structure","required":["SourceIdType","Value"],"members":{"SourceIdType":{},"Value":{}}}}}},"S51":{"type":"list","member":{"type":"structure","required":["DataSource","TargetAttributeName"],"members":{"DataSource":{"type":"structure","required":["S3DataSource"],"members":{"S3DataSource":{"type":"structure","required":["S3DataType","S3Uri"],"members":{"S3DataType":{},"S3Uri":{}}}}},"CompressionType":{},"TargetAttributeName":{}}}},"S57":{"type":"structure","required":["S3OutputPath"],"members":{"KmsKeyId":{},"S3OutputPath":{}}},"S59":{"type":"structure","required":["MetricName"],"members":{"MetricName":{}}},"S5b":{"type":"structure","members":{"CompletionCriteria":{"shape":"S5c"},"SecurityConfig":{"type":"structure","members":{"VolumeKmsKeyId":{},"EnableInterContainerTrafficEncryption":{"type":"boolean"},"VpcConfig":{"shape":"S5h"}}}}},"S5c":{"type":"structure","members":{"MaxCandidates":{"type":"integer"},"MaxRuntimePerTrainingJobInSeconds":{"type":"integer"},"MaxAutoMLJobRuntimeInSeconds":{"type":"integer"}}},"S5h":{"type":"structure","required":["SecurityGroupIds","Subnets"],"members":{"SecurityGroupIds":{"type":"list","member":{}},"Subnets":{"shape":"S5k"}}},"S5k":{"type":"list","member":{}},"S5n":{"type":"structure","members":{"AutoGenerateEndpointName":{"type":"boolean"},"EndpointName":{}}},"S5t":{"type":"structure","required":["RepositoryUrl"],"members":{"RepositoryUrl":{},"Branch":{},"SecretArn":{}}},"S60":{"type":"structure","required":["S3Uri","DataInputConfig","Framework"],"members":{"S3Uri":{},"DataInputConfig":{},"Framework":{},"FrameworkVersion":{}}},"S62":{"type":"structure","required":["S3OutputLocation"],"members":{"S3OutputLocation":{},"TargetDevice":{},"TargetPlatform":{"type":"structure","required":["Os","Arch"],"members":{"Os":{},"Arch":{},"Accelerator":{}}},"CompilerOptions":{},"KmsKeyId":{}}},"S69":{"type":"structure","required":["SecurityGroupIds","Subnets"],"members":{"SecurityGroupIds":{"type":"list","member":{}},"Subnets":{"type":"list","member":{}}}},"S6h":{"type":"structure","required":["SourceUri"],"members":{"SourceUri":{},"SourceType":{},"SourceId":{}}},"S6m":{"type":"structure","members":{"BaseliningJobName":{},"ConstraintsResource":{"shape":"S6o"},"StatisticsResource":{"shape":"S6p"}}},"S6o":{"type":"structure","members":{"S3Uri":{}}},"S6p":{"type":"structure","members":{"S3Uri":{}}},"S6q":{"type":"structure","required":["ImageUri"],"members":{"ImageUri":{},"ContainerEntrypoint":{"shape":"S6s"},"ContainerArguments":{"shape":"S6u"},"RecordPreprocessorSourceUri":{},"PostAnalyticsProcessorSourceUri":{},"Environment":{"shape":"S6w"}}},"S6s":{"type":"list","member":{}},"S6u":{"type":"list","member":{}},"S6w":{"type":"map","key":{},"value":{}},"S6z":{"type":"structure","required":["EndpointInput"],"members":{"EndpointInput":{"shape":"S70"}}},"S70":{"type":"structure","required":["EndpointName","LocalPath"],"members":{"EndpointName":{},"LocalPath":{},"S3InputMode":{},"S3DataDistributionType":{},"FeaturesAttribute":{},"InferenceAttribute":{},"ProbabilityAttribute":{},"ProbabilityThresholdAttribute":{"type":"double"},"StartTimeOffset":{},"EndTimeOffset":{}}},"S76":{"type":"structure","required":["MonitoringOutputs"],"members":{"MonitoringOutputs":{"type":"list","member":{"type":"structure","required":["S3Output"],"members":{"S3Output":{"type":"structure","required":["S3Uri","LocalPath"],"members":{"S3Uri":{},"LocalPath":{},"S3UploadMode":{}}}}}},"KmsKeyId":{}}},"S7c":{"type":"structure","required":["ClusterConfig"],"members":{"ClusterConfig":{"type":"structure","required":["InstanceCount","InstanceType","VolumeSizeInGB"],"members":{"InstanceCount":{"type":"integer"},"InstanceType":{},"VolumeSizeInGB":{"type":"integer"},"VolumeKmsKeyId":{}}}}},"S7h":{"type":"structure","members":{"EnableInterContainerTrafficEncryption":{"type":"boolean"},"EnableNetworkIsolation":{"type":"boolean"},"VpcConfig":{"shape":"S5h"}}},"S7i":{"type":"structure","required":["MaxRuntimeInSeconds"],"members":{"MaxRuntimeInSeconds":{"type":"integer"}}},"S7o":{"type":"structure","required":["S3OutputLocation"],"members":{"S3OutputLocation":{},"KmsKeyId":{},"PresetDeploymentType":{},"PresetDeploymentConfig":{}}},"S7u":{"type":"structure","members":{"ExecutionRole":{},"SecurityGroups":{"shape":"S7v"},"SharingSettings":{"type":"structure","members":{"NotebookOutputOption":{},"S3OutputPath":{},"S3KmsKeyId":{}}},"JupyterServerAppSettings":{"type":"structure","members":{"DefaultResourceSpec":{"shape":"S48"},"LifecycleConfigArns":{"shape":"S7z"}}},"KernelGatewayAppSettings":{"type":"structure","members":{"DefaultResourceSpec":{"shape":"S48"},"CustomImages":{"type":"list","member":{"type":"structure","required":["ImageName","AppImageConfigName"],"members":{"ImageName":{},"ImageVersionNumber":{"type":"integer"},"AppImageConfigName":{}}}},"LifecycleConfigArns":{"shape":"S7z"}}},"TensorBoardAppSettings":{"type":"structure","members":{"DefaultResourceSpec":{"shape":"S48"}}},"RStudioServerProAppSettings":{"type":"structure","members":{"AccessStatus":{},"UserGroup":{}}},"RSessionAppSettings":{"type":"structure","members":{}}}},"S7v":{"type":"list","member":{}},"S7z":{"type":"list","member":{}},"S8d":{"type":"structure","members":{"SecurityGroupIds":{"type":"list","member":{}},"RStudioServerProDomainSettings":{"type":"structure","required":["DomainExecutionRoleArn"],"members":{"DomainExecutionRoleArn":{},"RStudioConnectUrl":{},"RStudioPackageManagerUrl":{},"DefaultResourceSpec":{"shape":"S48"}}}}},"S8n":{"type":"structure","required":["BlueGreenUpdatePolicy"],"members":{"BlueGreenUpdatePolicy":{"type":"structure","required":["TrafficRoutingConfiguration"],"members":{"TrafficRoutingConfiguration":{"type":"structure","required":["Type","WaitIntervalInSeconds"],"members":{"Type":{},"WaitIntervalInSeconds":{"type":"integer"},"CanarySize":{"shape":"S8s"},"LinearStepSize":{"shape":"S8s"}}},"TerminationWaitInSeconds":{"type":"integer"},"MaximumExecutionTimeoutInSeconds":{"type":"integer"}}},"AutoRollbackConfiguration":{"type":"structure","members":{"Alarms":{"type":"list","member":{"type":"structure","members":{"AlarmName":{}}}}}}}},"S8s":{"type":"structure","required":["Type","Value"],"members":{"Type":{},"Value":{"type":"integer"}}},"S94":{"type":"list","member":{"type":"structure","required":["VariantName","ModelName"],"members":{"VariantName":{},"ModelName":{},"InitialInstanceCount":{"type":"integer"},"InstanceType":{},"InitialVariantWeight":{"type":"float"},"AcceleratorType":{},"CoreDumpConfig":{"type":"structure","required":["DestinationS3Uri"],"members":{"DestinationS3Uri":{},"KmsKeyId":{}}},"ServerlessConfig":{"shape":"S9d"}}}},"S9d":{"type":"structure","required":["MemorySizeInMB","MaxConcurrency"],"members":{"MemorySizeInMB":{"type":"integer"},"MaxConcurrency":{"type":"integer"}}},"S9g":{"type":"structure","required":["InitialSamplingPercentage","DestinationS3Uri","CaptureOptions"],"members":{"EnableCapture":{"type":"boolean"},"InitialSamplingPercentage":{"type":"integer"},"DestinationS3Uri":{},"KmsKeyId":{},"CaptureOptions":{"type":"list","member":{"type":"structure","required":["CaptureMode"],"members":{"CaptureMode":{}}}},"CaptureContentTypeHeader":{"type":"structure","members":{"CsvContentTypes":{"type":"list","member":{}},"JsonContentTypes":{"type":"list","member":{}}}}}},"S9r":{"type":"structure","required":["OutputConfig"],"members":{"ClientConfig":{"type":"structure","members":{"MaxConcurrentInvocationsPerInstance":{"type":"integer"}}},"OutputConfig":{"type":"structure","required":["S3OutputPath"],"members":{"KmsKeyId":{},"S3OutputPath":{},"NotificationConfig":{"type":"structure","members":{"SuccessTopic":{},"ErrorTopic":{}}}}}}},"Sa5":{"type":"list","member":{"type":"structure","members":{"FeatureName":{},"FeatureType":{}}}},"Sa8":{"type":"structure","members":{"SecurityConfig":{"type":"structure","members":{"KmsKeyId":{}}},"EnableOnlineStore":{"type":"boolean"}}},"Saa":{"type":"structure","required":["S3StorageConfig"],"members":{"S3StorageConfig":{"type":"structure","required":["S3Uri"],"members":{"S3Uri":{},"KmsKeyId":{},"ResolvedOutputS3Uri":{}}},"DisableGlueTableCreation":{"type":"boolean"},"DataCatalogConfig":{"type":"structure","required":["TableName","Catalog","Database"],"members":{"TableName":{},"Catalog":{},"Database":{}}}}},"Sal":{"type":"structure","required":["AwsManagedHumanLoopRequestSource"],"members":{"AwsManagedHumanLoopRequestSource":{}}},"San":{"type":"structure","required":["HumanLoopActivationConditionsConfig"],"members":{"HumanLoopActivationConditionsConfig":{"type":"structure","required":["HumanLoopActivationConditions"],"members":{"HumanLoopActivationConditions":{"jsonvalue":true}}}}},"Saq":{"type":"structure","required":["WorkteamArn","HumanTaskUiArn","TaskTitle","TaskDescription","TaskCount"],"members":{"WorkteamArn":{},"HumanTaskUiArn":{},"TaskTitle":{},"TaskDescription":{},"TaskCount":{"type":"integer"},"TaskAvailabilityLifetimeInSeconds":{"type":"integer"},"TaskTimeLimitInSeconds":{"type":"integer"},"TaskKeywords":{"type":"list","member":{}},"PublicWorkforceTaskPrice":{"shape":"Sb0"}}},"Sb0":{"type":"structure","members":{"AmountInUsd":{"type":"structure","members":{"Dollars":{"type":"integer"},"Cents":{"type":"integer"},"TenthFractionsOfACent":{"type":"integer"}}}}},"Sb5":{"type":"structure","required":["S3OutputPath"],"members":{"S3OutputPath":{},"KmsKeyId":{}}},"Sba":{"type":"structure","required":["Content"],"members":{"Content":{}}},"Sbf":{"type":"structure","required":["Strategy","ResourceLimits"],"members":{"Strategy":{},"HyperParameterTuningJobObjective":{"shape":"S2m"},"ResourceLimits":{"shape":"Sbh"},"ParameterRanges":{"shape":"Sbk"},"TrainingJobEarlyStoppingType":{},"TuningJobCompletionCriteria":{"type":"structure","required":["TargetObjectiveMetricValue"],"members":{"TargetObjectiveMetricValue":{"type":"float"}}}}},"Sbh":{"type":"structure","required":["MaxNumberOfTrainingJobs","MaxParallelTrainingJobs"],"members":{"MaxNumberOfTrainingJobs":{"type":"integer"},"MaxParallelTrainingJobs":{"type":"integer"}}},"Sbk":{"type":"structure","members":{"IntegerParameterRanges":{"type":"list","member":{"type":"structure","required":["Name","MinValue","MaxValue"],"members":{"Name":{},"MinValue":{},"MaxValue":{},"ScalingType":{}}}},"ContinuousParameterRanges":{"type":"list","member":{"type":"structure","required":["Name","MinValue","MaxValue"],"members":{"Name":{},"MinValue":{},"MaxValue":{},"ScalingType":{}}}},"CategoricalParameterRanges":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"shape":"S25"}}}}}},"Sbw":{"type":"structure","required":["AlgorithmSpecification","RoleArn","OutputDataConfig","ResourceConfig","StoppingCondition"],"members":{"DefinitionName":{},"TuningObjective":{"shape":"S2m"},"HyperParameterRanges":{"shape":"Sbk"},"StaticHyperParameters":{"shape":"S2t"},"AlgorithmSpecification":{"type":"structure","required":["TrainingInputMode"],"members":{"TrainingImage":{},"TrainingInputMode":{},"AlgorithmName":{},"MetricDefinitions":{"shape":"S2a"}}},"RoleArn":{},"InputDataConfig":{"shape":"S2v"},"VpcConfig":{"shape":"S5h"},"OutputDataConfig":{"shape":"S3c"},"ResourceConfig":{"shape":"S3e"},"StoppingCondition":{"shape":"S3h"},"EnableNetworkIsolation":{"type":"boolean"},"EnableInterContainerTrafficEncryption":{"type":"boolean"},"EnableManagedSpotTraining":{"type":"boolean"},"CheckpointConfig":{"shape":"Sc1"},"RetryStrategy":{"shape":"Sc2"}}},"Sc1":{"type":"structure","required":["S3Uri"],"members":{"S3Uri":{},"LocalPath":{}}},"Sc2":{"type":"structure","required":["MaximumRetryAttempts"],"members":{"MaximumRetryAttempts":{"type":"integer"}}},"Sc4":{"type":"list","member":{"shape":"Sbw"}},"Sc5":{"type":"structure","required":["ParentHyperParameterTuningJobs","WarmStartType"],"members":{"ParentHyperParameterTuningJobs":{"type":"list","member":{"type":"structure","members":{"HyperParameterTuningJobName":{}}}},"WarmStartType":{}}},"Scm":{"type":"structure","required":["ModelPackageVersionArn"],"members":{"ModelPackageVersionArn":{},"JobDurationInSeconds":{"type":"integer"},"TrafficPattern":{"type":"structure","members":{"TrafficType":{},"Phases":{"type":"list","member":{"type":"structure","members":{"InitialNumberOfUsers":{"type":"integer"},"SpawnRate":{"type":"integer"},"DurationInSeconds":{"type":"integer"}}}}}},"ResourceLimit":{"type":"structure","members":{"MaxNumberOfTests":{"type":"integer"},"MaxParallelOfTests":{"type":"integer"}}},"EndpointConfigurations":{"type":"list","member":{"type":"structure","required":["InstanceType"],"members":{"InstanceType":{},"InferenceSpecificationName":{},"EnvironmentParameterRanges":{"type":"structure","members":{"CategoricalParameterRanges":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{"type":"list","member":{}}}}}}}}}}}},"Sd8":{"type":"structure","members":{"MaxInvocations":{"type":"integer"},"ModelLatencyThresholds":{"type":"list","member":{"type":"structure","members":{"Percentile":{},"ValueInMilliseconds":{"type":"integer"}}}}}},"Sdh":{"type":"structure","required":["DataSource"],"members":{"DataSource":{"type":"structure","members":{"S3DataSource":{"type":"structure","required":["ManifestS3Uri"],"members":{"ManifestS3Uri":{}}},"SnsDataSource":{"type":"structure","required":["SnsTopicArn"],"members":{"SnsTopicArn":{}}}}},"DataAttributes":{"type":"structure","members":{"ContentClassifiers":{"type":"list","member":{}}}}}},"Sdo":{"type":"structure","required":["S3OutputPath"],"members":{"S3OutputPath":{},"KmsKeyId":{},"SnsTopicArn":{}}},"Sdp":{"type":"structure","members":{"MaxHumanLabeledObjectCount":{"type":"integer"},"MaxPercentageOfInputDatasetLabeled":{"type":"integer"}}},"Sds":{"type":"structure","required":["LabelingJobAlgorithmSpecificationArn"],"members":{"LabelingJobAlgorithmSpecificationArn":{},"InitialActiveLearningModelArn":{},"LabelingJobResourceConfig":{"type":"structure","members":{"VolumeKmsKeyId":{}}}}},"Sdw":{"type":"structure","required":["WorkteamArn","UiConfig","PreHumanTaskLambdaArn","TaskTitle","TaskDescription","NumberOfHumanWorkersPerDataObject","TaskTimeLimitInSeconds","AnnotationConsolidationConfig"],"members":{"WorkteamArn":{},"UiConfig":{"type":"structure","members":{"UiTemplateS3Uri":{},"HumanTaskUiArn":{}}},"PreHumanTaskLambdaArn":{},"TaskKeywords":{"type":"list","member":{}},"TaskTitle":{},"TaskDescription":{},"NumberOfHumanWorkersPerDataObject":{"type":"integer"},"TaskTimeLimitInSeconds":{"type":"integer"},"TaskAvailabilityLifetimeInSeconds":{"type":"integer"},"MaxConcurrentTaskCount":{"type":"integer"},"AnnotationConsolidationConfig":{"type":"structure","required":["AnnotationConsolidationLambdaArn"],"members":{"AnnotationConsolidationLambdaArn":{}}},"PublicWorkforceTaskPrice":{"shape":"Sb0"}}},"Seb":{"type":"structure","members":{"ContainerHostname":{},"Image":{},"ImageConfig":{"type":"structure","required":["RepositoryAccessMode"],"members":{"RepositoryAccessMode":{},"RepositoryAuthConfig":{"type":"structure","required":["RepositoryCredentialsProviderArn"],"members":{"RepositoryCredentialsProviderArn":{}}}}},"Mode":{},"ModelDataUrl":{},"Environment":{"shape":"Sz"},"ModelPackageName":{},"InferenceSpecificationName":{},"MultiModelConfig":{"type":"structure","members":{"ModelCacheSetting":{}}}}},"Sek":{"type":"list","member":{"shape":"Seb"}},"Sel":{"type":"structure","required":["Mode"],"members":{"Mode":{}}},"Sep":{"type":"structure","members":{"BaseliningJobName":{},"ConstraintsResource":{"shape":"S6o"}}},"Seq":{"type":"structure","required":["ImageUri","ConfigUri"],"members":{"ImageUri":{},"ConfigUri":{},"Environment":{"shape":"S6w"}}},"Ser":{"type":"structure","required":["EndpointInput","GroundTruthS3Input"],"members":{"EndpointInput":{"shape":"S70"},"GroundTruthS3Input":{"shape":"Ses"}}},"Ses":{"type":"structure","members":{"S3Uri":{}}},"Sev":{"type":"structure","members":{"BaseliningJobName":{},"ConstraintsResource":{"shape":"S6o"}}},"Sew":{"type":"structure","required":["ImageUri","ConfigUri"],"members":{"ImageUri":{},"ConfigUri":{},"Environment":{"shape":"S6w"}}},"Sex":{"type":"structure","required":["EndpointInput"],"members":{"EndpointInput":{"shape":"S70"}}},"Sf0":{"type":"structure","required":["ValidationRole","ValidationProfiles"],"members":{"ValidationRole":{},"ValidationProfiles":{"type":"list","member":{"type":"structure","required":["ProfileName","TransformJobDefinition"],"members":{"ProfileName":{},"TransformJobDefinition":{"shape":"S3k"}}}}}},"Sf3":{"type":"structure","required":["SourceAlgorithms"],"members":{"SourceAlgorithms":{"type":"list","member":{"type":"structure","required":["AlgorithmName"],"members":{"ModelDataUrl":{},"AlgorithmName":{}}}}}},"Sf6":{"type":"structure","members":{"ModelQuality":{"type":"structure","members":{"Statistics":{"shape":"Sf8"},"Constraints":{"shape":"Sf8"}}},"ModelDataQuality":{"type":"structure","members":{"Statistics":{"shape":"Sf8"},"Constraints":{"shape":"Sf8"}}},"Bias":{"type":"structure","members":{"Report":{"shape":"Sf8"},"PreTrainingReport":{"shape":"Sf8"},"PostTrainingReport":{"shape":"Sf8"}}},"Explainability":{"type":"structure","members":{"Report":{"shape":"Sf8"}}}}},"Sf8":{"type":"structure","required":["ContentType","S3Uri"],"members":{"ContentType":{},"ContentDigest":{},"S3Uri":{}}},"Sfd":{"type":"map","key":{},"value":{}},"Sfg":{"type":"structure","members":{"Bias":{"type":"structure","members":{"ConfigFile":{"shape":"Sfi"},"PreTrainingConstraints":{"shape":"Sf8"},"PostTrainingConstraints":{"shape":"Sf8"}}},"Explainability":{"type":"structure","members":{"Constraints":{"shape":"Sf8"},"ConfigFile":{"shape":"Sfi"}}},"ModelQuality":{"type":"structure","members":{"Statistics":{"shape":"Sf8"},"Constraints":{"shape":"Sf8"}}},"ModelDataQuality":{"type":"structure","members":{"Statistics":{"shape":"Sf8"},"Constraints":{"shape":"Sf8"}}}}},"Sfi":{"type":"structure","required":["S3Uri"],"members":{"ContentType":{},"ContentDigest":{},"S3Uri":{}}},"Sfm":{"type":"list","member":{"type":"structure","required":["Name","Containers"],"members":{"Name":{},"Description":{},"Containers":{"shape":"Ss"},"SupportedTransformInstanceTypes":{"shape":"S16"},"SupportedRealtimeInferenceInstanceTypes":{"shape":"S18"},"SupportedContentTypes":{"shape":"S1a"},"SupportedResponseMIMETypes":{"shape":"S1c"}}}},"Sft":{"type":"structure","members":{"BaseliningJobName":{},"ConstraintsResource":{"shape":"S6o"}}},"Sfu":{"type":"structure","required":["ImageUri"],"members":{"ImageUri":{},"ContainerEntrypoint":{"shape":"S6s"},"ContainerArguments":{"shape":"S6u"},"RecordPreprocessorSourceUri":{},"PostAnalyticsProcessorSourceUri":{},"ProblemType":{},"Environment":{"shape":"S6w"}}},"Sfw":{"type":"structure","required":["EndpointInput","GroundTruthS3Input"],"members":{"EndpointInput":{"shape":"S70"},"GroundTruthS3Input":{"shape":"Ses"}}},"Sg0":{"type":"structure","members":{"ScheduleConfig":{"type":"structure","required":["ScheduleExpression"],"members":{"ScheduleExpression":{}}},"MonitoringJobDefinition":{"type":"structure","required":["MonitoringInputs","MonitoringOutputConfig","MonitoringResources","MonitoringAppSpecification","RoleArn"],"members":{"BaselineConfig":{"type":"structure","members":{"BaseliningJobName":{},"ConstraintsResource":{"shape":"S6o"},"StatisticsResource":{"shape":"S6p"}}},"MonitoringInputs":{"type":"list","member":{"type":"structure","required":["EndpointInput"],"members":{"EndpointInput":{"shape":"S70"}}}},"MonitoringOutputConfig":{"shape":"S76"},"MonitoringResources":{"shape":"S7c"},"MonitoringAppSpecification":{"type":"structure","required":["ImageUri"],"members":{"ImageUri":{},"ContainerEntrypoint":{"shape":"S6s"},"ContainerArguments":{"shape":"S6u"},"RecordPreprocessorSourceUri":{},"PostAnalyticsProcessorSourceUri":{}}},"StoppingCondition":{"shape":"S7i"},"Environment":{"shape":"S6w"},"NetworkConfig":{"shape":"Sg8"},"RoleArn":{}}},"MonitoringJobDefinitionName":{},"MonitoringType":{}}},"Sg8":{"type":"structure","members":{"EnableInterContainerTrafficEncryption":{"type":"boolean"},"EnableNetworkIsolation":{"type":"boolean"},"VpcConfig":{"shape":"S5h"}}},"Sgi":{"type":"list","member":{}},"Sgl":{"type":"list","member":{}},"Sgr":{"type":"list","member":{"type":"structure","members":{"Content":{}}}},"Shc":{"type":"list","member":{"type":"structure","required":["InputName"],"members":{"InputName":{},"AppManaged":{"type":"boolean"},"S3Input":{"type":"structure","required":["S3Uri","S3DataType"],"members":{"S3Uri":{},"LocalPath":{},"S3DataType":{},"S3InputMode":{},"S3DataDistributionType":{},"S3CompressionType":{}}},"DatasetDefinition":{"type":"structure","members":{"AthenaDatasetDefinition":{"type":"structure","required":["Catalog","Database","QueryString","OutputS3Uri","OutputFormat"],"members":{"Catalog":{},"Database":{},"QueryString":{},"WorkGroup":{},"OutputS3Uri":{},"KmsKeyId":{},"OutputFormat":{},"OutputCompression":{}}},"RedshiftDatasetDefinition":{"type":"structure","required":["ClusterId","Database","DbUser","QueryString","ClusterRoleArn","OutputS3Uri","OutputFormat"],"members":{"ClusterId":{},"Database":{},"DbUser":{},"QueryString":{},"ClusterRoleArn":{},"OutputS3Uri":{},"KmsKeyId":{},"OutputFormat":{},"OutputCompression":{}}},"LocalPath":{},"DataDistributionType":{},"InputMode":{}}}}}},"Shz":{"type":"structure","required":["Outputs"],"members":{"Outputs":{"type":"list","member":{"type":"structure","required":["OutputName"],"members":{"OutputName":{},"S3Output":{"type":"structure","required":["S3Uri","LocalPath","S3UploadMode"],"members":{"S3Uri":{},"LocalPath":{},"S3UploadMode":{}}},"FeatureStoreOutput":{"type":"structure","required":["FeatureGroupName"],"members":{"FeatureGroupName":{}}},"AppManaged":{"type":"boolean"}}}},"KmsKeyId":{}}},"Si4":{"type":"structure","required":["ClusterConfig"],"members":{"ClusterConfig":{"type":"structure","required":["InstanceCount","InstanceType","VolumeSizeInGB"],"members":{"InstanceCount":{"type":"integer"},"InstanceType":{},"VolumeSizeInGB":{"type":"integer"},"VolumeKmsKeyId":{}}}}},"Si6":{"type":"structure","required":["MaxRuntimeInSeconds"],"members":{"MaxRuntimeInSeconds":{"type":"integer"}}},"Si8":{"type":"structure","required":["ImageUri"],"members":{"ImageUri":{},"ContainerEntrypoint":{"shape":"S6s"},"ContainerArguments":{"type":"list","member":{}}}},"Sia":{"type":"map","key":{},"value":{}},"Sib":{"type":"structure","members":{"ExperimentName":{},"TrialName":{},"TrialComponentDisplayName":{}}},"Sig":{"type":"structure","required":["ProductId"],"members":{"ProductId":{},"ProvisioningArtifactId":{},"PathId":{},"ProvisioningParameters":{"shape":"Sii"}}},"Sii":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"Siw":{"type":"structure","required":["TrainingInputMode"],"members":{"TrainingImage":{},"AlgorithmName":{},"TrainingInputMode":{},"MetricDefinitions":{"shape":"S2a"},"EnableSageMakerMetricsTimeSeries":{"type":"boolean"}}},"Six":{"type":"structure","required":["S3OutputPath"],"members":{"LocalPath":{},"S3OutputPath":{},"HookParameters":{"type":"map","key":{},"value":{}},"CollectionConfigurations":{"type":"list","member":{"type":"structure","members":{"CollectionName":{},"CollectionParameters":{"type":"map","key":{},"value":{}}}}}}},"Sj5":{"type":"list","member":{"type":"structure","required":["RuleConfigurationName","RuleEvaluatorImage"],"members":{"RuleConfigurationName":{},"LocalPath":{},"S3OutputPath":{},"RuleEvaluatorImage":{},"InstanceType":{},"VolumeSizeInGB":{"type":"integer"},"RuleParameters":{"shape":"Sj9"}}}},"Sj9":{"type":"map","key":{},"value":{}},"Sja":{"type":"structure","required":["S3OutputPath"],"members":{"LocalPath":{},"S3OutputPath":{}}},"Sjb":{"type":"structure","required":["S3OutputPath"],"members":{"S3OutputPath":{},"ProfilingIntervalInMilliseconds":{"type":"long"},"ProfilingParameters":{"shape":"Sjd"}}},"Sjd":{"type":"map","key":{},"value":{}},"Sje":{"type":"list","member":{"type":"structure","required":["RuleConfigurationName","RuleEvaluatorImage"],"members":{"RuleConfigurationName":{},"LocalPath":{},"S3OutputPath":{},"RuleEvaluatorImage":{},"InstanceType":{},"VolumeSizeInGB":{"type":"integer"},"RuleParameters":{"shape":"Sj9"}}}},"Sjg":{"type":"map","key":{},"value":{}},"Sjn":{"type":"structure","members":{"InvocationsTimeoutInSeconds":{"type":"integer"},"InvocationsMaxRetries":{"type":"integer"}}},"Sjq":{"type":"structure","members":{"InputFilter":{},"OutputFilter":{},"JoinSource":{}}},"Sjy":{"type":"structure","members":{"PrimaryStatus":{},"Message":{}}},"Sk2":{"type":"map","key":{},"value":{"type":"structure","members":{"StringValue":{},"NumberValue":{"type":"double"}}}},"Sk6":{"type":"map","key":{},"value":{"type":"structure","required":["Value"],"members":{"MediaType":{},"Value":{}}}},"Skh":{"type":"structure","required":["UserPool","ClientId"],"members":{"UserPool":{},"ClientId":{}}},"Skk":{"type":"structure","required":["ClientId","ClientSecret","Issuer","AuthorizationEndpoint","TokenEndpoint","UserInfoEndpoint","LogoutEndpoint","JwksUri"],"members":{"ClientId":{},"ClientSecret":{"type":"string","sensitive":true},"Issuer":{},"AuthorizationEndpoint":{},"TokenEndpoint":{},"UserInfoEndpoint":{},"LogoutEndpoint":{},"JwksUri":{}}},"Skn":{"type":"structure","required":["Cidrs"],"members":{"Cidrs":{"type":"list","member":{}}}},"Skv":{"type":"list","member":{"type":"structure","members":{"CognitoMemberDefinition":{"type":"structure","required":["UserPool","UserGroup","ClientId"],"members":{"UserPool":{},"UserGroup":{},"ClientId":{}}},"OidcMemberDefinition":{"type":"structure","required":["Groups"],"members":{"Groups":{"type":"list","member":{}}}}}}},"Sl3":{"type":"structure","members":{"NotificationTopicArn":{}}},"Smx":{"type":"structure","members":{"UserProfileArn":{},"UserProfileName":{},"DomainId":{}}},"Sn3":{"type":"list","member":{"type":"structure","required":["Name","Status"],"members":{"Name":{},"Status":{},"FailureReason":{}}}},"Snh":{"type":"list","member":{"type":"structure","members":{"PartialFailureMessage":{}}}},"Snj":{"type":"structure","required":["CandidateName","ObjectiveStatus","CandidateSteps","CandidateStatus","CreationTime","LastModifiedTime"],"members":{"CandidateName":{},"FinalAutoMLJobObjectiveMetric":{"type":"structure","required":["MetricName","Value"],"members":{"Type":{},"MetricName":{},"Value":{"type":"float"}}},"ObjectiveStatus":{},"CandidateSteps":{"type":"list","member":{"type":"structure","required":["CandidateStepType","CandidateStepArn","CandidateStepName"],"members":{"CandidateStepType":{},"CandidateStepArn":{},"CandidateStepName":{}}}},"CandidateStatus":{},"InferenceContainers":{"type":"list","member":{"type":"structure","required":["Image","ModelDataUrl"],"members":{"Image":{},"ModelDataUrl":{},"Environment":{"shape":"Sz"}}}},"CreationTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"FailureReason":{},"CandidateProperties":{"type":"structure","members":{"CandidateArtifactLocations":{"type":"structure","required":["Explainability"],"members":{"Explainability":{}}},"CandidateMetrics":{"type":"list","member":{"type":"structure","members":{"MetricName":{},"Value":{"type":"float"},"Set":{}}}}}}}},"Soi":{"type":"structure","required":["S3ModelArtifacts"],"members":{"S3ModelArtifacts":{}}},"Spe":{"type":"list","member":{"type":"structure","required":["VariantName"],"members":{"VariantName":{},"DeployedImages":{"shape":"Spg"},"CurrentWeight":{"type":"float"},"DesiredWeight":{"type":"float"},"CurrentInstanceCount":{"type":"integer"},"DesiredInstanceCount":{"type":"integer"},"VariantStatus":{"shape":"Spj"},"CurrentServerlessConfig":{"shape":"S9d"},"DesiredServerlessConfig":{"shape":"S9d"}}}},"Spg":{"type":"list","member":{"type":"structure","members":{"SpecifiedImage":{},"ResolvedImage":{},"ResolutionTime":{"type":"timestamp"}}}},"Spj":{"type":"list","member":{"type":"structure","required":["Status"],"members":{"Status":{},"StatusMessage":{},"StartTime":{"type":"timestamp"}}}},"Spn":{"type":"structure","required":["EnableCapture","CaptureStatus","CurrentSamplingPercentage","DestinationS3Uri","KmsKeyId"],"members":{"EnableCapture":{"type":"boolean"},"CaptureStatus":{},"CurrentSamplingPercentage":{"type":"integer"},"DestinationS3Uri":{},"KmsKeyId":{}}},"Spx":{"type":"structure","required":["SourceArn"],"members":{"SourceArn":{},"SourceType":{}}},"Sq3":{"type":"structure","required":["Status"],"members":{"Status":{},"BlockedReason":{}}},"Sqi":{"type":"structure","members":{"Completed":{"type":"integer"},"InProgress":{"type":"integer"},"RetryableError":{"type":"integer"},"NonRetryableError":{"type":"integer"},"Stopped":{"type":"integer"}}},"Sqk":{"type":"structure","members":{"Succeeded":{"type":"integer"},"Pending":{"type":"integer"},"Failed":{"type":"integer"}}},"Sqm":{"type":"structure","required":["TrainingJobName","TrainingJobArn","CreationTime","TrainingJobStatus","TunedHyperParameters"],"members":{"TrainingJobDefinitionName":{},"TrainingJobName":{},"TrainingJobArn":{},"TuningJobName":{},"CreationTime":{"type":"timestamp"},"TrainingStartTime":{"type":"timestamp"},"TrainingEndTime":{"type":"timestamp"},"TrainingJobStatus":{},"TunedHyperParameters":{"shape":"S2t"},"FailureReason":{},"FinalHyperParameterTuningJobObjectiveMetric":{"type":"structure","required":["MetricName","Value"],"members":{"Type":{},"MetricName":{},"Value":{"type":"float"}}},"ObjectiveStatus":{}}},"Sr9":{"type":"structure","members":{"TotalLabeled":{"type":"integer"},"HumanLabeled":{"type":"integer"},"MachineLabeled":{"type":"integer"},"FailedNonRetryableError":{"type":"integer"},"Unlabeled":{"type":"integer"}}},"Src":{"type":"structure","required":["OutputDatasetS3Uri"],"members":{"OutputDatasetS3Uri":{},"FinalActiveLearningModelArn":{}}},"Srn":{"type":"structure","required":["ValidationStatuses"],"members":{"ValidationStatuses":{"shape":"Sro"},"ImageScanStatuses":{"shape":"Sro"}}},"Sro":{"type":"list","member":{"type":"structure","required":["Name","Status"],"members":{"Name":{},"Status":{},"FailureReason":{}}}},"Ss0":{"type":"structure","required":["MonitoringScheduleName","ScheduledTime","CreationTime","LastModifiedTime","MonitoringExecutionStatus"],"members":{"MonitoringScheduleName":{},"ScheduledTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"MonitoringExecutionStatus":{},"ProcessingJobArn":{},"EndpointName":{},"FailureReason":{},"MonitoringJobDefinitionName":{},"MonitoringType":{}}},"Ssj":{"type":"structure","members":{"ExperimentName":{},"TrialName":{}}},"Ssr":{"type":"structure","members":{"ProvisionedProductId":{},"ProvisionedProductStatusMessage":{}}},"Ssy":{"type":"structure","required":["WorkteamArn"],"members":{"WorkteamArn":{},"MarketplaceTitle":{},"SellerName":{},"MarketplaceDescription":{},"ListingId":{}}},"St2":{"type":"list","member":{"type":"structure","required":["Status","StartTime"],"members":{"Status":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"StatusMessage":{}}}},"St5":{"type":"list","member":{"type":"structure","members":{"MetricName":{},"Value":{"type":"float"},"Timestamp":{"type":"timestamp"}}}},"St9":{"type":"list","member":{"type":"structure","members":{"RuleConfigurationName":{},"RuleEvaluationJobArn":{},"RuleEvaluationStatus":{},"StatusDetails":{},"LastModifiedTime":{"type":"timestamp"}}}},"Stl":{"type":"structure","required":["SourceArn"],"members":{"SourceArn":{},"SourceType":{}}},"Stp":{"type":"structure","required":["SourceArn"],"members":{"SourceArn":{},"SourceType":{}}},"Str":{"type":"list","member":{"type":"structure","members":{"MetricName":{},"SourceArn":{},"TimeStamp":{"type":"timestamp"},"Max":{"type":"double"},"Min":{"type":"double"},"Last":{"type":"double"},"Count":{"type":"integer"},"Avg":{"type":"double"},"StdDev":{"type":"double"}}}},"Su1":{"type":"structure","required":["WorkforceName","WorkforceArn"],"members":{"WorkforceName":{},"WorkforceArn":{},"LastUpdatedDate":{"type":"timestamp"},"SourceIpConfig":{"shape":"Skn"},"SubDomain":{},"CognitoConfig":{"shape":"Skh"},"OidcConfig":{"type":"structure","members":{"ClientId":{},"Issuer":{},"AuthorizationEndpoint":{},"TokenEndpoint":{},"UserInfoEndpoint":{},"LogoutEndpoint":{},"JwksUri":{}}},"CreateDate":{"type":"timestamp"}}},"Su5":{"type":"structure","required":["WorkteamName","MemberDefinitions","WorkteamArn","Description"],"members":{"WorkteamName":{},"MemberDefinitions":{"shape":"Skv"},"WorkteamArn":{},"WorkforceArn":{},"ProductListingIds":{"type":"list","member":{}},"Description":{},"SubDomain":{},"CreateDate":{"type":"timestamp"},"LastUpdatedDate":{"type":"timestamp"},"NotificationConfiguration":{"shape":"Sl3"}}},"Swy":{"type":"list","member":{"type":"structure","required":["MonitoringJobDefinitionName","MonitoringJobDefinitionArn","CreationTime","EndpointName"],"members":{"MonitoringJobDefinitionName":{},"MonitoringJobDefinitionArn":{},"CreationTime":{"type":"timestamp"},"EndpointName":{}}}},"S11r":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"S123":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"S14f":{"type":"list","member":{"type":"structure","required":["DeviceName"],"members":{"DeviceName":{},"Description":{},"IotThingName":{}}}},"S14q":{"type":"structure","members":{"Filters":{"shape":"S14r"},"NestedFilters":{"type":"list","member":{"type":"structure","required":["NestedPropertyName","Filters"],"members":{"NestedPropertyName":{},"Filters":{"shape":"S14r"}}}},"SubExpressions":{"type":"list","member":{"shape":"S14q"}},"Operator":{}}},"S14r":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{},"Operator":{},"Value":{}}}},"S153":{"type":"structure","members":{"TrainingJobName":{},"TrainingJobArn":{},"TuningJobArn":{},"LabelingJobArn":{},"AutoMLJobArn":{},"ModelArtifacts":{"shape":"Soi"},"TrainingJobStatus":{},"SecondaryStatus":{},"FailureReason":{},"HyperParameters":{"shape":"S2t"},"AlgorithmSpecification":{"shape":"Siw"},"RoleArn":{},"InputDataConfig":{"shape":"S2v"},"OutputDataConfig":{"shape":"S3c"},"ResourceConfig":{"shape":"S3e"},"VpcConfig":{"shape":"S5h"},"StoppingCondition":{"shape":"S3h"},"CreationTime":{"type":"timestamp"},"TrainingStartTime":{"type":"timestamp"},"TrainingEndTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"SecondaryStatusTransitions":{"shape":"St2"},"FinalMetricDataList":{"shape":"St5"},"EnableNetworkIsolation":{"type":"boolean"},"EnableInterContainerTrafficEncryption":{"type":"boolean"},"EnableManagedSpotTraining":{"type":"boolean"},"CheckpointConfig":{"shape":"Sc1"},"TrainingTimeInSeconds":{"type":"integer"},"BillableTimeInSeconds":{"type":"integer"},"DebugHookConfig":{"shape":"Six"},"ExperimentConfig":{"shape":"Sib"},"DebugRuleConfigurations":{"shape":"Sj5"},"TensorBoardOutputConfig":{"shape":"Sja"},"DebugRuleEvaluationStatuses":{"shape":"St9"},"Environment":{"shape":"Sjg"},"RetryStrategy":{"shape":"Sc2"},"Tags":{"shape":"S7"}}},"S169":{"type":"list","member":{}},"S17w":{"type":"list","member":{}}}}');

/***/ }),

/***/ 69254:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListActions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ActionSummaries"},"ListAlgorithms":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"AlgorithmSummaryList"},"ListAppImageConfigs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"AppImageConfigs"},"ListApps":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Apps"},"ListArtifacts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ArtifactSummaries"},"ListAssociations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"AssociationSummaries"},"ListAutoMLJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"AutoMLJobSummaries"},"ListCandidatesForAutoMLJob":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Candidates"},"ListCodeRepositories":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"CodeRepositorySummaryList"},"ListCompilationJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"CompilationJobSummaries"},"ListContexts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ContextSummaries"},"ListDataQualityJobDefinitions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"JobDefinitionSummaries"},"ListDeviceFleets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"DeviceFleetSummaries"},"ListDevices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"DeviceSummaries"},"ListDomains":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Domains"},"ListEdgePackagingJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"EdgePackagingJobSummaries"},"ListEndpointConfigs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"EndpointConfigs"},"ListEndpoints":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Endpoints"},"ListExperiments":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ExperimentSummaries"},"ListFeatureGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"FeatureGroupSummaries"},"ListFlowDefinitions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"FlowDefinitionSummaries"},"ListHumanTaskUis":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"HumanTaskUiSummaries"},"ListHyperParameterTuningJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"HyperParameterTuningJobSummaries"},"ListImageVersions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ImageVersions"},"ListImages":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Images"},"ListInferenceRecommendationsJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"InferenceRecommendationsJobs"},"ListLabelingJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"LabelingJobSummaryList"},"ListLabelingJobsForWorkteam":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"LabelingJobSummaryList"},"ListLineageGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"LineageGroupSummaries"},"ListModelBiasJobDefinitions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"JobDefinitionSummaries"},"ListModelExplainabilityJobDefinitions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"JobDefinitionSummaries"},"ListModelMetadata":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ModelMetadataSummaries"},"ListModelPackageGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ModelPackageGroupSummaryList"},"ListModelPackages":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ModelPackageSummaryList"},"ListModelQualityJobDefinitions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"JobDefinitionSummaries"},"ListModels":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Models"},"ListMonitoringExecutions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"MonitoringExecutionSummaries"},"ListMonitoringSchedules":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"MonitoringScheduleSummaries"},"ListNotebookInstanceLifecycleConfigs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"NotebookInstanceLifecycleConfigs"},"ListNotebookInstances":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"NotebookInstances"},"ListPipelineExecutionSteps":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"PipelineExecutionSteps"},"ListPipelineExecutions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"PipelineExecutionSummaries"},"ListPipelineParametersForExecution":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"PipelineParameters"},"ListPipelines":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"PipelineSummaries"},"ListProcessingJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ProcessingJobSummaries"},"ListProjects":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListStudioLifecycleConfigs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"StudioLifecycleConfigs"},"ListSubscribedWorkteams":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"SubscribedWorkteams"},"ListTags":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Tags"},"ListTrainingJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"TrainingJobSummaries"},"ListTrainingJobsForHyperParameterTuningJob":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"TrainingJobSummaries"},"ListTransformJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"TransformJobSummaries"},"ListTrialComponents":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"TrialComponentSummaries"},"ListTrials":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"TrialSummaries"},"ListUserProfiles":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"UserProfiles"},"ListWorkforces":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Workforces"},"ListWorkteams":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Workteams"},"QueryLineage":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"Search":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Results"}}}');

/***/ }),

/***/ 26063:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"NotebookInstanceInService":{"delay":30,"maxAttempts":60,"operation":"DescribeNotebookInstance","acceptors":[{"expected":"InService","matcher":"path","state":"success","argument":"NotebookInstanceStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"NotebookInstanceStatus"}]},"NotebookInstanceStopped":{"delay":30,"operation":"DescribeNotebookInstance","maxAttempts":60,"acceptors":[{"expected":"Stopped","matcher":"path","state":"success","argument":"NotebookInstanceStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"NotebookInstanceStatus"}]},"NotebookInstanceDeleted":{"delay":30,"maxAttempts":60,"operation":"DescribeNotebookInstance","acceptors":[{"expected":"ValidationException","matcher":"error","state":"success"},{"expected":"Failed","matcher":"path","state":"failure","argument":"NotebookInstanceStatus"}]},"TrainingJobCompletedOrStopped":{"delay":120,"maxAttempts":180,"operation":"DescribeTrainingJob","acceptors":[{"expected":"Completed","matcher":"path","state":"success","argument":"TrainingJobStatus"},{"expected":"Stopped","matcher":"path","state":"success","argument":"TrainingJobStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"TrainingJobStatus"},{"expected":"ValidationException","matcher":"error","state":"failure"}]},"EndpointInService":{"delay":30,"maxAttempts":120,"operation":"DescribeEndpoint","acceptors":[{"expected":"InService","matcher":"path","state":"success","argument":"EndpointStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"EndpointStatus"},{"expected":"ValidationException","matcher":"error","state":"failure"}]},"EndpointDeleted":{"delay":30,"maxAttempts":60,"operation":"DescribeEndpoint","acceptors":[{"expected":"ValidationException","matcher":"error","state":"success"},{"expected":"Failed","matcher":"path","state":"failure","argument":"EndpointStatus"}]},"TransformJobCompletedOrStopped":{"delay":60,"maxAttempts":60,"operation":"DescribeTransformJob","acceptors":[{"expected":"Completed","matcher":"path","state":"success","argument":"TransformJobStatus"},{"expected":"Stopped","matcher":"path","state":"success","argument":"TransformJobStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"TransformJobStatus"},{"expected":"ValidationException","matcher":"error","state":"failure"}]},"ProcessingJobCompletedOrStopped":{"delay":60,"maxAttempts":60,"operation":"DescribeProcessingJob","acceptors":[{"expected":"Completed","matcher":"path","state":"success","argument":"ProcessingJobStatus"},{"expected":"Stopped","matcher":"path","state":"success","argument":"ProcessingJobStatus"},{"expected":"Failed","matcher":"path","state":"failure","argument":"ProcessingJobStatus"},{"expected":"ValidationException","matcher":"error","state":"failure"}]},"ImageCreated":{"delay":60,"maxAttempts":60,"operation":"DescribeImage","acceptors":[{"expected":"CREATED","matcher":"path","state":"success","argument":"ImageStatus"},{"expected":"CREATE_FAILED","matcher":"path","state":"failure","argument":"ImageStatus"},{"expected":"ValidationException","matcher":"error","state":"failure"}]},"ImageUpdated":{"delay":60,"maxAttempts":60,"operation":"DescribeImage","acceptors":[{"expected":"CREATED","matcher":"path","state":"success","argument":"ImageStatus"},{"expected":"UPDATE_FAILED","matcher":"path","state":"failure","argument":"ImageStatus"},{"expected":"ValidationException","matcher":"error","state":"failure"}]},"ImageDeleted":{"delay":60,"maxAttempts":60,"operation":"DescribeImage","acceptors":[{"expected":"ResourceNotFoundException","matcher":"error","state":"success"},{"expected":"DELETE_FAILED","matcher":"path","state":"failure","argument":"ImageStatus"},{"expected":"ValidationException","matcher":"error","state":"failure"}]},"ImageVersionCreated":{"delay":60,"maxAttempts":60,"operation":"DescribeImageVersion","acceptors":[{"expected":"CREATED","matcher":"path","state":"success","argument":"ImageVersionStatus"},{"expected":"CREATE_FAILED","matcher":"path","state":"failure","argument":"ImageVersionStatus"},{"expected":"ValidationException","matcher":"error","state":"failure"}]},"ImageVersionDeleted":{"delay":60,"maxAttempts":60,"operation":"DescribeImageVersion","acceptors":[{"expected":"ResourceNotFoundException","matcher":"error","state":"success"},{"expected":"DELETE_FAILED","matcher":"path","state":"failure","argument":"ImageVersionStatus"},{"expected":"ValidationException","matcher":"error","state":"failure"}]}}}');

/***/ }),

/***/ 57704:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-11-07","endpointPrefix":"a2i-runtime.sagemaker","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Augmented AI Runtime","serviceId":"SageMaker A2I Runtime","signatureVersion":"v4","signingName":"sagemaker","uid":"sagemaker-a2i-runtime-2019-11-07"},"operations":{"DeleteHumanLoop":{"http":{"method":"DELETE","requestUri":"/human-loops/{HumanLoopName}"},"input":{"type":"structure","required":["HumanLoopName"],"members":{"HumanLoopName":{"location":"uri","locationName":"HumanLoopName"}}},"output":{"type":"structure","members":{}}},"DescribeHumanLoop":{"http":{"method":"GET","requestUri":"/human-loops/{HumanLoopName}"},"input":{"type":"structure","required":["HumanLoopName"],"members":{"HumanLoopName":{"location":"uri","locationName":"HumanLoopName"}}},"output":{"type":"structure","required":["CreationTime","HumanLoopStatus","HumanLoopName","HumanLoopArn","FlowDefinitionArn"],"members":{"CreationTime":{"type":"timestamp"},"FailureReason":{},"FailureCode":{},"HumanLoopStatus":{},"HumanLoopName":{},"HumanLoopArn":{},"FlowDefinitionArn":{},"HumanLoopOutput":{"type":"structure","required":["OutputS3Uri"],"members":{"OutputS3Uri":{}}}}}},"ListHumanLoops":{"http":{"method":"GET","requestUri":"/human-loops"},"input":{"type":"structure","required":["FlowDefinitionArn"],"members":{"CreationTimeAfter":{"location":"querystring","locationName":"CreationTimeAfter","type":"timestamp"},"CreationTimeBefore":{"location":"querystring","locationName":"CreationTimeBefore","type":"timestamp"},"FlowDefinitionArn":{"location":"querystring","locationName":"FlowDefinitionArn"},"SortOrder":{"location":"querystring","locationName":"SortOrder"},"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","required":["HumanLoopSummaries"],"members":{"HumanLoopSummaries":{"type":"list","member":{"type":"structure","members":{"HumanLoopName":{},"HumanLoopStatus":{},"CreationTime":{"type":"timestamp"},"FailureReason":{},"FlowDefinitionArn":{}}}},"NextToken":{}}}},"StartHumanLoop":{"http":{"requestUri":"/human-loops"},"input":{"type":"structure","required":["HumanLoopName","FlowDefinitionArn","HumanLoopInput"],"members":{"HumanLoopName":{},"FlowDefinitionArn":{},"HumanLoopInput":{"type":"structure","required":["InputContent"],"members":{"InputContent":{}}},"DataAttributes":{"type":"structure","required":["ContentClassifiers"],"members":{"ContentClassifiers":{"type":"list","member":{}}}}}},"output":{"type":"structure","members":{"HumanLoopArn":{}}}},"StopHumanLoop":{"http":{"requestUri":"/human-loops/stop"},"input":{"type":"structure","required":["HumanLoopName"],"members":{"HumanLoopName":{}}},"output":{"type":"structure","members":{}}}},"shapes":{}}');

/***/ }),

/***/ 13201:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListHumanLoops":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"HumanLoopSummaries"}}}');

/***/ }),

/***/ 97093:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-09-23","endpointPrefix":"edge.sagemaker","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Sagemaker Edge Manager","serviceId":"Sagemaker Edge","signatureVersion":"v4","signingName":"sagemaker","uid":"sagemaker-edge-2020-09-23"},"operations":{"GetDeviceRegistration":{"http":{"requestUri":"/GetDeviceRegistration"},"input":{"type":"structure","required":["DeviceName","DeviceFleetName"],"members":{"DeviceName":{},"DeviceFleetName":{}}},"output":{"type":"structure","members":{"DeviceRegistration":{},"CacheTTL":{}}}},"SendHeartbeat":{"http":{"requestUri":"/SendHeartbeat"},"input":{"type":"structure","required":["AgentVersion","DeviceName","DeviceFleetName"],"members":{"AgentMetrics":{"shape":"S8"},"Models":{"type":"list","member":{"type":"structure","members":{"ModelName":{},"ModelVersion":{},"LatestSampleTime":{"type":"timestamp"},"LatestInference":{"type":"timestamp"},"ModelMetrics":{"shape":"S8"}}}},"AgentVersion":{},"DeviceName":{},"DeviceFleetName":{}}}}},"shapes":{"S8":{"type":"list","member":{"type":"structure","members":{"Dimension":{},"MetricName":{},"Value":{"type":"double"},"Timestamp":{"type":"timestamp"}}}}}}');

/***/ }),

/***/ 71636:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 75546:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-07-01","endpointPrefix":"featurestore-runtime.sagemaker","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon SageMaker Feature Store Runtime","serviceId":"SageMaker FeatureStore Runtime","signatureVersion":"v4","signingName":"sagemaker","uid":"sagemaker-featurestore-runtime-2020-07-01"},"operations":{"BatchGetRecord":{"http":{"requestUri":"/BatchGetRecord"},"input":{"type":"structure","required":["Identifiers"],"members":{"Identifiers":{"type":"list","member":{"shape":"S3"}}}},"output":{"type":"structure","required":["Records","Errors","UnprocessedIdentifiers"],"members":{"Records":{"type":"list","member":{"type":"structure","required":["FeatureGroupName","RecordIdentifierValueAsString","Record"],"members":{"FeatureGroupName":{},"RecordIdentifierValueAsString":{},"Record":{"shape":"Sc"}}}},"Errors":{"type":"list","member":{"type":"structure","required":["FeatureGroupName","RecordIdentifierValueAsString","ErrorCode","ErrorMessage"],"members":{"FeatureGroupName":{},"RecordIdentifierValueAsString":{},"ErrorCode":{},"ErrorMessage":{}}}},"UnprocessedIdentifiers":{"type":"list","member":{"shape":"S3"}}}}},"DeleteRecord":{"http":{"method":"DELETE","requestUri":"/FeatureGroup/{FeatureGroupName}"},"input":{"type":"structure","required":["FeatureGroupName","RecordIdentifierValueAsString","EventTime"],"members":{"FeatureGroupName":{"location":"uri","locationName":"FeatureGroupName"},"RecordIdentifierValueAsString":{"location":"querystring","locationName":"RecordIdentifierValueAsString"},"EventTime":{"location":"querystring","locationName":"EventTime"}}}},"GetRecord":{"http":{"method":"GET","requestUri":"/FeatureGroup/{FeatureGroupName}"},"input":{"type":"structure","required":["FeatureGroupName","RecordIdentifierValueAsString"],"members":{"FeatureGroupName":{"location":"uri","locationName":"FeatureGroupName"},"RecordIdentifierValueAsString":{"location":"querystring","locationName":"RecordIdentifierValueAsString"},"FeatureNames":{"shape":"S7","location":"querystring","locationName":"FeatureName"}}},"output":{"type":"structure","members":{"Record":{"shape":"Sc"}}}},"PutRecord":{"http":{"method":"PUT","requestUri":"/FeatureGroup/{FeatureGroupName}"},"input":{"type":"structure","required":["FeatureGroupName","Record"],"members":{"FeatureGroupName":{"location":"uri","locationName":"FeatureGroupName"},"Record":{"shape":"Sc"}}}}},"shapes":{"S3":{"type":"structure","required":["FeatureGroupName","RecordIdentifiersValueAsString"],"members":{"FeatureGroupName":{},"RecordIdentifiersValueAsString":{"type":"list","member":{}},"FeatureNames":{"shape":"S7"}}},"S7":{"type":"list","member":{}},"Sc":{"type":"list","member":{"type":"structure","required":["FeatureName","ValueAsString"],"members":{"FeatureName":{},"ValueAsString":{}}}}}}');

/***/ }),

/***/ 12151:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 46879:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-06-28","endpointPrefix":"savingsplans","globalEndpoint":"savingsplans.amazonaws.com","jsonVersion":"1.0","protocol":"rest-json","serviceAbbreviation":"AWSSavingsPlans","serviceFullName":"AWS Savings Plans","serviceId":"savingsplans","signatureVersion":"v4","uid":"savingsplans-2019-06-28"},"operations":{"CreateSavingsPlan":{"http":{"requestUri":"/CreateSavingsPlan"},"input":{"type":"structure","required":["savingsPlanOfferingId","commitment"],"members":{"savingsPlanOfferingId":{},"commitment":{},"upfrontPaymentAmount":{},"purchaseTime":{"type":"timestamp"},"clientToken":{"idempotencyToken":true},"tags":{"shape":"S6"}}},"output":{"type":"structure","members":{"savingsPlanId":{}}}},"DeleteQueuedSavingsPlan":{"http":{"requestUri":"/DeleteQueuedSavingsPlan"},"input":{"type":"structure","required":["savingsPlanId"],"members":{"savingsPlanId":{}}},"output":{"type":"structure","members":{}}},"DescribeSavingsPlanRates":{"http":{"requestUri":"/DescribeSavingsPlanRates"},"input":{"type":"structure","required":["savingsPlanId"],"members":{"savingsPlanId":{},"filters":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"shape":"Sh"}}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"savingsPlanId":{},"searchResults":{"type":"list","member":{"type":"structure","members":{"rate":{},"currency":{},"unit":{},"productType":{},"serviceCode":{},"usageType":{},"operation":{},"properties":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{}}}}}}},"nextToken":{}}}},"DescribeSavingsPlans":{"http":{"requestUri":"/DescribeSavingsPlans"},"input":{"type":"structure","members":{"savingsPlanArns":{"type":"list","member":{}},"savingsPlanIds":{"type":"list","member":{}},"nextToken":{},"maxResults":{"type":"integer"},"states":{"type":"list","member":{}},"filters":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"shape":"Sh"}}}}}},"output":{"type":"structure","members":{"savingsPlans":{"type":"list","member":{"type":"structure","members":{"offeringId":{},"savingsPlanId":{},"savingsPlanArn":{},"description":{},"start":{},"end":{},"state":{},"region":{},"ec2InstanceFamily":{},"savingsPlanType":{},"paymentOption":{},"productTypes":{"shape":"S1e"},"currency":{},"commitment":{},"upfrontPaymentAmount":{},"recurringPaymentAmount":{},"termDurationInSeconds":{"type":"long"},"tags":{"shape":"S6"}}}},"nextToken":{}}}},"DescribeSavingsPlansOfferingRates":{"http":{"requestUri":"/DescribeSavingsPlansOfferingRates"},"input":{"type":"structure","members":{"savingsPlanOfferingIds":{"shape":"S1h"},"savingsPlanPaymentOptions":{"shape":"S1j"},"savingsPlanTypes":{"shape":"S1k"},"products":{"shape":"S1e"},"serviceCodes":{"type":"list","member":{}},"usageTypes":{"type":"list","member":{}},"operations":{"type":"list","member":{}},"filters":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"shape":"S1r"}}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"searchResults":{"type":"list","member":{"type":"structure","members":{"savingsPlanOffering":{"type":"structure","members":{"offeringId":{},"paymentOption":{},"planType":{},"durationSeconds":{"type":"long"},"currency":{},"planDescription":{}}},"rate":{},"unit":{},"productType":{},"serviceCode":{},"usageType":{},"operation":{},"properties":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{}}}}}}},"nextToken":{}}}},"DescribeSavingsPlansOfferings":{"http":{"requestUri":"/DescribeSavingsPlansOfferings"},"input":{"type":"structure","members":{"offeringIds":{"shape":"S1h"},"paymentOptions":{"shape":"S1j"},"productType":{},"planTypes":{"shape":"S1k"},"durations":{"type":"list","member":{"type":"long"}},"currencies":{"type":"list","member":{}},"descriptions":{"type":"list","member":{}},"serviceCodes":{"type":"list","member":{}},"usageTypes":{"type":"list","member":{}},"operations":{"type":"list","member":{}},"filters":{"type":"list","member":{"type":"structure","members":{"name":{},"values":{"shape":"S1r"}}}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"searchResults":{"type":"list","member":{"type":"structure","members":{"offeringId":{},"productTypes":{"shape":"S1e"},"planType":{},"description":{},"paymentOption":{},"durationSeconds":{"type":"long"},"currency":{},"serviceCode":{},"usageType":{},"operation":{},"properties":{"type":"list","member":{"type":"structure","members":{"name":{},"value":{}}}}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"requestUri":"/ListTagsForResource"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{}}},"output":{"type":"structure","members":{"tags":{"shape":"S6"}}}},"TagResource":{"http":{"requestUri":"/TagResource"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"S6"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"requestUri":"/UntagResource"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"S6":{"type":"map","key":{},"value":{}},"Sh":{"type":"list","member":{}},"S1e":{"type":"list","member":{}},"S1h":{"type":"list","member":{}},"S1j":{"type":"list","member":{}},"S1k":{"type":"list","member":{}},"S1r":{"type":"list","member":{}}}}');

/***/ }),

/***/ 78998:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 76626:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2019-12-02","endpointPrefix":"schemas","signingName":"schemas","serviceFullName":"Schemas","serviceId":"schemas","protocol":"rest-json","jsonVersion":"1.1","uid":"schemas-2019-12-02","signatureVersion":"v4"},"operations":{"CreateDiscoverer":{"http":{"requestUri":"/v1/discoverers","responseCode":201},"input":{"type":"structure","members":{"Description":{},"SourceArn":{},"CrossAccount":{"type":"boolean"},"Tags":{"shape":"S5","locationName":"tags"}},"required":["SourceArn"]},"output":{"type":"structure","members":{"Description":{},"DiscovererArn":{},"DiscovererId":{},"SourceArn":{},"State":{},"CrossAccount":{"type":"boolean"},"Tags":{"shape":"S5","locationName":"tags"}}}},"CreateRegistry":{"http":{"requestUri":"/v1/registries/name/{registryName}","responseCode":201},"input":{"type":"structure","members":{"Description":{},"RegistryName":{"location":"uri","locationName":"registryName"},"Tags":{"shape":"S5","locationName":"tags"}},"required":["RegistryName"]},"output":{"type":"structure","members":{"Description":{},"RegistryArn":{},"RegistryName":{},"Tags":{"shape":"S5","locationName":"tags"}}}},"CreateSchema":{"http":{"requestUri":"/v1/registries/name/{registryName}/schemas/name/{schemaName}","responseCode":201},"input":{"type":"structure","members":{"Content":{},"Description":{},"RegistryName":{"location":"uri","locationName":"registryName"},"SchemaName":{"location":"uri","locationName":"schemaName"},"Tags":{"shape":"S5","locationName":"tags"},"Type":{}},"required":["RegistryName","SchemaName","Type","Content"]},"output":{"type":"structure","members":{"Description":{},"LastModified":{"shape":"Sf"},"SchemaArn":{},"SchemaName":{},"SchemaVersion":{},"Tags":{"shape":"S5","locationName":"tags"},"Type":{},"VersionCreatedDate":{"shape":"Sf"}}}},"DeleteDiscoverer":{"http":{"method":"DELETE","requestUri":"/v1/discoverers/id/{discovererId}","responseCode":204},"input":{"type":"structure","members":{"DiscovererId":{"location":"uri","locationName":"discovererId"}},"required":["DiscovererId"]}},"DeleteRegistry":{"http":{"method":"DELETE","requestUri":"/v1/registries/name/{registryName}","responseCode":204},"input":{"type":"structure","members":{"RegistryName":{"location":"uri","locationName":"registryName"}},"required":["RegistryName"]}},"DeleteResourcePolicy":{"http":{"method":"DELETE","requestUri":"/v1/policy","responseCode":204},"input":{"type":"structure","members":{"RegistryName":{"location":"querystring","locationName":"registryName"}}}},"DeleteSchema":{"http":{"method":"DELETE","requestUri":"/v1/registries/name/{registryName}/schemas/name/{schemaName}","responseCode":204},"input":{"type":"structure","members":{"RegistryName":{"location":"uri","locationName":"registryName"},"SchemaName":{"location":"uri","locationName":"schemaName"}},"required":["RegistryName","SchemaName"]}},"DeleteSchemaVersion":{"http":{"method":"DELETE","requestUri":"/v1/registries/name/{registryName}/schemas/name/{schemaName}/version/{schemaVersion}","responseCode":204},"input":{"type":"structure","members":{"RegistryName":{"location":"uri","locationName":"registryName"},"SchemaName":{"location":"uri","locationName":"schemaName"},"SchemaVersion":{"location":"uri","locationName":"schemaVersion"}},"required":["SchemaVersion","RegistryName","SchemaName"]}},"DescribeCodeBinding":{"http":{"method":"GET","requestUri":"/v1/registries/name/{registryName}/schemas/name/{schemaName}/language/{language}","responseCode":200},"input":{"type":"structure","members":{"Language":{"location":"uri","locationName":"language"},"RegistryName":{"location":"uri","locationName":"registryName"},"SchemaName":{"location":"uri","locationName":"schemaName"},"SchemaVersion":{"location":"querystring","locationName":"schemaVersion"}},"required":["RegistryName","SchemaName","Language"]},"output":{"type":"structure","members":{"CreationDate":{"shape":"Sf"},"LastModified":{"shape":"Sf"},"SchemaVersion":{},"Status":{}}}},"DescribeDiscoverer":{"http":{"method":"GET","requestUri":"/v1/discoverers/id/{discovererId}","responseCode":200},"input":{"type":"structure","members":{"DiscovererId":{"location":"uri","locationName":"discovererId"}},"required":["DiscovererId"]},"output":{"type":"structure","members":{"Description":{},"DiscovererArn":{},"DiscovererId":{},"SourceArn":{},"State":{},"CrossAccount":{"type":"boolean"},"Tags":{"shape":"S5","locationName":"tags"}}}},"DescribeRegistry":{"http":{"method":"GET","requestUri":"/v1/registries/name/{registryName}","responseCode":200},"input":{"type":"structure","members":{"RegistryName":{"location":"uri","locationName":"registryName"}},"required":["RegistryName"]},"output":{"type":"structure","members":{"Description":{},"RegistryArn":{},"RegistryName":{},"Tags":{"shape":"S5","locationName":"tags"}}}},"DescribeSchema":{"http":{"method":"GET","requestUri":"/v1/registries/name/{registryName}/schemas/name/{schemaName}","responseCode":200},"input":{"type":"structure","members":{"RegistryName":{"location":"uri","locationName":"registryName"},"SchemaName":{"location":"uri","locationName":"schemaName"},"SchemaVersion":{"location":"querystring","locationName":"schemaVersion"}},"required":["RegistryName","SchemaName"]},"output":{"type":"structure","members":{"Content":{},"Description":{},"LastModified":{"shape":"Sf"},"SchemaArn":{},"SchemaName":{},"SchemaVersion":{},"Tags":{"shape":"S5","locationName":"tags"},"Type":{},"VersionCreatedDate":{"shape":"Sf"}}}},"ExportSchema":{"http":{"method":"GET","requestUri":"/v1/registries/name/{registryName}/schemas/name/{schemaName}/export","responseCode":200},"input":{"type":"structure","members":{"RegistryName":{"location":"uri","locationName":"registryName"},"SchemaName":{"location":"uri","locationName":"schemaName"},"SchemaVersion":{"location":"querystring","locationName":"schemaVersion"},"Type":{"location":"querystring","locationName":"type"}},"required":["RegistryName","SchemaName","Type"]},"output":{"type":"structure","members":{"Content":{},"SchemaArn":{},"SchemaName":{},"SchemaVersion":{},"Type":{}}}},"GetCodeBindingSource":{"http":{"method":"GET","requestUri":"/v1/registries/name/{registryName}/schemas/name/{schemaName}/language/{language}/source","responseCode":200},"input":{"type":"structure","members":{"Language":{"location":"uri","locationName":"language"},"RegistryName":{"location":"uri","locationName":"registryName"},"SchemaName":{"location":"uri","locationName":"schemaName"},"SchemaVersion":{"location":"querystring","locationName":"schemaVersion"}},"required":["RegistryName","SchemaName","Language"]},"output":{"type":"structure","members":{"Body":{"type":"blob"}},"payload":"Body"}},"GetDiscoveredSchema":{"http":{"requestUri":"/v1/discover","responseCode":200},"input":{"type":"structure","members":{"Events":{"type":"list","member":{}},"Type":{}},"required":["Type","Events"]},"output":{"type":"structure","members":{"Content":{}}}},"GetResourcePolicy":{"http":{"method":"GET","requestUri":"/v1/policy","responseCode":200},"input":{"type":"structure","members":{"RegistryName":{"location":"querystring","locationName":"registryName"}}},"output":{"type":"structure","members":{"Policy":{"jsonvalue":true},"RevisionId":{}}}},"ListDiscoverers":{"http":{"method":"GET","requestUri":"/v1/discoverers","responseCode":200},"input":{"type":"structure","members":{"DiscovererIdPrefix":{"location":"querystring","locationName":"discovererIdPrefix"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"SourceArnPrefix":{"location":"querystring","locationName":"sourceArnPrefix"}}},"output":{"type":"structure","members":{"Discoverers":{"type":"list","member":{"type":"structure","members":{"DiscovererArn":{},"DiscovererId":{},"SourceArn":{},"State":{},"CrossAccount":{"type":"boolean"},"Tags":{"shape":"S5","locationName":"tags"}}}},"NextToken":{}}}},"ListRegistries":{"http":{"method":"GET","requestUri":"/v1/registries","responseCode":200},"input":{"type":"structure","members":{"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"RegistryNamePrefix":{"location":"querystring","locationName":"registryNamePrefix"},"Scope":{"location":"querystring","locationName":"scope"}}},"output":{"type":"structure","members":{"NextToken":{},"Registries":{"type":"list","member":{"type":"structure","members":{"RegistryArn":{},"RegistryName":{},"Tags":{"shape":"S5","locationName":"tags"}}}}}}},"ListSchemaVersions":{"http":{"method":"GET","requestUri":"/v1/registries/name/{registryName}/schemas/name/{schemaName}/versions","responseCode":200},"input":{"type":"structure","members":{"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"RegistryName":{"location":"uri","locationName":"registryName"},"SchemaName":{"location":"uri","locationName":"schemaName"}},"required":["RegistryName","SchemaName"]},"output":{"type":"structure","members":{"NextToken":{},"SchemaVersions":{"type":"list","member":{"type":"structure","members":{"SchemaArn":{},"SchemaName":{},"SchemaVersion":{},"Type":{}}}}}}},"ListSchemas":{"http":{"method":"GET","requestUri":"/v1/registries/name/{registryName}/schemas","responseCode":200},"input":{"type":"structure","members":{"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"RegistryName":{"location":"uri","locationName":"registryName"},"SchemaNamePrefix":{"location":"querystring","locationName":"schemaNamePrefix"}},"required":["RegistryName"]},"output":{"type":"structure","members":{"NextToken":{},"Schemas":{"type":"list","member":{"type":"structure","members":{"LastModified":{"shape":"Sf"},"SchemaArn":{},"SchemaName":{},"Tags":{"shape":"S5","locationName":"tags"},"VersionCount":{"type":"long"}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resource-arn}","responseCode":200},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"}},"required":["ResourceArn"]},"output":{"type":"structure","members":{"Tags":{"shape":"S5","locationName":"tags"}}}},"PutCodeBinding":{"http":{"requestUri":"/v1/registries/name/{registryName}/schemas/name/{schemaName}/language/{language}","responseCode":202},"input":{"type":"structure","members":{"Language":{"location":"uri","locationName":"language"},"RegistryName":{"location":"uri","locationName":"registryName"},"SchemaName":{"location":"uri","locationName":"schemaName"},"SchemaVersion":{"location":"querystring","locationName":"schemaVersion"}},"required":["RegistryName","SchemaName","Language"]},"output":{"type":"structure","members":{"CreationDate":{"shape":"Sf"},"LastModified":{"shape":"Sf"},"SchemaVersion":{},"Status":{}}}},"PutResourcePolicy":{"http":{"method":"PUT","requestUri":"/v1/policy","responseCode":200},"input":{"type":"structure","members":{"Policy":{"jsonvalue":true},"RegistryName":{"location":"querystring","locationName":"registryName"},"RevisionId":{}},"required":["Policy"]},"output":{"type":"structure","members":{"Policy":{"jsonvalue":true},"RevisionId":{}}}},"SearchSchemas":{"http":{"method":"GET","requestUri":"/v1/registries/name/{registryName}/schemas/search","responseCode":200},"input":{"type":"structure","members":{"Keywords":{"location":"querystring","locationName":"keywords"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"RegistryName":{"location":"uri","locationName":"registryName"}},"required":["RegistryName","Keywords"]},"output":{"type":"structure","members":{"NextToken":{},"Schemas":{"type":"list","member":{"type":"structure","members":{"RegistryName":{},"SchemaArn":{},"SchemaName":{},"SchemaVersions":{"type":"list","member":{"type":"structure","members":{"CreatedDate":{"shape":"Sf"},"SchemaVersion":{},"Type":{}}}}}}}}}},"StartDiscoverer":{"http":{"requestUri":"/v1/discoverers/id/{discovererId}/start","responseCode":200},"input":{"type":"structure","members":{"DiscovererId":{"location":"uri","locationName":"discovererId"}},"required":["DiscovererId"]},"output":{"type":"structure","members":{"DiscovererId":{},"State":{}}}},"StopDiscoverer":{"http":{"requestUri":"/v1/discoverers/id/{discovererId}/stop","responseCode":200},"input":{"type":"structure","members":{"DiscovererId":{"location":"uri","locationName":"discovererId"}},"required":["DiscovererId"]},"output":{"type":"structure","members":{"DiscovererId":{},"State":{}}}},"TagResource":{"http":{"requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"Tags":{"shape":"S5","locationName":"tags"}},"required":["ResourceArn","Tags"]}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resource-arn}","responseCode":204},"input":{"type":"structure","members":{"ResourceArn":{"location":"uri","locationName":"resource-arn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}},"required":["TagKeys","ResourceArn"]}},"UpdateDiscoverer":{"http":{"method":"PUT","requestUri":"/v1/discoverers/id/{discovererId}","responseCode":200},"input":{"type":"structure","members":{"Description":{},"DiscovererId":{"location":"uri","locationName":"discovererId"},"CrossAccount":{"type":"boolean"}},"required":["DiscovererId"]},"output":{"type":"structure","members":{"Description":{},"DiscovererArn":{},"DiscovererId":{},"SourceArn":{},"State":{},"CrossAccount":{"type":"boolean"},"Tags":{"shape":"S5","locationName":"tags"}}}},"UpdateRegistry":{"http":{"method":"PUT","requestUri":"/v1/registries/name/{registryName}","responseCode":200},"input":{"type":"structure","members":{"Description":{},"RegistryName":{"location":"uri","locationName":"registryName"}},"required":["RegistryName"]},"output":{"type":"structure","members":{"Description":{},"RegistryArn":{},"RegistryName":{},"Tags":{"shape":"S5","locationName":"tags"}}}},"UpdateSchema":{"http":{"method":"PUT","requestUri":"/v1/registries/name/{registryName}/schemas/name/{schemaName}","responseCode":200},"input":{"type":"structure","members":{"ClientTokenId":{"idempotencyToken":true},"Content":{},"Description":{},"RegistryName":{"location":"uri","locationName":"registryName"},"SchemaName":{"location":"uri","locationName":"schemaName"},"Type":{}},"required":["RegistryName","SchemaName"]},"output":{"type":"structure","members":{"Description":{},"LastModified":{"shape":"Sf"},"SchemaArn":{},"SchemaName":{},"SchemaVersion":{},"Tags":{"shape":"S5","locationName":"tags"},"Type":{},"VersionCreatedDate":{"shape":"Sf"}}}}},"shapes":{"S5":{"type":"map","key":{},"value":{}},"Sf":{"type":"timestamp","timestampFormat":"iso8601"}}}');

/***/ }),

/***/ 34227:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDiscoverers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"Discoverers"},"ListRegistries":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"Registries"},"ListSchemaVersions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"SchemaVersions"},"ListSchemas":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"Schemas"},"SearchSchemas":{"input_token":"NextToken","output_token":"NextToken","limit_key":"Limit","result_key":"Schemas"}}}');

/***/ }),

/***/ 62213:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"CodeBindingExists":{"description":"Wait until code binding is generated","delay":2,"operation":"DescribeCodeBinding","maxAttempts":30,"acceptors":[{"expected":"CREATE_COMPLETE","matcher":"path","state":"success","argument":"Status"},{"expected":"CREATE_IN_PROGRESS","matcher":"path","state":"retry","argument":"Status"},{"expected":"CREATE_FAILED","matcher":"path","state":"failure","argument":"Status"},{"matcher":"error","expected":"NotFoundException","state":"failure"}]}}}');

/***/ }),

/***/ 45164:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2009-04-15","endpointPrefix":"sdb","serviceFullName":"Amazon SimpleDB","serviceId":"SimpleDB","signatureVersion":"v2","xmlNamespace":"http://sdb.amazonaws.com/doc/2009-04-15/","protocol":"query"},"operations":{"BatchDeleteAttributes":{"input":{"type":"structure","required":["DomainName","Items"],"members":{"DomainName":{},"Items":{"type":"list","member":{"locationName":"Item","type":"structure","required":["Name"],"members":{"Name":{"locationName":"ItemName"},"Attributes":{"shape":"S5"}}},"flattened":true}}}},"BatchPutAttributes":{"input":{"type":"structure","required":["DomainName","Items"],"members":{"DomainName":{},"Items":{"type":"list","member":{"locationName":"Item","type":"structure","required":["Name","Attributes"],"members":{"Name":{"locationName":"ItemName"},"Attributes":{"shape":"Sa"}}},"flattened":true}}}},"CreateDomain":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}}},"DeleteAttributes":{"input":{"type":"structure","required":["DomainName","ItemName"],"members":{"DomainName":{},"ItemName":{},"Attributes":{"shape":"S5"},"Expected":{"shape":"Sf"}}}},"DeleteDomain":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}}},"DomainMetadata":{"input":{"type":"structure","required":["DomainName"],"members":{"DomainName":{}}},"output":{"resultWrapper":"DomainMetadataResult","type":"structure","members":{"ItemCount":{"type":"integer"},"ItemNamesSizeBytes":{"type":"long"},"AttributeNameCount":{"type":"integer"},"AttributeNamesSizeBytes":{"type":"long"},"AttributeValueCount":{"type":"integer"},"AttributeValuesSizeBytes":{"type":"long"},"Timestamp":{"type":"integer"}}}},"GetAttributes":{"input":{"type":"structure","required":["DomainName","ItemName"],"members":{"DomainName":{},"ItemName":{},"AttributeNames":{"type":"list","member":{"locationName":"AttributeName"},"flattened":true},"ConsistentRead":{"type":"boolean"}}},"output":{"resultWrapper":"GetAttributesResult","type":"structure","members":{"Attributes":{"shape":"So"}}}},"ListDomains":{"input":{"type":"structure","members":{"MaxNumberOfDomains":{"type":"integer"},"NextToken":{}}},"output":{"resultWrapper":"ListDomainsResult","type":"structure","members":{"DomainNames":{"type":"list","member":{"locationName":"DomainName"},"flattened":true},"NextToken":{}}}},"PutAttributes":{"input":{"type":"structure","required":["DomainName","ItemName","Attributes"],"members":{"DomainName":{},"ItemName":{},"Attributes":{"shape":"Sa"},"Expected":{"shape":"Sf"}}}},"Select":{"input":{"type":"structure","required":["SelectExpression"],"members":{"SelectExpression":{},"NextToken":{},"ConsistentRead":{"type":"boolean"}}},"output":{"resultWrapper":"SelectResult","type":"structure","members":{"Items":{"type":"list","member":{"locationName":"Item","type":"structure","required":["Name","Attributes"],"members":{"Name":{},"AlternateNameEncoding":{},"Attributes":{"shape":"So"}}},"flattened":true},"NextToken":{}}}}},"shapes":{"S5":{"type":"list","member":{"locationName":"Attribute","type":"structure","required":["Name"],"members":{"Name":{},"Value":{}}},"flattened":true},"Sa":{"type":"list","member":{"locationName":"Attribute","type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{},"Replace":{"type":"boolean"}}},"flattened":true},"Sf":{"type":"structure","members":{"Name":{},"Value":{},"Exists":{"type":"boolean"}}},"So":{"type":"list","member":{"locationName":"Attribute","type":"structure","required":["Name","Value"],"members":{"Name":{},"AlternateNameEncoding":{},"Value":{},"AlternateValueEncoding":{}}},"flattened":true}}}');

/***/ }),

/***/ 55255:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDomains":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxNumberOfDomains","result_key":"DomainNames"},"Select":{"input_token":"NextToken","output_token":"NextToken","result_key":"Items"}}}');

/***/ }),

/***/ 89470:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-10-17","endpointPrefix":"secretsmanager","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Secrets Manager","serviceId":"Secrets Manager","signatureVersion":"v4","signingName":"secretsmanager","targetPrefix":"secretsmanager","uid":"secretsmanager-2017-10-17"},"operations":{"CancelRotateSecret":{"input":{"type":"structure","required":["SecretId"],"members":{"SecretId":{}}},"output":{"type":"structure","members":{"ARN":{},"Name":{},"VersionId":{}}}},"CreateSecret":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"ClientRequestToken":{"idempotencyToken":true},"Description":{},"KmsKeyId":{},"SecretBinary":{"shape":"Sc"},"SecretString":{"shape":"Sd"},"Tags":{"shape":"Se"},"AddReplicaRegions":{"shape":"Si"},"ForceOverwriteReplicaSecret":{"type":"boolean"}}},"output":{"type":"structure","members":{"ARN":{},"Name":{},"VersionId":{},"ReplicationStatus":{"shape":"Sn"}}}},"DeleteResourcePolicy":{"input":{"type":"structure","required":["SecretId"],"members":{"SecretId":{}}},"output":{"type":"structure","members":{"ARN":{},"Name":{}}}},"DeleteSecret":{"input":{"type":"structure","required":["SecretId"],"members":{"SecretId":{},"RecoveryWindowInDays":{"type":"long"},"ForceDeleteWithoutRecovery":{"type":"boolean"}}},"output":{"type":"structure","members":{"ARN":{},"Name":{},"DeletionDate":{"type":"timestamp"}}}},"DescribeSecret":{"input":{"type":"structure","required":["SecretId"],"members":{"SecretId":{}}},"output":{"type":"structure","members":{"ARN":{},"Name":{},"Description":{},"KmsKeyId":{},"RotationEnabled":{"type":"boolean"},"RotationLambdaARN":{},"RotationRules":{"shape":"S12"},"LastRotatedDate":{"type":"timestamp"},"LastChangedDate":{"type":"timestamp"},"LastAccessedDate":{"type":"timestamp"},"DeletedDate":{"type":"timestamp"},"Tags":{"shape":"Se"},"VersionIdsToStages":{"shape":"S17"},"OwningService":{},"CreatedDate":{"type":"timestamp"},"PrimaryRegion":{},"ReplicationStatus":{"shape":"Sn"}}}},"GetRandomPassword":{"input":{"type":"structure","members":{"PasswordLength":{"type":"long"},"ExcludeCharacters":{},"ExcludeNumbers":{"type":"boolean"},"ExcludePunctuation":{"type":"boolean"},"ExcludeUppercase":{"type":"boolean"},"ExcludeLowercase":{"type":"boolean"},"IncludeSpace":{"type":"boolean"},"RequireEachIncludedType":{"type":"boolean"}}},"output":{"type":"structure","members":{"RandomPassword":{"type":"string","sensitive":true}}}},"GetResourcePolicy":{"input":{"type":"structure","required":["SecretId"],"members":{"SecretId":{}}},"output":{"type":"structure","members":{"ARN":{},"Name":{},"ResourcePolicy":{}}}},"GetSecretValue":{"input":{"type":"structure","required":["SecretId"],"members":{"SecretId":{},"VersionId":{},"VersionStage":{}}},"output":{"type":"structure","members":{"ARN":{},"Name":{},"VersionId":{},"SecretBinary":{"shape":"Sc"},"SecretString":{"shape":"Sd"},"VersionStages":{"shape":"S18"},"CreatedDate":{"type":"timestamp"}}}},"ListSecretVersionIds":{"input":{"type":"structure","required":["SecretId"],"members":{"SecretId":{},"MaxResults":{"type":"integer"},"NextToken":{},"IncludeDeprecated":{"type":"boolean"}}},"output":{"type":"structure","members":{"Versions":{"type":"list","member":{"type":"structure","members":{"VersionId":{},"VersionStages":{"shape":"S18"},"LastAccessedDate":{"type":"timestamp"},"CreatedDate":{"type":"timestamp"},"KmsKeyIds":{"type":"list","member":{}}}}},"NextToken":{},"ARN":{},"Name":{}}}},"ListSecrets":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Values":{"type":"list","member":{}}}}},"SortOrder":{}}},"output":{"type":"structure","members":{"SecretList":{"type":"list","member":{"type":"structure","members":{"ARN":{},"Name":{},"Description":{},"KmsKeyId":{},"RotationEnabled":{"type":"boolean"},"RotationLambdaARN":{},"RotationRules":{"shape":"S12"},"LastRotatedDate":{"type":"timestamp"},"LastChangedDate":{"type":"timestamp"},"LastAccessedDate":{"type":"timestamp"},"DeletedDate":{"type":"timestamp"},"Tags":{"shape":"Se"},"SecretVersionsToStages":{"shape":"S17"},"OwningService":{},"CreatedDate":{"type":"timestamp"},"PrimaryRegion":{}}}},"NextToken":{}}}},"PutResourcePolicy":{"input":{"type":"structure","required":["SecretId","ResourcePolicy"],"members":{"SecretId":{},"ResourcePolicy":{},"BlockPublicPolicy":{"type":"boolean"}}},"output":{"type":"structure","members":{"ARN":{},"Name":{}}}},"PutSecretValue":{"input":{"type":"structure","required":["SecretId"],"members":{"SecretId":{},"ClientRequestToken":{"idempotencyToken":true},"SecretBinary":{"shape":"Sc"},"SecretString":{"shape":"Sd"},"VersionStages":{"shape":"S18"}}},"output":{"type":"structure","members":{"ARN":{},"Name":{},"VersionId":{},"VersionStages":{"shape":"S18"}}}},"RemoveRegionsFromReplication":{"input":{"type":"structure","required":["SecretId","RemoveReplicaRegions"],"members":{"SecretId":{},"RemoveReplicaRegions":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"ARN":{},"ReplicationStatus":{"shape":"Sn"}}}},"ReplicateSecretToRegions":{"input":{"type":"structure","required":["SecretId","AddReplicaRegions"],"members":{"SecretId":{},"AddReplicaRegions":{"shape":"Si"},"ForceOverwriteReplicaSecret":{"type":"boolean"}}},"output":{"type":"structure","members":{"ARN":{},"ReplicationStatus":{"shape":"Sn"}}}},"RestoreSecret":{"input":{"type":"structure","required":["SecretId"],"members":{"SecretId":{}}},"output":{"type":"structure","members":{"ARN":{},"Name":{}}}},"RotateSecret":{"input":{"type":"structure","required":["SecretId"],"members":{"SecretId":{},"ClientRequestToken":{"idempotencyToken":true},"RotationLambdaARN":{},"RotationRules":{"shape":"S12"}}},"output":{"type":"structure","members":{"ARN":{},"Name":{},"VersionId":{}}}},"StopReplicationToReplica":{"input":{"type":"structure","required":["SecretId"],"members":{"SecretId":{}}},"output":{"type":"structure","members":{"ARN":{}}}},"TagResource":{"input":{"type":"structure","required":["SecretId","Tags"],"members":{"SecretId":{},"Tags":{"shape":"Se"}}}},"UntagResource":{"input":{"type":"structure","required":["SecretId","TagKeys"],"members":{"SecretId":{},"TagKeys":{"type":"list","member":{}}}}},"UpdateSecret":{"input":{"type":"structure","required":["SecretId"],"members":{"SecretId":{},"ClientRequestToken":{"idempotencyToken":true},"Description":{},"KmsKeyId":{},"SecretBinary":{"shape":"Sc"},"SecretString":{"shape":"Sd"}}},"output":{"type":"structure","members":{"ARN":{},"Name":{},"VersionId":{}}}},"UpdateSecretVersionStage":{"input":{"type":"structure","required":["SecretId","VersionStage"],"members":{"SecretId":{},"VersionStage":{},"RemoveFromVersionId":{},"MoveToVersionId":{}}},"output":{"type":"structure","members":{"ARN":{},"Name":{}}}},"ValidateResourcePolicy":{"input":{"type":"structure","required":["ResourcePolicy"],"members":{"SecretId":{},"ResourcePolicy":{}}},"output":{"type":"structure","members":{"PolicyValidationPassed":{"type":"boolean"},"ValidationErrors":{"type":"list","member":{"type":"structure","members":{"CheckName":{},"ErrorMessage":{}}}}}}}},"shapes":{"Sc":{"type":"blob","sensitive":true},"Sd":{"type":"string","sensitive":true},"Se":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"Si":{"type":"list","member":{"type":"structure","members":{"Region":{},"KmsKeyId":{}}}},"Sn":{"type":"list","member":{"type":"structure","members":{"Region":{},"KmsKeyId":{},"Status":{},"StatusMessage":{},"LastAccessedDate":{"type":"timestamp"}}}},"S12":{"type":"structure","members":{"AutomaticallyAfterDays":{"type":"long"}}},"S17":{"type":"map","key":{},"value":{"shape":"S18"}},"S18":{"type":"list","member":{}}}}');

/***/ }),

/***/ 25613:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListSecretVersionIds":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSecrets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 29208:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-10-26","endpointPrefix":"securityhub","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS SecurityHub","serviceId":"SecurityHub","signatureVersion":"v4","signingName":"securityhub","uid":"securityhub-2018-10-26"},"operations":{"AcceptAdministratorInvitation":{"http":{"requestUri":"/administrator"},"input":{"type":"structure","required":["AdministratorId","InvitationId"],"members":{"AdministratorId":{},"InvitationId":{}}},"output":{"type":"structure","members":{}}},"AcceptInvitation":{"http":{"requestUri":"/master"},"input":{"type":"structure","required":["MasterId","InvitationId"],"members":{"MasterId":{},"InvitationId":{}}},"output":{"type":"structure","members":{}},"deprecated":true,"deprecatedMessage":"This API has been deprecated, use AcceptAdministratorInvitation API instead."},"BatchDisableStandards":{"http":{"requestUri":"/standards/deregister"},"input":{"type":"structure","required":["StandardsSubscriptionArns"],"members":{"StandardsSubscriptionArns":{"shape":"S7"}}},"output":{"type":"structure","members":{"StandardsSubscriptions":{"shape":"S9"}}}},"BatchEnableStandards":{"http":{"requestUri":"/standards/register"},"input":{"type":"structure","required":["StandardsSubscriptionRequests"],"members":{"StandardsSubscriptionRequests":{"type":"list","member":{"type":"structure","required":["StandardsArn"],"members":{"StandardsArn":{},"StandardsInput":{"shape":"Sb"}}}}}},"output":{"type":"structure","members":{"StandardsSubscriptions":{"shape":"S9"}}}},"BatchImportFindings":{"http":{"requestUri":"/findings/import"},"input":{"type":"structure","required":["Findings"],"members":{"Findings":{"type":"list","member":{"shape":"Sj"}}}},"output":{"type":"structure","required":["FailedCount","SuccessCount"],"members":{"FailedCount":{"type":"integer"},"SuccessCount":{"type":"integer"},"FailedFindings":{"type":"list","member":{"type":"structure","required":["Id","ErrorCode","ErrorMessage"],"members":{"Id":{},"ErrorCode":{},"ErrorMessage":{}}}}}}},"BatchUpdateFindings":{"http":{"method":"PATCH","requestUri":"/findings/batchupdate"},"input":{"type":"structure","required":["FindingIdentifiers"],"members":{"FindingIdentifiers":{"shape":"Sev"},"Note":{"shape":"Sex"},"Severity":{"type":"structure","members":{"Normalized":{"type":"integer"},"Product":{"type":"double"},"Label":{}}},"VerificationState":{},"Confidence":{"type":"integer"},"Criticality":{"type":"integer"},"Types":{"shape":"Sk"},"UserDefinedFields":{"shape":"Sr"},"Workflow":{"type":"structure","members":{"Status":{}}},"RelatedFindings":{"shape":"Sdv"}}},"output":{"type":"structure","required":["ProcessedFindings","UnprocessedFindings"],"members":{"ProcessedFindings":{"shape":"Sev"},"UnprocessedFindings":{"type":"list","member":{"type":"structure","required":["FindingIdentifier","ErrorCode","ErrorMessage"],"members":{"FindingIdentifier":{"shape":"Sew"},"ErrorCode":{},"ErrorMessage":{}}}}}}},"CreateActionTarget":{"http":{"requestUri":"/actionTargets"},"input":{"type":"structure","required":["Name","Description","Id"],"members":{"Name":{},"Description":{},"Id":{}}},"output":{"type":"structure","required":["ActionTargetArn"],"members":{"ActionTargetArn":{}}}},"CreateFindingAggregator":{"http":{"requestUri":"/findingAggregator/create"},"input":{"type":"structure","required":["RegionLinkingMode"],"members":{"RegionLinkingMode":{},"Regions":{"shape":"S13"}}},"output":{"type":"structure","members":{"FindingAggregatorArn":{},"FindingAggregationRegion":{},"RegionLinkingMode":{},"Regions":{"shape":"S13"}}}},"CreateInsight":{"http":{"requestUri":"/insights"},"input":{"type":"structure","required":["Name","Filters","GroupByAttribute"],"members":{"Name":{},"Filters":{"shape":"Sf8"},"GroupByAttribute":{}}},"output":{"type":"structure","required":["InsightArn"],"members":{"InsightArn":{}}}},"CreateMembers":{"http":{"requestUri":"/members"},"input":{"type":"structure","required":["AccountDetails"],"members":{"AccountDetails":{"type":"list","member":{"type":"structure","required":["AccountId"],"members":{"AccountId":{},"Email":{}}}}}},"output":{"type":"structure","members":{"UnprocessedAccounts":{"shape":"Sfv"}}}},"DeclineInvitations":{"http":{"requestUri":"/invitations/decline"},"input":{"type":"structure","required":["AccountIds"],"members":{"AccountIds":{"shape":"Sfy"}}},"output":{"type":"structure","members":{"UnprocessedAccounts":{"shape":"Sfv"}}}},"DeleteActionTarget":{"http":{"method":"DELETE","requestUri":"/actionTargets/{ActionTargetArn+}"},"input":{"type":"structure","required":["ActionTargetArn"],"members":{"ActionTargetArn":{"location":"uri","locationName":"ActionTargetArn"}}},"output":{"type":"structure","required":["ActionTargetArn"],"members":{"ActionTargetArn":{}}}},"DeleteFindingAggregator":{"http":{"method":"DELETE","requestUri":"/findingAggregator/delete/{FindingAggregatorArn+}"},"input":{"type":"structure","required":["FindingAggregatorArn"],"members":{"FindingAggregatorArn":{"location":"uri","locationName":"FindingAggregatorArn"}}},"output":{"type":"structure","members":{}}},"DeleteInsight":{"http":{"method":"DELETE","requestUri":"/insights/{InsightArn+}"},"input":{"type":"structure","required":["InsightArn"],"members":{"InsightArn":{"location":"uri","locationName":"InsightArn"}}},"output":{"type":"structure","required":["InsightArn"],"members":{"InsightArn":{}}}},"DeleteInvitations":{"http":{"requestUri":"/invitations/delete"},"input":{"type":"structure","required":["AccountIds"],"members":{"AccountIds":{"shape":"Sfy"}}},"output":{"type":"structure","members":{"UnprocessedAccounts":{"shape":"Sfv"}}}},"DeleteMembers":{"http":{"requestUri":"/members/delete"},"input":{"type":"structure","required":["AccountIds"],"members":{"AccountIds":{"shape":"Sfy"}}},"output":{"type":"structure","members":{"UnprocessedAccounts":{"shape":"Sfv"}}}},"DescribeActionTargets":{"http":{"requestUri":"/actionTargets/get"},"input":{"type":"structure","members":{"ActionTargetArns":{"shape":"Sgb"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["ActionTargets"],"members":{"ActionTargets":{"type":"list","member":{"type":"structure","required":["ActionTargetArn","Name","Description"],"members":{"ActionTargetArn":{},"Name":{},"Description":{}}}},"NextToken":{}}}},"DescribeHub":{"http":{"method":"GET","requestUri":"/accounts"},"input":{"type":"structure","members":{"HubArn":{"location":"querystring","locationName":"HubArn"}}},"output":{"type":"structure","members":{"HubArn":{},"SubscribedAt":{},"AutoEnableControls":{"type":"boolean"}}}},"DescribeOrganizationConfiguration":{"http":{"method":"GET","requestUri":"/organization/configuration"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"AutoEnable":{"type":"boolean"},"MemberAccountLimitReached":{"type":"boolean"}}}},"DescribeProducts":{"http":{"method":"GET","requestUri":"/products"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"ProductArn":{"location":"querystring","locationName":"ProductArn"}}},"output":{"type":"structure","required":["Products"],"members":{"Products":{"type":"list","member":{"type":"structure","required":["ProductArn"],"members":{"ProductArn":{},"ProductName":{},"CompanyName":{},"Description":{},"Categories":{"type":"list","member":{}},"IntegrationTypes":{"type":"list","member":{}},"MarketplaceUrl":{},"ActivationUrl":{},"ProductSubscriptionResourcePolicy":{}}}},"NextToken":{}}}},"DescribeStandards":{"http":{"method":"GET","requestUri":"/standards"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"Standards":{"type":"list","member":{"type":"structure","members":{"StandardsArn":{},"Name":{},"Description":{},"EnabledByDefault":{"type":"boolean"}}}},"NextToken":{}}}},"DescribeStandardsControls":{"http":{"method":"GET","requestUri":"/standards/controls/{StandardsSubscriptionArn+}"},"input":{"type":"structure","required":["StandardsSubscriptionArn"],"members":{"StandardsSubscriptionArn":{"location":"uri","locationName":"StandardsSubscriptionArn"},"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"Controls":{"type":"list","member":{"type":"structure","members":{"StandardsControlArn":{},"ControlStatus":{},"DisabledReason":{},"ControlStatusUpdatedAt":{"shape":"Sh1"},"ControlId":{},"Title":{},"Description":{},"RemediationUrl":{},"SeverityRating":{},"RelatedRequirements":{"shape":"Sdn"}}}},"NextToken":{}}}},"DisableImportFindingsForProduct":{"http":{"method":"DELETE","requestUri":"/productSubscriptions/{ProductSubscriptionArn+}"},"input":{"type":"structure","required":["ProductSubscriptionArn"],"members":{"ProductSubscriptionArn":{"location":"uri","locationName":"ProductSubscriptionArn"}}},"output":{"type":"structure","members":{}}},"DisableOrganizationAdminAccount":{"http":{"requestUri":"/organization/admin/disable"},"input":{"type":"structure","required":["AdminAccountId"],"members":{"AdminAccountId":{}}},"output":{"type":"structure","members":{}}},"DisableSecurityHub":{"http":{"method":"DELETE","requestUri":"/accounts"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DisassociateFromAdministratorAccount":{"http":{"requestUri":"/administrator/disassociate"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DisassociateFromMasterAccount":{"http":{"requestUri":"/master/disassociate"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}},"deprecated":true,"deprecatedMessage":"This API has been deprecated, use DisassociateFromAdministratorAccount API instead."},"DisassociateMembers":{"http":{"requestUri":"/members/disassociate"},"input":{"type":"structure","required":["AccountIds"],"members":{"AccountIds":{"shape":"Sfy"}}},"output":{"type":"structure","members":{}}},"EnableImportFindingsForProduct":{"http":{"requestUri":"/productSubscriptions"},"input":{"type":"structure","required":["ProductArn"],"members":{"ProductArn":{}}},"output":{"type":"structure","members":{"ProductSubscriptionArn":{}}}},"EnableOrganizationAdminAccount":{"http":{"requestUri":"/organization/admin/enable"},"input":{"type":"structure","required":["AdminAccountId"],"members":{"AdminAccountId":{}}},"output":{"type":"structure","members":{}}},"EnableSecurityHub":{"http":{"requestUri":"/accounts"},"input":{"type":"structure","members":{"Tags":{"shape":"Shk"},"EnableDefaultStandards":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"GetAdministratorAccount":{"http":{"method":"GET","requestUri":"/administrator"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"Administrator":{"shape":"Shq"}}}},"GetEnabledStandards":{"http":{"requestUri":"/standards/get"},"input":{"type":"structure","members":{"StandardsSubscriptionArns":{"shape":"S7"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"StandardsSubscriptions":{"shape":"S9"},"NextToken":{}}}},"GetFindingAggregator":{"http":{"method":"GET","requestUri":"/findingAggregator/get/{FindingAggregatorArn+}"},"input":{"type":"structure","required":["FindingAggregatorArn"],"members":{"FindingAggregatorArn":{"location":"uri","locationName":"FindingAggregatorArn"}}},"output":{"type":"structure","members":{"FindingAggregatorArn":{},"FindingAggregationRegion":{},"RegionLinkingMode":{},"Regions":{"shape":"S13"}}}},"GetFindings":{"http":{"requestUri":"/findings"},"input":{"type":"structure","members":{"Filters":{"shape":"Sf8"},"SortCriteria":{"type":"list","member":{"type":"structure","members":{"Field":{},"SortOrder":{}}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["Findings"],"members":{"Findings":{"type":"list","member":{"shape":"Sj"}},"NextToken":{}}}},"GetInsightResults":{"http":{"method":"GET","requestUri":"/insights/results/{InsightArn+}"},"input":{"type":"structure","required":["InsightArn"],"members":{"InsightArn":{"location":"uri","locationName":"InsightArn"}}},"output":{"type":"structure","required":["InsightResults"],"members":{"InsightResults":{"type":"structure","required":["InsightArn","GroupByAttribute","ResultValues"],"members":{"InsightArn":{},"GroupByAttribute":{},"ResultValues":{"type":"list","member":{"type":"structure","required":["GroupByAttributeValue","Count"],"members":{"GroupByAttributeValue":{},"Count":{"type":"integer"}}}}}}}}},"GetInsights":{"http":{"requestUri":"/insights/get"},"input":{"type":"structure","members":{"InsightArns":{"shape":"Sgb"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["Insights"],"members":{"Insights":{"type":"list","member":{"type":"structure","required":["InsightArn","Name","Filters","GroupByAttribute"],"members":{"InsightArn":{},"Name":{},"Filters":{"shape":"Sf8"},"GroupByAttribute":{}}}},"NextToken":{}}}},"GetInvitationsCount":{"http":{"method":"GET","requestUri":"/invitations/count"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"InvitationsCount":{"type":"integer"}}}},"GetMasterAccount":{"http":{"method":"GET","requestUri":"/master"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"Master":{"shape":"Shq"}}},"deprecated":true,"deprecatedMessage":"This API has been deprecated, use GetAdministratorAccount API instead."},"GetMembers":{"http":{"requestUri":"/members/get"},"input":{"type":"structure","required":["AccountIds"],"members":{"AccountIds":{"shape":"Sfy"}}},"output":{"type":"structure","members":{"Members":{"shape":"Sig"},"UnprocessedAccounts":{"shape":"Sfv"}}}},"InviteMembers":{"http":{"requestUri":"/members/invite"},"input":{"type":"structure","required":["AccountIds"],"members":{"AccountIds":{"shape":"Sfy"}}},"output":{"type":"structure","members":{"UnprocessedAccounts":{"shape":"Sfv"}}}},"ListEnabledProductsForImport":{"http":{"method":"GET","requestUri":"/productSubscriptions"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"ProductSubscriptions":{"type":"list","member":{}},"NextToken":{}}}},"ListFindingAggregators":{"http":{"method":"GET","requestUri":"/findingAggregator/list"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"FindingAggregators":{"type":"list","member":{"type":"structure","members":{"FindingAggregatorArn":{}}}},"NextToken":{}}}},"ListInvitations":{"http":{"method":"GET","requestUri":"/invitations"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Invitations":{"type":"list","member":{"shape":"Shq"}},"NextToken":{}}}},"ListMembers":{"http":{"method":"GET","requestUri":"/members"},"input":{"type":"structure","members":{"OnlyAssociated":{"location":"querystring","locationName":"OnlyAssociated","type":"boolean"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Members":{"shape":"Sig"},"NextToken":{}}}},"ListOrganizationAdminAccounts":{"http":{"method":"GET","requestUri":"/organization/admin"},"input":{"type":"structure","members":{"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"AdminAccounts":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"Status":{}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Shk"}}}},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"Shk"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateActionTarget":{"http":{"method":"PATCH","requestUri":"/actionTargets/{ActionTargetArn+}"},"input":{"type":"structure","required":["ActionTargetArn"],"members":{"ActionTargetArn":{"location":"uri","locationName":"ActionTargetArn"},"Name":{},"Description":{}}},"output":{"type":"structure","members":{}}},"UpdateFindingAggregator":{"http":{"method":"PATCH","requestUri":"/findingAggregator/update"},"input":{"type":"structure","required":["FindingAggregatorArn","RegionLinkingMode"],"members":{"FindingAggregatorArn":{},"RegionLinkingMode":{},"Regions":{"shape":"S13"}}},"output":{"type":"structure","members":{"FindingAggregatorArn":{},"FindingAggregationRegion":{},"RegionLinkingMode":{},"Regions":{"shape":"S13"}}}},"UpdateFindings":{"http":{"method":"PATCH","requestUri":"/findings"},"input":{"type":"structure","required":["Filters"],"members":{"Filters":{"shape":"Sf8"},"Note":{"shape":"Sex"},"RecordState":{}}},"output":{"type":"structure","members":{}}},"UpdateInsight":{"http":{"method":"PATCH","requestUri":"/insights/{InsightArn+}"},"input":{"type":"structure","required":["InsightArn"],"members":{"InsightArn":{"location":"uri","locationName":"InsightArn"},"Name":{},"Filters":{"shape":"Sf8"},"GroupByAttribute":{}}},"output":{"type":"structure","members":{}}},"UpdateOrganizationConfiguration":{"http":{"requestUri":"/organization/configuration"},"input":{"type":"structure","required":["AutoEnable"],"members":{"AutoEnable":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"UpdateSecurityHubConfiguration":{"http":{"method":"PATCH","requestUri":"/accounts"},"input":{"type":"structure","members":{"AutoEnableControls":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"UpdateStandardsControl":{"http":{"method":"PATCH","requestUri":"/standards/control/{StandardsControlArn+}"},"input":{"type":"structure","required":["StandardsControlArn"],"members":{"StandardsControlArn":{"location":"uri","locationName":"StandardsControlArn"},"ControlStatus":{},"DisabledReason":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"S7":{"type":"list","member":{}},"S9":{"type":"list","member":{"type":"structure","required":["StandardsSubscriptionArn","StandardsArn","StandardsInput","StandardsStatus"],"members":{"StandardsSubscriptionArn":{},"StandardsArn":{},"StandardsInput":{"shape":"Sb"},"StandardsStatus":{}}}},"Sb":{"type":"map","key":{},"value":{}},"Sj":{"type":"structure","required":["SchemaVersion","Id","ProductArn","GeneratorId","AwsAccountId","CreatedAt","UpdatedAt","Title","Description","Resources"],"members":{"SchemaVersion":{},"Id":{},"ProductArn":{},"ProductName":{},"CompanyName":{},"Region":{},"GeneratorId":{},"AwsAccountId":{},"Types":{"shape":"Sk"},"FirstObservedAt":{},"LastObservedAt":{},"CreatedAt":{},"UpdatedAt":{},"Severity":{"type":"structure","members":{"Product":{"type":"double"},"Label":{},"Normalized":{"type":"integer"},"Original":{}}},"Confidence":{"type":"integer"},"Criticality":{"type":"integer"},"Title":{},"Description":{},"Remediation":{"type":"structure","members":{"Recommendation":{"type":"structure","members":{"Text":{},"Url":{}}}}},"SourceUrl":{},"ProductFields":{"shape":"Sr"},"UserDefinedFields":{"shape":"Sr"},"Malware":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{},"Type":{},"Path":{},"State":{}}}},"Network":{"type":"structure","members":{"Direction":{},"Protocol":{},"OpenPortRange":{"shape":"Sy"},"SourceIpV4":{},"SourceIpV6":{},"SourcePort":{"type":"integer"},"SourceDomain":{},"SourceMac":{},"DestinationIpV4":{},"DestinationIpV6":{},"DestinationPort":{"type":"integer"},"DestinationDomain":{}}},"NetworkPath":{"type":"list","member":{"type":"structure","members":{"ComponentId":{},"ComponentType":{},"Egress":{"shape":"S11"},"Ingress":{"shape":"S11"}}}},"Process":{"type":"structure","members":{"Name":{},"Path":{},"Pid":{"type":"integer"},"ParentPid":{"type":"integer"},"LaunchedAt":{},"TerminatedAt":{}}},"ThreatIntelIndicators":{"type":"list","member":{"type":"structure","members":{"Type":{},"Value":{},"Category":{},"LastObservedAt":{},"Source":{},"SourceUrl":{}}}},"Resources":{"type":"list","member":{"type":"structure","required":["Type","Id"],"members":{"Type":{},"Id":{},"Partition":{},"Region":{},"ResourceRole":{},"Tags":{"shape":"Sr"},"DataClassification":{"type":"structure","members":{"DetailedResultsLocation":{},"Result":{"type":"structure","members":{"MimeType":{},"SizeClassified":{"type":"long"},"AdditionalOccurrences":{"type":"boolean"},"Status":{"type":"structure","members":{"Code":{},"Reason":{}}},"SensitiveData":{"type":"list","member":{"type":"structure","members":{"Category":{},"Detections":{"type":"list","member":{"type":"structure","members":{"Count":{"type":"long"},"Type":{},"Occurrences":{"shape":"S1m"}}}},"TotalCount":{"type":"long"}}}},"CustomDataIdentifiers":{"type":"structure","members":{"Detections":{"type":"list","member":{"type":"structure","members":{"Count":{"type":"long"},"Arn":{},"Name":{},"Occurrences":{"shape":"S1m"}}}},"TotalCount":{"type":"long"}}}}}}},"Details":{"type":"structure","members":{"AwsAutoScalingAutoScalingGroup":{"type":"structure","members":{"LaunchConfigurationName":{},"LoadBalancerNames":{"shape":"S13"},"HealthCheckType":{},"HealthCheckGracePeriod":{"type":"integer"},"CreatedTime":{}}},"AwsCodeBuildProject":{"type":"structure","members":{"EncryptionKey":{},"Artifacts":{"type":"list","member":{"type":"structure","members":{"ArtifactIdentifier":{},"EncryptionDisabled":{"type":"boolean"},"Location":{},"Name":{},"NamespaceType":{},"OverrideArtifactName":{"type":"boolean"},"Packaging":{},"Path":{},"Type":{}}}},"Environment":{"type":"structure","members":{"Certificate":{},"EnvironmentVariables":{"type":"list","member":{"type":"structure","members":{"Name":{},"Type":{},"Value":{}}}},"PrivilegedMode":{"type":"boolean"},"ImagePullCredentialsType":{},"RegistryCredential":{"type":"structure","members":{"Credential":{},"CredentialProvider":{}}},"Type":{}}},"Name":{},"Source":{"type":"structure","members":{"Type":{},"Location":{},"GitCloneDepth":{"type":"integer"},"InsecureSsl":{"type":"boolean"}}},"ServiceRole":{},"LogsConfig":{"type":"structure","members":{"CloudWatchLogs":{"type":"structure","members":{"GroupName":{},"Status":{},"StreamName":{}}},"S3Logs":{"type":"structure","members":{"EncryptionDisabled":{"type":"boolean"},"Location":{},"Status":{}}}}},"VpcConfig":{"type":"structure","members":{"VpcId":{},"Subnets":{"shape":"S2c"},"SecurityGroupIds":{"shape":"S2c"}}}}},"AwsCloudFrontDistribution":{"type":"structure","members":{"CacheBehaviors":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"structure","members":{"ViewerProtocolPolicy":{}}}}}},"DefaultCacheBehavior":{"type":"structure","members":{"ViewerProtocolPolicy":{}}},"DefaultRootObject":{},"DomainName":{},"ETag":{},"LastModifiedTime":{},"Logging":{"type":"structure","members":{"Bucket":{},"Enabled":{"type":"boolean"},"IncludeCookies":{"type":"boolean"},"Prefix":{}}},"Origins":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"structure","members":{"DomainName":{},"Id":{},"OriginPath":{},"S3OriginConfig":{"type":"structure","members":{"OriginAccessIdentity":{}}}}}}}},"OriginGroups":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"structure","members":{"FailoverCriteria":{"type":"structure","members":{"StatusCodes":{"type":"structure","members":{"Items":{"type":"list","member":{"type":"integer"}},"Quantity":{"type":"integer"}}}}}}}}}},"ViewerCertificate":{"type":"structure","members":{"AcmCertificateArn":{},"Certificate":{},"CertificateSource":{},"CloudFrontDefaultCertificate":{"type":"boolean"},"IamCertificateId":{},"MinimumProtocolVersion":{},"SslSupportMethod":{}}},"Status":{},"WebAclId":{}}},"AwsEc2Instance":{"type":"structure","members":{"Type":{},"ImageId":{},"IpV4Addresses":{"shape":"S13"},"IpV6Addresses":{"shape":"S13"},"KeyName":{},"IamInstanceProfileArn":{},"VpcId":{},"SubnetId":{},"LaunchedAt":{},"NetworkInterfaces":{"type":"list","member":{"type":"structure","members":{"NetworkInterfaceId":{}}}}}},"AwsEc2NetworkInterface":{"type":"structure","members":{"Attachment":{"type":"structure","members":{"AttachTime":{},"AttachmentId":{},"DeleteOnTermination":{"type":"boolean"},"DeviceIndex":{"type":"integer"},"InstanceId":{},"InstanceOwnerId":{},"Status":{}}},"NetworkInterfaceId":{},"SecurityGroups":{"type":"list","member":{"type":"structure","members":{"GroupName":{},"GroupId":{}}}},"SourceDestCheck":{"type":"boolean"},"IpV6Addresses":{"type":"list","member":{"type":"structure","members":{"IpV6Address":{}}}},"PrivateIpAddresses":{"type":"list","member":{"type":"structure","members":{"PrivateIpAddress":{},"PrivateDnsName":{}}}},"PublicDnsName":{},"PublicIp":{}}},"AwsEc2SecurityGroup":{"type":"structure","members":{"GroupName":{},"GroupId":{},"OwnerId":{},"VpcId":{},"IpPermissions":{"shape":"S36"},"IpPermissionsEgress":{"shape":"S36"}}},"AwsEc2Volume":{"type":"structure","members":{"CreateTime":{},"Encrypted":{"type":"boolean"},"Size":{"type":"integer"},"SnapshotId":{},"Status":{},"KmsKeyId":{},"Attachments":{"type":"list","member":{"type":"structure","members":{"AttachTime":{},"DeleteOnTermination":{"type":"boolean"},"InstanceId":{},"Status":{}}}}}},"AwsEc2Vpc":{"type":"structure","members":{"CidrBlockAssociationSet":{"type":"list","member":{"type":"structure","members":{"AssociationId":{},"CidrBlock":{},"CidrBlockState":{}}}},"Ipv6CidrBlockAssociationSet":{"shape":"S3m"},"DhcpOptionsId":{},"State":{}}},"AwsEc2Eip":{"type":"structure","members":{"InstanceId":{},"PublicIp":{},"AllocationId":{},"AssociationId":{},"Domain":{},"PublicIpv4Pool":{},"NetworkBorderGroup":{},"NetworkInterfaceId":{},"NetworkInterfaceOwnerId":{},"PrivateIpAddress":{}}},"AwsEc2Subnet":{"type":"structure","members":{"AssignIpv6AddressOnCreation":{"type":"boolean"},"AvailabilityZone":{},"AvailabilityZoneId":{},"AvailableIpAddressCount":{"type":"integer"},"CidrBlock":{},"DefaultForAz":{"type":"boolean"},"MapPublicIpOnLaunch":{"type":"boolean"},"OwnerId":{},"State":{},"SubnetArn":{},"SubnetId":{},"VpcId":{},"Ipv6CidrBlockAssociationSet":{"shape":"S3m"}}},"AwsEc2NetworkAcl":{"type":"structure","members":{"IsDefault":{"type":"boolean"},"NetworkAclId":{},"OwnerId":{},"VpcId":{},"Associations":{"type":"list","member":{"type":"structure","members":{"NetworkAclAssociationId":{},"NetworkAclId":{},"SubnetId":{}}}},"Entries":{"type":"list","member":{"type":"structure","members":{"CidrBlock":{},"Egress":{"type":"boolean"},"IcmpTypeCode":{"type":"structure","members":{"Code":{"type":"integer"},"Type":{"type":"integer"}}},"Ipv6CidrBlock":{},"PortRange":{"type":"structure","members":{"From":{"type":"integer"},"To":{"type":"integer"}}},"Protocol":{},"RuleAction":{},"RuleNumber":{"type":"integer"}}}}}},"AwsElbv2LoadBalancer":{"type":"structure","members":{"AvailabilityZones":{"type":"list","member":{"type":"structure","members":{"ZoneName":{},"SubnetId":{}}}},"CanonicalHostedZoneId":{},"CreatedTime":{},"DNSName":{},"IpAddressType":{},"Scheme":{},"SecurityGroups":{"type":"list","member":{}},"State":{"type":"structure","members":{"Code":{},"Reason":{}}},"Type":{},"VpcId":{},"LoadBalancerAttributes":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}}}},"AwsElasticBeanstalkEnvironment":{"type":"structure","members":{"ApplicationName":{},"Cname":{},"DateCreated":{},"DateUpdated":{},"Description":{},"EndpointUrl":{},"EnvironmentArn":{},"EnvironmentId":{},"EnvironmentLinks":{"type":"list","member":{"type":"structure","members":{"EnvironmentName":{},"LinkName":{}}}},"EnvironmentName":{},"OptionSettings":{"type":"list","member":{"type":"structure","members":{"Namespace":{},"OptionName":{},"ResourceName":{},"Value":{}}}},"PlatformArn":{},"SolutionStackName":{},"Status":{},"Tier":{"type":"structure","members":{"Name":{},"Type":{},"Version":{}}},"VersionLabel":{}}},"AwsElasticsearchDomain":{"type":"structure","members":{"AccessPolicies":{},"DomainEndpointOptions":{"type":"structure","members":{"EnforceHTTPS":{"type":"boolean"},"TLSSecurityPolicy":{}}},"DomainId":{},"DomainName":{},"Endpoint":{},"Endpoints":{"shape":"Sr"},"ElasticsearchVersion":{},"ElasticsearchClusterConfig":{"type":"structure","members":{"DedicatedMasterCount":{"type":"integer"},"DedicatedMasterEnabled":{"type":"boolean"},"DedicatedMasterType":{},"InstanceCount":{"type":"integer"},"InstanceType":{},"ZoneAwarenessConfig":{"type":"structure","members":{"AvailabilityZoneCount":{"type":"integer"}}},"ZoneAwarenessEnabled":{"type":"boolean"}}},"EncryptionAtRestOptions":{"type":"structure","members":{"Enabled":{"type":"boolean"},"KmsKeyId":{}}},"LogPublishingOptions":{"type":"structure","members":{"IndexSlowLogs":{"shape":"S4g"},"SearchSlowLogs":{"shape":"S4g"},"AuditLogs":{"shape":"S4g"}}},"NodeToNodeEncryptionOptions":{"type":"structure","members":{"Enabled":{"type":"boolean"}}},"ServiceSoftwareOptions":{"type":"structure","members":{"AutomatedUpdateDate":{},"Cancellable":{"type":"boolean"},"CurrentVersion":{},"Description":{},"NewVersion":{},"UpdateAvailable":{"type":"boolean"},"UpdateStatus":{}}},"VPCOptions":{"type":"structure","members":{"AvailabilityZones":{"shape":"S2c"},"SecurityGroupIds":{"shape":"S2c"},"SubnetIds":{"shape":"S2c"},"VPCId":{}}}}},"AwsS3Bucket":{"type":"structure","members":{"OwnerId":{},"OwnerName":{},"OwnerAccountId":{},"CreatedAt":{},"ServerSideEncryptionConfiguration":{"type":"structure","members":{"Rules":{"type":"list","member":{"type":"structure","members":{"ApplyServerSideEncryptionByDefault":{"type":"structure","members":{"SSEAlgorithm":{},"KMSMasterKeyID":{}}}}}}}},"BucketLifecycleConfiguration":{"type":"structure","members":{"Rules":{"type":"list","member":{"type":"structure","members":{"AbortIncompleteMultipartUpload":{"type":"structure","members":{"DaysAfterInitiation":{"type":"integer"}}},"ExpirationDate":{},"ExpirationInDays":{"type":"integer"},"ExpiredObjectDeleteMarker":{"type":"boolean"},"Filter":{"type":"structure","members":{"Predicate":{"type":"structure","members":{"Operands":{"type":"list","member":{"type":"structure","members":{"Prefix":{},"Tag":{"type":"structure","members":{"Key":{},"Value":{}}},"Type":{}}}},"Prefix":{},"Tag":{"type":"structure","members":{"Key":{},"Value":{}}},"Type":{}}}}},"ID":{},"NoncurrentVersionExpirationInDays":{"type":"integer"},"NoncurrentVersionTransitions":{"type":"list","member":{"type":"structure","members":{"Days":{"type":"integer"},"StorageClass":{}}}},"Prefix":{},"Status":{},"Transitions":{"type":"list","member":{"type":"structure","members":{"Date":{},"Days":{"type":"integer"},"StorageClass":{}}}}}}}}},"PublicAccessBlockConfiguration":{"shape":"S53"},"AccessControlList":{},"BucketLoggingConfiguration":{"type":"structure","members":{"DestinationBucketName":{},"LogFilePrefix":{}}},"BucketWebsiteConfiguration":{"type":"structure","members":{"ErrorDocument":{},"IndexDocumentSuffix":{},"RedirectAllRequestsTo":{"type":"structure","members":{"Hostname":{},"Protocol":{}}},"RoutingRules":{"type":"list","member":{"type":"structure","members":{"Condition":{"type":"structure","members":{"HttpErrorCodeReturnedEquals":{},"KeyPrefixEquals":{}}},"Redirect":{"type":"structure","members":{"Hostname":{},"HttpRedirectCode":{},"Protocol":{},"ReplaceKeyPrefixWith":{},"ReplaceKeyWith":{}}}}}}}},"BucketNotificationConfiguration":{"type":"structure","members":{"Configurations":{"type":"list","member":{"type":"structure","members":{"Events":{"type":"list","member":{}},"Filter":{"type":"structure","members":{"S3KeyFilter":{"type":"structure","members":{"FilterRules":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{}}}}}}}},"Destination":{},"Type":{}}}}}}}},"AwsS3AccountPublicAccessBlock":{"shape":"S53"},"AwsS3Object":{"type":"structure","members":{"LastModified":{},"ETag":{},"VersionId":{},"ContentType":{},"ServerSideEncryption":{},"SSEKMSKeyId":{}}},"AwsSecretsManagerSecret":{"type":"structure","members":{"RotationRules":{"type":"structure","members":{"AutomaticallyAfterDays":{"type":"integer"}}},"RotationOccurredWithinFrequency":{"type":"boolean"},"KmsKeyId":{},"RotationEnabled":{"type":"boolean"},"RotationLambdaArn":{},"Deleted":{"type":"boolean"},"Name":{},"Description":{}}},"AwsIamAccessKey":{"type":"structure","members":{"UserName":{"deprecated":true,"deprecatedMessage":"This filter is deprecated. Instead, use PrincipalName."},"Status":{},"CreatedAt":{},"PrincipalId":{},"PrincipalType":{},"PrincipalName":{},"AccountId":{},"AccessKeyId":{},"SessionContext":{"type":"structure","members":{"Attributes":{"type":"structure","members":{"MfaAuthenticated":{"type":"boolean"},"CreationDate":{}}},"SessionIssuer":{"type":"structure","members":{"Type":{},"PrincipalId":{},"Arn":{},"AccountId":{},"UserName":{}}}}}}},"AwsIamUser":{"type":"structure","members":{"AttachedManagedPolicies":{"shape":"S5t"},"CreateDate":{},"GroupList":{"shape":"S13"},"Path":{},"PermissionsBoundary":{"shape":"S5v"},"UserId":{},"UserName":{},"UserPolicyList":{"type":"list","member":{"type":"structure","members":{"PolicyName":{}}}}}},"AwsIamPolicy":{"type":"structure","members":{"AttachmentCount":{"type":"integer"},"CreateDate":{},"DefaultVersionId":{},"Description":{},"IsAttachable":{"type":"boolean"},"Path":{},"PermissionsBoundaryUsageCount":{"type":"integer"},"PolicyId":{},"PolicyName":{},"PolicyVersionList":{"type":"list","member":{"type":"structure","members":{"VersionId":{},"IsDefaultVersion":{"type":"boolean"},"CreateDate":{}}}},"UpdateDate":{}}},"AwsApiGatewayV2Stage":{"type":"structure","members":{"ClientCertificateId":{},"CreatedDate":{},"Description":{},"DefaultRouteSettings":{"shape":"S62"},"DeploymentId":{},"LastUpdatedDate":{},"RouteSettings":{"shape":"S62"},"StageName":{},"StageVariables":{"shape":"Sr"},"AccessLogSettings":{"shape":"S63"},"AutoDeploy":{"type":"boolean"},"LastDeploymentStatusMessage":{},"ApiGatewayManaged":{"type":"boolean"}}},"AwsApiGatewayV2Api":{"type":"structure","members":{"ApiEndpoint":{},"ApiId":{},"ApiKeySelectionExpression":{},"CreatedDate":{},"Description":{},"Version":{},"Name":{},"ProtocolType":{},"RouteSelectionExpression":{},"CorsConfiguration":{"type":"structure","members":{"AllowOrigins":{"shape":"S2c"},"AllowCredentials":{"type":"boolean"},"ExposeHeaders":{"shape":"S2c"},"MaxAge":{"type":"integer"},"AllowMethods":{"shape":"S2c"},"AllowHeaders":{"shape":"S2c"}}}}},"AwsDynamoDbTable":{"type":"structure","members":{"AttributeDefinitions":{"type":"list","member":{"type":"structure","members":{"AttributeName":{},"AttributeType":{}}}},"BillingModeSummary":{"type":"structure","members":{"BillingMode":{},"LastUpdateToPayPerRequestDateTime":{}}},"CreationDateTime":{},"GlobalSecondaryIndexes":{"type":"list","member":{"type":"structure","members":{"Backfilling":{"type":"boolean"},"IndexArn":{},"IndexName":{},"IndexSizeBytes":{"type":"long"},"IndexStatus":{},"ItemCount":{"type":"integer"},"KeySchema":{"shape":"S6d"},"Projection":{"shape":"S6f"},"ProvisionedThroughput":{"shape":"S6g"}}}},"GlobalTableVersion":{},"ItemCount":{"type":"integer"},"KeySchema":{"shape":"S6d"},"LatestStreamArn":{},"LatestStreamLabel":{},"LocalSecondaryIndexes":{"type":"list","member":{"type":"structure","members":{"IndexArn":{},"IndexName":{},"KeySchema":{"shape":"S6d"},"Projection":{"shape":"S6f"}}}},"ProvisionedThroughput":{"shape":"S6g"},"Replicas":{"type":"list","member":{"type":"structure","members":{"GlobalSecondaryIndexes":{"type":"list","member":{"type":"structure","members":{"IndexName":{},"ProvisionedThroughputOverride":{"shape":"S6n"}}}},"KmsMasterKeyId":{},"ProvisionedThroughputOverride":{"shape":"S6n"},"RegionName":{},"ReplicaStatus":{},"ReplicaStatusDescription":{}}}},"RestoreSummary":{"type":"structure","members":{"SourceBackupArn":{},"SourceTableArn":{},"RestoreDateTime":{},"RestoreInProgress":{"type":"boolean"}}},"SseDescription":{"type":"structure","members":{"InaccessibleEncryptionDateTime":{},"Status":{},"SseType":{},"KmsMasterKeyArn":{}}},"StreamSpecification":{"type":"structure","members":{"StreamEnabled":{"type":"boolean"},"StreamViewType":{}}},"TableId":{},"TableName":{},"TableSizeBytes":{"type":"long"},"TableStatus":{}}},"AwsApiGatewayStage":{"type":"structure","members":{"DeploymentId":{},"ClientCertificateId":{},"StageName":{},"Description":{},"CacheClusterEnabled":{"type":"boolean"},"CacheClusterSize":{},"CacheClusterStatus":{},"MethodSettings":{"type":"list","member":{"type":"structure","members":{"MetricsEnabled":{"type":"boolean"},"LoggingLevel":{},"DataTraceEnabled":{"type":"boolean"},"ThrottlingBurstLimit":{"type":"integer"},"ThrottlingRateLimit":{"type":"double"},"CachingEnabled":{"type":"boolean"},"CacheTtlInSeconds":{"type":"integer"},"CacheDataEncrypted":{"type":"boolean"},"RequireAuthorizationForCacheControl":{"type":"boolean"},"UnauthorizedCacheControlHeaderStrategy":{},"HttpMethod":{},"ResourcePath":{}}}},"Variables":{"shape":"Sr"},"DocumentationVersion":{},"AccessLogSettings":{"shape":"S63"},"CanarySettings":{"type":"structure","members":{"PercentTraffic":{"type":"double"},"DeploymentId":{},"StageVariableOverrides":{"shape":"Sr"},"UseStageCache":{"type":"boolean"}}},"TracingEnabled":{"type":"boolean"},"CreatedDate":{},"LastUpdatedDate":{},"WebAclArn":{}}},"AwsApiGatewayRestApi":{"type":"structure","members":{"Id":{},"Name":{},"Description":{},"CreatedDate":{},"Version":{},"BinaryMediaTypes":{"shape":"S2c"},"MinimumCompressionSize":{"type":"integer"},"ApiKeySource":{},"EndpointConfiguration":{"type":"structure","members":{"Types":{"shape":"S2c"}}}}},"AwsCloudTrailTrail":{"type":"structure","members":{"CloudWatchLogsLogGroupArn":{},"CloudWatchLogsRoleArn":{},"HasCustomEventSelectors":{"type":"boolean"},"HomeRegion":{},"IncludeGlobalServiceEvents":{"type":"boolean"},"IsMultiRegionTrail":{"type":"boolean"},"IsOrganizationTrail":{"type":"boolean"},"KmsKeyId":{},"LogFileValidationEnabled":{"type":"boolean"},"Name":{},"S3BucketName":{},"S3KeyPrefix":{},"SnsTopicArn":{},"SnsTopicName":{},"TrailArn":{}}},"AwsSsmPatchCompliance":{"type":"structure","members":{"Patch":{"type":"structure","members":{"ComplianceSummary":{"type":"structure","members":{"Status":{},"CompliantCriticalCount":{"type":"integer"},"CompliantHighCount":{"type":"integer"},"CompliantMediumCount":{"type":"integer"},"ExecutionType":{},"NonCompliantCriticalCount":{"type":"integer"},"CompliantInformationalCount":{"type":"integer"},"NonCompliantInformationalCount":{"type":"integer"},"CompliantUnspecifiedCount":{"type":"integer"},"NonCompliantLowCount":{"type":"integer"},"NonCompliantHighCount":{"type":"integer"},"CompliantLowCount":{"type":"integer"},"ComplianceType":{},"PatchBaselineId":{},"OverallSeverity":{},"NonCompliantMediumCount":{"type":"integer"},"NonCompliantUnspecifiedCount":{"type":"integer"},"PatchGroup":{}}}}}}},"AwsCertificateManagerCertificate":{"type":"structure","members":{"CertificateAuthorityArn":{},"CreatedAt":{},"DomainName":{},"DomainValidationOptions":{"shape":"S72"},"ExtendedKeyUsages":{"type":"list","member":{"type":"structure","members":{"Name":{},"OId":{}}}},"FailureReason":{},"ImportedAt":{},"InUseBy":{"shape":"S13"},"IssuedAt":{},"Issuer":{},"KeyAlgorithm":{},"KeyUsages":{"type":"list","member":{"type":"structure","members":{"Name":{}}}},"NotAfter":{},"NotBefore":{},"Options":{"type":"structure","members":{"CertificateTransparencyLoggingPreference":{}}},"RenewalEligibility":{},"RenewalSummary":{"type":"structure","members":{"DomainValidationOptions":{"shape":"S72"},"RenewalStatus":{},"RenewalStatusReason":{},"UpdatedAt":{}}},"Serial":{},"SignatureAlgorithm":{},"Status":{},"Subject":{},"SubjectAlternativeNames":{"shape":"S13"},"Type":{}}},"AwsRedshiftCluster":{"type":"structure","members":{"AllowVersionUpgrade":{"type":"boolean"},"AutomatedSnapshotRetentionPeriod":{"type":"integer"},"AvailabilityZone":{},"ClusterAvailabilityStatus":{},"ClusterCreateTime":{},"ClusterIdentifier":{},"ClusterNodes":{"type":"list","member":{"type":"structure","members":{"NodeRole":{},"PrivateIpAddress":{},"PublicIpAddress":{}}}},"ClusterParameterGroups":{"type":"list","member":{"type":"structure","members":{"ClusterParameterStatusList":{"type":"list","member":{"type":"structure","members":{"ParameterName":{},"ParameterApplyStatus":{},"ParameterApplyErrorDescription":{}}}},"ParameterApplyStatus":{},"ParameterGroupName":{}}}},"ClusterPublicKey":{},"ClusterRevisionNumber":{},"ClusterSecurityGroups":{"type":"list","member":{"type":"structure","members":{"ClusterSecurityGroupName":{},"Status":{}}}},"ClusterSnapshotCopyStatus":{"type":"structure","members":{"DestinationRegion":{},"ManualSnapshotRetentionPeriod":{"type":"integer"},"RetentionPeriod":{"type":"integer"},"SnapshotCopyGrantName":{}}},"ClusterStatus":{},"ClusterSubnetGroupName":{},"ClusterVersion":{},"DBName":{},"DeferredMaintenanceWindows":{"type":"list","member":{"type":"structure","members":{"DeferMaintenanceEndTime":{},"DeferMaintenanceIdentifier":{},"DeferMaintenanceStartTime":{}}}},"ElasticIpStatus":{"type":"structure","members":{"ElasticIp":{},"Status":{}}},"ElasticResizeNumberOfNodeOptions":{},"Encrypted":{"type":"boolean"},"Endpoint":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"}}},"EnhancedVpcRouting":{"type":"boolean"},"ExpectedNextSnapshotScheduleTime":{},"ExpectedNextSnapshotScheduleTimeStatus":{},"HsmStatus":{"type":"structure","members":{"HsmClientCertificateIdentifier":{},"HsmConfigurationIdentifier":{},"Status":{}}},"IamRoles":{"type":"list","member":{"type":"structure","members":{"ApplyStatus":{},"IamRoleArn":{}}}},"KmsKeyId":{},"MaintenanceTrackName":{},"ManualSnapshotRetentionPeriod":{"type":"integer"},"MasterUsername":{},"NextMaintenanceWindowStartTime":{},"NodeType":{},"NumberOfNodes":{"type":"integer"},"PendingActions":{"shape":"S13"},"PendingModifiedValues":{"type":"structure","members":{"AutomatedSnapshotRetentionPeriod":{"type":"integer"},"ClusterIdentifier":{},"ClusterType":{},"ClusterVersion":{},"EncryptionType":{},"EnhancedVpcRouting":{"type":"boolean"},"MaintenanceTrackName":{},"MasterUserPassword":{},"NodeType":{},"NumberOfNodes":{"type":"integer"},"PubliclyAccessible":{"type":"boolean"}}},"PreferredMaintenanceWindow":{},"PubliclyAccessible":{"type":"boolean"},"ResizeInfo":{"type":"structure","members":{"AllowCancelResize":{"type":"boolean"},"ResizeType":{}}},"RestoreStatus":{"type":"structure","members":{"CurrentRestoreRateInMegaBytesPerSecond":{"type":"double"},"ElapsedTimeInSeconds":{"type":"long"},"EstimatedTimeToCompletionInSeconds":{"type":"long"},"ProgressInMegaBytes":{"type":"long"},"SnapshotSizeInMegaBytes":{"type":"long"},"Status":{}}},"SnapshotScheduleIdentifier":{},"SnapshotScheduleState":{},"VpcId":{},"VpcSecurityGroups":{"type":"list","member":{"type":"structure","members":{"Status":{},"VpcSecurityGroupId":{}}}}}},"AwsElbLoadBalancer":{"type":"structure","members":{"AvailabilityZones":{"shape":"S13"},"BackendServerDescriptions":{"type":"list","member":{"type":"structure","members":{"InstancePort":{"type":"integer"},"PolicyNames":{"shape":"S13"}}}},"CanonicalHostedZoneName":{},"CanonicalHostedZoneNameID":{},"CreatedTime":{},"DnsName":{},"HealthCheck":{"type":"structure","members":{"HealthyThreshold":{"type":"integer"},"Interval":{"type":"integer"},"Target":{},"Timeout":{"type":"integer"},"UnhealthyThreshold":{"type":"integer"}}},"Instances":{"type":"list","member":{"type":"structure","members":{"InstanceId":{}}}},"ListenerDescriptions":{"type":"list","member":{"type":"structure","members":{"Listener":{"type":"structure","members":{"InstancePort":{"type":"integer"},"InstanceProtocol":{},"LoadBalancerPort":{"type":"integer"},"Protocol":{},"SslCertificateId":{}}},"PolicyNames":{"shape":"S13"}}}},"LoadBalancerAttributes":{"type":"structure","members":{"AccessLog":{"type":"structure","members":{"EmitInterval":{"type":"integer"},"Enabled":{"type":"boolean"},"S3BucketName":{},"S3BucketPrefix":{}}},"ConnectionDraining":{"type":"structure","members":{"Enabled":{"type":"boolean"},"Timeout":{"type":"integer"}}},"ConnectionSettings":{"type":"structure","members":{"IdleTimeout":{"type":"integer"}}},"CrossZoneLoadBalancing":{"type":"structure","members":{"Enabled":{"type":"boolean"}}}}},"LoadBalancerName":{},"Policies":{"type":"structure","members":{"AppCookieStickinessPolicies":{"type":"list","member":{"type":"structure","members":{"CookieName":{},"PolicyName":{}}}},"LbCookieStickinessPolicies":{"type":"list","member":{"type":"structure","members":{"CookieExpirationPeriod":{"type":"long"},"PolicyName":{}}}},"OtherPolicies":{"shape":"S13"}}},"Scheme":{},"SecurityGroups":{"shape":"S13"},"SourceSecurityGroup":{"type":"structure","members":{"GroupName":{},"OwnerAlias":{}}},"Subnets":{"shape":"S13"},"VpcId":{}}},"AwsIamGroup":{"type":"structure","members":{"AttachedManagedPolicies":{"shape":"S5t"},"CreateDate":{},"GroupId":{},"GroupName":{},"GroupPolicyList":{"type":"list","member":{"type":"structure","members":{"PolicyName":{}}}},"Path":{}}},"AwsIamRole":{"type":"structure","members":{"AssumeRolePolicyDocument":{},"AttachedManagedPolicies":{"shape":"S5t"},"CreateDate":{},"InstanceProfileList":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreateDate":{},"InstanceProfileId":{},"InstanceProfileName":{},"Path":{},"Roles":{"type":"list","member":{"type":"structure","members":{"Arn":{},"AssumeRolePolicyDocument":{},"CreateDate":{},"Path":{},"RoleId":{},"RoleName":{}}}}}}},"PermissionsBoundary":{"shape":"S5v"},"RoleId":{},"RoleName":{},"RolePolicyList":{"type":"list","member":{"type":"structure","members":{"PolicyName":{}}}},"MaxSessionDuration":{"type":"integer"},"Path":{}}},"AwsKmsKey":{"type":"structure","members":{"AWSAccountId":{},"CreationDate":{"type":"double"},"KeyId":{},"KeyManager":{},"KeyState":{},"Origin":{},"Description":{},"KeyRotationStatus":{"type":"boolean"}}},"AwsLambdaFunction":{"type":"structure","members":{"Code":{"type":"structure","members":{"S3Bucket":{},"S3Key":{},"S3ObjectVersion":{},"ZipFile":{}}},"CodeSha256":{},"DeadLetterConfig":{"type":"structure","members":{"TargetArn":{}}},"Environment":{"type":"structure","members":{"Variables":{"shape":"Sr"},"Error":{"type":"structure","members":{"ErrorCode":{},"Message":{}}}}},"FunctionName":{},"Handler":{},"KmsKeyArn":{},"LastModified":{},"Layers":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CodeSize":{"type":"integer"}}}},"MasterArn":{},"MemorySize":{"type":"integer"},"RevisionId":{},"Role":{},"Runtime":{},"Timeout":{"type":"integer"},"TracingConfig":{"type":"structure","members":{"Mode":{}}},"VpcConfig":{"type":"structure","members":{"SecurityGroupIds":{"shape":"S2c"},"SubnetIds":{"shape":"S2c"},"VpcId":{}}},"Version":{}}},"AwsLambdaLayerVersion":{"type":"structure","members":{"Version":{"type":"long"},"CompatibleRuntimes":{"shape":"S2c"},"CreatedDate":{}}},"AwsRdsDbInstance":{"type":"structure","members":{"AssociatedRoles":{"type":"list","member":{"type":"structure","members":{"RoleArn":{},"FeatureName":{},"Status":{}}}},"CACertificateIdentifier":{},"DBClusterIdentifier":{},"DBInstanceIdentifier":{},"DBInstanceClass":{},"DbInstancePort":{"type":"integer"},"DbiResourceId":{},"DBName":{},"DeletionProtection":{"type":"boolean"},"Endpoint":{"shape":"S97"},"Engine":{},"EngineVersion":{},"IAMDatabaseAuthenticationEnabled":{"type":"boolean"},"InstanceCreateTime":{},"KmsKeyId":{},"PubliclyAccessible":{"type":"boolean"},"StorageEncrypted":{"type":"boolean"},"TdeCredentialArn":{},"VpcSecurityGroups":{"shape":"S98"},"MultiAz":{"type":"boolean"},"EnhancedMonitoringResourceArn":{},"DbInstanceStatus":{},"MasterUsername":{},"AllocatedStorage":{"type":"integer"},"PreferredBackupWindow":{},"BackupRetentionPeriod":{"type":"integer"},"DbSecurityGroups":{"shape":"S13"},"DbParameterGroups":{"type":"list","member":{"type":"structure","members":{"DbParameterGroupName":{},"ParameterApplyStatus":{}}}},"AvailabilityZone":{},"DbSubnetGroup":{"type":"structure","members":{"DbSubnetGroupName":{},"DbSubnetGroupDescription":{},"VpcId":{},"SubnetGroupStatus":{},"Subnets":{"type":"list","member":{"type":"structure","members":{"SubnetIdentifier":{},"SubnetAvailabilityZone":{"type":"structure","members":{"Name":{}}},"SubnetStatus":{}}}},"DbSubnetGroupArn":{}}},"PreferredMaintenanceWindow":{},"PendingModifiedValues":{"type":"structure","members":{"DbInstanceClass":{},"AllocatedStorage":{"type":"integer"},"MasterUserPassword":{},"Port":{"type":"integer"},"BackupRetentionPeriod":{"type":"integer"},"MultiAZ":{"type":"boolean"},"EngineVersion":{},"LicenseModel":{},"Iops":{"type":"integer"},"DbInstanceIdentifier":{},"StorageType":{},"CaCertificateIdentifier":{},"DbSubnetGroupName":{},"PendingCloudWatchLogsExports":{"type":"structure","members":{"LogTypesToEnable":{"shape":"S13"},"LogTypesToDisable":{"shape":"S13"}}},"ProcessorFeatures":{"shape":"S9i"}}},"LatestRestorableTime":{},"AutoMinorVersionUpgrade":{"type":"boolean"},"ReadReplicaSourceDBInstanceIdentifier":{},"ReadReplicaDBInstanceIdentifiers":{"shape":"S13"},"ReadReplicaDBClusterIdentifiers":{"shape":"S13"},"LicenseModel":{},"Iops":{"type":"integer"},"OptionGroupMemberships":{"type":"list","member":{"type":"structure","members":{"OptionGroupName":{},"Status":{}}}},"CharacterSetName":{},"SecondaryAvailabilityZone":{},"StatusInfos":{"type":"list","member":{"type":"structure","members":{"StatusType":{},"Normal":{"type":"boolean"},"Status":{},"Message":{}}}},"StorageType":{},"DomainMemberships":{"shape":"S9o"},"CopyTagsToSnapshot":{"type":"boolean"},"MonitoringInterval":{"type":"integer"},"MonitoringRoleArn":{},"PromotionTier":{"type":"integer"},"Timezone":{},"PerformanceInsightsEnabled":{"type":"boolean"},"PerformanceInsightsKmsKeyId":{},"PerformanceInsightsRetentionPeriod":{"type":"integer"},"EnabledCloudWatchLogsExports":{"shape":"S13"},"ProcessorFeatures":{"shape":"S9i"},"ListenerEndpoint":{"shape":"S97"},"MaxAllocatedStorage":{"type":"integer"}}},"AwsSnsTopic":{"type":"structure","members":{"KmsMasterKeyId":{},"Subscription":{"type":"list","member":{"type":"structure","members":{"Endpoint":{},"Protocol":{}}}},"TopicName":{},"Owner":{}}},"AwsSqsQueue":{"type":"structure","members":{"KmsDataKeyReusePeriodSeconds":{"type":"integer"},"KmsMasterKeyId":{},"QueueName":{},"DeadLetterTargetArn":{}}},"AwsWafWebAcl":{"type":"structure","members":{"Name":{},"DefaultAction":{},"Rules":{"type":"list","member":{"type":"structure","members":{"Action":{"type":"structure","members":{"Type":{}}},"ExcludedRules":{"type":"list","member":{"type":"structure","members":{"RuleId":{}}}},"OverrideAction":{"type":"structure","members":{"Type":{}}},"Priority":{"type":"integer"},"RuleId":{},"Type":{}}}},"WebAclId":{}}},"AwsRdsDbSnapshot":{"type":"structure","members":{"DbSnapshotIdentifier":{},"DbInstanceIdentifier":{},"SnapshotCreateTime":{},"Engine":{},"AllocatedStorage":{"type":"integer"},"Status":{},"Port":{"type":"integer"},"AvailabilityZone":{},"VpcId":{},"InstanceCreateTime":{},"MasterUsername":{},"EngineVersion":{},"LicenseModel":{},"SnapshotType":{},"Iops":{"type":"integer"},"OptionGroupName":{},"PercentProgress":{"type":"integer"},"SourceRegion":{},"SourceDbSnapshotIdentifier":{},"StorageType":{},"TdeCredentialArn":{},"Encrypted":{"type":"boolean"},"KmsKeyId":{},"Timezone":{},"IamDatabaseAuthenticationEnabled":{"type":"boolean"},"ProcessorFeatures":{"shape":"S9i"},"DbiResourceId":{}}},"AwsRdsDbClusterSnapshot":{"type":"structure","members":{"AvailabilityZones":{"shape":"S13"},"SnapshotCreateTime":{},"Engine":{},"AllocatedStorage":{"type":"integer"},"Status":{},"Port":{"type":"integer"},"VpcId":{},"ClusterCreateTime":{},"MasterUsername":{},"EngineVersion":{},"LicenseModel":{},"SnapshotType":{},"PercentProgress":{"type":"integer"},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"DbClusterIdentifier":{},"DbClusterSnapshotIdentifier":{},"IamDatabaseAuthenticationEnabled":{"type":"boolean"}}},"AwsRdsDbCluster":{"type":"structure","members":{"AllocatedStorage":{"type":"integer"},"AvailabilityZones":{"shape":"S13"},"BackupRetentionPeriod":{"type":"integer"},"DatabaseName":{},"Status":{},"Endpoint":{},"ReaderEndpoint":{},"CustomEndpoints":{"shape":"S13"},"MultiAz":{"type":"boolean"},"Engine":{},"EngineVersion":{},"Port":{"type":"integer"},"MasterUsername":{},"PreferredBackupWindow":{},"PreferredMaintenanceWindow":{},"ReadReplicaIdentifiers":{"shape":"S13"},"VpcSecurityGroups":{"shape":"S98"},"HostedZoneId":{},"StorageEncrypted":{"type":"boolean"},"KmsKeyId":{},"DbClusterResourceId":{},"AssociatedRoles":{"type":"list","member":{"type":"structure","members":{"RoleArn":{},"Status":{}}}},"ClusterCreateTime":{},"EnabledCloudWatchLogsExports":{"shape":"S13"},"EngineMode":{},"DeletionProtection":{"type":"boolean"},"HttpEndpointEnabled":{"type":"boolean"},"ActivityStreamStatus":{},"CopyTagsToSnapshot":{"type":"boolean"},"CrossAccountClone":{"type":"boolean"},"DomainMemberships":{"shape":"S9o"},"DbClusterParameterGroup":{},"DbSubnetGroup":{},"DbClusterOptionGroupMemberships":{"type":"list","member":{"type":"structure","members":{"DbClusterOptionGroupName":{},"Status":{}}}},"DbClusterIdentifier":{},"DbClusterMembers":{"type":"list","member":{"type":"structure","members":{"IsClusterWriter":{"type":"boolean"},"PromotionTier":{"type":"integer"},"DbInstanceIdentifier":{},"DbClusterParameterGroupStatus":{}}}},"IamDatabaseAuthenticationEnabled":{"type":"boolean"}}},"AwsEcsCluster":{"type":"structure","members":{"CapacityProviders":{"shape":"S2c"},"ClusterSettings":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{}}}},"Configuration":{"type":"structure","members":{"ExecuteCommandConfiguration":{"type":"structure","members":{"KmsKeyId":{},"LogConfiguration":{"type":"structure","members":{"CloudWatchEncryptionEnabled":{"type":"boolean"},"CloudWatchLogGroupName":{},"S3BucketName":{},"S3EncryptionEnabled":{"type":"boolean"},"S3KeyPrefix":{}}},"Logging":{}}}}},"DefaultCapacityProviderStrategy":{"type":"list","member":{"type":"structure","members":{"Base":{"type":"integer"},"CapacityProvider":{},"Weight":{"type":"integer"}}}}}},"AwsEcsTaskDefinition":{"type":"structure","members":{"ContainerDefinitions":{"type":"list","member":{"type":"structure","members":{"Command":{"shape":"S2c"},"Cpu":{"type":"integer"},"DependsOn":{"type":"list","member":{"type":"structure","members":{"Condition":{},"ContainerName":{}}}},"DisableNetworking":{"type":"boolean"},"DnsSearchDomains":{"shape":"S2c"},"DnsServers":{"shape":"S2c"},"DockerLabels":{"shape":"Sr"},"DockerSecurityOptions":{"shape":"S2c"},"EntryPoint":{"shape":"S2c"},"Environment":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{}}}},"EnvironmentFiles":{"type":"list","member":{"type":"structure","members":{"Type":{},"Value":{}}}},"Essential":{"type":"boolean"},"ExtraHosts":{"type":"list","member":{"type":"structure","members":{"Hostname":{},"IpAddress":{}}}},"FirelensConfiguration":{"type":"structure","members":{"Options":{"shape":"Sr"},"Type":{}}},"HealthCheck":{"type":"structure","members":{"Command":{"shape":"S2c"},"Interval":{"type":"integer"},"Retries":{"type":"integer"},"StartPeriod":{"type":"integer"},"Timeout":{"type":"integer"}}},"Hostname":{},"Image":{},"Interactive":{"type":"boolean"},"Links":{"shape":"S2c"},"LinuxParameters":{"type":"structure","members":{"Capabilities":{"type":"structure","members":{"Add":{"shape":"S2c"},"Drop":{"shape":"S2c"}}},"Devices":{"type":"list","member":{"type":"structure","members":{"ContainerPath":{},"HostPath":{},"Permissions":{"shape":"S2c"}}}},"InitProcessEnabled":{"type":"boolean"},"MaxSwap":{"type":"integer"},"SharedMemorySize":{"type":"integer"},"Swappiness":{"type":"integer"},"Tmpfs":{"type":"list","member":{"type":"structure","members":{"ContainerPath":{},"MountOptions":{"shape":"S2c"},"Size":{"type":"integer"}}}}}},"LogConfiguration":{"type":"structure","members":{"LogDriver":{},"Options":{"shape":"Sr"},"SecretOptions":{"type":"list","member":{"type":"structure","members":{"Name":{},"ValueFrom":{}}}}}},"Memory":{"type":"integer"},"MemoryReservation":{"type":"integer"},"MountPoints":{"type":"list","member":{"type":"structure","members":{"ContainerPath":{},"ReadOnly":{"type":"boolean"},"SourceVolume":{}}}},"Name":{},"PortMappings":{"type":"list","member":{"type":"structure","members":{"ContainerPort":{"type":"integer"},"HostPort":{"type":"integer"},"Protocol":{}}}},"Privileged":{"type":"boolean"},"PseudoTerminal":{"type":"boolean"},"ReadonlyRootFilesystem":{"type":"boolean"},"RepositoryCredentials":{"type":"structure","members":{"CredentialsParameter":{}}},"ResourceRequirements":{"type":"list","member":{"type":"structure","members":{"Type":{},"Value":{}}}},"Secrets":{"type":"list","member":{"type":"structure","members":{"Name":{},"ValueFrom":{}}}},"StartTimeout":{"type":"integer"},"StopTimeout":{"type":"integer"},"SystemControls":{"type":"list","member":{"type":"structure","members":{"Namespace":{},"Value":{}}}},"Ulimits":{"type":"list","member":{"type":"structure","members":{"HardLimit":{"type":"integer"},"Name":{},"SoftLimit":{"type":"integer"}}}},"User":{},"VolumesFrom":{"type":"list","member":{"type":"structure","members":{"ReadOnly":{"type":"boolean"},"SourceContainer":{}}}},"WorkingDirectory":{}}}},"Cpu":{},"ExecutionRoleArn":{},"Family":{},"InferenceAccelerators":{"type":"list","member":{"type":"structure","members":{"DeviceName":{},"DeviceType":{}}}},"IpcMode":{},"Memory":{},"NetworkMode":{},"PidMode":{},"PlacementConstraints":{"type":"list","member":{"type":"structure","members":{"Expression":{},"Type":{}}}},"ProxyConfiguration":{"type":"structure","members":{"ContainerName":{},"ProxyConfigurationProperties":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{}}}},"Type":{}}},"RequiresCompatibilities":{"shape":"S2c"},"TaskRoleArn":{},"Volumes":{"type":"list","member":{"type":"structure","members":{"DockerVolumeConfiguration":{"type":"structure","members":{"Autoprovision":{"type":"boolean"},"Driver":{},"DriverOpts":{"shape":"Sr"},"Labels":{"shape":"Sr"},"Scope":{}}},"EfsVolumeConfiguration":{"type":"structure","members":{"AuthorizationConfig":{"type":"structure","members":{"AccessPointId":{},"Iam":{}}},"FilesystemId":{},"RootDirectory":{},"TransitEncryption":{},"TransitEncryptionPort":{"type":"integer"}}},"Host":{"type":"structure","members":{"SourcePath":{}}},"Name":{}}}}}},"Container":{"type":"structure","members":{"Name":{},"ImageId":{},"ImageName":{},"LaunchedAt":{}}},"Other":{"shape":"Sr"},"AwsRdsEventSubscription":{"type":"structure","members":{"CustSubscriptionId":{},"CustomerAwsId":{},"Enabled":{"type":"boolean"},"EventCategoriesList":{"shape":"S2c"},"EventSubscriptionArn":{},"SnsTopicArn":{},"SourceIdsList":{"shape":"S2c"},"SourceType":{},"Status":{},"SubscriptionCreationTime":{}}},"AwsEcsService":{"type":"structure","members":{"CapacityProviderStrategy":{"type":"list","member":{"type":"structure","members":{"Base":{"type":"integer"},"CapacityProvider":{},"Weight":{"type":"integer"}}}},"Cluster":{},"DeploymentConfiguration":{"type":"structure","members":{"DeploymentCircuitBreaker":{"type":"structure","members":{"Enable":{"type":"boolean"},"Rollback":{"type":"boolean"}}},"MaximumPercent":{"type":"integer"},"MinimumHealthyPercent":{"type":"integer"}}},"DeploymentController":{"type":"structure","members":{"Type":{}}},"DesiredCount":{"type":"integer"},"EnableEcsManagedTags":{"type":"boolean"},"EnableExecuteCommand":{"type":"boolean"},"HealthCheckGracePeriodSeconds":{"type":"integer"},"LaunchType":{},"LoadBalancers":{"type":"list","member":{"type":"structure","members":{"ContainerName":{},"ContainerPort":{"type":"integer"},"LoadBalancerName":{},"TargetGroupArn":{}}}},"Name":{},"NetworkConfiguration":{"type":"structure","members":{"AwsVpcConfiguration":{"type":"structure","members":{"AssignPublicIp":{},"SecurityGroups":{"shape":"S2c"},"Subnets":{"shape":"S2c"}}}}},"PlacementConstraints":{"type":"list","member":{"type":"structure","members":{"Expression":{},"Type":{}}}},"PlacementStrategies":{"type":"list","member":{"type":"structure","members":{"Field":{},"Type":{}}}},"PlatformVersion":{},"PropagateTags":{},"Role":{},"SchedulingStrategy":{},"ServiceArn":{},"ServiceName":{},"ServiceRegistries":{"type":"list","member":{"type":"structure","members":{"ContainerName":{},"ContainerPort":{"type":"integer"},"Port":{"type":"integer"},"RegistryArn":{}}}},"TaskDefinition":{}}},"AwsAutoScalingLaunchConfiguration":{"type":"structure","members":{"AssociatePublicIpAddress":{"type":"boolean"},"BlockDeviceMappings":{"type":"list","member":{"type":"structure","members":{"DeviceName":{},"Ebs":{"type":"structure","members":{"DeleteOnTermination":{"type":"boolean"},"Encrypted":{"type":"boolean"},"Iops":{"type":"integer"},"SnapshotId":{},"VolumeSize":{"type":"integer"},"VolumeType":{}}},"NoDevice":{"type":"boolean"},"VirtualName":{}}}},"ClassicLinkVpcId":{},"ClassicLinkVpcSecurityGroups":{"shape":"S2c"},"CreatedTime":{},"EbsOptimized":{"type":"boolean"},"IamInstanceProfile":{},"ImageId":{},"InstanceMonitoring":{"type":"structure","members":{"Enabled":{"type":"boolean"}}},"InstanceType":{},"KernelId":{},"KeyName":{},"LaunchConfigurationName":{},"PlacementTenancy":{},"RamdiskId":{},"SecurityGroups":{"shape":"S2c"},"SpotPrice":{},"UserData":{}}},"AwsEc2VpnConnection":{"type":"structure","members":{"VpnConnectionId":{},"State":{},"CustomerGatewayId":{},"CustomerGatewayConfiguration":{},"Type":{},"VpnGatewayId":{},"Category":{},"VgwTelemetry":{"type":"list","member":{"type":"structure","members":{"AcceptedRouteCount":{"type":"integer"},"CertificateArn":{},"LastStatusChange":{},"OutsideIpAddress":{},"Status":{},"StatusMessage":{}}}},"Options":{"type":"structure","members":{"StaticRoutesOnly":{"type":"boolean"},"TunnelOptions":{"type":"list","member":{"type":"structure","members":{"DpdTimeoutSeconds":{"type":"integer"},"IkeVersions":{"shape":"S2c"},"OutsideIpAddress":{},"Phase1DhGroupNumbers":{"shape":"Scp"},"Phase1EncryptionAlgorithms":{"shape":"S2c"},"Phase1IntegrityAlgorithms":{"shape":"S2c"},"Phase1LifetimeSeconds":{"type":"integer"},"Phase2DhGroupNumbers":{"shape":"Scp"},"Phase2EncryptionAlgorithms":{"shape":"S2c"},"Phase2IntegrityAlgorithms":{"shape":"S2c"},"Phase2LifetimeSeconds":{"type":"integer"},"PreSharedKey":{},"RekeyFuzzPercentage":{"type":"integer"},"RekeyMarginTimeSeconds":{"type":"integer"},"ReplayWindowSize":{"type":"integer"},"TunnelInsideCidr":{}}}}}},"Routes":{"type":"list","member":{"type":"structure","members":{"DestinationCidrBlock":{},"State":{}}}},"TransitGatewayId":{}}},"AwsEcrContainerImage":{"type":"structure","members":{"RegistryId":{},"RepositoryName":{},"Architecture":{},"ImageDigest":{},"ImageTags":{"shape":"S2c"},"ImagePublishedAt":{}}},"AwsOpenSearchServiceDomain":{"type":"structure","members":{"Arn":{},"AccessPolicies":{},"DomainName":{},"Id":{},"DomainEndpoint":{},"EngineVersion":{},"EncryptionAtRestOptions":{"type":"structure","members":{"Enabled":{"type":"boolean"},"KmsKeyId":{}}},"NodeToNodeEncryptionOptions":{"type":"structure","members":{"Enabled":{"type":"boolean"}}},"ServiceSoftwareOptions":{"type":"structure","members":{"AutomatedUpdateDate":{},"Cancellable":{"type":"boolean"},"CurrentVersion":{},"Description":{},"NewVersion":{},"UpdateAvailable":{"type":"boolean"},"UpdateStatus":{},"OptionalDeployment":{"type":"boolean"}}},"ClusterConfig":{"type":"structure","members":{"InstanceCount":{"type":"integer"},"WarmEnabled":{"type":"boolean"},"WarmCount":{"type":"integer"},"DedicatedMasterEnabled":{"type":"boolean"},"ZoneAwarenessConfig":{"type":"structure","members":{"AvailabilityZoneCount":{"type":"integer"}}},"DedicatedMasterCount":{"type":"integer"},"InstanceType":{},"WarmType":{},"ZoneAwarenessEnabled":{"type":"boolean"},"DedicatedMasterType":{}}},"DomainEndpointOptions":{"type":"structure","members":{"CustomEndpointCertificateArn":{},"CustomEndpointEnabled":{"type":"boolean"},"EnforceHTTPS":{"type":"boolean"},"CustomEndpoint":{},"TLSSecurityPolicy":{}}},"VpcOptions":{"type":"structure","members":{"SecurityGroupIds":{"shape":"S2c"},"SubnetIds":{"shape":"S2c"}}},"LogPublishingOptions":{"type":"structure","members":{"IndexSlowLogs":{"shape":"Sd2"},"SearchSlowLogs":{"shape":"Sd2"},"AuditLogs":{"shape":"Sd2"}}},"DomainEndpoints":{"shape":"Sr"}}},"AwsEc2VpcEndpointService":{"type":"structure","members":{"AcceptanceRequired":{"type":"boolean"},"AvailabilityZones":{"shape":"S2c"},"BaseEndpointDnsNames":{"shape":"S2c"},"ManagesVpcEndpoints":{"type":"boolean"},"GatewayLoadBalancerArns":{"shape":"S2c"},"NetworkLoadBalancerArns":{"shape":"S2c"},"PrivateDnsName":{},"ServiceId":{},"ServiceName":{},"ServiceState":{},"ServiceType":{"type":"list","member":{"type":"structure","members":{"ServiceType":{}}}}}},"AwsXrayEncryptionConfig":{"type":"structure","members":{"KeyId":{},"Status":{},"Type":{}}},"AwsWafRateBasedRule":{"type":"structure","members":{"MetricName":{},"Name":{},"RateKey":{},"RateLimit":{"type":"long"},"RuleId":{},"MatchPredicates":{"type":"list","member":{"type":"structure","members":{"DataId":{},"Negated":{"type":"boolean"},"Type":{}}}}}},"AwsWafRegionalRateBasedRule":{"type":"structure","members":{"MetricName":{},"Name":{},"RateKey":{},"RateLimit":{"type":"long"},"RuleId":{},"MatchPredicates":{"type":"list","member":{"type":"structure","members":{"DataId":{},"Negated":{"type":"boolean"},"Type":{}}}}}},"AwsEcrRepository":{"type":"structure","members":{"Arn":{},"ImageScanningConfiguration":{"type":"structure","members":{"ScanOnPush":{"type":"boolean"}}},"ImageTagMutability":{},"LifecyclePolicy":{"type":"structure","members":{"LifecyclePolicyText":{},"RegistryId":{}}},"RepositoryName":{},"RepositoryPolicyText":{}}},"AwsEksCluster":{"type":"structure","members":{"Arn":{},"CertificateAuthorityData":{},"ClusterStatus":{},"Endpoint":{},"Name":{},"ResourcesVpcConfig":{"type":"structure","members":{"SecurityGroupIds":{"shape":"S2c"},"SubnetIds":{"shape":"S2c"}}},"RoleArn":{},"Version":{},"Logging":{"type":"structure","members":{"ClusterLogging":{"type":"list","member":{"type":"structure","members":{"Enabled":{"type":"boolean"},"Types":{"shape":"S2c"}}}}}}}}}}}}},"Compliance":{"type":"structure","members":{"Status":{},"RelatedRequirements":{"shape":"Sdn"},"StatusReasons":{"type":"list","member":{"type":"structure","required":["ReasonCode"],"members":{"ReasonCode":{},"Description":{}}}}}},"VerificationState":{},"WorkflowState":{"type":"string","deprecated":true,"deprecatedMessage":"This filter is deprecated. Instead, use SeverityLabel or FindingProviderFieldsSeverityLabel."},"Workflow":{"type":"structure","members":{"Status":{}}},"RecordState":{},"RelatedFindings":{"shape":"Sdv"},"Note":{"type":"structure","required":["Text","UpdatedBy","UpdatedAt"],"members":{"Text":{},"UpdatedBy":{},"UpdatedAt":{}}},"Vulnerabilities":{"type":"list","member":{"type":"structure","required":["Id"],"members":{"Id":{},"VulnerablePackages":{"type":"list","member":{"type":"structure","members":{"Name":{},"Version":{},"Epoch":{},"Release":{},"Architecture":{},"PackageManager":{},"FilePath":{}}}},"Cvss":{"type":"list","member":{"type":"structure","members":{"Version":{},"BaseScore":{"type":"double"},"BaseVector":{},"Source":{},"Adjustments":{"type":"list","member":{"type":"structure","members":{"Metric":{},"Reason":{}}}}}}},"RelatedVulnerabilities":{"shape":"S13"},"Vendor":{"type":"structure","required":["Name"],"members":{"Name":{},"Url":{},"VendorSeverity":{},"VendorCreatedAt":{},"VendorUpdatedAt":{}}},"ReferenceUrls":{"shape":"S13"}}}},"PatchSummary":{"type":"structure","required":["Id"],"members":{"Id":{},"InstalledCount":{"type":"integer"},"MissingCount":{"type":"integer"},"FailedCount":{"type":"integer"},"InstalledOtherCount":{"type":"integer"},"InstalledRejectedCount":{"type":"integer"},"InstalledPendingReboot":{"type":"integer"},"OperationStartTime":{},"OperationEndTime":{},"RebootOption":{},"Operation":{}}},"Action":{"type":"structure","members":{"ActionType":{},"NetworkConnectionAction":{"type":"structure","members":{"ConnectionDirection":{},"RemoteIpDetails":{"shape":"Sea"},"RemotePortDetails":{"type":"structure","members":{"Port":{"type":"integer"},"PortName":{}}},"LocalPortDetails":{"shape":"Seg"},"Protocol":{},"Blocked":{"type":"boolean"}}},"AwsApiCallAction":{"type":"structure","members":{"Api":{},"ServiceName":{},"CallerType":{},"RemoteIpDetails":{"shape":"Sea"},"DomainDetails":{"type":"structure","members":{"Domain":{}}},"AffectedResources":{"shape":"Sr"},"FirstSeen":{},"LastSeen":{}}},"DnsRequestAction":{"type":"structure","members":{"Domain":{},"Protocol":{},"Blocked":{"type":"boolean"}}},"PortProbeAction":{"type":"structure","members":{"PortProbeDetails":{"type":"list","member":{"type":"structure","members":{"LocalPortDetails":{"shape":"Seg"},"LocalIpDetails":{"type":"structure","members":{"IpAddressV4":{}}},"RemoteIpDetails":{"shape":"Sea"}}}},"Blocked":{"type":"boolean"}}}}},"FindingProviderFields":{"type":"structure","members":{"Confidence":{"type":"integer"},"Criticality":{"type":"integer"},"RelatedFindings":{"shape":"Sdv"},"Severity":{"type":"structure","members":{"Label":{},"Original":{}}},"Types":{"shape":"Sk"}}}}},"Sk":{"type":"list","member":{}},"Sr":{"type":"map","key":{},"value":{}},"Sy":{"type":"structure","members":{"Begin":{"type":"integer"},"End":{"type":"integer"}}},"S11":{"type":"structure","members":{"Protocol":{},"Destination":{"shape":"S12"},"Source":{"shape":"S12"}}},"S12":{"type":"structure","members":{"Address":{"shape":"S13"},"PortRanges":{"type":"list","member":{"shape":"Sy"}}}},"S13":{"type":"list","member":{}},"S1m":{"type":"structure","members":{"LineRanges":{"shape":"S1n"},"OffsetRanges":{"shape":"S1n"},"Pages":{"type":"list","member":{"type":"structure","members":{"PageNumber":{"type":"long"},"LineRange":{"shape":"S1o"},"OffsetRange":{"shape":"S1o"}}}},"Records":{"type":"list","member":{"type":"structure","members":{"JsonPath":{},"RecordIndex":{"type":"long"}}}},"Cells":{"type":"list","member":{"type":"structure","members":{"Column":{"type":"long"},"Row":{"type":"long"},"ColumnName":{},"CellReference":{}}}}}},"S1n":{"type":"list","member":{"shape":"S1o"}},"S1o":{"type":"structure","members":{"Start":{"type":"long"},"End":{"type":"long"},"StartColumn":{"type":"long"}}},"S2c":{"type":"list","member":{}},"S36":{"type":"list","member":{"type":"structure","members":{"IpProtocol":{},"FromPort":{"type":"integer"},"ToPort":{"type":"integer"},"UserIdGroupPairs":{"type":"list","member":{"type":"structure","members":{"GroupId":{},"GroupName":{},"PeeringStatus":{},"UserId":{},"VpcId":{},"VpcPeeringConnectionId":{}}}},"IpRanges":{"type":"list","member":{"type":"structure","members":{"CidrIp":{}}}},"Ipv6Ranges":{"type":"list","member":{"type":"structure","members":{"CidrIpv6":{}}}},"PrefixListIds":{"type":"list","member":{"type":"structure","members":{"PrefixListId":{}}}}}}},"S3m":{"type":"list","member":{"type":"structure","members":{"AssociationId":{},"Ipv6CidrBlock":{},"CidrBlockState":{}}}},"S4g":{"type":"structure","members":{"CloudWatchLogsLogGroupArn":{},"Enabled":{"type":"boolean"}}},"S53":{"type":"structure","members":{"BlockPublicAcls":{"type":"boolean"},"BlockPublicPolicy":{"type":"boolean"},"IgnorePublicAcls":{"type":"boolean"},"RestrictPublicBuckets":{"type":"boolean"}}},"S5t":{"type":"list","member":{"type":"structure","members":{"PolicyName":{},"PolicyArn":{}}}},"S5v":{"type":"structure","members":{"PermissionsBoundaryArn":{},"PermissionsBoundaryType":{}}},"S62":{"type":"structure","members":{"DetailedMetricsEnabled":{"type":"boolean"},"LoggingLevel":{},"DataTraceEnabled":{"type":"boolean"},"ThrottlingBurstLimit":{"type":"integer"},"ThrottlingRateLimit":{"type":"double"}}},"S63":{"type":"structure","members":{"Format":{},"DestinationArn":{}}},"S6d":{"type":"list","member":{"type":"structure","members":{"AttributeName":{},"KeyType":{}}}},"S6f":{"type":"structure","members":{"NonKeyAttributes":{"shape":"S13"},"ProjectionType":{}}},"S6g":{"type":"structure","members":{"LastDecreaseDateTime":{},"LastIncreaseDateTime":{},"NumberOfDecreasesToday":{"type":"integer"},"ReadCapacityUnits":{"type":"integer"},"WriteCapacityUnits":{"type":"integer"}}},"S6n":{"type":"structure","members":{"ReadCapacityUnits":{"type":"integer"}}},"S72":{"type":"list","member":{"type":"structure","members":{"DomainName":{},"ResourceRecord":{"type":"structure","members":{"Name":{},"Type":{},"Value":{}}},"ValidationDomain":{},"ValidationEmails":{"shape":"S13"},"ValidationMethod":{},"ValidationStatus":{}}}},"S97":{"type":"structure","members":{"Address":{},"Port":{"type":"integer"},"HostedZoneId":{}}},"S98":{"type":"list","member":{"type":"structure","members":{"VpcSecurityGroupId":{},"Status":{}}}},"S9i":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{}}}},"S9o":{"type":"list","member":{"type":"structure","members":{"Domain":{},"Status":{},"Fqdn":{},"IamRoleName":{}}}},"Scp":{"type":"list","member":{"type":"integer"}},"Sd2":{"type":"structure","members":{"CloudWatchLogsLogGroupArn":{},"Enabled":{"type":"boolean"}}},"Sdn":{"type":"list","member":{}},"Sdv":{"type":"list","member":{"type":"structure","required":["ProductArn","Id"],"members":{"ProductArn":{},"Id":{}}}},"Sea":{"type":"structure","members":{"IpAddressV4":{},"Organization":{"type":"structure","members":{"Asn":{"type":"integer"},"AsnOrg":{},"Isp":{},"Org":{}}},"Country":{"type":"structure","members":{"CountryCode":{},"CountryName":{}}},"City":{"type":"structure","members":{"CityName":{}}},"GeoLocation":{"type":"structure","members":{"Lon":{"type":"double"},"Lat":{"type":"double"}}}}},"Seg":{"type":"structure","members":{"Port":{"type":"integer"},"PortName":{}}},"Sev":{"type":"list","member":{"shape":"Sew"}},"Sew":{"type":"structure","required":["Id","ProductArn"],"members":{"Id":{},"ProductArn":{}}},"Sex":{"type":"structure","required":["Text","UpdatedBy"],"members":{"Text":{},"UpdatedBy":{}}},"Sf8":{"type":"structure","members":{"ProductArn":{"shape":"Sf9"},"AwsAccountId":{"shape":"Sf9"},"Id":{"shape":"Sf9"},"GeneratorId":{"shape":"Sf9"},"Region":{"shape":"Sf9"},"Type":{"shape":"Sf9"},"FirstObservedAt":{"shape":"Sfc"},"LastObservedAt":{"shape":"Sfc"},"CreatedAt":{"shape":"Sfc"},"UpdatedAt":{"shape":"Sfc"},"SeverityProduct":{"shape":"Sfg","deprecated":true,"deprecatedMessage":"This filter is deprecated. Instead, use FindingProviderSeverityOriginal."},"SeverityNormalized":{"shape":"Sfg","deprecated":true,"deprecatedMessage":"This filter is deprecated. Instead, use SeverityLabel or FindingProviderFieldsSeverityLabel."},"SeverityLabel":{"shape":"Sf9"},"Confidence":{"shape":"Sfg"},"Criticality":{"shape":"Sfg"},"Title":{"shape":"Sf9"},"Description":{"shape":"Sf9"},"RecommendationText":{"shape":"Sf9"},"SourceUrl":{"shape":"Sf9"},"ProductFields":{"shape":"Sfi"},"ProductName":{"shape":"Sf9"},"CompanyName":{"shape":"Sf9"},"UserDefinedFields":{"shape":"Sfi"},"MalwareName":{"shape":"Sf9"},"MalwareType":{"shape":"Sf9"},"MalwarePath":{"shape":"Sf9"},"MalwareState":{"shape":"Sf9"},"NetworkDirection":{"shape":"Sf9"},"NetworkProtocol":{"shape":"Sf9"},"NetworkSourceIpV4":{"shape":"Sfl"},"NetworkSourceIpV6":{"shape":"Sfl"},"NetworkSourcePort":{"shape":"Sfg"},"NetworkSourceDomain":{"shape":"Sf9"},"NetworkSourceMac":{"shape":"Sf9"},"NetworkDestinationIpV4":{"shape":"Sfl"},"NetworkDestinationIpV6":{"shape":"Sfl"},"NetworkDestinationPort":{"shape":"Sfg"},"NetworkDestinationDomain":{"shape":"Sf9"},"ProcessName":{"shape":"Sf9"},"ProcessPath":{"shape":"Sf9"},"ProcessPid":{"shape":"Sfg"},"ProcessParentPid":{"shape":"Sfg"},"ProcessLaunchedAt":{"shape":"Sfc"},"ProcessTerminatedAt":{"shape":"Sfc"},"ThreatIntelIndicatorType":{"shape":"Sf9"},"ThreatIntelIndicatorValue":{"shape":"Sf9"},"ThreatIntelIndicatorCategory":{"shape":"Sf9"},"ThreatIntelIndicatorLastObservedAt":{"shape":"Sfc"},"ThreatIntelIndicatorSource":{"shape":"Sf9"},"ThreatIntelIndicatorSourceUrl":{"shape":"Sf9"},"ResourceType":{"shape":"Sf9"},"ResourceId":{"shape":"Sf9"},"ResourcePartition":{"shape":"Sf9"},"ResourceRegion":{"shape":"Sf9"},"ResourceTags":{"shape":"Sfi"},"ResourceAwsEc2InstanceType":{"shape":"Sf9"},"ResourceAwsEc2InstanceImageId":{"shape":"Sf9"},"ResourceAwsEc2InstanceIpV4Addresses":{"shape":"Sfl"},"ResourceAwsEc2InstanceIpV6Addresses":{"shape":"Sfl"},"ResourceAwsEc2InstanceKeyName":{"shape":"Sf9"},"ResourceAwsEc2InstanceIamInstanceProfileArn":{"shape":"Sf9"},"ResourceAwsEc2InstanceVpcId":{"shape":"Sf9"},"ResourceAwsEc2InstanceSubnetId":{"shape":"Sf9"},"ResourceAwsEc2InstanceLaunchedAt":{"shape":"Sfc"},"ResourceAwsS3BucketOwnerId":{"shape":"Sf9"},"ResourceAwsS3BucketOwnerName":{"shape":"Sf9"},"ResourceAwsIamAccessKeyUserName":{"shape":"Sf9","deprecated":true,"deprecatedMessage":"This filter is deprecated. Instead, use ResourceAwsIamAccessKeyPrincipalName."},"ResourceAwsIamAccessKeyPrincipalName":{"shape":"Sf9"},"ResourceAwsIamAccessKeyStatus":{"shape":"Sf9"},"ResourceAwsIamAccessKeyCreatedAt":{"shape":"Sfc"},"ResourceAwsIamUserUserName":{"shape":"Sf9"},"ResourceContainerName":{"shape":"Sf9"},"ResourceContainerImageId":{"shape":"Sf9"},"ResourceContainerImageName":{"shape":"Sf9"},"ResourceContainerLaunchedAt":{"shape":"Sfc"},"ResourceDetailsOther":{"shape":"Sfi"},"ComplianceStatus":{"shape":"Sf9"},"VerificationState":{"shape":"Sf9"},"WorkflowState":{"shape":"Sf9"},"WorkflowStatus":{"shape":"Sf9"},"RecordState":{"shape":"Sf9"},"RelatedFindingsProductArn":{"shape":"Sf9"},"RelatedFindingsId":{"shape":"Sf9"},"NoteText":{"shape":"Sf9"},"NoteUpdatedAt":{"shape":"Sfc"},"NoteUpdatedBy":{"shape":"Sf9"},"Keyword":{"deprecated":true,"deprecatedMessage":"The Keyword property is deprecated.","type":"list","member":{"type":"structure","members":{"Value":{}}}},"FindingProviderFieldsConfidence":{"shape":"Sfg"},"FindingProviderFieldsCriticality":{"shape":"Sfg"},"FindingProviderFieldsRelatedFindingsId":{"shape":"Sf9"},"FindingProviderFieldsRelatedFindingsProductArn":{"shape":"Sf9"},"FindingProviderFieldsSeverityLabel":{"shape":"Sf9"},"FindingProviderFieldsSeverityOriginal":{"shape":"Sf9"},"FindingProviderFieldsTypes":{"shape":"Sf9"}}},"Sf9":{"type":"list","member":{"type":"structure","members":{"Value":{},"Comparison":{}}}},"Sfc":{"type":"list","member":{"type":"structure","members":{"Start":{},"End":{},"DateRange":{"type":"structure","members":{"Value":{"type":"integer"},"Unit":{}}}}}},"Sfg":{"type":"list","member":{"type":"structure","members":{"Gte":{"type":"double"},"Lte":{"type":"double"},"Eq":{"type":"double"}}}},"Sfi":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"Comparison":{}}}},"Sfl":{"type":"list","member":{"type":"structure","members":{"Cidr":{}}}},"Sfv":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"ProcessingResult":{}}}},"Sfy":{"type":"list","member":{}},"Sgb":{"type":"list","member":{}},"Sh1":{"type":"timestamp","timestampFormat":"iso8601"},"Shk":{"type":"map","key":{},"value":{}},"Shq":{"type":"structure","members":{"AccountId":{},"InvitationId":{},"InvitedAt":{"shape":"Sh1"},"MemberStatus":{}}},"Sig":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"Email":{},"MasterId":{"deprecated":true,"deprecatedMessage":"This field is deprecated, use AdministratorId instead."},"AdministratorId":{},"MemberStatus":{},"InvitedAt":{"shape":"Sh1"},"UpdatedAt":{"shape":"Sh1"}}}}}}');

/***/ }),

/***/ 85595:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeActionTargets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ActionTargets"},"DescribeProducts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Products"},"DescribeStandards":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Standards"},"DescribeStandardsControls":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Controls"},"GetEnabledStandards":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"StandardsSubscriptions"},"GetFindings":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Findings"},"GetInsights":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Insights"},"ListEnabledProductsForImport":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"ProductSubscriptions"},"ListFindingAggregators":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"FindingAggregators"},"ListInvitations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Invitations"},"ListMembers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"Members"},"ListOrganizationAdminAccounts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults","result_key":"AdminAccounts"}}}');

/***/ }),

/***/ 68422:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2017-09-08","endpointPrefix":"serverlessrepo","signingName":"serverlessrepo","serviceFullName":"AWSServerlessApplicationRepository","serviceId":"ServerlessApplicationRepository","protocol":"rest-json","jsonVersion":"1.1","uid":"serverlessrepo-2017-09-08","signatureVersion":"v4"},"operations":{"CreateApplication":{"http":{"requestUri":"/applications","responseCode":201},"input":{"type":"structure","members":{"Author":{"locationName":"author"},"Description":{"locationName":"description"},"HomePageUrl":{"locationName":"homePageUrl"},"Labels":{"shape":"S3","locationName":"labels"},"LicenseBody":{"locationName":"licenseBody"},"LicenseUrl":{"locationName":"licenseUrl"},"Name":{"locationName":"name"},"ReadmeBody":{"locationName":"readmeBody"},"ReadmeUrl":{"locationName":"readmeUrl"},"SemanticVersion":{"locationName":"semanticVersion"},"SourceCodeArchiveUrl":{"locationName":"sourceCodeArchiveUrl"},"SourceCodeUrl":{"locationName":"sourceCodeUrl"},"SpdxLicenseId":{"locationName":"spdxLicenseId"},"TemplateBody":{"locationName":"templateBody"},"TemplateUrl":{"locationName":"templateUrl"}},"required":["Description","Name","Author"]},"output":{"type":"structure","members":{"ApplicationId":{"locationName":"applicationId"},"Author":{"locationName":"author"},"CreationTime":{"locationName":"creationTime"},"Description":{"locationName":"description"},"HomePageUrl":{"locationName":"homePageUrl"},"IsVerifiedAuthor":{"locationName":"isVerifiedAuthor","type":"boolean"},"Labels":{"shape":"S3","locationName":"labels"},"LicenseUrl":{"locationName":"licenseUrl"},"Name":{"locationName":"name"},"ReadmeUrl":{"locationName":"readmeUrl"},"SpdxLicenseId":{"locationName":"spdxLicenseId"},"VerifiedAuthorUrl":{"locationName":"verifiedAuthorUrl"},"Version":{"shape":"S6","locationName":"version"}}}},"CreateApplicationVersion":{"http":{"method":"PUT","requestUri":"/applications/{applicationId}/versions/{semanticVersion}","responseCode":201},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"applicationId"},"SemanticVersion":{"location":"uri","locationName":"semanticVersion"},"SourceCodeArchiveUrl":{"locationName":"sourceCodeArchiveUrl"},"SourceCodeUrl":{"locationName":"sourceCodeUrl"},"TemplateBody":{"locationName":"templateBody"},"TemplateUrl":{"locationName":"templateUrl"}},"required":["ApplicationId","SemanticVersion"]},"output":{"type":"structure","members":{"ApplicationId":{"locationName":"applicationId"},"CreationTime":{"locationName":"creationTime"},"ParameterDefinitions":{"shape":"S7","locationName":"parameterDefinitions"},"RequiredCapabilities":{"shape":"Sa","locationName":"requiredCapabilities"},"ResourcesSupported":{"locationName":"resourcesSupported","type":"boolean"},"SemanticVersion":{"locationName":"semanticVersion"},"SourceCodeArchiveUrl":{"locationName":"sourceCodeArchiveUrl"},"SourceCodeUrl":{"locationName":"sourceCodeUrl"},"TemplateUrl":{"locationName":"templateUrl"}}}},"CreateCloudFormationChangeSet":{"http":{"requestUri":"/applications/{applicationId}/changesets","responseCode":201},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"applicationId"},"Capabilities":{"shape":"S3","locationName":"capabilities"},"ChangeSetName":{"locationName":"changeSetName"},"ClientToken":{"locationName":"clientToken"},"Description":{"locationName":"description"},"NotificationArns":{"shape":"S3","locationName":"notificationArns"},"ParameterOverrides":{"locationName":"parameterOverrides","type":"list","member":{"type":"structure","members":{"Name":{"locationName":"name"},"Value":{"locationName":"value"}},"required":["Value","Name"]}},"ResourceTypes":{"shape":"S3","locationName":"resourceTypes"},"RollbackConfiguration":{"locationName":"rollbackConfiguration","type":"structure","members":{"MonitoringTimeInMinutes":{"locationName":"monitoringTimeInMinutes","type":"integer"},"RollbackTriggers":{"locationName":"rollbackTriggers","type":"list","member":{"type":"structure","members":{"Arn":{"locationName":"arn"},"Type":{"locationName":"type"}},"required":["Type","Arn"]}}}},"SemanticVersion":{"locationName":"semanticVersion"},"StackName":{"locationName":"stackName"},"Tags":{"locationName":"tags","type":"list","member":{"type":"structure","members":{"Key":{"locationName":"key"},"Value":{"locationName":"value"}},"required":["Value","Key"]}},"TemplateId":{"locationName":"templateId"}},"required":["ApplicationId","StackName"]},"output":{"type":"structure","members":{"ApplicationId":{"locationName":"applicationId"},"ChangeSetId":{"locationName":"changeSetId"},"SemanticVersion":{"locationName":"semanticVersion"},"StackId":{"locationName":"stackId"}}}},"CreateCloudFormationTemplate":{"http":{"requestUri":"/applications/{applicationId}/templates","responseCode":201},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"applicationId"},"SemanticVersion":{"locationName":"semanticVersion"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"ApplicationId":{"locationName":"applicationId"},"CreationTime":{"locationName":"creationTime"},"ExpirationTime":{"locationName":"expirationTime"},"SemanticVersion":{"locationName":"semanticVersion"},"Status":{"locationName":"status"},"TemplateId":{"locationName":"templateId"},"TemplateUrl":{"locationName":"templateUrl"}}}},"DeleteApplication":{"http":{"method":"DELETE","requestUri":"/applications/{applicationId}","responseCode":204},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"applicationId"}},"required":["ApplicationId"]}},"GetApplication":{"http":{"method":"GET","requestUri":"/applications/{applicationId}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"applicationId"},"SemanticVersion":{"location":"querystring","locationName":"semanticVersion"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"ApplicationId":{"locationName":"applicationId"},"Author":{"locationName":"author"},"CreationTime":{"locationName":"creationTime"},"Description":{"locationName":"description"},"HomePageUrl":{"locationName":"homePageUrl"},"IsVerifiedAuthor":{"locationName":"isVerifiedAuthor","type":"boolean"},"Labels":{"shape":"S3","locationName":"labels"},"LicenseUrl":{"locationName":"licenseUrl"},"Name":{"locationName":"name"},"ReadmeUrl":{"locationName":"readmeUrl"},"SpdxLicenseId":{"locationName":"spdxLicenseId"},"VerifiedAuthorUrl":{"locationName":"verifiedAuthorUrl"},"Version":{"shape":"S6","locationName":"version"}}}},"GetApplicationPolicy":{"http":{"method":"GET","requestUri":"/applications/{applicationId}/policy","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"applicationId"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"Statements":{"shape":"Sv","locationName":"statements"}}}},"GetCloudFormationTemplate":{"http":{"method":"GET","requestUri":"/applications/{applicationId}/templates/{templateId}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"applicationId"},"TemplateId":{"location":"uri","locationName":"templateId"}},"required":["ApplicationId","TemplateId"]},"output":{"type":"structure","members":{"ApplicationId":{"locationName":"applicationId"},"CreationTime":{"locationName":"creationTime"},"ExpirationTime":{"locationName":"expirationTime"},"SemanticVersion":{"locationName":"semanticVersion"},"Status":{"locationName":"status"},"TemplateId":{"locationName":"templateId"},"TemplateUrl":{"locationName":"templateUrl"}}}},"ListApplicationDependencies":{"http":{"method":"GET","requestUri":"/applications/{applicationId}/dependencies","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"applicationId"},"MaxItems":{"location":"querystring","locationName":"maxItems","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"},"SemanticVersion":{"location":"querystring","locationName":"semanticVersion"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"Dependencies":{"locationName":"dependencies","type":"list","member":{"type":"structure","members":{"ApplicationId":{"locationName":"applicationId"},"SemanticVersion":{"locationName":"semanticVersion"}},"required":["ApplicationId","SemanticVersion"]}},"NextToken":{"locationName":"nextToken"}}}},"ListApplicationVersions":{"http":{"method":"GET","requestUri":"/applications/{applicationId}/versions","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"applicationId"},"MaxItems":{"location":"querystring","locationName":"maxItems","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"NextToken":{"locationName":"nextToken"},"Versions":{"locationName":"versions","type":"list","member":{"type":"structure","members":{"ApplicationId":{"locationName":"applicationId"},"CreationTime":{"locationName":"creationTime"},"SemanticVersion":{"locationName":"semanticVersion"},"SourceCodeUrl":{"locationName":"sourceCodeUrl"}},"required":["CreationTime","ApplicationId","SemanticVersion"]}}}}},"ListApplications":{"http":{"method":"GET","requestUri":"/applications","responseCode":200},"input":{"type":"structure","members":{"MaxItems":{"location":"querystring","locationName":"maxItems","type":"integer"},"NextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"Applications":{"locationName":"applications","type":"list","member":{"type":"structure","members":{"ApplicationId":{"locationName":"applicationId"},"Author":{"locationName":"author"},"CreationTime":{"locationName":"creationTime"},"Description":{"locationName":"description"},"HomePageUrl":{"locationName":"homePageUrl"},"Labels":{"shape":"S3","locationName":"labels"},"Name":{"locationName":"name"},"SpdxLicenseId":{"locationName":"spdxLicenseId"}},"required":["Description","Author","ApplicationId","Name"]}},"NextToken":{"locationName":"nextToken"}}}},"PutApplicationPolicy":{"http":{"method":"PUT","requestUri":"/applications/{applicationId}/policy","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"applicationId"},"Statements":{"shape":"Sv","locationName":"statements"}},"required":["ApplicationId","Statements"]},"output":{"type":"structure","members":{"Statements":{"shape":"Sv","locationName":"statements"}}}},"UnshareApplication":{"http":{"requestUri":"/applications/{applicationId}/unshare","responseCode":204},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"applicationId"},"OrganizationId":{"locationName":"organizationId"}},"required":["ApplicationId","OrganizationId"]}},"UpdateApplication":{"http":{"method":"PATCH","requestUri":"/applications/{applicationId}","responseCode":200},"input":{"type":"structure","members":{"ApplicationId":{"location":"uri","locationName":"applicationId"},"Author":{"locationName":"author"},"Description":{"locationName":"description"},"HomePageUrl":{"locationName":"homePageUrl"},"Labels":{"shape":"S3","locationName":"labels"},"ReadmeBody":{"locationName":"readmeBody"},"ReadmeUrl":{"locationName":"readmeUrl"}},"required":["ApplicationId"]},"output":{"type":"structure","members":{"ApplicationId":{"locationName":"applicationId"},"Author":{"locationName":"author"},"CreationTime":{"locationName":"creationTime"},"Description":{"locationName":"description"},"HomePageUrl":{"locationName":"homePageUrl"},"IsVerifiedAuthor":{"locationName":"isVerifiedAuthor","type":"boolean"},"Labels":{"shape":"S3","locationName":"labels"},"LicenseUrl":{"locationName":"licenseUrl"},"Name":{"locationName":"name"},"ReadmeUrl":{"locationName":"readmeUrl"},"SpdxLicenseId":{"locationName":"spdxLicenseId"},"VerifiedAuthorUrl":{"locationName":"verifiedAuthorUrl"},"Version":{"shape":"S6","locationName":"version"}}}}},"shapes":{"S3":{"type":"list","member":{}},"S6":{"type":"structure","members":{"ApplicationId":{"locationName":"applicationId"},"CreationTime":{"locationName":"creationTime"},"ParameterDefinitions":{"shape":"S7","locationName":"parameterDefinitions"},"RequiredCapabilities":{"shape":"Sa","locationName":"requiredCapabilities"},"ResourcesSupported":{"locationName":"resourcesSupported","type":"boolean"},"SemanticVersion":{"locationName":"semanticVersion"},"SourceCodeArchiveUrl":{"locationName":"sourceCodeArchiveUrl"},"SourceCodeUrl":{"locationName":"sourceCodeUrl"},"TemplateUrl":{"locationName":"templateUrl"}},"required":["TemplateUrl","ParameterDefinitions","ResourcesSupported","CreationTime","RequiredCapabilities","ApplicationId","SemanticVersion"]},"S7":{"type":"list","member":{"type":"structure","members":{"AllowedPattern":{"locationName":"allowedPattern"},"AllowedValues":{"shape":"S3","locationName":"allowedValues"},"ConstraintDescription":{"locationName":"constraintDescription"},"DefaultValue":{"locationName":"defaultValue"},"Description":{"locationName":"description"},"MaxLength":{"locationName":"maxLength","type":"integer"},"MaxValue":{"locationName":"maxValue","type":"integer"},"MinLength":{"locationName":"minLength","type":"integer"},"MinValue":{"locationName":"minValue","type":"integer"},"Name":{"locationName":"name"},"NoEcho":{"locationName":"noEcho","type":"boolean"},"ReferencedByResources":{"shape":"S3","locationName":"referencedByResources"},"Type":{"locationName":"type"}},"required":["ReferencedByResources","Name"]}},"Sa":{"type":"list","member":{}},"Sv":{"type":"list","member":{"type":"structure","members":{"Actions":{"shape":"S3","locationName":"actions"},"PrincipalOrgIDs":{"shape":"S3","locationName":"principalOrgIDs"},"Principals":{"shape":"S3","locationName":"principals"},"StatementId":{"locationName":"statementId"}},"required":["Principals","Actions"]}}}}');

/***/ }),

/***/ 34864:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListApplicationVersions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxItems"},"ListApplications":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxItems"},"ListApplicationDependencies":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxItems"}}}');

/***/ }),

/***/ 68850:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-06-24","endpointPrefix":"servicequotas","jsonVersion":"1.1","protocol":"json","serviceFullName":"Service Quotas","serviceId":"Service Quotas","signatureVersion":"v4","targetPrefix":"ServiceQuotasV20190624","uid":"service-quotas-2019-06-24"},"operations":{"AssociateServiceQuotaTemplate":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DeleteServiceQuotaIncreaseRequestFromTemplate":{"input":{"type":"structure","required":["ServiceCode","QuotaCode","AwsRegion"],"members":{"ServiceCode":{},"QuotaCode":{},"AwsRegion":{}}},"output":{"type":"structure","members":{}}},"DisassociateServiceQuotaTemplate":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"GetAWSDefaultServiceQuota":{"input":{"type":"structure","required":["ServiceCode","QuotaCode"],"members":{"ServiceCode":{},"QuotaCode":{}}},"output":{"type":"structure","members":{"Quota":{"shape":"Sc"}}}},"GetAssociationForServiceQuotaTemplate":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"ServiceQuotaTemplateAssociationStatus":{}}}},"GetRequestedServiceQuotaChange":{"input":{"type":"structure","required":["RequestId"],"members":{"RequestId":{}}},"output":{"type":"structure","members":{"RequestedQuota":{"shape":"S13"}}}},"GetServiceQuota":{"input":{"type":"structure","required":["ServiceCode","QuotaCode"],"members":{"ServiceCode":{},"QuotaCode":{}}},"output":{"type":"structure","members":{"Quota":{"shape":"Sc"}}}},"GetServiceQuotaIncreaseRequestFromTemplate":{"input":{"type":"structure","required":["ServiceCode","QuotaCode","AwsRegion"],"members":{"ServiceCode":{},"QuotaCode":{},"AwsRegion":{}}},"output":{"type":"structure","members":{"ServiceQuotaIncreaseRequestInTemplate":{"shape":"S1c"}}}},"ListAWSDefaultServiceQuotas":{"input":{"type":"structure","required":["ServiceCode"],"members":{"ServiceCode":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"Quotas":{"shape":"S1h"}}}},"ListRequestedServiceQuotaChangeHistory":{"input":{"type":"structure","members":{"ServiceCode":{},"Status":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"RequestedQuotas":{"shape":"S1k"}}}},"ListRequestedServiceQuotaChangeHistoryByQuota":{"input":{"type":"structure","required":["ServiceCode","QuotaCode"],"members":{"ServiceCode":{},"QuotaCode":{},"Status":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"RequestedQuotas":{"shape":"S1k"}}}},"ListServiceQuotaIncreaseRequestsInTemplate":{"input":{"type":"structure","members":{"ServiceCode":{},"AwsRegion":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ServiceQuotaIncreaseRequestInTemplateList":{"type":"list","member":{"shape":"S1c"}},"NextToken":{}}}},"ListServiceQuotas":{"input":{"type":"structure","required":["ServiceCode"],"members":{"ServiceCode":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"Quotas":{"shape":"S1h"}}}},"ListServices":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"Services":{"type":"list","member":{"type":"structure","members":{"ServiceCode":{},"ServiceName":{}}}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"type":"list","member":{"shape":"S20"}}}}},"PutServiceQuotaIncreaseRequestIntoTemplate":{"input":{"type":"structure","required":["QuotaCode","ServiceCode","AwsRegion","DesiredValue"],"members":{"QuotaCode":{},"ServiceCode":{},"AwsRegion":{},"DesiredValue":{"type":"double"}}},"output":{"type":"structure","members":{"ServiceQuotaIncreaseRequestInTemplate":{"shape":"S1c"}}}},"RequestServiceQuotaIncrease":{"input":{"type":"structure","required":["ServiceCode","QuotaCode","DesiredValue"],"members":{"ServiceCode":{},"QuotaCode":{},"DesiredValue":{"type":"double"}}},"output":{"type":"structure","members":{"RequestedQuota":{"shape":"S13"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"type":"list","member":{"shape":"S20"}}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sc":{"type":"structure","members":{"ServiceCode":{},"ServiceName":{},"QuotaArn":{},"QuotaCode":{},"QuotaName":{},"Value":{"type":"double"},"Unit":{},"Adjustable":{"type":"boolean"},"GlobalQuota":{"type":"boolean"},"UsageMetric":{"type":"structure","members":{"MetricNamespace":{},"MetricName":{},"MetricDimensions":{"type":"map","key":{},"value":{}},"MetricStatisticRecommendation":{}}},"Period":{"type":"structure","members":{"PeriodValue":{"type":"integer"},"PeriodUnit":{}}},"ErrorReason":{"type":"structure","members":{"ErrorCode":{},"ErrorMessage":{}}}}},"S13":{"type":"structure","members":{"Id":{},"CaseId":{},"ServiceCode":{},"ServiceName":{},"QuotaCode":{},"QuotaName":{},"DesiredValue":{"type":"double"},"Status":{},"Created":{"type":"timestamp"},"LastUpdated":{"type":"timestamp"},"Requester":{},"QuotaArn":{},"GlobalQuota":{"type":"boolean"},"Unit":{}}},"S1c":{"type":"structure","members":{"ServiceCode":{},"ServiceName":{},"QuotaCode":{},"QuotaName":{},"DesiredValue":{"type":"double"},"AwsRegion":{},"Unit":{},"GlobalQuota":{"type":"boolean"}}},"S1h":{"type":"list","member":{"shape":"Sc"}},"S1k":{"type":"list","member":{"shape":"S13"}},"S20":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}}}');

/***/ }),

/***/ 63074:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAWSDefaultServiceQuotas":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Quotas"},"ListRequestedServiceQuotaChangeHistory":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"RequestedQuotas"},"ListRequestedServiceQuotaChangeHistoryByQuota":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"RequestedQuotas"},"ListServiceQuotaIncreaseRequestsInTemplate":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ServiceQuotaIncreaseRequestInTemplateList"},"ListServiceQuotas":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Quotas"},"ListServices":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Services"}}}');

/***/ }),

/***/ 95500:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-12-10","endpointPrefix":"servicecatalog","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Service Catalog","serviceId":"Service Catalog","signatureVersion":"v4","targetPrefix":"AWS242ServiceCatalogService","uid":"servicecatalog-2015-12-10"},"operations":{"AcceptPortfolioShare":{"input":{"type":"structure","required":["PortfolioId"],"members":{"AcceptLanguage":{},"PortfolioId":{},"PortfolioShareType":{}}},"output":{"type":"structure","members":{}}},"AssociateBudgetWithResource":{"input":{"type":"structure","required":["BudgetName","ResourceId"],"members":{"BudgetName":{},"ResourceId":{}}},"output":{"type":"structure","members":{}}},"AssociatePrincipalWithPortfolio":{"input":{"type":"structure","required":["PortfolioId","PrincipalARN","PrincipalType"],"members":{"AcceptLanguage":{},"PortfolioId":{},"PrincipalARN":{},"PrincipalType":{}}},"output":{"type":"structure","members":{}}},"AssociateProductWithPortfolio":{"input":{"type":"structure","required":["ProductId","PortfolioId"],"members":{"AcceptLanguage":{},"ProductId":{},"PortfolioId":{},"SourcePortfolioId":{}}},"output":{"type":"structure","members":{}}},"AssociateServiceActionWithProvisioningArtifact":{"input":{"type":"structure","required":["ProductId","ProvisioningArtifactId","ServiceActionId"],"members":{"ProductId":{},"ProvisioningArtifactId":{},"ServiceActionId":{},"AcceptLanguage":{}}},"output":{"type":"structure","members":{}}},"AssociateTagOptionWithResource":{"input":{"type":"structure","required":["ResourceId","TagOptionId"],"members":{"ResourceId":{},"TagOptionId":{}}},"output":{"type":"structure","members":{}}},"BatchAssociateServiceActionWithProvisioningArtifact":{"input":{"type":"structure","required":["ServiceActionAssociations"],"members":{"ServiceActionAssociations":{"shape":"Sm"},"AcceptLanguage":{}}},"output":{"type":"structure","members":{"FailedServiceActionAssociations":{"shape":"Sp"}}}},"BatchDisassociateServiceActionFromProvisioningArtifact":{"input":{"type":"structure","required":["ServiceActionAssociations"],"members":{"ServiceActionAssociations":{"shape":"Sm"},"AcceptLanguage":{}}},"output":{"type":"structure","members":{"FailedServiceActionAssociations":{"shape":"Sp"}}}},"CopyProduct":{"input":{"type":"structure","required":["SourceProductArn","IdempotencyToken"],"members":{"AcceptLanguage":{},"SourceProductArn":{},"TargetProductId":{},"TargetProductName":{},"SourceProvisioningArtifactIdentifiers":{"type":"list","member":{"type":"map","key":{},"value":{}}},"CopyOptions":{"type":"list","member":{}},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"CopyProductToken":{}}}},"CreateConstraint":{"input":{"type":"structure","required":["PortfolioId","ProductId","Parameters","Type","IdempotencyToken"],"members":{"AcceptLanguage":{},"PortfolioId":{},"ProductId":{},"Parameters":{},"Type":{},"Description":{},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ConstraintDetail":{"shape":"S1b"},"ConstraintParameters":{},"Status":{}}}},"CreatePortfolio":{"input":{"type":"structure","required":["DisplayName","ProviderName","IdempotencyToken"],"members":{"AcceptLanguage":{},"DisplayName":{},"Description":{},"ProviderName":{},"Tags":{"shape":"S1i"},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"PortfolioDetail":{"shape":"S1n"},"Tags":{"shape":"S1q"}}}},"CreatePortfolioShare":{"input":{"type":"structure","required":["PortfolioId"],"members":{"AcceptLanguage":{},"PortfolioId":{},"AccountId":{},"OrganizationNode":{"shape":"S1s"},"ShareTagOptions":{"type":"boolean"}}},"output":{"type":"structure","members":{"PortfolioShareToken":{}}}},"CreateProduct":{"input":{"type":"structure","required":["Name","Owner","ProductType","ProvisioningArtifactParameters","IdempotencyToken"],"members":{"AcceptLanguage":{},"Name":{},"Owner":{},"Description":{},"Distributor":{},"SupportDescription":{},"SupportEmail":{},"SupportUrl":{},"ProductType":{},"Tags":{"shape":"S1i"},"ProvisioningArtifactParameters":{"shape":"S24"},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ProductViewDetail":{"shape":"S2d"},"ProvisioningArtifactDetail":{"shape":"S2i"},"Tags":{"shape":"S1q"}}}},"CreateProvisionedProductPlan":{"input":{"type":"structure","required":["PlanName","PlanType","ProductId","ProvisionedProductName","ProvisioningArtifactId","IdempotencyToken"],"members":{"AcceptLanguage":{},"PlanName":{},"PlanType":{},"NotificationArns":{"shape":"S2o"},"PathId":{},"ProductId":{},"ProvisionedProductName":{},"ProvisioningArtifactId":{},"ProvisioningParameters":{"shape":"S2r"},"IdempotencyToken":{"idempotencyToken":true},"Tags":{"shape":"S1q"}}},"output":{"type":"structure","members":{"PlanName":{},"PlanId":{},"ProvisionProductId":{},"ProvisionedProductName":{},"ProvisioningArtifactId":{}}}},"CreateProvisioningArtifact":{"input":{"type":"structure","required":["ProductId","Parameters","IdempotencyToken"],"members":{"AcceptLanguage":{},"ProductId":{},"Parameters":{"shape":"S24"},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ProvisioningArtifactDetail":{"shape":"S2i"},"Info":{"shape":"S27"},"Status":{}}}},"CreateServiceAction":{"input":{"type":"structure","required":["Name","DefinitionType","Definition","IdempotencyToken"],"members":{"Name":{},"DefinitionType":{},"Definition":{"shape":"S32"},"Description":{},"AcceptLanguage":{},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ServiceActionDetail":{"shape":"S37"}}}},"CreateTagOption":{"input":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}},"output":{"type":"structure","members":{"TagOptionDetail":{"shape":"S3d"}}}},"DeleteConstraint":{"input":{"type":"structure","required":["Id"],"members":{"AcceptLanguage":{},"Id":{}}},"output":{"type":"structure","members":{}}},"DeletePortfolio":{"input":{"type":"structure","required":["Id"],"members":{"AcceptLanguage":{},"Id":{}}},"output":{"type":"structure","members":{}}},"DeletePortfolioShare":{"input":{"type":"structure","required":["PortfolioId"],"members":{"AcceptLanguage":{},"PortfolioId":{},"AccountId":{},"OrganizationNode":{"shape":"S1s"}}},"output":{"type":"structure","members":{"PortfolioShareToken":{}}}},"DeleteProduct":{"input":{"type":"structure","required":["Id"],"members":{"AcceptLanguage":{},"Id":{}}},"output":{"type":"structure","members":{}}},"DeleteProvisionedProductPlan":{"input":{"type":"structure","required":["PlanId"],"members":{"AcceptLanguage":{},"PlanId":{},"IgnoreErrors":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeleteProvisioningArtifact":{"input":{"type":"structure","required":["ProductId","ProvisioningArtifactId"],"members":{"AcceptLanguage":{},"ProductId":{},"ProvisioningArtifactId":{}}},"output":{"type":"structure","members":{}}},"DeleteServiceAction":{"input":{"type":"structure","required":["Id"],"members":{"Id":{},"AcceptLanguage":{}}},"output":{"type":"structure","members":{}}},"DeleteTagOption":{"input":{"type":"structure","required":["Id"],"members":{"Id":{}}},"output":{"type":"structure","members":{}}},"DescribeConstraint":{"input":{"type":"structure","required":["Id"],"members":{"AcceptLanguage":{},"Id":{}}},"output":{"type":"structure","members":{"ConstraintDetail":{"shape":"S1b"},"ConstraintParameters":{},"Status":{}}}},"DescribeCopyProductStatus":{"input":{"type":"structure","required":["CopyProductToken"],"members":{"AcceptLanguage":{},"CopyProductToken":{}}},"output":{"type":"structure","members":{"CopyProductStatus":{},"TargetProductId":{},"StatusDetail":{}}}},"DescribePortfolio":{"input":{"type":"structure","required":["Id"],"members":{"AcceptLanguage":{},"Id":{}}},"output":{"type":"structure","members":{"PortfolioDetail":{"shape":"S1n"},"Tags":{"shape":"S1q"},"TagOptions":{"shape":"S45"},"Budgets":{"shape":"S46"}}}},"DescribePortfolioShareStatus":{"input":{"type":"structure","required":["PortfolioShareToken"],"members":{"PortfolioShareToken":{}}},"output":{"type":"structure","members":{"PortfolioShareToken":{},"PortfolioId":{},"OrganizationNodeValue":{},"Status":{},"ShareDetails":{"type":"structure","members":{"SuccessfulShares":{"type":"list","member":{}},"ShareErrors":{"type":"list","member":{"type":"structure","members":{"Accounts":{"type":"list","member":{}},"Message":{},"Error":{}}}}}}}}},"DescribePortfolioShares":{"input":{"type":"structure","required":["PortfolioId","Type"],"members":{"PortfolioId":{},"Type":{},"PageToken":{},"PageSize":{"type":"integer"}}},"output":{"type":"structure","members":{"NextPageToken":{},"PortfolioShareDetails":{"type":"list","member":{"type":"structure","members":{"PrincipalId":{},"Type":{},"Accepted":{"type":"boolean"},"ShareTagOptions":{"type":"boolean"}}}}}}},"DescribeProduct":{"input":{"type":"structure","members":{"AcceptLanguage":{},"Id":{},"Name":{}}},"output":{"type":"structure","members":{"ProductViewSummary":{"shape":"S2e"},"ProvisioningArtifacts":{"shape":"S4r"},"Budgets":{"shape":"S46"},"LaunchPaths":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{}}}}}}},"DescribeProductAsAdmin":{"input":{"type":"structure","members":{"AcceptLanguage":{},"Id":{},"Name":{},"SourcePortfolioId":{}}},"output":{"type":"structure","members":{"ProductViewDetail":{"shape":"S2d"},"ProvisioningArtifactSummaries":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"Description":{},"CreatedTime":{"type":"timestamp"},"ProvisioningArtifactMetadata":{"shape":"S27"}}}},"Tags":{"shape":"S1q"},"TagOptions":{"shape":"S45"},"Budgets":{"shape":"S46"}}}},"DescribeProductView":{"input":{"type":"structure","required":["Id"],"members":{"AcceptLanguage":{},"Id":{}}},"output":{"type":"structure","members":{"ProductViewSummary":{"shape":"S2e"},"ProvisioningArtifacts":{"shape":"S4r"}}}},"DescribeProvisionedProduct":{"input":{"type":"structure","members":{"AcceptLanguage":{},"Id":{},"Name":{}}},"output":{"type":"structure","members":{"ProvisionedProductDetail":{"shape":"S55"},"CloudWatchDashboards":{"type":"list","member":{"type":"structure","members":{"Name":{}}}}}}},"DescribeProvisionedProductPlan":{"input":{"type":"structure","required":["PlanId"],"members":{"AcceptLanguage":{},"PlanId":{},"PageSize":{"type":"integer"},"PageToken":{}}},"output":{"type":"structure","members":{"ProvisionedProductPlanDetails":{"type":"structure","members":{"CreatedTime":{"type":"timestamp"},"PathId":{},"ProductId":{},"PlanName":{},"PlanId":{},"ProvisionProductId":{},"ProvisionProductName":{},"PlanType":{},"ProvisioningArtifactId":{},"Status":{},"UpdatedTime":{"type":"timestamp"},"NotificationArns":{"shape":"S2o"},"ProvisioningParameters":{"shape":"S2r"},"Tags":{"shape":"S1q"},"StatusMessage":{}}},"ResourceChanges":{"type":"list","member":{"type":"structure","members":{"Action":{},"LogicalResourceId":{},"PhysicalResourceId":{},"ResourceType":{},"Replacement":{},"Scope":{"type":"list","member":{}},"Details":{"type":"list","member":{"type":"structure","members":{"Target":{"type":"structure","members":{"Attribute":{},"Name":{},"RequiresRecreation":{}}},"Evaluation":{},"CausingEntity":{}}}}}}},"NextPageToken":{}}}},"DescribeProvisioningArtifact":{"input":{"type":"structure","members":{"AcceptLanguage":{},"ProvisioningArtifactId":{},"ProductId":{},"ProvisioningArtifactName":{},"ProductName":{},"Verbose":{"type":"boolean"}}},"output":{"type":"structure","members":{"ProvisioningArtifactDetail":{"shape":"S2i"},"Info":{"shape":"S27"},"Status":{}}}},"DescribeProvisioningParameters":{"input":{"type":"structure","members":{"AcceptLanguage":{},"ProductId":{},"ProductName":{},"ProvisioningArtifactId":{},"ProvisioningArtifactName":{},"PathId":{},"PathName":{}}},"output":{"type":"structure","members":{"ProvisioningArtifactParameters":{"type":"list","member":{"type":"structure","members":{"ParameterKey":{},"DefaultValue":{},"ParameterType":{},"IsNoEcho":{"type":"boolean"},"Description":{},"ParameterConstraints":{"type":"structure","members":{"AllowedValues":{"type":"list","member":{}},"AllowedPattern":{},"ConstraintDescription":{},"MaxLength":{},"MinLength":{},"MaxValue":{},"MinValue":{}}}}}},"ConstraintSummaries":{"shape":"S6h"},"UsageInstructions":{"type":"list","member":{"type":"structure","members":{"Type":{},"Value":{}}}},"TagOptions":{"type":"list","member":{"type":"structure","members":{"Key":{},"Values":{"type":"list","member":{}}}}},"ProvisioningArtifactPreferences":{"type":"structure","members":{"StackSetAccounts":{"shape":"S6r"},"StackSetRegions":{"shape":"S6s"}}},"ProvisioningArtifactOutputs":{"type":"list","member":{"type":"structure","members":{"Key":{},"Description":{}}}}}}},"DescribeRecord":{"input":{"type":"structure","required":["Id"],"members":{"AcceptLanguage":{},"Id":{},"PageToken":{},"PageSize":{"type":"integer"}}},"output":{"type":"structure","members":{"RecordDetail":{"shape":"S70"},"RecordOutputs":{"shape":"S7b"},"NextPageToken":{}}}},"DescribeServiceAction":{"input":{"type":"structure","required":["Id"],"members":{"Id":{},"AcceptLanguage":{}}},"output":{"type":"structure","members":{"ServiceActionDetail":{"shape":"S37"}}}},"DescribeServiceActionExecutionParameters":{"input":{"type":"structure","required":["ProvisionedProductId","ServiceActionId"],"members":{"ProvisionedProductId":{},"ServiceActionId":{},"AcceptLanguage":{}}},"output":{"type":"structure","members":{"ServiceActionParameters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Type":{},"DefaultValues":{"shape":"S7n"}}}}}}},"DescribeTagOption":{"input":{"type":"structure","required":["Id"],"members":{"Id":{}}},"output":{"type":"structure","members":{"TagOptionDetail":{"shape":"S3d"}}}},"DisableAWSOrganizationsAccess":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DisassociateBudgetFromResource":{"input":{"type":"structure","required":["BudgetName","ResourceId"],"members":{"BudgetName":{},"ResourceId":{}}},"output":{"type":"structure","members":{}}},"DisassociatePrincipalFromPortfolio":{"input":{"type":"structure","required":["PortfolioId","PrincipalARN"],"members":{"AcceptLanguage":{},"PortfolioId":{},"PrincipalARN":{}}},"output":{"type":"structure","members":{}}},"DisassociateProductFromPortfolio":{"input":{"type":"structure","required":["ProductId","PortfolioId"],"members":{"AcceptLanguage":{},"ProductId":{},"PortfolioId":{}}},"output":{"type":"structure","members":{}}},"DisassociateServiceActionFromProvisioningArtifact":{"input":{"type":"structure","required":["ProductId","ProvisioningArtifactId","ServiceActionId"],"members":{"ProductId":{},"ProvisioningArtifactId":{},"ServiceActionId":{},"AcceptLanguage":{}}},"output":{"type":"structure","members":{}}},"DisassociateTagOptionFromResource":{"input":{"type":"structure","required":["ResourceId","TagOptionId"],"members":{"ResourceId":{},"TagOptionId":{}}},"output":{"type":"structure","members":{}}},"EnableAWSOrganizationsAccess":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"ExecuteProvisionedProductPlan":{"input":{"type":"structure","required":["PlanId","IdempotencyToken"],"members":{"AcceptLanguage":{},"PlanId":{},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"RecordDetail":{"shape":"S70"}}}},"ExecuteProvisionedProductServiceAction":{"input":{"type":"structure","required":["ProvisionedProductId","ServiceActionId","ExecuteToken"],"members":{"ProvisionedProductId":{},"ServiceActionId":{},"ExecuteToken":{"idempotencyToken":true},"AcceptLanguage":{},"Parameters":{"type":"map","key":{},"value":{"shape":"S7n"}}}},"output":{"type":"structure","members":{"RecordDetail":{"shape":"S70"}}}},"GetAWSOrganizationsAccessStatus":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"AccessStatus":{}}}},"GetProvisionedProductOutputs":{"input":{"type":"structure","members":{"AcceptLanguage":{},"ProvisionedProductId":{},"ProvisionedProductName":{},"OutputKeys":{"type":"list","member":{}},"PageSize":{"type":"integer"},"PageToken":{}}},"output":{"type":"structure","members":{"Outputs":{"shape":"S7b"},"NextPageToken":{}}}},"ImportAsProvisionedProduct":{"input":{"type":"structure","required":["ProductId","ProvisioningArtifactId","ProvisionedProductName","PhysicalId","IdempotencyToken"],"members":{"AcceptLanguage":{},"ProductId":{},"ProvisioningArtifactId":{},"ProvisionedProductName":{},"PhysicalId":{},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"RecordDetail":{"shape":"S70"}}}},"ListAcceptedPortfolioShares":{"input":{"type":"structure","members":{"AcceptLanguage":{},"PageToken":{},"PageSize":{"type":"integer"},"PortfolioShareType":{}}},"output":{"type":"structure","members":{"PortfolioDetails":{"shape":"S8l"},"NextPageToken":{}}}},"ListBudgetsForResource":{"input":{"type":"structure","required":["ResourceId"],"members":{"AcceptLanguage":{},"ResourceId":{},"PageSize":{"type":"integer"},"PageToken":{}}},"output":{"type":"structure","members":{"Budgets":{"shape":"S46"},"NextPageToken":{}}}},"ListConstraintsForPortfolio":{"input":{"type":"structure","required":["PortfolioId"],"members":{"AcceptLanguage":{},"PortfolioId":{},"ProductId":{},"PageSize":{"type":"integer"},"PageToken":{}}},"output":{"type":"structure","members":{"ConstraintDetails":{"type":"list","member":{"shape":"S1b"}},"NextPageToken":{}}}},"ListLaunchPaths":{"input":{"type":"structure","required":["ProductId"],"members":{"AcceptLanguage":{},"ProductId":{},"PageSize":{"type":"integer"},"PageToken":{}}},"output":{"type":"structure","members":{"LaunchPathSummaries":{"type":"list","member":{"type":"structure","members":{"Id":{},"ConstraintSummaries":{"shape":"S6h"},"Tags":{"shape":"S1q"},"Name":{}}}},"NextPageToken":{}}}},"ListOrganizationPortfolioAccess":{"input":{"type":"structure","required":["PortfolioId","OrganizationNodeType"],"members":{"AcceptLanguage":{},"PortfolioId":{},"OrganizationNodeType":{},"PageToken":{},"PageSize":{"type":"integer"}}},"output":{"type":"structure","members":{"OrganizationNodes":{"type":"list","member":{"shape":"S1s"}},"NextPageToken":{}}}},"ListPortfolioAccess":{"input":{"type":"structure","required":["PortfolioId"],"members":{"AcceptLanguage":{},"PortfolioId":{},"OrganizationParentId":{},"PageToken":{},"PageSize":{"type":"integer"}}},"output":{"type":"structure","members":{"AccountIds":{"type":"list","member":{}},"NextPageToken":{}}}},"ListPortfolios":{"input":{"type":"structure","members":{"AcceptLanguage":{},"PageToken":{},"PageSize":{"type":"integer"}}},"output":{"type":"structure","members":{"PortfolioDetails":{"shape":"S8l"},"NextPageToken":{}}}},"ListPortfoliosForProduct":{"input":{"type":"structure","required":["ProductId"],"members":{"AcceptLanguage":{},"ProductId":{},"PageToken":{},"PageSize":{"type":"integer"}}},"output":{"type":"structure","members":{"PortfolioDetails":{"shape":"S8l"},"NextPageToken":{}}}},"ListPrincipalsForPortfolio":{"input":{"type":"structure","required":["PortfolioId"],"members":{"AcceptLanguage":{},"PortfolioId":{},"PageSize":{"type":"integer"},"PageToken":{}}},"output":{"type":"structure","members":{"Principals":{"type":"list","member":{"type":"structure","members":{"PrincipalARN":{},"PrincipalType":{}}}},"NextPageToken":{}}}},"ListProvisionedProductPlans":{"input":{"type":"structure","members":{"AcceptLanguage":{},"ProvisionProductId":{},"PageSize":{"type":"integer"},"PageToken":{},"AccessLevelFilter":{"shape":"S9a"}}},"output":{"type":"structure","members":{"ProvisionedProductPlans":{"type":"list","member":{"type":"structure","members":{"PlanName":{},"PlanId":{},"ProvisionProductId":{},"ProvisionProductName":{},"PlanType":{},"ProvisioningArtifactId":{}}}},"NextPageToken":{}}}},"ListProvisioningArtifacts":{"input":{"type":"structure","required":["ProductId"],"members":{"AcceptLanguage":{},"ProductId":{}}},"output":{"type":"structure","members":{"ProvisioningArtifactDetails":{"type":"list","member":{"shape":"S2i"}},"NextPageToken":{}}}},"ListProvisioningArtifactsForServiceAction":{"input":{"type":"structure","required":["ServiceActionId"],"members":{"ServiceActionId":{},"PageSize":{"type":"integer"},"PageToken":{},"AcceptLanguage":{}}},"output":{"type":"structure","members":{"ProvisioningArtifactViews":{"type":"list","member":{"type":"structure","members":{"ProductViewSummary":{"shape":"S2e"},"ProvisioningArtifact":{"shape":"S4s"}}}},"NextPageToken":{}}}},"ListRecordHistory":{"input":{"type":"structure","members":{"AcceptLanguage":{},"AccessLevelFilter":{"shape":"S9a"},"SearchFilter":{"type":"structure","members":{"Key":{},"Value":{}}},"PageSize":{"type":"integer"},"PageToken":{}}},"output":{"type":"structure","members":{"RecordDetails":{"type":"list","member":{"shape":"S70"}},"NextPageToken":{}}}},"ListResourcesForTagOption":{"input":{"type":"structure","required":["TagOptionId"],"members":{"TagOptionId":{},"ResourceType":{},"PageSize":{"type":"integer"},"PageToken":{}}},"output":{"type":"structure","members":{"ResourceDetails":{"type":"list","member":{"type":"structure","members":{"Id":{},"ARN":{},"Name":{},"Description":{},"CreatedTime":{"type":"timestamp"}}}},"PageToken":{}}}},"ListServiceActions":{"input":{"type":"structure","members":{"AcceptLanguage":{},"PageSize":{"type":"integer"},"PageToken":{}}},"output":{"type":"structure","members":{"ServiceActionSummaries":{"shape":"Sa5"},"NextPageToken":{}}}},"ListServiceActionsForProvisioningArtifact":{"input":{"type":"structure","required":["ProductId","ProvisioningArtifactId"],"members":{"ProductId":{},"ProvisioningArtifactId":{},"PageSize":{"type":"integer"},"PageToken":{},"AcceptLanguage":{}}},"output":{"type":"structure","members":{"ServiceActionSummaries":{"shape":"Sa5"},"NextPageToken":{}}}},"ListStackInstancesForProvisionedProduct":{"input":{"type":"structure","required":["ProvisionedProductId"],"members":{"AcceptLanguage":{},"ProvisionedProductId":{},"PageToken":{},"PageSize":{"type":"integer"}}},"output":{"type":"structure","members":{"StackInstances":{"type":"list","member":{"type":"structure","members":{"Account":{},"Region":{},"StackInstanceStatus":{}}}},"NextPageToken":{}}}},"ListTagOptions":{"input":{"type":"structure","members":{"Filters":{"type":"structure","members":{"Key":{},"Value":{},"Active":{"type":"boolean"}}},"PageSize":{"type":"integer"},"PageToken":{}}},"output":{"type":"structure","members":{"TagOptionDetails":{"shape":"S45"},"PageToken":{}}}},"ProvisionProduct":{"input":{"type":"structure","required":["ProvisionedProductName","ProvisionToken"],"members":{"AcceptLanguage":{},"ProductId":{},"ProductName":{},"ProvisioningArtifactId":{},"ProvisioningArtifactName":{},"PathId":{},"PathName":{},"ProvisionedProductName":{},"ProvisioningParameters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"ProvisioningPreferences":{"type":"structure","members":{"StackSetAccounts":{"shape":"S6r"},"StackSetRegions":{"shape":"S6s"},"StackSetFailureToleranceCount":{"type":"integer"},"StackSetFailureTolerancePercentage":{"type":"integer"},"StackSetMaxConcurrencyCount":{"type":"integer"},"StackSetMaxConcurrencyPercentage":{"type":"integer"}}},"Tags":{"shape":"S1q"},"NotificationArns":{"shape":"S2o"},"ProvisionToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"RecordDetail":{"shape":"S70"}}}},"RejectPortfolioShare":{"input":{"type":"structure","required":["PortfolioId"],"members":{"AcceptLanguage":{},"PortfolioId":{},"PortfolioShareType":{}}},"output":{"type":"structure","members":{}}},"ScanProvisionedProducts":{"input":{"type":"structure","members":{"AcceptLanguage":{},"AccessLevelFilter":{"shape":"S9a"},"PageSize":{"type":"integer"},"PageToken":{}}},"output":{"type":"structure","members":{"ProvisionedProducts":{"type":"list","member":{"shape":"S55"}},"NextPageToken":{}}}},"SearchProducts":{"input":{"type":"structure","members":{"AcceptLanguage":{},"Filters":{"shape":"Sav"},"PageSize":{"type":"integer"},"SortBy":{},"SortOrder":{},"PageToken":{}}},"output":{"type":"structure","members":{"ProductViewSummaries":{"type":"list","member":{"shape":"S2e"}},"ProductViewAggregations":{"type":"map","key":{},"value":{"type":"list","member":{"type":"structure","members":{"Value":{},"ApproximateCount":{"type":"integer"}}}}},"NextPageToken":{}}}},"SearchProductsAsAdmin":{"input":{"type":"structure","members":{"AcceptLanguage":{},"PortfolioId":{},"Filters":{"shape":"Sav"},"SortBy":{},"SortOrder":{},"PageToken":{},"PageSize":{"type":"integer"},"ProductSource":{}}},"output":{"type":"structure","members":{"ProductViewDetails":{"type":"list","member":{"shape":"S2d"}},"NextPageToken":{}}}},"SearchProvisionedProducts":{"input":{"type":"structure","members":{"AcceptLanguage":{},"AccessLevelFilter":{"shape":"S9a"},"Filters":{"type":"map","key":{},"value":{"type":"list","member":{}}},"SortBy":{},"SortOrder":{},"PageSize":{"type":"integer"},"PageToken":{}}},"output":{"type":"structure","members":{"ProvisionedProducts":{"type":"list","member":{"type":"structure","members":{"Name":{},"Arn":{},"Type":{},"Id":{},"Status":{},"StatusMessage":{},"CreatedTime":{"type":"timestamp"},"IdempotencyToken":{},"LastRecordId":{},"LastProvisioningRecordId":{},"LastSuccessfulProvisioningRecordId":{},"Tags":{"shape":"S1q"},"PhysicalId":{},"ProductId":{},"ProductName":{},"ProvisioningArtifactId":{},"ProvisioningArtifactName":{},"UserArn":{},"UserArnSession":{}}}},"TotalResultsCount":{"type":"integer"},"NextPageToken":{}}}},"TerminateProvisionedProduct":{"input":{"type":"structure","required":["TerminateToken"],"members":{"ProvisionedProductName":{},"ProvisionedProductId":{},"TerminateToken":{"idempotencyToken":true},"IgnoreErrors":{"type":"boolean"},"AcceptLanguage":{},"RetainPhysicalResources":{"type":"boolean"}}},"output":{"type":"structure","members":{"RecordDetail":{"shape":"S70"}}}},"UpdateConstraint":{"input":{"type":"structure","required":["Id"],"members":{"AcceptLanguage":{},"Id":{},"Description":{},"Parameters":{}}},"output":{"type":"structure","members":{"ConstraintDetail":{"shape":"S1b"},"ConstraintParameters":{},"Status":{}}}},"UpdatePortfolio":{"input":{"type":"structure","required":["Id"],"members":{"AcceptLanguage":{},"Id":{},"DisplayName":{},"Description":{},"ProviderName":{},"AddTags":{"shape":"S1i"},"RemoveTags":{"shape":"Sbw"}}},"output":{"type":"structure","members":{"PortfolioDetail":{"shape":"S1n"},"Tags":{"shape":"S1q"}}}},"UpdatePortfolioShare":{"input":{"type":"structure","required":["PortfolioId"],"members":{"AcceptLanguage":{},"PortfolioId":{},"AccountId":{},"OrganizationNode":{"shape":"S1s"},"ShareTagOptions":{"type":"boolean"}}},"output":{"type":"structure","members":{"PortfolioShareToken":{},"Status":{}}}},"UpdateProduct":{"input":{"type":"structure","required":["Id"],"members":{"AcceptLanguage":{},"Id":{},"Name":{},"Owner":{},"Description":{},"Distributor":{},"SupportDescription":{},"SupportEmail":{},"SupportUrl":{},"AddTags":{"shape":"S1i"},"RemoveTags":{"shape":"Sbw"}}},"output":{"type":"structure","members":{"ProductViewDetail":{"shape":"S2d"},"Tags":{"shape":"S1q"}}}},"UpdateProvisionedProduct":{"input":{"type":"structure","required":["UpdateToken"],"members":{"AcceptLanguage":{},"ProvisionedProductName":{},"ProvisionedProductId":{},"ProductId":{},"ProductName":{},"ProvisioningArtifactId":{},"ProvisioningArtifactName":{},"PathId":{},"PathName":{},"ProvisioningParameters":{"shape":"S2r"},"ProvisioningPreferences":{"type":"structure","members":{"StackSetAccounts":{"shape":"S6r"},"StackSetRegions":{"shape":"S6s"},"StackSetFailureToleranceCount":{"type":"integer"},"StackSetFailureTolerancePercentage":{"type":"integer"},"StackSetMaxConcurrencyCount":{"type":"integer"},"StackSetMaxConcurrencyPercentage":{"type":"integer"},"StackSetOperationType":{}}},"Tags":{"shape":"S1q"},"UpdateToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"RecordDetail":{"shape":"S70"}}}},"UpdateProvisionedProductProperties":{"input":{"type":"structure","required":["ProvisionedProductId","ProvisionedProductProperties","IdempotencyToken"],"members":{"AcceptLanguage":{},"ProvisionedProductId":{},"ProvisionedProductProperties":{"shape":"Sc8"},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ProvisionedProductId":{},"ProvisionedProductProperties":{"shape":"Sc8"},"RecordId":{},"Status":{}}}},"UpdateProvisioningArtifact":{"input":{"type":"structure","required":["ProductId","ProvisioningArtifactId"],"members":{"AcceptLanguage":{},"ProductId":{},"ProvisioningArtifactId":{},"Name":{},"Description":{},"Active":{"type":"boolean"},"Guidance":{}}},"output":{"type":"structure","members":{"ProvisioningArtifactDetail":{"shape":"S2i"},"Info":{"shape":"S27"},"Status":{}}}},"UpdateServiceAction":{"input":{"type":"structure","required":["Id"],"members":{"Id":{},"Name":{},"Definition":{"shape":"S32"},"Description":{},"AcceptLanguage":{}}},"output":{"type":"structure","members":{"ServiceActionDetail":{"shape":"S37"}}}},"UpdateTagOption":{"input":{"type":"structure","required":["Id"],"members":{"Id":{},"Value":{},"Active":{"type":"boolean"}}},"output":{"type":"structure","members":{"TagOptionDetail":{"shape":"S3d"}}}}},"shapes":{"Sm":{"type":"list","member":{"type":"structure","required":["ServiceActionId","ProductId","ProvisioningArtifactId"],"members":{"ServiceActionId":{},"ProductId":{},"ProvisioningArtifactId":{}}}},"Sp":{"type":"list","member":{"type":"structure","members":{"ServiceActionId":{},"ProductId":{},"ProvisioningArtifactId":{},"ErrorCode":{},"ErrorMessage":{}}}},"S1b":{"type":"structure","members":{"ConstraintId":{},"Type":{},"Description":{},"Owner":{},"ProductId":{},"PortfolioId":{}}},"S1i":{"type":"list","member":{"shape":"S1j"}},"S1j":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}},"S1n":{"type":"structure","members":{"Id":{},"ARN":{},"DisplayName":{},"Description":{},"CreatedTime":{"type":"timestamp"},"ProviderName":{}}},"S1q":{"type":"list","member":{"shape":"S1j"}},"S1s":{"type":"structure","members":{"Type":{},"Value":{}}},"S24":{"type":"structure","required":["Info"],"members":{"Name":{},"Description":{},"Info":{"shape":"S27"},"Type":{},"DisableTemplateValidation":{"type":"boolean"}}},"S27":{"type":"map","key":{},"value":{}},"S2d":{"type":"structure","members":{"ProductViewSummary":{"shape":"S2e"},"Status":{},"ProductARN":{},"CreatedTime":{"type":"timestamp"}}},"S2e":{"type":"structure","members":{"Id":{},"ProductId":{},"Name":{},"Owner":{},"ShortDescription":{},"Type":{},"Distributor":{},"HasDefaultPath":{"type":"boolean"},"SupportEmail":{},"SupportDescription":{},"SupportUrl":{}}},"S2i":{"type":"structure","members":{"Id":{},"Name":{},"Description":{},"Type":{},"CreatedTime":{"type":"timestamp"},"Active":{"type":"boolean"},"Guidance":{}}},"S2o":{"type":"list","member":{}},"S2r":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{},"UsePreviousValue":{"type":"boolean"}}}},"S32":{"type":"map","key":{},"value":{}},"S37":{"type":"structure","members":{"ServiceActionSummary":{"shape":"S38"},"Definition":{"shape":"S32"}}},"S38":{"type":"structure","members":{"Id":{},"Name":{},"Description":{},"DefinitionType":{}}},"S3d":{"type":"structure","members":{"Key":{},"Value":{},"Active":{"type":"boolean"},"Id":{},"Owner":{}}},"S45":{"type":"list","member":{"shape":"S3d"}},"S46":{"type":"list","member":{"type":"structure","members":{"BudgetName":{}}}},"S4r":{"type":"list","member":{"shape":"S4s"}},"S4s":{"type":"structure","members":{"Id":{},"Name":{},"Description":{},"CreatedTime":{"type":"timestamp"},"Guidance":{}}},"S55":{"type":"structure","members":{"Name":{},"Arn":{},"Type":{},"Id":{},"Status":{},"StatusMessage":{},"CreatedTime":{"type":"timestamp"},"IdempotencyToken":{},"LastRecordId":{},"LastProvisioningRecordId":{},"LastSuccessfulProvisioningRecordId":{},"ProductId":{},"ProvisioningArtifactId":{},"LaunchRoleArn":{}}},"S6h":{"type":"list","member":{"type":"structure","members":{"Type":{},"Description":{}}}},"S6r":{"type":"list","member":{}},"S6s":{"type":"list","member":{}},"S70":{"type":"structure","members":{"RecordId":{},"ProvisionedProductName":{},"Status":{},"CreatedTime":{"type":"timestamp"},"UpdatedTime":{"type":"timestamp"},"ProvisionedProductType":{},"RecordType":{},"ProvisionedProductId":{},"ProductId":{},"ProvisioningArtifactId":{},"PathId":{},"RecordErrors":{"type":"list","member":{"type":"structure","members":{"Code":{},"Description":{}}}},"RecordTags":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"LaunchRoleArn":{}}},"S7b":{"type":"list","member":{"type":"structure","members":{"OutputKey":{},"OutputValue":{},"Description":{}}}},"S7n":{"type":"list","member":{}},"S8l":{"type":"list","member":{"shape":"S1n"}},"S9a":{"type":"structure","members":{"Key":{},"Value":{}}},"Sa5":{"type":"list","member":{"shape":"S38"}},"Sav":{"type":"map","key":{},"value":{"type":"list","member":{}}},"Sbw":{"type":"list","member":{}},"Sc8":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 21687:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribePortfolioShares":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"GetProvisionedProductOutputs":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListAcceptedPortfolioShares":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListBudgetsForResource":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListConstraintsForPortfolio":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListLaunchPaths":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListOrganizationPortfolioAccess":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListPortfolioAccess":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListPortfolios":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListPortfoliosForProduct":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListPrincipalsForPortfolio":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListProvisioningArtifactsForServiceAction":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListResourcesForTagOption":{"input_token":"PageToken","output_token":"PageToken","limit_key":"PageSize"},"ListServiceActions":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListServiceActionsForProvisioningArtifact":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"ListTagOptions":{"input_token":"PageToken","output_token":"PageToken","limit_key":"PageSize"},"SearchProducts":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"SearchProductsAsAdmin":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"},"SearchProvisionedProducts":{"input_token":"PageToken","output_token":"NextPageToken","limit_key":"PageSize"}}}');

/***/ }),

/***/ 25697:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-06-24","endpointPrefix":"servicecatalog-appregistry","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"AppRegistry","serviceFullName":"AWS Service Catalog App Registry","serviceId":"Service Catalog AppRegistry","signatureVersion":"v4","signingName":"servicecatalog","uid":"AWS242AppRegistry-2020-06-24"},"operations":{"AssociateAttributeGroup":{"http":{"method":"PUT","requestUri":"/applications/{application}/attribute-groups/{attributeGroup}"},"input":{"type":"structure","required":["application","attributeGroup"],"members":{"application":{"location":"uri","locationName":"application"},"attributeGroup":{"location":"uri","locationName":"attributeGroup"}}},"output":{"type":"structure","members":{"applicationArn":{},"attributeGroupArn":{}}}},"AssociateResource":{"http":{"method":"PUT","requestUri":"/applications/{application}/resources/{resourceType}/{resource}"},"input":{"type":"structure","required":["application","resourceType","resource"],"members":{"application":{"location":"uri","locationName":"application"},"resourceType":{"location":"uri","locationName":"resourceType"},"resource":{"location":"uri","locationName":"resource"}}},"output":{"type":"structure","members":{"applicationArn":{},"resourceArn":{}}}},"CreateApplication":{"http":{"requestUri":"/applications","responseCode":201},"input":{"type":"structure","required":["name","clientToken"],"members":{"name":{},"description":{},"tags":{"shape":"Sf"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"application":{"shape":"Sk"}}}},"CreateAttributeGroup":{"http":{"requestUri":"/attribute-groups","responseCode":201},"input":{"type":"structure","required":["name","attributes","clientToken"],"members":{"name":{},"description":{},"attributes":{},"tags":{"shape":"Sf"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"attributeGroup":{"shape":"Sq"}}}},"DeleteApplication":{"http":{"method":"DELETE","requestUri":"/applications/{application}"},"input":{"type":"structure","required":["application"],"members":{"application":{"location":"uri","locationName":"application"}}},"output":{"type":"structure","members":{"application":{"shape":"Su"}}}},"DeleteAttributeGroup":{"http":{"method":"DELETE","requestUri":"/attribute-groups/{attributeGroup}"},"input":{"type":"structure","required":["attributeGroup"],"members":{"attributeGroup":{"location":"uri","locationName":"attributeGroup"}}},"output":{"type":"structure","members":{"attributeGroup":{"shape":"Sx"}}}},"DisassociateAttributeGroup":{"http":{"method":"DELETE","requestUri":"/applications/{application}/attribute-groups/{attributeGroup}"},"input":{"type":"structure","required":["application","attributeGroup"],"members":{"application":{"location":"uri","locationName":"application"},"attributeGroup":{"location":"uri","locationName":"attributeGroup"}}},"output":{"type":"structure","members":{"applicationArn":{},"attributeGroupArn":{}}}},"DisassociateResource":{"http":{"method":"DELETE","requestUri":"/applications/{application}/resources/{resourceType}/{resource}"},"input":{"type":"structure","required":["application","resourceType","resource"],"members":{"application":{"location":"uri","locationName":"application"},"resourceType":{"location":"uri","locationName":"resourceType"},"resource":{"location":"uri","locationName":"resource"}}},"output":{"type":"structure","members":{"applicationArn":{},"resourceArn":{}}}},"GetApplication":{"http":{"method":"GET","requestUri":"/applications/{application}"},"input":{"type":"structure","required":["application"],"members":{"application":{"location":"uri","locationName":"application"}}},"output":{"type":"structure","members":{"id":{},"arn":{},"name":{},"description":{},"creationTime":{"shape":"Sm"},"lastUpdateTime":{"shape":"Sm"},"associatedResourceCount":{"type":"integer"},"tags":{"shape":"Sf"},"integrations":{"type":"structure","members":{"resourceGroup":{"shape":"S16"}}}}}},"GetAssociatedResource":{"http":{"method":"GET","requestUri":"/applications/{application}/resources/{resourceType}/{resource}"},"input":{"type":"structure","required":["application","resourceType","resource"],"members":{"application":{"location":"uri","locationName":"application"},"resourceType":{"location":"uri","locationName":"resourceType"},"resource":{"location":"uri","locationName":"resource"}}},"output":{"type":"structure","members":{"resource":{"type":"structure","members":{"name":{},"arn":{},"associationTime":{"shape":"Sm"},"integrations":{"type":"structure","members":{"resourceGroup":{"shape":"S16"}}}}}}},"idempotent":true},"GetAttributeGroup":{"http":{"method":"GET","requestUri":"/attribute-groups/{attributeGroup}"},"input":{"type":"structure","required":["attributeGroup"],"members":{"attributeGroup":{"location":"uri","locationName":"attributeGroup"}}},"output":{"type":"structure","members":{"id":{},"arn":{},"name":{},"description":{},"attributes":{},"creationTime":{"shape":"Sm"},"lastUpdateTime":{"shape":"Sm"},"tags":{"shape":"Sf"}}}},"ListApplications":{"http":{"method":"GET","requestUri":"/applications"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"applications":{"type":"list","member":{"shape":"Su"}},"nextToken":{}}},"idempotent":true},"ListAssociatedAttributeGroups":{"http":{"method":"GET","requestUri":"/applications/{application}/attribute-groups"},"input":{"type":"structure","required":["application"],"members":{"application":{"location":"uri","locationName":"application"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"attributeGroups":{"type":"list","member":{}},"nextToken":{}}},"idempotent":true},"ListAssociatedResources":{"http":{"method":"GET","requestUri":"/applications/{application}/resources"},"input":{"type":"structure","required":["application"],"members":{"application":{"location":"uri","locationName":"application"},"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"resources":{"type":"list","member":{"type":"structure","members":{"name":{},"arn":{}}}},"nextToken":{}}},"idempotent":true},"ListAttributeGroups":{"http":{"method":"GET","requestUri":"/attribute-groups"},"input":{"type":"structure","members":{"nextToken":{"location":"querystring","locationName":"nextToken"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"}}},"output":{"type":"structure","members":{"attributeGroups":{"type":"list","member":{"shape":"Sx"}},"nextToken":{}}},"idempotent":true},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sf"}}}},"SyncResource":{"http":{"requestUri":"/sync/{resourceType}/{resource}"},"input":{"type":"structure","required":["resourceType","resource"],"members":{"resourceType":{"location":"uri","locationName":"resourceType"},"resource":{"location":"uri","locationName":"resource"}}},"output":{"type":"structure","members":{"applicationArn":{},"resourceArn":{},"actionTaken":{}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateApplication":{"http":{"method":"PATCH","requestUri":"/applications/{application}"},"input":{"type":"structure","required":["application"],"members":{"application":{"location":"uri","locationName":"application"},"name":{},"description":{}}},"output":{"type":"structure","members":{"application":{"shape":"Sk"}}}},"UpdateAttributeGroup":{"http":{"method":"PATCH","requestUri":"/attribute-groups/{attributeGroup}"},"input":{"type":"structure","required":["attributeGroup"],"members":{"attributeGroup":{"location":"uri","locationName":"attributeGroup"},"name":{},"description":{},"attributes":{}}},"output":{"type":"structure","members":{"attributeGroup":{"shape":"Sq"}}}}},"shapes":{"Sf":{"type":"map","key":{},"value":{}},"Sk":{"type":"structure","members":{"id":{},"arn":{},"name":{},"description":{},"creationTime":{"shape":"Sm"},"lastUpdateTime":{"shape":"Sm"},"tags":{"shape":"Sf"}}},"Sm":{"type":"timestamp","timestampFormat":"iso8601"},"Sq":{"type":"structure","members":{"id":{},"arn":{},"name":{},"description":{},"creationTime":{"shape":"Sm"},"lastUpdateTime":{"shape":"Sm"},"tags":{"shape":"Sf"}}},"Su":{"type":"structure","members":{"id":{},"arn":{},"name":{},"description":{},"creationTime":{"shape":"Sm"},"lastUpdateTime":{"shape":"Sm"}}},"Sx":{"type":"structure","members":{"id":{},"arn":{},"name":{},"description":{},"creationTime":{"shape":"Sm"},"lastUpdateTime":{"shape":"Sm"}}},"S16":{"type":"structure","members":{"state":{},"arn":{},"errorMessage":{}}}}}');

/***/ }),

/***/ 28893:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListApplications":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"applications"},"ListAssociatedAttributeGroups":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"attributeGroups"},"ListAssociatedResources":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"resources"},"ListAttributeGroups":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"attributeGroups"}}}');

/***/ }),

/***/ 22361:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-03-14","endpointPrefix":"servicediscovery","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"ServiceDiscovery","serviceFullName":"AWS Cloud Map","serviceId":"ServiceDiscovery","signatureVersion":"v4","targetPrefix":"Route53AutoNaming_v20170314","uid":"servicediscovery-2017-03-14"},"operations":{"CreateHttpNamespace":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"CreatorRequestId":{"idempotencyToken":true},"Description":{},"Tags":{"shape":"S5"}}},"output":{"type":"structure","members":{"OperationId":{}}}},"CreatePrivateDnsNamespace":{"input":{"type":"structure","required":["Name","Vpc"],"members":{"Name":{},"CreatorRequestId":{"idempotencyToken":true},"Description":{},"Vpc":{},"Tags":{"shape":"S5"},"Properties":{"type":"structure","required":["DnsProperties"],"members":{"DnsProperties":{"type":"structure","required":["SOA"],"members":{"SOA":{"shape":"Sf"}}}}}}},"output":{"type":"structure","members":{"OperationId":{}}}},"CreatePublicDnsNamespace":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"CreatorRequestId":{"idempotencyToken":true},"Description":{},"Tags":{"shape":"S5"},"Properties":{"type":"structure","required":["DnsProperties"],"members":{"DnsProperties":{"type":"structure","required":["SOA"],"members":{"SOA":{"shape":"Sf"}}}}}}},"output":{"type":"structure","members":{"OperationId":{}}}},"CreateService":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"NamespaceId":{},"CreatorRequestId":{"idempotencyToken":true},"Description":{},"DnsConfig":{"shape":"Sp"},"HealthCheckConfig":{"shape":"Su"},"HealthCheckCustomConfig":{"shape":"Sy"},"Tags":{"shape":"S5"},"Type":{}}},"output":{"type":"structure","members":{"Service":{"shape":"S11"}}}},"DeleteNamespace":{"input":{"type":"structure","required":["Id"],"members":{"Id":{}}},"output":{"type":"structure","members":{"OperationId":{}}}},"DeleteService":{"input":{"type":"structure","required":["Id"],"members":{"Id":{}}},"output":{"type":"structure","members":{}}},"DeregisterInstance":{"input":{"type":"structure","required":["ServiceId","InstanceId"],"members":{"ServiceId":{},"InstanceId":{}}},"output":{"type":"structure","members":{"OperationId":{}}}},"DiscoverInstances":{"input":{"type":"structure","required":["NamespaceName","ServiceName"],"members":{"NamespaceName":{},"ServiceName":{},"MaxResults":{"type":"integer"},"QueryParameters":{"shape":"S1f"},"OptionalParameters":{"shape":"S1f"},"HealthStatus":{}}},"output":{"type":"structure","members":{"Instances":{"type":"list","member":{"type":"structure","members":{"InstanceId":{},"NamespaceName":{},"ServiceName":{},"HealthStatus":{},"Attributes":{"shape":"S1f"}}}}}},"endpoint":{"hostPrefix":"data-"}},"GetInstance":{"input":{"type":"structure","required":["ServiceId","InstanceId"],"members":{"ServiceId":{},"InstanceId":{}}},"output":{"type":"structure","members":{"Instance":{"type":"structure","required":["Id"],"members":{"Id":{},"CreatorRequestId":{},"Attributes":{"shape":"S1f"}}}}}},"GetInstancesHealthStatus":{"input":{"type":"structure","required":["ServiceId"],"members":{"ServiceId":{},"Instances":{"type":"list","member":{}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Status":{"type":"map","key":{},"value":{}},"NextToken":{}}}},"GetNamespace":{"input":{"type":"structure","required":["Id"],"members":{"Id":{}}},"output":{"type":"structure","members":{"Namespace":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"Type":{},"Description":{},"ServiceCount":{"type":"integer"},"Properties":{"shape":"S20"},"CreateDate":{"type":"timestamp"},"CreatorRequestId":{}}}}}},"GetOperation":{"input":{"type":"structure","required":["OperationId"],"members":{"OperationId":{}}},"output":{"type":"structure","members":{"Operation":{"type":"structure","members":{"Id":{},"Type":{},"Status":{},"ErrorMessage":{},"ErrorCode":{},"CreateDate":{"type":"timestamp"},"UpdateDate":{"type":"timestamp"},"Targets":{"type":"map","key":{},"value":{}}}}}}},"GetService":{"input":{"type":"structure","required":["Id"],"members":{"Id":{}}},"output":{"type":"structure","members":{"Service":{"shape":"S11"}}}},"ListInstances":{"input":{"type":"structure","required":["ServiceId"],"members":{"ServiceId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Instances":{"type":"list","member":{"type":"structure","members":{"Id":{},"Attributes":{"shape":"S1f"}}}},"NextToken":{}}}},"ListNamespaces":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"shape":"S2m"},"Condition":{}}}}}},"output":{"type":"structure","members":{"Namespaces":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"Type":{},"Description":{},"ServiceCount":{"type":"integer"},"Properties":{"shape":"S20"},"CreateDate":{"type":"timestamp"}}}},"NextToken":{}}}},"ListOperations":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"shape":"S2m"},"Condition":{}}}}}},"output":{"type":"structure","members":{"Operations":{"type":"list","member":{"type":"structure","members":{"Id":{},"Status":{}}}},"NextToken":{}}}},"ListServices":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"Filters":{"type":"list","member":{"type":"structure","required":["Name","Values"],"members":{"Name":{},"Values":{"shape":"S2m"},"Condition":{}}}}}},"output":{"type":"structure","members":{"Services":{"type":"list","member":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"Type":{},"Description":{},"InstanceCount":{"type":"integer"},"DnsConfig":{"shape":"Sp"},"HealthCheckConfig":{"shape":"Su"},"HealthCheckCustomConfig":{"shape":"Sy"},"CreateDate":{"type":"timestamp"}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S5"}}}},"RegisterInstance":{"input":{"type":"structure","required":["ServiceId","InstanceId","Attributes"],"members":{"ServiceId":{},"InstanceId":{},"CreatorRequestId":{"idempotencyToken":true},"Attributes":{"shape":"S1f"}}},"output":{"type":"structure","members":{"OperationId":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S5"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateHttpNamespace":{"input":{"type":"structure","required":["Id","Namespace"],"members":{"Id":{},"UpdaterRequestId":{"idempotencyToken":true},"Namespace":{"type":"structure","required":["Description"],"members":{"Description":{}}}}},"output":{"type":"structure","members":{"OperationId":{}}}},"UpdateInstanceCustomHealthStatus":{"input":{"type":"structure","required":["ServiceId","InstanceId","Status"],"members":{"ServiceId":{},"InstanceId":{},"Status":{}}}},"UpdatePrivateDnsNamespace":{"input":{"type":"structure","required":["Id","Namespace"],"members":{"Id":{},"UpdaterRequestId":{"idempotencyToken":true},"Namespace":{"type":"structure","members":{"Description":{},"Properties":{"type":"structure","required":["DnsProperties"],"members":{"DnsProperties":{"type":"structure","required":["SOA"],"members":{"SOA":{"shape":"S3q"}}}}}}}}},"output":{"type":"structure","members":{"OperationId":{}}}},"UpdatePublicDnsNamespace":{"input":{"type":"structure","required":["Id","Namespace"],"members":{"Id":{},"UpdaterRequestId":{"idempotencyToken":true},"Namespace":{"type":"structure","members":{"Description":{},"Properties":{"type":"structure","required":["DnsProperties"],"members":{"DnsProperties":{"type":"structure","required":["SOA"],"members":{"SOA":{"shape":"S3q"}}}}}}}}},"output":{"type":"structure","members":{"OperationId":{}}}},"UpdateService":{"input":{"type":"structure","required":["Id","Service"],"members":{"Id":{},"Service":{"type":"structure","members":{"Description":{},"DnsConfig":{"type":"structure","required":["DnsRecords"],"members":{"DnsRecords":{"shape":"Sr"}}},"HealthCheckConfig":{"shape":"Su"}}}}},"output":{"type":"structure","members":{"OperationId":{}}}}},"shapes":{"S5":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sf":{"type":"structure","required":["TTL"],"members":{"TTL":{"type":"long"}}},"Sp":{"type":"structure","required":["DnsRecords"],"members":{"NamespaceId":{"deprecated":true,"deprecatedMessage":"Top level attribute in request should be used to reference namespace-id"},"RoutingPolicy":{},"DnsRecords":{"shape":"Sr"}}},"Sr":{"type":"list","member":{"type":"structure","required":["Type","TTL"],"members":{"Type":{},"TTL":{"type":"long"}}}},"Su":{"type":"structure","required":["Type"],"members":{"Type":{},"ResourcePath":{},"FailureThreshold":{"type":"integer"}}},"Sy":{"type":"structure","members":{"FailureThreshold":{"deprecated":true,"deprecatedMessage":"Configurable FailureThreshold of HealthCheckCustomConfig is deprecated.  It will always have value 1.","type":"integer"}}},"S11":{"type":"structure","members":{"Id":{},"Arn":{},"Name":{},"NamespaceId":{},"Description":{},"InstanceCount":{"type":"integer"},"DnsConfig":{"shape":"Sp"},"Type":{},"HealthCheckConfig":{"shape":"Su"},"HealthCheckCustomConfig":{"shape":"Sy"},"CreateDate":{"type":"timestamp"},"CreatorRequestId":{}}},"S1f":{"type":"map","key":{},"value":{}},"S20":{"type":"structure","members":{"DnsProperties":{"type":"structure","members":{"HostedZoneId":{},"SOA":{"shape":"Sf"}}},"HttpProperties":{"type":"structure","members":{"HttpName":{}}}}},"S2m":{"type":"list","member":{}},"S3q":{"type":"structure","required":["TTL"],"members":{"TTL":{"type":"long"}}}}}');

/***/ }),

/***/ 37798:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetInstancesHealthStatus":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListInstances":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListNamespaces":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListOperations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListServices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 69754:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-09-27","endpointPrefix":"email","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Amazon SES V2","serviceFullName":"Amazon Simple Email Service","serviceId":"SESv2","signatureVersion":"v4","signingName":"ses","uid":"sesv2-2019-09-27"},"operations":{"CreateConfigurationSet":{"http":{"requestUri":"/v2/email/configuration-sets"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{},"TrackingOptions":{"shape":"S3"},"DeliveryOptions":{"shape":"S5"},"ReputationOptions":{"shape":"S8"},"SendingOptions":{"shape":"Sb"},"Tags":{"shape":"Sc"},"SuppressionOptions":{"shape":"Sg"}}},"output":{"type":"structure","members":{}}},"CreateConfigurationSetEventDestination":{"http":{"requestUri":"/v2/email/configuration-sets/{ConfigurationSetName}/event-destinations"},"input":{"type":"structure","required":["ConfigurationSetName","EventDestinationName","EventDestination"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"EventDestinationName":{},"EventDestination":{"shape":"Sm"}}},"output":{"type":"structure","members":{}}},"CreateContact":{"http":{"requestUri":"/v2/email/contact-lists/{ContactListName}/contacts"},"input":{"type":"structure","required":["ContactListName","EmailAddress"],"members":{"ContactListName":{"location":"uri","locationName":"ContactListName"},"EmailAddress":{},"TopicPreferences":{"shape":"S13"},"UnsubscribeAll":{"type":"boolean"},"AttributesData":{}}},"output":{"type":"structure","members":{}}},"CreateContactList":{"http":{"requestUri":"/v2/email/contact-lists"},"input":{"type":"structure","required":["ContactListName"],"members":{"ContactListName":{},"Topics":{"shape":"S1b"},"Description":{},"Tags":{"shape":"Sc"}}},"output":{"type":"structure","members":{}}},"CreateCustomVerificationEmailTemplate":{"http":{"requestUri":"/v2/email/custom-verification-email-templates"},"input":{"type":"structure","required":["TemplateName","FromEmailAddress","TemplateSubject","TemplateContent","SuccessRedirectionURL","FailureRedirectionURL"],"members":{"TemplateName":{},"FromEmailAddress":{},"TemplateSubject":{},"TemplateContent":{},"SuccessRedirectionURL":{},"FailureRedirectionURL":{}}},"output":{"type":"structure","members":{}}},"CreateDedicatedIpPool":{"http":{"requestUri":"/v2/email/dedicated-ip-pools"},"input":{"type":"structure","required":["PoolName"],"members":{"PoolName":{},"Tags":{"shape":"Sc"}}},"output":{"type":"structure","members":{}}},"CreateDeliverabilityTestReport":{"http":{"requestUri":"/v2/email/deliverability-dashboard/test"},"input":{"type":"structure","required":["FromEmailAddress","Content"],"members":{"ReportName":{},"FromEmailAddress":{},"Content":{"shape":"S1r"},"Tags":{"shape":"Sc"}}},"output":{"type":"structure","required":["ReportId","DeliverabilityTestStatus"],"members":{"ReportId":{},"DeliverabilityTestStatus":{}}}},"CreateEmailIdentity":{"http":{"requestUri":"/v2/email/identities"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{},"Tags":{"shape":"Sc"},"DkimSigningAttributes":{"shape":"S26"},"ConfigurationSetName":{}}},"output":{"type":"structure","members":{"IdentityType":{},"VerifiedForSendingStatus":{"type":"boolean"},"DkimAttributes":{"shape":"S2c"}}}},"CreateEmailIdentityPolicy":{"http":{"requestUri":"/v2/email/identities/{EmailIdentity}/policies/{PolicyName}"},"input":{"type":"structure","required":["EmailIdentity","PolicyName","Policy"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"},"PolicyName":{"location":"uri","locationName":"PolicyName"},"Policy":{}}},"output":{"type":"structure","members":{}}},"CreateEmailTemplate":{"http":{"requestUri":"/v2/email/templates"},"input":{"type":"structure","required":["TemplateName","TemplateContent"],"members":{"TemplateName":{},"TemplateContent":{"shape":"S2n"}}},"output":{"type":"structure","members":{}}},"CreateImportJob":{"http":{"requestUri":"/v2/email/import-jobs"},"input":{"type":"structure","required":["ImportDestination","ImportDataSource"],"members":{"ImportDestination":{"shape":"S2s"},"ImportDataSource":{"shape":"S2x"}}},"output":{"type":"structure","members":{"JobId":{}}}},"DeleteConfigurationSet":{"http":{"method":"DELETE","requestUri":"/v2/email/configuration-sets/{ConfigurationSetName}"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"}}},"output":{"type":"structure","members":{}}},"DeleteConfigurationSetEventDestination":{"http":{"method":"DELETE","requestUri":"/v2/email/configuration-sets/{ConfigurationSetName}/event-destinations/{EventDestinationName}"},"input":{"type":"structure","required":["ConfigurationSetName","EventDestinationName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"EventDestinationName":{"location":"uri","locationName":"EventDestinationName"}}},"output":{"type":"structure","members":{}}},"DeleteContact":{"http":{"method":"DELETE","requestUri":"/v2/email/contact-lists/{ContactListName}/contacts/{EmailAddress}"},"input":{"type":"structure","required":["ContactListName","EmailAddress"],"members":{"ContactListName":{"location":"uri","locationName":"ContactListName"},"EmailAddress":{"location":"uri","locationName":"EmailAddress"}}},"output":{"type":"structure","members":{}}},"DeleteContactList":{"http":{"method":"DELETE","requestUri":"/v2/email/contact-lists/{ContactListName}"},"input":{"type":"structure","required":["ContactListName"],"members":{"ContactListName":{"location":"uri","locationName":"ContactListName"}}},"output":{"type":"structure","members":{}}},"DeleteCustomVerificationEmailTemplate":{"http":{"method":"DELETE","requestUri":"/v2/email/custom-verification-email-templates/{TemplateName}"},"input":{"type":"structure","required":["TemplateName"],"members":{"TemplateName":{"location":"uri","locationName":"TemplateName"}}},"output":{"type":"structure","members":{}}},"DeleteDedicatedIpPool":{"http":{"method":"DELETE","requestUri":"/v2/email/dedicated-ip-pools/{PoolName}"},"input":{"type":"structure","required":["PoolName"],"members":{"PoolName":{"location":"uri","locationName":"PoolName"}}},"output":{"type":"structure","members":{}}},"DeleteEmailIdentity":{"http":{"method":"DELETE","requestUri":"/v2/email/identities/{EmailIdentity}"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"}}},"output":{"type":"structure","members":{}}},"DeleteEmailIdentityPolicy":{"http":{"method":"DELETE","requestUri":"/v2/email/identities/{EmailIdentity}/policies/{PolicyName}"},"input":{"type":"structure","required":["EmailIdentity","PolicyName"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"},"PolicyName":{"location":"uri","locationName":"PolicyName"}}},"output":{"type":"structure","members":{}}},"DeleteEmailTemplate":{"http":{"method":"DELETE","requestUri":"/v2/email/templates/{TemplateName}"},"input":{"type":"structure","required":["TemplateName"],"members":{"TemplateName":{"location":"uri","locationName":"TemplateName"}}},"output":{"type":"structure","members":{}}},"DeleteSuppressedDestination":{"http":{"method":"DELETE","requestUri":"/v2/email/suppression/addresses/{EmailAddress}"},"input":{"type":"structure","required":["EmailAddress"],"members":{"EmailAddress":{"location":"uri","locationName":"EmailAddress"}}},"output":{"type":"structure","members":{}}},"GetAccount":{"http":{"method":"GET","requestUri":"/v2/email/account"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"DedicatedIpAutoWarmupEnabled":{"type":"boolean"},"EnforcementStatus":{},"ProductionAccessEnabled":{"type":"boolean"},"SendQuota":{"type":"structure","members":{"Max24HourSend":{"type":"double"},"MaxSendRate":{"type":"double"},"SentLast24Hours":{"type":"double"}}},"SendingEnabled":{"type":"boolean"},"SuppressionAttributes":{"type":"structure","members":{"SuppressedReasons":{"shape":"Sh"}}},"Details":{"type":"structure","members":{"MailType":{},"WebsiteURL":{"shape":"S3w"},"ContactLanguage":{},"UseCaseDescription":{"shape":"S3y"},"AdditionalContactEmailAddresses":{"shape":"S3z"},"ReviewDetails":{"type":"structure","members":{"Status":{},"CaseId":{}}}}}}}},"GetBlacklistReports":{"http":{"method":"GET","requestUri":"/v2/email/deliverability-dashboard/blacklist-report"},"input":{"type":"structure","required":["BlacklistItemNames"],"members":{"BlacklistItemNames":{"location":"querystring","locationName":"BlacklistItemNames","type":"list","member":{}}}},"output":{"type":"structure","required":["BlacklistReport"],"members":{"BlacklistReport":{"type":"map","key":{},"value":{"type":"list","member":{"type":"structure","members":{"RblName":{},"ListingTime":{"type":"timestamp"},"Description":{}}}}}}}},"GetConfigurationSet":{"http":{"method":"GET","requestUri":"/v2/email/configuration-sets/{ConfigurationSetName}"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"}}},"output":{"type":"structure","members":{"ConfigurationSetName":{},"TrackingOptions":{"shape":"S3"},"DeliveryOptions":{"shape":"S5"},"ReputationOptions":{"shape":"S8"},"SendingOptions":{"shape":"Sb"},"Tags":{"shape":"Sc"},"SuppressionOptions":{"shape":"Sg"}}}},"GetConfigurationSetEventDestinations":{"http":{"method":"GET","requestUri":"/v2/email/configuration-sets/{ConfigurationSetName}/event-destinations"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"}}},"output":{"type":"structure","members":{"EventDestinations":{"type":"list","member":{"type":"structure","required":["Name","MatchingEventTypes"],"members":{"Name":{},"Enabled":{"type":"boolean"},"MatchingEventTypes":{"shape":"Sn"},"KinesisFirehoseDestination":{"shape":"Sp"},"CloudWatchDestination":{"shape":"Sr"},"SnsDestination":{"shape":"Sx"},"PinpointDestination":{"shape":"Sy"}}}}}}},"GetContact":{"http":{"method":"GET","requestUri":"/v2/email/contact-lists/{ContactListName}/contacts/{EmailAddress}"},"input":{"type":"structure","required":["ContactListName","EmailAddress"],"members":{"ContactListName":{"location":"uri","locationName":"ContactListName"},"EmailAddress":{"location":"uri","locationName":"EmailAddress"}}},"output":{"type":"structure","members":{"ContactListName":{},"EmailAddress":{},"TopicPreferences":{"shape":"S13"},"TopicDefaultPreferences":{"shape":"S13"},"UnsubscribeAll":{"type":"boolean"},"AttributesData":{},"CreatedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"}}}},"GetContactList":{"http":{"method":"GET","requestUri":"/v2/email/contact-lists/{ContactListName}"},"input":{"type":"structure","required":["ContactListName"],"members":{"ContactListName":{"location":"uri","locationName":"ContactListName"}}},"output":{"type":"structure","members":{"ContactListName":{},"Topics":{"shape":"S1b"},"Description":{},"CreatedTimestamp":{"type":"timestamp"},"LastUpdatedTimestamp":{"type":"timestamp"},"Tags":{"shape":"Sc"}}}},"GetCustomVerificationEmailTemplate":{"http":{"method":"GET","requestUri":"/v2/email/custom-verification-email-templates/{TemplateName}"},"input":{"type":"structure","required":["TemplateName"],"members":{"TemplateName":{"location":"uri","locationName":"TemplateName"}}},"output":{"type":"structure","members":{"TemplateName":{},"FromEmailAddress":{},"TemplateSubject":{},"TemplateContent":{},"SuccessRedirectionURL":{},"FailureRedirectionURL":{}}}},"GetDedicatedIp":{"http":{"method":"GET","requestUri":"/v2/email/dedicated-ips/{IP}"},"input":{"type":"structure","required":["Ip"],"members":{"Ip":{"location":"uri","locationName":"IP"}}},"output":{"type":"structure","members":{"DedicatedIp":{"shape":"S4s"}}}},"GetDedicatedIps":{"http":{"method":"GET","requestUri":"/v2/email/dedicated-ips"},"input":{"type":"structure","members":{"PoolName":{"location":"querystring","locationName":"PoolName"},"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","members":{"DedicatedIps":{"type":"list","member":{"shape":"S4s"}},"NextToken":{}}}},"GetDeliverabilityDashboardOptions":{"http":{"method":"GET","requestUri":"/v2/email/deliverability-dashboard"},"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["DashboardEnabled"],"members":{"DashboardEnabled":{"type":"boolean"},"SubscriptionExpiryDate":{"type":"timestamp"},"AccountStatus":{},"ActiveSubscribedDomains":{"shape":"S53"},"PendingExpirationSubscribedDomains":{"shape":"S53"}}}},"GetDeliverabilityTestReport":{"http":{"method":"GET","requestUri":"/v2/email/deliverability-dashboard/test-reports/{ReportId}"},"input":{"type":"structure","required":["ReportId"],"members":{"ReportId":{"location":"uri","locationName":"ReportId"}}},"output":{"type":"structure","required":["DeliverabilityTestReport","OverallPlacement","IspPlacements"],"members":{"DeliverabilityTestReport":{"shape":"S5b"},"OverallPlacement":{"shape":"S5d"},"IspPlacements":{"type":"list","member":{"type":"structure","members":{"IspName":{},"PlacementStatistics":{"shape":"S5d"}}}},"Message":{},"Tags":{"shape":"Sc"}}}},"GetDomainDeliverabilityCampaign":{"http":{"method":"GET","requestUri":"/v2/email/deliverability-dashboard/campaigns/{CampaignId}"},"input":{"type":"structure","required":["CampaignId"],"members":{"CampaignId":{"location":"uri","locationName":"CampaignId"}}},"output":{"type":"structure","required":["DomainDeliverabilityCampaign"],"members":{"DomainDeliverabilityCampaign":{"shape":"S5l"}}}},"GetDomainStatisticsReport":{"http":{"method":"GET","requestUri":"/v2/email/deliverability-dashboard/statistics-report/{Domain}"},"input":{"type":"structure","required":["Domain","StartDate","EndDate"],"members":{"Domain":{"location":"uri","locationName":"Domain"},"StartDate":{"location":"querystring","locationName":"StartDate","type":"timestamp"},"EndDate":{"location":"querystring","locationName":"EndDate","type":"timestamp"}}},"output":{"type":"structure","required":["OverallVolume","DailyVolumes"],"members":{"OverallVolume":{"type":"structure","members":{"VolumeStatistics":{"shape":"S5v"},"ReadRatePercent":{"type":"double"},"DomainIspPlacements":{"shape":"S5w"}}},"DailyVolumes":{"type":"list","member":{"type":"structure","members":{"StartDate":{"type":"timestamp"},"VolumeStatistics":{"shape":"S5v"},"DomainIspPlacements":{"shape":"S5w"}}}}}}},"GetEmailIdentity":{"http":{"method":"GET","requestUri":"/v2/email/identities/{EmailIdentity}"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"}}},"output":{"type":"structure","members":{"IdentityType":{},"FeedbackForwardingStatus":{"type":"boolean"},"VerifiedForSendingStatus":{"type":"boolean"},"DkimAttributes":{"shape":"S2c"},"MailFromAttributes":{"type":"structure","required":["MailFromDomain","MailFromDomainStatus","BehaviorOnMxFailure"],"members":{"MailFromDomain":{},"MailFromDomainStatus":{},"BehaviorOnMxFailure":{}}},"Policies":{"shape":"S66"},"Tags":{"shape":"Sc"},"ConfigurationSetName":{}}}},"GetEmailIdentityPolicies":{"http":{"method":"GET","requestUri":"/v2/email/identities/{EmailIdentity}/policies"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"}}},"output":{"type":"structure","members":{"Policies":{"shape":"S66"}}}},"GetEmailTemplate":{"http":{"method":"GET","requestUri":"/v2/email/templates/{TemplateName}"},"input":{"type":"structure","required":["TemplateName"],"members":{"TemplateName":{"location":"uri","locationName":"TemplateName"}}},"output":{"type":"structure","required":["TemplateName","TemplateContent"],"members":{"TemplateName":{},"TemplateContent":{"shape":"S2n"}}}},"GetImportJob":{"http":{"method":"GET","requestUri":"/v2/email/import-jobs/{JobId}"},"input":{"type":"structure","required":["JobId"],"members":{"JobId":{"location":"uri","locationName":"JobId"}}},"output":{"type":"structure","members":{"JobId":{},"ImportDestination":{"shape":"S2s"},"ImportDataSource":{"shape":"S2x"},"FailureInfo":{"type":"structure","members":{"FailedRecordsS3Url":{},"ErrorMessage":{}}},"JobStatus":{},"CreatedTimestamp":{"type":"timestamp"},"CompletedTimestamp":{"type":"timestamp"},"ProcessedRecordsCount":{"type":"integer"},"FailedRecordsCount":{"type":"integer"}}}},"GetSuppressedDestination":{"http":{"method":"GET","requestUri":"/v2/email/suppression/addresses/{EmailAddress}"},"input":{"type":"structure","required":["EmailAddress"],"members":{"EmailAddress":{"location":"uri","locationName":"EmailAddress"}}},"output":{"type":"structure","required":["SuppressedDestination"],"members":{"SuppressedDestination":{"type":"structure","required":["EmailAddress","Reason","LastUpdateTime"],"members":{"EmailAddress":{},"Reason":{},"LastUpdateTime":{"type":"timestamp"},"Attributes":{"type":"structure","members":{"MessageId":{},"FeedbackId":{}}}}}}}},"ListConfigurationSets":{"http":{"method":"GET","requestUri":"/v2/email/configuration-sets"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","members":{"ConfigurationSets":{"type":"list","member":{}},"NextToken":{}}}},"ListContactLists":{"http":{"method":"GET","requestUri":"/v2/email/contact-lists"},"input":{"type":"structure","members":{"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"ContactLists":{"type":"list","member":{"type":"structure","members":{"ContactListName":{},"LastUpdatedTimestamp":{"type":"timestamp"}}}},"NextToken":{}}}},"ListContacts":{"http":{"method":"GET","requestUri":"/v2/email/contact-lists/{ContactListName}/contacts"},"input":{"type":"structure","required":["ContactListName"],"members":{"ContactListName":{"location":"uri","locationName":"ContactListName"},"Filter":{"type":"structure","members":{"FilteredStatus":{},"TopicFilter":{"type":"structure","members":{"TopicName":{},"UseDefaultIfPreferenceUnavailable":{"type":"boolean"}}}}},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"}}},"output":{"type":"structure","members":{"Contacts":{"type":"list","member":{"type":"structure","members":{"EmailAddress":{},"TopicPreferences":{"shape":"S13"},"TopicDefaultPreferences":{"shape":"S13"},"UnsubscribeAll":{"type":"boolean"},"LastUpdatedTimestamp":{"type":"timestamp"}}}},"NextToken":{}}}},"ListCustomVerificationEmailTemplates":{"http":{"method":"GET","requestUri":"/v2/email/custom-verification-email-templates"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","members":{"CustomVerificationEmailTemplates":{"type":"list","member":{"type":"structure","members":{"TemplateName":{},"FromEmailAddress":{},"TemplateSubject":{},"SuccessRedirectionURL":{},"FailureRedirectionURL":{}}}},"NextToken":{}}}},"ListDedicatedIpPools":{"http":{"method":"GET","requestUri":"/v2/email/dedicated-ip-pools"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","members":{"DedicatedIpPools":{"type":"list","member":{}},"NextToken":{}}}},"ListDeliverabilityTestReports":{"http":{"method":"GET","requestUri":"/v2/email/deliverability-dashboard/test-reports"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","required":["DeliverabilityTestReports"],"members":{"DeliverabilityTestReports":{"type":"list","member":{"shape":"S5b"}},"NextToken":{}}}},"ListDomainDeliverabilityCampaigns":{"http":{"method":"GET","requestUri":"/v2/email/deliverability-dashboard/domains/{SubscribedDomain}/campaigns"},"input":{"type":"structure","required":["StartDate","EndDate","SubscribedDomain"],"members":{"StartDate":{"location":"querystring","locationName":"StartDate","type":"timestamp"},"EndDate":{"location":"querystring","locationName":"EndDate","type":"timestamp"},"SubscribedDomain":{"location":"uri","locationName":"SubscribedDomain"},"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","required":["DomainDeliverabilityCampaigns"],"members":{"DomainDeliverabilityCampaigns":{"type":"list","member":{"shape":"S5l"}},"NextToken":{}}}},"ListEmailIdentities":{"http":{"method":"GET","requestUri":"/v2/email/identities"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","members":{"EmailIdentities":{"type":"list","member":{"type":"structure","members":{"IdentityType":{},"IdentityName":{},"SendingEnabled":{"type":"boolean"}}}},"NextToken":{}}}},"ListEmailTemplates":{"http":{"method":"GET","requestUri":"/v2/email/templates"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","members":{"TemplatesMetadata":{"type":"list","member":{"type":"structure","members":{"TemplateName":{},"CreatedTimestamp":{"type":"timestamp"}}}},"NextToken":{}}}},"ListImportJobs":{"http":{"method":"GET","requestUri":"/v2/email/import-jobs"},"input":{"type":"structure","members":{"ImportDestinationType":{},"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","members":{"ImportJobs":{"type":"list","member":{"type":"structure","members":{"JobId":{},"ImportDestination":{"shape":"S2s"},"JobStatus":{},"CreatedTimestamp":{"type":"timestamp"}}}},"NextToken":{}}}},"ListSuppressedDestinations":{"http":{"method":"GET","requestUri":"/v2/email/suppression/addresses"},"input":{"type":"structure","members":{"Reasons":{"shape":"Sh","location":"querystring","locationName":"Reason"},"StartDate":{"location":"querystring","locationName":"StartDate","type":"timestamp"},"EndDate":{"location":"querystring","locationName":"EndDate","type":"timestamp"},"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize","type":"integer"}}},"output":{"type":"structure","members":{"SuppressedDestinationSummaries":{"type":"list","member":{"type":"structure","required":["EmailAddress","Reason","LastUpdateTime"],"members":{"EmailAddress":{},"Reason":{},"LastUpdateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/v2/email/tags"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"querystring","locationName":"ResourceArn"}}},"output":{"type":"structure","required":["Tags"],"members":{"Tags":{"shape":"Sc"}}}},"PutAccountDedicatedIpWarmupAttributes":{"http":{"method":"PUT","requestUri":"/v2/email/account/dedicated-ips/warmup"},"input":{"type":"structure","members":{"AutoWarmupEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutAccountDetails":{"http":{"requestUri":"/v2/email/account/details"},"input":{"type":"structure","required":["MailType","WebsiteURL","UseCaseDescription"],"members":{"MailType":{},"WebsiteURL":{"shape":"S3w"},"ContactLanguage":{},"UseCaseDescription":{"shape":"S3y"},"AdditionalContactEmailAddresses":{"shape":"S3z"},"ProductionAccessEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutAccountSendingAttributes":{"http":{"method":"PUT","requestUri":"/v2/email/account/sending"},"input":{"type":"structure","members":{"SendingEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutAccountSuppressionAttributes":{"http":{"method":"PUT","requestUri":"/v2/email/account/suppression"},"input":{"type":"structure","members":{"SuppressedReasons":{"shape":"Sh"}}},"output":{"type":"structure","members":{}}},"PutConfigurationSetDeliveryOptions":{"http":{"method":"PUT","requestUri":"/v2/email/configuration-sets/{ConfigurationSetName}/delivery-options"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"TlsPolicy":{},"SendingPoolName":{}}},"output":{"type":"structure","members":{}}},"PutConfigurationSetReputationOptions":{"http":{"method":"PUT","requestUri":"/v2/email/configuration-sets/{ConfigurationSetName}/reputation-options"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"ReputationMetricsEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutConfigurationSetSendingOptions":{"http":{"method":"PUT","requestUri":"/v2/email/configuration-sets/{ConfigurationSetName}/sending"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"SendingEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutConfigurationSetSuppressionOptions":{"http":{"method":"PUT","requestUri":"/v2/email/configuration-sets/{ConfigurationSetName}/suppression-options"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"SuppressedReasons":{"shape":"Sh"}}},"output":{"type":"structure","members":{}}},"PutConfigurationSetTrackingOptions":{"http":{"method":"PUT","requestUri":"/v2/email/configuration-sets/{ConfigurationSetName}/tracking-options"},"input":{"type":"structure","required":["ConfigurationSetName"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"CustomRedirectDomain":{}}},"output":{"type":"structure","members":{}}},"PutDedicatedIpInPool":{"http":{"method":"PUT","requestUri":"/v2/email/dedicated-ips/{IP}/pool"},"input":{"type":"structure","required":["Ip","DestinationPoolName"],"members":{"Ip":{"location":"uri","locationName":"IP"},"DestinationPoolName":{}}},"output":{"type":"structure","members":{}}},"PutDedicatedIpWarmupAttributes":{"http":{"method":"PUT","requestUri":"/v2/email/dedicated-ips/{IP}/warmup"},"input":{"type":"structure","required":["Ip","WarmupPercentage"],"members":{"Ip":{"location":"uri","locationName":"IP"},"WarmupPercentage":{"type":"integer"}}},"output":{"type":"structure","members":{}}},"PutDeliverabilityDashboardOption":{"http":{"method":"PUT","requestUri":"/v2/email/deliverability-dashboard"},"input":{"type":"structure","required":["DashboardEnabled"],"members":{"DashboardEnabled":{"type":"boolean"},"SubscribedDomains":{"shape":"S53"}}},"output":{"type":"structure","members":{}}},"PutEmailIdentityConfigurationSetAttributes":{"http":{"method":"PUT","requestUri":"/v2/email/identities/{EmailIdentity}/configuration-set"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"},"ConfigurationSetName":{}}},"output":{"type":"structure","members":{}}},"PutEmailIdentityDkimAttributes":{"http":{"method":"PUT","requestUri":"/v2/email/identities/{EmailIdentity}/dkim"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"},"SigningEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutEmailIdentityDkimSigningAttributes":{"http":{"method":"PUT","requestUri":"/v1/email/identities/{EmailIdentity}/dkim/signing"},"input":{"type":"structure","required":["EmailIdentity","SigningAttributesOrigin"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"},"SigningAttributesOrigin":{},"SigningAttributes":{"shape":"S26"}}},"output":{"type":"structure","members":{"DkimStatus":{},"DkimTokens":{"shape":"S2e"}}}},"PutEmailIdentityFeedbackAttributes":{"http":{"method":"PUT","requestUri":"/v2/email/identities/{EmailIdentity}/feedback"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"},"EmailForwardingEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"PutEmailIdentityMailFromAttributes":{"http":{"method":"PUT","requestUri":"/v2/email/identities/{EmailIdentity}/mail-from"},"input":{"type":"structure","required":["EmailIdentity"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"},"MailFromDomain":{},"BehaviorOnMxFailure":{}}},"output":{"type":"structure","members":{}}},"PutSuppressedDestination":{"http":{"method":"PUT","requestUri":"/v2/email/suppression/addresses"},"input":{"type":"structure","required":["EmailAddress","Reason"],"members":{"EmailAddress":{},"Reason":{}}},"output":{"type":"structure","members":{}}},"SendBulkEmail":{"http":{"requestUri":"/v2/email/outbound-bulk-emails"},"input":{"type":"structure","required":["DefaultContent","BulkEmailEntries"],"members":{"FromEmailAddress":{},"FromEmailAddressIdentityArn":{},"ReplyToAddresses":{"shape":"S92"},"FeedbackForwardingEmailAddress":{},"FeedbackForwardingEmailAddressIdentityArn":{},"DefaultEmailTags":{"shape":"S93"},"DefaultContent":{"type":"structure","members":{"Template":{"shape":"S1z"}}},"BulkEmailEntries":{"type":"list","member":{"type":"structure","required":["Destination"],"members":{"Destination":{"shape":"S9a"},"ReplacementTags":{"shape":"S93"},"ReplacementEmailContent":{"type":"structure","members":{"ReplacementTemplate":{"type":"structure","members":{"ReplacementTemplateData":{}}}}}}}},"ConfigurationSetName":{}}},"output":{"type":"structure","required":["BulkEmailEntryResults"],"members":{"BulkEmailEntryResults":{"type":"list","member":{"type":"structure","members":{"Status":{},"Error":{},"MessageId":{}}}}}}},"SendCustomVerificationEmail":{"http":{"requestUri":"/v2/email/outbound-custom-verification-emails"},"input":{"type":"structure","required":["EmailAddress","TemplateName"],"members":{"EmailAddress":{},"TemplateName":{},"ConfigurationSetName":{}}},"output":{"type":"structure","members":{"MessageId":{}}}},"SendEmail":{"http":{"requestUri":"/v2/email/outbound-emails"},"input":{"type":"structure","required":["Content"],"members":{"FromEmailAddress":{},"FromEmailAddressIdentityArn":{},"Destination":{"shape":"S9a"},"ReplyToAddresses":{"shape":"S92"},"FeedbackForwardingEmailAddress":{},"FeedbackForwardingEmailAddressIdentityArn":{},"Content":{"shape":"S1r"},"EmailTags":{"shape":"S93"},"ConfigurationSetName":{},"ListManagementOptions":{"type":"structure","required":["ContactListName"],"members":{"ContactListName":{},"TopicName":{}}}}},"output":{"type":"structure","members":{"MessageId":{}}}},"TagResource":{"http":{"requestUri":"/v2/email/tags"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sc"}}},"output":{"type":"structure","members":{}}},"TestRenderEmailTemplate":{"http":{"requestUri":"/v2/email/templates/{TemplateName}/render"},"input":{"type":"structure","required":["TemplateName","TemplateData"],"members":{"TemplateName":{"location":"uri","locationName":"TemplateName"},"TemplateData":{}}},"output":{"type":"structure","required":["RenderedTemplate"],"members":{"RenderedTemplate":{}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/v2/email/tags"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"querystring","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"TagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateConfigurationSetEventDestination":{"http":{"method":"PUT","requestUri":"/v2/email/configuration-sets/{ConfigurationSetName}/event-destinations/{EventDestinationName}"},"input":{"type":"structure","required":["ConfigurationSetName","EventDestinationName","EventDestination"],"members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"EventDestinationName":{"location":"uri","locationName":"EventDestinationName"},"EventDestination":{"shape":"Sm"}}},"output":{"type":"structure","members":{}}},"UpdateContact":{"http":{"method":"PUT","requestUri":"/v2/email/contact-lists/{ContactListName}/contacts/{EmailAddress}"},"input":{"type":"structure","required":["ContactListName","EmailAddress"],"members":{"ContactListName":{"location":"uri","locationName":"ContactListName"},"EmailAddress":{"location":"uri","locationName":"EmailAddress"},"TopicPreferences":{"shape":"S13"},"UnsubscribeAll":{"type":"boolean"},"AttributesData":{}}},"output":{"type":"structure","members":{}}},"UpdateContactList":{"http":{"method":"PUT","requestUri":"/v2/email/contact-lists/{ContactListName}"},"input":{"type":"structure","required":["ContactListName"],"members":{"ContactListName":{"location":"uri","locationName":"ContactListName"},"Topics":{"shape":"S1b"},"Description":{}}},"output":{"type":"structure","members":{}}},"UpdateCustomVerificationEmailTemplate":{"http":{"method":"PUT","requestUri":"/v2/email/custom-verification-email-templates/{TemplateName}"},"input":{"type":"structure","required":["TemplateName","FromEmailAddress","TemplateSubject","TemplateContent","SuccessRedirectionURL","FailureRedirectionURL"],"members":{"TemplateName":{"location":"uri","locationName":"TemplateName"},"FromEmailAddress":{},"TemplateSubject":{},"TemplateContent":{},"SuccessRedirectionURL":{},"FailureRedirectionURL":{}}},"output":{"type":"structure","members":{}}},"UpdateEmailIdentityPolicy":{"http":{"method":"PUT","requestUri":"/v2/email/identities/{EmailIdentity}/policies/{PolicyName}"},"input":{"type":"structure","required":["EmailIdentity","PolicyName","Policy"],"members":{"EmailIdentity":{"location":"uri","locationName":"EmailIdentity"},"PolicyName":{"location":"uri","locationName":"PolicyName"},"Policy":{}}},"output":{"type":"structure","members":{}}},"UpdateEmailTemplate":{"http":{"method":"PUT","requestUri":"/v2/email/templates/{TemplateName}"},"input":{"type":"structure","required":["TemplateName","TemplateContent"],"members":{"TemplateName":{"location":"uri","locationName":"TemplateName"},"TemplateContent":{"shape":"S2n"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S3":{"type":"structure","required":["CustomRedirectDomain"],"members":{"CustomRedirectDomain":{}}},"S5":{"type":"structure","members":{"TlsPolicy":{},"SendingPoolName":{}}},"S8":{"type":"structure","members":{"ReputationMetricsEnabled":{"type":"boolean"},"LastFreshStart":{"type":"timestamp"}}},"Sb":{"type":"structure","members":{"SendingEnabled":{"type":"boolean"}}},"Sc":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sg":{"type":"structure","members":{"SuppressedReasons":{"shape":"Sh"}}},"Sh":{"type":"list","member":{}},"Sm":{"type":"structure","members":{"Enabled":{"type":"boolean"},"MatchingEventTypes":{"shape":"Sn"},"KinesisFirehoseDestination":{"shape":"Sp"},"CloudWatchDestination":{"shape":"Sr"},"SnsDestination":{"shape":"Sx"},"PinpointDestination":{"shape":"Sy"}}},"Sn":{"type":"list","member":{}},"Sp":{"type":"structure","required":["IamRoleArn","DeliveryStreamArn"],"members":{"IamRoleArn":{},"DeliveryStreamArn":{}}},"Sr":{"type":"structure","required":["DimensionConfigurations"],"members":{"DimensionConfigurations":{"type":"list","member":{"type":"structure","required":["DimensionName","DimensionValueSource","DefaultDimensionValue"],"members":{"DimensionName":{},"DimensionValueSource":{},"DefaultDimensionValue":{}}}}}},"Sx":{"type":"structure","required":["TopicArn"],"members":{"TopicArn":{}}},"Sy":{"type":"structure","members":{"ApplicationArn":{}}},"S13":{"type":"list","member":{"type":"structure","required":["TopicName","SubscriptionStatus"],"members":{"TopicName":{},"SubscriptionStatus":{}}}},"S1b":{"type":"list","member":{"type":"structure","required":["TopicName","DisplayName","DefaultSubscriptionStatus"],"members":{"TopicName":{},"DisplayName":{},"Description":{},"DefaultSubscriptionStatus":{}}}},"S1r":{"type":"structure","members":{"Simple":{"type":"structure","required":["Subject","Body"],"members":{"Subject":{"shape":"S1t"},"Body":{"type":"structure","members":{"Text":{"shape":"S1t"},"Html":{"shape":"S1t"}}}}},"Raw":{"type":"structure","required":["Data"],"members":{"Data":{"type":"blob"}}},"Template":{"shape":"S1z"}}},"S1t":{"type":"structure","required":["Data"],"members":{"Data":{},"Charset":{}}},"S1z":{"type":"structure","members":{"TemplateName":{},"TemplateArn":{},"TemplateData":{}}},"S26":{"type":"structure","members":{"DomainSigningSelector":{},"DomainSigningPrivateKey":{"type":"string","sensitive":true},"NextSigningKeyLength":{}}},"S2c":{"type":"structure","members":{"SigningEnabled":{"type":"boolean"},"Status":{},"Tokens":{"shape":"S2e"},"SigningAttributesOrigin":{},"NextSigningKeyLength":{},"CurrentSigningKeyLength":{},"LastKeyGenerationTimestamp":{"type":"timestamp"}}},"S2e":{"type":"list","member":{}},"S2n":{"type":"structure","members":{"Subject":{},"Text":{},"Html":{}}},"S2s":{"type":"structure","members":{"SuppressionListDestination":{"type":"structure","required":["SuppressionListImportAction"],"members":{"SuppressionListImportAction":{}}},"ContactListDestination":{"type":"structure","required":["ContactListName","ContactListImportAction"],"members":{"ContactListName":{},"ContactListImportAction":{}}}}},"S2x":{"type":"structure","required":["S3Url","DataFormat"],"members":{"S3Url":{},"DataFormat":{}}},"S3w":{"type":"string","sensitive":true},"S3y":{"type":"string","sensitive":true},"S3z":{"type":"list","member":{"type":"string","sensitive":true},"sensitive":true},"S4s":{"type":"structure","required":["Ip","WarmupStatus","WarmupPercentage"],"members":{"Ip":{},"WarmupStatus":{},"WarmupPercentage":{"type":"integer"},"PoolName":{}}},"S53":{"type":"list","member":{"type":"structure","members":{"Domain":{},"SubscriptionStartDate":{"type":"timestamp"},"InboxPlacementTrackingOption":{"type":"structure","members":{"Global":{"type":"boolean"},"TrackedIsps":{"type":"list","member":{}}}}}}},"S5b":{"type":"structure","members":{"ReportId":{},"ReportName":{},"Subject":{},"FromEmailAddress":{},"CreateDate":{"type":"timestamp"},"DeliverabilityTestStatus":{}}},"S5d":{"type":"structure","members":{"InboxPercentage":{"type":"double"},"SpamPercentage":{"type":"double"},"MissingPercentage":{"type":"double"},"SpfPercentage":{"type":"double"},"DkimPercentage":{"type":"double"}}},"S5l":{"type":"structure","members":{"CampaignId":{},"ImageUrl":{},"Subject":{},"FromAddress":{},"SendingIps":{"type":"list","member":{}},"FirstSeenDateTime":{"type":"timestamp"},"LastSeenDateTime":{"type":"timestamp"},"InboxCount":{"type":"long"},"SpamCount":{"type":"long"},"ReadRate":{"type":"double"},"DeleteRate":{"type":"double"},"ReadDeleteRate":{"type":"double"},"ProjectedVolume":{"type":"long"},"Esps":{"type":"list","member":{}}}},"S5v":{"type":"structure","members":{"InboxRawCount":{"type":"long"},"SpamRawCount":{"type":"long"},"ProjectedInbox":{"type":"long"},"ProjectedSpam":{"type":"long"}}},"S5w":{"type":"list","member":{"type":"structure","members":{"IspName":{},"InboxRawCount":{"type":"long"},"SpamRawCount":{"type":"long"},"InboxPercentage":{"type":"double"},"SpamPercentage":{"type":"double"}}}},"S66":{"type":"map","key":{},"value":{}},"S92":{"type":"list","member":{}},"S93":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"S9a":{"type":"structure","members":{"ToAddresses":{"shape":"S92"},"CcAddresses":{"shape":"S92"},"BccAddresses":{"shape":"S92"}}}}}');

/***/ }),

/***/ 72405:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetDedicatedIps":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListConfigurationSets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListContactLists":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListContacts":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListCustomVerificationEmailTemplates":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListDedicatedIpPools":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListDeliverabilityTestReports":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListDomainDeliverabilityCampaigns":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListEmailIdentities":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListEmailTemplates":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListImportJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"},"ListSuppressedDestinations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"PageSize"}}}');

/***/ }),

/***/ 47061:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-06-02","endpointPrefix":"shield","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"AWS Shield","serviceFullName":"AWS Shield","serviceId":"Shield","signatureVersion":"v4","targetPrefix":"AWSShield_20160616","uid":"shield-2016-06-02"},"operations":{"AssociateDRTLogBucket":{"input":{"type":"structure","required":["LogBucket"],"members":{"LogBucket":{}}},"output":{"type":"structure","members":{}}},"AssociateDRTRole":{"input":{"type":"structure","required":["RoleArn"],"members":{"RoleArn":{}}},"output":{"type":"structure","members":{}}},"AssociateHealthCheck":{"input":{"type":"structure","required":["ProtectionId","HealthCheckArn"],"members":{"ProtectionId":{},"HealthCheckArn":{}}},"output":{"type":"structure","members":{}}},"AssociateProactiveEngagementDetails":{"input":{"type":"structure","required":["EmergencyContactList"],"members":{"EmergencyContactList":{"shape":"Sc"}}},"output":{"type":"structure","members":{}}},"CreateProtection":{"input":{"type":"structure","required":["Name","ResourceArn"],"members":{"Name":{},"ResourceArn":{},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{"ProtectionId":{}}}},"CreateProtectionGroup":{"input":{"type":"structure","required":["ProtectionGroupId","Aggregation","Pattern"],"members":{"ProtectionGroupId":{},"Aggregation":{},"Pattern":{},"ResourceType":{},"Members":{"shape":"Sv"},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{}}},"CreateSubscription":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DeleteProtection":{"input":{"type":"structure","required":["ProtectionId"],"members":{"ProtectionId":{}}},"output":{"type":"structure","members":{}}},"DeleteProtectionGroup":{"input":{"type":"structure","required":["ProtectionGroupId"],"members":{"ProtectionGroupId":{}}},"output":{"type":"structure","members":{}}},"DeleteSubscription":{"input":{"type":"structure","members":{},"deprecated":true},"output":{"type":"structure","members":{},"deprecated":true},"deprecated":true},"DescribeAttack":{"input":{"type":"structure","required":["AttackId"],"members":{"AttackId":{}}},"output":{"type":"structure","members":{"Attack":{"type":"structure","members":{"AttackId":{},"ResourceArn":{},"SubResources":{"type":"list","member":{"type":"structure","members":{"Type":{},"Id":{},"AttackVectors":{"type":"list","member":{"type":"structure","required":["VectorType"],"members":{"VectorType":{},"VectorCounters":{"shape":"S1f"}}}},"Counters":{"shape":"S1f"}}}},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"AttackCounters":{"shape":"S1f"},"AttackProperties":{"type":"list","member":{"type":"structure","members":{"AttackLayer":{},"AttackPropertyIdentifier":{},"TopContributors":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{"type":"long"}}}},"Unit":{},"Total":{"type":"long"}}}},"Mitigations":{"type":"list","member":{"type":"structure","members":{"MitigationName":{}}}}}}}}},"DescribeAttackStatistics":{"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["TimeRange","DataItems"],"members":{"TimeRange":{"shape":"S1w"},"DataItems":{"type":"list","member":{"type":"structure","required":["AttackCount"],"members":{"AttackVolume":{"type":"structure","members":{"BitsPerSecond":{"shape":"S21"},"PacketsPerSecond":{"shape":"S21"},"RequestsPerSecond":{"shape":"S21"}}},"AttackCount":{"type":"long"}}}}}}},"DescribeDRTAccess":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"RoleArn":{},"LogBucketList":{"type":"list","member":{}}}}},"DescribeEmergencyContactSettings":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"EmergencyContactList":{"shape":"Sc"}}}},"DescribeProtection":{"input":{"type":"structure","members":{"ProtectionId":{},"ResourceArn":{}}},"output":{"type":"structure","members":{"Protection":{"shape":"S29"}}}},"DescribeProtectionGroup":{"input":{"type":"structure","required":["ProtectionGroupId"],"members":{"ProtectionGroupId":{}}},"output":{"type":"structure","required":["ProtectionGroup"],"members":{"ProtectionGroup":{"shape":"S2j"}}}},"DescribeSubscription":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"Subscription":{"type":"structure","required":["SubscriptionLimits"],"members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"TimeCommitmentInSeconds":{"type":"long"},"AutoRenew":{},"Limits":{"shape":"S2p"},"ProactiveEngagementStatus":{},"SubscriptionLimits":{"type":"structure","required":["ProtectionLimits","ProtectionGroupLimits"],"members":{"ProtectionLimits":{"type":"structure","required":["ProtectedResourceTypeLimits"],"members":{"ProtectedResourceTypeLimits":{"shape":"S2p"}}},"ProtectionGroupLimits":{"type":"structure","required":["MaxProtectionGroups","PatternTypeLimits"],"members":{"MaxProtectionGroups":{"type":"long"},"PatternTypeLimits":{"type":"structure","required":["ArbitraryPatternLimits"],"members":{"ArbitraryPatternLimits":{"type":"structure","required":["MaxMembers"],"members":{"MaxMembers":{"type":"long"}}}}}}}}},"SubscriptionArn":{}}}}}},"DisableApplicationLayerAutomaticResponse":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"DisableProactiveEngagement":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DisassociateDRTLogBucket":{"input":{"type":"structure","required":["LogBucket"],"members":{"LogBucket":{}}},"output":{"type":"structure","members":{}}},"DisassociateDRTRole":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DisassociateHealthCheck":{"input":{"type":"structure","required":["ProtectionId","HealthCheckArn"],"members":{"ProtectionId":{},"HealthCheckArn":{}}},"output":{"type":"structure","members":{}}},"EnableApplicationLayerAutomaticResponse":{"input":{"type":"structure","required":["ResourceArn","Action"],"members":{"ResourceArn":{},"Action":{"shape":"S2e"}}},"output":{"type":"structure","members":{}}},"EnableProactiveEngagement":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"GetSubscriptionState":{"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["SubscriptionState"],"members":{"SubscriptionState":{}}}},"ListAttacks":{"input":{"type":"structure","members":{"ResourceArns":{"type":"list","member":{}},"StartTime":{"shape":"S1w"},"EndTime":{"shape":"S1w"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"AttackSummaries":{"type":"list","member":{"type":"structure","members":{"AttackId":{},"ResourceArn":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"AttackVectors":{"type":"list","member":{"type":"structure","required":["VectorType"],"members":{"VectorType":{}}}}}}},"NextToken":{}}}},"ListProtectionGroups":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["ProtectionGroups"],"members":{"ProtectionGroups":{"type":"list","member":{"shape":"S2j"}},"NextToken":{}}}},"ListProtections":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Protections":{"type":"list","member":{"shape":"S29"}},"NextToken":{}}}},"ListResourcesInProtectionGroup":{"input":{"type":"structure","required":["ProtectionGroupId"],"members":{"ProtectionGroupId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["ResourceArns"],"members":{"ResourceArns":{"type":"list","member":{}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sl"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"Sl"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateApplicationLayerAutomaticResponse":{"input":{"type":"structure","required":["ResourceArn","Action"],"members":{"ResourceArn":{},"Action":{"shape":"S2e"}}},"output":{"type":"structure","members":{}}},"UpdateEmergencyContactSettings":{"input":{"type":"structure","members":{"EmergencyContactList":{"shape":"Sc"}}},"output":{"type":"structure","members":{}}},"UpdateProtectionGroup":{"input":{"type":"structure","required":["ProtectionGroupId","Aggregation","Pattern"],"members":{"ProtectionGroupId":{},"Aggregation":{},"Pattern":{},"ResourceType":{},"Members":{"shape":"Sv"}}},"output":{"type":"structure","members":{}}},"UpdateSubscription":{"input":{"type":"structure","members":{"AutoRenew":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sc":{"type":"list","member":{"type":"structure","required":["EmailAddress"],"members":{"EmailAddress":{},"PhoneNumber":{},"ContactNotes":{}}}},"Sl":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"Sv":{"type":"list","member":{}},"S1f":{"type":"list","member":{"type":"structure","members":{"Name":{},"Max":{"type":"double"},"Average":{"type":"double"},"Sum":{"type":"double"},"N":{"type":"integer"},"Unit":{}}}},"S1w":{"type":"structure","members":{"FromInclusive":{"type":"timestamp"},"ToExclusive":{"type":"timestamp"}}},"S21":{"type":"structure","required":["Max"],"members":{"Max":{"type":"double"}}},"S29":{"type":"structure","members":{"Id":{},"Name":{},"ResourceArn":{},"HealthCheckIds":{"type":"list","member":{}},"ProtectionArn":{},"ApplicationLayerAutomaticResponseConfiguration":{"type":"structure","required":["Status","Action"],"members":{"Status":{},"Action":{"shape":"S2e"}}}}},"S2e":{"type":"structure","members":{"Block":{"type":"structure","members":{}},"Count":{"type":"structure","members":{}}}},"S2j":{"type":"structure","required":["ProtectionGroupId","Aggregation","Pattern","Members"],"members":{"ProtectionGroupId":{},"Aggregation":{},"Pattern":{},"ResourceType":{},"Members":{"shape":"Sv"},"ProtectionGroupArn":{}}},"S2p":{"type":"list","member":{"type":"structure","members":{"Type":{},"Max":{"type":"long"}}}}}}');

/***/ }),

/***/ 54893:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAttacks":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AttackSummaries"},"ListProtectionGroups":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListProtections":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Protections"},"ListResourcesInProtectionGroup":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"}}}');

/***/ }),

/***/ 97116:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-08-25","endpointPrefix":"signer","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"signer","serviceFullName":"AWS Signer","serviceId":"signer","signatureVersion":"v4","signingName":"signer","uid":"signer-2017-08-25"},"operations":{"AddProfilePermission":{"http":{"requestUri":"/signing-profiles/{profileName}/permissions"},"input":{"type":"structure","required":["action","principal","statementId","profileName"],"members":{"profileName":{"location":"uri","locationName":"profileName"},"profileVersion":{},"action":{},"principal":{},"revisionId":{},"statementId":{}}},"output":{"type":"structure","members":{"revisionId":{}}}},"CancelSigningProfile":{"http":{"method":"DELETE","requestUri":"/signing-profiles/{profileName}"},"input":{"type":"structure","required":["profileName"],"members":{"profileName":{"location":"uri","locationName":"profileName"}}}},"DescribeSigningJob":{"http":{"method":"GET","requestUri":"/signing-jobs/{jobId}"},"input":{"type":"structure","required":["jobId"],"members":{"jobId":{"location":"uri","locationName":"jobId"}}},"output":{"type":"structure","members":{"jobId":{},"source":{"shape":"Sa"},"signingMaterial":{"shape":"Sf"},"platformId":{},"platformDisplayName":{},"profileName":{},"profileVersion":{},"overrides":{"shape":"Sj"},"signingParameters":{"shape":"So"},"createdAt":{"type":"timestamp"},"completedAt":{"type":"timestamp"},"signatureExpiresAt":{"type":"timestamp"},"requestedBy":{},"status":{},"statusReason":{},"revocationRecord":{"type":"structure","members":{"reason":{},"revokedAt":{"type":"timestamp"},"revokedBy":{}}},"signedObject":{"shape":"Sw"},"jobOwner":{},"jobInvoker":{}}}},"GetSigningPlatform":{"http":{"method":"GET","requestUri":"/signing-platforms/{platformId}"},"input":{"type":"structure","required":["platformId"],"members":{"platformId":{"location":"uri","locationName":"platformId"}}},"output":{"type":"structure","members":{"platformId":{},"displayName":{},"partner":{},"target":{},"category":{},"signingConfiguration":{"shape":"S12"},"signingImageFormat":{"shape":"S17"},"maxSizeInMB":{"type":"integer"},"revocationSupported":{"type":"boolean"}}}},"GetSigningProfile":{"http":{"method":"GET","requestUri":"/signing-profiles/{profileName}"},"input":{"type":"structure","required":["profileName"],"members":{"profileName":{"location":"uri","locationName":"profileName"},"profileOwner":{"location":"querystring","locationName":"profileOwner"}}},"output":{"type":"structure","members":{"profileName":{},"profileVersion":{},"profileVersionArn":{},"revocationRecord":{"type":"structure","members":{"revocationEffectiveFrom":{"type":"timestamp"},"revokedAt":{"type":"timestamp"},"revokedBy":{}}},"signingMaterial":{"shape":"Sf"},"platformId":{},"platformDisplayName":{},"signatureValidityPeriod":{"shape":"S1f"},"overrides":{"shape":"Sj"},"signingParameters":{"shape":"So"},"status":{},"statusReason":{},"arn":{},"tags":{"shape":"S1k"}}}},"ListProfilePermissions":{"http":{"method":"GET","requestUri":"/signing-profiles/{profileName}/permissions"},"input":{"type":"structure","required":["profileName"],"members":{"profileName":{"location":"uri","locationName":"profileName"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"revisionId":{},"policySizeBytes":{"type":"integer"},"permissions":{"type":"list","member":{"type":"structure","members":{"action":{},"principal":{},"statementId":{},"profileVersion":{}}}},"nextToken":{}}}},"ListSigningJobs":{"http":{"method":"GET","requestUri":"/signing-jobs"},"input":{"type":"structure","members":{"status":{"location":"querystring","locationName":"status"},"platformId":{"location":"querystring","locationName":"platformId"},"requestedBy":{"location":"querystring","locationName":"requestedBy"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"isRevoked":{"location":"querystring","locationName":"isRevoked","type":"boolean"},"signatureExpiresBefore":{"location":"querystring","locationName":"signatureExpiresBefore","type":"timestamp"},"signatureExpiresAfter":{"location":"querystring","locationName":"signatureExpiresAfter","type":"timestamp"},"jobInvoker":{"location":"querystring","locationName":"jobInvoker"}}},"output":{"type":"structure","members":{"jobs":{"type":"list","member":{"type":"structure","members":{"jobId":{},"source":{"shape":"Sa"},"signedObject":{"shape":"Sw"},"signingMaterial":{"shape":"Sf"},"createdAt":{"type":"timestamp"},"status":{},"isRevoked":{"type":"boolean"},"profileName":{},"profileVersion":{},"platformId":{},"platformDisplayName":{},"signatureExpiresAt":{"type":"timestamp"},"jobOwner":{},"jobInvoker":{}}}},"nextToken":{}}}},"ListSigningPlatforms":{"http":{"method":"GET","requestUri":"/signing-platforms"},"input":{"type":"structure","members":{"category":{"location":"querystring","locationName":"category"},"partner":{"location":"querystring","locationName":"partner"},"target":{"location":"querystring","locationName":"target"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"platforms":{"type":"list","member":{"type":"structure","members":{"platformId":{},"displayName":{},"partner":{},"target":{},"category":{},"signingConfiguration":{"shape":"S12"},"signingImageFormat":{"shape":"S17"},"maxSizeInMB":{"type":"integer"},"revocationSupported":{"type":"boolean"}}}},"nextToken":{}}}},"ListSigningProfiles":{"http":{"method":"GET","requestUri":"/signing-profiles"},"input":{"type":"structure","members":{"includeCanceled":{"location":"querystring","locationName":"includeCanceled","type":"boolean"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"platformId":{"location":"querystring","locationName":"platformId"},"statuses":{"location":"querystring","locationName":"statuses","type":"list","member":{}}}},"output":{"type":"structure","members":{"profiles":{"type":"list","member":{"type":"structure","members":{"profileName":{},"profileVersion":{},"profileVersionArn":{},"signingMaterial":{"shape":"Sf"},"signatureValidityPeriod":{"shape":"S1f"},"platformId":{},"platformDisplayName":{},"signingParameters":{"shape":"So"},"status":{},"arn":{},"tags":{"shape":"S1k"}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S1k"}}}},"PutSigningProfile":{"http":{"method":"PUT","requestUri":"/signing-profiles/{profileName}"},"input":{"type":"structure","required":["profileName","platformId"],"members":{"profileName":{"location":"uri","locationName":"profileName"},"signingMaterial":{"shape":"Sf"},"signatureValidityPeriod":{"shape":"S1f"},"platformId":{},"overrides":{"shape":"Sj"},"signingParameters":{"shape":"So"},"tags":{"shape":"S1k"}}},"output":{"type":"structure","members":{"arn":{},"profileVersion":{},"profileVersionArn":{}}}},"RemoveProfilePermission":{"http":{"method":"DELETE","requestUri":"/signing-profiles/{profileName}/permissions/{statementId}"},"input":{"type":"structure","required":["revisionId","profileName","statementId"],"members":{"profileName":{"location":"uri","locationName":"profileName"},"revisionId":{"location":"querystring","locationName":"revisionId"},"statementId":{"location":"uri","locationName":"statementId"}}},"output":{"type":"structure","members":{"revisionId":{}}}},"RevokeSignature":{"http":{"method":"PUT","requestUri":"/signing-jobs/{jobId}/revoke"},"input":{"type":"structure","required":["reason","jobId"],"members":{"jobId":{"location":"uri","locationName":"jobId"},"jobOwner":{},"reason":{}}}},"RevokeSigningProfile":{"http":{"method":"PUT","requestUri":"/signing-profiles/{profileName}/revoke"},"input":{"type":"structure","required":["profileVersion","reason","effectiveTime","profileName"],"members":{"profileName":{"location":"uri","locationName":"profileName"},"profileVersion":{},"reason":{},"effectiveTime":{"type":"timestamp"}}}},"StartSigningJob":{"http":{"requestUri":"/signing-jobs"},"input":{"type":"structure","required":["source","destination","profileName","clientRequestToken"],"members":{"source":{"shape":"Sa"},"destination":{"type":"structure","members":{"s3":{"type":"structure","members":{"bucketName":{},"prefix":{}}}}},"profileName":{},"clientRequestToken":{"idempotencyToken":true},"profileOwner":{}}},"output":{"type":"structure","members":{"jobId":{},"jobOwner":{}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S1k"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sa":{"type":"structure","members":{"s3":{"type":"structure","required":["bucketName","key","version"],"members":{"bucketName":{},"key":{},"version":{}}}}},"Sf":{"type":"structure","required":["certificateArn"],"members":{"certificateArn":{}}},"Sj":{"type":"structure","members":{"signingConfiguration":{"type":"structure","members":{"encryptionAlgorithm":{},"hashAlgorithm":{}}},"signingImageFormat":{}}},"So":{"type":"map","key":{},"value":{}},"Sw":{"type":"structure","members":{"s3":{"type":"structure","members":{"bucketName":{},"key":{}}}}},"S12":{"type":"structure","required":["encryptionAlgorithmOptions","hashAlgorithmOptions"],"members":{"encryptionAlgorithmOptions":{"type":"structure","required":["allowedValues","defaultValue"],"members":{"allowedValues":{"type":"list","member":{}},"defaultValue":{}}},"hashAlgorithmOptions":{"type":"structure","required":["allowedValues","defaultValue"],"members":{"allowedValues":{"type":"list","member":{}},"defaultValue":{}}}}},"S17":{"type":"structure","required":["supportedFormats","defaultFormat"],"members":{"supportedFormats":{"type":"list","member":{}},"defaultFormat":{}}},"S1f":{"type":"structure","members":{"value":{"type":"integer"},"type":{}}},"S1k":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 81027:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListSigningJobs":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListSigningPlatforms":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListSigningProfiles":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 48215:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"SuccessfulSigningJob":{"delay":20,"operation":"DescribeSigningJob","maxAttempts":25,"acceptors":[{"expected":"Succeeded","matcher":"path","state":"success","argument":"status"},{"expected":"Failed","matcher":"path","state":"failure","argument":"status"},{"expected":"ResourceNotFoundException","matcher":"error","state":"failure"}]}}}');

/***/ }),

/***/ 26534:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-10-24","endpointPrefix":"sms","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"SMS","serviceFullName":"AWS Server Migration Service","serviceId":"SMS","signatureVersion":"v4","targetPrefix":"AWSServerMigrationService_V2016_10_24","uid":"sms-2016-10-24"},"operations":{"CreateApp":{"input":{"type":"structure","members":{"name":{},"description":{},"roleName":{},"clientToken":{},"serverGroups":{"shape":"S6"},"tags":{"shape":"So"}}},"output":{"type":"structure","members":{"appSummary":{"shape":"St"},"serverGroups":{"shape":"S6"},"tags":{"shape":"So"}}}},"CreateReplicationJob":{"input":{"type":"structure","required":["serverId","seedReplicationTime"],"members":{"serverId":{},"seedReplicationTime":{"type":"timestamp"},"frequency":{"type":"integer"},"runOnce":{"type":"boolean"},"licenseType":{},"roleName":{},"description":{},"numberOfRecentAmisToKeep":{"type":"integer"},"encrypted":{"type":"boolean"},"kmsKeyId":{}}},"output":{"type":"structure","members":{"replicationJobId":{}}}},"DeleteApp":{"input":{"type":"structure","members":{"appId":{},"forceStopAppReplication":{"type":"boolean"},"forceTerminateApp":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeleteAppLaunchConfiguration":{"input":{"type":"structure","members":{"appId":{}}},"output":{"type":"structure","members":{}}},"DeleteAppReplicationConfiguration":{"input":{"type":"structure","members":{"appId":{}}},"output":{"type":"structure","members":{}}},"DeleteAppValidationConfiguration":{"input":{"type":"structure","required":["appId"],"members":{"appId":{}}},"output":{"type":"structure","members":{}}},"DeleteReplicationJob":{"input":{"type":"structure","required":["replicationJobId"],"members":{"replicationJobId":{}}},"output":{"type":"structure","members":{}}},"DeleteServerCatalog":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"DisassociateConnector":{"input":{"type":"structure","required":["connectorId"],"members":{"connectorId":{}}},"output":{"type":"structure","members":{}}},"GenerateChangeSet":{"input":{"type":"structure","members":{"appId":{},"changesetFormat":{}}},"output":{"type":"structure","members":{"s3Location":{"shape":"S24"}}}},"GenerateTemplate":{"input":{"type":"structure","members":{"appId":{},"templateFormat":{}}},"output":{"type":"structure","members":{"s3Location":{"shape":"S24"}}}},"GetApp":{"input":{"type":"structure","members":{"appId":{}}},"output":{"type":"structure","members":{"appSummary":{"shape":"St"},"serverGroups":{"shape":"S6"},"tags":{"shape":"So"}}}},"GetAppLaunchConfiguration":{"input":{"type":"structure","members":{"appId":{}}},"output":{"type":"structure","members":{"appId":{},"roleName":{},"autoLaunch":{"type":"boolean"},"serverGroupLaunchConfigurations":{"shape":"S2e"}}}},"GetAppReplicationConfiguration":{"input":{"type":"structure","members":{"appId":{}}},"output":{"type":"structure","members":{"serverGroupReplicationConfigurations":{"shape":"S2u"}}}},"GetAppValidationConfiguration":{"input":{"type":"structure","required":["appId"],"members":{"appId":{}}},"output":{"type":"structure","members":{"appValidationConfigurations":{"shape":"S31"},"serverGroupValidationConfigurations":{"shape":"S3c"}}}},"GetAppValidationOutput":{"input":{"type":"structure","required":["appId"],"members":{"appId":{}}},"output":{"type":"structure","members":{"validationOutputList":{"type":"list","member":{"type":"structure","members":{"validationId":{},"name":{},"status":{},"statusMessage":{},"latestValidationTime":{"type":"timestamp"},"appValidationOutput":{"type":"structure","members":{"ssmOutput":{"type":"structure","members":{"s3Location":{"shape":"S24"}}}}},"serverValidationOutput":{"type":"structure","members":{"server":{"shape":"Sb"}}}}}}}}},"GetConnectors":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"connectorList":{"type":"list","member":{"type":"structure","members":{"connectorId":{},"version":{},"status":{},"capabilityList":{"type":"list","member":{}},"vmManagerName":{},"vmManagerType":{},"vmManagerId":{},"ipAddress":{},"macAddress":{},"associatedOn":{"type":"timestamp"}}}},"nextToken":{}}}},"GetReplicationJobs":{"input":{"type":"structure","members":{"replicationJobId":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"replicationJobList":{"type":"list","member":{"shape":"S46"}},"nextToken":{}}}},"GetReplicationRuns":{"input":{"type":"structure","required":["replicationJobId"],"members":{"replicationJobId":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"replicationJob":{"shape":"S46"},"replicationRunList":{"shape":"S4a"},"nextToken":{}}}},"GetServers":{"input":{"type":"structure","members":{"nextToken":{},"maxResults":{"type":"integer"},"vmServerAddressList":{"type":"list","member":{"shape":"Sf"}}}},"output":{"type":"structure","members":{"lastModifiedOn":{"type":"timestamp"},"serverCatalogStatus":{},"serverList":{"shape":"Sa"},"nextToken":{}}}},"ImportAppCatalog":{"input":{"type":"structure","members":{"roleName":{}}},"output":{"type":"structure","members":{}}},"ImportServerCatalog":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{}}},"LaunchApp":{"input":{"type":"structure","members":{"appId":{}}},"output":{"type":"structure","members":{}}},"ListApps":{"input":{"type":"structure","members":{"appIds":{"type":"list","member":{}},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"apps":{"type":"list","member":{"shape":"St"}},"nextToken":{}}}},"NotifyAppValidationOutput":{"input":{"type":"structure","required":["appId"],"members":{"appId":{},"notificationContext":{"type":"structure","members":{"validationId":{},"status":{},"statusMessage":{}}}}},"output":{"type":"structure","members":{}}},"PutAppLaunchConfiguration":{"input":{"type":"structure","members":{"appId":{},"roleName":{},"autoLaunch":{"type":"boolean"},"serverGroupLaunchConfigurations":{"shape":"S2e"}}},"output":{"type":"structure","members":{}}},"PutAppReplicationConfiguration":{"input":{"type":"structure","members":{"appId":{},"serverGroupReplicationConfigurations":{"shape":"S2u"}}},"output":{"type":"structure","members":{}}},"PutAppValidationConfiguration":{"input":{"type":"structure","required":["appId"],"members":{"appId":{},"appValidationConfigurations":{"shape":"S31"},"serverGroupValidationConfigurations":{"shape":"S3c"}}},"output":{"type":"structure","members":{}}},"StartAppReplication":{"input":{"type":"structure","members":{"appId":{}}},"output":{"type":"structure","members":{}}},"StartOnDemandAppReplication":{"input":{"type":"structure","required":["appId"],"members":{"appId":{},"description":{}}},"output":{"type":"structure","members":{}}},"StartOnDemandReplicationRun":{"input":{"type":"structure","required":["replicationJobId"],"members":{"replicationJobId":{},"description":{}}},"output":{"type":"structure","members":{"replicationRunId":{}}}},"StopAppReplication":{"input":{"type":"structure","members":{"appId":{}}},"output":{"type":"structure","members":{}}},"TerminateApp":{"input":{"type":"structure","members":{"appId":{}}},"output":{"type":"structure","members":{}}},"UpdateApp":{"input":{"type":"structure","members":{"appId":{},"name":{},"description":{},"roleName":{},"serverGroups":{"shape":"S6"},"tags":{"shape":"So"}}},"output":{"type":"structure","members":{"appSummary":{"shape":"St"},"serverGroups":{"shape":"S6"},"tags":{"shape":"So"}}}},"UpdateReplicationJob":{"input":{"type":"structure","required":["replicationJobId"],"members":{"replicationJobId":{},"frequency":{"type":"integer"},"nextReplicationRunStartTime":{"type":"timestamp"},"licenseType":{},"roleName":{},"description":{},"numberOfRecentAmisToKeep":{"type":"integer"},"encrypted":{"type":"boolean"},"kmsKeyId":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"S6":{"type":"list","member":{"type":"structure","members":{"serverGroupId":{},"name":{},"serverList":{"shape":"Sa"}}}},"Sa":{"type":"list","member":{"shape":"Sb"}},"Sb":{"type":"structure","members":{"serverId":{},"serverType":{},"vmServer":{"shape":"Se"},"replicationJobId":{},"replicationJobTerminated":{"type":"boolean"}}},"Se":{"type":"structure","members":{"vmServerAddress":{"shape":"Sf"},"vmName":{},"vmManagerName":{},"vmManagerType":{},"vmPath":{}}},"Sf":{"type":"structure","members":{"vmManagerId":{},"vmId":{}}},"So":{"type":"list","member":{"type":"structure","members":{"key":{},"value":{}}}},"St":{"type":"structure","members":{"appId":{},"importedAppId":{},"name":{},"description":{},"status":{},"statusMessage":{},"replicationConfigurationStatus":{},"replicationStatus":{},"replicationStatusMessage":{},"latestReplicationTime":{"type":"timestamp"},"launchConfigurationStatus":{},"launchStatus":{},"launchStatusMessage":{},"launchDetails":{"type":"structure","members":{"latestLaunchTime":{"type":"timestamp"},"stackName":{},"stackId":{}}},"creationTime":{"type":"timestamp"},"lastModified":{"type":"timestamp"},"roleName":{},"totalServerGroups":{"type":"integer"},"totalServers":{"type":"integer"}}},"S24":{"type":"structure","members":{"bucket":{},"key":{}}},"S2e":{"type":"list","member":{"type":"structure","members":{"serverGroupId":{},"launchOrder":{"type":"integer"},"serverLaunchConfigurations":{"type":"list","member":{"type":"structure","members":{"server":{"shape":"Sb"},"logicalId":{},"vpc":{},"subnet":{},"securityGroup":{},"ec2KeyName":{},"userData":{"type":"structure","members":{"s3Location":{"shape":"S24"}}},"instanceType":{},"associatePublicIpAddress":{"type":"boolean"},"iamInstanceProfileName":{},"configureScript":{"shape":"S24"},"configureScriptType":{}}}}}}},"S2u":{"type":"list","member":{"type":"structure","members":{"serverGroupId":{},"serverReplicationConfigurations":{"type":"list","member":{"type":"structure","members":{"server":{"shape":"Sb"},"serverReplicationParameters":{"type":"structure","members":{"seedTime":{"type":"timestamp"},"frequency":{"type":"integer"},"runOnce":{"type":"boolean"},"licenseType":{},"numberOfRecentAmisToKeep":{"type":"integer"},"encrypted":{"type":"boolean"},"kmsKeyId":{}}}}}}}}},"S31":{"type":"list","member":{"type":"structure","members":{"validationId":{},"name":{},"appValidationStrategy":{},"ssmValidationParameters":{"type":"structure","members":{"source":{"shape":"S37"},"instanceId":{},"scriptType":{},"command":{},"executionTimeoutSeconds":{"type":"integer"},"outputS3BucketName":{}}}}}},"S37":{"type":"structure","members":{"s3Location":{"shape":"S24"}}},"S3c":{"type":"list","member":{"type":"structure","members":{"serverGroupId":{},"serverValidationConfigurations":{"type":"list","member":{"type":"structure","members":{"server":{"shape":"Sb"},"validationId":{},"name":{},"serverValidationStrategy":{},"userDataValidationParameters":{"type":"structure","members":{"source":{"shape":"S37"},"scriptType":{}}}}}}}}},"S46":{"type":"structure","members":{"replicationJobId":{},"serverId":{},"serverType":{},"vmServer":{"shape":"Se"},"seedReplicationTime":{"type":"timestamp"},"frequency":{"type":"integer"},"runOnce":{"type":"boolean"},"nextReplicationRunStartTime":{"type":"timestamp"},"licenseType":{},"roleName":{},"latestAmiId":{},"state":{},"statusMessage":{},"description":{},"numberOfRecentAmisToKeep":{"type":"integer"},"encrypted":{"type":"boolean"},"kmsKeyId":{},"replicationRunList":{"shape":"S4a"}}},"S4a":{"type":"list","member":{"type":"structure","members":{"replicationRunId":{},"state":{},"type":{},"stageDetails":{"type":"structure","members":{"stage":{},"stageProgress":{}}},"statusMessage":{},"amiId":{},"scheduledStartTime":{"type":"timestamp"},"completedTime":{"type":"timestamp"},"description":{},"encrypted":{"type":"boolean"},"kmsKeyId":{}}}}}}');

/***/ }),

/***/ 98730:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetConnectors":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"connectorList"},"GetReplicationJobs":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"replicationJobList"},"GetReplicationRuns":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"replicationRunList"},"GetServers":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"serverList"}}}');

/***/ }),

/***/ 98689:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"metadata":{"apiVersion":"2018-09-05","endpointPrefix":"sms-voice.pinpoint","signingName":"sms-voice","serviceAbbreviation":"Pinpoint SMS Voice","serviceFullName":"Amazon Pinpoint SMS and Voice Service","serviceId":"Pinpoint SMS Voice","protocol":"rest-json","jsonVersion":"1.1","uid":"pinpoint-sms-voice-2018-09-05","signatureVersion":"v4"},"operations":{"CreateConfigurationSet":{"http":{"requestUri":"/v1/sms-voice/configuration-sets","responseCode":200},"input":{"type":"structure","members":{"ConfigurationSetName":{}}},"output":{"type":"structure","members":{}}},"CreateConfigurationSetEventDestination":{"http":{"requestUri":"/v1/sms-voice/configuration-sets/{ConfigurationSetName}/event-destinations","responseCode":200},"input":{"type":"structure","members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"EventDestination":{"shape":"S6"},"EventDestinationName":{}},"required":["ConfigurationSetName"]},"output":{"type":"structure","members":{}}},"DeleteConfigurationSet":{"http":{"method":"DELETE","requestUri":"/v1/sms-voice/configuration-sets/{ConfigurationSetName}","responseCode":200},"input":{"type":"structure","members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"}},"required":["ConfigurationSetName"]},"output":{"type":"structure","members":{}}},"DeleteConfigurationSetEventDestination":{"http":{"method":"DELETE","requestUri":"/v1/sms-voice/configuration-sets/{ConfigurationSetName}/event-destinations/{EventDestinationName}","responseCode":200},"input":{"type":"structure","members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"EventDestinationName":{"location":"uri","locationName":"EventDestinationName"}},"required":["EventDestinationName","ConfigurationSetName"]},"output":{"type":"structure","members":{}}},"GetConfigurationSetEventDestinations":{"http":{"method":"GET","requestUri":"/v1/sms-voice/configuration-sets/{ConfigurationSetName}/event-destinations","responseCode":200},"input":{"type":"structure","members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"}},"required":["ConfigurationSetName"]},"output":{"type":"structure","members":{"EventDestinations":{"type":"list","member":{"type":"structure","members":{"CloudWatchLogsDestination":{"shape":"S7"},"Enabled":{"type":"boolean"},"KinesisFirehoseDestination":{"shape":"Sa"},"MatchingEventTypes":{"shape":"Sb"},"Name":{},"SnsDestination":{"shape":"Sd"}}}}}}},"ListConfigurationSets":{"http":{"method":"GET","requestUri":"/v1/sms-voice/configuration-sets","responseCode":200},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"PageSize":{"location":"querystring","locationName":"PageSize"}}},"output":{"type":"structure","members":{"ConfigurationSets":{"type":"list","member":{}},"NextToken":{}}}},"SendVoiceMessage":{"http":{"requestUri":"/v1/sms-voice/voice/message","responseCode":200},"input":{"type":"structure","members":{"CallerId":{},"ConfigurationSetName":{},"Content":{"type":"structure","members":{"CallInstructionsMessage":{"type":"structure","members":{"Text":{}},"required":[]},"PlainTextMessage":{"type":"structure","members":{"LanguageCode":{},"Text":{},"VoiceId":{}},"required":[]},"SSMLMessage":{"type":"structure","members":{"LanguageCode":{},"Text":{},"VoiceId":{}},"required":[]}}},"DestinationPhoneNumber":{},"OriginationPhoneNumber":{}}},"output":{"type":"structure","members":{"MessageId":{}}}},"UpdateConfigurationSetEventDestination":{"http":{"method":"PUT","requestUri":"/v1/sms-voice/configuration-sets/{ConfigurationSetName}/event-destinations/{EventDestinationName}","responseCode":200},"input":{"type":"structure","members":{"ConfigurationSetName":{"location":"uri","locationName":"ConfigurationSetName"},"EventDestination":{"shape":"S6"},"EventDestinationName":{"location":"uri","locationName":"EventDestinationName"}},"required":["EventDestinationName","ConfigurationSetName"]},"output":{"type":"structure","members":{}}}},"shapes":{"S6":{"type":"structure","members":{"CloudWatchLogsDestination":{"shape":"S7"},"Enabled":{"type":"boolean"},"KinesisFirehoseDestination":{"shape":"Sa"},"MatchingEventTypes":{"shape":"Sb"},"SnsDestination":{"shape":"Sd"}},"required":[]},"S7":{"type":"structure","members":{"IamRoleArn":{},"LogGroupArn":{}},"required":[]},"Sa":{"type":"structure","members":{"DeliveryStreamArn":{},"IamRoleArn":{}},"required":[]},"Sb":{"type":"list","member":{}},"Sd":{"type":"structure","members":{"TopicArn":{}},"required":[]}}}');

/***/ }),

/***/ 97413:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-08-04","endpointPrefix":"snow-device-management","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"AWS Snow Device Management","serviceId":"Snow Device Management","signatureVersion":"v4","signingName":"snow-device-management","uid":"snow-device-management-2021-08-04"},"operations":{"CancelTask":{"http":{"requestUri":"/task/{taskId}/cancel","responseCode":200},"input":{"type":"structure","required":["taskId"],"members":{"taskId":{"location":"uri","locationName":"taskId"}}},"output":{"type":"structure","members":{"taskId":{}}}},"CreateTask":{"http":{"requestUri":"/task","responseCode":200},"input":{"type":"structure","required":["command","targets"],"members":{"clientToken":{"idempotencyToken":true},"command":{"type":"structure","members":{"reboot":{"type":"structure","members":{}},"unlock":{"type":"structure","members":{}}},"union":true},"description":{},"tags":{"shape":"Sb"},"targets":{"shape":"Sc"}}},"output":{"type":"structure","members":{"taskArn":{},"taskId":{}}}},"DescribeDevice":{"http":{"requestUri":"/managed-device/{managedDeviceId}/describe","responseCode":200},"input":{"type":"structure","required":["managedDeviceId"],"members":{"managedDeviceId":{"location":"uri","locationName":"managedDeviceId"}}},"output":{"type":"structure","members":{"associatedWithJob":{},"deviceCapacities":{"type":"list","member":{"type":"structure","members":{"available":{"type":"long"},"name":{},"total":{"type":"long"},"unit":{},"used":{"type":"long"}}}},"deviceState":{},"deviceType":{},"lastReachedOutAt":{"type":"timestamp"},"lastUpdatedAt":{"type":"timestamp"},"managedDeviceArn":{},"managedDeviceId":{},"physicalNetworkInterfaces":{"type":"list","member":{"type":"structure","members":{"defaultGateway":{},"ipAddress":{},"ipAddressAssignment":{},"macAddress":{},"netmask":{},"physicalConnectorType":{},"physicalNetworkInterfaceId":{}}}},"software":{"type":"structure","members":{"installState":{},"installedVersion":{},"installingVersion":{}}},"tags":{"shape":"Sb"}}}},"DescribeDeviceEc2Instances":{"http":{"requestUri":"/managed-device/{managedDeviceId}/resources/ec2/describe","responseCode":200},"input":{"type":"structure","required":["instanceIds","managedDeviceId"],"members":{"instanceIds":{"type":"list","member":{}},"managedDeviceId":{"location":"uri","locationName":"managedDeviceId"}}},"output":{"type":"structure","members":{"instances":{"type":"list","member":{"type":"structure","members":{"instance":{"type":"structure","members":{"amiLaunchIndex":{"type":"integer"},"blockDeviceMappings":{"type":"list","member":{"type":"structure","members":{"deviceName":{},"ebs":{"type":"structure","members":{"attachTime":{"type":"timestamp"},"deleteOnTermination":{"type":"boolean"},"status":{},"volumeId":{}}}}}},"cpuOptions":{"type":"structure","members":{"coreCount":{"type":"integer"},"threadsPerCore":{"type":"integer"}}},"createdAt":{"type":"timestamp"},"imageId":{},"instanceId":{},"instanceType":{},"privateIpAddress":{},"publicIpAddress":{},"rootDeviceName":{},"securityGroups":{"type":"list","member":{"type":"structure","members":{"groupId":{},"groupName":{}}}},"state":{"type":"structure","members":{"code":{"type":"integer"},"name":{}}},"updatedAt":{"type":"timestamp"}}},"lastUpdatedAt":{"type":"timestamp"}}}}}}},"DescribeExecution":{"http":{"requestUri":"/task/{taskId}/execution/{managedDeviceId}","responseCode":200},"input":{"type":"structure","required":["managedDeviceId","taskId"],"members":{"managedDeviceId":{"location":"uri","locationName":"managedDeviceId"},"taskId":{"location":"uri","locationName":"taskId"}}},"output":{"type":"structure","members":{"executionId":{},"lastUpdatedAt":{"type":"timestamp"},"managedDeviceId":{},"startedAt":{"type":"timestamp"},"state":{},"taskId":{}}}},"DescribeTask":{"http":{"requestUri":"/task/{taskId}","responseCode":200},"input":{"type":"structure","required":["taskId"],"members":{"taskId":{"location":"uri","locationName":"taskId"}}},"output":{"type":"structure","members":{"completedAt":{"type":"timestamp"},"createdAt":{"type":"timestamp"},"description":{},"lastUpdatedAt":{"type":"timestamp"},"state":{},"tags":{"shape":"Sb"},"targets":{"shape":"Sc"},"taskArn":{},"taskId":{}}}},"ListDeviceResources":{"http":{"method":"GET","requestUri":"/managed-device/{managedDeviceId}/resources","responseCode":200},"input":{"type":"structure","required":["managedDeviceId"],"members":{"managedDeviceId":{"location":"uri","locationName":"managedDeviceId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"type":{"location":"querystring","locationName":"type"}}},"output":{"type":"structure","members":{"nextToken":{},"resources":{"type":"list","member":{"type":"structure","required":["resourceType"],"members":{"arn":{},"id":{},"resourceType":{}}}}}}},"ListDevices":{"http":{"method":"GET","requestUri":"/managed-devices","responseCode":200},"input":{"type":"structure","members":{"jobId":{"location":"querystring","locationName":"jobId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"devices":{"type":"list","member":{"type":"structure","members":{"associatedWithJob":{},"managedDeviceArn":{},"managedDeviceId":{},"tags":{"shape":"Sb"}}}},"nextToken":{}}}},"ListExecutions":{"http":{"method":"GET","requestUri":"/executions","responseCode":200},"input":{"type":"structure","required":["taskId"],"members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"state":{"location":"querystring","locationName":"state"},"taskId":{"location":"querystring","locationName":"taskId"}}},"output":{"type":"structure","members":{"executions":{"type":"list","member":{"type":"structure","members":{"executionId":{},"managedDeviceId":{},"state":{},"taskId":{}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sb"}}}},"ListTasks":{"http":{"method":"GET","requestUri":"/tasks","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"state":{"location":"querystring","locationName":"state"}}},"output":{"type":"structure","members":{"nextToken":{},"tasks":{"type":"list","member":{"type":"structure","required":["taskId"],"members":{"state":{},"tags":{"shape":"Sb"},"taskArn":{},"taskId":{}}}}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sb"}}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"idempotent":true}},"shapes":{"Sb":{"type":"map","key":{},"value":{}},"Sc":{"type":"list","member":{}}}}');

/***/ }),

/***/ 70424:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDeviceResources":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"resources"},"ListDevices":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"devices"},"ListExecutions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"executions"},"ListTasks":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"tasks"}}}');

/***/ }),

/***/ 96822:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-06-30","endpointPrefix":"snowball","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Amazon Snowball","serviceFullName":"Amazon Import/Export Snowball","serviceId":"Snowball","signatureVersion":"v4","targetPrefix":"AWSIESnowballJobManagementService","uid":"snowball-2016-06-30"},"operations":{"CancelCluster":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{}}},"output":{"type":"structure","members":{}}},"CancelJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{}}},"CreateAddress":{"input":{"type":"structure","required":["Address"],"members":{"Address":{"shape":"S8"}}},"output":{"type":"structure","members":{"AddressId":{}}}},"CreateCluster":{"input":{"type":"structure","required":["JobType","Resources","AddressId","RoleARN","SnowballType","ShippingOption"],"members":{"JobType":{},"Resources":{"shape":"Sf"},"OnDeviceServiceConfiguration":{"shape":"Sv"},"Description":{},"AddressId":{},"KmsKeyARN":{},"RoleARN":{},"SnowballType":{},"ShippingOption":{},"Notification":{"shape":"S14"},"ForwardingAddressId":{},"TaxDocuments":{"shape":"S18"},"RemoteManagement":{}}},"output":{"type":"structure","members":{"ClusterId":{}}}},"CreateJob":{"input":{"type":"structure","members":{"JobType":{},"Resources":{"shape":"Sf"},"OnDeviceServiceConfiguration":{"shape":"Sv"},"Description":{},"AddressId":{},"KmsKeyARN":{},"RoleARN":{},"SnowballCapacityPreference":{},"ShippingOption":{},"Notification":{"shape":"S14"},"ClusterId":{},"SnowballType":{},"ForwardingAddressId":{},"TaxDocuments":{"shape":"S18"},"DeviceConfiguration":{"shape":"S1f"},"RemoteManagement":{},"LongTermPricingId":{}}},"output":{"type":"structure","members":{"JobId":{}}}},"CreateLongTermPricing":{"input":{"type":"structure","required":["LongTermPricingType"],"members":{"LongTermPricingType":{},"IsLongTermPricingAutoRenew":{"type":"boolean"},"SnowballType":{}}},"output":{"type":"structure","members":{"LongTermPricingId":{}}}},"CreateReturnShippingLabel":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"ShippingOption":{}}},"output":{"type":"structure","members":{"Status":{}}}},"DescribeAddress":{"input":{"type":"structure","required":["AddressId"],"members":{"AddressId":{}}},"output":{"type":"structure","members":{"Address":{"shape":"S8"}}}},"DescribeAddresses":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Addresses":{"type":"list","member":{"shape":"S8"}},"NextToken":{}}}},"DescribeCluster":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{}}},"output":{"type":"structure","members":{"ClusterMetadata":{"type":"structure","members":{"ClusterId":{},"Description":{},"KmsKeyARN":{},"RoleARN":{},"ClusterState":{},"JobType":{},"SnowballType":{},"CreationDate":{"type":"timestamp"},"Resources":{"shape":"Sf"},"AddressId":{},"ShippingOption":{},"Notification":{"shape":"S14"},"ForwardingAddressId":{},"TaxDocuments":{"shape":"S18"},"OnDeviceServiceConfiguration":{"shape":"Sv"}}}}}},"DescribeJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobMetadata":{"shape":"S24"},"SubJobMetadata":{"type":"list","member":{"shape":"S24"}}}}},"DescribeReturnShippingLabel":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"Status":{},"ExpirationDate":{"type":"timestamp"},"ReturnShippingLabelURI":{}}}},"GetJobManifest":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"ManifestURI":{}}}},"GetJobUnlockCode":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"UnlockCode":{}}}},"GetSnowballUsage":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"SnowballLimit":{"type":"integer"},"SnowballsInUse":{"type":"integer"}}}},"GetSoftwareUpdates":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"UpdatesURI":{}}}},"ListClusterJobs":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"JobListEntries":{"shape":"S2o"},"NextToken":{}}}},"ListClusters":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ClusterListEntries":{"type":"list","member":{"type":"structure","members":{"ClusterId":{},"ClusterState":{},"CreationDate":{"type":"timestamp"},"Description":{}}}},"NextToken":{}}}},"ListCompatibleImages":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"CompatibleImages":{"type":"list","member":{"type":"structure","members":{"AmiId":{},"Name":{}}}},"NextToken":{}}}},"ListJobs":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"JobListEntries":{"shape":"S2o"},"NextToken":{}}}},"ListLongTermPricing":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"LongTermPricingEntries":{"type":"list","member":{"type":"structure","members":{"LongTermPricingId":{},"LongTermPricingEndDate":{"type":"timestamp"},"LongTermPricingStartDate":{"type":"timestamp"},"LongTermPricingType":{},"CurrentActiveJob":{},"ReplacementJob":{},"IsLongTermPricingAutoRenew":{"type":"boolean"},"LongTermPricingStatus":{},"SnowballType":{},"JobIds":{"type":"list","member":{}}}}},"NextToken":{}}}},"UpdateCluster":{"input":{"type":"structure","required":["ClusterId"],"members":{"ClusterId":{},"RoleARN":{},"Description":{},"Resources":{"shape":"Sf"},"OnDeviceServiceConfiguration":{"shape":"Sv"},"AddressId":{},"ShippingOption":{},"Notification":{"shape":"S14"},"ForwardingAddressId":{}}},"output":{"type":"structure","members":{}}},"UpdateJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"RoleARN":{},"Notification":{"shape":"S14"},"Resources":{"shape":"Sf"},"OnDeviceServiceConfiguration":{"shape":"Sv"},"AddressId":{},"ShippingOption":{},"Description":{},"SnowballCapacityPreference":{},"ForwardingAddressId":{}}},"output":{"type":"structure","members":{}}},"UpdateJobShipmentState":{"input":{"type":"structure","required":["JobId","ShipmentState"],"members":{"JobId":{},"ShipmentState":{}}},"output":{"type":"structure","members":{}}},"UpdateLongTermPricing":{"input":{"type":"structure","required":["LongTermPricingId"],"members":{"LongTermPricingId":{},"ReplacementJob":{},"IsLongTermPricingAutoRenew":{"type":"boolean"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S8":{"type":"structure","members":{"AddressId":{},"Name":{},"Company":{},"Street1":{},"Street2":{},"Street3":{},"City":{},"StateOrProvince":{},"PrefectureOrDistrict":{},"Landmark":{},"Country":{},"PostalCode":{},"PhoneNumber":{},"IsRestricted":{"type":"boolean"}}},"Sf":{"type":"structure","members":{"S3Resources":{"type":"list","member":{"type":"structure","members":{"BucketArn":{},"KeyRange":{"type":"structure","members":{"BeginMarker":{},"EndMarker":{}}},"TargetOnDeviceServices":{"type":"list","member":{"type":"structure","members":{"ServiceName":{},"TransferOption":{}}}}}}},"LambdaResources":{"type":"list","member":{"type":"structure","members":{"LambdaArn":{},"EventTriggers":{"type":"list","member":{"type":"structure","members":{"EventResourceARN":{}}}}}}},"Ec2AmiResources":{"type":"list","member":{"type":"structure","required":["AmiId"],"members":{"AmiId":{},"SnowballAmiId":{}}}}}},"Sv":{"type":"structure","members":{"NFSOnDeviceService":{"type":"structure","members":{"StorageLimit":{"type":"integer"},"StorageUnit":{}}},"TGWOnDeviceService":{"type":"structure","members":{"StorageLimit":{"type":"integer"},"StorageUnit":{}}}}},"S14":{"type":"structure","members":{"SnsTopicARN":{},"JobStatesToNotify":{"type":"list","member":{}},"NotifyAll":{"type":"boolean"}}},"S18":{"type":"structure","members":{"IND":{"type":"structure","members":{"GSTIN":{}}}}},"S1f":{"type":"structure","members":{"SnowconeDeviceConfiguration":{"type":"structure","members":{"WirelessConnection":{"type":"structure","members":{"IsWifiEnabled":{"type":"boolean"}}}}}}},"S24":{"type":"structure","members":{"JobId":{},"JobState":{},"JobType":{},"SnowballType":{},"CreationDate":{"type":"timestamp"},"Resources":{"shape":"Sf"},"Description":{},"KmsKeyARN":{},"RoleARN":{},"AddressId":{},"ShippingDetails":{"type":"structure","members":{"ShippingOption":{},"InboundShipment":{"shape":"S26"},"OutboundShipment":{"shape":"S26"}}},"SnowballCapacityPreference":{},"Notification":{"shape":"S14"},"DataTransferProgress":{"type":"structure","members":{"BytesTransferred":{"type":"long"},"ObjectsTransferred":{"type":"long"},"TotalBytes":{"type":"long"},"TotalObjects":{"type":"long"}}},"JobLogInfo":{"type":"structure","members":{"JobCompletionReportURI":{},"JobSuccessLogURI":{},"JobFailureLogURI":{}}},"ClusterId":{},"ForwardingAddressId":{},"TaxDocuments":{"shape":"S18"},"DeviceConfiguration":{"shape":"S1f"},"RemoteManagement":{},"LongTermPricingId":{},"OnDeviceServiceConfiguration":{"shape":"Sv"}}},"S26":{"type":"structure","members":{"Status":{},"TrackingNumber":{}}},"S2o":{"type":"list","member":{"type":"structure","members":{"JobId":{},"JobState":{},"IsMaster":{"type":"boolean"},"JobType":{},"SnowballType":{},"CreationDate":{"type":"timestamp"},"Description":{}}}}}}');

/***/ }),

/***/ 45219:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeAddresses":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Addresses"},"ListJobs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"JobListEntries"}}}');

/***/ }),

/***/ 64387:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2010-03-31","endpointPrefix":"sns","protocol":"query","serviceAbbreviation":"Amazon SNS","serviceFullName":"Amazon Simple Notification Service","serviceId":"SNS","signatureVersion":"v4","uid":"sns-2010-03-31","xmlNamespace":"http://sns.amazonaws.com/doc/2010-03-31/"},"operations":{"AddPermission":{"input":{"type":"structure","required":["TopicArn","Label","AWSAccountId","ActionName"],"members":{"TopicArn":{},"Label":{},"AWSAccountId":{"type":"list","member":{}},"ActionName":{"type":"list","member":{}}}}},"CheckIfPhoneNumberIsOptedOut":{"input":{"type":"structure","required":["phoneNumber"],"members":{"phoneNumber":{}}},"output":{"resultWrapper":"CheckIfPhoneNumberIsOptedOutResult","type":"structure","members":{"isOptedOut":{"type":"boolean"}}}},"ConfirmSubscription":{"input":{"type":"structure","required":["TopicArn","Token"],"members":{"TopicArn":{},"Token":{},"AuthenticateOnUnsubscribe":{}}},"output":{"resultWrapper":"ConfirmSubscriptionResult","type":"structure","members":{"SubscriptionArn":{}}}},"CreatePlatformApplication":{"input":{"type":"structure","required":["Name","Platform","Attributes"],"members":{"Name":{},"Platform":{},"Attributes":{"shape":"Sj"}}},"output":{"resultWrapper":"CreatePlatformApplicationResult","type":"structure","members":{"PlatformApplicationArn":{}}}},"CreatePlatformEndpoint":{"input":{"type":"structure","required":["PlatformApplicationArn","Token"],"members":{"PlatformApplicationArn":{},"Token":{},"CustomUserData":{},"Attributes":{"shape":"Sj"}}},"output":{"resultWrapper":"CreatePlatformEndpointResult","type":"structure","members":{"EndpointArn":{}}}},"CreateSMSSandboxPhoneNumber":{"input":{"type":"structure","required":["PhoneNumber"],"members":{"PhoneNumber":{},"LanguageCode":{}}},"output":{"resultWrapper":"CreateSMSSandboxPhoneNumberResult","type":"structure","members":{}}},"CreateTopic":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Attributes":{"shape":"St"},"Tags":{"shape":"Sw"}}},"output":{"resultWrapper":"CreateTopicResult","type":"structure","members":{"TopicArn":{}}}},"DeleteEndpoint":{"input":{"type":"structure","required":["EndpointArn"],"members":{"EndpointArn":{}}}},"DeletePlatformApplication":{"input":{"type":"structure","required":["PlatformApplicationArn"],"members":{"PlatformApplicationArn":{}}}},"DeleteSMSSandboxPhoneNumber":{"input":{"type":"structure","required":["PhoneNumber"],"members":{"PhoneNumber":{}}},"output":{"resultWrapper":"DeleteSMSSandboxPhoneNumberResult","type":"structure","members":{}}},"DeleteTopic":{"input":{"type":"structure","required":["TopicArn"],"members":{"TopicArn":{}}}},"GetEndpointAttributes":{"input":{"type":"structure","required":["EndpointArn"],"members":{"EndpointArn":{}}},"output":{"resultWrapper":"GetEndpointAttributesResult","type":"structure","members":{"Attributes":{"shape":"Sj"}}}},"GetPlatformApplicationAttributes":{"input":{"type":"structure","required":["PlatformApplicationArn"],"members":{"PlatformApplicationArn":{}}},"output":{"resultWrapper":"GetPlatformApplicationAttributesResult","type":"structure","members":{"Attributes":{"shape":"Sj"}}}},"GetSMSAttributes":{"input":{"type":"structure","members":{"attributes":{"type":"list","member":{}}}},"output":{"resultWrapper":"GetSMSAttributesResult","type":"structure","members":{"attributes":{"shape":"Sj"}}}},"GetSMSSandboxAccountStatus":{"input":{"type":"structure","members":{}},"output":{"resultWrapper":"GetSMSSandboxAccountStatusResult","type":"structure","required":["IsInSandbox"],"members":{"IsInSandbox":{"type":"boolean"}}}},"GetSubscriptionAttributes":{"input":{"type":"structure","required":["SubscriptionArn"],"members":{"SubscriptionArn":{}}},"output":{"resultWrapper":"GetSubscriptionAttributesResult","type":"structure","members":{"Attributes":{"shape":"S1h"}}}},"GetTopicAttributes":{"input":{"type":"structure","required":["TopicArn"],"members":{"TopicArn":{}}},"output":{"resultWrapper":"GetTopicAttributesResult","type":"structure","members":{"Attributes":{"shape":"St"}}}},"ListEndpointsByPlatformApplication":{"input":{"type":"structure","required":["PlatformApplicationArn"],"members":{"PlatformApplicationArn":{},"NextToken":{}}},"output":{"resultWrapper":"ListEndpointsByPlatformApplicationResult","type":"structure","members":{"Endpoints":{"type":"list","member":{"type":"structure","members":{"EndpointArn":{},"Attributes":{"shape":"Sj"}}}},"NextToken":{}}}},"ListOriginationNumbers":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"resultWrapper":"ListOriginationNumbersResult","type":"structure","members":{"NextToken":{},"PhoneNumbers":{"type":"list","member":{"type":"structure","members":{"CreatedAt":{"type":"timestamp"},"PhoneNumber":{},"Status":{},"Iso2CountryCode":{},"RouteType":{},"NumberCapabilities":{"type":"list","member":{}}}}}}}},"ListPhoneNumbersOptedOut":{"input":{"type":"structure","members":{"nextToken":{}}},"output":{"resultWrapper":"ListPhoneNumbersOptedOutResult","type":"structure","members":{"phoneNumbers":{"type":"list","member":{}},"nextToken":{}}}},"ListPlatformApplications":{"input":{"type":"structure","members":{"NextToken":{}}},"output":{"resultWrapper":"ListPlatformApplicationsResult","type":"structure","members":{"PlatformApplications":{"type":"list","member":{"type":"structure","members":{"PlatformApplicationArn":{},"Attributes":{"shape":"Sj"}}}},"NextToken":{}}}},"ListSMSSandboxPhoneNumbers":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"resultWrapper":"ListSMSSandboxPhoneNumbersResult","type":"structure","required":["PhoneNumbers"],"members":{"PhoneNumbers":{"type":"list","member":{"type":"structure","members":{"PhoneNumber":{},"Status":{}}}},"NextToken":{}}}},"ListSubscriptions":{"input":{"type":"structure","members":{"NextToken":{}}},"output":{"resultWrapper":"ListSubscriptionsResult","type":"structure","members":{"Subscriptions":{"shape":"S2f"},"NextToken":{}}}},"ListSubscriptionsByTopic":{"input":{"type":"structure","required":["TopicArn"],"members":{"TopicArn":{},"NextToken":{}}},"output":{"resultWrapper":"ListSubscriptionsByTopicResult","type":"structure","members":{"Subscriptions":{"shape":"S2f"},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"resultWrapper":"ListTagsForResourceResult","type":"structure","members":{"Tags":{"shape":"Sw"}}}},"ListTopics":{"input":{"type":"structure","members":{"NextToken":{}}},"output":{"resultWrapper":"ListTopicsResult","type":"structure","members":{"Topics":{"type":"list","member":{"type":"structure","members":{"TopicArn":{}}}},"NextToken":{}}}},"OptInPhoneNumber":{"input":{"type":"structure","required":["phoneNumber"],"members":{"phoneNumber":{}}},"output":{"resultWrapper":"OptInPhoneNumberResult","type":"structure","members":{}}},"Publish":{"input":{"type":"structure","required":["Message"],"members":{"TopicArn":{},"TargetArn":{},"PhoneNumber":{},"Message":{},"Subject":{},"MessageStructure":{},"MessageAttributes":{"shape":"S2z"},"MessageDeduplicationId":{},"MessageGroupId":{}}},"output":{"resultWrapper":"PublishResult","type":"structure","members":{"MessageId":{},"SequenceNumber":{}}}},"PublishBatch":{"input":{"type":"structure","required":["TopicArn","PublishBatchRequestEntries"],"members":{"TopicArn":{},"PublishBatchRequestEntries":{"type":"list","member":{"type":"structure","required":["Id","Message"],"members":{"Id":{},"Message":{},"Subject":{},"MessageStructure":{},"MessageAttributes":{"shape":"S2z"},"MessageDeduplicationId":{},"MessageGroupId":{}}}}}},"output":{"resultWrapper":"PublishBatchResult","type":"structure","members":{"Successful":{"type":"list","member":{"type":"structure","members":{"Id":{},"MessageId":{},"SequenceNumber":{}}}},"Failed":{"type":"list","member":{"type":"structure","required":["Id","Code","SenderFault"],"members":{"Id":{},"Code":{},"Message":{},"SenderFault":{"type":"boolean"}}}}}}},"RemovePermission":{"input":{"type":"structure","required":["TopicArn","Label"],"members":{"TopicArn":{},"Label":{}}}},"SetEndpointAttributes":{"input":{"type":"structure","required":["EndpointArn","Attributes"],"members":{"EndpointArn":{},"Attributes":{"shape":"Sj"}}}},"SetPlatformApplicationAttributes":{"input":{"type":"structure","required":["PlatformApplicationArn","Attributes"],"members":{"PlatformApplicationArn":{},"Attributes":{"shape":"Sj"}}}},"SetSMSAttributes":{"input":{"type":"structure","required":["attributes"],"members":{"attributes":{"shape":"Sj"}}},"output":{"resultWrapper":"SetSMSAttributesResult","type":"structure","members":{}}},"SetSubscriptionAttributes":{"input":{"type":"structure","required":["SubscriptionArn","AttributeName"],"members":{"SubscriptionArn":{},"AttributeName":{},"AttributeValue":{}}}},"SetTopicAttributes":{"input":{"type":"structure","required":["TopicArn","AttributeName"],"members":{"TopicArn":{},"AttributeName":{},"AttributeValue":{}}}},"Subscribe":{"input":{"type":"structure","required":["TopicArn","Protocol"],"members":{"TopicArn":{},"Protocol":{},"Endpoint":{},"Attributes":{"shape":"S1h"},"ReturnSubscriptionArn":{"type":"boolean"}}},"output":{"resultWrapper":"SubscribeResult","type":"structure","members":{"SubscriptionArn":{}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Sw"}}},"output":{"resultWrapper":"TagResourceResult","type":"structure","members":{}}},"Unsubscribe":{"input":{"type":"structure","required":["SubscriptionArn"],"members":{"SubscriptionArn":{}}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"resultWrapper":"UntagResourceResult","type":"structure","members":{}}},"VerifySMSSandboxPhoneNumber":{"input":{"type":"structure","required":["PhoneNumber","OneTimePassword"],"members":{"PhoneNumber":{},"OneTimePassword":{}}},"output":{"resultWrapper":"VerifySMSSandboxPhoneNumberResult","type":"structure","members":{}}}},"shapes":{"Sj":{"type":"map","key":{},"value":{}},"St":{"type":"map","key":{},"value":{}},"Sw":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S1h":{"type":"map","key":{},"value":{}},"S2f":{"type":"list","member":{"type":"structure","members":{"SubscriptionArn":{},"Owner":{},"Protocol":{},"Endpoint":{},"TopicArn":{}}}},"S2z":{"type":"map","key":{"locationName":"Name"},"value":{"locationName":"Value","type":"structure","required":["DataType"],"members":{"DataType":{},"StringValue":{},"BinaryValue":{"type":"blob"}}}}}}');

/***/ }),

/***/ 58054:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListEndpointsByPlatformApplication":{"input_token":"NextToken","output_token":"NextToken","result_key":"Endpoints"},"ListOriginationNumbers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PhoneNumbers"},"ListPhoneNumbersOptedOut":{"input_token":"nextToken","output_token":"nextToken","result_key":"phoneNumbers"},"ListPlatformApplications":{"input_token":"NextToken","output_token":"NextToken","result_key":"PlatformApplications"},"ListSMSSandboxPhoneNumbers":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PhoneNumbers"},"ListSubscriptions":{"input_token":"NextToken","output_token":"NextToken","result_key":"Subscriptions"},"ListSubscriptionsByTopic":{"input_token":"NextToken","output_token":"NextToken","result_key":"Subscriptions"},"ListTopics":{"input_token":"NextToken","output_token":"NextToken","result_key":"Topics"}}}');

/***/ }),

/***/ 53974:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2012-11-05","endpointPrefix":"sqs","protocol":"query","serviceAbbreviation":"Amazon SQS","serviceFullName":"Amazon Simple Queue Service","serviceId":"SQS","signatureVersion":"v4","uid":"sqs-2012-11-05","xmlNamespace":"http://queue.amazonaws.com/doc/2012-11-05/"},"operations":{"AddPermission":{"input":{"type":"structure","required":["QueueUrl","Label","AWSAccountIds","Actions"],"members":{"QueueUrl":{},"Label":{},"AWSAccountIds":{"type":"list","member":{"locationName":"AWSAccountId"},"flattened":true},"Actions":{"type":"list","member":{"locationName":"ActionName"},"flattened":true}}}},"ChangeMessageVisibility":{"input":{"type":"structure","required":["QueueUrl","ReceiptHandle","VisibilityTimeout"],"members":{"QueueUrl":{},"ReceiptHandle":{},"VisibilityTimeout":{"type":"integer"}}}},"ChangeMessageVisibilityBatch":{"input":{"type":"structure","required":["QueueUrl","Entries"],"members":{"QueueUrl":{},"Entries":{"type":"list","member":{"locationName":"ChangeMessageVisibilityBatchRequestEntry","type":"structure","required":["Id","ReceiptHandle"],"members":{"Id":{},"ReceiptHandle":{},"VisibilityTimeout":{"type":"integer"}}},"flattened":true}}},"output":{"resultWrapper":"ChangeMessageVisibilityBatchResult","type":"structure","required":["Successful","Failed"],"members":{"Successful":{"type":"list","member":{"locationName":"ChangeMessageVisibilityBatchResultEntry","type":"structure","required":["Id"],"members":{"Id":{}}},"flattened":true},"Failed":{"shape":"Sd"}}}},"CreateQueue":{"input":{"type":"structure","required":["QueueName"],"members":{"QueueName":{},"Attributes":{"shape":"Sh","locationName":"Attribute"},"tags":{"shape":"Sj","locationName":"Tag"}}},"output":{"resultWrapper":"CreateQueueResult","type":"structure","members":{"QueueUrl":{}}}},"DeleteMessage":{"input":{"type":"structure","required":["QueueUrl","ReceiptHandle"],"members":{"QueueUrl":{},"ReceiptHandle":{}}}},"DeleteMessageBatch":{"input":{"type":"structure","required":["QueueUrl","Entries"],"members":{"QueueUrl":{},"Entries":{"type":"list","member":{"locationName":"DeleteMessageBatchRequestEntry","type":"structure","required":["Id","ReceiptHandle"],"members":{"Id":{},"ReceiptHandle":{}}},"flattened":true}}},"output":{"resultWrapper":"DeleteMessageBatchResult","type":"structure","required":["Successful","Failed"],"members":{"Successful":{"type":"list","member":{"locationName":"DeleteMessageBatchResultEntry","type":"structure","required":["Id"],"members":{"Id":{}}},"flattened":true},"Failed":{"shape":"Sd"}}}},"DeleteQueue":{"input":{"type":"structure","required":["QueueUrl"],"members":{"QueueUrl":{}}}},"GetQueueAttributes":{"input":{"type":"structure","required":["QueueUrl"],"members":{"QueueUrl":{},"AttributeNames":{"shape":"Sw"}}},"output":{"resultWrapper":"GetQueueAttributesResult","type":"structure","members":{"Attributes":{"shape":"Sh","locationName":"Attribute"}}}},"GetQueueUrl":{"input":{"type":"structure","required":["QueueName"],"members":{"QueueName":{},"QueueOwnerAWSAccountId":{}}},"output":{"resultWrapper":"GetQueueUrlResult","type":"structure","members":{"QueueUrl":{}}}},"ListDeadLetterSourceQueues":{"input":{"type":"structure","required":["QueueUrl"],"members":{"QueueUrl":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"resultWrapper":"ListDeadLetterSourceQueuesResult","type":"structure","required":["queueUrls"],"members":{"queueUrls":{"shape":"S14"},"NextToken":{}}}},"ListQueueTags":{"input":{"type":"structure","required":["QueueUrl"],"members":{"QueueUrl":{}}},"output":{"resultWrapper":"ListQueueTagsResult","type":"structure","members":{"Tags":{"shape":"Sj","locationName":"Tag"}}}},"ListQueues":{"input":{"type":"structure","members":{"QueueNamePrefix":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"resultWrapper":"ListQueuesResult","type":"structure","members":{"QueueUrls":{"shape":"S14"},"NextToken":{}}}},"PurgeQueue":{"input":{"type":"structure","required":["QueueUrl"],"members":{"QueueUrl":{}}}},"ReceiveMessage":{"input":{"type":"structure","required":["QueueUrl"],"members":{"QueueUrl":{},"AttributeNames":{"shape":"Sw"},"MessageAttributeNames":{"type":"list","member":{"locationName":"MessageAttributeName"},"flattened":true},"MaxNumberOfMessages":{"type":"integer"},"VisibilityTimeout":{"type":"integer"},"WaitTimeSeconds":{"type":"integer"},"ReceiveRequestAttemptId":{}}},"output":{"resultWrapper":"ReceiveMessageResult","type":"structure","members":{"Messages":{"type":"list","member":{"locationName":"Message","type":"structure","members":{"MessageId":{},"ReceiptHandle":{},"MD5OfBody":{},"Body":{},"Attributes":{"locationName":"Attribute","type":"map","key":{"locationName":"Name"},"value":{"locationName":"Value"},"flattened":true},"MD5OfMessageAttributes":{},"MessageAttributes":{"shape":"S1i","locationName":"MessageAttribute"}}},"flattened":true}}}},"RemovePermission":{"input":{"type":"structure","required":["QueueUrl","Label"],"members":{"QueueUrl":{},"Label":{}}}},"SendMessage":{"input":{"type":"structure","required":["QueueUrl","MessageBody"],"members":{"QueueUrl":{},"MessageBody":{},"DelaySeconds":{"type":"integer"},"MessageAttributes":{"shape":"S1i","locationName":"MessageAttribute"},"MessageSystemAttributes":{"shape":"S1p","locationName":"MessageSystemAttribute"},"MessageDeduplicationId":{},"MessageGroupId":{}}},"output":{"resultWrapper":"SendMessageResult","type":"structure","members":{"MD5OfMessageBody":{},"MD5OfMessageAttributes":{},"MD5OfMessageSystemAttributes":{},"MessageId":{},"SequenceNumber":{}}}},"SendMessageBatch":{"input":{"type":"structure","required":["QueueUrl","Entries"],"members":{"QueueUrl":{},"Entries":{"type":"list","member":{"locationName":"SendMessageBatchRequestEntry","type":"structure","required":["Id","MessageBody"],"members":{"Id":{},"MessageBody":{},"DelaySeconds":{"type":"integer"},"MessageAttributes":{"shape":"S1i","locationName":"MessageAttribute"},"MessageSystemAttributes":{"shape":"S1p","locationName":"MessageSystemAttribute"},"MessageDeduplicationId":{},"MessageGroupId":{}}},"flattened":true}}},"output":{"resultWrapper":"SendMessageBatchResult","type":"structure","required":["Successful","Failed"],"members":{"Successful":{"type":"list","member":{"locationName":"SendMessageBatchResultEntry","type":"structure","required":["Id","MessageId","MD5OfMessageBody"],"members":{"Id":{},"MessageId":{},"MD5OfMessageBody":{},"MD5OfMessageAttributes":{},"MD5OfMessageSystemAttributes":{},"SequenceNumber":{}}},"flattened":true},"Failed":{"shape":"Sd"}}}},"SetQueueAttributes":{"input":{"type":"structure","required":["QueueUrl","Attributes"],"members":{"QueueUrl":{},"Attributes":{"shape":"Sh","locationName":"Attribute"}}}},"TagQueue":{"input":{"type":"structure","required":["QueueUrl","Tags"],"members":{"QueueUrl":{},"Tags":{"shape":"Sj"}}}},"UntagQueue":{"input":{"type":"structure","required":["QueueUrl","TagKeys"],"members":{"QueueUrl":{},"TagKeys":{"type":"list","member":{"locationName":"TagKey"},"flattened":true}}}}},"shapes":{"Sd":{"type":"list","member":{"locationName":"BatchResultErrorEntry","type":"structure","required":["Id","SenderFault","Code"],"members":{"Id":{},"SenderFault":{"type":"boolean"},"Code":{},"Message":{}}},"flattened":true},"Sh":{"type":"map","key":{"locationName":"Name"},"value":{"locationName":"Value"},"flattened":true,"locationName":"Attribute"},"Sj":{"type":"map","key":{"locationName":"Key"},"value":{"locationName":"Value"},"flattened":true,"locationName":"Tag"},"Sw":{"type":"list","member":{"locationName":"AttributeName"},"flattened":true},"S14":{"type":"list","member":{"locationName":"QueueUrl"},"flattened":true},"S1i":{"type":"map","key":{"locationName":"Name"},"value":{"locationName":"Value","type":"structure","required":["DataType"],"members":{"StringValue":{},"BinaryValue":{"type":"blob"},"StringListValues":{"shape":"S1l","flattened":true,"locationName":"StringListValue"},"BinaryListValues":{"shape":"S1m","flattened":true,"locationName":"BinaryListValue"},"DataType":{}}},"flattened":true},"S1l":{"type":"list","member":{"locationName":"StringListValue"}},"S1m":{"type":"list","member":{"locationName":"BinaryListValue","type":"blob"}},"S1p":{"type":"map","key":{"locationName":"Name"},"value":{"locationName":"Value","type":"structure","required":["DataType"],"members":{"StringValue":{},"BinaryValue":{"type":"blob"},"StringListValues":{"shape":"S1l","flattened":true,"locationName":"StringListValue"},"BinaryListValues":{"shape":"S1m","flattened":true,"locationName":"BinaryListValue"},"DataType":{}}},"flattened":true}}}');

/***/ }),

/***/ 17249:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDeadLetterSourceQueues":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"queueUrls"},"ListQueues":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"QueueUrls"}}}');

/***/ }),

/***/ 44596:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2014-11-06","endpointPrefix":"ssm","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"Amazon SSM","serviceFullName":"Amazon Simple Systems Manager (SSM)","serviceId":"SSM","signatureVersion":"v4","targetPrefix":"AmazonSSM","uid":"ssm-2014-11-06"},"operations":{"AddTagsToResource":{"input":{"type":"structure","required":["ResourceType","ResourceId","Tags"],"members":{"ResourceType":{},"ResourceId":{},"Tags":{"shape":"S4"}}},"output":{"type":"structure","members":{}}},"AssociateOpsItemRelatedItem":{"input":{"type":"structure","required":["OpsItemId","AssociationType","ResourceType","ResourceUri"],"members":{"OpsItemId":{},"AssociationType":{},"ResourceType":{},"ResourceUri":{}}},"output":{"type":"structure","members":{"AssociationId":{}}}},"CancelCommand":{"input":{"type":"structure","required":["CommandId"],"members":{"CommandId":{},"InstanceIds":{"shape":"Si"}}},"output":{"type":"structure","members":{}}},"CancelMaintenanceWindowExecution":{"input":{"type":"structure","required":["WindowExecutionId"],"members":{"WindowExecutionId":{}}},"output":{"type":"structure","members":{"WindowExecutionId":{}}}},"CreateActivation":{"input":{"type":"structure","required":["IamRole"],"members":{"Description":{},"DefaultInstanceName":{},"IamRole":{},"RegistrationLimit":{"type":"integer"},"ExpirationDate":{"type":"timestamp"},"Tags":{"shape":"S4"},"RegistrationMetadata":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}}}},"output":{"type":"structure","members":{"ActivationId":{},"ActivationCode":{}}}},"CreateAssociation":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"DocumentVersion":{},"InstanceId":{},"Parameters":{"shape":"S14"},"Targets":{"shape":"S18"},"ScheduleExpression":{},"OutputLocation":{"shape":"S1e"},"AssociationName":{},"AutomationTargetParameterName":{},"MaxErrors":{},"MaxConcurrency":{},"ComplianceSeverity":{},"SyncCompliance":{},"ApplyOnlyAtCronInterval":{"type":"boolean"},"CalendarNames":{"shape":"S1q"},"TargetLocations":{"shape":"S1s"}}},"output":{"type":"structure","members":{"AssociationDescription":{"shape":"S20"}}}},"CreateAssociationBatch":{"input":{"type":"structure","required":["Entries"],"members":{"Entries":{"type":"list","member":{"shape":"S2e"}}}},"output":{"type":"structure","members":{"Successful":{"type":"list","member":{"shape":"S20"}},"Failed":{"type":"list","member":{"type":"structure","members":{"Entry":{"shape":"S2e"},"Message":{},"Fault":{}}}}}}},"CreateDocument":{"input":{"type":"structure","required":["Content","Name"],"members":{"Content":{},"Requires":{"shape":"S2n"},"Attachments":{"shape":"S2p"},"Name":{},"DisplayName":{},"VersionName":{},"DocumentType":{},"DocumentFormat":{},"TargetType":{},"Tags":{"shape":"S4"}}},"output":{"type":"structure","members":{"DocumentDescription":{"shape":"S32"}}}},"CreateMaintenanceWindow":{"input":{"type":"structure","required":["Name","Schedule","Duration","Cutoff","AllowUnassociatedTargets"],"members":{"Name":{},"Description":{"shape":"S3t"},"StartDate":{},"EndDate":{},"Schedule":{},"ScheduleTimezone":{},"ScheduleOffset":{"type":"integer"},"Duration":{"type":"integer"},"Cutoff":{"type":"integer"},"AllowUnassociatedTargets":{"type":"boolean"},"ClientToken":{"idempotencyToken":true},"Tags":{"shape":"S4"}}},"output":{"type":"structure","members":{"WindowId":{}}}},"CreateOpsItem":{"input":{"type":"structure","required":["Description","Source","Title"],"members":{"Description":{},"OpsItemType":{},"OperationalData":{"shape":"S47"},"Notifications":{"shape":"S4c"},"Priority":{"type":"integer"},"RelatedOpsItems":{"shape":"S4g"},"Source":{},"Title":{},"Tags":{"shape":"S4"},"Category":{},"Severity":{},"ActualStartTime":{"type":"timestamp"},"ActualEndTime":{"type":"timestamp"},"PlannedStartTime":{"type":"timestamp"},"PlannedEndTime":{"type":"timestamp"}}},"output":{"type":"structure","members":{"OpsItemId":{}}}},"CreateOpsMetadata":{"input":{"type":"structure","required":["ResourceId"],"members":{"ResourceId":{},"Metadata":{"shape":"S4p"},"Tags":{"shape":"S4"}}},"output":{"type":"structure","members":{"OpsMetadataArn":{}}}},"CreatePatchBaseline":{"input":{"type":"structure","required":["Name"],"members":{"OperatingSystem":{},"Name":{},"GlobalFilters":{"shape":"S4y"},"ApprovalRules":{"shape":"S54"},"ApprovedPatches":{"shape":"S5b"},"ApprovedPatchesComplianceLevel":{},"ApprovedPatchesEnableNonSecurity":{"type":"boolean"},"RejectedPatches":{"shape":"S5b"},"RejectedPatchesAction":{},"Description":{},"Sources":{"shape":"S5f"},"ClientToken":{"idempotencyToken":true},"Tags":{"shape":"S4"}}},"output":{"type":"structure","members":{"BaselineId":{}}}},"CreateResourceDataSync":{"input":{"type":"structure","required":["SyncName"],"members":{"SyncName":{},"S3Destination":{"shape":"S5p"},"SyncType":{},"SyncSource":{"shape":"S5y"}}},"output":{"type":"structure","members":{}}},"DeleteActivation":{"input":{"type":"structure","required":["ActivationId"],"members":{"ActivationId":{}}},"output":{"type":"structure","members":{}}},"DeleteAssociation":{"input":{"type":"structure","members":{"Name":{},"InstanceId":{},"AssociationId":{}}},"output":{"type":"structure","members":{}}},"DeleteDocument":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"DocumentVersion":{},"VersionName":{},"Force":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeleteInventory":{"input":{"type":"structure","required":["TypeName"],"members":{"TypeName":{},"SchemaDeleteOption":{},"DryRun":{"type":"boolean"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"DeletionId":{},"TypeName":{},"DeletionSummary":{"shape":"S6m"}}}},"DeleteMaintenanceWindow":{"input":{"type":"structure","required":["WindowId"],"members":{"WindowId":{}}},"output":{"type":"structure","members":{"WindowId":{}}}},"DeleteOpsMetadata":{"input":{"type":"structure","required":["OpsMetadataArn"],"members":{"OpsMetadataArn":{}}},"output":{"type":"structure","members":{}}},"DeleteParameter":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteParameters":{"input":{"type":"structure","required":["Names"],"members":{"Names":{"shape":"S71"}}},"output":{"type":"structure","members":{"DeletedParameters":{"shape":"S71"},"InvalidParameters":{"shape":"S71"}}}},"DeletePatchBaseline":{"input":{"type":"structure","required":["BaselineId"],"members":{"BaselineId":{}}},"output":{"type":"structure","members":{"BaselineId":{}}}},"DeleteResourceDataSync":{"input":{"type":"structure","required":["SyncName"],"members":{"SyncName":{},"SyncType":{}}},"output":{"type":"structure","members":{}}},"DeregisterManagedInstance":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{}}},"output":{"type":"structure","members":{}}},"DeregisterPatchBaselineForPatchGroup":{"input":{"type":"structure","required":["BaselineId","PatchGroup"],"members":{"BaselineId":{},"PatchGroup":{}}},"output":{"type":"structure","members":{"BaselineId":{},"PatchGroup":{}}}},"DeregisterTargetFromMaintenanceWindow":{"input":{"type":"structure","required":["WindowId","WindowTargetId"],"members":{"WindowId":{},"WindowTargetId":{},"Safe":{"type":"boolean"}}},"output":{"type":"structure","members":{"WindowId":{},"WindowTargetId":{}}}},"DeregisterTaskFromMaintenanceWindow":{"input":{"type":"structure","required":["WindowId","WindowTaskId"],"members":{"WindowId":{},"WindowTaskId":{}}},"output":{"type":"structure","members":{"WindowId":{},"WindowTaskId":{}}}},"DescribeActivations":{"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","members":{"FilterKey":{},"FilterValues":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ActivationList":{"type":"list","member":{"type":"structure","members":{"ActivationId":{},"Description":{},"DefaultInstanceName":{},"IamRole":{},"RegistrationLimit":{"type":"integer"},"RegistrationsCount":{"type":"integer"},"ExpirationDate":{"type":"timestamp"},"Expired":{"type":"boolean"},"CreatedDate":{"type":"timestamp"},"Tags":{"shape":"S4"}}}},"NextToken":{}}}},"DescribeAssociation":{"input":{"type":"structure","members":{"Name":{},"InstanceId":{},"AssociationId":{},"AssociationVersion":{}}},"output":{"type":"structure","members":{"AssociationDescription":{"shape":"S20"}}}},"DescribeAssociationExecutionTargets":{"input":{"type":"structure","required":["AssociationId","ExecutionId"],"members":{"AssociationId":{},"ExecutionId":{},"Filters":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AssociationExecutionTargets":{"type":"list","member":{"type":"structure","members":{"AssociationId":{},"AssociationVersion":{},"ExecutionId":{},"ResourceId":{},"ResourceType":{},"Status":{},"DetailedStatus":{},"LastExecutionDate":{"type":"timestamp"},"OutputSource":{"type":"structure","members":{"OutputSourceId":{},"OutputSourceType":{}}}}}},"NextToken":{}}}},"DescribeAssociationExecutions":{"input":{"type":"structure","required":["AssociationId"],"members":{"AssociationId":{},"Filters":{"type":"list","member":{"type":"structure","required":["Key","Value","Type"],"members":{"Key":{},"Value":{},"Type":{}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AssociationExecutions":{"type":"list","member":{"type":"structure","members":{"AssociationId":{},"AssociationVersion":{},"ExecutionId":{},"Status":{},"DetailedStatus":{},"CreatedTime":{"type":"timestamp"},"LastExecutionDate":{"type":"timestamp"},"ResourceCountByStatus":{}}}},"NextToken":{}}}},"DescribeAutomationExecutions":{"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","required":["Key","Values"],"members":{"Key":{},"Values":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AutomationExecutionMetadataList":{"type":"list","member":{"type":"structure","members":{"AutomationExecutionId":{},"DocumentName":{},"DocumentVersion":{},"AutomationExecutionStatus":{},"ExecutionStartTime":{"type":"timestamp"},"ExecutionEndTime":{"type":"timestamp"},"ExecutedBy":{},"LogFile":{},"Outputs":{"shape":"S8w"},"Mode":{},"ParentAutomationExecutionId":{},"CurrentStepName":{},"CurrentAction":{},"FailureMessage":{},"TargetParameterName":{},"Targets":{"shape":"S18"},"TargetMaps":{"shape":"S91"},"ResolvedTargets":{"shape":"S96"},"MaxConcurrency":{},"MaxErrors":{},"Target":{},"AutomationType":{},"AutomationSubtype":{},"ScheduledTime":{"type":"timestamp"},"Runbooks":{"shape":"S9a"},"OpsItemId":{},"AssociationId":{},"ChangeRequestName":{}}}},"NextToken":{}}}},"DescribeAutomationStepExecutions":{"input":{"type":"structure","required":["AutomationExecutionId"],"members":{"AutomationExecutionId":{},"Filters":{"type":"list","member":{"type":"structure","required":["Key","Values"],"members":{"Key":{},"Values":{"type":"list","member":{}}}}},"NextToken":{},"MaxResults":{"type":"integer"},"ReverseOrder":{"type":"boolean"}}},"output":{"type":"structure","members":{"StepExecutions":{"shape":"S9k"},"NextToken":{}}}},"DescribeAvailablePatches":{"input":{"type":"structure","members":{"Filters":{"shape":"S9u"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Patches":{"type":"list","member":{"shape":"Sa2"}},"NextToken":{}}}},"DescribeDocument":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"DocumentVersion":{},"VersionName":{}}},"output":{"type":"structure","members":{"Document":{"shape":"S32"}}}},"DescribeDocumentPermission":{"input":{"type":"structure","required":["Name","PermissionType"],"members":{"Name":{},"PermissionType":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AccountIds":{"shape":"Sax"},"AccountSharingInfoList":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"SharedDocumentVersion":{}}}},"NextToken":{}}}},"DescribeEffectiveInstanceAssociations":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Associations":{"type":"list","member":{"type":"structure","members":{"AssociationId":{},"InstanceId":{},"Content":{},"AssociationVersion":{}}}},"NextToken":{}}}},"DescribeEffectivePatchesForPatchBaseline":{"input":{"type":"structure","required":["BaselineId"],"members":{"BaselineId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"EffectivePatches":{"type":"list","member":{"type":"structure","members":{"Patch":{"shape":"Sa2"},"PatchStatus":{"type":"structure","members":{"DeploymentStatus":{},"ComplianceLevel":{},"ApprovalDate":{"type":"timestamp"}}}}}},"NextToken":{}}}},"DescribeInstanceAssociationsStatus":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"InstanceAssociationStatusInfos":{"type":"list","member":{"type":"structure","members":{"AssociationId":{},"Name":{},"DocumentVersion":{},"AssociationVersion":{},"InstanceId":{},"ExecutionDate":{"type":"timestamp"},"Status":{},"DetailedStatus":{},"ExecutionSummary":{},"ErrorCode":{},"OutputUrl":{"type":"structure","members":{"S3OutputUrl":{"type":"structure","members":{"OutputUrl":{}}}}},"AssociationName":{}}}},"NextToken":{}}}},"DescribeInstanceInformation":{"input":{"type":"structure","members":{"InstanceInformationFilterList":{"type":"list","member":{"type":"structure","required":["key","valueSet"],"members":{"key":{},"valueSet":{"shape":"Sbq"}}}},"Filters":{"type":"list","member":{"type":"structure","required":["Key","Values"],"members":{"Key":{},"Values":{"shape":"Sbq"}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"InstanceInformationList":{"type":"list","member":{"type":"structure","members":{"InstanceId":{},"PingStatus":{},"LastPingDateTime":{"type":"timestamp"},"AgentVersion":{},"IsLatestVersion":{"type":"boolean"},"PlatformType":{},"PlatformName":{},"PlatformVersion":{},"ActivationId":{},"IamRole":{},"RegistrationDate":{"type":"timestamp"},"ResourceType":{},"Name":{},"IPAddress":{},"ComputerName":{},"AssociationStatus":{},"LastAssociationExecutionDate":{"type":"timestamp"},"LastSuccessfulAssociationExecutionDate":{"type":"timestamp"},"AssociationOverview":{"type":"structure","members":{"DetailedStatus":{},"InstanceAssociationStatusAggregatedCount":{"type":"map","key":{},"value":{"type":"integer"}}}},"SourceId":{},"SourceType":{}}}},"NextToken":{}}}},"DescribeInstancePatchStates":{"input":{"type":"structure","required":["InstanceIds"],"members":{"InstanceIds":{"shape":"Si"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"InstancePatchStates":{"type":"list","member":{"shape":"Scc"}},"NextToken":{}}}},"DescribeInstancePatchStatesForPatchGroup":{"input":{"type":"structure","required":["PatchGroup"],"members":{"PatchGroup":{},"Filters":{"type":"list","member":{"type":"structure","required":["Key","Values","Type"],"members":{"Key":{},"Values":{"type":"list","member":{}},"Type":{}}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"InstancePatchStates":{"type":"list","member":{"shape":"Scc"}},"NextToken":{}}}},"DescribeInstancePatches":{"input":{"type":"structure","required":["InstanceId"],"members":{"InstanceId":{},"Filters":{"shape":"S9u"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Patches":{"type":"list","member":{"type":"structure","required":["Title","KBId","Classification","Severity","State","InstalledTime"],"members":{"Title":{},"KBId":{},"Classification":{},"Severity":{},"State":{},"InstalledTime":{"type":"timestamp"},"CVEIds":{}}}},"NextToken":{}}}},"DescribeInventoryDeletions":{"input":{"type":"structure","members":{"DeletionId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"InventoryDeletions":{"type":"list","member":{"type":"structure","members":{"DeletionId":{},"TypeName":{},"DeletionStartTime":{"type":"timestamp"},"LastStatus":{},"LastStatusMessage":{},"DeletionSummary":{"shape":"S6m"},"LastStatusUpdateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeMaintenanceWindowExecutionTaskInvocations":{"input":{"type":"structure","required":["WindowExecutionId","TaskId"],"members":{"WindowExecutionId":{},"TaskId":{},"Filters":{"shape":"Sdi"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"WindowExecutionTaskInvocationIdentities":{"type":"list","member":{"type":"structure","members":{"WindowExecutionId":{},"TaskExecutionId":{},"InvocationId":{},"ExecutionId":{},"TaskType":{},"Parameters":{"shape":"Sdu"},"Status":{},"StatusDetails":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"OwnerInformation":{"shape":"Scf"},"WindowTargetId":{}}}},"NextToken":{}}}},"DescribeMaintenanceWindowExecutionTasks":{"input":{"type":"structure","required":["WindowExecutionId"],"members":{"WindowExecutionId":{},"Filters":{"shape":"Sdi"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"WindowExecutionTaskIdentities":{"type":"list","member":{"type":"structure","members":{"WindowExecutionId":{},"TaskExecutionId":{},"Status":{},"StatusDetails":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"TaskArn":{},"TaskType":{}}}},"NextToken":{}}}},"DescribeMaintenanceWindowExecutions":{"input":{"type":"structure","required":["WindowId"],"members":{"WindowId":{},"Filters":{"shape":"Sdi"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"WindowExecutions":{"type":"list","member":{"type":"structure","members":{"WindowId":{},"WindowExecutionId":{},"Status":{},"StatusDetails":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}}},"NextToken":{}}}},"DescribeMaintenanceWindowSchedule":{"input":{"type":"structure","members":{"WindowId":{},"Targets":{"shape":"S18"},"ResourceType":{},"Filters":{"shape":"S9u"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ScheduledWindowExecutions":{"type":"list","member":{"type":"structure","members":{"WindowId":{},"Name":{},"ExecutionTime":{}}}},"NextToken":{}}}},"DescribeMaintenanceWindowTargets":{"input":{"type":"structure","required":["WindowId"],"members":{"WindowId":{},"Filters":{"shape":"Sdi"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Targets":{"type":"list","member":{"type":"structure","members":{"WindowId":{},"WindowTargetId":{},"ResourceType":{},"Targets":{"shape":"S18"},"OwnerInformation":{"shape":"Scf"},"Name":{},"Description":{"shape":"S3t"}}}},"NextToken":{}}}},"DescribeMaintenanceWindowTasks":{"input":{"type":"structure","required":["WindowId"],"members":{"WindowId":{},"Filters":{"shape":"Sdi"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Tasks":{"type":"list","member":{"type":"structure","members":{"WindowId":{},"WindowTaskId":{},"TaskArn":{},"Type":{},"Targets":{"shape":"S18"},"TaskParameters":{"shape":"Sel"},"Priority":{"type":"integer"},"LoggingInfo":{"shape":"Ser"},"ServiceRoleArn":{},"MaxConcurrency":{},"MaxErrors":{},"Name":{},"Description":{"shape":"S3t"},"CutoffBehavior":{}}}},"NextToken":{}}}},"DescribeMaintenanceWindows":{"input":{"type":"structure","members":{"Filters":{"shape":"Sdi"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"WindowIdentities":{"type":"list","member":{"type":"structure","members":{"WindowId":{},"Name":{},"Description":{"shape":"S3t"},"Enabled":{"type":"boolean"},"Duration":{"type":"integer"},"Cutoff":{"type":"integer"},"Schedule":{},"ScheduleTimezone":{},"ScheduleOffset":{"type":"integer"},"EndDate":{},"StartDate":{},"NextExecutionTime":{}}}},"NextToken":{}}}},"DescribeMaintenanceWindowsForTarget":{"input":{"type":"structure","required":["Targets","ResourceType"],"members":{"Targets":{"shape":"S18"},"ResourceType":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"WindowIdentities":{"type":"list","member":{"type":"structure","members":{"WindowId":{},"Name":{}}}},"NextToken":{}}}},"DescribeOpsItems":{"input":{"type":"structure","members":{"OpsItemFilters":{"type":"list","member":{"type":"structure","required":["Key","Values","Operator"],"members":{"Key":{},"Values":{"type":"list","member":{}},"Operator":{}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"OpsItemSummaries":{"type":"list","member":{"type":"structure","members":{"CreatedBy":{},"CreatedTime":{"type":"timestamp"},"LastModifiedBy":{},"LastModifiedTime":{"type":"timestamp"},"Priority":{"type":"integer"},"Source":{},"Status":{},"OpsItemId":{},"Title":{},"OperationalData":{"shape":"S47"},"Category":{},"Severity":{},"OpsItemType":{},"ActualStartTime":{"type":"timestamp"},"ActualEndTime":{"type":"timestamp"},"PlannedStartTime":{"type":"timestamp"},"PlannedEndTime":{"type":"timestamp"}}}}}}},"DescribeParameters":{"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","required":["Key","Values"],"members":{"Key":{},"Values":{"type":"list","member":{}}}}},"ParameterFilters":{"shape":"Sfl"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Parameters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Type":{},"KeyId":{},"LastModifiedDate":{"type":"timestamp"},"LastModifiedUser":{},"Description":{},"AllowedPattern":{},"Version":{"type":"long"},"Tier":{},"Policies":{"shape":"Sg0"},"DataType":{}}}},"NextToken":{}}}},"DescribePatchBaselines":{"input":{"type":"structure","members":{"Filters":{"shape":"S9u"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"BaselineIdentities":{"type":"list","member":{"shape":"Sg6"}},"NextToken":{}}}},"DescribePatchGroupState":{"input":{"type":"structure","required":["PatchGroup"],"members":{"PatchGroup":{}}},"output":{"type":"structure","members":{"Instances":{"type":"integer"},"InstancesWithInstalledPatches":{"type":"integer"},"InstancesWithInstalledOtherPatches":{"type":"integer"},"InstancesWithInstalledPendingRebootPatches":{"type":"integer"},"InstancesWithInstalledRejectedPatches":{"type":"integer"},"InstancesWithMissingPatches":{"type":"integer"},"InstancesWithFailedPatches":{"type":"integer"},"InstancesWithNotApplicablePatches":{"type":"integer"},"InstancesWithUnreportedNotApplicablePatches":{"type":"integer"},"InstancesWithCriticalNonCompliantPatches":{"type":"integer"},"InstancesWithSecurityNonCompliantPatches":{"type":"integer"},"InstancesWithOtherNonCompliantPatches":{"type":"integer"}}}},"DescribePatchGroups":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"Filters":{"shape":"S9u"},"NextToken":{}}},"output":{"type":"structure","members":{"Mappings":{"type":"list","member":{"type":"structure","members":{"PatchGroup":{},"BaselineIdentity":{"shape":"Sg6"}}}},"NextToken":{}}}},"DescribePatchProperties":{"input":{"type":"structure","required":["OperatingSystem","Property"],"members":{"OperatingSystem":{},"Property":{},"PatchSet":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Properties":{"type":"list","member":{"type":"map","key":{},"value":{}}},"NextToken":{}}}},"DescribeSessions":{"input":{"type":"structure","required":["State"],"members":{"State":{},"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}}}},"output":{"type":"structure","members":{"Sessions":{"type":"list","member":{"type":"structure","members":{"SessionId":{},"Target":{},"Status":{},"StartDate":{"type":"timestamp"},"EndDate":{"type":"timestamp"},"DocumentName":{},"Owner":{},"Reason":{},"Details":{},"OutputUrl":{"type":"structure","members":{"S3OutputUrl":{},"CloudWatchOutputUrl":{}}},"MaxSessionDuration":{}}}},"NextToken":{}}}},"DisassociateOpsItemRelatedItem":{"input":{"type":"structure","required":["OpsItemId","AssociationId"],"members":{"OpsItemId":{},"AssociationId":{}}},"output":{"type":"structure","members":{}}},"GetAutomationExecution":{"input":{"type":"structure","required":["AutomationExecutionId"],"members":{"AutomationExecutionId":{}}},"output":{"type":"structure","members":{"AutomationExecution":{"type":"structure","members":{"AutomationExecutionId":{},"DocumentName":{},"DocumentVersion":{},"ExecutionStartTime":{"type":"timestamp"},"ExecutionEndTime":{"type":"timestamp"},"AutomationExecutionStatus":{},"StepExecutions":{"shape":"S9k"},"StepExecutionsTruncated":{"type":"boolean"},"Parameters":{"shape":"S8w"},"Outputs":{"shape":"S8w"},"FailureMessage":{},"Mode":{},"ParentAutomationExecutionId":{},"ExecutedBy":{},"CurrentStepName":{},"CurrentAction":{},"TargetParameterName":{},"Targets":{"shape":"S18"},"TargetMaps":{"shape":"S91"},"ResolvedTargets":{"shape":"S96"},"MaxConcurrency":{},"MaxErrors":{},"Target":{},"TargetLocations":{"shape":"S1s"},"ProgressCounters":{"type":"structure","members":{"TotalSteps":{"type":"integer"},"SuccessSteps":{"type":"integer"},"FailedSteps":{"type":"integer"},"CancelledSteps":{"type":"integer"},"TimedOutSteps":{"type":"integer"}}},"AutomationSubtype":{},"ScheduledTime":{"type":"timestamp"},"Runbooks":{"shape":"S9a"},"OpsItemId":{},"AssociationId":{},"ChangeRequestName":{}}}}}},"GetCalendarState":{"input":{"type":"structure","required":["CalendarNames"],"members":{"CalendarNames":{"shape":"S1q"},"AtTime":{}}},"output":{"type":"structure","members":{"State":{},"AtTime":{},"NextTransitionTime":{}}}},"GetCommandInvocation":{"input":{"type":"structure","required":["CommandId","InstanceId"],"members":{"CommandId":{},"InstanceId":{},"PluginName":{}}},"output":{"type":"structure","members":{"CommandId":{},"InstanceId":{},"Comment":{},"DocumentName":{},"DocumentVersion":{},"PluginName":{},"ResponseCode":{"type":"integer"},"ExecutionStartDateTime":{},"ExecutionElapsedTime":{},"ExecutionEndDateTime":{},"Status":{},"StatusDetails":{},"StandardOutputContent":{},"StandardOutputUrl":{},"StandardErrorContent":{},"StandardErrorUrl":{},"CloudWatchOutputConfig":{"shape":"Shr"}}}},"GetConnectionStatus":{"input":{"type":"structure","required":["Target"],"members":{"Target":{}}},"output":{"type":"structure","members":{"Target":{},"Status":{}}}},"GetDefaultPatchBaseline":{"input":{"type":"structure","members":{"OperatingSystem":{}}},"output":{"type":"structure","members":{"BaselineId":{},"OperatingSystem":{}}}},"GetDeployablePatchSnapshotForInstance":{"input":{"type":"structure","required":["InstanceId","SnapshotId"],"members":{"InstanceId":{},"SnapshotId":{},"BaselineOverride":{"type":"structure","members":{"OperatingSystem":{},"GlobalFilters":{"shape":"S4y"},"ApprovalRules":{"shape":"S54"},"ApprovedPatches":{"shape":"S5b"},"ApprovedPatchesComplianceLevel":{},"RejectedPatches":{"shape":"S5b"},"RejectedPatchesAction":{},"ApprovedPatchesEnableNonSecurity":{"type":"boolean"},"Sources":{"shape":"S5f"}}}}},"output":{"type":"structure","members":{"InstanceId":{},"SnapshotId":{},"SnapshotDownloadUrl":{},"Product":{}}}},"GetDocument":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"VersionName":{},"DocumentVersion":{},"DocumentFormat":{}}},"output":{"type":"structure","members":{"Name":{},"CreatedDate":{"type":"timestamp"},"DisplayName":{},"VersionName":{},"DocumentVersion":{},"Status":{},"StatusInformation":{},"Content":{},"DocumentType":{},"DocumentFormat":{},"Requires":{"shape":"S2n"},"AttachmentsContent":{"type":"list","member":{"type":"structure","members":{"Name":{},"Size":{"type":"long"},"Hash":{},"HashType":{},"Url":{}}}},"ReviewStatus":{}}}},"GetInventory":{"input":{"type":"structure","members":{"Filters":{"shape":"Sid"},"Aggregators":{"shape":"Sij"},"ResultAttributes":{"type":"list","member":{"type":"structure","required":["TypeName"],"members":{"TypeName":{}}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Entities":{"type":"list","member":{"type":"structure","members":{"Id":{},"Data":{"type":"map","key":{},"value":{"type":"structure","required":["TypeName","SchemaVersion","Content"],"members":{"TypeName":{},"SchemaVersion":{},"CaptureTime":{},"ContentHash":{},"Content":{"shape":"Sj0"}}}}}}},"NextToken":{}}}},"GetInventorySchema":{"input":{"type":"structure","members":{"TypeName":{},"NextToken":{},"MaxResults":{"type":"integer"},"Aggregator":{"type":"boolean"},"SubType":{"type":"boolean"}}},"output":{"type":"structure","members":{"Schemas":{"type":"list","member":{"type":"structure","required":["TypeName","Attributes"],"members":{"TypeName":{},"Version":{},"Attributes":{"type":"list","member":{"type":"structure","required":["Name","DataType"],"members":{"Name":{},"DataType":{}}}},"DisplayName":{}}}},"NextToken":{}}}},"GetMaintenanceWindow":{"input":{"type":"structure","required":["WindowId"],"members":{"WindowId":{}}},"output":{"type":"structure","members":{"WindowId":{},"Name":{},"Description":{"shape":"S3t"},"StartDate":{},"EndDate":{},"Schedule":{},"ScheduleTimezone":{},"ScheduleOffset":{"type":"integer"},"NextExecutionTime":{},"Duration":{"type":"integer"},"Cutoff":{"type":"integer"},"AllowUnassociatedTargets":{"type":"boolean"},"Enabled":{"type":"boolean"},"CreatedDate":{"type":"timestamp"},"ModifiedDate":{"type":"timestamp"}}}},"GetMaintenanceWindowExecution":{"input":{"type":"structure","required":["WindowExecutionId"],"members":{"WindowExecutionId":{}}},"output":{"type":"structure","members":{"WindowExecutionId":{},"TaskIds":{"type":"list","member":{}},"Status":{},"StatusDetails":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}}},"GetMaintenanceWindowExecutionTask":{"input":{"type":"structure","required":["WindowExecutionId","TaskId"],"members":{"WindowExecutionId":{},"TaskId":{}}},"output":{"type":"structure","members":{"WindowExecutionId":{},"TaskExecutionId":{},"TaskArn":{},"ServiceRole":{},"Type":{},"TaskParameters":{"type":"list","member":{"shape":"Sel"},"sensitive":true},"Priority":{"type":"integer"},"MaxConcurrency":{},"MaxErrors":{},"Status":{},"StatusDetails":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}}},"GetMaintenanceWindowExecutionTaskInvocation":{"input":{"type":"structure","required":["WindowExecutionId","TaskId","InvocationId"],"members":{"WindowExecutionId":{},"TaskId":{},"InvocationId":{}}},"output":{"type":"structure","members":{"WindowExecutionId":{},"TaskExecutionId":{},"InvocationId":{},"ExecutionId":{},"TaskType":{},"Parameters":{"shape":"Sdu"},"Status":{},"StatusDetails":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"OwnerInformation":{"shape":"Scf"},"WindowTargetId":{}}}},"GetMaintenanceWindowTask":{"input":{"type":"structure","required":["WindowId","WindowTaskId"],"members":{"WindowId":{},"WindowTaskId":{}}},"output":{"type":"structure","members":{"WindowId":{},"WindowTaskId":{},"Targets":{"shape":"S18"},"TaskArn":{},"ServiceRoleArn":{},"TaskType":{},"TaskParameters":{"shape":"Sel"},"TaskInvocationParameters":{"shape":"Sjr"},"Priority":{"type":"integer"},"MaxConcurrency":{},"MaxErrors":{},"LoggingInfo":{"shape":"Ser"},"Name":{},"Description":{"shape":"S3t"},"CutoffBehavior":{}}}},"GetOpsItem":{"input":{"type":"structure","required":["OpsItemId"],"members":{"OpsItemId":{}}},"output":{"type":"structure","members":{"OpsItem":{"type":"structure","members":{"CreatedBy":{},"OpsItemType":{},"CreatedTime":{"type":"timestamp"},"Description":{},"LastModifiedBy":{},"LastModifiedTime":{"type":"timestamp"},"Notifications":{"shape":"S4c"},"Priority":{"type":"integer"},"RelatedOpsItems":{"shape":"S4g"},"Status":{},"OpsItemId":{},"Version":{},"Title":{},"Source":{},"OperationalData":{"shape":"S47"},"Category":{},"Severity":{},"ActualStartTime":{"type":"timestamp"},"ActualEndTime":{"type":"timestamp"},"PlannedStartTime":{"type":"timestamp"},"PlannedEndTime":{"type":"timestamp"}}}}}},"GetOpsMetadata":{"input":{"type":"structure","required":["OpsMetadataArn"],"members":{"OpsMetadataArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ResourceId":{},"Metadata":{"shape":"S4p"},"NextToken":{}}}},"GetOpsSummary":{"input":{"type":"structure","members":{"SyncName":{},"Filters":{"shape":"Ske"},"Aggregators":{"shape":"Skk"},"ResultAttributes":{"type":"list","member":{"type":"structure","required":["TypeName"],"members":{"TypeName":{}}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Entities":{"type":"list","member":{"type":"structure","members":{"Id":{},"Data":{"type":"map","key":{},"value":{"type":"structure","members":{"CaptureTime":{},"Content":{"type":"list","member":{"type":"map","key":{},"value":{}}}}}}}}},"NextToken":{}}}},"GetParameter":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"WithDecryption":{"type":"boolean"}}},"output":{"type":"structure","members":{"Parameter":{"shape":"Sl6"}}}},"GetParameterHistory":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"WithDecryption":{"type":"boolean"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Parameters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Type":{},"KeyId":{},"LastModifiedDate":{"type":"timestamp"},"LastModifiedUser":{},"Description":{},"Value":{"shape":"Sl7"},"AllowedPattern":{},"Version":{"type":"long"},"Labels":{"shape":"Sld"},"Tier":{},"Policies":{"shape":"Sg0"},"DataType":{}}}},"NextToken":{}}}},"GetParameters":{"input":{"type":"structure","required":["Names"],"members":{"Names":{"shape":"S71"},"WithDecryption":{"type":"boolean"}}},"output":{"type":"structure","members":{"Parameters":{"shape":"Slh"},"InvalidParameters":{"shape":"S71"}}}},"GetParametersByPath":{"input":{"type":"structure","required":["Path"],"members":{"Path":{},"Recursive":{"type":"boolean"},"ParameterFilters":{"shape":"Sfl"},"WithDecryption":{"type":"boolean"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Parameters":{"shape":"Slh"},"NextToken":{}}}},"GetPatchBaseline":{"input":{"type":"structure","required":["BaselineId"],"members":{"BaselineId":{}}},"output":{"type":"structure","members":{"BaselineId":{},"Name":{},"OperatingSystem":{},"GlobalFilters":{"shape":"S4y"},"ApprovalRules":{"shape":"S54"},"ApprovedPatches":{"shape":"S5b"},"ApprovedPatchesComplianceLevel":{},"ApprovedPatchesEnableNonSecurity":{"type":"boolean"},"RejectedPatches":{"shape":"S5b"},"RejectedPatchesAction":{},"PatchGroups":{"type":"list","member":{}},"CreatedDate":{"type":"timestamp"},"ModifiedDate":{"type":"timestamp"},"Description":{},"Sources":{"shape":"S5f"}}}},"GetPatchBaselineForPatchGroup":{"input":{"type":"structure","required":["PatchGroup"],"members":{"PatchGroup":{},"OperatingSystem":{}}},"output":{"type":"structure","members":{"BaselineId":{},"PatchGroup":{},"OperatingSystem":{}}}},"GetServiceSetting":{"input":{"type":"structure","required":["SettingId"],"members":{"SettingId":{}}},"output":{"type":"structure","members":{"ServiceSetting":{"shape":"Slt"}}}},"LabelParameterVersion":{"input":{"type":"structure","required":["Name","Labels"],"members":{"Name":{},"ParameterVersion":{"type":"long"},"Labels":{"shape":"Sld"}}},"output":{"type":"structure","members":{"InvalidLabels":{"shape":"Sld"},"ParameterVersion":{"type":"long"}}}},"ListAssociationVersions":{"input":{"type":"structure","required":["AssociationId"],"members":{"AssociationId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AssociationVersions":{"type":"list","member":{"type":"structure","members":{"AssociationId":{},"AssociationVersion":{},"CreatedDate":{"type":"timestamp"},"Name":{},"DocumentVersion":{},"Parameters":{"shape":"S14"},"Targets":{"shape":"S18"},"ScheduleExpression":{},"OutputLocation":{"shape":"S1e"},"AssociationName":{},"MaxErrors":{},"MaxConcurrency":{},"ComplianceSeverity":{},"SyncCompliance":{},"ApplyOnlyAtCronInterval":{"type":"boolean"},"CalendarNames":{"shape":"S1q"},"TargetLocations":{"shape":"S1s"}}}},"NextToken":{}}}},"ListAssociations":{"input":{"type":"structure","members":{"AssociationFilterList":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Associations":{"type":"list","member":{"type":"structure","members":{"Name":{},"InstanceId":{},"AssociationId":{},"AssociationVersion":{},"DocumentVersion":{},"Targets":{"shape":"S18"},"LastExecutionDate":{"type":"timestamp"},"Overview":{"shape":"S27"},"ScheduleExpression":{},"AssociationName":{}}}},"NextToken":{}}}},"ListCommandInvocations":{"input":{"type":"structure","members":{"CommandId":{},"InstanceId":{},"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"Smb"},"Details":{"type":"boolean"}}},"output":{"type":"structure","members":{"CommandInvocations":{"type":"list","member":{"type":"structure","members":{"CommandId":{},"InstanceId":{},"InstanceName":{},"Comment":{},"DocumentName":{},"DocumentVersion":{},"RequestedDateTime":{"type":"timestamp"},"Status":{},"StatusDetails":{},"TraceOutput":{},"StandardOutputUrl":{},"StandardErrorUrl":{},"CommandPlugins":{"type":"list","member":{"type":"structure","members":{"Name":{},"Status":{},"StatusDetails":{},"ResponseCode":{"type":"integer"},"ResponseStartDateTime":{"type":"timestamp"},"ResponseFinishDateTime":{"type":"timestamp"},"Output":{},"StandardOutputUrl":{},"StandardErrorUrl":{},"OutputS3Region":{},"OutputS3BucketName":{},"OutputS3KeyPrefix":{}}}},"ServiceRole":{},"NotificationConfig":{"shape":"Sjt"},"CloudWatchOutputConfig":{"shape":"Shr"}}}},"NextToken":{}}}},"ListCommands":{"input":{"type":"structure","members":{"CommandId":{},"InstanceId":{},"MaxResults":{"type":"integer"},"NextToken":{},"Filters":{"shape":"Smb"}}},"output":{"type":"structure","members":{"Commands":{"type":"list","member":{"shape":"Smr"}},"NextToken":{}}}},"ListComplianceItems":{"input":{"type":"structure","members":{"Filters":{"shape":"Smy"},"ResourceIds":{"type":"list","member":{}},"ResourceTypes":{"type":"list","member":{}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ComplianceItems":{"type":"list","member":{"type":"structure","members":{"ComplianceType":{},"ResourceType":{},"ResourceId":{},"Id":{},"Title":{},"Status":{},"Severity":{},"ExecutionSummary":{"shape":"Sng"},"Details":{"shape":"Snj"}}}},"NextToken":{}}}},"ListComplianceSummaries":{"input":{"type":"structure","members":{"Filters":{"shape":"Smy"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ComplianceSummaryItems":{"type":"list","member":{"type":"structure","members":{"ComplianceType":{},"CompliantSummary":{"shape":"Sno"},"NonCompliantSummary":{"shape":"Snr"}}}},"NextToken":{}}}},"ListDocumentMetadataHistory":{"input":{"type":"structure","required":["Name","Metadata"],"members":{"Name":{},"DocumentVersion":{},"Metadata":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Name":{},"DocumentVersion":{},"Author":{},"Metadata":{"type":"structure","members":{"ReviewerResponse":{"type":"list","member":{"type":"structure","members":{"CreateTime":{"type":"timestamp"},"UpdatedTime":{"type":"timestamp"},"ReviewStatus":{},"Comment":{"shape":"Sny"},"Reviewer":{}}}}}},"NextToken":{}}}},"ListDocumentVersions":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"DocumentVersions":{"type":"list","member":{"type":"structure","members":{"Name":{},"DisplayName":{},"DocumentVersion":{},"VersionName":{},"CreatedDate":{"type":"timestamp"},"IsDefaultVersion":{"type":"boolean"},"DocumentFormat":{},"Status":{},"StatusInformation":{},"ReviewStatus":{}}}},"NextToken":{}}}},"ListDocuments":{"input":{"type":"structure","members":{"DocumentFilterList":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"Filters":{"type":"list","member":{"type":"structure","members":{"Key":{},"Values":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"DocumentIdentifiers":{"type":"list","member":{"type":"structure","members":{"Name":{},"CreatedDate":{"type":"timestamp"},"DisplayName":{},"Owner":{},"VersionName":{},"PlatformTypes":{"shape":"S3g"},"DocumentVersion":{},"DocumentType":{},"SchemaVersion":{},"DocumentFormat":{},"TargetType":{},"Tags":{"shape":"S4"},"Requires":{"shape":"S2n"},"ReviewStatus":{},"Author":{}}}},"NextToken":{}}}},"ListInventoryEntries":{"input":{"type":"structure","required":["InstanceId","TypeName"],"members":{"InstanceId":{},"TypeName":{},"Filters":{"shape":"Sid"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"TypeName":{},"InstanceId":{},"SchemaVersion":{},"CaptureTime":{},"Entries":{"shape":"Sj0"},"NextToken":{}}}},"ListOpsItemEvents":{"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","required":["Key","Values","Operator"],"members":{"Key":{},"Values":{"type":"list","member":{}},"Operator":{}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"Summaries":{"type":"list","member":{"type":"structure","members":{"OpsItemId":{},"EventId":{},"Source":{},"DetailType":{},"Detail":{},"CreatedBy":{"shape":"Sow"},"CreatedTime":{"type":"timestamp"}}}}}}},"ListOpsItemRelatedItems":{"input":{"type":"structure","members":{"OpsItemId":{},"Filters":{"type":"list","member":{"type":"structure","required":["Key","Values","Operator"],"members":{"Key":{},"Values":{"type":"list","member":{}},"Operator":{}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"Summaries":{"type":"list","member":{"type":"structure","members":{"OpsItemId":{},"AssociationId":{},"ResourceType":{},"AssociationType":{},"ResourceUri":{},"CreatedBy":{"shape":"Sow"},"CreatedTime":{"type":"timestamp"},"LastModifiedBy":{"shape":"Sow"},"LastModifiedTime":{"type":"timestamp"}}}}}}},"ListOpsMetadata":{"input":{"type":"structure","members":{"Filters":{"type":"list","member":{"type":"structure","required":["Key","Values"],"members":{"Key":{},"Values":{"type":"list","member":{}}}}},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"OpsMetadataList":{"type":"list","member":{"type":"structure","members":{"ResourceId":{},"OpsMetadataArn":{},"LastModifiedDate":{"type":"timestamp"},"LastModifiedUser":{},"CreationDate":{"type":"timestamp"}}}},"NextToken":{}}}},"ListResourceComplianceSummaries":{"input":{"type":"structure","members":{"Filters":{"shape":"Smy"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ResourceComplianceSummaryItems":{"type":"list","member":{"type":"structure","members":{"ComplianceType":{},"ResourceType":{},"ResourceId":{},"Status":{},"OverallSeverity":{},"ExecutionSummary":{"shape":"Sng"},"CompliantSummary":{"shape":"Sno"},"NonCompliantSummary":{"shape":"Snr"}}}},"NextToken":{}}}},"ListResourceDataSync":{"input":{"type":"structure","members":{"SyncType":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ResourceDataSyncItems":{"type":"list","member":{"type":"structure","members":{"SyncName":{},"SyncType":{},"SyncSource":{"type":"structure","members":{"SourceType":{},"AwsOrganizationsSource":{"shape":"S60"},"SourceRegions":{"shape":"S65"},"IncludeFutureRegions":{"type":"boolean"},"State":{},"EnableAllOpsDataSources":{"type":"boolean"}}},"S3Destination":{"shape":"S5p"},"LastSyncTime":{"type":"timestamp"},"LastSuccessfulSyncTime":{"type":"timestamp"},"SyncLastModifiedTime":{"type":"timestamp"},"LastStatus":{},"SyncCreatedTime":{"type":"timestamp"},"LastSyncStatusMessage":{}}}},"NextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceType","ResourceId"],"members":{"ResourceType":{},"ResourceId":{}}},"output":{"type":"structure","members":{"TagList":{"shape":"S4"}}}},"ModifyDocumentPermission":{"input":{"type":"structure","required":["Name","PermissionType"],"members":{"Name":{},"PermissionType":{},"AccountIdsToAdd":{"shape":"Sax"},"AccountIdsToRemove":{"shape":"Sax"},"SharedDocumentVersion":{}}},"output":{"type":"structure","members":{}}},"PutComplianceItems":{"input":{"type":"structure","required":["ResourceId","ResourceType","ComplianceType","ExecutionSummary","Items"],"members":{"ResourceId":{},"ResourceType":{},"ComplianceType":{},"ExecutionSummary":{"shape":"Sng"},"Items":{"type":"list","member":{"type":"structure","required":["Severity","Status"],"members":{"Id":{},"Title":{},"Severity":{},"Status":{},"Details":{"shape":"Snj"}}}},"ItemContentHash":{},"UploadType":{}}},"output":{"type":"structure","members":{}}},"PutInventory":{"input":{"type":"structure","required":["InstanceId","Items"],"members":{"InstanceId":{},"Items":{"type":"list","member":{"type":"structure","required":["TypeName","SchemaVersion","CaptureTime"],"members":{"TypeName":{},"SchemaVersion":{},"CaptureTime":{},"ContentHash":{},"Content":{"shape":"Sj0"},"Context":{"type":"map","key":{},"value":{}}}}}}},"output":{"type":"structure","members":{"Message":{}}}},"PutParameter":{"input":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Description":{},"Value":{"shape":"Sl7"},"Type":{},"KeyId":{},"Overwrite":{"type":"boolean"},"AllowedPattern":{},"Tags":{"shape":"S4"},"Tier":{},"Policies":{},"DataType":{}}},"output":{"type":"structure","members":{"Version":{"type":"long"},"Tier":{}}}},"RegisterDefaultPatchBaseline":{"input":{"type":"structure","required":["BaselineId"],"members":{"BaselineId":{}}},"output":{"type":"structure","members":{"BaselineId":{}}}},"RegisterPatchBaselineForPatchGroup":{"input":{"type":"structure","required":["BaselineId","PatchGroup"],"members":{"BaselineId":{},"PatchGroup":{}}},"output":{"type":"structure","members":{"BaselineId":{},"PatchGroup":{}}}},"RegisterTargetWithMaintenanceWindow":{"input":{"type":"structure","required":["WindowId","ResourceType","Targets"],"members":{"WindowId":{},"ResourceType":{},"Targets":{"shape":"S18"},"OwnerInformation":{"shape":"Scf"},"Name":{},"Description":{"shape":"S3t"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"WindowTargetId":{}}}},"RegisterTaskWithMaintenanceWindow":{"input":{"type":"structure","required":["WindowId","TaskArn","TaskType"],"members":{"WindowId":{},"Targets":{"shape":"S18"},"TaskArn":{},"ServiceRoleArn":{},"TaskType":{},"TaskParameters":{"shape":"Sel"},"TaskInvocationParameters":{"shape":"Sjr"},"Priority":{"type":"integer"},"MaxConcurrency":{},"MaxErrors":{},"LoggingInfo":{"shape":"Ser"},"Name":{},"Description":{"shape":"S3t"},"ClientToken":{"idempotencyToken":true},"CutoffBehavior":{}}},"output":{"type":"structure","members":{"WindowTaskId":{}}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceType","ResourceId","TagKeys"],"members":{"ResourceType":{},"ResourceId":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"ResetServiceSetting":{"input":{"type":"structure","required":["SettingId"],"members":{"SettingId":{}}},"output":{"type":"structure","members":{"ServiceSetting":{"shape":"Slt"}}}},"ResumeSession":{"input":{"type":"structure","required":["SessionId"],"members":{"SessionId":{}}},"output":{"type":"structure","members":{"SessionId":{},"TokenValue":{},"StreamUrl":{}}}},"SendAutomationSignal":{"input":{"type":"structure","required":["AutomationExecutionId","SignalType"],"members":{"AutomationExecutionId":{},"SignalType":{},"Payload":{"shape":"S8w"}}},"output":{"type":"structure","members":{}}},"SendCommand":{"input":{"type":"structure","required":["DocumentName"],"members":{"InstanceIds":{"shape":"Si"},"Targets":{"shape":"S18"},"DocumentName":{},"DocumentVersion":{},"DocumentHash":{},"DocumentHashType":{},"TimeoutSeconds":{"type":"integer"},"Comment":{},"Parameters":{"shape":"S14"},"OutputS3Region":{},"OutputS3BucketName":{},"OutputS3KeyPrefix":{},"MaxConcurrency":{},"MaxErrors":{},"ServiceRoleArn":{},"NotificationConfig":{"shape":"Sjt"},"CloudWatchOutputConfig":{"shape":"Shr"}}},"output":{"type":"structure","members":{"Command":{"shape":"Smr"}}}},"StartAssociationsOnce":{"input":{"type":"structure","required":["AssociationIds"],"members":{"AssociationIds":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"StartAutomationExecution":{"input":{"type":"structure","required":["DocumentName"],"members":{"DocumentName":{},"DocumentVersion":{},"Parameters":{"shape":"S8w"},"ClientToken":{},"Mode":{},"TargetParameterName":{},"Targets":{"shape":"S18"},"TargetMaps":{"shape":"S91"},"MaxConcurrency":{},"MaxErrors":{},"TargetLocations":{"shape":"S1s"},"Tags":{"shape":"S4"}}},"output":{"type":"structure","members":{"AutomationExecutionId":{}}}},"StartChangeRequestExecution":{"input":{"type":"structure","required":["DocumentName","Runbooks"],"members":{"ScheduledTime":{"type":"timestamp"},"DocumentName":{},"DocumentVersion":{},"Parameters":{"shape":"S8w"},"ChangeRequestName":{},"ClientToken":{},"AutoApprove":{"type":"boolean"},"Runbooks":{"shape":"S9a"},"Tags":{"shape":"S4"},"ScheduledEndTime":{"type":"timestamp"},"ChangeDetails":{}}},"output":{"type":"structure","members":{"AutomationExecutionId":{}}}},"StartSession":{"input":{"type":"structure","required":["Target"],"members":{"Target":{},"DocumentName":{},"Reason":{},"Parameters":{"type":"map","key":{},"value":{"type":"list","member":{}}}}},"output":{"type":"structure","members":{"SessionId":{},"TokenValue":{},"StreamUrl":{}}}},"StopAutomationExecution":{"input":{"type":"structure","required":["AutomationExecutionId"],"members":{"AutomationExecutionId":{},"Type":{}}},"output":{"type":"structure","members":{}}},"TerminateSession":{"input":{"type":"structure","required":["SessionId"],"members":{"SessionId":{}}},"output":{"type":"structure","members":{"SessionId":{}}}},"UnlabelParameterVersion":{"input":{"type":"structure","required":["Name","ParameterVersion","Labels"],"members":{"Name":{},"ParameterVersion":{"type":"long"},"Labels":{"shape":"Sld"}}},"output":{"type":"structure","members":{"RemovedLabels":{"shape":"Sld"},"InvalidLabels":{"shape":"Sld"}}}},"UpdateAssociation":{"input":{"type":"structure","required":["AssociationId"],"members":{"AssociationId":{},"Parameters":{"shape":"S14"},"DocumentVersion":{},"ScheduleExpression":{},"OutputLocation":{"shape":"S1e"},"Name":{},"Targets":{"shape":"S18"},"AssociationName":{},"AssociationVersion":{},"AutomationTargetParameterName":{},"MaxErrors":{},"MaxConcurrency":{},"ComplianceSeverity":{},"SyncCompliance":{},"ApplyOnlyAtCronInterval":{"type":"boolean"},"CalendarNames":{"shape":"S1q"},"TargetLocations":{"shape":"S1s"}}},"output":{"type":"structure","members":{"AssociationDescription":{"shape":"S20"}}}},"UpdateAssociationStatus":{"input":{"type":"structure","required":["Name","InstanceId","AssociationStatus"],"members":{"Name":{},"InstanceId":{},"AssociationStatus":{"shape":"S23"}}},"output":{"type":"structure","members":{"AssociationDescription":{"shape":"S20"}}}},"UpdateDocument":{"input":{"type":"structure","required":["Content","Name"],"members":{"Content":{},"Attachments":{"shape":"S2p"},"Name":{},"DisplayName":{},"VersionName":{},"DocumentVersion":{},"DocumentFormat":{},"TargetType":{}}},"output":{"type":"structure","members":{"DocumentDescription":{"shape":"S32"}}}},"UpdateDocumentDefaultVersion":{"input":{"type":"structure","required":["Name","DocumentVersion"],"members":{"Name":{},"DocumentVersion":{}}},"output":{"type":"structure","members":{"Description":{"type":"structure","members":{"Name":{},"DefaultVersion":{},"DefaultVersionName":{}}}}}},"UpdateDocumentMetadata":{"input":{"type":"structure","required":["Name","DocumentReviews"],"members":{"Name":{},"DocumentVersion":{},"DocumentReviews":{"type":"structure","required":["Action"],"members":{"Action":{},"Comment":{"shape":"Sny"}}}}},"output":{"type":"structure","members":{}}},"UpdateMaintenanceWindow":{"input":{"type":"structure","required":["WindowId"],"members":{"WindowId":{},"Name":{},"Description":{"shape":"S3t"},"StartDate":{},"EndDate":{},"Schedule":{},"ScheduleTimezone":{},"ScheduleOffset":{"type":"integer"},"Duration":{"type":"integer"},"Cutoff":{"type":"integer"},"AllowUnassociatedTargets":{"type":"boolean"},"Enabled":{"type":"boolean"},"Replace":{"type":"boolean"}}},"output":{"type":"structure","members":{"WindowId":{},"Name":{},"Description":{"shape":"S3t"},"StartDate":{},"EndDate":{},"Schedule":{},"ScheduleTimezone":{},"ScheduleOffset":{"type":"integer"},"Duration":{"type":"integer"},"Cutoff":{"type":"integer"},"AllowUnassociatedTargets":{"type":"boolean"},"Enabled":{"type":"boolean"}}}},"UpdateMaintenanceWindowTarget":{"input":{"type":"structure","required":["WindowId","WindowTargetId"],"members":{"WindowId":{},"WindowTargetId":{},"Targets":{"shape":"S18"},"OwnerInformation":{"shape":"Scf"},"Name":{},"Description":{"shape":"S3t"},"Replace":{"type":"boolean"}}},"output":{"type":"structure","members":{"WindowId":{},"WindowTargetId":{},"Targets":{"shape":"S18"},"OwnerInformation":{"shape":"Scf"},"Name":{},"Description":{"shape":"S3t"}}}},"UpdateMaintenanceWindowTask":{"input":{"type":"structure","required":["WindowId","WindowTaskId"],"members":{"WindowId":{},"WindowTaskId":{},"Targets":{"shape":"S18"},"TaskArn":{},"ServiceRoleArn":{},"TaskParameters":{"shape":"Sel"},"TaskInvocationParameters":{"shape":"Sjr"},"Priority":{"type":"integer"},"MaxConcurrency":{},"MaxErrors":{},"LoggingInfo":{"shape":"Ser"},"Name":{},"Description":{"shape":"S3t"},"Replace":{"type":"boolean"},"CutoffBehavior":{}}},"output":{"type":"structure","members":{"WindowId":{},"WindowTaskId":{},"Targets":{"shape":"S18"},"TaskArn":{},"ServiceRoleArn":{},"TaskParameters":{"shape":"Sel"},"TaskInvocationParameters":{"shape":"Sjr"},"Priority":{"type":"integer"},"MaxConcurrency":{},"MaxErrors":{},"LoggingInfo":{"shape":"Ser"},"Name":{},"Description":{"shape":"S3t"},"CutoffBehavior":{}}}},"UpdateManagedInstanceRole":{"input":{"type":"structure","required":["InstanceId","IamRole"],"members":{"InstanceId":{},"IamRole":{}}},"output":{"type":"structure","members":{}}},"UpdateOpsItem":{"input":{"type":"structure","required":["OpsItemId"],"members":{"Description":{},"OperationalData":{"shape":"S47"},"OperationalDataToDelete":{"type":"list","member":{}},"Notifications":{"shape":"S4c"},"Priority":{"type":"integer"},"RelatedOpsItems":{"shape":"S4g"},"Status":{},"OpsItemId":{},"Title":{},"Category":{},"Severity":{},"ActualStartTime":{"type":"timestamp"},"ActualEndTime":{"type":"timestamp"},"PlannedStartTime":{"type":"timestamp"},"PlannedEndTime":{"type":"timestamp"}}},"output":{"type":"structure","members":{}}},"UpdateOpsMetadata":{"input":{"type":"structure","required":["OpsMetadataArn"],"members":{"OpsMetadataArn":{},"MetadataToUpdate":{"shape":"S4p"},"KeysToDelete":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"OpsMetadataArn":{}}}},"UpdatePatchBaseline":{"input":{"type":"structure","required":["BaselineId"],"members":{"BaselineId":{},"Name":{},"GlobalFilters":{"shape":"S4y"},"ApprovalRules":{"shape":"S54"},"ApprovedPatches":{"shape":"S5b"},"ApprovedPatchesComplianceLevel":{},"ApprovedPatchesEnableNonSecurity":{"type":"boolean"},"RejectedPatches":{"shape":"S5b"},"RejectedPatchesAction":{},"Description":{},"Sources":{"shape":"S5f"},"Replace":{"type":"boolean"}}},"output":{"type":"structure","members":{"BaselineId":{},"Name":{},"OperatingSystem":{},"GlobalFilters":{"shape":"S4y"},"ApprovalRules":{"shape":"S54"},"ApprovedPatches":{"shape":"S5b"},"ApprovedPatchesComplianceLevel":{},"ApprovedPatchesEnableNonSecurity":{"type":"boolean"},"RejectedPatches":{"shape":"S5b"},"RejectedPatchesAction":{},"CreatedDate":{"type":"timestamp"},"ModifiedDate":{"type":"timestamp"},"Description":{},"Sources":{"shape":"S5f"}}}},"UpdateResourceDataSync":{"input":{"type":"structure","required":["SyncName","SyncType","SyncSource"],"members":{"SyncName":{},"SyncType":{},"SyncSource":{"shape":"S5y"}}},"output":{"type":"structure","members":{}}},"UpdateServiceSetting":{"input":{"type":"structure","required":["SettingId","SettingValue"],"members":{"SettingId":{},"SettingValue":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"S4":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Si":{"type":"list","member":{}},"S14":{"type":"map","key":{},"value":{"type":"list","member":{}},"sensitive":true},"S18":{"type":"list","member":{"type":"structure","members":{"Key":{},"Values":{"type":"list","member":{}}}}},"S1e":{"type":"structure","members":{"S3Location":{"type":"structure","members":{"OutputS3Region":{},"OutputS3BucketName":{},"OutputS3KeyPrefix":{}}}}},"S1q":{"type":"list","member":{}},"S1s":{"type":"list","member":{"shape":"S1t"}},"S1t":{"type":"structure","members":{"Accounts":{"type":"list","member":{}},"Regions":{"type":"list","member":{}},"TargetLocationMaxConcurrency":{},"TargetLocationMaxErrors":{},"ExecutionRoleName":{}}},"S20":{"type":"structure","members":{"Name":{},"InstanceId":{},"AssociationVersion":{},"Date":{"type":"timestamp"},"LastUpdateAssociationDate":{"type":"timestamp"},"Status":{"shape":"S23"},"Overview":{"shape":"S27"},"DocumentVersion":{},"AutomationTargetParameterName":{},"Parameters":{"shape":"S14"},"AssociationId":{},"Targets":{"shape":"S18"},"ScheduleExpression":{},"OutputLocation":{"shape":"S1e"},"LastExecutionDate":{"type":"timestamp"},"LastSuccessfulExecutionDate":{"type":"timestamp"},"AssociationName":{},"MaxErrors":{},"MaxConcurrency":{},"ComplianceSeverity":{},"SyncCompliance":{},"ApplyOnlyAtCronInterval":{"type":"boolean"},"CalendarNames":{"shape":"S1q"},"TargetLocations":{"shape":"S1s"}}},"S23":{"type":"structure","required":["Date","Name","Message"],"members":{"Date":{"type":"timestamp"},"Name":{},"Message":{},"AdditionalInfo":{}}},"S27":{"type":"structure","members":{"Status":{},"DetailedStatus":{},"AssociationStatusAggregatedCount":{"type":"map","key":{},"value":{"type":"integer"}}}},"S2e":{"type":"structure","required":["Name"],"members":{"Name":{},"InstanceId":{},"Parameters":{"shape":"S14"},"AutomationTargetParameterName":{},"DocumentVersion":{},"Targets":{"shape":"S18"},"ScheduleExpression":{},"OutputLocation":{"shape":"S1e"},"AssociationName":{},"MaxErrors":{},"MaxConcurrency":{},"ComplianceSeverity":{},"SyncCompliance":{},"ApplyOnlyAtCronInterval":{"type":"boolean"},"CalendarNames":{"shape":"S1q"},"TargetLocations":{"shape":"S1s"}}},"S2n":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{},"Version":{}}}},"S2p":{"type":"list","member":{"type":"structure","members":{"Key":{},"Values":{"type":"list","member":{}},"Name":{}}}},"S32":{"type":"structure","members":{"Sha1":{},"Hash":{},"HashType":{},"Name":{},"DisplayName":{},"VersionName":{},"Owner":{},"CreatedDate":{"type":"timestamp"},"Status":{},"StatusInformation":{},"DocumentVersion":{},"Description":{},"Parameters":{"type":"list","member":{"type":"structure","members":{"Name":{},"Type":{},"Description":{},"DefaultValue":{}}}},"PlatformTypes":{"shape":"S3g"},"DocumentType":{},"SchemaVersion":{},"LatestVersion":{},"DefaultVersion":{},"DocumentFormat":{},"TargetType":{},"Tags":{"shape":"S4"},"AttachmentsInformation":{"type":"list","member":{"type":"structure","members":{"Name":{}}}},"Requires":{"shape":"S2n"},"Author":{},"ReviewInformation":{"type":"list","member":{"type":"structure","members":{"ReviewedTime":{"type":"timestamp"},"Status":{},"Reviewer":{}}}},"ApprovedVersion":{},"PendingReviewVersion":{},"ReviewStatus":{}}},"S3g":{"type":"list","member":{}},"S3t":{"type":"string","sensitive":true},"S47":{"type":"map","key":{},"value":{"type":"structure","members":{"Value":{},"Type":{}}}},"S4c":{"type":"list","member":{"type":"structure","members":{"Arn":{}}}},"S4g":{"type":"list","member":{"type":"structure","required":["OpsItemId"],"members":{"OpsItemId":{}}}},"S4p":{"type":"map","key":{},"value":{"type":"structure","members":{"Value":{}}}},"S4y":{"type":"structure","required":["PatchFilters"],"members":{"PatchFilters":{"type":"list","member":{"type":"structure","required":["Key","Values"],"members":{"Key":{},"Values":{"type":"list","member":{}}}}}}},"S54":{"type":"structure","required":["PatchRules"],"members":{"PatchRules":{"type":"list","member":{"type":"structure","required":["PatchFilterGroup"],"members":{"PatchFilterGroup":{"shape":"S4y"},"ComplianceLevel":{},"ApproveAfterDays":{"type":"integer"},"ApproveUntilDate":{},"EnableNonSecurity":{"type":"boolean"}}}}}},"S5b":{"type":"list","member":{}},"S5f":{"type":"list","member":{"type":"structure","required":["Name","Products","Configuration"],"members":{"Name":{},"Products":{"type":"list","member":{}},"Configuration":{"type":"string","sensitive":true}}}},"S5p":{"type":"structure","required":["BucketName","SyncFormat","Region"],"members":{"BucketName":{},"Prefix":{},"SyncFormat":{},"Region":{},"AWSKMSKeyARN":{},"DestinationDataSharing":{"type":"structure","members":{"DestinationDataSharingType":{}}}}},"S5y":{"type":"structure","required":["SourceType","SourceRegions"],"members":{"SourceType":{},"AwsOrganizationsSource":{"shape":"S60"},"SourceRegions":{"shape":"S65"},"IncludeFutureRegions":{"type":"boolean"},"EnableAllOpsDataSources":{"type":"boolean"}}},"S60":{"type":"structure","required":["OrganizationSourceType"],"members":{"OrganizationSourceType":{},"OrganizationalUnits":{"type":"list","member":{"type":"structure","members":{"OrganizationalUnitId":{}}}}}},"S65":{"type":"list","member":{}},"S6m":{"type":"structure","members":{"TotalCount":{"type":"integer"},"RemainingCount":{"type":"integer"},"SummaryItems":{"type":"list","member":{"type":"structure","members":{"Version":{},"Count":{"type":"integer"},"RemainingCount":{"type":"integer"}}}}}},"S71":{"type":"list","member":{}},"S8w":{"type":"map","key":{},"value":{"type":"list","member":{}}},"S91":{"type":"list","member":{"type":"map","key":{},"value":{"type":"list","member":{}}}},"S96":{"type":"structure","members":{"ParameterValues":{"type":"list","member":{}},"Truncated":{"type":"boolean"}}},"S9a":{"type":"list","member":{"type":"structure","required":["DocumentName"],"members":{"DocumentName":{},"DocumentVersion":{},"Parameters":{"shape":"S8w"},"TargetParameterName":{},"Targets":{"shape":"S18"},"MaxConcurrency":{},"MaxErrors":{},"TargetLocations":{"shape":"S1s"}}}},"S9k":{"type":"list","member":{"type":"structure","members":{"StepName":{},"Action":{},"TimeoutSeconds":{"type":"long"},"OnFailure":{},"MaxAttempts":{"type":"integer"},"ExecutionStartTime":{"type":"timestamp"},"ExecutionEndTime":{"type":"timestamp"},"StepStatus":{},"ResponseCode":{},"Inputs":{"type":"map","key":{},"value":{}},"Outputs":{"shape":"S8w"},"Response":{},"FailureMessage":{},"FailureDetails":{"type":"structure","members":{"FailureStage":{},"FailureType":{},"Details":{"shape":"S8w"}}},"StepExecutionId":{},"OverriddenParameters":{"shape":"S8w"},"IsEnd":{"type":"boolean"},"NextStep":{},"IsCritical":{"type":"boolean"},"ValidNextSteps":{"type":"list","member":{}},"Targets":{"shape":"S18"},"TargetLocation":{"shape":"S1t"}}}},"S9u":{"type":"list","member":{"type":"structure","members":{"Key":{},"Values":{"type":"list","member":{}}}}},"Sa2":{"type":"structure","members":{"Id":{},"ReleaseDate":{"type":"timestamp"},"Title":{},"Description":{},"ContentUrl":{},"Vendor":{},"ProductFamily":{},"Product":{},"Classification":{},"MsrcSeverity":{},"KbNumber":{},"MsrcNumber":{},"Language":{},"AdvisoryIds":{"type":"list","member":{}},"BugzillaIds":{"type":"list","member":{}},"CVEIds":{"type":"list","member":{}},"Name":{},"Epoch":{"type":"integer"},"Version":{},"Release":{},"Arch":{},"Severity":{},"Repository":{}}},"Sax":{"type":"list","member":{}},"Sbq":{"type":"list","member":{}},"Scc":{"type":"structure","required":["InstanceId","PatchGroup","BaselineId","OperationStartTime","OperationEndTime","Operation"],"members":{"InstanceId":{},"PatchGroup":{},"BaselineId":{},"SnapshotId":{},"InstallOverrideList":{},"OwnerInformation":{"shape":"Scf"},"InstalledCount":{"type":"integer"},"InstalledOtherCount":{"type":"integer"},"InstalledPendingRebootCount":{"type":"integer"},"InstalledRejectedCount":{"type":"integer"},"MissingCount":{"type":"integer"},"FailedCount":{"type":"integer"},"UnreportedNotApplicableCount":{"type":"integer"},"NotApplicableCount":{"type":"integer"},"OperationStartTime":{"type":"timestamp"},"OperationEndTime":{"type":"timestamp"},"Operation":{},"LastNoRebootInstallOperationTime":{"type":"timestamp"},"RebootOption":{},"CriticalNonCompliantCount":{"type":"integer"},"SecurityNonCompliantCount":{"type":"integer"},"OtherNonCompliantCount":{"type":"integer"}}},"Scf":{"type":"string","sensitive":true},"Sdi":{"type":"list","member":{"type":"structure","members":{"Key":{},"Values":{"type":"list","member":{}}}}},"Sdu":{"type":"string","sensitive":true},"Sel":{"type":"map","key":{},"value":{"type":"structure","members":{"Values":{"type":"list","member":{"type":"string","sensitive":true},"sensitive":true}},"sensitive":true},"sensitive":true},"Ser":{"type":"structure","required":["S3BucketName","S3Region"],"members":{"S3BucketName":{},"S3KeyPrefix":{},"S3Region":{}}},"Sfl":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Option":{},"Values":{"type":"list","member":{}}}}},"Sg0":{"type":"list","member":{"type":"structure","members":{"PolicyText":{},"PolicyType":{},"PolicyStatus":{}}}},"Sg6":{"type":"structure","members":{"BaselineId":{},"BaselineName":{},"OperatingSystem":{},"BaselineDescription":{},"DefaultBaseline":{"type":"boolean"}}},"Shr":{"type":"structure","members":{"CloudWatchLogGroupName":{},"CloudWatchOutputEnabled":{"type":"boolean"}}},"Sid":{"type":"list","member":{"type":"structure","required":["Key","Values"],"members":{"Key":{},"Values":{"type":"list","member":{}},"Type":{}}}},"Sij":{"type":"list","member":{"type":"structure","members":{"Expression":{},"Aggregators":{"shape":"Sij"},"Groups":{"type":"list","member":{"type":"structure","required":["Name","Filters"],"members":{"Name":{},"Filters":{"shape":"Sid"}}}}}}},"Sj0":{"type":"list","member":{"type":"map","key":{},"value":{}}},"Sjr":{"type":"structure","members":{"RunCommand":{"type":"structure","members":{"Comment":{},"CloudWatchOutputConfig":{"shape":"Shr"},"DocumentHash":{},"DocumentHashType":{},"DocumentVersion":{},"NotificationConfig":{"shape":"Sjt"},"OutputS3BucketName":{},"OutputS3KeyPrefix":{},"Parameters":{"shape":"S14"},"ServiceRoleArn":{},"TimeoutSeconds":{"type":"integer"}}},"Automation":{"type":"structure","members":{"DocumentVersion":{},"Parameters":{"shape":"S8w"}}},"StepFunctions":{"type":"structure","members":{"Input":{"type":"string","sensitive":true},"Name":{}}},"Lambda":{"type":"structure","members":{"ClientContext":{},"Qualifier":{},"Payload":{"type":"blob","sensitive":true}}}}},"Sjt":{"type":"structure","members":{"NotificationArn":{},"NotificationEvents":{"type":"list","member":{}},"NotificationType":{}}},"Ske":{"type":"list","member":{"type":"structure","required":["Key","Values"],"members":{"Key":{},"Values":{"type":"list","member":{}},"Type":{}}}},"Skk":{"type":"list","member":{"type":"structure","members":{"AggregatorType":{},"TypeName":{},"AttributeName":{},"Values":{"type":"map","key":{},"value":{}},"Filters":{"shape":"Ske"},"Aggregators":{"shape":"Skk"}}}},"Sl6":{"type":"structure","members":{"Name":{},"Type":{},"Value":{"shape":"Sl7"},"Version":{"type":"long"},"Selector":{},"SourceResult":{},"LastModifiedDate":{"type":"timestamp"},"ARN":{},"DataType":{}}},"Sl7":{"type":"string","sensitive":true},"Sld":{"type":"list","member":{}},"Slh":{"type":"list","member":{"shape":"Sl6"}},"Slt":{"type":"structure","members":{"SettingId":{},"SettingValue":{},"LastModifiedDate":{"type":"timestamp"},"LastModifiedUser":{},"ARN":{},"Status":{}}},"Smb":{"type":"list","member":{"type":"structure","required":["key","value"],"members":{"key":{},"value":{}}}},"Smr":{"type":"structure","members":{"CommandId":{},"DocumentName":{},"DocumentVersion":{},"Comment":{},"ExpiresAfter":{"type":"timestamp"},"Parameters":{"shape":"S14"},"InstanceIds":{"shape":"Si"},"Targets":{"shape":"S18"},"RequestedDateTime":{"type":"timestamp"},"Status":{},"StatusDetails":{},"OutputS3Region":{},"OutputS3BucketName":{},"OutputS3KeyPrefix":{},"MaxConcurrency":{},"MaxErrors":{},"TargetCount":{"type":"integer"},"CompletedCount":{"type":"integer"},"ErrorCount":{"type":"integer"},"DeliveryTimedOutCount":{"type":"integer"},"ServiceRole":{},"NotificationConfig":{"shape":"Sjt"},"CloudWatchOutputConfig":{"shape":"Shr"},"TimeoutSeconds":{"type":"integer"}}},"Smy":{"type":"list","member":{"type":"structure","members":{"Key":{},"Values":{"type":"list","member":{}},"Type":{}}}},"Sng":{"type":"structure","required":["ExecutionTime"],"members":{"ExecutionTime":{"type":"timestamp"},"ExecutionId":{},"ExecutionType":{}}},"Snj":{"type":"map","key":{},"value":{}},"Sno":{"type":"structure","members":{"CompliantCount":{"type":"integer"},"SeveritySummary":{"shape":"Snq"}}},"Snq":{"type":"structure","members":{"CriticalCount":{"type":"integer"},"HighCount":{"type":"integer"},"MediumCount":{"type":"integer"},"LowCount":{"type":"integer"},"InformationalCount":{"type":"integer"},"UnspecifiedCount":{"type":"integer"}}},"Snr":{"type":"structure","members":{"NonCompliantCount":{"type":"integer"},"SeveritySummary":{"shape":"Snq"}}},"Sny":{"type":"list","member":{"type":"structure","members":{"Type":{},"Content":{}}}},"Sow":{"type":"structure","members":{"Arn":{}}}}}');

/***/ }),

/***/ 5135:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeActivations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ActivationList"},"DescribeAssociationExecutionTargets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AssociationExecutionTargets"},"DescribeAssociationExecutions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AssociationExecutions"},"DescribeAutomationExecutions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AutomationExecutionMetadataList"},"DescribeAutomationStepExecutions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"StepExecutions"},"DescribeAvailablePatches":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Patches"},"DescribeEffectiveInstanceAssociations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Associations"},"DescribeEffectivePatchesForPatchBaseline":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"EffectivePatches"},"DescribeInstanceAssociationsStatus":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InstanceAssociationStatusInfos"},"DescribeInstanceInformation":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InstanceInformationList"},"DescribeInstancePatchStates":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InstancePatchStates"},"DescribeInstancePatchStatesForPatchGroup":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InstancePatchStates"},"DescribeInstancePatches":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Patches"},"DescribeInventoryDeletions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"InventoryDeletions"},"DescribeMaintenanceWindowExecutionTaskInvocations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"WindowExecutionTaskInvocationIdentities"},"DescribeMaintenanceWindowExecutionTasks":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"WindowExecutionTaskIdentities"},"DescribeMaintenanceWindowExecutions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"WindowExecutions"},"DescribeMaintenanceWindowSchedule":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ScheduledWindowExecutions"},"DescribeMaintenanceWindowTargets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Targets"},"DescribeMaintenanceWindowTasks":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Tasks"},"DescribeMaintenanceWindows":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"WindowIdentities"},"DescribeMaintenanceWindowsForTarget":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"WindowIdentities"},"DescribeOpsItems":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"OpsItemSummaries"},"DescribeParameters":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"DescribePatchBaselines":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"BaselineIdentities"},"DescribePatchGroups":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Mappings"},"DescribePatchProperties":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Properties"},"DescribeSessions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Sessions"},"GetInventory":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Entities"},"GetInventorySchema":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Schemas"},"GetOpsSummary":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Entities"},"GetParameterHistory":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetParametersByPath":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListAssociationVersions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AssociationVersions"},"ListAssociations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Associations"},"ListCommandInvocations":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"CommandInvocations"},"ListCommands":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Commands"},"ListComplianceItems":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ComplianceItems"},"ListComplianceSummaries":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ComplianceSummaryItems"},"ListDocumentVersions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DocumentVersions"},"ListDocuments":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"DocumentIdentifiers"},"ListOpsItemEvents":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Summaries"},"ListOpsItemRelatedItems":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Summaries"},"ListOpsMetadata":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"OpsMetadataList"},"ListResourceComplianceSummaries":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ResourceComplianceSummaryItems"},"ListResourceDataSync":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ResourceDataSyncItems"}}}');

/***/ }),

/***/ 98523:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"CommandExecuted":{"delay":5,"operation":"GetCommandInvocation","maxAttempts":20,"acceptors":[{"expected":"Pending","matcher":"path","state":"retry","argument":"Status"},{"expected":"InProgress","matcher":"path","state":"retry","argument":"Status"},{"expected":"Delayed","matcher":"path","state":"retry","argument":"Status"},{"expected":"Success","matcher":"path","state":"success","argument":"Status"},{"expected":"Cancelled","matcher":"path","state":"failure","argument":"Status"},{"expected":"TimedOut","matcher":"path","state":"failure","argument":"Status"},{"expected":"Failed","matcher":"path","state":"failure","argument":"Status"},{"expected":"Cancelling","matcher":"path","state":"failure","argument":"Status"},{"state":"retry","matcher":"error","expected":"InvocationDoesNotExist"}]}}}');

/***/ }),

/***/ 74831:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-05-03","endpointPrefix":"ssm-contacts","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"SSM Contacts","serviceFullName":"AWS Systems Manager Incident Manager Contacts","serviceId":"SSM Contacts","signatureVersion":"v4","signingName":"ssm-contacts","targetPrefix":"SSMContacts","uid":"ssm-contacts-2021-05-03"},"operations":{"AcceptPage":{"input":{"type":"structure","required":["PageId","AcceptType","AcceptCode"],"members":{"PageId":{},"ContactChannelId":{},"AcceptType":{},"Note":{},"AcceptCode":{},"AcceptCodeValidation":{}}},"output":{"type":"structure","members":{}}},"ActivateContactChannel":{"input":{"type":"structure","required":["ContactChannelId","ActivationCode"],"members":{"ContactChannelId":{},"ActivationCode":{}}},"output":{"type":"structure","members":{}}},"CreateContact":{"input":{"type":"structure","required":["Alias","Type","Plan"],"members":{"Alias":{},"DisplayName":{},"Type":{},"Plan":{"shape":"Sf"},"Tags":{"shape":"Sp"},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["ContactArn"],"members":{"ContactArn":{}}}},"CreateContactChannel":{"input":{"type":"structure","required":["ContactId","Name","Type","DeliveryAddress"],"members":{"ContactId":{},"Name":{},"Type":{},"DeliveryAddress":{"shape":"Sy"},"DeferActivation":{"type":"boolean"},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["ContactChannelArn"],"members":{"ContactChannelArn":{}}}},"DeactivateContactChannel":{"input":{"type":"structure","required":["ContactChannelId"],"members":{"ContactChannelId":{}}},"output":{"type":"structure","members":{}}},"DeleteContact":{"input":{"type":"structure","required":["ContactId"],"members":{"ContactId":{}}},"output":{"type":"structure","members":{}}},"DeleteContactChannel":{"input":{"type":"structure","required":["ContactChannelId"],"members":{"ContactChannelId":{}}},"output":{"type":"structure","members":{}}},"DescribeEngagement":{"input":{"type":"structure","required":["EngagementId"],"members":{"EngagementId":{}}},"output":{"type":"structure","required":["ContactArn","EngagementArn","Sender","Subject","Content"],"members":{"ContactArn":{},"EngagementArn":{},"Sender":{},"Subject":{},"Content":{},"PublicSubject":{},"PublicContent":{},"IncidentId":{},"StartTime":{"type":"timestamp"},"StopTime":{"type":"timestamp"}}}},"DescribePage":{"input":{"type":"structure","required":["PageId"],"members":{"PageId":{}}},"output":{"type":"structure","required":["PageArn","EngagementArn","ContactArn","Sender","Subject","Content"],"members":{"PageArn":{},"EngagementArn":{},"ContactArn":{},"Sender":{},"Subject":{},"Content":{},"PublicSubject":{},"PublicContent":{},"IncidentId":{},"SentTime":{"type":"timestamp"},"ReadTime":{"type":"timestamp"},"DeliveryTime":{"type":"timestamp"}}}},"GetContact":{"input":{"type":"structure","required":["ContactId"],"members":{"ContactId":{}}},"output":{"type":"structure","required":["ContactArn","Alias","Type","Plan"],"members":{"ContactArn":{},"Alias":{},"DisplayName":{},"Type":{},"Plan":{"shape":"Sf"}}}},"GetContactChannel":{"input":{"type":"structure","required":["ContactChannelId"],"members":{"ContactChannelId":{}}},"output":{"type":"structure","required":["ContactArn","ContactChannelArn","Name","Type","DeliveryAddress"],"members":{"ContactArn":{},"ContactChannelArn":{},"Name":{},"Type":{},"DeliveryAddress":{"shape":"Sy"},"ActivationStatus":{}}}},"GetContactPolicy":{"input":{"type":"structure","required":["ContactArn"],"members":{"ContactArn":{}}},"output":{"type":"structure","members":{"ContactArn":{},"Policy":{}}}},"ListContactChannels":{"input":{"type":"structure","required":["ContactId"],"members":{"ContactId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["ContactChannels"],"members":{"NextToken":{},"ContactChannels":{"type":"list","member":{"type":"structure","required":["ContactChannelArn","ContactArn","Name","DeliveryAddress","ActivationStatus"],"members":{"ContactChannelArn":{},"ContactArn":{},"Name":{},"Type":{},"DeliveryAddress":{"shape":"Sy"},"ActivationStatus":{}}}}}}},"ListContacts":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"AliasPrefix":{},"Type":{}}},"output":{"type":"structure","members":{"NextToken":{},"Contacts":{"type":"list","member":{"type":"structure","required":["ContactArn","Alias","Type"],"members":{"ContactArn":{},"Alias":{},"DisplayName":{},"Type":{}}}}}}},"ListEngagements":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"IncidentId":{},"TimeRangeValue":{"type":"structure","members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}}}},"output":{"type":"structure","required":["Engagements"],"members":{"NextToken":{},"Engagements":{"type":"list","member":{"type":"structure","required":["EngagementArn","ContactArn","Sender"],"members":{"EngagementArn":{},"ContactArn":{},"Sender":{},"IncidentId":{},"StartTime":{"type":"timestamp"},"StopTime":{"type":"timestamp"}}}}}}},"ListPageReceipts":{"input":{"type":"structure","required":["PageId"],"members":{"PageId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"Receipts":{"type":"list","member":{"type":"structure","required":["ReceiptType","ReceiptTime"],"members":{"ContactChannelArn":{},"ReceiptType":{},"ReceiptInfo":{},"ReceiptTime":{"type":"timestamp"}}}}}}},"ListPagesByContact":{"input":{"type":"structure","required":["ContactId"],"members":{"ContactId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["Pages"],"members":{"NextToken":{},"Pages":{"shape":"S2d"}}}},"ListPagesByEngagement":{"input":{"type":"structure","required":["EngagementId"],"members":{"EngagementId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","required":["Pages"],"members":{"NextToken":{},"Pages":{"shape":"S2d"}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sp"}}}},"PutContactPolicy":{"input":{"type":"structure","required":["ContactArn","Policy"],"members":{"ContactArn":{},"Policy":{}}},"output":{"type":"structure","members":{}}},"SendActivationCode":{"input":{"type":"structure","required":["ContactChannelId"],"members":{"ContactChannelId":{}}},"output":{"type":"structure","members":{}}},"StartEngagement":{"input":{"type":"structure","required":["ContactId","Sender","Subject","Content"],"members":{"ContactId":{},"Sender":{},"Subject":{},"Content":{},"PublicSubject":{},"PublicContent":{},"IncidentId":{},"IdempotencyToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["EngagementArn"],"members":{"EngagementArn":{}}}},"StopEngagement":{"input":{"type":"structure","required":["EngagementId"],"members":{"EngagementId":{},"Reason":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"Sp"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateContact":{"input":{"type":"structure","required":["ContactId"],"members":{"ContactId":{},"DisplayName":{},"Plan":{"shape":"Sf"}}},"output":{"type":"structure","members":{}}},"UpdateContactChannel":{"input":{"type":"structure","required":["ContactChannelId"],"members":{"ContactChannelId":{},"Name":{},"DeliveryAddress":{"shape":"Sy"}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sf":{"type":"structure","required":["Stages"],"members":{"Stages":{"type":"list","member":{"type":"structure","required":["DurationInMinutes","Targets"],"members":{"DurationInMinutes":{"type":"integer"},"Targets":{"type":"list","member":{"type":"structure","members":{"ChannelTargetInfo":{"type":"structure","required":["ContactChannelId"],"members":{"ContactChannelId":{},"RetryIntervalInMinutes":{"type":"integer"}}},"ContactTargetInfo":{"type":"structure","required":["IsEssential"],"members":{"ContactId":{},"IsEssential":{"type":"boolean"}}}}}}}}}}},"Sp":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"Sy":{"type":"structure","members":{"SimpleAddress":{}}},"S2d":{"type":"list","member":{"type":"structure","required":["PageArn","EngagementArn","ContactArn","Sender"],"members":{"PageArn":{},"EngagementArn":{},"ContactArn":{},"Sender":{},"IncidentId":{},"SentTime":{"type":"timestamp"},"DeliveryTime":{"type":"timestamp"},"ReadTime":{"type":"timestamp"}}}}}}');

/***/ }),

/***/ 63938:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListContactChannels":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ContactChannels"},"ListContacts":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Contacts"},"ListEngagements":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Engagements"},"ListPageReceipts":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Receipts"},"ListPagesByContact":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Pages"},"ListPagesByEngagement":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Pages"}}}');

/***/ }),

/***/ 18719:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-05-10","endpointPrefix":"ssm-incidents","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"SSM Incidents","serviceFullName":"AWS Systems Manager Incident Manager","serviceId":"SSM Incidents","signatureVersion":"v4","signingName":"ssm-incidents","uid":"ssm-incidents-2018-05-10"},"operations":{"CreateReplicationSet":{"http":{"requestUri":"/createReplicationSet","responseCode":201},"input":{"type":"structure","required":["regions"],"members":{"clientToken":{"idempotencyToken":true},"regions":{"type":"map","key":{},"value":{"type":"structure","members":{"sseKmsKeyId":{}}}}}},"output":{"type":"structure","required":["arn"],"members":{"arn":{}}}},"CreateResponsePlan":{"http":{"requestUri":"/createResponsePlan","responseCode":201},"input":{"type":"structure","required":["incidentTemplate","name"],"members":{"actions":{"shape":"Sa"},"chatChannel":{"shape":"Sl"},"clientToken":{"idempotencyToken":true},"displayName":{},"engagements":{"shape":"Sq"},"incidentTemplate":{"shape":"Ss"},"name":{},"tags":{"shape":"S10"}}},"output":{"type":"structure","required":["arn"],"members":{"arn":{}}},"idempotent":true},"CreateTimelineEvent":{"http":{"requestUri":"/createTimelineEvent","responseCode":201},"input":{"type":"structure","required":["eventData","eventTime","eventType","incidentRecordArn"],"members":{"clientToken":{"idempotencyToken":true},"eventData":{},"eventTime":{"type":"timestamp"},"eventType":{},"incidentRecordArn":{}}},"output":{"type":"structure","required":["eventId","incidentRecordArn"],"members":{"eventId":{},"incidentRecordArn":{}}},"idempotent":true},"DeleteIncidentRecord":{"http":{"requestUri":"/deleteIncidentRecord","responseCode":204},"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteReplicationSet":{"http":{"requestUri":"/deleteReplicationSet","responseCode":204},"input":{"type":"structure","required":["arn"],"members":{"arn":{"location":"querystring","locationName":"arn"}}},"output":{"type":"structure","members":{}}},"DeleteResourcePolicy":{"http":{"requestUri":"/deleteResourcePolicy","responseCode":200},"input":{"type":"structure","required":["policyId","resourceArn"],"members":{"policyId":{},"resourceArn":{}}},"output":{"type":"structure","members":{}}},"DeleteResponsePlan":{"http":{"requestUri":"/deleteResponsePlan","responseCode":204},"input":{"type":"structure","required":["arn"],"members":{"arn":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteTimelineEvent":{"http":{"requestUri":"/deleteTimelineEvent","responseCode":204},"input":{"type":"structure","required":["eventId","incidentRecordArn"],"members":{"eventId":{},"incidentRecordArn":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"GetIncidentRecord":{"http":{"method":"GET","requestUri":"/getIncidentRecord","responseCode":200},"input":{"type":"structure","required":["arn"],"members":{"arn":{"location":"querystring","locationName":"arn"}}},"output":{"type":"structure","required":["incidentRecord"],"members":{"incidentRecord":{"type":"structure","required":["arn","creationTime","dedupeString","impact","incidentRecordSource","lastModifiedBy","lastModifiedTime","status","title"],"members":{"arn":{},"automationExecutions":{"type":"list","member":{"type":"structure","members":{"ssmExecutionArn":{}},"union":true}},"chatChannel":{"shape":"Sl"},"creationTime":{"type":"timestamp"},"dedupeString":{},"impact":{"type":"integer"},"incidentRecordSource":{"shape":"S1q"},"lastModifiedBy":{},"lastModifiedTime":{"type":"timestamp"},"notificationTargets":{"shape":"Sv"},"resolvedTime":{"type":"timestamp"},"status":{},"summary":{},"title":{}}}}}},"GetReplicationSet":{"http":{"method":"GET","requestUri":"/getReplicationSet","responseCode":200},"input":{"type":"structure","required":["arn"],"members":{"arn":{"location":"querystring","locationName":"arn"}}},"output":{"type":"structure","required":["replicationSet"],"members":{"replicationSet":{"type":"structure","required":["createdBy","createdTime","deletionProtected","lastModifiedBy","lastModifiedTime","regionMap","status"],"members":{"arn":{},"createdBy":{},"createdTime":{"type":"timestamp"},"deletionProtected":{"type":"boolean"},"lastModifiedBy":{},"lastModifiedTime":{"type":"timestamp"},"regionMap":{"type":"map","key":{},"value":{"type":"structure","required":["status","statusUpdateDateTime"],"members":{"sseKmsKeyId":{},"status":{},"statusMessage":{},"statusUpdateDateTime":{"type":"timestamp"}}}},"status":{}}}}}},"GetResourcePolicies":{"http":{"requestUri":"/getResourcePolicies","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"maxResults":{"type":"integer"},"nextToken":{},"resourceArn":{"location":"querystring","locationName":"resourceArn"}}},"output":{"type":"structure","required":["resourcePolicies"],"members":{"nextToken":{},"resourcePolicies":{"type":"list","member":{"type":"structure","required":["policyDocument","policyId","ramResourceShareRegion"],"members":{"policyDocument":{},"policyId":{},"ramResourceShareRegion":{}}}}}}},"GetResponsePlan":{"http":{"method":"GET","requestUri":"/getResponsePlan","responseCode":200},"input":{"type":"structure","required":["arn"],"members":{"arn":{"location":"querystring","locationName":"arn"}}},"output":{"type":"structure","required":["arn","incidentTemplate","name"],"members":{"actions":{"shape":"Sa"},"arn":{},"chatChannel":{"shape":"Sl"},"displayName":{},"engagements":{"shape":"Sq"},"incidentTemplate":{"shape":"Ss"},"name":{}}}},"GetTimelineEvent":{"http":{"method":"GET","requestUri":"/getTimelineEvent","responseCode":200},"input":{"type":"structure","required":["eventId","incidentRecordArn"],"members":{"eventId":{"location":"querystring","locationName":"eventId"},"incidentRecordArn":{"location":"querystring","locationName":"incidentRecordArn"}}},"output":{"type":"structure","required":["event"],"members":{"event":{"type":"structure","required":["eventData","eventId","eventTime","eventType","eventUpdatedTime","incidentRecordArn"],"members":{"eventData":{},"eventId":{},"eventTime":{"type":"timestamp"},"eventType":{},"eventUpdatedTime":{"type":"timestamp"},"incidentRecordArn":{}}}}}},"ListIncidentRecords":{"http":{"requestUri":"/listIncidentRecords","responseCode":200},"input":{"type":"structure","members":{"filters":{"shape":"S2f"},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["incidentRecordSummaries"],"members":{"incidentRecordSummaries":{"type":"list","member":{"type":"structure","required":["arn","creationTime","impact","incidentRecordSource","status","title"],"members":{"arn":{},"creationTime":{"type":"timestamp"},"impact":{"type":"integer"},"incidentRecordSource":{"shape":"S1q"},"resolvedTime":{"type":"timestamp"},"status":{},"title":{}}}},"nextToken":{}}}},"ListRelatedItems":{"http":{"requestUri":"/listRelatedItems","responseCode":200},"input":{"type":"structure","required":["incidentRecordArn"],"members":{"incidentRecordArn":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["relatedItems"],"members":{"nextToken":{},"relatedItems":{"shape":"S2t"}}}},"ListReplicationSets":{"http":{"requestUri":"/listReplicationSets","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["replicationSetArns"],"members":{"nextToken":{},"replicationSetArns":{"type":"list","member":{}}}}},"ListResponsePlans":{"http":{"requestUri":"/listResponsePlans","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["responsePlanSummaries"],"members":{"nextToken":{},"responsePlanSummaries":{"type":"list","member":{"type":"structure","required":["arn","name"],"members":{"arn":{},"displayName":{},"name":{}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","required":["tags"],"members":{"tags":{"shape":"S10"}}}},"ListTimelineEvents":{"http":{"requestUri":"/listTimelineEvents","responseCode":200},"input":{"type":"structure","required":["incidentRecordArn"],"members":{"filters":{"shape":"S2f"},"incidentRecordArn":{},"maxResults":{"type":"integer"},"nextToken":{},"sortBy":{},"sortOrder":{}}},"output":{"type":"structure","required":["eventSummaries"],"members":{"eventSummaries":{"type":"list","member":{"type":"structure","required":["eventId","eventTime","eventType","eventUpdatedTime","incidentRecordArn"],"members":{"eventId":{},"eventTime":{"type":"timestamp"},"eventType":{},"eventUpdatedTime":{"type":"timestamp"},"incidentRecordArn":{}}}},"nextToken":{}}}},"PutResourcePolicy":{"http":{"requestUri":"/putResourcePolicy","responseCode":200},"input":{"type":"structure","required":["policy","resourceArn"],"members":{"policy":{},"resourceArn":{}}},"output":{"type":"structure","required":["policyId"],"members":{"policyId":{}}}},"StartIncident":{"http":{"requestUri":"/startIncident","responseCode":200},"input":{"type":"structure","required":["responsePlanArn"],"members":{"clientToken":{"idempotencyToken":true},"impact":{"type":"integer"},"relatedItems":{"shape":"S2t"},"responsePlanArn":{},"title":{},"triggerDetails":{"type":"structure","required":["source","timestamp"],"members":{"rawData":{},"source":{},"timestamp":{"type":"timestamp"},"triggerArn":{}}}}},"output":{"type":"structure","required":["incidentRecordArn"],"members":{"incidentRecordArn":{}}},"idempotent":true},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S10"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":204},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateDeletionProtection":{"http":{"requestUri":"/updateDeletionProtection","responseCode":204},"input":{"type":"structure","required":["arn","deletionProtected"],"members":{"arn":{},"clientToken":{"idempotencyToken":true},"deletionProtected":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"UpdateIncidentRecord":{"http":{"requestUri":"/updateIncidentRecord","responseCode":204},"input":{"type":"structure","required":["arn"],"members":{"arn":{},"chatChannel":{"shape":"Sl"},"clientToken":{"idempotencyToken":true},"impact":{"type":"integer"},"notificationTargets":{"shape":"Sv"},"status":{},"summary":{},"title":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateRelatedItems":{"http":{"requestUri":"/updateRelatedItems","responseCode":204},"input":{"type":"structure","required":["incidentRecordArn","relatedItemsUpdate"],"members":{"clientToken":{"idempotencyToken":true},"incidentRecordArn":{},"relatedItemsUpdate":{"type":"structure","members":{"itemToAdd":{"shape":"S2u"},"itemToRemove":{"shape":"S2v"}},"union":true}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateReplicationSet":{"http":{"requestUri":"/updateReplicationSet","responseCode":204},"input":{"type":"structure","required":["actions","arn"],"members":{"actions":{"type":"list","member":{"type":"structure","members":{"addRegionAction":{"type":"structure","required":["regionName"],"members":{"regionName":{},"sseKmsKeyId":{}}},"deleteRegionAction":{"type":"structure","required":["regionName"],"members":{"regionName":{}}}},"union":true}},"arn":{},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{}}},"UpdateResponsePlan":{"http":{"requestUri":"/updateResponsePlan","responseCode":204},"input":{"type":"structure","required":["arn"],"members":{"actions":{"shape":"Sa"},"arn":{},"chatChannel":{"shape":"Sl"},"clientToken":{"idempotencyToken":true},"displayName":{},"engagements":{"shape":"Sq"},"incidentTemplateDedupeString":{},"incidentTemplateImpact":{"type":"integer"},"incidentTemplateNotificationTargets":{"shape":"Sv"},"incidentTemplateSummary":{},"incidentTemplateTitle":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateTimelineEvent":{"http":{"requestUri":"/updateTimelineEvent","responseCode":204},"input":{"type":"structure","required":["eventId","incidentRecordArn"],"members":{"clientToken":{"idempotencyToken":true},"eventData":{},"eventId":{},"eventTime":{"type":"timestamp"},"eventType":{},"incidentRecordArn":{}}},"output":{"type":"structure","members":{}},"idempotent":true}},"shapes":{"Sa":{"type":"list","member":{"type":"structure","members":{"ssmAutomation":{"type":"structure","required":["documentName","roleArn"],"members":{"documentName":{},"documentVersion":{},"parameters":{"type":"map","key":{},"value":{"type":"list","member":{}}},"roleArn":{},"targetAccount":{}}}},"union":true}},"Sl":{"type":"structure","members":{"chatbotSns":{"type":"list","member":{}},"empty":{"type":"structure","members":{}}},"union":true},"Sq":{"type":"list","member":{}},"Ss":{"type":"structure","required":["impact","title"],"members":{"dedupeString":{},"impact":{"type":"integer"},"notificationTargets":{"shape":"Sv"},"summary":{},"title":{}}},"Sv":{"type":"list","member":{"type":"structure","members":{"snsTopicArn":{}},"union":true}},"S10":{"type":"map","key":{},"value":{}},"S1q":{"type":"structure","required":["createdBy","source"],"members":{"createdBy":{},"invokedBy":{},"resourceArn":{},"source":{}}},"S2f":{"type":"list","member":{"type":"structure","required":["condition","key"],"members":{"condition":{"type":"structure","members":{"after":{"type":"timestamp"},"before":{"type":"timestamp"},"equals":{"type":"structure","members":{"integerValues":{"type":"list","member":{"type":"integer"}},"stringValues":{"type":"list","member":{}}},"union":true}},"union":true},"key":{}}}},"S2t":{"type":"list","member":{"shape":"S2u"}},"S2u":{"type":"structure","required":["identifier"],"members":{"identifier":{"shape":"S2v"},"title":{}}},"S2v":{"type":"structure","required":["type","value"],"members":{"type":{},"value":{"type":"structure","members":{"arn":{},"metricDefinition":{},"url":{}},"union":true}}}}}');

/***/ }),

/***/ 4502:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetResourcePolicies":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"resourcePolicies"},"ListIncidentRecords":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"incidentRecordSummaries"},"ListRelatedItems":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"relatedItems"},"ListReplicationSets":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"replicationSetArns"},"ListResponsePlans":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"responsePlanSummaries"},"ListTimelineEvents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"eventSummaries"}}}');

/***/ }),

/***/ 97755:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"V":{"WaitForReplicationSetActive":{"description":"Wait for a replication set to become ACTIVE","delay":30,"maxAttempts":5,"operation":"GetReplicationSet","acceptors":[{"matcher":"path","argument":"replicationSet.status","state":"success","expected":"ACTIVE"},{"matcher":"path","argument":"replicationSet.status","state":"retry","expected":"CREATING"},{"matcher":"path","argument":"replicationSet.status","state":"retry","expected":"UPDATING"},{"matcher":"path","argument":"replicationSet.status","state":"failure","expected":"FAILED"}]},"WaitForReplicationSetDeleted":{"description":"Wait for a replication set to be deleted","delay":30,"maxAttempts":5,"operation":"GetReplicationSet","acceptors":[{"matcher":"error","state":"success","expected":"ResourceNotFoundException"},{"matcher":"path","argument":"replicationSet.status","state":"retry","expected":"DELETING"},{"matcher":"path","argument":"replicationSet.status","state":"failure","expected":"FAILED"}]}}}');

/***/ }),

/***/ 8027:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-06-10","endpointPrefix":"portal.sso","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"SSO","serviceFullName":"AWS Single Sign-On","serviceId":"SSO","signatureVersion":"v4","signingName":"awsssoportal","uid":"sso-2019-06-10"},"operations":{"GetRoleCredentials":{"http":{"method":"GET","requestUri":"/federation/credentials"},"input":{"type":"structure","required":["roleName","accountId","accessToken"],"members":{"roleName":{"location":"querystring","locationName":"role_name"},"accountId":{"location":"querystring","locationName":"account_id"},"accessToken":{"shape":"S4","location":"header","locationName":"x-amz-sso_bearer_token"}}},"output":{"type":"structure","members":{"roleCredentials":{"type":"structure","members":{"accessKeyId":{},"secretAccessKey":{"type":"string","sensitive":true},"sessionToken":{"type":"string","sensitive":true},"expiration":{"type":"long"}}}}},"authtype":"none"},"ListAccountRoles":{"http":{"method":"GET","requestUri":"/assignment/roles"},"input":{"type":"structure","required":["accessToken","accountId"],"members":{"nextToken":{"location":"querystring","locationName":"next_token"},"maxResults":{"location":"querystring","locationName":"max_result","type":"integer"},"accessToken":{"shape":"S4","location":"header","locationName":"x-amz-sso_bearer_token"},"accountId":{"location":"querystring","locationName":"account_id"}}},"output":{"type":"structure","members":{"nextToken":{},"roleList":{"type":"list","member":{"type":"structure","members":{"roleName":{},"accountId":{}}}}}},"authtype":"none"},"ListAccounts":{"http":{"method":"GET","requestUri":"/assignment/accounts"},"input":{"type":"structure","required":["accessToken"],"members":{"nextToken":{"location":"querystring","locationName":"next_token"},"maxResults":{"location":"querystring","locationName":"max_result","type":"integer"},"accessToken":{"shape":"S4","location":"header","locationName":"x-amz-sso_bearer_token"}}},"output":{"type":"structure","members":{"nextToken":{},"accountList":{"type":"list","member":{"type":"structure","members":{"accountId":{},"accountName":{},"emailAddress":{}}}}}},"authtype":"none"},"Logout":{"http":{"requestUri":"/logout"},"input":{"type":"structure","required":["accessToken"],"members":{"accessToken":{"shape":"S4","location":"header","locationName":"x-amz-sso_bearer_token"}}},"authtype":"none"}},"shapes":{"S4":{"type":"string","sensitive":true}}}');

/***/ }),

/***/ 36610:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAccountRoles":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"roleList"},"ListAccounts":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"accountList"}}}');

/***/ }),

/***/ 7239:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-07-20","endpointPrefix":"sso","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"SSO Admin","serviceFullName":"AWS Single Sign-On Admin","serviceId":"SSO Admin","signatureVersion":"v4","signingName":"sso","targetPrefix":"SWBExternalService","uid":"sso-admin-2020-07-20"},"operations":{"AttachManagedPolicyToPermissionSet":{"input":{"type":"structure","required":["InstanceArn","PermissionSetArn","ManagedPolicyArn"],"members":{"InstanceArn":{},"PermissionSetArn":{},"ManagedPolicyArn":{}}},"output":{"type":"structure","members":{}}},"CreateAccountAssignment":{"input":{"type":"structure","required":["InstanceArn","TargetId","TargetType","PermissionSetArn","PrincipalType","PrincipalId"],"members":{"InstanceArn":{},"TargetId":{},"TargetType":{},"PermissionSetArn":{},"PrincipalType":{},"PrincipalId":{}}},"output":{"type":"structure","members":{"AccountAssignmentCreationStatus":{"shape":"Sc"}}}},"CreateInstanceAccessControlAttributeConfiguration":{"input":{"type":"structure","required":["InstanceArn","InstanceAccessControlAttributeConfiguration"],"members":{"InstanceArn":{},"InstanceAccessControlAttributeConfiguration":{"shape":"Si"}}},"output":{"type":"structure","members":{}}},"CreatePermissionSet":{"input":{"type":"structure","required":["Name","InstanceArn"],"members":{"Name":{},"Description":{},"InstanceArn":{},"SessionDuration":{},"RelayState":{},"Tags":{"shape":"Sv"}}},"output":{"type":"structure","members":{"PermissionSet":{"shape":"S10"}}}},"DeleteAccountAssignment":{"input":{"type":"structure","required":["InstanceArn","TargetId","TargetType","PermissionSetArn","PrincipalType","PrincipalId"],"members":{"InstanceArn":{},"TargetId":{},"TargetType":{},"PermissionSetArn":{},"PrincipalType":{},"PrincipalId":{}}},"output":{"type":"structure","members":{"AccountAssignmentDeletionStatus":{"shape":"Sc"}}}},"DeleteInlinePolicyFromPermissionSet":{"input":{"type":"structure","required":["InstanceArn","PermissionSetArn"],"members":{"InstanceArn":{},"PermissionSetArn":{}}},"output":{"type":"structure","members":{}}},"DeleteInstanceAccessControlAttributeConfiguration":{"input":{"type":"structure","required":["InstanceArn"],"members":{"InstanceArn":{}}},"output":{"type":"structure","members":{}}},"DeletePermissionSet":{"input":{"type":"structure","required":["InstanceArn","PermissionSetArn"],"members":{"InstanceArn":{},"PermissionSetArn":{}}},"output":{"type":"structure","members":{}}},"DescribeAccountAssignmentCreationStatus":{"input":{"type":"structure","required":["InstanceArn","AccountAssignmentCreationRequestId"],"members":{"InstanceArn":{},"AccountAssignmentCreationRequestId":{}}},"output":{"type":"structure","members":{"AccountAssignmentCreationStatus":{"shape":"Sc"}}}},"DescribeAccountAssignmentDeletionStatus":{"input":{"type":"structure","required":["InstanceArn","AccountAssignmentDeletionRequestId"],"members":{"InstanceArn":{},"AccountAssignmentDeletionRequestId":{}}},"output":{"type":"structure","members":{"AccountAssignmentDeletionStatus":{"shape":"Sc"}}}},"DescribeInstanceAccessControlAttributeConfiguration":{"input":{"type":"structure","required":["InstanceArn"],"members":{"InstanceArn":{}}},"output":{"type":"structure","members":{"Status":{},"StatusReason":{},"InstanceAccessControlAttributeConfiguration":{"shape":"Si"}}}},"DescribePermissionSet":{"input":{"type":"structure","required":["InstanceArn","PermissionSetArn"],"members":{"InstanceArn":{},"PermissionSetArn":{}}},"output":{"type":"structure","members":{"PermissionSet":{"shape":"S10"}}}},"DescribePermissionSetProvisioningStatus":{"input":{"type":"structure","required":["InstanceArn","ProvisionPermissionSetRequestId"],"members":{"InstanceArn":{},"ProvisionPermissionSetRequestId":{}}},"output":{"type":"structure","members":{"PermissionSetProvisioningStatus":{"shape":"S1l"}}}},"DetachManagedPolicyFromPermissionSet":{"input":{"type":"structure","required":["InstanceArn","PermissionSetArn","ManagedPolicyArn"],"members":{"InstanceArn":{},"PermissionSetArn":{},"ManagedPolicyArn":{}}},"output":{"type":"structure","members":{}}},"GetInlinePolicyForPermissionSet":{"input":{"type":"structure","required":["InstanceArn","PermissionSetArn"],"members":{"InstanceArn":{},"PermissionSetArn":{}}},"output":{"type":"structure","members":{"InlinePolicy":{"shape":"S1r"}}}},"ListAccountAssignmentCreationStatus":{"input":{"type":"structure","required":["InstanceArn"],"members":{"InstanceArn":{},"MaxResults":{"type":"integer"},"NextToken":{},"Filter":{"shape":"S1v"}}},"output":{"type":"structure","members":{"AccountAssignmentsCreationStatus":{"shape":"S1x"},"NextToken":{}}}},"ListAccountAssignmentDeletionStatus":{"input":{"type":"structure","required":["InstanceArn"],"members":{"InstanceArn":{},"MaxResults":{"type":"integer"},"NextToken":{},"Filter":{"shape":"S1v"}}},"output":{"type":"structure","members":{"AccountAssignmentsDeletionStatus":{"shape":"S1x"},"NextToken":{}}}},"ListAccountAssignments":{"input":{"type":"structure","required":["InstanceArn","AccountId","PermissionSetArn"],"members":{"InstanceArn":{},"AccountId":{},"PermissionSetArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AccountAssignments":{"type":"list","member":{"type":"structure","members":{"AccountId":{},"PermissionSetArn":{},"PrincipalType":{},"PrincipalId":{}}}},"NextToken":{}}}},"ListAccountsForProvisionedPermissionSet":{"input":{"type":"structure","required":["InstanceArn","PermissionSetArn"],"members":{"InstanceArn":{},"PermissionSetArn":{},"ProvisioningStatus":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AccountIds":{"type":"list","member":{}},"NextToken":{}}}},"ListInstances":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Instances":{"type":"list","member":{"type":"structure","members":{"InstanceArn":{},"IdentityStoreId":{}}}},"NextToken":{}}}},"ListManagedPoliciesInPermissionSet":{"input":{"type":"structure","required":["InstanceArn","PermissionSetArn"],"members":{"InstanceArn":{},"PermissionSetArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"AttachedManagedPolicies":{"type":"list","member":{"type":"structure","members":{"Name":{},"Arn":{}}}},"NextToken":{}}}},"ListPermissionSetProvisioningStatus":{"input":{"type":"structure","required":["InstanceArn"],"members":{"InstanceArn":{},"MaxResults":{"type":"integer"},"NextToken":{},"Filter":{"shape":"S1v"}}},"output":{"type":"structure","members":{"PermissionSetsProvisioningStatus":{"type":"list","member":{"type":"structure","members":{"Status":{},"RequestId":{},"CreatedDate":{"type":"timestamp"}}}},"NextToken":{}}}},"ListPermissionSets":{"input":{"type":"structure","required":["InstanceArn"],"members":{"InstanceArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"PermissionSets":{"shape":"S2p"},"NextToken":{}}}},"ListPermissionSetsProvisionedToAccount":{"input":{"type":"structure","required":["InstanceArn","AccountId"],"members":{"InstanceArn":{},"AccountId":{},"ProvisioningStatus":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"PermissionSets":{"shape":"S2p"}}}},"ListTagsForResource":{"input":{"type":"structure","required":["InstanceArn","ResourceArn"],"members":{"InstanceArn":{},"ResourceArn":{},"NextToken":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sv"},"NextToken":{}}}},"ProvisionPermissionSet":{"input":{"type":"structure","required":["InstanceArn","PermissionSetArn","TargetType"],"members":{"InstanceArn":{},"PermissionSetArn":{},"TargetId":{},"TargetType":{}}},"output":{"type":"structure","members":{"PermissionSetProvisioningStatus":{"shape":"S1l"}}}},"PutInlinePolicyToPermissionSet":{"input":{"type":"structure","required":["InstanceArn","PermissionSetArn","InlinePolicy"],"members":{"InstanceArn":{},"PermissionSetArn":{},"InlinePolicy":{"shape":"S1r"}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["InstanceArn","ResourceArn","Tags"],"members":{"InstanceArn":{},"ResourceArn":{},"Tags":{"shape":"Sv"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["InstanceArn","ResourceArn","TagKeys"],"members":{"InstanceArn":{},"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateInstanceAccessControlAttributeConfiguration":{"input":{"type":"structure","required":["InstanceArn","InstanceAccessControlAttributeConfiguration"],"members":{"InstanceArn":{},"InstanceAccessControlAttributeConfiguration":{"shape":"Si"}}},"output":{"type":"structure","members":{}}},"UpdatePermissionSet":{"input":{"type":"structure","required":["InstanceArn","PermissionSetArn"],"members":{"InstanceArn":{},"PermissionSetArn":{},"Description":{},"SessionDuration":{},"RelayState":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sc":{"type":"structure","members":{"Status":{},"RequestId":{},"FailureReason":{},"TargetId":{},"TargetType":{},"PermissionSetArn":{},"PrincipalType":{},"PrincipalId":{},"CreatedDate":{"type":"timestamp"}}},"Si":{"type":"structure","required":["AccessControlAttributes"],"members":{"AccessControlAttributes":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{"type":"structure","required":["Source"],"members":{"Source":{"type":"list","member":{}}}}}}}}},"Sv":{"type":"list","member":{"type":"structure","members":{"Key":{},"Value":{}}}},"S10":{"type":"structure","members":{"Name":{},"PermissionSetArn":{},"Description":{},"CreatedDate":{"type":"timestamp"},"SessionDuration":{},"RelayState":{}}},"S1l":{"type":"structure","members":{"Status":{},"RequestId":{},"AccountId":{},"PermissionSetArn":{},"FailureReason":{},"CreatedDate":{"type":"timestamp"}}},"S1r":{"type":"string","sensitive":true},"S1v":{"type":"structure","members":{"Status":{}}},"S1x":{"type":"list","member":{"type":"structure","members":{"Status":{},"RequestId":{},"CreatedDate":{"type":"timestamp"}}}},"S2p":{"type":"list","member":{}}}}');

/***/ }),

/***/ 49402:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAccountAssignmentCreationStatus":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AccountAssignmentsCreationStatus"},"ListAccountAssignmentDeletionStatus":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AccountAssignmentsDeletionStatus"},"ListAccountAssignments":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AccountAssignments"},"ListAccountsForProvisionedPermissionSet":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AccountIds"},"ListInstances":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Instances"},"ListManagedPoliciesInPermissionSet":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"AttachedManagedPolicies"},"ListPermissionSetProvisioningStatus":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PermissionSetsProvisioningStatus"},"ListPermissionSets":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PermissionSets"},"ListPermissionSetsProvisionedToAccount":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"PermissionSets"},"ListTagsForResource":{"input_token":"NextToken","output_token":"NextToken","result_key":"Tags"}}}');

/***/ }),

/***/ 62343:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-06-10","endpointPrefix":"oidc","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"SSO OIDC","serviceFullName":"AWS SSO OIDC","serviceId":"SSO OIDC","signatureVersion":"v4","signingName":"awsssooidc","uid":"sso-oidc-2019-06-10"},"operations":{"CreateToken":{"http":{"requestUri":"/token"},"input":{"type":"structure","required":["clientId","clientSecret","grantType","deviceCode"],"members":{"clientId":{},"clientSecret":{},"grantType":{},"deviceCode":{},"code":{},"refreshToken":{},"scope":{"shape":"S8"},"redirectUri":{}}},"output":{"type":"structure","members":{"accessToken":{},"tokenType":{},"expiresIn":{"type":"integer"},"refreshToken":{},"idToken":{}}},"authtype":"none"},"RegisterClient":{"http":{"requestUri":"/client/register"},"input":{"type":"structure","required":["clientName","clientType"],"members":{"clientName":{},"clientType":{},"scopes":{"shape":"S8"}}},"output":{"type":"structure","members":{"clientId":{},"clientSecret":{},"clientIdIssuedAt":{"type":"long"},"clientSecretExpiresAt":{"type":"long"},"authorizationEndpoint":{},"tokenEndpoint":{}}},"authtype":"none"},"StartDeviceAuthorization":{"http":{"requestUri":"/device_authorization"},"input":{"type":"structure","required":["clientId","clientSecret","startUrl"],"members":{"clientId":{},"clientSecret":{},"startUrl":{}}},"output":{"type":"structure","members":{"deviceCode":{},"userCode":{},"verificationUri":{},"verificationUriComplete":{},"expiresIn":{"type":"integer"},"interval":{"type":"integer"}}},"authtype":"none"}},"shapes":{"S8":{"type":"list","member":{}}}}');

/***/ }),

/***/ 50215:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 85693:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-11-23","endpointPrefix":"states","jsonVersion":"1.0","protocol":"json","serviceAbbreviation":"AWS SFN","serviceFullName":"AWS Step Functions","serviceId":"SFN","signatureVersion":"v4","targetPrefix":"AWSStepFunctions","uid":"states-2016-11-23"},"operations":{"CreateActivity":{"input":{"type":"structure","required":["name"],"members":{"name":{},"tags":{"shape":"S3"}}},"output":{"type":"structure","required":["activityArn","creationDate"],"members":{"activityArn":{},"creationDate":{"type":"timestamp"}}},"idempotent":true},"CreateStateMachine":{"input":{"type":"structure","required":["name","definition","roleArn"],"members":{"name":{},"definition":{"shape":"Sb"},"roleArn":{},"type":{},"loggingConfiguration":{"shape":"Sd"},"tags":{"shape":"S3"},"tracingConfiguration":{"shape":"Sj"}}},"output":{"type":"structure","required":["stateMachineArn","creationDate"],"members":{"stateMachineArn":{},"creationDate":{"type":"timestamp"}}},"idempotent":true},"DeleteActivity":{"input":{"type":"structure","required":["activityArn"],"members":{"activityArn":{}}},"output":{"type":"structure","members":{}}},"DeleteStateMachine":{"input":{"type":"structure","required":["stateMachineArn"],"members":{"stateMachineArn":{}}},"output":{"type":"structure","members":{}}},"DescribeActivity":{"input":{"type":"structure","required":["activityArn"],"members":{"activityArn":{}}},"output":{"type":"structure","required":["activityArn","name","creationDate"],"members":{"activityArn":{},"name":{},"creationDate":{"type":"timestamp"}}}},"DescribeExecution":{"input":{"type":"structure","required":["executionArn"],"members":{"executionArn":{}}},"output":{"type":"structure","required":["executionArn","stateMachineArn","status","startDate"],"members":{"executionArn":{},"stateMachineArn":{},"name":{},"status":{},"startDate":{"type":"timestamp"},"stopDate":{"type":"timestamp"},"input":{"shape":"Sv"},"inputDetails":{"shape":"Sw"},"output":{"shape":"Sv"},"outputDetails":{"shape":"Sw"},"traceHeader":{}}}},"DescribeStateMachine":{"input":{"type":"structure","required":["stateMachineArn"],"members":{"stateMachineArn":{}}},"output":{"type":"structure","required":["stateMachineArn","name","definition","roleArn","type","creationDate"],"members":{"stateMachineArn":{},"name":{},"status":{},"definition":{"shape":"Sb"},"roleArn":{},"type":{},"creationDate":{"type":"timestamp"},"loggingConfiguration":{"shape":"Sd"},"tracingConfiguration":{"shape":"Sj"}}}},"DescribeStateMachineForExecution":{"input":{"type":"structure","required":["executionArn"],"members":{"executionArn":{}}},"output":{"type":"structure","required":["stateMachineArn","name","definition","roleArn","updateDate"],"members":{"stateMachineArn":{},"name":{},"definition":{"shape":"Sb"},"roleArn":{},"updateDate":{"type":"timestamp"},"loggingConfiguration":{"shape":"Sd"},"tracingConfiguration":{"shape":"Sj"}}}},"GetActivityTask":{"input":{"type":"structure","required":["activityArn"],"members":{"activityArn":{},"workerName":{}}},"output":{"type":"structure","members":{"taskToken":{},"input":{"type":"string","sensitive":true}}}},"GetExecutionHistory":{"input":{"type":"structure","required":["executionArn"],"members":{"executionArn":{},"maxResults":{"type":"integer"},"reverseOrder":{"type":"boolean"},"nextToken":{},"includeExecutionData":{"type":"boolean"}}},"output":{"type":"structure","required":["events"],"members":{"events":{"type":"list","member":{"type":"structure","required":["timestamp","type","id"],"members":{"timestamp":{"type":"timestamp"},"type":{},"id":{"type":"long"},"previousEventId":{"type":"long"},"activityFailedEventDetails":{"type":"structure","members":{"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"activityScheduleFailedEventDetails":{"type":"structure","members":{"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"activityScheduledEventDetails":{"type":"structure","required":["resource"],"members":{"resource":{},"input":{"shape":"Sv"},"inputDetails":{"shape":"S1n"},"timeoutInSeconds":{"type":"long"},"heartbeatInSeconds":{"type":"long"}}},"activityStartedEventDetails":{"type":"structure","members":{"workerName":{}}},"activitySucceededEventDetails":{"type":"structure","members":{"output":{"shape":"Sv"},"outputDetails":{"shape":"S1n"}}},"activityTimedOutEventDetails":{"type":"structure","members":{"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"taskFailedEventDetails":{"type":"structure","required":["resourceType","resource"],"members":{"resourceType":{},"resource":{},"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"taskScheduledEventDetails":{"type":"structure","required":["resourceType","resource","region","parameters"],"members":{"resourceType":{},"resource":{},"region":{},"parameters":{"type":"string","sensitive":true},"timeoutInSeconds":{"type":"long"},"heartbeatInSeconds":{"type":"long"}}},"taskStartFailedEventDetails":{"type":"structure","required":["resourceType","resource"],"members":{"resourceType":{},"resource":{},"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"taskStartedEventDetails":{"type":"structure","required":["resourceType","resource"],"members":{"resourceType":{},"resource":{}}},"taskSubmitFailedEventDetails":{"type":"structure","required":["resourceType","resource"],"members":{"resourceType":{},"resource":{},"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"taskSubmittedEventDetails":{"type":"structure","required":["resourceType","resource"],"members":{"resourceType":{},"resource":{},"output":{"shape":"Sv"},"outputDetails":{"shape":"S1n"}}},"taskSucceededEventDetails":{"type":"structure","required":["resourceType","resource"],"members":{"resourceType":{},"resource":{},"output":{"shape":"Sv"},"outputDetails":{"shape":"S1n"}}},"taskTimedOutEventDetails":{"type":"structure","required":["resourceType","resource"],"members":{"resourceType":{},"resource":{},"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"executionFailedEventDetails":{"type":"structure","members":{"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"executionStartedEventDetails":{"type":"structure","members":{"input":{"shape":"Sv"},"inputDetails":{"shape":"S1n"},"roleArn":{}}},"executionSucceededEventDetails":{"type":"structure","members":{"output":{"shape":"Sv"},"outputDetails":{"shape":"S1n"}}},"executionAbortedEventDetails":{"type":"structure","members":{"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"executionTimedOutEventDetails":{"type":"structure","members":{"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"mapStateStartedEventDetails":{"type":"structure","members":{"length":{"type":"integer"}}},"mapIterationStartedEventDetails":{"shape":"S2a"},"mapIterationSucceededEventDetails":{"shape":"S2a"},"mapIterationFailedEventDetails":{"shape":"S2a"},"mapIterationAbortedEventDetails":{"shape":"S2a"},"lambdaFunctionFailedEventDetails":{"type":"structure","members":{"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"lambdaFunctionScheduleFailedEventDetails":{"type":"structure","members":{"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"lambdaFunctionScheduledEventDetails":{"type":"structure","required":["resource"],"members":{"resource":{},"input":{"shape":"Sv"},"inputDetails":{"shape":"S1n"},"timeoutInSeconds":{"type":"long"}}},"lambdaFunctionStartFailedEventDetails":{"type":"structure","members":{"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"lambdaFunctionSucceededEventDetails":{"type":"structure","members":{"output":{"shape":"Sv"},"outputDetails":{"shape":"S1n"}}},"lambdaFunctionTimedOutEventDetails":{"type":"structure","members":{"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"stateEnteredEventDetails":{"type":"structure","required":["name"],"members":{"name":{},"input":{"shape":"Sv"},"inputDetails":{"shape":"S1n"}}},"stateExitedEventDetails":{"type":"structure","required":["name"],"members":{"name":{},"output":{"shape":"Sv"},"outputDetails":{"shape":"S1n"}}}}}},"nextToken":{}}}},"ListActivities":{"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["activities"],"members":{"activities":{"type":"list","member":{"type":"structure","required":["activityArn","name","creationDate"],"members":{"activityArn":{},"name":{},"creationDate":{"type":"timestamp"}}}},"nextToken":{}}}},"ListExecutions":{"input":{"type":"structure","required":["stateMachineArn"],"members":{"stateMachineArn":{},"statusFilter":{},"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["executions"],"members":{"executions":{"type":"list","member":{"type":"structure","required":["executionArn","stateMachineArn","name","status","startDate"],"members":{"executionArn":{},"stateMachineArn":{},"name":{},"status":{},"startDate":{"type":"timestamp"},"stopDate":{"type":"timestamp"}}}},"nextToken":{}}}},"ListStateMachines":{"input":{"type":"structure","members":{"maxResults":{"type":"integer"},"nextToken":{}}},"output":{"type":"structure","required":["stateMachines"],"members":{"stateMachines":{"type":"list","member":{"type":"structure","required":["stateMachineArn","name","type","creationDate"],"members":{"stateMachineArn":{},"name":{},"type":{},"creationDate":{"type":"timestamp"}}}},"nextToken":{}}}},"ListTagsForResource":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{}}},"output":{"type":"structure","members":{"tags":{"shape":"S3"}}}},"SendTaskFailure":{"input":{"type":"structure","required":["taskToken"],"members":{"taskToken":{},"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"output":{"type":"structure","members":{}}},"SendTaskHeartbeat":{"input":{"type":"structure","required":["taskToken"],"members":{"taskToken":{}}},"output":{"type":"structure","members":{}}},"SendTaskSuccess":{"input":{"type":"structure","required":["taskToken","output"],"members":{"taskToken":{},"output":{"shape":"Sv"}}},"output":{"type":"structure","members":{}}},"StartExecution":{"input":{"type":"structure","required":["stateMachineArn"],"members":{"stateMachineArn":{},"name":{},"input":{"shape":"Sv"},"traceHeader":{}}},"output":{"type":"structure","required":["executionArn","startDate"],"members":{"executionArn":{},"startDate":{"type":"timestamp"}}},"idempotent":true},"StartSyncExecution":{"input":{"type":"structure","required":["stateMachineArn"],"members":{"stateMachineArn":{},"name":{},"input":{"shape":"Sv"},"traceHeader":{}}},"output":{"type":"structure","required":["executionArn","startDate","stopDate","status"],"members":{"executionArn":{},"stateMachineArn":{},"name":{},"startDate":{"type":"timestamp"},"stopDate":{"type":"timestamp"},"status":{},"error":{"shape":"S1j"},"cause":{"shape":"S1k"},"input":{"shape":"Sv"},"inputDetails":{"shape":"Sw"},"output":{"shape":"Sv"},"outputDetails":{"shape":"Sw"},"traceHeader":{},"billingDetails":{"type":"structure","members":{"billedMemoryUsedInMB":{"type":"long"},"billedDurationInMilliseconds":{"type":"long"}}}}},"endpoint":{"hostPrefix":"sync-"}},"StopExecution":{"input":{"type":"structure","required":["executionArn"],"members":{"executionArn":{},"error":{"shape":"S1j"},"cause":{"shape":"S1k"}}},"output":{"type":"structure","required":["stopDate"],"members":{"stopDate":{"type":"timestamp"}}}},"TagResource":{"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"S3"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateStateMachine":{"input":{"type":"structure","required":["stateMachineArn"],"members":{"stateMachineArn":{},"definition":{"shape":"Sb"},"roleArn":{},"loggingConfiguration":{"shape":"Sd"},"tracingConfiguration":{"shape":"Sj"}}},"output":{"type":"structure","required":["updateDate"],"members":{"updateDate":{"type":"timestamp"}}},"idempotent":true}},"shapes":{"S3":{"type":"list","member":{"type":"structure","members":{"key":{},"value":{}}}},"Sb":{"type":"string","sensitive":true},"Sd":{"type":"structure","members":{"level":{},"includeExecutionData":{"type":"boolean"},"destinations":{"type":"list","member":{"type":"structure","members":{"cloudWatchLogsLogGroup":{"type":"structure","members":{"logGroupArn":{}}}}}}}},"Sj":{"type":"structure","members":{"enabled":{"type":"boolean"}}},"Sv":{"type":"string","sensitive":true},"Sw":{"type":"structure","members":{"included":{"type":"boolean"}}},"S1j":{"type":"string","sensitive":true},"S1k":{"type":"string","sensitive":true},"S1n":{"type":"structure","members":{"truncated":{"type":"boolean"}}},"S2a":{"type":"structure","members":{"name":{},"index":{"type":"integer"}}}}}');

/***/ }),

/***/ 24818:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetExecutionHistory":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"events"},"ListActivities":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"activities"},"ListExecutions":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"executions"},"ListStateMachines":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"stateMachines"}}}');

/***/ }),

/***/ 24770:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2013-06-30","endpointPrefix":"storagegateway","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Storage Gateway","serviceId":"Storage Gateway","signatureVersion":"v4","targetPrefix":"StorageGateway_20130630","uid":"storagegateway-2013-06-30"},"operations":{"ActivateGateway":{"input":{"type":"structure","required":["ActivationKey","GatewayName","GatewayTimezone","GatewayRegion"],"members":{"ActivationKey":{},"GatewayName":{},"GatewayTimezone":{},"GatewayRegion":{},"GatewayType":{},"TapeDriveType":{},"MediumChangerType":{},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"AddCache":{"input":{"type":"structure","required":["GatewayARN","DiskIds"],"members":{"GatewayARN":{},"DiskIds":{"shape":"Sg"}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"AddTagsToResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"ResourceARN":{}}}},"AddUploadBuffer":{"input":{"type":"structure","required":["GatewayARN","DiskIds"],"members":{"GatewayARN":{},"DiskIds":{"shape":"Sg"}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"AddWorkingStorage":{"input":{"type":"structure","required":["GatewayARN","DiskIds"],"members":{"GatewayARN":{},"DiskIds":{"shape":"Sg"}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"AssignTapePool":{"input":{"type":"structure","required":["TapeARN","PoolId"],"members":{"TapeARN":{},"PoolId":{},"BypassGovernanceRetention":{"type":"boolean"}}},"output":{"type":"structure","members":{"TapeARN":{}}}},"AssociateFileSystem":{"input":{"type":"structure","required":["UserName","Password","ClientToken","GatewayARN","LocationARN"],"members":{"UserName":{},"Password":{"shape":"Sx"},"ClientToken":{},"GatewayARN":{},"LocationARN":{},"Tags":{"shape":"S9"},"AuditDestinationARN":{},"CacheAttributes":{"shape":"S11"},"EndpointNetworkConfiguration":{"shape":"S13"}}},"output":{"type":"structure","members":{"FileSystemAssociationARN":{}}}},"AttachVolume":{"input":{"type":"structure","required":["GatewayARN","VolumeARN","NetworkInterfaceId"],"members":{"GatewayARN":{},"TargetName":{},"VolumeARN":{},"NetworkInterfaceId":{},"DiskId":{}}},"output":{"type":"structure","members":{"VolumeARN":{},"TargetARN":{}}}},"CancelArchival":{"input":{"type":"structure","required":["GatewayARN","TapeARN"],"members":{"GatewayARN":{},"TapeARN":{}}},"output":{"type":"structure","members":{"TapeARN":{}}}},"CancelRetrieval":{"input":{"type":"structure","required":["GatewayARN","TapeARN"],"members":{"GatewayARN":{},"TapeARN":{}}},"output":{"type":"structure","members":{"TapeARN":{}}}},"CreateCachediSCSIVolume":{"input":{"type":"structure","required":["GatewayARN","VolumeSizeInBytes","TargetName","NetworkInterfaceId","ClientToken"],"members":{"GatewayARN":{},"VolumeSizeInBytes":{"type":"long"},"SnapshotId":{},"TargetName":{},"SourceVolumeARN":{},"NetworkInterfaceId":{},"ClientToken":{},"KMSEncrypted":{"type":"boolean"},"KMSKey":{},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"VolumeARN":{},"TargetARN":{}}}},"CreateNFSFileShare":{"input":{"type":"structure","required":["ClientToken","GatewayARN","Role","LocationARN"],"members":{"ClientToken":{},"NFSFileShareDefaults":{"shape":"S1p"},"GatewayARN":{},"KMSEncrypted":{"type":"boolean"},"KMSKey":{},"Role":{},"LocationARN":{},"DefaultStorageClass":{},"ObjectACL":{},"ClientList":{"shape":"S1w"},"Squash":{},"ReadOnly":{"type":"boolean"},"GuessMIMETypeEnabled":{"type":"boolean"},"RequesterPays":{"type":"boolean"},"Tags":{"shape":"S9"},"FileShareName":{},"CacheAttributes":{"shape":"S11"},"NotificationPolicy":{},"VPCEndpointDNSName":{},"BucketRegion":{},"AuditDestinationARN":{}}},"output":{"type":"structure","members":{"FileShareARN":{}}}},"CreateSMBFileShare":{"input":{"type":"structure","required":["ClientToken","GatewayARN","Role","LocationARN"],"members":{"ClientToken":{},"GatewayARN":{},"KMSEncrypted":{"type":"boolean"},"KMSKey":{},"Role":{},"LocationARN":{},"DefaultStorageClass":{},"ObjectACL":{},"ReadOnly":{"type":"boolean"},"GuessMIMETypeEnabled":{"type":"boolean"},"RequesterPays":{"type":"boolean"},"SMBACLEnabled":{"type":"boolean"},"AccessBasedEnumeration":{"type":"boolean"},"AdminUserList":{"shape":"S25"},"ValidUserList":{"shape":"S25"},"InvalidUserList":{"shape":"S25"},"AuditDestinationARN":{},"Authentication":{},"CaseSensitivity":{},"Tags":{"shape":"S9"},"FileShareName":{},"CacheAttributes":{"shape":"S11"},"NotificationPolicy":{},"VPCEndpointDNSName":{},"BucketRegion":{},"OplocksEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"FileShareARN":{}}}},"CreateSnapshot":{"input":{"type":"structure","required":["VolumeARN","SnapshotDescription"],"members":{"VolumeARN":{},"SnapshotDescription":{},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"VolumeARN":{},"SnapshotId":{}}}},"CreateSnapshotFromVolumeRecoveryPoint":{"input":{"type":"structure","required":["VolumeARN","SnapshotDescription"],"members":{"VolumeARN":{},"SnapshotDescription":{},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"SnapshotId":{},"VolumeARN":{},"VolumeRecoveryPointTime":{}}}},"CreateStorediSCSIVolume":{"input":{"type":"structure","required":["GatewayARN","DiskId","PreserveExistingData","TargetName","NetworkInterfaceId"],"members":{"GatewayARN":{},"DiskId":{},"SnapshotId":{},"PreserveExistingData":{"type":"boolean"},"TargetName":{},"NetworkInterfaceId":{},"KMSEncrypted":{"type":"boolean"},"KMSKey":{},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"VolumeARN":{},"VolumeSizeInBytes":{"type":"long"},"TargetARN":{}}}},"CreateTapePool":{"input":{"type":"structure","required":["PoolName","StorageClass"],"members":{"PoolName":{},"StorageClass":{},"RetentionLockType":{},"RetentionLockTimeInDays":{"type":"integer"},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"PoolARN":{}}}},"CreateTapeWithBarcode":{"input":{"type":"structure","required":["GatewayARN","TapeSizeInBytes","TapeBarcode"],"members":{"GatewayARN":{},"TapeSizeInBytes":{"type":"long"},"TapeBarcode":{},"KMSEncrypted":{"type":"boolean"},"KMSKey":{},"PoolId":{},"Worm":{"type":"boolean"},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"TapeARN":{}}}},"CreateTapes":{"input":{"type":"structure","required":["GatewayARN","TapeSizeInBytes","ClientToken","NumTapesToCreate","TapeBarcodePrefix"],"members":{"GatewayARN":{},"TapeSizeInBytes":{"type":"long"},"ClientToken":{},"NumTapesToCreate":{"type":"integer"},"TapeBarcodePrefix":{},"KMSEncrypted":{"type":"boolean"},"KMSKey":{},"PoolId":{},"Worm":{"type":"boolean"},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"TapeARNs":{"shape":"S2x"}}}},"DeleteAutomaticTapeCreationPolicy":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"DeleteBandwidthRateLimit":{"input":{"type":"structure","required":["GatewayARN","BandwidthType"],"members":{"GatewayARN":{},"BandwidthType":{}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"DeleteChapCredentials":{"input":{"type":"structure","required":["TargetARN","InitiatorName"],"members":{"TargetARN":{},"InitiatorName":{}}},"output":{"type":"structure","members":{"TargetARN":{},"InitiatorName":{}}}},"DeleteFileShare":{"input":{"type":"structure","required":["FileShareARN"],"members":{"FileShareARN":{},"ForceDelete":{"type":"boolean"}}},"output":{"type":"structure","members":{"FileShareARN":{}}}},"DeleteGateway":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"DeleteSnapshotSchedule":{"input":{"type":"structure","required":["VolumeARN"],"members":{"VolumeARN":{}}},"output":{"type":"structure","members":{"VolumeARN":{}}}},"DeleteTape":{"input":{"type":"structure","required":["GatewayARN","TapeARN"],"members":{"GatewayARN":{},"TapeARN":{},"BypassGovernanceRetention":{"type":"boolean"}}},"output":{"type":"structure","members":{"TapeARN":{}}}},"DeleteTapeArchive":{"input":{"type":"structure","required":["TapeARN"],"members":{"TapeARN":{},"BypassGovernanceRetention":{"type":"boolean"}}},"output":{"type":"structure","members":{"TapeARN":{}}}},"DeleteTapePool":{"input":{"type":"structure","required":["PoolARN"],"members":{"PoolARN":{}}},"output":{"type":"structure","members":{"PoolARN":{}}}},"DeleteVolume":{"input":{"type":"structure","required":["VolumeARN"],"members":{"VolumeARN":{}}},"output":{"type":"structure","members":{"VolumeARN":{}}}},"DescribeAvailabilityMonitorTest":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{},"Status":{},"StartTime":{"type":"timestamp"}}}},"DescribeBandwidthRateLimit":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{},"AverageUploadRateLimitInBitsPerSec":{"type":"long"},"AverageDownloadRateLimitInBitsPerSec":{"type":"long"}}}},"DescribeBandwidthRateLimitSchedule":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{},"BandwidthRateLimitIntervals":{"shape":"S3u"}}}},"DescribeCache":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{},"DiskIds":{"shape":"Sg"},"CacheAllocatedInBytes":{"type":"long"},"CacheUsedPercentage":{"type":"double"},"CacheDirtyPercentage":{"type":"double"},"CacheHitPercentage":{"type":"double"},"CacheMissPercentage":{"type":"double"}}}},"DescribeCachediSCSIVolumes":{"input":{"type":"structure","required":["VolumeARNs"],"members":{"VolumeARNs":{"shape":"S44"}}},"output":{"type":"structure","members":{"CachediSCSIVolumes":{"type":"list","member":{"type":"structure","members":{"VolumeARN":{},"VolumeId":{},"VolumeType":{},"VolumeStatus":{},"VolumeAttachmentStatus":{},"VolumeSizeInBytes":{"type":"long"},"VolumeProgress":{"type":"double"},"SourceSnapshotId":{},"VolumeiSCSIAttributes":{"shape":"S4d"},"CreatedDate":{"type":"timestamp"},"VolumeUsedInBytes":{"type":"long"},"KMSKey":{},"TargetName":{}}}}}}},"DescribeChapCredentials":{"input":{"type":"structure","required":["TargetARN"],"members":{"TargetARN":{}}},"output":{"type":"structure","members":{"ChapCredentials":{"type":"list","member":{"type":"structure","members":{"TargetARN":{},"SecretToAuthenticateInitiator":{"shape":"S4m"},"InitiatorName":{},"SecretToAuthenticateTarget":{"shape":"S4m"}}}}}}},"DescribeFileSystemAssociations":{"input":{"type":"structure","required":["FileSystemAssociationARNList"],"members":{"FileSystemAssociationARNList":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"FileSystemAssociationInfoList":{"type":"list","member":{"type":"structure","members":{"FileSystemAssociationARN":{},"LocationARN":{},"FileSystemAssociationStatus":{},"AuditDestinationARN":{},"GatewayARN":{},"Tags":{"shape":"S9"},"CacheAttributes":{"shape":"S11"},"EndpointNetworkConfiguration":{"shape":"S13"},"FileSystemAssociationStatusDetails":{"type":"list","member":{"type":"structure","members":{"ErrorCode":{}}}}}}}}}},"DescribeGatewayInformation":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{},"GatewayId":{},"GatewayName":{},"GatewayTimezone":{},"GatewayState":{},"GatewayNetworkInterfaces":{"type":"list","member":{"type":"structure","members":{"Ipv4Address":{},"MacAddress":{},"Ipv6Address":{}}}},"GatewayType":{},"NextUpdateAvailabilityDate":{},"LastSoftwareUpdate":{},"Ec2InstanceId":{},"Ec2InstanceRegion":{},"Tags":{"shape":"S9"},"VPCEndpoint":{},"CloudWatchLogGroupARN":{},"HostEnvironment":{},"EndpointType":{},"SoftwareUpdatesEndDate":{},"DeprecationDate":{},"GatewayCapacity":{},"SupportedGatewayCapacities":{"type":"list","member":{}},"HostEnvironmentId":{}}}},"DescribeMaintenanceStartTime":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{},"HourOfDay":{"type":"integer"},"MinuteOfHour":{"type":"integer"},"DayOfWeek":{"type":"integer"},"DayOfMonth":{"type":"integer"},"Timezone":{}}}},"DescribeNFSFileShares":{"input":{"type":"structure","required":["FileShareARNList"],"members":{"FileShareARNList":{"shape":"S5i"}}},"output":{"type":"structure","members":{"NFSFileShareInfoList":{"type":"list","member":{"type":"structure","members":{"NFSFileShareDefaults":{"shape":"S1p"},"FileShareARN":{},"FileShareId":{},"FileShareStatus":{},"GatewayARN":{},"KMSEncrypted":{"type":"boolean"},"KMSKey":{},"Path":{},"Role":{},"LocationARN":{},"DefaultStorageClass":{},"ObjectACL":{},"ClientList":{"shape":"S1w"},"Squash":{},"ReadOnly":{"type":"boolean"},"GuessMIMETypeEnabled":{"type":"boolean"},"RequesterPays":{"type":"boolean"},"Tags":{"shape":"S9"},"FileShareName":{},"CacheAttributes":{"shape":"S11"},"NotificationPolicy":{},"VPCEndpointDNSName":{},"BucketRegion":{},"AuditDestinationARN":{}}}}}}},"DescribeSMBFileShares":{"input":{"type":"structure","required":["FileShareARNList"],"members":{"FileShareARNList":{"shape":"S5i"}}},"output":{"type":"structure","members":{"SMBFileShareInfoList":{"type":"list","member":{"type":"structure","members":{"FileShareARN":{},"FileShareId":{},"FileShareStatus":{},"GatewayARN":{},"KMSEncrypted":{"type":"boolean"},"KMSKey":{},"Path":{},"Role":{},"LocationARN":{},"DefaultStorageClass":{},"ObjectACL":{},"ReadOnly":{"type":"boolean"},"GuessMIMETypeEnabled":{"type":"boolean"},"RequesterPays":{"type":"boolean"},"SMBACLEnabled":{"type":"boolean"},"AccessBasedEnumeration":{"type":"boolean"},"AdminUserList":{"shape":"S25"},"ValidUserList":{"shape":"S25"},"InvalidUserList":{"shape":"S25"},"AuditDestinationARN":{},"Authentication":{},"CaseSensitivity":{},"Tags":{"shape":"S9"},"FileShareName":{},"CacheAttributes":{"shape":"S11"},"NotificationPolicy":{},"VPCEndpointDNSName":{},"BucketRegion":{},"OplocksEnabled":{"type":"boolean"}}}}}}},"DescribeSMBSettings":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{},"DomainName":{},"ActiveDirectoryStatus":{},"SMBGuestPasswordSet":{"type":"boolean"},"SMBSecurityStrategy":{},"FileSharesVisible":{"type":"boolean"},"SMBLocalGroups":{"shape":"S5y"}}}},"DescribeSnapshotSchedule":{"input":{"type":"structure","required":["VolumeARN"],"members":{"VolumeARN":{}}},"output":{"type":"structure","members":{"VolumeARN":{},"StartAt":{"type":"integer"},"RecurrenceInHours":{"type":"integer"},"Description":{},"Timezone":{},"Tags":{"shape":"S9"}}}},"DescribeStorediSCSIVolumes":{"input":{"type":"structure","required":["VolumeARNs"],"members":{"VolumeARNs":{"shape":"S44"}}},"output":{"type":"structure","members":{"StorediSCSIVolumes":{"type":"list","member":{"type":"structure","members":{"VolumeARN":{},"VolumeId":{},"VolumeType":{},"VolumeStatus":{},"VolumeAttachmentStatus":{},"VolumeSizeInBytes":{"type":"long"},"VolumeProgress":{"type":"double"},"VolumeDiskId":{},"SourceSnapshotId":{},"PreservedExistingData":{"type":"boolean"},"VolumeiSCSIAttributes":{"shape":"S4d"},"CreatedDate":{"type":"timestamp"},"VolumeUsedInBytes":{"type":"long"},"KMSKey":{},"TargetName":{}}}}}}},"DescribeTapeArchives":{"input":{"type":"structure","members":{"TapeARNs":{"shape":"S2x"},"Marker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"TapeArchives":{"type":"list","member":{"type":"structure","members":{"TapeARN":{},"TapeBarcode":{},"TapeCreatedDate":{"type":"timestamp"},"TapeSizeInBytes":{"type":"long"},"CompletionTime":{"type":"timestamp"},"RetrievedTo":{},"TapeStatus":{},"TapeUsedInBytes":{"type":"long"},"KMSKey":{},"PoolId":{},"Worm":{"type":"boolean"},"RetentionStartDate":{"type":"timestamp"},"PoolEntryDate":{"type":"timestamp"}}}},"Marker":{}}}},"DescribeTapeRecoveryPoints":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{},"Marker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"GatewayARN":{},"TapeRecoveryPointInfos":{"type":"list","member":{"type":"structure","members":{"TapeARN":{},"TapeRecoveryPointTime":{"type":"timestamp"},"TapeSizeInBytes":{"type":"long"},"TapeStatus":{}}}},"Marker":{}}}},"DescribeTapes":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{},"TapeARNs":{"shape":"S2x"},"Marker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Tapes":{"type":"list","member":{"type":"structure","members":{"TapeARN":{},"TapeBarcode":{},"TapeCreatedDate":{"type":"timestamp"},"TapeSizeInBytes":{"type":"long"},"TapeStatus":{},"VTLDevice":{},"Progress":{"type":"double"},"TapeUsedInBytes":{"type":"long"},"KMSKey":{},"PoolId":{},"Worm":{"type":"boolean"},"RetentionStartDate":{"type":"timestamp"},"PoolEntryDate":{"type":"timestamp"}}}},"Marker":{}}}},"DescribeUploadBuffer":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{},"DiskIds":{"shape":"Sg"},"UploadBufferUsedInBytes":{"type":"long"},"UploadBufferAllocatedInBytes":{"type":"long"}}}},"DescribeVTLDevices":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{},"VTLDeviceARNs":{"type":"list","member":{}},"Marker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"GatewayARN":{},"VTLDevices":{"type":"list","member":{"type":"structure","members":{"VTLDeviceARN":{},"VTLDeviceType":{},"VTLDeviceVendor":{},"VTLDeviceProductIdentifier":{},"DeviceiSCSIAttributes":{"type":"structure","members":{"TargetARN":{},"NetworkInterfaceId":{},"NetworkInterfacePort":{"type":"integer"},"ChapEnabled":{"type":"boolean"}}}}}},"Marker":{}}}},"DescribeWorkingStorage":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{},"DiskIds":{"shape":"Sg"},"WorkingStorageUsedInBytes":{"type":"long"},"WorkingStorageAllocatedInBytes":{"type":"long"}}}},"DetachVolume":{"input":{"type":"structure","required":["VolumeARN"],"members":{"VolumeARN":{},"ForceDetach":{"type":"boolean"}}},"output":{"type":"structure","members":{"VolumeARN":{}}}},"DisableGateway":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"DisassociateFileSystem":{"input":{"type":"structure","required":["FileSystemAssociationARN"],"members":{"FileSystemAssociationARN":{},"ForceDelete":{"type":"boolean"}}},"output":{"type":"structure","members":{"FileSystemAssociationARN":{}}}},"JoinDomain":{"input":{"type":"structure","required":["GatewayARN","DomainName","UserName","Password"],"members":{"GatewayARN":{},"DomainName":{},"OrganizationalUnit":{},"DomainControllers":{"type":"list","member":{}},"TimeoutInSeconds":{"type":"integer"},"UserName":{},"Password":{"shape":"Sx"}}},"output":{"type":"structure","members":{"GatewayARN":{},"ActiveDirectoryStatus":{}}}},"ListAutomaticTapeCreationPolicies":{"input":{"type":"structure","members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"AutomaticTapeCreationPolicyInfos":{"type":"list","member":{"type":"structure","members":{"AutomaticTapeCreationRules":{"shape":"S7i"},"GatewayARN":{}}}}}}},"ListFileShares":{"input":{"type":"structure","members":{"GatewayARN":{},"Limit":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"NextMarker":{},"FileShareInfoList":{"type":"list","member":{"type":"structure","members":{"FileShareType":{},"FileShareARN":{},"FileShareId":{},"FileShareStatus":{},"GatewayARN":{}}}}}}},"ListFileSystemAssociations":{"input":{"type":"structure","members":{"GatewayARN":{},"Limit":{"type":"integer"},"Marker":{}}},"output":{"type":"structure","members":{"Marker":{},"NextMarker":{},"FileSystemAssociationSummaryList":{"type":"list","member":{"type":"structure","members":{"FileSystemAssociationId":{},"FileSystemAssociationARN":{},"FileSystemAssociationStatus":{},"GatewayARN":{}}}}}}},"ListGateways":{"input":{"type":"structure","members":{"Marker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Gateways":{"type":"list","member":{"type":"structure","members":{"GatewayId":{},"GatewayARN":{},"GatewayType":{},"GatewayOperationalState":{},"GatewayName":{},"Ec2InstanceId":{},"Ec2InstanceRegion":{},"HostEnvironment":{},"HostEnvironmentId":{}}}},"Marker":{}}}},"ListLocalDisks":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{},"Disks":{"type":"list","member":{"type":"structure","members":{"DiskId":{},"DiskPath":{},"DiskNode":{},"DiskStatus":{},"DiskSizeInBytes":{"type":"long"},"DiskAllocationType":{},"DiskAllocationResource":{},"DiskAttributeList":{"type":"list","member":{}}}}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{},"Marker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"ResourceARN":{},"Marker":{},"Tags":{"shape":"S9"}}}},"ListTapePools":{"input":{"type":"structure","members":{"PoolARNs":{"type":"list","member":{}},"Marker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"PoolInfos":{"type":"list","member":{"type":"structure","members":{"PoolARN":{},"PoolName":{},"StorageClass":{},"RetentionLockType":{},"RetentionLockTimeInDays":{"type":"integer"},"PoolStatus":{}}}},"Marker":{}}}},"ListTapes":{"input":{"type":"structure","members":{"TapeARNs":{"shape":"S2x"},"Marker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"TapeInfos":{"type":"list","member":{"type":"structure","members":{"TapeARN":{},"TapeBarcode":{},"TapeSizeInBytes":{"type":"long"},"TapeStatus":{},"GatewayARN":{},"PoolId":{},"RetentionStartDate":{"type":"timestamp"},"PoolEntryDate":{"type":"timestamp"}}}},"Marker":{}}}},"ListVolumeInitiators":{"input":{"type":"structure","required":["VolumeARN"],"members":{"VolumeARN":{}}},"output":{"type":"structure","members":{"Initiators":{"type":"list","member":{}}}}},"ListVolumeRecoveryPoints":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{},"VolumeRecoveryPointInfos":{"type":"list","member":{"type":"structure","members":{"VolumeARN":{},"VolumeSizeInBytes":{"type":"long"},"VolumeUsageInBytes":{"type":"long"},"VolumeRecoveryPointTime":{}}}}}}},"ListVolumes":{"input":{"type":"structure","members":{"GatewayARN":{},"Marker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"GatewayARN":{},"Marker":{},"VolumeInfos":{"type":"list","member":{"type":"structure","members":{"VolumeARN":{},"VolumeId":{},"GatewayARN":{},"GatewayId":{},"VolumeType":{},"VolumeSizeInBytes":{"type":"long"},"VolumeAttachmentStatus":{}}}}}}},"NotifyWhenUploaded":{"input":{"type":"structure","required":["FileShareARN"],"members":{"FileShareARN":{}}},"output":{"type":"structure","members":{"FileShareARN":{},"NotificationId":{}}}},"RefreshCache":{"input":{"type":"structure","required":["FileShareARN"],"members":{"FileShareARN":{},"FolderList":{"type":"list","member":{}},"Recursive":{"type":"boolean"}}},"output":{"type":"structure","members":{"FileShareARN":{},"NotificationId":{}}}},"RemoveTagsFromResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"ResourceARN":{}}}},"ResetCache":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"RetrieveTapeArchive":{"input":{"type":"structure","required":["TapeARN","GatewayARN"],"members":{"TapeARN":{},"GatewayARN":{}}},"output":{"type":"structure","members":{"TapeARN":{}}}},"RetrieveTapeRecoveryPoint":{"input":{"type":"structure","required":["TapeARN","GatewayARN"],"members":{"TapeARN":{},"GatewayARN":{}}},"output":{"type":"structure","members":{"TapeARN":{}}}},"SetLocalConsolePassword":{"input":{"type":"structure","required":["GatewayARN","LocalConsolePassword"],"members":{"GatewayARN":{},"LocalConsolePassword":{"type":"string","sensitive":true}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"SetSMBGuestPassword":{"input":{"type":"structure","required":["GatewayARN","Password"],"members":{"GatewayARN":{},"Password":{"type":"string","sensitive":true}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"ShutdownGateway":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"StartAvailabilityMonitorTest":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"StartGateway":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"UpdateAutomaticTapeCreationPolicy":{"input":{"type":"structure","required":["AutomaticTapeCreationRules","GatewayARN"],"members":{"AutomaticTapeCreationRules":{"shape":"S7i"},"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"UpdateBandwidthRateLimit":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{},"AverageUploadRateLimitInBitsPerSec":{"type":"long"},"AverageDownloadRateLimitInBitsPerSec":{"type":"long"}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"UpdateBandwidthRateLimitSchedule":{"input":{"type":"structure","required":["GatewayARN","BandwidthRateLimitIntervals"],"members":{"GatewayARN":{},"BandwidthRateLimitIntervals":{"shape":"S3u"}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"UpdateChapCredentials":{"input":{"type":"structure","required":["TargetARN","SecretToAuthenticateInitiator","InitiatorName"],"members":{"TargetARN":{},"SecretToAuthenticateInitiator":{"shape":"S4m"},"InitiatorName":{},"SecretToAuthenticateTarget":{"shape":"S4m"}}},"output":{"type":"structure","members":{"TargetARN":{},"InitiatorName":{}}}},"UpdateFileSystemAssociation":{"input":{"type":"structure","required":["FileSystemAssociationARN"],"members":{"FileSystemAssociationARN":{},"UserName":{},"Password":{"shape":"Sx"},"AuditDestinationARN":{},"CacheAttributes":{"shape":"S11"}}},"output":{"type":"structure","members":{"FileSystemAssociationARN":{}}}},"UpdateGatewayInformation":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{},"GatewayName":{},"GatewayTimezone":{},"CloudWatchLogGroupARN":{},"GatewayCapacity":{}}},"output":{"type":"structure","members":{"GatewayARN":{},"GatewayName":{}}}},"UpdateGatewaySoftwareNow":{"input":{"type":"structure","required":["GatewayARN"],"members":{"GatewayARN":{}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"UpdateMaintenanceStartTime":{"input":{"type":"structure","required":["GatewayARN","HourOfDay","MinuteOfHour"],"members":{"GatewayARN":{},"HourOfDay":{"type":"integer"},"MinuteOfHour":{"type":"integer"},"DayOfWeek":{"type":"integer"},"DayOfMonth":{"type":"integer"}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"UpdateNFSFileShare":{"input":{"type":"structure","required":["FileShareARN"],"members":{"FileShareARN":{},"KMSEncrypted":{"type":"boolean"},"KMSKey":{},"NFSFileShareDefaults":{"shape":"S1p"},"DefaultStorageClass":{},"ObjectACL":{},"ClientList":{"shape":"S1w"},"Squash":{},"ReadOnly":{"type":"boolean"},"GuessMIMETypeEnabled":{"type":"boolean"},"RequesterPays":{"type":"boolean"},"FileShareName":{},"CacheAttributes":{"shape":"S11"},"NotificationPolicy":{},"AuditDestinationARN":{}}},"output":{"type":"structure","members":{"FileShareARN":{}}}},"UpdateSMBFileShare":{"input":{"type":"structure","required":["FileShareARN"],"members":{"FileShareARN":{},"KMSEncrypted":{"type":"boolean"},"KMSKey":{},"DefaultStorageClass":{},"ObjectACL":{},"ReadOnly":{"type":"boolean"},"GuessMIMETypeEnabled":{"type":"boolean"},"RequesterPays":{"type":"boolean"},"SMBACLEnabled":{"type":"boolean"},"AccessBasedEnumeration":{"type":"boolean"},"AdminUserList":{"shape":"S25"},"ValidUserList":{"shape":"S25"},"InvalidUserList":{"shape":"S25"},"AuditDestinationARN":{},"CaseSensitivity":{},"FileShareName":{},"CacheAttributes":{"shape":"S11"},"NotificationPolicy":{},"OplocksEnabled":{"type":"boolean"}}},"output":{"type":"structure","members":{"FileShareARN":{}}}},"UpdateSMBFileShareVisibility":{"input":{"type":"structure","required":["GatewayARN","FileSharesVisible"],"members":{"GatewayARN":{},"FileSharesVisible":{"type":"boolean"}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"UpdateSMBLocalGroups":{"input":{"type":"structure","required":["GatewayARN","SMBLocalGroups"],"members":{"GatewayARN":{},"SMBLocalGroups":{"shape":"S5y"}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"UpdateSMBSecurityStrategy":{"input":{"type":"structure","required":["GatewayARN","SMBSecurityStrategy"],"members":{"GatewayARN":{},"SMBSecurityStrategy":{}}},"output":{"type":"structure","members":{"GatewayARN":{}}}},"UpdateSnapshotSchedule":{"input":{"type":"structure","required":["VolumeARN","StartAt","RecurrenceInHours"],"members":{"VolumeARN":{},"StartAt":{"type":"integer"},"RecurrenceInHours":{"type":"integer"},"Description":{},"Tags":{"shape":"S9"}}},"output":{"type":"structure","members":{"VolumeARN":{}}}},"UpdateVTLDeviceType":{"input":{"type":"structure","required":["VTLDeviceARN","DeviceType"],"members":{"VTLDeviceARN":{},"DeviceType":{}}},"output":{"type":"structure","members":{"VTLDeviceARN":{}}}}},"shapes":{"S9":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sg":{"type":"list","member":{}},"Sx":{"type":"string","sensitive":true},"S11":{"type":"structure","members":{"CacheStaleTimeoutInSeconds":{"type":"integer"}}},"S13":{"type":"structure","members":{"IpAddresses":{"type":"list","member":{}}}},"S1p":{"type":"structure","members":{"FileMode":{},"DirectoryMode":{},"GroupId":{"type":"long"},"OwnerId":{"type":"long"}}},"S1w":{"type":"list","member":{}},"S25":{"type":"list","member":{}},"S2x":{"type":"list","member":{}},"S3u":{"type":"list","member":{"type":"structure","required":["StartHourOfDay","StartMinuteOfHour","EndHourOfDay","EndMinuteOfHour","DaysOfWeek"],"members":{"StartHourOfDay":{"type":"integer"},"StartMinuteOfHour":{"type":"integer"},"EndHourOfDay":{"type":"integer"},"EndMinuteOfHour":{"type":"integer"},"DaysOfWeek":{"type":"list","member":{"type":"integer"}},"AverageUploadRateLimitInBitsPerSec":{"type":"long"},"AverageDownloadRateLimitInBitsPerSec":{"type":"long"}}}},"S44":{"type":"list","member":{}},"S4d":{"type":"structure","members":{"TargetARN":{},"NetworkInterfaceId":{},"NetworkInterfacePort":{"type":"integer"},"LunNumber":{"type":"integer"},"ChapEnabled":{"type":"boolean"}}},"S4m":{"type":"string","sensitive":true},"S5i":{"type":"list","member":{}},"S5y":{"type":"structure","members":{"GatewayAdmins":{"shape":"S25"}}},"S7i":{"type":"list","member":{"type":"structure","required":["TapeBarcodePrefix","PoolId","TapeSizeInBytes","MinimumNumTapes"],"members":{"TapeBarcodePrefix":{},"PoolId":{},"TapeSizeInBytes":{"type":"long"},"MinimumNumTapes":{"type":"integer"},"Worm":{"type":"boolean"}}}}}}');

/***/ }),

/***/ 33999:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeCachediSCSIVolumes":{"result_key":"CachediSCSIVolumes"},"DescribeStorediSCSIVolumes":{"result_key":"StorediSCSIVolumes"},"DescribeTapeArchives":{"input_token":"Marker","limit_key":"Limit","output_token":"Marker","result_key":"TapeArchives"},"DescribeTapeRecoveryPoints":{"input_token":"Marker","limit_key":"Limit","output_token":"Marker","result_key":"TapeRecoveryPointInfos"},"DescribeTapes":{"input_token":"Marker","limit_key":"Limit","output_token":"Marker","result_key":"Tapes"},"DescribeVTLDevices":{"input_token":"Marker","limit_key":"Limit","output_token":"Marker","result_key":"VTLDevices"},"ListFileShares":{"input_token":"Marker","limit_key":"Limit","non_aggregate_keys":["Marker"],"output_token":"NextMarker","result_key":"FileShareInfoList"},"ListFileSystemAssociations":{"input_token":"Marker","limit_key":"Limit","non_aggregate_keys":["Marker"],"output_token":"NextMarker","result_key":"FileSystemAssociationSummaryList"},"ListGateways":{"input_token":"Marker","limit_key":"Limit","output_token":"Marker","result_key":"Gateways"},"ListLocalDisks":{"result_key":"Disks"},"ListTagsForResource":{"input_token":"Marker","limit_key":"Limit","non_aggregate_keys":["ResourceARN"],"output_token":"Marker","result_key":"Tags"},"ListTapePools":{"input_token":"Marker","limit_key":"Limit","output_token":"Marker","result_key":"PoolInfos"},"ListTapes":{"input_token":"Marker","limit_key":"Limit","output_token":"Marker","result_key":"TapeInfos"},"ListVolumeRecoveryPoints":{"result_key":"VolumeRecoveryPointInfos"},"ListVolumes":{"input_token":"Marker","limit_key":"Limit","output_token":"Marker","result_key":"VolumeInfos"}}}');

/***/ }),

/***/ 26098:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2012-08-10","endpointPrefix":"streams.dynamodb","jsonVersion":"1.0","protocol":"json","serviceFullName":"Amazon DynamoDB Streams","serviceId":"DynamoDB Streams","signatureVersion":"v4","signingName":"dynamodb","targetPrefix":"DynamoDBStreams_20120810","uid":"streams-dynamodb-2012-08-10"},"operations":{"DescribeStream":{"input":{"type":"structure","required":["StreamArn"],"members":{"StreamArn":{},"Limit":{"type":"integer"},"ExclusiveStartShardId":{}}},"output":{"type":"structure","members":{"StreamDescription":{"type":"structure","members":{"StreamArn":{},"StreamLabel":{},"StreamStatus":{},"StreamViewType":{},"CreationRequestDateTime":{"type":"timestamp"},"TableName":{},"KeySchema":{"type":"list","member":{"type":"structure","required":["AttributeName","KeyType"],"members":{"AttributeName":{},"KeyType":{}}}},"Shards":{"type":"list","member":{"type":"structure","members":{"ShardId":{},"SequenceNumberRange":{"type":"structure","members":{"StartingSequenceNumber":{},"EndingSequenceNumber":{}}},"ParentShardId":{}}}},"LastEvaluatedShardId":{}}}}}},"GetRecords":{"input":{"type":"structure","required":["ShardIterator"],"members":{"ShardIterator":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"Records":{"type":"list","member":{"type":"structure","members":{"eventID":{},"eventName":{},"eventVersion":{},"eventSource":{},"awsRegion":{},"dynamodb":{"type":"structure","members":{"ApproximateCreationDateTime":{"type":"timestamp"},"Keys":{"shape":"Sr"},"NewImage":{"shape":"Sr"},"OldImage":{"shape":"Sr"},"SequenceNumber":{},"SizeBytes":{"type":"long"},"StreamViewType":{}}},"userIdentity":{"type":"structure","members":{"PrincipalId":{},"Type":{}}}}}},"NextShardIterator":{}}}},"GetShardIterator":{"input":{"type":"structure","required":["StreamArn","ShardId","ShardIteratorType"],"members":{"StreamArn":{},"ShardId":{},"ShardIteratorType":{},"SequenceNumber":{}}},"output":{"type":"structure","members":{"ShardIterator":{}}}},"ListStreams":{"input":{"type":"structure","members":{"TableName":{},"Limit":{"type":"integer"},"ExclusiveStartStreamArn":{}}},"output":{"type":"structure","members":{"Streams":{"type":"list","member":{"type":"structure","members":{"StreamArn":{},"TableName":{},"StreamLabel":{}}}},"LastEvaluatedStreamArn":{}}}}},"shapes":{"Sr":{"type":"map","key":{},"value":{"shape":"St"}},"St":{"type":"structure","members":{"S":{},"N":{},"B":{"type":"blob"},"SS":{"type":"list","member":{}},"NS":{"type":"list","member":{}},"BS":{"type":"list","member":{"type":"blob"}},"M":{"type":"map","key":{},"value":{"shape":"St"}},"L":{"type":"list","member":{"shape":"St"}},"NULL":{"type":"boolean"},"BOOL":{"type":"boolean"}}}}}');

/***/ }),

/***/ 40549:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 80753:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2011-06-15","endpointPrefix":"sts","globalEndpoint":"sts.amazonaws.com","protocol":"query","serviceAbbreviation":"AWS STS","serviceFullName":"AWS Security Token Service","serviceId":"STS","signatureVersion":"v4","uid":"sts-2011-06-15","xmlNamespace":"https://sts.amazonaws.com/doc/2011-06-15/"},"operations":{"AssumeRole":{"input":{"type":"structure","required":["RoleArn","RoleSessionName"],"members":{"RoleArn":{},"RoleSessionName":{},"PolicyArns":{"shape":"S4"},"Policy":{},"DurationSeconds":{"type":"integer"},"Tags":{"shape":"S8"},"TransitiveTagKeys":{"type":"list","member":{}},"ExternalId":{},"SerialNumber":{},"TokenCode":{},"SourceIdentity":{}}},"output":{"resultWrapper":"AssumeRoleResult","type":"structure","members":{"Credentials":{"shape":"Si"},"AssumedRoleUser":{"shape":"Sn"},"PackedPolicySize":{"type":"integer"},"SourceIdentity":{}}}},"AssumeRoleWithSAML":{"input":{"type":"structure","required":["RoleArn","PrincipalArn","SAMLAssertion"],"members":{"RoleArn":{},"PrincipalArn":{},"SAMLAssertion":{},"PolicyArns":{"shape":"S4"},"Policy":{},"DurationSeconds":{"type":"integer"}}},"output":{"resultWrapper":"AssumeRoleWithSAMLResult","type":"structure","members":{"Credentials":{"shape":"Si"},"AssumedRoleUser":{"shape":"Sn"},"PackedPolicySize":{"type":"integer"},"Subject":{},"SubjectType":{},"Issuer":{},"Audience":{},"NameQualifier":{},"SourceIdentity":{}}}},"AssumeRoleWithWebIdentity":{"input":{"type":"structure","required":["RoleArn","RoleSessionName","WebIdentityToken"],"members":{"RoleArn":{},"RoleSessionName":{},"WebIdentityToken":{},"ProviderId":{},"PolicyArns":{"shape":"S4"},"Policy":{},"DurationSeconds":{"type":"integer"}}},"output":{"resultWrapper":"AssumeRoleWithWebIdentityResult","type":"structure","members":{"Credentials":{"shape":"Si"},"SubjectFromWebIdentityToken":{},"AssumedRoleUser":{"shape":"Sn"},"PackedPolicySize":{"type":"integer"},"Provider":{},"Audience":{},"SourceIdentity":{}}}},"DecodeAuthorizationMessage":{"input":{"type":"structure","required":["EncodedMessage"],"members":{"EncodedMessage":{}}},"output":{"resultWrapper":"DecodeAuthorizationMessageResult","type":"structure","members":{"DecodedMessage":{}}}},"GetAccessKeyInfo":{"input":{"type":"structure","required":["AccessKeyId"],"members":{"AccessKeyId":{}}},"output":{"resultWrapper":"GetAccessKeyInfoResult","type":"structure","members":{"Account":{}}}},"GetCallerIdentity":{"input":{"type":"structure","members":{}},"output":{"resultWrapper":"GetCallerIdentityResult","type":"structure","members":{"UserId":{},"Account":{},"Arn":{}}}},"GetFederationToken":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"Policy":{},"PolicyArns":{"shape":"S4"},"DurationSeconds":{"type":"integer"},"Tags":{"shape":"S8"}}},"output":{"resultWrapper":"GetFederationTokenResult","type":"structure","members":{"Credentials":{"shape":"Si"},"FederatedUser":{"type":"structure","required":["FederatedUserId","Arn"],"members":{"FederatedUserId":{},"Arn":{}}},"PackedPolicySize":{"type":"integer"}}}},"GetSessionToken":{"input":{"type":"structure","members":{"DurationSeconds":{"type":"integer"},"SerialNumber":{},"TokenCode":{}}},"output":{"resultWrapper":"GetSessionTokenResult","type":"structure","members":{"Credentials":{"shape":"Si"}}}}},"shapes":{"S4":{"type":"list","member":{"type":"structure","members":{"arn":{}}}},"S8":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Si":{"type":"structure","required":["AccessKeyId","SecretAccessKey","SessionToken","Expiration"],"members":{"AccessKeyId":{},"SecretAccessKey":{},"SessionToken":{},"Expiration":{"type":"timestamp"}}},"Sn":{"type":"structure","required":["AssumedRoleId","Arn"],"members":{"AssumedRoleId":{},"Arn":{}}}}}');

/***/ }),

/***/ 93639:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 20767:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2013-04-15","endpointPrefix":"support","jsonVersion":"1.1","protocol":"json","serviceFullName":"AWS Support","serviceId":"Support","signatureVersion":"v4","targetPrefix":"AWSSupport_20130415","uid":"support-2013-04-15"},"operations":{"AddAttachmentsToSet":{"input":{"type":"structure","required":["attachments"],"members":{"attachmentSetId":{},"attachments":{"type":"list","member":{"shape":"S4"}}}},"output":{"type":"structure","members":{"attachmentSetId":{},"expiryTime":{}}}},"AddCommunicationToCase":{"input":{"type":"structure","required":["communicationBody"],"members":{"caseId":{},"communicationBody":{},"ccEmailAddresses":{"shape":"Sc"},"attachmentSetId":{}}},"output":{"type":"structure","members":{"result":{"type":"boolean"}}}},"CreateCase":{"input":{"type":"structure","required":["subject","communicationBody"],"members":{"subject":{},"serviceCode":{},"severityCode":{},"categoryCode":{},"communicationBody":{},"ccEmailAddresses":{"shape":"Sc"},"language":{},"issueType":{},"attachmentSetId":{}}},"output":{"type":"structure","members":{"caseId":{}}}},"DescribeAttachment":{"input":{"type":"structure","required":["attachmentId"],"members":{"attachmentId":{}}},"output":{"type":"structure","members":{"attachment":{"shape":"S4"}}}},"DescribeCases":{"input":{"type":"structure","members":{"caseIdList":{"type":"list","member":{}},"displayId":{},"afterTime":{},"beforeTime":{},"includeResolvedCases":{"type":"boolean"},"nextToken":{},"maxResults":{"type":"integer"},"language":{},"includeCommunications":{"type":"boolean"}}},"output":{"type":"structure","members":{"cases":{"type":"list","member":{"type":"structure","members":{"caseId":{},"displayId":{},"subject":{},"status":{},"serviceCode":{},"categoryCode":{},"severityCode":{},"submittedBy":{},"timeCreated":{},"recentCommunications":{"type":"structure","members":{"communications":{"shape":"S17"},"nextToken":{}}},"ccEmailAddresses":{"shape":"Sc"},"language":{}}}},"nextToken":{}}}},"DescribeCommunications":{"input":{"type":"structure","required":["caseId"],"members":{"caseId":{},"beforeTime":{},"afterTime":{},"nextToken":{},"maxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"communications":{"shape":"S17"},"nextToken":{}}}},"DescribeServices":{"input":{"type":"structure","members":{"serviceCodeList":{"type":"list","member":{}},"language":{}}},"output":{"type":"structure","members":{"services":{"type":"list","member":{"type":"structure","members":{"code":{},"name":{},"categories":{"type":"list","member":{"type":"structure","members":{"code":{},"name":{}}}}}}}}}},"DescribeSeverityLevels":{"input":{"type":"structure","members":{"language":{}}},"output":{"type":"structure","members":{"severityLevels":{"type":"list","member":{"type":"structure","members":{"code":{},"name":{}}}}}}},"DescribeTrustedAdvisorCheckRefreshStatuses":{"input":{"type":"structure","required":["checkIds"],"members":{"checkIds":{"shape":"S1t"}}},"output":{"type":"structure","required":["statuses"],"members":{"statuses":{"type":"list","member":{"shape":"S1x"}}}}},"DescribeTrustedAdvisorCheckResult":{"input":{"type":"structure","required":["checkId"],"members":{"checkId":{},"language":{}}},"output":{"type":"structure","members":{"result":{"type":"structure","required":["checkId","timestamp","status","resourcesSummary","categorySpecificSummary","flaggedResources"],"members":{"checkId":{},"timestamp":{},"status":{},"resourcesSummary":{"shape":"S22"},"categorySpecificSummary":{"shape":"S23"},"flaggedResources":{"type":"list","member":{"type":"structure","required":["status","resourceId","metadata"],"members":{"status":{},"region":{},"resourceId":{},"isSuppressed":{"type":"boolean"},"metadata":{"shape":"S1t"}}}}}}}}},"DescribeTrustedAdvisorCheckSummaries":{"input":{"type":"structure","required":["checkIds"],"members":{"checkIds":{"shape":"S1t"}}},"output":{"type":"structure","required":["summaries"],"members":{"summaries":{"type":"list","member":{"type":"structure","required":["checkId","timestamp","status","resourcesSummary","categorySpecificSummary"],"members":{"checkId":{},"timestamp":{},"status":{},"hasFlaggedResources":{"type":"boolean"},"resourcesSummary":{"shape":"S22"},"categorySpecificSummary":{"shape":"S23"}}}}}}},"DescribeTrustedAdvisorChecks":{"input":{"type":"structure","required":["language"],"members":{"language":{}}},"output":{"type":"structure","required":["checks"],"members":{"checks":{"type":"list","member":{"type":"structure","required":["id","name","description","category","metadata"],"members":{"id":{},"name":{},"description":{},"category":{},"metadata":{"shape":"S1t"}}}}}}},"RefreshTrustedAdvisorCheck":{"input":{"type":"structure","required":["checkId"],"members":{"checkId":{}}},"output":{"type":"structure","required":["status"],"members":{"status":{"shape":"S1x"}}}},"ResolveCase":{"input":{"type":"structure","members":{"caseId":{}}},"output":{"type":"structure","members":{"initialCaseStatus":{},"finalCaseStatus":{}}}}},"shapes":{"S4":{"type":"structure","members":{"fileName":{},"data":{"type":"blob"}}},"Sc":{"type":"list","member":{}},"S17":{"type":"list","member":{"type":"structure","members":{"caseId":{},"body":{},"submittedBy":{},"timeCreated":{},"attachmentSet":{"type":"list","member":{"type":"structure","members":{"attachmentId":{},"fileName":{}}}}}}},"S1t":{"type":"list","member":{}},"S1x":{"type":"structure","required":["checkId","status","millisUntilNextRefreshable"],"members":{"checkId":{},"status":{},"millisUntilNextRefreshable":{"type":"long"}}},"S22":{"type":"structure","required":["resourcesProcessed","resourcesFlagged","resourcesIgnored","resourcesSuppressed"],"members":{"resourcesProcessed":{"type":"long"},"resourcesFlagged":{"type":"long"},"resourcesIgnored":{"type":"long"},"resourcesSuppressed":{"type":"long"}}},"S23":{"type":"structure","members":{"costOptimizing":{"type":"structure","required":["estimatedMonthlySavings","estimatedPercentMonthlySavings"],"members":{"estimatedMonthlySavings":{"type":"double"},"estimatedPercentMonthlySavings":{"type":"double"}}}}}}}');

/***/ }),

/***/ 62491:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeCases":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"cases"},"DescribeCommunications":{"input_token":"nextToken","limit_key":"maxResults","output_token":"nextToken","result_key":"communications"},"DescribeServices":{"result_key":"services"},"DescribeTrustedAdvisorCheckRefreshStatuses":{"result_key":"statuses"},"DescribeTrustedAdvisorCheckSummaries":{"result_key":"summaries"}}}');

/***/ }),

/***/ 11144:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2012-01-25","endpointPrefix":"swf","jsonVersion":"1.0","protocol":"json","serviceAbbreviation":"Amazon SWF","serviceFullName":"Amazon Simple Workflow Service","serviceId":"SWF","signatureVersion":"v4","targetPrefix":"SimpleWorkflowService","uid":"swf-2012-01-25"},"operations":{"CountClosedWorkflowExecutions":{"input":{"type":"structure","required":["domain"],"members":{"domain":{},"startTimeFilter":{"shape":"S3"},"closeTimeFilter":{"shape":"S3"},"executionFilter":{"shape":"S5"},"typeFilter":{"shape":"S7"},"tagFilter":{"shape":"Sa"},"closeStatusFilter":{"shape":"Sc"}}},"output":{"shape":"Se"}},"CountOpenWorkflowExecutions":{"input":{"type":"structure","required":["domain","startTimeFilter"],"members":{"domain":{},"startTimeFilter":{"shape":"S3"},"typeFilter":{"shape":"S7"},"tagFilter":{"shape":"Sa"},"executionFilter":{"shape":"S5"}}},"output":{"shape":"Se"}},"CountPendingActivityTasks":{"input":{"type":"structure","required":["domain","taskList"],"members":{"domain":{},"taskList":{"shape":"Sj"}}},"output":{"shape":"Sk"}},"CountPendingDecisionTasks":{"input":{"type":"structure","required":["domain","taskList"],"members":{"domain":{},"taskList":{"shape":"Sj"}}},"output":{"shape":"Sk"}},"DeprecateActivityType":{"input":{"type":"structure","required":["domain","activityType"],"members":{"domain":{},"activityType":{"shape":"Sn"}}}},"DeprecateDomain":{"input":{"type":"structure","required":["name"],"members":{"name":{}}}},"DeprecateWorkflowType":{"input":{"type":"structure","required":["domain","workflowType"],"members":{"domain":{},"workflowType":{"shape":"Sr"}}}},"DescribeActivityType":{"input":{"type":"structure","required":["domain","activityType"],"members":{"domain":{},"activityType":{"shape":"Sn"}}},"output":{"type":"structure","required":["typeInfo","configuration"],"members":{"typeInfo":{"shape":"Su"},"configuration":{"type":"structure","members":{"defaultTaskStartToCloseTimeout":{},"defaultTaskHeartbeatTimeout":{},"defaultTaskList":{"shape":"Sj"},"defaultTaskPriority":{},"defaultTaskScheduleToStartTimeout":{},"defaultTaskScheduleToCloseTimeout":{}}}}}},"DescribeDomain":{"input":{"type":"structure","required":["name"],"members":{"name":{}}},"output":{"type":"structure","required":["domainInfo","configuration"],"members":{"domainInfo":{"shape":"S12"},"configuration":{"type":"structure","required":["workflowExecutionRetentionPeriodInDays"],"members":{"workflowExecutionRetentionPeriodInDays":{}}}}}},"DescribeWorkflowExecution":{"input":{"type":"structure","required":["domain","execution"],"members":{"domain":{},"execution":{"shape":"S17"}}},"output":{"type":"structure","required":["executionInfo","executionConfiguration","openCounts"],"members":{"executionInfo":{"shape":"S1a"},"executionConfiguration":{"type":"structure","required":["taskStartToCloseTimeout","executionStartToCloseTimeout","taskList","childPolicy"],"members":{"taskStartToCloseTimeout":{},"executionStartToCloseTimeout":{},"taskList":{"shape":"Sj"},"taskPriority":{},"childPolicy":{},"lambdaRole":{}}},"openCounts":{"type":"structure","required":["openActivityTasks","openDecisionTasks","openTimers","openChildWorkflowExecutions"],"members":{"openActivityTasks":{"type":"integer"},"openDecisionTasks":{"type":"integer"},"openTimers":{"type":"integer"},"openChildWorkflowExecutions":{"type":"integer"},"openLambdaFunctions":{"type":"integer"}}},"latestActivityTaskTimestamp":{"type":"timestamp"},"latestExecutionContext":{}}}},"DescribeWorkflowType":{"input":{"type":"structure","required":["domain","workflowType"],"members":{"domain":{},"workflowType":{"shape":"Sr"}}},"output":{"type":"structure","required":["typeInfo","configuration"],"members":{"typeInfo":{"shape":"S1m"},"configuration":{"type":"structure","members":{"defaultTaskStartToCloseTimeout":{},"defaultExecutionStartToCloseTimeout":{},"defaultTaskList":{"shape":"Sj"},"defaultTaskPriority":{},"defaultChildPolicy":{},"defaultLambdaRole":{}}}}}},"GetWorkflowExecutionHistory":{"input":{"type":"structure","required":["domain","execution"],"members":{"domain":{},"execution":{"shape":"S17"},"nextPageToken":{},"maximumPageSize":{"type":"integer"},"reverseOrder":{"type":"boolean"}}},"output":{"type":"structure","required":["events"],"members":{"events":{"shape":"S1t"},"nextPageToken":{}}}},"ListActivityTypes":{"input":{"type":"structure","required":["domain","registrationStatus"],"members":{"domain":{},"name":{},"registrationStatus":{},"nextPageToken":{},"maximumPageSize":{"type":"integer"},"reverseOrder":{"type":"boolean"}}},"output":{"type":"structure","required":["typeInfos"],"members":{"typeInfos":{"type":"list","member":{"shape":"Su"}},"nextPageToken":{}}}},"ListClosedWorkflowExecutions":{"input":{"type":"structure","required":["domain"],"members":{"domain":{},"startTimeFilter":{"shape":"S3"},"closeTimeFilter":{"shape":"S3"},"executionFilter":{"shape":"S5"},"closeStatusFilter":{"shape":"Sc"},"typeFilter":{"shape":"S7"},"tagFilter":{"shape":"Sa"},"nextPageToken":{},"maximumPageSize":{"type":"integer"},"reverseOrder":{"type":"boolean"}}},"output":{"shape":"S4g"}},"ListDomains":{"input":{"type":"structure","required":["registrationStatus"],"members":{"nextPageToken":{},"registrationStatus":{},"maximumPageSize":{"type":"integer"},"reverseOrder":{"type":"boolean"}}},"output":{"type":"structure","required":["domainInfos"],"members":{"domainInfos":{"type":"list","member":{"shape":"S12"}},"nextPageToken":{}}}},"ListOpenWorkflowExecutions":{"input":{"type":"structure","required":["domain","startTimeFilter"],"members":{"domain":{},"startTimeFilter":{"shape":"S3"},"typeFilter":{"shape":"S7"},"tagFilter":{"shape":"Sa"},"nextPageToken":{},"maximumPageSize":{"type":"integer"},"reverseOrder":{"type":"boolean"},"executionFilter":{"shape":"S5"}}},"output":{"shape":"S4g"}},"ListTagsForResource":{"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{}}},"output":{"type":"structure","members":{"tags":{"shape":"S4o"}}}},"ListWorkflowTypes":{"input":{"type":"structure","required":["domain","registrationStatus"],"members":{"domain":{},"name":{},"registrationStatus":{},"nextPageToken":{},"maximumPageSize":{"type":"integer"},"reverseOrder":{"type":"boolean"}}},"output":{"type":"structure","required":["typeInfos"],"members":{"typeInfos":{"type":"list","member":{"shape":"S1m"}},"nextPageToken":{}}}},"PollForActivityTask":{"input":{"type":"structure","required":["domain","taskList"],"members":{"domain":{},"taskList":{"shape":"Sj"},"identity":{}}},"output":{"type":"structure","required":["taskToken","activityId","startedEventId","workflowExecution","activityType"],"members":{"taskToken":{},"activityId":{},"startedEventId":{"type":"long"},"workflowExecution":{"shape":"S17"},"activityType":{"shape":"Sn"},"input":{}}}},"PollForDecisionTask":{"input":{"type":"structure","required":["domain","taskList"],"members":{"domain":{},"taskList":{"shape":"Sj"},"identity":{},"nextPageToken":{},"maximumPageSize":{"type":"integer"},"reverseOrder":{"type":"boolean"}}},"output":{"type":"structure","required":["taskToken","startedEventId","workflowExecution","workflowType","events"],"members":{"taskToken":{},"startedEventId":{"type":"long"},"workflowExecution":{"shape":"S17"},"workflowType":{"shape":"Sr"},"events":{"shape":"S1t"},"nextPageToken":{},"previousStartedEventId":{"type":"long"}}}},"RecordActivityTaskHeartbeat":{"input":{"type":"structure","required":["taskToken"],"members":{"taskToken":{},"details":{}}},"output":{"type":"structure","required":["cancelRequested"],"members":{"cancelRequested":{"type":"boolean"}}}},"RegisterActivityType":{"input":{"type":"structure","required":["domain","name","version"],"members":{"domain":{},"name":{},"version":{},"description":{},"defaultTaskStartToCloseTimeout":{},"defaultTaskHeartbeatTimeout":{},"defaultTaskList":{"shape":"Sj"},"defaultTaskPriority":{},"defaultTaskScheduleToStartTimeout":{},"defaultTaskScheduleToCloseTimeout":{}}}},"RegisterDomain":{"input":{"type":"structure","required":["name","workflowExecutionRetentionPeriodInDays"],"members":{"name":{},"description":{},"workflowExecutionRetentionPeriodInDays":{},"tags":{"shape":"S4o"}}}},"RegisterWorkflowType":{"input":{"type":"structure","required":["domain","name","version"],"members":{"domain":{},"name":{},"version":{},"description":{},"defaultTaskStartToCloseTimeout":{},"defaultExecutionStartToCloseTimeout":{},"defaultTaskList":{"shape":"Sj"},"defaultTaskPriority":{},"defaultChildPolicy":{},"defaultLambdaRole":{}}}},"RequestCancelWorkflowExecution":{"input":{"type":"structure","required":["domain","workflowId"],"members":{"domain":{},"workflowId":{},"runId":{}}}},"RespondActivityTaskCanceled":{"input":{"type":"structure","required":["taskToken"],"members":{"taskToken":{},"details":{}}}},"RespondActivityTaskCompleted":{"input":{"type":"structure","required":["taskToken"],"members":{"taskToken":{},"result":{}}}},"RespondActivityTaskFailed":{"input":{"type":"structure","required":["taskToken"],"members":{"taskToken":{},"reason":{},"details":{}}}},"RespondDecisionTaskCompleted":{"input":{"type":"structure","required":["taskToken"],"members":{"taskToken":{},"decisions":{"type":"list","member":{"type":"structure","required":["decisionType"],"members":{"decisionType":{},"scheduleActivityTaskDecisionAttributes":{"type":"structure","required":["activityType","activityId"],"members":{"activityType":{"shape":"Sn"},"activityId":{},"control":{},"input":{},"scheduleToCloseTimeout":{},"taskList":{"shape":"Sj"},"taskPriority":{},"scheduleToStartTimeout":{},"startToCloseTimeout":{},"heartbeatTimeout":{}}},"requestCancelActivityTaskDecisionAttributes":{"type":"structure","required":["activityId"],"members":{"activityId":{}}},"completeWorkflowExecutionDecisionAttributes":{"type":"structure","members":{"result":{}}},"failWorkflowExecutionDecisionAttributes":{"type":"structure","members":{"reason":{},"details":{}}},"cancelWorkflowExecutionDecisionAttributes":{"type":"structure","members":{"details":{}}},"continueAsNewWorkflowExecutionDecisionAttributes":{"type":"structure","members":{"input":{},"executionStartToCloseTimeout":{},"taskList":{"shape":"Sj"},"taskPriority":{},"taskStartToCloseTimeout":{},"childPolicy":{},"tagList":{"shape":"S1c"},"workflowTypeVersion":{},"lambdaRole":{}}},"recordMarkerDecisionAttributes":{"type":"structure","required":["markerName"],"members":{"markerName":{},"details":{}}},"startTimerDecisionAttributes":{"type":"structure","required":["timerId","startToFireTimeout"],"members":{"timerId":{},"control":{},"startToFireTimeout":{}}},"cancelTimerDecisionAttributes":{"type":"structure","required":["timerId"],"members":{"timerId":{}}},"signalExternalWorkflowExecutionDecisionAttributes":{"type":"structure","required":["workflowId","signalName"],"members":{"workflowId":{},"runId":{},"signalName":{},"input":{},"control":{}}},"requestCancelExternalWorkflowExecutionDecisionAttributes":{"type":"structure","required":["workflowId"],"members":{"workflowId":{},"runId":{},"control":{}}},"startChildWorkflowExecutionDecisionAttributes":{"type":"structure","required":["workflowType","workflowId"],"members":{"workflowType":{"shape":"Sr"},"workflowId":{},"control":{},"input":{},"executionStartToCloseTimeout":{},"taskList":{"shape":"Sj"},"taskPriority":{},"taskStartToCloseTimeout":{},"childPolicy":{},"tagList":{"shape":"S1c"},"lambdaRole":{}}},"scheduleLambdaFunctionDecisionAttributes":{"type":"structure","required":["id","name"],"members":{"id":{},"name":{},"control":{},"input":{},"startToCloseTimeout":{}}}}}},"executionContext":{}}}},"SignalWorkflowExecution":{"input":{"type":"structure","required":["domain","workflowId","signalName"],"members":{"domain":{},"workflowId":{},"runId":{},"signalName":{},"input":{}}}},"StartWorkflowExecution":{"input":{"type":"structure","required":["domain","workflowId","workflowType"],"members":{"domain":{},"workflowId":{},"workflowType":{"shape":"Sr"},"taskList":{"shape":"Sj"},"taskPriority":{},"input":{},"executionStartToCloseTimeout":{},"tagList":{"shape":"S1c"},"taskStartToCloseTimeout":{},"childPolicy":{},"lambdaRole":{}}},"output":{"type":"structure","members":{"runId":{}}}},"TagResource":{"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{},"tags":{"shape":"S4o"}}}},"TerminateWorkflowExecution":{"input":{"type":"structure","required":["domain","workflowId"],"members":{"domain":{},"workflowId":{},"runId":{},"reason":{},"details":{},"childPolicy":{}}}},"UndeprecateActivityType":{"input":{"type":"structure","required":["domain","activityType"],"members":{"domain":{},"activityType":{"shape":"Sn"}}}},"UndeprecateDomain":{"input":{"type":"structure","required":["name"],"members":{"name":{}}}},"UndeprecateWorkflowType":{"input":{"type":"structure","required":["domain","workflowType"],"members":{"domain":{},"workflowType":{"shape":"Sr"}}}},"UntagResource":{"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{},"tagKeys":{"type":"list","member":{}}}}}},"shapes":{"S3":{"type":"structure","required":["oldestDate"],"members":{"oldestDate":{"type":"timestamp"},"latestDate":{"type":"timestamp"}}},"S5":{"type":"structure","required":["workflowId"],"members":{"workflowId":{}}},"S7":{"type":"structure","required":["name"],"members":{"name":{},"version":{}}},"Sa":{"type":"structure","required":["tag"],"members":{"tag":{}}},"Sc":{"type":"structure","required":["status"],"members":{"status":{}}},"Se":{"type":"structure","required":["count"],"members":{"count":{"type":"integer"},"truncated":{"type":"boolean"}}},"Sj":{"type":"structure","required":["name"],"members":{"name":{}}},"Sk":{"type":"structure","required":["count"],"members":{"count":{"type":"integer"},"truncated":{"type":"boolean"}}},"Sn":{"type":"structure","required":["name","version"],"members":{"name":{},"version":{}}},"Sr":{"type":"structure","required":["name","version"],"members":{"name":{},"version":{}}},"Su":{"type":"structure","required":["activityType","status","creationDate"],"members":{"activityType":{"shape":"Sn"},"status":{},"description":{},"creationDate":{"type":"timestamp"},"deprecationDate":{"type":"timestamp"}}},"S12":{"type":"structure","required":["name","status"],"members":{"name":{},"status":{},"description":{},"arn":{}}},"S17":{"type":"structure","required":["workflowId","runId"],"members":{"workflowId":{},"runId":{}}},"S1a":{"type":"structure","required":["execution","workflowType","startTimestamp","executionStatus"],"members":{"execution":{"shape":"S17"},"workflowType":{"shape":"Sr"},"startTimestamp":{"type":"timestamp"},"closeTimestamp":{"type":"timestamp"},"executionStatus":{},"closeStatus":{},"parent":{"shape":"S17"},"tagList":{"shape":"S1c"},"cancelRequested":{"type":"boolean"}}},"S1c":{"type":"list","member":{}},"S1m":{"type":"structure","required":["workflowType","status","creationDate"],"members":{"workflowType":{"shape":"Sr"},"status":{},"description":{},"creationDate":{"type":"timestamp"},"deprecationDate":{"type":"timestamp"}}},"S1t":{"type":"list","member":{"type":"structure","required":["eventTimestamp","eventType","eventId"],"members":{"eventTimestamp":{"type":"timestamp"},"eventType":{},"eventId":{"type":"long"},"workflowExecutionStartedEventAttributes":{"type":"structure","required":["childPolicy","taskList","workflowType"],"members":{"input":{},"executionStartToCloseTimeout":{},"taskStartToCloseTimeout":{},"childPolicy":{},"taskList":{"shape":"Sj"},"taskPriority":{},"workflowType":{"shape":"Sr"},"tagList":{"shape":"S1c"},"continuedExecutionRunId":{},"parentWorkflowExecution":{"shape":"S17"},"parentInitiatedEventId":{"type":"long"},"lambdaRole":{}}},"workflowExecutionCompletedEventAttributes":{"type":"structure","required":["decisionTaskCompletedEventId"],"members":{"result":{},"decisionTaskCompletedEventId":{"type":"long"}}},"completeWorkflowExecutionFailedEventAttributes":{"type":"structure","required":["cause","decisionTaskCompletedEventId"],"members":{"cause":{},"decisionTaskCompletedEventId":{"type":"long"}}},"workflowExecutionFailedEventAttributes":{"type":"structure","required":["decisionTaskCompletedEventId"],"members":{"reason":{},"details":{},"decisionTaskCompletedEventId":{"type":"long"}}},"failWorkflowExecutionFailedEventAttributes":{"type":"structure","required":["cause","decisionTaskCompletedEventId"],"members":{"cause":{},"decisionTaskCompletedEventId":{"type":"long"}}},"workflowExecutionTimedOutEventAttributes":{"type":"structure","required":["timeoutType","childPolicy"],"members":{"timeoutType":{},"childPolicy":{}}},"workflowExecutionCanceledEventAttributes":{"type":"structure","required":["decisionTaskCompletedEventId"],"members":{"details":{},"decisionTaskCompletedEventId":{"type":"long"}}},"cancelWorkflowExecutionFailedEventAttributes":{"type":"structure","required":["cause","decisionTaskCompletedEventId"],"members":{"cause":{},"decisionTaskCompletedEventId":{"type":"long"}}},"workflowExecutionContinuedAsNewEventAttributes":{"type":"structure","required":["decisionTaskCompletedEventId","newExecutionRunId","taskList","childPolicy","workflowType"],"members":{"input":{},"decisionTaskCompletedEventId":{"type":"long"},"newExecutionRunId":{},"executionStartToCloseTimeout":{},"taskList":{"shape":"Sj"},"taskPriority":{},"taskStartToCloseTimeout":{},"childPolicy":{},"tagList":{"shape":"S1c"},"workflowType":{"shape":"Sr"},"lambdaRole":{}}},"continueAsNewWorkflowExecutionFailedEventAttributes":{"type":"structure","required":["cause","decisionTaskCompletedEventId"],"members":{"cause":{},"decisionTaskCompletedEventId":{"type":"long"}}},"workflowExecutionTerminatedEventAttributes":{"type":"structure","required":["childPolicy"],"members":{"reason":{},"details":{},"childPolicy":{},"cause":{}}},"workflowExecutionCancelRequestedEventAttributes":{"type":"structure","members":{"externalWorkflowExecution":{"shape":"S17"},"externalInitiatedEventId":{"type":"long"},"cause":{}}},"decisionTaskScheduledEventAttributes":{"type":"structure","required":["taskList"],"members":{"taskList":{"shape":"Sj"},"taskPriority":{},"startToCloseTimeout":{}}},"decisionTaskStartedEventAttributes":{"type":"structure","required":["scheduledEventId"],"members":{"identity":{},"scheduledEventId":{"type":"long"}}},"decisionTaskCompletedEventAttributes":{"type":"structure","required":["scheduledEventId","startedEventId"],"members":{"executionContext":{},"scheduledEventId":{"type":"long"},"startedEventId":{"type":"long"}}},"decisionTaskTimedOutEventAttributes":{"type":"structure","required":["timeoutType","scheduledEventId","startedEventId"],"members":{"timeoutType":{},"scheduledEventId":{"type":"long"},"startedEventId":{"type":"long"}}},"activityTaskScheduledEventAttributes":{"type":"structure","required":["activityType","activityId","taskList","decisionTaskCompletedEventId"],"members":{"activityType":{"shape":"Sn"},"activityId":{},"input":{},"control":{},"scheduleToStartTimeout":{},"scheduleToCloseTimeout":{},"startToCloseTimeout":{},"taskList":{"shape":"Sj"},"taskPriority":{},"decisionTaskCompletedEventId":{"type":"long"},"heartbeatTimeout":{}}},"activityTaskStartedEventAttributes":{"type":"structure","required":["scheduledEventId"],"members":{"identity":{},"scheduledEventId":{"type":"long"}}},"activityTaskCompletedEventAttributes":{"type":"structure","required":["scheduledEventId","startedEventId"],"members":{"result":{},"scheduledEventId":{"type":"long"},"startedEventId":{"type":"long"}}},"activityTaskFailedEventAttributes":{"type":"structure","required":["scheduledEventId","startedEventId"],"members":{"reason":{},"details":{},"scheduledEventId":{"type":"long"},"startedEventId":{"type":"long"}}},"activityTaskTimedOutEventAttributes":{"type":"structure","required":["timeoutType","scheduledEventId","startedEventId"],"members":{"timeoutType":{},"scheduledEventId":{"type":"long"},"startedEventId":{"type":"long"},"details":{}}},"activityTaskCanceledEventAttributes":{"type":"structure","required":["scheduledEventId","startedEventId"],"members":{"details":{},"scheduledEventId":{"type":"long"},"startedEventId":{"type":"long"},"latestCancelRequestedEventId":{"type":"long"}}},"activityTaskCancelRequestedEventAttributes":{"type":"structure","required":["decisionTaskCompletedEventId","activityId"],"members":{"decisionTaskCompletedEventId":{"type":"long"},"activityId":{}}},"workflowExecutionSignaledEventAttributes":{"type":"structure","required":["signalName"],"members":{"signalName":{},"input":{},"externalWorkflowExecution":{"shape":"S17"},"externalInitiatedEventId":{"type":"long"}}},"markerRecordedEventAttributes":{"type":"structure","required":["markerName","decisionTaskCompletedEventId"],"members":{"markerName":{},"details":{},"decisionTaskCompletedEventId":{"type":"long"}}},"recordMarkerFailedEventAttributes":{"type":"structure","required":["markerName","cause","decisionTaskCompletedEventId"],"members":{"markerName":{},"cause":{},"decisionTaskCompletedEventId":{"type":"long"}}},"timerStartedEventAttributes":{"type":"structure","required":["timerId","startToFireTimeout","decisionTaskCompletedEventId"],"members":{"timerId":{},"control":{},"startToFireTimeout":{},"decisionTaskCompletedEventId":{"type":"long"}}},"timerFiredEventAttributes":{"type":"structure","required":["timerId","startedEventId"],"members":{"timerId":{},"startedEventId":{"type":"long"}}},"timerCanceledEventAttributes":{"type":"structure","required":["timerId","startedEventId","decisionTaskCompletedEventId"],"members":{"timerId":{},"startedEventId":{"type":"long"},"decisionTaskCompletedEventId":{"type":"long"}}},"startChildWorkflowExecutionInitiatedEventAttributes":{"type":"structure","required":["workflowId","workflowType","taskList","decisionTaskCompletedEventId","childPolicy"],"members":{"workflowId":{},"workflowType":{"shape":"Sr"},"control":{},"input":{},"executionStartToCloseTimeout":{},"taskList":{"shape":"Sj"},"taskPriority":{},"decisionTaskCompletedEventId":{"type":"long"},"childPolicy":{},"taskStartToCloseTimeout":{},"tagList":{"shape":"S1c"},"lambdaRole":{}}},"childWorkflowExecutionStartedEventAttributes":{"type":"structure","required":["workflowExecution","workflowType","initiatedEventId"],"members":{"workflowExecution":{"shape":"S17"},"workflowType":{"shape":"Sr"},"initiatedEventId":{"type":"long"}}},"childWorkflowExecutionCompletedEventAttributes":{"type":"structure","required":["workflowExecution","workflowType","initiatedEventId","startedEventId"],"members":{"workflowExecution":{"shape":"S17"},"workflowType":{"shape":"Sr"},"result":{},"initiatedEventId":{"type":"long"},"startedEventId":{"type":"long"}}},"childWorkflowExecutionFailedEventAttributes":{"type":"structure","required":["workflowExecution","workflowType","initiatedEventId","startedEventId"],"members":{"workflowExecution":{"shape":"S17"},"workflowType":{"shape":"Sr"},"reason":{},"details":{},"initiatedEventId":{"type":"long"},"startedEventId":{"type":"long"}}},"childWorkflowExecutionTimedOutEventAttributes":{"type":"structure","required":["workflowExecution","workflowType","timeoutType","initiatedEventId","startedEventId"],"members":{"workflowExecution":{"shape":"S17"},"workflowType":{"shape":"Sr"},"timeoutType":{},"initiatedEventId":{"type":"long"},"startedEventId":{"type":"long"}}},"childWorkflowExecutionCanceledEventAttributes":{"type":"structure","required":["workflowExecution","workflowType","initiatedEventId","startedEventId"],"members":{"workflowExecution":{"shape":"S17"},"workflowType":{"shape":"Sr"},"details":{},"initiatedEventId":{"type":"long"},"startedEventId":{"type":"long"}}},"childWorkflowExecutionTerminatedEventAttributes":{"type":"structure","required":["workflowExecution","workflowType","initiatedEventId","startedEventId"],"members":{"workflowExecution":{"shape":"S17"},"workflowType":{"shape":"Sr"},"initiatedEventId":{"type":"long"},"startedEventId":{"type":"long"}}},"signalExternalWorkflowExecutionInitiatedEventAttributes":{"type":"structure","required":["workflowId","signalName","decisionTaskCompletedEventId"],"members":{"workflowId":{},"runId":{},"signalName":{},"input":{},"decisionTaskCompletedEventId":{"type":"long"},"control":{}}},"externalWorkflowExecutionSignaledEventAttributes":{"type":"structure","required":["workflowExecution","initiatedEventId"],"members":{"workflowExecution":{"shape":"S17"},"initiatedEventId":{"type":"long"}}},"signalExternalWorkflowExecutionFailedEventAttributes":{"type":"structure","required":["workflowId","cause","initiatedEventId","decisionTaskCompletedEventId"],"members":{"workflowId":{},"runId":{},"cause":{},"initiatedEventId":{"type":"long"},"decisionTaskCompletedEventId":{"type":"long"},"control":{}}},"externalWorkflowExecutionCancelRequestedEventAttributes":{"type":"structure","required":["workflowExecution","initiatedEventId"],"members":{"workflowExecution":{"shape":"S17"},"initiatedEventId":{"type":"long"}}},"requestCancelExternalWorkflowExecutionInitiatedEventAttributes":{"type":"structure","required":["workflowId","decisionTaskCompletedEventId"],"members":{"workflowId":{},"runId":{},"decisionTaskCompletedEventId":{"type":"long"},"control":{}}},"requestCancelExternalWorkflowExecutionFailedEventAttributes":{"type":"structure","required":["workflowId","cause","initiatedEventId","decisionTaskCompletedEventId"],"members":{"workflowId":{},"runId":{},"cause":{},"initiatedEventId":{"type":"long"},"decisionTaskCompletedEventId":{"type":"long"},"control":{}}},"scheduleActivityTaskFailedEventAttributes":{"type":"structure","required":["activityType","activityId","cause","decisionTaskCompletedEventId"],"members":{"activityType":{"shape":"Sn"},"activityId":{},"cause":{},"decisionTaskCompletedEventId":{"type":"long"}}},"requestCancelActivityTaskFailedEventAttributes":{"type":"structure","required":["activityId","cause","decisionTaskCompletedEventId"],"members":{"activityId":{},"cause":{},"decisionTaskCompletedEventId":{"type":"long"}}},"startTimerFailedEventAttributes":{"type":"structure","required":["timerId","cause","decisionTaskCompletedEventId"],"members":{"timerId":{},"cause":{},"decisionTaskCompletedEventId":{"type":"long"}}},"cancelTimerFailedEventAttributes":{"type":"structure","required":["timerId","cause","decisionTaskCompletedEventId"],"members":{"timerId":{},"cause":{},"decisionTaskCompletedEventId":{"type":"long"}}},"startChildWorkflowExecutionFailedEventAttributes":{"type":"structure","required":["workflowType","cause","workflowId","initiatedEventId","decisionTaskCompletedEventId"],"members":{"workflowType":{"shape":"Sr"},"cause":{},"workflowId":{},"initiatedEventId":{"type":"long"},"decisionTaskCompletedEventId":{"type":"long"},"control":{}}},"lambdaFunctionScheduledEventAttributes":{"type":"structure","required":["id","name","decisionTaskCompletedEventId"],"members":{"id":{},"name":{},"control":{},"input":{},"startToCloseTimeout":{},"decisionTaskCompletedEventId":{"type":"long"}}},"lambdaFunctionStartedEventAttributes":{"type":"structure","required":["scheduledEventId"],"members":{"scheduledEventId":{"type":"long"}}},"lambdaFunctionCompletedEventAttributes":{"type":"structure","required":["scheduledEventId","startedEventId"],"members":{"scheduledEventId":{"type":"long"},"startedEventId":{"type":"long"},"result":{}}},"lambdaFunctionFailedEventAttributes":{"type":"structure","required":["scheduledEventId","startedEventId"],"members":{"scheduledEventId":{"type":"long"},"startedEventId":{"type":"long"},"reason":{},"details":{}}},"lambdaFunctionTimedOutEventAttributes":{"type":"structure","required":["scheduledEventId","startedEventId"],"members":{"scheduledEventId":{"type":"long"},"startedEventId":{"type":"long"},"timeoutType":{}}},"scheduleLambdaFunctionFailedEventAttributes":{"type":"structure","required":["id","name","cause","decisionTaskCompletedEventId"],"members":{"id":{},"name":{},"cause":{},"decisionTaskCompletedEventId":{"type":"long"}}},"startLambdaFunctionFailedEventAttributes":{"type":"structure","members":{"scheduledEventId":{"type":"long"},"cause":{},"message":{}}}}}},"S4g":{"type":"structure","required":["executionInfos"],"members":{"executionInfos":{"type":"list","member":{"shape":"S1a"}},"nextPageToken":{}}},"S4o":{"type":"list","member":{"type":"structure","required":["key"],"members":{"key":{},"value":{}}}}}}');

/***/ }),

/***/ 48039:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"GetWorkflowExecutionHistory":{"input_token":"nextPageToken","limit_key":"maximumPageSize","output_token":"nextPageToken","result_key":"events"},"ListActivityTypes":{"input_token":"nextPageToken","limit_key":"maximumPageSize","output_token":"nextPageToken","result_key":"typeInfos"},"ListClosedWorkflowExecutions":{"input_token":"nextPageToken","limit_key":"maximumPageSize","output_token":"nextPageToken","result_key":"executionInfos"},"ListDomains":{"input_token":"nextPageToken","limit_key":"maximumPageSize","output_token":"nextPageToken","result_key":"domainInfos"},"ListOpenWorkflowExecutions":{"input_token":"nextPageToken","limit_key":"maximumPageSize","output_token":"nextPageToken","result_key":"executionInfos"},"ListWorkflowTypes":{"input_token":"nextPageToken","limit_key":"maximumPageSize","output_token":"nextPageToken","result_key":"typeInfos"},"PollForDecisionTask":{"input_token":"nextPageToken","limit_key":"maximumPageSize","output_token":"nextPageToken","result_key":"events"}}}');

/***/ }),

/***/ 78752:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-10-11","endpointPrefix":"synthetics","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Synthetics","serviceFullName":"Synthetics","serviceId":"synthetics","signatureVersion":"v4","signingName":"synthetics","uid":"synthetics-2017-10-11"},"operations":{"CreateCanary":{"http":{"requestUri":"/canary"},"input":{"type":"structure","required":["Name","Code","ArtifactS3Location","ExecutionRoleArn","Schedule","RuntimeVersion"],"members":{"Name":{},"Code":{"shape":"S3"},"ArtifactS3Location":{},"ExecutionRoleArn":{},"Schedule":{"shape":"S7"},"RunConfig":{"shape":"S9"},"SuccessRetentionPeriodInDays":{"type":"integer"},"FailureRetentionPeriodInDays":{"type":"integer"},"RuntimeVersion":{},"VpcConfig":{"shape":"Sh"},"Tags":{"shape":"Sm"},"ArtifactConfig":{"shape":"Sp"}}},"output":{"type":"structure","members":{"Canary":{"shape":"Su"}}}},"DeleteCanary":{"http":{"method":"DELETE","requestUri":"/canary/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{}}},"DescribeCanaries":{"http":{"requestUri":"/canaries"},"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Canaries":{"type":"list","member":{"shape":"Su"}},"NextToken":{}}}},"DescribeCanariesLastRun":{"http":{"requestUri":"/canaries/last-run"},"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"CanariesLastRun":{"type":"list","member":{"type":"structure","members":{"CanaryName":{},"LastRun":{"shape":"S1p"}}}},"NextToken":{}}}},"DescribeRuntimeVersions":{"http":{"requestUri":"/runtime-versions"},"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"RuntimeVersions":{"type":"list","member":{"type":"structure","members":{"VersionName":{},"Description":{},"ReleaseDate":{"type":"timestamp"},"DeprecationDate":{"type":"timestamp"}}}},"NextToken":{}}}},"GetCanary":{"http":{"method":"GET","requestUri":"/canary/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{"Canary":{"shape":"Su"}}}},"GetCanaryRuns":{"http":{"requestUri":"/canary/{name}/runs"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"CanaryRuns":{"type":"list","member":{"shape":"S1p"}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sm"}}}},"StartCanary":{"http":{"requestUri":"/canary/{name}/start"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{}}},"StopCanary":{"http":{"requestUri":"/canary/{name}/stop"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"resourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateCanary":{"http":{"method":"PATCH","requestUri":"/canary/{name}"},"input":{"type":"structure","required":["Name"],"members":{"Name":{"location":"uri","locationName":"name"},"Code":{"shape":"S3"},"ExecutionRoleArn":{},"RuntimeVersion":{},"Schedule":{"shape":"S7"},"RunConfig":{"shape":"S9"},"SuccessRetentionPeriodInDays":{"type":"integer"},"FailureRetentionPeriodInDays":{"type":"integer"},"VpcConfig":{"shape":"Sh"},"VisualReference":{"type":"structure","required":["BaseCanaryRunId"],"members":{"BaseScreenshots":{"shape":"S18"},"BaseCanaryRunId":{}}},"ArtifactS3Location":{},"ArtifactConfig":{"shape":"Sp"}}},"output":{"type":"structure","members":{}}}},"shapes":{"S3":{"type":"structure","required":["Handler"],"members":{"S3Bucket":{},"S3Key":{},"S3Version":{},"ZipFile":{"type":"blob"},"Handler":{}}},"S7":{"type":"structure","required":["Expression"],"members":{"Expression":{},"DurationInSeconds":{"type":"long"}}},"S9":{"type":"structure","members":{"TimeoutInSeconds":{"type":"integer"},"MemoryInMB":{"type":"integer"},"ActiveTracing":{"type":"boolean"},"EnvironmentVariables":{"type":"map","key":{},"value":{}}}},"Sh":{"type":"structure","members":{"SubnetIds":{"shape":"Si"},"SecurityGroupIds":{"shape":"Sk"}}},"Si":{"type":"list","member":{}},"Sk":{"type":"list","member":{}},"Sm":{"type":"map","key":{},"value":{}},"Sp":{"type":"structure","members":{"S3Encryption":{"shape":"Sq"}}},"Sq":{"type":"structure","members":{"EncryptionMode":{},"KmsKeyArn":{}}},"Su":{"type":"structure","members":{"Id":{},"Name":{},"Code":{"type":"structure","members":{"SourceLocationArn":{},"Handler":{}}},"ExecutionRoleArn":{},"Schedule":{"type":"structure","members":{"Expression":{},"DurationInSeconds":{"type":"long"}}},"RunConfig":{"type":"structure","members":{"TimeoutInSeconds":{"type":"integer"},"MemoryInMB":{"type":"integer"},"ActiveTracing":{"type":"boolean"}}},"SuccessRetentionPeriodInDays":{"type":"integer"},"FailureRetentionPeriodInDays":{"type":"integer"},"Status":{"type":"structure","members":{"State":{},"StateReason":{},"StateReasonCode":{}}},"Timeline":{"type":"structure","members":{"Created":{"type":"timestamp"},"LastModified":{"type":"timestamp"},"LastStarted":{"type":"timestamp"},"LastStopped":{"type":"timestamp"}}},"ArtifactS3Location":{},"EngineArn":{},"RuntimeVersion":{},"VpcConfig":{"type":"structure","members":{"VpcId":{},"SubnetIds":{"shape":"Si"},"SecurityGroupIds":{"shape":"Sk"}}},"VisualReference":{"type":"structure","members":{"BaseScreenshots":{"shape":"S18"},"BaseCanaryRunId":{}}},"Tags":{"shape":"Sm"},"ArtifactConfig":{"type":"structure","members":{"S3Encryption":{"shape":"Sq"}}}}},"S18":{"type":"list","member":{"type":"structure","required":["ScreenshotName"],"members":{"ScreenshotName":{},"IgnoreCoordinates":{"type":"list","member":{}}}}},"S1p":{"type":"structure","members":{"Id":{},"Name":{},"Status":{"type":"structure","members":{"State":{},"StateReason":{},"StateReasonCode":{}}},"Timeline":{"type":"structure","members":{"Started":{"type":"timestamp"},"Completed":{"type":"timestamp"}}},"ArtifactS3Location":{}}}}}');

/***/ }),

/***/ 61615:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeCanaries":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"DescribeCanariesLastRun":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"DescribeRuntimeVersions":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetCanaryRuns":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"}}}');

/***/ }),

/***/ 49753:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-06-27","endpointPrefix":"textract","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Textract","serviceId":"Textract","signatureVersion":"v4","targetPrefix":"Textract","uid":"textract-2018-06-27"},"operations":{"AnalyzeDocument":{"input":{"type":"structure","required":["Document","FeatureTypes"],"members":{"Document":{"shape":"S2"},"FeatureTypes":{"shape":"S8"},"HumanLoopConfig":{"type":"structure","required":["HumanLoopName","FlowDefinitionArn"],"members":{"HumanLoopName":{},"FlowDefinitionArn":{},"DataAttributes":{"type":"structure","members":{"ContentClassifiers":{"type":"list","member":{}}}}}}}},"output":{"type":"structure","members":{"DocumentMetadata":{"shape":"Sh"},"Blocks":{"shape":"Sj"},"HumanLoopActivationOutput":{"type":"structure","members":{"HumanLoopArn":{},"HumanLoopActivationReasons":{"type":"list","member":{}},"HumanLoopActivationConditionsEvaluationResults":{"jsonvalue":true}}},"AnalyzeDocumentModelVersion":{}}}},"AnalyzeExpense":{"input":{"type":"structure","required":["Document"],"members":{"Document":{"shape":"S2"}}},"output":{"type":"structure","members":{"DocumentMetadata":{"shape":"Sh"},"ExpenseDocuments":{"shape":"S19"}}}},"AnalyzeID":{"input":{"type":"structure","required":["DocumentPages"],"members":{"DocumentPages":{"type":"list","member":{"shape":"S2"}}}},"output":{"type":"structure","members":{"IdentityDocuments":{"type":"list","member":{"type":"structure","members":{"DocumentIndex":{"type":"integer"},"IdentityDocumentFields":{"type":"list","member":{"type":"structure","members":{"Type":{"shape":"S1q"},"ValueDetection":{"shape":"S1q"}}}}}}},"DocumentMetadata":{"shape":"Sh"},"AnalyzeIDModelVersion":{}}}},"DetectDocumentText":{"input":{"type":"structure","required":["Document"],"members":{"Document":{"shape":"S2"}}},"output":{"type":"structure","members":{"DocumentMetadata":{"shape":"Sh"},"Blocks":{"shape":"Sj"},"DetectDocumentTextModelVersion":{}}}},"GetDocumentAnalysis":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"DocumentMetadata":{"shape":"Sh"},"JobStatus":{},"NextToken":{},"Blocks":{"shape":"Sj"},"Warnings":{"shape":"S21"},"StatusMessage":{},"AnalyzeDocumentModelVersion":{}}}},"GetDocumentTextDetection":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"DocumentMetadata":{"shape":"Sh"},"JobStatus":{},"NextToken":{},"Blocks":{"shape":"Sj"},"Warnings":{"shape":"S21"},"StatusMessage":{},"DetectDocumentTextModelVersion":{}}}},"GetExpenseAnalysis":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"DocumentMetadata":{"shape":"Sh"},"JobStatus":{},"NextToken":{},"ExpenseDocuments":{"shape":"S19"},"Warnings":{"shape":"S21"},"StatusMessage":{},"AnalyzeExpenseModelVersion":{}}}},"StartDocumentAnalysis":{"input":{"type":"structure","required":["DocumentLocation","FeatureTypes"],"members":{"DocumentLocation":{"shape":"S2b"},"FeatureTypes":{"shape":"S8"},"ClientRequestToken":{},"JobTag":{},"NotificationChannel":{"shape":"S2e"},"OutputConfig":{"shape":"S2h"},"KMSKeyId":{}}},"output":{"type":"structure","members":{"JobId":{}}}},"StartDocumentTextDetection":{"input":{"type":"structure","required":["DocumentLocation"],"members":{"DocumentLocation":{"shape":"S2b"},"ClientRequestToken":{},"JobTag":{},"NotificationChannel":{"shape":"S2e"},"OutputConfig":{"shape":"S2h"},"KMSKeyId":{}}},"output":{"type":"structure","members":{"JobId":{}}}},"StartExpenseAnalysis":{"input":{"type":"structure","required":["DocumentLocation"],"members":{"DocumentLocation":{"shape":"S2b"},"ClientRequestToken":{},"JobTag":{},"NotificationChannel":{"shape":"S2e"},"OutputConfig":{"shape":"S2h"},"KMSKeyId":{}}},"output":{"type":"structure","members":{"JobId":{}}}}},"shapes":{"S2":{"type":"structure","members":{"Bytes":{"type":"blob"},"S3Object":{"shape":"S4"}}},"S4":{"type":"structure","members":{"Bucket":{},"Name":{},"Version":{}}},"S8":{"type":"list","member":{}},"Sh":{"type":"structure","members":{"Pages":{"type":"integer"}}},"Sj":{"type":"list","member":{"type":"structure","members":{"BlockType":{},"Confidence":{"type":"float"},"Text":{},"TextType":{},"RowIndex":{"type":"integer"},"ColumnIndex":{"type":"integer"},"RowSpan":{"type":"integer"},"ColumnSpan":{"type":"integer"},"Geometry":{"shape":"Sp"},"Id":{},"Relationships":{"type":"list","member":{"type":"structure","members":{"Type":{},"Ids":{"type":"list","member":{}}}}},"EntityTypes":{"type":"list","member":{}},"SelectionStatus":{},"Page":{"type":"integer"}}}},"Sp":{"type":"structure","members":{"BoundingBox":{"type":"structure","members":{"Width":{"type":"float"},"Height":{"type":"float"},"Left":{"type":"float"},"Top":{"type":"float"}}},"Polygon":{"type":"list","member":{"type":"structure","members":{"X":{"type":"float"},"Y":{"type":"float"}}}}}},"S19":{"type":"list","member":{"type":"structure","members":{"ExpenseIndex":{"type":"integer"},"SummaryFields":{"shape":"S1b"},"LineItemGroups":{"type":"list","member":{"type":"structure","members":{"LineItemGroupIndex":{"type":"integer"},"LineItems":{"type":"list","member":{"type":"structure","members":{"LineItemExpenseFields":{"shape":"S1b"}}}}}}}}}},"S1b":{"type":"list","member":{"type":"structure","members":{"Type":{"type":"structure","members":{"Text":{},"Confidence":{"type":"float"}}},"LabelDetection":{"shape":"S1e"},"ValueDetection":{"shape":"S1e"},"PageNumber":{"type":"integer"}}}},"S1e":{"type":"structure","members":{"Text":{},"Geometry":{"shape":"Sp"},"Confidence":{"type":"float"}}},"S1q":{"type":"structure","required":["Text"],"members":{"Text":{},"NormalizedValue":{"type":"structure","members":{"Value":{},"ValueType":{}}},"Confidence":{"type":"float"}}},"S21":{"type":"list","member":{"type":"structure","members":{"ErrorCode":{},"Pages":{"type":"list","member":{"type":"integer"}}}}},"S2b":{"type":"structure","members":{"S3Object":{"shape":"S4"}}},"S2e":{"type":"structure","required":["SNSTopicArn","RoleArn"],"members":{"SNSTopicArn":{},"RoleArn":{}}},"S2h":{"type":"structure","required":["S3Bucket"],"members":{"S3Bucket":{},"S3Prefix":{}}}}}');

/***/ }),

/***/ 16270:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 70457:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-11-01","endpointPrefix":"query.timestream","jsonVersion":"1.0","protocol":"json","serviceAbbreviation":"Timestream Query","serviceFullName":"Amazon Timestream Query","serviceId":"Timestream Query","signatureVersion":"v4","signingName":"timestream","targetPrefix":"Timestream_20181101","uid":"timestream-query-2018-11-01"},"operations":{"CancelQuery":{"input":{"type":"structure","required":["QueryId"],"members":{"QueryId":{}}},"output":{"type":"structure","members":{"CancellationMessage":{}}},"endpointdiscovery":{"required":true},"idempotent":true},"CreateScheduledQuery":{"input":{"type":"structure","required":["Name","QueryString","ScheduleConfiguration","NotificationConfiguration","ScheduledQueryExecutionRoleArn","ErrorReportConfiguration"],"members":{"Name":{},"QueryString":{"shape":"S7"},"ScheduleConfiguration":{"shape":"S8"},"NotificationConfiguration":{"shape":"Sa"},"TargetConfiguration":{"shape":"Sd"},"ClientToken":{"shape":"Sr","idempotencyToken":true},"ScheduledQueryExecutionRoleArn":{},"Tags":{"shape":"Ss"},"KmsKeyId":{},"ErrorReportConfiguration":{"shape":"Sx"}}},"output":{"type":"structure","required":["Arn"],"members":{"Arn":{}}},"endpointdiscovery":{"required":true},"idempotent":true},"DeleteScheduledQuery":{"input":{"type":"structure","required":["ScheduledQueryArn"],"members":{"ScheduledQueryArn":{}}},"endpointdiscovery":{"required":true},"idempotent":true},"DescribeEndpoints":{"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["Endpoints"],"members":{"Endpoints":{"type":"list","member":{"type":"structure","required":["Address","CachePeriodInMinutes"],"members":{"Address":{},"CachePeriodInMinutes":{"type":"long"}}}}}},"endpointoperation":true},"DescribeScheduledQuery":{"input":{"type":"structure","required":["ScheduledQueryArn"],"members":{"ScheduledQueryArn":{}}},"output":{"type":"structure","required":["ScheduledQuery"],"members":{"ScheduledQuery":{"type":"structure","required":["Arn","Name","QueryString","State","ScheduleConfiguration","NotificationConfiguration"],"members":{"Arn":{},"Name":{},"QueryString":{"shape":"S7"},"CreationTime":{"type":"timestamp"},"State":{},"PreviousInvocationTime":{"type":"timestamp"},"NextInvocationTime":{"type":"timestamp"},"ScheduleConfiguration":{"shape":"S8"},"NotificationConfiguration":{"shape":"Sa"},"TargetConfiguration":{"shape":"Sd"},"ScheduledQueryExecutionRoleArn":{},"KmsKeyId":{},"ErrorReportConfiguration":{"shape":"Sx"},"LastRunSummary":{"shape":"S1e"},"RecentlyFailedRuns":{"type":"list","member":{"shape":"S1e"}}}}}},"endpointdiscovery":{"required":true}},"ExecuteScheduledQuery":{"input":{"type":"structure","required":["ScheduledQueryArn","InvocationTime"],"members":{"ScheduledQueryArn":{},"InvocationTime":{"type":"timestamp"},"ClientToken":{"shape":"Sr","idempotencyToken":true}}},"endpointdiscovery":{"required":true},"idempotent":true},"ListScheduledQueries":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["ScheduledQueries"],"members":{"ScheduledQueries":{"type":"list","member":{"type":"structure","required":["Arn","Name","State"],"members":{"Arn":{},"Name":{},"CreationTime":{"type":"timestamp"},"State":{},"PreviousInvocationTime":{"type":"timestamp"},"NextInvocationTime":{"type":"timestamp"},"ErrorReportConfiguration":{"shape":"Sx"},"TargetDestination":{"type":"structure","members":{"TimestreamDestination":{"type":"structure","members":{"DatabaseName":{},"TableName":{}}}}},"LastRunStatus":{}}}},"NextToken":{}}},"endpointdiscovery":{"required":true}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Tags"],"members":{"Tags":{"shape":"Ss"},"NextToken":{}}},"endpointdiscovery":{"required":true}},"PrepareQuery":{"input":{"type":"structure","required":["QueryString"],"members":{"QueryString":{"shape":"S7"},"ValidateOnly":{"type":"boolean"}}},"output":{"type":"structure","required":["QueryString","Columns","Parameters"],"members":{"QueryString":{"shape":"S7"},"Columns":{"type":"list","member":{"type":"structure","members":{"Name":{},"Type":{"shape":"S24"},"DatabaseName":{},"TableName":{},"Aliased":{"type":"boolean"}}}},"Parameters":{"type":"list","member":{"type":"structure","required":["Name","Type"],"members":{"Name":{},"Type":{"shape":"S24"}}}}}},"endpointdiscovery":{"required":true},"idempotent":true},"Query":{"input":{"type":"structure","required":["QueryString"],"members":{"QueryString":{"shape":"S7"},"ClientToken":{"idempotencyToken":true,"type":"string","sensitive":true},"NextToken":{},"MaxRows":{"type":"integer"}}},"output":{"type":"structure","required":["QueryId","Rows","ColumnInfo"],"members":{"QueryId":{},"NextToken":{},"Rows":{"type":"list","member":{"shape":"S2g"}},"ColumnInfo":{"shape":"S27"},"QueryStatus":{"type":"structure","members":{"ProgressPercentage":{"type":"double"},"CumulativeBytesScanned":{"type":"long"},"CumulativeBytesMetered":{"type":"long"}}}}},"endpointdiscovery":{"required":true},"idempotent":true},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"Ss"}}},"output":{"type":"structure","members":{}},"endpointdiscovery":{"required":true}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}},"endpointdiscovery":{"required":true}},"UpdateScheduledQuery":{"input":{"type":"structure","required":["ScheduledQueryArn","State"],"members":{"ScheduledQueryArn":{},"State":{}}},"endpointdiscovery":{"required":true}}},"shapes":{"S7":{"type":"string","sensitive":true},"S8":{"type":"structure","required":["ScheduleExpression"],"members":{"ScheduleExpression":{}}},"Sa":{"type":"structure","required":["SnsConfiguration"],"members":{"SnsConfiguration":{"type":"structure","required":["TopicArn"],"members":{"TopicArn":{}}}}},"Sd":{"type":"structure","required":["TimestreamConfiguration"],"members":{"TimestreamConfiguration":{"type":"structure","required":["DatabaseName","TableName","TimeColumn","DimensionMappings"],"members":{"DatabaseName":{},"TableName":{},"TimeColumn":{},"DimensionMappings":{"type":"list","member":{"type":"structure","required":["Name","DimensionValueType"],"members":{"Name":{},"DimensionValueType":{}}}},"MultiMeasureMappings":{"type":"structure","required":["MultiMeasureAttributeMappings"],"members":{"TargetMultiMeasureName":{},"MultiMeasureAttributeMappings":{"shape":"Sl"}}},"MixedMeasureMappings":{"type":"list","member":{"type":"structure","required":["MeasureValueType"],"members":{"MeasureName":{},"SourceColumn":{},"TargetMeasureName":{},"MeasureValueType":{},"MultiMeasureAttributeMappings":{"shape":"Sl"}}}},"MeasureNameColumn":{}}}}},"Sl":{"type":"list","member":{"type":"structure","required":["SourceColumn","MeasureValueType"],"members":{"SourceColumn":{},"TargetMultiMeasureAttributeName":{},"MeasureValueType":{}}}},"Sr":{"type":"string","sensitive":true},"Ss":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sx":{"type":"structure","required":["S3Configuration"],"members":{"S3Configuration":{"type":"structure","required":["BucketName"],"members":{"BucketName":{},"ObjectKeyPrefix":{},"EncryptionOption":{}}}}},"S1e":{"type":"structure","members":{"InvocationTime":{"type":"timestamp"},"TriggerTime":{"type":"timestamp"},"RunStatus":{},"ExecutionStats":{"type":"structure","members":{"ExecutionTimeInMillis":{"type":"long"},"DataWrites":{"type":"long"},"BytesMetered":{"type":"long"},"RecordsIngested":{"type":"long"},"QueryResultRows":{"type":"long"}}},"ErrorReportLocation":{"type":"structure","members":{"S3ReportLocation":{"type":"structure","members":{"BucketName":{},"ObjectKey":{}}}}},"FailureReason":{}}},"S24":{"type":"structure","members":{"ScalarType":{},"ArrayColumnInfo":{"shape":"S26"},"TimeSeriesMeasureValueColumnInfo":{"shape":"S26"},"RowColumnInfo":{"shape":"S27"}}},"S26":{"type":"structure","required":["Type"],"members":{"Name":{},"Type":{"shape":"S24"}}},"S27":{"type":"list","member":{"shape":"S26"}},"S2g":{"type":"structure","required":["Data"],"members":{"Data":{"shape":"S2h"}}},"S2h":{"type":"list","member":{"shape":"S2i"}},"S2i":{"type":"structure","members":{"ScalarValue":{},"TimeSeriesValue":{"type":"list","member":{"type":"structure","required":["Time","Value"],"members":{"Time":{},"Value":{"shape":"S2i"}}}},"ArrayValue":{"shape":"S2h"},"RowValue":{"shape":"S2g"},"NullValue":{"type":"boolean"}}}}}');

/***/ }),

/***/ 97217:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListScheduledQueries":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"ScheduledQueries"},"ListTagsForResource":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken","result_key":"Tags"},"Query":{"input_token":"NextToken","limit_key":"MaxRows","non_aggregate_keys":["ColumnInfo","QueryId","QueryStatus"],"output_token":"NextToken","result_key":"Rows"}}}');

/***/ }),

/***/ 8368:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-11-01","endpointPrefix":"ingest.timestream","jsonVersion":"1.0","protocol":"json","serviceAbbreviation":"Timestream Write","serviceFullName":"Amazon Timestream Write","serviceId":"Timestream Write","signatureVersion":"v4","signingName":"timestream","targetPrefix":"Timestream_20181101","uid":"timestream-write-2018-11-01"},"operations":{"CreateDatabase":{"input":{"type":"structure","required":["DatabaseName"],"members":{"DatabaseName":{},"KmsKeyId":{},"Tags":{"shape":"S4"}}},"output":{"type":"structure","members":{"Database":{"shape":"S9"}}},"endpointdiscovery":{"required":true}},"CreateTable":{"input":{"type":"structure","required":["DatabaseName","TableName"],"members":{"DatabaseName":{},"TableName":{},"RetentionProperties":{"shape":"Sf"},"Tags":{"shape":"S4"},"MagneticStoreWriteProperties":{"shape":"Si"}}},"output":{"type":"structure","members":{"Table":{"shape":"Sq"}}},"endpointdiscovery":{"required":true}},"DeleteDatabase":{"input":{"type":"structure","required":["DatabaseName"],"members":{"DatabaseName":{}}},"endpointdiscovery":{"required":true}},"DeleteTable":{"input":{"type":"structure","required":["DatabaseName","TableName"],"members":{"DatabaseName":{},"TableName":{}}},"endpointdiscovery":{"required":true}},"DescribeDatabase":{"input":{"type":"structure","required":["DatabaseName"],"members":{"DatabaseName":{}}},"output":{"type":"structure","members":{"Database":{"shape":"S9"}}},"endpointdiscovery":{"required":true}},"DescribeEndpoints":{"input":{"type":"structure","members":{}},"output":{"type":"structure","required":["Endpoints"],"members":{"Endpoints":{"type":"list","member":{"type":"structure","required":["Address","CachePeriodInMinutes"],"members":{"Address":{},"CachePeriodInMinutes":{"type":"long"}}}}}},"endpointoperation":true},"DescribeTable":{"input":{"type":"structure","required":["DatabaseName","TableName"],"members":{"DatabaseName":{},"TableName":{}}},"output":{"type":"structure","members":{"Table":{"shape":"Sq"}}},"endpointdiscovery":{"required":true}},"ListDatabases":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Databases":{"type":"list","member":{"shape":"S9"}},"NextToken":{}}},"endpointdiscovery":{"required":true}},"ListTables":{"input":{"type":"structure","members":{"DatabaseName":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Tables":{"type":"list","member":{"shape":"Sq"}},"NextToken":{}}},"endpointdiscovery":{"required":true}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S4"}}},"endpointdiscovery":{"required":true}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S4"}}},"output":{"type":"structure","members":{}},"endpointdiscovery":{"required":true}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}},"endpointdiscovery":{"required":true}},"UpdateDatabase":{"input":{"type":"structure","required":["DatabaseName","KmsKeyId"],"members":{"DatabaseName":{},"KmsKeyId":{}}},"output":{"type":"structure","members":{"Database":{"shape":"S9"}}},"endpointdiscovery":{"required":true}},"UpdateTable":{"input":{"type":"structure","required":["DatabaseName","TableName"],"members":{"DatabaseName":{},"TableName":{},"RetentionProperties":{"shape":"Sf"},"MagneticStoreWriteProperties":{"shape":"Si"}}},"output":{"type":"structure","members":{"Table":{"shape":"Sq"}}},"endpointdiscovery":{"required":true}},"WriteRecords":{"input":{"type":"structure","required":["DatabaseName","TableName","Records"],"members":{"DatabaseName":{},"TableName":{},"CommonAttributes":{"shape":"S1m"},"Records":{"type":"list","member":{"shape":"S1m"}}}},"output":{"type":"structure","members":{"RecordsIngested":{"type":"structure","members":{"Total":{"type":"integer"},"MemoryStore":{"type":"integer"},"MagneticStore":{"type":"integer"}}}}},"endpointdiscovery":{"required":true}}},"shapes":{"S4":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S9":{"type":"structure","members":{"Arn":{},"DatabaseName":{},"TableCount":{"type":"long"},"KmsKeyId":{},"CreationTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"}}},"Sf":{"type":"structure","required":["MemoryStoreRetentionPeriodInHours","MagneticStoreRetentionPeriodInDays"],"members":{"MemoryStoreRetentionPeriodInHours":{"type":"long"},"MagneticStoreRetentionPeriodInDays":{"type":"long"}}},"Si":{"type":"structure","required":["EnableMagneticStoreWrites"],"members":{"EnableMagneticStoreWrites":{"type":"boolean"},"MagneticStoreRejectedDataLocation":{"type":"structure","members":{"S3Configuration":{"type":"structure","members":{"BucketName":{},"ObjectKeyPrefix":{},"EncryptionOption":{},"KmsKeyId":{}}}}}}},"Sq":{"type":"structure","members":{"Arn":{},"TableName":{},"DatabaseName":{},"TableStatus":{},"RetentionProperties":{"shape":"Sf"},"CreationTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"MagneticStoreWriteProperties":{"shape":"Si"}}},"S1m":{"type":"structure","members":{"Dimensions":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{},"DimensionValueType":{}}}},"MeasureName":{},"MeasureValue":{},"MeasureValueType":{},"Time":{},"TimeUnit":{},"Version":{"type":"long"},"MeasureValues":{"type":"list","member":{"type":"structure","required":["Name","Value","Type"],"members":{"Name":{},"Value":{},"Type":{}}}}}}}}');

/***/ }),

/***/ 89653:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDatabases":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTables":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 47294:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-10-26","endpointPrefix":"transcribe","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Transcribe Service","serviceId":"Transcribe","signatureVersion":"v4","signingName":"transcribe","targetPrefix":"Transcribe","uid":"transcribe-2017-10-26"},"operations":{"CreateCallAnalyticsCategory":{"input":{"type":"structure","required":["CategoryName","Rules"],"members":{"CategoryName":{},"Rules":{"shape":"S3"}}},"output":{"type":"structure","members":{"CategoryProperties":{"shape":"Sl"}}}},"CreateLanguageModel":{"input":{"type":"structure","required":["LanguageCode","BaseModelName","ModelName","InputDataConfig"],"members":{"LanguageCode":{},"BaseModelName":{},"ModelName":{},"InputDataConfig":{"shape":"Sr"},"Tags":{"shape":"Su"}}},"output":{"type":"structure","members":{"LanguageCode":{},"BaseModelName":{},"ModelName":{},"InputDataConfig":{"shape":"Sr"},"ModelStatus":{}}}},"CreateMedicalVocabulary":{"input":{"type":"structure","required":["VocabularyName","LanguageCode","VocabularyFileUri"],"members":{"VocabularyName":{},"LanguageCode":{},"VocabularyFileUri":{},"Tags":{"shape":"Su"}}},"output":{"type":"structure","members":{"VocabularyName":{},"LanguageCode":{},"VocabularyState":{},"LastModifiedTime":{"type":"timestamp"},"FailureReason":{}}}},"CreateVocabulary":{"input":{"type":"structure","required":["VocabularyName","LanguageCode"],"members":{"VocabularyName":{},"LanguageCode":{},"Phrases":{"shape":"S17"},"VocabularyFileUri":{},"Tags":{"shape":"Su"}}},"output":{"type":"structure","members":{"VocabularyName":{},"LanguageCode":{},"VocabularyState":{},"LastModifiedTime":{"type":"timestamp"},"FailureReason":{}}}},"CreateVocabularyFilter":{"input":{"type":"structure","required":["VocabularyFilterName","LanguageCode"],"members":{"VocabularyFilterName":{},"LanguageCode":{},"Words":{"shape":"S1c"},"VocabularyFilterFileUri":{},"Tags":{"shape":"Su"}}},"output":{"type":"structure","members":{"VocabularyFilterName":{},"LanguageCode":{},"LastModifiedTime":{"type":"timestamp"}}}},"DeleteCallAnalyticsCategory":{"input":{"type":"structure","required":["CategoryName"],"members":{"CategoryName":{}}},"output":{"type":"structure","members":{}}},"DeleteCallAnalyticsJob":{"input":{"type":"structure","required":["CallAnalyticsJobName"],"members":{"CallAnalyticsJobName":{}}},"output":{"type":"structure","members":{}}},"DeleteLanguageModel":{"input":{"type":"structure","required":["ModelName"],"members":{"ModelName":{}}}},"DeleteMedicalTranscriptionJob":{"input":{"type":"structure","required":["MedicalTranscriptionJobName"],"members":{"MedicalTranscriptionJobName":{}}}},"DeleteMedicalVocabulary":{"input":{"type":"structure","required":["VocabularyName"],"members":{"VocabularyName":{}}}},"DeleteTranscriptionJob":{"input":{"type":"structure","required":["TranscriptionJobName"],"members":{"TranscriptionJobName":{}}}},"DeleteVocabulary":{"input":{"type":"structure","required":["VocabularyName"],"members":{"VocabularyName":{}}}},"DeleteVocabularyFilter":{"input":{"type":"structure","required":["VocabularyFilterName"],"members":{"VocabularyFilterName":{}}}},"DescribeLanguageModel":{"input":{"type":"structure","required":["ModelName"],"members":{"ModelName":{}}},"output":{"type":"structure","members":{"LanguageModel":{"shape":"S1t"}}}},"GetCallAnalyticsCategory":{"input":{"type":"structure","required":["CategoryName"],"members":{"CategoryName":{}}},"output":{"type":"structure","members":{"CategoryProperties":{"shape":"Sl"}}}},"GetCallAnalyticsJob":{"input":{"type":"structure","required":["CallAnalyticsJobName"],"members":{"CallAnalyticsJobName":{}}},"output":{"type":"structure","members":{"CallAnalyticsJob":{"shape":"S1y"}}}},"GetMedicalTranscriptionJob":{"input":{"type":"structure","required":["MedicalTranscriptionJobName"],"members":{"MedicalTranscriptionJobName":{}}},"output":{"type":"structure","members":{"MedicalTranscriptionJob":{"shape":"S2i"}}}},"GetMedicalVocabulary":{"input":{"type":"structure","required":["VocabularyName"],"members":{"VocabularyName":{}}},"output":{"type":"structure","members":{"VocabularyName":{},"LanguageCode":{},"VocabularyState":{},"LastModifiedTime":{"type":"timestamp"},"FailureReason":{},"DownloadUri":{}}}},"GetTranscriptionJob":{"input":{"type":"structure","required":["TranscriptionJobName"],"members":{"TranscriptionJobName":{}}},"output":{"type":"structure","members":{"TranscriptionJob":{"shape":"S2v"}}}},"GetVocabulary":{"input":{"type":"structure","required":["VocabularyName"],"members":{"VocabularyName":{}}},"output":{"type":"structure","members":{"VocabularyName":{},"LanguageCode":{},"VocabularyState":{},"LastModifiedTime":{"type":"timestamp"},"FailureReason":{},"DownloadUri":{}}}},"GetVocabularyFilter":{"input":{"type":"structure","required":["VocabularyFilterName"],"members":{"VocabularyFilterName":{}}},"output":{"type":"structure","members":{"VocabularyFilterName":{},"LanguageCode":{},"LastModifiedTime":{"type":"timestamp"},"DownloadUri":{}}}},"ListCallAnalyticsCategories":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"Categories":{"type":"list","member":{"shape":"Sl"}}}}},"ListCallAnalyticsJobs":{"input":{"type":"structure","members":{"Status":{},"JobNameContains":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Status":{},"NextToken":{},"CallAnalyticsJobSummaries":{"type":"list","member":{"type":"structure","members":{"CallAnalyticsJobName":{},"CreationTime":{"type":"timestamp"},"StartTime":{"type":"timestamp"},"CompletionTime":{"type":"timestamp"},"LanguageCode":{},"CallAnalyticsJobStatus":{},"FailureReason":{}}}}}}},"ListLanguageModels":{"input":{"type":"structure","members":{"StatusEquals":{},"NameContains":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NextToken":{},"Models":{"type":"list","member":{"shape":"S1t"}}}}},"ListMedicalTranscriptionJobs":{"input":{"type":"structure","members":{"Status":{},"JobNameContains":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Status":{},"NextToken":{},"MedicalTranscriptionJobSummaries":{"type":"list","member":{"type":"structure","members":{"MedicalTranscriptionJobName":{},"CreationTime":{"type":"timestamp"},"StartTime":{"type":"timestamp"},"CompletionTime":{"type":"timestamp"},"LanguageCode":{},"TranscriptionJobStatus":{},"FailureReason":{},"OutputLocationType":{},"Specialty":{},"ContentIdentificationType":{},"Type":{}}}}}}},"ListMedicalVocabularies":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"StateEquals":{},"NameContains":{}}},"output":{"type":"structure","members":{"Status":{},"NextToken":{},"Vocabularies":{"shape":"S3q"}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"ResourceArn":{},"Tags":{"shape":"Su"}}}},"ListTranscriptionJobs":{"input":{"type":"structure","members":{"Status":{},"JobNameContains":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Status":{},"NextToken":{},"TranscriptionJobSummaries":{"type":"list","member":{"type":"structure","members":{"TranscriptionJobName":{},"CreationTime":{"type":"timestamp"},"StartTime":{"type":"timestamp"},"CompletionTime":{"type":"timestamp"},"LanguageCode":{},"TranscriptionJobStatus":{},"FailureReason":{},"OutputLocationType":{},"ContentRedaction":{"shape":"S27"},"ModelSettings":{"shape":"S2x"},"IdentifyLanguage":{"type":"boolean"},"IdentifiedLanguageScore":{"type":"float"}}}}}}},"ListVocabularies":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"StateEquals":{},"NameContains":{}}},"output":{"type":"structure","members":{"Status":{},"NextToken":{},"Vocabularies":{"shape":"S3q"}}}},"ListVocabularyFilters":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"},"NameContains":{}}},"output":{"type":"structure","members":{"NextToken":{},"VocabularyFilters":{"type":"list","member":{"type":"structure","members":{"VocabularyFilterName":{},"LanguageCode":{},"LastModifiedTime":{"type":"timestamp"}}}}}}},"StartCallAnalyticsJob":{"input":{"type":"structure","required":["CallAnalyticsJobName","Media","DataAccessRoleArn"],"members":{"CallAnalyticsJobName":{},"Media":{"shape":"S22"},"OutputLocation":{},"OutputEncryptionKMSKeyId":{},"DataAccessRoleArn":{},"Settings":{"shape":"S25"},"ChannelDefinitions":{"shape":"S2d"}}},"output":{"type":"structure","members":{"CallAnalyticsJob":{"shape":"S1y"}}}},"StartMedicalTranscriptionJob":{"input":{"type":"structure","required":["MedicalTranscriptionJobName","LanguageCode","Media","OutputBucketName","Specialty","Type"],"members":{"MedicalTranscriptionJobName":{},"LanguageCode":{},"MediaSampleRateHertz":{"type":"integer"},"MediaFormat":{},"Media":{"shape":"S22"},"OutputBucketName":{},"OutputKey":{},"OutputEncryptionKMSKeyId":{},"KMSEncryptionContext":{"shape":"S4b"},"Settings":{"shape":"S2l"},"ContentIdentificationType":{},"Specialty":{},"Type":{},"Tags":{"shape":"Su"}}},"output":{"type":"structure","members":{"MedicalTranscriptionJob":{"shape":"S2i"}}}},"StartTranscriptionJob":{"input":{"type":"structure","required":["TranscriptionJobName","Media"],"members":{"TranscriptionJobName":{},"LanguageCode":{},"MediaSampleRateHertz":{"type":"integer"},"MediaFormat":{},"Media":{"shape":"S22"},"OutputBucketName":{},"OutputKey":{},"OutputEncryptionKMSKeyId":{},"KMSEncryptionContext":{"shape":"S4b"},"Settings":{"shape":"S2w"},"ModelSettings":{"shape":"S2x"},"JobExecutionSettings":{"shape":"S2y"},"ContentRedaction":{"shape":"S27"},"IdentifyLanguage":{"type":"boolean"},"LanguageOptions":{"shape":"S2a"},"Subtitles":{"type":"structure","members":{"Formats":{"shape":"S30"}}},"Tags":{"shape":"Su"},"LanguageIdSettings":{"shape":"S2b"}}},"output":{"type":"structure","members":{"TranscriptionJob":{"shape":"S2v"}}}},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"Su"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateCallAnalyticsCategory":{"input":{"type":"structure","required":["CategoryName","Rules"],"members":{"CategoryName":{},"Rules":{"shape":"S3"}}},"output":{"type":"structure","members":{"CategoryProperties":{"shape":"Sl"}}}},"UpdateMedicalVocabulary":{"input":{"type":"structure","required":["VocabularyName","LanguageCode"],"members":{"VocabularyName":{},"LanguageCode":{},"VocabularyFileUri":{}}},"output":{"type":"structure","members":{"VocabularyName":{},"LanguageCode":{},"LastModifiedTime":{"type":"timestamp"},"VocabularyState":{}}}},"UpdateVocabulary":{"input":{"type":"structure","required":["VocabularyName","LanguageCode"],"members":{"VocabularyName":{},"LanguageCode":{},"Phrases":{"shape":"S17"},"VocabularyFileUri":{}}},"output":{"type":"structure","members":{"VocabularyName":{},"LanguageCode":{},"LastModifiedTime":{"type":"timestamp"},"VocabularyState":{}}}},"UpdateVocabularyFilter":{"input":{"type":"structure","required":["VocabularyFilterName"],"members":{"VocabularyFilterName":{},"Words":{"shape":"S1c"},"VocabularyFilterFileUri":{}}},"output":{"type":"structure","members":{"VocabularyFilterName":{},"LanguageCode":{},"LastModifiedTime":{"type":"timestamp"}}}}},"shapes":{"S3":{"type":"list","member":{"type":"structure","members":{"NonTalkTimeFilter":{"type":"structure","members":{"Threshold":{"type":"long"},"AbsoluteTimeRange":{"shape":"S7"},"RelativeTimeRange":{"shape":"S8"},"Negate":{"type":"boolean"}}},"InterruptionFilter":{"type":"structure","members":{"Threshold":{"type":"long"},"ParticipantRole":{},"AbsoluteTimeRange":{"shape":"S7"},"RelativeTimeRange":{"shape":"S8"},"Negate":{"type":"boolean"}}},"TranscriptFilter":{"type":"structure","required":["TranscriptFilterType","Targets"],"members":{"TranscriptFilterType":{},"AbsoluteTimeRange":{"shape":"S7"},"RelativeTimeRange":{"shape":"S8"},"ParticipantRole":{},"Negate":{"type":"boolean"},"Targets":{"type":"list","member":{}}}},"SentimentFilter":{"type":"structure","required":["Sentiments"],"members":{"Sentiments":{"type":"list","member":{}},"AbsoluteTimeRange":{"shape":"S7"},"RelativeTimeRange":{"shape":"S8"},"ParticipantRole":{},"Negate":{"type":"boolean"}}}},"union":true}},"S7":{"type":"structure","members":{"StartTime":{"type":"long"},"EndTime":{"type":"long"},"First":{"type":"long"},"Last":{"type":"long"}}},"S8":{"type":"structure","members":{"StartPercentage":{"type":"integer"},"EndPercentage":{"type":"integer"},"First":{"type":"integer"},"Last":{"type":"integer"}}},"Sl":{"type":"structure","members":{"CategoryName":{},"Rules":{"shape":"S3"},"CreateTime":{"type":"timestamp"},"LastUpdateTime":{"type":"timestamp"}}},"Sr":{"type":"structure","required":["S3Uri","DataAccessRoleArn"],"members":{"S3Uri":{},"TuningDataS3Uri":{},"DataAccessRoleArn":{}}},"Su":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S17":{"type":"list","member":{}},"S1c":{"type":"list","member":{}},"S1t":{"type":"structure","members":{"ModelName":{},"CreateTime":{"type":"timestamp"},"LastModifiedTime":{"type":"timestamp"},"LanguageCode":{},"BaseModelName":{},"ModelStatus":{},"UpgradeAvailability":{"type":"boolean"},"FailureReason":{},"InputDataConfig":{"shape":"Sr"}}},"S1y":{"type":"structure","members":{"CallAnalyticsJobName":{},"CallAnalyticsJobStatus":{},"LanguageCode":{},"MediaSampleRateHertz":{"type":"integer"},"MediaFormat":{},"Media":{"shape":"S22"},"Transcript":{"shape":"S23"},"StartTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"CompletionTime":{"type":"timestamp"},"FailureReason":{},"DataAccessRoleArn":{},"IdentifiedLanguageScore":{"type":"float"},"Settings":{"shape":"S25"},"ChannelDefinitions":{"shape":"S2d"}}},"S22":{"type":"structure","members":{"MediaFileUri":{},"RedactedMediaFileUri":{}}},"S23":{"type":"structure","members":{"TranscriptFileUri":{},"RedactedTranscriptFileUri":{}}},"S25":{"type":"structure","members":{"VocabularyName":{},"VocabularyFilterName":{},"VocabularyFilterMethod":{},"LanguageModelName":{},"ContentRedaction":{"shape":"S27"},"LanguageOptions":{"shape":"S2a"},"LanguageIdSettings":{"shape":"S2b"}}},"S27":{"type":"structure","required":["RedactionType","RedactionOutput"],"members":{"RedactionType":{},"RedactionOutput":{}}},"S2a":{"type":"list","member":{}},"S2b":{"type":"map","key":{},"value":{"type":"structure","members":{"VocabularyName":{},"VocabularyFilterName":{},"LanguageModelName":{}}}},"S2d":{"type":"list","member":{"type":"structure","members":{"ChannelId":{"type":"integer"},"ParticipantRole":{}}}},"S2i":{"type":"structure","members":{"MedicalTranscriptionJobName":{},"TranscriptionJobStatus":{},"LanguageCode":{},"MediaSampleRateHertz":{"type":"integer"},"MediaFormat":{},"Media":{"shape":"S22"},"Transcript":{"type":"structure","members":{"TranscriptFileUri":{}}},"StartTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"CompletionTime":{"type":"timestamp"},"FailureReason":{},"Settings":{"shape":"S2l"},"ContentIdentificationType":{},"Specialty":{},"Type":{},"Tags":{"shape":"Su"}}},"S2l":{"type":"structure","members":{"ShowSpeakerLabels":{"type":"boolean"},"MaxSpeakerLabels":{"type":"integer"},"ChannelIdentification":{"type":"boolean"},"ShowAlternatives":{"type":"boolean"},"MaxAlternatives":{"type":"integer"},"VocabularyName":{}}},"S2v":{"type":"structure","members":{"TranscriptionJobName":{},"TranscriptionJobStatus":{},"LanguageCode":{},"MediaSampleRateHertz":{"type":"integer"},"MediaFormat":{},"Media":{"shape":"S22"},"Transcript":{"shape":"S23"},"StartTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"},"CompletionTime":{"type":"timestamp"},"FailureReason":{},"Settings":{"shape":"S2w"},"ModelSettings":{"shape":"S2x"},"JobExecutionSettings":{"shape":"S2y"},"ContentRedaction":{"shape":"S27"},"IdentifyLanguage":{"type":"boolean"},"LanguageOptions":{"shape":"S2a"},"IdentifiedLanguageScore":{"type":"float"},"Tags":{"shape":"Su"},"Subtitles":{"type":"structure","members":{"Formats":{"shape":"S30"},"SubtitleFileUris":{"type":"list","member":{}}}},"LanguageIdSettings":{"shape":"S2b"}}},"S2w":{"type":"structure","members":{"VocabularyName":{},"ShowSpeakerLabels":{"type":"boolean"},"MaxSpeakerLabels":{"type":"integer"},"ChannelIdentification":{"type":"boolean"},"ShowAlternatives":{"type":"boolean"},"MaxAlternatives":{"type":"integer"},"VocabularyFilterName":{},"VocabularyFilterMethod":{}}},"S2x":{"type":"structure","members":{"LanguageModelName":{}}},"S2y":{"type":"structure","members":{"AllowDeferredExecution":{"type":"boolean"},"DataAccessRoleArn":{}}},"S30":{"type":"list","member":{}},"S3q":{"type":"list","member":{"type":"structure","members":{"VocabularyName":{},"LanguageCode":{},"LastModifiedTime":{"type":"timestamp"},"VocabularyState":{}}}},"S4b":{"type":"map","key":{},"value":{}}}}');

/***/ }),

/***/ 25395:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListCallAnalyticsCategories":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListCallAnalyticsJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListLanguageModels":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMedicalTranscriptionJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMedicalVocabularies":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTranscriptionJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListVocabularies":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListVocabularyFilters":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 93419:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-11-05","endpointPrefix":"transfer","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"AWS Transfer","serviceFullName":"AWS Transfer Family","serviceId":"Transfer","signatureVersion":"v4","signingName":"transfer","targetPrefix":"TransferService","uid":"transfer-2018-11-05"},"operations":{"CreateAccess":{"input":{"type":"structure","required":["Role","ServerId","ExternalId"],"members":{"HomeDirectory":{},"HomeDirectoryType":{},"HomeDirectoryMappings":{"shape":"S4"},"Policy":{},"PosixProfile":{"shape":"S9"},"Role":{},"ServerId":{},"ExternalId":{}}},"output":{"type":"structure","required":["ServerId","ExternalId"],"members":{"ServerId":{},"ExternalId":{}}}},"CreateServer":{"input":{"type":"structure","members":{"Certificate":{},"Domain":{},"EndpointDetails":{"shape":"Sj"},"EndpointType":{},"HostKey":{"shape":"St"},"IdentityProviderDetails":{"shape":"Su"},"IdentityProviderType":{},"LoggingRole":{},"Protocols":{"shape":"Sz"},"SecurityPolicyName":{},"Tags":{"shape":"S12"},"WorkflowDetails":{"shape":"S16"}}},"output":{"type":"structure","required":["ServerId"],"members":{"ServerId":{}}}},"CreateUser":{"input":{"type":"structure","required":["Role","ServerId","UserName"],"members":{"HomeDirectory":{},"HomeDirectoryType":{},"HomeDirectoryMappings":{"shape":"S4"},"Policy":{},"PosixProfile":{"shape":"S9"},"Role":{},"ServerId":{},"SshPublicKeyBody":{},"Tags":{"shape":"S12"},"UserName":{}}},"output":{"type":"structure","required":["ServerId","UserName"],"members":{"ServerId":{},"UserName":{}}}},"CreateWorkflow":{"input":{"type":"structure","required":["Steps"],"members":{"Description":{},"Steps":{"shape":"S1h"},"OnExceptionSteps":{"shape":"S1h"},"Tags":{"shape":"S12"}}},"output":{"type":"structure","required":["WorkflowId"],"members":{"WorkflowId":{}}}},"DeleteAccess":{"input":{"type":"structure","required":["ServerId","ExternalId"],"members":{"ServerId":{},"ExternalId":{}}}},"DeleteServer":{"input":{"type":"structure","required":["ServerId"],"members":{"ServerId":{}}}},"DeleteSshPublicKey":{"input":{"type":"structure","required":["ServerId","SshPublicKeyId","UserName"],"members":{"ServerId":{},"SshPublicKeyId":{},"UserName":{}}}},"DeleteUser":{"input":{"type":"structure","required":["ServerId","UserName"],"members":{"ServerId":{},"UserName":{}}}},"DeleteWorkflow":{"input":{"type":"structure","required":["WorkflowId"],"members":{"WorkflowId":{}}}},"DescribeAccess":{"input":{"type":"structure","required":["ServerId","ExternalId"],"members":{"ServerId":{},"ExternalId":{}}},"output":{"type":"structure","required":["ServerId","Access"],"members":{"ServerId":{},"Access":{"type":"structure","members":{"HomeDirectory":{},"HomeDirectoryMappings":{"shape":"S4"},"HomeDirectoryType":{},"Policy":{},"PosixProfile":{"shape":"S9"},"Role":{},"ExternalId":{}}}}}},"DescribeExecution":{"input":{"type":"structure","required":["ExecutionId","WorkflowId"],"members":{"ExecutionId":{},"WorkflowId":{}}},"output":{"type":"structure","required":["WorkflowId","Execution"],"members":{"WorkflowId":{},"Execution":{"type":"structure","members":{"ExecutionId":{},"InitialFileLocation":{"shape":"S2h"},"ServiceMetadata":{"shape":"S2l"},"ExecutionRole":{},"LoggingConfiguration":{"type":"structure","members":{"LoggingRole":{},"LogGroupName":{}}},"PosixProfile":{"shape":"S9"},"Status":{},"Results":{"type":"structure","members":{"Steps":{"shape":"S2s"},"OnExceptionSteps":{"shape":"S2s"}}}}}}}},"DescribeSecurityPolicy":{"input":{"type":"structure","required":["SecurityPolicyName"],"members":{"SecurityPolicyName":{}}},"output":{"type":"structure","required":["SecurityPolicy"],"members":{"SecurityPolicy":{"type":"structure","required":["SecurityPolicyName"],"members":{"Fips":{"type":"boolean"},"SecurityPolicyName":{},"SshCiphers":{"shape":"S32"},"SshKexs":{"shape":"S32"},"SshMacs":{"shape":"S32"},"TlsCiphers":{"shape":"S32"}}}}}},"DescribeServer":{"input":{"type":"structure","required":["ServerId"],"members":{"ServerId":{}}},"output":{"type":"structure","required":["Server"],"members":{"Server":{"type":"structure","required":["Arn"],"members":{"Arn":{},"Certificate":{},"ProtocolDetails":{"shape":"S38"},"Domain":{},"EndpointDetails":{"shape":"Sj"},"EndpointType":{},"HostKeyFingerprint":{},"IdentityProviderDetails":{"shape":"Su"},"IdentityProviderType":{},"LoggingRole":{},"Protocols":{"shape":"Sz"},"SecurityPolicyName":{},"ServerId":{},"State":{},"Tags":{"shape":"S12"},"UserCount":{"type":"integer"},"WorkflowDetails":{"shape":"S16"}}}}}},"DescribeUser":{"input":{"type":"structure","required":["ServerId","UserName"],"members":{"ServerId":{},"UserName":{}}},"output":{"type":"structure","required":["ServerId","User"],"members":{"ServerId":{},"User":{"type":"structure","required":["Arn"],"members":{"Arn":{},"HomeDirectory":{},"HomeDirectoryMappings":{"shape":"S4"},"HomeDirectoryType":{},"Policy":{},"PosixProfile":{"shape":"S9"},"Role":{},"SshPublicKeys":{"type":"list","member":{"type":"structure","required":["DateImported","SshPublicKeyBody","SshPublicKeyId"],"members":{"DateImported":{"type":"timestamp"},"SshPublicKeyBody":{},"SshPublicKeyId":{}}}},"Tags":{"shape":"S12"},"UserName":{}}}}}},"DescribeWorkflow":{"input":{"type":"structure","required":["WorkflowId"],"members":{"WorkflowId":{}}},"output":{"type":"structure","required":["Workflow"],"members":{"Workflow":{"type":"structure","required":["Arn"],"members":{"Arn":{},"Description":{},"Steps":{"shape":"S1h"},"OnExceptionSteps":{"shape":"S1h"},"WorkflowId":{},"Tags":{"shape":"S12"}}}}}},"ImportSshPublicKey":{"input":{"type":"structure","required":["ServerId","SshPublicKeyBody","UserName"],"members":{"ServerId":{},"SshPublicKeyBody":{},"UserName":{}}},"output":{"type":"structure","required":["ServerId","SshPublicKeyId","UserName"],"members":{"ServerId":{},"SshPublicKeyId":{},"UserName":{}}}},"ListAccesses":{"input":{"type":"structure","required":["ServerId"],"members":{"MaxResults":{"type":"integer"},"NextToken":{},"ServerId":{}}},"output":{"type":"structure","required":["ServerId","Accesses"],"members":{"NextToken":{},"ServerId":{},"Accesses":{"type":"list","member":{"type":"structure","members":{"HomeDirectory":{},"HomeDirectoryType":{},"Role":{},"ExternalId":{}}}}}}},"ListExecutions":{"input":{"type":"structure","required":["WorkflowId"],"members":{"MaxResults":{"type":"integer"},"NextToken":{},"WorkflowId":{}}},"output":{"type":"structure","required":["WorkflowId","Executions"],"members":{"NextToken":{},"WorkflowId":{},"Executions":{"type":"list","member":{"type":"structure","members":{"ExecutionId":{},"InitialFileLocation":{"shape":"S2h"},"ServiceMetadata":{"shape":"S2l"},"Status":{}}}}}}},"ListSecurityPolicies":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["SecurityPolicyNames"],"members":{"NextToken":{},"SecurityPolicyNames":{"type":"list","member":{}}}}},"ListServers":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Servers"],"members":{"NextToken":{},"Servers":{"type":"list","member":{"type":"structure","required":["Arn"],"members":{"Arn":{},"Domain":{},"IdentityProviderType":{},"EndpointType":{},"LoggingRole":{},"ServerId":{},"State":{},"UserCount":{"type":"integer"}}}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["Arn"],"members":{"Arn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Arn":{},"NextToken":{},"Tags":{"shape":"S12"}}}},"ListUsers":{"input":{"type":"structure","required":["ServerId"],"members":{"MaxResults":{"type":"integer"},"NextToken":{},"ServerId":{}}},"output":{"type":"structure","required":["ServerId","Users"],"members":{"NextToken":{},"ServerId":{},"Users":{"type":"list","member":{"type":"structure","required":["Arn"],"members":{"Arn":{},"HomeDirectory":{},"HomeDirectoryType":{},"Role":{},"SshPublicKeyCount":{"type":"integer"},"UserName":{}}}}}}},"ListWorkflows":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","required":["Workflows"],"members":{"NextToken":{},"Workflows":{"type":"list","member":{"type":"structure","members":{"WorkflowId":{},"Description":{},"Arn":{}}}}}}},"SendWorkflowStepState":{"input":{"type":"structure","required":["WorkflowId","ExecutionId","Token","Status"],"members":{"WorkflowId":{},"ExecutionId":{},"Token":{},"Status":{}}},"output":{"type":"structure","members":{}}},"StartServer":{"input":{"type":"structure","required":["ServerId"],"members":{"ServerId":{}}}},"StopServer":{"input":{"type":"structure","required":["ServerId"],"members":{"ServerId":{}}}},"TagResource":{"input":{"type":"structure","required":["Arn","Tags"],"members":{"Arn":{},"Tags":{"shape":"S12"}}}},"TestIdentityProvider":{"input":{"type":"structure","required":["ServerId","UserName"],"members":{"ServerId":{},"ServerProtocol":{},"SourceIp":{},"UserName":{},"UserPassword":{"type":"string","sensitive":true}}},"output":{"type":"structure","required":["StatusCode","Url"],"members":{"Response":{},"StatusCode":{"type":"integer"},"Message":{},"Url":{}}}},"UntagResource":{"input":{"type":"structure","required":["Arn","TagKeys"],"members":{"Arn":{},"TagKeys":{"type":"list","member":{}}}}},"UpdateAccess":{"input":{"type":"structure","required":["ServerId","ExternalId"],"members":{"HomeDirectory":{},"HomeDirectoryType":{},"HomeDirectoryMappings":{"shape":"S4"},"Policy":{},"PosixProfile":{"shape":"S9"},"Role":{},"ServerId":{},"ExternalId":{}}},"output":{"type":"structure","required":["ServerId","ExternalId"],"members":{"ServerId":{},"ExternalId":{}}}},"UpdateServer":{"input":{"type":"structure","required":["ServerId"],"members":{"Certificate":{},"ProtocolDetails":{"shape":"S38"},"EndpointDetails":{"shape":"Sj"},"EndpointType":{},"HostKey":{"shape":"St"},"IdentityProviderDetails":{"shape":"Su"},"LoggingRole":{},"Protocols":{"shape":"Sz"},"SecurityPolicyName":{},"ServerId":{},"WorkflowDetails":{"shape":"S16"}}},"output":{"type":"structure","required":["ServerId"],"members":{"ServerId":{}}}},"UpdateUser":{"input":{"type":"structure","required":["ServerId","UserName"],"members":{"HomeDirectory":{},"HomeDirectoryType":{},"HomeDirectoryMappings":{"shape":"S4"},"Policy":{},"PosixProfile":{"shape":"S9"},"Role":{},"ServerId":{},"UserName":{}}},"output":{"type":"structure","required":["ServerId","UserName"],"members":{"ServerId":{},"UserName":{}}}}},"shapes":{"S4":{"type":"list","member":{"type":"structure","required":["Entry","Target"],"members":{"Entry":{},"Target":{}}}},"S9":{"type":"structure","required":["Uid","Gid"],"members":{"Uid":{"type":"long"},"Gid":{"type":"long"},"SecondaryGids":{"type":"list","member":{"type":"long"}}}},"Sj":{"type":"structure","members":{"AddressAllocationIds":{"type":"list","member":{}},"SubnetIds":{"type":"list","member":{}},"VpcEndpointId":{},"VpcId":{},"SecurityGroupIds":{"type":"list","member":{}}}},"St":{"type":"string","sensitive":true},"Su":{"type":"structure","members":{"Url":{},"InvocationRole":{},"DirectoryId":{},"Function":{}}},"Sz":{"type":"list","member":{}},"S12":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S16":{"type":"structure","required":["OnUpload"],"members":{"OnUpload":{"type":"list","member":{"type":"structure","required":["WorkflowId","ExecutionRole"],"members":{"WorkflowId":{},"ExecutionRole":{}}}}}},"S1h":{"type":"list","member":{"type":"structure","members":{"Type":{},"CopyStepDetails":{"type":"structure","members":{"Name":{},"DestinationFileLocation":{"type":"structure","members":{"S3FileLocation":{"type":"structure","members":{"Bucket":{},"Key":{}}},"EfsFileLocation":{"shape":"S1q"}}},"OverwriteExisting":{}}},"CustomStepDetails":{"type":"structure","members":{"Name":{},"Target":{},"TimeoutSeconds":{"type":"integer"}}},"DeleteStepDetails":{"type":"structure","members":{"Name":{}}},"TagStepDetails":{"type":"structure","members":{"Name":{},"Tags":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}}}}}}},"S1q":{"type":"structure","members":{"FileSystemId":{},"Path":{}}},"S2h":{"type":"structure","members":{"S3FileLocation":{"type":"structure","members":{"Bucket":{},"Key":{},"VersionId":{},"Etag":{}}},"EfsFileLocation":{"shape":"S1q"}}},"S2l":{"type":"structure","required":["UserDetails"],"members":{"UserDetails":{"type":"structure","required":["UserName","ServerId"],"members":{"UserName":{},"ServerId":{},"SessionId":{}}}}},"S2s":{"type":"list","member":{"type":"structure","members":{"StepType":{},"Outputs":{},"Error":{"type":"structure","required":["Type","Message"],"members":{"Type":{},"Message":{}}}}}},"S32":{"type":"list","member":{}},"S38":{"type":"structure","members":{"PassiveIp":{}}}}}');

/***/ }),

/***/ 65803:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAccesses":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListExecutions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSecurityPolicies":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListServers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListTagsForResource":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListUsers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListWorkflows":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 61084:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-07-01","endpointPrefix":"translate","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon Translate","serviceId":"Translate","signatureVersion":"v4","signingName":"translate","targetPrefix":"AWSShineFrontendService_20170701","uid":"translate-2017-07-01"},"operations":{"CreateParallelData":{"input":{"type":"structure","required":["Name","ParallelDataConfig","ClientToken"],"members":{"Name":{},"Description":{},"ParallelDataConfig":{"shape":"S4"},"EncryptionKey":{"shape":"S7"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"Name":{},"Status":{}}}},"DeleteParallelData":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"Name":{},"Status":{}}}},"DeleteTerminology":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"DescribeTextTranslationJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"TextTranslationJobProperties":{"shape":"Sj"}}}},"GetParallelData":{"input":{"type":"structure","required":["Name"],"members":{"Name":{}}},"output":{"type":"structure","members":{"ParallelDataProperties":{"shape":"S11"},"DataLocation":{"shape":"S15"},"AuxiliaryDataLocation":{"shape":"S15"},"LatestUpdateAttemptAuxiliaryDataLocation":{"shape":"S15"}}}},"GetTerminology":{"input":{"type":"structure","required":["Name"],"members":{"Name":{},"TerminologyDataFormat":{}}},"output":{"type":"structure","members":{"TerminologyProperties":{"shape":"S1a"},"TerminologyDataLocation":{"shape":"S1d"},"AuxiliaryDataLocation":{"shape":"S1d"}}}},"ImportTerminology":{"input":{"type":"structure","required":["Name","MergeStrategy","TerminologyData"],"members":{"Name":{},"MergeStrategy":{},"Description":{},"TerminologyData":{"type":"structure","required":["File","Format"],"members":{"File":{"type":"blob","sensitive":true},"Format":{},"Directionality":{}}},"EncryptionKey":{"shape":"S7"}}},"output":{"type":"structure","members":{"TerminologyProperties":{"shape":"S1a"},"AuxiliaryDataLocation":{"shape":"S1d"}}}},"ListParallelData":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ParallelDataPropertiesList":{"type":"list","member":{"shape":"S11"}},"NextToken":{}}}},"ListTerminologies":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"TerminologyPropertiesList":{"type":"list","member":{"shape":"S1a"}},"NextToken":{}}}},"ListTextTranslationJobs":{"input":{"type":"structure","members":{"Filter":{"type":"structure","members":{"JobName":{},"JobStatus":{},"SubmittedBeforeTime":{"type":"timestamp"},"SubmittedAfterTime":{"type":"timestamp"}}},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"TextTranslationJobPropertiesList":{"type":"list","member":{"shape":"Sj"}},"NextToken":{}}}},"StartTextTranslationJob":{"input":{"type":"structure","required":["InputDataConfig","OutputDataConfig","DataAccessRoleArn","SourceLanguageCode","TargetLanguageCodes","ClientToken"],"members":{"JobName":{},"InputDataConfig":{"shape":"St"},"OutputDataConfig":{"shape":"Sv"},"DataAccessRoleArn":{},"SourceLanguageCode":{},"TargetLanguageCodes":{"shape":"Sp"},"TerminologyNames":{"shape":"Sq"},"ParallelDataNames":{"shape":"Sq"},"ClientToken":{"idempotencyToken":true},"Settings":{"shape":"Sx"}}},"output":{"type":"structure","members":{"JobId":{},"JobStatus":{}}}},"StopTextTranslationJob":{"input":{"type":"structure","required":["JobId"],"members":{"JobId":{}}},"output":{"type":"structure","members":{"JobId":{},"JobStatus":{}}}},"TranslateText":{"input":{"type":"structure","required":["Text","SourceLanguageCode","TargetLanguageCode"],"members":{"Text":{},"TerminologyNames":{"shape":"Sq"},"SourceLanguageCode":{},"TargetLanguageCode":{},"Settings":{"shape":"Sx"}}},"output":{"type":"structure","required":["TranslatedText","SourceLanguageCode","TargetLanguageCode"],"members":{"TranslatedText":{},"SourceLanguageCode":{},"TargetLanguageCode":{},"AppliedTerminologies":{"type":"list","member":{"type":"structure","members":{"Name":{},"Terms":{"type":"list","member":{"type":"structure","members":{"SourceText":{},"TargetText":{}}}}}}},"AppliedSettings":{"shape":"Sx"}}}},"UpdateParallelData":{"input":{"type":"structure","required":["Name","ParallelDataConfig","ClientToken"],"members":{"Name":{},"Description":{},"ParallelDataConfig":{"shape":"S4"},"ClientToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"Name":{},"Status":{},"LatestUpdateAttemptStatus":{},"LatestUpdateAttemptAt":{"type":"timestamp"}}}}},"shapes":{"S4":{"type":"structure","required":["S3Uri","Format"],"members":{"S3Uri":{},"Format":{}}},"S7":{"type":"structure","required":["Type","Id"],"members":{"Type":{},"Id":{}}},"Sj":{"type":"structure","members":{"JobId":{},"JobName":{},"JobStatus":{},"JobDetails":{"type":"structure","members":{"TranslatedDocumentsCount":{"type":"integer"},"DocumentsWithErrorsCount":{"type":"integer"},"InputDocumentsCount":{"type":"integer"}}},"SourceLanguageCode":{},"TargetLanguageCodes":{"shape":"Sp"},"TerminologyNames":{"shape":"Sq"},"ParallelDataNames":{"shape":"Sq"},"Message":{},"SubmittedTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"InputDataConfig":{"shape":"St"},"OutputDataConfig":{"shape":"Sv"},"DataAccessRoleArn":{},"Settings":{"shape":"Sx"}}},"Sp":{"type":"list","member":{}},"Sq":{"type":"list","member":{}},"St":{"type":"structure","required":["S3Uri","ContentType"],"members":{"S3Uri":{},"ContentType":{}}},"Sv":{"type":"structure","required":["S3Uri"],"members":{"S3Uri":{},"EncryptionKey":{"shape":"S7"}}},"Sx":{"type":"structure","members":{"Profanity":{}}},"S11":{"type":"structure","members":{"Name":{},"Arn":{},"Description":{},"Status":{},"SourceLanguageCode":{},"TargetLanguageCodes":{"shape":"S13"},"ParallelDataConfig":{"shape":"S4"},"Message":{},"ImportedDataSize":{"type":"long"},"ImportedRecordCount":{"type":"long"},"FailedRecordCount":{"type":"long"},"SkippedRecordCount":{"type":"long"},"EncryptionKey":{"shape":"S7"},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"LatestUpdateAttemptStatus":{},"LatestUpdateAttemptAt":{"type":"timestamp"}}},"S13":{"type":"list","member":{}},"S15":{"type":"structure","required":["RepositoryType","Location"],"members":{"RepositoryType":{},"Location":{}}},"S1a":{"type":"structure","members":{"Name":{},"Description":{},"Arn":{},"SourceLanguageCode":{},"TargetLanguageCodes":{"shape":"S13"},"EncryptionKey":{"shape":"S7"},"SizeBytes":{"type":"integer"},"TermCount":{"type":"integer"},"CreatedAt":{"type":"timestamp"},"LastUpdatedAt":{"type":"timestamp"},"Directionality":{},"Message":{},"SkippedTermCount":{"type":"integer"},"Format":{}}},"S1d":{"type":"structure","required":["RepositoryType","Location"],"members":{"RepositoryType":{},"Location":{}}}}}');

/***/ }),

/***/ 40304:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListParallelData":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListTerminologies":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"ListTextTranslationJobs":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"}}}');

/***/ }),

/***/ 9375:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2021-09-27","endpointPrefix":"voiceid","jsonVersion":"1.0","protocol":"json","serviceFullName":"Amazon Voice ID","serviceId":"Voice ID","signatureVersion":"v4","signingName":"voiceid","targetPrefix":"VoiceID","uid":"voice-id-2021-09-27"},"operations":{"CreateDomain":{"input":{"type":"structure","required":["Name","ServerSideEncryptionConfiguration"],"members":{"ClientToken":{"idempotencyToken":true},"Description":{"shape":"S3"},"Name":{"shape":"S4"},"ServerSideEncryptionConfiguration":{"shape":"S5"},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"Domain":{"shape":"Sc"}}},"idempotent":true},"DeleteDomain":{"input":{"type":"structure","required":["DomainId"],"members":{"DomainId":{}}}},"DeleteFraudster":{"input":{"type":"structure","required":["DomainId","FraudsterId"],"members":{"DomainId":{},"FraudsterId":{"shape":"Sj"}}}},"DeleteSpeaker":{"input":{"type":"structure","required":["DomainId","SpeakerId"],"members":{"DomainId":{},"SpeakerId":{"shape":"Sl"}}}},"DescribeDomain":{"input":{"type":"structure","required":["DomainId"],"members":{"DomainId":{}}},"output":{"type":"structure","members":{"Domain":{"shape":"Sc"}}}},"DescribeFraudster":{"input":{"type":"structure","required":["DomainId","FraudsterId"],"members":{"DomainId":{},"FraudsterId":{"shape":"Sj"}}},"output":{"type":"structure","members":{"Fraudster":{"type":"structure","members":{"CreatedAt":{"type":"timestamp"},"DomainId":{},"GeneratedFraudsterId":{}}}}}},"DescribeFraudsterRegistrationJob":{"input":{"type":"structure","required":["DomainId","JobId"],"members":{"DomainId":{},"JobId":{}}},"output":{"type":"structure","members":{"Job":{"shape":"Sv"}}}},"DescribeSpeaker":{"input":{"type":"structure","required":["DomainId","SpeakerId"],"members":{"DomainId":{},"SpeakerId":{"shape":"Sl"}}},"output":{"type":"structure","members":{"Speaker":{"shape":"S1b"}}}},"DescribeSpeakerEnrollmentJob":{"input":{"type":"structure","required":["DomainId","JobId"],"members":{"DomainId":{},"JobId":{}}},"output":{"type":"structure","members":{"Job":{"shape":"S1h"}}}},"EvaluateSession":{"input":{"type":"structure","required":["DomainId","SessionNameOrId"],"members":{"DomainId":{},"SessionNameOrId":{}}},"output":{"type":"structure","members":{"AuthenticationResult":{"type":"structure","members":{"AudioAggregationEndedAt":{"type":"timestamp"},"AudioAggregationStartedAt":{"type":"timestamp"},"AuthenticationResultId":{},"Configuration":{"type":"structure","required":["AcceptanceThreshold"],"members":{"AcceptanceThreshold":{"type":"integer"}}},"CustomerSpeakerId":{"shape":"S1c"},"Decision":{},"GeneratedSpeakerId":{},"Score":{"type":"integer"}}},"DomainId":{},"FraudDetectionResult":{"type":"structure","members":{"AudioAggregationEndedAt":{"type":"timestamp"},"AudioAggregationStartedAt":{"type":"timestamp"},"Configuration":{"type":"structure","required":["RiskThreshold"],"members":{"RiskThreshold":{"type":"integer"}}},"Decision":{},"FraudDetectionResultId":{},"Reasons":{"type":"list","member":{}},"RiskDetails":{"type":"structure","required":["KnownFraudsterRisk"],"members":{"KnownFraudsterRisk":{"type":"structure","required":["RiskScore"],"members":{"GeneratedFraudsterId":{},"RiskScore":{"type":"integer"}}}}}}},"SessionId":{},"SessionName":{},"StreamingStatus":{}}}},"ListDomains":{"input":{"type":"structure","members":{"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"DomainSummaries":{"type":"list","member":{"type":"structure","members":{"Arn":{},"CreatedAt":{"type":"timestamp"},"Description":{"shape":"S3"},"DomainId":{},"DomainStatus":{},"Name":{"shape":"S4"},"ServerSideEncryptionConfiguration":{"shape":"S5"},"UpdatedAt":{"type":"timestamp"}}}},"NextToken":{}}}},"ListFraudsterRegistrationJobs":{"input":{"type":"structure","required":["DomainId"],"members":{"DomainId":{},"JobStatus":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"JobSummaries":{"type":"list","member":{"type":"structure","members":{"CreatedAt":{"type":"timestamp"},"DomainId":{},"EndedAt":{"type":"timestamp"},"FailureDetails":{"shape":"Sx"},"JobId":{},"JobName":{"shape":"S12"},"JobProgress":{"shape":"S13"},"JobStatus":{}}}},"NextToken":{}}}},"ListSpeakerEnrollmentJobs":{"input":{"type":"structure","required":["DomainId"],"members":{"DomainId":{},"JobStatus":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"JobSummaries":{"type":"list","member":{"type":"structure","members":{"CreatedAt":{"type":"timestamp"},"DomainId":{},"EndedAt":{"type":"timestamp"},"FailureDetails":{"shape":"Sx"},"JobId":{},"JobName":{"shape":"S12"},"JobProgress":{"shape":"S13"},"JobStatus":{}}}},"NextToken":{}}}},"ListSpeakers":{"input":{"type":"structure","required":["DomainId"],"members":{"DomainId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"NextToken":{},"SpeakerSummaries":{"type":"list","member":{"type":"structure","members":{"CreatedAt":{"type":"timestamp"},"CustomerSpeakerId":{"shape":"S1c"},"DomainId":{},"GeneratedSpeakerId":{},"Status":{},"UpdatedAt":{"type":"timestamp"}}}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S7"}}}},"OptOutSpeaker":{"input":{"type":"structure","required":["DomainId","SpeakerId"],"members":{"DomainId":{},"SpeakerId":{"shape":"Sl"}}},"output":{"type":"structure","members":{"Speaker":{"shape":"S1b"}}}},"StartFraudsterRegistrationJob":{"input":{"type":"structure","required":["DataAccessRoleArn","DomainId","InputDataConfig","OutputDataConfig"],"members":{"ClientToken":{"idempotencyToken":true},"DataAccessRoleArn":{},"DomainId":{},"InputDataConfig":{"shape":"S10"},"JobName":{"shape":"S12"},"OutputDataConfig":{"shape":"S16"},"RegistrationConfig":{"shape":"S17"}}},"output":{"type":"structure","members":{"Job":{"shape":"Sv"}}},"idempotent":true},"StartSpeakerEnrollmentJob":{"input":{"type":"structure","required":["DataAccessRoleArn","DomainId","InputDataConfig","OutputDataConfig"],"members":{"ClientToken":{"idempotencyToken":true},"DataAccessRoleArn":{},"DomainId":{},"EnrollmentConfig":{"shape":"S1i"},"InputDataConfig":{"shape":"S10"},"JobName":{"shape":"S12"},"OutputDataConfig":{"shape":"S16"}}},"output":{"type":"structure","members":{"Job":{"shape":"S1h"}}},"idempotent":true},"TagResource":{"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{},"Tags":{"shape":"S7"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{},"TagKeys":{"type":"list","member":{"shape":"S9"}}}},"output":{"type":"structure","members":{}}},"UpdateDomain":{"input":{"type":"structure","required":["DomainId","Name","ServerSideEncryptionConfiguration"],"members":{"Description":{"shape":"S3"},"DomainId":{},"Name":{"shape":"S4"},"ServerSideEncryptionConfiguration":{"shape":"S5"}}},"output":{"type":"structure","members":{"Domain":{"shape":"Sc"}}}}},"shapes":{"S3":{"type":"string","sensitive":true},"S4":{"type":"string","sensitive":true},"S5":{"type":"structure","required":["KmsKeyId"],"members":{"KmsKeyId":{}}},"S7":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{"shape":"S9"},"Value":{"type":"string","sensitive":true}}}},"S9":{"type":"string","sensitive":true},"Sc":{"type":"structure","members":{"Arn":{},"CreatedAt":{"type":"timestamp"},"Description":{"shape":"S3"},"DomainId":{},"DomainStatus":{},"Name":{"shape":"S4"},"ServerSideEncryptionConfiguration":{"shape":"S5"},"UpdatedAt":{"type":"timestamp"}}},"Sj":{"type":"string","sensitive":true},"Sl":{"type":"string","sensitive":true},"Sv":{"type":"structure","members":{"CreatedAt":{"type":"timestamp"},"DataAccessRoleArn":{},"DomainId":{},"EndedAt":{"type":"timestamp"},"FailureDetails":{"shape":"Sx"},"InputDataConfig":{"shape":"S10"},"JobId":{},"JobName":{"shape":"S12"},"JobProgress":{"shape":"S13"},"JobStatus":{},"OutputDataConfig":{"shape":"S16"},"RegistrationConfig":{"shape":"S17"}}},"Sx":{"type":"structure","members":{"Message":{},"StatusCode":{"type":"integer"}}},"S10":{"type":"structure","required":["S3Uri"],"members":{"S3Uri":{}}},"S12":{"type":"string","sensitive":true},"S13":{"type":"structure","members":{"PercentComplete":{"type":"integer"}}},"S16":{"type":"structure","required":["S3Uri"],"members":{"KmsKeyId":{},"S3Uri":{}}},"S17":{"type":"structure","members":{"DuplicateRegistrationAction":{},"FraudsterSimilarityThreshold":{"type":"integer"}}},"S1b":{"type":"structure","members":{"CreatedAt":{"type":"timestamp"},"CustomerSpeakerId":{"shape":"S1c"},"DomainId":{},"GeneratedSpeakerId":{},"Status":{},"UpdatedAt":{"type":"timestamp"}}},"S1c":{"type":"string","sensitive":true},"S1h":{"type":"structure","members":{"CreatedAt":{"type":"timestamp"},"DataAccessRoleArn":{},"DomainId":{},"EndedAt":{"type":"timestamp"},"EnrollmentConfig":{"shape":"S1i"},"FailureDetails":{"shape":"Sx"},"InputDataConfig":{"shape":"S10"},"JobId":{},"JobName":{"shape":"S12"},"JobProgress":{"shape":"S13"},"JobStatus":{},"OutputDataConfig":{"shape":"S16"}}},"S1i":{"type":"structure","members":{"ExistingEnrollmentAction":{},"FraudDetectionConfig":{"type":"structure","members":{"FraudDetectionAction":{},"RiskThreshold":{"type":"integer"}}}}}}}');

/***/ }),

/***/ 59512:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDomains":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListFraudsterRegistrationJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSpeakerEnrollmentJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListSpeakers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 37925:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-08-24","endpointPrefix":"waf","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"WAF","serviceFullName":"AWS WAF","serviceId":"WAF","signatureVersion":"v4","targetPrefix":"AWSWAF_20150824","uid":"waf-2015-08-24"},"operations":{"CreateByteMatchSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ByteMatchSet":{"shape":"S5"},"ChangeToken":{}}}},"CreateGeoMatchSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"GeoMatchSet":{"shape":"Sh"},"ChangeToken":{}}}},"CreateIPSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"IPSet":{"shape":"So"},"ChangeToken":{}}}},"CreateRateBasedRule":{"input":{"type":"structure","required":["Name","MetricName","RateKey","RateLimit","ChangeToken"],"members":{"Name":{},"MetricName":{},"RateKey":{},"RateLimit":{"type":"long"},"ChangeToken":{},"Tags":{"shape":"Sx"}}},"output":{"type":"structure","members":{"Rule":{"shape":"S12"},"ChangeToken":{}}}},"CreateRegexMatchSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"RegexMatchSet":{"shape":"S19"},"ChangeToken":{}}}},"CreateRegexPatternSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"RegexPatternSet":{"shape":"S1e"},"ChangeToken":{}}}},"CreateRule":{"input":{"type":"structure","required":["Name","MetricName","ChangeToken"],"members":{"Name":{},"MetricName":{},"ChangeToken":{},"Tags":{"shape":"Sx"}}},"output":{"type":"structure","members":{"Rule":{"shape":"S1j"},"ChangeToken":{}}}},"CreateRuleGroup":{"input":{"type":"structure","required":["Name","MetricName","ChangeToken"],"members":{"Name":{},"MetricName":{},"ChangeToken":{},"Tags":{"shape":"Sx"}}},"output":{"type":"structure","members":{"RuleGroup":{"shape":"S1m"},"ChangeToken":{}}}},"CreateSizeConstraintSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"SizeConstraintSet":{"shape":"S1p"},"ChangeToken":{}}}},"CreateSqlInjectionMatchSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"SqlInjectionMatchSet":{"shape":"S1w"},"ChangeToken":{}}}},"CreateWebACL":{"input":{"type":"structure","required":["Name","MetricName","DefaultAction","ChangeToken"],"members":{"Name":{},"MetricName":{},"DefaultAction":{"shape":"S20"},"ChangeToken":{},"Tags":{"shape":"Sx"}}},"output":{"type":"structure","members":{"WebACL":{"shape":"S23"},"ChangeToken":{}}}},"CreateWebACLMigrationStack":{"input":{"type":"structure","required":["WebACLId","S3BucketName","IgnoreUnsupportedType"],"members":{"WebACLId":{},"S3BucketName":{},"IgnoreUnsupportedType":{"type":"boolean"}}},"output":{"type":"structure","required":["S3ObjectUrl"],"members":{"S3ObjectUrl":{}}}},"CreateXssMatchSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"XssMatchSet":{"shape":"S2k"},"ChangeToken":{}}}},"DeleteByteMatchSet":{"input":{"type":"structure","required":["ByteMatchSetId","ChangeToken"],"members":{"ByteMatchSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteGeoMatchSet":{"input":{"type":"structure","required":["GeoMatchSetId","ChangeToken"],"members":{"GeoMatchSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteIPSet":{"input":{"type":"structure","required":["IPSetId","ChangeToken"],"members":{"IPSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteLoggingConfiguration":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"DeletePermissionPolicy":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"DeleteRateBasedRule":{"input":{"type":"structure","required":["RuleId","ChangeToken"],"members":{"RuleId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteRegexMatchSet":{"input":{"type":"structure","required":["RegexMatchSetId","ChangeToken"],"members":{"RegexMatchSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteRegexPatternSet":{"input":{"type":"structure","required":["RegexPatternSetId","ChangeToken"],"members":{"RegexPatternSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteRule":{"input":{"type":"structure","required":["RuleId","ChangeToken"],"members":{"RuleId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteRuleGroup":{"input":{"type":"structure","required":["RuleGroupId","ChangeToken"],"members":{"RuleGroupId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteSizeConstraintSet":{"input":{"type":"structure","required":["SizeConstraintSetId","ChangeToken"],"members":{"SizeConstraintSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteSqlInjectionMatchSet":{"input":{"type":"structure","required":["SqlInjectionMatchSetId","ChangeToken"],"members":{"SqlInjectionMatchSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteWebACL":{"input":{"type":"structure","required":["WebACLId","ChangeToken"],"members":{"WebACLId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteXssMatchSet":{"input":{"type":"structure","required":["XssMatchSetId","ChangeToken"],"members":{"XssMatchSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"GetByteMatchSet":{"input":{"type":"structure","required":["ByteMatchSetId"],"members":{"ByteMatchSetId":{}}},"output":{"type":"structure","members":{"ByteMatchSet":{"shape":"S5"}}}},"GetChangeToken":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"GetChangeTokenStatus":{"input":{"type":"structure","required":["ChangeToken"],"members":{"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeTokenStatus":{}}}},"GetGeoMatchSet":{"input":{"type":"structure","required":["GeoMatchSetId"],"members":{"GeoMatchSetId":{}}},"output":{"type":"structure","members":{"GeoMatchSet":{"shape":"Sh"}}}},"GetIPSet":{"input":{"type":"structure","required":["IPSetId"],"members":{"IPSetId":{}}},"output":{"type":"structure","members":{"IPSet":{"shape":"So"}}}},"GetLoggingConfiguration":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"LoggingConfiguration":{"shape":"S3s"}}}},"GetPermissionPolicy":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Policy":{}}}},"GetRateBasedRule":{"input":{"type":"structure","required":["RuleId"],"members":{"RuleId":{}}},"output":{"type":"structure","members":{"Rule":{"shape":"S12"}}}},"GetRateBasedRuleManagedKeys":{"input":{"type":"structure","required":["RuleId"],"members":{"RuleId":{},"NextMarker":{}}},"output":{"type":"structure","members":{"ManagedKeys":{"type":"list","member":{}},"NextMarker":{}}}},"GetRegexMatchSet":{"input":{"type":"structure","required":["RegexMatchSetId"],"members":{"RegexMatchSetId":{}}},"output":{"type":"structure","members":{"RegexMatchSet":{"shape":"S19"}}}},"GetRegexPatternSet":{"input":{"type":"structure","required":["RegexPatternSetId"],"members":{"RegexPatternSetId":{}}},"output":{"type":"structure","members":{"RegexPatternSet":{"shape":"S1e"}}}},"GetRule":{"input":{"type":"structure","required":["RuleId"],"members":{"RuleId":{}}},"output":{"type":"structure","members":{"Rule":{"shape":"S1j"}}}},"GetRuleGroup":{"input":{"type":"structure","required":["RuleGroupId"],"members":{"RuleGroupId":{}}},"output":{"type":"structure","members":{"RuleGroup":{"shape":"S1m"}}}},"GetSampledRequests":{"input":{"type":"structure","required":["WebAclId","RuleId","TimeWindow","MaxItems"],"members":{"WebAclId":{},"RuleId":{},"TimeWindow":{"shape":"S4e"},"MaxItems":{"type":"long"}}},"output":{"type":"structure","members":{"SampledRequests":{"type":"list","member":{"type":"structure","required":["Request","Weight"],"members":{"Request":{"type":"structure","members":{"ClientIP":{},"Country":{},"URI":{},"Method":{},"HTTPVersion":{},"Headers":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{}}}}}},"Weight":{"type":"long"},"Timestamp":{"type":"timestamp"},"Action":{},"RuleWithinRuleGroup":{}}}},"PopulationSize":{"type":"long"},"TimeWindow":{"shape":"S4e"}}}},"GetSizeConstraintSet":{"input":{"type":"structure","required":["SizeConstraintSetId"],"members":{"SizeConstraintSetId":{}}},"output":{"type":"structure","members":{"SizeConstraintSet":{"shape":"S1p"}}}},"GetSqlInjectionMatchSet":{"input":{"type":"structure","required":["SqlInjectionMatchSetId"],"members":{"SqlInjectionMatchSetId":{}}},"output":{"type":"structure","members":{"SqlInjectionMatchSet":{"shape":"S1w"}}}},"GetWebACL":{"input":{"type":"structure","required":["WebACLId"],"members":{"WebACLId":{}}},"output":{"type":"structure","members":{"WebACL":{"shape":"S23"}}}},"GetXssMatchSet":{"input":{"type":"structure","required":["XssMatchSetId"],"members":{"XssMatchSetId":{}}},"output":{"type":"structure","members":{"XssMatchSet":{"shape":"S2k"}}}},"ListActivatedRulesInRuleGroup":{"input":{"type":"structure","members":{"RuleGroupId":{},"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"ActivatedRules":{"shape":"S24"}}}},"ListByteMatchSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"ByteMatchSets":{"type":"list","member":{"type":"structure","required":["ByteMatchSetId","Name"],"members":{"ByteMatchSetId":{},"Name":{}}}}}}},"ListGeoMatchSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"GeoMatchSets":{"type":"list","member":{"type":"structure","required":["GeoMatchSetId","Name"],"members":{"GeoMatchSetId":{},"Name":{}}}}}}},"ListIPSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"IPSets":{"type":"list","member":{"type":"structure","required":["IPSetId","Name"],"members":{"IPSetId":{},"Name":{}}}}}}},"ListLoggingConfigurations":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"LoggingConfigurations":{"type":"list","member":{"shape":"S3s"}},"NextMarker":{}}}},"ListRateBasedRules":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"Rules":{"shape":"S5p"}}}},"ListRegexMatchSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"RegexMatchSets":{"type":"list","member":{"type":"structure","required":["RegexMatchSetId","Name"],"members":{"RegexMatchSetId":{},"Name":{}}}}}}},"ListRegexPatternSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"RegexPatternSets":{"type":"list","member":{"type":"structure","required":["RegexPatternSetId","Name"],"members":{"RegexPatternSetId":{},"Name":{}}}}}}},"ListRuleGroups":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"RuleGroups":{"type":"list","member":{"type":"structure","required":["RuleGroupId","Name"],"members":{"RuleGroupId":{},"Name":{}}}}}}},"ListRules":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"Rules":{"shape":"S5p"}}}},"ListSizeConstraintSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"SizeConstraintSets":{"type":"list","member":{"type":"structure","required":["SizeConstraintSetId","Name"],"members":{"SizeConstraintSetId":{},"Name":{}}}}}}},"ListSqlInjectionMatchSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"SqlInjectionMatchSets":{"type":"list","member":{"type":"structure","required":["SqlInjectionMatchSetId","Name"],"members":{"SqlInjectionMatchSetId":{},"Name":{}}}}}}},"ListSubscribedRuleGroups":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"RuleGroups":{"type":"list","member":{"type":"structure","required":["RuleGroupId","Name","MetricName"],"members":{"RuleGroupId":{},"Name":{},"MetricName":{}}}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"NextMarker":{},"Limit":{"type":"integer"},"ResourceARN":{}}},"output":{"type":"structure","members":{"NextMarker":{},"TagInfoForResource":{"type":"structure","members":{"ResourceARN":{},"TagList":{"shape":"Sx"}}}}}},"ListWebACLs":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"WebACLs":{"type":"list","member":{"type":"structure","required":["WebACLId","Name"],"members":{"WebACLId":{},"Name":{}}}}}}},"ListXssMatchSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"XssMatchSets":{"type":"list","member":{"type":"structure","required":["XssMatchSetId","Name"],"members":{"XssMatchSetId":{},"Name":{}}}}}}},"PutLoggingConfiguration":{"input":{"type":"structure","required":["LoggingConfiguration"],"members":{"LoggingConfiguration":{"shape":"S3s"}}},"output":{"type":"structure","members":{"LoggingConfiguration":{"shape":"S3s"}}}},"PutPermissionPolicy":{"input":{"type":"structure","required":["ResourceArn","Policy"],"members":{"ResourceArn":{},"Policy":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"Sx"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateByteMatchSet":{"input":{"type":"structure","required":["ByteMatchSetId","ChangeToken","Updates"],"members":{"ByteMatchSetId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","ByteMatchTuple"],"members":{"Action":{},"ByteMatchTuple":{"shape":"S8"}}}}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateGeoMatchSet":{"input":{"type":"structure","required":["GeoMatchSetId","ChangeToken","Updates"],"members":{"GeoMatchSetId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","GeoMatchConstraint"],"members":{"Action":{},"GeoMatchConstraint":{"shape":"Sj"}}}}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateIPSet":{"input":{"type":"structure","required":["IPSetId","ChangeToken","Updates"],"members":{"IPSetId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","IPSetDescriptor"],"members":{"Action":{},"IPSetDescriptor":{"shape":"Sq"}}}}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateRateBasedRule":{"input":{"type":"structure","required":["RuleId","ChangeToken","Updates","RateLimit"],"members":{"RuleId":{},"ChangeToken":{},"Updates":{"shape":"S7f"},"RateLimit":{"type":"long"}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateRegexMatchSet":{"input":{"type":"structure","required":["RegexMatchSetId","Updates","ChangeToken"],"members":{"RegexMatchSetId":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","RegexMatchTuple"],"members":{"Action":{},"RegexMatchTuple":{"shape":"S1b"}}}},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateRegexPatternSet":{"input":{"type":"structure","required":["RegexPatternSetId","Updates","ChangeToken"],"members":{"RegexPatternSetId":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","RegexPatternString"],"members":{"Action":{},"RegexPatternString":{}}}},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateRule":{"input":{"type":"structure","required":["RuleId","ChangeToken","Updates"],"members":{"RuleId":{},"ChangeToken":{},"Updates":{"shape":"S7f"}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateRuleGroup":{"input":{"type":"structure","required":["RuleGroupId","Updates","ChangeToken"],"members":{"RuleGroupId":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","ActivatedRule"],"members":{"Action":{},"ActivatedRule":{"shape":"S25"}}}},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateSizeConstraintSet":{"input":{"type":"structure","required":["SizeConstraintSetId","ChangeToken","Updates"],"members":{"SizeConstraintSetId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","SizeConstraint"],"members":{"Action":{},"SizeConstraint":{"shape":"S1r"}}}}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateSqlInjectionMatchSet":{"input":{"type":"structure","required":["SqlInjectionMatchSetId","ChangeToken","Updates"],"members":{"SqlInjectionMatchSetId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","SqlInjectionMatchTuple"],"members":{"Action":{},"SqlInjectionMatchTuple":{"shape":"S1y"}}}}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateWebACL":{"input":{"type":"structure","required":["WebACLId","ChangeToken"],"members":{"WebACLId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","ActivatedRule"],"members":{"Action":{},"ActivatedRule":{"shape":"S25"}}}},"DefaultAction":{"shape":"S20"}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateXssMatchSet":{"input":{"type":"structure","required":["XssMatchSetId","ChangeToken","Updates"],"members":{"XssMatchSetId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","XssMatchTuple"],"members":{"Action":{},"XssMatchTuple":{"shape":"S2m"}}}}}},"output":{"type":"structure","members":{"ChangeToken":{}}}}},"shapes":{"S5":{"type":"structure","required":["ByteMatchSetId","ByteMatchTuples"],"members":{"ByteMatchSetId":{},"Name":{},"ByteMatchTuples":{"type":"list","member":{"shape":"S8"}}}},"S8":{"type":"structure","required":["FieldToMatch","TargetString","TextTransformation","PositionalConstraint"],"members":{"FieldToMatch":{"shape":"S9"},"TargetString":{"type":"blob"},"TextTransformation":{},"PositionalConstraint":{}}},"S9":{"type":"structure","required":["Type"],"members":{"Type":{},"Data":{}}},"Sh":{"type":"structure","required":["GeoMatchSetId","GeoMatchConstraints"],"members":{"GeoMatchSetId":{},"Name":{},"GeoMatchConstraints":{"type":"list","member":{"shape":"Sj"}}}},"Sj":{"type":"structure","required":["Type","Value"],"members":{"Type":{},"Value":{}}},"So":{"type":"structure","required":["IPSetId","IPSetDescriptors"],"members":{"IPSetId":{},"Name":{},"IPSetDescriptors":{"type":"list","member":{"shape":"Sq"}}}},"Sq":{"type":"structure","required":["Type","Value"],"members":{"Type":{},"Value":{}}},"Sx":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S12":{"type":"structure","required":["RuleId","MatchPredicates","RateKey","RateLimit"],"members":{"RuleId":{},"Name":{},"MetricName":{},"MatchPredicates":{"shape":"S13"},"RateKey":{},"RateLimit":{"type":"long"}}},"S13":{"type":"list","member":{"shape":"S14"}},"S14":{"type":"structure","required":["Negated","Type","DataId"],"members":{"Negated":{"type":"boolean"},"Type":{},"DataId":{}}},"S19":{"type":"structure","members":{"RegexMatchSetId":{},"Name":{},"RegexMatchTuples":{"type":"list","member":{"shape":"S1b"}}}},"S1b":{"type":"structure","required":["FieldToMatch","TextTransformation","RegexPatternSetId"],"members":{"FieldToMatch":{"shape":"S9"},"TextTransformation":{},"RegexPatternSetId":{}}},"S1e":{"type":"structure","required":["RegexPatternSetId","RegexPatternStrings"],"members":{"RegexPatternSetId":{},"Name":{},"RegexPatternStrings":{"type":"list","member":{}}}},"S1j":{"type":"structure","required":["RuleId","Predicates"],"members":{"RuleId":{},"Name":{},"MetricName":{},"Predicates":{"shape":"S13"}}},"S1m":{"type":"structure","required":["RuleGroupId"],"members":{"RuleGroupId":{},"Name":{},"MetricName":{}}},"S1p":{"type":"structure","required":["SizeConstraintSetId","SizeConstraints"],"members":{"SizeConstraintSetId":{},"Name":{},"SizeConstraints":{"type":"list","member":{"shape":"S1r"}}}},"S1r":{"type":"structure","required":["FieldToMatch","TextTransformation","ComparisonOperator","Size"],"members":{"FieldToMatch":{"shape":"S9"},"TextTransformation":{},"ComparisonOperator":{},"Size":{"type":"long"}}},"S1w":{"type":"structure","required":["SqlInjectionMatchSetId","SqlInjectionMatchTuples"],"members":{"SqlInjectionMatchSetId":{},"Name":{},"SqlInjectionMatchTuples":{"type":"list","member":{"shape":"S1y"}}}},"S1y":{"type":"structure","required":["FieldToMatch","TextTransformation"],"members":{"FieldToMatch":{"shape":"S9"},"TextTransformation":{}}},"S20":{"type":"structure","required":["Type"],"members":{"Type":{}}},"S23":{"type":"structure","required":["WebACLId","DefaultAction","Rules"],"members":{"WebACLId":{},"Name":{},"MetricName":{},"DefaultAction":{"shape":"S20"},"Rules":{"shape":"S24"},"WebACLArn":{}}},"S24":{"type":"list","member":{"shape":"S25"}},"S25":{"type":"structure","required":["Priority","RuleId"],"members":{"Priority":{"type":"integer"},"RuleId":{},"Action":{"shape":"S20"},"OverrideAction":{"type":"structure","required":["Type"],"members":{"Type":{}}},"Type":{},"ExcludedRules":{"type":"list","member":{"type":"structure","required":["RuleId"],"members":{"RuleId":{}}}}}},"S2k":{"type":"structure","required":["XssMatchSetId","XssMatchTuples"],"members":{"XssMatchSetId":{},"Name":{},"XssMatchTuples":{"type":"list","member":{"shape":"S2m"}}}},"S2m":{"type":"structure","required":["FieldToMatch","TextTransformation"],"members":{"FieldToMatch":{"shape":"S9"},"TextTransformation":{}}},"S3s":{"type":"structure","required":["ResourceArn","LogDestinationConfigs"],"members":{"ResourceArn":{},"LogDestinationConfigs":{"type":"list","member":{}},"RedactedFields":{"type":"list","member":{"shape":"S9"}}}},"S4e":{"type":"structure","required":["StartTime","EndTime"],"members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"S5p":{"type":"list","member":{"type":"structure","required":["RuleId","Name"],"members":{"RuleId":{},"Name":{}}}},"S7f":{"type":"list","member":{"type":"structure","required":["Action","Predicate"],"members":{"Action":{},"Predicate":{"shape":"S14"}}}}}}');

/***/ }),

/***/ 65794:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 20014:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-11-28","endpointPrefix":"waf-regional","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"WAF Regional","serviceFullName":"AWS WAF Regional","serviceId":"WAF Regional","signatureVersion":"v4","targetPrefix":"AWSWAF_Regional_20161128","uid":"waf-regional-2016-11-28"},"operations":{"AssociateWebACL":{"input":{"type":"structure","required":["WebACLId","ResourceArn"],"members":{"WebACLId":{},"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"CreateByteMatchSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ByteMatchSet":{"shape":"S9"},"ChangeToken":{}}}},"CreateGeoMatchSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"GeoMatchSet":{"shape":"Sk"},"ChangeToken":{}}}},"CreateIPSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"IPSet":{"shape":"Sr"},"ChangeToken":{}}}},"CreateRateBasedRule":{"input":{"type":"structure","required":["Name","MetricName","RateKey","RateLimit","ChangeToken"],"members":{"Name":{},"MetricName":{},"RateKey":{},"RateLimit":{"type":"long"},"ChangeToken":{},"Tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"Rule":{"shape":"S15"},"ChangeToken":{}}}},"CreateRegexMatchSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"RegexMatchSet":{"shape":"S1c"},"ChangeToken":{}}}},"CreateRegexPatternSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"RegexPatternSet":{"shape":"S1h"},"ChangeToken":{}}}},"CreateRule":{"input":{"type":"structure","required":["Name","MetricName","ChangeToken"],"members":{"Name":{},"MetricName":{},"ChangeToken":{},"Tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"Rule":{"shape":"S1m"},"ChangeToken":{}}}},"CreateRuleGroup":{"input":{"type":"structure","required":["Name","MetricName","ChangeToken"],"members":{"Name":{},"MetricName":{},"ChangeToken":{},"Tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"RuleGroup":{"shape":"S1p"},"ChangeToken":{}}}},"CreateSizeConstraintSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"SizeConstraintSet":{"shape":"S1s"},"ChangeToken":{}}}},"CreateSqlInjectionMatchSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"SqlInjectionMatchSet":{"shape":"S1z"},"ChangeToken":{}}}},"CreateWebACL":{"input":{"type":"structure","required":["Name","MetricName","DefaultAction","ChangeToken"],"members":{"Name":{},"MetricName":{},"DefaultAction":{"shape":"S23"},"ChangeToken":{},"Tags":{"shape":"S10"}}},"output":{"type":"structure","members":{"WebACL":{"shape":"S26"},"ChangeToken":{}}}},"CreateWebACLMigrationStack":{"input":{"type":"structure","required":["WebACLId","S3BucketName","IgnoreUnsupportedType"],"members":{"WebACLId":{},"S3BucketName":{},"IgnoreUnsupportedType":{"type":"boolean"}}},"output":{"type":"structure","required":["S3ObjectUrl"],"members":{"S3ObjectUrl":{}}}},"CreateXssMatchSet":{"input":{"type":"structure","required":["Name","ChangeToken"],"members":{"Name":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"XssMatchSet":{"shape":"S2m"},"ChangeToken":{}}}},"DeleteByteMatchSet":{"input":{"type":"structure","required":["ByteMatchSetId","ChangeToken"],"members":{"ByteMatchSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteGeoMatchSet":{"input":{"type":"structure","required":["GeoMatchSetId","ChangeToken"],"members":{"GeoMatchSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteIPSet":{"input":{"type":"structure","required":["IPSetId","ChangeToken"],"members":{"IPSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteLoggingConfiguration":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"DeletePermissionPolicy":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"DeleteRateBasedRule":{"input":{"type":"structure","required":["RuleId","ChangeToken"],"members":{"RuleId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteRegexMatchSet":{"input":{"type":"structure","required":["RegexMatchSetId","ChangeToken"],"members":{"RegexMatchSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteRegexPatternSet":{"input":{"type":"structure","required":["RegexPatternSetId","ChangeToken"],"members":{"RegexPatternSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteRule":{"input":{"type":"structure","required":["RuleId","ChangeToken"],"members":{"RuleId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteRuleGroup":{"input":{"type":"structure","required":["RuleGroupId","ChangeToken"],"members":{"RuleGroupId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteSizeConstraintSet":{"input":{"type":"structure","required":["SizeConstraintSetId","ChangeToken"],"members":{"SizeConstraintSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteSqlInjectionMatchSet":{"input":{"type":"structure","required":["SqlInjectionMatchSetId","ChangeToken"],"members":{"SqlInjectionMatchSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteWebACL":{"input":{"type":"structure","required":["WebACLId","ChangeToken"],"members":{"WebACLId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DeleteXssMatchSet":{"input":{"type":"structure","required":["XssMatchSetId","ChangeToken"],"members":{"XssMatchSetId":{},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"DisassociateWebACL":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"GetByteMatchSet":{"input":{"type":"structure","required":["ByteMatchSetId"],"members":{"ByteMatchSetId":{}}},"output":{"type":"structure","members":{"ByteMatchSet":{"shape":"S9"}}}},"GetChangeToken":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"GetChangeTokenStatus":{"input":{"type":"structure","required":["ChangeToken"],"members":{"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeTokenStatus":{}}}},"GetGeoMatchSet":{"input":{"type":"structure","required":["GeoMatchSetId"],"members":{"GeoMatchSetId":{}}},"output":{"type":"structure","members":{"GeoMatchSet":{"shape":"Sk"}}}},"GetIPSet":{"input":{"type":"structure","required":["IPSetId"],"members":{"IPSetId":{}}},"output":{"type":"structure","members":{"IPSet":{"shape":"Sr"}}}},"GetLoggingConfiguration":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"LoggingConfiguration":{"shape":"S3w"}}}},"GetPermissionPolicy":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Policy":{}}}},"GetRateBasedRule":{"input":{"type":"structure","required":["RuleId"],"members":{"RuleId":{}}},"output":{"type":"structure","members":{"Rule":{"shape":"S15"}}}},"GetRateBasedRuleManagedKeys":{"input":{"type":"structure","required":["RuleId"],"members":{"RuleId":{},"NextMarker":{}}},"output":{"type":"structure","members":{"ManagedKeys":{"type":"list","member":{}},"NextMarker":{}}}},"GetRegexMatchSet":{"input":{"type":"structure","required":["RegexMatchSetId"],"members":{"RegexMatchSetId":{}}},"output":{"type":"structure","members":{"RegexMatchSet":{"shape":"S1c"}}}},"GetRegexPatternSet":{"input":{"type":"structure","required":["RegexPatternSetId"],"members":{"RegexPatternSetId":{}}},"output":{"type":"structure","members":{"RegexPatternSet":{"shape":"S1h"}}}},"GetRule":{"input":{"type":"structure","required":["RuleId"],"members":{"RuleId":{}}},"output":{"type":"structure","members":{"Rule":{"shape":"S1m"}}}},"GetRuleGroup":{"input":{"type":"structure","required":["RuleGroupId"],"members":{"RuleGroupId":{}}},"output":{"type":"structure","members":{"RuleGroup":{"shape":"S1p"}}}},"GetSampledRequests":{"input":{"type":"structure","required":["WebAclId","RuleId","TimeWindow","MaxItems"],"members":{"WebAclId":{},"RuleId":{},"TimeWindow":{"shape":"S4i"},"MaxItems":{"type":"long"}}},"output":{"type":"structure","members":{"SampledRequests":{"type":"list","member":{"type":"structure","required":["Request","Weight"],"members":{"Request":{"type":"structure","members":{"ClientIP":{},"Country":{},"URI":{},"Method":{},"HTTPVersion":{},"Headers":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{}}}}}},"Weight":{"type":"long"},"Timestamp":{"type":"timestamp"},"Action":{},"RuleWithinRuleGroup":{}}}},"PopulationSize":{"type":"long"},"TimeWindow":{"shape":"S4i"}}}},"GetSizeConstraintSet":{"input":{"type":"structure","required":["SizeConstraintSetId"],"members":{"SizeConstraintSetId":{}}},"output":{"type":"structure","members":{"SizeConstraintSet":{"shape":"S1s"}}}},"GetSqlInjectionMatchSet":{"input":{"type":"structure","required":["SqlInjectionMatchSetId"],"members":{"SqlInjectionMatchSetId":{}}},"output":{"type":"structure","members":{"SqlInjectionMatchSet":{"shape":"S1z"}}}},"GetWebACL":{"input":{"type":"structure","required":["WebACLId"],"members":{"WebACLId":{}}},"output":{"type":"structure","members":{"WebACL":{"shape":"S26"}}}},"GetWebACLForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"WebACLSummary":{"shape":"S59"}}}},"GetXssMatchSet":{"input":{"type":"structure","required":["XssMatchSetId"],"members":{"XssMatchSetId":{}}},"output":{"type":"structure","members":{"XssMatchSet":{"shape":"S2m"}}}},"ListActivatedRulesInRuleGroup":{"input":{"type":"structure","members":{"RuleGroupId":{},"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"ActivatedRules":{"shape":"S27"}}}},"ListByteMatchSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"ByteMatchSets":{"type":"list","member":{"type":"structure","required":["ByteMatchSetId","Name"],"members":{"ByteMatchSetId":{},"Name":{}}}}}}},"ListGeoMatchSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"GeoMatchSets":{"type":"list","member":{"type":"structure","required":["GeoMatchSetId","Name"],"members":{"GeoMatchSetId":{},"Name":{}}}}}}},"ListIPSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"IPSets":{"type":"list","member":{"type":"structure","required":["IPSetId","Name"],"members":{"IPSetId":{},"Name":{}}}}}}},"ListLoggingConfigurations":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"LoggingConfigurations":{"type":"list","member":{"shape":"S3w"}},"NextMarker":{}}}},"ListRateBasedRules":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"Rules":{"shape":"S5w"}}}},"ListRegexMatchSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"RegexMatchSets":{"type":"list","member":{"type":"structure","required":["RegexMatchSetId","Name"],"members":{"RegexMatchSetId":{},"Name":{}}}}}}},"ListRegexPatternSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"RegexPatternSets":{"type":"list","member":{"type":"structure","required":["RegexPatternSetId","Name"],"members":{"RegexPatternSetId":{},"Name":{}}}}}}},"ListResourcesForWebACL":{"input":{"type":"structure","required":["WebACLId"],"members":{"WebACLId":{},"ResourceType":{}}},"output":{"type":"structure","members":{"ResourceArns":{"type":"list","member":{}}}}},"ListRuleGroups":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"RuleGroups":{"type":"list","member":{"type":"structure","required":["RuleGroupId","Name"],"members":{"RuleGroupId":{},"Name":{}}}}}}},"ListRules":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"Rules":{"shape":"S5w"}}}},"ListSizeConstraintSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"SizeConstraintSets":{"type":"list","member":{"type":"structure","required":["SizeConstraintSetId","Name"],"members":{"SizeConstraintSetId":{},"Name":{}}}}}}},"ListSqlInjectionMatchSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"SqlInjectionMatchSets":{"type":"list","member":{"type":"structure","required":["SqlInjectionMatchSetId","Name"],"members":{"SqlInjectionMatchSetId":{},"Name":{}}}}}}},"ListSubscribedRuleGroups":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"RuleGroups":{"type":"list","member":{"type":"structure","required":["RuleGroupId","Name","MetricName"],"members":{"RuleGroupId":{},"Name":{},"MetricName":{}}}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"NextMarker":{},"Limit":{"type":"integer"},"ResourceARN":{}}},"output":{"type":"structure","members":{"NextMarker":{},"TagInfoForResource":{"type":"structure","members":{"ResourceARN":{},"TagList":{"shape":"S10"}}}}}},"ListWebACLs":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"WebACLs":{"type":"list","member":{"shape":"S59"}}}}},"ListXssMatchSets":{"input":{"type":"structure","members":{"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"XssMatchSets":{"type":"list","member":{"type":"structure","required":["XssMatchSetId","Name"],"members":{"XssMatchSetId":{},"Name":{}}}}}}},"PutLoggingConfiguration":{"input":{"type":"structure","required":["LoggingConfiguration"],"members":{"LoggingConfiguration":{"shape":"S3w"}}},"output":{"type":"structure","members":{"LoggingConfiguration":{"shape":"S3w"}}}},"PutPermissionPolicy":{"input":{"type":"structure","required":["ResourceArn","Policy"],"members":{"ResourceArn":{},"Policy":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S10"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateByteMatchSet":{"input":{"type":"structure","required":["ByteMatchSetId","ChangeToken","Updates"],"members":{"ByteMatchSetId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","ByteMatchTuple"],"members":{"Action":{},"ByteMatchTuple":{"shape":"Sb"}}}}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateGeoMatchSet":{"input":{"type":"structure","required":["GeoMatchSetId","ChangeToken","Updates"],"members":{"GeoMatchSetId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","GeoMatchConstraint"],"members":{"Action":{},"GeoMatchConstraint":{"shape":"Sm"}}}}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateIPSet":{"input":{"type":"structure","required":["IPSetId","ChangeToken","Updates"],"members":{"IPSetId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","IPSetDescriptor"],"members":{"Action":{},"IPSetDescriptor":{"shape":"St"}}}}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateRateBasedRule":{"input":{"type":"structure","required":["RuleId","ChangeToken","Updates","RateLimit"],"members":{"RuleId":{},"ChangeToken":{},"Updates":{"shape":"S7p"},"RateLimit":{"type":"long"}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateRegexMatchSet":{"input":{"type":"structure","required":["RegexMatchSetId","Updates","ChangeToken"],"members":{"RegexMatchSetId":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","RegexMatchTuple"],"members":{"Action":{},"RegexMatchTuple":{"shape":"S1e"}}}},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateRegexPatternSet":{"input":{"type":"structure","required":["RegexPatternSetId","Updates","ChangeToken"],"members":{"RegexPatternSetId":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","RegexPatternString"],"members":{"Action":{},"RegexPatternString":{}}}},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateRule":{"input":{"type":"structure","required":["RuleId","ChangeToken","Updates"],"members":{"RuleId":{},"ChangeToken":{},"Updates":{"shape":"S7p"}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateRuleGroup":{"input":{"type":"structure","required":["RuleGroupId","Updates","ChangeToken"],"members":{"RuleGroupId":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","ActivatedRule"],"members":{"Action":{},"ActivatedRule":{"shape":"S28"}}}},"ChangeToken":{}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateSizeConstraintSet":{"input":{"type":"structure","required":["SizeConstraintSetId","ChangeToken","Updates"],"members":{"SizeConstraintSetId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","SizeConstraint"],"members":{"Action":{},"SizeConstraint":{"shape":"S1u"}}}}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateSqlInjectionMatchSet":{"input":{"type":"structure","required":["SqlInjectionMatchSetId","ChangeToken","Updates"],"members":{"SqlInjectionMatchSetId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","SqlInjectionMatchTuple"],"members":{"Action":{},"SqlInjectionMatchTuple":{"shape":"S21"}}}}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateWebACL":{"input":{"type":"structure","required":["WebACLId","ChangeToken"],"members":{"WebACLId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","ActivatedRule"],"members":{"Action":{},"ActivatedRule":{"shape":"S28"}}}},"DefaultAction":{"shape":"S23"}}},"output":{"type":"structure","members":{"ChangeToken":{}}}},"UpdateXssMatchSet":{"input":{"type":"structure","required":["XssMatchSetId","ChangeToken","Updates"],"members":{"XssMatchSetId":{},"ChangeToken":{},"Updates":{"type":"list","member":{"type":"structure","required":["Action","XssMatchTuple"],"members":{"Action":{},"XssMatchTuple":{"shape":"S2o"}}}}}},"output":{"type":"structure","members":{"ChangeToken":{}}}}},"shapes":{"S9":{"type":"structure","required":["ByteMatchSetId","ByteMatchTuples"],"members":{"ByteMatchSetId":{},"Name":{},"ByteMatchTuples":{"type":"list","member":{"shape":"Sb"}}}},"Sb":{"type":"structure","required":["FieldToMatch","TargetString","TextTransformation","PositionalConstraint"],"members":{"FieldToMatch":{"shape":"Sc"},"TargetString":{"type":"blob"},"TextTransformation":{},"PositionalConstraint":{}}},"Sc":{"type":"structure","required":["Type"],"members":{"Type":{},"Data":{}}},"Sk":{"type":"structure","required":["GeoMatchSetId","GeoMatchConstraints"],"members":{"GeoMatchSetId":{},"Name":{},"GeoMatchConstraints":{"type":"list","member":{"shape":"Sm"}}}},"Sm":{"type":"structure","required":["Type","Value"],"members":{"Type":{},"Value":{}}},"Sr":{"type":"structure","required":["IPSetId","IPSetDescriptors"],"members":{"IPSetId":{},"Name":{},"IPSetDescriptors":{"type":"list","member":{"shape":"St"}}}},"St":{"type":"structure","required":["Type","Value"],"members":{"Type":{},"Value":{}}},"S10":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S15":{"type":"structure","required":["RuleId","MatchPredicates","RateKey","RateLimit"],"members":{"RuleId":{},"Name":{},"MetricName":{},"MatchPredicates":{"shape":"S16"},"RateKey":{},"RateLimit":{"type":"long"}}},"S16":{"type":"list","member":{"shape":"S17"}},"S17":{"type":"structure","required":["Negated","Type","DataId"],"members":{"Negated":{"type":"boolean"},"Type":{},"DataId":{}}},"S1c":{"type":"structure","members":{"RegexMatchSetId":{},"Name":{},"RegexMatchTuples":{"type":"list","member":{"shape":"S1e"}}}},"S1e":{"type":"structure","required":["FieldToMatch","TextTransformation","RegexPatternSetId"],"members":{"FieldToMatch":{"shape":"Sc"},"TextTransformation":{},"RegexPatternSetId":{}}},"S1h":{"type":"structure","required":["RegexPatternSetId","RegexPatternStrings"],"members":{"RegexPatternSetId":{},"Name":{},"RegexPatternStrings":{"type":"list","member":{}}}},"S1m":{"type":"structure","required":["RuleId","Predicates"],"members":{"RuleId":{},"Name":{},"MetricName":{},"Predicates":{"shape":"S16"}}},"S1p":{"type":"structure","required":["RuleGroupId"],"members":{"RuleGroupId":{},"Name":{},"MetricName":{}}},"S1s":{"type":"structure","required":["SizeConstraintSetId","SizeConstraints"],"members":{"SizeConstraintSetId":{},"Name":{},"SizeConstraints":{"type":"list","member":{"shape":"S1u"}}}},"S1u":{"type":"structure","required":["FieldToMatch","TextTransformation","ComparisonOperator","Size"],"members":{"FieldToMatch":{"shape":"Sc"},"TextTransformation":{},"ComparisonOperator":{},"Size":{"type":"long"}}},"S1z":{"type":"structure","required":["SqlInjectionMatchSetId","SqlInjectionMatchTuples"],"members":{"SqlInjectionMatchSetId":{},"Name":{},"SqlInjectionMatchTuples":{"type":"list","member":{"shape":"S21"}}}},"S21":{"type":"structure","required":["FieldToMatch","TextTransformation"],"members":{"FieldToMatch":{"shape":"Sc"},"TextTransformation":{}}},"S23":{"type":"structure","required":["Type"],"members":{"Type":{}}},"S26":{"type":"structure","required":["WebACLId","DefaultAction","Rules"],"members":{"WebACLId":{},"Name":{},"MetricName":{},"DefaultAction":{"shape":"S23"},"Rules":{"shape":"S27"},"WebACLArn":{}}},"S27":{"type":"list","member":{"shape":"S28"}},"S28":{"type":"structure","required":["Priority","RuleId"],"members":{"Priority":{"type":"integer"},"RuleId":{},"Action":{"shape":"S23"},"OverrideAction":{"type":"structure","required":["Type"],"members":{"Type":{}}},"Type":{},"ExcludedRules":{"type":"list","member":{"type":"structure","required":["RuleId"],"members":{"RuleId":{}}}}}},"S2m":{"type":"structure","required":["XssMatchSetId","XssMatchTuples"],"members":{"XssMatchSetId":{},"Name":{},"XssMatchTuples":{"type":"list","member":{"shape":"S2o"}}}},"S2o":{"type":"structure","required":["FieldToMatch","TextTransformation"],"members":{"FieldToMatch":{"shape":"Sc"},"TextTransformation":{}}},"S3w":{"type":"structure","required":["ResourceArn","LogDestinationConfigs"],"members":{"ResourceArn":{},"LogDestinationConfigs":{"type":"list","member":{}},"RedactedFields":{"type":"list","member":{"shape":"Sc"}}}},"S4i":{"type":"structure","required":["StartTime","EndTime"],"members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"S59":{"type":"structure","required":["WebACLId","Name"],"members":{"WebACLId":{},"Name":{}}},"S5w":{"type":"list","member":{"type":"structure","required":["RuleId","Name"],"members":{"RuleId":{},"Name":{}}}},"S7p":{"type":"list","member":{"type":"structure","required":["Action","Predicate"],"members":{"Action":{},"Predicate":{"shape":"S17"}}}}}}');

/***/ }),

/***/ 66829:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 51872:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-07-29","endpointPrefix":"wafv2","jsonVersion":"1.1","protocol":"json","serviceAbbreviation":"WAFV2","serviceFullName":"AWS WAFV2","serviceId":"WAFV2","signatureVersion":"v4","targetPrefix":"AWSWAF_20190729","uid":"wafv2-2019-07-29"},"operations":{"AssociateWebACL":{"input":{"type":"structure","required":["WebACLArn","ResourceArn"],"members":{"WebACLArn":{},"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"CheckCapacity":{"input":{"type":"structure","required":["Scope","Rules"],"members":{"Scope":{},"Rules":{"shape":"S6"}}},"output":{"type":"structure","members":{"Capacity":{"type":"long"}}}},"CreateIPSet":{"input":{"type":"structure","required":["Name","Scope","IPAddressVersion","Addresses"],"members":{"Name":{},"Scope":{},"Description":{},"IPAddressVersion":{},"Addresses":{"shape":"S2n"},"Tags":{"shape":"S2p"}}},"output":{"type":"structure","members":{"Summary":{"shape":"S2u"}}}},"CreateRegexPatternSet":{"input":{"type":"structure","required":["Name","Scope","RegularExpressionList"],"members":{"Name":{},"Scope":{},"Description":{},"RegularExpressionList":{"shape":"S2y"},"Tags":{"shape":"S2p"}}},"output":{"type":"structure","members":{"Summary":{"shape":"S31"}}}},"CreateRuleGroup":{"input":{"type":"structure","required":["Name","Scope","Capacity","VisibilityConfig"],"members":{"Name":{},"Scope":{},"Capacity":{"type":"long"},"Description":{},"Rules":{"shape":"S6"},"VisibilityConfig":{"shape":"S2c"},"Tags":{"shape":"S2p"},"CustomResponseBodies":{"shape":"S34"}}},"output":{"type":"structure","members":{"Summary":{"shape":"S39"}}}},"CreateWebACL":{"input":{"type":"structure","required":["Name","Scope","DefaultAction","VisibilityConfig"],"members":{"Name":{},"Scope":{},"DefaultAction":{"shape":"S3b"},"Description":{},"Rules":{"shape":"S6"},"VisibilityConfig":{"shape":"S2c"},"Tags":{"shape":"S2p"},"CustomResponseBodies":{"shape":"S34"},"CaptchaConfig":{"shape":"S2f"}}},"output":{"type":"structure","members":{"Summary":{"shape":"S3d"}}}},"DeleteFirewallManagerRuleGroups":{"input":{"type":"structure","required":["WebACLArn","WebACLLockToken"],"members":{"WebACLArn":{},"WebACLLockToken":{}}},"output":{"type":"structure","members":{"NextWebACLLockToken":{}}}},"DeleteIPSet":{"input":{"type":"structure","required":["Name","Scope","Id","LockToken"],"members":{"Name":{},"Scope":{},"Id":{},"LockToken":{}}},"output":{"type":"structure","members":{}}},"DeleteLoggingConfiguration":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"DeletePermissionPolicy":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"DeleteRegexPatternSet":{"input":{"type":"structure","required":["Name","Scope","Id","LockToken"],"members":{"Name":{},"Scope":{},"Id":{},"LockToken":{}}},"output":{"type":"structure","members":{}}},"DeleteRuleGroup":{"input":{"type":"structure","required":["Name","Scope","Id","LockToken"],"members":{"Name":{},"Scope":{},"Id":{},"LockToken":{}}},"output":{"type":"structure","members":{}}},"DeleteWebACL":{"input":{"type":"structure","required":["Name","Scope","Id","LockToken"],"members":{"Name":{},"Scope":{},"Id":{},"LockToken":{}}},"output":{"type":"structure","members":{}}},"DescribeManagedRuleGroup":{"input":{"type":"structure","required":["VendorName","Name","Scope"],"members":{"VendorName":{},"Name":{},"Scope":{},"VersionName":{}}},"output":{"type":"structure","members":{"VersionName":{},"SnsTopicArn":{},"Capacity":{"type":"long"},"Rules":{"type":"list","member":{"type":"structure","members":{"Name":{},"Action":{"shape":"S1v"}}}},"LabelNamespace":{},"AvailableLabels":{"shape":"S3w"},"ConsumedLabels":{"shape":"S3w"}}}},"DisassociateWebACL":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{}}},"GetIPSet":{"input":{"type":"structure","required":["Name","Scope","Id"],"members":{"Name":{},"Scope":{},"Id":{}}},"output":{"type":"structure","members":{"IPSet":{"type":"structure","required":["Name","Id","ARN","IPAddressVersion","Addresses"],"members":{"Name":{},"Id":{},"ARN":{},"Description":{},"IPAddressVersion":{},"Addresses":{"shape":"S2n"}}},"LockToken":{}}}},"GetLoggingConfiguration":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"LoggingConfiguration":{"shape":"S45"}}}},"GetManagedRuleSet":{"input":{"type":"structure","required":["Name","Scope","Id"],"members":{"Name":{},"Scope":{},"Id":{}}},"output":{"type":"structure","members":{"ManagedRuleSet":{"type":"structure","required":["Name","Id","ARN"],"members":{"Name":{},"Id":{},"ARN":{},"Description":{},"PublishedVersions":{"type":"map","key":{},"value":{"type":"structure","members":{"AssociatedRuleGroupArn":{},"Capacity":{"type":"long"},"ForecastedLifetime":{"type":"integer"},"PublishTimestamp":{"type":"timestamp"},"LastUpdateTimestamp":{"type":"timestamp"},"ExpiryTimestamp":{"type":"timestamp"}}}},"RecommendedVersion":{},"LabelNamespace":{}}},"LockToken":{}}}},"GetPermissionPolicy":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"Policy":{}}}},"GetRateBasedStatementManagedKeys":{"input":{"type":"structure","required":["Scope","WebACLName","WebACLId","RuleName"],"members":{"Scope":{},"WebACLName":{},"WebACLId":{},"RuleGroupRuleName":{},"RuleName":{}}},"output":{"type":"structure","members":{"ManagedKeysIPV4":{"shape":"S4u"},"ManagedKeysIPV6":{"shape":"S4u"}}}},"GetRegexPatternSet":{"input":{"type":"structure","required":["Name","Scope","Id"],"members":{"Name":{},"Scope":{},"Id":{}}},"output":{"type":"structure","members":{"RegexPatternSet":{"type":"structure","members":{"Name":{},"Id":{},"ARN":{},"Description":{},"RegularExpressionList":{"shape":"S2y"}}},"LockToken":{}}}},"GetRuleGroup":{"input":{"type":"structure","members":{"Name":{},"Scope":{},"Id":{},"ARN":{}}},"output":{"type":"structure","members":{"RuleGroup":{"type":"structure","required":["Name","Id","Capacity","ARN","VisibilityConfig"],"members":{"Name":{},"Id":{},"Capacity":{"type":"long"},"ARN":{},"Description":{},"Rules":{"shape":"S6"},"VisibilityConfig":{"shape":"S2c"},"LabelNamespace":{},"CustomResponseBodies":{"shape":"S34"},"AvailableLabels":{"shape":"S3w"},"ConsumedLabels":{"shape":"S3w"}}},"LockToken":{}}}},"GetSampledRequests":{"input":{"type":"structure","required":["WebAclArn","RuleMetricName","Scope","TimeWindow","MaxItems"],"members":{"WebAclArn":{},"RuleMetricName":{},"Scope":{},"TimeWindow":{"shape":"S52"},"MaxItems":{"type":"long"}}},"output":{"type":"structure","members":{"SampledRequests":{"type":"list","member":{"type":"structure","required":["Request","Weight"],"members":{"Request":{"type":"structure","members":{"ClientIP":{},"Country":{},"URI":{},"Method":{},"HTTPVersion":{},"Headers":{"shape":"S5d"}}},"Weight":{"type":"long"},"Timestamp":{"type":"timestamp"},"Action":{},"RuleNameWithinRuleGroup":{},"RequestHeadersInserted":{"shape":"S5d"},"ResponseCodeSent":{"type":"integer"},"Labels":{"shape":"S29"},"CaptchaResponse":{"type":"structure","members":{"ResponseCode":{"type":"integer"},"SolveTimestamp":{"type":"long"},"FailureReason":{}}}}}},"PopulationSize":{"type":"long"},"TimeWindow":{"shape":"S52"}}}},"GetWebACL":{"input":{"type":"structure","required":["Name","Scope","Id"],"members":{"Name":{},"Scope":{},"Id":{}}},"output":{"type":"structure","members":{"WebACL":{"shape":"S5q"},"LockToken":{}}}},"GetWebACLForResource":{"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{}}},"output":{"type":"structure","members":{"WebACL":{"shape":"S5q"}}}},"ListAvailableManagedRuleGroupVersions":{"input":{"type":"structure","required":["VendorName","Name","Scope"],"members":{"VendorName":{},"Name":{},"Scope":{},"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"Versions":{"type":"list","member":{"type":"structure","members":{"Name":{},"LastUpdateTimestamp":{"type":"timestamp"}}}}}}},"ListAvailableManagedRuleGroups":{"input":{"type":"structure","required":["Scope"],"members":{"Scope":{},"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"ManagedRuleGroups":{"type":"list","member":{"type":"structure","members":{"VendorName":{},"Name":{},"Description":{}}}}}}},"ListIPSets":{"input":{"type":"structure","required":["Scope"],"members":{"Scope":{},"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"IPSets":{"type":"list","member":{"shape":"S2u"}}}}},"ListLoggingConfigurations":{"input":{"type":"structure","required":["Scope"],"members":{"Scope":{},"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"LoggingConfigurations":{"type":"list","member":{"shape":"S45"}},"NextMarker":{}}}},"ListManagedRuleSets":{"input":{"type":"structure","required":["Scope"],"members":{"Scope":{},"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"ManagedRuleSets":{"type":"list","member":{"type":"structure","members":{"Name":{},"Id":{},"Description":{},"LockToken":{},"ARN":{},"LabelNamespace":{}}}}}}},"ListRegexPatternSets":{"input":{"type":"structure","required":["Scope"],"members":{"Scope":{},"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"RegexPatternSets":{"type":"list","member":{"shape":"S31"}}}}},"ListResourcesForWebACL":{"input":{"type":"structure","required":["WebACLArn"],"members":{"WebACLArn":{},"ResourceType":{}}},"output":{"type":"structure","members":{"ResourceArns":{"type":"list","member":{}}}}},"ListRuleGroups":{"input":{"type":"structure","required":["Scope"],"members":{"Scope":{},"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"RuleGroups":{"type":"list","member":{"shape":"S39"}}}}},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"NextMarker":{},"Limit":{"type":"integer"},"ResourceARN":{}}},"output":{"type":"structure","members":{"NextMarker":{},"TagInfoForResource":{"type":"structure","members":{"ResourceARN":{},"TagList":{"shape":"S2p"}}}}}},"ListWebACLs":{"input":{"type":"structure","required":["Scope"],"members":{"Scope":{},"NextMarker":{},"Limit":{"type":"integer"}}},"output":{"type":"structure","members":{"NextMarker":{},"WebACLs":{"type":"list","member":{"shape":"S3d"}}}}},"PutLoggingConfiguration":{"input":{"type":"structure","required":["LoggingConfiguration"],"members":{"LoggingConfiguration":{"shape":"S45"}}},"output":{"type":"structure","members":{"LoggingConfiguration":{"shape":"S45"}}}},"PutManagedRuleSetVersions":{"input":{"type":"structure","required":["Name","Scope","Id","LockToken"],"members":{"Name":{},"Scope":{},"Id":{},"LockToken":{},"RecommendedVersion":{},"VersionsToPublish":{"type":"map","key":{},"value":{"type":"structure","members":{"AssociatedRuleGroupArn":{},"ForecastedLifetime":{"type":"integer"}}}}}},"output":{"type":"structure","members":{"NextLockToken":{}}}},"PutPermissionPolicy":{"input":{"type":"structure","required":["ResourceArn","Policy"],"members":{"ResourceArn":{},"Policy":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S2p"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateIPSet":{"input":{"type":"structure","required":["Name","Scope","Id","Addresses","LockToken"],"members":{"Name":{},"Scope":{},"Id":{},"Description":{},"Addresses":{"shape":"S2n"},"LockToken":{}}},"output":{"type":"structure","members":{"NextLockToken":{}}}},"UpdateManagedRuleSetVersionExpiryDate":{"input":{"type":"structure","required":["Name","Scope","Id","LockToken","VersionToExpire","ExpiryTimestamp"],"members":{"Name":{},"Scope":{},"Id":{},"LockToken":{},"VersionToExpire":{},"ExpiryTimestamp":{"type":"timestamp"}}},"output":{"type":"structure","members":{"ExpiringVersion":{},"ExpiryTimestamp":{"type":"timestamp"},"NextLockToken":{}}}},"UpdateRegexPatternSet":{"input":{"type":"structure","required":["Name","Scope","Id","RegularExpressionList","LockToken"],"members":{"Name":{},"Scope":{},"Id":{},"Description":{},"RegularExpressionList":{"shape":"S2y"},"LockToken":{}}},"output":{"type":"structure","members":{"NextLockToken":{}}}},"UpdateRuleGroup":{"input":{"type":"structure","required":["Name","Scope","Id","VisibilityConfig","LockToken"],"members":{"Name":{},"Scope":{},"Id":{},"Description":{},"Rules":{"shape":"S6"},"VisibilityConfig":{"shape":"S2c"},"LockToken":{},"CustomResponseBodies":{"shape":"S34"}}},"output":{"type":"structure","members":{"NextLockToken":{}}}},"UpdateWebACL":{"input":{"type":"structure","required":["Name","Scope","Id","DefaultAction","VisibilityConfig","LockToken"],"members":{"Name":{},"Scope":{},"Id":{},"DefaultAction":{"shape":"S3b"},"Description":{},"Rules":{"shape":"S6"},"VisibilityConfig":{"shape":"S2c"},"LockToken":{},"CustomResponseBodies":{"shape":"S34"},"CaptchaConfig":{"shape":"S2f"}}},"output":{"type":"structure","members":{"NextLockToken":{}}}}},"shapes":{"S6":{"type":"list","member":{"type":"structure","required":["Name","Priority","Statement","VisibilityConfig"],"members":{"Name":{},"Priority":{"type":"integer"},"Statement":{"shape":"Sa"},"Action":{"shape":"S1v"},"OverrideAction":{"shape":"S27"},"RuleLabels":{"shape":"S29"},"VisibilityConfig":{"shape":"S2c"},"CaptchaConfig":{"shape":"S2f"}}}},"Sa":{"type":"structure","members":{"ByteMatchStatement":{"type":"structure","required":["SearchString","FieldToMatch","TextTransformations","PositionalConstraint"],"members":{"SearchString":{"type":"blob"},"FieldToMatch":{"shape":"Sd"},"TextTransformations":{"shape":"St"},"PositionalConstraint":{}}},"SqliMatchStatement":{"type":"structure","required":["FieldToMatch","TextTransformations"],"members":{"FieldToMatch":{"shape":"Sd"},"TextTransformations":{"shape":"St"}}},"XssMatchStatement":{"type":"structure","required":["FieldToMatch","TextTransformations"],"members":{"FieldToMatch":{"shape":"Sd"},"TextTransformations":{"shape":"St"}}},"SizeConstraintStatement":{"type":"structure","required":["FieldToMatch","ComparisonOperator","Size","TextTransformations"],"members":{"FieldToMatch":{"shape":"Sd"},"ComparisonOperator":{},"Size":{"type":"long"},"TextTransformations":{"shape":"St"}}},"GeoMatchStatement":{"type":"structure","members":{"CountryCodes":{"type":"list","member":{}},"ForwardedIPConfig":{"shape":"S16"}}},"RuleGroupReferenceStatement":{"shape":"S19"},"IPSetReferenceStatement":{"type":"structure","required":["ARN"],"members":{"ARN":{},"IPSetForwardedIPConfig":{"type":"structure","required":["HeaderName","FallbackBehavior","Position"],"members":{"HeaderName":{},"FallbackBehavior":{},"Position":{}}}}},"RegexPatternSetReferenceStatement":{"type":"structure","required":["ARN","FieldToMatch","TextTransformations"],"members":{"ARN":{},"FieldToMatch":{"shape":"Sd"},"TextTransformations":{"shape":"St"}}},"RateBasedStatement":{"type":"structure","required":["Limit","AggregateKeyType"],"members":{"Limit":{"type":"long"},"AggregateKeyType":{},"ScopeDownStatement":{"shape":"Sa"},"ForwardedIPConfig":{"shape":"S16"}}},"AndStatement":{"type":"structure","required":["Statements"],"members":{"Statements":{"shape":"S1k"}}},"OrStatement":{"type":"structure","required":["Statements"],"members":{"Statements":{"shape":"S1k"}}},"NotStatement":{"type":"structure","required":["Statement"],"members":{"Statement":{"shape":"Sa"}}},"ManagedRuleGroupStatement":{"shape":"S1n"},"LabelMatchStatement":{"type":"structure","required":["Scope","Key"],"members":{"Scope":{},"Key":{}}},"RegexMatchStatement":{"type":"structure","required":["RegexString","FieldToMatch","TextTransformations"],"members":{"RegexString":{},"FieldToMatch":{"shape":"Sd"},"TextTransformations":{"shape":"St"}}}}},"Sd":{"type":"structure","members":{"SingleHeader":{"type":"structure","required":["Name"],"members":{"Name":{}}},"SingleQueryArgument":{"type":"structure","required":["Name"],"members":{"Name":{}}},"AllQueryArguments":{"type":"structure","members":{}},"UriPath":{"type":"structure","members":{}},"QueryString":{"type":"structure","members":{}},"Body":{"type":"structure","members":{}},"Method":{"type":"structure","members":{}},"JsonBody":{"type":"structure","required":["MatchPattern","MatchScope"],"members":{"MatchPattern":{"type":"structure","members":{"All":{"type":"structure","members":{}},"IncludedPaths":{"type":"list","member":{}}}},"MatchScope":{},"InvalidFallbackBehavior":{}}}}},"St":{"type":"list","member":{"type":"structure","required":["Priority","Type"],"members":{"Priority":{"type":"integer"},"Type":{}}}},"S16":{"type":"structure","required":["HeaderName","FallbackBehavior"],"members":{"HeaderName":{},"FallbackBehavior":{}}},"S19":{"type":"structure","required":["ARN"],"members":{"ARN":{},"ExcludedRules":{"shape":"S1a"}}},"S1a":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"S1k":{"type":"list","member":{"shape":"Sa"}},"S1n":{"type":"structure","required":["VendorName","Name"],"members":{"VendorName":{},"Name":{},"Version":{},"ExcludedRules":{"shape":"S1a"},"ScopeDownStatement":{"shape":"Sa"}}},"S1v":{"type":"structure","members":{"Block":{"shape":"S1w"},"Allow":{"shape":"S23"},"Count":{"shape":"S25"},"Captcha":{"type":"structure","members":{"CustomRequestHandling":{"shape":"S24"}}}}},"S1w":{"type":"structure","members":{"CustomResponse":{"type":"structure","required":["ResponseCode"],"members":{"ResponseCode":{"type":"integer"},"CustomResponseBodyKey":{},"ResponseHeaders":{"shape":"S1z"}}}}},"S1z":{"type":"list","member":{"type":"structure","required":["Name","Value"],"members":{"Name":{},"Value":{}}}},"S23":{"type":"structure","members":{"CustomRequestHandling":{"shape":"S24"}}},"S24":{"type":"structure","required":["InsertHeaders"],"members":{"InsertHeaders":{"shape":"S1z"}}},"S25":{"type":"structure","members":{"CustomRequestHandling":{"shape":"S24"}}},"S27":{"type":"structure","members":{"Count":{"shape":"S25"},"None":{"type":"structure","members":{}}}},"S29":{"type":"list","member":{"type":"structure","required":["Name"],"members":{"Name":{}}}},"S2c":{"type":"structure","required":["SampledRequestsEnabled","CloudWatchMetricsEnabled","MetricName"],"members":{"SampledRequestsEnabled":{"type":"boolean"},"CloudWatchMetricsEnabled":{"type":"boolean"},"MetricName":{}}},"S2f":{"type":"structure","members":{"ImmunityTimeProperty":{"type":"structure","required":["ImmunityTime"],"members":{"ImmunityTime":{"type":"long"}}}}},"S2n":{"type":"list","member":{}},"S2p":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"S2u":{"type":"structure","members":{"Name":{},"Id":{},"Description":{},"LockToken":{},"ARN":{}}},"S2y":{"type":"list","member":{"type":"structure","members":{"RegexString":{}}}},"S31":{"type":"structure","members":{"Name":{},"Id":{},"Description":{},"LockToken":{},"ARN":{}}},"S34":{"type":"map","key":{},"value":{"type":"structure","required":["ContentType","Content"],"members":{"ContentType":{},"Content":{}}}},"S39":{"type":"structure","members":{"Name":{},"Id":{},"Description":{},"LockToken":{},"ARN":{}}},"S3b":{"type":"structure","members":{"Block":{"shape":"S1w"},"Allow":{"shape":"S23"}}},"S3d":{"type":"structure","members":{"Name":{},"Id":{},"Description":{},"LockToken":{},"ARN":{}}},"S3w":{"type":"list","member":{"type":"structure","members":{"Name":{}}}},"S45":{"type":"structure","required":["ResourceArn","LogDestinationConfigs"],"members":{"ResourceArn":{},"LogDestinationConfigs":{"type":"list","member":{}},"RedactedFields":{"type":"list","member":{"shape":"Sd"}},"ManagedByFirewallManager":{"type":"boolean"},"LoggingFilter":{"type":"structure","required":["Filters","DefaultBehavior"],"members":{"Filters":{"type":"list","member":{"type":"structure","required":["Behavior","Requirement","Conditions"],"members":{"Behavior":{},"Requirement":{},"Conditions":{"type":"list","member":{"type":"structure","members":{"ActionCondition":{"type":"structure","required":["Action"],"members":{"Action":{}}},"LabelNameCondition":{"type":"structure","required":["LabelName"],"members":{"LabelName":{}}}}}}}}},"DefaultBehavior":{}}}}},"S4u":{"type":"structure","members":{"IPAddressVersion":{},"Addresses":{"shape":"S2n"}}},"S52":{"type":"structure","required":["StartTime","EndTime"],"members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"S5d":{"type":"list","member":{"type":"structure","members":{"Name":{},"Value":{}}}},"S5q":{"type":"structure","required":["Name","Id","ARN","DefaultAction","VisibilityConfig"],"members":{"Name":{},"Id":{},"ARN":{},"DefaultAction":{"shape":"S3b"},"Description":{},"Rules":{"shape":"S6"},"VisibilityConfig":{"shape":"S2c"},"Capacity":{"type":"long"},"PreProcessFirewallManagerRuleGroups":{"shape":"S5r"},"PostProcessFirewallManagerRuleGroups":{"shape":"S5r"},"ManagedByFirewallManager":{"type":"boolean"},"LabelNamespace":{},"CustomResponseBodies":{"shape":"S34"},"CaptchaConfig":{"shape":"S2f"}}},"S5r":{"type":"list","member":{"type":"structure","required":["Name","Priority","FirewallManagerStatement","OverrideAction","VisibilityConfig"],"members":{"Name":{},"Priority":{"type":"integer"},"FirewallManagerStatement":{"type":"structure","members":{"ManagedRuleGroupStatement":{"shape":"S1n"},"RuleGroupReferenceStatement":{"shape":"S19"}}},"OverrideAction":{"shape":"S27"},"VisibilityConfig":{"shape":"S2c"}}}}}}');

/***/ }),

/***/ 33900:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 19249:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-03-31","endpointPrefix":"wellarchitected","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"Well-Architected","serviceFullName":"AWS Well-Architected Tool","serviceId":"WellArchitected","signatureVersion":"v4","signingName":"wellarchitected","uid":"wellarchitected-2020-03-31"},"operations":{"AssociateLenses":{"http":{"method":"PATCH","requestUri":"/workloads/{WorkloadId}/associateLenses"},"input":{"type":"structure","required":["WorkloadId","LensAliases"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"LensAliases":{"shape":"S3"}}}},"CreateLensShare":{"http":{"requestUri":"/lenses/{LensAlias}/shares"},"input":{"type":"structure","required":["LensAlias","SharedWith","ClientRequestToken"],"members":{"LensAlias":{"location":"uri","locationName":"LensAlias"},"SharedWith":{},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"ShareId":{}}}},"CreateLensVersion":{"http":{"requestUri":"/lenses/{LensAlias}/versions"},"input":{"type":"structure","required":["LensAlias","LensVersion","ClientRequestToken"],"members":{"LensAlias":{"location":"uri","locationName":"LensAlias"},"LensVersion":{},"IsMajorVersion":{"type":"boolean"},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"LensArn":{},"LensVersion":{}}}},"CreateMilestone":{"http":{"requestUri":"/workloads/{WorkloadId}/milestones"},"input":{"type":"structure","required":["WorkloadId","MilestoneName","ClientRequestToken"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"MilestoneName":{},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"WorkloadId":{},"MilestoneNumber":{"type":"integer"}}}},"CreateWorkload":{"http":{"requestUri":"/workloads"},"input":{"type":"structure","required":["WorkloadName","Description","Environment","ReviewOwner","Lenses","ClientRequestToken"],"members":{"WorkloadName":{},"Description":{},"Environment":{},"AccountIds":{"shape":"Sn"},"AwsRegions":{"shape":"Sp"},"NonAwsRegions":{"shape":"Sr"},"PillarPriorities":{"shape":"St"},"ArchitecturalDesign":{},"ReviewOwner":{},"IndustryType":{},"Industry":{},"Lenses":{"shape":"Sz"},"Notes":{},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"S11"}}},"output":{"type":"structure","members":{"WorkloadId":{},"WorkloadArn":{}}}},"CreateWorkloadShare":{"http":{"requestUri":"/workloads/{WorkloadId}/shares"},"input":{"type":"structure","required":["WorkloadId","SharedWith","PermissionType","ClientRequestToken"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"SharedWith":{},"PermissionType":{},"ClientRequestToken":{"idempotencyToken":true}}},"output":{"type":"structure","members":{"WorkloadId":{},"ShareId":{}}}},"DeleteLens":{"http":{"method":"DELETE","requestUri":"/lenses/{LensAlias}"},"input":{"type":"structure","required":["LensAlias","ClientRequestToken","LensStatus"],"members":{"LensAlias":{"location":"uri","locationName":"LensAlias"},"ClientRequestToken":{"idempotencyToken":true,"location":"querystring","locationName":"ClientRequestToken"},"LensStatus":{"location":"querystring","locationName":"LensStatus"}}}},"DeleteLensShare":{"http":{"method":"DELETE","requestUri":"/lenses/{LensAlias}/shares/{ShareId}"},"input":{"type":"structure","required":["ShareId","LensAlias","ClientRequestToken"],"members":{"ShareId":{"location":"uri","locationName":"ShareId"},"LensAlias":{"location":"uri","locationName":"LensAlias"},"ClientRequestToken":{"idempotencyToken":true,"location":"querystring","locationName":"ClientRequestToken"}}}},"DeleteWorkload":{"http":{"method":"DELETE","requestUri":"/workloads/{WorkloadId}"},"input":{"type":"structure","required":["WorkloadId","ClientRequestToken"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"ClientRequestToken":{"idempotencyToken":true,"location":"querystring","locationName":"ClientRequestToken"}}}},"DeleteWorkloadShare":{"http":{"method":"DELETE","requestUri":"/workloads/{WorkloadId}/shares/{ShareId}"},"input":{"type":"structure","required":["ShareId","WorkloadId","ClientRequestToken"],"members":{"ShareId":{"location":"uri","locationName":"ShareId"},"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"ClientRequestToken":{"idempotencyToken":true,"location":"querystring","locationName":"ClientRequestToken"}}}},"DisassociateLenses":{"http":{"method":"PATCH","requestUri":"/workloads/{WorkloadId}/disassociateLenses"},"input":{"type":"structure","required":["WorkloadId","LensAliases"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"LensAliases":{"shape":"S3"}}}},"ExportLens":{"http":{"method":"GET","requestUri":"/lenses/{LensAlias}/export"},"input":{"type":"structure","required":["LensAlias"],"members":{"LensAlias":{"location":"uri","locationName":"LensAlias"},"LensVersion":{"location":"querystring","locationName":"LensVersion"}}},"output":{"type":"structure","members":{"LensJSON":{}}}},"GetAnswer":{"http":{"method":"GET","requestUri":"/workloads/{WorkloadId}/lensReviews/{LensAlias}/answers/{QuestionId}"},"input":{"type":"structure","required":["WorkloadId","LensAlias","QuestionId"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"LensAlias":{"location":"uri","locationName":"LensAlias"},"QuestionId":{"location":"uri","locationName":"QuestionId"},"MilestoneNumber":{"location":"querystring","locationName":"MilestoneNumber","type":"integer"}}},"output":{"type":"structure","members":{"WorkloadId":{},"MilestoneNumber":{"type":"integer"},"LensAlias":{},"LensArn":{},"Answer":{"shape":"S1l"}}}},"GetLens":{"http":{"method":"GET","requestUri":"/lenses/{LensAlias}"},"input":{"type":"structure","required":["LensAlias"],"members":{"LensAlias":{"location":"uri","locationName":"LensAlias"},"LensVersion":{"location":"querystring","locationName":"LensVersion"}}},"output":{"type":"structure","members":{"Lens":{"type":"structure","members":{"LensArn":{},"LensVersion":{},"Name":{},"Description":{},"Owner":{},"ShareInvitationId":{}}}}}},"GetLensReview":{"http":{"method":"GET","requestUri":"/workloads/{WorkloadId}/lensReviews/{LensAlias}"},"input":{"type":"structure","required":["WorkloadId","LensAlias"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"LensAlias":{"location":"uri","locationName":"LensAlias"},"MilestoneNumber":{"location":"querystring","locationName":"MilestoneNumber","type":"integer"}}},"output":{"type":"structure","members":{"WorkloadId":{},"MilestoneNumber":{"type":"integer"},"LensReview":{"shape":"S2h"}}}},"GetLensReviewReport":{"http":{"method":"GET","requestUri":"/workloads/{WorkloadId}/lensReviews/{LensAlias}/report"},"input":{"type":"structure","required":["WorkloadId","LensAlias"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"LensAlias":{"location":"uri","locationName":"LensAlias"},"MilestoneNumber":{"location":"querystring","locationName":"MilestoneNumber","type":"integer"}}},"output":{"type":"structure","members":{"WorkloadId":{},"MilestoneNumber":{"type":"integer"},"LensReviewReport":{"type":"structure","members":{"LensAlias":{},"LensArn":{},"Base64String":{}}}}}},"GetLensVersionDifference":{"http":{"method":"GET","requestUri":"/lenses/{LensAlias}/versionDifference"},"input":{"type":"structure","required":["LensAlias"],"members":{"LensAlias":{"location":"uri","locationName":"LensAlias"},"BaseLensVersion":{"location":"querystring","locationName":"BaseLensVersion"},"TargetLensVersion":{"location":"querystring","locationName":"TargetLensVersion"}}},"output":{"type":"structure","members":{"LensAlias":{},"LensArn":{},"BaseLensVersion":{},"TargetLensVersion":{},"LatestLensVersion":{},"VersionDifferences":{"type":"structure","members":{"PillarDifferences":{"type":"list","member":{"type":"structure","members":{"PillarId":{},"PillarName":{},"DifferenceStatus":{},"QuestionDifferences":{"type":"list","member":{"type":"structure","members":{"QuestionId":{},"QuestionTitle":{},"DifferenceStatus":{}}}}}}}}}}}},"GetMilestone":{"http":{"method":"GET","requestUri":"/workloads/{WorkloadId}/milestones/{MilestoneNumber}"},"input":{"type":"structure","required":["WorkloadId","MilestoneNumber"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"MilestoneNumber":{"location":"uri","locationName":"MilestoneNumber","type":"integer"}}},"output":{"type":"structure","members":{"WorkloadId":{},"Milestone":{"type":"structure","members":{"MilestoneNumber":{"type":"integer"},"MilestoneName":{},"RecordedAt":{"type":"timestamp"},"Workload":{"shape":"S35"}}}}}},"GetWorkload":{"http":{"method":"GET","requestUri":"/workloads/{WorkloadId}"},"input":{"type":"structure","required":["WorkloadId"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"}}},"output":{"type":"structure","members":{"Workload":{"shape":"S35"}}}},"ImportLens":{"http":{"method":"PUT","requestUri":"/importLens"},"input":{"type":"structure","required":["JSONString","ClientRequestToken"],"members":{"LensAlias":{},"JSONString":{},"ClientRequestToken":{"idempotencyToken":true},"Tags":{"shape":"S11"}}},"output":{"type":"structure","members":{"LensArn":{},"Status":{}}}},"ListAnswers":{"http":{"method":"GET","requestUri":"/workloads/{WorkloadId}/lensReviews/{LensAlias}/answers"},"input":{"type":"structure","required":["WorkloadId","LensAlias"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"LensAlias":{"location":"uri","locationName":"LensAlias"},"PillarId":{"location":"querystring","locationName":"PillarId"},"MilestoneNumber":{"location":"querystring","locationName":"MilestoneNumber","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"WorkloadId":{},"MilestoneNumber":{"type":"integer"},"LensAlias":{},"LensArn":{},"AnswerSummaries":{"type":"list","member":{"type":"structure","members":{"QuestionId":{},"PillarId":{},"QuestionTitle":{},"Choices":{"shape":"S1r"},"SelectedChoices":{"shape":"S1z"},"ChoiceAnswerSummaries":{"type":"list","member":{"type":"structure","members":{"ChoiceId":{},"Status":{},"Reason":{}}}},"IsApplicable":{"type":"boolean"},"Risk":{},"Reason":{}}}},"NextToken":{}}}},"ListLensReviewImprovements":{"http":{"method":"GET","requestUri":"/workloads/{WorkloadId}/lensReviews/{LensAlias}/improvements"},"input":{"type":"structure","required":["WorkloadId","LensAlias"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"LensAlias":{"location":"uri","locationName":"LensAlias"},"PillarId":{"location":"querystring","locationName":"PillarId"},"MilestoneNumber":{"location":"querystring","locationName":"MilestoneNumber","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"WorkloadId":{},"MilestoneNumber":{"type":"integer"},"LensAlias":{},"LensArn":{},"ImprovementSummaries":{"type":"list","member":{"type":"structure","members":{"QuestionId":{},"PillarId":{},"QuestionTitle":{},"Risk":{},"ImprovementPlanUrl":{},"ImprovementPlans":{"type":"list","member":{"type":"structure","members":{"ChoiceId":{},"DisplayText":{},"ImprovementPlanUrl":{}}}}}}},"NextToken":{}}}},"ListLensReviews":{"http":{"method":"GET","requestUri":"/workloads/{WorkloadId}/lensReviews"},"input":{"type":"structure","required":["WorkloadId"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"MilestoneNumber":{"location":"querystring","locationName":"MilestoneNumber","type":"integer"},"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"WorkloadId":{},"MilestoneNumber":{"type":"integer"},"LensReviewSummaries":{"type":"list","member":{"type":"structure","members":{"LensAlias":{},"LensArn":{},"LensVersion":{},"LensName":{},"LensStatus":{},"UpdatedAt":{"type":"timestamp"},"RiskCounts":{"shape":"S2m"}}}},"NextToken":{}}}},"ListLensShares":{"http":{"method":"GET","requestUri":"/lenses/{LensAlias}/shares"},"input":{"type":"structure","required":["LensAlias"],"members":{"LensAlias":{"location":"uri","locationName":"LensAlias"},"SharedWithPrefix":{"location":"querystring","locationName":"SharedWithPrefix"},"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"LensShareSummaries":{"type":"list","member":{"type":"structure","members":{"ShareId":{},"SharedWith":{},"Status":{}}}},"NextToken":{}}}},"ListLenses":{"http":{"method":"GET","requestUri":"/lenses"},"input":{"type":"structure","members":{"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"},"LensType":{"location":"querystring","locationName":"LensType"},"LensStatus":{"location":"querystring","locationName":"LensStatus"},"LensName":{"location":"querystring","locationName":"LensName"}}},"output":{"type":"structure","members":{"LensSummaries":{"type":"list","member":{"type":"structure","members":{"LensArn":{},"LensAlias":{},"LensName":{},"LensType":{},"Description":{},"CreatedAt":{"type":"timestamp"},"UpdatedAt":{"type":"timestamp"},"LensVersion":{},"Owner":{},"LensStatus":{}}}},"NextToken":{}}}},"ListMilestones":{"http":{"requestUri":"/workloads/{WorkloadId}/milestonesSummaries"},"input":{"type":"structure","required":["WorkloadId"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"WorkloadId":{},"MilestoneSummaries":{"type":"list","member":{"type":"structure","members":{"MilestoneNumber":{"type":"integer"},"MilestoneName":{},"RecordedAt":{"type":"timestamp"},"WorkloadSummary":{"shape":"S4c"}}}},"NextToken":{}}}},"ListNotifications":{"http":{"requestUri":"/notifications"},"input":{"type":"structure","members":{"WorkloadId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"NotificationSummaries":{"type":"list","member":{"type":"structure","members":{"Type":{},"LensUpgradeSummary":{"type":"structure","members":{"WorkloadId":{},"WorkloadName":{},"LensAlias":{},"LensArn":{},"CurrentLensVersion":{},"LatestLensVersion":{}}}}}},"NextToken":{}}}},"ListShareInvitations":{"http":{"method":"GET","requestUri":"/shareInvitations"},"input":{"type":"structure","members":{"WorkloadNamePrefix":{"location":"querystring","locationName":"WorkloadNamePrefix"},"LensNamePrefix":{"location":"querystring","locationName":"LensNamePrefix"},"ShareResourceType":{"location":"querystring","locationName":"ShareResourceType"},"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"ShareInvitationSummaries":{"type":"list","member":{"type":"structure","members":{"ShareInvitationId":{},"SharedBy":{},"SharedWith":{},"PermissionType":{},"ShareResourceType":{},"WorkloadName":{},"WorkloadId":{},"LensName":{},"LensArn":{}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{WorkloadArn}"},"input":{"type":"structure","required":["WorkloadArn"],"members":{"WorkloadArn":{"location":"uri","locationName":"WorkloadArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"S11"}}}},"ListWorkloadShares":{"http":{"method":"GET","requestUri":"/workloads/{WorkloadId}/shares"},"input":{"type":"structure","required":["WorkloadId"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"SharedWithPrefix":{"location":"querystring","locationName":"SharedWithPrefix"},"NextToken":{"location":"querystring","locationName":"NextToken"},"MaxResults":{"location":"querystring","locationName":"MaxResults","type":"integer"}}},"output":{"type":"structure","members":{"WorkloadId":{},"WorkloadShareSummaries":{"type":"list","member":{"type":"structure","members":{"ShareId":{},"SharedWith":{},"PermissionType":{},"Status":{}}}},"NextToken":{}}}},"ListWorkloads":{"http":{"requestUri":"/workloadsSummaries"},"input":{"type":"structure","members":{"WorkloadNamePrefix":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"WorkloadSummaries":{"type":"list","member":{"shape":"S4c"}},"NextToken":{}}}},"TagResource":{"http":{"requestUri":"/tags/{WorkloadArn}"},"input":{"type":"structure","required":["WorkloadArn","Tags"],"members":{"WorkloadArn":{"location":"uri","locationName":"WorkloadArn"},"Tags":{"shape":"S11"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{WorkloadArn}"},"input":{"type":"structure","required":["WorkloadArn","TagKeys"],"members":{"WorkloadArn":{"location":"uri","locationName":"WorkloadArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateAnswer":{"http":{"method":"PATCH","requestUri":"/workloads/{WorkloadId}/lensReviews/{LensAlias}/answers/{QuestionId}"},"input":{"type":"structure","required":["WorkloadId","LensAlias","QuestionId"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"LensAlias":{"location":"uri","locationName":"LensAlias"},"QuestionId":{"location":"uri","locationName":"QuestionId"},"SelectedChoices":{"shape":"S1z"},"ChoiceUpdates":{"type":"map","key":{},"value":{"type":"structure","required":["Status"],"members":{"Status":{},"Reason":{},"Notes":{}}}},"Notes":{},"IsApplicable":{"type":"boolean"},"Reason":{}}},"output":{"type":"structure","members":{"WorkloadId":{},"LensAlias":{},"LensArn":{},"Answer":{"shape":"S1l"}}}},"UpdateLensReview":{"http":{"method":"PATCH","requestUri":"/workloads/{WorkloadId}/lensReviews/{LensAlias}"},"input":{"type":"structure","required":["WorkloadId","LensAlias"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"LensAlias":{"location":"uri","locationName":"LensAlias"},"LensNotes":{},"PillarNotes":{"type":"map","key":{},"value":{}}}},"output":{"type":"structure","members":{"WorkloadId":{},"LensReview":{"shape":"S2h"}}}},"UpdateShareInvitation":{"http":{"method":"PATCH","requestUri":"/shareInvitations/{ShareInvitationId}"},"input":{"type":"structure","required":["ShareInvitationId","ShareInvitationAction"],"members":{"ShareInvitationId":{"location":"uri","locationName":"ShareInvitationId"},"ShareInvitationAction":{}}},"output":{"type":"structure","members":{"ShareInvitation":{"type":"structure","members":{"ShareInvitationId":{},"ShareResourceType":{},"WorkloadId":{},"LensAlias":{},"LensArn":{}}}}}},"UpdateWorkload":{"http":{"method":"PATCH","requestUri":"/workloads/{WorkloadId}"},"input":{"type":"structure","required":["WorkloadId"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"WorkloadName":{},"Description":{},"Environment":{},"AccountIds":{"shape":"Sn"},"AwsRegions":{"shape":"Sp"},"NonAwsRegions":{"shape":"Sr"},"PillarPriorities":{"shape":"St"},"ArchitecturalDesign":{},"ReviewOwner":{},"IsReviewOwnerUpdateAcknowledged":{"type":"boolean"},"IndustryType":{},"Industry":{},"Notes":{},"ImprovementStatus":{}}},"output":{"type":"structure","members":{"Workload":{"shape":"S35"}}}},"UpdateWorkloadShare":{"http":{"method":"PATCH","requestUri":"/workloads/{WorkloadId}/shares/{ShareId}"},"input":{"type":"structure","required":["ShareId","WorkloadId","PermissionType"],"members":{"ShareId":{"location":"uri","locationName":"ShareId"},"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"PermissionType":{}}},"output":{"type":"structure","members":{"WorkloadId":{},"WorkloadShare":{"type":"structure","members":{"ShareId":{},"SharedBy":{},"SharedWith":{},"PermissionType":{},"Status":{},"WorkloadName":{},"WorkloadId":{}}}}}},"UpgradeLensReview":{"http":{"method":"PUT","requestUri":"/workloads/{WorkloadId}/lensReviews/{LensAlias}/upgrade"},"input":{"type":"structure","required":["WorkloadId","LensAlias","MilestoneName"],"members":{"WorkloadId":{"location":"uri","locationName":"WorkloadId"},"LensAlias":{"location":"uri","locationName":"LensAlias"},"MilestoneName":{},"ClientRequestToken":{}}}}},"shapes":{"S3":{"type":"list","member":{}},"Sn":{"type":"list","member":{}},"Sp":{"type":"list","member":{}},"Sr":{"type":"list","member":{}},"St":{"type":"list","member":{}},"Sz":{"type":"list","member":{}},"S11":{"type":"map","key":{},"value":{}},"S1l":{"type":"structure","members":{"QuestionId":{},"PillarId":{},"QuestionTitle":{},"QuestionDescription":{},"ImprovementPlanUrl":{},"HelpfulResourceUrl":{},"HelpfulResourceDisplayText":{},"Choices":{"shape":"S1r"},"SelectedChoices":{"shape":"S1z"},"ChoiceAnswers":{"type":"list","member":{"type":"structure","members":{"ChoiceId":{},"Status":{},"Reason":{},"Notes":{}}}},"IsApplicable":{"type":"boolean"},"Risk":{},"Notes":{},"Reason":{}}},"S1r":{"type":"list","member":{"type":"structure","members":{"ChoiceId":{},"Title":{},"Description":{},"HelpfulResource":{"shape":"S1w"},"ImprovementPlan":{"shape":"S1w"}}}},"S1w":{"type":"structure","members":{"DisplayText":{},"Url":{}}},"S1z":{"type":"list","member":{}},"S2h":{"type":"structure","members":{"LensAlias":{},"LensArn":{},"LensVersion":{},"LensName":{},"LensStatus":{},"PillarReviewSummaries":{"type":"list","member":{"type":"structure","members":{"PillarId":{},"PillarName":{},"Notes":{},"RiskCounts":{"shape":"S2m"}}}},"UpdatedAt":{"type":"timestamp"},"Notes":{},"RiskCounts":{"shape":"S2m"},"NextToken":{}}},"S2m":{"type":"map","key":{},"value":{"type":"integer"}},"S35":{"type":"structure","members":{"WorkloadId":{},"WorkloadArn":{},"WorkloadName":{},"Description":{},"Environment":{},"UpdatedAt":{"type":"timestamp"},"AccountIds":{"shape":"Sn"},"AwsRegions":{"shape":"Sp"},"NonAwsRegions":{"shape":"Sr"},"ArchitecturalDesign":{},"ReviewOwner":{},"ReviewRestrictionDate":{"type":"timestamp"},"IsReviewOwnerUpdateAcknowledged":{"type":"boolean"},"IndustryType":{},"Industry":{},"Notes":{},"ImprovementStatus":{},"RiskCounts":{"shape":"S2m"},"PillarPriorities":{"shape":"St"},"Lenses":{"shape":"Sz"},"Owner":{},"ShareInvitationId":{},"Tags":{"shape":"S11"}}},"S4c":{"type":"structure","members":{"WorkloadId":{},"WorkloadArn":{},"WorkloadName":{},"Owner":{},"UpdatedAt":{"type":"timestamp"},"Lenses":{"shape":"Sz"},"RiskCounts":{"shape":"S2m"},"ImprovementStatus":{}}}}}');

/***/ }),

/***/ 54693:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAnswers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListLensReviewImprovements":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListLensReviews":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListLensShares":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListLenses":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMilestones":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListNotifications":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListShareInvitations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListWorkloadShares":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListWorkloads":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 94385:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-10-19","endpointPrefix":"wisdom","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon Connect Wisdom Service","serviceId":"Wisdom","signatureVersion":"v4","signingName":"wisdom","uid":"wisdom-2020-10-19"},"operations":{"CreateAssistant":{"http":{"requestUri":"/assistants","responseCode":200},"input":{"type":"structure","required":["name","type"],"members":{"clientToken":{"idempotencyToken":true},"description":{},"name":{},"serverSideEncryptionConfiguration":{"shape":"S5"},"tags":{"shape":"S7"},"type":{}}},"output":{"type":"structure","members":{"assistant":{"shape":"Sc"}}},"idempotent":true},"CreateAssistantAssociation":{"http":{"requestUri":"/assistants/{assistantId}/associations","responseCode":200},"input":{"type":"structure","required":["assistantId","association","associationType"],"members":{"assistantId":{"location":"uri","locationName":"assistantId"},"association":{"type":"structure","members":{"knowledgeBaseId":{}},"union":true},"associationType":{},"clientToken":{"idempotencyToken":true},"tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"assistantAssociation":{"shape":"Sl"}}},"idempotent":true},"CreateContent":{"http":{"requestUri":"/knowledgeBases/{knowledgeBaseId}/contents","responseCode":200},"input":{"type":"structure","required":["knowledgeBaseId","name","uploadId"],"members":{"clientToken":{"idempotencyToken":true},"knowledgeBaseId":{"location":"uri","locationName":"knowledgeBaseId"},"metadata":{"shape":"Sp"},"name":{},"overrideLinkOutUri":{},"tags":{"shape":"S7"},"title":{},"uploadId":{}}},"output":{"type":"structure","members":{"content":{"shape":"St"}}},"idempotent":true},"CreateKnowledgeBase":{"http":{"requestUri":"/knowledgeBases","responseCode":200},"input":{"type":"structure","required":["knowledgeBaseType","name"],"members":{"clientToken":{"idempotencyToken":true},"description":{},"knowledgeBaseType":{},"name":{},"renderingConfiguration":{"shape":"S10"},"serverSideEncryptionConfiguration":{"shape":"S5"},"sourceConfiguration":{"shape":"S11"},"tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"knowledgeBase":{"shape":"S16"}}},"idempotent":true},"CreateSession":{"http":{"requestUri":"/assistants/{assistantId}/sessions","responseCode":200},"input":{"type":"structure","required":["assistantId","name"],"members":{"assistantId":{"location":"uri","locationName":"assistantId"},"clientToken":{"idempotencyToken":true},"description":{},"name":{},"tags":{"shape":"S7"}}},"output":{"type":"structure","members":{"session":{"shape":"S1a"}}},"idempotent":true},"DeleteAssistant":{"http":{"method":"DELETE","requestUri":"/assistants/{assistantId}","responseCode":204},"input":{"type":"structure","required":["assistantId"],"members":{"assistantId":{"location":"uri","locationName":"assistantId"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteAssistantAssociation":{"http":{"method":"DELETE","requestUri":"/assistants/{assistantId}/associations/{assistantAssociationId}","responseCode":204},"input":{"type":"structure","required":["assistantAssociationId","assistantId"],"members":{"assistantAssociationId":{"location":"uri","locationName":"assistantAssociationId"},"assistantId":{"location":"uri","locationName":"assistantId"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteContent":{"http":{"method":"DELETE","requestUri":"/knowledgeBases/{knowledgeBaseId}/contents/{contentId}","responseCode":204},"input":{"type":"structure","required":["contentId","knowledgeBaseId"],"members":{"contentId":{"location":"uri","locationName":"contentId"},"knowledgeBaseId":{"location":"uri","locationName":"knowledgeBaseId"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteKnowledgeBase":{"http":{"method":"DELETE","requestUri":"/knowledgeBases/{knowledgeBaseId}","responseCode":204},"input":{"type":"structure","required":["knowledgeBaseId"],"members":{"knowledgeBaseId":{"location":"uri","locationName":"knowledgeBaseId"}}},"output":{"type":"structure","members":{}},"idempotent":true},"GetAssistant":{"http":{"method":"GET","requestUri":"/assistants/{assistantId}","responseCode":200},"input":{"type":"structure","required":["assistantId"],"members":{"assistantId":{"location":"uri","locationName":"assistantId"}}},"output":{"type":"structure","members":{"assistant":{"shape":"Sc"}}}},"GetAssistantAssociation":{"http":{"method":"GET","requestUri":"/assistants/{assistantId}/associations/{assistantAssociationId}","responseCode":200},"input":{"type":"structure","required":["assistantAssociationId","assistantId"],"members":{"assistantAssociationId":{"location":"uri","locationName":"assistantAssociationId"},"assistantId":{"location":"uri","locationName":"assistantId"}}},"output":{"type":"structure","members":{"assistantAssociation":{"shape":"Sl"}}}},"GetContent":{"http":{"method":"GET","requestUri":"/knowledgeBases/{knowledgeBaseId}/contents/{contentId}","responseCode":200},"input":{"type":"structure","required":["contentId","knowledgeBaseId"],"members":{"contentId":{"location":"uri","locationName":"contentId"},"knowledgeBaseId":{"location":"uri","locationName":"knowledgeBaseId"}}},"output":{"type":"structure","members":{"content":{"shape":"St"}}}},"GetContentSummary":{"http":{"method":"GET","requestUri":"/knowledgeBases/{knowledgeBaseId}/contents/{contentId}/summary","responseCode":200},"input":{"type":"structure","required":["contentId","knowledgeBaseId"],"members":{"contentId":{"location":"uri","locationName":"contentId"},"knowledgeBaseId":{"location":"uri","locationName":"knowledgeBaseId"}}},"output":{"type":"structure","members":{"contentSummary":{"shape":"S1r"}}}},"GetKnowledgeBase":{"http":{"method":"GET","requestUri":"/knowledgeBases/{knowledgeBaseId}","responseCode":200},"input":{"type":"structure","required":["knowledgeBaseId"],"members":{"knowledgeBaseId":{"location":"uri","locationName":"knowledgeBaseId"}}},"output":{"type":"structure","members":{"knowledgeBase":{"shape":"S16"}}}},"GetRecommendations":{"http":{"method":"GET","requestUri":"/assistants/{assistantId}/sessions/{sessionId}/recommendations","responseCode":200},"input":{"type":"structure","required":["assistantId","sessionId"],"members":{"assistantId":{"location":"uri","locationName":"assistantId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"sessionId":{"location":"uri","locationName":"sessionId"},"waitTimeSeconds":{"location":"querystring","locationName":"waitTimeSeconds","type":"integer"}}},"output":{"type":"structure","required":["recommendations"],"members":{"recommendations":{"type":"list","member":{"type":"structure","required":["document","recommendationId"],"members":{"document":{"shape":"S20"},"recommendationId":{},"relevanceLevel":{},"relevanceScore":{"type":"double"}}}}}}},"GetSession":{"http":{"method":"GET","requestUri":"/assistants/{assistantId}/sessions/{sessionId}","responseCode":200},"input":{"type":"structure","required":["assistantId","sessionId"],"members":{"assistantId":{"location":"uri","locationName":"assistantId"},"sessionId":{"location":"uri","locationName":"sessionId"}}},"output":{"type":"structure","members":{"session":{"shape":"S1a"}}}},"ListAssistantAssociations":{"http":{"method":"GET","requestUri":"/assistants/{assistantId}/associations","responseCode":200},"input":{"type":"structure","required":["assistantId"],"members":{"assistantId":{"location":"uri","locationName":"assistantId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["assistantAssociationSummaries"],"members":{"assistantAssociationSummaries":{"type":"list","member":{"type":"structure","required":["assistantArn","assistantAssociationArn","assistantAssociationId","assistantId","associationData","associationType"],"members":{"assistantArn":{},"assistantAssociationArn":{},"assistantAssociationId":{},"assistantId":{},"associationData":{"shape":"Sm"},"associationType":{},"tags":{"shape":"S7"}}}},"nextToken":{}}}},"ListAssistants":{"http":{"method":"GET","requestUri":"/assistants","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["assistantSummaries"],"members":{"assistantSummaries":{"type":"list","member":{"type":"structure","required":["assistantArn","assistantId","name","status","type"],"members":{"assistantArn":{},"assistantId":{},"description":{},"name":{},"serverSideEncryptionConfiguration":{"shape":"S5"},"status":{},"tags":{"shape":"S7"},"type":{}}}},"nextToken":{}}}},"ListContents":{"http":{"method":"GET","requestUri":"/knowledgeBases/{knowledgeBaseId}/contents","responseCode":200},"input":{"type":"structure","required":["knowledgeBaseId"],"members":{"knowledgeBaseId":{"location":"uri","locationName":"knowledgeBaseId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["contentSummaries"],"members":{"contentSummaries":{"shape":"S2n"},"nextToken":{}}}},"ListKnowledgeBases":{"http":{"method":"GET","requestUri":"/knowledgeBases","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","required":["knowledgeBaseSummaries"],"members":{"knowledgeBaseSummaries":{"type":"list","member":{"type":"structure","required":["knowledgeBaseArn","knowledgeBaseId","knowledgeBaseType","name","status"],"members":{"description":{},"knowledgeBaseArn":{},"knowledgeBaseId":{},"knowledgeBaseType":{},"name":{},"renderingConfiguration":{"shape":"S10"},"serverSideEncryptionConfiguration":{"shape":"S5"},"sourceConfiguration":{"shape":"S11"},"status":{},"tags":{"shape":"S7"}}}},"nextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"S7"}}}},"NotifyRecommendationsReceived":{"http":{"requestUri":"/assistants/{assistantId}/sessions/{sessionId}/recommendations/notify","responseCode":200},"input":{"type":"structure","required":["assistantId","recommendationIds","sessionId"],"members":{"assistantId":{"location":"uri","locationName":"assistantId"},"recommendationIds":{"shape":"S2v"},"sessionId":{"location":"uri","locationName":"sessionId"}}},"output":{"type":"structure","members":{"errors":{"type":"list","member":{"type":"structure","members":{"message":{},"recommendationId":{}}}},"recommendationIds":{"shape":"S2v"}}},"idempotent":true},"QueryAssistant":{"http":{"requestUri":"/assistants/{assistantId}/query","responseCode":200},"input":{"type":"structure","required":["assistantId","queryText"],"members":{"assistantId":{"location":"uri","locationName":"assistantId"},"maxResults":{"type":"integer"},"nextToken":{},"queryText":{"type":"string","sensitive":true}}},"output":{"type":"structure","required":["results"],"members":{"nextToken":{},"results":{"type":"list","member":{"type":"structure","required":["document","resultId"],"members":{"document":{"shape":"S20"},"relevanceScore":{"type":"double"},"resultId":{}}}}}}},"RemoveKnowledgeBaseTemplateUri":{"http":{"method":"DELETE","requestUri":"/knowledgeBases/{knowledgeBaseId}/templateUri","responseCode":204},"input":{"type":"structure","required":["knowledgeBaseId"],"members":{"knowledgeBaseId":{"location":"uri","locationName":"knowledgeBaseId"}}},"output":{"type":"structure","members":{}}},"SearchContent":{"http":{"requestUri":"/knowledgeBases/{knowledgeBaseId}/search","responseCode":200},"input":{"type":"structure","required":["knowledgeBaseId","searchExpression"],"members":{"knowledgeBaseId":{"location":"uri","locationName":"knowledgeBaseId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"searchExpression":{"shape":"S38"}}},"output":{"type":"structure","required":["contentSummaries"],"members":{"contentSummaries":{"shape":"S2n"},"nextToken":{}}}},"SearchSessions":{"http":{"requestUri":"/assistants/{assistantId}/searchSessions","responseCode":200},"input":{"type":"structure","required":["assistantId","searchExpression"],"members":{"assistantId":{"location":"uri","locationName":"assistantId"},"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"searchExpression":{"shape":"S38"}}},"output":{"type":"structure","required":["sessionSummaries"],"members":{"nextToken":{},"sessionSummaries":{"type":"list","member":{"type":"structure","required":["assistantArn","assistantId","sessionArn","sessionId"],"members":{"assistantArn":{},"assistantId":{},"sessionArn":{},"sessionId":{}}}}}}},"StartContentUpload":{"http":{"requestUri":"/knowledgeBases/{knowledgeBaseId}/upload","responseCode":200},"input":{"type":"structure","required":["contentType","knowledgeBaseId"],"members":{"contentType":{},"knowledgeBaseId":{"location":"uri","locationName":"knowledgeBaseId"}}},"output":{"type":"structure","required":["headersToInclude","uploadId","url","urlExpiry"],"members":{"headersToInclude":{"type":"map","key":{},"value":{}},"uploadId":{},"url":{"type":"string","sensitive":true},"urlExpiry":{"shape":"Sx"}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"S7"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateContent":{"http":{"requestUri":"/knowledgeBases/{knowledgeBaseId}/contents/{contentId}","responseCode":200},"input":{"type":"structure","required":["contentId","knowledgeBaseId"],"members":{"contentId":{"location":"uri","locationName":"contentId"},"knowledgeBaseId":{"location":"uri","locationName":"knowledgeBaseId"},"metadata":{"shape":"Sp"},"overrideLinkOutUri":{},"removeOverrideLinkOutUri":{"type":"boolean"},"revisionId":{},"title":{},"uploadId":{}}},"output":{"type":"structure","members":{"content":{"shape":"St"}}}},"UpdateKnowledgeBaseTemplateUri":{"http":{"requestUri":"/knowledgeBases/{knowledgeBaseId}/templateUri","responseCode":200},"input":{"type":"structure","required":["knowledgeBaseId","templateUri"],"members":{"knowledgeBaseId":{"location":"uri","locationName":"knowledgeBaseId"},"templateUri":{}}},"output":{"type":"structure","members":{"knowledgeBase":{"shape":"S16"}}}}},"shapes":{"S5":{"type":"structure","members":{"kmsKeyId":{}}},"S7":{"type":"map","key":{},"value":{}},"Sc":{"type":"structure","required":["assistantArn","assistantId","name","status","type"],"members":{"assistantArn":{},"assistantId":{},"description":{},"name":{},"serverSideEncryptionConfiguration":{"shape":"S5"},"status":{},"tags":{"shape":"S7"},"type":{}}},"Sl":{"type":"structure","required":["assistantArn","assistantAssociationArn","assistantAssociationId","assistantId","associationData","associationType"],"members":{"assistantArn":{},"assistantAssociationArn":{},"assistantAssociationId":{},"assistantId":{},"associationData":{"shape":"Sm"},"associationType":{},"tags":{"shape":"S7"}}},"Sm":{"type":"structure","members":{"knowledgeBaseAssociation":{"type":"structure","members":{"knowledgeBaseArn":{},"knowledgeBaseId":{}}}},"union":true},"Sp":{"type":"map","key":{},"value":{}},"St":{"type":"structure","required":["contentArn","contentId","contentType","knowledgeBaseArn","knowledgeBaseId","metadata","name","revisionId","status","title","url","urlExpiry"],"members":{"contentArn":{},"contentId":{},"contentType":{},"knowledgeBaseArn":{},"knowledgeBaseId":{},"linkOutUri":{},"metadata":{"shape":"Sp"},"name":{},"revisionId":{},"status":{},"tags":{"shape":"S7"},"title":{},"url":{"type":"string","sensitive":true},"urlExpiry":{"shape":"Sx"}}},"Sx":{"type":"timestamp","timestampFormat":"unixTimestamp"},"S10":{"type":"structure","members":{"templateUri":{}}},"S11":{"type":"structure","members":{"appIntegrations":{"type":"structure","required":["appIntegrationArn","objectFields"],"members":{"appIntegrationArn":{},"objectFields":{"type":"list","member":{}}}}},"union":true},"S16":{"type":"structure","required":["knowledgeBaseArn","knowledgeBaseId","knowledgeBaseType","name","status"],"members":{"description":{},"knowledgeBaseArn":{},"knowledgeBaseId":{},"knowledgeBaseType":{},"lastContentModificationTime":{"shape":"Sx"},"name":{},"renderingConfiguration":{"shape":"S10"},"serverSideEncryptionConfiguration":{"shape":"S5"},"sourceConfiguration":{"shape":"S11"},"status":{},"tags":{"shape":"S7"}}},"S1a":{"type":"structure","required":["name","sessionArn","sessionId"],"members":{"description":{},"name":{},"sessionArn":{},"sessionId":{},"tags":{"shape":"S7"}}},"S1r":{"type":"structure","required":["contentArn","contentId","contentType","knowledgeBaseArn","knowledgeBaseId","metadata","name","revisionId","status","title"],"members":{"contentArn":{},"contentId":{},"contentType":{},"knowledgeBaseArn":{},"knowledgeBaseId":{},"metadata":{"shape":"Sp"},"name":{},"revisionId":{},"status":{},"tags":{"shape":"S7"},"title":{}}},"S20":{"type":"structure","required":["contentReference"],"members":{"contentReference":{"type":"structure","members":{"contentArn":{},"contentId":{},"knowledgeBaseArn":{},"knowledgeBaseId":{}}},"excerpt":{"shape":"S22"},"title":{"shape":"S22"}}},"S22":{"type":"structure","members":{"highlights":{"type":"list","member":{"type":"structure","members":{"beginOffsetInclusive":{"type":"integer"},"endOffsetExclusive":{"type":"integer"}}}},"text":{"type":"string","sensitive":true}}},"S2n":{"type":"list","member":{"shape":"S1r"}},"S2v":{"type":"list","member":{}},"S38":{"type":"structure","required":["filters"],"members":{"filters":{"type":"list","member":{"type":"structure","required":["field","operator","value"],"members":{"field":{},"operator":{},"value":{}}}}}}}}');

/***/ }),

/***/ 54852:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAssistantAssociations":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"assistantAssociationSummaries"},"ListAssistants":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"assistantSummaries"},"ListContents":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"contentSummaries"},"ListKnowledgeBases":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"knowledgeBaseSummaries"},"QueryAssistant":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"results"},"SearchContent":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"contentSummaries"},"SearchSessions":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults","result_key":"sessionSummaries"}}}');

/***/ }),

/***/ 41052:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-05-01","endpointPrefix":"workdocs","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon WorkDocs","serviceId":"WorkDocs","signatureVersion":"v4","uid":"workdocs-2016-05-01"},"operations":{"AbortDocumentVersionUpload":{"http":{"method":"DELETE","requestUri":"/api/v1/documents/{DocumentId}/versions/{VersionId}","responseCode":204},"input":{"type":"structure","required":["DocumentId","VersionId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"DocumentId":{"location":"uri","locationName":"DocumentId"},"VersionId":{"location":"uri","locationName":"VersionId"}}}},"ActivateUser":{"http":{"requestUri":"/api/v1/users/{UserId}/activation","responseCode":200},"input":{"type":"structure","required":["UserId"],"members":{"UserId":{"location":"uri","locationName":"UserId"},"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"}}},"output":{"type":"structure","members":{"User":{"shape":"S8"}}}},"AddResourcePermissions":{"http":{"requestUri":"/api/v1/resources/{ResourceId}/permissions","responseCode":201},"input":{"type":"structure","required":["ResourceId","Principals"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"ResourceId":{"location":"uri","locationName":"ResourceId"},"Principals":{"type":"list","member":{"type":"structure","required":["Id","Type","Role"],"members":{"Id":{},"Type":{},"Role":{}}}},"NotificationOptions":{"type":"structure","members":{"SendEmail":{"type":"boolean"},"EmailMessage":{"shape":"St"}}}}},"output":{"type":"structure","members":{"ShareResults":{"type":"list","member":{"type":"structure","members":{"PrincipalId":{},"InviteePrincipalId":{},"Role":{},"Status":{},"ShareId":{},"StatusMessage":{"shape":"St"}}}}}}},"CreateComment":{"http":{"requestUri":"/api/v1/documents/{DocumentId}/versions/{VersionId}/comment","responseCode":201},"input":{"type":"structure","required":["DocumentId","VersionId","Text"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"DocumentId":{"location":"uri","locationName":"DocumentId"},"VersionId":{"location":"uri","locationName":"VersionId"},"ParentId":{},"ThreadId":{},"Text":{"shape":"S10"},"Visibility":{},"NotifyCollaborators":{"type":"boolean"}}},"output":{"type":"structure","members":{"Comment":{"shape":"S13"}}}},"CreateCustomMetadata":{"http":{"method":"PUT","requestUri":"/api/v1/resources/{ResourceId}/customMetadata","responseCode":200},"input":{"type":"structure","required":["ResourceId","CustomMetadata"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"ResourceId":{"location":"uri","locationName":"ResourceId"},"VersionId":{"location":"querystring","locationName":"versionid"},"CustomMetadata":{"shape":"S16"}}},"output":{"type":"structure","members":{}}},"CreateFolder":{"http":{"requestUri":"/api/v1/folders","responseCode":201},"input":{"type":"structure","required":["ParentFolderId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"Name":{},"ParentFolderId":{}}},"output":{"type":"structure","members":{"Metadata":{"shape":"S1d"}}}},"CreateLabels":{"http":{"method":"PUT","requestUri":"/api/v1/resources/{ResourceId}/labels","responseCode":200},"input":{"type":"structure","required":["ResourceId","Labels"],"members":{"ResourceId":{"location":"uri","locationName":"ResourceId"},"Labels":{"shape":"S1g"},"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"}}},"output":{"type":"structure","members":{}}},"CreateNotificationSubscription":{"http":{"requestUri":"/api/v1/organizations/{OrganizationId}/subscriptions","responseCode":200},"input":{"type":"structure","required":["OrganizationId","Endpoint","Protocol","SubscriptionType"],"members":{"OrganizationId":{"location":"uri","locationName":"OrganizationId"},"Endpoint":{},"Protocol":{},"SubscriptionType":{}}},"output":{"type":"structure","members":{"Subscription":{"shape":"S1p"}}}},"CreateUser":{"http":{"requestUri":"/api/v1/users","responseCode":201},"input":{"type":"structure","required":["Username","GivenName","Surname","Password"],"members":{"OrganizationId":{},"Username":{},"EmailAddress":{},"GivenName":{},"Surname":{},"Password":{"type":"string","sensitive":true},"TimeZoneId":{},"StorageRule":{"shape":"Sj"},"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"}}},"output":{"type":"structure","members":{"User":{"shape":"S8"}}}},"DeactivateUser":{"http":{"method":"DELETE","requestUri":"/api/v1/users/{UserId}/activation","responseCode":204},"input":{"type":"structure","required":["UserId"],"members":{"UserId":{"location":"uri","locationName":"UserId"},"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"}}}},"DeleteComment":{"http":{"method":"DELETE","requestUri":"/api/v1/documents/{DocumentId}/versions/{VersionId}/comment/{CommentId}","responseCode":204},"input":{"type":"structure","required":["DocumentId","VersionId","CommentId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"DocumentId":{"location":"uri","locationName":"DocumentId"},"VersionId":{"location":"uri","locationName":"VersionId"},"CommentId":{"location":"uri","locationName":"CommentId"}}}},"DeleteCustomMetadata":{"http":{"method":"DELETE","requestUri":"/api/v1/resources/{ResourceId}/customMetadata","responseCode":200},"input":{"type":"structure","required":["ResourceId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"ResourceId":{"location":"uri","locationName":"ResourceId"},"VersionId":{"location":"querystring","locationName":"versionId"},"Keys":{"location":"querystring","locationName":"keys","type":"list","member":{}},"DeleteAll":{"location":"querystring","locationName":"deleteAll","type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeleteDocument":{"http":{"method":"DELETE","requestUri":"/api/v1/documents/{DocumentId}","responseCode":204},"input":{"type":"structure","required":["DocumentId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"DocumentId":{"location":"uri","locationName":"DocumentId"}}}},"DeleteFolder":{"http":{"method":"DELETE","requestUri":"/api/v1/folders/{FolderId}","responseCode":204},"input":{"type":"structure","required":["FolderId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"FolderId":{"location":"uri","locationName":"FolderId"}}}},"DeleteFolderContents":{"http":{"method":"DELETE","requestUri":"/api/v1/folders/{FolderId}/contents","responseCode":204},"input":{"type":"structure","required":["FolderId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"FolderId":{"location":"uri","locationName":"FolderId"}}}},"DeleteLabels":{"http":{"method":"DELETE","requestUri":"/api/v1/resources/{ResourceId}/labels","responseCode":200},"input":{"type":"structure","required":["ResourceId"],"members":{"ResourceId":{"location":"uri","locationName":"ResourceId"},"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"Labels":{"shape":"S1g","location":"querystring","locationName":"labels"},"DeleteAll":{"location":"querystring","locationName":"deleteAll","type":"boolean"}}},"output":{"type":"structure","members":{}}},"DeleteNotificationSubscription":{"http":{"method":"DELETE","requestUri":"/api/v1/organizations/{OrganizationId}/subscriptions/{SubscriptionId}","responseCode":200},"input":{"type":"structure","required":["SubscriptionId","OrganizationId"],"members":{"SubscriptionId":{"location":"uri","locationName":"SubscriptionId"},"OrganizationId":{"location":"uri","locationName":"OrganizationId"}}}},"DeleteUser":{"http":{"method":"DELETE","requestUri":"/api/v1/users/{UserId}","responseCode":204},"input":{"type":"structure","required":["UserId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"UserId":{"location":"uri","locationName":"UserId"}}}},"DescribeActivities":{"http":{"method":"GET","requestUri":"/api/v1/activities","responseCode":200},"input":{"type":"structure","members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"StartTime":{"location":"querystring","locationName":"startTime","type":"timestamp"},"EndTime":{"location":"querystring","locationName":"endTime","type":"timestamp"},"OrganizationId":{"location":"querystring","locationName":"organizationId"},"ActivityTypes":{"location":"querystring","locationName":"activityTypes"},"ResourceId":{"location":"querystring","locationName":"resourceId"},"UserId":{"location":"querystring","locationName":"userId"},"IncludeIndirectActivities":{"location":"querystring","locationName":"includeIndirectActivities","type":"boolean"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"Marker":{"location":"querystring","locationName":"marker"}}},"output":{"type":"structure","members":{"UserActivities":{"type":"list","member":{"type":"structure","members":{"Type":{},"TimeStamp":{"type":"timestamp"},"IsIndirectActivity":{"type":"boolean"},"OrganizationId":{},"Initiator":{"shape":"S2d"},"Participants":{"type":"structure","members":{"Users":{"type":"list","member":{"shape":"S2d"}},"Groups":{"shape":"S2g"}}},"ResourceMetadata":{"shape":"S2j"},"OriginalParent":{"shape":"S2j"},"CommentMetadata":{"type":"structure","members":{"CommentId":{},"Contributor":{"shape":"S8"},"CreatedTimestamp":{"type":"timestamp"},"CommentStatus":{},"RecipientId":{}}}}}},"Marker":{}}}},"DescribeComments":{"http":{"method":"GET","requestUri":"/api/v1/documents/{DocumentId}/versions/{VersionId}/comments","responseCode":200},"input":{"type":"structure","required":["DocumentId","VersionId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"DocumentId":{"location":"uri","locationName":"DocumentId"},"VersionId":{"location":"uri","locationName":"VersionId"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"Marker":{"location":"querystring","locationName":"marker"}}},"output":{"type":"structure","members":{"Comments":{"type":"list","member":{"shape":"S13"}},"Marker":{}}}},"DescribeDocumentVersions":{"http":{"method":"GET","requestUri":"/api/v1/documents/{DocumentId}/versions","responseCode":200},"input":{"type":"structure","required":["DocumentId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"DocumentId":{"location":"uri","locationName":"DocumentId"},"Marker":{"location":"querystring","locationName":"marker"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"Include":{"location":"querystring","locationName":"include"},"Fields":{"location":"querystring","locationName":"fields"}}},"output":{"type":"structure","members":{"DocumentVersions":{"type":"list","member":{"shape":"S2u"}},"Marker":{}}}},"DescribeFolderContents":{"http":{"method":"GET","requestUri":"/api/v1/folders/{FolderId}/contents","responseCode":200},"input":{"type":"structure","required":["FolderId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"FolderId":{"location":"uri","locationName":"FolderId"},"Sort":{"location":"querystring","locationName":"sort"},"Order":{"location":"querystring","locationName":"order"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"Marker":{"location":"querystring","locationName":"marker"},"Type":{"location":"querystring","locationName":"type"},"Include":{"location":"querystring","locationName":"include"}}},"output":{"type":"structure","members":{"Folders":{"shape":"S37"},"Documents":{"shape":"S38"},"Marker":{}}}},"DescribeGroups":{"http":{"method":"GET","requestUri":"/api/v1/groups","responseCode":200},"input":{"type":"structure","required":["SearchQuery"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"SearchQuery":{"shape":"S3b","location":"querystring","locationName":"searchQuery"},"OrganizationId":{"location":"querystring","locationName":"organizationId"},"Marker":{"location":"querystring","locationName":"marker"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"Groups":{"shape":"S2g"},"Marker":{}}}},"DescribeNotificationSubscriptions":{"http":{"method":"GET","requestUri":"/api/v1/organizations/{OrganizationId}/subscriptions","responseCode":200},"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{"location":"uri","locationName":"OrganizationId"},"Marker":{"location":"querystring","locationName":"marker"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"}}},"output":{"type":"structure","members":{"Subscriptions":{"type":"list","member":{"shape":"S1p"}},"Marker":{}}}},"DescribeResourcePermissions":{"http":{"method":"GET","requestUri":"/api/v1/resources/{ResourceId}/permissions","responseCode":200},"input":{"type":"structure","required":["ResourceId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"ResourceId":{"location":"uri","locationName":"ResourceId"},"PrincipalId":{"location":"querystring","locationName":"principalId"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"Marker":{"location":"querystring","locationName":"marker"}}},"output":{"type":"structure","members":{"Principals":{"type":"list","member":{"type":"structure","members":{"Id":{},"Type":{},"Roles":{"type":"list","member":{"type":"structure","members":{"Role":{},"Type":{}}}}}}},"Marker":{}}}},"DescribeRootFolders":{"http":{"method":"GET","requestUri":"/api/v1/me/root","responseCode":200},"input":{"type":"structure","required":["AuthenticationToken"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"Marker":{"location":"querystring","locationName":"marker"}}},"output":{"type":"structure","members":{"Folders":{"shape":"S37"},"Marker":{}}}},"DescribeUsers":{"http":{"method":"GET","requestUri":"/api/v1/users","responseCode":200},"input":{"type":"structure","members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"OrganizationId":{"location":"querystring","locationName":"organizationId"},"UserIds":{"location":"querystring","locationName":"userIds"},"Query":{"shape":"S3b","location":"querystring","locationName":"query"},"Include":{"location":"querystring","locationName":"include"},"Order":{"location":"querystring","locationName":"order"},"Sort":{"location":"querystring","locationName":"sort"},"Marker":{"location":"querystring","locationName":"marker"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"Fields":{"location":"querystring","locationName":"fields"}}},"output":{"type":"structure","members":{"Users":{"type":"list","member":{"shape":"S8"}},"TotalNumberOfUsers":{"deprecated":true,"type":"long"},"Marker":{}}}},"GetCurrentUser":{"http":{"method":"GET","requestUri":"/api/v1/me","responseCode":200},"input":{"type":"structure","required":["AuthenticationToken"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"}}},"output":{"type":"structure","members":{"User":{"shape":"S8"}}}},"GetDocument":{"http":{"method":"GET","requestUri":"/api/v1/documents/{DocumentId}","responseCode":200},"input":{"type":"structure","required":["DocumentId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"DocumentId":{"location":"uri","locationName":"DocumentId"},"IncludeCustomMetadata":{"location":"querystring","locationName":"includeCustomMetadata","type":"boolean"}}},"output":{"type":"structure","members":{"Metadata":{"shape":"S39"},"CustomMetadata":{"shape":"S16"}}}},"GetDocumentPath":{"http":{"method":"GET","requestUri":"/api/v1/documents/{DocumentId}/path","responseCode":200},"input":{"type":"structure","required":["DocumentId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"DocumentId":{"location":"uri","locationName":"DocumentId"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"Fields":{"location":"querystring","locationName":"fields"},"Marker":{"location":"querystring","locationName":"marker"}}},"output":{"type":"structure","members":{"Path":{"shape":"S42"}}}},"GetDocumentVersion":{"http":{"method":"GET","requestUri":"/api/v1/documents/{DocumentId}/versions/{VersionId}","responseCode":200},"input":{"type":"structure","required":["DocumentId","VersionId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"DocumentId":{"location":"uri","locationName":"DocumentId"},"VersionId":{"location":"uri","locationName":"VersionId"},"Fields":{"location":"querystring","locationName":"fields"},"IncludeCustomMetadata":{"location":"querystring","locationName":"includeCustomMetadata","type":"boolean"}}},"output":{"type":"structure","members":{"Metadata":{"shape":"S2u"},"CustomMetadata":{"shape":"S16"}}}},"GetFolder":{"http":{"method":"GET","requestUri":"/api/v1/folders/{FolderId}","responseCode":200},"input":{"type":"structure","required":["FolderId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"FolderId":{"location":"uri","locationName":"FolderId"},"IncludeCustomMetadata":{"location":"querystring","locationName":"includeCustomMetadata","type":"boolean"}}},"output":{"type":"structure","members":{"Metadata":{"shape":"S1d"},"CustomMetadata":{"shape":"S16"}}}},"GetFolderPath":{"http":{"method":"GET","requestUri":"/api/v1/folders/{FolderId}/path","responseCode":200},"input":{"type":"structure","required":["FolderId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"FolderId":{"location":"uri","locationName":"FolderId"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"Fields":{"location":"querystring","locationName":"fields"},"Marker":{"location":"querystring","locationName":"marker"}}},"output":{"type":"structure","members":{"Path":{"shape":"S42"}}}},"GetResources":{"http":{"method":"GET","requestUri":"/api/v1/resources","responseCode":200},"input":{"type":"structure","members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"UserId":{"location":"querystring","locationName":"userId"},"CollectionType":{"location":"querystring","locationName":"collectionType"},"Limit":{"location":"querystring","locationName":"limit","type":"integer"},"Marker":{"location":"querystring","locationName":"marker"}}},"output":{"type":"structure","members":{"Folders":{"shape":"S37"},"Documents":{"shape":"S38"},"Marker":{}}}},"InitiateDocumentVersionUpload":{"http":{"requestUri":"/api/v1/documents","responseCode":201},"input":{"type":"structure","required":["ParentFolderId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"Id":{},"Name":{},"ContentCreatedTimestamp":{"type":"timestamp"},"ContentModifiedTimestamp":{"type":"timestamp"},"ContentType":{},"DocumentSizeInBytes":{"type":"long"},"ParentFolderId":{}}},"output":{"type":"structure","members":{"Metadata":{"shape":"S39"},"UploadMetadata":{"type":"structure","members":{"UploadUrl":{"shape":"S2z"},"SignedHeaders":{"type":"map","key":{},"value":{}}}}}}},"RemoveAllResourcePermissions":{"http":{"method":"DELETE","requestUri":"/api/v1/resources/{ResourceId}/permissions","responseCode":204},"input":{"type":"structure","required":["ResourceId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"ResourceId":{"location":"uri","locationName":"ResourceId"}}}},"RemoveResourcePermission":{"http":{"method":"DELETE","requestUri":"/api/v1/resources/{ResourceId}/permissions/{PrincipalId}","responseCode":204},"input":{"type":"structure","required":["ResourceId","PrincipalId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"ResourceId":{"location":"uri","locationName":"ResourceId"},"PrincipalId":{"location":"uri","locationName":"PrincipalId"},"PrincipalType":{"location":"querystring","locationName":"type"}}}},"UpdateDocument":{"http":{"method":"PATCH","requestUri":"/api/v1/documents/{DocumentId}","responseCode":200},"input":{"type":"structure","required":["DocumentId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"DocumentId":{"location":"uri","locationName":"DocumentId"},"Name":{},"ParentFolderId":{},"ResourceState":{}}}},"UpdateDocumentVersion":{"http":{"method":"PATCH","requestUri":"/api/v1/documents/{DocumentId}/versions/{VersionId}","responseCode":200},"input":{"type":"structure","required":["DocumentId","VersionId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"DocumentId":{"location":"uri","locationName":"DocumentId"},"VersionId":{"location":"uri","locationName":"VersionId"},"VersionStatus":{}}}},"UpdateFolder":{"http":{"method":"PATCH","requestUri":"/api/v1/folders/{FolderId}","responseCode":200},"input":{"type":"structure","required":["FolderId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"FolderId":{"location":"uri","locationName":"FolderId"},"Name":{},"ParentFolderId":{},"ResourceState":{}}}},"UpdateUser":{"http":{"method":"PATCH","requestUri":"/api/v1/users/{UserId}","responseCode":200},"input":{"type":"structure","required":["UserId"],"members":{"AuthenticationToken":{"shape":"S2","location":"header","locationName":"Authentication"},"UserId":{"location":"uri","locationName":"UserId"},"GivenName":{},"Surname":{},"Type":{},"StorageRule":{"shape":"Sj"},"TimeZoneId":{},"Locale":{},"GrantPoweruserPrivileges":{}}},"output":{"type":"structure","members":{"User":{"shape":"S8"}}}}},"shapes":{"S2":{"type":"string","sensitive":true},"S8":{"type":"structure","members":{"Id":{},"Username":{},"EmailAddress":{},"GivenName":{},"Surname":{},"OrganizationId":{},"RootFolderId":{},"RecycleBinFolderId":{},"Status":{},"Type":{},"CreatedTimestamp":{"type":"timestamp"},"ModifiedTimestamp":{"type":"timestamp"},"TimeZoneId":{},"Locale":{},"Storage":{"type":"structure","members":{"StorageUtilizedInBytes":{"type":"long"},"StorageRule":{"shape":"Sj"}}}}},"Sj":{"type":"structure","members":{"StorageAllocatedInBytes":{"type":"long"},"StorageType":{}}},"St":{"type":"string","sensitive":true},"S10":{"type":"string","sensitive":true},"S13":{"type":"structure","required":["CommentId"],"members":{"CommentId":{},"ParentId":{},"ThreadId":{},"Text":{"shape":"S10"},"Contributor":{"shape":"S8"},"CreatedTimestamp":{"type":"timestamp"},"Status":{},"Visibility":{},"RecipientId":{}}},"S16":{"type":"map","key":{},"value":{}},"S1d":{"type":"structure","members":{"Id":{},"Name":{},"CreatorId":{},"ParentFolderId":{},"CreatedTimestamp":{"type":"timestamp"},"ModifiedTimestamp":{"type":"timestamp"},"ResourceState":{},"Signature":{},"Labels":{"shape":"S1g"},"Size":{"type":"long"},"LatestVersionSize":{"type":"long"}}},"S1g":{"type":"list","member":{}},"S1p":{"type":"structure","members":{"SubscriptionId":{},"EndPoint":{},"Protocol":{}}},"S2d":{"type":"structure","members":{"Id":{},"Username":{},"GivenName":{},"Surname":{},"EmailAddress":{}}},"S2g":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{}}}},"S2j":{"type":"structure","members":{"Type":{},"Name":{},"OriginalName":{},"Id":{},"VersionId":{},"Owner":{"shape":"S2d"},"ParentId":{}}},"S2u":{"type":"structure","members":{"Id":{},"Name":{},"ContentType":{},"Size":{"type":"long"},"Signature":{},"Status":{},"CreatedTimestamp":{"type":"timestamp"},"ModifiedTimestamp":{"type":"timestamp"},"ContentCreatedTimestamp":{"type":"timestamp"},"ContentModifiedTimestamp":{"type":"timestamp"},"CreatorId":{},"Thumbnail":{"type":"map","key":{},"value":{"shape":"S2z"}},"Source":{"type":"map","key":{},"value":{"shape":"S2z"}}}},"S2z":{"type":"string","sensitive":true},"S37":{"type":"list","member":{"shape":"S1d"}},"S38":{"type":"list","member":{"shape":"S39"}},"S39":{"type":"structure","members":{"Id":{},"CreatorId":{},"ParentFolderId":{},"CreatedTimestamp":{"type":"timestamp"},"ModifiedTimestamp":{"type":"timestamp"},"LatestVersionMetadata":{"shape":"S2u"},"ResourceState":{},"Labels":{"shape":"S1g"}}},"S3b":{"type":"string","sensitive":true},"S42":{"type":"structure","members":{"Components":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{}}}}}}}}');

/***/ }),

/***/ 94768:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeDocumentVersions":{"input_token":"Marker","limit_key":"Limit","output_token":"Marker","result_key":"DocumentVersions"},"DescribeFolderContents":{"input_token":"Marker","limit_key":"Limit","output_token":"Marker","result_key":["Folders","Documents"]},"DescribeUsers":{"input_token":"Marker","limit_key":"Limit","output_token":"Marker","result_key":"Users"}}}');

/***/ }),

/***/ 37178:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2018-09-25","endpointPrefix":"worklink","jsonVersion":"1.1","protocol":"rest-json","serviceAbbreviation":"WorkLink","serviceFullName":"Amazon WorkLink","serviceId":"WorkLink","signatureVersion":"v4","signingName":"worklink","uid":"worklink-2018-09-25"},"operations":{"AssociateDomain":{"http":{"requestUri":"/associateDomain"},"input":{"type":"structure","required":["FleetArn","DomainName","AcmCertificateArn"],"members":{"FleetArn":{},"DomainName":{},"DisplayName":{},"AcmCertificateArn":{}}},"output":{"type":"structure","members":{}}},"AssociateWebsiteAuthorizationProvider":{"http":{"requestUri":"/associateWebsiteAuthorizationProvider"},"input":{"type":"structure","required":["FleetArn","AuthorizationProviderType"],"members":{"FleetArn":{},"AuthorizationProviderType":{},"DomainName":{}}},"output":{"type":"structure","members":{"AuthorizationProviderId":{}}}},"AssociateWebsiteCertificateAuthority":{"http":{"requestUri":"/associateWebsiteCertificateAuthority"},"input":{"type":"structure","required":["FleetArn","Certificate"],"members":{"FleetArn":{},"Certificate":{},"DisplayName":{}}},"output":{"type":"structure","members":{"WebsiteCaId":{}}}},"CreateFleet":{"http":{"requestUri":"/createFleet"},"input":{"type":"structure","required":["FleetName"],"members":{"FleetName":{},"DisplayName":{},"OptimizeForEndUserLocation":{"type":"boolean"},"Tags":{"shape":"Sh"}}},"output":{"type":"structure","members":{"FleetArn":{}}}},"DeleteFleet":{"http":{"requestUri":"/deleteFleet"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{}}},"output":{"type":"structure","members":{}}},"DescribeAuditStreamConfiguration":{"http":{"requestUri":"/describeAuditStreamConfiguration"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{}}},"output":{"type":"structure","members":{"AuditStreamArn":{}}}},"DescribeCompanyNetworkConfiguration":{"http":{"requestUri":"/describeCompanyNetworkConfiguration"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{}}},"output":{"type":"structure","members":{"VpcId":{},"SubnetIds":{"shape":"St"},"SecurityGroupIds":{"shape":"Sv"}}}},"DescribeDevice":{"http":{"requestUri":"/describeDevice"},"input":{"type":"structure","required":["FleetArn","DeviceId"],"members":{"FleetArn":{},"DeviceId":{}}},"output":{"type":"structure","members":{"Status":{},"Model":{},"Manufacturer":{},"OperatingSystem":{},"OperatingSystemVersion":{},"PatchLevel":{},"FirstAccessedTime":{"type":"timestamp"},"LastAccessedTime":{"type":"timestamp"},"Username":{}}}},"DescribeDevicePolicyConfiguration":{"http":{"requestUri":"/describeDevicePolicyConfiguration"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{}}},"output":{"type":"structure","members":{"DeviceCaCertificate":{}}}},"DescribeDomain":{"http":{"requestUri":"/describeDomain"},"input":{"type":"structure","required":["FleetArn","DomainName"],"members":{"FleetArn":{},"DomainName":{}}},"output":{"type":"structure","members":{"DomainName":{},"DisplayName":{},"CreatedTime":{"type":"timestamp"},"DomainStatus":{},"AcmCertificateArn":{}}}},"DescribeFleetMetadata":{"http":{"requestUri":"/describeFleetMetadata"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{}}},"output":{"type":"structure","members":{"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"FleetName":{},"DisplayName":{},"OptimizeForEndUserLocation":{"type":"boolean"},"CompanyCode":{},"FleetStatus":{},"Tags":{"shape":"Sh"}}}},"DescribeIdentityProviderConfiguration":{"http":{"requestUri":"/describeIdentityProviderConfiguration"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{}}},"output":{"type":"structure","members":{"IdentityProviderType":{},"ServiceProviderSamlMetadata":{},"IdentityProviderSamlMetadata":{}}}},"DescribeWebsiteCertificateAuthority":{"http":{"requestUri":"/describeWebsiteCertificateAuthority"},"input":{"type":"structure","required":["FleetArn","WebsiteCaId"],"members":{"FleetArn":{},"WebsiteCaId":{}}},"output":{"type":"structure","members":{"Certificate":{},"CreatedTime":{"type":"timestamp"},"DisplayName":{}}}},"DisassociateDomain":{"http":{"requestUri":"/disassociateDomain"},"input":{"type":"structure","required":["FleetArn","DomainName"],"members":{"FleetArn":{},"DomainName":{}}},"output":{"type":"structure","members":{}}},"DisassociateWebsiteAuthorizationProvider":{"http":{"requestUri":"/disassociateWebsiteAuthorizationProvider"},"input":{"type":"structure","required":["FleetArn","AuthorizationProviderId"],"members":{"FleetArn":{},"AuthorizationProviderId":{}}},"output":{"type":"structure","members":{}}},"DisassociateWebsiteCertificateAuthority":{"http":{"requestUri":"/disassociateWebsiteCertificateAuthority"},"input":{"type":"structure","required":["FleetArn","WebsiteCaId"],"members":{"FleetArn":{},"WebsiteCaId":{}}},"output":{"type":"structure","members":{}}},"ListDevices":{"http":{"requestUri":"/listDevices"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Devices":{"type":"list","member":{"type":"structure","members":{"DeviceId":{},"DeviceStatus":{}}}},"NextToken":{}}}},"ListDomains":{"http":{"requestUri":"/listDomains"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Domains":{"type":"list","member":{"type":"structure","required":["DomainName","CreatedTime","DomainStatus"],"members":{"DomainName":{},"DisplayName":{},"CreatedTime":{"type":"timestamp"},"DomainStatus":{}}}},"NextToken":{}}}},"ListFleets":{"http":{"requestUri":"/listFleets"},"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"FleetSummaryList":{"type":"list","member":{"type":"structure","members":{"FleetArn":{},"CreatedTime":{"type":"timestamp"},"LastUpdatedTime":{"type":"timestamp"},"FleetName":{},"DisplayName":{},"CompanyCode":{},"FleetStatus":{},"Tags":{"shape":"Sh"}}}},"NextToken":{}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sh"}}}},"ListWebsiteAuthorizationProviders":{"http":{"requestUri":"/listWebsiteAuthorizationProviders"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"WebsiteAuthorizationProviders":{"type":"list","member":{"type":"structure","required":["AuthorizationProviderType"],"members":{"AuthorizationProviderId":{},"AuthorizationProviderType":{},"DomainName":{},"CreatedTime":{"type":"timestamp"}}}},"NextToken":{}}}},"ListWebsiteCertificateAuthorities":{"http":{"requestUri":"/listWebsiteCertificateAuthorities"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"WebsiteCertificateAuthorities":{"type":"list","member":{"type":"structure","members":{"WebsiteCaId":{},"CreatedTime":{"type":"timestamp"},"DisplayName":{}}}},"NextToken":{}}}},"RestoreDomainAccess":{"http":{"requestUri":"/restoreDomainAccess"},"input":{"type":"structure","required":["FleetArn","DomainName"],"members":{"FleetArn":{},"DomainName":{}}},"output":{"type":"structure","members":{}}},"RevokeDomainAccess":{"http":{"requestUri":"/revokeDomainAccess"},"input":{"type":"structure","required":["FleetArn","DomainName"],"members":{"FleetArn":{},"DomainName":{}}},"output":{"type":"structure","members":{}}},"SignOutUser":{"http":{"requestUri":"/signOutUser"},"input":{"type":"structure","required":["FleetArn","Username"],"members":{"FleetArn":{},"Username":{}}},"output":{"type":"structure","members":{}}},"TagResource":{"http":{"requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn","Tags"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"Tags":{"shape":"Sh"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{ResourceArn}"},"input":{"type":"structure","required":["ResourceArn","TagKeys"],"members":{"ResourceArn":{"location":"uri","locationName":"ResourceArn"},"TagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateAuditStreamConfiguration":{"http":{"requestUri":"/updateAuditStreamConfiguration"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{},"AuditStreamArn":{}}},"output":{"type":"structure","members":{}}},"UpdateCompanyNetworkConfiguration":{"http":{"requestUri":"/updateCompanyNetworkConfiguration"},"input":{"type":"structure","required":["FleetArn","VpcId","SubnetIds","SecurityGroupIds"],"members":{"FleetArn":{},"VpcId":{},"SubnetIds":{"shape":"St"},"SecurityGroupIds":{"shape":"Sv"}}},"output":{"type":"structure","members":{}}},"UpdateDevicePolicyConfiguration":{"http":{"requestUri":"/updateDevicePolicyConfiguration"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{},"DeviceCaCertificate":{}}},"output":{"type":"structure","members":{}}},"UpdateDomainMetadata":{"http":{"requestUri":"/updateDomainMetadata"},"input":{"type":"structure","required":["FleetArn","DomainName"],"members":{"FleetArn":{},"DomainName":{},"DisplayName":{}}},"output":{"type":"structure","members":{}}},"UpdateFleetMetadata":{"http":{"requestUri":"/UpdateFleetMetadata"},"input":{"type":"structure","required":["FleetArn"],"members":{"FleetArn":{},"DisplayName":{},"OptimizeForEndUserLocation":{"type":"boolean"}}},"output":{"type":"structure","members":{}}},"UpdateIdentityProviderConfiguration":{"http":{"requestUri":"/updateIdentityProviderConfiguration"},"input":{"type":"structure","required":["FleetArn","IdentityProviderType"],"members":{"FleetArn":{},"IdentityProviderType":{},"IdentityProviderSamlMetadata":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"Sh":{"type":"map","key":{},"value":{}},"St":{"type":"list","member":{}},"Sv":{"type":"list","member":{}}}}');

/***/ }),

/***/ 74073:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListDevices":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListDomains":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListFleets":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListWebsiteAuthorizationProviders":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListWebsiteCertificateAuthorities":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 93150:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2017-10-01","endpointPrefix":"workmail","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon WorkMail","serviceId":"WorkMail","signatureVersion":"v4","targetPrefix":"WorkMailService","uid":"workmail-2017-10-01"},"operations":{"AssociateDelegateToResource":{"input":{"type":"structure","required":["OrganizationId","ResourceId","EntityId"],"members":{"OrganizationId":{},"ResourceId":{},"EntityId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"AssociateMemberToGroup":{"input":{"type":"structure","required":["OrganizationId","GroupId","MemberId"],"members":{"OrganizationId":{},"GroupId":{},"MemberId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"CancelMailboxExportJob":{"input":{"type":"structure","required":["ClientToken","JobId","OrganizationId"],"members":{"ClientToken":{"idempotencyToken":true},"JobId":{},"OrganizationId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"CreateAlias":{"input":{"type":"structure","required":["OrganizationId","EntityId","Alias"],"members":{"OrganizationId":{},"EntityId":{},"Alias":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"CreateGroup":{"input":{"type":"structure","required":["OrganizationId","Name"],"members":{"OrganizationId":{},"Name":{}}},"output":{"type":"structure","members":{"GroupId":{}}},"idempotent":true},"CreateMobileDeviceAccessRule":{"input":{"type":"structure","required":["OrganizationId","Name","Effect"],"members":{"OrganizationId":{},"ClientToken":{"idempotencyToken":true},"Name":{},"Description":{},"Effect":{},"DeviceTypes":{"shape":"Sm"},"NotDeviceTypes":{"shape":"Sm"},"DeviceModels":{"shape":"So"},"NotDeviceModels":{"shape":"So"},"DeviceOperatingSystems":{"shape":"Sq"},"NotDeviceOperatingSystems":{"shape":"Sq"},"DeviceUserAgents":{"shape":"Ss"},"NotDeviceUserAgents":{"shape":"Ss"}}},"output":{"type":"structure","members":{"MobileDeviceAccessRuleId":{}}}},"CreateOrganization":{"input":{"type":"structure","required":["Alias"],"members":{"DirectoryId":{},"Alias":{},"ClientToken":{"idempotencyToken":true},"Domains":{"type":"list","member":{"type":"structure","members":{"DomainName":{},"HostedZoneId":{}}}},"KmsKeyArn":{},"EnableInteroperability":{"type":"boolean"}}},"output":{"type":"structure","members":{"OrganizationId":{}}},"idempotent":true},"CreateResource":{"input":{"type":"structure","required":["OrganizationId","Name","Type"],"members":{"OrganizationId":{},"Name":{},"Type":{}}},"output":{"type":"structure","members":{"ResourceId":{}}},"idempotent":true},"CreateUser":{"input":{"type":"structure","required":["OrganizationId","Name","DisplayName","Password"],"members":{"OrganizationId":{},"Name":{},"DisplayName":{},"Password":{"shape":"S1d"}}},"output":{"type":"structure","members":{"UserId":{}}},"idempotent":true},"DeleteAccessControlRule":{"input":{"type":"structure","required":["OrganizationId","Name"],"members":{"OrganizationId":{},"Name":{}}},"output":{"type":"structure","members":{}}},"DeleteAlias":{"input":{"type":"structure","required":["OrganizationId","EntityId","Alias"],"members":{"OrganizationId":{},"EntityId":{},"Alias":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteGroup":{"input":{"type":"structure","required":["OrganizationId","GroupId"],"members":{"OrganizationId":{},"GroupId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteMailboxPermissions":{"input":{"type":"structure","required":["OrganizationId","EntityId","GranteeId"],"members":{"OrganizationId":{},"EntityId":{},"GranteeId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteMobileDeviceAccessOverride":{"input":{"type":"structure","required":["OrganizationId","UserId","DeviceId"],"members":{"OrganizationId":{},"UserId":{},"DeviceId":{}}},"output":{"type":"structure","members":{}}},"DeleteMobileDeviceAccessRule":{"input":{"type":"structure","required":["OrganizationId","MobileDeviceAccessRuleId"],"members":{"OrganizationId":{},"MobileDeviceAccessRuleId":{}}},"output":{"type":"structure","members":{}}},"DeleteOrganization":{"input":{"type":"structure","required":["OrganizationId","DeleteDirectory"],"members":{"ClientToken":{"idempotencyToken":true},"OrganizationId":{},"DeleteDirectory":{"type":"boolean"}}},"output":{"type":"structure","members":{"OrganizationId":{},"State":{}}},"idempotent":true},"DeleteResource":{"input":{"type":"structure","required":["OrganizationId","ResourceId"],"members":{"OrganizationId":{},"ResourceId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteRetentionPolicy":{"input":{"type":"structure","required":["OrganizationId","Id"],"members":{"OrganizationId":{},"Id":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteUser":{"input":{"type":"structure","required":["OrganizationId","UserId"],"members":{"OrganizationId":{},"UserId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeregisterFromWorkMail":{"input":{"type":"structure","required":["OrganizationId","EntityId"],"members":{"OrganizationId":{},"EntityId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeregisterMailDomain":{"input":{"type":"structure","required":["OrganizationId","DomainName"],"members":{"OrganizationId":{},"DomainName":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DescribeGroup":{"input":{"type":"structure","required":["OrganizationId","GroupId"],"members":{"OrganizationId":{},"GroupId":{}}},"output":{"type":"structure","members":{"GroupId":{},"Name":{},"Email":{},"State":{},"EnabledDate":{"type":"timestamp"},"DisabledDate":{"type":"timestamp"}}},"idempotent":true},"DescribeInboundDmarcSettings":{"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{}}},"output":{"type":"structure","members":{"Enforced":{"type":"boolean"}}},"idempotent":true},"DescribeMailboxExportJob":{"input":{"type":"structure","required":["JobId","OrganizationId"],"members":{"JobId":{},"OrganizationId":{}}},"output":{"type":"structure","members":{"EntityId":{},"Description":{},"RoleArn":{},"KmsKeyArn":{},"S3BucketName":{},"S3Prefix":{},"S3Path":{},"EstimatedProgress":{"type":"integer"},"State":{},"ErrorInfo":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}},"idempotent":true},"DescribeOrganization":{"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{}}},"output":{"type":"structure","members":{"OrganizationId":{},"Alias":{},"State":{},"DirectoryId":{},"DirectoryType":{},"DefaultMailDomain":{},"CompletedDate":{"type":"timestamp"},"ErrorMessage":{},"ARN":{}}},"idempotent":true},"DescribeResource":{"input":{"type":"structure","required":["OrganizationId","ResourceId"],"members":{"OrganizationId":{},"ResourceId":{}}},"output":{"type":"structure","members":{"ResourceId":{},"Email":{},"Name":{},"Type":{},"BookingOptions":{"shape":"S2s"},"State":{},"EnabledDate":{"type":"timestamp"},"DisabledDate":{"type":"timestamp"}}},"idempotent":true},"DescribeUser":{"input":{"type":"structure","required":["OrganizationId","UserId"],"members":{"OrganizationId":{},"UserId":{}}},"output":{"type":"structure","members":{"UserId":{},"Name":{},"Email":{},"DisplayName":{},"State":{},"UserRole":{},"EnabledDate":{"type":"timestamp"},"DisabledDate":{"type":"timestamp"}}},"idempotent":true},"DisassociateDelegateFromResource":{"input":{"type":"structure","required":["OrganizationId","ResourceId","EntityId"],"members":{"OrganizationId":{},"ResourceId":{},"EntityId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"DisassociateMemberFromGroup":{"input":{"type":"structure","required":["OrganizationId","GroupId","MemberId"],"members":{"OrganizationId":{},"GroupId":{},"MemberId":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"GetAccessControlEffect":{"input":{"type":"structure","required":["OrganizationId","IpAddress","Action","UserId"],"members":{"OrganizationId":{},"IpAddress":{},"Action":{},"UserId":{}}},"output":{"type":"structure","members":{"Effect":{},"MatchedRules":{"type":"list","member":{}}}}},"GetDefaultRetentionPolicy":{"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{}}},"output":{"type":"structure","members":{"Id":{},"Name":{},"Description":{},"FolderConfigurations":{"shape":"S38"}}},"idempotent":true},"GetMailDomain":{"input":{"type":"structure","required":["OrganizationId","DomainName"],"members":{"OrganizationId":{},"DomainName":{}}},"output":{"type":"structure","members":{"Records":{"type":"list","member":{"type":"structure","members":{"Type":{},"Hostname":{},"Value":{}}}},"IsTestDomain":{"type":"boolean"},"IsDefault":{"type":"boolean"},"OwnershipVerificationStatus":{},"DkimVerificationStatus":{}}},"idempotent":true},"GetMailboxDetails":{"input":{"type":"structure","required":["OrganizationId","UserId"],"members":{"OrganizationId":{},"UserId":{}}},"output":{"type":"structure","members":{"MailboxQuota":{"type":"integer"},"MailboxSize":{"type":"double"}}},"idempotent":true},"GetMobileDeviceAccessEffect":{"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{},"DeviceType":{},"DeviceModel":{},"DeviceOperatingSystem":{},"DeviceUserAgent":{}}},"output":{"type":"structure","members":{"Effect":{},"MatchedRules":{"type":"list","member":{"type":"structure","members":{"MobileDeviceAccessRuleId":{},"Name":{}}}}}}},"GetMobileDeviceAccessOverride":{"input":{"type":"structure","required":["OrganizationId","UserId","DeviceId"],"members":{"OrganizationId":{},"UserId":{},"DeviceId":{}}},"output":{"type":"structure","members":{"UserId":{},"DeviceId":{},"Effect":{},"Description":{},"DateCreated":{"type":"timestamp"},"DateModified":{"type":"timestamp"}}}},"ListAccessControlRules":{"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{}}},"output":{"type":"structure","members":{"Rules":{"type":"list","member":{"type":"structure","members":{"Name":{},"Effect":{},"Description":{},"IpRanges":{"shape":"S3x"},"NotIpRanges":{"shape":"S3x"},"Actions":{"shape":"S3z"},"NotActions":{"shape":"S3z"},"UserIds":{"shape":"S40"},"NotUserIds":{"shape":"S40"},"DateCreated":{"type":"timestamp"},"DateModified":{"type":"timestamp"}}}}}}},"ListAliases":{"input":{"type":"structure","required":["OrganizationId","EntityId"],"members":{"OrganizationId":{},"EntityId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Aliases":{"type":"list","member":{}},"NextToken":{}}},"idempotent":true},"ListGroupMembers":{"input":{"type":"structure","required":["OrganizationId","GroupId"],"members":{"OrganizationId":{},"GroupId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Members":{"type":"list","member":{"type":"structure","members":{"Id":{},"Name":{},"Type":{},"State":{},"EnabledDate":{"type":"timestamp"},"DisabledDate":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListGroups":{"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Groups":{"type":"list","member":{"type":"structure","members":{"Id":{},"Email":{},"Name":{},"State":{},"EnabledDate":{"type":"timestamp"},"DisabledDate":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListMailDomains":{"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"MailDomains":{"type":"list","member":{"type":"structure","members":{"DomainName":{},"DefaultDomain":{"type":"boolean"}}}},"NextToken":{}}},"idempotent":true},"ListMailboxExportJobs":{"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Jobs":{"type":"list","member":{"type":"structure","members":{"JobId":{},"EntityId":{},"Description":{},"S3BucketName":{},"S3Path":{},"EstimatedProgress":{"type":"integer"},"State":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListMailboxPermissions":{"input":{"type":"structure","required":["OrganizationId","EntityId"],"members":{"OrganizationId":{},"EntityId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Permissions":{"type":"list","member":{"type":"structure","required":["GranteeId","GranteeType","PermissionValues"],"members":{"GranteeId":{},"GranteeType":{},"PermissionValues":{"shape":"S4r"}}}},"NextToken":{}}},"idempotent":true},"ListMobileDeviceAccessOverrides":{"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{},"UserId":{},"DeviceId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Overrides":{"type":"list","member":{"type":"structure","members":{"UserId":{},"DeviceId":{},"Effect":{},"Description":{},"DateCreated":{"type":"timestamp"},"DateModified":{"type":"timestamp"}}}},"NextToken":{}}}},"ListMobileDeviceAccessRules":{"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{}}},"output":{"type":"structure","members":{"Rules":{"type":"list","member":{"type":"structure","members":{"MobileDeviceAccessRuleId":{},"Name":{},"Description":{},"Effect":{},"DeviceTypes":{"shape":"Sm"},"NotDeviceTypes":{"shape":"Sm"},"DeviceModels":{"shape":"So"},"NotDeviceModels":{"shape":"So"},"DeviceOperatingSystems":{"shape":"Sq"},"NotDeviceOperatingSystems":{"shape":"Sq"},"DeviceUserAgents":{"shape":"Ss"},"NotDeviceUserAgents":{"shape":"Ss"},"DateCreated":{"type":"timestamp"},"DateModified":{"type":"timestamp"}}}}}}},"ListOrganizations":{"input":{"type":"structure","members":{"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"OrganizationSummaries":{"type":"list","member":{"type":"structure","members":{"OrganizationId":{},"Alias":{},"DefaultMailDomain":{},"ErrorMessage":{},"State":{}}}},"NextToken":{}}},"idempotent":true},"ListResourceDelegates":{"input":{"type":"structure","required":["OrganizationId","ResourceId"],"members":{"OrganizationId":{},"ResourceId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Delegates":{"type":"list","member":{"type":"structure","required":["Id","Type"],"members":{"Id":{},"Type":{}}}},"NextToken":{}}},"idempotent":true},"ListResources":{"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Resources":{"type":"list","member":{"type":"structure","members":{"Id":{},"Email":{},"Name":{},"Type":{},"State":{},"EnabledDate":{"type":"timestamp"},"DisabledDate":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"ListTagsForResource":{"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"S5f"}}}},"ListUsers":{"input":{"type":"structure","required":["OrganizationId"],"members":{"OrganizationId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Users":{"type":"list","member":{"type":"structure","members":{"Id":{},"Email":{},"Name":{},"DisplayName":{},"State":{},"UserRole":{},"EnabledDate":{"type":"timestamp"},"DisabledDate":{"type":"timestamp"}}}},"NextToken":{}}},"idempotent":true},"PutAccessControlRule":{"input":{"type":"structure","required":["Name","Effect","Description","OrganizationId"],"members":{"Name":{},"Effect":{},"Description":{},"IpRanges":{"shape":"S3x"},"NotIpRanges":{"shape":"S3x"},"Actions":{"shape":"S3z"},"NotActions":{"shape":"S3z"},"UserIds":{"shape":"S40"},"NotUserIds":{"shape":"S40"},"OrganizationId":{}}},"output":{"type":"structure","members":{}}},"PutInboundDmarcSettings":{"input":{"type":"structure","required":["OrganizationId","Enforced"],"members":{"OrganizationId":{},"Enforced":{"type":"boolean"}}},"output":{"type":"structure","members":{}},"idempotent":true},"PutMailboxPermissions":{"input":{"type":"structure","required":["OrganizationId","EntityId","GranteeId","PermissionValues"],"members":{"OrganizationId":{},"EntityId":{},"GranteeId":{},"PermissionValues":{"shape":"S4r"}}},"output":{"type":"structure","members":{}},"idempotent":true},"PutMobileDeviceAccessOverride":{"input":{"type":"structure","required":["OrganizationId","UserId","DeviceId","Effect"],"members":{"OrganizationId":{},"UserId":{},"DeviceId":{},"Effect":{},"Description":{}}},"output":{"type":"structure","members":{}}},"PutRetentionPolicy":{"input":{"type":"structure","required":["OrganizationId","Name","FolderConfigurations"],"members":{"OrganizationId":{},"Id":{},"Name":{},"Description":{"type":"string","sensitive":true},"FolderConfigurations":{"shape":"S38"}}},"output":{"type":"structure","members":{}},"idempotent":true},"RegisterMailDomain":{"input":{"type":"structure","required":["OrganizationId","DomainName"],"members":{"ClientToken":{"idempotencyToken":true},"OrganizationId":{},"DomainName":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"RegisterToWorkMail":{"input":{"type":"structure","required":["OrganizationId","EntityId","Email"],"members":{"OrganizationId":{},"EntityId":{},"Email":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"ResetPassword":{"input":{"type":"structure","required":["OrganizationId","UserId","Password"],"members":{"OrganizationId":{},"UserId":{},"Password":{"shape":"S1d"}}},"output":{"type":"structure","members":{}},"idempotent":true},"StartMailboxExportJob":{"input":{"type":"structure","required":["ClientToken","OrganizationId","EntityId","RoleArn","KmsKeyArn","S3BucketName","S3Prefix"],"members":{"ClientToken":{"idempotencyToken":true},"OrganizationId":{},"EntityId":{},"Description":{},"RoleArn":{},"KmsKeyArn":{},"S3BucketName":{},"S3Prefix":{}}},"output":{"type":"structure","members":{"JobId":{}}},"idempotent":true},"TagResource":{"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"S5f"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateDefaultMailDomain":{"input":{"type":"structure","required":["OrganizationId","DomainName"],"members":{"OrganizationId":{},"DomainName":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateMailboxQuota":{"input":{"type":"structure","required":["OrganizationId","UserId","MailboxQuota"],"members":{"OrganizationId":{},"UserId":{},"MailboxQuota":{"type":"integer"}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateMobileDeviceAccessRule":{"input":{"type":"structure","required":["OrganizationId","MobileDeviceAccessRuleId","Name","Effect"],"members":{"OrganizationId":{},"MobileDeviceAccessRuleId":{},"Name":{},"Description":{},"Effect":{},"DeviceTypes":{"shape":"Sm"},"NotDeviceTypes":{"shape":"Sm"},"DeviceModels":{"shape":"So"},"NotDeviceModels":{"shape":"So"},"DeviceOperatingSystems":{"shape":"Sq"},"NotDeviceOperatingSystems":{"shape":"Sq"},"DeviceUserAgents":{"shape":"Ss"},"NotDeviceUserAgents":{"shape":"Ss"}}},"output":{"type":"structure","members":{}}},"UpdatePrimaryEmailAddress":{"input":{"type":"structure","required":["OrganizationId","EntityId","Email"],"members":{"OrganizationId":{},"EntityId":{},"Email":{}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateResource":{"input":{"type":"structure","required":["OrganizationId","ResourceId"],"members":{"OrganizationId":{},"ResourceId":{},"Name":{},"BookingOptions":{"shape":"S2s"}}},"output":{"type":"structure","members":{}},"idempotent":true}},"shapes":{"Sm":{"type":"list","member":{}},"So":{"type":"list","member":{}},"Sq":{"type":"list","member":{}},"Ss":{"type":"list","member":{}},"S1d":{"type":"string","sensitive":true},"S2s":{"type":"structure","members":{"AutoAcceptRequests":{"type":"boolean"},"AutoDeclineRecurringRequests":{"type":"boolean"},"AutoDeclineConflictingRequests":{"type":"boolean"}}},"S38":{"type":"list","member":{"type":"structure","required":["Name","Action"],"members":{"Name":{},"Action":{},"Period":{"type":"integer"}}}},"S3x":{"type":"list","member":{}},"S3z":{"type":"list","member":{}},"S40":{"type":"list","member":{}},"S4r":{"type":"list","member":{}},"S5f":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}}}}');

/***/ }),

/***/ 5158:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListAliases":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListGroupMembers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListGroups":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMailDomains":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMailboxExportJobs":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMailboxPermissions":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListMobileDeviceAccessOverrides":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListOrganizations":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListResourceDelegates":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListResources":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"},"ListUsers":{"input_token":"NextToken","output_token":"NextToken","limit_key":"MaxResults"}}}');

/***/ }),

/***/ 57733:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2019-05-01","endpointPrefix":"workmailmessageflow","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon WorkMail Message Flow","serviceId":"WorkMailMessageFlow","signatureVersion":"v4","uid":"workmailmessageflow-2019-05-01"},"operations":{"GetRawMessageContent":{"http":{"method":"GET","requestUri":"/messages/{messageId}"},"input":{"type":"structure","required":["messageId"],"members":{"messageId":{"location":"uri","locationName":"messageId"}}},"output":{"type":"structure","required":["messageContent"],"members":{"messageContent":{"type":"blob","streaming":true}},"payload":"messageContent"}},"PutRawMessageContent":{"http":{"requestUri":"/messages/{messageId}"},"input":{"type":"structure","required":["messageId","content"],"members":{"messageId":{"location":"uri","locationName":"messageId"},"content":{"type":"structure","required":["s3Reference"],"members":{"s3Reference":{"type":"structure","required":["bucket","key"],"members":{"bucket":{},"key":{},"objectVersion":{}}}}}}},"output":{"type":"structure","members":{}}}},"shapes":{}}');

/***/ }),

/***/ 85646:
/***/ ((module) => {

"use strict";
module.exports = {"o":{}};

/***/ }),

/***/ 97805:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2015-04-08","endpointPrefix":"workspaces","jsonVersion":"1.1","protocol":"json","serviceFullName":"Amazon WorkSpaces","serviceId":"WorkSpaces","signatureVersion":"v4","targetPrefix":"WorkspacesService","uid":"workspaces-2015-04-08"},"operations":{"AssociateConnectionAlias":{"input":{"type":"structure","required":["AliasId","ResourceId"],"members":{"AliasId":{},"ResourceId":{}}},"output":{"type":"structure","members":{"ConnectionIdentifier":{}}}},"AssociateIpGroups":{"input":{"type":"structure","required":["DirectoryId","GroupIds"],"members":{"DirectoryId":{},"GroupIds":{"shape":"S8"}}},"output":{"type":"structure","members":{}}},"AuthorizeIpRules":{"input":{"type":"structure","required":["GroupId","UserRules"],"members":{"GroupId":{},"UserRules":{"shape":"Sc"}}},"output":{"type":"structure","members":{}}},"CopyWorkspaceImage":{"input":{"type":"structure","required":["Name","SourceImageId","SourceRegion"],"members":{"Name":{},"Description":{},"SourceImageId":{},"SourceRegion":{},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"ImageId":{}}}},"CreateConnectionAlias":{"input":{"type":"structure","required":["ConnectionString"],"members":{"ConnectionString":{},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"AliasId":{}}}},"CreateIpGroup":{"input":{"type":"structure","required":["GroupName"],"members":{"GroupName":{},"GroupDesc":{},"UserRules":{"shape":"Sc"},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"GroupId":{}}}},"CreateTags":{"input":{"type":"structure","required":["ResourceId","Tags"],"members":{"ResourceId":{},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{}}},"CreateUpdatedWorkspaceImage":{"input":{"type":"structure","required":["Name","Description","SourceImageId"],"members":{"Name":{},"Description":{},"SourceImageId":{},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"ImageId":{}}}},"CreateWorkspaceBundle":{"input":{"type":"structure","required":["BundleName","BundleDescription","ImageId","ComputeType","UserStorage"],"members":{"BundleName":{},"BundleDescription":{},"ImageId":{},"ComputeType":{"shape":"S15"},"UserStorage":{"shape":"S17"},"RootStorage":{"shape":"S18"},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{"WorkspaceBundle":{"shape":"S1a"}}}},"CreateWorkspaces":{"input":{"type":"structure","required":["Workspaces"],"members":{"Workspaces":{"type":"list","member":{"shape":"S1h"}}}},"output":{"type":"structure","members":{"FailedRequests":{"type":"list","member":{"type":"structure","members":{"WorkspaceRequest":{"shape":"S1h"},"ErrorCode":{},"ErrorMessage":{}}}},"PendingRequests":{"shape":"S1u"}}}},"DeleteConnectionAlias":{"input":{"type":"structure","required":["AliasId"],"members":{"AliasId":{}}},"output":{"type":"structure","members":{}}},"DeleteIpGroup":{"input":{"type":"structure","required":["GroupId"],"members":{"GroupId":{}}},"output":{"type":"structure","members":{}}},"DeleteTags":{"input":{"type":"structure","required":["ResourceId","TagKeys"],"members":{"ResourceId":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"DeleteWorkspaceBundle":{"input":{"type":"structure","members":{"BundleId":{}}},"output":{"type":"structure","members":{}}},"DeleteWorkspaceImage":{"input":{"type":"structure","required":["ImageId"],"members":{"ImageId":{}}},"output":{"type":"structure","members":{}}},"DeregisterWorkspaceDirectory":{"input":{"type":"structure","required":["DirectoryId"],"members":{"DirectoryId":{}}},"output":{"type":"structure","members":{}}},"DescribeAccount":{"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"DedicatedTenancySupport":{},"DedicatedTenancyManagementCidrRange":{}}}},"DescribeAccountModifications":{"input":{"type":"structure","members":{"NextToken":{}}},"output":{"type":"structure","members":{"AccountModifications":{"type":"list","member":{"type":"structure","members":{"ModificationState":{},"DedicatedTenancySupport":{},"DedicatedTenancyManagementCidrRange":{},"StartTime":{"type":"timestamp"},"ErrorCode":{},"ErrorMessage":{}}}},"NextToken":{}}}},"DescribeClientProperties":{"input":{"type":"structure","required":["ResourceIds"],"members":{"ResourceIds":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"ClientPropertiesList":{"type":"list","member":{"type":"structure","members":{"ResourceId":{},"ClientProperties":{"shape":"S2y"}}}}}}},"DescribeConnectionAliasPermissions":{"input":{"type":"structure","required":["AliasId"],"members":{"AliasId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"AliasId":{},"ConnectionAliasPermissions":{"type":"list","member":{"shape":"S34"}},"NextToken":{}}}},"DescribeConnectionAliases":{"input":{"type":"structure","members":{"AliasIds":{"type":"list","member":{}},"ResourceId":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ConnectionAliases":{"type":"list","member":{"type":"structure","members":{"ConnectionString":{},"AliasId":{},"State":{},"OwnerAccountId":{},"Associations":{"type":"list","member":{"type":"structure","members":{"AssociationStatus":{},"AssociatedAccountId":{},"ResourceId":{},"ConnectionIdentifier":{}}}}}}},"NextToken":{}}}},"DescribeIpGroups":{"input":{"type":"structure","members":{"GroupIds":{"shape":"S8"},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Result":{"type":"list","member":{"type":"structure","members":{"groupId":{},"groupName":{},"groupDesc":{},"userRules":{"shape":"Sc"}}}},"NextToken":{}}}},"DescribeTags":{"input":{"type":"structure","required":["ResourceId"],"members":{"ResourceId":{}}},"output":{"type":"structure","members":{"TagList":{"shape":"Sm"}}}},"DescribeWorkspaceBundles":{"input":{"type":"structure","members":{"BundleIds":{"type":"list","member":{}},"Owner":{},"NextToken":{}}},"output":{"type":"structure","members":{"Bundles":{"type":"list","member":{"shape":"S1a"}},"NextToken":{}}}},"DescribeWorkspaceDirectories":{"input":{"type":"structure","members":{"DirectoryIds":{"type":"list","member":{}},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Directories":{"type":"list","member":{"type":"structure","members":{"DirectoryId":{},"Alias":{},"DirectoryName":{},"RegistrationCode":{},"SubnetIds":{"shape":"S3x"},"DnsIpAddresses":{"type":"list","member":{}},"CustomerUserName":{},"IamRoleId":{},"DirectoryType":{},"WorkspaceSecurityGroupId":{},"State":{},"WorkspaceCreationProperties":{"type":"structure","members":{"EnableWorkDocs":{"type":"boolean"},"EnableInternetAccess":{"type":"boolean"},"DefaultOu":{},"CustomSecurityGroupId":{},"UserEnabledAsLocalAdministrator":{"type":"boolean"},"EnableMaintenanceMode":{"type":"boolean"}}},"ipGroupIds":{"shape":"S8"},"WorkspaceAccessProperties":{"shape":"S45"},"Tenancy":{},"SelfservicePermissions":{"shape":"S48"}}}},"NextToken":{}}}},"DescribeWorkspaceImagePermissions":{"input":{"type":"structure","required":["ImageId"],"members":{"ImageId":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"ImageId":{},"ImagePermissions":{"type":"list","member":{"type":"structure","members":{"SharedAccountId":{}}}},"NextToken":{}}}},"DescribeWorkspaceImages":{"input":{"type":"structure","members":{"ImageIds":{"type":"list","member":{}},"ImageType":{},"NextToken":{},"MaxResults":{"type":"integer"}}},"output":{"type":"structure","members":{"Images":{"type":"list","member":{"type":"structure","members":{"ImageId":{},"Name":{},"Description":{},"OperatingSystem":{"type":"structure","members":{"Type":{}}},"State":{},"RequiredTenancy":{},"ErrorCode":{},"ErrorMessage":{},"Created":{"type":"timestamp"},"OwnerAccountId":{},"Updates":{"type":"structure","members":{"UpdateAvailable":{"type":"boolean"},"Description":{}}}}}},"NextToken":{}}}},"DescribeWorkspaceSnapshots":{"input":{"type":"structure","required":["WorkspaceId"],"members":{"WorkspaceId":{}}},"output":{"type":"structure","members":{"RebuildSnapshots":{"shape":"S4s"},"RestoreSnapshots":{"shape":"S4s"}}}},"DescribeWorkspaces":{"input":{"type":"structure","members":{"WorkspaceIds":{"shape":"S4v"},"DirectoryId":{},"UserName":{},"BundleId":{},"Limit":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"Workspaces":{"shape":"S1u"},"NextToken":{}}}},"DescribeWorkspacesConnectionStatus":{"input":{"type":"structure","members":{"WorkspaceIds":{"shape":"S4v"},"NextToken":{}}},"output":{"type":"structure","members":{"WorkspacesConnectionStatus":{"type":"list","member":{"type":"structure","members":{"WorkspaceId":{},"ConnectionState":{},"ConnectionStateCheckTimestamp":{"type":"timestamp"},"LastKnownUserConnectionTimestamp":{"type":"timestamp"}}}},"NextToken":{}}}},"DisassociateConnectionAlias":{"input":{"type":"structure","required":["AliasId"],"members":{"AliasId":{}}},"output":{"type":"structure","members":{}}},"DisassociateIpGroups":{"input":{"type":"structure","required":["DirectoryId","GroupIds"],"members":{"DirectoryId":{},"GroupIds":{"shape":"S8"}}},"output":{"type":"structure","members":{}}},"ImportWorkspaceImage":{"input":{"type":"structure","required":["Ec2ImageId","IngestionProcess","ImageName","ImageDescription"],"members":{"Ec2ImageId":{},"IngestionProcess":{},"ImageName":{},"ImageDescription":{},"Tags":{"shape":"Sm"},"Applications":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"ImageId":{}}}},"ListAvailableManagementCidrRanges":{"input":{"type":"structure","required":["ManagementCidrRangeConstraint"],"members":{"ManagementCidrRangeConstraint":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"ManagementCidrRanges":{"type":"list","member":{}},"NextToken":{}}}},"MigrateWorkspace":{"input":{"type":"structure","required":["SourceWorkspaceId","BundleId"],"members":{"SourceWorkspaceId":{},"BundleId":{}}},"output":{"type":"structure","members":{"SourceWorkspaceId":{},"TargetWorkspaceId":{}}}},"ModifyAccount":{"input":{"type":"structure","members":{"DedicatedTenancySupport":{},"DedicatedTenancyManagementCidrRange":{}}},"output":{"type":"structure","members":{}}},"ModifyClientProperties":{"input":{"type":"structure","required":["ResourceId","ClientProperties"],"members":{"ResourceId":{},"ClientProperties":{"shape":"S2y"}}},"output":{"type":"structure","members":{}}},"ModifySelfservicePermissions":{"input":{"type":"structure","required":["ResourceId","SelfservicePermissions"],"members":{"ResourceId":{},"SelfservicePermissions":{"shape":"S48"}}},"output":{"type":"structure","members":{}}},"ModifyWorkspaceAccessProperties":{"input":{"type":"structure","required":["ResourceId","WorkspaceAccessProperties"],"members":{"ResourceId":{},"WorkspaceAccessProperties":{"shape":"S45"}}},"output":{"type":"structure","members":{}}},"ModifyWorkspaceCreationProperties":{"input":{"type":"structure","required":["ResourceId","WorkspaceCreationProperties"],"members":{"ResourceId":{},"WorkspaceCreationProperties":{"type":"structure","members":{"EnableWorkDocs":{"type":"boolean"},"EnableInternetAccess":{"type":"boolean"},"DefaultOu":{},"CustomSecurityGroupId":{},"UserEnabledAsLocalAdministrator":{"type":"boolean"},"EnableMaintenanceMode":{"type":"boolean"}}}}},"output":{"type":"structure","members":{}}},"ModifyWorkspaceProperties":{"input":{"type":"structure","required":["WorkspaceId","WorkspaceProperties"],"members":{"WorkspaceId":{},"WorkspaceProperties":{"shape":"S1l"}}},"output":{"type":"structure","members":{}}},"ModifyWorkspaceState":{"input":{"type":"structure","required":["WorkspaceId","WorkspaceState"],"members":{"WorkspaceId":{},"WorkspaceState":{}}},"output":{"type":"structure","members":{}}},"RebootWorkspaces":{"input":{"type":"structure","required":["RebootWorkspaceRequests"],"members":{"RebootWorkspaceRequests":{"type":"list","member":{"type":"structure","required":["WorkspaceId"],"members":{"WorkspaceId":{}}}}}},"output":{"type":"structure","members":{"FailedRequests":{"type":"list","member":{"shape":"S65"}}}}},"RebuildWorkspaces":{"input":{"type":"structure","required":["RebuildWorkspaceRequests"],"members":{"RebuildWorkspaceRequests":{"type":"list","member":{"type":"structure","required":["WorkspaceId"],"members":{"WorkspaceId":{}}}}}},"output":{"type":"structure","members":{"FailedRequests":{"type":"list","member":{"shape":"S65"}}}}},"RegisterWorkspaceDirectory":{"input":{"type":"structure","required":["DirectoryId","EnableWorkDocs"],"members":{"DirectoryId":{},"SubnetIds":{"shape":"S3x"},"EnableWorkDocs":{"type":"boolean"},"EnableSelfService":{"type":"boolean"},"Tenancy":{},"Tags":{"shape":"Sm"}}},"output":{"type":"structure","members":{}}},"RestoreWorkspace":{"input":{"type":"structure","required":["WorkspaceId"],"members":{"WorkspaceId":{}}},"output":{"type":"structure","members":{}}},"RevokeIpRules":{"input":{"type":"structure","required":["GroupId","UserRules"],"members":{"GroupId":{},"UserRules":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"StartWorkspaces":{"input":{"type":"structure","required":["StartWorkspaceRequests"],"members":{"StartWorkspaceRequests":{"type":"list","member":{"type":"structure","members":{"WorkspaceId":{}}}}}},"output":{"type":"structure","members":{"FailedRequests":{"type":"list","member":{"shape":"S65"}}}}},"StopWorkspaces":{"input":{"type":"structure","required":["StopWorkspaceRequests"],"members":{"StopWorkspaceRequests":{"type":"list","member":{"type":"structure","members":{"WorkspaceId":{}}}}}},"output":{"type":"structure","members":{"FailedRequests":{"type":"list","member":{"shape":"S65"}}}}},"TerminateWorkspaces":{"input":{"type":"structure","required":["TerminateWorkspaceRequests"],"members":{"TerminateWorkspaceRequests":{"type":"list","member":{"type":"structure","required":["WorkspaceId"],"members":{"WorkspaceId":{}}}}}},"output":{"type":"structure","members":{"FailedRequests":{"type":"list","member":{"shape":"S65"}}}}},"UpdateConnectionAliasPermission":{"input":{"type":"structure","required":["AliasId","ConnectionAliasPermission"],"members":{"AliasId":{},"ConnectionAliasPermission":{"shape":"S34"}}},"output":{"type":"structure","members":{}}},"UpdateRulesOfIpGroup":{"input":{"type":"structure","required":["GroupId","UserRules"],"members":{"GroupId":{},"UserRules":{"shape":"Sc"}}},"output":{"type":"structure","members":{}}},"UpdateWorkspaceBundle":{"input":{"type":"structure","members":{"BundleId":{},"ImageId":{}}},"output":{"type":"structure","members":{}}},"UpdateWorkspaceImagePermission":{"input":{"type":"structure","required":["ImageId","AllowCopyImage","SharedAccountId"],"members":{"ImageId":{},"AllowCopyImage":{"type":"boolean"},"SharedAccountId":{}}},"output":{"type":"structure","members":{}}}},"shapes":{"S8":{"type":"list","member":{}},"Sc":{"type":"list","member":{"type":"structure","members":{"ipRule":{},"ruleDesc":{}}}},"Sm":{"type":"list","member":{"type":"structure","required":["Key"],"members":{"Key":{},"Value":{}}}},"S15":{"type":"structure","members":{"Name":{}}},"S17":{"type":"structure","members":{"Capacity":{}}},"S18":{"type":"structure","members":{"Capacity":{}}},"S1a":{"type":"structure","members":{"BundleId":{},"Name":{},"Owner":{},"Description":{},"ImageId":{},"RootStorage":{"shape":"S18"},"UserStorage":{"shape":"S17"},"ComputeType":{"shape":"S15"},"LastUpdatedTime":{"type":"timestamp"},"CreationTime":{"type":"timestamp"}}},"S1h":{"type":"structure","required":["DirectoryId","UserName","BundleId"],"members":{"DirectoryId":{},"UserName":{},"BundleId":{},"VolumeEncryptionKey":{},"UserVolumeEncryptionEnabled":{"type":"boolean"},"RootVolumeEncryptionEnabled":{"type":"boolean"},"WorkspaceProperties":{"shape":"S1l"},"Tags":{"shape":"Sm"}}},"S1l":{"type":"structure","members":{"RunningMode":{},"RunningModeAutoStopTimeoutInMinutes":{"type":"integer"},"RootVolumeSizeGib":{"type":"integer"},"UserVolumeSizeGib":{"type":"integer"},"ComputeTypeName":{}}},"S1u":{"type":"list","member":{"type":"structure","members":{"WorkspaceId":{},"DirectoryId":{},"UserName":{},"IpAddress":{},"State":{},"BundleId":{},"SubnetId":{},"ErrorMessage":{},"ErrorCode":{},"ComputerName":{},"VolumeEncryptionKey":{},"UserVolumeEncryptionEnabled":{"type":"boolean"},"RootVolumeEncryptionEnabled":{"type":"boolean"},"WorkspaceProperties":{"shape":"S1l"},"ModificationStates":{"type":"list","member":{"type":"structure","members":{"Resource":{},"State":{}}}}}}},"S2y":{"type":"structure","members":{"ReconnectEnabled":{}}},"S34":{"type":"structure","required":["SharedAccountId","AllowAssociation"],"members":{"SharedAccountId":{},"AllowAssociation":{"type":"boolean"}}},"S3x":{"type":"list","member":{}},"S45":{"type":"structure","members":{"DeviceTypeWindows":{},"DeviceTypeOsx":{},"DeviceTypeWeb":{},"DeviceTypeIos":{},"DeviceTypeAndroid":{},"DeviceTypeChromeOs":{},"DeviceTypeZeroClient":{},"DeviceTypeLinux":{}}},"S48":{"type":"structure","members":{"RestartWorkspace":{},"IncreaseVolumeSize":{},"ChangeComputeType":{},"SwitchRunningMode":{},"RebuildWorkspace":{}}},"S4s":{"type":"list","member":{"type":"structure","members":{"SnapshotTime":{"type":"timestamp"}}}},"S4v":{"type":"list","member":{}},"S65":{"type":"structure","members":{"WorkspaceId":{},"ErrorCode":{},"ErrorMessage":{}}}}}');

/***/ }),

/***/ 27769:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"DescribeWorkspaceBundles":{"input_token":"NextToken","output_token":"NextToken","result_key":"Bundles"},"DescribeWorkspaceDirectories":{"input_token":"NextToken","output_token":"NextToken","result_key":"Directories"},"DescribeWorkspaces":{"input_token":"NextToken","limit_key":"Limit","output_token":"NextToken","result_key":"Workspaces"}}}');

/***/ }),

/***/ 47128:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2020-07-08","endpointPrefix":"workspaces-web","jsonVersion":"1.1","protocol":"rest-json","serviceFullName":"Amazon WorkSpaces Web","serviceId":"WorkSpaces Web","signatureVersion":"v4","signingName":"workspaces-web","uid":"workspaces-web-2020-07-08"},"operations":{"AssociateBrowserSettings":{"http":{"method":"PUT","requestUri":"/portals/{portalArn+}/browserSettings","responseCode":200},"input":{"type":"structure","required":["browserSettingsArn","portalArn"],"members":{"browserSettingsArn":{"location":"querystring","locationName":"browserSettingsArn"},"portalArn":{"location":"uri","locationName":"portalArn"}}},"output":{"type":"structure","required":["browserSettingsArn","portalArn"],"members":{"browserSettingsArn":{},"portalArn":{}}},"idempotent":true},"AssociateNetworkSettings":{"http":{"method":"PUT","requestUri":"/portals/{portalArn+}/networkSettings","responseCode":200},"input":{"type":"structure","required":["networkSettingsArn","portalArn"],"members":{"networkSettingsArn":{"location":"querystring","locationName":"networkSettingsArn"},"portalArn":{"location":"uri","locationName":"portalArn"}}},"output":{"type":"structure","required":["networkSettingsArn","portalArn"],"members":{"networkSettingsArn":{},"portalArn":{}}},"idempotent":true},"AssociateTrustStore":{"http":{"method":"PUT","requestUri":"/portals/{portalArn+}/trustStores","responseCode":200},"input":{"type":"structure","required":["portalArn","trustStoreArn"],"members":{"portalArn":{"location":"uri","locationName":"portalArn"},"trustStoreArn":{"location":"querystring","locationName":"trustStoreArn"}}},"output":{"type":"structure","required":["portalArn","trustStoreArn"],"members":{"portalArn":{},"trustStoreArn":{}}},"idempotent":true},"AssociateUserSettings":{"http":{"method":"PUT","requestUri":"/portals/{portalArn+}/userSettings","responseCode":200},"input":{"type":"structure","required":["portalArn","userSettingsArn"],"members":{"portalArn":{"location":"uri","locationName":"portalArn"},"userSettingsArn":{"location":"querystring","locationName":"userSettingsArn"}}},"output":{"type":"structure","required":["portalArn","userSettingsArn"],"members":{"portalArn":{},"userSettingsArn":{}}},"idempotent":true},"CreateBrowserSettings":{"http":{"requestUri":"/browserSettings","responseCode":200},"input":{"type":"structure","required":["browserPolicy"],"members":{"additionalEncryptionContext":{"shape":"Sb"},"browserPolicy":{},"clientToken":{"idempotencyToken":true},"customerManagedKey":{},"tags":{"shape":"Sg"}}},"output":{"type":"structure","required":["browserSettingsArn"],"members":{"browserSettingsArn":{}}}},"CreateIdentityProvider":{"http":{"requestUri":"/identityProviders","responseCode":200},"input":{"type":"structure","required":["identityProviderDetails","identityProviderName","identityProviderType","portalArn"],"members":{"clientToken":{"idempotencyToken":true},"identityProviderDetails":{"shape":"Sm"},"identityProviderName":{},"identityProviderType":{},"portalArn":{}}},"output":{"type":"structure","required":["identityProviderArn"],"members":{"identityProviderArn":{}}}},"CreateNetworkSettings":{"http":{"requestUri":"/networkSettings","responseCode":200},"input":{"type":"structure","required":["securityGroupIds","subnetIds","vpcId"],"members":{"clientToken":{"idempotencyToken":true},"securityGroupIds":{"shape":"Sr"},"subnetIds":{"shape":"St"},"tags":{"shape":"Sg"},"vpcId":{}}},"output":{"type":"structure","required":["networkSettingsArn"],"members":{"networkSettingsArn":{}}}},"CreatePortal":{"http":{"requestUri":"/portals","responseCode":200},"input":{"type":"structure","members":{"additionalEncryptionContext":{"shape":"Sb"},"clientToken":{"idempotencyToken":true},"customerManagedKey":{},"displayName":{},"tags":{"shape":"Sg"}}},"output":{"type":"structure","required":["portalArn","portalEndpoint"],"members":{"portalArn":{},"portalEndpoint":{}}}},"CreateTrustStore":{"http":{"requestUri":"/trustStores","responseCode":200},"input":{"type":"structure","required":["certificateList"],"members":{"certificateList":{"shape":"S12"},"clientToken":{"idempotencyToken":true},"tags":{"shape":"Sg"}}},"output":{"type":"structure","required":["trustStoreArn"],"members":{"trustStoreArn":{}}}},"CreateUserSettings":{"http":{"requestUri":"/userSettings","responseCode":200},"input":{"type":"structure","required":["copyAllowed","downloadAllowed","pasteAllowed","printAllowed","uploadAllowed"],"members":{"clientToken":{"idempotencyToken":true},"copyAllowed":{},"downloadAllowed":{},"pasteAllowed":{},"printAllowed":{},"tags":{"shape":"Sg"},"uploadAllowed":{}}},"output":{"type":"structure","required":["userSettingsArn"],"members":{"userSettingsArn":{}}}},"DeleteBrowserSettings":{"http":{"method":"DELETE","requestUri":"/browserSettings/{browserSettingsArn+}","responseCode":200},"input":{"type":"structure","required":["browserSettingsArn"],"members":{"browserSettingsArn":{"location":"uri","locationName":"browserSettingsArn"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteIdentityProvider":{"http":{"method":"DELETE","requestUri":"/identityProviders/{identityProviderArn+}","responseCode":200},"input":{"type":"structure","required":["identityProviderArn"],"members":{"identityProviderArn":{"location":"uri","locationName":"identityProviderArn"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteNetworkSettings":{"http":{"method":"DELETE","requestUri":"/networkSettings/{networkSettingsArn+}","responseCode":200},"input":{"type":"structure","required":["networkSettingsArn"],"members":{"networkSettingsArn":{"location":"uri","locationName":"networkSettingsArn"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeletePortal":{"http":{"method":"DELETE","requestUri":"/portals/{portalArn+}","responseCode":200},"input":{"type":"structure","required":["portalArn"],"members":{"portalArn":{"location":"uri","locationName":"portalArn"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteTrustStore":{"http":{"method":"DELETE","requestUri":"/trustStores/{trustStoreArn+}","responseCode":200},"input":{"type":"structure","required":["trustStoreArn"],"members":{"trustStoreArn":{"location":"uri","locationName":"trustStoreArn"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DeleteUserSettings":{"http":{"method":"DELETE","requestUri":"/userSettings/{userSettingsArn+}","responseCode":200},"input":{"type":"structure","required":["userSettingsArn"],"members":{"userSettingsArn":{"location":"uri","locationName":"userSettingsArn"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DisassociateBrowserSettings":{"http":{"method":"DELETE","requestUri":"/portals/{portalArn+}/browserSettings","responseCode":200},"input":{"type":"structure","required":["portalArn"],"members":{"portalArn":{"location":"uri","locationName":"portalArn"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DisassociateNetworkSettings":{"http":{"method":"DELETE","requestUri":"/portals/{portalArn+}/networkSettings","responseCode":200},"input":{"type":"structure","required":["portalArn"],"members":{"portalArn":{"location":"uri","locationName":"portalArn"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DisassociateTrustStore":{"http":{"method":"DELETE","requestUri":"/portals/{portalArn+}/trustStores","responseCode":200},"input":{"type":"structure","required":["portalArn"],"members":{"portalArn":{"location":"uri","locationName":"portalArn"}}},"output":{"type":"structure","members":{}},"idempotent":true},"DisassociateUserSettings":{"http":{"method":"DELETE","requestUri":"/portals/{portalArn+}/userSettings","responseCode":200},"input":{"type":"structure","required":["portalArn"],"members":{"portalArn":{"location":"uri","locationName":"portalArn"}}},"output":{"type":"structure","members":{}},"idempotent":true},"GetBrowserSettings":{"http":{"method":"GET","requestUri":"/browserSettings/{browserSettingsArn+}","responseCode":200},"input":{"type":"structure","required":["browserSettingsArn"],"members":{"browserSettingsArn":{"location":"uri","locationName":"browserSettingsArn"}}},"output":{"type":"structure","members":{"browserSettings":{"shape":"S1u"}}}},"GetIdentityProvider":{"http":{"method":"GET","requestUri":"/identityProviders/{identityProviderArn+}","responseCode":200},"input":{"type":"structure","required":["identityProviderArn"],"members":{"identityProviderArn":{"location":"uri","locationName":"identityProviderArn"}}},"output":{"type":"structure","members":{"identityProvider":{"shape":"S1y"}}}},"GetNetworkSettings":{"http":{"method":"GET","requestUri":"/networkSettings/{networkSettingsArn+}","responseCode":200},"input":{"type":"structure","required":["networkSettingsArn"],"members":{"networkSettingsArn":{"location":"uri","locationName":"networkSettingsArn"}}},"output":{"type":"structure","members":{"networkSettings":{"shape":"S21"}}}},"GetPortal":{"http":{"method":"GET","requestUri":"/portals/{portalArn+}","responseCode":200},"input":{"type":"structure","required":["portalArn"],"members":{"portalArn":{"location":"uri","locationName":"portalArn"}}},"output":{"type":"structure","members":{"portal":{"shape":"S24"}}}},"GetPortalServiceProviderMetadata":{"http":{"method":"GET","requestUri":"/portalIdp/{portalArn+}","responseCode":200},"input":{"type":"structure","required":["portalArn"],"members":{"portalArn":{"location":"uri","locationName":"portalArn"}}},"output":{"type":"structure","required":["portalArn"],"members":{"portalArn":{},"serviceProviderSamlMetadata":{}}}},"GetTrustStore":{"http":{"method":"GET","requestUri":"/trustStores/{trustStoreArn+}","responseCode":200},"input":{"type":"structure","required":["trustStoreArn"],"members":{"trustStoreArn":{"location":"uri","locationName":"trustStoreArn"}}},"output":{"type":"structure","members":{"trustStore":{"type":"structure","members":{"associatedPortalArns":{"shape":"S1v"},"trustStoreArn":{}}}}}},"GetTrustStoreCertificate":{"http":{"method":"GET","requestUri":"/trustStores/{trustStoreArn+}/certificate","responseCode":200},"input":{"type":"structure","required":["thumbprint","trustStoreArn"],"members":{"thumbprint":{"location":"querystring","locationName":"thumbprint"},"trustStoreArn":{"location":"uri","locationName":"trustStoreArn"}}},"output":{"type":"structure","members":{"certificate":{"type":"structure","members":{"body":{"type":"blob"},"issuer":{},"notValidAfter":{"type":"timestamp"},"notValidBefore":{"type":"timestamp"},"subject":{},"thumbprint":{}}},"trustStoreArn":{}}}},"GetUserSettings":{"http":{"method":"GET","requestUri":"/userSettings/{userSettingsArn+}","responseCode":200},"input":{"type":"structure","required":["userSettingsArn"],"members":{"userSettingsArn":{"location":"uri","locationName":"userSettingsArn"}}},"output":{"type":"structure","members":{"userSettings":{"shape":"S2n"}}}},"ListBrowserSettings":{"http":{"method":"GET","requestUri":"/browserSettings","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"browserSettings":{"type":"list","member":{"type":"structure","members":{"browserSettingsArn":{}}}},"nextToken":{}}}},"ListIdentityProviders":{"http":{"method":"GET","requestUri":"/portals/{portalArn+}/identityProviders","responseCode":200},"input":{"type":"structure","required":["portalArn"],"members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"portalArn":{"location":"uri","locationName":"portalArn"}}},"output":{"type":"structure","members":{"identityProviders":{"type":"list","member":{"type":"structure","members":{"identityProviderArn":{},"identityProviderName":{},"identityProviderType":{}}}},"nextToken":{}}}},"ListNetworkSettings":{"http":{"method":"GET","requestUri":"/networkSettings","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"networkSettings":{"type":"list","member":{"type":"structure","members":{"networkSettingsArn":{},"vpcId":{}}}},"nextToken":{}}}},"ListPortals":{"http":{"method":"GET","requestUri":"/portals","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"nextToken":{},"portals":{"type":"list","member":{"type":"structure","members":{"browserSettingsArn":{},"browserType":{},"creationDate":{"type":"timestamp"},"displayName":{},"networkSettingsArn":{},"portalArn":{},"portalEndpoint":{},"portalStatus":{},"rendererType":{},"trustStoreArn":{},"userSettingsArn":{}}}}}}},"ListTagsForResource":{"http":{"method":"GET","requestUri":"/tags/{resourceArn+}","responseCode":200},"input":{"type":"structure","required":["resourceArn"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"}}},"output":{"type":"structure","members":{"tags":{"shape":"Sg"}}}},"ListTrustStoreCertificates":{"http":{"method":"GET","requestUri":"/trustStores/{trustStoreArn+}/certificates","responseCode":200},"input":{"type":"structure","required":["trustStoreArn"],"members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"},"trustStoreArn":{"location":"uri","locationName":"trustStoreArn"}}},"output":{"type":"structure","members":{"certificateList":{"type":"list","member":{"type":"structure","members":{"issuer":{},"notValidAfter":{"type":"timestamp"},"notValidBefore":{"type":"timestamp"},"subject":{},"thumbprint":{}}}},"nextToken":{},"trustStoreArn":{}}}},"ListTrustStores":{"http":{"method":"GET","requestUri":"/trustStores","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"nextToken":{},"trustStores":{"type":"list","member":{"type":"structure","members":{"trustStoreArn":{}}}}}}},"ListUserSettings":{"http":{"method":"GET","requestUri":"/userSettings","responseCode":200},"input":{"type":"structure","members":{"maxResults":{"location":"querystring","locationName":"maxResults","type":"integer"},"nextToken":{"location":"querystring","locationName":"nextToken"}}},"output":{"type":"structure","members":{"nextToken":{},"userSettings":{"type":"list","member":{"type":"structure","members":{"copyAllowed":{},"downloadAllowed":{},"pasteAllowed":{},"printAllowed":{},"uploadAllowed":{},"userSettingsArn":{}}}}}}},"TagResource":{"http":{"requestUri":"/tags/{resourceArn+}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tags"],"members":{"clientToken":{"idempotencyToken":true},"resourceArn":{"location":"uri","locationName":"resourceArn"},"tags":{"shape":"Sg"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"method":"DELETE","requestUri":"/tags/{resourceArn+}","responseCode":200},"input":{"type":"structure","required":["resourceArn","tagKeys"],"members":{"resourceArn":{"location":"uri","locationName":"resourceArn"},"tagKeys":{"location":"querystring","locationName":"tagKeys","type":"list","member":{}}}},"output":{"type":"structure","members":{}},"idempotent":true},"UpdateBrowserSettings":{"http":{"method":"PATCH","requestUri":"/browserSettings/{browserSettingsArn+}","responseCode":200},"input":{"type":"structure","required":["browserSettingsArn"],"members":{"browserPolicy":{},"browserSettingsArn":{"location":"uri","locationName":"browserSettingsArn"},"clientToken":{"idempotencyToken":true}}},"output":{"type":"structure","required":["browserSettings"],"members":{"browserSettings":{"shape":"S1u"}}}},"UpdateIdentityProvider":{"http":{"method":"PATCH","requestUri":"/identityProviders/{identityProviderArn+}","responseCode":200},"input":{"type":"structure","required":["identityProviderArn"],"members":{"clientToken":{"idempotencyToken":true},"identityProviderArn":{"location":"uri","locationName":"identityProviderArn"},"identityProviderDetails":{"shape":"Sm"},"identityProviderName":{},"identityProviderType":{}}},"output":{"type":"structure","required":["identityProvider"],"members":{"identityProvider":{"shape":"S1y"}}}},"UpdateNetworkSettings":{"http":{"method":"PATCH","requestUri":"/networkSettings/{networkSettingsArn+}","responseCode":200},"input":{"type":"structure","required":["networkSettingsArn"],"members":{"clientToken":{"idempotencyToken":true},"networkSettingsArn":{"location":"uri","locationName":"networkSettingsArn"},"securityGroupIds":{"shape":"Sr"},"subnetIds":{"shape":"St"},"vpcId":{}}},"output":{"type":"structure","required":["networkSettings"],"members":{"networkSettings":{"shape":"S21"}}}},"UpdatePortal":{"http":{"method":"PUT","requestUri":"/portals/{portalArn+}","responseCode":200},"input":{"type":"structure","required":["portalArn"],"members":{"displayName":{},"portalArn":{"location":"uri","locationName":"portalArn"}}},"output":{"type":"structure","members":{"portal":{"shape":"S24"}}},"idempotent":true},"UpdateTrustStore":{"http":{"method":"PATCH","requestUri":"/trustStores/{trustStoreArn+}","responseCode":200},"input":{"type":"structure","required":["trustStoreArn"],"members":{"certificatesToAdd":{"shape":"S12"},"certificatesToDelete":{"type":"list","member":{}},"clientToken":{"idempotencyToken":true},"trustStoreArn":{"location":"uri","locationName":"trustStoreArn"}}},"output":{"type":"structure","required":["trustStoreArn"],"members":{"trustStoreArn":{}}}},"UpdateUserSettings":{"http":{"method":"PATCH","requestUri":"/userSettings/{userSettingsArn+}","responseCode":200},"input":{"type":"structure","required":["userSettingsArn"],"members":{"clientToken":{"idempotencyToken":true},"copyAllowed":{},"downloadAllowed":{},"pasteAllowed":{},"printAllowed":{},"uploadAllowed":{},"userSettingsArn":{"location":"uri","locationName":"userSettingsArn"}}},"output":{"type":"structure","required":["userSettings"],"members":{"userSettings":{"shape":"S2n"}}}}},"shapes":{"Sb":{"type":"map","key":{},"value":{}},"Sg":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"Sm":{"type":"map","key":{},"value":{}},"Sr":{"type":"list","member":{}},"St":{"type":"list","member":{}},"S12":{"type":"list","member":{"type":"blob"}},"S1u":{"type":"structure","required":["browserSettingsArn"],"members":{"associatedPortalArns":{"shape":"S1v"},"browserPolicy":{},"browserSettingsArn":{}}},"S1v":{"type":"list","member":{}},"S1y":{"type":"structure","required":["identityProviderArn"],"members":{"identityProviderArn":{},"identityProviderDetails":{"shape":"Sm"},"identityProviderName":{},"identityProviderType":{}}},"S21":{"type":"structure","required":["networkSettingsArn"],"members":{"associatedPortalArns":{"shape":"S1v"},"networkSettingsArn":{},"securityGroupIds":{"shape":"Sr"},"subnetIds":{"shape":"St"},"vpcId":{}}},"S24":{"type":"structure","members":{"browserSettingsArn":{},"browserType":{},"creationDate":{"type":"timestamp"},"displayName":{},"networkSettingsArn":{},"portalArn":{},"portalEndpoint":{},"portalStatus":{},"rendererType":{},"statusReason":{},"trustStoreArn":{},"userSettingsArn":{}}},"S2n":{"type":"structure","required":["userSettingsArn"],"members":{"associatedPortalArns":{"shape":"S1v"},"copyAllowed":{},"downloadAllowed":{},"pasteAllowed":{},"printAllowed":{},"uploadAllowed":{},"userSettingsArn":{}}}}}');

/***/ }),

/***/ 43497:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"ListBrowserSettings":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListIdentityProviders":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListNetworkSettings":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListPortals":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListTrustStoreCertificates":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListTrustStores":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"},"ListUserSettings":{"input_token":"nextToken","output_token":"nextToken","limit_key":"maxResults"}}}');

/***/ }),

/***/ 97355:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"version":"2.0","metadata":{"apiVersion":"2016-04-12","endpointPrefix":"xray","protocol":"rest-json","serviceFullName":"AWS X-Ray","serviceId":"XRay","signatureVersion":"v4","uid":"xray-2016-04-12"},"operations":{"BatchGetTraces":{"http":{"requestUri":"/Traces"},"input":{"type":"structure","required":["TraceIds"],"members":{"TraceIds":{"shape":"S2"},"NextToken":{}}},"output":{"type":"structure","members":{"Traces":{"type":"list","member":{"type":"structure","members":{"Id":{},"Duration":{"type":"double"},"LimitExceeded":{"type":"boolean"},"Segments":{"type":"list","member":{"type":"structure","members":{"Id":{},"Document":{}}}}}}},"UnprocessedTraceIds":{"type":"list","member":{}},"NextToken":{}}}},"CreateGroup":{"http":{"requestUri":"/CreateGroup"},"input":{"type":"structure","required":["GroupName"],"members":{"GroupName":{},"FilterExpression":{},"InsightsConfiguration":{"shape":"Si"},"Tags":{"shape":"Sj"}}},"output":{"type":"structure","members":{"Group":{"shape":"So"}}}},"CreateSamplingRule":{"http":{"requestUri":"/CreateSamplingRule"},"input":{"type":"structure","required":["SamplingRule"],"members":{"SamplingRule":{"shape":"Sq"},"Tags":{"shape":"Sj"}}},"output":{"type":"structure","members":{"SamplingRuleRecord":{"shape":"S16"}}}},"DeleteGroup":{"http":{"requestUri":"/DeleteGroup"},"input":{"type":"structure","members":{"GroupName":{},"GroupARN":{}}},"output":{"type":"structure","members":{}}},"DeleteSamplingRule":{"http":{"requestUri":"/DeleteSamplingRule"},"input":{"type":"structure","members":{"RuleName":{},"RuleARN":{}}},"output":{"type":"structure","members":{"SamplingRuleRecord":{"shape":"S16"}}}},"GetEncryptionConfig":{"http":{"requestUri":"/EncryptionConfig"},"input":{"type":"structure","members":{}},"output":{"type":"structure","members":{"EncryptionConfig":{"shape":"S1f"}}}},"GetGroup":{"http":{"requestUri":"/GetGroup"},"input":{"type":"structure","members":{"GroupName":{},"GroupARN":{}}},"output":{"type":"structure","members":{"Group":{"shape":"So"}}}},"GetGroups":{"http":{"requestUri":"/Groups"},"input":{"type":"structure","members":{"NextToken":{}}},"output":{"type":"structure","members":{"Groups":{"type":"list","member":{"type":"structure","members":{"GroupName":{},"GroupARN":{},"FilterExpression":{},"InsightsConfiguration":{"shape":"Si"}}}},"NextToken":{}}}},"GetInsight":{"http":{"requestUri":"/Insight"},"input":{"type":"structure","required":["InsightId"],"members":{"InsightId":{}}},"output":{"type":"structure","members":{"Insight":{"type":"structure","members":{"InsightId":{},"GroupARN":{},"GroupName":{},"RootCauseServiceId":{"shape":"S1t"},"Categories":{"shape":"S1v"},"State":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Summary":{},"ClientRequestImpactStatistics":{"shape":"S1z"},"RootCauseServiceRequestImpactStatistics":{"shape":"S1z"},"TopAnomalousServices":{"shape":"S21"}}}}}},"GetInsightEvents":{"http":{"requestUri":"/InsightEvents"},"input":{"type":"structure","required":["InsightId"],"members":{"InsightId":{},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"InsightEvents":{"type":"list","member":{"type":"structure","members":{"Summary":{},"EventTime":{"type":"timestamp"},"ClientRequestImpactStatistics":{"shape":"S1z"},"RootCauseServiceRequestImpactStatistics":{"shape":"S1z"},"TopAnomalousServices":{"shape":"S21"}}}},"NextToken":{}}}},"GetInsightImpactGraph":{"http":{"requestUri":"/InsightImpactGraph"},"input":{"type":"structure","required":["InsightId","StartTime","EndTime"],"members":{"InsightId":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"NextToken":{}}},"output":{"type":"structure","members":{"InsightId":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"ServiceGraphStartTime":{"type":"timestamp"},"ServiceGraphEndTime":{"type":"timestamp"},"Services":{"type":"list","member":{"type":"structure","members":{"ReferenceId":{"type":"integer"},"Type":{},"Name":{},"Names":{"shape":"S1u"},"AccountId":{},"Edges":{"type":"list","member":{"type":"structure","members":{"ReferenceId":{"type":"integer"}}}}}}},"NextToken":{}}}},"GetInsightSummaries":{"http":{"requestUri":"/InsightSummaries"},"input":{"type":"structure","required":["StartTime","EndTime"],"members":{"States":{"type":"list","member":{}},"GroupARN":{},"GroupName":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"MaxResults":{"type":"integer"},"NextToken":{}}},"output":{"type":"structure","members":{"InsightSummaries":{"type":"list","member":{"type":"structure","members":{"InsightId":{},"GroupARN":{},"GroupName":{},"RootCauseServiceId":{"shape":"S1t"},"Categories":{"shape":"S1v"},"State":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Summary":{},"ClientRequestImpactStatistics":{"shape":"S1z"},"RootCauseServiceRequestImpactStatistics":{"shape":"S1z"},"TopAnomalousServices":{"shape":"S21"},"LastUpdateTime":{"type":"timestamp"}}}},"NextToken":{}}}},"GetSamplingRules":{"http":{"requestUri":"/GetSamplingRules"},"input":{"type":"structure","members":{"NextToken":{}}},"output":{"type":"structure","members":{"SamplingRuleRecords":{"type":"list","member":{"shape":"S16"}},"NextToken":{}}}},"GetSamplingStatisticSummaries":{"http":{"requestUri":"/SamplingStatisticSummaries"},"input":{"type":"structure","members":{"NextToken":{}}},"output":{"type":"structure","members":{"SamplingStatisticSummaries":{"type":"list","member":{"type":"structure","members":{"RuleName":{},"Timestamp":{"type":"timestamp"},"RequestCount":{"type":"integer"},"BorrowCount":{"type":"integer"},"SampledCount":{"type":"integer"}}}},"NextToken":{}}}},"GetSamplingTargets":{"http":{"requestUri":"/SamplingTargets"},"input":{"type":"structure","required":["SamplingStatisticsDocuments"],"members":{"SamplingStatisticsDocuments":{"type":"list","member":{"type":"structure","required":["RuleName","ClientID","Timestamp","RequestCount","SampledCount"],"members":{"RuleName":{},"ClientID":{},"Timestamp":{"type":"timestamp"},"RequestCount":{"type":"integer"},"SampledCount":{"type":"integer"},"BorrowCount":{"type":"integer"}}}}}},"output":{"type":"structure","members":{"SamplingTargetDocuments":{"type":"list","member":{"type":"structure","members":{"RuleName":{},"FixedRate":{"type":"double"},"ReservoirQuota":{"type":"integer"},"ReservoirQuotaTTL":{"type":"timestamp"},"Interval":{"type":"integer"}}}},"LastRuleModification":{"type":"timestamp"},"UnprocessedStatistics":{"type":"list","member":{"type":"structure","members":{"RuleName":{},"ErrorCode":{},"Message":{}}}}}}},"GetServiceGraph":{"http":{"requestUri":"/ServiceGraph"},"input":{"type":"structure","required":["StartTime","EndTime"],"members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"GroupName":{},"GroupARN":{},"NextToken":{}}},"output":{"type":"structure","members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Services":{"shape":"S3a"},"ContainsOldGroupVersions":{"type":"boolean"},"NextToken":{}}}},"GetTimeSeriesServiceStatistics":{"http":{"requestUri":"/TimeSeriesServiceStatistics"},"input":{"type":"structure","required":["StartTime","EndTime"],"members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"GroupName":{},"GroupARN":{},"EntitySelectorExpression":{},"Period":{"type":"integer"},"ForecastStatistics":{"type":"boolean"},"NextToken":{}}},"output":{"type":"structure","members":{"TimeSeriesServiceStatistics":{"type":"list","member":{"type":"structure","members":{"Timestamp":{"type":"timestamp"},"EdgeSummaryStatistics":{"shape":"S3e"},"ServiceSummaryStatistics":{"shape":"S3m"},"ServiceForecastStatistics":{"type":"structure","members":{"FaultCountHigh":{"type":"long"},"FaultCountLow":{"type":"long"}}},"ResponseTimeHistogram":{"shape":"S3h"}}}},"ContainsOldGroupVersions":{"type":"boolean"},"NextToken":{}}}},"GetTraceGraph":{"http":{"requestUri":"/TraceGraph"},"input":{"type":"structure","required":["TraceIds"],"members":{"TraceIds":{"shape":"S2"},"NextToken":{}}},"output":{"type":"structure","members":{"Services":{"shape":"S3a"},"NextToken":{}}}},"GetTraceSummaries":{"http":{"requestUri":"/TraceSummaries"},"input":{"type":"structure","required":["StartTime","EndTime"],"members":{"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"TimeRangeType":{},"Sampling":{"type":"boolean"},"SamplingStrategy":{"type":"structure","members":{"Name":{},"Value":{"type":"double"}}},"FilterExpression":{},"NextToken":{}}},"output":{"type":"structure","members":{"TraceSummaries":{"type":"list","member":{"type":"structure","members":{"Id":{},"Duration":{"type":"double"},"ResponseTime":{"type":"double"},"HasFault":{"type":"boolean"},"HasError":{"type":"boolean"},"HasThrottle":{"type":"boolean"},"IsPartial":{"type":"boolean"},"Http":{"type":"structure","members":{"HttpURL":{},"HttpStatus":{"type":"integer"},"HttpMethod":{},"UserAgent":{},"ClientIp":{}}},"Annotations":{"type":"map","key":{},"value":{"type":"list","member":{"type":"structure","members":{"AnnotationValue":{"type":"structure","members":{"NumberValue":{"type":"double"},"BooleanValue":{"type":"boolean"},"StringValue":{}}},"ServiceIds":{"shape":"S49"}}}}},"Users":{"type":"list","member":{"type":"structure","members":{"UserName":{},"ServiceIds":{"shape":"S49"}}}},"ServiceIds":{"shape":"S49"},"ResourceARNs":{"type":"list","member":{"type":"structure","members":{"ARN":{}}}},"InstanceIds":{"type":"list","member":{"type":"structure","members":{"Id":{}}}},"AvailabilityZones":{"type":"list","member":{"type":"structure","members":{"Name":{}}}},"EntryPoint":{"shape":"S1t"},"FaultRootCauses":{"type":"list","member":{"type":"structure","members":{"Services":{"type":"list","member":{"type":"structure","members":{"Name":{},"Names":{"shape":"S1u"},"Type":{},"AccountId":{},"EntityPath":{"type":"list","member":{"type":"structure","members":{"Name":{},"Exceptions":{"shape":"S4o"},"Remote":{"type":"boolean"}}}},"Inferred":{"type":"boolean"}}}},"ClientImpacting":{"type":"boolean"}}}},"ErrorRootCauses":{"type":"list","member":{"type":"structure","members":{"Services":{"type":"list","member":{"type":"structure","members":{"Name":{},"Names":{"shape":"S1u"},"Type":{},"AccountId":{},"EntityPath":{"type":"list","member":{"type":"structure","members":{"Name":{},"Exceptions":{"shape":"S4o"},"Remote":{"type":"boolean"}}}},"Inferred":{"type":"boolean"}}}},"ClientImpacting":{"type":"boolean"}}}},"ResponseTimeRootCauses":{"type":"list","member":{"type":"structure","members":{"Services":{"type":"list","member":{"type":"structure","members":{"Name":{},"Names":{"shape":"S1u"},"Type":{},"AccountId":{},"EntityPath":{"type":"list","member":{"type":"structure","members":{"Name":{},"Coverage":{"type":"double"},"Remote":{"type":"boolean"}}}},"Inferred":{"type":"boolean"}}}},"ClientImpacting":{"type":"boolean"}}}},"Revision":{"type":"integer"},"MatchedEventTime":{"type":"timestamp"}}}},"ApproximateTime":{"type":"timestamp"},"TracesProcessedCount":{"type":"long"},"NextToken":{}}}},"ListTagsForResource":{"http":{"requestUri":"/ListTagsForResource"},"input":{"type":"structure","required":["ResourceARN"],"members":{"ResourceARN":{},"NextToken":{}}},"output":{"type":"structure","members":{"Tags":{"shape":"Sj"},"NextToken":{}}}},"PutEncryptionConfig":{"http":{"requestUri":"/PutEncryptionConfig"},"input":{"type":"structure","required":["Type"],"members":{"KeyId":{},"Type":{}}},"output":{"type":"structure","members":{"EncryptionConfig":{"shape":"S1f"}}}},"PutTelemetryRecords":{"http":{"requestUri":"/TelemetryRecords"},"input":{"type":"structure","required":["TelemetryRecords"],"members":{"TelemetryRecords":{"type":"list","member":{"type":"structure","required":["Timestamp"],"members":{"Timestamp":{"type":"timestamp"},"SegmentsReceivedCount":{"type":"integer"},"SegmentsSentCount":{"type":"integer"},"SegmentsSpilloverCount":{"type":"integer"},"SegmentsRejectedCount":{"type":"integer"},"BackendConnectionErrors":{"type":"structure","members":{"TimeoutCount":{"type":"integer"},"ConnectionRefusedCount":{"type":"integer"},"HTTPCode4XXCount":{"type":"integer"},"HTTPCode5XXCount":{"type":"integer"},"UnknownHostCount":{"type":"integer"},"OtherCount":{"type":"integer"}}}}}},"EC2InstanceId":{},"Hostname":{},"ResourceARN":{}}},"output":{"type":"structure","members":{}}},"PutTraceSegments":{"http":{"requestUri":"/TraceSegments"},"input":{"type":"structure","required":["TraceSegmentDocuments"],"members":{"TraceSegmentDocuments":{"type":"list","member":{}}}},"output":{"type":"structure","members":{"UnprocessedTraceSegments":{"type":"list","member":{"type":"structure","members":{"Id":{},"ErrorCode":{},"Message":{}}}}}}},"TagResource":{"http":{"requestUri":"/TagResource"},"input":{"type":"structure","required":["ResourceARN","Tags"],"members":{"ResourceARN":{},"Tags":{"shape":"Sj"}}},"output":{"type":"structure","members":{}}},"UntagResource":{"http":{"requestUri":"/UntagResource"},"input":{"type":"structure","required":["ResourceARN","TagKeys"],"members":{"ResourceARN":{},"TagKeys":{"type":"list","member":{}}}},"output":{"type":"structure","members":{}}},"UpdateGroup":{"http":{"requestUri":"/UpdateGroup"},"input":{"type":"structure","members":{"GroupName":{},"GroupARN":{},"FilterExpression":{},"InsightsConfiguration":{"shape":"Si"}}},"output":{"type":"structure","members":{"Group":{"shape":"So"}}}},"UpdateSamplingRule":{"http":{"requestUri":"/UpdateSamplingRule"},"input":{"type":"structure","required":["SamplingRuleUpdate"],"members":{"SamplingRuleUpdate":{"type":"structure","members":{"RuleName":{},"RuleARN":{},"ResourceARN":{},"Priority":{"type":"integer"},"FixedRate":{"type":"double"},"ReservoirSize":{"type":"integer"},"Host":{},"ServiceName":{},"ServiceType":{},"HTTPMethod":{},"URLPath":{},"Attributes":{"shape":"S12"}}}}},"output":{"type":"structure","members":{"SamplingRuleRecord":{"shape":"S16"}}}}},"shapes":{"S2":{"type":"list","member":{}},"Si":{"type":"structure","members":{"InsightsEnabled":{"type":"boolean"},"NotificationsEnabled":{"type":"boolean"}}},"Sj":{"type":"list","member":{"type":"structure","required":["Key","Value"],"members":{"Key":{},"Value":{}}}},"So":{"type":"structure","members":{"GroupName":{},"GroupARN":{},"FilterExpression":{},"InsightsConfiguration":{"shape":"Si"}}},"Sq":{"type":"structure","required":["ResourceARN","Priority","FixedRate","ReservoirSize","ServiceName","ServiceType","Host","HTTPMethod","URLPath","Version"],"members":{"RuleName":{},"RuleARN":{},"ResourceARN":{},"Priority":{"type":"integer"},"FixedRate":{"type":"double"},"ReservoirSize":{"type":"integer"},"ServiceName":{},"ServiceType":{},"Host":{},"HTTPMethod":{},"URLPath":{},"Version":{"type":"integer"},"Attributes":{"shape":"S12"}}},"S12":{"type":"map","key":{},"value":{}},"S16":{"type":"structure","members":{"SamplingRule":{"shape":"Sq"},"CreatedAt":{"type":"timestamp"},"ModifiedAt":{"type":"timestamp"}}},"S1f":{"type":"structure","members":{"KeyId":{},"Status":{},"Type":{}}},"S1t":{"type":"structure","members":{"Name":{},"Names":{"shape":"S1u"},"AccountId":{},"Type":{}}},"S1u":{"type":"list","member":{}},"S1v":{"type":"list","member":{}},"S1z":{"type":"structure","members":{"FaultCount":{"type":"long"},"OkCount":{"type":"long"},"TotalCount":{"type":"long"}}},"S21":{"type":"list","member":{"type":"structure","members":{"ServiceId":{"shape":"S1t"}}}},"S3a":{"type":"list","member":{"type":"structure","members":{"ReferenceId":{"type":"integer"},"Name":{},"Names":{"shape":"S1u"},"Root":{"type":"boolean"},"AccountId":{},"Type":{},"State":{},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"Edges":{"type":"list","member":{"type":"structure","members":{"ReferenceId":{"type":"integer"},"StartTime":{"type":"timestamp"},"EndTime":{"type":"timestamp"},"SummaryStatistics":{"shape":"S3e"},"ResponseTimeHistogram":{"shape":"S3h"},"Aliases":{"type":"list","member":{"type":"structure","members":{"Name":{},"Names":{"type":"list","member":{}},"Type":{}}}}}}},"SummaryStatistics":{"shape":"S3m"},"DurationHistogram":{"shape":"S3h"},"ResponseTimeHistogram":{"shape":"S3h"}}}},"S3e":{"type":"structure","members":{"OkCount":{"type":"long"},"ErrorStatistics":{"shape":"S3f"},"FaultStatistics":{"shape":"S3g"},"TotalCount":{"type":"long"},"TotalResponseTime":{"type":"double"}}},"S3f":{"type":"structure","members":{"ThrottleCount":{"type":"long"},"OtherCount":{"type":"long"},"TotalCount":{"type":"long"}}},"S3g":{"type":"structure","members":{"OtherCount":{"type":"long"},"TotalCount":{"type":"long"}}},"S3h":{"type":"list","member":{"type":"structure","members":{"Value":{"type":"double"},"Count":{"type":"integer"}}}},"S3m":{"type":"structure","members":{"OkCount":{"type":"long"},"ErrorStatistics":{"shape":"S3f"},"FaultStatistics":{"shape":"S3g"},"TotalCount":{"type":"long"},"TotalResponseTime":{"type":"double"}}},"S49":{"type":"list","member":{"shape":"S1t"}},"S4o":{"type":"list","member":{"type":"structure","members":{"Name":{},"Message":{}}}}}}');

/***/ }),

/***/ 97949:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"o":{"BatchGetTraces":{"input_token":"NextToken","output_token":"NextToken","result_key":"Traces"},"GetGroups":{"input_token":"NextToken","output_token":"NextToken","result_key":"Groups"},"GetInsightEvents":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetInsightSummaries":{"input_token":"NextToken","limit_key":"MaxResults","output_token":"NextToken"},"GetSamplingRules":{"input_token":"NextToken","output_token":"NextToken","result_key":"SamplingRuleRecords"},"GetSamplingStatisticSummaries":{"input_token":"NextToken","output_token":"NextToken","result_key":"SamplingStatisticSummaries"},"GetServiceGraph":{"input_token":"NextToken","output_token":"NextToken","result_key":"Services"},"GetTimeSeriesServiceStatistics":{"input_token":"NextToken","output_token":"NextToken","result_key":"TimeSeriesServiceStatistics"},"GetTraceGraph":{"input_token":"NextToken","output_token":"NextToken","result_key":"Services"},"GetTraceSummaries":{"input_token":"NextToken","output_token":"NextToken","result_key":"TraceSummaries"}}}');

/***/ }),

/***/ 80738:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"rules":{"*/*":{"endpoint":"{service}.{region}.amazonaws.com"},"cn-*/*":{"endpoint":"{service}.{region}.amazonaws.com.cn"},"us-iso-*/*":"usIso","us-isob-*/*":"usIsob","*/budgets":"globalSSL","*/cloudfront":"globalSSL","*/sts":"globalSSL","*/importexport":{"endpoint":"{service}.amazonaws.com","signatureVersion":"v2","globalEndpoint":true},"*/route53":"globalSSL","cn-*/route53":{"endpoint":"{service}.amazonaws.com.cn","globalEndpoint":true,"signingRegion":"cn-northwest-1"},"us-gov-*/route53":"globalGovCloud","*/waf":"globalSSL","*/iam":"globalSSL","cn-*/iam":{"endpoint":"{service}.cn-north-1.amazonaws.com.cn","globalEndpoint":true,"signingRegion":"cn-north-1"},"us-gov-*/iam":"globalGovCloud","us-gov-*/sts":{"endpoint":"{service}.{region}.amazonaws.com"},"us-gov-west-1/s3":"s3signature","us-west-1/s3":"s3signature","us-west-2/s3":"s3signature","eu-west-1/s3":"s3signature","ap-southeast-1/s3":"s3signature","ap-southeast-2/s3":"s3signature","ap-northeast-1/s3":"s3signature","sa-east-1/s3":"s3signature","us-east-1/s3":{"endpoint":"{service}.amazonaws.com","signatureVersion":"s3"},"us-east-1/sdb":{"endpoint":"{service}.amazonaws.com","signatureVersion":"v2"},"*/sdb":{"endpoint":"{service}.{region}.amazonaws.com","signatureVersion":"v2"}},"fipsRules":{"*/*":"fipsStandard","us-gov-*/*":"fipsStandard","us-iso-*/*":{"endpoint":"{service}-fips.{region}.c2s.ic.gov"},"us-iso-*/dms":"usIso","us-isob-*/*":{"endpoint":"{service}-fips.{region}.sc2s.sgov.gov"},"us-isob-*/dms":"usIsob","cn-*/*":{"endpoint":"{service}-fips.{region}.amazonaws.com.cn"},"*/api.ecr":"fips.api.ecr","*/api.sagemaker":"fips.api.sagemaker","*/batch":"fipsDotPrefix","*/eks":"fipsDotPrefix","*/models.lex":"fips.models.lex","*/runtime.lex":"fips.runtime.lex","*/runtime.sagemaker":{"endpoint":"runtime-fips.sagemaker.{region}.amazonaws.com"},"*/iam":"fipsWithoutRegion","*/route53":"fipsWithoutRegion","*/transcribe":"fipsDotPrefix","*/waf":"fipsWithoutRegion","us-gov-*/transcribe":"fipsDotPrefix","us-gov-*/api.ecr":"fips.api.ecr","us-gov-*/api.sagemaker":"fips.api.sagemaker","us-gov-*/models.lex":"fips.models.lex","us-gov-*/runtime.lex":"fips.runtime.lex","us-gov-*/acm-pca":"fipsWithServiceOnly","us-gov-*/batch":"fipsWithServiceOnly","us-gov-*/config":"fipsWithServiceOnly","us-gov-*/eks":"fipsWithServiceOnly","us-gov-*/elasticmapreduce":"fipsWithServiceOnly","us-gov-*/identitystore":"fipsWithServiceOnly","us-gov-*/dynamodb":"fipsWithServiceOnly","us-gov-*/elasticloadbalancing":"fipsWithServiceOnly","us-gov-*/guardduty":"fipsWithServiceOnly","us-gov-*/monitoring":"fipsWithServiceOnly","us-gov-*/resource-groups":"fipsWithServiceOnly","us-gov-*/runtime.sagemaker":"fipsWithServiceOnly","us-gov-*/servicecatalog-appregistry":"fipsWithServiceOnly","us-gov-*/servicequotas":"fipsWithServiceOnly","us-gov-*/ssm":"fipsWithServiceOnly","us-gov-*/sts":"fipsWithServiceOnly","us-gov-*/support":"fipsWithServiceOnly","us-gov-west-1/states":"fipsWithServiceOnly","us-iso-east-1/elasticfilesystem":{"endpoint":"elasticfilesystem-fips.{region}.c2s.ic.gov"},"us-gov-west-1/organizations":"fipsWithServiceOnly","us-gov-west-1/route53":{"endpoint":"route53.us-gov.amazonaws.com"}},"dualstackRules":{"*/*":{"endpoint":"{service}.{region}.api.aws"},"cn-*/*":{"endpoint":"{service}.{region}.api.amazonwebservices.com.cn"},"*/s3":"dualstackLegacy","cn-*/s3":"dualstackLegacyCn","*/s3-control":"dualstackLegacy","cn-*/s3-control":"dualstackLegacyCn","ap-south-1/ec2":"dualstackLegacyEc2","eu-west-1/ec2":"dualstackLegacyEc2","sa-east-1/ec2":"dualstackLegacyEc2","us-east-1/ec2":"dualstackLegacyEc2","us-east-2/ec2":"dualstackLegacyEc2","us-west-2/ec2":"dualstackLegacyEc2"},"dualstackFipsRules":{"*/*":{"endpoint":"{service}-fips.{region}.api.aws"},"cn-*/*":{"endpoint":"{service}-fips.{region}.api.amazonwebservices.com.cn"},"*/s3":"dualstackFipsLegacy","cn-*/s3":"dualstackFipsLegacyCn","*/s3-control":"dualstackFipsLegacy","cn-*/s3-control":"dualstackFipsLegacyCn"},"patterns":{"globalSSL":{"endpoint":"https://{service}.amazonaws.com","globalEndpoint":true,"signingRegion":"us-east-1"},"globalGovCloud":{"endpoint":"{service}.us-gov.amazonaws.com","globalEndpoint":true,"signingRegion":"us-gov-west-1"},"s3signature":{"endpoint":"{service}.{region}.amazonaws.com","signatureVersion":"s3"},"usIso":{"endpoint":"{service}.{region}.c2s.ic.gov"},"usIsob":{"endpoint":"{service}.{region}.sc2s.sgov.gov"},"fipsStandard":{"endpoint":"{service}-fips.{region}.amazonaws.com"},"fipsDotPrefix":{"endpoint":"fips.{service}.{region}.amazonaws.com"},"fipsWithoutRegion":{"endpoint":"{service}-fips.amazonaws.com"},"fips.api.ecr":{"endpoint":"ecr-fips.{region}.amazonaws.com"},"fips.api.sagemaker":{"endpoint":"api-fips.sagemaker.{region}.amazonaws.com"},"fips.models.lex":{"endpoint":"models-fips.lex.{region}.amazonaws.com"},"fips.runtime.lex":{"endpoint":"runtime-fips.lex.{region}.amazonaws.com"},"fipsWithServiceOnly":{"endpoint":"{service}.{region}.amazonaws.com"},"dualstackLegacy":{"endpoint":"{service}.dualstack.{region}.amazonaws.com"},"dualstackLegacyCn":{"endpoint":"{service}.dualstack.{region}.amazonaws.com.cn"},"dualstackFipsLegacy":{"endpoint":"{service}-fips.dualstack.{region}.amazonaws.com"},"dualstackFipsLegacyCn":{"endpoint":"{service}-fips.dualstack.{region}.amazonaws.com.cn"},"dualstackLegacyEc2":{"endpoint":"api.ec2.{region}.aws"}}}');

/***/ }),

/***/ 14449:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"_from":"cwebp-bin@^5.0.0","_id":"cwebp-bin@5.1.0","_inBundle":false,"_integrity":"sha512-BsPKStaNr98zfxwejWWLIGELbPERULJoD2v5ijvpeutSAGsegX7gmABgnkRK7MUucCPROXXfaPqkLAwI509JzA==","_location":"/cwebp-bin","_phantomChildren":{},"_requested":{"type":"range","registry":true,"raw":"cwebp-bin@^5.0.0","name":"cwebp-bin","escapedName":"cwebp-bin","rawSpec":"^5.0.0","saveSpec":null,"fetchSpec":"^5.0.0"},"_requiredBy":["/imagemin-webp"],"_resolved":"https://registry.npmjs.org/cwebp-bin/-/cwebp-bin-5.1.0.tgz","_shasum":"d5bea87c127358558e7bf7a90a6d440d42dcb074","_spec":"cwebp-bin@^5.0.0","_where":"/Users/katydecorah/GitHub/katydecorah/images-to-s3-action/node_modules/imagemin-webp","author":{"name":"1000ch","email":"shogo.sensui@gmail.com","url":"github.com/1000ch"},"bin":{"cwebp":"cli.js"},"bugs":{"url":"https://github.com/imagemin/cwebp-bin/issues"},"bundleDependencies":false,"dependencies":{"bin-build":"^3.0.0","bin-wrapper":"^4.0.1","logalot":"^2.1.0"},"deprecated":false,"description":"cwebp wrapper that makes it seamlessly available as a local dependency","devDependencies":{"ava":"*","bin-check":"^4.1.0","compare-size":"^3.0.0","execa":"^1.0.0","tempy":"^0.2.1","xo":"*"},"engines":{"node":">=6"},"files":["cli.js","index.js","lib"],"homepage":"https://github.com/imagemin/cwebp-bin#readme","keywords":["imagemin","compress","image","img","jpeg","jpg","minify","optimize","png","webp"],"license":"MIT","maintainers":[{"name":"Sindre Sorhus","email":"sindresorhus@gmail.com","url":"sindresorhus.com"},{"name":"Kevin Mårtensson","email":"kevinmartensson@gmail.com","url":"github.com/kevva"},{"name":"Shinnosuke Watanabe","url":"github.com/shinnn"}],"name":"cwebp-bin","repository":{"type":"git","url":"git+https://github.com/imagemin/cwebp-bin.git"},"scripts":{"postinstall":"node lib/install.js","test":"xo && ava"},"version":"5.1.0"}');

/***/ }),

/***/ 66151:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"assert":true,"node:assert":[">= 14.18 && < 15",">= 16"],"assert/strict":">= 15","node:assert/strict":">= 16","async_hooks":">= 8","node:async_hooks":[">= 14.18 && < 15",">= 16"],"buffer_ieee754":"< 0.9.7","buffer":true,"node:buffer":[">= 14.18 && < 15",">= 16"],"child_process":true,"node:child_process":[">= 14.18 && < 15",">= 16"],"cluster":true,"node:cluster":[">= 14.18 && < 15",">= 16"],"console":true,"node:console":[">= 14.18 && < 15",">= 16"],"constants":true,"node:constants":[">= 14.18 && < 15",">= 16"],"crypto":true,"node:crypto":[">= 14.18 && < 15",">= 16"],"_debug_agent":">= 1 && < 8","_debugger":"< 8","dgram":true,"node:dgram":[">= 14.18 && < 15",">= 16"],"diagnostics_channel":[">= 14.17 && < 15",">= 15.1"],"node:diagnostics_channel":[">= 14.18 && < 15",">= 16"],"dns":true,"node:dns":[">= 14.18 && < 15",">= 16"],"dns/promises":">= 15","node:dns/promises":">= 16","domain":">= 0.7.12","node:domain":[">= 14.18 && < 15",">= 16"],"events":true,"node:events":[">= 14.18 && < 15",">= 16"],"freelist":"< 6","fs":true,"node:fs":[">= 14.18 && < 15",">= 16"],"fs/promises":[">= 10 && < 10.1",">= 14"],"node:fs/promises":[">= 14.18 && < 15",">= 16"],"_http_agent":">= 0.11.1","node:_http_agent":[">= 14.18 && < 15",">= 16"],"_http_client":">= 0.11.1","node:_http_client":[">= 14.18 && < 15",">= 16"],"_http_common":">= 0.11.1","node:_http_common":[">= 14.18 && < 15",">= 16"],"_http_incoming":">= 0.11.1","node:_http_incoming":[">= 14.18 && < 15",">= 16"],"_http_outgoing":">= 0.11.1","node:_http_outgoing":[">= 14.18 && < 15",">= 16"],"_http_server":">= 0.11.1","node:_http_server":[">= 14.18 && < 15",">= 16"],"http":true,"node:http":[">= 14.18 && < 15",">= 16"],"http2":">= 8.8","node:http2":[">= 14.18 && < 15",">= 16"],"https":true,"node:https":[">= 14.18 && < 15",">= 16"],"inspector":">= 8","node:inspector":[">= 14.18 && < 15",">= 16"],"_linklist":"< 8","module":true,"node:module":[">= 14.18 && < 15",">= 16"],"net":true,"node:net":[">= 14.18 && < 15",">= 16"],"node-inspect/lib/_inspect":">= 7.6 && < 12","node-inspect/lib/internal/inspect_client":">= 7.6 && < 12","node-inspect/lib/internal/inspect_repl":">= 7.6 && < 12","os":true,"node:os":[">= 14.18 && < 15",">= 16"],"path":true,"node:path":[">= 14.18 && < 15",">= 16"],"path/posix":">= 15.3","node:path/posix":">= 16","path/win32":">= 15.3","node:path/win32":">= 16","perf_hooks":">= 8.5","node:perf_hooks":[">= 14.18 && < 15",">= 16"],"process":">= 1","node:process":[">= 14.18 && < 15",">= 16"],"punycode":true,"node:punycode":[">= 14.18 && < 15",">= 16"],"querystring":true,"node:querystring":[">= 14.18 && < 15",">= 16"],"readline":true,"node:readline":[">= 14.18 && < 15",">= 16"],"readline/promises":">= 17","node:readline/promises":">= 17","repl":true,"node:repl":[">= 14.18 && < 15",">= 16"],"smalloc":">= 0.11.5 && < 3","_stream_duplex":">= 0.9.4","node:_stream_duplex":[">= 14.18 && < 15",">= 16"],"_stream_transform":">= 0.9.4","node:_stream_transform":[">= 14.18 && < 15",">= 16"],"_stream_wrap":">= 1.4.1","node:_stream_wrap":[">= 14.18 && < 15",">= 16"],"_stream_passthrough":">= 0.9.4","node:_stream_passthrough":[">= 14.18 && < 15",">= 16"],"_stream_readable":">= 0.9.4","node:_stream_readable":[">= 14.18 && < 15",">= 16"],"_stream_writable":">= 0.9.4","node:_stream_writable":[">= 14.18 && < 15",">= 16"],"stream":true,"node:stream":[">= 14.18 && < 15",">= 16"],"stream/consumers":">= 16.7","node:stream/consumers":">= 16.7","stream/promises":">= 15","node:stream/promises":">= 16","stream/web":">= 16.5","node:stream/web":">= 16.5","string_decoder":true,"node:string_decoder":[">= 14.18 && < 15",">= 16"],"sys":[">= 0.6 && < 0.7",">= 0.8"],"node:sys":[">= 14.18 && < 15",">= 16"],"timers":true,"node:timers":[">= 14.18 && < 15",">= 16"],"timers/promises":">= 15","node:timers/promises":">= 16","_tls_common":">= 0.11.13","node:_tls_common":[">= 14.18 && < 15",">= 16"],"_tls_legacy":">= 0.11.3 && < 10","_tls_wrap":">= 0.11.3","node:_tls_wrap":[">= 14.18 && < 15",">= 16"],"tls":true,"node:tls":[">= 14.18 && < 15",">= 16"],"trace_events":">= 10","node:trace_events":[">= 14.18 && < 15",">= 16"],"tty":true,"node:tty":[">= 14.18 && < 15",">= 16"],"url":true,"node:url":[">= 14.18 && < 15",">= 16"],"util":true,"node:util":[">= 14.18 && < 15",">= 16"],"util/types":">= 15.3","node:util/types":">= 16","v8/tools/arguments":">= 10 && < 12","v8/tools/codemap":[">= 4.4 && < 5",">= 5.2 && < 12"],"v8/tools/consarray":[">= 4.4 && < 5",">= 5.2 && < 12"],"v8/tools/csvparser":[">= 4.4 && < 5",">= 5.2 && < 12"],"v8/tools/logreader":[">= 4.4 && < 5",">= 5.2 && < 12"],"v8/tools/profile_view":[">= 4.4 && < 5",">= 5.2 && < 12"],"v8/tools/splaytree":[">= 4.4 && < 5",">= 5.2 && < 12"],"v8":">= 1","node:v8":[">= 14.18 && < 15",">= 16"],"vm":true,"node:vm":[">= 14.18 && < 15",">= 16"],"wasi":">= 13.4 && < 13.5","worker_threads":">= 11.7","node:worker_threads":[">= 14.18 && < 15",">= 16"],"zlib":true,"node:zlib":[">= 14.18 && < 15",">= 16"]}');

/***/ }),

/***/ 80445:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"_from":"mozjpeg@^7.0.0","_id":"mozjpeg@7.0.0","_inBundle":false,"_integrity":"sha512-mH7atSbIusVTO3A4H43sEdmveN3aWn54k6V0edefzCEvOsTrbjg5murY2TsNznaztWnIgaRbWxeLVp4IgKdedQ==","_location":"/mozjpeg","_phantomChildren":{},"_requested":{"type":"range","registry":true,"raw":"mozjpeg@^7.0.0","name":"mozjpeg","escapedName":"mozjpeg","rawSpec":"^7.0.0","saveSpec":null,"fetchSpec":"^7.0.0"},"_requiredBy":["/imagemin-mozjpeg"],"_resolved":"https://registry.npmjs.org/mozjpeg/-/mozjpeg-7.0.0.tgz","_shasum":"c20f67a538fcaaa388d325875c53c0e7bc432f7d","_spec":"mozjpeg@^7.0.0","_where":"/Users/katydecorah/GitHub/katydecorah/images-to-s3-action/node_modules/imagemin-mozjpeg","ava":{"serial":true},"bin":{"mozjpeg":"cli.js"},"bugs":{"url":"https://github.com/imagemin/mozjpeg-bin/issues"},"bundleDependencies":false,"dependencies":{"bin-build":"^3.0.0","bin-wrapper":"^4.0.0","logalot":"^2.1.0"},"deprecated":false,"description":"mozjpeg wrapper that makes it seamlessly available as a local dependency","devDependencies":{"ava":"^3.8.0","bin-check":"^4.1.0","compare-size":"^3.0.0","execa":"^4.0.0","tempy":"^0.5.0","xo":"^0.30.0"},"engines":{"node":">=10"},"files":["index.js","cli.js","lib","vendor/source"],"homepage":"https://github.com/imagemin/mozjpeg-bin#readme","keywords":["imagemin","jpeg","jpg","img","image","compress","minify","mozjpeg","optimize"],"license":"MIT","name":"mozjpeg","repository":{"type":"git","url":"git+https://github.com/imagemin/mozjpeg-bin.git"},"scripts":{"build-linux":"docker build --tag imagemin/mozjpeg docker && docker run --rm --volume $(pwd)/vendor/linux:/src/out imagemin/mozjpeg cp cjpeg /src/out","postinstall":"node lib/install.js","test":"xo && ava --timeout=120s"},"version":"7.0.0"}');

/***/ }),

/***/ 49034:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"name":"pngquant-bin","version":"6.0.1","description":"`pngquant` wrapper that makes it seamlessly available as a local dependency","license":"GPL-3.0+","repository":"imagemin/pngquant-bin","author":{"name":"Kevin Mårtensson","email":"kevinmartensson@gmail.com","url":"github.com/kevva"},"maintainers":[{"name":"Sindre Sorhus","email":"sindresorhus@gmail.com","url":"sindresorhus.com"},{"name":"Shinnosuke Watanabe","url":"github.com/shinnn"}],"bin":{"pngquant":"cli.js"},"engines":{"node":">=10"},"scripts":{"postinstall":"node lib/install.js","test":"xo && ava --timeout=120s"},"files":["cli.js","index.js","lib","vendor/source"],"keywords":["imagemin","compress","image","img","minify","optimize","png","pngquant"],"dependencies":{"bin-build":"^3.0.0","bin-wrapper":"^4.0.1","execa":"^4.0.0"},"devDependencies":{"ava":"^3.8.0","bin-check":"^4.0.1","compare-size":"^3.0.0","tempy":"^0.5.0","xo":"^0.30.0"}}');

/***/ }),

/***/ 74503:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"assert":true,"assert/strict":">= 15","async_hooks":">= 8","buffer_ieee754":"< 0.9.7","buffer":true,"child_process":true,"cluster":true,"console":true,"constants":true,"crypto":true,"_debug_agent":">= 1 && < 8","_debugger":"< 8","dgram":true,"diagnostics_channel":">= 15.1","dns":true,"dns/promises":">= 15","domain":">= 0.7.12","events":true,"freelist":"< 6","fs":true,"fs/promises":[">= 10 && < 10.1",">= 14"],"_http_agent":">= 0.11.1","_http_client":">= 0.11.1","_http_common":">= 0.11.1","_http_incoming":">= 0.11.1","_http_outgoing":">= 0.11.1","_http_server":">= 0.11.1","http":true,"http2":">= 8.8","https":true,"inspector":">= 8.0.0","_linklist":"< 8","module":true,"net":true,"node-inspect/lib/_inspect":">= 7.6.0 && < 12","node-inspect/lib/internal/inspect_client":">= 7.6.0 && < 12","node-inspect/lib/internal/inspect_repl":">= 7.6.0 && < 12","os":true,"path":true,"perf_hooks":">= 8.5","process":">= 1","punycode":true,"querystring":true,"readline":true,"repl":true,"smalloc":">= 0.11.5 && < 3","_stream_duplex":">= 0.9.4","_stream_transform":">= 0.9.4","_stream_wrap":">= 1.4.1","_stream_passthrough":">= 0.9.4","_stream_readable":">= 0.9.4","_stream_writable":">= 0.9.4","stream":true,"stream/promises":">= 15","string_decoder":true,"sys":[">= 0.6 && < 0.7",">= 0.8"],"timers":true,"timers/promises":">= 15","_tls_common":">= 0.11.13","_tls_legacy":">= 0.11.3 && < 10","_tls_wrap":">= 0.11.3","tls":true,"trace_events":">= 10","tty":true,"url":true,"util":true,"v8/tools/arguments":">= 10 && < 12","v8/tools/codemap":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/consarray":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/csvparser":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/logreader":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/profile_view":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8/tools/splaytree":[">= 4.4.0 && < 5",">= 5.2.0 && < 12"],"v8":">= 1","vm":true,"wasi":">= 13.4 && < 13.5","worker_threads":">= 11.7","zlib":true}');

/***/ }),

/***/ 80200:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"vc":{"W0":"8.11.3"}}');

/***/ }),

/***/ 40238:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('["389-exception","Autoconf-exception-2.0","Autoconf-exception-3.0","Bison-exception-2.2","Bootloader-exception","Classpath-exception-2.0","CLISP-exception-2.0","DigiRule-FOSS-exception","eCos-exception-2.0","Fawkes-Runtime-exception","FLTK-exception","Font-exception-2.0","freertos-exception-2.0","GCC-exception-2.0","GCC-exception-3.1","gnu-javamail-exception","GPL-3.0-linking-exception","GPL-3.0-linking-source-exception","GPL-CC-1.0","i2p-gpl-java-exception","Libtool-exception","Linux-syscall-note","LLVM-exception","LZMA-exception","mif-exception","Nokia-Qt-exception-1.1","OCaml-LGPL-linking-exception","OCCT-exception-1.0","OpenJDK-assembly-exception-1.0","openvpn-openssl-exception","PS-or-PDF-font-exception-20170817","Qt-GPL-exception-1.0","Qt-LGPL-exception-1.1","Qwt-exception-1.0","Swift-exception","u-boot-exception-2.0","Universal-FOSS-exception-1.0","WxWindows-exception-3.1"]');

/***/ }),

/***/ 76765:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('["AGPL-1.0","AGPL-3.0","BSD-2-Clause-FreeBSD","BSD-2-Clause-NetBSD","GFDL-1.1","GFDL-1.2","GFDL-1.3","GPL-1.0","GPL-2.0","GPL-2.0-with-GCC-exception","GPL-2.0-with-autoconf-exception","GPL-2.0-with-bison-exception","GPL-2.0-with-classpath-exception","GPL-2.0-with-font-exception","GPL-3.0","GPL-3.0-with-GCC-exception","GPL-3.0-with-autoconf-exception","LGPL-2.0","LGPL-2.1","LGPL-3.0","Nunit","StandardML-NJ","eCos-2.0","wxWindows"]');

/***/ }),

/***/ 16033:
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('["0BSD","AAL","ADSL","AFL-1.1","AFL-1.2","AFL-2.0","AFL-2.1","AFL-3.0","AGPL-1.0-only","AGPL-1.0-or-later","AGPL-3.0-only","AGPL-3.0-or-later","AMDPLPA","AML","AMPAS","ANTLR-PD","ANTLR-PD-fallback","APAFML","APL-1.0","APSL-1.0","APSL-1.1","APSL-1.2","APSL-2.0","Abstyles","Adobe-2006","Adobe-Glyph","Afmparse","Aladdin","Apache-1.0","Apache-1.1","Apache-2.0","Artistic-1.0","Artistic-1.0-Perl","Artistic-1.0-cl8","Artistic-2.0","BSD-1-Clause","BSD-2-Clause","BSD-2-Clause-Patent","BSD-2-Clause-Views","BSD-3-Clause","BSD-3-Clause-Attribution","BSD-3-Clause-Clear","BSD-3-Clause-LBNL","BSD-3-Clause-No-Nuclear-License","BSD-3-Clause-No-Nuclear-License-2014","BSD-3-Clause-No-Nuclear-Warranty","BSD-3-Clause-Open-MPI","BSD-4-Clause","BSD-4-Clause-UC","BSD-Protection","BSD-Source-Code","BSL-1.0","BUSL-1.1","Bahyph","Barr","Beerware","BitTorrent-1.0","BitTorrent-1.1","BlueOak-1.0.0","Borceux","CAL-1.0","CAL-1.0-Combined-Work-Exception","CATOSL-1.1","CC-BY-1.0","CC-BY-2.0","CC-BY-2.5","CC-BY-3.0","CC-BY-3.0-AT","CC-BY-3.0-US","CC-BY-4.0","CC-BY-NC-1.0","CC-BY-NC-2.0","CC-BY-NC-2.5","CC-BY-NC-3.0","CC-BY-NC-4.0","CC-BY-NC-ND-1.0","CC-BY-NC-ND-2.0","CC-BY-NC-ND-2.5","CC-BY-NC-ND-3.0","CC-BY-NC-ND-3.0-IGO","CC-BY-NC-ND-4.0","CC-BY-NC-SA-1.0","CC-BY-NC-SA-2.0","CC-BY-NC-SA-2.5","CC-BY-NC-SA-3.0","CC-BY-NC-SA-4.0","CC-BY-ND-1.0","CC-BY-ND-2.0","CC-BY-ND-2.5","CC-BY-ND-3.0","CC-BY-ND-4.0","CC-BY-SA-1.0","CC-BY-SA-2.0","CC-BY-SA-2.0-UK","CC-BY-SA-2.5","CC-BY-SA-3.0","CC-BY-SA-3.0-AT","CC-BY-SA-4.0","CC-PDDC","CC0-1.0","CDDL-1.0","CDDL-1.1","CDLA-Permissive-1.0","CDLA-Sharing-1.0","CECILL-1.0","CECILL-1.1","CECILL-2.0","CECILL-2.1","CECILL-B","CECILL-C","CERN-OHL-1.1","CERN-OHL-1.2","CERN-OHL-P-2.0","CERN-OHL-S-2.0","CERN-OHL-W-2.0","CNRI-Jython","CNRI-Python","CNRI-Python-GPL-Compatible","CPAL-1.0","CPL-1.0","CPOL-1.02","CUA-OPL-1.0","Caldera","ClArtistic","Condor-1.1","Crossword","CrystalStacker","Cube","D-FSL-1.0","DOC","DSDP","Dotseqn","ECL-1.0","ECL-2.0","EFL-1.0","EFL-2.0","EPICS","EPL-1.0","EPL-2.0","EUDatagrid","EUPL-1.0","EUPL-1.1","EUPL-1.2","Entessa","ErlPL-1.1","Eurosym","FSFAP","FSFUL","FSFULLR","FTL","Fair","Frameworx-1.0","FreeImage","GFDL-1.1-invariants-only","GFDL-1.1-invariants-or-later","GFDL-1.1-no-invariants-only","GFDL-1.1-no-invariants-or-later","GFDL-1.1-only","GFDL-1.1-or-later","GFDL-1.2-invariants-only","GFDL-1.2-invariants-or-later","GFDL-1.2-no-invariants-only","GFDL-1.2-no-invariants-or-later","GFDL-1.2-only","GFDL-1.2-or-later","GFDL-1.3-invariants-only","GFDL-1.3-invariants-or-later","GFDL-1.3-no-invariants-only","GFDL-1.3-no-invariants-or-later","GFDL-1.3-only","GFDL-1.3-or-later","GL2PS","GLWTPL","GPL-1.0-only","GPL-1.0-or-later","GPL-2.0-only","GPL-2.0-or-later","GPL-3.0-only","GPL-3.0-or-later","Giftware","Glide","Glulxe","HPND","HPND-sell-variant","HTMLTIDY","HaskellReport","Hippocratic-2.1","IBM-pibs","ICU","IJG","IPA","IPL-1.0","ISC","ImageMagick","Imlib2","Info-ZIP","Intel","Intel-ACPI","Interbase-1.0","JPNIC","JSON","JasPer-2.0","LAL-1.2","LAL-1.3","LGPL-2.0-only","LGPL-2.0-or-later","LGPL-2.1-only","LGPL-2.1-or-later","LGPL-3.0-only","LGPL-3.0-or-later","LGPLLR","LPL-1.0","LPL-1.02","LPPL-1.0","LPPL-1.1","LPPL-1.2","LPPL-1.3a","LPPL-1.3c","Latex2e","Leptonica","LiLiQ-P-1.1","LiLiQ-R-1.1","LiLiQ-Rplus-1.1","Libpng","Linux-OpenIB","MIT","MIT-0","MIT-CMU","MIT-advertising","MIT-enna","MIT-feh","MIT-open-group","MITNFA","MPL-1.0","MPL-1.1","MPL-2.0","MPL-2.0-no-copyleft-exception","MS-PL","MS-RL","MTLL","MakeIndex","MirOS","Motosoto","MulanPSL-1.0","MulanPSL-2.0","Multics","Mup","NASA-1.3","NBPL-1.0","NCGL-UK-2.0","NCSA","NGPL","NIST-PD","NIST-PD-fallback","NLOD-1.0","NLPL","NOSL","NPL-1.0","NPL-1.1","NPOSL-3.0","NRL","NTP","NTP-0","Naumen","Net-SNMP","NetCDF","Newsletr","Nokia","Noweb","O-UDA-1.0","OCCT-PL","OCLC-2.0","ODC-By-1.0","ODbL-1.0","OFL-1.0","OFL-1.0-RFN","OFL-1.0-no-RFN","OFL-1.1","OFL-1.1-RFN","OFL-1.1-no-RFN","OGC-1.0","OGL-Canada-2.0","OGL-UK-1.0","OGL-UK-2.0","OGL-UK-3.0","OGTSL","OLDAP-1.1","OLDAP-1.2","OLDAP-1.3","OLDAP-1.4","OLDAP-2.0","OLDAP-2.0.1","OLDAP-2.1","OLDAP-2.2","OLDAP-2.2.1","OLDAP-2.2.2","OLDAP-2.3","OLDAP-2.4","OLDAP-2.5","OLDAP-2.6","OLDAP-2.7","OLDAP-2.8","OML","OPL-1.0","OSET-PL-2.1","OSL-1.0","OSL-1.1","OSL-2.0","OSL-2.1","OSL-3.0","OpenSSL","PDDL-1.0","PHP-3.0","PHP-3.01","PSF-2.0","Parity-6.0.0","Parity-7.0.0","Plexus","PolyForm-Noncommercial-1.0.0","PolyForm-Small-Business-1.0.0","PostgreSQL","Python-2.0","QPL-1.0","Qhull","RHeCos-1.1","RPL-1.1","RPL-1.5","RPSL-1.0","RSA-MD","RSCPL","Rdisc","Ruby","SAX-PD","SCEA","SGI-B-1.0","SGI-B-1.1","SGI-B-2.0","SHL-0.5","SHL-0.51","SISSL","SISSL-1.2","SMLNJ","SMPPL","SNIA","SPL-1.0","SSH-OpenSSH","SSH-short","SSPL-1.0","SWL","Saxpath","Sendmail","Sendmail-8.23","SimPL-2.0","Sleepycat","Spencer-86","Spencer-94","Spencer-99","SugarCRM-1.1.3","TAPR-OHL-1.0","TCL","TCP-wrappers","TMate","TORQUE-1.1","TOSL","TU-Berlin-1.0","TU-Berlin-2.0","UCL-1.0","UPL-1.0","Unicode-DFS-2015","Unicode-DFS-2016","Unicode-TOU","Unlicense","VOSTROM","VSL-1.0","Vim","W3C","W3C-19980720","W3C-20150513","WTFPL","Watcom-1.0","Wsuipa","X11","XFree86-1.1","XSkat","Xerox","Xnet","YPL-1.0","YPL-1.1","ZPL-1.1","ZPL-2.0","ZPL-2.1","Zed","Zend-2.0","Zimbra-1.3","Zimbra-1.4","Zlib","blessing","bzip2-1.0.5","bzip2-1.0.6","copyleft-next-0.3.0","copyleft-next-0.3.1","curl","diffmark","dvipdfm","eGenix","etalab-2.0","gSOAP-1.3b","gnuplot","iMatix","libpng-2.0","libselinux-1.0","libtiff","mpich2","psfrag","psutils","xinetd","xpp","zlib-acknowledgement"]');

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __nccwpck_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			id: moduleId,
/******/ 			loaded: false,
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		var threw = true;
/******/ 		try {
/******/ 			__webpack_modules__[moduleId].call(module.exports, module, module.exports, __nccwpck_require__);
/******/ 			threw = false;
/******/ 		} finally {
/******/ 			if(threw) delete __webpack_module_cache__[moduleId];
/******/ 		}
/******/ 	
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__nccwpck_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/node module decorator */
/******/ 	(() => {
/******/ 		__nccwpck_require__.nmd = (module) => {
/******/ 			module.paths = [];
/******/ 			if (!module.children) module.children = [];
/******/ 			return module;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/compat */
/******/ 	
/******/ 	if (typeof __nccwpck_require__ !== 'undefined') __nccwpck_require__.ab = __dirname + "/";
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module is referenced by other modules so it can't be inlined
/******/ 	var __webpack_exports__ = __nccwpck_require__(4351);
/******/ 	module.exports = __webpack_exports__;
/******/ 	
/******/ })()
;